#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 20450
#define LARGE_STATE_COUNT 2657
#define SYMBOL_COUNT 418
#define ALIAS_COUNT 12
#define TOKEN_COUNT 143
#define EXTERNAL_TOKEN_COUNT 6
#define FIELD_COUNT 13
#define MAX_ALIAS_SEQUENCE_LENGTH 11
#define PRODUCTION_ID_COUNT 136

enum ts_symbol_identifiers {
  sym__identifier = 1,
  sym_shebang = 2,
  anon_sym_SEMI_SEMI = 3,
  anon_sym_let = 4,
  anon_sym_rec = 5,
  anon_sym_and = 6,
  anon_sym_COLON_GT = 7,
  anon_sym_EQ = 8,
  anon_sym_TILDE = 9,
  anon_sym_QMARK = 10,
  anon_sym_COLON = 11,
  anon_sym_LPAREN = 12,
  anon_sym_RPAREN = 13,
  anon_sym_external = 14,
  anon_sym_type = 15,
  anon_sym_nonrec = 16,
  anon_sym_private = 17,
  anon_sym_DOT_DOT = 18,
  anon_sym_PLUS_EQ = 19,
  anon_sym_COMMA = 20,
  anon_sym_PLUS = 21,
  anon_sym_BANG = 22,
  anon_sym_DASH = 23,
  anon_sym__ = 24,
  anon_sym_COLON_EQ = 25,
  anon_sym_PIPE = 26,
  anon_sym_LBRACK = 27,
  anon_sym_RBRACK = 28,
  anon_sym_true = 29,
  anon_sym_false = 30,
  anon_sym_of = 31,
  anon_sym_COLON2 = 32,
  anon_sym_DOT = 33,
  anon_sym_DASH_GT = 34,
  anon_sym_STAR = 35,
  anon_sym_LBRACE = 36,
  anon_sym_SEMI = 37,
  anon_sym_RBRACE = 38,
  anon_sym_mutable = 39,
  anon_sym_constraint = 40,
  anon_sym_exception = 41,
  anon_sym_module = 42,
  anon_sym_open = 43,
  anon_sym_include = 44,
  anon_sym_class = 45,
  anon_sym_virtual = 46,
  anon_sym_val = 47,
  anon_sym_sig = 48,
  anon_sym_end = 49,
  anon_sym_with = 50,
  anon_sym_functor = 51,
  anon_sym_struct = 52,
  anon_sym_object = 53,
  anon_sym_inherit = 54,
  anon_sym_method = 55,
  anon_sym_in = 56,
  anon_sym_fun = 57,
  anon_sym_as = 58,
  anon_sym_initializer = 59,
  anon_sym_LBRACK_GT = 60,
  anon_sym_LBRACK_LT = 61,
  anon_sym_GT = 62,
  anon_sym_AMP = 63,
  anon_sym_LT = 64,
  anon_sym_POUND = 65,
  anon_sym_COLON_COLON = 66,
  anon_sym_LBRACK_PIPE = 67,
  anon_sym_PIPE_RBRACK = 68,
  anon_sym_LT_DASH = 69,
  anon_sym_if = 70,
  anon_sym_then = 71,
  anon_sym_else = 72,
  anon_sym_while = 73,
  anon_sym_do = 74,
  anon_sym_done = 75,
  anon_sym_for = 76,
  anon_sym_to = 77,
  anon_sym_downto = 78,
  anon_sym_match = 79,
  anon_sym_when = 80,
  anon_sym_function = 81,
  anon_sym_try = 82,
  anon_sym_assert = 83,
  anon_sym_lazy = 84,
  anon_sym_new = 85,
  anon_sym_LBRACE_LT = 86,
  anon_sym_GT_RBRACE = 87,
  anon_sym_begin = 88,
  sym_ocamlyacc_value = 89,
  aux_sym_attribute_token1 = 90,
  anon_sym_LBRACK_AT_AT = 91,
  anon_sym_LBRACK_AT_AT_AT = 92,
  anon_sym_LBRACK_PERCENT = 93,
  anon_sym_LBRACE_PERCENT = 94,
  aux_sym_quoted_extension_token1 = 95,
  anon_sym_LBRACK_PERCENT_PERCENT = 96,
  anon_sym_LBRACE_PERCENT_PERCENT = 97,
  anon_sym_PERCENT = 98,
  aux_sym_number_token1 = 99,
  aux_sym_signed_number_token1 = 100,
  anon_sym_SQUOTE = 101,
  anon_sym_SQUOTE2 = 102,
  aux_sym_character_content_token1 = 103,
  aux_sym_character_content_token2 = 104,
  anon_sym_DQUOTE = 105,
  aux_sym_string_content_token1 = 106,
  aux_sym_string_content_token2 = 107,
  aux_sym_string_content_token3 = 108,
  aux_sym_string_content_token4 = 109,
  aux_sym_string_content_token5 = 110,
  aux_sym_quoted_string_content_token1 = 111,
  aux_sym_escape_sequence_token1 = 112,
  aux_sym_escape_sequence_token2 = 113,
  aux_sym_escape_sequence_token3 = 114,
  aux_sym_escape_sequence_token4 = 115,
  sym_conversion_specification = 116,
  sym_pretty_printing_indication = 117,
  sym_prefix_operator = 118,
  aux_sym_sign_operator_token1 = 119,
  sym_hash_operator = 120,
  sym_pow_operator = 121,
  sym_mult_operator = 122,
  aux_sym_add_operator_token1 = 123,
  sym_concat_operator = 124,
  sym_rel_operator = 125,
  sym_and_operator = 126,
  sym_or_operator = 127,
  sym_assign_operator = 128,
  sym_indexing_operator = 129,
  sym_let_operator = 130,
  sym_let_and_operator = 131,
  sym_match_operator = 132,
  sym__capitalized_identifier = 133,
  aux_sym_directive_token1 = 134,
  aux_sym_type_variable_token1 = 135,
  aux_sym_tag_token1 = 136,
  aux_sym_attribute_id_token1 = 137,
  sym_comment = 138,
  sym__left_quoted_string_delimiter = 139,
  sym__right_quoted_string_delimiter = 140,
  sym_line_number_directive = 141,
  sym__null = 142,
  sym_compilation_unit = 143,
  sym__structure = 144,
  sym_expression_item = 145,
  sym__signature = 146,
  sym_toplevel_directive = 147,
  sym__structure_item = 148,
  sym_value_definition = 149,
  sym_let_binding = 150,
  sym_parameter = 151,
  sym_external = 152,
  sym_type_definition = 153,
  sym_type_binding = 154,
  sym__type_params = 155,
  sym__type_param = 156,
  sym__type_equation = 157,
  sym_variant_declaration = 158,
  sym_constructor_declaration = 159,
  sym__constructor_argument = 160,
  sym_record_declaration = 161,
  sym_field_declaration = 162,
  sym_type_constraint = 163,
  sym_exception_definition = 164,
  sym_module_definition = 165,
  sym_module_binding = 166,
  sym_module_parameter = 167,
  sym_module_type_definition = 168,
  sym_open_module = 169,
  sym_include_module = 170,
  sym_class_definition = 171,
  sym_class_binding = 172,
  sym_class_type_definition = 173,
  sym_class_type_binding = 174,
  sym__signature_item = 175,
  sym_value_specification = 176,
  sym_include_module_type = 177,
  sym__module_typed = 178,
  sym__module_type = 179,
  sym_signature = 180,
  sym_module_type_constraint = 181,
  sym_constrain_type = 182,
  sym_constrain_module = 183,
  sym_constrain_module_type = 184,
  sym_module_type_of = 185,
  sym_functor_type = 186,
  sym_parenthesized_module_type = 187,
  sym__simple_module_expression = 188,
  sym__module_expression = 189,
  sym_structure = 190,
  sym_functor = 191,
  sym_module_application = 192,
  sym_typed_module_expression = 193,
  sym_packed_module = 194,
  sym_parenthesized_module_expression = 195,
  sym__class_typed = 196,
  sym__simple_class_type = 197,
  sym__class_type = 198,
  sym_instantiated_class_type = 199,
  sym_class_body_type = 200,
  sym__class_field_specification = 201,
  sym_inheritance_specification = 202,
  sym_instance_variable_specification = 203,
  sym_method_specification = 204,
  sym_type_parameter_constraint = 205,
  sym_let_open_class_type = 206,
  sym_class_function_type = 207,
  sym__simple_class_expression = 208,
  sym__class_expression = 209,
  sym_instantiated_class = 210,
  sym_typed_class_expression = 211,
  sym_class_function = 212,
  sym_class_application = 213,
  sym_let_class_expression = 214,
  sym__class_field = 215,
  sym_inheritance_definition = 216,
  sym_instance_variable_definition = 217,
  sym_method_definition = 218,
  sym_class_initializer = 219,
  sym_let_open_class_expression = 220,
  sym_parenthesized_class_expression = 221,
  sym__typed = 222,
  sym__simple_typed = 223,
  sym__polymorphic_typed = 224,
  sym__polymorphic_type = 225,
  sym_polymorphic_type = 226,
  sym__abstract_type = 227,
  sym__parenthesized_abstract_type = 228,
  sym__simple_type = 229,
  sym__tuple_type = 230,
  sym__type = 231,
  sym_function_type = 232,
  sym_typed_label = 233,
  sym_tuple_type = 234,
  sym_constructed_type = 235,
  sym_aliased_type = 236,
  sym_local_open_type = 237,
  sym_polymorphic_variant_type = 238,
  sym__tag_spec = 239,
  sym_tag_specification = 240,
  sym_package_type = 241,
  sym_object_type = 242,
  sym_method_type = 243,
  sym_hash_type = 244,
  sym_parenthesized_type = 245,
  sym__simple_expression = 246,
  sym__expression = 247,
  sym__sequence_expression = 248,
  sym_typed_expression = 249,
  sym_product_expression = 250,
  sym_cons_expression = 251,
  sym_list_expression = 252,
  sym_array_expression = 253,
  sym_record_expression = 254,
  sym_field_expression = 255,
  sym_application_expression = 256,
  sym_labeled_argument = 257,
  sym_prefix_expression = 258,
  sym_sign_expression = 259,
  sym_hash_expression = 260,
  sym_infix_expression = 261,
  sym_field_get_expression = 262,
  sym_array_get_expression = 263,
  sym_string_get_expression = 264,
  sym_bigarray_get_expression = 265,
  sym_set_expression = 266,
  sym_if_expression = 267,
  sym_then_clause = 268,
  sym_else_clause = 269,
  sym_while_expression = 270,
  sym_do_clause = 271,
  sym_for_expression = 272,
  sym_sequence_expression = 273,
  sym_match_expression = 274,
  sym__match_cases = 275,
  sym_match_case = 276,
  sym_guard = 277,
  sym_refutation_case = 278,
  sym_function_expression = 279,
  sym_fun_expression = 280,
  sym_try_expression = 281,
  sym_let_expression = 282,
  sym_coercion_expression = 283,
  sym_assert_expression = 284,
  sym_lazy_expression = 285,
  sym_let_module_expression = 286,
  sym_let_open_expression = 287,
  sym_local_open_expression = 288,
  sym_package_expression = 289,
  sym_let_exception_expression = 290,
  sym_new_expression = 291,
  sym_object_copy_expression = 292,
  sym_instance_variable_expression = 293,
  sym_method_invocation = 294,
  sym_object_expression = 295,
  sym_parenthesized_expression = 296,
  sym__simple_pattern = 297,
  sym__pattern = 298,
  sym__binding_pattern = 299,
  sym_alias_pattern = 300,
  sym_alias_binding_pattern = 301,
  sym_typed_pattern = 302,
  sym_typed_binding_pattern = 303,
  sym_or_pattern = 304,
  sym_or_binding_pattern = 305,
  sym_constructor_pattern = 306,
  sym_constructor_binding_pattern = 307,
  sym_tag_pattern = 308,
  sym_tag_binding_pattern = 309,
  sym_polymorphic_variant_pattern = 310,
  sym_tuple_pattern = 311,
  sym_tuple_binding_pattern = 312,
  sym_record_pattern = 313,
  sym_field_pattern = 314,
  sym_record_binding_pattern = 315,
  sym_field_binding_pattern = 316,
  sym_list_pattern = 317,
  sym_list_binding_pattern = 318,
  sym_cons_pattern = 319,
  sym_cons_binding_pattern = 320,
  sym_array_pattern = 321,
  sym_array_binding_pattern = 322,
  sym_range_pattern = 323,
  sym_lazy_pattern = 324,
  sym_lazy_binding_pattern = 325,
  sym_local_open_pattern = 326,
  sym_local_open_binding_pattern = 327,
  sym_package_pattern = 328,
  sym_parenthesized_pattern = 329,
  sym_parenthesized_binding_pattern = 330,
  sym_exception_pattern = 331,
  sym_attribute = 332,
  sym_item_attribute = 333,
  sym_floating_attribute = 334,
  sym_attribute_payload = 335,
  sym_extension = 336,
  sym_quoted_extension = 337,
  sym_item_extension = 338,
  sym_quoted_item_extension = 339,
  sym__attribute = 340,
  sym__constant = 341,
  sym__signed_constant = 342,
  sym_number = 343,
  sym_signed_number = 344,
  sym_character = 345,
  sym_character_content = 346,
  sym_string = 347,
  sym_string_content = 348,
  sym_quoted_string = 349,
  sym__quoted_string = 350,
  sym_quoted_string_content = 351,
  sym_escape_sequence = 352,
  sym_boolean = 353,
  sym_unit = 354,
  sym_sign_operator = 355,
  sym__infix_operator = 356,
  sym_add_operator = 357,
  sym_indexing_operator_path = 358,
  sym__value_name = 359,
  sym__simple_value_pattern = 360,
  sym_parenthesized_operator = 361,
  sym_value_path = 362,
  sym_module_path = 363,
  sym_extended_module_path = 364,
  sym_module_type_path = 365,
  sym_field_path = 366,
  sym_constructor_path = 367,
  sym_type_constructor_path = 368,
  sym_class_path = 369,
  sym_class_type_path = 370,
  sym__instance_variable_name = 371,
  sym__constructor_name = 372,
  sym_directive = 373,
  sym_type_variable = 374,
  sym_tag = 375,
  sym_attribute_id = 376,
  aux_sym__structure_repeat1 = 377,
  aux_sym__structure_repeat2 = 378,
  aux_sym_expression_item_repeat1 = 379,
  aux_sym__signature_repeat1 = 380,
  aux_sym_value_definition_repeat1 = 381,
  aux_sym_let_binding_repeat1 = 382,
  aux_sym_external_repeat1 = 383,
  aux_sym_type_definition_repeat1 = 384,
  aux_sym_type_binding_repeat1 = 385,
  aux_sym__type_params_repeat1 = 386,
  aux_sym_variant_declaration_repeat1 = 387,
  aux_sym_constructor_declaration_repeat1 = 388,
  aux_sym__constructor_argument_repeat1 = 389,
  aux_sym_record_declaration_repeat1 = 390,
  aux_sym_module_definition_repeat1 = 391,
  aux_sym_module_binding_repeat1 = 392,
  aux_sym_class_definition_repeat1 = 393,
  aux_sym_class_type_definition_repeat1 = 394,
  aux_sym_module_type_constraint_repeat1 = 395,
  aux_sym_instantiated_class_type_repeat1 = 396,
  aux_sym_class_body_type_repeat1 = 397,
  aux_sym_instance_variable_specification_repeat1 = 398,
  aux_sym_method_specification_repeat1 = 399,
  aux_sym_class_application_repeat1 = 400,
  aux_sym__abstract_type_repeat1 = 401,
  aux_sym_polymorphic_variant_type_repeat1 = 402,
  aux_sym_polymorphic_variant_type_repeat2 = 403,
  aux_sym_tag_specification_repeat1 = 404,
  aux_sym_object_type_repeat1 = 405,
  aux_sym_list_expression_repeat1 = 406,
  aux_sym_record_expression_repeat1 = 407,
  aux_sym__match_cases_repeat1 = 408,
  aux_sym_object_copy_expression_repeat1 = 409,
  aux_sym_object_expression_repeat1 = 410,
  aux_sym_record_pattern_repeat1 = 411,
  aux_sym_record_binding_pattern_repeat1 = 412,
  aux_sym_list_pattern_repeat1 = 413,
  aux_sym_list_binding_pattern_repeat1 = 414,
  aux_sym_string_content_repeat1 = 415,
  aux_sym_quoted_string_content_repeat1 = 416,
  aux_sym_attribute_id_repeat1 = 417,
  alias_sym_class_name = 418,
  alias_sym_class_type_name = 419,
  alias_sym_constructor_name = 420,
  alias_sym_field_name = 421,
  alias_sym_instance_variable_name = 422,
  alias_sym_label_name = 423,
  alias_sym_method_name = 424,
  alias_sym_module_name = 425,
  alias_sym_module_type_name = 426,
  alias_sym_type_constructor = 427,
  alias_sym_value_name = 428,
  alias_sym_value_pattern = 429,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__identifier] = "_identifier",
  [sym_shebang] = "shebang",
  [anon_sym_SEMI_SEMI] = ";;",
  [anon_sym_let] = "let",
  [anon_sym_rec] = "rec",
  [anon_sym_and] = "and",
  [anon_sym_COLON_GT] = ":>",
  [anon_sym_EQ] = "=",
  [anon_sym_TILDE] = "~",
  [anon_sym_QMARK] = "\?",
  [anon_sym_COLON] = ":",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_external] = "external",
  [anon_sym_type] = "type",
  [anon_sym_nonrec] = "nonrec",
  [anon_sym_private] = "private",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_COMMA] = ",",
  [anon_sym_PLUS] = "+",
  [anon_sym_BANG] = "!",
  [anon_sym_DASH] = "-",
  [anon_sym__] = "_",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_PIPE] = "|",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [anon_sym_of] = "of",
  [anon_sym_COLON2] = ":",
  [anon_sym_DOT] = ".",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_STAR] = "*",
  [anon_sym_LBRACE] = "{",
  [anon_sym_SEMI] = ";",
  [anon_sym_RBRACE] = "}",
  [anon_sym_mutable] = "mutable",
  [anon_sym_constraint] = "constraint",
  [anon_sym_exception] = "exception",
  [anon_sym_module] = "module",
  [anon_sym_open] = "open",
  [anon_sym_include] = "include",
  [anon_sym_class] = "class",
  [anon_sym_virtual] = "virtual",
  [anon_sym_val] = "val",
  [anon_sym_sig] = "sig",
  [anon_sym_end] = "end",
  [anon_sym_with] = "with",
  [anon_sym_functor] = "functor",
  [anon_sym_struct] = "struct",
  [anon_sym_object] = "object",
  [anon_sym_inherit] = "inherit",
  [anon_sym_method] = "method",
  [anon_sym_in] = "in",
  [anon_sym_fun] = "fun",
  [anon_sym_as] = "as",
  [anon_sym_initializer] = "initializer",
  [anon_sym_LBRACK_GT] = "[>",
  [anon_sym_LBRACK_LT] = "[<",
  [anon_sym_GT] = ">",
  [anon_sym_AMP] = "&",
  [anon_sym_LT] = "<",
  [anon_sym_POUND] = "#",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_PIPE] = "[|",
  [anon_sym_PIPE_RBRACK] = "|]",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_if] = "if",
  [anon_sym_then] = "then",
  [anon_sym_else] = "else",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_done] = "done",
  [anon_sym_for] = "for",
  [anon_sym_to] = "to",
  [anon_sym_downto] = "downto",
  [anon_sym_match] = "match",
  [anon_sym_when] = "when",
  [anon_sym_function] = "function",
  [anon_sym_try] = "try",
  [anon_sym_assert] = "assert",
  [anon_sym_lazy] = "lazy",
  [anon_sym_new] = "new",
  [anon_sym_LBRACE_LT] = "{<",
  [anon_sym_GT_RBRACE] = ">}",
  [anon_sym_begin] = "begin",
  [sym_ocamlyacc_value] = "ocamlyacc_value",
  [aux_sym_attribute_token1] = "[@",
  [anon_sym_LBRACK_AT_AT] = "[@@",
  [anon_sym_LBRACK_AT_AT_AT] = "[@@@",
  [anon_sym_LBRACK_PERCENT] = "[%",
  [anon_sym_LBRACE_PERCENT] = "{%",
  [aux_sym_quoted_extension_token1] = "quoted_extension_token1",
  [anon_sym_LBRACK_PERCENT_PERCENT] = "[%%",
  [anon_sym_LBRACE_PERCENT_PERCENT] = "{%%",
  [anon_sym_PERCENT] = "%",
  [aux_sym_number_token1] = "number_token1",
  [aux_sym_signed_number_token1] = "signed_number_token1",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_SQUOTE2] = "'",
  [aux_sym_character_content_token1] = "character_content_token1",
  [aux_sym_character_content_token2] = "character_content_token2",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_content_token1] = "string_content_token1",
  [aux_sym_string_content_token2] = "string_content_token2",
  [aux_sym_string_content_token3] = "string_content_token3",
  [aux_sym_string_content_token4] = "escape_sequence",
  [aux_sym_string_content_token5] = "escape_sequence",
  [aux_sym_quoted_string_content_token1] = "quoted_string_content_token1",
  [aux_sym_escape_sequence_token1] = "escape_sequence_token1",
  [aux_sym_escape_sequence_token2] = "escape_sequence_token2",
  [aux_sym_escape_sequence_token3] = "escape_sequence_token3",
  [aux_sym_escape_sequence_token4] = "escape_sequence_token4",
  [sym_conversion_specification] = "conversion_specification",
  [sym_pretty_printing_indication] = "pretty_printing_indication",
  [sym_prefix_operator] = "prefix_operator",
  [aux_sym_sign_operator_token1] = "sign_operator_token1",
  [sym_hash_operator] = "hash_operator",
  [sym_pow_operator] = "pow_operator",
  [sym_mult_operator] = "mult_operator",
  [aux_sym_add_operator_token1] = "add_operator_token1",
  [sym_concat_operator] = "concat_operator",
  [sym_rel_operator] = "rel_operator",
  [sym_and_operator] = "and_operator",
  [sym_or_operator] = "or_operator",
  [sym_assign_operator] = "assign_operator",
  [sym_indexing_operator] = "indexing_operator",
  [sym_let_operator] = "let_operator",
  [sym_let_and_operator] = "let_and_operator",
  [sym_match_operator] = "match_operator",
  [sym__capitalized_identifier] = "_capitalized_identifier",
  [aux_sym_directive_token1] = "directive_token1",
  [aux_sym_type_variable_token1] = "type_variable_token1",
  [aux_sym_tag_token1] = "tag_token1",
  [aux_sym_attribute_id_token1] = "attribute_id_token1",
  [sym_comment] = "comment",
  [sym__left_quoted_string_delimiter] = "_left_quoted_string_delimiter",
  [sym__right_quoted_string_delimiter] = "_right_quoted_string_delimiter",
  [sym_line_number_directive] = "line_number_directive",
  [sym__null] = "_null",
  [sym_compilation_unit] = "compilation_unit",
  [sym__structure] = "_structure",
  [sym_expression_item] = "expression_item",
  [sym__signature] = "_signature",
  [sym_toplevel_directive] = "toplevel_directive",
  [sym__structure_item] = "_structure_item",
  [sym_value_definition] = "value_definition",
  [sym_let_binding] = "let_binding",
  [sym_parameter] = "parameter",
  [sym_external] = "external",
  [sym_type_definition] = "type_definition",
  [sym_type_binding] = "type_binding",
  [sym__type_params] = "_type_params",
  [sym__type_param] = "_type_param",
  [sym__type_equation] = "_type_equation",
  [sym_variant_declaration] = "variant_declaration",
  [sym_constructor_declaration] = "constructor_declaration",
  [sym__constructor_argument] = "_constructor_argument",
  [sym_record_declaration] = "record_declaration",
  [sym_field_declaration] = "field_declaration",
  [sym_type_constraint] = "type_constraint",
  [sym_exception_definition] = "exception_definition",
  [sym_module_definition] = "module_definition",
  [sym_module_binding] = "module_binding",
  [sym_module_parameter] = "module_parameter",
  [sym_module_type_definition] = "module_type_definition",
  [sym_open_module] = "open_module",
  [sym_include_module] = "include_module",
  [sym_class_definition] = "class_definition",
  [sym_class_binding] = "class_binding",
  [sym_class_type_definition] = "class_type_definition",
  [sym_class_type_binding] = "class_type_binding",
  [sym__signature_item] = "_signature_item",
  [sym_value_specification] = "value_specification",
  [sym_include_module_type] = "include_module_type",
  [sym__module_typed] = "_module_typed",
  [sym__module_type] = "_module_type",
  [sym_signature] = "signature",
  [sym_module_type_constraint] = "module_type_constraint",
  [sym_constrain_type] = "constrain_type",
  [sym_constrain_module] = "constrain_module",
  [sym_constrain_module_type] = "constrain_module_type",
  [sym_module_type_of] = "module_type_of",
  [sym_functor_type] = "functor_type",
  [sym_parenthesized_module_type] = "parenthesized_module_type",
  [sym__simple_module_expression] = "_simple_module_expression",
  [sym__module_expression] = "_module_expression",
  [sym_structure] = "structure",
  [sym_functor] = "functor",
  [sym_module_application] = "module_application",
  [sym_typed_module_expression] = "typed_module_expression",
  [sym_packed_module] = "packed_module",
  [sym_parenthesized_module_expression] = "parenthesized_module_expression",
  [sym__class_typed] = "_class_typed",
  [sym__simple_class_type] = "_simple_class_type",
  [sym__class_type] = "_class_type",
  [sym_instantiated_class_type] = "instantiated_class_type",
  [sym_class_body_type] = "class_body_type",
  [sym__class_field_specification] = "_class_field_specification",
  [sym_inheritance_specification] = "inheritance_specification",
  [sym_instance_variable_specification] = "instance_variable_specification",
  [sym_method_specification] = "method_specification",
  [sym_type_parameter_constraint] = "type_parameter_constraint",
  [sym_let_open_class_type] = "let_open_class_type",
  [sym_class_function_type] = "class_function_type",
  [sym__simple_class_expression] = "_simple_class_expression",
  [sym__class_expression] = "_class_expression",
  [sym_instantiated_class] = "instantiated_class",
  [sym_typed_class_expression] = "typed_class_expression",
  [sym_class_function] = "class_function",
  [sym_class_application] = "class_application",
  [sym_let_class_expression] = "let_class_expression",
  [sym__class_field] = "_class_field",
  [sym_inheritance_definition] = "inheritance_definition",
  [sym_instance_variable_definition] = "instance_variable_definition",
  [sym_method_definition] = "method_definition",
  [sym_class_initializer] = "class_initializer",
  [sym_let_open_class_expression] = "let_open_class_expression",
  [sym_parenthesized_class_expression] = "parenthesized_class_expression",
  [sym__typed] = "_typed",
  [sym__simple_typed] = "_simple_typed",
  [sym__polymorphic_typed] = "_polymorphic_typed",
  [sym__polymorphic_type] = "_polymorphic_type",
  [sym_polymorphic_type] = "polymorphic_type",
  [sym__abstract_type] = "_abstract_type",
  [sym__parenthesized_abstract_type] = "abstract_type",
  [sym__simple_type] = "_simple_type",
  [sym__tuple_type] = "_tuple_type",
  [sym__type] = "_type",
  [sym_function_type] = "function_type",
  [sym_typed_label] = "typed_label",
  [sym_tuple_type] = "tuple_type",
  [sym_constructed_type] = "constructed_type",
  [sym_aliased_type] = "aliased_type",
  [sym_local_open_type] = "local_open_type",
  [sym_polymorphic_variant_type] = "polymorphic_variant_type",
  [sym__tag_spec] = "_tag_spec",
  [sym_tag_specification] = "tag_specification",
  [sym_package_type] = "package_type",
  [sym_object_type] = "object_type",
  [sym_method_type] = "method_type",
  [sym_hash_type] = "hash_type",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym__simple_expression] = "_simple_expression",
  [sym__expression] = "_expression",
  [sym__sequence_expression] = "_sequence_expression",
  [sym_typed_expression] = "typed_expression",
  [sym_product_expression] = "product_expression",
  [sym_cons_expression] = "cons_expression",
  [sym_list_expression] = "list_expression",
  [sym_array_expression] = "array_expression",
  [sym_record_expression] = "record_expression",
  [sym_field_expression] = "field_expression",
  [sym_application_expression] = "application_expression",
  [sym_labeled_argument] = "labeled_argument",
  [sym_prefix_expression] = "prefix_expression",
  [sym_sign_expression] = "sign_expression",
  [sym_hash_expression] = "hash_expression",
  [sym_infix_expression] = "infix_expression",
  [sym_field_get_expression] = "field_get_expression",
  [sym_array_get_expression] = "array_get_expression",
  [sym_string_get_expression] = "string_get_expression",
  [sym_bigarray_get_expression] = "bigarray_get_expression",
  [sym_set_expression] = "set_expression",
  [sym_if_expression] = "if_expression",
  [sym_then_clause] = "then_clause",
  [sym_else_clause] = "else_clause",
  [sym_while_expression] = "while_expression",
  [sym_do_clause] = "do_clause",
  [sym_for_expression] = "for_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_match_expression] = "match_expression",
  [sym__match_cases] = "_match_cases",
  [sym_match_case] = "match_case",
  [sym_guard] = "guard",
  [sym_refutation_case] = "refutation_case",
  [sym_function_expression] = "function_expression",
  [sym_fun_expression] = "fun_expression",
  [sym_try_expression] = "try_expression",
  [sym_let_expression] = "let_expression",
  [sym_coercion_expression] = "coercion_expression",
  [sym_assert_expression] = "assert_expression",
  [sym_lazy_expression] = "lazy_expression",
  [sym_let_module_expression] = "let_module_expression",
  [sym_let_open_expression] = "let_open_expression",
  [sym_local_open_expression] = "local_open_expression",
  [sym_package_expression] = "package_expression",
  [sym_let_exception_expression] = "let_exception_expression",
  [sym_new_expression] = "new_expression",
  [sym_object_copy_expression] = "object_copy_expression",
  [sym_instance_variable_expression] = "instance_variable_expression",
  [sym_method_invocation] = "method_invocation",
  [sym_object_expression] = "object_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__simple_pattern] = "_simple_pattern",
  [sym__pattern] = "_pattern",
  [sym__binding_pattern] = "_binding_pattern",
  [sym_alias_pattern] = "alias_pattern",
  [sym_alias_binding_pattern] = "alias_pattern",
  [sym_typed_pattern] = "typed_pattern",
  [sym_typed_binding_pattern] = "typed_pattern",
  [sym_or_pattern] = "or_pattern",
  [sym_or_binding_pattern] = "or_pattern",
  [sym_constructor_pattern] = "constructor_pattern",
  [sym_constructor_binding_pattern] = "constructor_pattern",
  [sym_tag_pattern] = "tag_pattern",
  [sym_tag_binding_pattern] = "tag_pattern",
  [sym_polymorphic_variant_pattern] = "polymorphic_variant_pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_tuple_binding_pattern] = "tuple_pattern",
  [sym_record_pattern] = "record_pattern",
  [sym_field_pattern] = "field_pattern",
  [sym_record_binding_pattern] = "record_binding_pattern",
  [sym_field_binding_pattern] = "field_pattern",
  [sym_list_pattern] = "list_pattern",
  [sym_list_binding_pattern] = "list_binding_pattern",
  [sym_cons_pattern] = "cons_pattern",
  [sym_cons_binding_pattern] = "cons_pattern",
  [sym_array_pattern] = "array_pattern",
  [sym_array_binding_pattern] = "array_binding_pattern",
  [sym_range_pattern] = "range_pattern",
  [sym_lazy_pattern] = "lazy_pattern",
  [sym_lazy_binding_pattern] = "lazy_pattern",
  [sym_local_open_pattern] = "local_open_pattern",
  [sym_local_open_binding_pattern] = "local_open_pattern",
  [sym_package_pattern] = "package_pattern",
  [sym_parenthesized_pattern] = "parenthesized_pattern",
  [sym_parenthesized_binding_pattern] = "parenthesized_pattern",
  [sym_exception_pattern] = "exception_pattern",
  [sym_attribute] = "attribute",
  [sym_item_attribute] = "item_attribute",
  [sym_floating_attribute] = "floating_attribute",
  [sym_attribute_payload] = "attribute_payload",
  [sym_extension] = "extension",
  [sym_quoted_extension] = "quoted_extension",
  [sym_item_extension] = "item_extension",
  [sym_quoted_item_extension] = "quoted_item_extension",
  [sym__attribute] = "_attribute",
  [sym__constant] = "_constant",
  [sym__signed_constant] = "_signed_constant",
  [sym_number] = "number",
  [sym_signed_number] = "signed_number",
  [sym_character] = "character",
  [sym_character_content] = "character_content",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_quoted_string] = "quoted_string",
  [sym__quoted_string] = "_quoted_string",
  [sym_quoted_string_content] = "quoted_string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_boolean] = "boolean",
  [sym_unit] = "unit",
  [sym_sign_operator] = "sign_operator",
  [sym__infix_operator] = "_infix_operator",
  [sym_add_operator] = "add_operator",
  [sym_indexing_operator_path] = "indexing_operator_path",
  [sym__value_name] = "_value_name",
  [sym__simple_value_pattern] = "_simple_value_pattern",
  [sym_parenthesized_operator] = "parenthesized_operator",
  [sym_value_path] = "value_path",
  [sym_module_path] = "module_path",
  [sym_extended_module_path] = "extended_module_path",
  [sym_module_type_path] = "module_type_path",
  [sym_field_path] = "field_path",
  [sym_constructor_path] = "constructor_path",
  [sym_type_constructor_path] = "type_constructor_path",
  [sym_class_path] = "class_path",
  [sym_class_type_path] = "class_type_path",
  [sym__instance_variable_name] = "_instance_variable_name",
  [sym__constructor_name] = "_constructor_name",
  [sym_directive] = "directive",
  [sym_type_variable] = "type_variable",
  [sym_tag] = "tag",
  [sym_attribute_id] = "attribute_id",
  [aux_sym__structure_repeat1] = "_structure_repeat1",
  [aux_sym__structure_repeat2] = "_structure_repeat2",
  [aux_sym_expression_item_repeat1] = "expression_item_repeat1",
  [aux_sym__signature_repeat1] = "_signature_repeat1",
  [aux_sym_value_definition_repeat1] = "value_definition_repeat1",
  [aux_sym_let_binding_repeat1] = "let_binding_repeat1",
  [aux_sym_external_repeat1] = "external_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym_type_binding_repeat1] = "type_binding_repeat1",
  [aux_sym__type_params_repeat1] = "_type_params_repeat1",
  [aux_sym_variant_declaration_repeat1] = "variant_declaration_repeat1",
  [aux_sym_constructor_declaration_repeat1] = "constructor_declaration_repeat1",
  [aux_sym__constructor_argument_repeat1] = "_constructor_argument_repeat1",
  [aux_sym_record_declaration_repeat1] = "record_declaration_repeat1",
  [aux_sym_module_definition_repeat1] = "module_definition_repeat1",
  [aux_sym_module_binding_repeat1] = "module_binding_repeat1",
  [aux_sym_class_definition_repeat1] = "class_definition_repeat1",
  [aux_sym_class_type_definition_repeat1] = "class_type_definition_repeat1",
  [aux_sym_module_type_constraint_repeat1] = "module_type_constraint_repeat1",
  [aux_sym_instantiated_class_type_repeat1] = "instantiated_class_type_repeat1",
  [aux_sym_class_body_type_repeat1] = "class_body_type_repeat1",
  [aux_sym_instance_variable_specification_repeat1] = "instance_variable_specification_repeat1",
  [aux_sym_method_specification_repeat1] = "method_specification_repeat1",
  [aux_sym_class_application_repeat1] = "class_application_repeat1",
  [aux_sym__abstract_type_repeat1] = "_abstract_type_repeat1",
  [aux_sym_polymorphic_variant_type_repeat1] = "polymorphic_variant_type_repeat1",
  [aux_sym_polymorphic_variant_type_repeat2] = "polymorphic_variant_type_repeat2",
  [aux_sym_tag_specification_repeat1] = "tag_specification_repeat1",
  [aux_sym_object_type_repeat1] = "object_type_repeat1",
  [aux_sym_list_expression_repeat1] = "list_expression_repeat1",
  [aux_sym_record_expression_repeat1] = "record_expression_repeat1",
  [aux_sym__match_cases_repeat1] = "_match_cases_repeat1",
  [aux_sym_object_copy_expression_repeat1] = "object_copy_expression_repeat1",
  [aux_sym_object_expression_repeat1] = "object_expression_repeat1",
  [aux_sym_record_pattern_repeat1] = "record_pattern_repeat1",
  [aux_sym_record_binding_pattern_repeat1] = "record_binding_pattern_repeat1",
  [aux_sym_list_pattern_repeat1] = "list_pattern_repeat1",
  [aux_sym_list_binding_pattern_repeat1] = "list_binding_pattern_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_quoted_string_content_repeat1] = "quoted_string_content_repeat1",
  [aux_sym_attribute_id_repeat1] = "attribute_id_repeat1",
  [alias_sym_class_name] = "class_name",
  [alias_sym_class_type_name] = "class_type_name",
  [alias_sym_constructor_name] = "constructor_name",
  [alias_sym_field_name] = "field_name",
  [alias_sym_instance_variable_name] = "instance_variable_name",
  [alias_sym_label_name] = "label_name",
  [alias_sym_method_name] = "method_name",
  [alias_sym_module_name] = "module_name",
  [alias_sym_module_type_name] = "module_type_name",
  [alias_sym_type_constructor] = "type_constructor",
  [alias_sym_value_name] = "value_name",
  [alias_sym_value_pattern] = "value_pattern",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__identifier] = sym__identifier,
  [sym_shebang] = sym_shebang,
  [anon_sym_SEMI_SEMI] = anon_sym_SEMI_SEMI,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_rec] = anon_sym_rec,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_COLON_GT] = anon_sym_COLON_GT,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_external] = anon_sym_external,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_nonrec] = anon_sym_nonrec,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym__] = anon_sym__,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_COLON2] = anon_sym_COLON,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_mutable] = anon_sym_mutable,
  [anon_sym_constraint] = anon_sym_constraint,
  [anon_sym_exception] = anon_sym_exception,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_open] = anon_sym_open,
  [anon_sym_include] = anon_sym_include,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_virtual] = anon_sym_virtual,
  [anon_sym_val] = anon_sym_val,
  [anon_sym_sig] = anon_sym_sig,
  [anon_sym_end] = anon_sym_end,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_functor] = anon_sym_functor,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_inherit] = anon_sym_inherit,
  [anon_sym_method] = anon_sym_method,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_fun] = anon_sym_fun,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_initializer] = anon_sym_initializer,
  [anon_sym_LBRACK_GT] = anon_sym_LBRACK_GT,
  [anon_sym_LBRACK_LT] = anon_sym_LBRACK_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_PIPE] = anon_sym_LBRACK_PIPE,
  [anon_sym_PIPE_RBRACK] = anon_sym_PIPE_RBRACK,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_then] = anon_sym_then,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_done] = anon_sym_done,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_to] = anon_sym_to,
  [anon_sym_downto] = anon_sym_downto,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_lazy] = anon_sym_lazy,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_LBRACE_LT] = anon_sym_LBRACE_LT,
  [anon_sym_GT_RBRACE] = anon_sym_GT_RBRACE,
  [anon_sym_begin] = anon_sym_begin,
  [sym_ocamlyacc_value] = sym_ocamlyacc_value,
  [aux_sym_attribute_token1] = aux_sym_attribute_token1,
  [anon_sym_LBRACK_AT_AT] = anon_sym_LBRACK_AT_AT,
  [anon_sym_LBRACK_AT_AT_AT] = anon_sym_LBRACK_AT_AT_AT,
  [anon_sym_LBRACK_PERCENT] = anon_sym_LBRACK_PERCENT,
  [anon_sym_LBRACE_PERCENT] = anon_sym_LBRACE_PERCENT,
  [aux_sym_quoted_extension_token1] = aux_sym_quoted_extension_token1,
  [anon_sym_LBRACK_PERCENT_PERCENT] = anon_sym_LBRACK_PERCENT_PERCENT,
  [anon_sym_LBRACE_PERCENT_PERCENT] = anon_sym_LBRACE_PERCENT_PERCENT,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_number_token1] = aux_sym_number_token1,
  [aux_sym_signed_number_token1] = aux_sym_signed_number_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [aux_sym_character_content_token1] = aux_sym_character_content_token1,
  [aux_sym_character_content_token2] = aux_sym_character_content_token2,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_content_token1] = aux_sym_string_content_token1,
  [aux_sym_string_content_token2] = aux_sym_string_content_token2,
  [aux_sym_string_content_token3] = aux_sym_string_content_token3,
  [aux_sym_string_content_token4] = sym_escape_sequence,
  [aux_sym_string_content_token5] = sym_escape_sequence,
  [aux_sym_quoted_string_content_token1] = aux_sym_quoted_string_content_token1,
  [aux_sym_escape_sequence_token1] = aux_sym_escape_sequence_token1,
  [aux_sym_escape_sequence_token2] = aux_sym_escape_sequence_token2,
  [aux_sym_escape_sequence_token3] = aux_sym_escape_sequence_token3,
  [aux_sym_escape_sequence_token4] = aux_sym_escape_sequence_token4,
  [sym_conversion_specification] = sym_conversion_specification,
  [sym_pretty_printing_indication] = sym_pretty_printing_indication,
  [sym_prefix_operator] = sym_prefix_operator,
  [aux_sym_sign_operator_token1] = aux_sym_sign_operator_token1,
  [sym_hash_operator] = sym_hash_operator,
  [sym_pow_operator] = sym_pow_operator,
  [sym_mult_operator] = sym_mult_operator,
  [aux_sym_add_operator_token1] = aux_sym_add_operator_token1,
  [sym_concat_operator] = sym_concat_operator,
  [sym_rel_operator] = sym_rel_operator,
  [sym_and_operator] = sym_and_operator,
  [sym_or_operator] = sym_or_operator,
  [sym_assign_operator] = sym_assign_operator,
  [sym_indexing_operator] = sym_indexing_operator,
  [sym_let_operator] = sym_let_operator,
  [sym_let_and_operator] = sym_let_and_operator,
  [sym_match_operator] = sym_match_operator,
  [sym__capitalized_identifier] = sym__capitalized_identifier,
  [aux_sym_directive_token1] = aux_sym_directive_token1,
  [aux_sym_type_variable_token1] = aux_sym_type_variable_token1,
  [aux_sym_tag_token1] = aux_sym_tag_token1,
  [aux_sym_attribute_id_token1] = aux_sym_attribute_id_token1,
  [sym_comment] = sym_comment,
  [sym__left_quoted_string_delimiter] = sym__left_quoted_string_delimiter,
  [sym__right_quoted_string_delimiter] = sym__right_quoted_string_delimiter,
  [sym_line_number_directive] = sym_line_number_directive,
  [sym__null] = sym__null,
  [sym_compilation_unit] = sym_compilation_unit,
  [sym__structure] = sym__structure,
  [sym_expression_item] = sym_expression_item,
  [sym__signature] = sym__signature,
  [sym_toplevel_directive] = sym_toplevel_directive,
  [sym__structure_item] = sym__structure_item,
  [sym_value_definition] = sym_value_definition,
  [sym_let_binding] = sym_let_binding,
  [sym_parameter] = sym_parameter,
  [sym_external] = sym_external,
  [sym_type_definition] = sym_type_definition,
  [sym_type_binding] = sym_type_binding,
  [sym__type_params] = sym__type_params,
  [sym__type_param] = sym__type_param,
  [sym__type_equation] = sym__type_equation,
  [sym_variant_declaration] = sym_variant_declaration,
  [sym_constructor_declaration] = sym_constructor_declaration,
  [sym__constructor_argument] = sym__constructor_argument,
  [sym_record_declaration] = sym_record_declaration,
  [sym_field_declaration] = sym_field_declaration,
  [sym_type_constraint] = sym_type_constraint,
  [sym_exception_definition] = sym_exception_definition,
  [sym_module_definition] = sym_module_definition,
  [sym_module_binding] = sym_module_binding,
  [sym_module_parameter] = sym_module_parameter,
  [sym_module_type_definition] = sym_module_type_definition,
  [sym_open_module] = sym_open_module,
  [sym_include_module] = sym_include_module,
  [sym_class_definition] = sym_class_definition,
  [sym_class_binding] = sym_class_binding,
  [sym_class_type_definition] = sym_class_type_definition,
  [sym_class_type_binding] = sym_class_type_binding,
  [sym__signature_item] = sym__signature_item,
  [sym_value_specification] = sym_value_specification,
  [sym_include_module_type] = sym_include_module_type,
  [sym__module_typed] = sym__module_typed,
  [sym__module_type] = sym__module_type,
  [sym_signature] = sym_signature,
  [sym_module_type_constraint] = sym_module_type_constraint,
  [sym_constrain_type] = sym_constrain_type,
  [sym_constrain_module] = sym_constrain_module,
  [sym_constrain_module_type] = sym_constrain_module_type,
  [sym_module_type_of] = sym_module_type_of,
  [sym_functor_type] = sym_functor_type,
  [sym_parenthesized_module_type] = sym_parenthesized_module_type,
  [sym__simple_module_expression] = sym__simple_module_expression,
  [sym__module_expression] = sym__module_expression,
  [sym_structure] = sym_structure,
  [sym_functor] = sym_functor,
  [sym_module_application] = sym_module_application,
  [sym_typed_module_expression] = sym_typed_module_expression,
  [sym_packed_module] = sym_packed_module,
  [sym_parenthesized_module_expression] = sym_parenthesized_module_expression,
  [sym__class_typed] = sym__class_typed,
  [sym__simple_class_type] = sym__simple_class_type,
  [sym__class_type] = sym__class_type,
  [sym_instantiated_class_type] = sym_instantiated_class_type,
  [sym_class_body_type] = sym_class_body_type,
  [sym__class_field_specification] = sym__class_field_specification,
  [sym_inheritance_specification] = sym_inheritance_specification,
  [sym_instance_variable_specification] = sym_instance_variable_specification,
  [sym_method_specification] = sym_method_specification,
  [sym_type_parameter_constraint] = sym_type_parameter_constraint,
  [sym_let_open_class_type] = sym_let_open_class_type,
  [sym_class_function_type] = sym_class_function_type,
  [sym__simple_class_expression] = sym__simple_class_expression,
  [sym__class_expression] = sym__class_expression,
  [sym_instantiated_class] = sym_instantiated_class,
  [sym_typed_class_expression] = sym_typed_class_expression,
  [sym_class_function] = sym_class_function,
  [sym_class_application] = sym_class_application,
  [sym_let_class_expression] = sym_let_class_expression,
  [sym__class_field] = sym__class_field,
  [sym_inheritance_definition] = sym_inheritance_definition,
  [sym_instance_variable_definition] = sym_instance_variable_definition,
  [sym_method_definition] = sym_method_definition,
  [sym_class_initializer] = sym_class_initializer,
  [sym_let_open_class_expression] = sym_let_open_class_expression,
  [sym_parenthesized_class_expression] = sym_parenthesized_class_expression,
  [sym__typed] = sym__typed,
  [sym__simple_typed] = sym__simple_typed,
  [sym__polymorphic_typed] = sym__polymorphic_typed,
  [sym__polymorphic_type] = sym__polymorphic_type,
  [sym_polymorphic_type] = sym_polymorphic_type,
  [sym__abstract_type] = sym__abstract_type,
  [sym__parenthesized_abstract_type] = sym__parenthesized_abstract_type,
  [sym__simple_type] = sym__simple_type,
  [sym__tuple_type] = sym__tuple_type,
  [sym__type] = sym__type,
  [sym_function_type] = sym_function_type,
  [sym_typed_label] = sym_typed_label,
  [sym_tuple_type] = sym_tuple_type,
  [sym_constructed_type] = sym_constructed_type,
  [sym_aliased_type] = sym_aliased_type,
  [sym_local_open_type] = sym_local_open_type,
  [sym_polymorphic_variant_type] = sym_polymorphic_variant_type,
  [sym__tag_spec] = sym__tag_spec,
  [sym_tag_specification] = sym_tag_specification,
  [sym_package_type] = sym_package_type,
  [sym_object_type] = sym_object_type,
  [sym_method_type] = sym_method_type,
  [sym_hash_type] = sym_hash_type,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym__simple_expression] = sym__simple_expression,
  [sym__expression] = sym__expression,
  [sym__sequence_expression] = sym__sequence_expression,
  [sym_typed_expression] = sym_typed_expression,
  [sym_product_expression] = sym_product_expression,
  [sym_cons_expression] = sym_cons_expression,
  [sym_list_expression] = sym_list_expression,
  [sym_array_expression] = sym_array_expression,
  [sym_record_expression] = sym_record_expression,
  [sym_field_expression] = sym_field_expression,
  [sym_application_expression] = sym_application_expression,
  [sym_labeled_argument] = sym_labeled_argument,
  [sym_prefix_expression] = sym_prefix_expression,
  [sym_sign_expression] = sym_sign_expression,
  [sym_hash_expression] = sym_hash_expression,
  [sym_infix_expression] = sym_infix_expression,
  [sym_field_get_expression] = sym_field_get_expression,
  [sym_array_get_expression] = sym_array_get_expression,
  [sym_string_get_expression] = sym_string_get_expression,
  [sym_bigarray_get_expression] = sym_bigarray_get_expression,
  [sym_set_expression] = sym_set_expression,
  [sym_if_expression] = sym_if_expression,
  [sym_then_clause] = sym_then_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_while_expression] = sym_while_expression,
  [sym_do_clause] = sym_do_clause,
  [sym_for_expression] = sym_for_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_match_expression] = sym_match_expression,
  [sym__match_cases] = sym__match_cases,
  [sym_match_case] = sym_match_case,
  [sym_guard] = sym_guard,
  [sym_refutation_case] = sym_refutation_case,
  [sym_function_expression] = sym_function_expression,
  [sym_fun_expression] = sym_fun_expression,
  [sym_try_expression] = sym_try_expression,
  [sym_let_expression] = sym_let_expression,
  [sym_coercion_expression] = sym_coercion_expression,
  [sym_assert_expression] = sym_assert_expression,
  [sym_lazy_expression] = sym_lazy_expression,
  [sym_let_module_expression] = sym_let_module_expression,
  [sym_let_open_expression] = sym_let_open_expression,
  [sym_local_open_expression] = sym_local_open_expression,
  [sym_package_expression] = sym_package_expression,
  [sym_let_exception_expression] = sym_let_exception_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_object_copy_expression] = sym_object_copy_expression,
  [sym_instance_variable_expression] = sym_instance_variable_expression,
  [sym_method_invocation] = sym_method_invocation,
  [sym_object_expression] = sym_object_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym__simple_pattern] = sym__simple_pattern,
  [sym__pattern] = sym__pattern,
  [sym__binding_pattern] = sym__binding_pattern,
  [sym_alias_pattern] = sym_alias_pattern,
  [sym_alias_binding_pattern] = sym_alias_pattern,
  [sym_typed_pattern] = sym_typed_pattern,
  [sym_typed_binding_pattern] = sym_typed_pattern,
  [sym_or_pattern] = sym_or_pattern,
  [sym_or_binding_pattern] = sym_or_pattern,
  [sym_constructor_pattern] = sym_constructor_pattern,
  [sym_constructor_binding_pattern] = sym_constructor_pattern,
  [sym_tag_pattern] = sym_tag_pattern,
  [sym_tag_binding_pattern] = sym_tag_pattern,
  [sym_polymorphic_variant_pattern] = sym_polymorphic_variant_pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_tuple_binding_pattern] = sym_tuple_pattern,
  [sym_record_pattern] = sym_record_pattern,
  [sym_field_pattern] = sym_field_pattern,
  [sym_record_binding_pattern] = sym_record_binding_pattern,
  [sym_field_binding_pattern] = sym_field_pattern,
  [sym_list_pattern] = sym_list_pattern,
  [sym_list_binding_pattern] = sym_list_binding_pattern,
  [sym_cons_pattern] = sym_cons_pattern,
  [sym_cons_binding_pattern] = sym_cons_pattern,
  [sym_array_pattern] = sym_array_pattern,
  [sym_array_binding_pattern] = sym_array_binding_pattern,
  [sym_range_pattern] = sym_range_pattern,
  [sym_lazy_pattern] = sym_lazy_pattern,
  [sym_lazy_binding_pattern] = sym_lazy_pattern,
  [sym_local_open_pattern] = sym_local_open_pattern,
  [sym_local_open_binding_pattern] = sym_local_open_pattern,
  [sym_package_pattern] = sym_package_pattern,
  [sym_parenthesized_pattern] = sym_parenthesized_pattern,
  [sym_parenthesized_binding_pattern] = sym_parenthesized_pattern,
  [sym_exception_pattern] = sym_exception_pattern,
  [sym_attribute] = sym_attribute,
  [sym_item_attribute] = sym_item_attribute,
  [sym_floating_attribute] = sym_floating_attribute,
  [sym_attribute_payload] = sym_attribute_payload,
  [sym_extension] = sym_extension,
  [sym_quoted_extension] = sym_quoted_extension,
  [sym_item_extension] = sym_item_extension,
  [sym_quoted_item_extension] = sym_quoted_item_extension,
  [sym__attribute] = sym__attribute,
  [sym__constant] = sym__constant,
  [sym__signed_constant] = sym__signed_constant,
  [sym_number] = sym_number,
  [sym_signed_number] = sym_signed_number,
  [sym_character] = sym_character,
  [sym_character_content] = sym_character_content,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_quoted_string] = sym_quoted_string,
  [sym__quoted_string] = sym__quoted_string,
  [sym_quoted_string_content] = sym_quoted_string_content,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_boolean] = sym_boolean,
  [sym_unit] = sym_unit,
  [sym_sign_operator] = sym_sign_operator,
  [sym__infix_operator] = sym__infix_operator,
  [sym_add_operator] = sym_add_operator,
  [sym_indexing_operator_path] = sym_indexing_operator_path,
  [sym__value_name] = sym__value_name,
  [sym__simple_value_pattern] = sym__simple_value_pattern,
  [sym_parenthesized_operator] = sym_parenthesized_operator,
  [sym_value_path] = sym_value_path,
  [sym_module_path] = sym_module_path,
  [sym_extended_module_path] = sym_extended_module_path,
  [sym_module_type_path] = sym_module_type_path,
  [sym_field_path] = sym_field_path,
  [sym_constructor_path] = sym_constructor_path,
  [sym_type_constructor_path] = sym_type_constructor_path,
  [sym_class_path] = sym_class_path,
  [sym_class_type_path] = sym_class_type_path,
  [sym__instance_variable_name] = sym__instance_variable_name,
  [sym__constructor_name] = sym__constructor_name,
  [sym_directive] = sym_directive,
  [sym_type_variable] = sym_type_variable,
  [sym_tag] = sym_tag,
  [sym_attribute_id] = sym_attribute_id,
  [aux_sym__structure_repeat1] = aux_sym__structure_repeat1,
  [aux_sym__structure_repeat2] = aux_sym__structure_repeat2,
  [aux_sym_expression_item_repeat1] = aux_sym_expression_item_repeat1,
  [aux_sym__signature_repeat1] = aux_sym__signature_repeat1,
  [aux_sym_value_definition_repeat1] = aux_sym_value_definition_repeat1,
  [aux_sym_let_binding_repeat1] = aux_sym_let_binding_repeat1,
  [aux_sym_external_repeat1] = aux_sym_external_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym_type_binding_repeat1] = aux_sym_type_binding_repeat1,
  [aux_sym__type_params_repeat1] = aux_sym__type_params_repeat1,
  [aux_sym_variant_declaration_repeat1] = aux_sym_variant_declaration_repeat1,
  [aux_sym_constructor_declaration_repeat1] = aux_sym_constructor_declaration_repeat1,
  [aux_sym__constructor_argument_repeat1] = aux_sym__constructor_argument_repeat1,
  [aux_sym_record_declaration_repeat1] = aux_sym_record_declaration_repeat1,
  [aux_sym_module_definition_repeat1] = aux_sym_module_definition_repeat1,
  [aux_sym_module_binding_repeat1] = aux_sym_module_binding_repeat1,
  [aux_sym_class_definition_repeat1] = aux_sym_class_definition_repeat1,
  [aux_sym_class_type_definition_repeat1] = aux_sym_class_type_definition_repeat1,
  [aux_sym_module_type_constraint_repeat1] = aux_sym_module_type_constraint_repeat1,
  [aux_sym_instantiated_class_type_repeat1] = aux_sym_instantiated_class_type_repeat1,
  [aux_sym_class_body_type_repeat1] = aux_sym_class_body_type_repeat1,
  [aux_sym_instance_variable_specification_repeat1] = aux_sym_instance_variable_specification_repeat1,
  [aux_sym_method_specification_repeat1] = aux_sym_method_specification_repeat1,
  [aux_sym_class_application_repeat1] = aux_sym_class_application_repeat1,
  [aux_sym__abstract_type_repeat1] = aux_sym__abstract_type_repeat1,
  [aux_sym_polymorphic_variant_type_repeat1] = aux_sym_polymorphic_variant_type_repeat1,
  [aux_sym_polymorphic_variant_type_repeat2] = aux_sym_polymorphic_variant_type_repeat2,
  [aux_sym_tag_specification_repeat1] = aux_sym_tag_specification_repeat1,
  [aux_sym_object_type_repeat1] = aux_sym_object_type_repeat1,
  [aux_sym_list_expression_repeat1] = aux_sym_list_expression_repeat1,
  [aux_sym_record_expression_repeat1] = aux_sym_record_expression_repeat1,
  [aux_sym__match_cases_repeat1] = aux_sym__match_cases_repeat1,
  [aux_sym_object_copy_expression_repeat1] = aux_sym_object_copy_expression_repeat1,
  [aux_sym_object_expression_repeat1] = aux_sym_object_expression_repeat1,
  [aux_sym_record_pattern_repeat1] = aux_sym_record_pattern_repeat1,
  [aux_sym_record_binding_pattern_repeat1] = aux_sym_record_binding_pattern_repeat1,
  [aux_sym_list_pattern_repeat1] = aux_sym_list_pattern_repeat1,
  [aux_sym_list_binding_pattern_repeat1] = aux_sym_list_binding_pattern_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_quoted_string_content_repeat1] = aux_sym_quoted_string_content_repeat1,
  [aux_sym_attribute_id_repeat1] = aux_sym_attribute_id_repeat1,
  [alias_sym_class_name] = alias_sym_class_name,
  [alias_sym_class_type_name] = alias_sym_class_type_name,
  [alias_sym_constructor_name] = alias_sym_constructor_name,
  [alias_sym_field_name] = alias_sym_field_name,
  [alias_sym_instance_variable_name] = alias_sym_instance_variable_name,
  [alias_sym_label_name] = alias_sym_label_name,
  [alias_sym_method_name] = alias_sym_method_name,
  [alias_sym_module_name] = alias_sym_module_name,
  [alias_sym_module_type_name] = alias_sym_module_type_name,
  [alias_sym_type_constructor] = alias_sym_type_constructor,
  [alias_sym_value_name] = alias_sym_value_name,
  [alias_sym_value_pattern] = alias_sym_value_pattern,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_shebang] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_external] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonrec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constraint] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exception] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_open] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_include] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_virtual] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_val] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sig] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_end] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_functor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inherit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_method] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fun] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_initializer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_done] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_to] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_downto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lazy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_begin] = {
    .visible = true,
    .named = false,
  },
  [sym_ocamlyacc_value] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_attribute_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_AT_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_AT_AT_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_quoted_extension_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LBRACK_PERCENT_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PERCENT_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_number_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_signed_number_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_character_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_character_content_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_token4] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_content_token5] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_quoted_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token4] = {
    .visible = false,
    .named = false,
  },
  [sym_conversion_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_pretty_printing_indication] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_operator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_sign_operator_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_hash_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_pow_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_mult_operator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_add_operator_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_concat_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_rel_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_and_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_or_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_assign_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_indexing_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_let_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_let_and_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_match_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__capitalized_identifier] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_directive_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_variable_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tag_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_id_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__left_quoted_string_delimiter] = {
    .visible = false,
    .named = true,
  },
  [sym__right_quoted_string_delimiter] = {
    .visible = false,
    .named = true,
  },
  [sym_line_number_directive] = {
    .visible = true,
    .named = true,
  },
  [sym__null] = {
    .visible = false,
    .named = true,
  },
  [sym_compilation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym__structure] = {
    .visible = false,
    .named = true,
  },
  [sym_expression_item] = {
    .visible = true,
    .named = true,
  },
  [sym__signature] = {
    .visible = false,
    .named = true,
  },
  [sym_toplevel_directive] = {
    .visible = true,
    .named = true,
  },
  [sym__structure_item] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_value_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_let_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_external] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_type_binding] = {
    .visible = true,
    .named = true,
  },
  [sym__type_params] = {
    .visible = false,
    .named = true,
  },
  [sym__type_param] = {
    .visible = false,
    .named = true,
  },
  [sym__type_equation] = {
    .visible = false,
    .named = true,
  },
  [sym_variant_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_argument] = {
    .visible = false,
    .named = true,
  },
  [sym_record_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_exception_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_module_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_module_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_module_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_open_module] = {
    .visible = true,
    .named = true,
  },
  [sym_include_module] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_class_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_type_binding] = {
    .visible = true,
    .named = true,
  },
  [sym__signature_item] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_value_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_include_module_type] = {
    .visible = true,
    .named = true,
  },
  [sym__module_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__module_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_module] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_module_type] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_of] = {
    .visible = true,
    .named = true,
  },
  [sym_functor_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_module_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_module_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__module_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_structure] = {
    .visible = true,
    .named = true,
  },
  [sym_functor] = {
    .visible = true,
    .named = true,
  },
  [sym_module_application] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_module_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_packed_module] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_module_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__class_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_class_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__class_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_instantiated_class_type] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body_type] = {
    .visible = true,
    .named = true,
  },
  [sym__class_field_specification] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_inheritance_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_method_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_let_open_class_type] = {
    .visible = true,
    .named = true,
  },
  [sym_class_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_class_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__class_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_instantiated_class] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_function] = {
    .visible = true,
    .named = true,
  },
  [sym_class_application] = {
    .visible = true,
    .named = true,
  },
  [sym_let_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__class_field] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_inheritance_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_let_open_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__typed] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__polymorphic_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__polymorphic_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_polymorphic_type] = {
    .visible = true,
    .named = true,
  },
  [sym__abstract_type] = {
    .visible = false,
    .named = true,
  },
  [sym__parenthesized_abstract_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__tuple_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_label] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constructed_type] = {
    .visible = true,
    .named = true,
  },
  [sym_aliased_type] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_type] = {
    .visible = true,
    .named = true,
  },
  [sym_polymorphic_variant_type] = {
    .visible = true,
    .named = true,
  },
  [sym__tag_spec] = {
    .visible = false,
    .named = true,
  },
  [sym_tag_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_package_type] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type] = {
    .visible = true,
    .named = true,
  },
  [sym_method_type] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__sequence_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_typed_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_product_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cons_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_record_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_application_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sign_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_field_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_bigarray_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_set_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_if_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_then_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_while_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_do_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__match_cases] = {
    .visible = false,
    .named = true,
  },
  [sym_match_case] = {
    .visible = true,
    .named = true,
  },
  [sym_guard] = {
    .visible = true,
    .named = true,
  },
  [sym_refutation_case] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_fun_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_try_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_coercion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_module_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_open_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_package_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_exception_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object_copy_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_method_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_object_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__binding_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_alias_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_or_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_or_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tag_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tag_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_polymorphic_variant_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_record_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_field_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_record_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_field_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_cons_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_cons_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_range_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_package_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_exception_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_item_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_floating_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_payload] = {
    .visible = true,
    .named = true,
  },
  [sym_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_item_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_item_extension] = {
    .visible = true,
    .named = true,
  },
  [sym__attribute] = {
    .visible = false,
    .named = true,
  },
  [sym__constant] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__signed_constant] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_signed_number] = {
    .visible = true,
    .named = true,
  },
  [sym_character] = {
    .visible = true,
    .named = true,
  },
  [sym_character_content] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_string] = {
    .visible = true,
    .named = true,
  },
  [sym__quoted_string] = {
    .visible = false,
    .named = true,
  },
  [sym_quoted_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_sign_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__infix_operator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_add_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_indexing_operator_path] = {
    .visible = true,
    .named = true,
  },
  [sym__value_name] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_value_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_value_path] = {
    .visible = true,
    .named = true,
  },
  [sym_module_path] = {
    .visible = true,
    .named = true,
  },
  [sym_extended_module_path] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_path] = {
    .visible = true,
    .named = true,
  },
  [sym_field_path] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_path] = {
    .visible = true,
    .named = true,
  },
  [sym_type_constructor_path] = {
    .visible = true,
    .named = true,
  },
  [sym_class_path] = {
    .visible = true,
    .named = true,
  },
  [sym_class_type_path] = {
    .visible = true,
    .named = true,
  },
  [sym__instance_variable_name] = {
    .visible = false,
    .named = true,
  },
  [sym__constructor_name] = {
    .visible = false,
    .named = true,
  },
  [sym_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_type_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_id] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__structure_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__structure_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_item_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__signature_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_value_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_let_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_external_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variant_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constructor_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__constructor_argument_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_type_constraint_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_instantiated_class_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_instance_variable_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_method_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_application_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__abstract_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_polymorphic_variant_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_polymorphic_variant_type_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tag_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__match_cases_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_copy_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_binding_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_binding_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_quoted_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_id_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_class_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_class_type_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_constructor_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_field_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_instance_variable_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_label_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_method_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_module_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_module_type_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_constructor] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_value_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_value_pattern] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_argument = 1,
  field_body = 2,
  field_class = 3,
  field_condition = 4,
  field_from = 5,
  field_function = 6,
  field_functor = 7,
  field_left = 8,
  field_name = 9,
  field_operator = 10,
  field_pattern = 11,
  field_right = 12,
  field_to = 13,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_argument] = "argument",
  [field_body] = "body",
  [field_class] = "class",
  [field_condition] = "condition",
  [field_from] = "from",
  [field_function] = "function",
  [field_functor] = "functor",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_pattern] = "pattern",
  [field_right] = "right",
  [field_to] = "to",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [3] = {.index = 0, .length = 1},
  [7] = {.index = 0, .length = 1},
  [9] = {.index = 0, .length = 1},
  [12] = {.index = 1, .length = 1},
  [14] = {.index = 2, .length = 1},
  [15] = {.index = 3, .length = 2},
  [16] = {.index = 1, .length = 1},
  [18] = {.index = 5, .length = 1},
  [23] = {.index = 0, .length = 1},
  [25] = {.index = 6, .length = 2},
  [26] = {.index = 8, .length = 1},
  [27] = {.index = 9, .length = 2},
  [28] = {.index = 11, .length = 1},
  [30] = {.index = 12, .length = 2},
  [33] = {.index = 12, .length = 2},
  [35] = {.index = 14, .length = 1},
  [36] = {.index = 12, .length = 2},
  [37] = {.index = 15, .length = 1},
  [39] = {.index = 12, .length = 2},
  [40] = {.index = 16, .length = 1},
  [42] = {.index = 1, .length = 1},
  [43] = {.index = 1, .length = 1},
  [44] = {.index = 17, .length = 1},
  [47] = {.index = 18, .length = 3},
  [48] = {.index = 21, .length = 2},
  [49] = {.index = 23, .length = 2},
  [50] = {.index = 25, .length = 1},
  [51] = {.index = 26, .length = 2},
  [52] = {.index = 28, .length = 2},
  [53] = {.index = 28, .length = 2},
  [54] = {.index = 26, .length = 2},
  [55] = {.index = 30, .length = 2},
  [56] = {.index = 26, .length = 2},
  [57] = {.index = 32, .length = 1},
  [58] = {.index = 12, .length = 2},
  [59] = {.index = 14, .length = 1},
  [60] = {.index = 28, .length = 2},
  [61] = {.index = 33, .length = 2},
  [62] = {.index = 26, .length = 2},
  [63] = {.index = 35, .length = 2},
  [67] = {.index = 2, .length = 1},
  [68] = {.index = 2, .length = 1},
  [69] = {.index = 37, .length = 1},
  [71] = {.index = 38, .length = 2},
  [73] = {.index = 40, .length = 2},
  [74] = {.index = 42, .length = 2},
  [75] = {.index = 42, .length = 2},
  [76] = {.index = 44, .length = 2},
  [77] = {.index = 1, .length = 1},
  [78] = {.index = 40, .length = 2},
  [79] = {.index = 28, .length = 2},
  [80] = {.index = 46, .length = 1},
  [81] = {.index = 42, .length = 2},
  [82] = {.index = 47, .length = 1},
  [83] = {.index = 48, .length = 1},
  [85] = {.index = 40, .length = 2},
  [86] = {.index = 49, .length = 2},
  [87] = {.index = 14, .length = 1},
  [88] = {.index = 14, .length = 1},
  [89] = {.index = 28, .length = 2},
  [90] = {.index = 51, .length = 1},
  [92] = {.index = 52, .length = 2},
  [93] = {.index = 44, .length = 2},
  [94] = {.index = 54, .length = 1},
  [95] = {.index = 52, .length = 2},
  [98] = {.index = 48, .length = 1},
  [99] = {.index = 55, .length = 2},
  [100] = {.index = 30, .length = 2},
  [101] = {.index = 30, .length = 2},
  [102] = {.index = 42, .length = 2},
  [103] = {.index = 57, .length = 1},
  [105] = {.index = 44, .length = 2},
  [106] = {.index = 58, .length = 2},
  [107] = {.index = 60, .length = 2},
  [108] = {.index = 62, .length = 2},
  [109] = {.index = 64, .length = 2},
  [110] = {.index = 44, .length = 2},
  [111] = {.index = 52, .length = 2},
  [112] = {.index = 64, .length = 2},
  [113] = {.index = 44, .length = 2},
  [114] = {.index = 52, .length = 2},
  [115] = {.index = 66, .length = 3},
  [116] = {.index = 60, .length = 2},
  [117] = {.index = 69, .length = 2},
  [118] = {.index = 71, .length = 2},
  [119] = {.index = 73, .length = 2},
  [120] = {.index = 75, .length = 2},
  [121] = {.index = 77, .length = 2},
  [122] = {.index = 58, .length = 2},
  [123] = {.index = 79, .length = 2},
  [124] = {.index = 77, .length = 2},
  [125] = {.index = 58, .length = 2},
  [126] = {.index = 81, .length = 3},
  [127] = {.index = 73, .length = 2},
  [128] = {.index = 84, .length = 2},
  [129] = {.index = 86, .length = 2},
  [130] = {.index = 88, .length = 1},
  [131] = {.index = 89, .length = 2},
  [132] = {.index = 69, .length = 2},
  [133] = {.index = 69, .length = 2},
  [134] = {.index = 91, .length = 2},
  [135] = {.index = 93, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0},
  [1] =
    {field_name, 1},
  [2] =
    {field_name, 2},
  [3] =
    {field_argument, 1},
    {field_functor, 0},
  [5] =
    {field_pattern, 0},
  [6] =
    {field_operator, 0},
    {field_right, 1},
  [8] =
    {field_argument, 0},
  [9] =
    {field_argument, 1, .inherited = true},
    {field_function, 0},
  [11] =
    {field_left, 0},
  [12] =
    {field_body, 2},
    {field_name, 0},
  [14] =
    {field_name, 3},
  [15] =
    {field_functor, 0},
  [16] =
    {field_pattern, 1},
  [17] =
    {field_condition, 1},
  [18] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [21] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [23] =
    {field_left, 0},
    {field_right, 2},
  [25] =
    {field_body, 2},
  [26] =
    {field_body, 3},
    {field_name, 0},
  [28] =
    {field_body, 3},
    {field_name, 1},
  [30] =
    {field_body, 4},
    {field_name, 2},
  [32] =
    {field_body, 3},
  [33] =
    {field_argument, 1, .inherited = true},
    {field_class, 0},
  [35] =
    {field_body, 2},
    {field_pattern, 0},
  [37] =
    {field_condition, 2},
  [38] =
    {field_left, 0},
    {field_right, 3},
  [40] =
    {field_body, 4},
    {field_name, 0},
  [42] =
    {field_body, 4},
    {field_name, 1},
  [44] =
    {field_body, 5},
    {field_name, 3},
  [46] =
    {field_name, 4},
  [47] =
    {field_pattern, 2},
  [48] =
    {field_pattern, 3},
  [49] =
    {field_body, 3},
    {field_pattern, 0},
  [51] =
    {field_body, 4},
  [52] =
    {field_body, 5},
    {field_name, 1},
  [54] =
    {field_name, 5},
  [55] =
    {field_body, 4},
    {field_pattern, 0},
  [57] =
    {field_body, 5},
  [58] =
    {field_body, 6},
    {field_name, 3},
  [60] =
    {field_body, 6},
    {field_name, 4},
  [62] =
    {field_body, 5},
    {field_pattern, 0},
  [64] =
    {field_body, 5},
    {field_name, 2},
  [66] =
    {field_from, 3},
    {field_name, 1},
    {field_to, 5},
  [69] =
    {field_body, 7},
    {field_name, 3},
  [71] =
    {field_body, 7},
    {field_name, 4},
  [73] =
    {field_body, 7},
    {field_name, 5},
  [75] =
    {field_body, 6},
    {field_pattern, 0},
  [77] =
    {field_body, 6},
    {field_name, 2},
  [79] =
    {field_body, 6},
    {field_name, 1},
  [81] =
    {field_from, 4},
    {field_name, 2},
    {field_to, 6},
  [84] =
    {field_body, 8},
    {field_name, 4},
  [86] =
    {field_body, 8},
    {field_name, 5},
  [88] =
    {field_pattern, 4},
  [89] =
    {field_body, 7},
    {field_name, 2},
  [91] =
    {field_body, 9},
    {field_name, 5},
  [93] =
    {field_body, 8},
    {field_name, 3},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_value_name,
  },
  [2] = {
    [0] = sym_type_variable,
  },
  [3] = {
    [0] = alias_sym_type_constructor,
  },
  [4] = {
    [0] = alias_sym_type_constructor,
  },
  [5] = {
    [0] = alias_sym_module_name,
  },
  [6] = {
    [0] = alias_sym_constructor_name,
  },
  [7] = {
    [0] = alias_sym_module_name,
  },
  [8] = {
    [0] = alias_sym_module_type_name,
  },
  [9] = {
    [0] = alias_sym_class_name,
  },
  [10] = {
    [0] = alias_sym_instance_variable_name,
  },
  [11] = {
    [1] = sym_type_variable,
  },
  [12] = {
    [1] = alias_sym_type_constructor,
  },
  [13] = {
    [0] = alias_sym_constructor_name,
    [1] = alias_sym_constructor_name,
  },
  [14] = {
    [2] = alias_sym_module_type_name,
  },
  [16] = {
    [1] = alias_sym_class_name,
  },
  [17] = {
    [0] = alias_sym_value_pattern,
  },
  [19] = {
    [0] = sym_record_pattern,
  },
  [20] = {
    [0] = sym_list_pattern,
  },
  [21] = {
    [0] = sym_array_pattern,
  },
  [22] = {
    [0] = alias_sym_field_name,
  },
  [24] = {
    [0] = alias_sym_class_name,
  },
  [29] = {
    [2] = sym_type_variable,
  },
  [30] = {
    [0] = alias_sym_type_constructor,
  },
  [31] = {
    [2] = alias_sym_type_constructor,
  },
  [32] = {
    [2] = alias_sym_module_name,
  },
  [34] = {
    [1] = alias_sym_constructor_name,
  },
  [35] = {
    [3] = alias_sym_module_type_name,
  },
  [36] = {
    [0] = alias_sym_module_name,
  },
  [38] = {
    [2] = alias_sym_module_type_name,
  },
  [39] = {
    [0] = alias_sym_class_name,
  },
  [41] = {
    [0] = alias_sym_class_type_name,
  },
  [43] = {
    [1] = alias_sym_method_name,
  },
  [45] = {
    [1] = alias_sym_label_name,
  },
  [46] = {
    [2] = alias_sym_method_name,
  },
  [51] = {
    [0] = alias_sym_type_constructor,
  },
  [52] = {
    [1] = alias_sym_type_constructor,
  },
  [55] = {
    [2] = alias_sym_module_type_name,
  },
  [56] = {
    [0] = alias_sym_module_name,
  },
  [58] = {
    [0] = alias_sym_class_type_name,
  },
  [59] = {
    [3] = alias_sym_class_name,
  },
  [60] = {
    [1] = alias_sym_class_name,
  },
  [62] = {
    [0] = alias_sym_class_name,
  },
  [64] = {
    [0] = alias_sym_method_name,
  },
  [65] = {
    [0] = alias_sym_label_name,
  },
  [66] = {
    [2] = alias_sym_field_name,
  },
  [68] = {
    [2] = alias_sym_method_name,
  },
  [70] = {
    [2] = alias_sym_class_name,
  },
  [72] = {
    [0] = sym__parenthesized_abstract_type,
  },
  [73] = {
    [0] = alias_sym_type_constructor,
  },
  [74] = {
    [1] = alias_sym_type_constructor,
  },
  [76] = {
    [3] = alias_sym_module_type_name,
  },
  [77] = {
    [1] = alias_sym_module_name,
  },
  [78] = {
    [0] = alias_sym_module_name,
  },
  [79] = {
    [1] = alias_sym_class_type_name,
  },
  [80] = {
    [4] = alias_sym_class_name,
  },
  [81] = {
    [1] = alias_sym_class_name,
  },
  [83] = {
    [1] = alias_sym_label_name,
  },
  [84] = {
    [2] = alias_sym_class_type_name,
  },
  [85] = {
    [0] = alias_sym_class_name,
  },
  [88] = {
    [3] = alias_sym_method_name,
  },
  [89] = {
    [1] = alias_sym_method_name,
  },
  [91] = {
    [1] = alias_sym_field_name,
  },
  [92] = {
    [1] = alias_sym_type_constructor,
  },
  [93] = {
    [3] = alias_sym_class_name,
  },
  [94] = {
    [5] = alias_sym_class_name,
  },
  [95] = {
    [1] = alias_sym_class_name,
  },
  [96] = {
    [3] = alias_sym_module_name,
  },
  [97] = {
    [1] = alias_sym_method_name,
  },
  [101] = {
    [2] = alias_sym_method_name,
  },
  [102] = {
    [1] = alias_sym_method_name,
  },
  [104] = {
    [2] = alias_sym_label_name,
  },
  [105] = {
    [3] = alias_sym_class_type_name,
  },
  [106] = {
    [3] = alias_sym_class_name,
  },
  [107] = {
    [4] = alias_sym_class_name,
  },
  [112] = {
    [2] = alias_sym_method_name,
  },
  [113] = {
    [3] = alias_sym_method_name,
  },
  [114] = {
    [1] = alias_sym_method_name,
  },
  [116] = {
    [4] = alias_sym_class_type_name,
  },
  [117] = {
    [3] = alias_sym_class_name,
  },
  [118] = {
    [4] = alias_sym_class_name,
  },
  [119] = {
    [5] = alias_sym_class_name,
  },
  [124] = {
    [2] = alias_sym_method_name,
  },
  [125] = {
    [3] = alias_sym_method_name,
  },
  [127] = {
    [5] = alias_sym_class_type_name,
  },
  [128] = {
    [4] = alias_sym_class_name,
  },
  [129] = {
    [5] = alias_sym_class_name,
  },
  [130] = {
    [1] = alias_sym_label_name,
  },
  [133] = {
    [3] = alias_sym_method_name,
  },
  [134] = {
    [5] = alias_sym_class_name,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__abstract_type, 2,
    sym__abstract_type,
    sym__parenthesized_abstract_type,
  sym_record_binding_pattern, 2,
    sym_record_binding_pattern,
    sym_record_pattern,
  sym_list_binding_pattern, 2,
    sym_list_binding_pattern,
    sym_list_pattern,
  sym_array_binding_pattern, 2,
    sym_array_binding_pattern,
    sym_array_pattern,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 5,
  [6] = 2,
  [7] = 4,
  [8] = 2,
  [9] = 4,
  [10] = 2,
  [11] = 4,
  [12] = 2,
  [13] = 2,
  [14] = 2,
  [15] = 2,
  [16] = 2,
  [17] = 2,
  [18] = 2,
  [19] = 2,
  [20] = 2,
  [21] = 2,
  [22] = 2,
  [23] = 2,
  [24] = 2,
  [25] = 2,
  [26] = 2,
  [27] = 27,
  [28] = 2,
  [29] = 2,
  [30] = 2,
  [31] = 2,
  [32] = 2,
  [33] = 33,
  [34] = 2,
  [35] = 2,
  [36] = 2,
  [37] = 2,
  [38] = 2,
  [39] = 2,
  [40] = 2,
  [41] = 2,
  [42] = 2,
  [43] = 2,
  [44] = 2,
  [45] = 2,
  [46] = 2,
  [47] = 2,
  [48] = 2,
  [49] = 2,
  [50] = 2,
  [51] = 2,
  [52] = 2,
  [53] = 2,
  [54] = 2,
  [55] = 2,
  [56] = 2,
  [57] = 2,
  [58] = 2,
  [59] = 2,
  [60] = 2,
  [61] = 2,
  [62] = 2,
  [63] = 2,
  [64] = 2,
  [65] = 2,
  [66] = 2,
  [67] = 2,
  [68] = 2,
  [69] = 2,
  [70] = 2,
  [71] = 2,
  [72] = 2,
  [73] = 2,
  [74] = 2,
  [75] = 2,
  [76] = 2,
  [77] = 2,
  [78] = 2,
  [79] = 2,
  [80] = 2,
  [81] = 2,
  [82] = 2,
  [83] = 2,
  [84] = 2,
  [85] = 2,
  [86] = 2,
  [87] = 2,
  [88] = 2,
  [89] = 89,
  [90] = 89,
  [91] = 89,
  [92] = 89,
  [93] = 93,
  [94] = 93,
  [95] = 89,
  [96] = 89,
  [97] = 97,
  [98] = 97,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 89,
  [103] = 100,
  [104] = 99,
  [105] = 101,
  [106] = 89,
  [107] = 107,
  [108] = 89,
  [109] = 89,
  [110] = 107,
  [111] = 89,
  [112] = 89,
  [113] = 89,
  [114] = 89,
  [115] = 89,
  [116] = 89,
  [117] = 89,
  [118] = 89,
  [119] = 89,
  [120] = 89,
  [121] = 89,
  [122] = 89,
  [123] = 89,
  [124] = 89,
  [125] = 89,
  [126] = 89,
  [127] = 89,
  [128] = 89,
  [129] = 89,
  [130] = 130,
  [131] = 130,
  [132] = 132,
  [133] = 130,
  [134] = 132,
  [135] = 130,
  [136] = 132,
  [137] = 130,
  [138] = 132,
  [139] = 132,
  [140] = 130,
  [141] = 130,
  [142] = 132,
  [143] = 130,
  [144] = 132,
  [145] = 130,
  [146] = 89,
  [147] = 132,
  [148] = 130,
  [149] = 132,
  [150] = 130,
  [151] = 132,
  [152] = 132,
  [153] = 130,
  [154] = 132,
  [155] = 130,
  [156] = 132,
  [157] = 130,
  [158] = 132,
  [159] = 130,
  [160] = 132,
  [161] = 130,
  [162] = 89,
  [163] = 132,
  [164] = 130,
  [165] = 89,
  [166] = 132,
  [167] = 130,
  [168] = 89,
  [169] = 132,
  [170] = 130,
  [171] = 89,
  [172] = 132,
  [173] = 130,
  [174] = 89,
  [175] = 132,
  [176] = 130,
  [177] = 89,
  [178] = 132,
  [179] = 130,
  [180] = 132,
  [181] = 132,
  [182] = 130,
  [183] = 130,
  [184] = 132,
  [185] = 130,
  [186] = 132,
  [187] = 130,
  [188] = 132,
  [189] = 130,
  [190] = 132,
  [191] = 130,
  [192] = 132,
  [193] = 132,
  [194] = 130,
  [195] = 130,
  [196] = 132,
  [197] = 130,
  [198] = 132,
  [199] = 130,
  [200] = 132,
  [201] = 130,
  [202] = 132,
  [203] = 130,
  [204] = 132,
  [205] = 132,
  [206] = 130,
  [207] = 132,
  [208] = 130,
  [209] = 132,
  [210] = 130,
  [211] = 132,
  [212] = 130,
  [213] = 132,
  [214] = 130,
  [215] = 132,
  [216] = 130,
  [217] = 132,
  [218] = 130,
  [219] = 89,
  [220] = 132,
  [221] = 130,
  [222] = 132,
  [223] = 130,
  [224] = 132,
  [225] = 89,
  [226] = 130,
  [227] = 89,
  [228] = 89,
  [229] = 89,
  [230] = 89,
  [231] = 89,
  [232] = 89,
  [233] = 89,
  [234] = 89,
  [235] = 89,
  [236] = 89,
  [237] = 89,
  [238] = 89,
  [239] = 89,
  [240] = 89,
  [241] = 89,
  [242] = 89,
  [243] = 89,
  [244] = 89,
  [245] = 245,
  [246] = 245,
  [247] = 245,
  [248] = 245,
  [249] = 245,
  [250] = 245,
  [251] = 245,
  [252] = 245,
  [253] = 245,
  [254] = 245,
  [255] = 245,
  [256] = 245,
  [257] = 245,
  [258] = 245,
  [259] = 245,
  [260] = 89,
  [261] = 89,
  [262] = 245,
  [263] = 245,
  [264] = 89,
  [265] = 89,
  [266] = 245,
  [267] = 245,
  [268] = 245,
  [269] = 245,
  [270] = 245,
  [271] = 245,
  [272] = 245,
  [273] = 245,
  [274] = 245,
  [275] = 245,
  [276] = 89,
  [277] = 245,
  [278] = 245,
  [279] = 245,
  [280] = 245,
  [281] = 245,
  [282] = 245,
  [283] = 245,
  [284] = 245,
  [285] = 245,
  [286] = 245,
  [287] = 245,
  [288] = 89,
  [289] = 245,
  [290] = 245,
  [291] = 245,
  [292] = 245,
  [293] = 245,
  [294] = 245,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 296,
  [299] = 296,
  [300] = 300,
  [301] = 297,
  [302] = 296,
  [303] = 297,
  [304] = 296,
  [305] = 297,
  [306] = 296,
  [307] = 297,
  [308] = 296,
  [309] = 297,
  [310] = 296,
  [311] = 297,
  [312] = 297,
  [313] = 297,
  [314] = 297,
  [315] = 296,
  [316] = 296,
  [317] = 297,
  [318] = 296,
  [319] = 297,
  [320] = 296,
  [321] = 296,
  [322] = 322,
  [323] = 297,
  [324] = 297,
  [325] = 296,
  [326] = 297,
  [327] = 296,
  [328] = 297,
  [329] = 296,
  [330] = 297,
  [331] = 296,
  [332] = 322,
  [333] = 333,
  [334] = 297,
  [335] = 296,
  [336] = 297,
  [337] = 296,
  [338] = 297,
  [339] = 296,
  [340] = 297,
  [341] = 296,
  [342] = 297,
  [343] = 296,
  [344] = 297,
  [345] = 296,
  [346] = 297,
  [347] = 296,
  [348] = 297,
  [349] = 296,
  [350] = 297,
  [351] = 296,
  [352] = 297,
  [353] = 296,
  [354] = 297,
  [355] = 296,
  [356] = 296,
  [357] = 296,
  [358] = 297,
  [359] = 296,
  [360] = 297,
  [361] = 296,
  [362] = 295,
  [363] = 363,
  [364] = 300,
  [365] = 363,
  [366] = 363,
  [367] = 300,
  [368] = 363,
  [369] = 300,
  [370] = 363,
  [371] = 363,
  [372] = 363,
  [373] = 363,
  [374] = 363,
  [375] = 363,
  [376] = 363,
  [377] = 363,
  [378] = 363,
  [379] = 363,
  [380] = 363,
  [381] = 363,
  [382] = 363,
  [383] = 363,
  [384] = 363,
  [385] = 363,
  [386] = 363,
  [387] = 363,
  [388] = 363,
  [389] = 363,
  [390] = 363,
  [391] = 363,
  [392] = 363,
  [393] = 363,
  [394] = 363,
  [395] = 363,
  [396] = 363,
  [397] = 363,
  [398] = 363,
  [399] = 363,
  [400] = 363,
  [401] = 333,
  [402] = 295,
  [403] = 363,
  [404] = 333,
  [405] = 295,
  [406] = 297,
  [407] = 363,
  [408] = 333,
  [409] = 295,
  [410] = 363,
  [411] = 333,
  [412] = 295,
  [413] = 363,
  [414] = 333,
  [415] = 295,
  [416] = 363,
  [417] = 333,
  [418] = 295,
  [419] = 363,
  [420] = 333,
  [421] = 295,
  [422] = 363,
  [423] = 333,
  [424] = 295,
  [425] = 363,
  [426] = 333,
  [427] = 295,
  [428] = 363,
  [429] = 333,
  [430] = 295,
  [431] = 363,
  [432] = 333,
  [433] = 295,
  [434] = 333,
  [435] = 295,
  [436] = 333,
  [437] = 295,
  [438] = 333,
  [439] = 295,
  [440] = 333,
  [441] = 295,
  [442] = 333,
  [443] = 295,
  [444] = 333,
  [445] = 295,
  [446] = 333,
  [447] = 295,
  [448] = 333,
  [449] = 295,
  [450] = 333,
  [451] = 295,
  [452] = 333,
  [453] = 295,
  [454] = 333,
  [455] = 295,
  [456] = 333,
  [457] = 295,
  [458] = 333,
  [459] = 297,
  [460] = 333,
  [461] = 295,
  [462] = 333,
  [463] = 295,
  [464] = 333,
  [465] = 295,
  [466] = 333,
  [467] = 295,
  [468] = 333,
  [469] = 295,
  [470] = 333,
  [471] = 295,
  [472] = 333,
  [473] = 295,
  [474] = 333,
  [475] = 295,
  [476] = 333,
  [477] = 295,
  [478] = 333,
  [479] = 295,
  [480] = 333,
  [481] = 295,
  [482] = 333,
  [483] = 295,
  [484] = 333,
  [485] = 295,
  [486] = 333,
  [487] = 295,
  [488] = 333,
  [489] = 295,
  [490] = 333,
  [491] = 295,
  [492] = 333,
  [493] = 295,
  [494] = 333,
  [495] = 295,
  [496] = 333,
  [497] = 295,
  [498] = 363,
  [499] = 499,
  [500] = 500,
  [501] = 500,
  [502] = 500,
  [503] = 500,
  [504] = 322,
  [505] = 500,
  [506] = 500,
  [507] = 500,
  [508] = 500,
  [509] = 500,
  [510] = 500,
  [511] = 499,
  [512] = 500,
  [513] = 500,
  [514] = 499,
  [515] = 322,
  [516] = 500,
  [517] = 500,
  [518] = 500,
  [519] = 500,
  [520] = 500,
  [521] = 500,
  [522] = 500,
  [523] = 500,
  [524] = 500,
  [525] = 500,
  [526] = 500,
  [527] = 500,
  [528] = 322,
  [529] = 322,
  [530] = 500,
  [531] = 500,
  [532] = 500,
  [533] = 500,
  [534] = 500,
  [535] = 500,
  [536] = 500,
  [537] = 500,
  [538] = 499,
  [539] = 500,
  [540] = 500,
  [541] = 500,
  [542] = 500,
  [543] = 500,
  [544] = 500,
  [545] = 500,
  [546] = 500,
  [547] = 500,
  [548] = 500,
  [549] = 500,
  [550] = 500,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 557,
  [559] = 559,
  [560] = 553,
  [561] = 554,
  [562] = 555,
  [563] = 556,
  [564] = 552,
  [565] = 565,
  [566] = 559,
  [567] = 553,
  [568] = 554,
  [569] = 555,
  [570] = 556,
  [571] = 552,
  [572] = 565,
  [573] = 557,
  [574] = 552,
  [575] = 565,
  [576] = 551,
  [577] = 559,
  [578] = 578,
  [579] = 553,
  [580] = 554,
  [581] = 555,
  [582] = 557,
  [583] = 557,
  [584] = 559,
  [585] = 553,
  [586] = 554,
  [587] = 555,
  [588] = 556,
  [589] = 552,
  [590] = 565,
  [591] = 556,
  [592] = 557,
  [593] = 552,
  [594] = 565,
  [595] = 551,
  [596] = 559,
  [597] = 597,
  [598] = 553,
  [599] = 554,
  [600] = 557,
  [601] = 557,
  [602] = 559,
  [603] = 578,
  [604] = 553,
  [605] = 554,
  [606] = 555,
  [607] = 556,
  [608] = 552,
  [609] = 565,
  [610] = 555,
  [611] = 556,
  [612] = 557,
  [613] = 552,
  [614] = 551,
  [615] = 565,
  [616] = 559,
  [617] = 617,
  [618] = 553,
  [619] = 554,
  [620] = 557,
  [621] = 559,
  [622] = 553,
  [623] = 554,
  [624] = 555,
  [625] = 556,
  [626] = 552,
  [627] = 565,
  [628] = 555,
  [629] = 556,
  [630] = 557,
  [631] = 552,
  [632] = 551,
  [633] = 565,
  [634] = 559,
  [635] = 635,
  [636] = 553,
  [637] = 554,
  [638] = 557,
  [639] = 559,
  [640] = 553,
  [641] = 554,
  [642] = 555,
  [643] = 556,
  [644] = 552,
  [645] = 565,
  [646] = 555,
  [647] = 556,
  [648] = 557,
  [649] = 552,
  [650] = 551,
  [651] = 565,
  [652] = 652,
  [653] = 559,
  [654] = 557,
  [655] = 559,
  [656] = 553,
  [657] = 554,
  [658] = 555,
  [659] = 556,
  [660] = 552,
  [661] = 565,
  [662] = 662,
  [663] = 553,
  [664] = 554,
  [665] = 555,
  [666] = 551,
  [667] = 556,
  [668] = 552,
  [669] = 565,
  [670] = 557,
  [671] = 559,
  [672] = 553,
  [673] = 554,
  [674] = 555,
  [675] = 556,
  [676] = 552,
  [677] = 565,
  [678] = 559,
  [679] = 553,
  [680] = 551,
  [681] = 554,
  [682] = 557,
  [683] = 559,
  [684] = 553,
  [685] = 554,
  [686] = 555,
  [687] = 556,
  [688] = 552,
  [689] = 565,
  [690] = 555,
  [691] = 556,
  [692] = 552,
  [693] = 565,
  [694] = 551,
  [695] = 559,
  [696] = 557,
  [697] = 559,
  [698] = 553,
  [699] = 554,
  [700] = 555,
  [701] = 556,
  [702] = 552,
  [703] = 565,
  [704] = 704,
  [705] = 553,
  [706] = 554,
  [707] = 555,
  [708] = 551,
  [709] = 556,
  [710] = 557,
  [711] = 552,
  [712] = 565,
  [713] = 559,
  [714] = 714,
  [715] = 551,
  [716] = 553,
  [717] = 557,
  [718] = 554,
  [719] = 555,
  [720] = 556,
  [721] = 552,
  [722] = 551,
  [723] = 565,
  [724] = 557,
  [725] = 559,
  [726] = 726,
  [727] = 553,
  [728] = 554,
  [729] = 551,
  [730] = 555,
  [731] = 557,
  [732] = 556,
  [733] = 552,
  [734] = 565,
  [735] = 559,
  [736] = 551,
  [737] = 737,
  [738] = 557,
  [739] = 553,
  [740] = 554,
  [741] = 555,
  [742] = 556,
  [743] = 551,
  [744] = 552,
  [745] = 557,
  [746] = 565,
  [747] = 559,
  [748] = 748,
  [749] = 553,
  [750] = 551,
  [751] = 554,
  [752] = 557,
  [753] = 555,
  [754] = 556,
  [755] = 552,
  [756] = 565,
  [757] = 551,
  [758] = 758,
  [759] = 557,
  [760] = 565,
  [761] = 322,
  [762] = 762,
  [763] = 322,
  [764] = 551,
  [765] = 765,
  [766] = 557,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 551,
  [771] = 771,
  [772] = 557,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 551,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 785,
  [786] = 551,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 790,
  [791] = 559,
  [792] = 551,
  [793] = 559,
  [794] = 794,
  [795] = 553,
  [796] = 554,
  [797] = 551,
  [798] = 555,
  [799] = 799,
  [800] = 556,
  [801] = 553,
  [802] = 551,
  [803] = 554,
  [804] = 557,
  [805] = 805,
  [806] = 551,
  [807] = 551,
  [808] = 552,
  [809] = 799,
  [810] = 810,
  [811] = 555,
  [812] = 557,
  [813] = 799,
  [814] = 805,
  [815] = 714,
  [816] = 767,
  [817] = 779,
  [818] = 810,
  [819] = 714,
  [820] = 557,
  [821] = 565,
  [822] = 559,
  [823] = 553,
  [824] = 554,
  [825] = 555,
  [826] = 556,
  [827] = 557,
  [828] = 552,
  [829] = 565,
  [830] = 559,
  [831] = 553,
  [832] = 554,
  [833] = 555,
  [834] = 556,
  [835] = 767,
  [836] = 557,
  [837] = 552,
  [838] = 565,
  [839] = 559,
  [840] = 553,
  [841] = 554,
  [842] = 555,
  [843] = 556,
  [844] = 779,
  [845] = 557,
  [846] = 552,
  [847] = 559,
  [848] = 565,
  [849] = 559,
  [850] = 553,
  [851] = 554,
  [852] = 555,
  [853] = 556,
  [854] = 557,
  [855] = 552,
  [856] = 565,
  [857] = 559,
  [858] = 553,
  [859] = 554,
  [860] = 555,
  [861] = 556,
  [862] = 557,
  [863] = 552,
  [864] = 565,
  [865] = 557,
  [866] = 557,
  [867] = 556,
  [868] = 553,
  [869] = 559,
  [870] = 553,
  [871] = 554,
  [872] = 555,
  [873] = 556,
  [874] = 552,
  [875] = 565,
  [876] = 559,
  [877] = 554,
  [878] = 553,
  [879] = 554,
  [880] = 555,
  [881] = 556,
  [882] = 552,
  [883] = 565,
  [884] = 559,
  [885] = 555,
  [886] = 553,
  [887] = 554,
  [888] = 555,
  [889] = 556,
  [890] = 552,
  [891] = 565,
  [892] = 559,
  [893] = 553,
  [894] = 554,
  [895] = 555,
  [896] = 556,
  [897] = 552,
  [898] = 565,
  [899] = 556,
  [900] = 557,
  [901] = 552,
  [902] = 902,
  [903] = 565,
  [904] = 559,
  [905] = 905,
  [906] = 551,
  [907] = 907,
  [908] = 617,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 635,
  [913] = 652,
  [914] = 662,
  [915] = 704,
  [916] = 762,
  [917] = 765,
  [918] = 777,
  [919] = 778,
  [920] = 785,
  [921] = 557,
  [922] = 559,
  [923] = 553,
  [924] = 554,
  [925] = 555,
  [926] = 556,
  [927] = 552,
  [928] = 565,
  [929] = 557,
  [930] = 557,
  [931] = 553,
  [932] = 559,
  [933] = 553,
  [934] = 554,
  [935] = 555,
  [936] = 556,
  [937] = 552,
  [938] = 565,
  [939] = 551,
  [940] = 557,
  [941] = 557,
  [942] = 557,
  [943] = 551,
  [944] = 551,
  [945] = 551,
  [946] = 554,
  [947] = 551,
  [948] = 907,
  [949] = 617,
  [950] = 909,
  [951] = 910,
  [952] = 911,
  [953] = 635,
  [954] = 652,
  [955] = 662,
  [956] = 704,
  [957] = 762,
  [958] = 765,
  [959] = 777,
  [960] = 778,
  [961] = 785,
  [962] = 555,
  [963] = 556,
  [964] = 551,
  [965] = 907,
  [966] = 617,
  [967] = 909,
  [968] = 910,
  [969] = 911,
  [970] = 635,
  [971] = 652,
  [972] = 662,
  [973] = 704,
  [974] = 762,
  [975] = 765,
  [976] = 777,
  [977] = 778,
  [978] = 785,
  [979] = 551,
  [980] = 551,
  [981] = 617,
  [982] = 909,
  [983] = 910,
  [984] = 911,
  [985] = 635,
  [986] = 652,
  [987] = 662,
  [988] = 704,
  [989] = 765,
  [990] = 778,
  [991] = 785,
  [992] = 551,
  [993] = 551,
  [994] = 617,
  [995] = 909,
  [996] = 910,
  [997] = 911,
  [998] = 635,
  [999] = 652,
  [1000] = 662,
  [1001] = 704,
  [1002] = 559,
  [1003] = 778,
  [1004] = 785,
  [1005] = 799,
  [1006] = 551,
  [1007] = 617,
  [1008] = 909,
  [1009] = 910,
  [1010] = 911,
  [1011] = 635,
  [1012] = 652,
  [1013] = 662,
  [1014] = 551,
  [1015] = 617,
  [1016] = 909,
  [1017] = 910,
  [1018] = 911,
  [1019] = 635,
  [1020] = 652,
  [1021] = 662,
  [1022] = 551,
  [1023] = 617,
  [1024] = 909,
  [1025] = 910,
  [1026] = 911,
  [1027] = 635,
  [1028] = 652,
  [1029] = 662,
  [1030] = 557,
  [1031] = 551,
  [1032] = 617,
  [1033] = 909,
  [1034] = 910,
  [1035] = 911,
  [1036] = 635,
  [1037] = 652,
  [1038] = 662,
  [1039] = 552,
  [1040] = 551,
  [1041] = 617,
  [1042] = 909,
  [1043] = 910,
  [1044] = 911,
  [1045] = 635,
  [1046] = 652,
  [1047] = 662,
  [1048] = 805,
  [1049] = 551,
  [1050] = 617,
  [1051] = 909,
  [1052] = 910,
  [1053] = 911,
  [1054] = 635,
  [1055] = 652,
  [1056] = 662,
  [1057] = 617,
  [1058] = 909,
  [1059] = 910,
  [1060] = 911,
  [1061] = 635,
  [1062] = 652,
  [1063] = 662,
  [1064] = 617,
  [1065] = 909,
  [1066] = 910,
  [1067] = 911,
  [1068] = 635,
  [1069] = 652,
  [1070] = 662,
  [1071] = 714,
  [1072] = 617,
  [1073] = 909,
  [1074] = 910,
  [1075] = 911,
  [1076] = 635,
  [1077] = 652,
  [1078] = 662,
  [1079] = 767,
  [1080] = 617,
  [1081] = 909,
  [1082] = 910,
  [1083] = 911,
  [1084] = 635,
  [1085] = 652,
  [1086] = 662,
  [1087] = 779,
  [1088] = 617,
  [1089] = 909,
  [1090] = 910,
  [1091] = 911,
  [1092] = 635,
  [1093] = 652,
  [1094] = 662,
  [1095] = 907,
  [1096] = 617,
  [1097] = 909,
  [1098] = 910,
  [1099] = 911,
  [1100] = 635,
  [1101] = 652,
  [1102] = 662,
  [1103] = 557,
  [1104] = 617,
  [1105] = 909,
  [1106] = 910,
  [1107] = 911,
  [1108] = 635,
  [1109] = 652,
  [1110] = 662,
  [1111] = 565,
  [1112] = 617,
  [1113] = 909,
  [1114] = 910,
  [1115] = 911,
  [1116] = 635,
  [1117] = 652,
  [1118] = 662,
  [1119] = 557,
  [1120] = 617,
  [1121] = 909,
  [1122] = 910,
  [1123] = 911,
  [1124] = 635,
  [1125] = 652,
  [1126] = 662,
  [1127] = 559,
  [1128] = 617,
  [1129] = 909,
  [1130] = 910,
  [1131] = 911,
  [1132] = 635,
  [1133] = 652,
  [1134] = 662,
  [1135] = 557,
  [1136] = 617,
  [1137] = 909,
  [1138] = 910,
  [1139] = 911,
  [1140] = 635,
  [1141] = 652,
  [1142] = 662,
  [1143] = 909,
  [1144] = 617,
  [1145] = 909,
  [1146] = 910,
  [1147] = 911,
  [1148] = 635,
  [1149] = 652,
  [1150] = 662,
  [1151] = 553,
  [1152] = 617,
  [1153] = 909,
  [1154] = 910,
  [1155] = 911,
  [1156] = 635,
  [1157] = 652,
  [1158] = 662,
  [1159] = 557,
  [1160] = 617,
  [1161] = 909,
  [1162] = 910,
  [1163] = 911,
  [1164] = 635,
  [1165] = 652,
  [1166] = 662,
  [1167] = 554,
  [1168] = 617,
  [1169] = 909,
  [1170] = 910,
  [1171] = 911,
  [1172] = 635,
  [1173] = 652,
  [1174] = 662,
  [1175] = 557,
  [1176] = 617,
  [1177] = 909,
  [1178] = 910,
  [1179] = 911,
  [1180] = 635,
  [1181] = 652,
  [1182] = 662,
  [1183] = 557,
  [1184] = 617,
  [1185] = 909,
  [1186] = 910,
  [1187] = 911,
  [1188] = 635,
  [1189] = 652,
  [1190] = 662,
  [1191] = 557,
  [1192] = 617,
  [1193] = 909,
  [1194] = 910,
  [1195] = 911,
  [1196] = 635,
  [1197] = 652,
  [1198] = 662,
  [1199] = 557,
  [1200] = 617,
  [1201] = 909,
  [1202] = 910,
  [1203] = 911,
  [1204] = 635,
  [1205] = 652,
  [1206] = 662,
  [1207] = 559,
  [1208] = 617,
  [1209] = 909,
  [1210] = 910,
  [1211] = 911,
  [1212] = 635,
  [1213] = 652,
  [1214] = 662,
  [1215] = 553,
  [1216] = 617,
  [1217] = 909,
  [1218] = 910,
  [1219] = 911,
  [1220] = 635,
  [1221] = 652,
  [1222] = 662,
  [1223] = 554,
  [1224] = 617,
  [1225] = 909,
  [1226] = 910,
  [1227] = 911,
  [1228] = 635,
  [1229] = 652,
  [1230] = 662,
  [1231] = 555,
  [1232] = 617,
  [1233] = 909,
  [1234] = 910,
  [1235] = 911,
  [1236] = 635,
  [1237] = 652,
  [1238] = 662,
  [1239] = 617,
  [1240] = 909,
  [1241] = 910,
  [1242] = 911,
  [1243] = 635,
  [1244] = 652,
  [1245] = 662,
  [1246] = 617,
  [1247] = 909,
  [1248] = 910,
  [1249] = 911,
  [1250] = 635,
  [1251] = 652,
  [1252] = 662,
  [1253] = 617,
  [1254] = 909,
  [1255] = 910,
  [1256] = 911,
  [1257] = 635,
  [1258] = 652,
  [1259] = 662,
  [1260] = 617,
  [1261] = 909,
  [1262] = 910,
  [1263] = 911,
  [1264] = 635,
  [1265] = 652,
  [1266] = 662,
  [1267] = 617,
  [1268] = 909,
  [1269] = 910,
  [1270] = 911,
  [1271] = 635,
  [1272] = 652,
  [1273] = 662,
  [1274] = 617,
  [1275] = 909,
  [1276] = 910,
  [1277] = 911,
  [1278] = 635,
  [1279] = 652,
  [1280] = 662,
  [1281] = 617,
  [1282] = 909,
  [1283] = 910,
  [1284] = 911,
  [1285] = 635,
  [1286] = 652,
  [1287] = 662,
  [1288] = 617,
  [1289] = 909,
  [1290] = 910,
  [1291] = 911,
  [1292] = 635,
  [1293] = 652,
  [1294] = 662,
  [1295] = 556,
  [1296] = 552,
  [1297] = 565,
  [1298] = 794,
  [1299] = 1299,
  [1300] = 597,
  [1301] = 559,
  [1302] = 553,
  [1303] = 554,
  [1304] = 794,
  [1305] = 1299,
  [1306] = 597,
  [1307] = 555,
  [1308] = 556,
  [1309] = 552,
  [1310] = 565,
  [1311] = 794,
  [1312] = 1299,
  [1313] = 597,
  [1314] = 555,
  [1315] = 794,
  [1316] = 1299,
  [1317] = 597,
  [1318] = 556,
  [1319] = 910,
  [1320] = 557,
  [1321] = 794,
  [1322] = 1299,
  [1323] = 597,
  [1324] = 551,
  [1325] = 552,
  [1326] = 799,
  [1327] = 794,
  [1328] = 1299,
  [1329] = 597,
  [1330] = 911,
  [1331] = 794,
  [1332] = 1299,
  [1333] = 597,
  [1334] = 565,
  [1335] = 805,
  [1336] = 794,
  [1337] = 1299,
  [1338] = 597,
  [1339] = 714,
  [1340] = 767,
  [1341] = 794,
  [1342] = 1299,
  [1343] = 597,
  [1344] = 779,
  [1345] = 559,
  [1346] = 557,
  [1347] = 794,
  [1348] = 1299,
  [1349] = 597,
  [1350] = 557,
  [1351] = 553,
  [1352] = 554,
  [1353] = 794,
  [1354] = 1299,
  [1355] = 597,
  [1356] = 555,
  [1357] = 556,
  [1358] = 794,
  [1359] = 1299,
  [1360] = 597,
  [1361] = 557,
  [1362] = 557,
  [1363] = 794,
  [1364] = 1299,
  [1365] = 597,
  [1366] = 559,
  [1367] = 553,
  [1368] = 794,
  [1369] = 1299,
  [1370] = 597,
  [1371] = 554,
  [1372] = 555,
  [1373] = 794,
  [1374] = 1299,
  [1375] = 597,
  [1376] = 556,
  [1377] = 552,
  [1378] = 794,
  [1379] = 1299,
  [1380] = 597,
  [1381] = 565,
  [1382] = 559,
  [1383] = 794,
  [1384] = 1299,
  [1385] = 597,
  [1386] = 553,
  [1387] = 554,
  [1388] = 794,
  [1389] = 1299,
  [1390] = 597,
  [1391] = 555,
  [1392] = 556,
  [1393] = 794,
  [1394] = 1299,
  [1395] = 597,
  [1396] = 552,
  [1397] = 565,
  [1398] = 794,
  [1399] = 1299,
  [1400] = 597,
  [1401] = 1299,
  [1402] = 794,
  [1403] = 1299,
  [1404] = 597,
  [1405] = 557,
  [1406] = 794,
  [1407] = 1299,
  [1408] = 597,
  [1409] = 552,
  [1410] = 805,
  [1411] = 794,
  [1412] = 1299,
  [1413] = 597,
  [1414] = 551,
  [1415] = 794,
  [1416] = 1299,
  [1417] = 597,
  [1418] = 565,
  [1419] = 794,
  [1420] = 1299,
  [1421] = 597,
  [1422] = 794,
  [1423] = 1299,
  [1424] = 597,
  [1425] = 559,
  [1426] = 794,
  [1427] = 1299,
  [1428] = 597,
  [1429] = 553,
  [1430] = 554,
  [1431] = 794,
  [1432] = 1299,
  [1433] = 597,
  [1434] = 555,
  [1435] = 556,
  [1436] = 794,
  [1437] = 1299,
  [1438] = 597,
  [1439] = 557,
  [1440] = 557,
  [1441] = 794,
  [1442] = 1299,
  [1443] = 597,
  [1444] = 559,
  [1445] = 553,
  [1446] = 794,
  [1447] = 1299,
  [1448] = 597,
  [1449] = 554,
  [1450] = 555,
  [1451] = 794,
  [1452] = 1299,
  [1453] = 597,
  [1454] = 556,
  [1455] = 552,
  [1456] = 794,
  [1457] = 1299,
  [1458] = 597,
  [1459] = 565,
  [1460] = 559,
  [1461] = 794,
  [1462] = 1299,
  [1463] = 597,
  [1464] = 553,
  [1465] = 554,
  [1466] = 794,
  [1467] = 1299,
  [1468] = 597,
  [1469] = 555,
  [1470] = 556,
  [1471] = 794,
  [1472] = 1299,
  [1473] = 597,
  [1474] = 552,
  [1475] = 565,
  [1476] = 794,
  [1477] = 1299,
  [1478] = 597,
  [1479] = 1479,
  [1480] = 794,
  [1481] = 1299,
  [1482] = 597,
  [1483] = 557,
  [1484] = 794,
  [1485] = 1299,
  [1486] = 597,
  [1487] = 552,
  [1488] = 1488,
  [1489] = 794,
  [1490] = 1299,
  [1491] = 597,
  [1492] = 551,
  [1493] = 794,
  [1494] = 1299,
  [1495] = 597,
  [1496] = 565,
  [1497] = 794,
  [1498] = 1299,
  [1499] = 597,
  [1500] = 794,
  [1501] = 1299,
  [1502] = 597,
  [1503] = 905,
  [1504] = 578,
  [1505] = 905,
  [1506] = 578,
  [1507] = 905,
  [1508] = 765,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1509,
  [1512] = 1512,
  [1513] = 1510,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1509,
  [1517] = 1512,
  [1518] = 1514,
  [1519] = 1519,
  [1520] = 1510,
  [1521] = 1509,
  [1522] = 1509,
  [1523] = 1512,
  [1524] = 1514,
  [1525] = 1514,
  [1526] = 1515,
  [1527] = 1515,
  [1528] = 1512,
  [1529] = 1519,
  [1530] = 1519,
  [1531] = 1510,
  [1532] = 1515,
  [1533] = 1509,
  [1534] = 1512,
  [1535] = 1519,
  [1536] = 1514,
  [1537] = 1515,
  [1538] = 1510,
  [1539] = 1519,
  [1540] = 1510,
  [1541] = 1519,
  [1542] = 1510,
  [1543] = 1519,
  [1544] = 1509,
  [1545] = 1509,
  [1546] = 1512,
  [1547] = 1509,
  [1548] = 1514,
  [1549] = 1515,
  [1550] = 1512,
  [1551] = 1510,
  [1552] = 1519,
  [1553] = 1512,
  [1554] = 1519,
  [1555] = 1510,
  [1556] = 1514,
  [1557] = 1509,
  [1558] = 1512,
  [1559] = 1515,
  [1560] = 1514,
  [1561] = 1515,
  [1562] = 1514,
  [1563] = 1515,
  [1564] = 1510,
  [1565] = 322,
  [1566] = 1509,
  [1567] = 1519,
  [1568] = 1510,
  [1569] = 1514,
  [1570] = 1509,
  [1571] = 1512,
  [1572] = 1519,
  [1573] = 1514,
  [1574] = 1515,
  [1575] = 1510,
  [1576] = 1515,
  [1577] = 1519,
  [1578] = 1510,
  [1579] = 1509,
  [1580] = 1519,
  [1581] = 1510,
  [1582] = 1512,
  [1583] = 1509,
  [1584] = 1512,
  [1585] = 1509,
  [1586] = 1512,
  [1587] = 1514,
  [1588] = 1515,
  [1589] = 1512,
  [1590] = 1509,
  [1591] = 1514,
  [1592] = 1515,
  [1593] = 1519,
  [1594] = 1510,
  [1595] = 1512,
  [1596] = 1509,
  [1597] = 1512,
  [1598] = 1515,
  [1599] = 1519,
  [1600] = 1510,
  [1601] = 1519,
  [1602] = 1510,
  [1603] = 1514,
  [1604] = 1509,
  [1605] = 1512,
  [1606] = 1509,
  [1607] = 1512,
  [1608] = 1514,
  [1609] = 1515,
  [1610] = 1515,
  [1611] = 1611,
  [1612] = 1514,
  [1613] = 1514,
  [1614] = 1519,
  [1615] = 1510,
  [1616] = 1515,
  [1617] = 1509,
  [1618] = 1512,
  [1619] = 1515,
  [1620] = 1509,
  [1621] = 1514,
  [1622] = 1515,
  [1623] = 1512,
  [1624] = 1611,
  [1625] = 1514,
  [1626] = 1519,
  [1627] = 1519,
  [1628] = 1510,
  [1629] = 1510,
  [1630] = 1509,
  [1631] = 1512,
  [1632] = 322,
  [1633] = 1514,
  [1634] = 1510,
  [1635] = 1515,
  [1636] = 1509,
  [1637] = 1512,
  [1638] = 1514,
  [1639] = 1639,
  [1640] = 1519,
  [1641] = 1510,
  [1642] = 1515,
  [1643] = 1509,
  [1644] = 1512,
  [1645] = 1514,
  [1646] = 1514,
  [1647] = 1515,
  [1648] = 1515,
  [1649] = 1639,
  [1650] = 1515,
  [1651] = 1515,
  [1652] = 1519,
  [1653] = 1510,
  [1654] = 1510,
  [1655] = 1519,
  [1656] = 1510,
  [1657] = 1515,
  [1658] = 1512,
  [1659] = 1510,
  [1660] = 1514,
  [1661] = 1515,
  [1662] = 1519,
  [1663] = 1510,
  [1664] = 1519,
  [1665] = 1509,
  [1666] = 1519,
  [1667] = 1510,
  [1668] = 1519,
  [1669] = 1514,
  [1670] = 1509,
  [1671] = 1512,
  [1672] = 1510,
  [1673] = 1512,
  [1674] = 1514,
  [1675] = 1515,
  [1676] = 1510,
  [1677] = 1509,
  [1678] = 1512,
  [1679] = 1514,
  [1680] = 1514,
  [1681] = 1514,
  [1682] = 1515,
  [1683] = 1509,
  [1684] = 1519,
  [1685] = 1510,
  [1686] = 1509,
  [1687] = 1509,
  [1688] = 1512,
  [1689] = 1515,
  [1690] = 1512,
  [1691] = 1514,
  [1692] = 1515,
  [1693] = 1509,
  [1694] = 1512,
  [1695] = 1514,
  [1696] = 1519,
  [1697] = 1519,
  [1698] = 1510,
  [1699] = 1515,
  [1700] = 1509,
  [1701] = 1512,
  [1702] = 1510,
  [1703] = 1514,
  [1704] = 1515,
  [1705] = 1515,
  [1706] = 1509,
  [1707] = 1512,
  [1708] = 1519,
  [1709] = 1519,
  [1710] = 1510,
  [1711] = 1510,
  [1712] = 1509,
  [1713] = 1512,
  [1714] = 1514,
  [1715] = 1514,
  [1716] = 1515,
  [1717] = 1515,
  [1718] = 1519,
  [1719] = 1510,
  [1720] = 1519,
  [1721] = 1510,
  [1722] = 1519,
  [1723] = 1509,
  [1724] = 1512,
  [1725] = 1510,
  [1726] = 1514,
  [1727] = 1515,
  [1728] = 1512,
  [1729] = 1509,
  [1730] = 1509,
  [1731] = 1519,
  [1732] = 1510,
  [1733] = 1512,
  [1734] = 1509,
  [1735] = 1512,
  [1736] = 1519,
  [1737] = 1514,
  [1738] = 1514,
  [1739] = 1515,
  [1740] = 1510,
  [1741] = 1514,
  [1742] = 1515,
  [1743] = 1509,
  [1744] = 1519,
  [1745] = 1510,
  [1746] = 1512,
  [1747] = 1509,
  [1748] = 1512,
  [1749] = 1515,
  [1750] = 1514,
  [1751] = 1515,
  [1752] = 1512,
  [1753] = 1519,
  [1754] = 1514,
  [1755] = 1515,
  [1756] = 1519,
  [1757] = 1510,
  [1758] = 1510,
  [1759] = 1509,
  [1760] = 1509,
  [1761] = 1512,
  [1762] = 1509,
  [1763] = 1512,
  [1764] = 1519,
  [1765] = 1512,
  [1766] = 1514,
  [1767] = 1515,
  [1768] = 1514,
  [1769] = 1519,
  [1770] = 1519,
  [1771] = 1519,
  [1772] = 1514,
  [1773] = 1773,
  [1774] = 1774,
  [1775] = 1775,
  [1776] = 1776,
  [1777] = 1777,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1773,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1775,
  [1786] = 1776,
  [1787] = 1777,
  [1788] = 1778,
  [1789] = 1779,
  [1790] = 1780,
  [1791] = 1791,
  [1792] = 1781,
  [1793] = 1773,
  [1794] = 1783,
  [1795] = 1784,
  [1796] = 1773,
  [1797] = 1783,
  [1798] = 1784,
  [1799] = 1799,
  [1800] = 1800,
  [1801] = 1774,
  [1802] = 1775,
  [1803] = 1776,
  [1804] = 1777,
  [1805] = 1778,
  [1806] = 1779,
  [1807] = 1780,
  [1808] = 1781,
  [1809] = 1773,
  [1810] = 1783,
  [1811] = 1784,
  [1812] = 1791,
  [1813] = 1791,
  [1814] = 1799,
  [1815] = 1799,
  [1816] = 1774,
  [1817] = 1775,
  [1818] = 1776,
  [1819] = 1777,
  [1820] = 1778,
  [1821] = 1779,
  [1822] = 1780,
  [1823] = 1781,
  [1824] = 1773,
  [1825] = 1783,
  [1826] = 1784,
  [1827] = 1774,
  [1828] = 1775,
  [1829] = 1791,
  [1830] = 1776,
  [1831] = 1799,
  [1832] = 1777,
  [1833] = 1774,
  [1834] = 1775,
  [1835] = 1776,
  [1836] = 1777,
  [1837] = 1778,
  [1838] = 1779,
  [1839] = 1780,
  [1840] = 1781,
  [1841] = 1773,
  [1842] = 1783,
  [1843] = 1784,
  [1844] = 1778,
  [1845] = 1779,
  [1846] = 1780,
  [1847] = 1781,
  [1848] = 1773,
  [1849] = 1791,
  [1850] = 1783,
  [1851] = 1784,
  [1852] = 1791,
  [1853] = 1799,
  [1854] = 1774,
  [1855] = 1855,
  [1856] = 1775,
  [1857] = 1857,
  [1858] = 1776,
  [1859] = 1777,
  [1860] = 1778,
  [1861] = 1779,
  [1862] = 1780,
  [1863] = 1781,
  [1864] = 1773,
  [1865] = 1783,
  [1866] = 1857,
  [1867] = 1784,
  [1868] = 1857,
  [1869] = 1791,
  [1870] = 1799,
  [1871] = 1799,
  [1872] = 1774,
  [1873] = 1775,
  [1874] = 1776,
  [1875] = 1777,
  [1876] = 1778,
  [1877] = 1779,
  [1878] = 1780,
  [1879] = 1781,
  [1880] = 1773,
  [1881] = 1783,
  [1882] = 1784,
  [1883] = 1611,
  [1884] = 1774,
  [1885] = 1775,
  [1886] = 1776,
  [1887] = 1791,
  [1888] = 1777,
  [1889] = 1799,
  [1890] = 1778,
  [1891] = 1774,
  [1892] = 1775,
  [1893] = 1776,
  [1894] = 1777,
  [1895] = 1778,
  [1896] = 1779,
  [1897] = 1780,
  [1898] = 1781,
  [1899] = 1773,
  [1900] = 1783,
  [1901] = 1784,
  [1902] = 1779,
  [1903] = 1780,
  [1904] = 1781,
  [1905] = 1773,
  [1906] = 1783,
  [1907] = 1791,
  [1908] = 1784,
  [1909] = 322,
  [1910] = 1799,
  [1911] = 1791,
  [1912] = 1857,
  [1913] = 1799,
  [1914] = 1774,
  [1915] = 1775,
  [1916] = 1776,
  [1917] = 1857,
  [1918] = 1777,
  [1919] = 1778,
  [1920] = 1779,
  [1921] = 1780,
  [1922] = 1781,
  [1923] = 1773,
  [1924] = 1783,
  [1925] = 1784,
  [1926] = 1799,
  [1927] = 1774,
  [1928] = 1775,
  [1929] = 1776,
  [1930] = 1777,
  [1931] = 1778,
  [1932] = 1779,
  [1933] = 1780,
  [1934] = 1781,
  [1935] = 1773,
  [1936] = 1783,
  [1937] = 1784,
  [1938] = 1774,
  [1939] = 1791,
  [1940] = 1791,
  [1941] = 1799,
  [1942] = 1775,
  [1943] = 1774,
  [1944] = 1775,
  [1945] = 1776,
  [1946] = 1777,
  [1947] = 1778,
  [1948] = 1779,
  [1949] = 1780,
  [1950] = 1781,
  [1951] = 1773,
  [1952] = 1783,
  [1953] = 1784,
  [1954] = 1799,
  [1955] = 1791,
  [1956] = 1776,
  [1957] = 1774,
  [1958] = 1777,
  [1959] = 1775,
  [1960] = 1776,
  [1961] = 1777,
  [1962] = 1857,
  [1963] = 1778,
  [1964] = 1779,
  [1965] = 1780,
  [1966] = 1857,
  [1967] = 1781,
  [1968] = 1773,
  [1969] = 1783,
  [1970] = 1784,
  [1971] = 1778,
  [1972] = 1779,
  [1973] = 1780,
  [1974] = 1799,
  [1975] = 1774,
  [1976] = 1775,
  [1977] = 1776,
  [1978] = 1777,
  [1979] = 1778,
  [1980] = 1779,
  [1981] = 1780,
  [1982] = 1781,
  [1983] = 1773,
  [1984] = 1783,
  [1985] = 1784,
  [1986] = 1781,
  [1987] = 1791,
  [1988] = 1799,
  [1989] = 1774,
  [1990] = 1775,
  [1991] = 1776,
  [1992] = 1777,
  [1993] = 1778,
  [1994] = 1779,
  [1995] = 1780,
  [1996] = 1781,
  [1997] = 1773,
  [1998] = 1783,
  [1999] = 1784,
  [2000] = 1773,
  [2001] = 1791,
  [2002] = 1783,
  [2003] = 1791,
  [2004] = 1857,
  [2005] = 1857,
  [2006] = 1784,
  [2007] = 1799,
  [2008] = 1774,
  [2009] = 1775,
  [2010] = 1776,
  [2011] = 1777,
  [2012] = 1778,
  [2013] = 1779,
  [2014] = 1780,
  [2015] = 1781,
  [2016] = 1773,
  [2017] = 1783,
  [2018] = 1784,
  [2019] = 1791,
  [2020] = 1799,
  [2021] = 1799,
  [2022] = 1774,
  [2023] = 1775,
  [2024] = 1776,
  [2025] = 1777,
  [2026] = 1778,
  [2027] = 1779,
  [2028] = 1780,
  [2029] = 1781,
  [2030] = 1773,
  [2031] = 1783,
  [2032] = 1784,
  [2033] = 1774,
  [2034] = 1791,
  [2035] = 1775,
  [2036] = 1776,
  [2037] = 1777,
  [2038] = 1778,
  [2039] = 1779,
  [2040] = 1780,
  [2041] = 1781,
  [2042] = 1773,
  [2043] = 1783,
  [2044] = 1784,
  [2045] = 2045,
  [2046] = 1857,
  [2047] = 1639,
  [2048] = 1799,
  [2049] = 1774,
  [2050] = 1775,
  [2051] = 1776,
  [2052] = 1777,
  [2053] = 1778,
  [2054] = 1779,
  [2055] = 1780,
  [2056] = 1781,
  [2057] = 1773,
  [2058] = 1783,
  [2059] = 1784,
  [2060] = 1791,
  [2061] = 1857,
  [2062] = 1791,
  [2063] = 1799,
  [2064] = 1611,
  [2065] = 1774,
  [2066] = 1857,
  [2067] = 1775,
  [2068] = 1776,
  [2069] = 1777,
  [2070] = 1778,
  [2071] = 1779,
  [2072] = 1780,
  [2073] = 1799,
  [2074] = 1781,
  [2075] = 1774,
  [2076] = 1775,
  [2077] = 1776,
  [2078] = 1777,
  [2079] = 1778,
  [2080] = 1779,
  [2081] = 1780,
  [2082] = 1781,
  [2083] = 1773,
  [2084] = 1783,
  [2085] = 1784,
  [2086] = 1783,
  [2087] = 1784,
  [2088] = 1791,
  [2089] = 1857,
  [2090] = 1799,
  [2091] = 1774,
  [2092] = 1775,
  [2093] = 1776,
  [2094] = 1777,
  [2095] = 1778,
  [2096] = 1779,
  [2097] = 1780,
  [2098] = 1781,
  [2099] = 1773,
  [2100] = 1783,
  [2101] = 1784,
  [2102] = 1791,
  [2103] = 1791,
  [2104] = 1857,
  [2105] = 1799,
  [2106] = 1774,
  [2107] = 1775,
  [2108] = 1776,
  [2109] = 1777,
  [2110] = 1778,
  [2111] = 1779,
  [2112] = 1780,
  [2113] = 1781,
  [2114] = 1773,
  [2115] = 1783,
  [2116] = 1784,
  [2117] = 1791,
  [2118] = 1791,
  [2119] = 1799,
  [2120] = 1774,
  [2121] = 1775,
  [2122] = 1776,
  [2123] = 1777,
  [2124] = 1857,
  [2125] = 1778,
  [2126] = 1779,
  [2127] = 1780,
  [2128] = 1799,
  [2129] = 1781,
  [2130] = 1774,
  [2131] = 1775,
  [2132] = 1776,
  [2133] = 1777,
  [2134] = 1778,
  [2135] = 1779,
  [2136] = 1780,
  [2137] = 1781,
  [2138] = 1773,
  [2139] = 1783,
  [2140] = 1784,
  [2141] = 1773,
  [2142] = 1783,
  [2143] = 1784,
  [2144] = 1791,
  [2145] = 1791,
  [2146] = 1799,
  [2147] = 1857,
  [2148] = 1774,
  [2149] = 1775,
  [2150] = 1799,
  [2151] = 1776,
  [2152] = 1774,
  [2153] = 1775,
  [2154] = 1776,
  [2155] = 1777,
  [2156] = 1778,
  [2157] = 1799,
  [2158] = 1780,
  [2159] = 1781,
  [2160] = 1773,
  [2161] = 1783,
  [2162] = 1784,
  [2163] = 1777,
  [2164] = 1778,
  [2165] = 1779,
  [2166] = 1780,
  [2167] = 1781,
  [2168] = 1791,
  [2169] = 1773,
  [2170] = 1783,
  [2171] = 1784,
  [2172] = 1791,
  [2173] = 1857,
  [2174] = 1799,
  [2175] = 1774,
  [2176] = 1775,
  [2177] = 1776,
  [2178] = 1777,
  [2179] = 1778,
  [2180] = 1779,
  [2181] = 1780,
  [2182] = 1781,
  [2183] = 1773,
  [2184] = 1783,
  [2185] = 1784,
  [2186] = 1791,
  [2187] = 1799,
  [2188] = 1774,
  [2189] = 1857,
  [2190] = 1775,
  [2191] = 1776,
  [2192] = 1777,
  [2193] = 1778,
  [2194] = 1779,
  [2195] = 1780,
  [2196] = 1781,
  [2197] = 1773,
  [2198] = 1783,
  [2199] = 1784,
  [2200] = 2200,
  [2201] = 1857,
  [2202] = 1799,
  [2203] = 1791,
  [2204] = 1799,
  [2205] = 1774,
  [2206] = 1775,
  [2207] = 1776,
  [2208] = 1777,
  [2209] = 1778,
  [2210] = 1779,
  [2211] = 1780,
  [2212] = 1781,
  [2213] = 1773,
  [2214] = 1783,
  [2215] = 1784,
  [2216] = 1639,
  [2217] = 1774,
  [2218] = 1791,
  [2219] = 1799,
  [2220] = 1775,
  [2221] = 1774,
  [2222] = 1776,
  [2223] = 1775,
  [2224] = 1776,
  [2225] = 1777,
  [2226] = 1778,
  [2227] = 1779,
  [2228] = 1780,
  [2229] = 1781,
  [2230] = 1773,
  [2231] = 1783,
  [2232] = 1784,
  [2233] = 1777,
  [2234] = 1778,
  [2235] = 1779,
  [2236] = 1780,
  [2237] = 1781,
  [2238] = 1791,
  [2239] = 1773,
  [2240] = 1799,
  [2241] = 1783,
  [2242] = 1774,
  [2243] = 1784,
  [2244] = 1775,
  [2245] = 1776,
  [2246] = 1777,
  [2247] = 1778,
  [2248] = 1779,
  [2249] = 1780,
  [2250] = 1781,
  [2251] = 1773,
  [2252] = 1783,
  [2253] = 1784,
  [2254] = 1791,
  [2255] = 1791,
  [2256] = 1791,
  [2257] = 322,
  [2258] = 1800,
  [2259] = 2259,
  [2260] = 1857,
  [2261] = 1799,
  [2262] = 1774,
  [2263] = 1775,
  [2264] = 1776,
  [2265] = 1777,
  [2266] = 1778,
  [2267] = 1779,
  [2268] = 1780,
  [2269] = 1781,
  [2270] = 1773,
  [2271] = 1783,
  [2272] = 1784,
  [2273] = 1791,
  [2274] = 1611,
  [2275] = 1799,
  [2276] = 1774,
  [2277] = 1775,
  [2278] = 1776,
  [2279] = 1777,
  [2280] = 1778,
  [2281] = 1779,
  [2282] = 1780,
  [2283] = 1781,
  [2284] = 1773,
  [2285] = 1783,
  [2286] = 1784,
  [2287] = 1791,
  [2288] = 1799,
  [2289] = 1774,
  [2290] = 1775,
  [2291] = 1776,
  [2292] = 1777,
  [2293] = 1778,
  [2294] = 1779,
  [2295] = 1780,
  [2296] = 1781,
  [2297] = 1773,
  [2298] = 1783,
  [2299] = 1784,
  [2300] = 1791,
  [2301] = 1799,
  [2302] = 1774,
  [2303] = 1775,
  [2304] = 1776,
  [2305] = 1777,
  [2306] = 1778,
  [2307] = 1779,
  [2308] = 1780,
  [2309] = 1781,
  [2310] = 1773,
  [2311] = 1783,
  [2312] = 1784,
  [2313] = 1791,
  [2314] = 1857,
  [2315] = 1611,
  [2316] = 1799,
  [2317] = 1774,
  [2318] = 1639,
  [2319] = 1639,
  [2320] = 1775,
  [2321] = 1776,
  [2322] = 1777,
  [2323] = 1778,
  [2324] = 1779,
  [2325] = 1780,
  [2326] = 1781,
  [2327] = 1773,
  [2328] = 1783,
  [2329] = 1784,
  [2330] = 1799,
  [2331] = 1774,
  [2332] = 1774,
  [2333] = 1857,
  [2334] = 1791,
  [2335] = 1857,
  [2336] = 1799,
  [2337] = 1799,
  [2338] = 1774,
  [2339] = 1775,
  [2340] = 1776,
  [2341] = 1777,
  [2342] = 1778,
  [2343] = 1779,
  [2344] = 1780,
  [2345] = 1781,
  [2346] = 1773,
  [2347] = 1783,
  [2348] = 1784,
  [2349] = 1775,
  [2350] = 1774,
  [2351] = 2259,
  [2352] = 1775,
  [2353] = 1776,
  [2354] = 1791,
  [2355] = 1777,
  [2356] = 1799,
  [2357] = 1778,
  [2358] = 1774,
  [2359] = 1775,
  [2360] = 1776,
  [2361] = 1777,
  [2362] = 1778,
  [2363] = 1779,
  [2364] = 1780,
  [2365] = 1781,
  [2366] = 1773,
  [2367] = 1783,
  [2368] = 1784,
  [2369] = 1779,
  [2370] = 1780,
  [2371] = 1781,
  [2372] = 1773,
  [2373] = 1783,
  [2374] = 1784,
  [2375] = 1791,
  [2376] = 1776,
  [2377] = 1799,
  [2378] = 1777,
  [2379] = 1774,
  [2380] = 1775,
  [2381] = 1776,
  [2382] = 1777,
  [2383] = 1778,
  [2384] = 1779,
  [2385] = 1780,
  [2386] = 1781,
  [2387] = 1773,
  [2388] = 1783,
  [2389] = 1784,
  [2390] = 1778,
  [2391] = 1779,
  [2392] = 1780,
  [2393] = 1791,
  [2394] = 1791,
  [2395] = 1781,
  [2396] = 1799,
  [2397] = 1774,
  [2398] = 1775,
  [2399] = 1776,
  [2400] = 1777,
  [2401] = 1778,
  [2402] = 1779,
  [2403] = 1780,
  [2404] = 1781,
  [2405] = 1773,
  [2406] = 1783,
  [2407] = 1784,
  [2408] = 1799,
  [2409] = 1791,
  [2410] = 1779,
  [2411] = 1639,
  [2412] = 1611,
  [2413] = 1611,
  [2414] = 1639,
  [2415] = 1611,
  [2416] = 1639,
  [2417] = 1611,
  [2418] = 1639,
  [2419] = 1611,
  [2420] = 1639,
  [2421] = 1639,
  [2422] = 1611,
  [2423] = 322,
  [2424] = 322,
  [2425] = 322,
  [2426] = 322,
  [2427] = 322,
  [2428] = 1639,
  [2429] = 1611,
  [2430] = 322,
  [2431] = 1639,
  [2432] = 1611,
  [2433] = 1611,
  [2434] = 1639,
  [2435] = 1611,
  [2436] = 1639,
  [2437] = 1611,
  [2438] = 1639,
  [2439] = 322,
  [2440] = 322,
  [2441] = 1611,
  [2442] = 2442,
  [2443] = 1639,
  [2444] = 2444,
  [2445] = 2442,
  [2446] = 2444,
  [2447] = 2444,
  [2448] = 2442,
  [2449] = 2442,
  [2450] = 2444,
  [2451] = 322,
  [2452] = 322,
  [2453] = 322,
  [2454] = 322,
  [2455] = 1639,
  [2456] = 322,
  [2457] = 1611,
  [2458] = 322,
  [2459] = 322,
  [2460] = 2460,
  [2461] = 2460,
  [2462] = 322,
  [2463] = 2460,
  [2464] = 2460,
  [2465] = 322,
  [2466] = 2460,
  [2467] = 2460,
  [2468] = 2460,
  [2469] = 322,
  [2470] = 1611,
  [2471] = 2471,
  [2472] = 2471,
  [2473] = 2460,
  [2474] = 1639,
  [2475] = 322,
  [2476] = 322,
  [2477] = 1639,
  [2478] = 2478,
  [2479] = 1639,
  [2480] = 2480,
  [2481] = 2478,
  [2482] = 1639,
  [2483] = 2471,
  [2484] = 1611,
  [2485] = 2471,
  [2486] = 2480,
  [2487] = 2487,
  [2488] = 1611,
  [2489] = 2489,
  [2490] = 2487,
  [2491] = 2487,
  [2492] = 2489,
  [2493] = 2487,
  [2494] = 1611,
  [2495] = 1611,
  [2496] = 1639,
  [2497] = 1639,
  [2498] = 1611,
  [2499] = 1611,
  [2500] = 1639,
  [2501] = 2487,
  [2502] = 1639,
  [2503] = 1639,
  [2504] = 2487,
  [2505] = 1611,
  [2506] = 1639,
  [2507] = 1639,
  [2508] = 1611,
  [2509] = 2480,
  [2510] = 1611,
  [2511] = 2478,
  [2512] = 1639,
  [2513] = 1639,
  [2514] = 1639,
  [2515] = 1639,
  [2516] = 2478,
  [2517] = 2480,
  [2518] = 1611,
  [2519] = 1639,
  [2520] = 2478,
  [2521] = 1611,
  [2522] = 2480,
  [2523] = 1639,
  [2524] = 1611,
  [2525] = 1639,
  [2526] = 2526,
  [2527] = 2526,
  [2528] = 2526,
  [2529] = 2526,
  [2530] = 2526,
  [2531] = 2526,
  [2532] = 2526,
  [2533] = 2533,
  [2534] = 2534,
  [2535] = 2535,
  [2536] = 2536,
  [2537] = 2533,
  [2538] = 2480,
  [2539] = 2539,
  [2540] = 2540,
  [2541] = 2541,
  [2542] = 2542,
  [2543] = 2543,
  [2544] = 2541,
  [2545] = 2545,
  [2546] = 2535,
  [2547] = 2478,
  [2548] = 2540,
  [2549] = 1639,
  [2550] = 2545,
  [2551] = 2543,
  [2552] = 2542,
  [2553] = 2539,
  [2554] = 2536,
  [2555] = 2534,
  [2556] = 2539,
  [2557] = 2533,
  [2558] = 2534,
  [2559] = 2541,
  [2560] = 2542,
  [2561] = 2539,
  [2562] = 2542,
  [2563] = 2541,
  [2564] = 2539,
  [2565] = 2542,
  [2566] = 2543,
  [2567] = 2540,
  [2568] = 2535,
  [2569] = 2535,
  [2570] = 2535,
  [2571] = 2543,
  [2572] = 2545,
  [2573] = 2540,
  [2574] = 2543,
  [2575] = 2540,
  [2576] = 2545,
  [2577] = 2536,
  [2578] = 2533,
  [2579] = 2541,
  [2580] = 2545,
  [2581] = 2534,
  [2582] = 2536,
  [2583] = 2534,
  [2584] = 2533,
  [2585] = 2536,
  [2586] = 2586,
  [2587] = 2586,
  [2588] = 2588,
  [2589] = 2586,
  [2590] = 2586,
  [2591] = 2444,
  [2592] = 2442,
  [2593] = 2593,
  [2594] = 2594,
  [2595] = 2595,
  [2596] = 2596,
  [2597] = 2588,
  [2598] = 2598,
  [2599] = 2599,
  [2600] = 2600,
  [2601] = 2601,
  [2602] = 2601,
  [2603] = 2601,
  [2604] = 2601,
  [2605] = 2601,
  [2606] = 2601,
  [2607] = 2593,
  [2608] = 2601,
  [2609] = 2601,
  [2610] = 2601,
  [2611] = 2601,
  [2612] = 2601,
  [2613] = 2601,
  [2614] = 2601,
  [2615] = 2601,
  [2616] = 2601,
  [2617] = 2471,
  [2618] = 2601,
  [2619] = 2601,
  [2620] = 2601,
  [2621] = 2601,
  [2622] = 2601,
  [2623] = 2601,
  [2624] = 2601,
  [2625] = 2601,
  [2626] = 2601,
  [2627] = 2601,
  [2628] = 2601,
  [2629] = 2601,
  [2630] = 2601,
  [2631] = 2601,
  [2632] = 2601,
  [2633] = 2601,
  [2634] = 2601,
  [2635] = 2601,
  [2636] = 2588,
  [2637] = 2601,
  [2638] = 2601,
  [2639] = 2601,
  [2640] = 2601,
  [2641] = 2601,
  [2642] = 2601,
  [2643] = 2601,
  [2644] = 2601,
  [2645] = 2601,
  [2646] = 2601,
  [2647] = 2601,
  [2648] = 2601,
  [2649] = 2601,
  [2650] = 2601,
  [2651] = 2601,
  [2652] = 1639,
  [2653] = 2478,
  [2654] = 2593,
  [2655] = 2655,
  [2656] = 2480,
  [2657] = 2657,
  [2658] = 2658,
  [2659] = 2659,
  [2660] = 2659,
  [2661] = 2659,
  [2662] = 2659,
  [2663] = 2659,
  [2664] = 2659,
  [2665] = 2659,
  [2666] = 2659,
  [2667] = 2659,
  [2668] = 2659,
  [2669] = 2659,
  [2670] = 2659,
  [2671] = 2659,
  [2672] = 2659,
  [2673] = 2659,
  [2674] = 2659,
  [2675] = 2659,
  [2676] = 2676,
  [2677] = 2677,
  [2678] = 2678,
  [2679] = 2679,
  [2680] = 2659,
  [2681] = 2681,
  [2682] = 2659,
  [2683] = 2683,
  [2684] = 2684,
  [2685] = 2659,
  [2686] = 2659,
  [2687] = 2687,
  [2688] = 2687,
  [2689] = 2659,
  [2690] = 2659,
  [2691] = 2659,
  [2692] = 2659,
  [2693] = 2659,
  [2694] = 2677,
  [2695] = 2695,
  [2696] = 2659,
  [2697] = 2659,
  [2698] = 2659,
  [2699] = 2659,
  [2700] = 2659,
  [2701] = 2659,
  [2702] = 2683,
  [2703] = 2659,
  [2704] = 2659,
  [2705] = 2659,
  [2706] = 2659,
  [2707] = 2586,
  [2708] = 2659,
  [2709] = 2659,
  [2710] = 2659,
  [2711] = 2659,
  [2712] = 2695,
  [2713] = 2658,
  [2714] = 2659,
  [2715] = 2659,
  [2716] = 2659,
  [2717] = 2676,
  [2718] = 2678,
  [2719] = 2679,
  [2720] = 2659,
  [2721] = 2681,
  [2722] = 2684,
  [2723] = 2657,
  [2724] = 2724,
  [2725] = 2677,
  [2726] = 2677,
  [2727] = 2683,
  [2728] = 2695,
  [2729] = 2676,
  [2730] = 2678,
  [2731] = 2679,
  [2732] = 2683,
  [2733] = 2657,
  [2734] = 2695,
  [2735] = 2724,
  [2736] = 2657,
  [2737] = 2681,
  [2738] = 2684,
  [2739] = 2695,
  [2740] = 2687,
  [2741] = 2724,
  [2742] = 2724,
  [2743] = 2743,
  [2744] = 2744,
  [2745] = 2745,
  [2746] = 2746,
  [2747] = 2747,
  [2748] = 2748,
  [2749] = 2749,
  [2750] = 2724,
  [2751] = 2751,
  [2752] = 2752,
  [2753] = 2753,
  [2754] = 2754,
  [2755] = 2755,
  [2756] = 2756,
  [2757] = 2757,
  [2758] = 2758,
  [2759] = 2759,
  [2760] = 2760,
  [2761] = 2724,
  [2762] = 2762,
  [2763] = 2763,
  [2764] = 2764,
  [2765] = 2765,
  [2766] = 2766,
  [2767] = 2767,
  [2768] = 2768,
  [2769] = 2769,
  [2770] = 2770,
  [2771] = 2771,
  [2772] = 2772,
  [2773] = 2773,
  [2774] = 2774,
  [2775] = 2724,
  [2776] = 2776,
  [2777] = 2777,
  [2778] = 2778,
  [2779] = 2779,
  [2780] = 2780,
  [2781] = 2724,
  [2782] = 2782,
  [2783] = 2783,
  [2784] = 2724,
  [2785] = 2785,
  [2786] = 2786,
  [2787] = 2787,
  [2788] = 2788,
  [2789] = 2724,
  [2790] = 2790,
  [2791] = 2791,
  [2792] = 2792,
  [2793] = 2793,
  [2794] = 2724,
  [2795] = 2795,
  [2796] = 2796,
  [2797] = 2743,
  [2798] = 2744,
  [2799] = 2745,
  [2800] = 2746,
  [2801] = 2747,
  [2802] = 2748,
  [2803] = 2724,
  [2804] = 2749,
  [2805] = 2751,
  [2806] = 2752,
  [2807] = 2753,
  [2808] = 2754,
  [2809] = 2755,
  [2810] = 2756,
  [2811] = 2724,
  [2812] = 2757,
  [2813] = 2758,
  [2814] = 2759,
  [2815] = 2760,
  [2816] = 2762,
  [2817] = 2763,
  [2818] = 2724,
  [2819] = 2764,
  [2820] = 2765,
  [2821] = 2766,
  [2822] = 2767,
  [2823] = 2768,
  [2824] = 2769,
  [2825] = 2770,
  [2826] = 2771,
  [2827] = 2658,
  [2828] = 2724,
  [2829] = 2772,
  [2830] = 2773,
  [2831] = 2774,
  [2832] = 2776,
  [2833] = 2777,
  [2834] = 2724,
  [2835] = 2778,
  [2836] = 2779,
  [2837] = 2780,
  [2838] = 2782,
  [2839] = 2783,
  [2840] = 2724,
  [2841] = 2785,
  [2842] = 2842,
  [2843] = 2843,
  [2844] = 2724,
  [2845] = 2786,
  [2846] = 2787,
  [2847] = 2724,
  [2848] = 2788,
  [2849] = 2724,
  [2850] = 2658,
  [2851] = 2657,
  [2852] = 2657,
  [2853] = 2790,
  [2854] = 2791,
  [2855] = 2724,
  [2856] = 2724,
  [2857] = 2792,
  [2858] = 2676,
  [2859] = 2678,
  [2860] = 2679,
  [2861] = 2724,
  [2862] = 2793,
  [2863] = 2681,
  [2864] = 2684,
  [2865] = 2724,
  [2866] = 2687,
  [2867] = 2795,
  [2868] = 2796,
  [2869] = 2724,
  [2870] = 2724,
  [2871] = 2658,
  [2872] = 2724,
  [2873] = 2724,
  [2874] = 2724,
  [2875] = 2676,
  [2876] = 2678,
  [2877] = 2679,
  [2878] = 2724,
  [2879] = 2681,
  [2880] = 2684,
  [2881] = 2687,
  [2882] = 2724,
  [2883] = 2677,
  [2884] = 2724,
  [2885] = 2683,
  [2886] = 2695,
  [2887] = 2724,
  [2888] = 2842,
  [2889] = 2843,
  [2890] = 2724,
  [2891] = 2677,
  [2892] = 2724,
  [2893] = 2683,
  [2894] = 2724,
  [2895] = 2724,
  [2896] = 2724,
  [2897] = 2724,
  [2898] = 2724,
  [2899] = 2899,
  [2900] = 2900,
  [2901] = 2901,
  [2902] = 2902,
  [2903] = 2724,
  [2904] = 2904,
  [2905] = 2905,
  [2906] = 2906,
  [2907] = 2907,
  [2908] = 2908,
  [2909] = 2724,
  [2910] = 2910,
  [2911] = 2911,
  [2912] = 2912,
  [2913] = 2899,
  [2914] = 2914,
  [2915] = 2915,
  [2916] = 2724,
  [2917] = 2917,
  [2918] = 2918,
  [2919] = 2919,
  [2920] = 2900,
  [2921] = 2901,
  [2922] = 2902,
  [2923] = 2904,
  [2924] = 2924,
  [2925] = 2925,
  [2926] = 2905,
  [2927] = 2906,
  [2928] = 2907,
  [2929] = 2908,
  [2930] = 2910,
  [2931] = 2911,
  [2932] = 2912,
  [2933] = 2914,
  [2934] = 2915,
  [2935] = 2917,
  [2936] = 2918,
  [2937] = 2919,
  [2938] = 2924,
  [2939] = 2925,
  [2940] = 2940,
  [2941] = 2941,
  [2942] = 2942,
  [2943] = 2943,
  [2944] = 2940,
  [2945] = 2941,
  [2946] = 2942,
  [2947] = 2943,
  [2948] = 2658,
  [2949] = 2442,
  [2950] = 2444,
  [2951] = 2676,
  [2952] = 2678,
  [2953] = 2679,
  [2954] = 2681,
  [2955] = 2684,
  [2956] = 2687,
  [2957] = 2724,
  [2958] = 2773,
  [2959] = 2959,
  [2960] = 2746,
  [2961] = 2906,
  [2962] = 2962,
  [2963] = 2963,
  [2964] = 2908,
  [2965] = 2910,
  [2966] = 2966,
  [2967] = 2911,
  [2968] = 2912,
  [2969] = 2969,
  [2970] = 2959,
  [2971] = 2777,
  [2972] = 2962,
  [2973] = 2963,
  [2974] = 2914,
  [2975] = 2915,
  [2976] = 2917,
  [2977] = 2918,
  [2978] = 2919,
  [2979] = 2966,
  [2980] = 2969,
  [2981] = 2959,
  [2982] = 2962,
  [2983] = 2963,
  [2984] = 2962,
  [2985] = 2924,
  [2986] = 2792,
  [2987] = 2925,
  [2988] = 2966,
  [2989] = 2966,
  [2990] = 2969,
  [2991] = 2959,
  [2992] = 2962,
  [2993] = 2963,
  [2994] = 2966,
  [2995] = 2969,
  [2996] = 2959,
  [2997] = 2962,
  [2998] = 2963,
  [2999] = 2658,
  [3000] = 2969,
  [3001] = 2966,
  [3002] = 2969,
  [3003] = 2959,
  [3004] = 2962,
  [3005] = 2963,
  [3006] = 2966,
  [3007] = 2969,
  [3008] = 2959,
  [3009] = 2676,
  [3010] = 2678,
  [3011] = 2679,
  [3012] = 2962,
  [3013] = 2963,
  [3014] = 2681,
  [3015] = 2684,
  [3016] = 2966,
  [3017] = 2687,
  [3018] = 2969,
  [3019] = 2959,
  [3020] = 2962,
  [3021] = 2963,
  [3022] = 2959,
  [3023] = 2966,
  [3024] = 2969,
  [3025] = 2959,
  [3026] = 2899,
  [3027] = 2962,
  [3028] = 2963,
  [3029] = 2966,
  [3030] = 2900,
  [3031] = 2901,
  [3032] = 2969,
  [3033] = 2959,
  [3034] = 2902,
  [3035] = 2904,
  [3036] = 2962,
  [3037] = 2963,
  [3038] = 2966,
  [3039] = 2963,
  [3040] = 2969,
  [3041] = 2959,
  [3042] = 2962,
  [3043] = 2940,
  [3044] = 2962,
  [3045] = 2963,
  [3046] = 2677,
  [3047] = 2966,
  [3048] = 2969,
  [3049] = 2959,
  [3050] = 2658,
  [3051] = 2962,
  [3052] = 2963,
  [3053] = 2963,
  [3054] = 2941,
  [3055] = 2942,
  [3056] = 2966,
  [3057] = 2969,
  [3058] = 2959,
  [3059] = 2962,
  [3060] = 2963,
  [3061] = 2943,
  [3062] = 2683,
  [3063] = 2676,
  [3064] = 2678,
  [3065] = 2679,
  [3066] = 2681,
  [3067] = 2684,
  [3068] = 2687,
  [3069] = 2969,
  [3070] = 2778,
  [3071] = 2959,
  [3072] = 2905,
  [3073] = 2793,
  [3074] = 2779,
  [3075] = 3075,
  [3076] = 2906,
  [3077] = 2966,
  [3078] = 2907,
  [3079] = 2785,
  [3080] = 2962,
  [3081] = 2908,
  [3082] = 2963,
  [3083] = 2795,
  [3084] = 2796,
  [3085] = 2780,
  [3086] = 2910,
  [3087] = 2911,
  [3088] = 2912,
  [3089] = 2962,
  [3090] = 2782,
  [3091] = 2966,
  [3092] = 2969,
  [3093] = 2969,
  [3094] = 2959,
  [3095] = 2959,
  [3096] = 2962,
  [3097] = 2963,
  [3098] = 2914,
  [3099] = 2966,
  [3100] = 2962,
  [3101] = 2963,
  [3102] = 2783,
  [3103] = 2677,
  [3104] = 2915,
  [3105] = 2917,
  [3106] = 2749,
  [3107] = 2918,
  [3108] = 2919,
  [3109] = 2683,
  [3110] = 2969,
  [3111] = 2751,
  [3112] = 2752,
  [3113] = 2966,
  [3114] = 2963,
  [3115] = 2924,
  [3116] = 2969,
  [3117] = 2925,
  [3118] = 2959,
  [3119] = 2962,
  [3120] = 2963,
  [3121] = 2966,
  [3122] = 2966,
  [3123] = 2969,
  [3124] = 2969,
  [3125] = 2959,
  [3126] = 2959,
  [3127] = 2966,
  [3128] = 2962,
  [3129] = 2963,
  [3130] = 2776,
  [3131] = 2966,
  [3132] = 2969,
  [3133] = 2962,
  [3134] = 2963,
  [3135] = 2969,
  [3136] = 2959,
  [3137] = 2959,
  [3138] = 2962,
  [3139] = 2963,
  [3140] = 2785,
  [3141] = 2753,
  [3142] = 2966,
  [3143] = 2842,
  [3144] = 2442,
  [3145] = 2747,
  [3146] = 2959,
  [3147] = 2969,
  [3148] = 2444,
  [3149] = 2959,
  [3150] = 2786,
  [3151] = 2966,
  [3152] = 2766,
  [3153] = 2767,
  [3154] = 2969,
  [3155] = 2959,
  [3156] = 2966,
  [3157] = 2768,
  [3158] = 2769,
  [3159] = 2754,
  [3160] = 2962,
  [3161] = 2962,
  [3162] = 2963,
  [3163] = 2963,
  [3164] = 2748,
  [3165] = 2969,
  [3166] = 2959,
  [3167] = 2755,
  [3168] = 2756,
  [3169] = 2966,
  [3170] = 2969,
  [3171] = 2959,
  [3172] = 2770,
  [3173] = 2788,
  [3174] = 2962,
  [3175] = 2963,
  [3176] = 2788,
  [3177] = 2790,
  [3178] = 2757,
  [3179] = 2969,
  [3180] = 2966,
  [3181] = 2966,
  [3182] = 2792,
  [3183] = 2969,
  [3184] = 2959,
  [3185] = 2959,
  [3186] = 2776,
  [3187] = 2793,
  [3188] = 2795,
  [3189] = 2743,
  [3190] = 2744,
  [3191] = 2962,
  [3192] = 2963,
  [3193] = 2745,
  [3194] = 2796,
  [3195] = 2746,
  [3196] = 2747,
  [3197] = 2748,
  [3198] = 2749,
  [3199] = 2940,
  [3200] = 2843,
  [3201] = 2751,
  [3202] = 2752,
  [3203] = 2753,
  [3204] = 2969,
  [3205] = 2754,
  [3206] = 2755,
  [3207] = 2756,
  [3208] = 2757,
  [3209] = 2758,
  [3210] = 2743,
  [3211] = 2759,
  [3212] = 2941,
  [3213] = 2959,
  [3214] = 2942,
  [3215] = 2760,
  [3216] = 2762,
  [3217] = 2763,
  [3218] = 2764,
  [3219] = 2765,
  [3220] = 2966,
  [3221] = 2766,
  [3222] = 2767,
  [3223] = 2768,
  [3224] = 2943,
  [3225] = 2744,
  [3226] = 2769,
  [3227] = 2770,
  [3228] = 2771,
  [3229] = 2745,
  [3230] = 2772,
  [3231] = 2969,
  [3232] = 2773,
  [3233] = 2774,
  [3234] = 2776,
  [3235] = 2959,
  [3236] = 2787,
  [3237] = 2777,
  [3238] = 2778,
  [3239] = 2779,
  [3240] = 2780,
  [3241] = 2962,
  [3242] = 2963,
  [3243] = 2962,
  [3244] = 2963,
  [3245] = 2782,
  [3246] = 2743,
  [3247] = 2746,
  [3248] = 2783,
  [3249] = 2744,
  [3250] = 2745,
  [3251] = 2746,
  [3252] = 2747,
  [3253] = 2748,
  [3254] = 2749,
  [3255] = 2747,
  [3256] = 2751,
  [3257] = 2752,
  [3258] = 2753,
  [3259] = 2754,
  [3260] = 2755,
  [3261] = 2756,
  [3262] = 2757,
  [3263] = 2966,
  [3264] = 2758,
  [3265] = 2748,
  [3266] = 2759,
  [3267] = 2785,
  [3268] = 2760,
  [3269] = 2762,
  [3270] = 2763,
  [3271] = 2764,
  [3272] = 2765,
  [3273] = 2766,
  [3274] = 2767,
  [3275] = 2768,
  [3276] = 2769,
  [3277] = 2770,
  [3278] = 2771,
  [3279] = 2772,
  [3280] = 2969,
  [3281] = 2966,
  [3282] = 2773,
  [3283] = 2774,
  [3284] = 2776,
  [3285] = 2790,
  [3286] = 2969,
  [3287] = 2777,
  [3288] = 2778,
  [3289] = 2779,
  [3290] = 2780,
  [3291] = 2959,
  [3292] = 2782,
  [3293] = 2783,
  [3294] = 2786,
  [3295] = 2959,
  [3296] = 2771,
  [3297] = 2787,
  [3298] = 2772,
  [3299] = 2788,
  [3300] = 2785,
  [3301] = 2790,
  [3302] = 2962,
  [3303] = 2791,
  [3304] = 2963,
  [3305] = 2792,
  [3306] = 2793,
  [3307] = 2795,
  [3308] = 2962,
  [3309] = 2963,
  [3310] = 2796,
  [3311] = 2786,
  [3312] = 2787,
  [3313] = 2962,
  [3314] = 2963,
  [3315] = 2788,
  [3316] = 2790,
  [3317] = 2791,
  [3318] = 2966,
  [3319] = 2792,
  [3320] = 2793,
  [3321] = 2795,
  [3322] = 2796,
  [3323] = 2842,
  [3324] = 2843,
  [3325] = 2786,
  [3326] = 2787,
  [3327] = 2969,
  [3328] = 2842,
  [3329] = 2843,
  [3330] = 2959,
  [3331] = 2962,
  [3332] = 2963,
  [3333] = 2791,
  [3334] = 2966,
  [3335] = 2966,
  [3336] = 2843,
  [3337] = 2743,
  [3338] = 2657,
  [3339] = 2969,
  [3340] = 2959,
  [3341] = 2751,
  [3342] = 2695,
  [3343] = 3075,
  [3344] = 2752,
  [3345] = 2962,
  [3346] = 2966,
  [3347] = 2963,
  [3348] = 2773,
  [3349] = 2899,
  [3350] = 3075,
  [3351] = 2900,
  [3352] = 2901,
  [3353] = 2902,
  [3354] = 2904,
  [3355] = 2966,
  [3356] = 2899,
  [3357] = 2774,
  [3358] = 3075,
  [3359] = 2900,
  [3360] = 2899,
  [3361] = 2901,
  [3362] = 2966,
  [3363] = 3075,
  [3364] = 2902,
  [3365] = 2904,
  [3366] = 2969,
  [3367] = 2900,
  [3368] = 2901,
  [3369] = 2902,
  [3370] = 3075,
  [3371] = 2904,
  [3372] = 2905,
  [3373] = 2959,
  [3374] = 2906,
  [3375] = 2907,
  [3376] = 3075,
  [3377] = 2908,
  [3378] = 2910,
  [3379] = 2911,
  [3380] = 2912,
  [3381] = 2905,
  [3382] = 2914,
  [3383] = 2915,
  [3384] = 2917,
  [3385] = 2918,
  [3386] = 2919,
  [3387] = 2906,
  [3388] = 2907,
  [3389] = 2908,
  [3390] = 2910,
  [3391] = 2911,
  [3392] = 2912,
  [3393] = 2924,
  [3394] = 2914,
  [3395] = 2915,
  [3396] = 2917,
  [3397] = 2925,
  [3398] = 2918,
  [3399] = 2919,
  [3400] = 2924,
  [3401] = 2925,
  [3402] = 2657,
  [3403] = 2962,
  [3404] = 2963,
  [3405] = 2695,
  [3406] = 2940,
  [3407] = 2941,
  [3408] = 2942,
  [3409] = 2943,
  [3410] = 2940,
  [3411] = 2941,
  [3412] = 2942,
  [3413] = 2943,
  [3414] = 2753,
  [3415] = 2969,
  [3416] = 2969,
  [3417] = 2959,
  [3418] = 2754,
  [3419] = 2755,
  [3420] = 2756,
  [3421] = 2962,
  [3422] = 2963,
  [3423] = 2966,
  [3424] = 2966,
  [3425] = 2757,
  [3426] = 2758,
  [3427] = 2959,
  [3428] = 2759,
  [3429] = 2760,
  [3430] = 2762,
  [3431] = 2763,
  [3432] = 2969,
  [3433] = 2959,
  [3434] = 2966,
  [3435] = 2764,
  [3436] = 2758,
  [3437] = 2969,
  [3438] = 2962,
  [3439] = 2963,
  [3440] = 2959,
  [3441] = 2765,
  [3442] = 2842,
  [3443] = 2791,
  [3444] = 2962,
  [3445] = 2963,
  [3446] = 2766,
  [3447] = 2767,
  [3448] = 2768,
  [3449] = 2769,
  [3450] = 2770,
  [3451] = 2771,
  [3452] = 2772,
  [3453] = 2966,
  [3454] = 2774,
  [3455] = 2969,
  [3456] = 2959,
  [3457] = 2966,
  [3458] = 2962,
  [3459] = 2963,
  [3460] = 2777,
  [3461] = 2778,
  [3462] = 2779,
  [3463] = 2780,
  [3464] = 2905,
  [3465] = 2969,
  [3466] = 2782,
  [3467] = 2966,
  [3468] = 2969,
  [3469] = 2959,
  [3470] = 2783,
  [3471] = 2962,
  [3472] = 2963,
  [3473] = 2749,
  [3474] = 2966,
  [3475] = 2962,
  [3476] = 2963,
  [3477] = 2969,
  [3478] = 2959,
  [3479] = 2962,
  [3480] = 2962,
  [3481] = 2963,
  [3482] = 2759,
  [3483] = 2760,
  [3484] = 2744,
  [3485] = 2762,
  [3486] = 2763,
  [3487] = 2764,
  [3488] = 2745,
  [3489] = 2442,
  [3490] = 2966,
  [3491] = 2444,
  [3492] = 2963,
  [3493] = 2969,
  [3494] = 2959,
  [3495] = 2962,
  [3496] = 2963,
  [3497] = 2765,
  [3498] = 2907,
  [3499] = 2919,
  [3500] = 3500,
  [3501] = 2757,
  [3502] = 2758,
  [3503] = 3500,
  [3504] = 2765,
  [3505] = 2766,
  [3506] = 2759,
  [3507] = 2683,
  [3508] = 2767,
  [3509] = 2658,
  [3510] = 2768,
  [3511] = 2769,
  [3512] = 2760,
  [3513] = 3500,
  [3514] = 2770,
  [3515] = 3500,
  [3516] = 2771,
  [3517] = 2762,
  [3518] = 2763,
  [3519] = 2764,
  [3520] = 2695,
  [3521] = 2765,
  [3522] = 2766,
  [3523] = 2767,
  [3524] = 2768,
  [3525] = 2772,
  [3526] = 2769,
  [3527] = 3500,
  [3528] = 3500,
  [3529] = 2770,
  [3530] = 2771,
  [3531] = 3500,
  [3532] = 2772,
  [3533] = 2773,
  [3534] = 2774,
  [3535] = 2773,
  [3536] = 2774,
  [3537] = 2777,
  [3538] = 2778,
  [3539] = 2779,
  [3540] = 2780,
  [3541] = 2658,
  [3542] = 2899,
  [3543] = 3500,
  [3544] = 2782,
  [3545] = 3500,
  [3546] = 2743,
  [3547] = 2783,
  [3548] = 2786,
  [3549] = 2787,
  [3550] = 2749,
  [3551] = 3551,
  [3552] = 3552,
  [3553] = 3500,
  [3554] = 3500,
  [3555] = 3555,
  [3556] = 2681,
  [3557] = 2788,
  [3558] = 2777,
  [3559] = 2785,
  [3560] = 2790,
  [3561] = 2791,
  [3562] = 2792,
  [3563] = 2776,
  [3564] = 3564,
  [3565] = 2793,
  [3566] = 3500,
  [3567] = 2795,
  [3568] = 2900,
  [3569] = 2778,
  [3570] = 2796,
  [3571] = 2779,
  [3572] = 2780,
  [3573] = 2744,
  [3574] = 2901,
  [3575] = 3500,
  [3576] = 2902,
  [3577] = 2904,
  [3578] = 2745,
  [3579] = 2746,
  [3580] = 2684,
  [3581] = 2687,
  [3582] = 2782,
  [3583] = 2657,
  [3584] = 2695,
  [3585] = 3500,
  [3586] = 3500,
  [3587] = 2749,
  [3588] = 2747,
  [3589] = 2748,
  [3590] = 2677,
  [3591] = 2676,
  [3592] = 3500,
  [3593] = 3500,
  [3594] = 2783,
  [3595] = 3555,
  [3596] = 3555,
  [3597] = 3500,
  [3598] = 3500,
  [3599] = 2678,
  [3600] = 2905,
  [3601] = 2899,
  [3602] = 3500,
  [3603] = 3603,
  [3604] = 2751,
  [3605] = 3500,
  [3606] = 2752,
  [3607] = 2900,
  [3608] = 2901,
  [3609] = 2776,
  [3610] = 2902,
  [3611] = 3611,
  [3612] = 3564,
  [3613] = 2904,
  [3614] = 2683,
  [3615] = 2906,
  [3616] = 2907,
  [3617] = 2908,
  [3618] = 2910,
  [3619] = 2911,
  [3620] = 2912,
  [3621] = 2843,
  [3622] = 2914,
  [3623] = 2915,
  [3624] = 2917,
  [3625] = 2918,
  [3626] = 3500,
  [3627] = 2764,
  [3628] = 2679,
  [3629] = 2924,
  [3630] = 2905,
  [3631] = 2925,
  [3632] = 2906,
  [3633] = 2907,
  [3634] = 2908,
  [3635] = 2910,
  [3636] = 2911,
  [3637] = 2912,
  [3638] = 2914,
  [3639] = 2915,
  [3640] = 2917,
  [3641] = 3555,
  [3642] = 2918,
  [3643] = 2919,
  [3644] = 2924,
  [3645] = 2925,
  [3646] = 3500,
  [3647] = 2785,
  [3648] = 2786,
  [3649] = 2787,
  [3650] = 3500,
  [3651] = 3611,
  [3652] = 3564,
  [3653] = 2788,
  [3654] = 2753,
  [3655] = 3500,
  [3656] = 2790,
  [3657] = 2791,
  [3658] = 2792,
  [3659] = 2793,
  [3660] = 2795,
  [3661] = 2796,
  [3662] = 2754,
  [3663] = 3611,
  [3664] = 3500,
  [3665] = 2755,
  [3666] = 3500,
  [3667] = 2756,
  [3668] = 2743,
  [3669] = 3500,
  [3670] = 3500,
  [3671] = 2940,
  [3672] = 2941,
  [3673] = 2942,
  [3674] = 2943,
  [3675] = 2940,
  [3676] = 2941,
  [3677] = 2942,
  [3678] = 2943,
  [3679] = 3500,
  [3680] = 3500,
  [3681] = 2744,
  [3682] = 3555,
  [3683] = 2745,
  [3684] = 2676,
  [3685] = 2678,
  [3686] = 2679,
  [3687] = 3500,
  [3688] = 2746,
  [3689] = 3551,
  [3690] = 3552,
  [3691] = 2747,
  [3692] = 2748,
  [3693] = 3500,
  [3694] = 3551,
  [3695] = 3555,
  [3696] = 2757,
  [3697] = 3500,
  [3698] = 2681,
  [3699] = 3552,
  [3700] = 3500,
  [3701] = 3611,
  [3702] = 3564,
  [3703] = 3500,
  [3704] = 2684,
  [3705] = 2657,
  [3706] = 2677,
  [3707] = 2758,
  [3708] = 2843,
  [3709] = 3500,
  [3710] = 2759,
  [3711] = 3603,
  [3712] = 3500,
  [3713] = 3500,
  [3714] = 2687,
  [3715] = 2842,
  [3716] = 2760,
  [3717] = 3611,
  [3718] = 3555,
  [3719] = 3500,
  [3720] = 2762,
  [3721] = 3500,
  [3722] = 2751,
  [3723] = 2752,
  [3724] = 3500,
  [3725] = 2753,
  [3726] = 2754,
  [3727] = 3500,
  [3728] = 2755,
  [3729] = 2763,
  [3730] = 3564,
  [3731] = 2756,
  [3732] = 2842,
  [3733] = 3555,
  [3734] = 3734,
  [3735] = 3603,
  [3736] = 3736,
  [3737] = 2758,
  [3738] = 2687,
  [3739] = 2776,
  [3740] = 2681,
  [3741] = 3741,
  [3742] = 3742,
  [3743] = 3603,
  [3744] = 2915,
  [3745] = 3745,
  [3746] = 3741,
  [3747] = 3741,
  [3748] = 3748,
  [3749] = 2842,
  [3750] = 2681,
  [3751] = 3734,
  [3752] = 3748,
  [3753] = 3753,
  [3754] = 2657,
  [3755] = 3753,
  [3756] = 3756,
  [3757] = 3741,
  [3758] = 2917,
  [3759] = 3736,
  [3760] = 2772,
  [3761] = 2683,
  [3762] = 3745,
  [3763] = 2793,
  [3764] = 3748,
  [3765] = 2744,
  [3766] = 3753,
  [3767] = 2786,
  [3768] = 3741,
  [3769] = 2785,
  [3770] = 3770,
  [3771] = 3736,
  [3772] = 3741,
  [3773] = 2900,
  [3774] = 2754,
  [3775] = 3736,
  [3776] = 3741,
  [3777] = 2785,
  [3778] = 3741,
  [3779] = 2745,
  [3780] = 3741,
  [3781] = 2940,
  [3782] = 3770,
  [3783] = 2769,
  [3784] = 3770,
  [3785] = 3741,
  [3786] = 2759,
  [3787] = 2795,
  [3788] = 2941,
  [3789] = 2942,
  [3790] = 2943,
  [3791] = 2776,
  [3792] = 2906,
  [3793] = 3736,
  [3794] = 3734,
  [3795] = 2760,
  [3796] = 3745,
  [3797] = 2918,
  [3798] = 2796,
  [3799] = 3799,
  [3800] = 3741,
  [3801] = 3748,
  [3802] = 3741,
  [3803] = 2788,
  [3804] = 2907,
  [3805] = 2746,
  [3806] = 2908,
  [3807] = 2747,
  [3808] = 3799,
  [3809] = 2790,
  [3810] = 2755,
  [3811] = 3745,
  [3812] = 2792,
  [3813] = 2793,
  [3814] = 3741,
  [3815] = 2795,
  [3816] = 2748,
  [3817] = 2796,
  [3818] = 2910,
  [3819] = 2684,
  [3820] = 2911,
  [3821] = 2912,
  [3822] = 3741,
  [3823] = 3748,
  [3824] = 3734,
  [3825] = 2762,
  [3826] = 2757,
  [3827] = 2751,
  [3828] = 2770,
  [3829] = 3741,
  [3830] = 2919,
  [3831] = 2782,
  [3832] = 2901,
  [3833] = 3734,
  [3834] = 2787,
  [3835] = 2914,
  [3836] = 2915,
  [3837] = 2900,
  [3838] = 2917,
  [3839] = 3748,
  [3840] = 2899,
  [3841] = 2918,
  [3842] = 2919,
  [3843] = 2786,
  [3844] = 3748,
  [3845] = 2752,
  [3846] = 2676,
  [3847] = 3748,
  [3848] = 3741,
  [3849] = 2791,
  [3850] = 3741,
  [3851] = 2763,
  [3852] = 2695,
  [3853] = 2901,
  [3854] = 2902,
  [3855] = 2763,
  [3856] = 2902,
  [3857] = 3748,
  [3858] = 2904,
  [3859] = 2760,
  [3860] = 2764,
  [3861] = 2783,
  [3862] = 2762,
  [3863] = 2765,
  [3864] = 3734,
  [3865] = 3736,
  [3866] = 2791,
  [3867] = 2924,
  [3868] = 3741,
  [3869] = 2766,
  [3870] = 3741,
  [3871] = 3736,
  [3872] = 2678,
  [3873] = 3748,
  [3874] = 2906,
  [3875] = 3745,
  [3876] = 3748,
  [3877] = 3748,
  [3878] = 2767,
  [3879] = 3741,
  [3880] = 2792,
  [3881] = 2768,
  [3882] = 3748,
  [3883] = 2769,
  [3884] = 2907,
  [3885] = 3734,
  [3886] = 2764,
  [3887] = 2925,
  [3888] = 3734,
  [3889] = 2770,
  [3890] = 2905,
  [3891] = 3734,
  [3892] = 2771,
  [3893] = 2772,
  [3894] = 2904,
  [3895] = 2743,
  [3896] = 3896,
  [3897] = 3741,
  [3898] = 2749,
  [3899] = 3734,
  [3900] = 3748,
  [3901] = 2684,
  [3902] = 3734,
  [3903] = 2843,
  [3904] = 2908,
  [3905] = 3748,
  [3906] = 2758,
  [3907] = 3734,
  [3908] = 3753,
  [3909] = 3748,
  [3910] = 2765,
  [3911] = 3770,
  [3912] = 2683,
  [3913] = 2905,
  [3914] = 3734,
  [3915] = 3745,
  [3916] = 3748,
  [3917] = 2773,
  [3918] = 2768,
  [3919] = 2749,
  [3920] = 2910,
  [3921] = 3734,
  [3922] = 3734,
  [3923] = 3741,
  [3924] = 3756,
  [3925] = 2753,
  [3926] = 2777,
  [3927] = 3741,
  [3928] = 3736,
  [3929] = 3745,
  [3930] = 2778,
  [3931] = 2779,
  [3932] = 3741,
  [3933] = 3753,
  [3934] = 3741,
  [3935] = 3734,
  [3936] = 2677,
  [3937] = 3748,
  [3938] = 3748,
  [3939] = 3939,
  [3940] = 2911,
  [3941] = 3741,
  [3942] = 3748,
  [3943] = 2924,
  [3944] = 2842,
  [3945] = 3741,
  [3946] = 3734,
  [3947] = 3756,
  [3948] = 3799,
  [3949] = 3734,
  [3950] = 3748,
  [3951] = 3741,
  [3952] = 3756,
  [3953] = 3770,
  [3954] = 3741,
  [3955] = 3753,
  [3956] = 3770,
  [3957] = 3799,
  [3958] = 2773,
  [3959] = 2780,
  [3960] = 3799,
  [3961] = 3734,
  [3962] = 3734,
  [3963] = 3734,
  [3964] = 3756,
  [3965] = 3799,
  [3966] = 2912,
  [3967] = 3603,
  [3968] = 3741,
  [3969] = 2679,
  [3970] = 2677,
  [3971] = 3741,
  [3972] = 2766,
  [3973] = 3748,
  [3974] = 3734,
  [3975] = 3756,
  [3976] = 3799,
  [3977] = 2774,
  [3978] = 2679,
  [3979] = 3748,
  [3980] = 3745,
  [3981] = 3741,
  [3982] = 2777,
  [3983] = 3741,
  [3984] = 3896,
  [3985] = 3753,
  [3986] = 2778,
  [3987] = 2755,
  [3988] = 2658,
  [3989] = 3741,
  [3990] = 3734,
  [3991] = 2779,
  [3992] = 3741,
  [3993] = 3603,
  [3994] = 2657,
  [3995] = 3748,
  [3996] = 2788,
  [3997] = 3939,
  [3998] = 2782,
  [3999] = 2899,
  [4000] = 3742,
  [4001] = 3748,
  [4002] = 2757,
  [4003] = 2767,
  [4004] = 3741,
  [4005] = 3741,
  [4006] = 2843,
  [4007] = 3734,
  [4008] = 2743,
  [4009] = 3770,
  [4010] = 2940,
  [4011] = 3734,
  [4012] = 2780,
  [4013] = 2914,
  [4014] = 2771,
  [4015] = 2756,
  [4016] = 2744,
  [4017] = 2695,
  [4018] = 3748,
  [4019] = 2745,
  [4020] = 2787,
  [4021] = 2746,
  [4022] = 2747,
  [4023] = 2748,
  [4024] = 2687,
  [4025] = 3741,
  [4026] = 3770,
  [4027] = 2658,
  [4028] = 3741,
  [4029] = 3748,
  [4030] = 3734,
  [4031] = 2941,
  [4032] = 3734,
  [4033] = 3748,
  [4034] = 3756,
  [4035] = 3734,
  [4036] = 3799,
  [4037] = 2942,
  [4038] = 3741,
  [4039] = 2783,
  [4040] = 2943,
  [4041] = 3734,
  [4042] = 3741,
  [4043] = 3741,
  [4044] = 2790,
  [4045] = 3748,
  [4046] = 2676,
  [4047] = 3741,
  [4048] = 3748,
  [4049] = 3753,
  [4050] = 3748,
  [4051] = 2756,
  [4052] = 3741,
  [4053] = 3748,
  [4054] = 3734,
  [4055] = 3756,
  [4056] = 2751,
  [4057] = 3734,
  [4058] = 2752,
  [4059] = 2753,
  [4060] = 3734,
  [4061] = 2925,
  [4062] = 2678,
  [4063] = 2759,
  [4064] = 2754,
  [4065] = 2774,
  [4066] = 2778,
  [4067] = 2778,
  [4068] = 3742,
  [4069] = 3896,
  [4070] = 3742,
  [4071] = 4071,
  [4072] = 2779,
  [4073] = 2780,
  [4074] = 2793,
  [4075] = 4075,
  [4076] = 2782,
  [4077] = 2795,
  [4078] = 4071,
  [4079] = 4075,
  [4080] = 2796,
  [4081] = 2843,
  [4082] = 2906,
  [4083] = 2743,
  [4084] = 4071,
  [4085] = 2907,
  [4086] = 4071,
  [4087] = 4087,
  [4088] = 2908,
  [4089] = 4089,
  [4090] = 4075,
  [4091] = 4091,
  [4092] = 2910,
  [4093] = 4093,
  [4094] = 2783,
  [4095] = 2911,
  [4096] = 4096,
  [4097] = 4087,
  [4098] = 4089,
  [4099] = 4091,
  [4100] = 4093,
  [4101] = 4096,
  [4102] = 4102,
  [4103] = 4102,
  [4104] = 2751,
  [4105] = 4105,
  [4106] = 4106,
  [4107] = 4107,
  [4108] = 2752,
  [4109] = 4071,
  [4110] = 4075,
  [4111] = 4111,
  [4112] = 4071,
  [4113] = 2912,
  [4114] = 2744,
  [4115] = 2786,
  [4116] = 2745,
  [4117] = 4075,
  [4118] = 4106,
  [4119] = 4107,
  [4120] = 2787,
  [4121] = 2746,
  [4122] = 2747,
  [4123] = 2924,
  [4124] = 2748,
  [4125] = 2905,
  [4126] = 2753,
  [4127] = 4075,
  [4128] = 2749,
  [4129] = 2915,
  [4130] = 2910,
  [4131] = 4071,
  [4132] = 4075,
  [4133] = 4133,
  [4134] = 2788,
  [4135] = 2783,
  [4136] = 2912,
  [4137] = 2754,
  [4138] = 2911,
  [4139] = 2899,
  [4140] = 2914,
  [4141] = 2940,
  [4142] = 2744,
  [4143] = 4106,
  [4144] = 4107,
  [4145] = 4111,
  [4146] = 2751,
  [4147] = 2752,
  [4148] = 2753,
  [4149] = 2915,
  [4150] = 2788,
  [4151] = 4071,
  [4152] = 4075,
  [4153] = 2754,
  [4154] = 2755,
  [4155] = 2756,
  [4156] = 2755,
  [4157] = 2756,
  [4158] = 2917,
  [4159] = 2925,
  [4160] = 2917,
  [4161] = 2757,
  [4162] = 2758,
  [4163] = 2925,
  [4164] = 2918,
  [4165] = 2759,
  [4166] = 2785,
  [4167] = 2919,
  [4168] = 2941,
  [4169] = 2942,
  [4170] = 3896,
  [4171] = 2760,
  [4172] = 2762,
  [4173] = 2763,
  [4174] = 4111,
  [4175] = 2764,
  [4176] = 2790,
  [4177] = 4071,
  [4178] = 4075,
  [4179] = 2765,
  [4180] = 4180,
  [4181] = 2791,
  [4182] = 2766,
  [4183] = 2767,
  [4184] = 2786,
  [4185] = 4111,
  [4186] = 3742,
  [4187] = 4111,
  [4188] = 2768,
  [4189] = 4071,
  [4190] = 4075,
  [4191] = 2757,
  [4192] = 2943,
  [4193] = 2758,
  [4194] = 2906,
  [4195] = 2769,
  [4196] = 2770,
  [4197] = 2771,
  [4198] = 2772,
  [4199] = 2792,
  [4200] = 2773,
  [4201] = 2774,
  [4202] = 2776,
  [4203] = 2745,
  [4204] = 2918,
  [4205] = 2759,
  [4206] = 2777,
  [4207] = 2900,
  [4208] = 2785,
  [4209] = 2919,
  [4210] = 2779,
  [4211] = 2780,
  [4212] = 2793,
  [4213] = 4111,
  [4214] = 4071,
  [4215] = 4075,
  [4216] = 2901,
  [4217] = 2782,
  [4218] = 2795,
  [4219] = 2902,
  [4220] = 2796,
  [4221] = 2904,
  [4222] = 2842,
  [4223] = 2843,
  [4224] = 4071,
  [4225] = 4111,
  [4226] = 4071,
  [4227] = 4075,
  [4228] = 4111,
  [4229] = 4071,
  [4230] = 4075,
  [4231] = 4075,
  [4232] = 4232,
  [4233] = 2743,
  [4234] = 2899,
  [4235] = 4111,
  [4236] = 2914,
  [4237] = 4071,
  [4238] = 4075,
  [4239] = 2940,
  [4240] = 4111,
  [4241] = 4071,
  [4242] = 4075,
  [4243] = 2907,
  [4244] = 4111,
  [4245] = 4071,
  [4246] = 4075,
  [4247] = 2941,
  [4248] = 2942,
  [4249] = 2760,
  [4250] = 2762,
  [4251] = 2763,
  [4252] = 4111,
  [4253] = 4071,
  [4254] = 4075,
  [4255] = 4111,
  [4256] = 2943,
  [4257] = 4111,
  [4258] = 4071,
  [4259] = 4075,
  [4260] = 3896,
  [4261] = 2900,
  [4262] = 2764,
  [4263] = 2901,
  [4264] = 3896,
  [4265] = 2902,
  [4266] = 4111,
  [4267] = 4071,
  [4268] = 4075,
  [4269] = 2904,
  [4270] = 4071,
  [4271] = 4107,
  [4272] = 2787,
  [4273] = 2790,
  [4274] = 4111,
  [4275] = 4071,
  [4276] = 4075,
  [4277] = 2746,
  [4278] = 2765,
  [4279] = 2747,
  [4280] = 3742,
  [4281] = 4111,
  [4282] = 4071,
  [4283] = 4075,
  [4284] = 4075,
  [4285] = 4071,
  [4286] = 4111,
  [4287] = 4071,
  [4288] = 4075,
  [4289] = 2924,
  [4290] = 2748,
  [4291] = 2905,
  [4292] = 2791,
  [4293] = 4111,
  [4294] = 4071,
  [4295] = 4075,
  [4296] = 2766,
  [4297] = 2767,
  [4298] = 4111,
  [4299] = 4111,
  [4300] = 4071,
  [4301] = 4075,
  [4302] = 4111,
  [4303] = 4071,
  [4304] = 4075,
  [4305] = 4075,
  [4306] = 4111,
  [4307] = 4071,
  [4308] = 4075,
  [4309] = 2768,
  [4310] = 2749,
  [4311] = 4111,
  [4312] = 4071,
  [4313] = 4075,
  [4314] = 4111,
  [4315] = 4071,
  [4316] = 4075,
  [4317] = 4111,
  [4318] = 4071,
  [4319] = 4075,
  [4320] = 4133,
  [4321] = 4111,
  [4322] = 4071,
  [4323] = 4075,
  [4324] = 4111,
  [4325] = 4071,
  [4326] = 4075,
  [4327] = 4111,
  [4328] = 4071,
  [4329] = 4075,
  [4330] = 4111,
  [4331] = 4111,
  [4332] = 4071,
  [4333] = 4075,
  [4334] = 4111,
  [4335] = 4071,
  [4336] = 4075,
  [4337] = 4111,
  [4338] = 4071,
  [4339] = 4075,
  [4340] = 4111,
  [4341] = 4071,
  [4342] = 4075,
  [4343] = 4111,
  [4344] = 4071,
  [4345] = 4075,
  [4346] = 4111,
  [4347] = 4071,
  [4348] = 4075,
  [4349] = 4111,
  [4350] = 4071,
  [4351] = 4075,
  [4352] = 4111,
  [4353] = 4111,
  [4354] = 4087,
  [4355] = 4089,
  [4356] = 4091,
  [4357] = 4093,
  [4358] = 4096,
  [4359] = 4102,
  [4360] = 2842,
  [4361] = 4071,
  [4362] = 4362,
  [4363] = 4075,
  [4364] = 4364,
  [4365] = 2769,
  [4366] = 2770,
  [4367] = 2771,
  [4368] = 2772,
  [4369] = 2792,
  [4370] = 2908,
  [4371] = 3603,
  [4372] = 2773,
  [4373] = 3603,
  [4374] = 4071,
  [4375] = 4075,
  [4376] = 2774,
  [4377] = 2776,
  [4378] = 2777,
  [4379] = 4180,
  [4380] = 4133,
  [4381] = 4106,
  [4382] = 4107,
  [4383] = 4071,
  [4384] = 4075,
  [4385] = 4180,
  [4386] = 4133,
  [4387] = 4180,
  [4388] = 4133,
  [4389] = 4180,
  [4390] = 4133,
  [4391] = 4180,
  [4392] = 4133,
  [4393] = 4180,
  [4394] = 4133,
  [4395] = 4180,
  [4396] = 4133,
  [4397] = 4180,
  [4398] = 4105,
  [4399] = 4133,
  [4400] = 4180,
  [4401] = 4133,
  [4402] = 4180,
  [4403] = 4133,
  [4404] = 4180,
  [4405] = 4133,
  [4406] = 4180,
  [4407] = 4133,
  [4408] = 4180,
  [4409] = 4133,
  [4410] = 4180,
  [4411] = 4133,
  [4412] = 4180,
  [4413] = 4133,
  [4414] = 4180,
  [4415] = 4133,
  [4416] = 4180,
  [4417] = 4133,
  [4418] = 4180,
  [4419] = 4133,
  [4420] = 4180,
  [4421] = 4133,
  [4422] = 4180,
  [4423] = 4133,
  [4424] = 4180,
  [4425] = 4133,
  [4426] = 4180,
  [4427] = 4133,
  [4428] = 4180,
  [4429] = 4133,
  [4430] = 4180,
  [4431] = 4133,
  [4432] = 4180,
  [4433] = 4133,
  [4434] = 4180,
  [4435] = 4133,
  [4436] = 4180,
  [4437] = 4133,
  [4438] = 4180,
  [4439] = 4133,
  [4440] = 4180,
  [4441] = 4133,
  [4442] = 4180,
  [4443] = 4133,
  [4444] = 4180,
  [4445] = 4133,
  [4446] = 4180,
  [4447] = 4133,
  [4448] = 4180,
  [4449] = 4133,
  [4450] = 4180,
  [4451] = 4133,
  [4452] = 4180,
  [4453] = 4133,
  [4454] = 4180,
  [4455] = 4133,
  [4456] = 4180,
  [4457] = 4133,
  [4458] = 4180,
  [4459] = 4133,
  [4460] = 4180,
  [4461] = 4133,
  [4462] = 4180,
  [4463] = 4133,
  [4464] = 4180,
  [4465] = 4133,
  [4466] = 4180,
  [4467] = 4133,
  [4468] = 4180,
  [4469] = 4133,
  [4470] = 4180,
  [4471] = 4106,
  [4472] = 4472,
  [4473] = 4473,
  [4474] = 4472,
  [4475] = 4473,
  [4476] = 4473,
  [4477] = 4473,
  [4478] = 4473,
  [4479] = 4479,
  [4480] = 4473,
  [4481] = 4472,
  [4482] = 3603,
  [4483] = 4473,
  [4484] = 4484,
  [4485] = 4473,
  [4486] = 4472,
  [4487] = 4473,
  [4488] = 4473,
  [4489] = 4473,
  [4490] = 4473,
  [4491] = 4473,
  [4492] = 4473,
  [4493] = 4473,
  [4494] = 4473,
  [4495] = 4473,
  [4496] = 4473,
  [4497] = 4473,
  [4498] = 4473,
  [4499] = 4473,
  [4500] = 4473,
  [4501] = 4479,
  [4502] = 4473,
  [4503] = 3896,
  [4504] = 3742,
  [4505] = 4472,
  [4506] = 3896,
  [4507] = 4473,
  [4508] = 4473,
  [4509] = 3742,
  [4510] = 4479,
  [4511] = 4484,
  [4512] = 4473,
  [4513] = 4473,
  [4514] = 4473,
  [4515] = 4472,
  [4516] = 4484,
  [4517] = 4473,
  [4518] = 4473,
  [4519] = 4473,
  [4520] = 4473,
  [4521] = 4479,
  [4522] = 4479,
  [4523] = 4473,
  [4524] = 4473,
  [4525] = 4473,
  [4526] = 4472,
  [4527] = 4484,
  [4528] = 4473,
  [4529] = 4472,
  [4530] = 4473,
  [4531] = 4473,
  [4532] = 4473,
  [4533] = 4479,
  [4534] = 4473,
  [4535] = 3603,
  [4536] = 4479,
  [4537] = 4473,
  [4538] = 4473,
  [4539] = 4473,
  [4540] = 4484,
  [4541] = 4473,
  [4542] = 4542,
  [4543] = 4543,
  [4544] = 4542,
  [4545] = 4545,
  [4546] = 4546,
  [4547] = 4545,
  [4548] = 4546,
  [4549] = 4549,
  [4550] = 3742,
  [4551] = 3896,
  [4552] = 4552,
  [4553] = 4553,
  [4554] = 4553,
  [4555] = 4555,
  [4556] = 4543,
  [4557] = 4542,
  [4558] = 4545,
  [4559] = 4545,
  [4560] = 4546,
  [4561] = 4561,
  [4562] = 4546,
  [4563] = 4563,
  [4564] = 4542,
  [4565] = 4553,
  [4566] = 4555,
  [4567] = 4545,
  [4568] = 4549,
  [4569] = 4546,
  [4570] = 4552,
  [4571] = 4553,
  [4572] = 4561,
  [4573] = 4563,
  [4574] = 4549,
  [4575] = 4552,
  [4576] = 4561,
  [4577] = 4563,
  [4578] = 4553,
  [4579] = 4555,
  [4580] = 4543,
  [4581] = 4542,
  [4582] = 4545,
  [4583] = 4546,
  [4584] = 4543,
  [4585] = 4555,
  [4586] = 4549,
  [4587] = 4549,
  [4588] = 4552,
  [4589] = 4545,
  [4590] = 4546,
  [4591] = 4552,
  [4592] = 3896,
  [4593] = 4549,
  [4594] = 4549,
  [4595] = 4552,
  [4596] = 4552,
  [4597] = 4561,
  [4598] = 4561,
  [4599] = 4563,
  [4600] = 3603,
  [4601] = 4561,
  [4602] = 4563,
  [4603] = 4563,
  [4604] = 4555,
  [4605] = 4561,
  [4606] = 4563,
  [4607] = 3742,
  [4608] = 3603,
  [4609] = 4543,
  [4610] = 4610,
  [4611] = 4610,
  [4612] = 4612,
  [4613] = 4612,
  [4614] = 4612,
  [4615] = 4612,
  [4616] = 4616,
  [4617] = 3742,
  [4618] = 4612,
  [4619] = 4612,
  [4620] = 3896,
  [4621] = 4621,
  [4622] = 4621,
  [4623] = 4621,
  [4624] = 4624,
  [4625] = 4616,
  [4626] = 4626,
  [4627] = 4621,
  [4628] = 4616,
  [4629] = 4610,
  [4630] = 4616,
  [4631] = 4616,
  [4632] = 4612,
  [4633] = 4633,
  [4634] = 4610,
  [4635] = 4626,
  [4636] = 2586,
  [4637] = 4626,
  [4638] = 4616,
  [4639] = 4616,
  [4640] = 4621,
  [4641] = 4641,
  [4642] = 4621,
  [4643] = 4616,
  [4644] = 4610,
  [4645] = 3742,
  [4646] = 4610,
  [4647] = 3896,
  [4648] = 4633,
  [4649] = 4612,
  [4650] = 4626,
  [4651] = 4610,
  [4652] = 4626,
  [4653] = 4621,
  [4654] = 4610,
  [4655] = 4621,
  [4656] = 4656,
  [4657] = 4656,
  [4658] = 4658,
  [4659] = 4656,
  [4660] = 4658,
  [4661] = 4656,
  [4662] = 4658,
  [4663] = 4656,
  [4664] = 4658,
  [4665] = 4658,
  [4666] = 4658,
  [4667] = 4656,
  [4668] = 4656,
  [4669] = 4658,
  [4670] = 4656,
  [4671] = 4658,
  [4672] = 4656,
  [4673] = 4658,
  [4674] = 4656,
  [4675] = 4658,
  [4676] = 4658,
  [4677] = 4656,
  [4678] = 4658,
  [4679] = 4656,
  [4680] = 4658,
  [4681] = 4656,
  [4682] = 4658,
  [4683] = 4656,
  [4684] = 4658,
  [4685] = 4656,
  [4686] = 2657,
  [4687] = 4658,
  [4688] = 4658,
  [4689] = 4656,
  [4690] = 4658,
  [4691] = 4658,
  [4692] = 4656,
  [4693] = 4658,
  [4694] = 4656,
  [4695] = 4656,
  [4696] = 4658,
  [4697] = 4656,
  [4698] = 4658,
  [4699] = 4656,
  [4700] = 4656,
  [4701] = 4658,
  [4702] = 4656,
  [4703] = 2695,
  [4704] = 4658,
  [4705] = 4656,
  [4706] = 4658,
  [4707] = 4656,
  [4708] = 4658,
  [4709] = 4658,
  [4710] = 4656,
  [4711] = 4711,
  [4712] = 4656,
  [4713] = 4656,
  [4714] = 4656,
  [4715] = 4715,
  [4716] = 4656,
  [4717] = 2658,
  [4718] = 4658,
  [4719] = 4656,
  [4720] = 4656,
  [4721] = 2676,
  [4722] = 2678,
  [4723] = 2679,
  [4724] = 4658,
  [4725] = 2681,
  [4726] = 2684,
  [4727] = 2687,
  [4728] = 4656,
  [4729] = 4658,
  [4730] = 4656,
  [4731] = 4658,
  [4732] = 4656,
  [4733] = 4658,
  [4734] = 4658,
  [4735] = 4656,
  [4736] = 4658,
  [4737] = 4656,
  [4738] = 4658,
  [4739] = 4656,
  [4740] = 4658,
  [4741] = 4656,
  [4742] = 4658,
  [4743] = 4656,
  [4744] = 2677,
  [4745] = 4658,
  [4746] = 4656,
  [4747] = 4658,
  [4748] = 4656,
  [4749] = 4656,
  [4750] = 4658,
  [4751] = 2683,
  [4752] = 4658,
  [4753] = 4656,
  [4754] = 4658,
  [4755] = 4658,
  [4756] = 4656,
  [4757] = 4658,
  [4758] = 4656,
  [4759] = 4759,
  [4760] = 4658,
  [4761] = 4658,
  [4762] = 2793,
  [4763] = 4763,
  [4764] = 2943,
  [4765] = 4763,
  [4766] = 4766,
  [4767] = 2900,
  [4768] = 2679,
  [4769] = 2842,
  [4770] = 4763,
  [4771] = 2905,
  [4772] = 4763,
  [4773] = 4763,
  [4774] = 4763,
  [4775] = 2657,
  [4776] = 4763,
  [4777] = 4763,
  [4778] = 4763,
  [4779] = 4763,
  [4780] = 4763,
  [4781] = 4763,
  [4782] = 4763,
  [4783] = 4763,
  [4784] = 4763,
  [4785] = 2906,
  [4786] = 4763,
  [4787] = 4763,
  [4788] = 4763,
  [4789] = 4763,
  [4790] = 4763,
  [4791] = 4763,
  [4792] = 4763,
  [4793] = 4763,
  [4794] = 4763,
  [4795] = 4763,
  [4796] = 4763,
  [4797] = 4763,
  [4798] = 4763,
  [4799] = 4763,
  [4800] = 4763,
  [4801] = 4763,
  [4802] = 4763,
  [4803] = 4763,
  [4804] = 2743,
  [4805] = 4763,
  [4806] = 2744,
  [4807] = 2745,
  [4808] = 2684,
  [4809] = 4763,
  [4810] = 2746,
  [4811] = 2747,
  [4812] = 2748,
  [4813] = 2749,
  [4814] = 4763,
  [4815] = 2751,
  [4816] = 2752,
  [4817] = 2753,
  [4818] = 4763,
  [4819] = 2754,
  [4820] = 2755,
  [4821] = 2756,
  [4822] = 2687,
  [4823] = 2695,
  [4824] = 2757,
  [4825] = 2758,
  [4826] = 4763,
  [4827] = 2759,
  [4828] = 2760,
  [4829] = 2762,
  [4830] = 4763,
  [4831] = 4763,
  [4832] = 4763,
  [4833] = 2763,
  [4834] = 2942,
  [4835] = 2765,
  [4836] = 2766,
  [4837] = 2907,
  [4838] = 2767,
  [4839] = 2768,
  [4840] = 2769,
  [4841] = 2770,
  [4842] = 2771,
  [4843] = 2772,
  [4844] = 2773,
  [4845] = 2774,
  [4846] = 2776,
  [4847] = 2777,
  [4848] = 2778,
  [4849] = 2779,
  [4850] = 2780,
  [4851] = 2924,
  [4852] = 2918,
  [4853] = 2676,
  [4854] = 2782,
  [4855] = 2908,
  [4856] = 2783,
  [4857] = 2919,
  [4858] = 2785,
  [4859] = 2910,
  [4860] = 4763,
  [4861] = 2911,
  [4862] = 2925,
  [4863] = 2658,
  [4864] = 2912,
  [4865] = 2843,
  [4866] = 2901,
  [4867] = 2902,
  [4868] = 2678,
  [4869] = 2786,
  [4870] = 2787,
  [4871] = 2914,
  [4872] = 2915,
  [4873] = 2904,
  [4874] = 2683,
  [4875] = 2695,
  [4876] = 2788,
  [4877] = 2899,
  [4878] = 2681,
  [4879] = 2790,
  [4880] = 2791,
  [4881] = 4763,
  [4882] = 4763,
  [4883] = 2917,
  [4884] = 2792,
  [4885] = 2677,
  [4886] = 4763,
  [4887] = 2940,
  [4888] = 2941,
  [4889] = 2795,
  [4890] = 2796,
  [4891] = 4763,
  [4892] = 2764,
  [4893] = 2918,
  [4894] = 2744,
  [4895] = 2940,
  [4896] = 2746,
  [4897] = 2792,
  [4898] = 2753,
  [4899] = 2754,
  [4900] = 2755,
  [4901] = 2756,
  [4902] = 2783,
  [4903] = 2747,
  [4904] = 2677,
  [4905] = 2905,
  [4906] = 2748,
  [4907] = 2751,
  [4908] = 2782,
  [4909] = 2786,
  [4910] = 2774,
  [4911] = 2749,
  [4912] = 2777,
  [4913] = 2779,
  [4914] = 2908,
  [4915] = 2757,
  [4916] = 2924,
  [4917] = 2910,
  [4918] = 2793,
  [4919] = 4919,
  [4920] = 2914,
  [4921] = 2758,
  [4922] = 2695,
  [4923] = 4919,
  [4924] = 4919,
  [4925] = 2790,
  [4926] = 2778,
  [4927] = 2915,
  [4928] = 2684,
  [4929] = 2687,
  [4930] = 2683,
  [4931] = 4919,
  [4932] = 2759,
  [4933] = 2760,
  [4934] = 2785,
  [4935] = 2941,
  [4936] = 2796,
  [4937] = 2942,
  [4938] = 2780,
  [4939] = 2762,
  [4940] = 2763,
  [4941] = 2943,
  [4942] = 2773,
  [4943] = 2843,
  [4944] = 2906,
  [4945] = 2764,
  [4946] = 2787,
  [4947] = 2911,
  [4948] = 2765,
  [4949] = 2917,
  [4950] = 2743,
  [4951] = 2766,
  [4952] = 2925,
  [4953] = 2767,
  [4954] = 4919,
  [4955] = 2745,
  [4956] = 2912,
  [4957] = 2768,
  [4958] = 2907,
  [4959] = 4919,
  [4960] = 2752,
  [4961] = 2681,
  [4962] = 2900,
  [4963] = 2769,
  [4964] = 2795,
  [4965] = 2658,
  [4966] = 2919,
  [4967] = 2901,
  [4968] = 2770,
  [4969] = 2776,
  [4970] = 2771,
  [4971] = 2902,
  [4972] = 2904,
  [4973] = 4919,
  [4974] = 2791,
  [4975] = 2676,
  [4976] = 2678,
  [4977] = 2842,
  [4978] = 2657,
  [4979] = 2772,
  [4980] = 2679,
  [4981] = 2788,
  [4982] = 2899,
  [4983] = 4983,
  [4984] = 2676,
  [4985] = 2678,
  [4986] = 2679,
  [4987] = 2681,
  [4988] = 2684,
  [4989] = 2687,
  [4990] = 2925,
  [4991] = 2677,
  [4992] = 2743,
  [4993] = 2744,
  [4994] = 2745,
  [4995] = 2746,
  [4996] = 2747,
  [4997] = 2748,
  [4998] = 2751,
  [4999] = 2752,
  [5000] = 2753,
  [5001] = 2754,
  [5002] = 2755,
  [5003] = 2756,
  [5004] = 2658,
  [5005] = 2757,
  [5006] = 2758,
  [5007] = 2759,
  [5008] = 2760,
  [5009] = 2762,
  [5010] = 2763,
  [5011] = 2764,
  [5012] = 2765,
  [5013] = 2766,
  [5014] = 2767,
  [5015] = 2768,
  [5016] = 2769,
  [5017] = 2770,
  [5018] = 2771,
  [5019] = 2772,
  [5020] = 2773,
  [5021] = 2774,
  [5022] = 2777,
  [5023] = 2778,
  [5024] = 2779,
  [5025] = 2780,
  [5026] = 2782,
  [5027] = 2676,
  [5028] = 2678,
  [5029] = 2679,
  [5030] = 2783,
  [5031] = 2683,
  [5032] = 2785,
  [5033] = 2681,
  [5034] = 2684,
  [5035] = 2687,
  [5036] = 2749,
  [5037] = 2677,
  [5038] = 2683,
  [5039] = 2776,
  [5040] = 2786,
  [5041] = 2787,
  [5042] = 2788,
  [5043] = 2790,
  [5044] = 2791,
  [5045] = 2792,
  [5046] = 2793,
  [5047] = 2795,
  [5048] = 2796,
  [5049] = 4983,
  [5050] = 2843,
  [5051] = 4983,
  [5052] = 4983,
  [5053] = 4983,
  [5054] = 5054,
  [5055] = 4983,
  [5056] = 4983,
  [5057] = 4983,
  [5058] = 4983,
  [5059] = 2940,
  [5060] = 2941,
  [5061] = 4983,
  [5062] = 2942,
  [5063] = 2919,
  [5064] = 4983,
  [5065] = 4983,
  [5066] = 4983,
  [5067] = 2842,
  [5068] = 4983,
  [5069] = 4983,
  [5070] = 4983,
  [5071] = 4983,
  [5072] = 4983,
  [5073] = 4983,
  [5074] = 4983,
  [5075] = 4983,
  [5076] = 4983,
  [5077] = 4983,
  [5078] = 4983,
  [5079] = 4983,
  [5080] = 3603,
  [5081] = 4983,
  [5082] = 4983,
  [5083] = 4983,
  [5084] = 4983,
  [5085] = 4983,
  [5086] = 4983,
  [5087] = 4983,
  [5088] = 4983,
  [5089] = 4983,
  [5090] = 4983,
  [5091] = 4983,
  [5092] = 4983,
  [5093] = 4983,
  [5094] = 4983,
  [5095] = 4983,
  [5096] = 4983,
  [5097] = 4983,
  [5098] = 2899,
  [5099] = 4983,
  [5100] = 5054,
  [5101] = 4983,
  [5102] = 2657,
  [5103] = 4983,
  [5104] = 4983,
  [5105] = 5105,
  [5106] = 5105,
  [5107] = 2900,
  [5108] = 5105,
  [5109] = 2901,
  [5110] = 5105,
  [5111] = 2902,
  [5112] = 2904,
  [5113] = 2657,
  [5114] = 5105,
  [5115] = 2695,
  [5116] = 5105,
  [5117] = 2924,
  [5118] = 2905,
  [5119] = 5105,
  [5120] = 2658,
  [5121] = 2906,
  [5122] = 2907,
  [5123] = 2908,
  [5124] = 2910,
  [5125] = 2911,
  [5126] = 2912,
  [5127] = 2914,
  [5128] = 2915,
  [5129] = 2917,
  [5130] = 2918,
  [5131] = 2943,
  [5132] = 2760,
  [5133] = 2766,
  [5134] = 2766,
  [5135] = 2767,
  [5136] = 2768,
  [5137] = 2683,
  [5138] = 2769,
  [5139] = 2749,
  [5140] = 2770,
  [5141] = 2771,
  [5142] = 2772,
  [5143] = 2773,
  [5144] = 2774,
  [5145] = 2777,
  [5146] = 2778,
  [5147] = 2779,
  [5148] = 2780,
  [5149] = 2658,
  [5150] = 2782,
  [5151] = 2901,
  [5152] = 2783,
  [5153] = 2785,
  [5154] = 2902,
  [5155] = 2786,
  [5156] = 2787,
  [5157] = 2788,
  [5158] = 2790,
  [5159] = 2791,
  [5160] = 2792,
  [5161] = 2793,
  [5162] = 2795,
  [5163] = 2796,
  [5164] = 2776,
  [5165] = 2904,
  [5166] = 5166,
  [5167] = 2843,
  [5168] = 2776,
  [5169] = 3603,
  [5170] = 2842,
  [5171] = 2843,
  [5172] = 2676,
  [5173] = 2943,
  [5174] = 2678,
  [5175] = 2679,
  [5176] = 2681,
  [5177] = 2684,
  [5178] = 2687,
  [5179] = 2918,
  [5180] = 2743,
  [5181] = 2744,
  [5182] = 3896,
  [5183] = 2745,
  [5184] = 2746,
  [5185] = 2747,
  [5186] = 2748,
  [5187] = 3742,
  [5188] = 2677,
  [5189] = 2906,
  [5190] = 2907,
  [5191] = 2768,
  [5192] = 2908,
  [5193] = 2752,
  [5194] = 2910,
  [5195] = 2911,
  [5196] = 2753,
  [5197] = 2769,
  [5198] = 2754,
  [5199] = 2912,
  [5200] = 2770,
  [5201] = 2755,
  [5202] = 2771,
  [5203] = 2657,
  [5204] = 2756,
  [5205] = 2695,
  [5206] = 2924,
  [5207] = 2905,
  [5208] = 2908,
  [5209] = 2777,
  [5210] = 2911,
  [5211] = 2905,
  [5212] = 2899,
  [5213] = 2778,
  [5214] = 2779,
  [5215] = 2918,
  [5216] = 2919,
  [5217] = 5166,
  [5218] = 2780,
  [5219] = 2900,
  [5220] = 2901,
  [5221] = 2902,
  [5222] = 2793,
  [5223] = 2743,
  [5224] = 2908,
  [5225] = 2904,
  [5226] = 2772,
  [5227] = 2791,
  [5228] = 2906,
  [5229] = 2792,
  [5230] = 2773,
  [5231] = 2907,
  [5232] = 2910,
  [5233] = 2912,
  [5234] = 2783,
  [5235] = 2914,
  [5236] = 2915,
  [5237] = 2917,
  [5238] = 2924,
  [5239] = 2925,
  [5240] = 2744,
  [5241] = 2786,
  [5242] = 2745,
  [5243] = 2782,
  [5244] = 2918,
  [5245] = 2757,
  [5246] = 2758,
  [5247] = 2940,
  [5248] = 2746,
  [5249] = 2795,
  [5250] = 2747,
  [5251] = 2899,
  [5252] = 2796,
  [5253] = 2941,
  [5254] = 2940,
  [5255] = 2942,
  [5256] = 2759,
  [5257] = 2760,
  [5258] = 2943,
  [5259] = 2762,
  [5260] = 2908,
  [5261] = 2748,
  [5262] = 2749,
  [5263] = 2915,
  [5264] = 2917,
  [5265] = 2925,
  [5266] = 2918,
  [5267] = 2919,
  [5268] = 2941,
  [5269] = 2942,
  [5270] = 2842,
  [5271] = 2751,
  [5272] = 2752,
  [5273] = 2695,
  [5274] = 2753,
  [5275] = 2788,
  [5276] = 2754,
  [5277] = 2755,
  [5278] = 2756,
  [5279] = 2763,
  [5280] = 2757,
  [5281] = 2758,
  [5282] = 2914,
  [5283] = 2759,
  [5284] = 2785,
  [5285] = 2764,
  [5286] = 2774,
  [5287] = 2900,
  [5288] = 2767,
  [5289] = 2765,
  [5290] = 2762,
  [5291] = 2763,
  [5292] = 2764,
  [5293] = 2790,
  [5294] = 2765,
  [5295] = 2787,
  [5296] = 2751,
  [5297] = 2907,
  [5298] = 2795,
  [5299] = 2906,
  [5300] = 2924,
  [5301] = 2907,
  [5302] = 2796,
  [5303] = 2752,
  [5304] = 5304,
  [5305] = 2925,
  [5306] = 2753,
  [5307] = 2910,
  [5308] = 2912,
  [5309] = 2914,
  [5310] = 2908,
  [5311] = 2908,
  [5312] = 5312,
  [5313] = 5313,
  [5314] = 2754,
  [5315] = 2924,
  [5316] = 2905,
  [5317] = 2915,
  [5318] = 2759,
  [5319] = 2911,
  [5320] = 2777,
  [5321] = 2695,
  [5322] = 2778,
  [5323] = 2779,
  [5324] = 2780,
  [5325] = 3742,
  [5326] = 2748,
  [5327] = 2917,
  [5328] = 2755,
  [5329] = 2925,
  [5330] = 3603,
  [5331] = 2782,
  [5332] = 5304,
  [5333] = 2915,
  [5334] = 2914,
  [5335] = 5335,
  [5336] = 2760,
  [5337] = 2917,
  [5338] = 2919,
  [5339] = 2925,
  [5340] = 2919,
  [5341] = 2783,
  [5342] = 2940,
  [5343] = 2785,
  [5344] = 2941,
  [5345] = 2942,
  [5346] = 2943,
  [5347] = 2905,
  [5348] = 2756,
  [5349] = 2786,
  [5350] = 2918,
  [5351] = 2792,
  [5352] = 2905,
  [5353] = 2762,
  [5354] = 2906,
  [5355] = 2908,
  [5356] = 2746,
  [5357] = 5357,
  [5358] = 2791,
  [5359] = 2911,
  [5360] = 2763,
  [5361] = 2914,
  [5362] = 2793,
  [5363] = 2918,
  [5364] = 5313,
  [5365] = 2918,
  [5366] = 2919,
  [5367] = 2747,
  [5368] = 2764,
  [5369] = 2765,
  [5370] = 2749,
  [5371] = 2906,
  [5372] = 2766,
  [5373] = 5373,
  [5374] = 2910,
  [5375] = 2907,
  [5376] = 2911,
  [5377] = 2767,
  [5378] = 2768,
  [5379] = 2769,
  [5380] = 2910,
  [5381] = 2776,
  [5382] = 2770,
  [5383] = 2788,
  [5384] = 2757,
  [5385] = 2771,
  [5386] = 2912,
  [5387] = 2772,
  [5388] = 5357,
  [5389] = 2899,
  [5390] = 3896,
  [5391] = 2915,
  [5392] = 2758,
  [5393] = 2790,
  [5394] = 2917,
  [5395] = 2912,
  [5396] = 2751,
  [5397] = 2900,
  [5398] = 2773,
  [5399] = 2842,
  [5400] = 2843,
  [5401] = 2743,
  [5402] = 2774,
  [5403] = 2744,
  [5404] = 2901,
  [5405] = 2902,
  [5406] = 2904,
  [5407] = 2924,
  [5408] = 2745,
  [5409] = 2787,
  [5410] = 2940,
  [5411] = 5411,
  [5412] = 5412,
  [5413] = 2842,
  [5414] = 2900,
  [5415] = 2901,
  [5416] = 2902,
  [5417] = 5417,
  [5418] = 5411,
  [5419] = 5419,
  [5420] = 5420,
  [5421] = 5421,
  [5422] = 5422,
  [5423] = 5423,
  [5424] = 5424,
  [5425] = 2899,
  [5426] = 5426,
  [5427] = 3603,
  [5428] = 2683,
  [5429] = 5429,
  [5430] = 5430,
  [5431] = 5420,
  [5432] = 5421,
  [5433] = 5422,
  [5434] = 2905,
  [5435] = 5423,
  [5436] = 5424,
  [5437] = 5313,
  [5438] = 5438,
  [5439] = 2941,
  [5440] = 2942,
  [5441] = 5441,
  [5442] = 2657,
  [5443] = 5438,
  [5444] = 2943,
  [5445] = 5429,
  [5446] = 2906,
  [5447] = 5447,
  [5448] = 2900,
  [5449] = 5447,
  [5450] = 5441,
  [5451] = 5451,
  [5452] = 2907,
  [5453] = 5451,
  [5454] = 5454,
  [5455] = 2901,
  [5456] = 2677,
  [5457] = 5457,
  [5458] = 2910,
  [5459] = 2911,
  [5460] = 2912,
  [5461] = 2902,
  [5462] = 2924,
  [5463] = 2904,
  [5464] = 5464,
  [5465] = 5419,
  [5466] = 2914,
  [5467] = 5467,
  [5468] = 5304,
  [5469] = 5469,
  [5470] = 5470,
  [5471] = 2915,
  [5472] = 2906,
  [5473] = 2907,
  [5474] = 5357,
  [5475] = 2910,
  [5476] = 2911,
  [5477] = 2912,
  [5478] = 2843,
  [5479] = 2917,
  [5480] = 2925,
  [5481] = 5457,
  [5482] = 5454,
  [5483] = 2914,
  [5484] = 5484,
  [5485] = 5485,
  [5486] = 2915,
  [5487] = 2917,
  [5488] = 5488,
  [5489] = 5489,
  [5490] = 2919,
  [5491] = 5491,
  [5492] = 5492,
  [5493] = 2905,
  [5494] = 5470,
  [5495] = 5495,
  [5496] = 2919,
  [5497] = 2695,
  [5498] = 2924,
  [5499] = 3896,
  [5500] = 5500,
  [5501] = 5501,
  [5502] = 5502,
  [5503] = 2925,
  [5504] = 5504,
  [5505] = 5505,
  [5506] = 5357,
  [5507] = 2676,
  [5508] = 2678,
  [5509] = 2679,
  [5510] = 5484,
  [5511] = 5488,
  [5512] = 5489,
  [5513] = 3742,
  [5514] = 5464,
  [5515] = 5491,
  [5516] = 5492,
  [5517] = 2681,
  [5518] = 2842,
  [5519] = 2684,
  [5520] = 5467,
  [5521] = 5426,
  [5522] = 2687,
  [5523] = 5485,
  [5524] = 5524,
  [5525] = 5500,
  [5526] = 5501,
  [5527] = 5304,
  [5528] = 5502,
  [5529] = 5504,
  [5530] = 5430,
  [5531] = 2899,
  [5532] = 5532,
  [5533] = 5533,
  [5534] = 2843,
  [5535] = 3603,
  [5536] = 5412,
  [5537] = 2940,
  [5538] = 5417,
  [5539] = 5505,
  [5540] = 5524,
  [5541] = 5313,
  [5542] = 5532,
  [5543] = 2941,
  [5544] = 2942,
  [5545] = 5495,
  [5546] = 5469,
  [5547] = 5547,
  [5548] = 5533,
  [5549] = 2658,
  [5550] = 2943,
  [5551] = 5547,
  [5552] = 2904,
  [5553] = 2774,
  [5554] = 5441,
  [5555] = 2902,
  [5556] = 5422,
  [5557] = 5423,
  [5558] = 2762,
  [5559] = 5457,
  [5560] = 5464,
  [5561] = 5495,
  [5562] = 2792,
  [5563] = 5547,
  [5564] = 5467,
  [5565] = 5533,
  [5566] = 5412,
  [5567] = 5421,
  [5568] = 5424,
  [5569] = 2900,
  [5570] = 5467,
  [5571] = 2687,
  [5572] = 5429,
  [5573] = 5469,
  [5574] = 5470,
  [5575] = 5426,
  [5576] = 5430,
  [5577] = 5426,
  [5578] = 5454,
  [5579] = 2658,
  [5580] = 2842,
  [5581] = 2760,
  [5582] = 2787,
  [5583] = 2677,
  [5584] = 5429,
  [5585] = 5447,
  [5586] = 2906,
  [5587] = 2907,
  [5588] = 5464,
  [5589] = 5451,
  [5590] = 2908,
  [5591] = 2901,
  [5592] = 2910,
  [5593] = 2843,
  [5594] = 2911,
  [5595] = 5485,
  [5596] = 2793,
  [5597] = 2842,
  [5598] = 5457,
  [5599] = 2843,
  [5600] = 2683,
  [5601] = 2904,
  [5602] = 5492,
  [5603] = 5469,
  [5604] = 5470,
  [5605] = 2788,
  [5606] = 2843,
  [5607] = 2912,
  [5608] = 2842,
  [5609] = 5500,
  [5610] = 5454,
  [5611] = 2765,
  [5612] = 2766,
  [5613] = 2767,
  [5614] = 2768,
  [5615] = 2695,
  [5616] = 2940,
  [5617] = 2941,
  [5618] = 2942,
  [5619] = 2943,
  [5620] = 2769,
  [5621] = 2770,
  [5622] = 2695,
  [5623] = 2771,
  [5624] = 2772,
  [5625] = 2773,
  [5626] = 2743,
  [5627] = 2900,
  [5628] = 2914,
  [5629] = 2901,
  [5630] = 2902,
  [5631] = 2744,
  [5632] = 2790,
  [5633] = 5501,
  [5634] = 2791,
  [5635] = 2915,
  [5636] = 2904,
  [5637] = 2917,
  [5638] = 2657,
  [5639] = 5417,
  [5640] = 2759,
  [5641] = 5411,
  [5642] = 5419,
  [5643] = 3896,
  [5644] = 2776,
  [5645] = 2918,
  [5646] = 5438,
  [5647] = 3742,
  [5648] = 5441,
  [5649] = 2919,
  [5650] = 2901,
  [5651] = 2777,
  [5652] = 3896,
  [5653] = 2778,
  [5654] = 2795,
  [5655] = 5504,
  [5656] = 2779,
  [5657] = 2780,
  [5658] = 5524,
  [5659] = 5420,
  [5660] = 5502,
  [5661] = 2902,
  [5662] = 2940,
  [5663] = 5532,
  [5664] = 2904,
  [5665] = 2782,
  [5666] = 2924,
  [5667] = 5484,
  [5668] = 5488,
  [5669] = 2925,
  [5670] = 5489,
  [5671] = 2783,
  [5672] = 5421,
  [5673] = 5422,
  [5674] = 5491,
  [5675] = 2745,
  [5676] = 5492,
  [5677] = 2796,
  [5678] = 5495,
  [5679] = 5547,
  [5680] = 5533,
  [5681] = 5412,
  [5682] = 2786,
  [5683] = 2746,
  [5684] = 3742,
  [5685] = 5500,
  [5686] = 5501,
  [5687] = 2764,
  [5688] = 5423,
  [5689] = 3603,
  [5690] = 5524,
  [5691] = 2747,
  [5692] = 2748,
  [5693] = 5502,
  [5694] = 2941,
  [5695] = 5504,
  [5696] = 5532,
  [5697] = 2785,
  [5698] = 2940,
  [5699] = 2763,
  [5700] = 2942,
  [5701] = 5424,
  [5702] = 2749,
  [5703] = 2900,
  [5704] = 2681,
  [5705] = 5485,
  [5706] = 2941,
  [5707] = 2899,
  [5708] = 2899,
  [5709] = 2942,
  [5710] = 5505,
  [5711] = 2751,
  [5712] = 2752,
  [5713] = 2943,
  [5714] = 5417,
  [5715] = 5430,
  [5716] = 2676,
  [5717] = 2943,
  [5718] = 5484,
  [5719] = 2678,
  [5720] = 2753,
  [5721] = 2679,
  [5722] = 2754,
  [5723] = 5488,
  [5724] = 2755,
  [5725] = 5420,
  [5726] = 2756,
  [5727] = 5489,
  [5728] = 5447,
  [5729] = 5505,
  [5730] = 5451,
  [5731] = 5411,
  [5732] = 2757,
  [5733] = 2684,
  [5734] = 2758,
  [5735] = 5491,
  [5736] = 5419,
  [5737] = 2899,
  [5738] = 5438,
  [5739] = 2905,
  [5740] = 2762,
  [5741] = 2911,
  [5742] = 2790,
  [5743] = 2912,
  [5744] = 2791,
  [5745] = 2767,
  [5746] = 2657,
  [5747] = 2792,
  [5748] = 2900,
  [5749] = 2757,
  [5750] = 5750,
  [5751] = 2695,
  [5752] = 2768,
  [5753] = 2758,
  [5754] = 2914,
  [5755] = 2760,
  [5756] = 2905,
  [5757] = 2899,
  [5758] = 2915,
  [5759] = 2772,
  [5760] = 2695,
  [5761] = 2769,
  [5762] = 2917,
  [5763] = 2749,
  [5764] = 2780,
  [5765] = 2783,
  [5766] = 2683,
  [5767] = 2918,
  [5768] = 2773,
  [5769] = 2786,
  [5770] = 2681,
  [5771] = 2919,
  [5772] = 5750,
  [5773] = 2751,
  [5774] = 2770,
  [5775] = 2787,
  [5776] = 2901,
  [5777] = 2676,
  [5778] = 2902,
  [5779] = 2684,
  [5780] = 2687,
  [5781] = 2752,
  [5782] = 2793,
  [5783] = 2753,
  [5784] = 2941,
  [5785] = 2744,
  [5786] = 2745,
  [5787] = 2910,
  [5788] = 2766,
  [5789] = 2677,
  [5790] = 2746,
  [5791] = 2785,
  [5792] = 5750,
  [5793] = 5750,
  [5794] = 2771,
  [5795] = 2776,
  [5796] = 2774,
  [5797] = 2747,
  [5798] = 2743,
  [5799] = 2795,
  [5800] = 2942,
  [5801] = 2943,
  [5802] = 2796,
  [5803] = 2904,
  [5804] = 2763,
  [5805] = 2748,
  [5806] = 2940,
  [5807] = 2678,
  [5808] = 2777,
  [5809] = 2924,
  [5810] = 2778,
  [5811] = 5750,
  [5812] = 2779,
  [5813] = 2788,
  [5814] = 2764,
  [5815] = 2754,
  [5816] = 2765,
  [5817] = 2842,
  [5818] = 2759,
  [5819] = 2843,
  [5820] = 2755,
  [5821] = 2925,
  [5822] = 2756,
  [5823] = 2658,
  [5824] = 2906,
  [5825] = 2679,
  [5826] = 2907,
  [5827] = 3742,
  [5828] = 5750,
  [5829] = 2908,
  [5830] = 3896,
  [5831] = 2782,
  [5832] = 2747,
  [5833] = 2774,
  [5834] = 2683,
  [5835] = 2776,
  [5836] = 2776,
  [5837] = 2899,
  [5838] = 2763,
  [5839] = 2764,
  [5840] = 2900,
  [5841] = 2901,
  [5842] = 2902,
  [5843] = 2904,
  [5844] = 2905,
  [5845] = 2906,
  [5846] = 2907,
  [5847] = 2908,
  [5848] = 2910,
  [5849] = 2911,
  [5850] = 2912,
  [5851] = 2914,
  [5852] = 2915,
  [5853] = 2917,
  [5854] = 2918,
  [5855] = 2919,
  [5856] = 2658,
  [5857] = 2924,
  [5858] = 2676,
  [5859] = 2678,
  [5860] = 2679,
  [5861] = 2681,
  [5862] = 2684,
  [5863] = 2687,
  [5864] = 2925,
  [5865] = 2899,
  [5866] = 2940,
  [5867] = 2941,
  [5868] = 2942,
  [5869] = 2943,
  [5870] = 2657,
  [5871] = 2777,
  [5872] = 2677,
  [5873] = 2778,
  [5874] = 2779,
  [5875] = 2780,
  [5876] = 2683,
  [5877] = 2900,
  [5878] = 2657,
  [5879] = 2749,
  [5880] = 2940,
  [5881] = 2941,
  [5882] = 2942,
  [5883] = 2943,
  [5884] = 2901,
  [5885] = 2940,
  [5886] = 2941,
  [5887] = 2776,
  [5888] = 2942,
  [5889] = 2943,
  [5890] = 2902,
  [5891] = 2842,
  [5892] = 2904,
  [5893] = 2842,
  [5894] = 2657,
  [5895] = 2843,
  [5896] = 2786,
  [5897] = 2765,
  [5898] = 2787,
  [5899] = 2766,
  [5900] = 2924,
  [5901] = 2782,
  [5902] = 2788,
  [5903] = 2906,
  [5904] = 2907,
  [5905] = 2925,
  [5906] = 2908,
  [5907] = 2910,
  [5908] = 2783,
  [5909] = 2911,
  [5910] = 2912,
  [5911] = 2657,
  [5912] = 2767,
  [5913] = 2790,
  [5914] = 2768,
  [5915] = 2791,
  [5916] = 2762,
  [5917] = 2769,
  [5918] = 2770,
  [5919] = 2771,
  [5920] = 2792,
  [5921] = 2914,
  [5922] = 2905,
  [5923] = 2743,
  [5924] = 2744,
  [5925] = 2745,
  [5926] = 2746,
  [5927] = 2747,
  [5928] = 2748,
  [5929] = 2751,
  [5930] = 2752,
  [5931] = 2753,
  [5932] = 2754,
  [5933] = 2755,
  [5934] = 2756,
  [5935] = 2658,
  [5936] = 2757,
  [5937] = 2758,
  [5938] = 2759,
  [5939] = 2760,
  [5940] = 2677,
  [5941] = 2762,
  [5942] = 2763,
  [5943] = 2764,
  [5944] = 2765,
  [5945] = 2766,
  [5946] = 2767,
  [5947] = 2768,
  [5948] = 2769,
  [5949] = 2770,
  [5950] = 2771,
  [5951] = 2772,
  [5952] = 2773,
  [5953] = 2774,
  [5954] = 2676,
  [5955] = 2678,
  [5956] = 2679,
  [5957] = 2777,
  [5958] = 2778,
  [5959] = 2779,
  [5960] = 2780,
  [5961] = 2681,
  [5962] = 2684,
  [5963] = 2687,
  [5964] = 2782,
  [5965] = 2783,
  [5966] = 2658,
  [5967] = 2785,
  [5968] = 2676,
  [5969] = 2678,
  [5970] = 2679,
  [5971] = 2681,
  [5972] = 2684,
  [5973] = 2687,
  [5974] = 2677,
  [5975] = 2658,
  [5976] = 2683,
  [5977] = 2676,
  [5978] = 2678,
  [5979] = 2679,
  [5980] = 2681,
  [5981] = 2684,
  [5982] = 2687,
  [5983] = 2842,
  [5984] = 2786,
  [5985] = 2787,
  [5986] = 2677,
  [5987] = 2788,
  [5988] = 2658,
  [5989] = 2790,
  [5990] = 2791,
  [5991] = 2683,
  [5992] = 2792,
  [5993] = 2676,
  [5994] = 2678,
  [5995] = 2679,
  [5996] = 2749,
  [5997] = 2681,
  [5998] = 2684,
  [5999] = 2687,
  [6000] = 2795,
  [6001] = 2796,
  [6002] = 2657,
  [6003] = 2695,
  [6004] = 2677,
  [6005] = 2658,
  [6006] = 2695,
  [6007] = 2695,
  [6008] = 2695,
  [6009] = 2695,
  [6010] = 2683,
  [6011] = 2676,
  [6012] = 2678,
  [6013] = 2679,
  [6014] = 2681,
  [6015] = 2684,
  [6016] = 2687,
  [6017] = 2843,
  [6018] = 2677,
  [6019] = 2683,
  [6020] = 2743,
  [6021] = 2744,
  [6022] = 2745,
  [6023] = 2746,
  [6024] = 2747,
  [6025] = 2748,
  [6026] = 2677,
  [6027] = 2751,
  [6028] = 2752,
  [6029] = 2753,
  [6030] = 2754,
  [6031] = 2906,
  [6032] = 2755,
  [6033] = 2756,
  [6034] = 2915,
  [6035] = 2658,
  [6036] = 2757,
  [6037] = 2758,
  [6038] = 2759,
  [6039] = 2760,
  [6040] = 2762,
  [6041] = 2763,
  [6042] = 2764,
  [6043] = 2765,
  [6044] = 2766,
  [6045] = 2767,
  [6046] = 2768,
  [6047] = 2683,
  [6048] = 2769,
  [6049] = 2770,
  [6050] = 2771,
  [6051] = 2772,
  [6052] = 2907,
  [6053] = 2773,
  [6054] = 2774,
  [6055] = 2676,
  [6056] = 2678,
  [6057] = 2679,
  [6058] = 2777,
  [6059] = 2778,
  [6060] = 2779,
  [6061] = 2780,
  [6062] = 2908,
  [6063] = 2681,
  [6064] = 2684,
  [6065] = 2910,
  [6066] = 2687,
  [6067] = 2782,
  [6068] = 2911,
  [6069] = 2912,
  [6070] = 2772,
  [6071] = 2783,
  [6072] = 2793,
  [6073] = 2785,
  [6074] = 2917,
  [6075] = 2914,
  [6076] = 2915,
  [6077] = 2795,
  [6078] = 2677,
  [6079] = 2796,
  [6080] = 2917,
  [6081] = 2683,
  [6082] = 2918,
  [6083] = 2919,
  [6084] = 2786,
  [6085] = 2787,
  [6086] = 2918,
  [6087] = 2788,
  [6088] = 2790,
  [6089] = 2791,
  [6090] = 2792,
  [6091] = 2785,
  [6092] = 2793,
  [6093] = 2795,
  [6094] = 2796,
  [6095] = 2919,
  [6096] = 2773,
  [6097] = 2760,
  [6098] = 2695,
  [6099] = 2924,
  [6100] = 2657,
  [6101] = 2695,
  [6102] = 2843,
  [6103] = 2925,
  [6104] = 2899,
  [6105] = 2900,
  [6106] = 2901,
  [6107] = 2902,
  [6108] = 2904,
  [6109] = 2658,
  [6110] = 2676,
  [6111] = 2678,
  [6112] = 2679,
  [6113] = 2681,
  [6114] = 2684,
  [6115] = 2687,
  [6116] = 2743,
  [6117] = 2744,
  [6118] = 2745,
  [6119] = 2746,
  [6120] = 2748,
  [6121] = 2905,
  [6122] = 2749,
  [6123] = 2751,
  [6124] = 2752,
  [6125] = 2753,
  [6126] = 2754,
  [6127] = 2755,
  [6128] = 2756,
  [6129] = 3603,
  [6130] = 2757,
  [6131] = 2758,
  [6132] = 2759,
  [6133] = 2793,
  [6134] = 2768,
  [6135] = 2658,
  [6136] = 2796,
  [6137] = 2778,
  [6138] = 2779,
  [6139] = 2780,
  [6140] = 3603,
  [6141] = 2787,
  [6142] = 2914,
  [6143] = 2915,
  [6144] = 2924,
  [6145] = 2782,
  [6146] = 2917,
  [6147] = 2905,
  [6148] = 2783,
  [6149] = 2684,
  [6150] = 2687,
  [6151] = 2918,
  [6152] = 2749,
  [6153] = 2914,
  [6154] = 2900,
  [6155] = 2919,
  [6156] = 2915,
  [6157] = 2677,
  [6158] = 2842,
  [6159] = 2843,
  [6160] = 2676,
  [6161] = 2785,
  [6162] = 2917,
  [6163] = 2925,
  [6164] = 2683,
  [6165] = 2791,
  [6166] = 2676,
  [6167] = 2678,
  [6168] = 2776,
  [6169] = 2679,
  [6170] = 2940,
  [6171] = 2842,
  [6172] = 2743,
  [6173] = 2941,
  [6174] = 2744,
  [6175] = 2745,
  [6176] = 2746,
  [6177] = 2747,
  [6178] = 2748,
  [6179] = 2751,
  [6180] = 2752,
  [6181] = 2753,
  [6182] = 2754,
  [6183] = 2755,
  [6184] = 2756,
  [6185] = 2942,
  [6186] = 2757,
  [6187] = 2758,
  [6188] = 2759,
  [6189] = 2678,
  [6190] = 2760,
  [6191] = 2762,
  [6192] = 2763,
  [6193] = 2764,
  [6194] = 2765,
  [6195] = 2766,
  [6196] = 2767,
  [6197] = 2768,
  [6198] = 2769,
  [6199] = 2770,
  [6200] = 2771,
  [6201] = 2772,
  [6202] = 2773,
  [6203] = 2774,
  [6204] = 2943,
  [6205] = 2695,
  [6206] = 2786,
  [6207] = 2777,
  [6208] = 2778,
  [6209] = 2779,
  [6210] = 2780,
  [6211] = 2940,
  [6212] = 2918,
  [6213] = 2793,
  [6214] = 2782,
  [6215] = 2743,
  [6216] = 2783,
  [6217] = 2744,
  [6218] = 2745,
  [6219] = 2746,
  [6220] = 2747,
  [6221] = 2748,
  [6222] = 2941,
  [6223] = 2751,
  [6224] = 2752,
  [6225] = 2753,
  [6226] = 2754,
  [6227] = 2755,
  [6228] = 2756,
  [6229] = 2942,
  [6230] = 2757,
  [6231] = 2758,
  [6232] = 2759,
  [6233] = 2785,
  [6234] = 2760,
  [6235] = 2762,
  [6236] = 2763,
  [6237] = 2764,
  [6238] = 2765,
  [6239] = 2766,
  [6240] = 2767,
  [6241] = 2768,
  [6242] = 2943,
  [6243] = 2769,
  [6244] = 2770,
  [6245] = 2771,
  [6246] = 2772,
  [6247] = 2773,
  [6248] = 2774,
  [6249] = 2679,
  [6250] = 2919,
  [6251] = 2900,
  [6252] = 2777,
  [6253] = 2778,
  [6254] = 2779,
  [6255] = 2780,
  [6256] = 2940,
  [6257] = 2906,
  [6258] = 2940,
  [6259] = 2782,
  [6260] = 2901,
  [6261] = 2743,
  [6262] = 2783,
  [6263] = 2744,
  [6264] = 2681,
  [6265] = 2745,
  [6266] = 2941,
  [6267] = 2746,
  [6268] = 2747,
  [6269] = 2748,
  [6270] = 2788,
  [6271] = 2751,
  [6272] = 2752,
  [6273] = 2753,
  [6274] = 2942,
  [6275] = 2754,
  [6276] = 2755,
  [6277] = 2756,
  [6278] = 2943,
  [6279] = 2757,
  [6280] = 2758,
  [6281] = 2759,
  [6282] = 2785,
  [6283] = 2760,
  [6284] = 2762,
  [6285] = 2763,
  [6286] = 2764,
  [6287] = 2795,
  [6288] = 2765,
  [6289] = 2902,
  [6290] = 2766,
  [6291] = 2767,
  [6292] = 2785,
  [6293] = 2796,
  [6294] = 2769,
  [6295] = 2770,
  [6296] = 2771,
  [6297] = 2772,
  [6298] = 2904,
  [6299] = 2773,
  [6300] = 2774,
  [6301] = 2684,
  [6302] = 2941,
  [6303] = 2942,
  [6304] = 2777,
  [6305] = 2778,
  [6306] = 2779,
  [6307] = 2780,
  [6308] = 2687,
  [6309] = 2790,
  [6310] = 2906,
  [6311] = 2657,
  [6312] = 2782,
  [6313] = 2940,
  [6314] = 2943,
  [6315] = 2743,
  [6316] = 2907,
  [6317] = 2657,
  [6318] = 2792,
  [6319] = 2695,
  [6320] = 2695,
  [6321] = 2695,
  [6322] = 2695,
  [6323] = 2783,
  [6324] = 2744,
  [6325] = 2786,
  [6326] = 2745,
  [6327] = 2787,
  [6328] = 2746,
  [6329] = 2747,
  [6330] = 2748,
  [6331] = 2749,
  [6332] = 2941,
  [6333] = 2751,
  [6334] = 2752,
  [6335] = 2753,
  [6336] = 2788,
  [6337] = 2754,
  [6338] = 2755,
  [6339] = 2756,
  [6340] = 2942,
  [6341] = 2757,
  [6342] = 2758,
  [6343] = 2943,
  [6344] = 2907,
  [6345] = 2908,
  [6346] = 2910,
  [6347] = 2759,
  [6348] = 2785,
  [6349] = 2760,
  [6350] = 2762,
  [6351] = 2763,
  [6352] = 2764,
  [6353] = 2790,
  [6354] = 2765,
  [6355] = 2791,
  [6356] = 2766,
  [6357] = 2767,
  [6358] = 2768,
  [6359] = 2793,
  [6360] = 2769,
  [6361] = 2770,
  [6362] = 2771,
  [6363] = 2772,
  [6364] = 2792,
  [6365] = 2773,
  [6366] = 2774,
  [6367] = 2776,
  [6368] = 2908,
  [6369] = 2795,
  [6370] = 2796,
  [6371] = 2777,
  [6372] = 2778,
  [6373] = 2779,
  [6374] = 2780,
  [6375] = 2793,
  [6376] = 2743,
  [6377] = 2695,
  [6378] = 2681,
  [6379] = 2782,
  [6380] = 2795,
  [6381] = 2796,
  [6382] = 2684,
  [6383] = 2783,
  [6384] = 2786,
  [6385] = 2787,
  [6386] = 2749,
  [6387] = 2899,
  [6388] = 2899,
  [6389] = 2788,
  [6390] = 2785,
  [6391] = 2790,
  [6392] = 2791,
  [6393] = 2911,
  [6394] = 2792,
  [6395] = 2776,
  [6396] = 2657,
  [6397] = 2900,
  [6398] = 6398,
  [6399] = 2793,
  [6400] = 2677,
  [6401] = 2901,
  [6402] = 2795,
  [6403] = 2902,
  [6404] = 2796,
  [6405] = 2904,
  [6406] = 2843,
  [6407] = 2695,
  [6408] = 2792,
  [6409] = 2900,
  [6410] = 2786,
  [6411] = 2744,
  [6412] = 2787,
  [6413] = 2745,
  [6414] = 2687,
  [6415] = 2746,
  [6416] = 2749,
  [6417] = 2683,
  [6418] = 2940,
  [6419] = 2941,
  [6420] = 2942,
  [6421] = 2658,
  [6422] = 2788,
  [6423] = 2943,
  [6424] = 2747,
  [6425] = 2748,
  [6426] = 2777,
  [6427] = 2901,
  [6428] = 2902,
  [6429] = 2912,
  [6430] = 2924,
  [6431] = 2910,
  [6432] = 3742,
  [6433] = 6398,
  [6434] = 2905,
  [6435] = 2906,
  [6436] = 2790,
  [6437] = 2925,
  [6438] = 2791,
  [6439] = 2906,
  [6440] = 2695,
  [6441] = 2907,
  [6442] = 2907,
  [6443] = 2908,
  [6444] = 2910,
  [6445] = 2787,
  [6446] = 2911,
  [6447] = 2792,
  [6448] = 2912,
  [6449] = 2908,
  [6450] = 2911,
  [6451] = 6451,
  [6452] = 2776,
  [6453] = 2912,
  [6454] = 2751,
  [6455] = 2786,
  [6456] = 2924,
  [6457] = 2901,
  [6458] = 6398,
  [6459] = 2905,
  [6460] = 2793,
  [6461] = 2752,
  [6462] = 2902,
  [6463] = 2914,
  [6464] = 2899,
  [6465] = 2914,
  [6466] = 2940,
  [6467] = 2795,
  [6468] = 2915,
  [6469] = 2796,
  [6470] = 2904,
  [6471] = 2900,
  [6472] = 2843,
  [6473] = 2788,
  [6474] = 2683,
  [6475] = 2917,
  [6476] = 2786,
  [6477] = 2787,
  [6478] = 2905,
  [6479] = 2749,
  [6480] = 2925,
  [6481] = 2788,
  [6482] = 2915,
  [6483] = 2791,
  [6484] = 2683,
  [6485] = 2790,
  [6486] = 2791,
  [6487] = 2792,
  [6488] = 6451,
  [6489] = 2676,
  [6490] = 2678,
  [6491] = 2776,
  [6492] = 2679,
  [6493] = 2901,
  [6494] = 2793,
  [6495] = 2795,
  [6496] = 2796,
  [6497] = 2843,
  [6498] = 2906,
  [6499] = 2907,
  [6500] = 2908,
  [6501] = 2910,
  [6502] = 2681,
  [6503] = 2911,
  [6504] = 2912,
  [6505] = 2684,
  [6506] = 2687,
  [6507] = 2753,
  [6508] = 2658,
  [6509] = 2902,
  [6510] = 2914,
  [6511] = 2918,
  [6512] = 2919,
  [6513] = 2915,
  [6514] = 2917,
  [6515] = 2904,
  [6516] = 2754,
  [6517] = 2676,
  [6518] = 2918,
  [6519] = 2919,
  [6520] = 2906,
  [6521] = 2917,
  [6522] = 2755,
  [6523] = 2907,
  [6524] = 2756,
  [6525] = 2908,
  [6526] = 2910,
  [6527] = 2842,
  [6528] = 2843,
  [6529] = 2678,
  [6530] = 2911,
  [6531] = 2912,
  [6532] = 2657,
  [6533] = 2679,
  [6534] = 2910,
  [6535] = 2757,
  [6536] = 2924,
  [6537] = 2657,
  [6538] = 2758,
  [6539] = 2918,
  [6540] = 2925,
  [6541] = 2924,
  [6542] = 2677,
  [6543] = 2759,
  [6544] = 2905,
  [6545] = 2843,
  [6546] = 2919,
  [6547] = 2760,
  [6548] = 2914,
  [6549] = 2695,
  [6550] = 2941,
  [6551] = 2842,
  [6552] = 2942,
  [6553] = 2915,
  [6554] = 2786,
  [6555] = 2917,
  [6556] = 2925,
  [6557] = 2790,
  [6558] = 6398,
  [6559] = 6451,
  [6560] = 2918,
  [6561] = 2762,
  [6562] = 2695,
  [6563] = 6451,
  [6564] = 2787,
  [6565] = 2763,
  [6566] = 2764,
  [6567] = 2788,
  [6568] = 2842,
  [6569] = 2765,
  [6570] = 2766,
  [6571] = 2677,
  [6572] = 2767,
  [6573] = 2658,
  [6574] = 2943,
  [6575] = 2905,
  [6576] = 2768,
  [6577] = 2676,
  [6578] = 2842,
  [6579] = 2743,
  [6580] = 2744,
  [6581] = 2745,
  [6582] = 2746,
  [6583] = 2747,
  [6584] = 2748,
  [6585] = 2749,
  [6586] = 2899,
  [6587] = 2751,
  [6588] = 2752,
  [6589] = 2753,
  [6590] = 2754,
  [6591] = 2755,
  [6592] = 2756,
  [6593] = 2678,
  [6594] = 2757,
  [6595] = 2758,
  [6596] = 2759,
  [6597] = 2760,
  [6598] = 2762,
  [6599] = 2763,
  [6600] = 2764,
  [6601] = 2765,
  [6602] = 2766,
  [6603] = 2767,
  [6604] = 2768,
  [6605] = 2769,
  [6606] = 2770,
  [6607] = 2771,
  [6608] = 2772,
  [6609] = 2773,
  [6610] = 2774,
  [6611] = 2776,
  [6612] = 2679,
  [6613] = 2769,
  [6614] = 2899,
  [6615] = 2777,
  [6616] = 2900,
  [6617] = 2778,
  [6618] = 2779,
  [6619] = 2780,
  [6620] = 2770,
  [6621] = 2790,
  [6622] = 2771,
  [6623] = 2901,
  [6624] = 2782,
  [6625] = 2902,
  [6626] = 2904,
  [6627] = 2683,
  [6628] = 2919,
  [6629] = 2783,
  [6630] = 2924,
  [6631] = 2772,
  [6632] = 2792,
  [6633] = 2681,
  [6634] = 2681,
  [6635] = 2684,
  [6636] = 3896,
  [6637] = 2899,
  [6638] = 2793,
  [6639] = 2773,
  [6640] = 2774,
  [6641] = 2911,
  [6642] = 2912,
  [6643] = 2658,
  [6644] = 2687,
  [6645] = 2925,
  [6646] = 2795,
  [6647] = 2791,
  [6648] = 2904,
  [6649] = 2677,
  [6650] = 2906,
  [6651] = 2917,
  [6652] = 2751,
  [6653] = 2752,
  [6654] = 2676,
  [6655] = 2751,
  [6656] = 2901,
  [6657] = 2678,
  [6658] = 2679,
  [6659] = 3896,
  [6660] = 2925,
  [6661] = 2777,
  [6662] = 2902,
  [6663] = 2900,
  [6664] = 2756,
  [6665] = 2752,
  [6666] = 2753,
  [6667] = 2918,
  [6668] = 2904,
  [6669] = 2788,
  [6670] = 2919,
  [6671] = 2760,
  [6672] = 2762,
  [6673] = 2842,
  [6674] = 2754,
  [6675] = 2755,
  [6676] = 2941,
  [6677] = 2906,
  [6678] = 2743,
  [6679] = 2757,
  [6680] = 2907,
  [6681] = 2695,
  [6682] = 2908,
  [6683] = 2940,
  [6684] = 2778,
  [6685] = 2900,
  [6686] = 2763,
  [6687] = 2779,
  [6688] = 2756,
  [6689] = 2764,
  [6690] = 2785,
  [6691] = 2780,
  [6692] = 2942,
  [6693] = 2790,
  [6694] = 2918,
  [6695] = 2901,
  [6696] = 2790,
  [6697] = 6697,
  [6698] = 2902,
  [6699] = 2765,
  [6700] = 2904,
  [6701] = 2842,
  [6702] = 2910,
  [6703] = 2911,
  [6704] = 2919,
  [6705] = 2758,
  [6706] = 2791,
  [6707] = 2744,
  [6708] = 2757,
  [6709] = 2792,
  [6710] = 2786,
  [6711] = 2745,
  [6712] = 2791,
  [6713] = 2746,
  [6714] = 2747,
  [6715] = 2748,
  [6716] = 2749,
  [6717] = 2912,
  [6718] = 2681,
  [6719] = 2766,
  [6720] = 2684,
  [6721] = 2687,
  [6722] = 2744,
  [6723] = 2901,
  [6724] = 2782,
  [6725] = 2758,
  [6726] = 2902,
  [6727] = 2904,
  [6728] = 2753,
  [6729] = 2842,
  [6730] = 2767,
  [6731] = 2793,
  [6732] = 2901,
  [6733] = 2768,
  [6734] = 2759,
  [6735] = 2914,
  [6736] = 2793,
  [6737] = 2745,
  [6738] = 2908,
  [6739] = 2787,
  [6740] = 2746,
  [6741] = 3742,
  [6742] = 2760,
  [6743] = 2762,
  [6744] = 2787,
  [6745] = 2749,
  [6746] = 2842,
  [6747] = 2902,
  [6748] = 2751,
  [6749] = 2752,
  [6750] = 2753,
  [6751] = 2843,
  [6752] = 2788,
  [6753] = 2904,
  [6754] = 2754,
  [6755] = 2747,
  [6756] = 2795,
  [6757] = 2924,
  [6758] = 2796,
  [6759] = 2771,
  [6760] = 2748,
  [6761] = 2776,
  [6762] = 2783,
  [6763] = 2763,
  [6764] = 2905,
  [6765] = 2764,
  [6766] = 2772,
  [6767] = 2911,
  [6768] = 2755,
  [6769] = 2756,
  [6770] = 2905,
  [6771] = 2765,
  [6772] = 2940,
  [6773] = 2776,
  [6774] = 2782,
  [6775] = 2766,
  [6776] = 2767,
  [6777] = 2795,
  [6778] = 2901,
  [6779] = 2905,
  [6780] = 2757,
  [6781] = 2782,
  [6782] = 2940,
  [6783] = 2941,
  [6784] = 2942,
  [6785] = 2758,
  [6786] = 2943,
  [6787] = 2915,
  [6788] = 2899,
  [6789] = 2768,
  [6790] = 6790,
  [6791] = 2795,
  [6792] = 3603,
  [6793] = 2914,
  [6794] = 2902,
  [6795] = 2796,
  [6796] = 2940,
  [6797] = 2904,
  [6798] = 2943,
  [6799] = 2769,
  [6800] = 2770,
  [6801] = 2770,
  [6802] = 2791,
  [6803] = 2906,
  [6804] = 2907,
  [6805] = 2788,
  [6806] = 2943,
  [6807] = 2771,
  [6808] = 2759,
  [6809] = 2842,
  [6810] = 2751,
  [6811] = 2843,
  [6812] = 2752,
  [6813] = 2759,
  [6814] = 2906,
  [6815] = 2753,
  [6816] = 2915,
  [6817] = 2924,
  [6818] = 2772,
  [6819] = 2785,
  [6820] = 2843,
  [6821] = 2908,
  [6822] = 2757,
  [6823] = 2785,
  [6824] = 2773,
  [6825] = 2758,
  [6826] = 2907,
  [6827] = 2760,
  [6828] = 2762,
  [6829] = 2754,
  [6830] = 2755,
  [6831] = 2906,
  [6832] = 2756,
  [6833] = 2907,
  [6834] = 2908,
  [6835] = 2792,
  [6836] = 2917,
  [6837] = 2910,
  [6838] = 2925,
  [6839] = 2911,
  [6840] = 2912,
  [6841] = 2906,
  [6842] = 2908,
  [6843] = 2907,
  [6844] = 2908,
  [6845] = 2760,
  [6846] = 2762,
  [6847] = 2763,
  [6848] = 2914,
  [6849] = 2905,
  [6850] = 2764,
  [6851] = 2658,
  [6852] = 2790,
  [6853] = 2765,
  [6854] = 2915,
  [6855] = 2910,
  [6856] = 2766,
  [6857] = 2773,
  [6858] = 2917,
  [6859] = 2767,
  [6860] = 2768,
  [6861] = 6697,
  [6862] = 2918,
  [6863] = 2763,
  [6864] = 2906,
  [6865] = 2919,
  [6866] = 2911,
  [6867] = 2743,
  [6868] = 2912,
  [6869] = 2764,
  [6870] = 2757,
  [6871] = 2907,
  [6872] = 2769,
  [6873] = 2899,
  [6874] = 2770,
  [6875] = 2771,
  [6876] = 2772,
  [6877] = 2792,
  [6878] = 2773,
  [6879] = 2774,
  [6880] = 2776,
  [6881] = 2758,
  [6882] = 2774,
  [6883] = 2900,
  [6884] = 2910,
  [6885] = 2786,
  [6886] = 2910,
  [6887] = 2777,
  [6888] = 2774,
  [6889] = 2914,
  [6890] = 2776,
  [6891] = 2911,
  [6892] = 3603,
  [6893] = 2778,
  [6894] = 2940,
  [6895] = 2779,
  [6896] = 2842,
  [6897] = 2842,
  [6898] = 2915,
  [6899] = 2743,
  [6900] = 2777,
  [6901] = 2780,
  [6902] = 2778,
  [6903] = 2793,
  [6904] = 2899,
  [6905] = 2767,
  [6906] = 2917,
  [6907] = 2911,
  [6908] = 2766,
  [6909] = 2744,
  [6910] = 2912,
  [6911] = 2745,
  [6912] = 2918,
  [6913] = 2746,
  [6914] = 2790,
  [6915] = 2747,
  [6916] = 2918,
  [6917] = 2924,
  [6918] = 2748,
  [6919] = 2914,
  [6920] = 2919,
  [6921] = 2759,
  [6922] = 2787,
  [6923] = 2940,
  [6924] = 2751,
  [6925] = 2779,
  [6926] = 2752,
  [6927] = 2753,
  [6928] = 2780,
  [6929] = 2754,
  [6930] = 2755,
  [6931] = 2756,
  [6932] = 2918,
  [6933] = 2925,
  [6934] = 2759,
  [6935] = 2765,
  [6936] = 2785,
  [6937] = 2658,
  [6938] = 2757,
  [6939] = 2758,
  [6940] = 2924,
  [6941] = 2759,
  [6942] = 2782,
  [6943] = 2912,
  [6944] = 2760,
  [6945] = 2843,
  [6946] = 2762,
  [6947] = 2919,
  [6948] = 2763,
  [6949] = 2764,
  [6950] = 2795,
  [6951] = 2765,
  [6952] = 2766,
  [6953] = 2767,
  [6954] = 2768,
  [6955] = 2905,
  [6956] = 2769,
  [6957] = 2919,
  [6958] = 2770,
  [6959] = 2771,
  [6960] = 2772,
  [6961] = 2773,
  [6962] = 2774,
  [6963] = 2676,
  [6964] = 2678,
  [6965] = 2778,
  [6966] = 2679,
  [6967] = 2777,
  [6968] = 2778,
  [6969] = 2779,
  [6970] = 2780,
  [6971] = 2796,
  [6972] = 2754,
  [6973] = 2681,
  [6974] = 2684,
  [6975] = 2687,
  [6976] = 2925,
  [6977] = 2782,
  [6978] = 2941,
  [6979] = 2788,
  [6980] = 2769,
  [6981] = 2743,
  [6982] = 2843,
  [6983] = 2942,
  [6984] = 2743,
  [6985] = 2760,
  [6986] = 2762,
  [6987] = 2743,
  [6988] = 2791,
  [6989] = 2783,
  [6990] = 2766,
  [6991] = 2744,
  [6992] = 2763,
  [6993] = 2745,
  [6994] = 2914,
  [6995] = 2746,
  [6996] = 2747,
  [6997] = 2767,
  [6998] = 2748,
  [6999] = 2695,
  [7000] = 2924,
  [7001] = 2783,
  [7002] = 2908,
  [7003] = 6790,
  [7004] = 2751,
  [7005] = 2752,
  [7006] = 2753,
  [7007] = 2918,
  [7008] = 2768,
  [7009] = 2754,
  [7010] = 2755,
  [7011] = 2756,
  [7012] = 2695,
  [7013] = 2785,
  [7014] = 2919,
  [7015] = 2764,
  [7016] = 2941,
  [7017] = 2658,
  [7018] = 2757,
  [7019] = 2758,
  [7020] = 2942,
  [7021] = 2941,
  [7022] = 2759,
  [7023] = 2785,
  [7024] = 2777,
  [7025] = 2760,
  [7026] = 2762,
  [7027] = 2763,
  [7028] = 2764,
  [7029] = 2769,
  [7030] = 2765,
  [7031] = 2770,
  [7032] = 2766,
  [7033] = 2767,
  [7034] = 2768,
  [7035] = 2942,
  [7036] = 2769,
  [7037] = 2770,
  [7038] = 2771,
  [7039] = 2772,
  [7040] = 2765,
  [7041] = 2773,
  [7042] = 2774,
  [7043] = 2783,
  [7044] = 2790,
  [7045] = 2911,
  [7046] = 2676,
  [7047] = 2678,
  [7048] = 2679,
  [7049] = 2777,
  [7050] = 2778,
  [7051] = 2779,
  [7052] = 2780,
  [7053] = 2796,
  [7054] = 2791,
  [7055] = 2744,
  [7056] = 2681,
  [7057] = 2684,
  [7058] = 2687,
  [7059] = 2943,
  [7060] = 2782,
  [7061] = 2770,
  [7062] = 2771,
  [7063] = 2900,
  [7064] = 2772,
  [7065] = 2786,
  [7066] = 2745,
  [7067] = 2792,
  [7068] = 2941,
  [7069] = 2746,
  [7070] = 2747,
  [7071] = 2782,
  [7072] = 2942,
  [7073] = 2796,
  [7074] = 2783,
  [7075] = 2748,
  [7076] = 2749,
  [7077] = 2677,
  [7078] = 2900,
  [7079] = 2901,
  [7080] = 6790,
  [7081] = 2771,
  [7082] = 2843,
  [7083] = 2902,
  [7084] = 2904,
  [7085] = 2924,
  [7086] = 2772,
  [7087] = 2749,
  [7088] = 2785,
  [7089] = 2901,
  [7090] = 2744,
  [7091] = 2786,
  [7092] = 2910,
  [7093] = 2745,
  [7094] = 2792,
  [7095] = 2783,
  [7096] = 2902,
  [7097] = 2843,
  [7098] = 2904,
  [7099] = 2683,
  [7100] = 6790,
  [7101] = 2773,
  [7102] = 2774,
  [7103] = 2792,
  [7104] = 2906,
  [7105] = 2776,
  [7106] = 2905,
  [7107] = 2787,
  [7108] = 2907,
  [7109] = 2899,
  [7110] = 2908,
  [7111] = 2912,
  [7112] = 2842,
  [7113] = 2910,
  [7114] = 2744,
  [7115] = 6697,
  [7116] = 2911,
  [7117] = 2912,
  [7118] = 2924,
  [7119] = 2905,
  [7120] = 2786,
  [7121] = 2925,
  [7122] = 2943,
  [7123] = 2745,
  [7124] = 6697,
  [7125] = 2786,
  [7126] = 2787,
  [7127] = 2743,
  [7128] = 2787,
  [7129] = 2746,
  [7130] = 2747,
  [7131] = 2924,
  [7132] = 2766,
  [7133] = 2677,
  [7134] = 2788,
  [7135] = 2751,
  [7136] = 2752,
  [7137] = 2753,
  [7138] = 2914,
  [7139] = 3603,
  [7140] = 2940,
  [7141] = 2677,
  [7142] = 2788,
  [7143] = 2754,
  [7144] = 2755,
  [7145] = 2756,
  [7146] = 2790,
  [7147] = 2791,
  [7148] = 2915,
  [7149] = 2757,
  [7150] = 2915,
  [7151] = 2758,
  [7152] = 2683,
  [7153] = 2917,
  [7154] = 2759,
  [7155] = 2792,
  [7156] = 2785,
  [7157] = 2925,
  [7158] = 2783,
  [7159] = 2918,
  [7160] = 2793,
  [7161] = 2919,
  [7162] = 2941,
  [7163] = 2942,
  [7164] = 2793,
  [7165] = 2795,
  [7166] = 2777,
  [7167] = 2796,
  [7168] = 2767,
  [7169] = 2900,
  [7170] = 2795,
  [7171] = 2778,
  [7172] = 2796,
  [7173] = 2917,
  [7174] = 2768,
  [7175] = 2943,
  [7176] = 2769,
  [7177] = 2943,
  [7178] = 2770,
  [7179] = 2771,
  [7180] = 2914,
  [7181] = 2915,
  [7182] = 2683,
  [7183] = 2787,
  [7184] = 2772,
  [7185] = 2773,
  [7186] = 2915,
  [7187] = 2749,
  [7188] = 2768,
  [7189] = 2748,
  [7190] = 2899,
  [7191] = 2779,
  [7192] = 2774,
  [7193] = 2744,
  [7194] = 2776,
  [7195] = 2917,
  [7196] = 2779,
  [7197] = 2749,
  [7198] = 2925,
  [7199] = 2776,
  [7200] = 2780,
  [7201] = 2745,
  [7202] = 2746,
  [7203] = 2747,
  [7204] = 2777,
  [7205] = 2918,
  [7206] = 2919,
  [7207] = 2748,
  [7208] = 2769,
  [7209] = 2743,
  [7210] = 2773,
  [7211] = 2917,
  [7212] = 2754,
  [7213] = 2899,
  [7214] = 2780,
  [7215] = 2776,
  [7216] = 2791,
  [7217] = 2778,
  [7218] = 2779,
  [7219] = 2774,
  [7220] = 2900,
  [7221] = 2760,
  [7222] = 2843,
  [7223] = 2925,
  [7224] = 2793,
  [7225] = 2782,
  [7226] = 2780,
  [7227] = 2762,
  [7228] = 2795,
  [7229] = 2763,
  [7230] = 2899,
  [7231] = 2901,
  [7232] = 2902,
  [7233] = 2746,
  [7234] = 2695,
  [7235] = 2899,
  [7236] = 2764,
  [7237] = 2904,
  [7238] = 2747,
  [7239] = 2790,
  [7240] = 2748,
  [7241] = 2842,
  [7242] = 2793,
  [7243] = 2751,
  [7244] = 2905,
  [7245] = 2765,
  [7246] = 2749,
  [7247] = 2900,
  [7248] = 2752,
  [7249] = 2753,
  [7250] = 2907,
  [7251] = 2908,
  [7252] = 2910,
  [7253] = 2788,
  [7254] = 2911,
  [7255] = 2755,
  [7256] = 2912,
  [7257] = 2786,
  [7258] = 2755,
  [7259] = 2749,
  [7260] = 2783,
  [7261] = 2756,
  [7262] = 2905,
  [7263] = 2843,
  [7264] = 2786,
  [7265] = 2683,
  [7266] = 7266,
  [7267] = 7267,
  [7268] = 2751,
  [7269] = 3742,
  [7270] = 2752,
  [7271] = 2753,
  [7272] = 2914,
  [7273] = 2681,
  [7274] = 7267,
  [7275] = 2940,
  [7276] = 2788,
  [7277] = 2786,
  [7278] = 2684,
  [7279] = 3603,
  [7280] = 2754,
  [7281] = 2755,
  [7282] = 2756,
  [7283] = 2658,
  [7284] = 2757,
  [7285] = 2759,
  [7286] = 2785,
  [7287] = 2788,
  [7288] = 2842,
  [7289] = 2941,
  [7290] = 2942,
  [7291] = 2788,
  [7292] = 2843,
  [7293] = 2787,
  [7294] = 2906,
  [7295] = 2907,
  [7296] = 3603,
  [7297] = 2687,
  [7298] = 2790,
  [7299] = 2910,
  [7300] = 2912,
  [7301] = 2760,
  [7302] = 7266,
  [7303] = 2792,
  [7304] = 2762,
  [7305] = 2924,
  [7306] = 2763,
  [7307] = 2782,
  [7308] = 2793,
  [7309] = 2795,
  [7310] = 2796,
  [7311] = 2764,
  [7312] = 2908,
  [7313] = 2790,
  [7314] = 2765,
  [7315] = 2915,
  [7316] = 2783,
  [7317] = 2766,
  [7318] = 2918,
  [7319] = 2743,
  [7320] = 2767,
  [7321] = 2917,
  [7322] = 2925,
  [7323] = 3603,
  [7324] = 2744,
  [7325] = 2791,
  [7326] = 2745,
  [7327] = 7327,
  [7328] = 2746,
  [7329] = 2943,
  [7330] = 2747,
  [7331] = 2790,
  [7332] = 2748,
  [7333] = 2768,
  [7334] = 2940,
  [7335] = 2751,
  [7336] = 7336,
  [7337] = 7337,
  [7338] = 7327,
  [7339] = 2752,
  [7340] = 2753,
  [7341] = 2791,
  [7342] = 2754,
  [7343] = 2755,
  [7344] = 2756,
  [7345] = 2769,
  [7346] = 2770,
  [7347] = 2771,
  [7348] = 2658,
  [7349] = 7349,
  [7350] = 2757,
  [7351] = 2899,
  [7352] = 2758,
  [7353] = 2772,
  [7354] = 2759,
  [7355] = 2792,
  [7356] = 2941,
  [7357] = 2942,
  [7358] = 2792,
  [7359] = 2908,
  [7360] = 2785,
  [7361] = 2900,
  [7362] = 2901,
  [7363] = 2902,
  [7364] = 2796,
  [7365] = 2905,
  [7366] = 2773,
  [7367] = 2774,
  [7368] = 2676,
  [7369] = 2678,
  [7370] = 2679,
  [7371] = 2760,
  [7372] = 2777,
  [7373] = 2762,
  [7374] = 2763,
  [7375] = 2764,
  [7376] = 2908,
  [7377] = 2765,
  [7378] = 2911,
  [7379] = 2766,
  [7380] = 2767,
  [7381] = 2768,
  [7382] = 2943,
  [7383] = 2793,
  [7384] = 2769,
  [7385] = 2770,
  [7386] = 2771,
  [7387] = 2772,
  [7388] = 2918,
  [7389] = 2919,
  [7390] = 2677,
  [7391] = 3742,
  [7392] = 2795,
  [7393] = 2773,
  [7394] = 2774,
  [7395] = 2940,
  [7396] = 2676,
  [7397] = 2796,
  [7398] = 2678,
  [7399] = 3603,
  [7400] = 2918,
  [7401] = 2941,
  [7402] = 2942,
  [7403] = 2943,
  [7404] = 2679,
  [7405] = 3896,
  [7406] = 2787,
  [7407] = 2743,
  [7408] = 2914,
  [7409] = 7336,
  [7410] = 2777,
  [7411] = 7337,
  [7412] = 2787,
  [7413] = 2788,
  [7414] = 2783,
  [7415] = 3896,
  [7416] = 2778,
  [7417] = 2778,
  [7418] = 3603,
  [7419] = 2744,
  [7420] = 2779,
  [7421] = 3742,
  [7422] = 2786,
  [7423] = 2745,
  [7424] = 2746,
  [7425] = 2790,
  [7426] = 2779,
  [7427] = 2791,
  [7428] = 2747,
  [7429] = 2791,
  [7430] = 2748,
  [7431] = 2792,
  [7432] = 2780,
  [7433] = 3896,
  [7434] = 2780,
  [7435] = 2793,
  [7436] = 2681,
  [7437] = 2684,
  [7438] = 2687,
  [7439] = 7349,
  [7440] = 2793,
  [7441] = 2786,
  [7442] = 2782,
  [7443] = 2795,
  [7444] = 2795,
  [7445] = 2796,
  [7446] = 2787,
  [7447] = 3603,
  [7448] = 2904,
  [7449] = 2914,
  [7450] = 7450,
  [7451] = 2943,
  [7452] = 2943,
  [7453] = 3603,
  [7454] = 2792,
  [7455] = 7455,
  [7456] = 2899,
  [7457] = 2793,
  [7458] = 3603,
  [7459] = 5524,
  [7460] = 5447,
  [7461] = 7461,
  [7462] = 7462,
  [7463] = 7463,
  [7464] = 7464,
  [7465] = 5429,
  [7466] = 7466,
  [7467] = 2683,
  [7468] = 7468,
  [7469] = 7327,
  [7470] = 7266,
  [7471] = 2788,
  [7472] = 3742,
  [7473] = 5451,
  [7474] = 7474,
  [7475] = 7475,
  [7476] = 7476,
  [7477] = 7477,
  [7478] = 7478,
  [7479] = 7479,
  [7480] = 5429,
  [7481] = 7462,
  [7482] = 3742,
  [7483] = 7483,
  [7484] = 7484,
  [7485] = 2924,
  [7486] = 2795,
  [7487] = 7463,
  [7488] = 7488,
  [7489] = 2943,
  [7490] = 7490,
  [7491] = 7491,
  [7492] = 2796,
  [7493] = 5335,
  [7494] = 7349,
  [7495] = 2925,
  [7496] = 7474,
  [7497] = 7479,
  [7498] = 3742,
  [7499] = 7484,
  [7500] = 3896,
  [7501] = 5426,
  [7502] = 5447,
  [7503] = 5451,
  [7504] = 7504,
  [7505] = 3896,
  [7506] = 2906,
  [7507] = 2941,
  [7508] = 2907,
  [7509] = 7509,
  [7510] = 5373,
  [7511] = 2677,
  [7512] = 5430,
  [7513] = 2942,
  [7514] = 5357,
  [7515] = 2910,
  [7516] = 2758,
  [7517] = 2911,
  [7518] = 2915,
  [7519] = 2912,
  [7520] = 7520,
  [7521] = 2924,
  [7522] = 7483,
  [7523] = 7523,
  [7524] = 2917,
  [7525] = 2925,
  [7526] = 5457,
  [7527] = 2900,
  [7528] = 7490,
  [7529] = 7491,
  [7530] = 7530,
  [7531] = 2842,
  [7532] = 2906,
  [7533] = 7533,
  [7534] = 7534,
  [7535] = 2907,
  [7536] = 7464,
  [7537] = 3603,
  [7538] = 7538,
  [7539] = 2899,
  [7540] = 2914,
  [7541] = 2843,
  [7542] = 3742,
  [7543] = 7543,
  [7544] = 3603,
  [7545] = 5313,
  [7546] = 2905,
  [7547] = 7478,
  [7548] = 2910,
  [7549] = 3896,
  [7550] = 2915,
  [7551] = 5524,
  [7552] = 2901,
  [7553] = 2790,
  [7554] = 5430,
  [7555] = 3896,
  [7556] = 5313,
  [7557] = 7557,
  [7558] = 2902,
  [7559] = 2917,
  [7560] = 2925,
  [7561] = 5426,
  [7562] = 3896,
  [7563] = 7504,
  [7564] = 7520,
  [7565] = 7565,
  [7566] = 2904,
  [7567] = 7475,
  [7568] = 2906,
  [7569] = 3603,
  [7570] = 2907,
  [7571] = 2940,
  [7572] = 2940,
  [7573] = 7573,
  [7574] = 7336,
  [7575] = 2906,
  [7576] = 2743,
  [7577] = 2785,
  [7578] = 7455,
  [7579] = 2910,
  [7580] = 7337,
  [7581] = 7468,
  [7582] = 2744,
  [7583] = 2907,
  [7584] = 2905,
  [7585] = 2745,
  [7586] = 2912,
  [7587] = 2746,
  [7588] = 2747,
  [7589] = 7466,
  [7590] = 2748,
  [7591] = 5357,
  [7592] = 2910,
  [7593] = 2915,
  [7594] = 2677,
  [7595] = 2911,
  [7596] = 2912,
  [7597] = 3742,
  [7598] = 2751,
  [7599] = 2752,
  [7600] = 2753,
  [7601] = 2912,
  [7602] = 2917,
  [7603] = 7267,
  [7604] = 2943,
  [7605] = 2754,
  [7606] = 2755,
  [7607] = 2756,
  [7608] = 7461,
  [7609] = 2658,
  [7610] = 2757,
  [7611] = 2758,
  [7612] = 7538,
  [7613] = 2899,
  [7614] = 7543,
  [7615] = 2759,
  [7616] = 7476,
  [7617] = 7488,
  [7618] = 7533,
  [7619] = 2760,
  [7620] = 3896,
  [7621] = 5312,
  [7622] = 2908,
  [7623] = 7534,
  [7624] = 3603,
  [7625] = 2900,
  [7626] = 2786,
  [7627] = 2762,
  [7628] = 7628,
  [7629] = 2914,
  [7630] = 7630,
  [7631] = 7631,
  [7632] = 7632,
  [7633] = 2908,
  [7634] = 2940,
  [7635] = 2763,
  [7636] = 7450,
  [7637] = 2791,
  [7638] = 2911,
  [7639] = 2918,
  [7640] = 2764,
  [7641] = 2901,
  [7642] = 2900,
  [7643] = 2901,
  [7644] = 2915,
  [7645] = 2902,
  [7646] = 2904,
  [7647] = 2765,
  [7648] = 2902,
  [7649] = 2924,
  [7650] = 2905,
  [7651] = 2899,
  [7652] = 7509,
  [7653] = 2766,
  [7654] = 7530,
  [7655] = 2767,
  [7656] = 2768,
  [7657] = 2683,
  [7658] = 2769,
  [7659] = 2925,
  [7660] = 2918,
  [7661] = 2919,
  [7662] = 2770,
  [7663] = 3742,
  [7664] = 2771,
  [7665] = 2772,
  [7666] = 2904,
  [7667] = 3742,
  [7668] = 2900,
  [7669] = 2773,
  [7670] = 2901,
  [7671] = 2774,
  [7672] = 2676,
  [7673] = 2902,
  [7674] = 2678,
  [7675] = 2917,
  [7676] = 2904,
  [7677] = 2679,
  [7678] = 3603,
  [7679] = 2941,
  [7680] = 2919,
  [7681] = 2941,
  [7682] = 2777,
  [7683] = 2942,
  [7684] = 2778,
  [7685] = 2779,
  [7686] = 2780,
  [7687] = 7523,
  [7688] = 2681,
  [7689] = 2684,
  [7690] = 2687,
  [7691] = 3896,
  [7692] = 7557,
  [7693] = 2782,
  [7694] = 3603,
  [7695] = 2942,
  [7696] = 7628,
  [7697] = 2940,
  [7698] = 7630,
  [7699] = 2787,
  [7700] = 2924,
  [7701] = 7565,
  [7702] = 7631,
  [7703] = 5457,
  [7704] = 2783,
  [7705] = 7632,
  [7706] = 7477,
  [7707] = 7573,
  [7708] = 2941,
  [7709] = 2942,
  [7710] = 2919,
  [7711] = 7483,
  [7712] = 2915,
  [7713] = 7713,
  [7714] = 7267,
  [7715] = 7464,
  [7716] = 7713,
  [7717] = 7713,
  [7718] = 3742,
  [7719] = 7557,
  [7720] = 3896,
  [7721] = 5357,
  [7722] = 7632,
  [7723] = 7713,
  [7724] = 7491,
  [7725] = 7713,
  [7726] = 2900,
  [7727] = 2924,
  [7728] = 7534,
  [7729] = 7713,
  [7730] = 7488,
  [7731] = 2910,
  [7732] = 2919,
  [7733] = 7327,
  [7734] = 7450,
  [7735] = 7509,
  [7736] = 7462,
  [7737] = 7463,
  [7738] = 2917,
  [7739] = 2942,
  [7740] = 7713,
  [7741] = 7484,
  [7742] = 7713,
  [7743] = 3742,
  [7744] = 2906,
  [7745] = 7466,
  [7746] = 7533,
  [7747] = 7474,
  [7748] = 7713,
  [7749] = 7713,
  [7750] = 2925,
  [7751] = 2905,
  [7752] = 7713,
  [7753] = 7565,
  [7754] = 7713,
  [7755] = 7479,
  [7756] = 2918,
  [7757] = 5447,
  [7758] = 7543,
  [7759] = 3742,
  [7760] = 2941,
  [7761] = 2912,
  [7762] = 7762,
  [7763] = 5524,
  [7764] = 7523,
  [7765] = 7713,
  [7766] = 7490,
  [7767] = 3896,
  [7768] = 5451,
  [7769] = 7713,
  [7770] = 7713,
  [7771] = 7461,
  [7772] = 7266,
  [7773] = 3896,
  [7774] = 7630,
  [7775] = 3742,
  [7776] = 2911,
  [7777] = 2907,
  [7778] = 3742,
  [7779] = 7713,
  [7780] = 2901,
  [7781] = 5429,
  [7782] = 7631,
  [7783] = 2940,
  [7784] = 7336,
  [7785] = 3742,
  [7786] = 7762,
  [7787] = 5426,
  [7788] = 3896,
  [7789] = 7337,
  [7790] = 7475,
  [7791] = 2908,
  [7792] = 7573,
  [7793] = 7455,
  [7794] = 3896,
  [7795] = 7349,
  [7796] = 7628,
  [7797] = 7476,
  [7798] = 7713,
  [7799] = 7713,
  [7800] = 7762,
  [7801] = 2902,
  [7802] = 7713,
  [7803] = 5457,
  [7804] = 7713,
  [7805] = 7538,
  [7806] = 5430,
  [7807] = 7477,
  [7808] = 5313,
  [7809] = 7478,
  [7810] = 2904,
  [7811] = 2899,
  [7812] = 2943,
  [7813] = 7713,
  [7814] = 7713,
  [7815] = 3896,
  [7816] = 2914,
  [7817] = 7762,
  [7818] = 7818,
  [7819] = 7474,
  [7820] = 7479,
  [7821] = 2924,
  [7822] = 7818,
  [7823] = 7823,
  [7824] = 7824,
  [7825] = 7823,
  [7826] = 7824,
  [7827] = 2914,
  [7828] = 7828,
  [7829] = 7823,
  [7830] = 7824,
  [7831] = 7818,
  [7832] = 7823,
  [7833] = 7824,
  [7834] = 2776,
  [7835] = 2940,
  [7836] = 7836,
  [7837] = 7533,
  [7838] = 2940,
  [7839] = 7823,
  [7840] = 7824,
  [7841] = 2941,
  [7842] = 7842,
  [7843] = 2942,
  [7844] = 2915,
  [7845] = 2925,
  [7846] = 7818,
  [7847] = 2943,
  [7848] = 7823,
  [7849] = 7824,
  [7850] = 7823,
  [7851] = 7823,
  [7852] = 7824,
  [7853] = 2905,
  [7854] = 2793,
  [7855] = 2940,
  [7856] = 5426,
  [7857] = 2941,
  [7858] = 7557,
  [7859] = 7823,
  [7860] = 7860,
  [7861] = 2683,
  [7862] = 7824,
  [7863] = 7630,
  [7864] = 2917,
  [7865] = 7860,
  [7866] = 2942,
  [7867] = 2792,
  [7868] = 7868,
  [7869] = 7484,
  [7870] = 2941,
  [7871] = 2942,
  [7872] = 7872,
  [7873] = 2843,
  [7874] = 7874,
  [7875] = 4715,
  [7876] = 2943,
  [7877] = 2943,
  [7878] = 7565,
  [7879] = 2795,
  [7880] = 2796,
  [7881] = 7881,
  [7882] = 7882,
  [7883] = 2918,
  [7884] = 7818,
  [7885] = 7824,
  [7886] = 2786,
  [7887] = 7823,
  [7888] = 7573,
  [7889] = 7824,
  [7890] = 2906,
  [7891] = 7455,
  [7892] = 7538,
  [7893] = 7893,
  [7894] = 7631,
  [7895] = 7632,
  [7896] = 7450,
  [7897] = 7860,
  [7898] = 7466,
  [7899] = 7893,
  [7900] = 7900,
  [7901] = 2907,
  [7902] = 7902,
  [7903] = 7483,
  [7904] = 2906,
  [7905] = 2907,
  [7906] = 2919,
  [7907] = 7462,
  [7908] = 7818,
  [7909] = 7909,
  [7910] = 2910,
  [7911] = 7842,
  [7912] = 2911,
  [7913] = 2912,
  [7914] = 7914,
  [7915] = 2908,
  [7916] = 7874,
  [7917] = 7543,
  [7918] = 2785,
  [7919] = 5524,
  [7920] = 7920,
  [7921] = 7921,
  [7922] = 2899,
  [7923] = 2914,
  [7924] = 7823,
  [7925] = 7824,
  [7926] = 7509,
  [7927] = 7927,
  [7928] = 2915,
  [7929] = 2917,
  [7930] = 7490,
  [7931] = 7931,
  [7932] = 7824,
  [7933] = 7818,
  [7934] = 2900,
  [7935] = 2919,
  [7936] = 7491,
  [7937] = 4711,
  [7938] = 7938,
  [7939] = 7818,
  [7940] = 2899,
  [7941] = 2787,
  [7942] = 7860,
  [7943] = 7920,
  [7944] = 7874,
  [7945] = 2677,
  [7946] = 7823,
  [7947] = 7824,
  [7948] = 2901,
  [7949] = 7818,
  [7950] = 4759,
  [7951] = 2842,
  [7952] = 7952,
  [7953] = 2902,
  [7954] = 7893,
  [7955] = 7955,
  [7956] = 2904,
  [7957] = 7957,
  [7958] = 7920,
  [7959] = 7959,
  [7960] = 2900,
  [7961] = 7818,
  [7962] = 2910,
  [7963] = 7823,
  [7964] = 2788,
  [7965] = 7824,
  [7966] = 2791,
  [7967] = 7463,
  [7968] = 2901,
  [7969] = 2911,
  [7970] = 2743,
  [7971] = 7818,
  [7972] = 2902,
  [7973] = 2912,
  [7974] = 2904,
  [7975] = 7893,
  [7976] = 7818,
  [7977] = 7818,
  [7978] = 5357,
  [7979] = 2744,
  [7980] = 7920,
  [7981] = 2745,
  [7982] = 2746,
  [7983] = 2747,
  [7984] = 2748,
  [7985] = 7823,
  [7986] = 7824,
  [7987] = 7818,
  [7988] = 7818,
  [7989] = 7989,
  [7990] = 7990,
  [7991] = 2924,
  [7992] = 7992,
  [7993] = 7842,
  [7994] = 7823,
  [7995] = 7995,
  [7996] = 7824,
  [7997] = 7997,
  [7998] = 7842,
  [7999] = 7823,
  [8000] = 7824,
  [8001] = 7818,
  [8002] = 5430,
  [8003] = 5313,
  [8004] = 8004,
  [8005] = 8005,
  [8006] = 2751,
  [8007] = 2752,
  [8008] = 2753,
  [8009] = 2754,
  [8010] = 2755,
  [8011] = 2756,
  [8012] = 2925,
  [8013] = 2658,
  [8014] = 2757,
  [8015] = 2758,
  [8016] = 7523,
  [8017] = 8017,
  [8018] = 2759,
  [8019] = 7628,
  [8020] = 7475,
  [8021] = 2760,
  [8022] = 2762,
  [8023] = 7818,
  [8024] = 2763,
  [8025] = 2764,
  [8026] = 7823,
  [8027] = 7824,
  [8028] = 2765,
  [8029] = 7464,
  [8030] = 7476,
  [8031] = 2766,
  [8032] = 2767,
  [8033] = 2768,
  [8034] = 7893,
  [8035] = 5429,
  [8036] = 2769,
  [8037] = 7920,
  [8038] = 7818,
  [8039] = 2770,
  [8040] = 2771,
  [8041] = 7477,
  [8042] = 2772,
  [8043] = 2749,
  [8044] = 7818,
  [8045] = 7823,
  [8046] = 7824,
  [8047] = 2773,
  [8048] = 2774,
  [8049] = 7818,
  [8050] = 2790,
  [8051] = 7874,
  [8052] = 7818,
  [8053] = 7823,
  [8054] = 7824,
  [8055] = 2676,
  [8056] = 2678,
  [8057] = 2679,
  [8058] = 7823,
  [8059] = 2777,
  [8060] = 7874,
  [8061] = 7478,
  [8062] = 5447,
  [8063] = 5451,
  [8064] = 2778,
  [8065] = 2779,
  [8066] = 2780,
  [8067] = 7488,
  [8068] = 2681,
  [8069] = 2684,
  [8070] = 2687,
  [8071] = 7461,
  [8072] = 5457,
  [8073] = 2782,
  [8074] = 7823,
  [8075] = 7824,
  [8076] = 2905,
  [8077] = 7860,
  [8078] = 7534,
  [8079] = 7818,
  [8080] = 7828,
  [8081] = 7823,
  [8082] = 7824,
  [8083] = 2783,
  [8084] = 7881,
  [8085] = 7842,
  [8086] = 7893,
  [8087] = 8087,
  [8088] = 8088,
  [8089] = 8088,
  [8090] = 8004,
  [8091] = 8087,
  [8092] = 8092,
  [8093] = 8088,
  [8094] = 8087,
  [8095] = 8087,
  [8096] = 8088,
  [8097] = 8097,
  [8098] = 7902,
  [8099] = 8097,
  [8100] = 8005,
  [8101] = 8097,
  [8102] = 8097,
  [8103] = 4766,
  [8104] = 8017,
  [8105] = 7909,
  [8106] = 8106,
  [8107] = 8107,
  [8108] = 8108,
  [8109] = 8088,
  [8110] = 7927,
  [8111] = 7921,
  [8112] = 7914,
  [8113] = 8097,
  [8114] = 8114,
  [8115] = 8115,
  [8116] = 8116,
  [8117] = 8117,
  [8118] = 8118,
  [8119] = 8119,
  [8120] = 2905,
  [8121] = 8121,
  [8122] = 8122,
  [8123] = 8123,
  [8124] = 8124,
  [8125] = 8125,
  [8126] = 7882,
  [8127] = 8127,
  [8128] = 8128,
  [8129] = 7931,
  [8130] = 8087,
  [8131] = 8088,
  [8132] = 8097,
  [8133] = 8127,
  [8134] = 7959,
  [8135] = 8087,
  [8136] = 8106,
  [8137] = 8088,
  [8138] = 8107,
  [8139] = 8108,
  [8140] = 8140,
  [8141] = 8087,
  [8142] = 8088,
  [8143] = 8143,
  [8144] = 8144,
  [8145] = 8087,
  [8146] = 8088,
  [8147] = 8147,
  [8148] = 7927,
  [8149] = 8097,
  [8150] = 8150,
  [8151] = 8087,
  [8152] = 7900,
  [8153] = 8097,
  [8154] = 8088,
  [8155] = 7921,
  [8156] = 8088,
  [8157] = 7836,
  [8158] = 7990,
  [8159] = 5373,
  [8160] = 8097,
  [8161] = 8143,
  [8162] = 2908,
  [8163] = 8087,
  [8164] = 8088,
  [8165] = 8147,
  [8166] = 2911,
  [8167] = 8167,
  [8168] = 8097,
  [8169] = 8169,
  [8170] = 8097,
  [8171] = 2914,
  [8172] = 8097,
  [8173] = 7868,
  [8174] = 2918,
  [8175] = 8092,
  [8176] = 2919,
  [8177] = 7990,
  [8178] = 8178,
  [8179] = 8179,
  [8180] = 8180,
  [8181] = 8144,
  [8182] = 8087,
  [8183] = 8167,
  [8184] = 7989,
  [8185] = 8088,
  [8186] = 8186,
  [8187] = 8087,
  [8188] = 8088,
  [8189] = 8097,
  [8190] = 7955,
  [8191] = 8087,
  [8192] = 8088,
  [8193] = 7836,
  [8194] = 7882,
  [8195] = 7952,
  [8196] = 7938,
  [8197] = 7914,
  [8198] = 8114,
  [8199] = 8115,
  [8200] = 8116,
  [8201] = 8117,
  [8202] = 8118,
  [8203] = 8119,
  [8204] = 8121,
  [8205] = 8122,
  [8206] = 8123,
  [8207] = 8124,
  [8208] = 8125,
  [8209] = 8097,
  [8210] = 8127,
  [8211] = 8128,
  [8212] = 7909,
  [8213] = 7952,
  [8214] = 8214,
  [8215] = 8215,
  [8216] = 8087,
  [8217] = 8088,
  [8218] = 8097,
  [8219] = 8087,
  [8220] = 8097,
  [8221] = 8180,
  [8222] = 8088,
  [8223] = 8087,
  [8224] = 8214,
  [8225] = 8088,
  [8226] = 7931,
  [8227] = 8097,
  [8228] = 8097,
  [8229] = 7902,
  [8230] = 8214,
  [8231] = 8087,
  [8232] = 8214,
  [8233] = 8088,
  [8234] = 8087,
  [8235] = 8088,
  [8236] = 7957,
  [8237] = 8097,
  [8238] = 8097,
  [8239] = 7900,
  [8240] = 7995,
  [8241] = 8097,
  [8242] = 7995,
  [8243] = 7955,
  [8244] = 7938,
  [8245] = 7997,
  [8246] = 8004,
  [8247] = 7957,
  [8248] = 7868,
  [8249] = 5312,
  [8250] = 7997,
  [8251] = 8005,
  [8252] = 7959,
  [8253] = 5335,
  [8254] = 8087,
  [8255] = 8088,
  [8256] = 7989,
  [8257] = 8097,
  [8258] = 8178,
  [8259] = 8259,
  [8260] = 8186,
  [8261] = 8087,
  [8262] = 8127,
  [8263] = 8017,
  [8264] = 8087,
  [8265] = 8088,
  [8266] = 8087,
  [8267] = 8259,
  [8268] = 8268,
  [8269] = 8106,
  [8270] = 8107,
  [8271] = 8108,
  [8272] = 8214,
  [8273] = 8122,
  [8274] = 8117,
  [8275] = 8144,
  [8276] = 8276,
  [8277] = 8123,
  [8278] = 8180,
  [8279] = 8114,
  [8280] = 8180,
  [8281] = 8143,
  [8282] = 8115,
  [8283] = 8114,
  [8284] = 8115,
  [8285] = 8147,
  [8286] = 8107,
  [8287] = 8143,
  [8288] = 8119,
  [8289] = 8128,
  [8290] = 3603,
  [8291] = 8276,
  [8292] = 8143,
  [8293] = 8108,
  [8294] = 8147,
  [8295] = 8118,
  [8296] = 8127,
  [8297] = 8114,
  [8298] = 8144,
  [8299] = 8214,
  [8300] = 8117,
  [8301] = 8147,
  [8302] = 8116,
  [8303] = 8143,
  [8304] = 8276,
  [8305] = 8147,
  [8306] = 8115,
  [8307] = 8124,
  [8308] = 8125,
  [8309] = 8117,
  [8310] = 8116,
  [8311] = 8117,
  [8312] = 8128,
  [8313] = 8118,
  [8314] = 8144,
  [8315] = 8118,
  [8316] = 8119,
  [8317] = 8276,
  [8318] = 8119,
  [8319] = 8121,
  [8320] = 8116,
  [8321] = 8180,
  [8322] = 8121,
  [8323] = 8119,
  [8324] = 8128,
  [8325] = 8122,
  [8326] = 8123,
  [8327] = 8124,
  [8328] = 8121,
  [8329] = 8329,
  [8330] = 8125,
  [8331] = 8124,
  [8332] = 8122,
  [8333] = 8123,
  [8334] = 8106,
  [8335] = 8107,
  [8336] = 8108,
  [8337] = 8125,
  [8338] = 8116,
  [8339] = 8180,
  [8340] = 8122,
  [8341] = 8124,
  [8342] = 8118,
  [8343] = 8214,
  [8344] = 8106,
  [8345] = 8092,
  [8346] = 8107,
  [8347] = 8121,
  [8348] = 8125,
  [8349] = 8123,
  [8350] = 8350,
  [8351] = 8127,
  [8352] = 8108,
  [8353] = 8144,
  [8354] = 8127,
  [8355] = 8106,
  [8356] = 8128,
  [8357] = 8114,
  [8358] = 8115,
  [8359] = 8092,
  [8360] = 8127,
  [8361] = 8214,
  [8362] = 3896,
  [8363] = 8144,
  [8364] = 8123,
  [8365] = 8128,
  [8366] = 8366,
  [8367] = 8116,
  [8368] = 2918,
  [8369] = 8119,
  [8370] = 8144,
  [8371] = 7349,
  [8372] = 8366,
  [8373] = 8106,
  [8374] = 8115,
  [8375] = 8122,
  [8376] = 8114,
  [8377] = 8180,
  [8378] = 8117,
  [8379] = 8125,
  [8380] = 8380,
  [8381] = 8121,
  [8382] = 8143,
  [8383] = 8118,
  [8384] = 8107,
  [8385] = 8116,
  [8386] = 8118,
  [8387] = 8108,
  [8388] = 7337,
  [8389] = 8124,
  [8390] = 8180,
  [8391] = 8106,
  [8392] = 8123,
  [8393] = 8107,
  [8394] = 8124,
  [8395] = 8108,
  [8396] = 8143,
  [8397] = 8397,
  [8398] = 8144,
  [8399] = 8121,
  [8400] = 3742,
  [8401] = 8147,
  [8402] = 8402,
  [8403] = 8125,
  [8404] = 8404,
  [8405] = 8144,
  [8406] = 8380,
  [8407] = 8122,
  [8408] = 8119,
  [8409] = 2908,
  [8410] = 7336,
  [8411] = 8147,
  [8412] = 8128,
  [8413] = 8404,
  [8414] = 8114,
  [8415] = 8115,
  [8416] = 7327,
  [8417] = 8397,
  [8418] = 8117,
  [8419] = 7266,
  [8420] = 8402,
  [8421] = 8421,
  [8422] = 8119,
  [8423] = 8423,
  [8424] = 8124,
  [8425] = 8421,
  [8426] = 8426,
  [8427] = 8092,
  [8428] = 8421,
  [8429] = 8426,
  [8430] = 8125,
  [8431] = 8421,
  [8432] = 8144,
  [8433] = 8107,
  [8434] = 8121,
  [8435] = 8107,
  [8436] = 8423,
  [8437] = 8421,
  [8438] = 8116,
  [8439] = 8180,
  [8440] = 8114,
  [8441] = 2914,
  [8442] = 8127,
  [8443] = 2918,
  [8444] = 8421,
  [8445] = 2908,
  [8446] = 8426,
  [8447] = 2918,
  [8448] = 8423,
  [8449] = 8127,
  [8450] = 8421,
  [8451] = 8423,
  [8452] = 8421,
  [8453] = 8421,
  [8454] = 8127,
  [8455] = 8423,
  [8456] = 8128,
  [8457] = 8423,
  [8458] = 8128,
  [8459] = 8108,
  [8460] = 8143,
  [8461] = 8426,
  [8462] = 8426,
  [8463] = 8423,
  [8464] = 8125,
  [8465] = 8106,
  [8466] = 8115,
  [8467] = 8108,
  [8468] = 8426,
  [8469] = 8421,
  [8470] = 8423,
  [8471] = 8423,
  [8472] = 8423,
  [8473] = 8421,
  [8474] = 8180,
  [8475] = 8214,
  [8476] = 8143,
  [8477] = 8124,
  [8478] = 8423,
  [8479] = 8423,
  [8480] = 2908,
  [8481] = 2919,
  [8482] = 8426,
  [8483] = 8483,
  [8484] = 8426,
  [8485] = 8426,
  [8486] = 8127,
  [8487] = 2908,
  [8488] = 8147,
  [8489] = 8423,
  [8490] = 8117,
  [8491] = 8421,
  [8492] = 8421,
  [8493] = 8118,
  [8494] = 8423,
  [8495] = 8214,
  [8496] = 8119,
  [8497] = 8423,
  [8498] = 8423,
  [8499] = 8214,
  [8500] = 8144,
  [8501] = 8147,
  [8502] = 8423,
  [8503] = 8423,
  [8504] = 8421,
  [8505] = 8092,
  [8506] = 8423,
  [8507] = 8423,
  [8508] = 8421,
  [8509] = 8117,
  [8510] = 2905,
  [8511] = 7267,
  [8512] = 2918,
  [8513] = 8116,
  [8514] = 8144,
  [8515] = 8214,
  [8516] = 8118,
  [8517] = 8123,
  [8518] = 8426,
  [8519] = 2911,
  [8520] = 8115,
  [8521] = 8144,
  [8522] = 8421,
  [8523] = 8122,
  [8524] = 8106,
  [8525] = 8423,
  [8526] = 8421,
  [8527] = 8421,
  [8528] = 8423,
  [8529] = 8421,
  [8530] = 8121,
  [8531] = 8421,
  [8532] = 8421,
  [8533] = 8123,
  [8534] = 8122,
  [8535] = 8114,
  [8536] = 8421,
  [8537] = 8537,
  [8538] = 8538,
  [8539] = 8539,
  [8540] = 8540,
  [8541] = 8541,
  [8542] = 8107,
  [8543] = 8108,
  [8544] = 8544,
  [8545] = 8545,
  [8546] = 8538,
  [8547] = 8539,
  [8548] = 8548,
  [8549] = 8549,
  [8550] = 8550,
  [8551] = 8144,
  [8552] = 8552,
  [8553] = 8540,
  [8554] = 8538,
  [8555] = 8539,
  [8556] = 8537,
  [8557] = 8557,
  [8558] = 8550,
  [8559] = 8144,
  [8560] = 8560,
  [8561] = 8552,
  [8562] = 8562,
  [8563] = 8563,
  [8564] = 8540,
  [8565] = 8538,
  [8566] = 8539,
  [8567] = 5524,
  [8568] = 2911,
  [8569] = 8541,
  [8570] = 8570,
  [8571] = 8552,
  [8572] = 5304,
  [8573] = 8540,
  [8574] = 2905,
  [8575] = 8107,
  [8576] = 8108,
  [8577] = 8550,
  [8578] = 8552,
  [8579] = 2919,
  [8580] = 8540,
  [8581] = 8552,
  [8582] = 8582,
  [8583] = 8540,
  [8584] = 2899,
  [8585] = 8552,
  [8586] = 8540,
  [8587] = 8587,
  [8588] = 7488,
  [8589] = 7534,
  [8590] = 2900,
  [8591] = 2901,
  [8592] = 2902,
  [8593] = 2904,
  [8594] = 8594,
  [8595] = 8552,
  [8596] = 2914,
  [8597] = 8540,
  [8598] = 7483,
  [8599] = 8599,
  [8600] = 8550,
  [8601] = 8601,
  [8602] = 8552,
  [8603] = 8540,
  [8604] = 8604,
  [8605] = 2905,
  [8606] = 8606,
  [8607] = 7474,
  [8608] = 7479,
  [8609] = 8143,
  [8610] = 8128,
  [8611] = 7533,
  [8612] = 2906,
  [8613] = 2907,
  [8614] = 2910,
  [8615] = 2911,
  [8616] = 2912,
  [8617] = 2914,
  [8618] = 7557,
  [8619] = 2915,
  [8620] = 2917,
  [8621] = 7565,
  [8622] = 2919,
  [8623] = 7573,
  [8624] = 7455,
  [8625] = 5357,
  [8626] = 2924,
  [8627] = 2925,
  [8628] = 5313,
  [8629] = 8550,
  [8630] = 8630,
  [8631] = 7523,
  [8632] = 8632,
  [8633] = 8633,
  [8634] = 8180,
  [8635] = 7490,
  [8636] = 7491,
  [8637] = 8637,
  [8638] = 7538,
  [8639] = 7543,
  [8640] = 8550,
  [8641] = 7628,
  [8642] = 7630,
  [8643] = 7631,
  [8644] = 7632,
  [8645] = 7450,
  [8646] = 7461,
  [8647] = 7462,
  [8648] = 7463,
  [8649] = 7464,
  [8650] = 7466,
  [8651] = 7475,
  [8652] = 7476,
  [8653] = 7477,
  [8654] = 7478,
  [8655] = 7484,
  [8656] = 7509,
  [8657] = 8552,
  [8658] = 8550,
  [8659] = 5373,
  [8660] = 2940,
  [8661] = 2941,
  [8662] = 2942,
  [8663] = 2943,
  [8664] = 8664,
  [8665] = 8550,
  [8666] = 8666,
  [8667] = 8545,
  [8668] = 8550,
  [8669] = 8669,
  [8670] = 8114,
  [8671] = 5312,
  [8672] = 8115,
  [8673] = 8143,
  [8674] = 8116,
  [8675] = 8117,
  [8676] = 8118,
  [8677] = 8119,
  [8678] = 8121,
  [8679] = 8679,
  [8680] = 8122,
  [8681] = 8123,
  [8682] = 8124,
  [8683] = 8125,
  [8684] = 8684,
  [8685] = 8147,
  [8686] = 8538,
  [8687] = 8539,
  [8688] = 8544,
  [8689] = 8537,
  [8690] = 8560,
  [8691] = 8599,
  [8692] = 8550,
  [8693] = 8684,
  [8694] = 8560,
  [8695] = 5335,
  [8696] = 8684,
  [8697] = 5426,
  [8698] = 8560,
  [8699] = 8699,
  [8700] = 8550,
  [8701] = 8684,
  [8702] = 8560,
  [8703] = 8679,
  [8704] = 8684,
  [8705] = 8560,
  [8706] = 8128,
  [8707] = 8684,
  [8708] = 8560,
  [8709] = 8106,
  [8710] = 8684,
  [8711] = 8560,
  [8712] = 5357,
  [8713] = 8545,
  [8714] = 8684,
  [8715] = 8560,
  [8716] = 5430,
  [8717] = 5313,
  [8718] = 8684,
  [8719] = 8550,
  [8720] = 8560,
  [8721] = 8684,
  [8722] = 8722,
  [8723] = 8560,
  [8724] = 8550,
  [8725] = 8684,
  [8726] = 8560,
  [8727] = 5429,
  [8728] = 8684,
  [8729] = 8560,
  [8730] = 5447,
  [8731] = 5451,
  [8732] = 8684,
  [8733] = 8560,
  [8734] = 5457,
  [8735] = 8684,
  [8736] = 8560,
  [8737] = 8684,
  [8738] = 8560,
  [8739] = 8684,
  [8740] = 8560,
  [8741] = 8684,
  [8742] = 8560,
  [8743] = 8684,
  [8744] = 8560,
  [8745] = 8684,
  [8746] = 8147,
  [8747] = 8560,
  [8748] = 8106,
  [8749] = 8684,
  [8750] = 8550,
  [8751] = 8560,
  [8752] = 8684,
  [8753] = 8560,
  [8754] = 8684,
  [8755] = 8560,
  [8756] = 8684,
  [8757] = 8560,
  [8758] = 8684,
  [8759] = 8560,
  [8760] = 8684,
  [8761] = 8560,
  [8762] = 8550,
  [8763] = 8684,
  [8764] = 8560,
  [8765] = 8684,
  [8766] = 8560,
  [8767] = 8684,
  [8768] = 8560,
  [8769] = 8114,
  [8770] = 8115,
  [8771] = 8116,
  [8772] = 8684,
  [8773] = 8117,
  [8774] = 8560,
  [8775] = 8118,
  [8776] = 8119,
  [8777] = 2906,
  [8778] = 2907,
  [8779] = 8684,
  [8780] = 8560,
  [8781] = 2910,
  [8782] = 2912,
  [8783] = 8684,
  [8784] = 8121,
  [8785] = 8560,
  [8786] = 8122,
  [8787] = 8123,
  [8788] = 8124,
  [8789] = 2924,
  [8790] = 2905,
  [8791] = 8125,
  [8792] = 8684,
  [8793] = 8560,
  [8794] = 8684,
  [8795] = 8560,
  [8796] = 8684,
  [8797] = 8560,
  [8798] = 8550,
  [8799] = 8684,
  [8800] = 2915,
  [8801] = 8560,
  [8802] = 2917,
  [8803] = 2925,
  [8804] = 8684,
  [8805] = 8560,
  [8806] = 8684,
  [8807] = 8560,
  [8808] = 8684,
  [8809] = 8560,
  [8810] = 8684,
  [8811] = 8538,
  [8812] = 8560,
  [8813] = 8684,
  [8814] = 8539,
  [8815] = 8560,
  [8816] = 8684,
  [8817] = 8560,
  [8818] = 8684,
  [8819] = 8560,
  [8820] = 8699,
  [8821] = 8594,
  [8822] = 8669,
  [8823] = 8679,
  [8824] = 8537,
  [8825] = 8599,
  [8826] = 8540,
  [8827] = 8699,
  [8828] = 8669,
  [8829] = 8679,
  [8830] = 8599,
  [8831] = 8699,
  [8832] = 8669,
  [8833] = 8679,
  [8834] = 8537,
  [8835] = 8599,
  [8836] = 2911,
  [8837] = 8699,
  [8838] = 8669,
  [8839] = 8699,
  [8840] = 8669,
  [8841] = 8699,
  [8842] = 8699,
  [8843] = 8699,
  [8844] = 8699,
  [8845] = 2914,
  [8846] = 2919,
  [8847] = 8847,
  [8848] = 8180,
  [8849] = 8552,
  [8850] = 8545,
  [8851] = 8684,
  [8852] = 2940,
  [8853] = 5426,
  [8854] = 8854,
  [8855] = 5430,
  [8856] = 5429,
  [8857] = 8144,
  [8858] = 5447,
  [8859] = 5451,
  [8860] = 8860,
  [8861] = 5457,
  [8862] = 8862,
  [8863] = 8863,
  [8864] = 8864,
  [8865] = 5524,
  [8866] = 2941,
  [8867] = 2942,
  [8868] = 2943,
  [8869] = 7530,
  [8870] = 7468,
  [8871] = 8871,
  [8872] = 8872,
  [8873] = 8873,
  [8874] = 8874,
  [8875] = 7504,
  [8876] = 2843,
  [8877] = 7520,
  [8878] = 8878,
  [8879] = 5495,
  [8880] = 5547,
  [8881] = 5533,
  [8882] = 5412,
  [8883] = 2899,
  [8884] = 2900,
  [8885] = 2901,
  [8886] = 2902,
  [8887] = 8887,
  [8888] = 8888,
  [8889] = 5417,
  [8890] = 5411,
  [8891] = 8891,
  [8892] = 5419,
  [8893] = 8893,
  [8894] = 5438,
  [8895] = 5441,
  [8896] = 5484,
  [8897] = 5488,
  [8898] = 5489,
  [8899] = 5491,
  [8900] = 5492,
  [8901] = 5500,
  [8902] = 5501,
  [8903] = 5502,
  [8904] = 5504,
  [8905] = 5532,
  [8906] = 5505,
  [8907] = 5420,
  [8908] = 5421,
  [8909] = 5422,
  [8910] = 5423,
  [8911] = 5424,
  [8912] = 8912,
  [8913] = 5464,
  [8914] = 5467,
  [8915] = 5469,
  [8916] = 5470,
  [8917] = 5454,
  [8918] = 5485,
  [8919] = 8878,
  [8920] = 8144,
  [8921] = 2842,
  [8922] = 8922,
  [8923] = 2904,
  [8924] = 8924,
  [8925] = 8925,
  [8926] = 8925,
  [8927] = 8927,
  [8928] = 8928,
  [8929] = 8929,
  [8930] = 8928,
  [8931] = 8927,
  [8932] = 8924,
  [8933] = 8929,
  [8934] = 5524,
  [8935] = 8927,
  [8936] = 8929,
  [8937] = 8937,
  [8938] = 8938,
  [8939] = 8939,
  [8940] = 8928,
  [8941] = 8924,
  [8942] = 8939,
  [8943] = 8943,
  [8944] = 8944,
  [8945] = 8939,
  [8946] = 8925,
  [8947] = 8937,
  [8948] = 8938,
  [8949] = 8938,
  [8950] = 8937,
  [8951] = 8938,
  [8952] = 8939,
  [8953] = 8939,
  [8954] = 8954,
  [8955] = 8939,
  [8956] = 8956,
  [8957] = 8957,
  [8958] = 8925,
  [8959] = 8938,
  [8960] = 8937,
  [8961] = 8961,
  [8962] = 8938,
  [8963] = 8939,
  [8964] = 8937,
  [8965] = 8937,
  [8966] = 8939,
  [8967] = 8967,
  [8968] = 8939,
  [8969] = 8937,
  [8970] = 8938,
  [8971] = 8971,
  [8972] = 8937,
  [8973] = 8943,
  [8974] = 8937,
  [8975] = 8939,
  [8976] = 8587,
  [8977] = 8938,
  [8978] = 8939,
  [8979] = 8939,
  [8980] = 8925,
  [8981] = 8971,
  [8982] = 8937,
  [8983] = 8983,
  [8984] = 8938,
  [8985] = 8938,
  [8986] = 8971,
  [8987] = 8987,
  [8988] = 8937,
  [8989] = 8943,
  [8990] = 8587,
  [8991] = 8937,
  [8992] = 8992,
  [8993] = 8938,
  [8994] = 8938,
  [8995] = 8939,
  [8996] = 8967,
  [8997] = 8937,
  [8998] = 8938,
  [8999] = 8999,
  [9000] = 9000,
  [9001] = 9001,
  [9002] = 9002,
  [9003] = 2768,
  [9004] = 9000,
  [9005] = 9001,
  [9006] = 9001,
  [9007] = 9002,
  [9008] = 2769,
  [9009] = 9002,
  [9010] = 9000,
  [9011] = 9011,
  [9012] = 9001,
  [9013] = 9002,
  [9014] = 9014,
  [9015] = 9000,
  [9016] = 2899,
  [9017] = 9001,
  [9018] = 9002,
  [9019] = 9019,
  [9020] = 9000,
  [9021] = 9019,
  [9022] = 2770,
  [9023] = 2771,
  [9024] = 9001,
  [9025] = 9002,
  [9026] = 2900,
  [9027] = 9000,
  [9028] = 2901,
  [9029] = 2902,
  [9030] = 2904,
  [9031] = 9000,
  [9032] = 9001,
  [9033] = 9002,
  [9034] = 8999,
  [9035] = 9035,
  [9036] = 9036,
  [9037] = 8928,
  [9038] = 9038,
  [9039] = 9002,
  [9040] = 9040,
  [9041] = 9041,
  [9042] = 2785,
  [9043] = 9043,
  [9044] = 9011,
  [9045] = 8925,
  [9046] = 5426,
  [9047] = 5524,
  [9048] = 9048,
  [9049] = 8999,
  [9050] = 9000,
  [9051] = 9043,
  [9052] = 2772,
  [9053] = 2842,
  [9054] = 9054,
  [9055] = 2906,
  [9056] = 2907,
  [9057] = 8967,
  [9058] = 9014,
  [9059] = 2910,
  [9060] = 2912,
  [9061] = 5426,
  [9062] = 5524,
  [9063] = 2915,
  [9064] = 2917,
  [9065] = 9065,
  [9066] = 9000,
  [9067] = 9054,
  [9068] = 8587,
  [9069] = 2924,
  [9070] = 9011,
  [9071] = 9001,
  [9072] = 2925,
  [9073] = 9002,
  [9074] = 9054,
  [9075] = 9011,
  [9076] = 9014,
  [9077] = 9019,
  [9078] = 9002,
  [9079] = 9079,
  [9080] = 9054,
  [9081] = 9019,
  [9082] = 2773,
  [9083] = 9035,
  [9084] = 9036,
  [9085] = 8999,
  [9086] = 9001,
  [9087] = 9038,
  [9088] = 9040,
  [9089] = 9041,
  [9090] = 2763,
  [9091] = 9048,
  [9092] = 9043,
  [9093] = 9043,
  [9094] = 9000,
  [9095] = 9095,
  [9096] = 9002,
  [9097] = 9054,
  [9098] = 2787,
  [9099] = 9001,
  [9100] = 9011,
  [9101] = 9014,
  [9102] = 9019,
  [9103] = 9103,
  [9104] = 9001,
  [9105] = 2749,
  [9106] = 2743,
  [9107] = 2677,
  [9108] = 9108,
  [9109] = 9109,
  [9110] = 9110,
  [9111] = 9111,
  [9112] = 9011,
  [9113] = 9014,
  [9114] = 9002,
  [9115] = 2791,
  [9116] = 2776,
  [9117] = 8925,
  [9118] = 2774,
  [9119] = 8928,
  [9120] = 2786,
  [9121] = 9121,
  [9122] = 9019,
  [9123] = 9123,
  [9124] = 9124,
  [9125] = 9125,
  [9126] = 2744,
  [9127] = 2676,
  [9128] = 2788,
  [9129] = 9129,
  [9130] = 2764,
  [9131] = 9043,
  [9132] = 2678,
  [9133] = 8924,
  [9134] = 2790,
  [9135] = 2745,
  [9136] = 2746,
  [9137] = 2683,
  [9138] = 2792,
  [9139] = 9139,
  [9140] = 9140,
  [9141] = 2795,
  [9142] = 2796,
  [9143] = 9143,
  [9144] = 9144,
  [9145] = 9001,
  [9146] = 9000,
  [9147] = 8999,
  [9148] = 9002,
  [9149] = 2765,
  [9150] = 9011,
  [9151] = 9014,
  [9152] = 9019,
  [9153] = 2679,
  [9154] = 2777,
  [9155] = 2747,
  [9156] = 9054,
  [9157] = 8999,
  [9158] = 2748,
  [9159] = 9043,
  [9160] = 8928,
  [9161] = 9161,
  [9162] = 9162,
  [9163] = 9043,
  [9164] = 9164,
  [9165] = 9165,
  [9166] = 8999,
  [9167] = 9167,
  [9168] = 9168,
  [9169] = 2778,
  [9170] = 9170,
  [9171] = 2779,
  [9172] = 9172,
  [9173] = 9173,
  [9174] = 9001,
  [9175] = 2751,
  [9176] = 9176,
  [9177] = 9002,
  [9178] = 9000,
  [9179] = 2780,
  [9180] = 9011,
  [9181] = 9014,
  [9182] = 9054,
  [9183] = 9001,
  [9184] = 9019,
  [9185] = 8587,
  [9186] = 9103,
  [9187] = 2752,
  [9188] = 2753,
  [9189] = 9108,
  [9190] = 9109,
  [9191] = 9191,
  [9192] = 9110,
  [9193] = 9014,
  [9194] = 9111,
  [9195] = 2681,
  [9196] = 9001,
  [9197] = 9002,
  [9198] = 9011,
  [9199] = 9014,
  [9200] = 9019,
  [9201] = 2684,
  [9202] = 2687,
  [9203] = 2782,
  [9204] = 2754,
  [9205] = 9001,
  [9206] = 9206,
  [9207] = 9121,
  [9208] = 9123,
  [9209] = 9124,
  [9210] = 9125,
  [9211] = 9000,
  [9212] = 8999,
  [9213] = 9043,
  [9214] = 9043,
  [9215] = 9002,
  [9216] = 9139,
  [9217] = 9140,
  [9218] = 9143,
  [9219] = 9144,
  [9220] = 9220,
  [9221] = 9000,
  [9222] = 2755,
  [9223] = 9054,
  [9224] = 9161,
  [9225] = 9162,
  [9226] = 9164,
  [9227] = 9165,
  [9228] = 9167,
  [9229] = 9168,
  [9230] = 2756,
  [9231] = 2658,
  [9232] = 9170,
  [9233] = 9172,
  [9234] = 9173,
  [9235] = 9001,
  [9236] = 9176,
  [9237] = 9002,
  [9238] = 8999,
  [9239] = 9011,
  [9240] = 9014,
  [9241] = 9019,
  [9242] = 9043,
  [9243] = 9000,
  [9244] = 2766,
  [9245] = 9000,
  [9246] = 9054,
  [9247] = 9054,
  [9248] = 8999,
  [9249] = 8587,
  [9250] = 9001,
  [9251] = 8924,
  [9252] = 9191,
  [9253] = 9002,
  [9254] = 9254,
  [9255] = 9255,
  [9256] = 9019,
  [9257] = 8999,
  [9258] = 9000,
  [9259] = 9043,
  [9260] = 2940,
  [9261] = 9001,
  [9262] = 9002,
  [9263] = 9220,
  [9264] = 9206,
  [9265] = 9000,
  [9266] = 2757,
  [9267] = 9054,
  [9268] = 2783,
  [9269] = 2758,
  [9270] = 2759,
  [9271] = 8924,
  [9272] = 9001,
  [9273] = 9002,
  [9274] = 2941,
  [9275] = 9011,
  [9276] = 9014,
  [9277] = 9019,
  [9278] = 2843,
  [9279] = 2942,
  [9280] = 2760,
  [9281] = 8999,
  [9282] = 9000,
  [9283] = 9043,
  [9284] = 9019,
  [9285] = 2943,
  [9286] = 2940,
  [9287] = 2941,
  [9288] = 2942,
  [9289] = 2943,
  [9290] = 2940,
  [9291] = 2941,
  [9292] = 2942,
  [9293] = 2943,
  [9294] = 9011,
  [9295] = 9001,
  [9296] = 9002,
  [9297] = 9000,
  [9298] = 9011,
  [9299] = 9001,
  [9300] = 9000,
  [9301] = 8999,
  [9302] = 9002,
  [9303] = 9043,
  [9304] = 9014,
  [9305] = 9014,
  [9306] = 9206,
  [9307] = 9307,
  [9308] = 9000,
  [9309] = 2762,
  [9310] = 9054,
  [9311] = 2767,
  [9312] = 9054,
  [9313] = 7530,
  [9314] = 7468,
  [9315] = 7504,
  [9316] = 7520,
  [9317] = 2793,
  [9318] = 9124,
  [9319] = 9143,
  [9320] = 9320,
  [9321] = 9321,
  [9322] = 8587,
  [9323] = 9035,
  [9324] = 9036,
  [9325] = 9144,
  [9326] = 9040,
  [9327] = 2942,
  [9328] = 9038,
  [9329] = 5524,
  [9330] = 9041,
  [9331] = 9040,
  [9332] = 9041,
  [9333] = 9161,
  [9334] = 9048,
  [9335] = 9108,
  [9336] = 8924,
  [9337] = 9191,
  [9338] = 9338,
  [9339] = 2940,
  [9340] = 9340,
  [9341] = 9341,
  [9342] = 9035,
  [9343] = 9036,
  [9344] = 9109,
  [9345] = 9320,
  [9346] = 2941,
  [9347] = 2942,
  [9348] = 8967,
  [9349] = 9191,
  [9350] = 9110,
  [9351] = 9162,
  [9352] = 9164,
  [9353] = 2943,
  [9354] = 9048,
  [9355] = 9165,
  [9356] = 9356,
  [9357] = 8928,
  [9358] = 9220,
  [9359] = 9341,
  [9360] = 9360,
  [9361] = 2943,
  [9362] = 9320,
  [9363] = 9341,
  [9364] = 8587,
  [9365] = 9161,
  [9366] = 9220,
  [9367] = 9125,
  [9368] = 9341,
  [9369] = 9167,
  [9370] = 9168,
  [9371] = 9320,
  [9372] = 9121,
  [9373] = 8092,
  [9374] = 8114,
  [9375] = 8115,
  [9376] = 2908,
  [9377] = 8116,
  [9378] = 8117,
  [9379] = 8118,
  [9380] = 8119,
  [9381] = 8121,
  [9382] = 8122,
  [9383] = 8123,
  [9384] = 8124,
  [9385] = 8125,
  [9386] = 8127,
  [9387] = 9038,
  [9388] = 8128,
  [9389] = 9356,
  [9390] = 9390,
  [9391] = 2901,
  [9392] = 2899,
  [9393] = 8214,
  [9394] = 5426,
  [9395] = 9395,
  [9396] = 9162,
  [9397] = 8180,
  [9398] = 8214,
  [9399] = 9124,
  [9400] = 9170,
  [9401] = 9123,
  [9402] = 2904,
  [9403] = 9403,
  [9404] = 9404,
  [9405] = 9123,
  [9406] = 9172,
  [9407] = 9139,
  [9408] = 2918,
  [9409] = 9409,
  [9410] = 9173,
  [9411] = 9103,
  [9412] = 9164,
  [9413] = 9140,
  [9414] = 9176,
  [9415] = 9165,
  [9416] = 9103,
  [9417] = 2940,
  [9418] = 5524,
  [9419] = 9220,
  [9420] = 9390,
  [9421] = 9176,
  [9422] = 9338,
  [9423] = 9320,
  [9424] = 9167,
  [9425] = 9143,
  [9426] = 9040,
  [9427] = 9168,
  [9428] = 9108,
  [9429] = 9144,
  [9430] = 9109,
  [9431] = 9110,
  [9432] = 9041,
  [9433] = 9111,
  [9434] = 9103,
  [9435] = 8967,
  [9436] = 9436,
  [9437] = 9191,
  [9438] = 9111,
  [9439] = 5524,
  [9440] = 9035,
  [9441] = 9441,
  [9442] = 9121,
  [9443] = 9123,
  [9444] = 9108,
  [9445] = 9109,
  [9446] = 9124,
  [9447] = 9110,
  [9448] = 9036,
  [9449] = 2940,
  [9450] = 2941,
  [9451] = 2942,
  [9452] = 2943,
  [9453] = 9125,
  [9454] = 2902,
  [9455] = 9111,
  [9456] = 8144,
  [9457] = 9048,
  [9458] = 9458,
  [9459] = 8127,
  [9460] = 8143,
  [9461] = 8147,
  [9462] = 8106,
  [9463] = 8107,
  [9464] = 8108,
  [9465] = 9465,
  [9466] = 9139,
  [9467] = 9140,
  [9468] = 9143,
  [9469] = 9144,
  [9470] = 8967,
  [9471] = 5426,
  [9472] = 9170,
  [9473] = 9172,
  [9474] = 9173,
  [9475] = 9395,
  [9476] = 2941,
  [9477] = 9139,
  [9478] = 9161,
  [9479] = 9162,
  [9480] = 9176,
  [9481] = 9164,
  [9482] = 9165,
  [9483] = 9167,
  [9484] = 9125,
  [9485] = 9168,
  [9486] = 9038,
  [9487] = 2900,
  [9488] = 5426,
  [9489] = 9121,
  [9490] = 8925,
  [9491] = 9170,
  [9492] = 9172,
  [9493] = 9173,
  [9494] = 9341,
  [9495] = 9495,
  [9496] = 9496,
  [9497] = 9495,
  [9498] = 9496,
  [9499] = 9140,
  [9500] = 9390,
  [9501] = 9496,
  [9502] = 8119,
  [9503] = 9123,
  [9504] = 9108,
  [9505] = 9109,
  [9506] = 9191,
  [9507] = 9110,
  [9508] = 9111,
  [9509] = 9509,
  [9510] = 9510,
  [9511] = 9124,
  [9512] = 9512,
  [9513] = 8924,
  [9514] = 9125,
  [9515] = 8114,
  [9516] = 8115,
  [9517] = 8116,
  [9518] = 8117,
  [9519] = 8118,
  [9520] = 8119,
  [9521] = 8121,
  [9522] = 9510,
  [9523] = 8122,
  [9524] = 8123,
  [9525] = 8124,
  [9526] = 8125,
  [9527] = 8127,
  [9528] = 8128,
  [9529] = 8121,
  [9530] = 8122,
  [9531] = 8123,
  [9532] = 9356,
  [9533] = 9390,
  [9534] = 8124,
  [9535] = 9512,
  [9536] = 8125,
  [9537] = 9537,
  [9538] = 3603,
  [9539] = 9539,
  [9540] = 8128,
  [9541] = 9541,
  [9542] = 9139,
  [9543] = 9543,
  [9544] = 9140,
  [9545] = 9143,
  [9546] = 9144,
  [9547] = 9547,
  [9548] = 9548,
  [9549] = 9048,
  [9550] = 9121,
  [9551] = 9123,
  [9552] = 9124,
  [9553] = 9509,
  [9554] = 9548,
  [9555] = 9125,
  [9556] = 9509,
  [9557] = 9510,
  [9558] = 9548,
  [9559] = 9559,
  [9560] = 9560,
  [9561] = 9561,
  [9562] = 9562,
  [9563] = 8180,
  [9564] = 8214,
  [9565] = 9161,
  [9566] = 9510,
  [9567] = 9162,
  [9568] = 9035,
  [9569] = 9036,
  [9570] = 9164,
  [9571] = 9165,
  [9572] = 9167,
  [9573] = 9168,
  [9574] = 9574,
  [9575] = 9510,
  [9576] = 9576,
  [9577] = 9577,
  [9578] = 9574,
  [9579] = 9038,
  [9580] = 9580,
  [9581] = 9170,
  [9582] = 9172,
  [9583] = 9173,
  [9584] = 9584,
  [9585] = 9176,
  [9586] = 9586,
  [9587] = 9580,
  [9588] = 9584,
  [9589] = 9577,
  [9590] = 9139,
  [9591] = 9591,
  [9592] = 9140,
  [9593] = 9143,
  [9594] = 9144,
  [9595] = 9510,
  [9596] = 9220,
  [9597] = 9040,
  [9598] = 9041,
  [9599] = 9599,
  [9600] = 8143,
  [9601] = 8147,
  [9602] = 8106,
  [9603] = 8107,
  [9604] = 8108,
  [9605] = 9605,
  [9606] = 9606,
  [9607] = 9395,
  [9608] = 9608,
  [9609] = 9048,
  [9610] = 9574,
  [9611] = 9611,
  [9612] = 9599,
  [9613] = 9605,
  [9614] = 9614,
  [9615] = 7504,
  [9616] = 9586,
  [9617] = 8214,
  [9618] = 9161,
  [9619] = 9162,
  [9620] = 9164,
  [9621] = 9165,
  [9622] = 9167,
  [9623] = 9591,
  [9624] = 9168,
  [9625] = 9599,
  [9626] = 9356,
  [9627] = 5426,
  [9628] = 8092,
  [9629] = 9629,
  [9630] = 8180,
  [9631] = 9631,
  [9632] = 9632,
  [9633] = 9633,
  [9634] = 9170,
  [9635] = 9172,
  [9636] = 9173,
  [9637] = 9537,
  [9638] = 9176,
  [9639] = 9338,
  [9640] = 9547,
  [9641] = 9561,
  [9642] = 9576,
  [9643] = 9577,
  [9644] = 7520,
  [9645] = 9574,
  [9646] = 9605,
  [9647] = 8144,
  [9648] = 8587,
  [9649] = 9580,
  [9650] = 9584,
  [9651] = 9599,
  [9652] = 9605,
  [9653] = 9653,
  [9654] = 9654,
  [9655] = 9576,
  [9656] = 9586,
  [9657] = 9591,
  [9658] = 9658,
  [9659] = 9659,
  [9660] = 9629,
  [9661] = 9632,
  [9662] = 9191,
  [9663] = 9577,
  [9664] = 9633,
  [9665] = 9629,
  [9666] = 9632,
  [9667] = 2743,
  [9668] = 9599,
  [9669] = 9605,
  [9670] = 9633,
  [9671] = 9671,
  [9672] = 2744,
  [9673] = 2745,
  [9674] = 2746,
  [9675] = 2747,
  [9676] = 2748,
  [9677] = 9677,
  [9678] = 2905,
  [9679] = 2751,
  [9680] = 2752,
  [9681] = 2753,
  [9682] = 9537,
  [9683] = 2754,
  [9684] = 2755,
  [9685] = 2756,
  [9686] = 9686,
  [9687] = 2658,
  [9688] = 2757,
  [9689] = 2758,
  [9690] = 2759,
  [9691] = 2760,
  [9692] = 2762,
  [9693] = 2763,
  [9694] = 2764,
  [9695] = 2765,
  [9696] = 9495,
  [9697] = 2766,
  [9698] = 2767,
  [9699] = 2768,
  [9700] = 2769,
  [9701] = 2770,
  [9702] = 2771,
  [9703] = 2772,
  [9704] = 2773,
  [9705] = 9547,
  [9706] = 2774,
  [9707] = 2676,
  [9708] = 2678,
  [9709] = 2679,
  [9710] = 2777,
  [9711] = 2778,
  [9712] = 2779,
  [9713] = 2780,
  [9714] = 2681,
  [9715] = 2684,
  [9716] = 2687,
  [9717] = 2782,
  [9718] = 9561,
  [9719] = 2940,
  [9720] = 2783,
  [9721] = 2677,
  [9722] = 9576,
  [9723] = 9586,
  [9724] = 9591,
  [9725] = 2785,
  [9726] = 9038,
  [9727] = 2683,
  [9728] = 9390,
  [9729] = 9580,
  [9730] = 9584,
  [9731] = 2786,
  [9732] = 2787,
  [9733] = 9733,
  [9734] = 2788,
  [9735] = 9577,
  [9736] = 2941,
  [9737] = 2942,
  [9738] = 2790,
  [9739] = 2791,
  [9740] = 9577,
  [9741] = 2792,
  [9742] = 2793,
  [9743] = 9599,
  [9744] = 8925,
  [9745] = 2795,
  [9746] = 2796,
  [9747] = 5426,
  [9748] = 5524,
  [9749] = 7530,
  [9750] = 2943,
  [9751] = 9605,
  [9752] = 9537,
  [9753] = 9547,
  [9754] = 9220,
  [9755] = 9103,
  [9756] = 9756,
  [9757] = 8127,
  [9758] = 8144,
  [9759] = 2911,
  [9760] = 8587,
  [9761] = 7468,
  [9762] = 9629,
  [9763] = 9763,
  [9764] = 9632,
  [9765] = 9548,
  [9766] = 9356,
  [9767] = 9035,
  [9768] = 2914,
  [9769] = 2842,
  [9770] = 2843,
  [9771] = 9512,
  [9772] = 9561,
  [9773] = 9040,
  [9774] = 9774,
  [9775] = 8928,
  [9776] = 9041,
  [9777] = 9108,
  [9778] = 2919,
  [9779] = 9109,
  [9780] = 8925,
  [9781] = 9110,
  [9782] = 9111,
  [9783] = 9576,
  [9784] = 9577,
  [9785] = 9574,
  [9786] = 9036,
  [9787] = 9787,
  [9788] = 9633,
  [9789] = 8114,
  [9790] = 8115,
  [9791] = 9580,
  [9792] = 9584,
  [9793] = 9793,
  [9794] = 5524,
  [9795] = 2906,
  [9796] = 2907,
  [9797] = 9599,
  [9798] = 2908,
  [9799] = 9543,
  [9800] = 9605,
  [9801] = 2910,
  [9802] = 2911,
  [9803] = 2912,
  [9804] = 9512,
  [9805] = 8116,
  [9806] = 2905,
  [9807] = 2899,
  [9808] = 8587,
  [9809] = 9793,
  [9810] = 9586,
  [9811] = 2915,
  [9812] = 2917,
  [9813] = 2918,
  [9814] = 2919,
  [9815] = 2900,
  [9816] = 2901,
  [9817] = 2902,
  [9818] = 2904,
  [9819] = 2924,
  [9820] = 2914,
  [9821] = 2925,
  [9822] = 9591,
  [9823] = 9629,
  [9824] = 2914,
  [9825] = 2940,
  [9826] = 2941,
  [9827] = 2942,
  [9828] = 2943,
  [9829] = 9632,
  [9830] = 8967,
  [9831] = 2940,
  [9832] = 2941,
  [9833] = 2942,
  [9834] = 2943,
  [9835] = 9103,
  [9836] = 9614,
  [9837] = 9633,
  [9838] = 9537,
  [9839] = 9839,
  [9840] = 9547,
  [9841] = 9561,
  [9842] = 9512,
  [9843] = 8117,
  [9844] = 8118,
  [9845] = 9509,
  [9846] = 9548,
  [9847] = 9121,
  [9848] = 9509,
  [9849] = 9356,
  [9850] = 9850,
  [9851] = 9851,
  [9852] = 9852,
  [9853] = 9853,
  [9854] = 9854,
  [9855] = 7266,
  [9856] = 9854,
  [9857] = 9857,
  [9858] = 9858,
  [9859] = 5524,
  [9860] = 9854,
  [9861] = 9040,
  [9862] = 9041,
  [9863] = 9863,
  [9864] = 9040,
  [9865] = 9041,
  [9866] = 9866,
  [9867] = 9857,
  [9868] = 9863,
  [9869] = 9869,
  [9870] = 9870,
  [9871] = 9869,
  [9872] = 9851,
  [9873] = 9850,
  [9874] = 9857,
  [9875] = 9870,
  [9876] = 9857,
  [9877] = 9877,
  [9878] = 9870,
  [9879] = 9048,
  [9880] = 8114,
  [9881] = 8115,
  [9882] = 8116,
  [9883] = 8117,
  [9884] = 8118,
  [9885] = 8119,
  [9886] = 8121,
  [9887] = 8122,
  [9888] = 8123,
  [9889] = 8124,
  [9890] = 8125,
  [9891] = 9191,
  [9892] = 9863,
  [9893] = 9852,
  [9894] = 8144,
  [9895] = 9869,
  [9896] = 9870,
  [9897] = 5426,
  [9898] = 9851,
  [9899] = 9543,
  [9900] = 9853,
  [9901] = 9901,
  [9902] = 9869,
  [9903] = 9038,
  [9904] = 9852,
  [9905] = 9905,
  [9906] = 9853,
  [9907] = 9851,
  [9908] = 9854,
  [9909] = 9338,
  [9910] = 9857,
  [9911] = 9851,
  [9912] = 9390,
  [9913] = 9852,
  [9914] = 8128,
  [9915] = 9853,
  [9916] = 9916,
  [9917] = 9048,
  [9918] = 9854,
  [9919] = 9851,
  [9920] = 9857,
  [9921] = 9863,
  [9922] = 9543,
  [9923] = 9863,
  [9924] = 9854,
  [9925] = 9040,
  [9926] = 9926,
  [9927] = 9041,
  [9928] = 9928,
  [9929] = 9869,
  [9930] = 9853,
  [9931] = 9877,
  [9932] = 9870,
  [9933] = 9857,
  [9934] = 9048,
  [9935] = 8967,
  [9936] = 9870,
  [9937] = 9863,
  [9938] = 9103,
  [9939] = 9869,
  [9940] = 9863,
  [9941] = 9793,
  [9942] = 9851,
  [9943] = 9869,
  [9944] = 9853,
  [9945] = 2940,
  [9946] = 9390,
  [9947] = 9035,
  [9948] = 9851,
  [9949] = 9949,
  [9950] = 2940,
  [9951] = 9951,
  [9952] = 2941,
  [9953] = 2942,
  [9954] = 9851,
  [9955] = 9869,
  [9956] = 9108,
  [9957] = 9109,
  [9958] = 2943,
  [9959] = 9110,
  [9960] = 9111,
  [9961] = 8144,
  [9962] = 8180,
  [9963] = 9870,
  [9964] = 9220,
  [9965] = 9854,
  [9966] = 7327,
  [9967] = 9852,
  [9968] = 9121,
  [9969] = 9853,
  [9970] = 9970,
  [9971] = 9123,
  [9972] = 9124,
  [9973] = 9851,
  [9974] = 9974,
  [9975] = 9793,
  [9976] = 9036,
  [9977] = 9928,
  [9978] = 9916,
  [9979] = 3896,
  [9980] = 9905,
  [9981] = 9395,
  [9982] = 9982,
  [9983] = 2941,
  [9984] = 9852,
  [9985] = 2942,
  [9986] = 8925,
  [9987] = 9863,
  [9988] = 9854,
  [9989] = 9869,
  [9990] = 9853,
  [9991] = 9220,
  [9992] = 9992,
  [9993] = 9870,
  [9994] = 9035,
  [9995] = 9036,
  [9996] = 2943,
  [9997] = 9139,
  [9998] = 9852,
  [9999] = 9793,
  [10000] = 2940,
  [10001] = 9140,
  [10002] = 9857,
  [10003] = 9853,
  [10004] = 9863,
  [10005] = 9869,
  [10006] = 9870,
  [10007] = 9852,
  [10008] = 9853,
  [10009] = 9143,
  [10010] = 9144,
  [10011] = 9851,
  [10012] = 9854,
  [10013] = 10013,
  [10014] = 9854,
  [10015] = 10013,
  [10016] = 3742,
  [10017] = 9857,
  [10018] = 9161,
  [10019] = 9162,
  [10020] = 9852,
  [10021] = 9851,
  [10022] = 9854,
  [10023] = 2941,
  [10024] = 2942,
  [10025] = 7336,
  [10026] = 7337,
  [10027] = 9853,
  [10028] = 9164,
  [10029] = 9165,
  [10030] = 9167,
  [10031] = 9168,
  [10032] = 9863,
  [10033] = 9857,
  [10034] = 9863,
  [10035] = 9170,
  [10036] = 9172,
  [10037] = 9854,
  [10038] = 9852,
  [10039] = 2943,
  [10040] = 9851,
  [10041] = 9356,
  [10042] = 9173,
  [10043] = 9857,
  [10044] = 9176,
  [10045] = 9869,
  [10046] = 9870,
  [10047] = 9857,
  [10048] = 9870,
  [10049] = 9851,
  [10050] = 8587,
  [10051] = 10051,
  [10052] = 9863,
  [10053] = 9869,
  [10054] = 9852,
  [10055] = 9870,
  [10056] = 9853,
  [10057] = 9038,
  [10058] = 7349,
  [10059] = 9854,
  [10060] = 9926,
  [10061] = 9857,
  [10062] = 9035,
  [10063] = 9036,
  [10064] = 9038,
  [10065] = 9852,
  [10066] = 9191,
  [10067] = 9852,
  [10068] = 9496,
  [10069] = 9853,
  [10070] = 9851,
  [10071] = 9863,
  [10072] = 7267,
  [10073] = 9869,
  [10074] = 9858,
  [10075] = 10075,
  [10076] = 10076,
  [10077] = 10077,
  [10078] = 10078,
  [10079] = 10075,
  [10080] = 10076,
  [10081] = 10077,
  [10082] = 10078,
  [10083] = 9870,
  [10084] = 9852,
  [10085] = 9543,
  [10086] = 9901,
  [10087] = 9495,
  [10088] = 9125,
  [10089] = 9877,
  [10090] = 5524,
  [10091] = 9390,
  [10092] = 10075,
  [10093] = 2906,
  [10094] = 10076,
  [10095] = 2907,
  [10096] = 10077,
  [10097] = 2910,
  [10098] = 2912,
  [10099] = 2924,
  [10100] = 8180,
  [10101] = 8214,
  [10102] = 7523,
  [10103] = 9858,
  [10104] = 2899,
  [10105] = 9901,
  [10106] = 9905,
  [10107] = 9916,
  [10108] = 5357,
  [10109] = 9926,
  [10110] = 9928,
  [10111] = 9877,
  [10112] = 2915,
  [10113] = 2917,
  [10114] = 2925,
  [10115] = 5524,
  [10116] = 2943,
  [10117] = 8144,
  [10118] = 5457,
  [10119] = 7474,
  [10120] = 7479,
  [10121] = 10121,
  [10122] = 10122,
  [10123] = 10123,
  [10124] = 2900,
  [10125] = 10125,
  [10126] = 10078,
  [10127] = 5429,
  [10128] = 10128,
  [10129] = 8143,
  [10130] = 8147,
  [10131] = 8106,
  [10132] = 8107,
  [10133] = 8108,
  [10134] = 4759,
  [10135] = 2901,
  [10136] = 9850,
  [10137] = 7533,
  [10138] = 2908,
  [10139] = 4715,
  [10140] = 2902,
  [10141] = 2904,
  [10142] = 9390,
  [10143] = 8587,
  [10144] = 7557,
  [10145] = 7565,
  [10146] = 2918,
  [10147] = 7573,
  [10148] = 7455,
  [10149] = 9356,
  [10150] = 10122,
  [10151] = 4711,
  [10152] = 10152,
  [10153] = 8587,
  [10154] = 9543,
  [10155] = 10125,
  [10156] = 8587,
  [10157] = 7490,
  [10158] = 7491,
  [10159] = 10128,
  [10160] = 8925,
  [10161] = 8928,
  [10162] = 9103,
  [10163] = 8925,
  [10164] = 5447,
  [10165] = 5451,
  [10166] = 5426,
  [10167] = 2940,
  [10168] = 8127,
  [10169] = 9108,
  [10170] = 9109,
  [10171] = 9110,
  [10172] = 9111,
  [10173] = 8925,
  [10174] = 9356,
  [10175] = 7538,
  [10176] = 8587,
  [10177] = 10177,
  [10178] = 7543,
  [10179] = 9121,
  [10180] = 9123,
  [10181] = 9124,
  [10182] = 5426,
  [10183] = 10152,
  [10184] = 9125,
  [10185] = 8114,
  [10186] = 5524,
  [10187] = 9139,
  [10188] = 9140,
  [10189] = 9143,
  [10190] = 9144,
  [10191] = 8115,
  [10192] = 8116,
  [10193] = 8214,
  [10194] = 2940,
  [10195] = 8117,
  [10196] = 9161,
  [10197] = 9162,
  [10198] = 9164,
  [10199] = 8118,
  [10200] = 9165,
  [10201] = 9167,
  [10202] = 9168,
  [10203] = 8119,
  [10204] = 9170,
  [10205] = 9048,
  [10206] = 8121,
  [10207] = 9173,
  [10208] = 9176,
  [10209] = 8122,
  [10210] = 8123,
  [10211] = 9103,
  [10212] = 8124,
  [10213] = 8125,
  [10214] = 2941,
  [10215] = 2942,
  [10216] = 8127,
  [10217] = 10217,
  [10218] = 8128,
  [10219] = 7628,
  [10220] = 7630,
  [10221] = 7631,
  [10222] = 7632,
  [10223] = 7450,
  [10224] = 9543,
  [10225] = 9356,
  [10226] = 9108,
  [10227] = 9109,
  [10228] = 9191,
  [10229] = 9110,
  [10230] = 9111,
  [10231] = 7488,
  [10232] = 9901,
  [10233] = 9905,
  [10234] = 8925,
  [10235] = 2943,
  [10236] = 7534,
  [10237] = 8924,
  [10238] = 9121,
  [10239] = 9123,
  [10240] = 9124,
  [10241] = 9125,
  [10242] = 8092,
  [10243] = 9916,
  [10244] = 9139,
  [10245] = 9140,
  [10246] = 9143,
  [10247] = 9144,
  [10248] = 9220,
  [10249] = 10249,
  [10250] = 9901,
  [10251] = 9161,
  [10252] = 9162,
  [10253] = 9793,
  [10254] = 10254,
  [10255] = 9164,
  [10256] = 9165,
  [10257] = 9167,
  [10258] = 10258,
  [10259] = 9168,
  [10260] = 9905,
  [10261] = 9170,
  [10262] = 9172,
  [10263] = 9173,
  [10264] = 9926,
  [10265] = 7461,
  [10266] = 9176,
  [10267] = 9928,
  [10268] = 10249,
  [10269] = 7462,
  [10270] = 10121,
  [10271] = 7463,
  [10272] = 10254,
  [10273] = 7464,
  [10274] = 5430,
  [10275] = 7466,
  [10276] = 9035,
  [10277] = 9877,
  [10278] = 2941,
  [10279] = 2942,
  [10280] = 9036,
  [10281] = 5313,
  [10282] = 10013,
  [10283] = 9356,
  [10284] = 10284,
  [10285] = 9793,
  [10286] = 9390,
  [10287] = 9038,
  [10288] = 9916,
  [10289] = 9040,
  [10290] = 7483,
  [10291] = 7475,
  [10292] = 9191,
  [10293] = 10177,
  [10294] = 7476,
  [10295] = 7477,
  [10296] = 7478,
  [10297] = 5426,
  [10298] = 9041,
  [10299] = 9926,
  [10300] = 9928,
  [10301] = 7484,
  [10302] = 9220,
  [10303] = 7509,
  [10304] = 9172,
  [10305] = 10305,
  [10306] = 5373,
  [10307] = 8180,
  [10308] = 10308,
  [10309] = 10309,
  [10310] = 10310,
  [10311] = 10311,
  [10312] = 7990,
  [10313] = 10313,
  [10314] = 9901,
  [10315] = 9905,
  [10316] = 10316,
  [10317] = 8214,
  [10318] = 10318,
  [10319] = 10319,
  [10320] = 10310,
  [10321] = 8114,
  [10322] = 9916,
  [10323] = 7931,
  [10324] = 10324,
  [10325] = 10325,
  [10326] = 10326,
  [10327] = 10327,
  [10328] = 8144,
  [10329] = 5426,
  [10330] = 9926,
  [10331] = 9928,
  [10332] = 10332,
  [10333] = 10333,
  [10334] = 9877,
  [10335] = 10335,
  [10336] = 10336,
  [10337] = 10337,
  [10338] = 10310,
  [10339] = 8587,
  [10340] = 10340,
  [10341] = 2911,
  [10342] = 8115,
  [10343] = 8116,
  [10344] = 10310,
  [10345] = 10310,
  [10346] = 8928,
  [10347] = 10347,
  [10348] = 9103,
  [10349] = 10349,
  [10350] = 7989,
  [10351] = 4759,
  [10352] = 10352,
  [10353] = 4715,
  [10354] = 8117,
  [10355] = 10310,
  [10356] = 10121,
  [10357] = 10332,
  [10358] = 10333,
  [10359] = 7995,
  [10360] = 10335,
  [10361] = 10310,
  [10362] = 10362,
  [10363] = 8118,
  [10364] = 10364,
  [10365] = 8119,
  [10366] = 10366,
  [10367] = 7997,
  [10368] = 4711,
  [10369] = 8121,
  [10370] = 8122,
  [10371] = 8123,
  [10372] = 10372,
  [10373] = 10373,
  [10374] = 9850,
  [10375] = 10310,
  [10376] = 8004,
  [10377] = 10377,
  [10378] = 2919,
  [10379] = 4766,
  [10380] = 10310,
  [10381] = 8124,
  [10382] = 10310,
  [10383] = 7900,
  [10384] = 8005,
  [10385] = 7882,
  [10386] = 7952,
  [10387] = 10310,
  [10388] = 7938,
  [10389] = 9035,
  [10390] = 10390,
  [10391] = 10391,
  [10392] = 9036,
  [10393] = 8167,
  [10394] = 10310,
  [10395] = 10395,
  [10396] = 8178,
  [10397] = 10397,
  [10398] = 10398,
  [10399] = 10399,
  [10400] = 10400,
  [10401] = 10401,
  [10402] = 10402,
  [10403] = 10403,
  [10404] = 7914,
  [10405] = 7902,
  [10406] = 8125,
  [10407] = 10122,
  [10408] = 7955,
  [10409] = 7957,
  [10410] = 10410,
  [10411] = 10411,
  [10412] = 8967,
  [10413] = 10413,
  [10414] = 10414,
  [10415] = 10310,
  [10416] = 9916,
  [10417] = 10417,
  [10418] = 10418,
  [10419] = 10419,
  [10420] = 9108,
  [10421] = 9109,
  [10422] = 10177,
  [10423] = 10423,
  [10424] = 9110,
  [10425] = 9111,
  [10426] = 10310,
  [10427] = 10427,
  [10428] = 10428,
  [10429] = 7959,
  [10430] = 10310,
  [10431] = 10431,
  [10432] = 5312,
  [10433] = 10310,
  [10434] = 10125,
  [10435] = 8259,
  [10436] = 7921,
  [10437] = 9038,
  [10438] = 9356,
  [10439] = 10439,
  [10440] = 10440,
  [10441] = 10310,
  [10442] = 10442,
  [10443] = 10443,
  [10444] = 10444,
  [10445] = 10445,
  [10446] = 10446,
  [10447] = 2842,
  [10448] = 2843,
  [10449] = 10449,
  [10450] = 10450,
  [10451] = 10451,
  [10452] = 10452,
  [10453] = 10453,
  [10454] = 8180,
  [10455] = 8186,
  [10456] = 8017,
  [10457] = 10457,
  [10458] = 10458,
  [10459] = 4759,
  [10460] = 10310,
  [10461] = 4715,
  [10462] = 10462,
  [10463] = 7909,
  [10464] = 10464,
  [10465] = 10465,
  [10466] = 10466,
  [10467] = 10467,
  [10468] = 4711,
  [10469] = 10469,
  [10470] = 10128,
  [10471] = 10310,
  [10472] = 9121,
  [10473] = 10473,
  [10474] = 9123,
  [10475] = 9124,
  [10476] = 10476,
  [10477] = 10310,
  [10478] = 2940,
  [10479] = 9543,
  [10480] = 10310,
  [10481] = 9125,
  [10482] = 2941,
  [10483] = 2942,
  [10484] = 2943,
  [10485] = 10310,
  [10486] = 9850,
  [10487] = 10487,
  [10488] = 8092,
  [10489] = 9176,
  [10490] = 10490,
  [10491] = 9191,
  [10492] = 5335,
  [10493] = 10310,
  [10494] = 10494,
  [10495] = 8107,
  [10496] = 8108,
  [10497] = 10310,
  [10498] = 9926,
  [10499] = 9543,
  [10500] = 9040,
  [10501] = 10501,
  [10502] = 9041,
  [10503] = 10254,
  [10504] = 10504,
  [10505] = 10505,
  [10506] = 10310,
  [10507] = 10507,
  [10508] = 10508,
  [10509] = 10509,
  [10510] = 10510,
  [10511] = 10511,
  [10512] = 10152,
  [10513] = 10310,
  [10514] = 7490,
  [10515] = 9928,
  [10516] = 10310,
  [10517] = 10517,
  [10518] = 9850,
  [10519] = 10310,
  [10520] = 10520,
  [10521] = 10521,
  [10522] = 10522,
  [10523] = 9139,
  [10524] = 10524,
  [10525] = 10310,
  [10526] = 9140,
  [10527] = 8127,
  [10528] = 9143,
  [10529] = 9144,
  [10530] = 9048,
  [10531] = 10531,
  [10532] = 5524,
  [10533] = 10533,
  [10534] = 10310,
  [10535] = 10535,
  [10536] = 10536,
  [10537] = 10310,
  [10538] = 9543,
  [10539] = 10539,
  [10540] = 10310,
  [10541] = 10541,
  [10542] = 7836,
  [10543] = 10543,
  [10544] = 10544,
  [10545] = 10545,
  [10546] = 10546,
  [10547] = 10547,
  [10548] = 10548,
  [10549] = 9858,
  [10550] = 9901,
  [10551] = 10551,
  [10552] = 10552,
  [10553] = 10553,
  [10554] = 10554,
  [10555] = 10555,
  [10556] = 10556,
  [10557] = 10557,
  [10558] = 10558,
  [10559] = 9390,
  [10560] = 10560,
  [10561] = 10561,
  [10562] = 10562,
  [10563] = 10563,
  [10564] = 10310,
  [10565] = 10539,
  [10566] = 10566,
  [10567] = 10544,
  [10568] = 8128,
  [10569] = 10545,
  [10570] = 10547,
  [10571] = 10310,
  [10572] = 10551,
  [10573] = 10552,
  [10574] = 10553,
  [10575] = 10554,
  [10576] = 10555,
  [10577] = 10556,
  [10578] = 10557,
  [10579] = 10558,
  [10580] = 10560,
  [10581] = 10561,
  [10582] = 10562,
  [10583] = 10563,
  [10584] = 10584,
  [10585] = 10249,
  [10586] = 8143,
  [10587] = 10587,
  [10588] = 10588,
  [10589] = 10589,
  [10590] = 10310,
  [10591] = 10591,
  [10592] = 9161,
  [10593] = 10593,
  [10594] = 9162,
  [10595] = 10587,
  [10596] = 10588,
  [10597] = 9164,
  [10598] = 9165,
  [10599] = 9167,
  [10600] = 10310,
  [10601] = 9168,
  [10602] = 8924,
  [10603] = 9465,
  [10604] = 10013,
  [10605] = 10310,
  [10606] = 9905,
  [10607] = 10607,
  [10608] = 10310,
  [10609] = 10609,
  [10610] = 9793,
  [10611] = 10611,
  [10612] = 10612,
  [10613] = 10613,
  [10614] = 10614,
  [10615] = 10310,
  [10616] = 10310,
  [10617] = 10310,
  [10618] = 10618,
  [10619] = 8925,
  [10620] = 8114,
  [10621] = 8115,
  [10622] = 8116,
  [10623] = 10310,
  [10624] = 7868,
  [10625] = 8144,
  [10626] = 8117,
  [10627] = 10627,
  [10628] = 7927,
  [10629] = 9877,
  [10630] = 8118,
  [10631] = 8119,
  [10632] = 8121,
  [10633] = 10310,
  [10634] = 8122,
  [10635] = 8123,
  [10636] = 8124,
  [10637] = 8125,
  [10638] = 10638,
  [10639] = 10310,
  [10640] = 10640,
  [10641] = 8127,
  [10642] = 10642,
  [10643] = 10643,
  [10644] = 9170,
  [10645] = 10645,
  [10646] = 10310,
  [10647] = 9172,
  [10648] = 9173,
  [10649] = 9220,
  [10650] = 10650,
  [10651] = 8128,
  [10652] = 10075,
  [10653] = 10076,
  [10654] = 10077,
  [10655] = 10078,
  [10656] = 10656,
  [10657] = 8214,
  [10658] = 10656,
  [10659] = 8147,
  [10660] = 8106,
  [10661] = 10661,
  [10662] = 10662,
  [10663] = 10663,
  [10664] = 10664,
  [10665] = 9111,
  [10666] = 10333,
  [10667] = 5524,
  [10668] = 10668,
  [10669] = 9167,
  [10670] = 10125,
  [10671] = 10335,
  [10672] = 9916,
  [10673] = 9168,
  [10674] = 9111,
  [10675] = 10122,
  [10676] = 10676,
  [10677] = 5524,
  [10678] = 8114,
  [10679] = 9191,
  [10680] = 9220,
  [10681] = 9916,
  [10682] = 8115,
  [10683] = 8116,
  [10684] = 8117,
  [10685] = 2941,
  [10686] = 8118,
  [10687] = 2942,
  [10688] = 8119,
  [10689] = 8121,
  [10690] = 10545,
  [10691] = 8122,
  [10692] = 8123,
  [10693] = 8124,
  [10694] = 9176,
  [10695] = 9926,
  [10696] = 8125,
  [10697] = 10547,
  [10698] = 9928,
  [10699] = 9926,
  [10700] = 9926,
  [10701] = 9928,
  [10702] = 9928,
  [10703] = 10125,
  [10704] = 9901,
  [10705] = 2940,
  [10706] = 10563,
  [10707] = 9877,
  [10708] = 10121,
  [10709] = 10676,
  [10710] = 10710,
  [10711] = 9905,
  [10712] = 9139,
  [10713] = 2943,
  [10714] = 9140,
  [10715] = 10556,
  [10716] = 10588,
  [10717] = 9121,
  [10718] = 9123,
  [10719] = 9124,
  [10720] = 5426,
  [10721] = 10557,
  [10722] = 9125,
  [10723] = 10558,
  [10724] = 9111,
  [10725] = 2941,
  [10726] = 2942,
  [10727] = 9901,
  [10728] = 9905,
  [10729] = 9220,
  [10730] = 9103,
  [10731] = 4766,
  [10732] = 9220,
  [10733] = 2943,
  [10734] = 9170,
  [10735] = 9103,
  [10736] = 9172,
  [10737] = 9173,
  [10738] = 10551,
  [10739] = 10552,
  [10740] = 9191,
  [10741] = 9121,
  [10742] = 9123,
  [10743] = 9124,
  [10744] = 9125,
  [10745] = 9143,
  [10746] = 9144,
  [10747] = 9103,
  [10748] = 10748,
  [10749] = 10332,
  [10750] = 10333,
  [10751] = 10335,
  [10752] = 10177,
  [10753] = 9121,
  [10754] = 9123,
  [10755] = 9124,
  [10756] = 9125,
  [10757] = 10587,
  [10758] = 9139,
  [10759] = 9140,
  [10760] = 9143,
  [10761] = 9144,
  [10762] = 10152,
  [10763] = 9877,
  [10764] = 9168,
  [10765] = 10128,
  [10766] = 8967,
  [10767] = 5426,
  [10768] = 10125,
  [10769] = 8144,
  [10770] = 9103,
  [10771] = 9173,
  [10772] = 9161,
  [10773] = 9162,
  [10774] = 9164,
  [10775] = 9543,
  [10776] = 9165,
  [10777] = 9167,
  [10778] = 9168,
  [10779] = 2940,
  [10780] = 10249,
  [10781] = 10254,
  [10782] = 10782,
  [10783] = 8329,
  [10784] = 9877,
  [10785] = 10785,
  [10786] = 9110,
  [10787] = 9139,
  [10788] = 5426,
  [10789] = 10152,
  [10790] = 10332,
  [10791] = 10791,
  [10792] = 9140,
  [10793] = 9143,
  [10794] = 10555,
  [10795] = 10333,
  [10796] = 8180,
  [10797] = 9110,
  [10798] = 9170,
  [10799] = 9139,
  [10800] = 9144,
  [10801] = 9140,
  [10802] = 9220,
  [10803] = 10553,
  [10804] = 9176,
  [10805] = 9143,
  [10806] = 9172,
  [10807] = 10807,
  [10808] = 9144,
  [10809] = 9173,
  [10810] = 10554,
  [10811] = 8128,
  [10812] = 10335,
  [10813] = 9121,
  [10814] = 9123,
  [10815] = 2941,
  [10816] = 5426,
  [10817] = 9161,
  [10818] = 2942,
  [10819] = 9176,
  [10820] = 10122,
  [10821] = 10539,
  [10822] = 9162,
  [10823] = 9916,
  [10824] = 9109,
  [10825] = 9164,
  [10826] = 9161,
  [10827] = 9162,
  [10828] = 9164,
  [10829] = 2943,
  [10830] = 10656,
  [10831] = 9390,
  [10832] = 9850,
  [10833] = 9170,
  [10834] = 9901,
  [10835] = 9905,
  [10836] = 5426,
  [10837] = 4766,
  [10838] = 9124,
  [10839] = 9191,
  [10840] = 10152,
  [10841] = 9165,
  [10842] = 5524,
  [10843] = 9167,
  [10844] = 9168,
  [10845] = 10560,
  [10846] = 9125,
  [10847] = 10847,
  [10848] = 9172,
  [10849] = 10849,
  [10850] = 9108,
  [10851] = 9108,
  [10852] = 10852,
  [10853] = 10561,
  [10854] = 9109,
  [10855] = 9109,
  [10856] = 9170,
  [10857] = 9172,
  [10858] = 10122,
  [10859] = 10544,
  [10860] = 9161,
  [10861] = 10710,
  [10862] = 9162,
  [10863] = 9173,
  [10864] = 10562,
  [10865] = 9164,
  [10866] = 9110,
  [10867] = 10867,
  [10868] = 9176,
  [10869] = 10869,
  [10870] = 2940,
  [10871] = 9165,
  [10872] = 10872,
  [10873] = 9108,
  [10874] = 10874,
  [10875] = 9111,
  [10876] = 9165,
  [10877] = 10872,
  [10878] = 9109,
  [10879] = 10874,
  [10880] = 9110,
  [10881] = 9191,
  [10882] = 10869,
  [10883] = 10883,
  [10884] = 10332,
  [10885] = 9167,
  [10886] = 9108,
  [10887] = 10887,
  [10888] = 8144,
  [10889] = 10889,
  [10890] = 10890,
  [10891] = 10890,
  [10892] = 10892,
  [10893] = 10539,
  [10894] = 10892,
  [10895] = 10544,
  [10896] = 9850,
  [10897] = 10545,
  [10898] = 10898,
  [10899] = 10547,
  [10900] = 10892,
  [10901] = 10892,
  [10902] = 10902,
  [10903] = 10676,
  [10904] = 10892,
  [10905] = 10551,
  [10906] = 10552,
  [10907] = 10553,
  [10908] = 10554,
  [10909] = 4759,
  [10910] = 10890,
  [10911] = 10555,
  [10912] = 10556,
  [10913] = 10557,
  [10914] = 10558,
  [10915] = 10332,
  [10916] = 10892,
  [10917] = 10560,
  [10918] = 10561,
  [10919] = 10562,
  [10920] = 10563,
  [10921] = 10892,
  [10922] = 10922,
  [10923] = 10887,
  [10924] = 10890,
  [10925] = 10889,
  [10926] = 10333,
  [10927] = 10927,
  [10928] = 10892,
  [10929] = 9103,
  [10930] = 10890,
  [10931] = 10890,
  [10932] = 10869,
  [10933] = 8143,
  [10934] = 9191,
  [10935] = 10935,
  [10936] = 8147,
  [10937] = 10937,
  [10938] = 10938,
  [10939] = 10892,
  [10940] = 10335,
  [10941] = 10892,
  [10942] = 10942,
  [10943] = 10902,
  [10944] = 10944,
  [10945] = 10892,
  [10946] = 10874,
  [10947] = 10890,
  [10948] = 10927,
  [10949] = 10892,
  [10950] = 9220,
  [10951] = 10922,
  [10952] = 10128,
  [10953] = 10892,
  [10954] = 2924,
  [10955] = 8092,
  [10956] = 10956,
  [10957] = 10125,
  [10958] = 8106,
  [10959] = 2940,
  [10960] = 4711,
  [10961] = 10961,
  [10962] = 10890,
  [10963] = 10890,
  [10964] = 8180,
  [10965] = 10890,
  [10966] = 10890,
  [10967] = 10892,
  [10968] = 10676,
  [10969] = 10710,
  [10970] = 10892,
  [10971] = 9108,
  [10972] = 9109,
  [10973] = 8214,
  [10974] = 10890,
  [10975] = 9110,
  [10976] = 8924,
  [10977] = 10977,
  [10978] = 5426,
  [10979] = 9543,
  [10980] = 9111,
  [10981] = 10892,
  [10982] = 9901,
  [10983] = 5524,
  [10984] = 2941,
  [10985] = 10892,
  [10986] = 8214,
  [10987] = 10892,
  [10988] = 8107,
  [10989] = 2942,
  [10990] = 2943,
  [10991] = 10892,
  [10992] = 8928,
  [10993] = 9905,
  [10994] = 10994,
  [10995] = 10892,
  [10996] = 10892,
  [10997] = 10892,
  [10998] = 10013,
  [10999] = 9121,
  [11000] = 9123,
  [11001] = 9124,
  [11002] = 8925,
  [11003] = 10122,
  [11004] = 10892,
  [11005] = 9125,
  [11006] = 2925,
  [11007] = 8108,
  [11008] = 10892,
  [11009] = 8329,
  [11010] = 4715,
  [11011] = 10890,
  [11012] = 10890,
  [11013] = 10872,
  [11014] = 10890,
  [11015] = 10892,
  [11016] = 10892,
  [11017] = 10956,
  [11018] = 10892,
  [11019] = 10892,
  [11020] = 8329,
  [11021] = 9970,
  [11022] = 10332,
  [11023] = 10892,
  [11024] = 10890,
  [11025] = 8114,
  [11026] = 10890,
  [11027] = 11027,
  [11028] = 10333,
  [11029] = 10892,
  [11030] = 8587,
  [11031] = 9928,
  [11032] = 9866,
  [11033] = 11033,
  [11034] = 10892,
  [11035] = 11035,
  [11036] = 8115,
  [11037] = 9139,
  [11038] = 9140,
  [11039] = 9143,
  [11040] = 9144,
  [11041] = 8116,
  [11042] = 9926,
  [11043] = 10892,
  [11044] = 10892,
  [11045] = 10335,
  [11046] = 8117,
  [11047] = 10710,
  [11048] = 10890,
  [11049] = 8118,
  [11050] = 8119,
  [11051] = 8121,
  [11052] = 8122,
  [11053] = 8123,
  [11054] = 10892,
  [11055] = 8124,
  [11056] = 8125,
  [11057] = 10890,
  [11058] = 11035,
  [11059] = 8127,
  [11060] = 8128,
  [11061] = 10892,
  [11062] = 10890,
  [11063] = 10892,
  [11064] = 10892,
  [11065] = 11027,
  [11066] = 10892,
  [11067] = 10013,
  [11068] = 11033,
  [11069] = 10890,
  [11070] = 10892,
  [11071] = 9161,
  [11072] = 9162,
  [11073] = 10892,
  [11074] = 10898,
  [11075] = 9164,
  [11076] = 11076,
  [11077] = 11077,
  [11078] = 9165,
  [11079] = 9167,
  [11080] = 9168,
  [11081] = 11081,
  [11082] = 11082,
  [11083] = 10676,
  [11084] = 10656,
  [11085] = 11085,
  [11086] = 11086,
  [11087] = 10710,
  [11088] = 10152,
  [11089] = 9877,
  [11090] = 8127,
  [11091] = 10892,
  [11092] = 10935,
  [11093] = 11093,
  [11094] = 9916,
  [11095] = 10890,
  [11096] = 10892,
  [11097] = 11082,
  [11098] = 10587,
  [11099] = 10892,
  [11100] = 11085,
  [11101] = 10937,
  [11102] = 10938,
  [11103] = 9170,
  [11104] = 9172,
  [11105] = 9173,
  [11106] = 9992,
  [11107] = 11076,
  [11108] = 11077,
  [11109] = 10892,
  [11110] = 10961,
  [11111] = 10588,
  [11112] = 11112,
  [11113] = 11113,
  [11114] = 10892,
  [11115] = 9176,
  [11116] = 11112,
  [11117] = 11113,
  [11118] = 11086,
  [11119] = 10128,
  [11120] = 11120,
  [11121] = 11121,
  [11122] = 11122,
  [11123] = 11123,
  [11124] = 11124,
  [11125] = 11125,
  [11126] = 11126,
  [11127] = 11127,
  [11128] = 11128,
  [11129] = 11129,
  [11130] = 11122,
  [11131] = 11128,
  [11132] = 11123,
  [11133] = 11123,
  [11134] = 11134,
  [11135] = 11124,
  [11136] = 11125,
  [11137] = 11126,
  [11138] = 11127,
  [11139] = 11128,
  [11140] = 11129,
  [11141] = 11124,
  [11142] = 11122,
  [11143] = 11122,
  [11144] = 11123,
  [11145] = 11124,
  [11146] = 11125,
  [11147] = 11126,
  [11148] = 11127,
  [11149] = 11128,
  [11150] = 11129,
  [11151] = 11125,
  [11152] = 11126,
  [11153] = 11127,
  [11154] = 11128,
  [11155] = 11122,
  [11156] = 11129,
  [11157] = 11123,
  [11158] = 11158,
  [11159] = 11124,
  [11160] = 11125,
  [11161] = 11126,
  [11162] = 11127,
  [11163] = 11128,
  [11164] = 11129,
  [11165] = 11165,
  [11166] = 11166,
  [11167] = 11122,
  [11168] = 11123,
  [11169] = 8967,
  [11170] = 11124,
  [11171] = 11125,
  [11172] = 11126,
  [11173] = 11127,
  [11174] = 11128,
  [11175] = 11129,
  [11176] = 11122,
  [11177] = 11123,
  [11178] = 11120,
  [11179] = 11124,
  [11180] = 11125,
  [11181] = 11126,
  [11182] = 11127,
  [11183] = 11128,
  [11184] = 11129,
  [11185] = 11122,
  [11186] = 11123,
  [11187] = 11124,
  [11188] = 11125,
  [11189] = 11126,
  [11190] = 11127,
  [11191] = 11128,
  [11192] = 11129,
  [11193] = 11129,
  [11194] = 11122,
  [11195] = 11123,
  [11196] = 11123,
  [11197] = 11124,
  [11198] = 11125,
  [11199] = 11126,
  [11200] = 11127,
  [11201] = 11128,
  [11202] = 11129,
  [11203] = 11203,
  [11204] = 11122,
  [11205] = 11123,
  [11206] = 11124,
  [11207] = 11125,
  [11208] = 11126,
  [11209] = 11127,
  [11210] = 11128,
  [11211] = 11129,
  [11212] = 11122,
  [11213] = 11123,
  [11214] = 11124,
  [11215] = 11122,
  [11216] = 11125,
  [11217] = 11126,
  [11218] = 11127,
  [11219] = 11128,
  [11220] = 11129,
  [11221] = 11122,
  [11222] = 11123,
  [11223] = 11124,
  [11224] = 11125,
  [11225] = 11126,
  [11226] = 11127,
  [11227] = 11128,
  [11228] = 11129,
  [11229] = 11122,
  [11230] = 11123,
  [11231] = 11123,
  [11232] = 11124,
  [11233] = 11125,
  [11234] = 11126,
  [11235] = 11127,
  [11236] = 11128,
  [11237] = 11129,
  [11238] = 11124,
  [11239] = 11122,
  [11240] = 11123,
  [11241] = 11124,
  [11242] = 11125,
  [11243] = 11126,
  [11244] = 11127,
  [11245] = 11128,
  [11246] = 11129,
  [11247] = 11122,
  [11248] = 11123,
  [11249] = 11124,
  [11250] = 11250,
  [11251] = 11124,
  [11252] = 11125,
  [11253] = 11126,
  [11254] = 11127,
  [11255] = 11128,
  [11256] = 11129,
  [11257] = 9356,
  [11258] = 11122,
  [11259] = 11123,
  [11260] = 11124,
  [11261] = 11082,
  [11262] = 11125,
  [11263] = 11126,
  [11264] = 11127,
  [11265] = 11128,
  [11266] = 11129,
  [11267] = 11125,
  [11268] = 11126,
  [11269] = 11127,
  [11270] = 11122,
  [11271] = 11128,
  [11272] = 8144,
  [11273] = 11123,
  [11274] = 10013,
  [11275] = 11275,
  [11276] = 11129,
  [11277] = 11124,
  [11278] = 11125,
  [11279] = 11126,
  [11280] = 11127,
  [11281] = 11128,
  [11282] = 11129,
  [11283] = 11122,
  [11284] = 11123,
  [11285] = 11124,
  [11286] = 11125,
  [11287] = 11126,
  [11288] = 11127,
  [11289] = 11128,
  [11290] = 11129,
  [11291] = 11125,
  [11292] = 11126,
  [11293] = 11122,
  [11294] = 11123,
  [11295] = 11124,
  [11296] = 11125,
  [11297] = 11126,
  [11298] = 11127,
  [11299] = 11128,
  [11300] = 11129,
  [11301] = 11127,
  [11302] = 11128,
  [11303] = 11129,
  [11304] = 11122,
  [11305] = 11123,
  [11306] = 11124,
  [11307] = 11125,
  [11308] = 11126,
  [11309] = 11127,
  [11310] = 11128,
  [11311] = 11129,
  [11312] = 10937,
  [11313] = 11122,
  [11314] = 11125,
  [11315] = 11123,
  [11316] = 11126,
  [11317] = 11124,
  [11318] = 11125,
  [11319] = 11126,
  [11320] = 11127,
  [11321] = 11128,
  [11322] = 11129,
  [11323] = 10938,
  [11324] = 11122,
  [11325] = 10128,
  [11326] = 11123,
  [11327] = 11124,
  [11328] = 11125,
  [11329] = 11126,
  [11330] = 11127,
  [11331] = 11128,
  [11332] = 11129,
  [11333] = 11113,
  [11334] = 11122,
  [11335] = 11123,
  [11336] = 11336,
  [11337] = 11124,
  [11338] = 11125,
  [11339] = 11126,
  [11340] = 11127,
  [11341] = 11128,
  [11342] = 11129,
  [11343] = 11122,
  [11344] = 11123,
  [11345] = 11124,
  [11346] = 11125,
  [11347] = 11126,
  [11348] = 11127,
  [11349] = 11128,
  [11350] = 11129,
  [11351] = 11122,
  [11352] = 11123,
  [11353] = 11124,
  [11354] = 11125,
  [11355] = 11126,
  [11356] = 11127,
  [11357] = 11128,
  [11358] = 11129,
  [11359] = 11122,
  [11360] = 11123,
  [11361] = 11124,
  [11362] = 11125,
  [11363] = 11126,
  [11364] = 11127,
  [11365] = 11128,
  [11366] = 11129,
  [11367] = 11122,
  [11368] = 11123,
  [11369] = 11122,
  [11370] = 11370,
  [11371] = 11124,
  [11372] = 11125,
  [11373] = 11126,
  [11374] = 11127,
  [11375] = 11128,
  [11376] = 11129,
  [11377] = 11122,
  [11378] = 11127,
  [11379] = 11123,
  [11380] = 11124,
  [11381] = 11125,
  [11382] = 11126,
  [11383] = 11127,
  [11384] = 11128,
  [11385] = 11129,
  [11386] = 11122,
  [11387] = 11123,
  [11388] = 11077,
  [11389] = 11128,
  [11390] = 11124,
  [11391] = 11125,
  [11392] = 11126,
  [11393] = 11127,
  [11394] = 11128,
  [11395] = 11129,
  [11396] = 11122,
  [11397] = 11123,
  [11398] = 11124,
  [11399] = 11125,
  [11400] = 11126,
  [11401] = 11127,
  [11402] = 11128,
  [11403] = 11129,
  [11404] = 11123,
  [11405] = 10332,
  [11406] = 10333,
  [11407] = 11165,
  [11408] = 10335,
  [11409] = 11124,
  [11410] = 11410,
  [11411] = 11120,
  [11412] = 11412,
  [11413] = 11125,
  [11414] = 11126,
  [11415] = 11127,
  [11416] = 11128,
  [11417] = 11129,
  [11418] = 11165,
  [11419] = 8114,
  [11420] = 8115,
  [11421] = 8116,
  [11422] = 8117,
  [11423] = 8118,
  [11424] = 8119,
  [11425] = 8121,
  [11426] = 8122,
  [11427] = 8123,
  [11428] = 8124,
  [11429] = 8125,
  [11430] = 8128,
  [11431] = 11129,
  [11432] = 8214,
  [11433] = 11433,
  [11434] = 11121,
  [11435] = 11370,
  [11436] = 11120,
  [11437] = 11437,
  [11438] = 11122,
  [11439] = 11412,
  [11440] = 8114,
  [11441] = 8115,
  [11442] = 8116,
  [11443] = 8117,
  [11444] = 8118,
  [11445] = 8119,
  [11446] = 8121,
  [11447] = 8122,
  [11448] = 8123,
  [11449] = 8124,
  [11450] = 8125,
  [11451] = 8127,
  [11452] = 8128,
  [11453] = 11123,
  [11454] = 11120,
  [11455] = 11410,
  [11456] = 11165,
  [11457] = 11124,
  [11458] = 11122,
  [11459] = 8092,
  [11460] = 11125,
  [11461] = 11126,
  [11462] = 11127,
  [11463] = 11128,
  [11464] = 11129,
  [11465] = 8180,
  [11466] = 8214,
  [11467] = 10332,
  [11468] = 10333,
  [11469] = 11469,
  [11470] = 10335,
  [11471] = 11120,
  [11472] = 8143,
  [11473] = 8147,
  [11474] = 8106,
  [11475] = 8107,
  [11476] = 8108,
  [11477] = 10122,
  [11478] = 11124,
  [11479] = 10676,
  [11480] = 10710,
  [11481] = 11120,
  [11482] = 11122,
  [11483] = 11120,
  [11484] = 11123,
  [11485] = 11123,
  [11486] = 11120,
  [11487] = 11124,
  [11488] = 11120,
  [11489] = 11125,
  [11490] = 11126,
  [11491] = 11127,
  [11492] = 11128,
  [11493] = 11129,
  [11494] = 11122,
  [11495] = 10125,
  [11496] = 8144,
  [11497] = 11120,
  [11498] = 11250,
  [11499] = 11120,
  [11500] = 11120,
  [11501] = 11122,
  [11502] = 11124,
  [11503] = 10332,
  [11504] = 10333,
  [11505] = 11112,
  [11506] = 10335,
  [11507] = 11120,
  [11508] = 11123,
  [11509] = 11509,
  [11510] = 11120,
  [11511] = 11124,
  [11512] = 11125,
  [11513] = 4766,
  [11514] = 11126,
  [11515] = 11127,
  [11516] = 11120,
  [11517] = 11128,
  [11518] = 11129,
  [11519] = 11120,
  [11520] = 8144,
  [11521] = 11521,
  [11522] = 11120,
  [11523] = 11123,
  [11524] = 11524,
  [11525] = 11125,
  [11526] = 11126,
  [11527] = 11433,
  [11528] = 11125,
  [11529] = 11126,
  [11530] = 11120,
  [11531] = 10152,
  [11532] = 11127,
  [11533] = 11128,
  [11534] = 11120,
  [11535] = 11122,
  [11536] = 9901,
  [11537] = 11129,
  [11538] = 9905,
  [11539] = 11120,
  [11540] = 11123,
  [11541] = 11120,
  [11542] = 11124,
  [11543] = 11120,
  [11544] = 11544,
  [11545] = 11125,
  [11546] = 11126,
  [11547] = 11127,
  [11548] = 11128,
  [11549] = 11129,
  [11550] = 11120,
  [11551] = 10676,
  [11552] = 11120,
  [11553] = 10710,
  [11554] = 11120,
  [11555] = 11120,
  [11556] = 9916,
  [11557] = 11120,
  [11558] = 8180,
  [11559] = 11120,
  [11560] = 11120,
  [11561] = 11561,
  [11562] = 11122,
  [11563] = 11120,
  [11564] = 11120,
  [11565] = 11123,
  [11566] = 11120,
  [11567] = 11124,
  [11568] = 11120,
  [11569] = 11125,
  [11570] = 11126,
  [11571] = 7523,
  [11572] = 11127,
  [11573] = 11128,
  [11574] = 11129,
  [11575] = 11120,
  [11576] = 11120,
  [11577] = 11120,
  [11578] = 11120,
  [11579] = 9926,
  [11580] = 9928,
  [11581] = 11120,
  [11582] = 11120,
  [11583] = 11583,
  [11584] = 9877,
  [11585] = 11120,
  [11586] = 11120,
  [11587] = 8127,
  [11588] = 11120,
  [11589] = 11589,
  [11590] = 11122,
  [11591] = 11085,
  [11592] = 11123,
  [11593] = 11124,
  [11594] = 11124,
  [11595] = 11595,
  [11596] = 10935,
  [11597] = 11125,
  [11598] = 11126,
  [11599] = 11127,
  [11600] = 11128,
  [11601] = 11129,
  [11602] = 11122,
  [11603] = 10935,
  [11604] = 11122,
  [11605] = 10937,
  [11606] = 10938,
  [11607] = 11123,
  [11608] = 11124,
  [11609] = 11125,
  [11610] = 11126,
  [11611] = 11127,
  [11612] = 11128,
  [11613] = 11129,
  [11614] = 10935,
  [11615] = 10937,
  [11616] = 10938,
  [11617] = 11122,
  [11618] = 11123,
  [11619] = 11124,
  [11620] = 11125,
  [11621] = 11166,
  [11622] = 11126,
  [11623] = 11127,
  [11624] = 11128,
  [11625] = 11129,
  [11626] = 11544,
  [11627] = 11076,
  [11628] = 11122,
  [11629] = 11122,
  [11630] = 11469,
  [11631] = 11123,
  [11632] = 10872,
  [11633] = 11124,
  [11634] = 10874,
  [11635] = 11127,
  [11636] = 11082,
  [11637] = 10869,
  [11638] = 11085,
  [11639] = 11125,
  [11640] = 11126,
  [11641] = 11127,
  [11642] = 11128,
  [11643] = 11129,
  [11644] = 11082,
  [11645] = 11085,
  [11646] = 11123,
  [11647] = 11165,
  [11648] = 11165,
  [11649] = 11649,
  [11650] = 10935,
  [11651] = 9220,
  [11652] = 11652,
  [11653] = 11653,
  [11654] = 10128,
  [11655] = 11655,
  [11656] = 11653,
  [11657] = 11653,
  [11658] = 11658,
  [11659] = 8144,
  [11660] = 8092,
  [11661] = 11661,
  [11662] = 11662,
  [11663] = 9103,
  [11664] = 8144,
  [11665] = 11653,
  [11666] = 11666,
  [11667] = 11027,
  [11668] = 11653,
  [11669] = 11410,
  [11670] = 10889,
  [11671] = 11671,
  [11672] = 10902,
  [11673] = 10961,
  [11674] = 10922,
  [11675] = 11675,
  [11676] = 11653,
  [11677] = 11412,
  [11678] = 11678,
  [11679] = 11035,
  [11680] = 11653,
  [11681] = 11033,
  [11682] = 11653,
  [11683] = 11683,
  [11684] = 11086,
  [11685] = 10898,
  [11686] = 11686,
  [11687] = 10889,
  [11688] = 10902,
  [11689] = 11653,
  [11690] = 9108,
  [11691] = 10927,
  [11692] = 9109,
  [11693] = 11653,
  [11694] = 8143,
  [11695] = 8147,
  [11696] = 11653,
  [11697] = 8106,
  [11698] = 11655,
  [11699] = 8107,
  [11700] = 8108,
  [11701] = 11653,
  [11702] = 10961,
  [11703] = 11658,
  [11704] = 11666,
  [11705] = 10710,
  [11706] = 9110,
  [11707] = 9111,
  [11708] = 11675,
  [11709] = 11033,
  [11710] = 8114,
  [11711] = 11666,
  [11712] = 11666,
  [11713] = 8115,
  [11714] = 8116,
  [11715] = 8117,
  [11716] = 11678,
  [11717] = 8118,
  [11718] = 11718,
  [11719] = 11027,
  [11720] = 8119,
  [11721] = 10961,
  [11722] = 10922,
  [11723] = 11035,
  [11724] = 11653,
  [11725] = 11033,
  [11726] = 8144,
  [11727] = 11035,
  [11728] = 11086,
  [11729] = 10898,
  [11730] = 10889,
  [11731] = 10902,
  [11732] = 10927,
  [11733] = 8121,
  [11734] = 8122,
  [11735] = 8123,
  [11736] = 8124,
  [11737] = 8125,
  [11738] = 2940,
  [11739] = 8587,
  [11740] = 2941,
  [11741] = 2942,
  [11742] = 2943,
  [11743] = 9121,
  [11744] = 9123,
  [11745] = 8924,
  [11746] = 8114,
  [11747] = 8115,
  [11748] = 8116,
  [11749] = 8117,
  [11750] = 8118,
  [11751] = 8119,
  [11752] = 8121,
  [11753] = 8122,
  [11754] = 8123,
  [11755] = 8127,
  [11756] = 8124,
  [11757] = 8125,
  [11758] = 11758,
  [11759] = 10710,
  [11760] = 8128,
  [11761] = 11469,
  [11762] = 11433,
  [11763] = 11666,
  [11764] = 9124,
  [11765] = 9125,
  [11766] = 11121,
  [11767] = 8128,
  [11768] = 8127,
  [11769] = 11769,
  [11770] = 11770,
  [11771] = 11653,
  [11772] = 11653,
  [11773] = 11121,
  [11774] = 11027,
  [11775] = 10938,
  [11776] = 8925,
  [11777] = 11086,
  [11778] = 11655,
  [11779] = 9139,
  [11780] = 9140,
  [11781] = 9143,
  [11782] = 11370,
  [11783] = 9144,
  [11784] = 10676,
  [11785] = 10898,
  [11786] = 11786,
  [11787] = 8214,
  [11788] = 10013,
  [11789] = 10710,
  [11790] = 11666,
  [11791] = 5426,
  [11792] = 11655,
  [11793] = 9161,
  [11794] = 9162,
  [11795] = 9164,
  [11796] = 9165,
  [11797] = 9167,
  [11798] = 9168,
  [11799] = 11653,
  [11800] = 11250,
  [11801] = 11770,
  [11802] = 9170,
  [11803] = 9172,
  [11804] = 10935,
  [11805] = 10937,
  [11806] = 10938,
  [11807] = 9173,
  [11808] = 11666,
  [11809] = 5524,
  [11810] = 8180,
  [11811] = 8214,
  [11812] = 9176,
  [11813] = 11653,
  [11814] = 8180,
  [11815] = 11758,
  [11816] = 11671,
  [11817] = 11666,
  [11818] = 11818,
  [11819] = 11655,
  [11820] = 9850,
  [11821] = 8928,
  [11822] = 11652,
  [11823] = 11433,
  [11824] = 11410,
  [11825] = 11653,
  [11826] = 11655,
  [11827] = 11561,
  [11828] = 11082,
  [11829] = 11085,
  [11830] = 11250,
  [11831] = 10922,
  [11832] = 10676,
  [11833] = 11655,
  [11834] = 9191,
  [11835] = 11412,
  [11836] = 11653,
  [11837] = 11837,
  [11838] = 11653,
  [11839] = 8329,
  [11840] = 11840,
  [11841] = 11653,
  [11842] = 11653,
  [11843] = 10927,
  [11844] = 11082,
  [11845] = 11085,
  [11846] = 11583,
  [11847] = 11786,
  [11848] = 11675,
  [11849] = 11678,
  [11850] = 11683,
  [11851] = 11671,
  [11852] = 11818,
  [11853] = 11675,
  [11854] = 11678,
  [11855] = 11683,
  [11856] = 11671,
  [11857] = 11818,
  [11858] = 11076,
  [11859] = 11077,
  [11860] = 11675,
  [11861] = 11678,
  [11862] = 11683,
  [11863] = 11671,
  [11864] = 11818,
  [11865] = 11675,
  [11866] = 11678,
  [11867] = 11671,
  [11868] = 11770,
  [11869] = 11370,
  [11870] = 11770,
  [11871] = 11112,
  [11872] = 11113,
  [11873] = 11770,
  [11874] = 11770,
  [11875] = 10676,
  [11876] = 11469,
  [11877] = 10937,
  [11878] = 2941,
  [11879] = 11879,
  [11880] = 8092,
  [11881] = 11881,
  [11882] = 8144,
  [11883] = 11883,
  [11884] = 8144,
  [11885] = 10710,
  [11886] = 8180,
  [11887] = 8214,
  [11888] = 8092,
  [11889] = 11889,
  [11890] = 2915,
  [11891] = 8114,
  [11892] = 8115,
  [11893] = 8116,
  [11894] = 8117,
  [11895] = 8118,
  [11896] = 8119,
  [11897] = 8121,
  [11898] = 8122,
  [11899] = 8123,
  [11900] = 8124,
  [11901] = 8125,
  [11902] = 8127,
  [11903] = 8128,
  [11904] = 11879,
  [11905] = 8127,
  [11906] = 8114,
  [11907] = 8115,
  [11908] = 8214,
  [11909] = 11909,
  [11910] = 11881,
  [11911] = 8116,
  [11912] = 8117,
  [11913] = 8118,
  [11914] = 8119,
  [11915] = 8121,
  [11916] = 8122,
  [11917] = 8123,
  [11918] = 8124,
  [11919] = 8125,
  [11920] = 8144,
  [11921] = 2917,
  [11922] = 8180,
  [11923] = 8214,
  [11924] = 11883,
  [11925] = 11909,
  [11926] = 2925,
  [11927] = 11927,
  [11928] = 2943,
  [11929] = 10332,
  [11930] = 10333,
  [11931] = 11931,
  [11932] = 11932,
  [11933] = 10335,
  [11934] = 9850,
  [11935] = 8127,
  [11936] = 11881,
  [11937] = 11937,
  [11938] = 8967,
  [11939] = 8214,
  [11940] = 8128,
  [11941] = 11941,
  [11942] = 10332,
  [11943] = 10333,
  [11944] = 10335,
  [11945] = 10335,
  [11946] = 11881,
  [11947] = 8127,
  [11948] = 11948,
  [11949] = 11881,
  [11950] = 11881,
  [11951] = 8143,
  [11952] = 8147,
  [11953] = 8106,
  [11954] = 8107,
  [11955] = 8108,
  [11956] = 11956,
  [11957] = 11881,
  [11958] = 8144,
  [11959] = 8143,
  [11960] = 8147,
  [11961] = 8106,
  [11962] = 8107,
  [11963] = 8108,
  [11964] = 8214,
  [11965] = 11881,
  [11966] = 8143,
  [11967] = 8147,
  [11968] = 8106,
  [11969] = 8107,
  [11970] = 8108,
  [11971] = 11881,
  [11972] = 8143,
  [11973] = 8147,
  [11974] = 8106,
  [11975] = 8107,
  [11976] = 8108,
  [11977] = 11881,
  [11978] = 11881,
  [11979] = 10332,
  [11980] = 11881,
  [11981] = 11981,
  [11982] = 11982,
  [11983] = 11983,
  [11984] = 11881,
  [11985] = 8092,
  [11986] = 11881,
  [11987] = 11941,
  [11988] = 8928,
  [11989] = 11989,
  [11990] = 11881,
  [11991] = 11991,
  [11992] = 11992,
  [11993] = 8144,
  [11994] = 11881,
  [11995] = 11881,
  [11996] = 11996,
  [11997] = 11981,
  [11998] = 11881,
  [11999] = 11982,
  [12000] = 8180,
  [12001] = 8214,
  [12002] = 12002,
  [12003] = 10333,
  [12004] = 11881,
  [12005] = 11956,
  [12006] = 11881,
  [12007] = 8143,
  [12008] = 11881,
  [12009] = 8147,
  [12010] = 8106,
  [12011] = 11881,
  [12012] = 11931,
  [12013] = 11932,
  [12014] = 8114,
  [12015] = 8115,
  [12016] = 8116,
  [12017] = 11881,
  [12018] = 8117,
  [12019] = 8118,
  [12020] = 8119,
  [12021] = 8121,
  [12022] = 11881,
  [12023] = 8122,
  [12024] = 8123,
  [12025] = 8144,
  [12026] = 11881,
  [12027] = 8092,
  [12028] = 8214,
  [12029] = 8127,
  [12030] = 8124,
  [12031] = 11881,
  [12032] = 8125,
  [12033] = 8107,
  [12034] = 8108,
  [12035] = 11881,
  [12036] = 8143,
  [12037] = 11881,
  [12038] = 8127,
  [12039] = 8147,
  [12040] = 8106,
  [12041] = 11881,
  [12042] = 8128,
  [12043] = 8107,
  [12044] = 8108,
  [12045] = 11881,
  [12046] = 12046,
  [12047] = 11881,
  [12048] = 11881,
  [12049] = 11881,
  [12050] = 8587,
  [12051] = 11881,
  [12052] = 11881,
  [12053] = 10152,
  [12054] = 11881,
  [12055] = 8924,
  [12056] = 8127,
  [12057] = 8114,
  [12058] = 8115,
  [12059] = 8116,
  [12060] = 8117,
  [12061] = 8118,
  [12062] = 8119,
  [12063] = 11881,
  [12064] = 8121,
  [12065] = 8180,
  [12066] = 2906,
  [12067] = 8122,
  [12068] = 11881,
  [12069] = 8123,
  [12070] = 8124,
  [12071] = 2907,
  [12072] = 8114,
  [12073] = 8115,
  [12074] = 8116,
  [12075] = 8117,
  [12076] = 8125,
  [12077] = 11881,
  [12078] = 8118,
  [12079] = 8119,
  [12080] = 8121,
  [12081] = 8127,
  [12082] = 8122,
  [12083] = 11881,
  [12084] = 8123,
  [12085] = 8124,
  [12086] = 8125,
  [12087] = 8128,
  [12088] = 11881,
  [12089] = 2910,
  [12090] = 12090,
  [12091] = 12091,
  [12092] = 12092,
  [12093] = 8127,
  [12094] = 8127,
  [12095] = 11879,
  [12096] = 8214,
  [12097] = 8092,
  [12098] = 12090,
  [12099] = 12091,
  [12100] = 5524,
  [12101] = 12092,
  [12102] = 12102,
  [12103] = 12103,
  [12104] = 12090,
  [12105] = 8925,
  [12106] = 8114,
  [12107] = 8115,
  [12108] = 8116,
  [12109] = 8117,
  [12110] = 8118,
  [12111] = 12090,
  [12112] = 8128,
  [12113] = 8119,
  [12114] = 2940,
  [12115] = 8121,
  [12116] = 8122,
  [12117] = 8123,
  [12118] = 8124,
  [12119] = 8125,
  [12120] = 8127,
  [12121] = 8128,
  [12122] = 8180,
  [12123] = 8214,
  [12124] = 10935,
  [12125] = 10937,
  [12126] = 10938,
  [12127] = 9356,
  [12128] = 10676,
  [12129] = 2912,
  [12130] = 8144,
  [12131] = 12131,
  [12132] = 12102,
  [12133] = 11983,
  [12134] = 12002,
  [12135] = 11989,
  [12136] = 11991,
  [12137] = 12137,
  [12138] = 12138,
  [12139] = 11992,
  [12140] = 2942,
  [12141] = 11881,
  [12142] = 8214,
  [12143] = 11996,
  [12144] = 8180,
  [12145] = 8214,
  [12146] = 8092,
  [12147] = 8143,
  [12148] = 8147,
  [12149] = 8106,
  [12150] = 8107,
  [12151] = 11082,
  [12152] = 11085,
  [12153] = 8108,
  [12154] = 11889,
  [12155] = 8180,
  [12156] = 8214,
  [12157] = 12138,
  [12158] = 2924,
  [12159] = 8114,
  [12160] = 8115,
  [12161] = 8116,
  [12162] = 8117,
  [12163] = 8118,
  [12164] = 8119,
  [12165] = 8121,
  [12166] = 12166,
  [12167] = 12167,
  [12168] = 12168,
  [12169] = 12169,
  [12170] = 12170,
  [12171] = 8122,
  [12172] = 8123,
  [12173] = 12166,
  [12174] = 12167,
  [12175] = 12168,
  [12176] = 12169,
  [12177] = 12170,
  [12178] = 8124,
  [12179] = 8125,
  [12180] = 8127,
  [12181] = 8128,
  [12182] = 12182,
  [12183] = 12183,
  [12184] = 12184,
  [12185] = 12182,
  [12186] = 12184,
  [12187] = 12187,
  [12188] = 11881,
  [12189] = 12189,
  [12190] = 8114,
  [12191] = 12191,
  [12192] = 12192,
  [12193] = 12189,
  [12194] = 12192,
  [12195] = 12191,
  [12196] = 12191,
  [12197] = 12137,
  [12198] = 8118,
  [12199] = 12166,
  [12200] = 11991,
  [12201] = 12189,
  [12202] = 8127,
  [12203] = 11992,
  [12204] = 8180,
  [12205] = 8143,
  [12206] = 8147,
  [12207] = 12192,
  [12208] = 8106,
  [12209] = 8214,
  [12210] = 12189,
  [12211] = 8107,
  [12212] = 8108,
  [12213] = 8143,
  [12214] = 12192,
  [12215] = 8215,
  [12216] = 11983,
  [12217] = 8128,
  [12218] = 8114,
  [12219] = 8115,
  [12220] = 8116,
  [12221] = 8117,
  [12222] = 8118,
  [12223] = 8125,
  [12224] = 8180,
  [12225] = 8119,
  [12226] = 12189,
  [12227] = 8147,
  [12228] = 8214,
  [12229] = 12189,
  [12230] = 8180,
  [12231] = 8121,
  [12232] = 12191,
  [12233] = 12191,
  [12234] = 9170,
  [12235] = 8092,
  [12236] = 8144,
  [12237] = 12192,
  [12238] = 8122,
  [12239] = 12192,
  [12240] = 8123,
  [12241] = 8106,
  [12242] = 12192,
  [12243] = 12243,
  [12244] = 12189,
  [12245] = 8119,
  [12246] = 8124,
  [12247] = 8107,
  [12248] = 8125,
  [12249] = 12189,
  [12250] = 8180,
  [12251] = 12191,
  [12252] = 10676,
  [12253] = 12189,
  [12254] = 12189,
  [12255] = 12192,
  [12256] = 12191,
  [12257] = 12192,
  [12258] = 8214,
  [12259] = 8147,
  [12260] = 8128,
  [12261] = 8106,
  [12262] = 2785,
  [12263] = 8114,
  [12264] = 8128,
  [12265] = 8147,
  [12266] = 12189,
  [12267] = 9172,
  [12268] = 12192,
  [12269] = 12191,
  [12270] = 12191,
  [12271] = 8119,
  [12272] = 9123,
  [12273] = 9176,
  [12274] = 9173,
  [12275] = 12189,
  [12276] = 12189,
  [12277] = 8106,
  [12278] = 9124,
  [12279] = 8115,
  [12280] = 12192,
  [12281] = 8116,
  [12282] = 8117,
  [12283] = 8118,
  [12284] = 10710,
  [12285] = 8119,
  [12286] = 8121,
  [12287] = 8122,
  [12288] = 8123,
  [12289] = 8124,
  [12290] = 8125,
  [12291] = 8114,
  [12292] = 12191,
  [12293] = 8114,
  [12294] = 8115,
  [12295] = 8121,
  [12296] = 12192,
  [12297] = 8116,
  [12298] = 8117,
  [12299] = 8118,
  [12300] = 8119,
  [12301] = 8121,
  [12302] = 8122,
  [12303] = 8123,
  [12304] = 8124,
  [12305] = 8125,
  [12306] = 12187,
  [12307] = 8108,
  [12308] = 8127,
  [12309] = 12191,
  [12310] = 8128,
  [12311] = 12192,
  [12312] = 12191,
  [12313] = 8128,
  [12314] = 12189,
  [12315] = 12189,
  [12316] = 12316,
  [12317] = 12192,
  [12318] = 8122,
  [12319] = 12189,
  [12320] = 12192,
  [12321] = 8214,
  [12322] = 8125,
  [12323] = 12189,
  [12324] = 8123,
  [12325] = 12191,
  [12326] = 12189,
  [12327] = 12191,
  [12328] = 8115,
  [12329] = 12191,
  [12330] = 12192,
  [12331] = 12189,
  [12332] = 12191,
  [12333] = 8116,
  [12334] = 8117,
  [12335] = 12191,
  [12336] = 9125,
  [12337] = 8180,
  [12338] = 2906,
  [12339] = 2907,
  [12340] = 12192,
  [12341] = 2910,
  [12342] = 8114,
  [12343] = 8107,
  [12344] = 12183,
  [12345] = 2912,
  [12346] = 12191,
  [12347] = 8118,
  [12348] = 8121,
  [12349] = 2899,
  [12350] = 8214,
  [12351] = 8180,
  [12352] = 2915,
  [12353] = 2917,
  [12354] = 12192,
  [12355] = 8108,
  [12356] = 8114,
  [12357] = 12192,
  [12358] = 12192,
  [12359] = 2900,
  [12360] = 2901,
  [12361] = 2902,
  [12362] = 2904,
  [12363] = 9108,
  [12364] = 8127,
  [12365] = 9103,
  [12366] = 12192,
  [12367] = 12192,
  [12368] = 8115,
  [12369] = 12191,
  [12370] = 12192,
  [12371] = 2924,
  [12372] = 8107,
  [12373] = 8178,
  [12374] = 12192,
  [12375] = 8108,
  [12376] = 2925,
  [12377] = 12189,
  [12378] = 8259,
  [12379] = 8186,
  [12380] = 8123,
  [12381] = 8114,
  [12382] = 12189,
  [12383] = 8124,
  [12384] = 8115,
  [12385] = 12191,
  [12386] = 8116,
  [12387] = 12387,
  [12388] = 8125,
  [12389] = 8117,
  [12390] = 8124,
  [12391] = 8115,
  [12392] = 12191,
  [12393] = 8118,
  [12394] = 8115,
  [12395] = 8116,
  [12396] = 8119,
  [12397] = 8121,
  [12398] = 12191,
  [12399] = 12192,
  [12400] = 8122,
  [12401] = 8116,
  [12402] = 8123,
  [12403] = 8117,
  [12404] = 8128,
  [12405] = 8124,
  [12406] = 8117,
  [12407] = 8127,
  [12408] = 8125,
  [12409] = 8092,
  [12410] = 8143,
  [12411] = 12191,
  [12412] = 8180,
  [12413] = 9139,
  [12414] = 9109,
  [12415] = 7872,
  [12416] = 12192,
  [12417] = 8117,
  [12418] = 12418,
  [12419] = 12091,
  [12420] = 12192,
  [12421] = 9140,
  [12422] = 8118,
  [12423] = 9191,
  [12424] = 12191,
  [12425] = 8128,
  [12426] = 12192,
  [12427] = 12427,
  [12428] = 8144,
  [12429] = 12189,
  [12430] = 9143,
  [12431] = 12189,
  [12432] = 12192,
  [12433] = 8114,
  [12434] = 8115,
  [12435] = 12189,
  [12436] = 12192,
  [12437] = 9110,
  [12438] = 12192,
  [12439] = 8119,
  [12440] = 12189,
  [12441] = 12191,
  [12442] = 12192,
  [12443] = 12189,
  [12444] = 12191,
  [12445] = 8128,
  [12446] = 8121,
  [12447] = 12192,
  [12448] = 8143,
  [12449] = 8147,
  [12450] = 12191,
  [12451] = 8106,
  [12452] = 8116,
  [12453] = 8107,
  [12454] = 9111,
  [12455] = 12189,
  [12456] = 12192,
  [12457] = 8122,
  [12458] = 12192,
  [12459] = 12191,
  [12460] = 8108,
  [12461] = 8144,
  [12462] = 8144,
  [12463] = 12192,
  [12464] = 12192,
  [12465] = 8144,
  [12466] = 12466,
  [12467] = 8123,
  [12468] = 12184,
  [12469] = 12191,
  [12470] = 8117,
  [12471] = 12192,
  [12472] = 11996,
  [12473] = 12192,
  [12474] = 12192,
  [12475] = 8116,
  [12476] = 8167,
  [12477] = 12192,
  [12478] = 12189,
  [12479] = 8118,
  [12480] = 8117,
  [12481] = 12092,
  [12482] = 12191,
  [12483] = 8118,
  [12484] = 8119,
  [12485] = 12192,
  [12486] = 9161,
  [12487] = 8124,
  [12488] = 8119,
  [12489] = 9162,
  [12490] = 9164,
  [12491] = 12192,
  [12492] = 10152,
  [12493] = 8214,
  [12494] = 8121,
  [12495] = 12167,
  [12496] = 12191,
  [12497] = 2783,
  [12498] = 8144,
  [12499] = 9165,
  [12500] = 8144,
  [12501] = 12192,
  [12502] = 12316,
  [12503] = 8118,
  [12504] = 12192,
  [12505] = 12189,
  [12506] = 12192,
  [12507] = 8180,
  [12508] = 12189,
  [12509] = 12189,
  [12510] = 8092,
  [12511] = 12191,
  [12512] = 8122,
  [12513] = 12170,
  [12514] = 12191,
  [12515] = 12189,
  [12516] = 12516,
  [12517] = 8125,
  [12518] = 12191,
  [12519] = 8125,
  [12520] = 12191,
  [12521] = 12192,
  [12522] = 8144,
  [12523] = 8180,
  [12524] = 9144,
  [12525] = 8121,
  [12526] = 12182,
  [12527] = 12192,
  [12528] = 8119,
  [12529] = 9167,
  [12530] = 12192,
  [12531] = 9168,
  [12532] = 8122,
  [12533] = 12191,
  [12534] = 12189,
  [12535] = 12192,
  [12536] = 12189,
  [12537] = 8143,
  [12538] = 8147,
  [12539] = 8106,
  [12540] = 8107,
  [12541] = 8108,
  [12542] = 8122,
  [12543] = 12189,
  [12544] = 12192,
  [12545] = 8144,
  [12546] = 12191,
  [12547] = 12189,
  [12548] = 12189,
  [12549] = 8123,
  [12550] = 8214,
  [12551] = 8123,
  [12552] = 8180,
  [12553] = 12192,
  [12554] = 12191,
  [12555] = 12189,
  [12556] = 8214,
  [12557] = 8127,
  [12558] = 12192,
  [12559] = 12189,
  [12560] = 12168,
  [12561] = 12169,
  [12562] = 12191,
  [12563] = 12192,
  [12564] = 8124,
  [12565] = 12189,
  [12566] = 8121,
  [12567] = 8128,
  [12568] = 8144,
  [12569] = 9121,
  [12570] = 8114,
  [12571] = 8144,
  [12572] = 8967,
  [12573] = 9220,
  [12574] = 12191,
  [12575] = 12192,
  [12576] = 8123,
  [12577] = 8125,
  [12578] = 8143,
  [12579] = 12192,
  [12580] = 8124,
  [12581] = 12191,
  [12582] = 8127,
  [12583] = 12191,
  [12584] = 8124,
  [12585] = 12192,
  [12586] = 11989,
  [12587] = 8128,
  [12588] = 8115,
  [12589] = 12189,
  [12590] = 12191,
  [12591] = 8116,
  [12592] = 8122,
  [12593] = 8092,
  [12594] = 12594,
  [12595] = 12189,
  [12596] = 8127,
  [12597] = 5054,
  [12598] = 12192,
  [12599] = 12189,
  [12600] = 8127,
  [12601] = 11992,
  [12602] = 12602,
  [12603] = 11981,
  [12604] = 12602,
  [12605] = 12605,
  [12606] = 12606,
  [12607] = 12607,
  [12608] = 8128,
  [12609] = 12602,
  [12610] = 12602,
  [12611] = 9176,
  [12612] = 12602,
  [12613] = 9850,
  [12614] = 12614,
  [12615] = 12615,
  [12616] = 9139,
  [12617] = 9103,
  [12618] = 11981,
  [12619] = 12602,
  [12620] = 8144,
  [12621] = 11982,
  [12622] = 12622,
  [12623] = 12623,
  [12624] = 12602,
  [12625] = 12625,
  [12626] = 9140,
  [12627] = 8114,
  [12628] = 8115,
  [12629] = 8116,
  [12630] = 8117,
  [12631] = 8118,
  [12632] = 8119,
  [12633] = 8121,
  [12634] = 12602,
  [12635] = 8122,
  [12636] = 8123,
  [12637] = 12637,
  [12638] = 8144,
  [12639] = 12602,
  [12640] = 8124,
  [12641] = 8125,
  [12642] = 12602,
  [12643] = 12602,
  [12644] = 9191,
  [12645] = 8144,
  [12646] = 9143,
  [12647] = 11931,
  [12648] = 11932,
  [12649] = 12649,
  [12650] = 9144,
  [12651] = 8144,
  [12652] = 12602,
  [12653] = 11982,
  [12654] = 12654,
  [12655] = 8114,
  [12656] = 12602,
  [12657] = 12602,
  [12658] = 8115,
  [12659] = 8116,
  [12660] = 12660,
  [12661] = 8117,
  [12662] = 5426,
  [12663] = 8144,
  [12664] = 12664,
  [12665] = 8180,
  [12666] = 12666,
  [12667] = 8118,
  [12668] = 8119,
  [12669] = 12602,
  [12670] = 8121,
  [12671] = 8144,
  [12672] = 12602,
  [12673] = 5524,
  [12674] = 12602,
  [12675] = 9161,
  [12676] = 9162,
  [12677] = 12677,
  [12678] = 5166,
  [12679] = 9164,
  [12680] = 8144,
  [12681] = 8128,
  [12682] = 9165,
  [12683] = 12602,
  [12684] = 9167,
  [12685] = 8180,
  [12686] = 8122,
  [12687] = 12687,
  [12688] = 9168,
  [12689] = 12625,
  [12690] = 12602,
  [12691] = 12602,
  [12692] = 12692,
  [12693] = 8123,
  [12694] = 8124,
  [12695] = 8125,
  [12696] = 9108,
  [12697] = 9109,
  [12698] = 8928,
  [12699] = 12602,
  [12700] = 12602,
  [12701] = 9110,
  [12702] = 9111,
  [12703] = 12602,
  [12704] = 12102,
  [12705] = 8144,
  [12706] = 8128,
  [12707] = 8180,
  [12708] = 12602,
  [12709] = 8144,
  [12710] = 8114,
  [12711] = 8180,
  [12712] = 12625,
  [12713] = 12182,
  [12714] = 12184,
  [12715] = 12602,
  [12716] = 9170,
  [12717] = 11931,
  [12718] = 11932,
  [12719] = 12719,
  [12720] = 12602,
  [12721] = 8128,
  [12722] = 12602,
  [12723] = 12602,
  [12724] = 11981,
  [12725] = 11982,
  [12726] = 12726,
  [12727] = 11931,
  [12728] = 11932,
  [12729] = 12729,
  [12730] = 8115,
  [12731] = 9172,
  [12732] = 12602,
  [12733] = 8116,
  [12734] = 12091,
  [12735] = 12092,
  [12736] = 12736,
  [12737] = 12602,
  [12738] = 12738,
  [12739] = 12602,
  [12740] = 8117,
  [12741] = 9121,
  [12742] = 8118,
  [12743] = 12625,
  [12744] = 11983,
  [12745] = 12602,
  [12746] = 8119,
  [12747] = 9123,
  [12748] = 12602,
  [12749] = 9124,
  [12750] = 12729,
  [12751] = 9125,
  [12752] = 11989,
  [12753] = 11991,
  [12754] = 8925,
  [12755] = 2940,
  [12756] = 2941,
  [12757] = 2942,
  [12758] = 2943,
  [12759] = 12759,
  [12760] = 12602,
  [12761] = 11996,
  [12762] = 12602,
  [12763] = 12602,
  [12764] = 8114,
  [12765] = 8115,
  [12766] = 8116,
  [12767] = 8117,
  [12768] = 8118,
  [12769] = 12602,
  [12770] = 8119,
  [12771] = 8121,
  [12772] = 8122,
  [12773] = 8123,
  [12774] = 8124,
  [12775] = 8125,
  [12776] = 12602,
  [12777] = 9173,
  [12778] = 12602,
  [12779] = 12602,
  [12780] = 12780,
  [12781] = 12102,
  [12782] = 12602,
  [12783] = 8144,
  [12784] = 12759,
  [12785] = 8121,
  [12786] = 8122,
  [12787] = 8123,
  [12788] = 8124,
  [12789] = 12102,
  [12790] = 12790,
  [12791] = 12602,
  [12792] = 12602,
  [12793] = 9220,
  [12794] = 12602,
  [12795] = 12166,
  [12796] = 12167,
  [12797] = 12168,
  [12798] = 12169,
  [12799] = 12170,
  [12800] = 8125,
  [12801] = 8924,
  [12802] = 12802,
  [12803] = 12803,
  [12804] = 12803,
  [12805] = 12805,
  [12806] = 8967,
  [12807] = 12802,
  [12808] = 12805,
  [12809] = 12802,
  [12810] = 8847,
  [12811] = 10152,
  [12812] = 12803,
  [12813] = 12813,
  [12814] = 8582,
  [12815] = 12815,
  [12816] = 12816,
  [12817] = 12817,
  [12818] = 12802,
  [12819] = 12805,
  [12820] = 12805,
  [12821] = 12803,
  [12822] = 8664,
  [12823] = 12823,
  [12824] = 12824,
  [12825] = 8888,
  [12826] = 12824,
  [12827] = 9161,
  [12828] = 12828,
  [12829] = 9356,
  [12830] = 12830,
  [12831] = 12831,
  [12832] = 5426,
  [12833] = 12830,
  [12834] = 12834,
  [12835] = 5426,
  [12836] = 8587,
  [12837] = 12837,
  [12838] = 9191,
  [12839] = 12839,
  [12840] = 9121,
  [12841] = 9123,
  [12842] = 12813,
  [12843] = 5524,
  [12844] = 9124,
  [12845] = 9162,
  [12846] = 9168,
  [12847] = 2940,
  [12848] = 2941,
  [12849] = 2942,
  [12850] = 2943,
  [12851] = 9220,
  [12852] = 5313,
  [12853] = 9125,
  [12854] = 12824,
  [12855] = 8928,
  [12856] = 9170,
  [12857] = 9140,
  [12858] = 9173,
  [12859] = 9172,
  [12860] = 7992,
  [12861] = 12183,
  [12862] = 8924,
  [12863] = 8925,
  [12864] = 12864,
  [12865] = 9108,
  [12866] = 9109,
  [12867] = 2940,
  [12868] = 12868,
  [12869] = 9110,
  [12870] = 9176,
  [12871] = 9164,
  [12872] = 9111,
  [12873] = 2941,
  [12874] = 9103,
  [12875] = 2942,
  [12876] = 2943,
  [12877] = 9143,
  [12878] = 12839,
  [12879] = 12839,
  [12880] = 12824,
  [12881] = 12881,
  [12882] = 12882,
  [12883] = 12883,
  [12884] = 8872,
  [12885] = 12830,
  [12886] = 12824,
  [12887] = 9165,
  [12888] = 5524,
  [12889] = 9144,
  [12890] = 5357,
  [12891] = 12891,
  [12892] = 9167,
  [12893] = 12893,
  [12894] = 12839,
  [12895] = 8863,
  [12896] = 12137,
  [12897] = 12824,
  [12898] = 9139,
  [12899] = 12830,
  [12900] = 12187,
  [12901] = 12901,
  [12902] = 12902,
  [12903] = 12903,
  [12904] = 12904,
  [12905] = 12905,
  [12906] = 12902,
  [12907] = 12902,
  [12908] = 12902,
  [12909] = 12904,
  [12910] = 12904,
  [12911] = 12911,
  [12912] = 12904,
  [12913] = 7475,
  [12914] = 7476,
  [12915] = 7477,
  [12916] = 12916,
  [12917] = 12917,
  [12918] = 7478,
  [12919] = 8150,
  [12920] = 12902,
  [12921] = 12921,
  [12922] = 8169,
  [12923] = 12923,
  [12924] = 12904,
  [12925] = 12925,
  [12926] = 12902,
  [12927] = 12927,
  [12928] = 12928,
  [12929] = 12902,
  [12930] = 12904,
  [12931] = 12902,
  [12932] = 12932,
  [12933] = 12904,
  [12934] = 12934,
  [12935] = 12904,
  [12936] = 4759,
  [12937] = 12937,
  [12938] = 12938,
  [12939] = 12939,
  [12940] = 12940,
  [12941] = 12941,
  [12942] = 12942,
  [12943] = 12904,
  [12944] = 12944,
  [12945] = 12902,
  [12946] = 12946,
  [12947] = 7872,
  [12948] = 12948,
  [12949] = 12949,
  [12950] = 12902,
  [12951] = 4715,
  [12952] = 12952,
  [12953] = 12953,
  [12954] = 12904,
  [12955] = 9496,
  [12956] = 12956,
  [12957] = 12904,
  [12958] = 12904,
  [12959] = 12959,
  [12960] = 12902,
  [12961] = 12961,
  [12962] = 12902,
  [12963] = 12902,
  [12964] = 12964,
  [12965] = 5429,
  [12966] = 12966,
  [12967] = 12967,
  [12968] = 12902,
  [12969] = 12969,
  [12970] = 12970,
  [12971] = 12971,
  [12972] = 12904,
  [12973] = 12956,
  [12974] = 12904,
  [12975] = 12948,
  [12976] = 12956,
  [12977] = 8967,
  [12978] = 12978,
  [12979] = 9850,
  [12980] = 12948,
  [12981] = 12981,
  [12982] = 12982,
  [12983] = 12983,
  [12984] = 12984,
  [12985] = 12985,
  [12986] = 12902,
  [12987] = 12904,
  [12988] = 12948,
  [12989] = 12904,
  [12990] = 12990,
  [12991] = 12991,
  [12992] = 12992,
  [12993] = 12993,
  [12994] = 12956,
  [12995] = 12995,
  [12996] = 12902,
  [12997] = 12902,
  [12998] = 12998,
  [12999] = 7484,
  [13000] = 12904,
  [13001] = 9495,
  [13002] = 12902,
  [13003] = 13003,
  [13004] = 13004,
  [13005] = 5430,
  [13006] = 13006,
  [13007] = 7628,
  [13008] = 7538,
  [13009] = 13009,
  [13010] = 13010,
  [13011] = 12904,
  [13012] = 7543,
  [13013] = 12904,
  [13014] = 12904,
  [13015] = 13015,
  [13016] = 13016,
  [13017] = 7509,
  [13018] = 7630,
  [13019] = 13019,
  [13020] = 7631,
  [13021] = 12902,
  [13022] = 7632,
  [13023] = 12904,
  [13024] = 5447,
  [13025] = 5451,
  [13026] = 7450,
  [13027] = 12902,
  [13028] = 12902,
  [13029] = 12902,
  [13030] = 13030,
  [13031] = 12902,
  [13032] = 13032,
  [13033] = 12904,
  [13034] = 12902,
  [13035] = 12904,
  [13036] = 13036,
  [13037] = 12904,
  [13038] = 13038,
  [13039] = 12904,
  [13040] = 12904,
  [13041] = 12902,
  [13042] = 12970,
  [13043] = 12904,
  [13044] = 12902,
  [13045] = 13045,
  [13046] = 12902,
  [13047] = 13047,
  [13048] = 13048,
  [13049] = 12902,
  [13050] = 12902,
  [13051] = 13051,
  [13052] = 12902,
  [13053] = 12902,
  [13054] = 12904,
  [13055] = 13055,
  [13056] = 5457,
  [13057] = 13057,
  [13058] = 12904,
  [13059] = 13059,
  [13060] = 12904,
  [13061] = 12902,
  [13062] = 7491,
  [13063] = 12904,
  [13064] = 13064,
  [13065] = 13065,
  [13066] = 13066,
  [13067] = 12904,
  [13068] = 13068,
  [13069] = 12904,
  [13070] = 13070,
  [13071] = 12904,
  [13072] = 7461,
  [13073] = 12902,
  [13074] = 7462,
  [13075] = 12902,
  [13076] = 12904,
  [13077] = 12904,
  [13078] = 12902,
  [13079] = 12902,
  [13080] = 13080,
  [13081] = 7463,
  [13082] = 7464,
  [13083] = 12902,
  [13084] = 13084,
  [13085] = 12902,
  [13086] = 7466,
  [13087] = 13087,
  [13088] = 12904,
  [13089] = 12904,
  [13090] = 13090,
  [13091] = 12902,
  [13092] = 12904,
  [13093] = 13093,
  [13094] = 13094,
  [13095] = 12904,
  [13096] = 13096,
  [13097] = 13097,
  [13098] = 12902,
  [13099] = 13099,
  [13100] = 12902,
  [13101] = 12904,
  [13102] = 13102,
  [13103] = 13103,
  [13104] = 12902,
  [13105] = 12904,
  [13106] = 13106,
  [13107] = 4711,
  [13108] = 12902,
  [13109] = 5532,
  [13110] = 12904,
  [13111] = 12187,
  [13112] = 10152,
  [13113] = 9103,
  [13114] = 9121,
  [13115] = 9123,
  [13116] = 9124,
  [13117] = 9125,
  [13118] = 5524,
  [13119] = 9220,
  [13120] = 13120,
  [13121] = 8549,
  [13122] = 8557,
  [13123] = 12137,
  [13124] = 13124,
  [13125] = 13125,
  [13126] = 9139,
  [13127] = 9140,
  [13128] = 9143,
  [13129] = 9168,
  [13130] = 9165,
  [13131] = 9144,
  [13132] = 13132,
  [13133] = 8587,
  [13134] = 9191,
  [13135] = 9164,
  [13136] = 2941,
  [13137] = 2942,
  [13138] = 2943,
  [13139] = 12183,
  [13140] = 9161,
  [13141] = 13141,
  [13142] = 13142,
  [13143] = 13143,
  [13144] = 9162,
  [13145] = 13145,
  [13146] = 4766,
  [13147] = 9850,
  [13148] = 13148,
  [13149] = 9108,
  [13150] = 9109,
  [13151] = 9110,
  [13152] = 9111,
  [13153] = 8666,
  [13154] = 9176,
  [13155] = 9170,
  [13156] = 13156,
  [13157] = 12815,
  [13158] = 9172,
  [13159] = 5426,
  [13160] = 9167,
  [13161] = 9173,
  [13162] = 2940,
  [13163] = 2941,
  [13164] = 13164,
  [13165] = 9040,
  [13166] = 10013,
  [13167] = 13167,
  [13168] = 5304,
  [13169] = 9036,
  [13170] = 8854,
  [13171] = 10076,
  [13172] = 10152,
  [13173] = 4711,
  [13174] = 10077,
  [13175] = 13175,
  [13176] = 13164,
  [13177] = 8871,
  [13178] = 10075,
  [13179] = 8887,
  [13180] = 10078,
  [13181] = 9038,
  [13182] = 8873,
  [13183] = 8860,
  [13184] = 8874,
  [13185] = 8912,
  [13186] = 13186,
  [13187] = 4715,
  [13188] = 8864,
  [13189] = 13189,
  [13190] = 13189,
  [13191] = 8893,
  [13192] = 8329,
  [13193] = 13193,
  [13194] = 8862,
  [13195] = 13164,
  [13196] = 9041,
  [13197] = 13189,
  [13198] = 13164,
  [13199] = 13199,
  [13200] = 8891,
  [13201] = 2940,
  [13202] = 13189,
  [13203] = 2942,
  [13204] = 2943,
  [13205] = 9035,
  [13206] = 8922,
  [13207] = 9850,
  [13208] = 9048,
  [13209] = 4759,
  [13210] = 13210,
  [13211] = 5502,
  [13212] = 13210,
  [13213] = 5505,
  [13214] = 13210,
  [13215] = 5495,
  [13216] = 13210,
  [13217] = 13210,
  [13218] = 5547,
  [13219] = 5533,
  [13220] = 5412,
  [13221] = 13221,
  [13222] = 13210,
  [13223] = 13210,
  [13224] = 13224,
  [13225] = 13210,
  [13226] = 13210,
  [13227] = 8983,
  [13228] = 10152,
  [13229] = 13210,
  [13230] = 13221,
  [13231] = 13231,
  [13232] = 13210,
  [13233] = 13210,
  [13234] = 13231,
  [13235] = 13210,
  [13236] = 13221,
  [13237] = 13224,
  [13238] = 13210,
  [13239] = 13210,
  [13240] = 13210,
  [13241] = 13210,
  [13242] = 13210,
  [13243] = 13210,
  [13244] = 13210,
  [13245] = 13210,
  [13246] = 13210,
  [13247] = 13210,
  [13248] = 13210,
  [13249] = 13210,
  [13250] = 13210,
  [13251] = 13210,
  [13252] = 13210,
  [13253] = 13253,
  [13254] = 13221,
  [13255] = 13221,
  [13256] = 13210,
  [13257] = 13231,
  [13258] = 13221,
  [13259] = 8587,
  [13260] = 13260,
  [13261] = 13231,
  [13262] = 13262,
  [13263] = 13210,
  [13264] = 13221,
  [13265] = 13265,
  [13266] = 13253,
  [13267] = 13253,
  [13268] = 13221,
  [13269] = 13210,
  [13270] = 13210,
  [13271] = 13260,
  [13272] = 13224,
  [13273] = 13221,
  [13274] = 8961,
  [13275] = 13262,
  [13276] = 5420,
  [13277] = 13221,
  [13278] = 13253,
  [13279] = 5421,
  [13280] = 5422,
  [13281] = 5423,
  [13282] = 5424,
  [13283] = 13210,
  [13284] = 13210,
  [13285] = 13221,
  [13286] = 13260,
  [13287] = 13221,
  [13288] = 13221,
  [13289] = 13262,
  [13290] = 13210,
  [13291] = 13221,
  [13292] = 13221,
  [13293] = 13253,
  [13294] = 9390,
  [13295] = 10128,
  [13296] = 13221,
  [13297] = 13210,
  [13298] = 13210,
  [13299] = 8954,
  [13300] = 13221,
  [13301] = 13221,
  [13302] = 13210,
  [13303] = 13210,
  [13304] = 13262,
  [13305] = 5417,
  [13306] = 13221,
  [13307] = 13221,
  [13308] = 5411,
  [13309] = 13210,
  [13310] = 13210,
  [13311] = 13210,
  [13312] = 5419,
  [13313] = 13313,
  [13314] = 13231,
  [13315] = 13221,
  [13316] = 13210,
  [13317] = 13221,
  [13318] = 5438,
  [13319] = 5441,
  [13320] = 13221,
  [13321] = 13321,
  [13322] = 13210,
  [13323] = 5464,
  [13324] = 5467,
  [13325] = 5469,
  [13326] = 5470,
  [13327] = 13253,
  [13328] = 13221,
  [13329] = 13221,
  [13330] = 13210,
  [13331] = 13221,
  [13332] = 13221,
  [13333] = 13224,
  [13334] = 8925,
  [13335] = 10122,
  [13336] = 13210,
  [13337] = 13221,
  [13338] = 13210,
  [13339] = 8944,
  [13340] = 13221,
  [13341] = 13210,
  [13342] = 13224,
  [13343] = 13231,
  [13344] = 5454,
  [13345] = 13221,
  [13346] = 13221,
  [13347] = 13221,
  [13348] = 13210,
  [13349] = 9356,
  [13350] = 13221,
  [13351] = 13231,
  [13352] = 13224,
  [13353] = 8587,
  [13354] = 5485,
  [13355] = 13221,
  [13356] = 13221,
  [13357] = 13210,
  [13358] = 13221,
  [13359] = 13221,
  [13360] = 13210,
  [13361] = 13210,
  [13362] = 13231,
  [13363] = 13221,
  [13364] = 9079,
  [13365] = 13210,
  [13366] = 4766,
  [13367] = 13210,
  [13368] = 13210,
  [13369] = 13224,
  [13370] = 13221,
  [13371] = 13221,
  [13372] = 13221,
  [13373] = 13221,
  [13374] = 13221,
  [13375] = 5484,
  [13376] = 5488,
  [13377] = 13221,
  [13378] = 5489,
  [13379] = 5491,
  [13380] = 5492,
  [13381] = 8956,
  [13382] = 8957,
  [13383] = 13210,
  [13384] = 13260,
  [13385] = 13210,
  [13386] = 10125,
  [13387] = 13387,
  [13388] = 13388,
  [13389] = 13389,
  [13390] = 13390,
  [13391] = 10013,
  [13392] = 13392,
  [13393] = 13390,
  [13394] = 13392,
  [13395] = 13392,
  [13396] = 13392,
  [13397] = 13397,
  [13398] = 2677,
  [13399] = 13392,
  [13400] = 13400,
  [13401] = 13390,
  [13402] = 13392,
  [13403] = 9543,
  [13404] = 13392,
  [13405] = 13390,
  [13406] = 13397,
  [13407] = 13390,
  [13408] = 13392,
  [13409] = 13390,
  [13410] = 13390,
  [13411] = 13390,
  [13412] = 13390,
  [13413] = 13392,
  [13414] = 13390,
  [13415] = 13390,
  [13416] = 13392,
  [13417] = 10075,
  [13418] = 10076,
  [13419] = 10077,
  [13420] = 10078,
  [13421] = 13390,
  [13422] = 13422,
  [13423] = 13423,
  [13424] = 13390,
  [13425] = 13397,
  [13426] = 8329,
  [13427] = 13390,
  [13428] = 13390,
  [13429] = 13392,
  [13430] = 13390,
  [13431] = 13392,
  [13432] = 13397,
  [13433] = 13423,
  [13434] = 13390,
  [13435] = 13392,
  [13436] = 9850,
  [13437] = 13392,
  [13438] = 13423,
  [13439] = 13390,
  [13440] = 13392,
  [13441] = 13390,
  [13442] = 13392,
  [13443] = 13392,
  [13444] = 2683,
  [13445] = 13445,
  [13446] = 13392,
  [13447] = 9129,
  [13448] = 10656,
  [13449] = 13390,
  [13450] = 13397,
  [13451] = 10588,
  [13452] = 13423,
  [13453] = 10587,
  [13454] = 13392,
  [13455] = 13392,
  [13456] = 13397,
  [13457] = 13392,
  [13458] = 13390,
  [13459] = 13423,
  [13460] = 13390,
  [13461] = 13392,
  [13462] = 13462,
  [13463] = 13463,
  [13464] = 13464,
  [13465] = 9176,
  [13466] = 13464,
  [13467] = 13467,
  [13468] = 9340,
  [13469] = 13469,
  [13470] = 13470,
  [13471] = 13467,
  [13472] = 9905,
  [13473] = 2924,
  [13474] = 13469,
  [13475] = 13475,
  [13476] = 13476,
  [13477] = 13477,
  [13478] = 13477,
  [13479] = 5500,
  [13480] = 9916,
  [13481] = 13467,
  [13482] = 13482,
  [13483] = 13467,
  [13484] = 13484,
  [13485] = 13469,
  [13486] = 13469,
  [13487] = 13487,
  [13488] = 2915,
  [13489] = 13469,
  [13490] = 5501,
  [13491] = 5504,
  [13492] = 13477,
  [13493] = 13464,
  [13494] = 13482,
  [13495] = 13495,
  [13496] = 13467,
  [13497] = 13467,
  [13498] = 13498,
  [13499] = 13499,
  [13500] = 13464,
  [13501] = 2917,
  [13502] = 13464,
  [13503] = 2925,
  [13504] = 13467,
  [13505] = 13469,
  [13506] = 10152,
  [13507] = 9901,
  [13508] = 13475,
  [13509] = 2842,
  [13510] = 13469,
  [13511] = 2843,
  [13512] = 13512,
  [13513] = 13464,
  [13514] = 13487,
  [13515] = 13469,
  [13516] = 13469,
  [13517] = 13464,
  [13518] = 13464,
  [13519] = 10128,
  [13520] = 13464,
  [13521] = 13464,
  [13522] = 13512,
  [13523] = 2906,
  [13524] = 13469,
  [13525] = 13467,
  [13526] = 13487,
  [13527] = 13476,
  [13528] = 13464,
  [13529] = 9140,
  [13530] = 13484,
  [13531] = 13469,
  [13532] = 13532,
  [13533] = 13533,
  [13534] = 13512,
  [13535] = 2907,
  [13536] = 9543,
  [13537] = 13464,
  [13538] = 13487,
  [13539] = 13469,
  [13540] = 13475,
  [13541] = 13541,
  [13542] = 13542,
  [13543] = 9143,
  [13544] = 9658,
  [13545] = 13467,
  [13546] = 13464,
  [13547] = 13547,
  [13548] = 13487,
  [13549] = 13549,
  [13550] = 13464,
  [13551] = 2910,
  [13552] = 13469,
  [13553] = 13193,
  [13554] = 9877,
  [13555] = 13541,
  [13556] = 13464,
  [13557] = 9161,
  [13558] = 13467,
  [13559] = 13512,
  [13560] = 13484,
  [13561] = 13469,
  [13562] = 13495,
  [13563] = 13499,
  [13564] = 13464,
  [13565] = 13469,
  [13566] = 13476,
  [13567] = 13547,
  [13568] = 13462,
  [13569] = 13464,
  [13570] = 13463,
  [13571] = 13469,
  [13572] = 13477,
  [13573] = 13467,
  [13574] = 13467,
  [13575] = 13575,
  [13576] = 9926,
  [13577] = 13499,
  [13578] = 9162,
  [13579] = 13495,
  [13580] = 13482,
  [13581] = 13467,
  [13582] = 13467,
  [13583] = 13469,
  [13584] = 13484,
  [13585] = 13467,
  [13586] = 13467,
  [13587] = 13587,
  [13588] = 13464,
  [13589] = 13464,
  [13590] = 13469,
  [13591] = 9164,
  [13592] = 9165,
  [13593] = 9458,
  [13594] = 13470,
  [13595] = 13467,
  [13596] = 9167,
  [13597] = 13512,
  [13598] = 5313,
  [13599] = 9108,
  [13600] = 13463,
  [13601] = 9168,
  [13602] = 13467,
  [13603] = 13464,
  [13604] = 13476,
  [13605] = 13469,
  [13606] = 10125,
  [13607] = 13464,
  [13608] = 13469,
  [13609] = 13499,
  [13610] = 13610,
  [13611] = 9436,
  [13612] = 13464,
  [13613] = 9144,
  [13614] = 13482,
  [13615] = 9360,
  [13616] = 13533,
  [13617] = 13469,
  [13618] = 13469,
  [13619] = 13469,
  [13620] = 9109,
  [13621] = 13199,
  [13622] = 13541,
  [13623] = 5357,
  [13624] = 9220,
  [13625] = 13625,
  [13626] = 13495,
  [13627] = 9110,
  [13628] = 13469,
  [13629] = 13469,
  [13630] = 13541,
  [13631] = 13464,
  [13632] = 9121,
  [13633] = 13499,
  [13634] = 9123,
  [13635] = 9124,
  [13636] = 13175,
  [13637] = 13462,
  [13638] = 13462,
  [13639] = 13464,
  [13640] = 9125,
  [13641] = 13547,
  [13642] = 13469,
  [13643] = 13464,
  [13644] = 13487,
  [13645] = 13476,
  [13646] = 9139,
  [13647] = 13167,
  [13648] = 9111,
  [13649] = 9103,
  [13650] = 13464,
  [13651] = 2912,
  [13652] = 13464,
  [13653] = 10122,
  [13654] = 13610,
  [13655] = 13469,
  [13656] = 13469,
  [13657] = 13467,
  [13658] = 13186,
  [13659] = 13512,
  [13660] = 13484,
  [13661] = 13464,
  [13662] = 13575,
  [13663] = 13464,
  [13664] = 13467,
  [13665] = 13665,
  [13666] = 13499,
  [13667] = 13467,
  [13668] = 13467,
  [13669] = 13462,
  [13670] = 10874,
  [13671] = 13541,
  [13672] = 13533,
  [13673] = 13495,
  [13674] = 13499,
  [13675] = 13462,
  [13676] = 13533,
  [13677] = 13475,
  [13678] = 13463,
  [13679] = 13477,
  [13680] = 13482,
  [13681] = 13467,
  [13682] = 13484,
  [13683] = 13469,
  [13684] = 13495,
  [13685] = 13541,
  [13686] = 13469,
  [13687] = 13467,
  [13688] = 13469,
  [13689] = 13469,
  [13690] = 13487,
  [13691] = 13464,
  [13692] = 13469,
  [13693] = 13610,
  [13694] = 13547,
  [13695] = 9191,
  [13696] = 9839,
  [13697] = 13541,
  [13698] = 13698,
  [13699] = 13533,
  [13700] = 13462,
  [13701] = 9850,
  [13702] = 13547,
  [13703] = 9170,
  [13704] = 13464,
  [13705] = 13575,
  [13706] = 13464,
  [13707] = 13469,
  [13708] = 13467,
  [13709] = 13709,
  [13710] = 13464,
  [13711] = 13495,
  [13712] = 13499,
  [13713] = 13462,
  [13714] = 13467,
  [13715] = 13463,
  [13716] = 13477,
  [13717] = 10869,
  [13718] = 13464,
  [13719] = 13482,
  [13720] = 13469,
  [13721] = 13464,
  [13722] = 5304,
  [13723] = 13470,
  [13724] = 10051,
  [13725] = 9172,
  [13726] = 13547,
  [13727] = 13475,
  [13728] = 13475,
  [13729] = 13467,
  [13730] = 13575,
  [13731] = 13547,
  [13732] = 9321,
  [13733] = 13470,
  [13734] = 13734,
  [13735] = 13469,
  [13736] = 13464,
  [13737] = 13469,
  [13738] = 9686,
  [13739] = 13464,
  [13740] = 13512,
  [13741] = 13475,
  [13742] = 13476,
  [13743] = 13464,
  [13744] = 13469,
  [13745] = 13610,
  [13746] = 13610,
  [13747] = 13464,
  [13748] = 13464,
  [13749] = 13467,
  [13750] = 13475,
  [13751] = 13467,
  [13752] = 13541,
  [13753] = 13469,
  [13754] = 9982,
  [13755] = 13487,
  [13756] = 13512,
  [13757] = 13464,
  [13758] = 13467,
  [13759] = 13469,
  [13760] = 13467,
  [13761] = 13484,
  [13762] = 13482,
  [13763] = 13464,
  [13764] = 9403,
  [13765] = 13467,
  [13766] = 9404,
  [13767] = 13495,
  [13768] = 13464,
  [13769] = 10872,
  [13770] = 13463,
  [13771] = 13476,
  [13772] = 13463,
  [13773] = 13469,
  [13774] = 13464,
  [13775] = 13477,
  [13776] = 13469,
  [13777] = 13469,
  [13778] = 13469,
  [13779] = 9409,
  [13780] = 13498,
  [13781] = 13464,
  [13782] = 9173,
  [13783] = 13533,
  [13784] = 13498,
  [13785] = 13469,
  [13786] = 12883,
  [13787] = 9858,
  [13788] = 13498,
  [13789] = 13470,
  [13790] = 13790,
  [13791] = 13575,
  [13792] = 9928,
  [13793] = 13793,
  [13794] = 13794,
  [13795] = 13795,
  [13796] = 13793,
  [13797] = 13795,
  [13798] = 13794,
  [13799] = 7491,
  [13800] = 13800,
  [13801] = 13800,
  [13802] = 13795,
  [13803] = 5500,
  [13804] = 5489,
  [13805] = 13793,
  [13806] = 13806,
  [13807] = 13794,
  [13808] = 13795,
  [13809] = 13793,
  [13810] = 13800,
  [13811] = 5438,
  [13812] = 13806,
  [13813] = 5501,
  [13814] = 13800,
  [13815] = 5441,
  [13816] = 13794,
  [13817] = 5502,
  [13818] = 13793,
  [13819] = 5504,
  [13820] = 13795,
  [13821] = 13800,
  [13822] = 5429,
  [13823] = 13800,
  [13824] = 7538,
  [13825] = 13806,
  [13826] = 13795,
  [13827] = 13795,
  [13828] = 13794,
  [13829] = 13795,
  [13830] = 13806,
  [13831] = 7450,
  [13832] = 5484,
  [13833] = 13793,
  [13834] = 13795,
  [13835] = 13795,
  [13836] = 13806,
  [13837] = 13794,
  [13838] = 13795,
  [13839] = 13793,
  [13840] = 13806,
  [13841] = 13841,
  [13842] = 13800,
  [13843] = 13806,
  [13844] = 2842,
  [13845] = 2843,
  [13846] = 13795,
  [13847] = 13794,
  [13848] = 13848,
  [13849] = 13794,
  [13850] = 13793,
  [13851] = 13851,
  [13852] = 13793,
  [13853] = 13795,
  [13854] = 13854,
  [13855] = 13800,
  [13856] = 5447,
  [13857] = 13800,
  [13858] = 5451,
  [13859] = 13800,
  [13860] = 13806,
  [13861] = 5495,
  [13862] = 5491,
  [13863] = 13794,
  [13864] = 5492,
  [13865] = 13793,
  [13866] = 7631,
  [13867] = 13795,
  [13868] = 13800,
  [13869] = 13806,
  [13870] = 13800,
  [13871] = 13806,
  [13872] = 13795,
  [13873] = 5547,
  [13874] = 7484,
  [13875] = 5454,
  [13876] = 13795,
  [13877] = 13795,
  [13878] = 5533,
  [13879] = 5412,
  [13880] = 13806,
  [13881] = 13806,
  [13882] = 13806,
  [13883] = 13794,
  [13884] = 13806,
  [13885] = 7509,
  [13886] = 13794,
  [13887] = 13794,
  [13888] = 13793,
  [13889] = 13794,
  [13890] = 13793,
  [13891] = 13793,
  [13892] = 13793,
  [13893] = 5485,
  [13894] = 13800,
  [13895] = 13794,
  [13896] = 13851,
  [13897] = 13806,
  [13898] = 13800,
  [13899] = 13795,
  [13900] = 5500,
  [13901] = 5501,
  [13902] = 13793,
  [13903] = 5504,
  [13904] = 13793,
  [13905] = 13795,
  [13906] = 13800,
  [13907] = 10316,
  [13908] = 13908,
  [13909] = 13806,
  [13910] = 2899,
  [13911] = 13794,
  [13912] = 13793,
  [13913] = 13806,
  [13914] = 13914,
  [13915] = 13795,
  [13916] = 2900,
  [13917] = 2901,
  [13918] = 2902,
  [13919] = 2904,
  [13920] = 13794,
  [13921] = 13175,
  [13922] = 5457,
  [13923] = 13038,
  [13924] = 13103,
  [13925] = 12903,
  [13926] = 5532,
  [13927] = 5505,
  [13928] = 13794,
  [13929] = 13806,
  [13930] = 13793,
  [13931] = 13793,
  [13932] = 10417,
  [13933] = 13794,
  [13934] = 13794,
  [13935] = 13793,
  [13936] = 10419,
  [13937] = 7630,
  [13938] = 13800,
  [13939] = 13800,
  [13940] = 13800,
  [13941] = 10152,
  [13942] = 13793,
  [13943] = 13806,
  [13944] = 13795,
  [13945] = 13806,
  [13946] = 13800,
  [13947] = 13795,
  [13948] = 13948,
  [13949] = 13949,
  [13950] = 7632,
  [13951] = 13951,
  [13952] = 13806,
  [13953] = 13800,
  [13954] = 13794,
  [13955] = 13806,
  [13956] = 13795,
  [13957] = 13793,
  [13958] = 13958,
  [13959] = 13914,
  [13960] = 13800,
  [13961] = 13800,
  [13962] = 13806,
  [13963] = 13794,
  [13964] = 13806,
  [13965] = 13795,
  [13966] = 13794,
  [13967] = 13793,
  [13968] = 7543,
  [13969] = 13969,
  [13970] = 10587,
  [13971] = 7475,
  [13972] = 13795,
  [13973] = 13806,
  [13974] = 10588,
  [13975] = 13794,
  [13976] = 13794,
  [13977] = 13793,
  [13978] = 13793,
  [13979] = 13806,
  [13980] = 7476,
  [13981] = 13795,
  [13982] = 13795,
  [13983] = 13793,
  [13984] = 13795,
  [13985] = 13794,
  [13986] = 13800,
  [13987] = 13793,
  [13988] = 13800,
  [13989] = 7477,
  [13990] = 13800,
  [13991] = 13800,
  [13992] = 7478,
  [13993] = 13793,
  [13994] = 13800,
  [13995] = 13806,
  [13996] = 13794,
  [13997] = 5417,
  [13998] = 7461,
  [13999] = 7462,
  [14000] = 5411,
  [14001] = 7463,
  [14002] = 14002,
  [14003] = 13794,
  [14004] = 10487,
  [14005] = 10509,
  [14006] = 7464,
  [14007] = 13794,
  [14008] = 7466,
  [14009] = 13795,
  [14010] = 5420,
  [14011] = 5421,
  [14012] = 13806,
  [14013] = 14013,
  [14014] = 13806,
  [14015] = 13800,
  [14016] = 13794,
  [14017] = 13793,
  [14018] = 13795,
  [14019] = 14019,
  [14020] = 5464,
  [14021] = 5467,
  [14022] = 13794,
  [14023] = 5469,
  [14024] = 5422,
  [14025] = 13795,
  [14026] = 5430,
  [14027] = 13793,
  [14028] = 5423,
  [14029] = 14029,
  [14030] = 13800,
  [14031] = 5424,
  [14032] = 13806,
  [14033] = 13793,
  [14034] = 5470,
  [14035] = 13794,
  [14036] = 13793,
  [14037] = 13806,
  [14038] = 10372,
  [14039] = 10373,
  [14040] = 13800,
  [14041] = 13066,
  [14042] = 13794,
  [14043] = 5419,
  [14044] = 13793,
  [14045] = 13795,
  [14046] = 10427,
  [14047] = 10428,
  [14048] = 13800,
  [14049] = 13800,
  [14050] = 13806,
  [14051] = 13795,
  [14052] = 10458,
  [14053] = 13800,
  [14054] = 13794,
  [14055] = 9465,
  [14056] = 13793,
  [14057] = 13795,
  [14058] = 13800,
  [14059] = 13806,
  [14060] = 13806,
  [14061] = 13800,
  [14062] = 13794,
  [14063] = 13794,
  [14064] = 13806,
  [14065] = 13793,
  [14066] = 13795,
  [14067] = 13800,
  [14068] = 13800,
  [14069] = 13795,
  [14070] = 13795,
  [14071] = 10531,
  [14072] = 13795,
  [14073] = 13806,
  [14074] = 13795,
  [14075] = 13793,
  [14076] = 13795,
  [14077] = 13958,
  [14078] = 13795,
  [14079] = 13806,
  [14080] = 5488,
  [14081] = 10656,
  [14082] = 13806,
  [14083] = 13806,
  [14084] = 13806,
  [14085] = 13793,
  [14086] = 13794,
  [14087] = 13794,
  [14088] = 13794,
  [14089] = 13793,
  [14090] = 13794,
  [14091] = 13793,
  [14092] = 13793,
  [14093] = 13793,
  [14094] = 13806,
  [14095] = 13193,
  [14096] = 12923,
  [14097] = 13806,
  [14098] = 13800,
  [14099] = 13199,
  [14100] = 13167,
  [14101] = 12953,
  [14102] = 13186,
  [14103] = 13087,
  [14104] = 13800,
  [14105] = 7628,
  [14106] = 13848,
  [14107] = 13794,
  [14108] = 13794,
  [14109] = 10121,
  [14110] = 13793,
  [14111] = 13795,
  [14112] = 13848,
  [14113] = 13795,
  [14114] = 13793,
  [14115] = 13800,
  [14116] = 13848,
  [14117] = 7490,
  [14118] = 13794,
  [14119] = 13800,
  [14120] = 13800,
  [14121] = 13806,
  [14122] = 10177,
  [14123] = 13800,
  [14124] = 14013,
  [14125] = 13794,
  [14126] = 14126,
  [14127] = 14126,
  [14128] = 14126,
  [14129] = 14126,
  [14130] = 14130,
  [14131] = 14131,
  [14132] = 14126,
  [14133] = 14133,
  [14134] = 14133,
  [14135] = 14135,
  [14136] = 14136,
  [14137] = 14126,
  [14138] = 14126,
  [14139] = 14126,
  [14140] = 14126,
  [14141] = 14126,
  [14142] = 14135,
  [14143] = 14143,
  [14144] = 14136,
  [14145] = 14126,
  [14146] = 14143,
  [14147] = 10645,
  [14148] = 14135,
  [14149] = 14133,
  [14150] = 14136,
  [14151] = 10332,
  [14152] = 14152,
  [14153] = 14135,
  [14154] = 10593,
  [14155] = 14143,
  [14156] = 14135,
  [14157] = 14157,
  [14158] = 14158,
  [14159] = 14131,
  [14160] = 14160,
  [14161] = 14131,
  [14162] = 9539,
  [14163] = 14135,
  [14164] = 14164,
  [14165] = 14135,
  [14166] = 10640,
  [14167] = 14167,
  [14168] = 14135,
  [14169] = 14160,
  [14170] = 14126,
  [14171] = 14171,
  [14172] = 14135,
  [14173] = 14135,
  [14174] = 14143,
  [14175] = 14126,
  [14176] = 14131,
  [14177] = 14177,
  [14178] = 14160,
  [14179] = 10642,
  [14180] = 14133,
  [14181] = 14126,
  [14182] = 10333,
  [14183] = 14126,
  [14184] = 14135,
  [14185] = 14133,
  [14186] = 14160,
  [14187] = 14135,
  [14188] = 12183,
  [14189] = 14189,
  [14190] = 14135,
  [14191] = 14160,
  [14192] = 14192,
  [14193] = 14160,
  [14194] = 14135,
  [14195] = 14195,
  [14196] = 14160,
  [14197] = 14126,
  [14198] = 14130,
  [14199] = 14199,
  [14200] = 10335,
  [14201] = 14135,
  [14202] = 14199,
  [14203] = 14126,
  [14204] = 14164,
  [14205] = 14143,
  [14206] = 12137,
  [14207] = 14135,
  [14208] = 14208,
  [14209] = 14152,
  [14210] = 14126,
  [14211] = 14211,
  [14212] = 14212,
  [14213] = 14126,
  [14214] = 14126,
  [14215] = 12815,
  [14216] = 14135,
  [14217] = 14126,
  [14218] = 14218,
  [14219] = 14160,
  [14220] = 14152,
  [14221] = 14221,
  [14222] = 14143,
  [14223] = 14135,
  [14224] = 14135,
  [14225] = 14199,
  [14226] = 10431,
  [14227] = 14135,
  [14228] = 14126,
  [14229] = 2914,
  [14230] = 14126,
  [14231] = 14126,
  [14232] = 14136,
  [14233] = 14160,
  [14234] = 14234,
  [14235] = 14152,
  [14236] = 14143,
  [14237] = 14164,
  [14238] = 14126,
  [14239] = 14126,
  [14240] = 14164,
  [14241] = 14143,
  [14242] = 14135,
  [14243] = 14126,
  [14244] = 14126,
  [14245] = 14245,
  [14246] = 14218,
  [14247] = 14130,
  [14248] = 14164,
  [14249] = 14177,
  [14250] = 14177,
  [14251] = 14152,
  [14252] = 14157,
  [14253] = 12187,
  [14254] = 14135,
  [14255] = 14143,
  [14256] = 14143,
  [14257] = 14143,
  [14258] = 14135,
  [14259] = 14135,
  [14260] = 14126,
  [14261] = 14135,
  [14262] = 14126,
  [14263] = 14160,
  [14264] = 14135,
  [14265] = 14160,
  [14266] = 14126,
  [14267] = 14152,
  [14268] = 14199,
  [14269] = 14152,
  [14270] = 14270,
  [14271] = 14143,
  [14272] = 14160,
  [14273] = 14195,
  [14274] = 14136,
  [14275] = 14135,
  [14276] = 14136,
  [14277] = 14133,
  [14278] = 14143,
  [14279] = 14135,
  [14280] = 14160,
  [14281] = 14281,
  [14282] = 14199,
  [14283] = 14283,
  [14284] = 14126,
  [14285] = 14285,
  [14286] = 14143,
  [14287] = 14157,
  [14288] = 14288,
  [14289] = 14135,
  [14290] = 10872,
  [14291] = 14126,
  [14292] = 14292,
  [14293] = 14160,
  [14294] = 10874,
  [14295] = 14160,
  [14296] = 14143,
  [14297] = 14297,
  [14298] = 14157,
  [14299] = 14135,
  [14300] = 14126,
  [14301] = 14160,
  [14302] = 14135,
  [14303] = 14303,
  [14304] = 14157,
  [14305] = 14305,
  [14306] = 14143,
  [14307] = 14160,
  [14308] = 9465,
  [14309] = 12815,
  [14310] = 14157,
  [14311] = 14136,
  [14312] = 14160,
  [14313] = 14143,
  [14314] = 14143,
  [14315] = 14135,
  [14316] = 14135,
  [14317] = 14160,
  [14318] = 14131,
  [14319] = 14126,
  [14320] = 14135,
  [14321] = 14199,
  [14322] = 14199,
  [14323] = 14126,
  [14324] = 14143,
  [14325] = 14135,
  [14326] = 14135,
  [14327] = 14195,
  [14328] = 14143,
  [14329] = 14143,
  [14330] = 14126,
  [14331] = 14164,
  [14332] = 14135,
  [14333] = 14143,
  [14334] = 14126,
  [14335] = 14335,
  [14336] = 14199,
  [14337] = 14160,
  [14338] = 10399,
  [14339] = 14135,
  [14340] = 14135,
  [14341] = 14160,
  [14342] = 14160,
  [14343] = 14343,
  [14344] = 14126,
  [14345] = 14126,
  [14346] = 14135,
  [14347] = 14152,
  [14348] = 14348,
  [14349] = 14349,
  [14350] = 14126,
  [14351] = 14135,
  [14352] = 14126,
  [14353] = 14131,
  [14354] = 14354,
  [14355] = 14126,
  [14356] = 14135,
  [14357] = 14164,
  [14358] = 14135,
  [14359] = 14359,
  [14360] = 14360,
  [14361] = 12183,
  [14362] = 14362,
  [14363] = 10710,
  [14364] = 14364,
  [14365] = 14365,
  [14366] = 14366,
  [14367] = 14367,
  [14368] = 14368,
  [14369] = 14369,
  [14370] = 14359,
  [14371] = 14371,
  [14372] = 14368,
  [14373] = 14367,
  [14374] = 14374,
  [14375] = 14375,
  [14376] = 14376,
  [14377] = 14377,
  [14378] = 14378,
  [14379] = 14368,
  [14380] = 14364,
  [14381] = 12187,
  [14382] = 14382,
  [14383] = 14374,
  [14384] = 14384,
  [14385] = 14368,
  [14386] = 14386,
  [14387] = 14387,
  [14388] = 14388,
  [14389] = 14364,
  [14390] = 14368,
  [14391] = 14384,
  [14392] = 14384,
  [14393] = 14376,
  [14394] = 10852,
  [14395] = 14384,
  [14396] = 14396,
  [14397] = 14386,
  [14398] = 14398,
  [14399] = 14378,
  [14400] = 14400,
  [14401] = 14386,
  [14402] = 14402,
  [14403] = 14403,
  [14404] = 14377,
  [14405] = 14405,
  [14406] = 14376,
  [14407] = 14407,
  [14408] = 14364,
  [14409] = 4715,
  [14410] = 10748,
  [14411] = 14386,
  [14412] = 14365,
  [14413] = 14386,
  [14414] = 14388,
  [14415] = 14366,
  [14416] = 14374,
  [14417] = 14384,
  [14418] = 14418,
  [14419] = 14403,
  [14420] = 14382,
  [14421] = 14402,
  [14422] = 14376,
  [14423] = 14386,
  [14424] = 14384,
  [14425] = 14365,
  [14426] = 14426,
  [14427] = 14427,
  [14428] = 14386,
  [14429] = 14388,
  [14430] = 14366,
  [14431] = 14418,
  [14432] = 14426,
  [14433] = 14427,
  [14434] = 14377,
  [14435] = 14435,
  [14436] = 14360,
  [14437] = 14426,
  [14438] = 14438,
  [14439] = 14384,
  [14440] = 14386,
  [14441] = 14441,
  [14442] = 14426,
  [14443] = 14367,
  [14444] = 14396,
  [14445] = 14368,
  [14446] = 14396,
  [14447] = 14374,
  [14448] = 14360,
  [14449] = 14374,
  [14450] = 14384,
  [14451] = 14374,
  [14452] = 14362,
  [14453] = 14396,
  [14454] = 14418,
  [14455] = 14374,
  [14456] = 14375,
  [14457] = 14457,
  [14458] = 14359,
  [14459] = 14384,
  [14460] = 14360,
  [14461] = 14362,
  [14462] = 14435,
  [14463] = 14388,
  [14464] = 14435,
  [14465] = 14396,
  [14466] = 14367,
  [14467] = 14426,
  [14468] = 14384,
  [14469] = 14427,
  [14470] = 14359,
  [14471] = 14405,
  [14472] = 14388,
  [14473] = 14435,
  [14474] = 14426,
  [14475] = 10676,
  [14476] = 14360,
  [14477] = 14407,
  [14478] = 14478,
  [14479] = 14427,
  [14480] = 14480,
  [14481] = 14386,
  [14482] = 14426,
  [14483] = 14388,
  [14484] = 14407,
  [14485] = 14388,
  [14486] = 14402,
  [14487] = 14427,
  [14488] = 14488,
  [14489] = 14365,
  [14490] = 14490,
  [14491] = 14396,
  [14492] = 14364,
  [14493] = 14365,
  [14494] = 14396,
  [14495] = 14359,
  [14496] = 14496,
  [14497] = 14366,
  [14498] = 14418,
  [14499] = 14499,
  [14500] = 14388,
  [14501] = 14362,
  [14502] = 14403,
  [14503] = 14426,
  [14504] = 14382,
  [14505] = 14362,
  [14506] = 14396,
  [14507] = 14427,
  [14508] = 14499,
  [14509] = 14365,
  [14510] = 14371,
  [14511] = 14366,
  [14512] = 14360,
  [14513] = 14386,
  [14514] = 14388,
  [14515] = 11412,
  [14516] = 14426,
  [14517] = 14375,
  [14518] = 14427,
  [14519] = 14364,
  [14520] = 10791,
  [14521] = 14377,
  [14522] = 14367,
  [14523] = 14368,
  [14524] = 14384,
  [14525] = 14368,
  [14526] = 14384,
  [14527] = 14527,
  [14528] = 14364,
  [14529] = 11469,
  [14530] = 14371,
  [14531] = 14388,
  [14532] = 14384,
  [14533] = 14388,
  [14534] = 14534,
  [14535] = 14426,
  [14536] = 14438,
  [14537] = 14427,
  [14538] = 14364,
  [14539] = 14364,
  [14540] = 14362,
  [14541] = 12137,
  [14542] = 14542,
  [14543] = 14388,
  [14544] = 14407,
  [14545] = 14384,
  [14546] = 14364,
  [14547] = 14374,
  [14548] = 14365,
  [14549] = 9866,
  [14550] = 14359,
  [14551] = 14396,
  [14552] = 14371,
  [14553] = 14374,
  [14554] = 14435,
  [14555] = 14418,
  [14556] = 14435,
  [14557] = 14367,
  [14558] = 14362,
  [14559] = 14365,
  [14560] = 14386,
  [14561] = 14364,
  [14562] = 14402,
  [14563] = 14359,
  [14564] = 14367,
  [14565] = 14365,
  [14566] = 14366,
  [14567] = 14375,
  [14568] = 14396,
  [14569] = 14384,
  [14570] = 14366,
  [14571] = 14384,
  [14572] = 14384,
  [14573] = 14376,
  [14574] = 14574,
  [14575] = 14384,
  [14576] = 14402,
  [14577] = 14426,
  [14578] = 14364,
  [14579] = 14427,
  [14580] = 14407,
  [14581] = 14377,
  [14582] = 14582,
  [14583] = 14400,
  [14584] = 14368,
  [14585] = 14364,
  [14586] = 14367,
  [14587] = 14396,
  [14588] = 14386,
  [14589] = 14387,
  [14590] = 14384,
  [14591] = 14375,
  [14592] = 14426,
  [14593] = 14362,
  [14594] = 14427,
  [14595] = 14396,
  [14596] = 14386,
  [14597] = 14386,
  [14598] = 14388,
  [14599] = 14599,
  [14600] = 14388,
  [14601] = 14435,
  [14602] = 14359,
  [14603] = 14478,
  [14604] = 14365,
  [14605] = 14435,
  [14606] = 14403,
  [14607] = 14367,
  [14608] = 14359,
  [14609] = 4711,
  [14610] = 14375,
  [14611] = 14611,
  [14612] = 11410,
  [14613] = 14405,
  [14614] = 14435,
  [14615] = 14388,
  [14616] = 10867,
  [14617] = 14386,
  [14618] = 14435,
  [14619] = 14386,
  [14620] = 14386,
  [14621] = 14368,
  [14622] = 14386,
  [14623] = 14362,
  [14624] = 14384,
  [14625] = 14396,
  [14626] = 14367,
  [14627] = 14375,
  [14628] = 14359,
  [14629] = 14418,
  [14630] = 14384,
  [14631] = 14360,
  [14632] = 14378,
  [14633] = 14367,
  [14634] = 14359,
  [14635] = 14382,
  [14636] = 2758,
  [14637] = 14426,
  [14638] = 14388,
  [14639] = 14403,
  [14640] = 14384,
  [14641] = 14386,
  [14642] = 14388,
  [14643] = 14375,
  [14644] = 14400,
  [14645] = 14384,
  [14646] = 10782,
  [14647] = 14376,
  [14648] = 14362,
  [14649] = 14362,
  [14650] = 14377,
  [14651] = 14374,
  [14652] = 14366,
  [14653] = 14375,
  [14654] = 14364,
  [14655] = 14388,
  [14656] = 14407,
  [14657] = 14403,
  [14658] = 14426,
  [14659] = 14368,
  [14660] = 14375,
  [14661] = 14388,
  [14662] = 14427,
  [14663] = 14376,
  [14664] = 14364,
  [14665] = 14376,
  [14666] = 14362,
  [14667] = 14388,
  [14668] = 14668,
  [14669] = 14375,
  [14670] = 14426,
  [14671] = 14671,
  [14672] = 14418,
  [14673] = 14384,
  [14674] = 14388,
  [14675] = 14478,
  [14676] = 14367,
  [14677] = 14375,
  [14678] = 9970,
  [14679] = 14427,
  [14680] = 14365,
  [14681] = 14435,
  [14682] = 14386,
  [14683] = 14377,
  [14684] = 14374,
  [14685] = 14375,
  [14686] = 14364,
  [14687] = 14435,
  [14688] = 14403,
  [14689] = 14400,
  [14690] = 14366,
  [14691] = 14386,
  [14692] = 14418,
  [14693] = 14375,
  [14694] = 14388,
  [14695] = 14695,
  [14696] = 14388,
  [14697] = 14388,
  [14698] = 14366,
  [14699] = 14384,
  [14700] = 14377,
  [14701] = 14375,
  [14702] = 14435,
  [14703] = 14386,
  [14704] = 14364,
  [14705] = 14362,
  [14706] = 14365,
  [14707] = 14366,
  [14708] = 14369,
  [14709] = 14375,
  [14710] = 14710,
  [14711] = 14359,
  [14712] = 14364,
  [14713] = 14427,
  [14714] = 14359,
  [14715] = 14403,
  [14716] = 14427,
  [14717] = 14375,
  [14718] = 14367,
  [14719] = 14374,
  [14720] = 14365,
  [14721] = 14384,
  [14722] = 14369,
  [14723] = 14426,
  [14724] = 14427,
  [14725] = 14375,
  [14726] = 14427,
  [14727] = 14727,
  [14728] = 14365,
  [14729] = 14396,
  [14730] = 14435,
  [14731] = 14375,
  [14732] = 14374,
  [14733] = 14386,
  [14734] = 14396,
  [14735] = 14488,
  [14736] = 14375,
  [14737] = 14435,
  [14738] = 14359,
  [14739] = 14359,
  [14740] = 14480,
  [14741] = 14362,
  [14742] = 14375,
  [14743] = 14360,
  [14744] = 14366,
  [14745] = 14388,
  [14746] = 14364,
  [14747] = 14405,
  [14748] = 14384,
  [14749] = 14364,
  [14750] = 14375,
  [14751] = 11433,
  [14752] = 14388,
  [14753] = 14435,
  [14754] = 14367,
  [14755] = 14367,
  [14756] = 14375,
  [14757] = 14359,
  [14758] = 14384,
  [14759] = 14364,
  [14760] = 14365,
  [14761] = 14375,
  [14762] = 14384,
  [14763] = 14368,
  [14764] = 14375,
  [14765] = 14388,
  [14766] = 14386,
  [14767] = 14375,
  [14768] = 14369,
  [14769] = 14364,
  [14770] = 14438,
  [14771] = 14388,
  [14772] = 14366,
  [14773] = 14375,
  [14774] = 14774,
  [14775] = 14366,
  [14776] = 14375,
  [14777] = 14367,
  [14778] = 14378,
  [14779] = 14384,
  [14780] = 14418,
  [14781] = 14360,
  [14782] = 14375,
  [14783] = 14783,
  [14784] = 14362,
  [14785] = 14435,
  [14786] = 14364,
  [14787] = 14400,
  [14788] = 14375,
  [14789] = 14582,
  [14790] = 14364,
  [14791] = 14384,
  [14792] = 14375,
  [14793] = 14388,
  [14794] = 14386,
  [14795] = 14362,
  [14796] = 14388,
  [14797] = 14364,
  [14798] = 14364,
  [14799] = 14375,
  [14800] = 14405,
  [14801] = 14359,
  [14802] = 14364,
  [14803] = 14368,
  [14804] = 14396,
  [14805] = 14375,
  [14806] = 14376,
  [14807] = 14368,
  [14808] = 14377,
  [14809] = 14365,
  [14810] = 14375,
  [14811] = 14374,
  [14812] = 14388,
  [14813] = 10807,
  [14814] = 14368,
  [14815] = 14375,
  [14816] = 14374,
  [14817] = 11121,
  [14818] = 14435,
  [14819] = 14375,
  [14820] = 14388,
  [14821] = 10664,
  [14822] = 14374,
  [14823] = 14366,
  [14824] = 14405,
  [14825] = 14375,
  [14826] = 14426,
  [14827] = 14418,
  [14828] = 14396,
  [14829] = 14457,
  [14830] = 14364,
  [14831] = 11250,
  [14832] = 14375,
  [14833] = 14367,
  [14834] = 14359,
  [14835] = 14376,
  [14836] = 14377,
  [14837] = 14375,
  [14838] = 14374,
  [14839] = 14396,
  [14840] = 14376,
  [14841] = 14375,
  [14842] = 14369,
  [14843] = 14418,
  [14844] = 14386,
  [14845] = 14427,
  [14846] = 14375,
  [14847] = 14847,
  [14848] = 14426,
  [14849] = 14374,
  [14850] = 14384,
  [14851] = 14386,
  [14852] = 14774,
  [14853] = 14375,
  [14854] = 14360,
  [14855] = 14386,
  [14856] = 14374,
  [14857] = 14369,
  [14858] = 14384,
  [14859] = 14375,
  [14860] = 14364,
  [14861] = 14360,
  [14862] = 14386,
  [14863] = 14367,
  [14864] = 14403,
  [14865] = 14865,
  [14866] = 14382,
  [14867] = 14867,
  [14868] = 14398,
  [14869] = 14427,
  [14870] = 14534,
  [14871] = 14365,
  [14872] = 14366,
  [14873] = 14402,
  [14874] = 14359,
  [14875] = 14875,
  [14876] = 14364,
  [14877] = 10869,
  [14878] = 4759,
  [14879] = 14364,
  [14880] = 14403,
  [14881] = 14387,
  [14882] = 14386,
  [14883] = 14376,
  [14884] = 14365,
  [14885] = 14386,
  [14886] = 14388,
  [14887] = 14386,
  [14888] = 14365,
  [14889] = 14384,
  [14890] = 14377,
  [14891] = 14366,
  [14892] = 14365,
  [14893] = 14374,
  [14894] = 14366,
  [14895] = 14426,
  [14896] = 14364,
  [14897] = 14897,
  [14898] = 14377,
  [14899] = 14427,
  [14900] = 14365,
  [14901] = 2905,
  [14902] = 14362,
  [14903] = 14366,
  [14904] = 14384,
  [14905] = 14366,
  [14906] = 14367,
  [14907] = 14384,
  [14908] = 14364,
  [14909] = 14426,
  [14910] = 14364,
  [14911] = 14368,
  [14912] = 14427,
  [14913] = 14374,
  [14914] = 14418,
  [14915] = 14371,
  [14916] = 14364,
  [14917] = 14365,
  [14918] = 14396,
  [14919] = 14359,
  [14920] = 14384,
  [14921] = 14366,
  [14922] = 14362,
  [14923] = 11370,
  [14924] = 14369,
  [14925] = 14396,
  [14926] = 14368,
  [14927] = 14369,
  [14928] = 14386,
  [14929] = 14368,
  [14930] = 14384,
  [14931] = 14362,
  [14932] = 14386,
  [14933] = 14388,
  [14934] = 14388,
  [14935] = 14386,
  [14936] = 14360,
  [14937] = 14388,
  [14938] = 14388,
  [14939] = 14360,
  [14940] = 14382,
  [14941] = 14366,
  [14942] = 14367,
  [14943] = 14435,
  [14944] = 14400,
  [14945] = 14367,
  [14946] = 14364,
  [14947] = 14396,
  [14948] = 14948,
  [14949] = 14426,
  [14950] = 14427,
  [14951] = 14362,
  [14952] = 14403,
  [14953] = 14403,
  [14954] = 14368,
  [14955] = 14386,
  [14956] = 14426,
  [14957] = 14957,
  [14958] = 14364,
  [14959] = 14403,
  [14960] = 14384,
  [14961] = 14418,
  [14962] = 14962,
  [14963] = 14534,
  [14964] = 14599,
  [14965] = 14427,
  [14966] = 14384,
  [14967] = 14386,
  [14968] = 14774,
  [14969] = 14969,
  [14970] = 14368,
  [14971] = 14384,
  [14972] = 14364,
  [14973] = 14362,
  [14974] = 14364,
  [14975] = 14388,
  [14976] = 14364,
  [14977] = 14977,
  [14978] = 14534,
  [14979] = 14599,
  [14980] = 14386,
  [14981] = 9992,
  [14982] = 14384,
  [14983] = 14774,
  [14984] = 14969,
  [14985] = 14388,
  [14986] = 14368,
  [14987] = 14435,
  [14988] = 14396,
  [14989] = 14386,
  [14990] = 14367,
  [14991] = 14364,
  [14992] = 14386,
  [14993] = 14534,
  [14994] = 14599,
  [14995] = 14376,
  [14996] = 14435,
  [14997] = 14388,
  [14998] = 14774,
  [14999] = 14969,
  [15000] = 14359,
  [15001] = 14364,
  [15002] = 14364,
  [15003] = 14386,
  [15004] = 14388,
  [15005] = 14359,
  [15006] = 14599,
  [15007] = 14774,
  [15008] = 14374,
  [15009] = 14362,
  [15010] = 14542,
  [15011] = 14387,
  [15012] = 14377,
  [15013] = 14388,
  [15014] = 14386,
  [15015] = 14542,
  [15016] = 14435,
  [15017] = 14969,
  [15018] = 14360,
  [15019] = 14368,
  [15020] = 14542,
  [15021] = 14388,
  [15022] = 14386,
  [15023] = 14384,
  [15024] = 14378,
  [15025] = 14478,
  [15026] = 14478,
  [15027] = 14478,
  [15028] = 14599,
  [15029] = 15029,
  [15030] = 15030,
  [15031] = 15031,
  [15032] = 15029,
  [15033] = 15033,
  [15034] = 15034,
  [15035] = 15035,
  [15036] = 15036,
  [15037] = 15037,
  [15038] = 15033,
  [15039] = 15039,
  [15040] = 15040,
  [15041] = 15036,
  [15042] = 15042,
  [15043] = 15043,
  [15044] = 15044,
  [15045] = 15039,
  [15046] = 15046,
  [15047] = 15047,
  [15048] = 15048,
  [15049] = 15037,
  [15050] = 15031,
  [15051] = 15051,
  [15052] = 15052,
  [15053] = 15029,
  [15054] = 15029,
  [15055] = 15033,
  [15056] = 15034,
  [15057] = 15035,
  [15058] = 15034,
  [15059] = 15059,
  [15060] = 15060,
  [15061] = 15061,
  [15062] = 15062,
  [15063] = 15063,
  [15064] = 15043,
  [15065] = 15043,
  [15066] = 15066,
  [15067] = 15035,
  [15068] = 15068,
  [15069] = 15039,
  [15070] = 15070,
  [15071] = 15046,
  [15072] = 15039,
  [15073] = 15047,
  [15074] = 15048,
  [15075] = 15037,
  [15076] = 15051,
  [15077] = 15029,
  [15078] = 15046,
  [15079] = 15033,
  [15080] = 15034,
  [15081] = 15035,
  [15082] = 15082,
  [15083] = 15083,
  [15084] = 15047,
  [15085] = 15085,
  [15086] = 15086,
  [15087] = 15048,
  [15088] = 15068,
  [15089] = 10390,
  [15090] = 10391,
  [15091] = 15043,
  [15092] = 15037,
  [15093] = 15039,
  [15094] = 15051,
  [15095] = 15046,
  [15096] = 15096,
  [15097] = 15047,
  [15098] = 15098,
  [15099] = 15036,
  [15100] = 15048,
  [15101] = 15037,
  [15102] = 15031,
  [15103] = 15051,
  [15104] = 15029,
  [15105] = 15029,
  [15106] = 15106,
  [15107] = 15107,
  [15108] = 15033,
  [15109] = 15034,
  [15110] = 15110,
  [15111] = 15035,
  [15112] = 15033,
  [15113] = 15034,
  [15114] = 15059,
  [15115] = 15042,
  [15116] = 15061,
  [15117] = 15062,
  [15118] = 12167,
  [15119] = 15043,
  [15120] = 15066,
  [15121] = 15035,
  [15122] = 15051,
  [15123] = 15039,
  [15124] = 15046,
  [15125] = 15047,
  [15126] = 15085,
  [15127] = 15048,
  [15128] = 15096,
  [15129] = 15098,
  [15130] = 15036,
  [15131] = 15037,
  [15132] = 15051,
  [15133] = 15031,
  [15134] = 15029,
  [15135] = 15135,
  [15136] = 15033,
  [15137] = 15034,
  [15138] = 15035,
  [15139] = 15139,
  [15140] = 12168,
  [15141] = 12169,
  [15142] = 15033,
  [15143] = 15143,
  [15144] = 15043,
  [15145] = 15145,
  [15146] = 15039,
  [15147] = 15033,
  [15148] = 15046,
  [15149] = 15047,
  [15150] = 15048,
  [15151] = 15096,
  [15152] = 15037,
  [15153] = 15051,
  [15154] = 15029,
  [15155] = 15044,
  [15156] = 15043,
  [15157] = 15033,
  [15158] = 15034,
  [15159] = 15035,
  [15160] = 15039,
  [15161] = 15037,
  [15162] = 15043,
  [15163] = 15046,
  [15164] = 15039,
  [15165] = 15082,
  [15166] = 15046,
  [15167] = 15047,
  [15168] = 15083,
  [15169] = 15047,
  [15170] = 15048,
  [15171] = 15037,
  [15172] = 15172,
  [15173] = 15048,
  [15174] = 15051,
  [15175] = 15034,
  [15176] = 15029,
  [15177] = 15059,
  [15178] = 15037,
  [15179] = 15033,
  [15180] = 15034,
  [15181] = 15035,
  [15182] = 15061,
  [15183] = 15062,
  [15184] = 15051,
  [15185] = 15096,
  [15186] = 15098,
  [15187] = 15036,
  [15188] = 15030,
  [15189] = 15046,
  [15190] = 15031,
  [15191] = 15029,
  [15192] = 15043,
  [15193] = 15039,
  [15194] = 15033,
  [15195] = 15046,
  [15196] = 15047,
  [15197] = 15034,
  [15198] = 15059,
  [15199] = 15048,
  [15200] = 15200,
  [15201] = 15061,
  [15202] = 15037,
  [15203] = 15062,
  [15204] = 15066,
  [15205] = 15051,
  [15206] = 15029,
  [15207] = 15066,
  [15208] = 15035,
  [15209] = 15035,
  [15210] = 15033,
  [15211] = 15034,
  [15212] = 15212,
  [15213] = 15035,
  [15214] = 15085,
  [15215] = 15082,
  [15216] = 15043,
  [15217] = 15085,
  [15218] = 15172,
  [15219] = 15039,
  [15220] = 15033,
  [15221] = 15085,
  [15222] = 15083,
  [15223] = 15043,
  [15224] = 15139,
  [15225] = 15044,
  [15226] = 15085,
  [15227] = 15227,
  [15228] = 15039,
  [15229] = 15229,
  [15230] = 15230,
  [15231] = 15047,
  [15232] = 15046,
  [15233] = 15043,
  [15234] = 15082,
  [15235] = 15046,
  [15236] = 15083,
  [15237] = 15047,
  [15238] = 15082,
  [15239] = 15239,
  [15240] = 15240,
  [15241] = 15048,
  [15242] = 15242,
  [15243] = 15083,
  [15244] = 15244,
  [15245] = 15245,
  [15246] = 15037,
  [15247] = 15047,
  [15248] = 15051,
  [15249] = 15096,
  [15250] = 15098,
  [15251] = 15036,
  [15252] = 15031,
  [15253] = 15029,
  [15254] = 15048,
  [15255] = 15044,
  [15256] = 15048,
  [15257] = 15257,
  [15258] = 15258,
  [15259] = 15030,
  [15260] = 15229,
  [15261] = 15230,
  [15262] = 15033,
  [15263] = 15034,
  [15264] = 15059,
  [15265] = 15061,
  [15266] = 15062,
  [15267] = 15060,
  [15268] = 15037,
  [15269] = 15066,
  [15270] = 15035,
  [15271] = 15271,
  [15272] = 15085,
  [15273] = 15273,
  [15274] = 15274,
  [15275] = 15060,
  [15276] = 15276,
  [15277] = 15277,
  [15278] = 15063,
  [15279] = 15070,
  [15280] = 15280,
  [15281] = 15068,
  [15282] = 15282,
  [15283] = 15283,
  [15284] = 15051,
  [15285] = 10676,
  [15286] = 15212,
  [15287] = 15277,
  [15288] = 15096,
  [15289] = 15289,
  [15290] = 15290,
  [15291] = 15098,
  [15292] = 15036,
  [15293] = 15293,
  [15294] = 15037,
  [15295] = 15031,
  [15296] = 15172,
  [15297] = 15227,
  [15298] = 15029,
  [15299] = 15031,
  [15300] = 12170,
  [15301] = 15034,
  [15302] = 15059,
  [15303] = 15043,
  [15304] = 15033,
  [15305] = 15039,
  [15306] = 15044,
  [15307] = 15046,
  [15308] = 15239,
  [15309] = 15082,
  [15310] = 15083,
  [15311] = 15047,
  [15312] = 15034,
  [15313] = 15048,
  [15314] = 15059,
  [15315] = 15061,
  [15316] = 15061,
  [15317] = 15062,
  [15318] = 15037,
  [15319] = 15052,
  [15320] = 15051,
  [15321] = 15062,
  [15322] = 15096,
  [15323] = 15098,
  [15324] = 15036,
  [15325] = 15066,
  [15326] = 15035,
  [15327] = 15031,
  [15328] = 15029,
  [15329] = 15060,
  [15330] = 15033,
  [15331] = 15034,
  [15332] = 15059,
  [15333] = 15061,
  [15334] = 15062,
  [15335] = 15066,
  [15336] = 11595,
  [15337] = 15035,
  [15338] = 15085,
  [15339] = 15085,
  [15340] = 15063,
  [15341] = 15070,
  [15342] = 15280,
  [15343] = 15139,
  [15344] = 15068,
  [15345] = 15098,
  [15346] = 15066,
  [15347] = 15035,
  [15348] = 15106,
  [15349] = 15110,
  [15350] = 15063,
  [15351] = 15351,
  [15352] = 15042,
  [15353] = 15353,
  [15354] = 15354,
  [15355] = 15043,
  [15356] = 15356,
  [15357] = 15051,
  [15358] = 15096,
  [15359] = 15039,
  [15360] = 15098,
  [15361] = 15036,
  [15362] = 15046,
  [15363] = 15031,
  [15364] = 15082,
  [15365] = 15083,
  [15366] = 15029,
  [15367] = 15047,
  [15368] = 15048,
  [15369] = 15369,
  [15370] = 15037,
  [15371] = 15371,
  [15372] = 15240,
  [15373] = 15051,
  [15374] = 15096,
  [15375] = 15242,
  [15376] = 15098,
  [15377] = 15036,
  [15378] = 15244,
  [15379] = 15245,
  [15380] = 15031,
  [15381] = 15029,
  [15382] = 15382,
  [15383] = 15383,
  [15384] = 15033,
  [15385] = 15258,
  [15386] = 15034,
  [15387] = 15229,
  [15388] = 15230,
  [15389] = 15059,
  [15390] = 15061,
  [15391] = 15062,
  [15392] = 15033,
  [15393] = 15066,
  [15394] = 15035,
  [15395] = 15273,
  [15396] = 15274,
  [15397] = 15085,
  [15398] = 15276,
  [15399] = 15280,
  [15400] = 15282,
  [15401] = 15283,
  [15402] = 15212,
  [15403] = 15290,
  [15404] = 15293,
  [15405] = 15029,
  [15406] = 15085,
  [15407] = 15172,
  [15408] = 15227,
  [15409] = 15409,
  [15410] = 15410,
  [15411] = 15411,
  [15412] = 15043,
  [15413] = 15044,
  [15414] = 15289,
  [15415] = 15415,
  [15416] = 15043,
  [15417] = 15145,
  [15418] = 15039,
  [15419] = 15039,
  [15420] = 15052,
  [15421] = 15046,
  [15422] = 15107,
  [15423] = 15082,
  [15424] = 15240,
  [15425] = 15083,
  [15426] = 15047,
  [15427] = 15242,
  [15428] = 15048,
  [15429] = 15244,
  [15430] = 15245,
  [15431] = 15037,
  [15432] = 10710,
  [15433] = 15051,
  [15434] = 15096,
  [15435] = 15098,
  [15436] = 15258,
  [15437] = 15036,
  [15438] = 15273,
  [15439] = 15229,
  [15440] = 15230,
  [15441] = 15046,
  [15442] = 15031,
  [15443] = 15029,
  [15444] = 15082,
  [15445] = 15033,
  [15446] = 15273,
  [15447] = 15274,
  [15448] = 15034,
  [15449] = 15059,
  [15450] = 15083,
  [15451] = 15276,
  [15452] = 15061,
  [15453] = 15062,
  [15454] = 15280,
  [15455] = 15282,
  [15456] = 15047,
  [15457] = 15066,
  [15458] = 15283,
  [15459] = 15212,
  [15460] = 15035,
  [15461] = 15290,
  [15462] = 15293,
  [15463] = 15172,
  [15464] = 15227,
  [15465] = 15085,
  [15466] = 15048,
  [15467] = 15034,
  [15468] = 15059,
  [15469] = 15037,
  [15470] = 15061,
  [15471] = 15415,
  [15472] = 15062,
  [15473] = 15060,
  [15474] = 15051,
  [15475] = 15475,
  [15476] = 15096,
  [15477] = 15098,
  [15478] = 15036,
  [15479] = 15031,
  [15480] = 15029,
  [15481] = 15043,
  [15482] = 15066,
  [15483] = 15039,
  [15484] = 15240,
  [15485] = 15244,
  [15486] = 15033,
  [15487] = 15242,
  [15488] = 15046,
  [15489] = 15082,
  [15490] = 15258,
  [15491] = 15083,
  [15492] = 15047,
  [15493] = 15044,
  [15494] = 15048,
  [15495] = 15034,
  [15496] = 15059,
  [15497] = 15035,
  [15498] = 15273,
  [15499] = 15061,
  [15500] = 15037,
  [15501] = 15062,
  [15502] = 15280,
  [15503] = 15282,
  [15504] = 15033,
  [15505] = 15051,
  [15506] = 15096,
  [15507] = 15098,
  [15508] = 15283,
  [15509] = 15036,
  [15510] = 15212,
  [15511] = 15066,
  [15512] = 15293,
  [15513] = 15031,
  [15514] = 15227,
  [15515] = 15029,
  [15516] = 15035,
  [15517] = 15033,
  [15518] = 15034,
  [15519] = 15059,
  [15520] = 15061,
  [15521] = 15062,
  [15522] = 15066,
  [15523] = 15085,
  [15524] = 15035,
  [15525] = 15085,
  [15526] = 15043,
  [15527] = 15240,
  [15528] = 15244,
  [15529] = 15258,
  [15530] = 15039,
  [15531] = 15280,
  [15532] = 15043,
  [15533] = 15282,
  [15534] = 15212,
  [15535] = 15293,
  [15536] = 15227,
  [15537] = 15039,
  [15538] = 15290,
  [15539] = 15085,
  [15540] = 15046,
  [15541] = 15082,
  [15542] = 15083,
  [15543] = 15047,
  [15544] = 15240,
  [15545] = 15060,
  [15546] = 15244,
  [15547] = 15048,
  [15548] = 15139,
  [15549] = 15037,
  [15550] = 15034,
  [15551] = 15258,
  [15552] = 15051,
  [15553] = 15096,
  [15554] = 15098,
  [15555] = 15036,
  [15556] = 15059,
  [15557] = 15031,
  [15558] = 15029,
  [15559] = 15280,
  [15560] = 15145,
  [15561] = 15282,
  [15562] = 15293,
  [15563] = 15227,
  [15564] = 15033,
  [15565] = 15034,
  [15566] = 15059,
  [15567] = 15061,
  [15568] = 15062,
  [15569] = 15240,
  [15570] = 15066,
  [15571] = 15061,
  [15572] = 15244,
  [15573] = 15035,
  [15574] = 15085,
  [15575] = 15062,
  [15576] = 15258,
  [15577] = 15046,
  [15578] = 15280,
  [15579] = 15282,
  [15580] = 15082,
  [15581] = 15293,
  [15582] = 15227,
  [15583] = 15240,
  [15584] = 15083,
  [15585] = 15047,
  [15586] = 15244,
  [15587] = 15046,
  [15588] = 15135,
  [15589] = 15043,
  [15590] = 15043,
  [15591] = 15258,
  [15592] = 15592,
  [15593] = 15039,
  [15594] = 15048,
  [15595] = 15280,
  [15596] = 15282,
  [15597] = 15293,
  [15598] = 15227,
  [15599] = 15036,
  [15600] = 15063,
  [15601] = 15046,
  [15602] = 15082,
  [15603] = 15039,
  [15604] = 15083,
  [15605] = 15240,
  [15606] = 15047,
  [15607] = 15048,
  [15608] = 15244,
  [15609] = 15609,
  [15610] = 15037,
  [15611] = 15082,
  [15612] = 15258,
  [15613] = 15051,
  [15614] = 15096,
  [15615] = 15098,
  [15616] = 15036,
  [15617] = 15037,
  [15618] = 15031,
  [15619] = 15280,
  [15620] = 15282,
  [15621] = 15621,
  [15622] = 15029,
  [15623] = 15293,
  [15624] = 15227,
  [15625] = 15043,
  [15626] = 15033,
  [15627] = 15034,
  [15628] = 15240,
  [15629] = 15059,
  [15630] = 15061,
  [15631] = 15062,
  [15632] = 15046,
  [15633] = 15244,
  [15634] = 15066,
  [15635] = 15083,
  [15636] = 15035,
  [15637] = 15082,
  [15638] = 15085,
  [15639] = 15083,
  [15640] = 15052,
  [15641] = 15047,
  [15642] = 15280,
  [15643] = 15274,
  [15644] = 15282,
  [15645] = 15060,
  [15646] = 15048,
  [15647] = 15293,
  [15648] = 15227,
  [15649] = 15649,
  [15650] = 15293,
  [15651] = 15063,
  [15652] = 15240,
  [15653] = 15037,
  [15654] = 15244,
  [15655] = 15070,
  [15656] = 15043,
  [15657] = 15060,
  [15658] = 15068,
  [15659] = 15051,
  [15660] = 15039,
  [15661] = 15047,
  [15662] = 15280,
  [15663] = 15282,
  [15664] = 15096,
  [15665] = 15098,
  [15666] = 15293,
  [15667] = 15227,
  [15668] = 15036,
  [15669] = 15046,
  [15670] = 15047,
  [15671] = 15033,
  [15672] = 15031,
  [15673] = 15240,
  [15674] = 15048,
  [15675] = 15675,
  [15676] = 15029,
  [15677] = 15106,
  [15678] = 15244,
  [15679] = 15037,
  [15680] = 15110,
  [15681] = 15051,
  [15682] = 15042,
  [15683] = 15029,
  [15684] = 15271,
  [15685] = 15033,
  [15686] = 15280,
  [15687] = 9992,
  [15688] = 15282,
  [15689] = 15689,
  [15690] = 15293,
  [15691] = 15227,
  [15692] = 15240,
  [15693] = 15033,
  [15694] = 15244,
  [15695] = 15034,
  [15696] = 15035,
  [15697] = 15044,
  [15698] = 15034,
  [15699] = 15059,
  [15700] = 15280,
  [15701] = 15061,
  [15702] = 15282,
  [15703] = 15062,
  [15704] = 15293,
  [15705] = 15227,
  [15706] = 15039,
  [15707] = 15240,
  [15708] = 15066,
  [15709] = 15244,
  [15710] = 15035,
  [15711] = 15051,
  [15712] = 15043,
  [15713] = 15280,
  [15714] = 15282,
  [15715] = 15085,
  [15716] = 15293,
  [15717] = 15227,
  [15718] = 15096,
  [15719] = 15240,
  [15720] = 15720,
  [15721] = 15098,
  [15722] = 15244,
  [15723] = 15039,
  [15724] = 15036,
  [15725] = 15046,
  [15726] = 15276,
  [15727] = 15047,
  [15728] = 15280,
  [15729] = 15031,
  [15730] = 15282,
  [15731] = 15048,
  [15732] = 15029,
  [15733] = 15293,
  [15734] = 15227,
  [15735] = 15240,
  [15736] = 15736,
  [15737] = 15244,
  [15738] = 15037,
  [15739] = 15051,
  [15740] = 15029,
  [15741] = 15282,
  [15742] = 15033,
  [15743] = 15280,
  [15744] = 15282,
  [15745] = 15033,
  [15746] = 15293,
  [15747] = 15227,
  [15748] = 15034,
  [15749] = 15240,
  [15750] = 15035,
  [15751] = 15244,
  [15752] = 15752,
  [15753] = 15066,
  [15754] = 15035,
  [15755] = 15280,
  [15756] = 15048,
  [15757] = 15282,
  [15758] = 15044,
  [15759] = 15070,
  [15760] = 15293,
  [15761] = 15227,
  [15762] = 15240,
  [15763] = 15763,
  [15764] = 15764,
  [15765] = 15244,
  [15766] = 15048,
  [15767] = 15767,
  [15768] = 15043,
  [15769] = 15283,
  [15770] = 15280,
  [15771] = 15282,
  [15772] = 15034,
  [15773] = 15059,
  [15774] = 15774,
  [15775] = 15293,
  [15776] = 15227,
  [15777] = 15061,
  [15778] = 15240,
  [15779] = 15062,
  [15780] = 15039,
  [15781] = 15244,
  [15782] = 15068,
  [15783] = 15046,
  [15784] = 15047,
  [15785] = 15280,
  [15786] = 15282,
  [15787] = 15066,
  [15788] = 15048,
  [15789] = 15035,
  [15790] = 15293,
  [15791] = 15227,
  [15792] = 15240,
  [15793] = 15244,
  [15794] = 15037,
  [15795] = 15051,
  [15796] = 15029,
  [15797] = 15280,
  [15798] = 15282,
  [15799] = 15033,
  [15800] = 15293,
  [15801] = 15227,
  [15802] = 15240,
  [15803] = 15034,
  [15804] = 15804,
  [15805] = 15244,
  [15806] = 15035,
  [15807] = 15244,
  [15808] = 15282,
  [15809] = 15037,
  [15810] = 15810,
  [15811] = 15293,
  [15812] = 15227,
  [15813] = 15240,
  [15814] = 15085,
  [15815] = 15244,
  [15816] = 15043,
  [15817] = 15031,
  [15818] = 15240,
  [15819] = 15043,
  [15820] = 15244,
  [15821] = 15039,
  [15822] = 15039,
  [15823] = 15240,
  [15824] = 15244,
  [15825] = 15046,
  [15826] = 15047,
  [15827] = 15827,
  [15828] = 15048,
  [15829] = 15240,
  [15830] = 15037,
  [15831] = 15244,
  [15832] = 15051,
  [15833] = 15029,
  [15834] = 15046,
  [15835] = 15240,
  [15836] = 15033,
  [15837] = 15837,
  [15838] = 15244,
  [15839] = 15034,
  [15840] = 15082,
  [15841] = 15035,
  [15842] = 15240,
  [15843] = 15083,
  [15844] = 15139,
  [15845] = 15047,
  [15846] = 15244,
  [15847] = 15047,
  [15848] = 15106,
  [15849] = 15048,
  [15850] = 15850,
  [15851] = 15851,
  [15852] = 15145,
  [15853] = 15240,
  [15854] = 15244,
  [15855] = 15037,
  [15856] = 15044,
  [15857] = 15043,
  [15858] = 15240,
  [15859] = 15106,
  [15860] = 15060,
  [15861] = 15244,
  [15862] = 15240,
  [15863] = 15051,
  [15864] = 15039,
  [15865] = 15354,
  [15866] = 15096,
  [15867] = 15098,
  [15868] = 15240,
  [15869] = 15036,
  [15870] = 15046,
  [15871] = 15244,
  [15872] = 15047,
  [15873] = 15873,
  [15874] = 15048,
  [15875] = 15031,
  [15876] = 15029,
  [15877] = 15110,
  [15878] = 15037,
  [15879] = 15240,
  [15880] = 15051,
  [15881] = 15244,
  [15882] = 15029,
  [15883] = 15042,
  [15884] = 15046,
  [15885] = 15033,
  [15886] = 15033,
  [15887] = 9970,
  [15888] = 15240,
  [15889] = 15034,
  [15890] = 15035,
  [15891] = 15244,
  [15892] = 15044,
  [15893] = 15245,
  [15894] = 15240,
  [15895] = 15034,
  [15896] = 15059,
  [15897] = 15897,
  [15898] = 15061,
  [15899] = 15244,
  [15900] = 15062,
  [15901] = 15070,
  [15902] = 15082,
  [15903] = 15066,
  [15904] = 15029,
  [15905] = 15035,
  [15906] = 15240,
  [15907] = 15244,
  [15908] = 15043,
  [15909] = 15085,
  [15910] = 15083,
  [15911] = 15039,
  [15912] = 15240,
  [15913] = 15244,
  [15914] = 15083,
  [15915] = 15046,
  [15916] = 15047,
  [15917] = 15047,
  [15918] = 15276,
  [15919] = 15240,
  [15920] = 15920,
  [15921] = 15048,
  [15922] = 15244,
  [15923] = 15290,
  [15924] = 15048,
  [15925] = 15037,
  [15926] = 15051,
  [15927] = 15029,
  [15928] = 15240,
  [15929] = 15244,
  [15930] = 15930,
  [15931] = 15033,
  [15932] = 15034,
  [15933] = 15034,
  [15934] = 15035,
  [15935] = 15240,
  [15936] = 15244,
  [15937] = 15107,
  [15938] = 15938,
  [15939] = 15939,
  [15940] = 15052,
  [15941] = 15941,
  [15942] = 15240,
  [15943] = 15059,
  [15944] = 15244,
  [15945] = 15037,
  [15946] = 15763,
  [15947] = 15107,
  [15948] = 15061,
  [15949] = 15062,
  [15950] = 15107,
  [15951] = 15240,
  [15952] = 15952,
  [15953] = 15244,
  [15954] = 15043,
  [15955] = 15039,
  [15956] = 15240,
  [15957] = 15244,
  [15958] = 15046,
  [15959] = 15959,
  [15960] = 15047,
  [15961] = 15961,
  [15962] = 15048,
  [15963] = 15240,
  [15964] = 15244,
  [15965] = 15965,
  [15966] = 15037,
  [15967] = 15051,
  [15968] = 15029,
  [15969] = 15240,
  [15970] = 15415,
  [15971] = 15244,
  [15972] = 15110,
  [15973] = 15240,
  [15974] = 15033,
  [15975] = 15244,
  [15976] = 15240,
  [15977] = 15034,
  [15978] = 15244,
  [15979] = 15035,
  [15980] = 15240,
  [15981] = 15244,
  [15982] = 15240,
  [15983] = 15244,
  [15984] = 15240,
  [15985] = 15244,
  [15986] = 15240,
  [15987] = 15244,
  [15988] = 15240,
  [15989] = 15244,
  [15990] = 15240,
  [15991] = 15244,
  [15992] = 15240,
  [15993] = 15244,
  [15994] = 15240,
  [15995] = 15244,
  [15996] = 15240,
  [15997] = 15244,
  [15998] = 15240,
  [15999] = 15244,
  [16000] = 15240,
  [16001] = 15244,
  [16002] = 15240,
  [16003] = 15244,
  [16004] = 15240,
  [16005] = 15244,
  [16006] = 15240,
  [16007] = 15244,
  [16008] = 15240,
  [16009] = 15244,
  [16010] = 15240,
  [16011] = 15244,
  [16012] = 15240,
  [16013] = 15244,
  [16014] = 15240,
  [16015] = 15244,
  [16016] = 15240,
  [16017] = 15244,
  [16018] = 15240,
  [16019] = 15244,
  [16020] = 15240,
  [16021] = 15244,
  [16022] = 15240,
  [16023] = 15244,
  [16024] = 15240,
  [16025] = 15244,
  [16026] = 15240,
  [16027] = 15244,
  [16028] = 15240,
  [16029] = 15244,
  [16030] = 15240,
  [16031] = 15244,
  [16032] = 15240,
  [16033] = 15244,
  [16034] = 15240,
  [16035] = 15244,
  [16036] = 15240,
  [16037] = 15244,
  [16038] = 15240,
  [16039] = 15244,
  [16040] = 15240,
  [16041] = 15244,
  [16042] = 15240,
  [16043] = 15244,
  [16044] = 15240,
  [16045] = 15244,
  [16046] = 15240,
  [16047] = 15244,
  [16048] = 15920,
  [16049] = 15897,
  [16050] = 9866,
  [16051] = 15043,
  [16052] = 16052,
  [16053] = 15052,
  [16054] = 15043,
  [16055] = 15592,
  [16056] = 15039,
  [16057] = 15039,
  [16058] = 15107,
  [16059] = 15851,
  [16060] = 15046,
  [16061] = 15047,
  [16062] = 15048,
  [16063] = 15086,
  [16064] = 15037,
  [16065] = 15051,
  [16066] = 15029,
  [16067] = 15046,
  [16068] = 12182,
  [16069] = 15060,
  [16070] = 15827,
  [16071] = 15082,
  [16072] = 15033,
  [16073] = 15239,
  [16074] = 15034,
  [16075] = 15035,
  [16076] = 15897,
  [16077] = 15083,
  [16078] = 15047,
  [16079] = 15592,
  [16080] = 15066,
  [16081] = 15048,
  [16082] = 15851,
  [16083] = 15043,
  [16084] = 15037,
  [16085] = 15063,
  [16086] = 15043,
  [16087] = 16087,
  [16088] = 15060,
  [16089] = 15257,
  [16090] = 15051,
  [16091] = 15039,
  [16092] = 15096,
  [16093] = 15098,
  [16094] = 15897,
  [16095] = 15036,
  [16096] = 15046,
  [16097] = 15070,
  [16098] = 15047,
  [16099] = 15031,
  [16100] = 15048,
  [16101] = 15029,
  [16102] = 15592,
  [16103] = 15035,
  [16104] = 15037,
  [16105] = 15415,
  [16106] = 15051,
  [16107] = 15068,
  [16108] = 15029,
  [16109] = 15851,
  [16110] = 15033,
  [16111] = 15033,
  [16112] = 15034,
  [16113] = 15035,
  [16114] = 15044,
  [16115] = 15034,
  [16116] = 15897,
  [16117] = 15059,
  [16118] = 15258,
  [16119] = 15061,
  [16120] = 15062,
  [16121] = 15592,
  [16122] = 15039,
  [16123] = 15066,
  [16124] = 15851,
  [16125] = 15035,
  [16126] = 15897,
  [16127] = 15043,
  [16128] = 15592,
  [16129] = 15085,
  [16130] = 15039,
  [16131] = 15851,
  [16132] = 15897,
  [16133] = 15051,
  [16134] = 15046,
  [16135] = 15415,
  [16136] = 15592,
  [16137] = 15047,
  [16138] = 15851,
  [16139] = 15048,
  [16140] = 15043,
  [16141] = 15897,
  [16142] = 15037,
  [16143] = 16143,
  [16144] = 15273,
  [16145] = 15592,
  [16146] = 15051,
  [16147] = 16147,
  [16148] = 15851,
  [16149] = 15029,
  [16150] = 15897,
  [16151] = 15033,
  [16152] = 15592,
  [16153] = 15851,
  [16154] = 15897,
  [16155] = 15034,
  [16156] = 15035,
  [16157] = 15039,
  [16158] = 15592,
  [16159] = 15851,
  [16160] = 15897,
  [16161] = 15920,
  [16162] = 15592,
  [16163] = 15851,
  [16164] = 15897,
  [16165] = 15051,
  [16166] = 15106,
  [16167] = 15592,
  [16168] = 15851,
  [16169] = 15897,
  [16170] = 12184,
  [16171] = 15592,
  [16172] = 15851,
  [16173] = 15897,
  [16174] = 15592,
  [16175] = 15851,
  [16176] = 15897,
  [16177] = 15139,
  [16178] = 15043,
  [16179] = 15139,
  [16180] = 15592,
  [16181] = 15851,
  [16182] = 15897,
  [16183] = 15145,
  [16184] = 15039,
  [16185] = 15592,
  [16186] = 15110,
  [16187] = 15851,
  [16188] = 15897,
  [16189] = 15592,
  [16190] = 15046,
  [16191] = 15851,
  [16192] = 15897,
  [16193] = 15042,
  [16194] = 15047,
  [16195] = 15145,
  [16196] = 15048,
  [16197] = 15592,
  [16198] = 15851,
  [16199] = 15897,
  [16200] = 15764,
  [16201] = 15037,
  [16202] = 12166,
  [16203] = 15774,
  [16204] = 15592,
  [16205] = 15851,
  [16206] = 15897,
  [16207] = 15107,
  [16208] = 15804,
  [16209] = 15592,
  [16210] = 15051,
  [16211] = 15851,
  [16212] = 15897,
  [16213] = 15029,
  [16214] = 15096,
  [16215] = 15046,
  [16216] = 15592,
  [16217] = 15851,
  [16218] = 15897,
  [16219] = 15033,
  [16220] = 15592,
  [16221] = 15851,
  [16222] = 15897,
  [16223] = 15034,
  [16224] = 15035,
  [16225] = 15592,
  [16226] = 15851,
  [16227] = 15897,
  [16228] = 15592,
  [16229] = 15851,
  [16230] = 15897,
  [16231] = 15082,
  [16232] = 15592,
  [16233] = 15851,
  [16234] = 15897,
  [16235] = 15043,
  [16236] = 15736,
  [16237] = 15592,
  [16238] = 15851,
  [16239] = 15897,
  [16240] = 15083,
  [16241] = 16241,
  [16242] = 15837,
  [16243] = 15592,
  [16244] = 15851,
  [16245] = 15897,
  [16246] = 15047,
  [16247] = 15415,
  [16248] = 15592,
  [16249] = 15851,
  [16250] = 15897,
  [16251] = 15592,
  [16252] = 15851,
  [16253] = 15897,
  [16254] = 16241,
  [16255] = 15043,
  [16256] = 15592,
  [16257] = 15851,
  [16258] = 15897,
  [16259] = 15043,
  [16260] = 15046,
  [16261] = 15048,
  [16262] = 15592,
  [16263] = 15851,
  [16264] = 15897,
  [16265] = 15039,
  [16266] = 15592,
  [16267] = 15851,
  [16268] = 15897,
  [16269] = 15043,
  [16270] = 15592,
  [16271] = 15851,
  [16272] = 15897,
  [16273] = 15280,
  [16274] = 15046,
  [16275] = 15592,
  [16276] = 15851,
  [16277] = 15897,
  [16278] = 15047,
  [16279] = 15039,
  [16280] = 15039,
  [16281] = 15592,
  [16282] = 16282,
  [16283] = 15851,
  [16284] = 15897,
  [16285] = 15048,
  [16286] = 15592,
  [16287] = 15851,
  [16288] = 15897,
  [16289] = 15037,
  [16290] = 15082,
  [16291] = 15592,
  [16292] = 15851,
  [16293] = 15897,
  [16294] = 16282,
  [16295] = 15051,
  [16296] = 15029,
  [16297] = 15037,
  [16298] = 15592,
  [16299] = 15851,
  [16300] = 15897,
  [16301] = 15592,
  [16302] = 15851,
  [16303] = 15897,
  [16304] = 15592,
  [16305] = 15851,
  [16306] = 15897,
  [16307] = 15139,
  [16308] = 15033,
  [16309] = 15034,
  [16310] = 15592,
  [16311] = 15145,
  [16312] = 15851,
  [16313] = 15897,
  [16314] = 15035,
  [16315] = 15051,
  [16316] = 15592,
  [16317] = 15851,
  [16318] = 15897,
  [16319] = 15083,
  [16320] = 15046,
  [16321] = 15592,
  [16322] = 15851,
  [16323] = 15897,
  [16324] = 15082,
  [16325] = 15098,
  [16326] = 15083,
  [16327] = 15592,
  [16328] = 15897,
  [16329] = 15047,
  [16330] = 15592,
  [16331] = 15060,
  [16332] = 15897,
  [16333] = 15592,
  [16334] = 15897,
  [16335] = 15592,
  [16336] = 15897,
  [16337] = 15592,
  [16338] = 15897,
  [16339] = 15592,
  [16340] = 15897,
  [16341] = 15592,
  [16342] = 15897,
  [16343] = 15592,
  [16344] = 15897,
  [16345] = 15592,
  [16346] = 15897,
  [16347] = 15592,
  [16348] = 15897,
  [16349] = 15592,
  [16350] = 15082,
  [16351] = 15897,
  [16352] = 15592,
  [16353] = 15897,
  [16354] = 15592,
  [16355] = 15897,
  [16356] = 15592,
  [16357] = 15897,
  [16358] = 15897,
  [16359] = 15897,
  [16360] = 15897,
  [16361] = 15897,
  [16362] = 15897,
  [16363] = 15897,
  [16364] = 15897,
  [16365] = 15897,
  [16366] = 15897,
  [16367] = 15897,
  [16368] = 15897,
  [16369] = 15897,
  [16370] = 15897,
  [16371] = 15897,
  [16372] = 15897,
  [16373] = 15897,
  [16374] = 15897,
  [16375] = 15897,
  [16376] = 15897,
  [16377] = 15897,
  [16378] = 15897,
  [16379] = 15897,
  [16380] = 15047,
  [16381] = 15245,
  [16382] = 15229,
  [16383] = 15230,
  [16384] = 15767,
  [16385] = 15274,
  [16386] = 15048,
  [16387] = 15063,
  [16388] = 15096,
  [16389] = 15043,
  [16390] = 15070,
  [16391] = 15037,
  [16392] = 15098,
  [16393] = 15039,
  [16394] = 15046,
  [16395] = 15068,
  [16396] = 15046,
  [16397] = 15060,
  [16398] = 15047,
  [16399] = 4766,
  [16400] = 15048,
  [16401] = 15051,
  [16402] = 15096,
  [16403] = 15037,
  [16404] = 15098,
  [16405] = 15036,
  [16406] = 15051,
  [16407] = 15106,
  [16408] = 15029,
  [16409] = 15048,
  [16410] = 15031,
  [16411] = 15029,
  [16412] = 15110,
  [16413] = 15283,
  [16414] = 15033,
  [16415] = 15034,
  [16416] = 15035,
  [16417] = 15042,
  [16418] = 15039,
  [16419] = 15033,
  [16420] = 15764,
  [16421] = 15774,
  [16422] = 15044,
  [16423] = 15034,
  [16424] = 15764,
  [16425] = 15059,
  [16426] = 15774,
  [16427] = 15061,
  [16428] = 15062,
  [16429] = 15043,
  [16430] = 15051,
  [16431] = 15066,
  [16432] = 15039,
  [16433] = 15764,
  [16434] = 15774,
  [16435] = 15096,
  [16436] = 15035,
  [16437] = 15098,
  [16438] = 15036,
  [16439] = 15046,
  [16440] = 15804,
  [16441] = 15047,
  [16442] = 15804,
  [16443] = 15048,
  [16444] = 15804,
  [16445] = 15037,
  [16446] = 15085,
  [16447] = 15051,
  [16448] = 15030,
  [16449] = 15030,
  [16450] = 15030,
  [16451] = 15029,
  [16452] = 16452,
  [16453] = 16453,
  [16454] = 16454,
  [16455] = 16455,
  [16456] = 16455,
  [16457] = 16457,
  [16458] = 16458,
  [16459] = 16459,
  [16460] = 16460,
  [16461] = 16461,
  [16462] = 16462,
  [16463] = 16463,
  [16464] = 16464,
  [16465] = 16459,
  [16466] = 16466,
  [16467] = 16466,
  [16468] = 16468,
  [16469] = 16469,
  [16470] = 16470,
  [16471] = 16471,
  [16472] = 16472,
  [16473] = 16473,
  [16474] = 16474,
  [16475] = 16471,
  [16476] = 16476,
  [16477] = 16477,
  [16478] = 16478,
  [16479] = 16479,
  [16480] = 16455,
  [16481] = 16469,
  [16482] = 16458,
  [16483] = 16461,
  [16484] = 16462,
  [16485] = 16463,
  [16486] = 10258,
  [16487] = 16466,
  [16488] = 16488,
  [16489] = 16472,
  [16490] = 16490,
  [16491] = 16491,
  [16492] = 16492,
  [16493] = 16493,
  [16494] = 16469,
  [16495] = 16459,
  [16496] = 16455,
  [16497] = 16491,
  [16498] = 16498,
  [16499] = 16464,
  [16500] = 16461,
  [16501] = 16462,
  [16502] = 16463,
  [16503] = 16466,
  [16504] = 16504,
  [16505] = 16504,
  [16506] = 16472,
  [16507] = 16459,
  [16508] = 16470,
  [16509] = 16471,
  [16510] = 16464,
  [16511] = 16455,
  [16512] = 16460,
  [16513] = 16460,
  [16514] = 16469,
  [16515] = 16461,
  [16516] = 16462,
  [16517] = 16463,
  [16518] = 16518,
  [16519] = 16466,
  [16520] = 16460,
  [16521] = 16472,
  [16522] = 16522,
  [16523] = 16460,
  [16524] = 16470,
  [16525] = 16455,
  [16526] = 16526,
  [16527] = 16527,
  [16528] = 16488,
  [16529] = 16470,
  [16530] = 16461,
  [16531] = 16462,
  [16532] = 16463,
  [16533] = 16533,
  [16534] = 16466,
  [16535] = 16490,
  [16536] = 16536,
  [16537] = 16472,
  [16538] = 16458,
  [16539] = 16464,
  [16540] = 16479,
  [16541] = 16469,
  [16542] = 16471,
  [16543] = 16479,
  [16544] = 16455,
  [16545] = 16461,
  [16546] = 16462,
  [16547] = 16547,
  [16548] = 16461,
  [16549] = 16462,
  [16550] = 16463,
  [16551] = 16466,
  [16552] = 16464,
  [16553] = 16472,
  [16554] = 16463,
  [16555] = 16488,
  [16556] = 16504,
  [16557] = 16459,
  [16558] = 16476,
  [16559] = 10589,
  [16560] = 16464,
  [16561] = 16561,
  [16562] = 16455,
  [16563] = 16491,
  [16564] = 16472,
  [16565] = 16565,
  [16566] = 16459,
  [16567] = 16461,
  [16568] = 16462,
  [16569] = 16463,
  [16570] = 16464,
  [16571] = 16466,
  [16572] = 16504,
  [16573] = 16573,
  [16574] = 16472,
  [16575] = 16459,
  [16576] = 16460,
  [16577] = 16479,
  [16578] = 16470,
  [16579] = 16469,
  [16580] = 16460,
  [16581] = 16455,
  [16582] = 16582,
  [16583] = 16471,
  [16584] = 16461,
  [16585] = 16462,
  [16586] = 16463,
  [16587] = 16587,
  [16588] = 16466,
  [16589] = 16460,
  [16590] = 16590,
  [16591] = 16472,
  [16592] = 16491,
  [16593] = 16593,
  [16594] = 16490,
  [16595] = 16471,
  [16596] = 16527,
  [16597] = 16491,
  [16598] = 16598,
  [16599] = 16455,
  [16600] = 16459,
  [16601] = 16455,
  [16602] = 16504,
  [16603] = 16461,
  [16604] = 16462,
  [16605] = 16463,
  [16606] = 16473,
  [16607] = 16466,
  [16608] = 16464,
  [16609] = 16478,
  [16610] = 16472,
  [16611] = 16468,
  [16612] = 16470,
  [16613] = 16479,
  [16614] = 16458,
  [16615] = 16615,
  [16616] = 16616,
  [16617] = 16464,
  [16618] = 16498,
  [16619] = 16471,
  [16620] = 16455,
  [16621] = 16474,
  [16622] = 16460,
  [16623] = 16488,
  [16624] = 16461,
  [16625] = 16461,
  [16626] = 16462,
  [16627] = 16463,
  [16628] = 16460,
  [16629] = 16462,
  [16630] = 16466,
  [16631] = 16463,
  [16632] = 16472,
  [16633] = 16470,
  [16634] = 16470,
  [16635] = 16466,
  [16636] = 10614,
  [16637] = 16587,
  [16638] = 16587,
  [16639] = 16455,
  [16640] = 16460,
  [16641] = 16470,
  [16642] = 16461,
  [16643] = 16462,
  [16644] = 16463,
  [16645] = 16466,
  [16646] = 16526,
  [16647] = 16471,
  [16648] = 16648,
  [16649] = 16472,
  [16650] = 16466,
  [16651] = 16526,
  [16652] = 16479,
  [16653] = 16459,
  [16654] = 16471,
  [16655] = 16455,
  [16656] = 16461,
  [16657] = 16462,
  [16658] = 16463,
  [16659] = 16474,
  [16660] = 16459,
  [16661] = 16466,
  [16662] = 16464,
  [16663] = 16471,
  [16664] = 16479,
  [16665] = 16454,
  [16666] = 16666,
  [16667] = 16460,
  [16668] = 16488,
  [16669] = 16476,
  [16670] = 16476,
  [16671] = 16490,
  [16672] = 16672,
  [16673] = 16455,
  [16674] = 16479,
  [16675] = 16471,
  [16676] = 16460,
  [16677] = 16479,
  [16678] = 16479,
  [16679] = 16461,
  [16680] = 16462,
  [16681] = 16463,
  [16682] = 16469,
  [16683] = 16466,
  [16684] = 16684,
  [16685] = 16488,
  [16686] = 16469,
  [16687] = 16455,
  [16688] = 16488,
  [16689] = 16459,
  [16690] = 16491,
  [16691] = 16461,
  [16692] = 16462,
  [16693] = 16463,
  [16694] = 16466,
  [16695] = 16526,
  [16696] = 16464,
  [16697] = 16476,
  [16698] = 16504,
  [16699] = 16459,
  [16700] = 16565,
  [16701] = 16701,
  [16702] = 16455,
  [16703] = 16459,
  [16704] = 16470,
  [16705] = 16459,
  [16706] = 16460,
  [16707] = 16472,
  [16708] = 16461,
  [16709] = 16462,
  [16710] = 16463,
  [16711] = 16672,
  [16712] = 16466,
  [16713] = 16461,
  [16714] = 16464,
  [16715] = 16462,
  [16716] = 16463,
  [16717] = 16470,
  [16718] = 16526,
  [16719] = 16582,
  [16720] = 16491,
  [16721] = 16464,
  [16722] = 16455,
  [16723] = 16491,
  [16724] = 16460,
  [16725] = 16464,
  [16726] = 16479,
  [16727] = 16527,
  [16728] = 16461,
  [16729] = 16462,
  [16730] = 16463,
  [16731] = 16466,
  [16732] = 16732,
  [16733] = 16598,
  [16734] = 16734,
  [16735] = 16476,
  [16736] = 16455,
  [16737] = 16464,
  [16738] = 16738,
  [16739] = 16469,
  [16740] = 16473,
  [16741] = 16561,
  [16742] = 16455,
  [16743] = 16464,
  [16744] = 16471,
  [16745] = 16461,
  [16746] = 16462,
  [16747] = 16463,
  [16748] = 16492,
  [16749] = 16466,
  [16750] = 16458,
  [16751] = 16504,
  [16752] = 16461,
  [16753] = 16462,
  [16754] = 16463,
  [16755] = 16455,
  [16756] = 16526,
  [16757] = 16757,
  [16758] = 16459,
  [16759] = 16759,
  [16760] = 16464,
  [16761] = 16587,
  [16762] = 16461,
  [16763] = 16462,
  [16764] = 16463,
  [16765] = 16765,
  [16766] = 16476,
  [16767] = 16767,
  [16768] = 16471,
  [16769] = 16491,
  [16770] = 16471,
  [16771] = 16460,
  [16772] = 16466,
  [16773] = 16468,
  [16774] = 16474,
  [16775] = 16455,
  [16776] = 16776,
  [16777] = 16479,
  [16778] = 16469,
  [16779] = 16472,
  [16780] = 16461,
  [16781] = 16462,
  [16782] = 16463,
  [16783] = 16491,
  [16784] = 16488,
  [16785] = 16701,
  [16786] = 16477,
  [16787] = 16504,
  [16788] = 16504,
  [16789] = 16470,
  [16790] = 16455,
  [16791] = 16479,
  [16792] = 16526,
  [16793] = 16491,
  [16794] = 16461,
  [16795] = 16462,
  [16796] = 16463,
  [16797] = 16464,
  [16798] = 16798,
  [16799] = 16470,
  [16800] = 16504,
  [16801] = 16468,
  [16802] = 16526,
  [16803] = 16455,
  [16804] = 16470,
  [16805] = 16672,
  [16806] = 16490,
  [16807] = 16459,
  [16808] = 16490,
  [16809] = 16472,
  [16810] = 16461,
  [16811] = 16462,
  [16812] = 16463,
  [16813] = 16469,
  [16814] = 16759,
  [16815] = 16491,
  [16816] = 16498,
  [16817] = 16817,
  [16818] = 16479,
  [16819] = 16547,
  [16820] = 16460,
  [16821] = 16821,
  [16822] = 16469,
  [16823] = 16455,
  [16824] = 16469,
  [16825] = 16582,
  [16826] = 16461,
  [16827] = 16462,
  [16828] = 16463,
  [16829] = 16460,
  [16830] = 16479,
  [16831] = 16831,
  [16832] = 16832,
  [16833] = 16666,
  [16834] = 16598,
  [16835] = 16455,
  [16836] = 16461,
  [16837] = 16462,
  [16838] = 16463,
  [16839] = 16460,
  [16840] = 16491,
  [16841] = 10284,
  [16842] = 16455,
  [16843] = 16471,
  [16844] = 16461,
  [16845] = 16462,
  [16846] = 16463,
  [16847] = 16471,
  [16848] = 16757,
  [16849] = 16598,
  [16850] = 16470,
  [16851] = 16455,
  [16852] = 16461,
  [16853] = 16462,
  [16854] = 16463,
  [16855] = 16455,
  [16856] = 16856,
  [16857] = 16455,
  [16858] = 16461,
  [16859] = 16462,
  [16860] = 16463,
  [16861] = 16565,
  [16862] = 16862,
  [16863] = 16455,
  [16864] = 16461,
  [16865] = 16462,
  [16866] = 16463,
  [16867] = 16458,
  [16868] = 16490,
  [16869] = 16455,
  [16870] = 16461,
  [16871] = 16462,
  [16872] = 16463,
  [16873] = 16460,
  [16874] = 16759,
  [16875] = 16455,
  [16876] = 16461,
  [16877] = 16462,
  [16878] = 16463,
  [16879] = 16879,
  [16880] = 16459,
  [16881] = 16455,
  [16882] = 16461,
  [16883] = 16462,
  [16884] = 16463,
  [16885] = 16757,
  [16886] = 16461,
  [16887] = 16455,
  [16888] = 16461,
  [16889] = 16462,
  [16890] = 16463,
  [16891] = 16462,
  [16892] = 16463,
  [16893] = 16455,
  [16894] = 16461,
  [16895] = 16462,
  [16896] = 16463,
  [16897] = 16459,
  [16898] = 16587,
  [16899] = 16455,
  [16900] = 16461,
  [16901] = 16462,
  [16902] = 16463,
  [16903] = 16488,
  [16904] = 11336,
  [16905] = 16455,
  [16906] = 16461,
  [16907] = 16462,
  [16908] = 16463,
  [16909] = 16573,
  [16910] = 16491,
  [16911] = 16455,
  [16912] = 16461,
  [16913] = 16462,
  [16914] = 16463,
  [16915] = 16471,
  [16916] = 16459,
  [16917] = 16466,
  [16918] = 16455,
  [16919] = 16461,
  [16920] = 16462,
  [16921] = 16463,
  [16922] = 16526,
  [16923] = 16459,
  [16924] = 16455,
  [16925] = 16504,
  [16926] = 16474,
  [16927] = 16455,
  [16928] = 16471,
  [16929] = 16459,
  [16930] = 16455,
  [16931] = 16488,
  [16932] = 16479,
  [16933] = 16455,
  [16934] = 16472,
  [16935] = 16526,
  [16936] = 16455,
  [16937] = 16479,
  [16938] = 16479,
  [16939] = 16455,
  [16940] = 16471,
  [16941] = 16476,
  [16942] = 16455,
  [16943] = 16459,
  [16944] = 16479,
  [16945] = 16455,
  [16946] = 16491,
  [16947] = 16471,
  [16948] = 16455,
  [16949] = 16464,
  [16950] = 16598,
  [16951] = 16455,
  [16952] = 16491,
  [16953] = 16455,
  [16954] = 16455,
  [16955] = 16470,
  [16956] = 16459,
  [16957] = 16455,
  [16958] = 16469,
  [16959] = 16458,
  [16960] = 16455,
  [16961] = 16666,
  [16962] = 16464,
  [16963] = 16455,
  [16964] = 16547,
  [16965] = 16461,
  [16966] = 16455,
  [16967] = 16462,
  [16968] = 16463,
  [16969] = 16455,
  [16970] = 16587,
  [16971] = 16490,
  [16972] = 16455,
  [16973] = 16464,
  [16974] = 16974,
  [16975] = 16455,
  [16976] = 16526,
  [16977] = 16460,
  [16978] = 16455,
  [16979] = 16468,
  [16980] = 16466,
  [16981] = 16455,
  [16982] = 16459,
  [16983] = 16478,
  [16984] = 16455,
  [16985] = 16479,
  [16986] = 16469,
  [16987] = 16455,
  [16988] = 16470,
  [16989] = 16472,
  [16990] = 16455,
  [16991] = 16464,
  [16992] = 16992,
  [16993] = 16992,
  [16994] = 16479,
  [16995] = 16476,
  [16996] = 16459,
  [16997] = 16469,
  [16998] = 16479,
  [16999] = 16469,
  [17000] = 16459,
  [17001] = 16479,
  [17002] = 16471,
  [17003] = 16491,
  [17004] = 16476,
  [17005] = 16491,
  [17006] = 16464,
  [17007] = 16491,
  [17008] = 16476,
  [17009] = 16504,
  [17010] = 16504,
  [17011] = 16526,
  [17012] = 16459,
  [17013] = 16470,
  [17014] = 16455,
  [17015] = 16526,
  [17016] = 16504,
  [17017] = 16759,
  [17018] = 16491,
  [17019] = 16458,
  [17020] = 16452,
  [17021] = 16460,
  [17022] = 16479,
  [17023] = 16767,
  [17024] = 16470,
  [17025] = 16461,
  [17026] = 16462,
  [17027] = 16463,
  [17028] = 17028,
  [17029] = 16490,
  [17030] = 16587,
  [17031] = 16504,
  [17032] = 16757,
  [17033] = 16464,
  [17034] = 16490,
  [17035] = 16471,
  [17036] = 16526,
  [17037] = 16491,
  [17038] = 16466,
  [17039] = 16992,
  [17040] = 10123,
  [17041] = 16469,
  [17042] = 17042,
  [17043] = 16479,
  [17044] = 16459,
  [17045] = 16479,
  [17046] = 16464,
  [17047] = 16460,
  [17048] = 16470,
  [17049] = 16488,
  [17050] = 16469,
  [17051] = 16464,
  [17052] = 16476,
  [17053] = 16460,
  [17054] = 16479,
  [17055] = 16469,
  [17056] = 16471,
  [17057] = 16464,
  [17058] = 16490,
  [17059] = 16469,
  [17060] = 16459,
  [17061] = 16472,
  [17062] = 16452,
  [17063] = 16504,
  [17064] = 16527,
  [17065] = 16468,
  [17066] = 16504,
  [17067] = 16767,
  [17068] = 16504,
  [17069] = 17069,
  [17070] = 16464,
  [17071] = 16479,
  [17072] = 16992,
  [17073] = 16469,
  [17074] = 16470,
  [17075] = 16460,
  [17076] = 16479,
  [17077] = 16491,
  [17078] = 16526,
  [17079] = 16491,
  [17080] = 16471,
  [17081] = 16460,
  [17082] = 16488,
  [17083] = 16476,
  [17084] = 16455,
  [17085] = 16460,
  [17086] = 16476,
  [17087] = 16459,
  [17088] = 16458,
  [17089] = 17089,
  [17090] = 16479,
  [17091] = 17091,
  [17092] = 16471,
  [17093] = 16491,
  [17094] = 16461,
  [17095] = 16462,
  [17096] = 16471,
  [17097] = 16463,
  [17098] = 16471,
  [17099] = 16452,
  [17100] = 16587,
  [17101] = 16767,
  [17102] = 16459,
  [17103] = 16459,
  [17104] = 16488,
  [17105] = 16992,
  [17106] = 17106,
  [17107] = 16582,
  [17108] = 16479,
  [17109] = 16504,
  [17110] = 16474,
  [17111] = 16466,
  [17112] = 16471,
  [17113] = 16504,
  [17114] = 16479,
  [17115] = 16469,
  [17116] = 16470,
  [17117] = 17117,
  [17118] = 16992,
  [17119] = 16470,
  [17120] = 16459,
  [17121] = 16471,
  [17122] = 16472,
  [17123] = 16490,
  [17124] = 16479,
  [17125] = 16504,
  [17126] = 16992,
  [17127] = 16471,
  [17128] = 16504,
  [17129] = 16470,
  [17130] = 16488,
  [17131] = 16615,
  [17132] = 16459,
  [17133] = 16459,
  [17134] = 16460,
  [17135] = 16490,
  [17136] = 16479,
  [17137] = 16464,
  [17138] = 16476,
  [17139] = 16491,
  [17140] = 16992,
  [17141] = 16856,
  [17142] = 16460,
  [17143] = 16491,
  [17144] = 16455,
  [17145] = 16464,
  [17146] = 16561,
  [17147] = 16464,
  [17148] = 16458,
  [17149] = 16491,
  [17150] = 16458,
  [17151] = 16459,
  [17152] = 16992,
  [17153] = 16491,
  [17154] = 16491,
  [17155] = 16471,
  [17156] = 16461,
  [17157] = 16471,
  [17158] = 16462,
  [17159] = 16992,
  [17160] = 16463,
  [17161] = 16587,
  [17162] = 16464,
  [17163] = 16498,
  [17164] = 16464,
  [17165] = 16491,
  [17166] = 16992,
  [17167] = 16466,
  [17168] = 16459,
  [17169] = 16504,
  [17170] = 16459,
  [17171] = 16460,
  [17172] = 16526,
  [17173] = 16992,
  [17174] = 17174,
  [17175] = 16479,
  [17176] = 16472,
  [17177] = 16464,
  [17178] = 16470,
  [17179] = 16992,
  [17180] = 16491,
  [17181] = 16460,
  [17182] = 16479,
  [17183] = 16469,
  [17184] = 16471,
  [17185] = 16472,
  [17186] = 16479,
  [17187] = 16459,
  [17188] = 16469,
  [17189] = 16757,
  [17190] = 16476,
  [17191] = 17191,
  [17192] = 16547,
  [17193] = 16479,
  [17194] = 16491,
  [17195] = 16470,
  [17196] = 16701,
  [17197] = 16455,
  [17198] = 16862,
  [17199] = 16504,
  [17200] = 16471,
  [17201] = 16491,
  [17202] = 16526,
  [17203] = 16458,
  [17204] = 16470,
  [17205] = 16459,
  [17206] = 16471,
  [17207] = 16479,
  [17208] = 16759,
  [17209] = 16461,
  [17210] = 16462,
  [17211] = 16526,
  [17212] = 16463,
  [17213] = 16587,
  [17214] = 16471,
  [17215] = 16504,
  [17216] = 16488,
  [17217] = 16459,
  [17218] = 16460,
  [17219] = 16466,
  [17220] = 16468,
  [17221] = 16469,
  [17222] = 17222,
  [17223] = 16479,
  [17224] = 16470,
  [17225] = 16491,
  [17226] = 16526,
  [17227] = 16992,
  [17228] = 16598,
  [17229] = 17229,
  [17230] = 16471,
  [17231] = 16472,
  [17232] = 16488,
  [17233] = 16470,
  [17234] = 16471,
  [17235] = 16459,
  [17236] = 16455,
  [17237] = 16672,
  [17238] = 16479,
  [17239] = 16701,
  [17240] = 16479,
  [17241] = 16491,
  [17242] = 16759,
  [17243] = 16582,
  [17244] = 16460,
  [17245] = 16473,
  [17246] = 16471,
  [17247] = 16471,
  [17248] = 16455,
  [17249] = 16469,
  [17250] = 16478,
  [17251] = 16832,
  [17252] = 16459,
  [17253] = 16479,
  [17254] = 16488,
  [17255] = 16458,
  [17256] = 16490,
  [17257] = 16488,
  [17258] = 16492,
  [17259] = 16461,
  [17260] = 16462,
  [17261] = 16476,
  [17262] = 16469,
  [17263] = 16459,
  [17264] = 16463,
  [17265] = 16587,
  [17266] = 16471,
  [17267] = 16479,
  [17268] = 16479,
  [17269] = 16459,
  [17270] = 16471,
  [17271] = 16466,
  [17272] = 16458,
  [17273] = 16461,
  [17274] = 16462,
  [17275] = 16472,
  [17276] = 16463,
  [17277] = 16471,
  [17278] = 16471,
  [17279] = 16590,
  [17280] = 16479,
  [17281] = 16459,
  [17282] = 16488,
  [17283] = 16587,
  [17284] = 16455,
  [17285] = 16470,
  [17286] = 16479,
  [17287] = 16458,
  [17288] = 16527,
  [17289] = 16459,
  [17290] = 16476,
  [17291] = 16469,
  [17292] = 16461,
  [17293] = 16462,
  [17294] = 16463,
  [17295] = 16464,
  [17296] = 16471,
  [17297] = 16459,
  [17298] = 16459,
  [17299] = 16466,
  [17300] = 16466,
  [17301] = 16464,
  [17302] = 16666,
  [17303] = 16526,
  [17304] = 16504,
  [17305] = 16474,
  [17306] = 16460,
  [17307] = 16491,
  [17308] = 16476,
  [17309] = 10535,
  [17310] = 16490,
  [17311] = 16472,
  [17312] = 17312,
  [17313] = 16457,
  [17314] = 16504,
  [17315] = 16491,
  [17316] = 16470,
  [17317] = 16862,
  [17318] = 16464,
  [17319] = 16479,
  [17320] = 16469,
  [17321] = 16455,
  [17322] = 16464,
  [17323] = 16458,
  [17324] = 16461,
  [17325] = 16462,
  [17326] = 16463,
  [17327] = 16573,
  [17328] = 16615,
  [17329] = 16504,
  [17330] = 16573,
  [17331] = 16466,
  [17332] = 16460,
  [17333] = 16459,
  [17334] = 16491,
  [17335] = 16504,
  [17336] = 16470,
  [17337] = 16526,
  [17338] = 16498,
  [17339] = 16472,
  [17340] = 16856,
  [17341] = 16460,
  [17342] = 16573,
  [17343] = 17343,
  [17344] = 16491,
  [17345] = 16479,
  [17346] = 16459,
  [17347] = 16479,
  [17348] = 16504,
  [17349] = 16455,
  [17350] = 16469,
  [17351] = 16458,
  [17352] = 16459,
  [17353] = 16470,
  [17354] = 16547,
  [17355] = 16582,
  [17356] = 16476,
  [17357] = 16470,
  [17358] = 16461,
  [17359] = 16471,
  [17360] = 16462,
  [17361] = 16463,
  [17362] = 16759,
  [17363] = 16490,
  [17364] = 16471,
  [17365] = 17365,
  [17366] = 16488,
  [17367] = 16470,
  [17368] = 16817,
  [17369] = 16466,
  [17370] = 16476,
  [17371] = 16455,
  [17372] = 17372,
  [17373] = 16492,
  [17374] = 16491,
  [17375] = 16862,
  [17376] = 16459,
  [17377] = 16490,
  [17378] = 16565,
  [17379] = 16472,
  [17380] = 16615,
  [17381] = 16476,
  [17382] = 16460,
  [17383] = 16464,
  [17384] = 16498,
  [17385] = 16491,
  [17386] = 16504,
  [17387] = 16455,
  [17388] = 16490,
  [17389] = 16472,
  [17390] = 16471,
  [17391] = 16458,
  [17392] = 16504,
  [17393] = 16461,
  [17394] = 16462,
  [17395] = 16463,
  [17396] = 16504,
  [17397] = 16470,
  [17398] = 16504,
  [17399] = 16460,
  [17400] = 16466,
  [17401] = 16471,
  [17402] = 16490,
  [17403] = 16471,
  [17404] = 16460,
  [17405] = 16472,
  [17406] = 16472,
  [17407] = 16526,
  [17408] = 16471,
  [17409] = 17365,
  [17410] = 16455,
  [17411] = 16759,
  [17412] = 16459,
  [17413] = 16464,
  [17414] = 16458,
  [17415] = 16464,
  [17416] = 10217,
  [17417] = 16461,
  [17418] = 16462,
  [17419] = 16463,
  [17420] = 17042,
  [17421] = 16856,
  [17422] = 16471,
  [17423] = 16466,
  [17424] = 16573,
  [17425] = 16466,
  [17426] = 16526,
  [17427] = 16459,
  [17428] = 16460,
  [17429] = 16821,
  [17430] = 16498,
  [17431] = 16472,
  [17432] = 16759,
  [17433] = 16460,
  [17434] = 16615,
  [17435] = 16479,
  [17436] = 16498,
  [17437] = 16469,
  [17438] = 16672,
  [17439] = 16464,
  [17440] = 16479,
  [17441] = 16491,
  [17442] = 16455,
  [17443] = 16458,
  [17444] = 16565,
  [17445] = 16470,
  [17446] = 16565,
  [17447] = 17447,
  [17448] = 16491,
  [17449] = 16461,
  [17450] = 16460,
  [17451] = 16462,
  [17452] = 16463,
  [17453] = 16598,
  [17454] = 16470,
  [17455] = 16536,
  [17456] = 16504,
  [17457] = 16473,
  [17458] = 16470,
  [17459] = 16459,
  [17460] = 16466,
  [17461] = 16490,
  [17462] = 16491,
  [17463] = 17229,
  [17464] = 16468,
  [17465] = 16471,
  [17466] = 16460,
  [17467] = 16455,
  [17468] = 16504,
  [17469] = 16472,
  [17470] = 16479,
  [17471] = 16491,
  [17472] = 16561,
  [17473] = 16464,
  [17474] = 16473,
  [17475] = 16504,
  [17476] = 16488,
  [17477] = 16526,
  [17478] = 16455,
  [17479] = 16565,
  [17480] = 16458,
  [17481] = 16471,
  [17482] = 16470,
  [17483] = 16478,
  [17484] = 16461,
  [17485] = 16462,
  [17486] = 16459,
  [17487] = 16463,
  [17488] = 16488,
  [17489] = 16471,
  [17490] = 16488,
  [17491] = 16492,
  [17492] = 16479,
  [17493] = 16490,
  [17494] = 16466,
  [17495] = 16504,
  [17496] = 16479,
  [17497] = 16458,
  [17498] = 16470,
  [17499] = 16472,
  [17500] = 16464,
  [17501] = 16461,
  [17502] = 16460,
  [17503] = 16479,
  [17504] = 16462,
  [17505] = 16463,
  [17506] = 16504,
  [17507] = 16455,
  [17508] = 16471,
  [17509] = 16469,
  [17510] = 16470,
  [17511] = 16598,
  [17512] = 16458,
  [17513] = 16461,
  [17514] = 16462,
  [17515] = 17343,
  [17516] = 17229,
  [17517] = 16463,
  [17518] = 16470,
  [17519] = 16460,
  [17520] = 17343,
  [17521] = 17229,
  [17522] = 16464,
  [17523] = 16464,
  [17524] = 16466,
  [17525] = 17343,
  [17526] = 17229,
  [17527] = 17229,
  [17528] = 16471,
  [17529] = 16587,
  [17530] = 16479,
  [17531] = 16472,
  [17532] = 16490,
  [17533] = 16491,
  [17534] = 17534,
  [17535] = 17535,
  [17536] = 17536,
  [17537] = 17537,
  [17538] = 17538,
  [17539] = 17539,
  [17540] = 17540,
  [17541] = 17541,
  [17542] = 17542,
  [17543] = 17543,
  [17544] = 17544,
  [17545] = 17545,
  [17546] = 17546,
  [17547] = 17547,
  [17548] = 17548,
  [17549] = 17549,
  [17550] = 17550,
  [17551] = 17551,
  [17552] = 17552,
  [17553] = 17553,
  [17554] = 17536,
  [17555] = 17555,
  [17556] = 17556,
  [17557] = 17557,
  [17558] = 17558,
  [17559] = 17559,
  [17560] = 17560,
  [17561] = 17541,
  [17562] = 17540,
  [17563] = 17563,
  [17564] = 17564,
  [17565] = 17565,
  [17566] = 17566,
  [17567] = 17566,
  [17568] = 17568,
  [17569] = 17569,
  [17570] = 17563,
  [17571] = 17555,
  [17572] = 17572,
  [17573] = 17552,
  [17574] = 17574,
  [17575] = 17575,
  [17576] = 17558,
  [17577] = 17577,
  [17578] = 17578,
  [17579] = 17579,
  [17580] = 17580,
  [17581] = 17559,
  [17582] = 17582,
  [17583] = 17565,
  [17584] = 17566,
  [17585] = 17552,
  [17586] = 17574,
  [17587] = 17587,
  [17588] = 17588,
  [17589] = 17589,
  [17590] = 17565,
  [17591] = 17556,
  [17592] = 17592,
  [17593] = 17593,
  [17594] = 17556,
  [17595] = 17559,
  [17596] = 17574,
  [17597] = 17597,
  [17598] = 17559,
  [17599] = 17548,
  [17600] = 17555,
  [17601] = 17549,
  [17602] = 17555,
  [17603] = 17550,
  [17604] = 17551,
  [17605] = 17558,
  [17606] = 17606,
  [17607] = 17552,
  [17608] = 17541,
  [17609] = 17552,
  [17610] = 17555,
  [17611] = 17582,
  [17612] = 17556,
  [17613] = 17559,
  [17614] = 17589,
  [17615] = 17548,
  [17616] = 17549,
  [17617] = 17550,
  [17618] = 17551,
  [17619] = 17558,
  [17620] = 17555,
  [17621] = 17621,
  [17622] = 17622,
  [17623] = 17623,
  [17624] = 17552,
  [17625] = 17625,
  [17626] = 17589,
  [17627] = 17569,
  [17628] = 17538,
  [17629] = 17543,
  [17630] = 17630,
  [17631] = 17547,
  [17632] = 17632,
  [17633] = 17575,
  [17634] = 17578,
  [17635] = 17579,
  [17636] = 17580,
  [17637] = 17637,
  [17638] = 17637,
  [17639] = 17639,
  [17640] = 17640,
  [17641] = 17641,
  [17642] = 17544,
  [17643] = 17621,
  [17644] = 17639,
  [17645] = 17589,
  [17646] = 17564,
  [17647] = 17592,
  [17648] = 17593,
  [17649] = 17639,
  [17650] = 17574,
  [17651] = 17537,
  [17652] = 17597,
  [17653] = 17589,
  [17654] = 17640,
  [17655] = 17641,
  [17656] = 17656,
  [17657] = 17657,
  [17658] = 17544,
  [17659] = 17640,
  [17660] = 17641,
  [17661] = 17622,
  [17662] = 17541,
  [17663] = 17663,
  [17664] = 17556,
  [17665] = 17559,
  [17666] = 17555,
  [17667] = 17667,
  [17668] = 17544,
  [17669] = 17548,
  [17670] = 17549,
  [17671] = 17550,
  [17672] = 17551,
  [17673] = 17673,
  [17674] = 17552,
  [17675] = 17630,
  [17676] = 17537,
  [17677] = 17577,
  [17678] = 17537,
  [17679] = 17566,
  [17680] = 17680,
  [17681] = 17569,
  [17682] = 17663,
  [17683] = 17683,
  [17684] = 17632,
  [17685] = 17683,
  [17686] = 17582,
  [17687] = 17621,
  [17688] = 17578,
  [17689] = 17579,
  [17690] = 17580,
  [17691] = 17535,
  [17692] = 17536,
  [17693] = 17623,
  [17694] = 17587,
  [17695] = 17538,
  [17696] = 17543,
  [17697] = 17547,
  [17698] = 17663,
  [17699] = 17699,
  [17700] = 17637,
  [17701] = 17592,
  [17702] = 17593,
  [17703] = 17639,
  [17704] = 17564,
  [17705] = 17640,
  [17706] = 17597,
  [17707] = 17630,
  [17708] = 17542,
  [17709] = 17632,
  [17710] = 17641,
  [17711] = 17545,
  [17712] = 17546,
  [17713] = 17622,
  [17714] = 17575,
  [17715] = 17544,
  [17716] = 17541,
  [17717] = 17606,
  [17718] = 17574,
  [17719] = 17625,
  [17720] = 17683,
  [17721] = 17535,
  [17722] = 17536,
  [17723] = 17548,
  [17724] = 17549,
  [17725] = 17550,
  [17726] = 17551,
  [17727] = 17552,
  [17728] = 17565,
  [17729] = 17582,
  [17730] = 17621,
  [17731] = 17673,
  [17732] = 17732,
  [17733] = 17565,
  [17734] = 17734,
  [17735] = 17569,
  [17736] = 17623,
  [17737] = 17663,
  [17738] = 17738,
  [17739] = 17683,
  [17740] = 17535,
  [17741] = 17536,
  [17742] = 17578,
  [17743] = 17579,
  [17744] = 17580,
  [17745] = 17568,
  [17746] = 17589,
  [17747] = 17538,
  [17748] = 17542,
  [17749] = 17535,
  [17750] = 17545,
  [17751] = 17546,
  [17752] = 17540,
  [17753] = 17543,
  [17754] = 17547,
  [17755] = 17592,
  [17756] = 17593,
  [17757] = 17542,
  [17758] = 17537,
  [17759] = 17563,
  [17760] = 17597,
  [17761] = 17545,
  [17762] = 17564,
  [17763] = 17546,
  [17764] = 17764,
  [17765] = 17537,
  [17766] = 17558,
  [17767] = 17566,
  [17768] = 17574,
  [17769] = 17540,
  [17770] = 17541,
  [17771] = 17565,
  [17772] = 17566,
  [17773] = 17577,
  [17774] = 17622,
  [17775] = 17574,
  [17776] = 17764,
  [17777] = 17548,
  [17778] = 17549,
  [17779] = 17550,
  [17780] = 17551,
  [17781] = 17637,
  [17782] = 17563,
  [17783] = 17540,
  [17784] = 17639,
  [17785] = 17536,
  [17786] = 17539,
  [17787] = 17663,
  [17788] = 17582,
  [17789] = 17569,
  [17790] = 17683,
  [17791] = 17535,
  [17792] = 17558,
  [17793] = 17536,
  [17794] = 17574,
  [17795] = 17565,
  [17796] = 17578,
  [17797] = 17579,
  [17798] = 17580,
  [17799] = 17566,
  [17800] = 17539,
  [17801] = 17534,
  [17802] = 17574,
  [17803] = 17803,
  [17804] = 17637,
  [17805] = 17805,
  [17806] = 17639,
  [17807] = 17640,
  [17808] = 17574,
  [17809] = 17592,
  [17810] = 17593,
  [17811] = 17556,
  [17812] = 17559,
  [17813] = 17555,
  [17814] = 17597,
  [17815] = 17556,
  [17816] = 17559,
  [17817] = 17555,
  [17818] = 17542,
  [17819] = 17556,
  [17820] = 17552,
  [17821] = 17559,
  [17822] = 17732,
  [17823] = 17555,
  [17824] = 17541,
  [17825] = 17589,
  [17826] = 17545,
  [17827] = 17552,
  [17828] = 17546,
  [17829] = 17589,
  [17830] = 17641,
  [17831] = 17548,
  [17832] = 17549,
  [17833] = 17550,
  [17834] = 17551,
  [17835] = 17582,
  [17836] = 17621,
  [17837] = 17544,
  [17838] = 17606,
  [17839] = 17552,
  [17840] = 17577,
  [17841] = 17625,
  [17842] = 17542,
  [17843] = 17569,
  [17844] = 17673,
  [17845] = 17637,
  [17846] = 17540,
  [17847] = 17639,
  [17848] = 17640,
  [17849] = 17641,
  [17850] = 17578,
  [17851] = 17579,
  [17852] = 17580,
  [17853] = 17544,
  [17854] = 17623,
  [17855] = 17621,
  [17856] = 17630,
  [17857] = 17632,
  [17858] = 17587,
  [17859] = 17582,
  [17860] = 17621,
  [17861] = 17537,
  [17862] = 17589,
  [17863] = 17592,
  [17864] = 17593,
  [17865] = 17805,
  [17866] = 17540,
  [17867] = 17540,
  [17868] = 17597,
  [17869] = 17637,
  [17870] = 17639,
  [17871] = 17640,
  [17872] = 17667,
  [17873] = 17641,
  [17874] = 17544,
  [17875] = 17623,
  [17876] = 17732,
  [17877] = 17732,
  [17878] = 17541,
  [17879] = 17673,
  [17880] = 17732,
  [17881] = 17575,
  [17882] = 17563,
  [17883] = 17577,
  [17884] = 17538,
  [17885] = 17548,
  [17886] = 17549,
  [17887] = 17550,
  [17888] = 17551,
  [17889] = 17623,
  [17890] = 17543,
  [17891] = 17537,
  [17892] = 17892,
  [17893] = 17540,
  [17894] = 17547,
  [17895] = 17895,
  [17896] = 17558,
  [17897] = 17569,
  [17898] = 17537,
  [17899] = 17582,
  [17900] = 17621,
  [17901] = 17574,
  [17902] = 17623,
  [17903] = 17903,
  [17904] = 17578,
  [17905] = 17579,
  [17906] = 17580,
  [17907] = 17574,
  [17908] = 17565,
  [17909] = 17538,
  [17910] = 17543,
  [17911] = 17547,
  [17912] = 17630,
  [17913] = 17632,
  [17914] = 17566,
  [17915] = 17623,
  [17916] = 17564,
  [17917] = 17592,
  [17918] = 17593,
  [17919] = 17557,
  [17920] = 17920,
  [17921] = 17921,
  [17922] = 17597,
  [17923] = 17564,
  [17924] = 17589,
  [17925] = 17625,
  [17926] = 17622,
  [17927] = 17563,
  [17928] = 17542,
  [17929] = 17589,
  [17930] = 17574,
  [17931] = 17582,
  [17932] = 17541,
  [17933] = 17933,
  [17934] = 17622,
  [17935] = 17621,
  [17936] = 17569,
  [17937] = 17558,
  [17938] = 17556,
  [17939] = 17548,
  [17940] = 17549,
  [17941] = 17550,
  [17942] = 17551,
  [17943] = 17559,
  [17944] = 17944,
  [17945] = 17582,
  [17946] = 17621,
  [17947] = 17582,
  [17948] = 17663,
  [17949] = 17538,
  [17950] = 17543,
  [17951] = 17569,
  [17952] = 17547,
  [17953] = 17683,
  [17954] = 17535,
  [17955] = 17955,
  [17956] = 17536,
  [17957] = 17555,
  [17958] = 17578,
  [17959] = 17579,
  [17960] = 17580,
  [17961] = 17623,
  [17962] = 17558,
  [17963] = 17542,
  [17964] = 17538,
  [17965] = 17545,
  [17966] = 17546,
  [17967] = 17920,
  [17968] = 17540,
  [17969] = 17543,
  [17970] = 17577,
  [17971] = 17592,
  [17972] = 17593,
  [17973] = 17547,
  [17974] = 17592,
  [17975] = 17563,
  [17976] = 17597,
  [17977] = 17637,
  [17978] = 17552,
  [17979] = 17574,
  [17980] = 17564,
  [17981] = 17578,
  [17982] = 17564,
  [17983] = 17983,
  [17984] = 17657,
  [17985] = 17540,
  [17986] = 17541,
  [17987] = 17639,
  [17988] = 17640,
  [17989] = 17556,
  [17990] = 17572,
  [17991] = 17566,
  [17992] = 17589,
  [17993] = 17548,
  [17994] = 17549,
  [17995] = 17550,
  [17996] = 17551,
  [17997] = 17559,
  [17998] = 17563,
  [17999] = 17622,
  [18000] = 17641,
  [18001] = 17563,
  [18002] = 17568,
  [18003] = 17565,
  [18004] = 17663,
  [18005] = 17569,
  [18006] = 17555,
  [18007] = 17565,
  [18008] = 17558,
  [18009] = 17545,
  [18010] = 17582,
  [18011] = 17565,
  [18012] = 17578,
  [18013] = 17579,
  [18014] = 17580,
  [18015] = 17566,
  [18016] = 17544,
  [18017] = 17621,
  [18018] = 17639,
  [18019] = 17640,
  [18020] = 17663,
  [18021] = 17623,
  [18022] = 17641,
  [18023] = 17637,
  [18024] = 17574,
  [18025] = 17592,
  [18026] = 17593,
  [18027] = 17639,
  [18028] = 17640,
  [18029] = 17641,
  [18030] = 17597,
  [18031] = 17683,
  [18032] = 17535,
  [18033] = 17536,
  [18034] = 17544,
  [18035] = 17556,
  [18036] = 17544,
  [18037] = 17559,
  [18038] = 17566,
  [18039] = 17555,
  [18040] = 17541,
  [18041] = 17542,
  [18042] = 17683,
  [18043] = 17552,
  [18044] = 17545,
  [18045] = 17593,
  [18046] = 17546,
  [18047] = 17548,
  [18048] = 17549,
  [18049] = 17550,
  [18050] = 17551,
  [18051] = 17606,
  [18052] = 17589,
  [18053] = 17535,
  [18054] = 17536,
  [18055] = 18055,
  [18056] = 18056,
  [18057] = 17566,
  [18058] = 17606,
  [18059] = 17569,
  [18060] = 18060,
  [18061] = 17537,
  [18062] = 18062,
  [18063] = 18063,
  [18064] = 17637,
  [18065] = 17639,
  [18066] = 17578,
  [18067] = 17579,
  [18068] = 17580,
  [18069] = 17640,
  [18070] = 17542,
  [18071] = 17641,
  [18072] = 17544,
  [18073] = 17538,
  [18074] = 17892,
  [18075] = 17543,
  [18076] = 17545,
  [18077] = 17547,
  [18078] = 17673,
  [18079] = 17592,
  [18080] = 17593,
  [18081] = 17546,
  [18082] = 17546,
  [18083] = 17537,
  [18084] = 17597,
  [18085] = 17538,
  [18086] = 17577,
  [18087] = 17552,
  [18088] = 17558,
  [18089] = 18089,
  [18090] = 17625,
  [18091] = 18091,
  [18092] = 17564,
  [18093] = 17541,
  [18094] = 17587,
  [18095] = 17543,
  [18096] = 17621,
  [18097] = 17623,
  [18098] = 17540,
  [18099] = 17589,
  [18100] = 17548,
  [18101] = 17549,
  [18102] = 17550,
  [18103] = 17551,
  [18104] = 18089,
  [18105] = 17764,
  [18106] = 17538,
  [18107] = 17543,
  [18108] = 17582,
  [18109] = 17582,
  [18110] = 17588,
  [18111] = 17538,
  [18112] = 17569,
  [18113] = 17543,
  [18114] = 17547,
  [18115] = 17564,
  [18116] = 17578,
  [18117] = 17579,
  [18118] = 17580,
  [18119] = 17582,
  [18120] = 17574,
  [18121] = 17621,
  [18122] = 17547,
  [18123] = 17540,
  [18124] = 17623,
  [18125] = 17622,
  [18126] = 17592,
  [18127] = 17593,
  [18128] = 17538,
  [18129] = 17558,
  [18130] = 17543,
  [18131] = 17597,
  [18132] = 17574,
  [18133] = 17547,
  [18134] = 18062,
  [18135] = 17547,
  [18136] = 17541,
  [18137] = 17563,
  [18138] = 17582,
  [18139] = 17732,
  [18140] = 18063,
  [18141] = 17564,
  [18142] = 17548,
  [18143] = 17549,
  [18144] = 17550,
  [18145] = 17551,
  [18146] = 18146,
  [18147] = 17564,
  [18148] = 17574,
  [18149] = 17805,
  [18150] = 17630,
  [18151] = 17622,
  [18152] = 17558,
  [18153] = 17569,
  [18154] = 17625,
  [18155] = 17622,
  [18156] = 18156,
  [18157] = 17578,
  [18158] = 17579,
  [18159] = 17580,
  [18160] = 17663,
  [18161] = 17538,
  [18162] = 17565,
  [18163] = 17566,
  [18164] = 17683,
  [18165] = 17535,
  [18166] = 17592,
  [18167] = 17593,
  [18168] = 17663,
  [18169] = 17921,
  [18170] = 17683,
  [18171] = 17597,
  [18172] = 17543,
  [18173] = 17547,
  [18174] = 17556,
  [18175] = 17535,
  [18176] = 17541,
  [18177] = 17536,
  [18178] = 17569,
  [18179] = 17559,
  [18180] = 17536,
  [18181] = 17542,
  [18182] = 17548,
  [18183] = 17549,
  [18184] = 17550,
  [18185] = 17551,
  [18186] = 17663,
  [18187] = 17683,
  [18188] = 17587,
  [18189] = 17545,
  [18190] = 17546,
  [18191] = 17892,
  [18192] = 17683,
  [18193] = 17569,
  [18194] = 17535,
  [18195] = 17542,
  [18196] = 17536,
  [18197] = 17578,
  [18198] = 17579,
  [18199] = 17580,
  [18200] = 18091,
  [18201] = 17555,
  [18202] = 17542,
  [18203] = 18203,
  [18204] = 18204,
  [18205] = 17540,
  [18206] = 17592,
  [18207] = 17593,
  [18208] = 17537,
  [18209] = 17545,
  [18210] = 18210,
  [18211] = 17597,
  [18212] = 17546,
  [18213] = 18213,
  [18214] = 17540,
  [18215] = 17920,
  [18216] = 17541,
  [18217] = 17920,
  [18218] = 17574,
  [18219] = 17563,
  [18220] = 17983,
  [18221] = 17556,
  [18222] = 17548,
  [18223] = 17549,
  [18224] = 17550,
  [18225] = 17551,
  [18226] = 17572,
  [18227] = 17552,
  [18228] = 17623,
  [18229] = 18229,
  [18230] = 17632,
  [18231] = 17558,
  [18232] = 18232,
  [18233] = 17569,
  [18234] = 17559,
  [18235] = 17545,
  [18236] = 17565,
  [18237] = 17578,
  [18238] = 17579,
  [18239] = 17580,
  [18240] = 17566,
  [18241] = 18241,
  [18242] = 17546,
  [18243] = 17578,
  [18244] = 17556,
  [18245] = 17559,
  [18246] = 17592,
  [18247] = 17593,
  [18248] = 17579,
  [18249] = 17557,
  [18250] = 17574,
  [18251] = 17597,
  [18252] = 17580,
  [18253] = 17555,
  [18254] = 17557,
  [18255] = 17589,
  [18256] = 17541,
  [18257] = 17657,
  [18258] = 17552,
  [18259] = 17637,
  [18260] = 17540,
  [18261] = 17556,
  [18262] = 17548,
  [18263] = 17549,
  [18264] = 17550,
  [18265] = 17551,
  [18266] = 17559,
  [18267] = 17589,
  [18268] = 17537,
  [18269] = 17555,
  [18270] = 18270,
  [18271] = 17639,
  [18272] = 17552,
  [18273] = 17569,
  [18274] = 17558,
  [18275] = 17738,
  [18276] = 17589,
  [18277] = 17578,
  [18278] = 17579,
  [18279] = 17580,
  [18280] = 17640,
  [18281] = 17555,
  [18282] = 18282,
  [18283] = 17545,
  [18284] = 17565,
  [18285] = 17673,
  [18286] = 17592,
  [18287] = 17593,
  [18288] = 17637,
  [18289] = 17639,
  [18290] = 17640,
  [18291] = 17597,
  [18292] = 17558,
  [18293] = 17566,
  [18294] = 18294,
  [18295] = 17641,
  [18296] = 17541,
  [18297] = 17544,
  [18298] = 17565,
  [18299] = 18299,
  [18300] = 18300,
  [18301] = 17552,
  [18302] = 17548,
  [18303] = 17549,
  [18304] = 17550,
  [18305] = 17551,
  [18306] = 18306,
  [18307] = 17577,
  [18308] = 17566,
  [18309] = 17641,
  [18310] = 17544,
  [18311] = 17564,
  [18312] = 18062,
  [18313] = 17569,
  [18314] = 17764,
  [18315] = 17537,
  [18316] = 17582,
  [18317] = 17578,
  [18318] = 17579,
  [18319] = 17580,
  [18320] = 17592,
  [18321] = 17637,
  [18322] = 17805,
  [18323] = 17656,
  [18324] = 17540,
  [18325] = 17593,
  [18326] = 17592,
  [18327] = 17593,
  [18328] = 17639,
  [18329] = 17640,
  [18330] = 18330,
  [18331] = 17597,
  [18332] = 17597,
  [18333] = 17577,
  [18334] = 17564,
  [18335] = 17557,
  [18336] = 17541,
  [18337] = 17574,
  [18338] = 17641,
  [18339] = 17597,
  [18340] = 17538,
  [18341] = 17640,
  [18342] = 17548,
  [18343] = 17549,
  [18344] = 17550,
  [18345] = 17551,
  [18346] = 17563,
  [18347] = 17544,
  [18348] = 18348,
  [18349] = 17574,
  [18350] = 17621,
  [18351] = 17582,
  [18352] = 17621,
  [18353] = 17569,
  [18354] = 17543,
  [18355] = 17732,
  [18356] = 17623,
  [18357] = 17578,
  [18358] = 17579,
  [18359] = 17580,
  [18360] = 17556,
  [18361] = 17559,
  [18362] = 17538,
  [18363] = 17543,
  [18364] = 17547,
  [18365] = 17630,
  [18366] = 17592,
  [18367] = 17593,
  [18368] = 17555,
  [18369] = 17558,
  [18370] = 17564,
  [18371] = 17597,
  [18372] = 17537,
  [18373] = 17623,
  [18374] = 17552,
  [18375] = 17575,
  [18376] = 17541,
  [18377] = 18377,
  [18378] = 17541,
  [18379] = 17574,
  [18380] = 17589,
  [18381] = 17622,
  [18382] = 17548,
  [18383] = 17549,
  [18384] = 17550,
  [18385] = 17551,
  [18386] = 17680,
  [18387] = 17632,
  [18388] = 17547,
  [18389] = 18389,
  [18390] = 17556,
  [18391] = 17565,
  [18392] = 17537,
  [18393] = 17569,
  [18394] = 17559,
  [18395] = 17637,
  [18396] = 17566,
  [18397] = 17578,
  [18398] = 17579,
  [18399] = 17580,
  [18400] = 17568,
  [18401] = 17639,
  [18402] = 17639,
  [18403] = 17663,
  [18404] = 17548,
  [18405] = 17683,
  [18406] = 17592,
  [18407] = 17593,
  [18408] = 17535,
  [18409] = 17536,
  [18410] = 17640,
  [18411] = 17597,
  [18412] = 17549,
  [18413] = 17550,
  [18414] = 17551,
  [18415] = 17641,
  [18416] = 17541,
  [18417] = 17542,
  [18418] = 17544,
  [18419] = 18062,
  [18420] = 17545,
  [18421] = 17546,
  [18422] = 17548,
  [18423] = 17549,
  [18424] = 17550,
  [18425] = 17551,
  [18426] = 17640,
  [18427] = 17641,
  [18428] = 18063,
  [18429] = 17538,
  [18430] = 17543,
  [18431] = 17544,
  [18432] = 17547,
  [18433] = 17569,
  [18434] = 17555,
  [18435] = 17667,
  [18436] = 17805,
  [18437] = 17578,
  [18438] = 17579,
  [18439] = 17580,
  [18440] = 17537,
  [18441] = 17552,
  [18442] = 17540,
  [18443] = 17680,
  [18444] = 17564,
  [18445] = 17732,
  [18446] = 17592,
  [18447] = 17593,
  [18448] = 17732,
  [18449] = 17563,
  [18450] = 17637,
  [18451] = 17597,
  [18452] = 17588,
  [18453] = 17641,
  [18454] = 17582,
  [18455] = 17621,
  [18456] = 17541,
  [18457] = 17621,
  [18458] = 17623,
  [18459] = 17575,
  [18460] = 17558,
  [18461] = 18461,
  [18462] = 17548,
  [18463] = 17549,
  [18464] = 17550,
  [18465] = 17551,
  [18466] = 17574,
  [18467] = 17538,
  [18468] = 17543,
  [18469] = 17565,
  [18470] = 17566,
  [18471] = 17547,
  [18472] = 17588,
  [18473] = 17569,
  [18474] = 17623,
  [18475] = 17548,
  [18476] = 17589,
  [18477] = 17578,
  [18478] = 17579,
  [18479] = 17580,
  [18480] = 17564,
  [18481] = 17622,
  [18482] = 17538,
  [18483] = 17574,
  [18484] = 17556,
  [18485] = 17559,
  [18486] = 17592,
  [18487] = 17593,
  [18488] = 17555,
  [18489] = 17543,
  [18490] = 17556,
  [18491] = 17597,
  [18492] = 17547,
  [18493] = 17622,
  [18494] = 17564,
  [18495] = 17559,
  [18496] = 17541,
  [18497] = 17555,
  [18498] = 17622,
  [18499] = 17622,
  [18500] = 17552,
  [18501] = 17564,
  [18502] = 17548,
  [18503] = 17549,
  [18504] = 17550,
  [18505] = 17551,
  [18506] = 17622,
  [18507] = 17537,
  [18508] = 17639,
  [18509] = 17589,
  [18510] = 17640,
  [18511] = 17552,
  [18512] = 17641,
  [18513] = 17569,
  [18514] = 17663,
  [18515] = 17535,
  [18516] = 17630,
  [18517] = 17578,
  [18518] = 17579,
  [18519] = 17580,
  [18520] = 17637,
  [18521] = 17683,
  [18522] = 17639,
  [18523] = 17640,
  [18524] = 17641,
  [18525] = 17544,
  [18526] = 17592,
  [18527] = 17593,
  [18528] = 18528,
  [18529] = 17632,
  [18530] = 17575,
  [18531] = 17597,
  [18532] = 17663,
  [18533] = 17536,
  [18534] = 17683,
  [18535] = 17535,
  [18536] = 17541,
  [18537] = 17536,
  [18538] = 17575,
  [18539] = 17589,
  [18540] = 17537,
  [18541] = 17535,
  [18542] = 17548,
  [18543] = 17549,
  [18544] = 17550,
  [18545] = 17551,
  [18546] = 17542,
  [18547] = 17536,
  [18548] = 17545,
  [18549] = 17546,
  [18550] = 17545,
  [18551] = 17546,
  [18552] = 17569,
  [18553] = 17544,
  [18554] = 17572,
  [18555] = 17542,
  [18556] = 17578,
  [18557] = 17579,
  [18558] = 17580,
  [18559] = 17540,
  [18560] = 17606,
  [18561] = 17577,
  [18562] = 17539,
  [18563] = 17639,
  [18564] = 17640,
  [18565] = 17592,
  [18566] = 17593,
  [18567] = 17673,
  [18568] = 17565,
  [18569] = 17582,
  [18570] = 17597,
  [18571] = 17673,
  [18572] = 17574,
  [18573] = 17663,
  [18574] = 17621,
  [18575] = 17541,
  [18576] = 17641,
  [18577] = 17544,
  [18578] = 17623,
  [18579] = 17556,
  [18580] = 17538,
  [18581] = 17548,
  [18582] = 17549,
  [18583] = 17550,
  [18584] = 17551,
  [18585] = 17543,
  [18586] = 17569,
  [18587] = 17547,
  [18588] = 17673,
  [18589] = 17637,
  [18590] = 17639,
  [18591] = 17569,
  [18592] = 17683,
  [18593] = 17564,
  [18594] = 17640,
  [18595] = 17578,
  [18596] = 17579,
  [18597] = 17580,
  [18598] = 17641,
  [18599] = 17559,
  [18600] = 17540,
  [18601] = 17622,
  [18602] = 17544,
  [18603] = 17606,
  [18604] = 17592,
  [18605] = 17593,
  [18606] = 17625,
  [18607] = 17920,
  [18608] = 17544,
  [18609] = 17597,
  [18610] = 17535,
  [18611] = 17536,
  [18612] = 17547,
  [18613] = 18203,
  [18614] = 17541,
  [18615] = 17732,
  [18616] = 18616,
  [18617] = 18203,
  [18618] = 17663,
  [18619] = 17563,
  [18620] = 17548,
  [18621] = 17549,
  [18622] = 17550,
  [18623] = 17551,
  [18624] = 17683,
  [18625] = 17572,
  [18626] = 17535,
  [18627] = 17536,
  [18628] = 18213,
  [18629] = 17569,
  [18630] = 17555,
  [18631] = 17556,
  [18632] = 17542,
  [18633] = 17578,
  [18634] = 17579,
  [18635] = 17580,
  [18636] = 18213,
  [18637] = 17537,
  [18638] = 17545,
  [18639] = 17546,
  [18640] = 17558,
  [18641] = 17545,
  [18642] = 17592,
  [18643] = 17593,
  [18644] = 17575,
  [18645] = 17546,
  [18646] = 17565,
  [18647] = 17597,
  [18648] = 17578,
  [18649] = 17566,
  [18650] = 17542,
  [18651] = 17579,
  [18652] = 17541,
  [18653] = 17537,
  [18654] = 17580,
  [18655] = 17577,
  [18656] = 17621,
  [18657] = 17623,
  [18658] = 17548,
  [18659] = 17549,
  [18660] = 17550,
  [18661] = 17551,
  [18662] = 18089,
  [18663] = 17622,
  [18664] = 17540,
  [18665] = 17625,
  [18666] = 17537,
  [18667] = 17569,
  [18668] = 17535,
  [18669] = 17540,
  [18670] = 17536,
  [18671] = 17578,
  [18672] = 17579,
  [18673] = 17580,
  [18674] = 17563,
  [18675] = 17545,
  [18676] = 17546,
  [18677] = 17552,
  [18678] = 17544,
  [18679] = 18282,
  [18680] = 17592,
  [18681] = 17593,
  [18682] = 17558,
  [18683] = 17565,
  [18684] = 18684,
  [18685] = 17597,
  [18686] = 17587,
  [18687] = 17582,
  [18688] = 17582,
  [18689] = 17565,
  [18690] = 17541,
  [18691] = 17566,
  [18692] = 17621,
  [18693] = 17544,
  [18694] = 17589,
  [18695] = 18156,
  [18696] = 17548,
  [18697] = 17549,
  [18698] = 17550,
  [18699] = 17551,
  [18700] = 17574,
  [18701] = 17623,
  [18702] = 17621,
  [18703] = 17673,
  [18704] = 17574,
  [18705] = 17569,
  [18706] = 17623,
  [18707] = 18156,
  [18708] = 17589,
  [18709] = 17578,
  [18710] = 17579,
  [18711] = 17580,
  [18712] = 17556,
  [18713] = 17592,
  [18714] = 5373,
  [18715] = 17556,
  [18716] = 17559,
  [18717] = 17555,
  [18718] = 17592,
  [18719] = 17593,
  [18720] = 17559,
  [18721] = 17552,
  [18722] = 17593,
  [18723] = 17597,
  [18724] = 17555,
  [18725] = 17537,
  [18726] = 17552,
  [18727] = 17589,
  [18728] = 17541,
  [18729] = 17597,
  [18730] = 17538,
  [18731] = 17552,
  [18732] = 17621,
  [18733] = 18348,
  [18734] = 17548,
  [18735] = 17549,
  [18736] = 17550,
  [18737] = 17551,
  [18738] = 17579,
  [18739] = 17623,
  [18740] = 17637,
  [18741] = 17639,
  [18742] = 17640,
  [18743] = 17569,
  [18744] = 17543,
  [18745] = 17641,
  [18746] = 17544,
  [18747] = 17578,
  [18748] = 17579,
  [18749] = 17580,
  [18750] = 17622,
  [18751] = 17589,
  [18752] = 18348,
  [18753] = 17535,
  [18754] = 17536,
  [18755] = 17545,
  [18756] = 17592,
  [18757] = 17593,
  [18758] = 17537,
  [18759] = 17546,
  [18760] = 17565,
  [18761] = 17597,
  [18762] = 17538,
  [18763] = 17544,
  [18764] = 17543,
  [18765] = 17537,
  [18766] = 17541,
  [18767] = 18232,
  [18768] = 17547,
  [18769] = 17547,
  [18770] = 17563,
  [18771] = 17548,
  [18772] = 17549,
  [18773] = 17550,
  [18774] = 17551,
  [18775] = 17582,
  [18776] = 17541,
  [18777] = 17621,
  [18778] = 17621,
  [18779] = 17657,
  [18780] = 17569,
  [18781] = 17577,
  [18782] = 17623,
  [18783] = 17558,
  [18784] = 17578,
  [18785] = 17579,
  [18786] = 17580,
  [18787] = 17764,
  [18788] = 17622,
  [18789] = 17559,
  [18790] = 17535,
  [18791] = 17582,
  [18792] = 17621,
  [18793] = 17592,
  [18794] = 17593,
  [18795] = 17536,
  [18796] = 17623,
  [18797] = 17555,
  [18798] = 17597,
  [18799] = 17545,
  [18800] = 17546,
  [18801] = 17548,
  [18802] = 17538,
  [18803] = 17541,
  [18804] = 17543,
  [18805] = 17547,
  [18806] = 17540,
  [18807] = 17549,
  [18808] = 17548,
  [18809] = 17549,
  [18810] = 17550,
  [18811] = 17551,
  [18812] = 17550,
  [18813] = 17551,
  [18814] = 17564,
  [18815] = 17637,
  [18816] = 17637,
  [18817] = 17569,
  [18818] = 17639,
  [18819] = 17640,
  [18820] = 17622,
  [18821] = 17578,
  [18822] = 17579,
  [18823] = 17580,
  [18824] = 17580,
  [18825] = 17565,
  [18826] = 17582,
  [18827] = 17663,
  [18828] = 17641,
  [18829] = 17544,
  [18830] = 17592,
  [18831] = 17593,
  [18832] = 17582,
  [18833] = 17621,
  [18834] = 17639,
  [18835] = 17597,
  [18836] = 17544,
  [18837] = 17621,
  [18838] = 17732,
  [18839] = 17663,
  [18840] = 17541,
  [18841] = 17537,
  [18842] = 17623,
  [18843] = 17683,
  [18844] = 17535,
  [18845] = 17548,
  [18846] = 17549,
  [18847] = 17550,
  [18848] = 17551,
  [18849] = 17536,
  [18850] = 17920,
  [18851] = 17623,
  [18852] = 17640,
  [18853] = 17542,
  [18854] = 17569,
  [18855] = 17589,
  [18856] = 17621,
  [18857] = 17545,
  [18858] = 17578,
  [18859] = 17579,
  [18860] = 17580,
  [18861] = 17546,
  [18862] = 17537,
  [18863] = 5335,
  [18864] = 17563,
  [18865] = 17623,
  [18866] = 17657,
  [18867] = 17592,
  [18868] = 17593,
  [18869] = 17622,
  [18870] = 17892,
  [18871] = 17535,
  [18872] = 17597,
  [18873] = 17558,
  [18874] = 17536,
  [18875] = 17545,
  [18876] = 17546,
  [18877] = 17541,
  [18878] = 17623,
  [18879] = 17540,
  [18880] = 18880,
  [18881] = 17565,
  [18882] = 17548,
  [18883] = 17549,
  [18884] = 17550,
  [18885] = 17551,
  [18886] = 17641,
  [18887] = 17680,
  [18888] = 17538,
  [18889] = 17563,
  [18890] = 17565,
  [18891] = 17544,
  [18892] = 17566,
  [18893] = 18091,
  [18894] = 17578,
  [18895] = 17579,
  [18896] = 17580,
  [18897] = 17543,
  [18898] = 17537,
  [18899] = 17558,
  [18900] = 17582,
  [18901] = 17621,
  [18902] = 17565,
  [18903] = 17592,
  [18904] = 17593,
  [18905] = 17566,
  [18906] = 17564,
  [18907] = 17582,
  [18908] = 17597,
  [18909] = 17621,
  [18910] = 17547,
  [18911] = 17623,
  [18912] = 17623,
  [18913] = 17541,
  [18914] = 17621,
  [18915] = 17656,
  [18916] = 18916,
  [18917] = 17574,
  [18918] = 17548,
  [18919] = 17549,
  [18920] = 17550,
  [18921] = 17551,
  [18922] = 17541,
  [18923] = 17538,
  [18924] = 17543,
  [18925] = 18925,
  [18926] = 17547,
  [18927] = 17623,
  [18928] = 17572,
  [18929] = 17578,
  [18930] = 17579,
  [18931] = 17580,
  [18932] = 17892,
  [18933] = 17556,
  [18934] = 17592,
  [18935] = 17593,
  [18936] = 17597,
  [18937] = 17564,
  [18938] = 18062,
  [18939] = 18063,
  [18940] = 17541,
  [18941] = 17559,
  [18942] = 17548,
  [18943] = 17549,
  [18944] = 17550,
  [18945] = 17551,
  [18946] = 17622,
  [18947] = 17555,
  [18948] = 17535,
  [18949] = 17536,
  [18950] = 17552,
  [18951] = 17580,
  [18952] = 17545,
  [18953] = 17546,
  [18954] = 17622,
  [18955] = 17577,
  [18956] = 18062,
  [18957] = 17541,
  [18958] = 17589,
  [18959] = 17548,
  [18960] = 17549,
  [18961] = 17550,
  [18962] = 17551,
  [18963] = 17574,
  [18964] = 17565,
  [18965] = 17680,
  [18966] = 17588,
  [18967] = 18063,
  [18968] = 17538,
  [18969] = 17543,
  [18970] = 17544,
  [18971] = 17663,
  [18972] = 17549,
  [18973] = 17550,
  [18974] = 17551,
  [18975] = 17921,
  [18976] = 18062,
  [18977] = 17537,
  [18978] = 17683,
  [18979] = 17535,
  [18980] = 17536,
  [18981] = 18089,
  [18982] = 17549,
  [18983] = 17550,
  [18984] = 17551,
  [18985] = 17556,
  [18986] = 18063,
  [18987] = 17569,
  [18988] = 17542,
  [18989] = 17564,
  [18990] = 17559,
  [18991] = 17545,
  [18992] = 17549,
  [18993] = 17550,
  [18994] = 17551,
  [18995] = 18203,
  [18996] = 17637,
  [18997] = 17546,
  [18998] = 18213,
  [18999] = 17555,
  [19000] = 17621,
  [19001] = 17623,
  [19002] = 17549,
  [19003] = 17550,
  [19004] = 17551,
  [19005] = 17545,
  [19006] = 17639,
  [19007] = 17622,
  [19008] = 17552,
  [19009] = 17535,
  [19010] = 17536,
  [19011] = 17578,
  [19012] = 17549,
  [19013] = 17550,
  [19014] = 17551,
  [19015] = 17545,
  [19016] = 17640,
  [19017] = 17546,
  [19018] = 17579,
  [19019] = 17580,
  [19020] = 17547,
  [19021] = 17565,
  [19022] = 17549,
  [19023] = 17550,
  [19024] = 17551,
  [19025] = 17577,
  [19026] = 17641,
  [19027] = 17544,
  [19028] = 17673,
  [19029] = 17630,
  [19030] = 18282,
  [19031] = 17545,
  [19032] = 17549,
  [19033] = 17550,
  [19034] = 17551,
  [19035] = 17537,
  [19036] = 17544,
  [19037] = 17546,
  [19038] = 17632,
  [19039] = 19039,
  [19040] = 17575,
  [19041] = 17621,
  [19042] = 17549,
  [19043] = 17550,
  [19044] = 17551,
  [19045] = 17540,
  [19046] = 17538,
  [19047] = 17589,
  [19048] = 17623,
  [19049] = 17622,
  [19050] = 17622,
  [19051] = 17592,
  [19052] = 17549,
  [19053] = 17550,
  [19054] = 17551,
  [19055] = 17535,
  [19056] = 17543,
  [19057] = 17593,
  [19058] = 17563,
  [19059] = 17536,
  [19060] = 17545,
  [19061] = 17597,
  [19062] = 17549,
  [19063] = 17550,
  [19064] = 17551,
  [19065] = 17546,
  [19066] = 17547,
  [19067] = 17565,
  [19068] = 17564,
  [19069] = 17544,
  [19070] = 17566,
  [19071] = 18348,
  [19072] = 17549,
  [19073] = 17550,
  [19074] = 17551,
  [19075] = 17537,
  [19076] = 17558,
  [19077] = 17663,
  [19078] = 17546,
  [19079] = 5312,
  [19080] = 17565,
  [19081] = 17621,
  [19082] = 17549,
  [19083] = 17550,
  [19084] = 17551,
  [19085] = 17566,
  [19086] = 17623,
  [19087] = 17622,
  [19088] = 17541,
  [19089] = 17622,
  [19090] = 17535,
  [19091] = 17577,
  [19092] = 17536,
  [19093] = 17545,
  [19094] = 17546,
  [19095] = 17565,
  [19096] = 17663,
  [19097] = 17564,
  [19098] = 17544,
  [19099] = 17537,
  [19100] = 17548,
  [19101] = 17549,
  [19102] = 17550,
  [19103] = 17551,
  [19104] = 17537,
  [19105] = 17622,
  [19106] = 17683,
  [19107] = 17621,
  [19108] = 17623,
  [19109] = 17732,
  [19110] = 17537,
  [19111] = 17574,
  [19112] = 17637,
  [19113] = 17637,
  [19114] = 17639,
  [19115] = 17640,
  [19116] = 17556,
  [19117] = 17559,
  [19118] = 17555,
  [19119] = 17622,
  [19120] = 17552,
  [19121] = 17535,
  [19122] = 17589,
  [19123] = 17536,
  [19124] = 17545,
  [19125] = 17641,
  [19126] = 17546,
  [19127] = 17565,
  [19128] = 17544,
  [19129] = 17606,
  [19130] = 17577,
  [19131] = 17625,
  [19132] = 17535,
  [19133] = 17544,
  [19134] = 17536,
  [19135] = 17639,
  [19136] = 17732,
  [19137] = 17637,
  [19138] = 17639,
  [19139] = 17640,
  [19140] = 17641,
  [19141] = 17544,
  [19142] = 17537,
  [19143] = 17640,
  [19144] = 17732,
  [19145] = 17588,
  [19146] = 17637,
  [19147] = 17542,
  [19148] = 17621,
  [19149] = 17623,
  [19150] = 17622,
  [19151] = 17639,
  [19152] = 17537,
  [19153] = 17537,
  [19154] = 17566,
  [19155] = 17537,
  [19156] = 17622,
  [19157] = 19157,
  [19158] = 17535,
  [19159] = 17564,
  [19160] = 18062,
  [19161] = 17641,
  [19162] = 19162,
  [19163] = 18063,
  [19164] = 17544,
  [19165] = 17565,
  [19166] = 17738,
  [19167] = 17588,
  [19168] = 17544,
  [19169] = 19169,
  [19170] = 18156,
  [19171] = 17569,
  [19172] = 17622,
  [19173] = 17606,
  [19174] = 17582,
  [19175] = 17621,
  [19176] = 17536,
  [19177] = 17623,
  [19178] = 17545,
  [19179] = 17538,
  [19180] = 17543,
  [19181] = 17547,
  [19182] = 18203,
  [19183] = 17549,
  [19184] = 17564,
  [19185] = 17546,
  [19186] = 17564,
  [19187] = 18213,
  [19188] = 17550,
  [19189] = 17805,
  [19190] = 17565,
  [19191] = 17622,
  [19192] = 17538,
  [19193] = 17543,
  [19194] = 17663,
  [19195] = 17545,
  [19196] = 17574,
  [19197] = 17683,
  [19198] = 17535,
  [19199] = 17536,
  [19200] = 17663,
  [19201] = 18146,
  [19202] = 17983,
  [19203] = 17683,
  [19204] = 17535,
  [19205] = 17536,
  [19206] = 18089,
  [19207] = 17544,
  [19208] = 17542,
  [19209] = 19209,
  [19210] = 17663,
  [19211] = 18300,
  [19212] = 17578,
  [19213] = 17545,
  [19214] = 17546,
  [19215] = 17542,
  [19216] = 17546,
  [19217] = 17551,
  [19218] = 17582,
  [19219] = 17579,
  [19220] = 17580,
  [19221] = 17621,
  [19222] = 17547,
  [19223] = 17540,
  [19224] = 17920,
  [19225] = 17738,
  [19226] = 18060,
  [19227] = 17537,
  [19228] = 17582,
  [19229] = 17640,
  [19230] = 17622,
  [19231] = 17699,
  [19232] = 17534,
  [19233] = 17803,
  [19234] = 17572,
  [19235] = 17563,
  [19236] = 17621,
  [19237] = 17621,
  [19238] = 17545,
  [19239] = 18282,
  [19240] = 17558,
  [19241] = 17546,
  [19242] = 17568,
  [19243] = 17577,
  [19244] = 17623,
  [19245] = 17565,
  [19246] = 17566,
  [19247] = 17623,
  [19248] = 17641,
  [19249] = 17566,
  [19250] = 17538,
  [19251] = 17543,
  [19252] = 17547,
  [19253] = 17564,
  [19254] = 17574,
  [19255] = 17622,
  [19256] = 17535,
  [19257] = 17683,
  [19258] = 17535,
  [19259] = 17592,
  [19260] = 17556,
  [19261] = 17559,
  [19262] = 17555,
  [19263] = 17536,
  [19264] = 17552,
  [19265] = 17593,
  [19266] = 17564,
  [19267] = 17589,
  [19268] = 17536,
  [19269] = 17539,
  [19270] = 17625,
  [19271] = 17673,
  [19272] = 17597,
  [19273] = 19162,
  [19274] = 17545,
  [19275] = 17546,
  [19276] = 17637,
  [19277] = 17639,
  [19278] = 17640,
  [19279] = 17641,
  [19280] = 17544,
  [19281] = 17565,
  [19282] = 18348,
  [19283] = 17623,
  [19284] = 17542,
  [19285] = 17683,
  [19286] = 17537,
  [19287] = 17544,
  [19288] = 17582,
  [19289] = 17621,
  [19290] = 17587,
  [19291] = 17540,
  [19292] = 17544,
  [19293] = 17537,
  [19294] = 18089,
  [19295] = 17535,
  [19296] = 17623,
  [19297] = 17588,
  [19298] = 17563,
  [19299] = 17622,
  [19300] = 17541,
  [19301] = 17582,
  [19302] = 17621,
  [19303] = 17621,
  [19304] = 19209,
  [19305] = 17623,
  [19306] = 18300,
  [19307] = 17623,
  [19308] = 17764,
  [19309] = 17538,
  [19310] = 17543,
  [19311] = 17547,
  [19312] = 18146,
  [19313] = 17558,
  [19314] = 17622,
  [19315] = 17564,
  [19316] = 17622,
  [19317] = 17680,
  [19318] = 17535,
  [19319] = 17622,
  [19320] = 18060,
  [19321] = 17536,
  [19322] = 17548,
  [19323] = 17699,
  [19324] = 17534,
  [19325] = 17803,
  [19326] = 17565,
  [19327] = 17549,
  [19328] = 17566,
  [19329] = 17550,
  [19330] = 17565,
  [19331] = 17551,
  [19332] = 17663,
  [19333] = 17545,
  [19334] = 17683,
  [19335] = 17546,
  [19336] = 17535,
  [19337] = 17536,
  [19338] = 19338,
  [19339] = 17920,
  [19340] = 17542,
  [19341] = 17663,
  [19342] = 17545,
  [19343] = 17546,
  [19344] = 17565,
  [19345] = 17683,
  [19346] = 19162,
  [19347] = 17535,
  [19348] = 17536,
  [19349] = 17540,
  [19350] = 17544,
  [19351] = 17542,
  [19352] = 17732,
  [19353] = 17545,
  [19354] = 18062,
  [19355] = 17540,
  [19356] = 17546,
  [19357] = 17572,
  [19358] = 17537,
  [19359] = 18232,
  [19360] = 17656,
  [19361] = 17563,
  [19362] = 18063,
  [19363] = 17536,
  [19364] = 19364,
  [19365] = 19365,
  [19366] = 17558,
  [19367] = 17558,
  [19368] = 17574,
  [19369] = 17545,
  [19370] = 17565,
  [19371] = 17566,
  [19372] = 17621,
  [19373] = 17546,
  [19374] = 17673,
  [19375] = 17589,
  [19376] = 17663,
  [19377] = 17556,
  [19378] = 19209,
  [19379] = 17574,
  [19380] = 18300,
  [19381] = 17623,
  [19382] = 17559,
  [19383] = 17555,
  [19384] = 17663,
  [19385] = 17552,
  [19386] = 17556,
  [19387] = 17559,
  [19388] = 17555,
  [19389] = 17622,
  [19390] = 17552,
  [19391] = 17535,
  [19392] = 17589,
  [19393] = 17536,
  [19394] = 18060,
  [19395] = 17545,
  [19396] = 17546,
  [19397] = 17699,
  [19398] = 17534,
  [19399] = 17803,
  [19400] = 18204,
  [19401] = 17630,
  [19402] = 17632,
  [19403] = 17637,
  [19404] = 17639,
  [19405] = 17640,
  [19406] = 17641,
  [19407] = 17544,
  [19408] = 17575,
  [19409] = 17732,
  [19410] = 17540,
  [19411] = 17589,
  [19412] = 17569,
  [19413] = 17565,
  [19414] = 17537,
  [19415] = 17663,
  [19416] = 19162,
  [19417] = 17544,
  [19418] = 18203,
  [19419] = 17589,
  [19420] = 17569,
  [19421] = 17538,
  [19422] = 18213,
  [19423] = 17537,
  [19424] = 17543,
  [19425] = 17547,
  [19426] = 17577,
  [19427] = 17563,
  [19428] = 17683,
  [19429] = 17623,
  [19430] = 17683,
  [19431] = 17538,
  [19432] = 17582,
  [19433] = 17621,
  [19434] = 19209,
  [19435] = 17623,
  [19436] = 18300,
  [19437] = 18146,
  [19438] = 17623,
  [19439] = 17536,
  [19440] = 17538,
  [19441] = 17543,
  [19442] = 17547,
  [19443] = 18060,
  [19444] = 17699,
  [19445] = 17534,
  [19446] = 17803,
  [19447] = 17535,
  [19448] = 17564,
  [19449] = 17637,
  [19450] = 17578,
  [19451] = 19162,
  [19452] = 17545,
  [19453] = 17564,
  [19454] = 17639,
  [19455] = 17640,
  [19456] = 17558,
  [19457] = 17622,
  [19458] = 17641,
  [19459] = 17544,
  [19460] = 17606,
  [19461] = 17625,
  [19462] = 17579,
  [19463] = 17580,
  [19464] = 17536,
  [19465] = 17663,
  [19466] = 17546,
  [19467] = 17683,
  [19468] = 19209,
  [19469] = 17535,
  [19470] = 18300,
  [19471] = 17565,
  [19472] = 17536,
  [19473] = 17535,
  [19474] = 17699,
  [19475] = 17534,
  [19476] = 17803,
  [19477] = 17732,
  [19478] = 17542,
  [19479] = 17545,
  [19480] = 19162,
  [19481] = 18282,
  [19482] = 17892,
  [19483] = 17545,
  [19484] = 17546,
  [19485] = 17630,
  [19486] = 17565,
  [19487] = 17566,
  [19488] = 17546,
  [19489] = 17565,
  [19490] = 17558,
  [19491] = 17545,
  [19492] = 17546,
  [19493] = 17542,
  [19494] = 17588,
  [19495] = 17540,
  [19496] = 19209,
  [19497] = 17537,
  [19498] = 18300,
  [19499] = 17565,
  [19500] = 17592,
  [19501] = 17683,
  [19502] = 17699,
  [19503] = 17534,
  [19504] = 17803,
  [19505] = 17593,
  [19506] = 17563,
  [19507] = 17545,
  [19508] = 19162,
  [19509] = 17546,
  [19510] = 17582,
  [19511] = 17565,
  [19512] = 17622,
  [19513] = 17597,
  [19514] = 17558,
  [19515] = 17535,
  [19516] = 17545,
  [19517] = 17565,
  [19518] = 17566,
  [19519] = 17546,
  [19520] = 18348,
  [19521] = 17565,
  [19522] = 19209,
  [19523] = 17536,
  [19524] = 18300,
  [19525] = 17545,
  [19526] = 17546,
  [19527] = 17667,
  [19528] = 17699,
  [19529] = 17534,
  [19530] = 17803,
  [19531] = 19531,
  [19532] = 17574,
  [19533] = 17565,
  [19534] = 19162,
  [19535] = 17536,
  [19536] = 17545,
  [19537] = 18062,
  [19538] = 18063,
  [19539] = 17557,
  [19540] = 17556,
  [19541] = 17559,
  [19542] = 17555,
  [19543] = 17543,
  [19544] = 17552,
  [19545] = 17541,
  [19546] = 17574,
  [19547] = 19209,
  [19548] = 17589,
  [19549] = 18300,
  [19550] = 17546,
  [19551] = 17699,
  [19552] = 17534,
  [19553] = 17803,
  [19554] = 17565,
  [19555] = 19162,
  [19556] = 17547,
  [19557] = 17537,
  [19558] = 17663,
  [19559] = 17560,
  [19560] = 17542,
  [19561] = 17548,
  [19562] = 17683,
  [19563] = 17637,
  [19564] = 17639,
  [19565] = 17680,
  [19566] = 17549,
  [19567] = 19209,
  [19568] = 17640,
  [19569] = 18300,
  [19570] = 17550,
  [19571] = 17699,
  [19572] = 17534,
  [19573] = 17803,
  [19574] = 17551,
  [19575] = 19162,
  [19576] = 17545,
  [19577] = 17641,
  [19578] = 17544,
  [19579] = 17535,
  [19580] = 18156,
  [19581] = 17536,
  [19582] = 17556,
  [19583] = 17559,
  [19584] = 17637,
  [19585] = 17555,
  [19586] = 19209,
  [19587] = 17537,
  [19588] = 18300,
  [19589] = 17546,
  [19590] = 17699,
  [19591] = 17534,
  [19592] = 17803,
  [19593] = 17552,
  [19594] = 19162,
  [19595] = 17565,
  [19596] = 17542,
  [19597] = 17632,
  [19598] = 17589,
  [19599] = 17920,
  [19600] = 17565,
  [19601] = 17572,
  [19602] = 17639,
  [19603] = 17920,
  [19604] = 17545,
  [19605] = 19209,
  [19606] = 17545,
  [19607] = 18300,
  [19608] = 17892,
  [19609] = 17699,
  [19610] = 17534,
  [19611] = 17803,
  [19612] = 17546,
  [19613] = 19162,
  [19614] = 17565,
  [19615] = 17572,
  [19616] = 17542,
  [19617] = 17546,
  [19618] = 18091,
  [19619] = 17582,
  [19620] = 17621,
  [19621] = 17545,
  [19622] = 17921,
  [19623] = 19209,
  [19624] = 17623,
  [19625] = 18300,
  [19626] = 17577,
  [19627] = 17699,
  [19628] = 17534,
  [19629] = 17803,
  [19630] = 19630,
  [19631] = 17545,
  [19632] = 17538,
  [19633] = 17543,
  [19634] = 17547,
  [19635] = 17546,
  [19636] = 18204,
  [19637] = 18204,
  [19638] = 17539,
  [19639] = 19209,
  [19640] = 17564,
  [19641] = 18300,
  [19642] = 17546,
  [19643] = 17699,
  [19644] = 17534,
  [19645] = 17803,
  [19646] = 17569,
  [19647] = 17538,
  [19648] = 17565,
  [19649] = 17566,
  [19650] = 17622,
  [19651] = 17543,
  [19652] = 17545,
  [19653] = 18203,
  [19654] = 19654,
  [19655] = 19209,
  [19656] = 17547,
  [19657] = 18300,
  [19658] = 17546,
  [19659] = 17699,
  [19660] = 17534,
  [19661] = 17803,
  [19662] = 17637,
  [19663] = 17639,
  [19664] = 17663,
  [19665] = 17640,
  [19666] = 17683,
  [19667] = 17535,
  [19668] = 17536,
  [19669] = 17641,
  [19670] = 17565,
  [19671] = 19209,
  [19672] = 17544,
  [19673] = 18300,
  [19674] = 17578,
  [19675] = 17699,
  [19676] = 17534,
  [19677] = 17803,
  [19678] = 17545,
  [19679] = 17542,
  [19680] = 17606,
  [19681] = 17545,
  [19682] = 17546,
  [19683] = 17640,
  [19684] = 17545,
  [19685] = 17538,
  [19686] = 17579,
  [19687] = 19209,
  [19688] = 17580,
  [19689] = 18300,
  [19690] = 17732,
  [19691] = 17699,
  [19692] = 17534,
  [19693] = 17803,
  [19694] = 17546,
  [19695] = 17565,
  [19696] = 17546,
  [19697] = 17582,
  [19698] = 17621,
  [19699] = 17540,
  [19700] = 17564,
  [19701] = 17545,
  [19702] = 17546,
  [19703] = 19209,
  [19704] = 17641,
  [19705] = 18300,
  [19706] = 17565,
  [19707] = 17699,
  [19708] = 17534,
  [19709] = 17803,
  [19710] = 17623,
  [19711] = 18204,
  [19712] = 17537,
  [19713] = 17544,
  [19714] = 17545,
  [19715] = 17558,
  [19716] = 17592,
  [19717] = 17546,
  [19718] = 17593,
  [19719] = 19209,
  [19720] = 17565,
  [19721] = 18300,
  [19722] = 17565,
  [19723] = 17699,
  [19724] = 17534,
  [19725] = 17803,
  [19726] = 18091,
  [19727] = 17566,
  [19728] = 17537,
  [19729] = 17597,
  [19730] = 17543,
  [19731] = 12891,
  [19732] = 19162,
  [19733] = 17545,
  [19734] = 17546,
  [19735] = 19209,
  [19736] = 17565,
  [19737] = 18300,
  [19738] = 17537,
  [19739] = 17699,
  [19740] = 17534,
  [19741] = 17803,
  [19742] = 17545,
  [19743] = 17546,
  [19744] = 17565,
  [19745] = 17542,
  [19746] = 17545,
  [19747] = 17541,
  [19748] = 17574,
  [19749] = 18062,
  [19750] = 17546,
  [19751] = 19209,
  [19752] = 17657,
  [19753] = 18300,
  [19754] = 18063,
  [19755] = 17699,
  [19756] = 17534,
  [19757] = 17803,
  [19758] = 17538,
  [19759] = 17543,
  [19760] = 17582,
  [19761] = 17621,
  [19762] = 17556,
  [19763] = 17559,
  [19764] = 17555,
  [19765] = 17565,
  [19766] = 17548,
  [19767] = 19209,
  [19768] = 17552,
  [19769] = 18300,
  [19770] = 17549,
  [19771] = 17699,
  [19772] = 17534,
  [19773] = 17803,
  [19774] = 17550,
  [19775] = 17551,
  [19776] = 17589,
  [19777] = 19162,
  [19778] = 17547,
  [19779] = 17564,
  [19780] = 17623,
  [19781] = 17673,
  [19782] = 17545,
  [19783] = 17582,
  [19784] = 18300,
  [19785] = 17621,
  [19786] = 17699,
  [19787] = 17534,
  [19788] = 17803,
  [19789] = 17546,
  [19790] = 17623,
  [19791] = 17637,
  [19792] = 17639,
  [19793] = 17640,
  [19794] = 17569,
  [19795] = 17582,
  [19796] = 17621,
  [19797] = 17983,
  [19798] = 17641,
  [19799] = 18300,
  [19800] = 17538,
  [19801] = 17699,
  [19802] = 17534,
  [19803] = 17803,
  [19804] = 17565,
  [19805] = 17544,
  [19806] = 17588,
  [19807] = 17545,
  [19808] = 17543,
  [19809] = 17547,
  [19810] = 17623,
  [19811] = 17545,
  [19812] = 17564,
  [19813] = 17673,
  [19814] = 18300,
  [19815] = 17546,
  [19816] = 17699,
  [19817] = 17534,
  [19818] = 17803,
  [19819] = 17983,
  [19820] = 17537,
  [19821] = 17564,
  [19822] = 18062,
  [19823] = 18063,
  [19824] = 17538,
  [19825] = 18232,
  [19826] = 17543,
  [19827] = 17569,
  [19828] = 17547,
  [19829] = 18300,
  [19830] = 17565,
  [19831] = 17699,
  [19832] = 17534,
  [19833] = 17803,
  [19834] = 17545,
  [19835] = 18056,
  [19836] = 19836,
  [19837] = 17545,
  [19838] = 17622,
  [19839] = 18210,
  [19840] = 18229,
  [19841] = 19841,
  [19842] = 17546,
  [19843] = 18299,
  [19844] = 18300,
  [19845] = 17588,
  [19846] = 17699,
  [19847] = 17534,
  [19848] = 17803,
  [19849] = 17565,
  [19850] = 18306,
  [19851] = 17564,
  [19852] = 17606,
  [19853] = 17574,
  [19854] = 17545,
  [19855] = 17578,
  [19856] = 17622,
  [19857] = 17546,
  [19858] = 17582,
  [19859] = 18300,
  [19860] = 17579,
  [19861] = 17699,
  [19862] = 17534,
  [19863] = 17803,
  [19864] = 17580,
  [19865] = 17621,
  [19866] = 17623,
  [19867] = 17565,
  [19868] = 17538,
  [19869] = 17543,
  [19870] = 18062,
  [19871] = 18063,
  [19872] = 17546,
  [19873] = 17547,
  [19874] = 18300,
  [19875] = 17545,
  [19876] = 17699,
  [19877] = 17534,
  [19878] = 17803,
  [19879] = 17546,
  [19880] = 17622,
  [19881] = 17540,
  [19882] = 17588,
  [19883] = 17564,
  [19884] = 17565,
  [19885] = 18232,
  [19886] = 17538,
  [19887] = 17540,
  [19888] = 17543,
  [19889] = 18300,
  [19890] = 17738,
  [19891] = 17699,
  [19892] = 17534,
  [19893] = 17803,
  [19894] = 17637,
  [19895] = 17547,
  [19896] = 18684,
  [19897] = 17663,
  [19898] = 17622,
  [19899] = 17622,
  [19900] = 17545,
  [19901] = 17592,
  [19902] = 17683,
  [19903] = 17566,
  [19904] = 18300,
  [19905] = 17593,
  [19906] = 17699,
  [19907] = 17534,
  [19908] = 17803,
  [19909] = 17535,
  [19910] = 17536,
  [19911] = 17564,
  [19912] = 17663,
  [19913] = 19209,
  [19914] = 17683,
  [19915] = 17535,
  [19916] = 17536,
  [19917] = 17597,
  [19918] = 17546,
  [19919] = 18300,
  [19920] = 17565,
  [19921] = 17699,
  [19922] = 17534,
  [19923] = 17803,
  [19924] = 17673,
  [19925] = 18156,
  [19926] = 17588,
  [19927] = 17546,
  [19928] = 17542,
  [19929] = 17663,
  [19930] = 17622,
  [19931] = 17556,
  [19932] = 17559,
  [19933] = 17545,
  [19934] = 18300,
  [19935] = 17622,
  [19936] = 17699,
  [19937] = 17534,
  [19938] = 17803,
  [19939] = 17542,
  [19940] = 17546,
  [19941] = 17541,
  [19942] = 17555,
  [19943] = 17540,
  [19944] = 17563,
  [19945] = 17545,
  [19946] = 17680,
  [19947] = 17546,
  [19948] = 17663,
  [19949] = 18300,
  [19950] = 17552,
  [19951] = 17699,
  [19952] = 17534,
  [19953] = 17803,
  [19954] = 17548,
  [19955] = 17549,
  [19956] = 17663,
  [19957] = 17550,
  [19958] = 17551,
  [19959] = 17683,
  [19960] = 17535,
  [19961] = 17536,
  [19962] = 17892,
  [19963] = 18916,
  [19964] = 18300,
  [19965] = 17556,
  [19966] = 17699,
  [19967] = 17534,
  [19968] = 17803,
  [19969] = 17589,
  [19970] = 17540,
  [19971] = 17535,
  [19972] = 17683,
  [19973] = 19973,
  [19974] = 17542,
  [19975] = 17535,
  [19976] = 17536,
  [19977] = 18282,
  [19978] = 17663,
  [19979] = 18300,
  [19980] = 8350,
  [19981] = 17699,
  [19982] = 17534,
  [19983] = 17803,
  [19984] = 17673,
  [19985] = 17667,
  [19986] = 17673,
  [19987] = 17683,
  [19988] = 17558,
  [19989] = 18091,
  [19990] = 17542,
  [19991] = 17565,
  [19992] = 17569,
  [19993] = 17566,
  [19994] = 18300,
  [19995] = 17535,
  [19996] = 17699,
  [19997] = 17534,
  [19998] = 17803,
  [19999] = 17574,
  [20000] = 17563,
  [20001] = 17536,
  [20002] = 17732,
  [20003] = 17540,
  [20004] = 17683,
  [20005] = 17569,
  [20006] = 20006,
  [20007] = 17535,
  [20008] = 17920,
  [20009] = 18300,
  [20010] = 17540,
  [20011] = 17699,
  [20012] = 17534,
  [20013] = 17803,
  [20014] = 17542,
  [20015] = 17920,
  [20016] = 17572,
  [20017] = 17574,
  [20018] = 17558,
  [20019] = 17572,
  [20020] = 17553,
  [20021] = 17545,
  [20022] = 17588,
  [20023] = 17546,
  [20024] = 17563,
  [20025] = 17699,
  [20026] = 17534,
  [20027] = 17803,
  [20028] = 17563,
  [20029] = 18146,
  [20030] = 17673,
  [20031] = 17545,
  [20032] = 17556,
  [20033] = 18204,
  [20034] = 17559,
  [20035] = 17555,
  [20036] = 17621,
  [20037] = 17639,
  [20038] = 17640,
  [20039] = 17699,
  [20040] = 17534,
  [20041] = 17803,
  [20042] = 17641,
  [20043] = 17578,
  [20044] = 17558,
  [20045] = 17552,
  [20046] = 17558,
  [20047] = 17589,
  [20048] = 17579,
  [20049] = 17546,
  [20050] = 17580,
  [20051] = 17540,
  [20052] = 18203,
  [20053] = 17699,
  [20054] = 17534,
  [20055] = 17803,
  [20056] = 18063,
  [20057] = 17544,
  [20058] = 17565,
  [20059] = 17566,
  [20060] = 17637,
  [20061] = 17639,
  [20062] = 17640,
  [20063] = 17920,
  [20064] = 17565,
  [20065] = 17641,
  [20066] = 20066,
  [20067] = 17699,
  [20068] = 17534,
  [20069] = 17803,
  [20070] = 17566,
  [20071] = 17544,
  [20072] = 18213,
  [20073] = 17536,
  [20074] = 17592,
  [20075] = 20075,
  [20076] = 17593,
  [20077] = 20077,
  [20078] = 17572,
  [20079] = 17537,
  [20080] = 17558,
  [20081] = 17699,
  [20082] = 17534,
  [20083] = 17803,
  [20084] = 17597,
  [20085] = 17680,
  [20086] = 20086,
  [20087] = 17537,
  [20088] = 17673,
  [20089] = 17565,
  [20090] = 17537,
  [20091] = 17556,
  [20092] = 17565,
  [20093] = 17699,
  [20094] = 17534,
  [20095] = 17803,
  [20096] = 17537,
  [20097] = 20097,
  [20098] = 17588,
  [20099] = 17540,
  [20100] = 17699,
  [20101] = 17534,
  [20102] = 17803,
  [20103] = 17556,
  [20104] = 17575,
  [20105] = 17699,
  [20106] = 17534,
  [20107] = 17803,
  [20108] = 17541,
  [20109] = 18062,
  [20110] = 17699,
  [20111] = 17534,
  [20112] = 17803,
  [20113] = 17578,
  [20114] = 17545,
  [20115] = 17699,
  [20116] = 17534,
  [20117] = 17803,
  [20118] = 17546,
  [20119] = 17574,
  [20120] = 17699,
  [20121] = 17534,
  [20122] = 17803,
  [20123] = 17639,
  [20124] = 17548,
  [20125] = 17699,
  [20126] = 17534,
  [20127] = 17803,
  [20128] = 17549,
  [20129] = 17550,
  [20130] = 17699,
  [20131] = 17534,
  [20132] = 17803,
  [20133] = 17551,
  [20134] = 17559,
  [20135] = 17699,
  [20136] = 17534,
  [20137] = 17803,
  [20138] = 17552,
  [20139] = 17579,
  [20140] = 17699,
  [20141] = 17534,
  [20142] = 17803,
  [20143] = 17580,
  [20144] = 17542,
  [20145] = 17699,
  [20146] = 17556,
  [20147] = 17803,
  [20148] = 17559,
  [20149] = 17555,
  [20150] = 17699,
  [20151] = 17534,
  [20152] = 17803,
  [20153] = 17555,
  [20154] = 17552,
  [20155] = 17699,
  [20156] = 17534,
  [20157] = 17803,
  [20158] = 17673,
  [20159] = 17667,
  [20160] = 17699,
  [20161] = 17534,
  [20162] = 17803,
  [20163] = 17764,
  [20164] = 17589,
  [20165] = 17574,
  [20166] = 17542,
  [20167] = 17625,
  [20168] = 17558,
  [20169] = 17582,
  [20170] = 17621,
  [20171] = 17622,
  [20172] = 17569,
  [20173] = 17577,
  [20174] = 17563,
  [20175] = 18270,
  [20176] = 17623,
  [20177] = 17640,
  [20178] = 18055,
  [20179] = 17556,
  [20180] = 17538,
  [20181] = 17543,
  [20182] = 17680,
  [20183] = 17578,
  [20184] = 17637,
  [20185] = 17639,
  [20186] = 17579,
  [20187] = 18925,
  [20188] = 17580,
  [20189] = 17539,
  [20190] = 19973,
  [20191] = 19365,
  [20192] = 20192,
  [20193] = 17540,
  [20194] = 17640,
  [20195] = 17547,
  [20196] = 17582,
  [20197] = 17621,
  [20198] = 17623,
  [20199] = 17641,
  [20200] = 17544,
  [20201] = 17734,
  [20202] = 17559,
  [20203] = 17538,
  [20204] = 17543,
  [20205] = 17547,
  [20206] = 17673,
  [20207] = 17732,
  [20208] = 17555,
  [20209] = 20209,
  [20210] = 17552,
  [20211] = 17564,
  [20212] = 17563,
  [20213] = 17552,
  [20214] = 17565,
  [20215] = 17622,
  [20216] = 17592,
  [20217] = 18925,
  [20218] = 19973,
  [20219] = 19365,
  [20220] = 18282,
  [20221] = 17593,
  [20222] = 17558,
  [20223] = 17545,
  [20224] = 17663,
  [20225] = 17734,
  [20226] = 17565,
  [20227] = 17683,
  [20228] = 17535,
  [20229] = 17564,
  [20230] = 17536,
  [20231] = 17597,
  [20232] = 17589,
  [20233] = 17542,
  [20234] = 18925,
  [20235] = 19973,
  [20236] = 19365,
  [20237] = 17680,
  [20238] = 17545,
  [20239] = 17546,
  [20240] = 17540,
  [20241] = 17559,
  [20242] = 17734,
  [20243] = 17565,
  [20244] = 17630,
  [20245] = 17566,
  [20246] = 17537,
  [20247] = 17983,
  [20248] = 17566,
  [20249] = 17622,
  [20250] = 17540,
  [20251] = 19973,
  [20252] = 17663,
  [20253] = 17632,
  [20254] = 17555,
  [20255] = 17557,
  [20256] = 17734,
  [20257] = 17556,
  [20258] = 17541,
  [20259] = 17540,
  [20260] = 17558,
  [20261] = 17546,
  [20262] = 17546,
  [20263] = 19973,
  [20264] = 17565,
  [20265] = 17566,
  [20266] = 19973,
  [20267] = 17588,
  [20268] = 17577,
  [20269] = 19973,
  [20270] = 17556,
  [20271] = 17663,
  [20272] = 19973,
  [20273] = 19973,
  [20274] = 19973,
  [20275] = 19973,
  [20276] = 19973,
  [20277] = 19973,
  [20278] = 19973,
  [20279] = 19973,
  [20280] = 19973,
  [20281] = 19973,
  [20282] = 19973,
  [20283] = 19973,
  [20284] = 19973,
  [20285] = 19973,
  [20286] = 19973,
  [20287] = 19973,
  [20288] = 19973,
  [20289] = 19973,
  [20290] = 19973,
  [20291] = 19973,
  [20292] = 19973,
  [20293] = 19973,
  [20294] = 19973,
  [20295] = 19973,
  [20296] = 19973,
  [20297] = 19973,
  [20298] = 19973,
  [20299] = 19973,
  [20300] = 19973,
  [20301] = 19973,
  [20302] = 19973,
  [20303] = 19973,
  [20304] = 19973,
  [20305] = 19973,
  [20306] = 19973,
  [20307] = 19973,
  [20308] = 19973,
  [20309] = 19973,
  [20310] = 19973,
  [20311] = 19973,
  [20312] = 19973,
  [20313] = 19973,
  [20314] = 19973,
  [20315] = 19973,
  [20316] = 19973,
  [20317] = 19973,
  [20318] = 19973,
  [20319] = 19973,
  [20320] = 19973,
  [20321] = 17548,
  [20322] = 17549,
  [20323] = 17574,
  [20324] = 17550,
  [20325] = 17551,
  [20326] = 17558,
  [20327] = 17641,
  [20328] = 17895,
  [20329] = 17556,
  [20330] = 17559,
  [20331] = 17955,
  [20332] = 17555,
  [20333] = 18232,
  [20334] = 17552,
  [20335] = 17539,
  [20336] = 17589,
  [20337] = 17683,
  [20338] = 17895,
  [20339] = 17574,
  [20340] = 17563,
  [20341] = 17955,
  [20342] = 18204,
  [20343] = 17657,
  [20344] = 17637,
  [20345] = 17639,
  [20346] = 17640,
  [20347] = 17895,
  [20348] = 17641,
  [20349] = 17544,
  [20350] = 17955,
  [20351] = 17535,
  [20352] = 17683,
  [20353] = 17556,
  [20354] = 17536,
  [20355] = 17559,
  [20356] = 17537,
  [20357] = 17555,
  [20358] = 20006,
  [20359] = 17637,
  [20360] = 17552,
  [20361] = 17540,
  [20362] = 17582,
  [20363] = 17592,
  [20364] = 18229,
  [20365] = 18270,
  [20366] = 17630,
  [20367] = 17632,
  [20368] = 17575,
  [20369] = 17621,
  [20370] = 17639,
  [20371] = 17582,
  [20372] = 17621,
  [20373] = 17623,
  [20374] = 17589,
  [20375] = 17538,
  [20376] = 17543,
  [20377] = 17547,
  [20378] = 17623,
  [20379] = 17593,
  [20380] = 17538,
  [20381] = 17569,
  [20382] = 18229,
  [20383] = 17566,
  [20384] = 17564,
  [20385] = 17543,
  [20386] = 17640,
  [20387] = 17547,
  [20388] = 17622,
  [20389] = 17558,
  [20390] = 17559,
  [20391] = 17577,
  [20392] = 17535,
  [20393] = 17641,
  [20394] = 17663,
  [20395] = 17564,
  [20396] = 17683,
  [20397] = 17544,
  [20398] = 17535,
  [20399] = 17597,
  [20400] = 18229,
  [20401] = 17536,
  [20402] = 17680,
  [20403] = 17578,
  [20404] = 17542,
  [20405] = 17542,
  [20406] = 17545,
  [20407] = 17546,
  [20408] = 17582,
  [20409] = 17579,
  [20410] = 18229,
  [20411] = 17580,
  [20412] = 17622,
  [20413] = 17637,
  [20414] = 17545,
  [20415] = 17546,
  [20416] = 17639,
  [20417] = 17640,
  [20418] = 17540,
  [20419] = 17565,
  [20420] = 20420,
  [20421] = 17641,
  [20422] = 17566,
  [20423] = 17732,
  [20424] = 17544,
  [20425] = 17606,
  [20426] = 17621,
  [20427] = 17559,
  [20428] = 17680,
  [20429] = 17625,
  [20430] = 17587,
  [20431] = 17592,
  [20432] = 17558,
  [20433] = 17663,
  [20434] = 17536,
  [20435] = 17593,
  [20436] = 17574,
  [20437] = 17565,
  [20438] = 17623,
  [20439] = 17566,
  [20440] = 17732,
  [20441] = 17683,
  [20442] = 17563,
  [20443] = 17597,
  [20444] = 18348,
  [20445] = 17565,
  [20446] = 17555,
  [20447] = 18091,
  [20448] = 20448,
  [20449] = 20449,
};

static TSCharacterRange sym_conversion_specification_character_set_6[] = {
  {'!', '!'}, {'%', '%'}, {',', ','}, {'@', '@'}, {'B', 'C'}, {'E', 'H'}, {'L', 'L'}, {'N', 'N'},
  {'S', 'S'}, {'X', 'X'}, {'a', 'i'}, {'l', 'l'}, {'n', 'o'}, {'s', 'u'}, {'x', 'x'},
};

static TSCharacterRange sym_conversion_specification_character_set_7[] = {
  {'!', '!'}, {'%', '%'}, {',', ','}, {'0', '9'}, {'@', '@'}, {'B', 'C'}, {'E', 'H'}, {'L', 'L'},
  {'N', 'N'}, {'S', 'S'}, {'X', 'X'}, {'a', 'i'}, {'l', 'l'}, {'n', 'o'}, {'s', 'u'}, {'x', 'x'},
};

static TSCharacterRange sym_prefix_operator_character_set_1[] = {
  {'!', '!'}, {'#', '&'}, {'*', '+'}, {'-', '/'}, {':', ':'}, {'<', '@'}, {'^', '^'}, {'|', '|'},
  {'~', '~'},
};

static TSCharacterRange sym_pow_operator_character_set_1[] = {
  {'!', '!'}, {'$', '&'}, {'*', '+'}, {'-', '/'}, {':', ':'}, {'<', '@'}, {'^', '^'}, {'|', '|'},
  {'~', '~'},
};

static TSCharacterRange sym_indexing_operator_character_set_1[] = {
  {'!', '!'}, {'$', '&'}, {'*', '+'}, {'-', '-'}, {'/', '/'}, {':', ':'}, {'=', '@'}, {'^', '^'},
  {'|', '|'},
};

static TSCharacterRange sym_let_operator_character_set_1[] = {
  {'$', '$'}, {'&', '&'}, {'*', '+'}, {'-', '-'}, {'/', '/'}, {'<', '>'}, {'@', '@'}, {'^', '^'},
  {'|', '|'},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(434);
      ADVANCE_MAP(
        '!', 468,
        '"', 609,
        '#', 548,
        '$', 402,
        '%', 583,
        '&', 544,
        '\'', 605,
        '(', 457,
        ')', 458,
        '*', 502,
        '+', 467,
        ',', 465,
        '-', 470,
        '.', 499,
        '0', 586,
        ':', 452,
        ';', 510,
        '<', 546,
        '=', 446,
        '>', 542,
        '?', 449,
        '@', 649,
        '[', 477,
        '\\', 2,
        ']', 487,
        '^', 651,
        '`', 817,
        'a', 741,
        'c', 735,
        'd', 762,
        'e', 729,
        'i', 742,
        'l', 700,
        'm', 672,
        'o', 774,
        't', 721,
        'v', 670,
        'w', 725,
        '{', 505,
        '|', 474,
        '}', 511,
        '~', 447,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(418);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(617);
      if (lookahead == '\r') ADVANCE(1);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '\n', 617,
        '\r', 1,
        '#', 417,
        'o', 399,
        'u', 390,
        'x', 416,
        ' ', 623,
        '"', 623,
        '\'', 623,
        '\\', 623,
        'b', 623,
        'n', 623,
        'r', 623,
        't', 623,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(406);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 617,
        '\r', 1,
        'o', 399,
        'u', 390,
        'x', 416,
        ' ', 623,
        '"', 623,
        '\'', 623,
        '\\', 623,
        'b', 623,
        'n', 623,
        'r', 623,
        't', 623,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(406);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(606);
      if (lookahead == '\r') ADVANCE(5);
      if (lookahead == '[') ADVANCE(608);
      if (lookahead == '\\') ADVANCE(347);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(607);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(607);
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(606);
      if (lookahead == '\r') ADVANCE(5);
      if (lookahead == '[') ADVANCE(262);
      if (lookahead == '\\') ADVANCE(347);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(265);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 468,
        '"', 609,
        '#', 547,
        '%', 583,
        '\'', 604,
        '(', 457,
        '+', 597,
        ',', 465,
        '-', 603,
        '.', 818,
        '0', 586,
        ':', 494,
        ';', 509,
        '=', 446,
        '>', 393,
        '?', 449,
        '[', 483,
        '\\', 198,
        '`', 817,
        '{', 506,
        '|', 473,
        '~', 447,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 468,
        '#', 547,
        '&', 543,
        '\'', 816,
        '(', 457,
        ')', 458,
        '*', 502,
        '+', 254,
        ',', 465,
        '-', 259,
        '.', 247,
        ':', 491,
        ';', 509,
        '<', 545,
        '=', 446,
        '>', 542,
        '?', 449,
        '[', 481,
        '\\', 198,
        ']', 487,
        '`', 817,
        '{', 506,
        '|', 472,
        '}', 511,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 468,
        '%', 583,
        '\'', 816,
        '(', 457,
        '+', 466,
        '-', 469,
        '.', 818,
        '[', 482,
        '\\', 198,
        '{', 236,
        '|', 472,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(8);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(468);
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '[') ADVANCE(482);
      if (lookahead == '\\') ADVANCE(198);
      if (lookahead == 'l') ADVANCE(700);
      if (lookahead == '{') ADVANCE(236);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 257,
        '#', 815,
        '&', 660,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        ':', 252,
        ';', 510,
        '<', 654,
        '[', 238,
        ']', 487,
        'a', 328,
        'c', 323,
        'd', 349,
        'e', 319,
        'i', 333,
        'l', 270,
        'm', 355,
        'o', 360,
        't', 351,
        '{', 239,
        '|', 476,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '$', 657,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(10);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 257,
        '#', 549,
        '&', 660,
        '\'', 605,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        ':', 492,
        ';', 510,
        '<', 654,
        '[', 485,
        ']', 487,
        '`', 817,
        'a', 328,
        'c', 323,
        'd', 349,
        'e', 319,
        'i', 333,
        'l', 270,
        'm', 355,
        'o', 360,
        't', 351,
        'v', 268,
        'w', 312,
        '{', 508,
        '|', 476,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '$', 657,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(13);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 257,
        '#', 549,
        '&', 660,
        '(', 457,
        ')', 458,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 602,
        '.', 498,
        ':', 493,
        ';', 509,
        '<', 654,
        '>', 655,
        '[', 235,
        ']', 487,
        'a', 341,
        'd', 348,
        'e', 318,
        'i', 335,
        'l', 272,
        'm', 356,
        'o', 363,
        't', 309,
        'w', 312,
        '{', 236,
        '|', 475,
        '}', 511,
        '$', 657,
        '=', 657,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(12);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '!', 257,
        '#', 549,
        '&', 660,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        ':', 492,
        ';', 510,
        '<', 654,
        '[', 485,
        ']', 487,
        '`', 817,
        'a', 328,
        'c', 323,
        'd', 349,
        'e', 319,
        'i', 333,
        'l', 270,
        'm', 355,
        'o', 360,
        't', 351,
        'v', 268,
        'w', 312,
        '{', 508,
        '|', 476,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '$', 657,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(13);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '!', 257,
        '#', 549,
        '&', 660,
        ')', 458,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 602,
        '.', 498,
        ':', 493,
        ';', 509,
        '<', 654,
        '>', 655,
        '[', 238,
        ']', 487,
        'a', 370,
        'c', 354,
        'd', 348,
        'e', 318,
        'i', 334,
        'l', 272,
        'm', 297,
        'o', 363,
        't', 309,
        'v', 268,
        'w', 312,
        '{', 239,
        '|', 476,
        '}', 511,
        '$', 657,
        '=', 657,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '!', 257,
        '#', 549,
        '&', 660,
        ')', 458,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 602,
        '.', 498,
        ':', 493,
        ';', 509,
        '<', 654,
        '>', 655,
        '[', 238,
        ']', 487,
        'a', 370,
        'c', 354,
        'd', 348,
        'e', 318,
        'i', 334,
        'l', 272,
        'm', 297,
        'o', 363,
        't', 309,
        'v', 268,
        'w', 312,
        '{', 239,
        '|', 475,
        '}', 511,
        '$', 657,
        '=', 657,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(15);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '!', 257,
        '#', 549,
        '&', 660,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        ':', 252,
        ';', 509,
        '<', 654,
        '[', 263,
        'a', 328,
        'd', 349,
        'e', 317,
        'i', 335,
        'l', 272,
        'm', 356,
        'o', 363,
        't', 350,
        '|', 476,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '$', 657,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(16);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '!', 257,
        '&', 660,
        ')', 458,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 602,
        ':', 493,
        ';', 509,
        '<', 654,
        '>', 655,
        '[', 263,
        ']', 487,
        'a', 328,
        'd', 348,
        'e', 318,
        'i', 335,
        'l', 272,
        'm', 356,
        'o', 363,
        't', 309,
        'w', 312,
        '|', 475,
        '}', 511,
        '$', 657,
        '=', 657,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(17);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 815,
        '$', 402,
        '%', 583,
        '&', 543,
        '\'', 604,
        '(', 457,
        ')', 458,
        '*', 502,
        '+', 598,
        '-', 599,
        '.', 818,
        '0', 586,
        ':', 496,
        ';', 253,
        '<', 246,
        '=', 446,
        '>', 542,
        '?', 450,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'c', 736,
        'e', 805,
        'i', 752,
        'l', 700,
        'm', 675,
        'o', 775,
        't', 807,
        '{', 505,
        '|', 472,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(18);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 815,
        '$', 402,
        '%', 583,
        '\'', 604,
        '(', 457,
        '.', 498,
        '0', 586,
        ':', 255,
        ';', 253,
        '=', 446,
        '[', 480,
        '\\', 198,
        '`', 817,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 700,
        'm', 675,
        'o', 775,
        't', 807,
        '{', 505,
        '+', 598,
        '-', 598,
        '?', 413,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(19);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 815,
        '$', 402,
        '%', 583,
        '\'', 604,
        '(', 457,
        '0', 586,
        ';', 253,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 741,
        'c', 736,
        'e', 805,
        'i', 742,
        'l', 700,
        'm', 675,
        'o', 775,
        't', 807,
        '{', 505,
        '+', 598,
        '-', 598,
        '?', 413,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(20);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 815,
        '$', 402,
        '%', 583,
        '\'', 604,
        '(', 457,
        '0', 586,
        ';', 253,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 741,
        'c', 736,
        'e', 805,
        'i', 752,
        'l', 700,
        'm', 675,
        'o', 775,
        't', 807,
        '{', 505,
        '+', 598,
        '-', 598,
        '?', 413,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(21);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 22:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 815,
        '$', 402,
        '%', 583,
        '\'', 604,
        '(', 457,
        '0', 586,
        ';', 253,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 741,
        'c', 736,
        'e', 750,
        'i', 742,
        'l', 700,
        'm', 675,
        'o', 775,
        't', 807,
        '{', 505,
        '+', 598,
        '-', 598,
        '?', 413,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(22);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 23:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 815,
        '$', 402,
        '%', 583,
        '\'', 604,
        '(', 457,
        '0', 586,
        ';', 253,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 741,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 700,
        'm', 675,
        'o', 775,
        't', 807,
        '{', 505,
        '+', 598,
        '-', 598,
        '?', 413,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(23);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 24:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 815,
        '$', 402,
        '\'', 604,
        '(', 457,
        '+', 254,
        '0', 586,
        ':', 451,
        ';', 253,
        '?', 450,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 758,
        'c', 736,
        'e', 805,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 505,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(25);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 25:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 815,
        '$', 402,
        '\'', 604,
        '(', 457,
        '+', 254,
        '0', 586,
        ';', 253,
        '?', 450,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 758,
        'c', 736,
        'e', 805,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 505,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(25);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 26:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 815,
        '$', 402,
        '\'', 604,
        '(', 457,
        '0', 586,
        ':', 451,
        ';', 253,
        '?', 450,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 505,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(27);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 27:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 815,
        '$', 402,
        '\'', 604,
        '(', 457,
        '0', 586,
        ';', 253,
        '?', 450,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 505,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(27);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 28:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 549,
        '$', 402,
        '%', 583,
        '&', 543,
        '\'', 604,
        '(', 457,
        ')', 458,
        '*', 502,
        '+', 597,
        ',', 465,
        '-', 603,
        '.', 498,
        '0', 586,
        ':', 494,
        ';', 509,
        '=', 446,
        '>', 542,
        '?', 450,
        '[', 483,
        '\\', 198,
        ']', 487,
        '`', 817,
        '{', 507,
        '|', 472,
        '}', 511,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(28);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 549,
        '$', 402,
        '\'', 604,
        '(', 457,
        ')', 458,
        ',', 465,
        '.', 498,
        '0', 586,
        ':', 489,
        ';', 509,
        '?', 450,
        '[', 483,
        '\\', 198,
        '`', 817,
        '{', 507,
        '|', 473,
        '~', 448,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(29);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 30:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 549,
        '$', 402,
        '\'', 604,
        '(', 457,
        '*', 502,
        '-', 259,
        '.', 498,
        '0', 586,
        ':', 451,
        ';', 253,
        '=', 446,
        '?', 450,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 670,
        '{', 505,
        '|', 472,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(33);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 31:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 549,
        '$', 402,
        '\'', 604,
        '(', 457,
        '*', 502,
        '-', 259,
        '.', 498,
        '0', 586,
        ':', 456,
        '=', 446,
        '?', 450,
        '[', 480,
        '\\', 198,
        '`', 817,
        'c', 766,
        'e', 751,
        'i', 746,
        'm', 710,
        'v', 670,
        '{', 505,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(32);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 32:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 549,
        '$', 402,
        '\'', 604,
        '(', 457,
        '*', 502,
        '-', 259,
        '.', 498,
        '0', 586,
        ':', 260,
        '=', 446,
        '?', 450,
        '[', 480,
        '\\', 198,
        '`', 817,
        'c', 766,
        'e', 751,
        'i', 746,
        'm', 710,
        'v', 670,
        '{', 505,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(32);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 33:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 549,
        '$', 402,
        '\'', 604,
        '(', 457,
        '*', 502,
        '-', 259,
        '.', 498,
        '0', 586,
        ';', 253,
        '=', 446,
        '?', 450,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 670,
        '{', 505,
        '|', 472,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(33);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 34:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 549,
        '$', 402,
        '\'', 604,
        '(', 457,
        '.', 498,
        '0', 586,
        ';', 253,
        '?', 450,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 758,
        'c', 736,
        'e', 805,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 505,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(34);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 35:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 549,
        '$', 402,
        '\'', 604,
        '(', 457,
        '.', 498,
        '0', 586,
        ';', 253,
        '?', 450,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 505,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(35);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 36:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '$', 402,
        '%', 583,
        '\'', 604,
        '(', 457,
        ')', 458,
        '+', 598,
        '-', 599,
        '.', 498,
        '0', 586,
        ':', 497,
        ';', 509,
        '=', 446,
        '>', 393,
        '[', 483,
        '\\', 198,
        ']', 487,
        '`', 817,
        'l', 700,
        'm', 678,
        '{', 507,
        '|', 266,
        '}', 511,
        '?', 413,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(36);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 37:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '$', 402,
        '%', 583,
        '\'', 604,
        '(', 457,
        '0', 586,
        ':', 488,
        ';', 509,
        '=', 446,
        '>', 542,
        '[', 480,
        '\\', 198,
        '`', 817,
        'c', 766,
        'e', 751,
        'i', 746,
        'l', 700,
        'm', 674,
        'v', 670,
        '{', 505,
        '}', 511,
        '+', 598,
        '-', 598,
        '?', 413,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(37);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 38:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '$', 402,
        '%', 583,
        '\'', 604,
        '(', 457,
        '0', 586,
        '[', 483,
        '\\', 198,
        '`', 817,
        'd', 762,
        'l', 700,
        'm', 678,
        '{', 507,
        '+', 598,
        '-', 598,
        '?', 413,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(38);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 39:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '$', 402,
        '%', 583,
        '\'', 604,
        '(', 457,
        '0', 586,
        '[', 483,
        '\\', 198,
        '`', 817,
        'd', 764,
        'l', 700,
        'm', 678,
        't', 763,
        '{', 507,
        '+', 598,
        '-', 598,
        '?', 413,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(39);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 40:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '$', 402,
        '%', 583,
        '\'', 604,
        '(', 457,
        '0', 586,
        '[', 483,
        '\\', 198,
        '`', 817,
        'd', 773,
        'l', 700,
        'm', 678,
        '{', 507,
        '+', 598,
        '-', 598,
        '?', 413,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(40);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 41:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '$', 402,
        '%', 583,
        '\'', 604,
        '(', 457,
        '0', 586,
        '[', 483,
        '\\', 198,
        '`', 817,
        'e', 751,
        'l', 700,
        'm', 678,
        '{', 507,
        '+', 598,
        '-', 598,
        '?', 413,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(41);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 42:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '$', 402,
        '%', 583,
        '\'', 604,
        '(', 457,
        '0', 586,
        '[', 483,
        '\\', 198,
        '`', 817,
        'l', 700,
        'm', 678,
        't', 722,
        '{', 507,
        '+', 598,
        '-', 598,
        '?', 413,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(42);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 43:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '$', 402,
        '%', 583,
        '\'', 604,
        '(', 457,
        '0', 586,
        '[', 483,
        '\\', 198,
        '`', 817,
        'l', 700,
        'm', 678,
        'w', 725,
        '{', 507,
        '+', 598,
        '-', 598,
        '?', 413,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(43);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 44:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '$', 402,
        '%', 583,
        '\'', 604,
        '(', 457,
        '0', 586,
        '[', 484,
        '\\', 198,
        '`', 817,
        'a', 741,
        'i', 747,
        'l', 700,
        'm', 678,
        '{', 507,
        '+', 598,
        '-', 598,
        '?', 413,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(44);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 45:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '$', 402,
        '\'', 604,
        '(', 457,
        ')', 458,
        '.', 818,
        '0', 586,
        ':', 488,
        '?', 450,
        '[', 483,
        '\\', 198,
        '`', 817,
        '{', 507,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(45);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 46:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '$', 402,
        '\'', 604,
        '(', 457,
        ')', 458,
        '.', 818,
        '0', 586,
        ':', 451,
        '?', 450,
        '[', 483,
        '\\', 198,
        '`', 817,
        '{', 507,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(45);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 47:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '$', 402,
        '\'', 604,
        '(', 457,
        '.', 818,
        '0', 586,
        '[', 483,
        '\\', 198,
        '`', 817,
        'l', 700,
        'm', 678,
        '{', 507,
        '+', 598,
        '-', 598,
        '?', 413,
        '~', 413,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 48:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 247,
        '/', 645,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 654,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 731,
        'i', 742,
        'l', 682,
        'm', 676,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(48);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 49:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 654,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 805,
        'i', 742,
        'l', 682,
        'm', 676,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(49);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 50:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 654,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 805,
        'i', 752,
        'l', 682,
        'm', 676,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 51:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 654,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 731,
        'i', 752,
        'l', 682,
        'm', 676,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(51);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 52:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 654,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 787,
        'c', 736,
        'e', 805,
        'i', 752,
        'l', 682,
        'm', 676,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(52);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 53:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 654,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 787,
        'c', 736,
        'e', 731,
        'i', 752,
        'l', 682,
        'm', 676,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(53);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 54:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 654,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 729,
        'i', 742,
        'l', 682,
        'm', 676,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 55:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 654,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 729,
        'i', 752,
        'l', 682,
        'm', 676,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 56:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 654,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 750,
        'i', 742,
        'l', 682,
        'm', 676,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 57:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 654,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 682,
        'm', 676,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 58:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 654,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 787,
        'c', 736,
        'e', 729,
        'i', 752,
        'l', 682,
        'm', 676,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 59:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 654,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 787,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 682,
        'm', 676,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 60:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 654,
        '?', 450,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 805,
        'i', 742,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(60);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 61:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 654,
        '?', 450,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 805,
        'i', 752,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(61);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 62:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 654,
        '?', 450,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 731,
        'i', 742,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(62);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 63:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 654,
        '?', 450,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 731,
        'i', 752,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(63);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 64:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 654,
        '?', 450,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 787,
        'c', 736,
        'e', 805,
        'i', 752,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(64);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 65:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 654,
        '?', 450,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 787,
        'c', 736,
        'e', 731,
        'i', 752,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(65);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 66:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 654,
        '?', 450,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 729,
        'i', 742,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 67:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 654,
        '?', 450,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 729,
        'i', 752,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(67);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 68:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 654,
        '?', 450,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 750,
        'i', 742,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(68);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 69:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 654,
        '?', 450,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(69);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 70:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 654,
        '?', 450,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 787,
        'c', 736,
        'e', 729,
        'i', 752,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(70);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 71:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 654,
        '?', 450,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 787,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(71);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 72:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '0', 586,
        ':', 453,
        ';', 510,
        '<', 654,
        '?', 450,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 805,
        'i', 742,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(60);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 73:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '0', 586,
        ':', 453,
        ';', 510,
        '<', 654,
        '?', 450,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 805,
        'i', 752,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(61);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 74:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '0', 586,
        ':', 453,
        ';', 510,
        '<', 654,
        '?', 450,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 731,
        'i', 742,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(62);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 75:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '0', 586,
        ':', 453,
        ';', 510,
        '<', 654,
        '?', 450,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 731,
        'i', 752,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(63);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 76:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '0', 586,
        ':', 453,
        ';', 510,
        '<', 654,
        '?', 450,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 787,
        'c', 736,
        'e', 805,
        'i', 752,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(64);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 77:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '0', 586,
        ':', 453,
        ';', 510,
        '<', 654,
        '?', 450,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 787,
        'c', 736,
        'e', 731,
        'i', 752,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(65);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 78:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '0', 586,
        ':', 453,
        ';', 510,
        '<', 654,
        '?', 450,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 729,
        'i', 742,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 79:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '0', 586,
        ':', 453,
        ';', 510,
        '<', 654,
        '?', 450,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 729,
        'i', 752,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(67);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 80:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '0', 586,
        ':', 453,
        ';', 510,
        '<', 654,
        '?', 450,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 750,
        'i', 742,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(68);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 81:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '0', 586,
        ':', 453,
        ';', 510,
        '<', 654,
        '?', 450,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(69);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 82:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '0', 586,
        ':', 453,
        ';', 510,
        '<', 654,
        '?', 450,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 787,
        'c', 736,
        'e', 729,
        'i', 752,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(70);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 83:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 815,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '0', 586,
        ':', 453,
        ';', 510,
        '<', 654,
        '?', 450,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 787,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(71);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 84:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        ')', 458,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 602,
        '.', 498,
        '0', 586,
        ':', 493,
        ';', 509,
        '<', 653,
        '=', 657,
        '>', 655,
        '?', 450,
        '[', 483,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 787,
        'e', 732,
        'l', 684,
        'm', 771,
        'o', 778,
        '{', 507,
        '|', 476,
        '}', 511,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(84);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 85:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        ')', 458,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 602,
        '.', 498,
        '0', 586,
        ':', 493,
        ';', 509,
        '<', 653,
        '=', 657,
        '>', 655,
        '?', 450,
        '[', 483,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 787,
        'e', 732,
        'l', 684,
        'm', 771,
        'o', 778,
        '{', 507,
        '|', 475,
        '}', 511,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(85);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 86:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        ')', 458,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 602,
        '.', 498,
        '0', 586,
        ':', 493,
        ';', 509,
        '<', 653,
        '=', 657,
        '>', 655,
        '?', 450,
        '[', 483,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 787,
        'l', 684,
        'm', 771,
        'o', 778,
        '{', 507,
        '|', 476,
        '}', 511,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(86);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 87:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        ')', 458,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 602,
        '.', 498,
        '0', 586,
        ':', 493,
        ';', 509,
        '<', 653,
        '=', 657,
        '>', 655,
        '?', 450,
        '[', 483,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 787,
        'l', 684,
        'm', 771,
        'o', 778,
        '{', 507,
        '|', 475,
        '}', 511,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(87);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 88:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 653,
        '?', 450,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 805,
        'i', 742,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(88);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 89:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 653,
        '?', 450,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 805,
        'i', 752,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(89);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 90:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 653,
        '?', 450,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 731,
        'i', 742,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(90);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 91:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 653,
        '?', 450,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 731,
        'i', 752,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(91);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 92:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 653,
        '?', 450,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 787,
        'c', 736,
        'e', 805,
        'i', 752,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(92);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 93:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 653,
        '?', 450,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 787,
        'c', 736,
        'e', 731,
        'i', 752,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(93);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 94:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 653,
        '?', 450,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 729,
        'i', 742,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(94);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 95:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 653,
        '?', 450,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 729,
        'i', 752,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(95);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 96:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 653,
        '?', 450,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 750,
        'i', 742,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(96);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 97:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 653,
        '?', 450,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(97);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 98:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 653,
        '?', 450,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 787,
        'c', 736,
        'e', 729,
        'i', 752,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(98);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 99:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        ';', 510,
        '<', 653,
        '?', 450,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 787,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 682,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(99);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 100:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 787,
        'c', 766,
        'e', 730,
        'i', 746,
        'l', 684,
        'm', 709,
        'o', 778,
        'v', 670,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(100);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 787,
        'c', 766,
        'e', 751,
        'i', 746,
        'l', 684,
        'm', 709,
        'o', 778,
        'v', 670,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(101);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 102:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'd', 762,
        'e', 732,
        'l', 684,
        'm', 771,
        'o', 778,
        '{', 507,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(102);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 103:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'd', 762,
        'l', 684,
        'm', 771,
        'o', 778,
        '{', 507,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(103);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 104:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'd', 764,
        'e', 732,
        'l', 684,
        'm', 771,
        'o', 778,
        't', 763,
        '{', 507,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(104);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 105:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'd', 764,
        'l', 684,
        'm', 771,
        'o', 778,
        't', 763,
        '{', 507,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(105);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 106:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'd', 773,
        'e', 732,
        'l', 684,
        'm', 771,
        'o', 778,
        '{', 507,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(106);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 107:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'd', 773,
        'l', 684,
        'm', 771,
        'o', 778,
        '{', 507,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(107);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 108:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'e', 730,
        'l', 684,
        'm', 771,
        'o', 778,
        '{', 507,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(108);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 109:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'e', 732,
        'l', 684,
        'm', 771,
        'o', 778,
        't', 722,
        '{', 507,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(109);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 110:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'e', 732,
        'l', 684,
        'm', 771,
        'o', 778,
        'w', 725,
        '{', 507,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(110);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 111:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'e', 751,
        'l', 684,
        'm', 771,
        'o', 778,
        '{', 507,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(111);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 112:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'l', 684,
        'm', 771,
        'o', 778,
        't', 722,
        '{', 507,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(112);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 113:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'l', 684,
        'm', 771,
        'o', 778,
        'w', 725,
        '{', 507,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(113);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 114:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 484,
        '\\', 198,
        '`', 817,
        'a', 740,
        'e', 732,
        'i', 747,
        'l', 684,
        'm', 771,
        'o', 778,
        '{', 507,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(114);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 115:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 484,
        '\\', 198,
        '`', 817,
        'a', 740,
        'i', 747,
        'l', 684,
        'm', 771,
        'o', 778,
        '{', 507,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(115);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 116:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 453,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 787,
        'c', 766,
        'e', 730,
        'i', 746,
        'l', 684,
        'm', 709,
        'o', 778,
        'v', 670,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(100);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 117:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 453,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 787,
        'c', 766,
        'e', 751,
        'i', 746,
        'l', 684,
        'm', 709,
        'o', 778,
        'v', 670,
        '{', 505,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(101);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 118:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 453,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'd', 762,
        'e', 732,
        'l', 684,
        'm', 771,
        'o', 778,
        '{', 507,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(102);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 119:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 453,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'd', 762,
        'l', 684,
        'm', 771,
        'o', 778,
        '{', 507,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(103);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 120:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 453,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'd', 764,
        'e', 732,
        'l', 684,
        'm', 771,
        'o', 778,
        't', 763,
        '{', 507,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(104);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 121:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 453,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'd', 764,
        'l', 684,
        'm', 771,
        'o', 778,
        't', 763,
        '{', 507,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(105);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 122:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 453,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'd', 773,
        'e', 732,
        'l', 684,
        'm', 771,
        'o', 778,
        '{', 507,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(106);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 123:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 453,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'd', 773,
        'l', 684,
        'm', 771,
        'o', 778,
        '{', 507,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(107);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 124:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 453,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'e', 730,
        'l', 684,
        'm', 771,
        'o', 778,
        '{', 507,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(108);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 125:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 453,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'e', 732,
        'l', 684,
        'm', 771,
        'o', 778,
        't', 722,
        '{', 507,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(109);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 126:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 453,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'e', 732,
        'l', 684,
        'm', 771,
        'o', 778,
        'w', 725,
        '{', 507,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(110);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 127:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 453,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'e', 751,
        'l', 684,
        'm', 771,
        'o', 778,
        '{', 507,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(111);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 128:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 453,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'l', 684,
        'm', 771,
        'o', 778,
        't', 722,
        '{', 507,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(112);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 129:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 453,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'l', 684,
        'm', 771,
        'o', 778,
        'w', 725,
        '{', 507,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(113);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 130:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 453,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 484,
        '\\', 198,
        '`', 817,
        'a', 740,
        'e', 732,
        'i', 747,
        'l', 684,
        'm', 771,
        'o', 778,
        '{', 507,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(114);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 131:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 453,
        ';', 509,
        '<', 653,
        '?', 450,
        '[', 484,
        '\\', 198,
        '`', 817,
        'a', 740,
        'i', 747,
        'l', 684,
        'm', 771,
        'o', 778,
        '{', 507,
        '|', 476,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(115);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 132:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '&', 660,
        '\'', 604,
        '(', 457,
        ')', 458,
        '*', 642,
        '+', 600,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        '<', 654,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 757,
        'e', 806,
        'l', 683,
        'm', 676,
        'o', 778,
        't', 807,
        '{', 506,
        '|', 391,
        '%', 645,
        '/', 645,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '$', 657,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(132);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 133:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '&', 660,
        '\'', 604,
        '(', 457,
        ')', 458,
        '*', 642,
        '+', 600,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        '<', 654,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 757,
        'e', 806,
        'l', 683,
        'm', 676,
        'o', 778,
        '{', 506,
        '|', 391,
        '%', 645,
        '/', 645,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '$', 657,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(133);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 134:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '&', 660,
        '\'', 604,
        '(', 457,
        ')', 458,
        '*', 642,
        '+', 600,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        '<', 654,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 757,
        'l', 683,
        'm', 676,
        'o', 778,
        '{', 506,
        '|', 391,
        '%', 645,
        '/', 645,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '$', 657,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(134);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 135:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 412,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        ')', 458,
        '*', 642,
        '+', 600,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 654,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 757,
        'l', 682,
        'm', 676,
        'o', 778,
        '{', 507,
        '|', 267,
        '%', 645,
        '/', 645,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(135);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 136:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        ')', 458,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 654,
        '=', 657,
        '>', 655,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 787,
        'c', 766,
        'e', 730,
        'i', 746,
        'l', 682,
        'm', 673,
        'o', 778,
        'v', 670,
        '{', 505,
        '|', 476,
        '}', 511,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(136);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 137:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        ')', 458,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 602,
        '/', 645,
        '0', 586,
        ':', 493,
        ';', 509,
        '<', 654,
        '=', 657,
        '>', 655,
        '[', 483,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 787,
        'e', 732,
        'l', 682,
        'm', 677,
        'o', 778,
        '{', 507,
        '|', 476,
        '}', 511,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(137);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 138:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        ')', 458,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 602,
        '/', 645,
        '0', 586,
        ':', 493,
        ';', 509,
        '<', 654,
        '=', 657,
        '>', 655,
        '[', 483,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 787,
        'l', 682,
        'm', 677,
        'o', 778,
        '{', 507,
        '|', 476,
        '}', 511,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(138);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 139:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 654,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 787,
        'c', 766,
        'e', 751,
        'i', 746,
        'l', 682,
        'm', 673,
        'o', 778,
        'v', 670,
        '{', 505,
        '|', 476,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(139);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 140:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 654,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'd', 762,
        'e', 732,
        'l', 682,
        'm', 677,
        'o', 778,
        '{', 507,
        '|', 476,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(140);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 141:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 654,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'd', 762,
        'l', 682,
        'm', 677,
        'o', 778,
        '{', 507,
        '|', 476,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(141);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 142:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 654,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'd', 764,
        'e', 732,
        'l', 682,
        'm', 677,
        'o', 778,
        't', 763,
        '{', 507,
        '|', 476,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(142);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 143:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 654,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'd', 764,
        'l', 682,
        'm', 677,
        'o', 778,
        't', 763,
        '{', 507,
        '|', 476,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(143);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 144:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 654,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'd', 773,
        'e', 732,
        'l', 682,
        'm', 677,
        'o', 778,
        '{', 507,
        '|', 476,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(144);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 145:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 654,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'd', 773,
        'l', 682,
        'm', 677,
        'o', 778,
        '{', 507,
        '|', 476,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(145);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 146:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 654,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'e', 730,
        'l', 682,
        'm', 677,
        'o', 778,
        '{', 507,
        '|', 476,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(146);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 147:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 654,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'e', 732,
        'l', 682,
        'm', 677,
        'o', 778,
        't', 722,
        '{', 507,
        '|', 476,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(147);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 148:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 654,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'e', 732,
        'l', 682,
        'm', 677,
        'o', 778,
        'w', 725,
        '{', 507,
        '|', 476,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(148);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 149:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 654,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'e', 732,
        'l', 682,
        'm', 677,
        'o', 778,
        '{', 507,
        '|', 475,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(149);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 150:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 654,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'e', 751,
        'l', 682,
        'm', 677,
        'o', 778,
        '{', 507,
        '|', 476,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(150);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 151:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 654,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'l', 682,
        'm', 677,
        'o', 778,
        't', 722,
        '{', 507,
        '|', 476,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(151);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 152:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 654,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'l', 682,
        'm', 677,
        'o', 778,
        'w', 725,
        '{', 507,
        '|', 476,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(152);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 153:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 654,
        '[', 483,
        '\\', 198,
        '`', 817,
        'a', 787,
        'l', 682,
        'm', 677,
        'o', 778,
        '{', 507,
        '|', 475,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(153);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 154:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 654,
        '[', 484,
        '\\', 198,
        '`', 817,
        'a', 740,
        'e', 732,
        'i', 747,
        'l', 682,
        'm', 677,
        'o', 778,
        '{', 507,
        '|', 476,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(154);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 155:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 457,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 252,
        ';', 509,
        '<', 654,
        '[', 484,
        '\\', 198,
        '`', 817,
        'a', 740,
        'i', 747,
        'l', 682,
        'm', 677,
        'o', 778,
        '{', 507,
        '|', 476,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(155);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 156:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        ')', 458,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 602,
        '0', 586,
        ':', 454,
        ';', 509,
        '<', 654,
        '=', 657,
        '>', 655,
        '?', 450,
        '[', 483,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 787,
        'e', 732,
        'l', 684,
        'm', 771,
        'o', 778,
        '{', 507,
        '|', 476,
        '}', 511,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(160);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 157:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        ')', 458,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 602,
        '0', 586,
        ':', 454,
        ';', 509,
        '<', 654,
        '=', 657,
        '>', 655,
        '?', 450,
        '[', 483,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 787,
        'e', 732,
        'l', 684,
        'm', 771,
        'o', 778,
        '{', 507,
        '|', 475,
        '}', 511,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(161);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 158:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        ')', 458,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 602,
        '0', 586,
        ':', 454,
        ';', 509,
        '<', 654,
        '=', 657,
        '>', 655,
        '?', 450,
        '[', 483,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 787,
        'l', 684,
        'm', 771,
        'o', 778,
        '{', 507,
        '|', 476,
        '}', 511,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(162);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 159:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        ')', 458,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 602,
        '0', 586,
        ':', 454,
        ';', 509,
        '<', 654,
        '=', 657,
        '>', 655,
        '?', 450,
        '[', 483,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 787,
        'l', 684,
        'm', 771,
        'o', 778,
        '{', 507,
        '|', 475,
        '}', 511,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(163);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 160:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        ')', 458,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 602,
        '0', 586,
        ':', 493,
        ';', 509,
        '<', 654,
        '=', 657,
        '>', 655,
        '?', 450,
        '[', 483,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 787,
        'e', 732,
        'l', 684,
        'm', 771,
        'o', 778,
        '{', 507,
        '|', 476,
        '}', 511,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(160);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 161:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        ')', 458,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 602,
        '0', 586,
        ':', 493,
        ';', 509,
        '<', 654,
        '=', 657,
        '>', 655,
        '?', 450,
        '[', 483,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 787,
        'e', 732,
        'l', 684,
        'm', 771,
        'o', 778,
        '{', 507,
        '|', 475,
        '}', 511,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(161);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 162:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        ')', 458,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 602,
        '0', 586,
        ':', 493,
        ';', 509,
        '<', 654,
        '=', 657,
        '>', 655,
        '?', 450,
        '[', 483,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 787,
        'l', 684,
        'm', 771,
        'o', 778,
        '{', 507,
        '|', 476,
        '}', 511,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(162);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 163:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 457,
        ')', 458,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 602,
        '0', 586,
        ':', 493,
        ';', 509,
        '<', 654,
        '=', 657,
        '>', 655,
        '?', 450,
        '[', 483,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 787,
        'l', 684,
        'm', 771,
        'o', 778,
        '{', 507,
        '|', 475,
        '}', 511,
        '~', 448,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(163);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 164:
      ADVANCE_MAP(
        '!', 632,
        '#', 412,
        '&', 660,
        ')', 458,
        '*', 642,
        '+', 600,
        '-', 601,
        '.', 498,
        ':', 258,
        '<', 654,
        '[', 262,
        'a', 343,
        'l', 271,
        'm', 276,
        'o', 363,
        '|', 391,
        '%', 645,
        '/', 645,
        '?', 413,
        '~', 413,
        '@', 651,
        '^', 651,
        '$', 657,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(164);
      END_STATE();
    case 165:
      ADVANCE_MAP(
        '"', 609,
        '#', 815,
        '\'', 604,
        '(', 457,
        ')', 458,
        ',', 465,
        '0', 586,
        ':', 489,
        ';', 253,
        '=', 446,
        '[', 238,
        '\\', 198,
        ']', 487,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 508,
        '|', 472,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(165);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 166:
      ADVANCE_MAP(
        '"', 609,
        '#', 815,
        '\'', 604,
        '(', 457,
        '0', 586,
        ':', 488,
        ';', 253,
        '=', 446,
        '[', 238,
        '\\', 198,
        ']', 487,
        'c', 736,
        'e', 805,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 508,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(166);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 167:
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '%', 583,
        '\'', 604,
        '(', 457,
        ')', 458,
        '+', 597,
        ',', 465,
        '-', 603,
        '.', 498,
        '0', 586,
        ':', 489,
        ';', 509,
        '=', 446,
        '[', 483,
        '\\', 198,
        ']', 487,
        '`', 817,
        'e', 806,
        '{', 506,
        '|', 472,
        '}', 511,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(167);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 168:
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '%', 583,
        '\'', 604,
        '(', 457,
        '0', 586,
        '[', 483,
        '\\', 198,
        '`', 817,
        'e', 806,
        'm', 767,
        'o', 775,
        '{', 506,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(168);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 169:
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '%', 583,
        '\'', 604,
        '(', 457,
        '0', 586,
        '[', 483,
        '\\', 198,
        '`', 817,
        'o', 775,
        '{', 506,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(169);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 170:
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '\'', 604,
        '(', 457,
        ')', 458,
        '*', 502,
        '+', 597,
        ',', 465,
        '-', 603,
        '.', 498,
        '0', 586,
        ':', 494,
        ';', 509,
        '=', 446,
        '?', 449,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'c', 766,
        'e', 751,
        'i', 746,
        'm', 710,
        'v', 670,
        '{', 504,
        '|', 472,
        '}', 511,
        '~', 447,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(170);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 171:
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '\'', 604,
        '(', 457,
        ')', 458,
        '+', 597,
        ',', 465,
        '-', 603,
        '.', 498,
        '0', 586,
        ':', 494,
        ';', 509,
        '=', 446,
        '?', 449,
        '[', 483,
        '\\', 198,
        ']', 487,
        '`', 817,
        '{', 506,
        '|', 472,
        '}', 511,
        '~', 447,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(171);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 172:
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '\'', 604,
        '(', 457,
        '*', 502,
        '+', 597,
        '-', 603,
        '.', 498,
        '0', 586,
        ':', 488,
        ';', 253,
        '=', 446,
        '?', 449,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 758,
        'c', 736,
        'e', 805,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 504,
        '|', 472,
        '~', 447,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(172);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 173:
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '\'', 604,
        '(', 457,
        '*', 502,
        '+', 597,
        '-', 603,
        '.', 498,
        '0', 586,
        ':', 488,
        ';', 253,
        '=', 446,
        '?', 449,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 504,
        '|', 472,
        '~', 447,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(173);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 174:
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '\'', 604,
        '(', 457,
        '*', 502,
        '+', 597,
        '-', 603,
        '.', 498,
        '0', 586,
        ':', 488,
        ';', 253,
        '=', 446,
        '?', 449,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 670,
        '{', 504,
        '|', 472,
        '~', 447,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(174);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 175:
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '\'', 604,
        '(', 457,
        '+', 597,
        ',', 465,
        '-', 603,
        '.', 247,
        '0', 586,
        ':', 494,
        ';', 509,
        '=', 446,
        '?', 449,
        '[', 483,
        '\\', 198,
        '`', 817,
        '{', 506,
        '|', 473,
        '~', 447,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 176:
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '\'', 604,
        '(', 457,
        '+', 597,
        ',', 465,
        '-', 603,
        '.', 247,
        '0', 586,
        ':', 455,
        ';', 509,
        '=', 446,
        '?', 449,
        '[', 483,
        '\\', 198,
        '`', 817,
        '{', 506,
        '|', 473,
        '~', 447,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 177:
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '\'', 604,
        '(', 457,
        ',', 465,
        '.', 498,
        '0', 586,
        ':', 494,
        ';', 253,
        '=', 446,
        '?', 449,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 741,
        'c', 736,
        'e', 805,
        'i', 742,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 504,
        '|', 472,
        '~', 447,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(177);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 178:
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '\'', 604,
        '(', 457,
        ',', 465,
        '.', 498,
        '0', 586,
        ':', 494,
        ';', 253,
        '=', 446,
        '?', 449,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 741,
        'c', 736,
        'e', 805,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 504,
        '|', 472,
        '~', 447,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(178);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 179:
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '\'', 604,
        '(', 457,
        ',', 465,
        '.', 498,
        '0', 586,
        ':', 494,
        ';', 253,
        '=', 446,
        '?', 449,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 741,
        'c', 736,
        'e', 750,
        'i', 742,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 504,
        '|', 472,
        '~', 447,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(179);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 180:
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '\'', 604,
        '(', 457,
        ',', 465,
        '.', 498,
        '0', 586,
        ':', 494,
        ';', 253,
        '=', 446,
        '?', 449,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 741,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 504,
        '|', 472,
        '~', 447,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(180);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 181:
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '\'', 604,
        '(', 457,
        ',', 465,
        '.', 498,
        '0', 586,
        ':', 494,
        '=', 446,
        '?', 449,
        '[', 484,
        '\\', 198,
        '`', 817,
        'a', 741,
        'i', 747,
        '{', 506,
        '|', 472,
        '~', 447,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(181);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 182:
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '\'', 604,
        '(', 457,
        ',', 465,
        '.', 498,
        '0', 586,
        ':', 251,
        ';', 509,
        '[', 483,
        '\\', 198,
        '`', 817,
        'e', 806,
        '{', 506,
        '|', 473,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(182);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 183:
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '\'', 604,
        '(', 457,
        ',', 465,
        '.', 247,
        '0', 586,
        ':', 494,
        ';', 253,
        '=', 446,
        '?', 449,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 741,
        'c', 736,
        'e', 805,
        'i', 742,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 504,
        '|', 472,
        '~', 447,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(183);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 184:
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '\'', 604,
        '(', 457,
        ',', 465,
        '.', 247,
        '0', 586,
        ':', 494,
        ';', 253,
        '=', 446,
        '?', 449,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 741,
        'c', 736,
        'e', 805,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 504,
        '|', 472,
        '~', 447,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(184);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 185:
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '\'', 604,
        '(', 457,
        ',', 465,
        '.', 247,
        '0', 586,
        ':', 494,
        ';', 253,
        '=', 446,
        '?', 449,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 741,
        'c', 736,
        'e', 750,
        'i', 742,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 504,
        '|', 472,
        '~', 447,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(185);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 186:
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '\'', 604,
        '(', 457,
        ',', 465,
        '.', 247,
        '0', 586,
        ':', 494,
        ';', 253,
        '=', 446,
        '?', 449,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 741,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 504,
        '|', 472,
        '~', 447,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(186);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 187:
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '\'', 604,
        '(', 457,
        ',', 465,
        '.', 247,
        '0', 586,
        ':', 494,
        '=', 446,
        '?', 449,
        '[', 484,
        '\\', 198,
        '`', 817,
        'a', 741,
        'i', 747,
        '{', 506,
        '|', 472,
        '~', 447,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(187);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 188:
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '\'', 604,
        '(', 457,
        '.', 818,
        '0', 586,
        '[', 483,
        '\\', 198,
        '`', 817,
        'e', 806,
        '{', 506,
        '|', 472,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(188);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 189:
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '\'', 604,
        '(', 457,
        '0', 586,
        ':', 488,
        ';', 253,
        '=', 446,
        '?', 449,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 758,
        'c', 736,
        'e', 805,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 504,
        '~', 447,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 190:
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '\'', 604,
        '(', 457,
        '0', 586,
        ':', 488,
        ';', 253,
        '=', 446,
        '?', 449,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 504,
        '~', 447,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 191:
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '\'', 604,
        '(', 457,
        '0', 586,
        ':', 488,
        ';', 253,
        '=', 446,
        '?', 449,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 670,
        '{', 504,
        '~', 447,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 192:
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '\'', 604,
        '(', 457,
        '0', 586,
        ':', 488,
        '=', 446,
        '?', 449,
        '[', 480,
        '\\', 198,
        '`', 817,
        'c', 766,
        'e', 751,
        'i', 746,
        'm', 710,
        'v', 670,
        '{', 504,
        '~', 447,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 193:
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '\'', 604,
        '(', 457,
        '0', 586,
        ':', 451,
        ';', 253,
        '=', 446,
        '?', 449,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 758,
        'c', 736,
        'e', 805,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 504,
        '~', 447,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 194:
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '\'', 604,
        '(', 457,
        '0', 586,
        ':', 451,
        ';', 253,
        '=', 446,
        '?', 449,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 504,
        '~', 447,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 195:
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '\'', 604,
        '(', 457,
        '0', 586,
        ':', 451,
        ';', 253,
        '=', 446,
        '?', 449,
        '[', 480,
        '\\', 198,
        '`', 817,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 670,
        '{', 504,
        '~', 447,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 196:
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '\'', 604,
        '(', 457,
        '0', 586,
        ':', 451,
        '=', 446,
        '?', 449,
        '[', 480,
        '\\', 198,
        '`', 817,
        'c', 766,
        'e', 751,
        'i', 746,
        'm', 710,
        'v', 670,
        '{', 504,
        '~', 447,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 197:
      if (lookahead == '"') ADVANCE(609);
      if (lookahead == '%') ADVANCE(612);
      if (lookahead == '@') ADVANCE(613);
      if (lookahead == '[') ADVANCE(614);
      if (lookahead == '\\') ADVANCE(3);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(610);
      if (lookahead != 0) ADVANCE(615);
      END_STATE();
    case 198:
      if (lookahead == '#') ADVANCE(417);
      END_STATE();
    case 199:
      ADVANCE_MAP(
        '#', 815,
        '(', 457,
        '*', 502,
        '-', 259,
        ':', 488,
        ';', 253,
        '=', 446,
        '[', 485,
        '\\', 198,
        ']', 487,
        'a', 758,
        'c', 735,
        'e', 805,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 239,
        '|', 472,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(199);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 200:
      ADVANCE_MAP(
        '#', 815,
        '(', 457,
        '*', 502,
        '-', 259,
        ':', 488,
        ';', 253,
        '=', 446,
        '[', 485,
        '\\', 198,
        'a', 758,
        'c', 735,
        'e', 750,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 239,
        '|', 472,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(200);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 201:
      ADVANCE_MAP(
        '#', 815,
        '(', 457,
        ':', 488,
        ';', 253,
        '=', 446,
        '[', 485,
        '\\', 198,
        ']', 487,
        'a', 758,
        'c', 736,
        'e', 805,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 239,
        '|', 472,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(201);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 202:
      ADVANCE_MAP(
        '#', 815,
        '(', 457,
        ':', 488,
        ';', 253,
        '=', 446,
        '[', 485,
        '\\', 198,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 239,
        '|', 472,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(202);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 203:
      ADVANCE_MAP(
        '#', 815,
        '*', 502,
        '-', 259,
        ':', 255,
        ';', 253,
        '=', 446,
        '[', 238,
        '\\', 198,
        ']', 487,
        'a', 758,
        'c', 735,
        'e', 805,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        'w', 725,
        '{', 239,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(203);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 204:
      ADVANCE_MAP(
        '#', 815,
        '*', 502,
        '-', 259,
        ':', 255,
        ';', 253,
        '=', 446,
        '[', 238,
        '\\', 198,
        'a', 758,
        'c', 735,
        'e', 750,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        'w', 725,
        '{', 239,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(204);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 205:
      ADVANCE_MAP(
        '#', 549,
        '(', 457,
        '*', 502,
        '-', 259,
        '.', 498,
        ':', 495,
        ';', 509,
        '=', 446,
        '[', 235,
        'a', 340,
        'c', 354,
        'i', 335,
        'w', 312,
        '{', 236,
        '}', 511,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205);
      END_STATE();
    case 206:
      ADVANCE_MAP(
        '#', 549,
        ')', 458,
        ',', 465,
        '-', 259,
        '.', 499,
        ':', 489,
        ';', 509,
        '=', 446,
        '[', 262,
        '\\', 198,
        ']', 487,
        'w', 725,
        '|', 472,
        '}', 511,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(206);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 207:
      ADVANCE_MAP(
        '#', 549,
        ')', 458,
        ',', 465,
        '-', 259,
        '.', 498,
        ':', 489,
        ';', 509,
        '=', 446,
        '[', 238,
        '\\', 198,
        ']', 487,
        'c', 766,
        'e', 751,
        'i', 746,
        'm', 710,
        'v', 670,
        'w', 725,
        '{', 239,
        '|', 472,
        '}', 511,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(207);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 208:
      ADVANCE_MAP(
        '#', 547,
        '%', 583,
        '\'', 816,
        '(', 457,
        ')', 458,
        '.', 818,
        ':', 251,
        '<', 545,
        '?', 449,
        '[', 481,
        '\\', 198,
        'm', 767,
        '{', 236,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 209:
      ADVANCE_MAP(
        '#', 547,
        '%', 583,
        '\'', 816,
        '(', 457,
        '<', 545,
        '?', 449,
        '[', 481,
        '\\', 198,
        't', 807,
        '{', 236,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 210:
      ADVANCE_MAP(
        '#', 547,
        '&', 543,
        '\'', 816,
        ')', 458,
        '*', 502,
        ',', 465,
        '-', 259,
        '.', 498,
        ':', 260,
        ';', 509,
        '=', 446,
        '>', 542,
        '[', 262,
        '\\', 198,
        ']', 487,
        '|', 472,
        '}', 511,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 211:
      ADVANCE_MAP(
        '#', 547,
        '\'', 816,
        '(', 457,
        '*', 502,
        '-', 259,
        '.', 498,
        ':', 488,
        ';', 253,
        '=', 446,
        '[', 485,
        '\\', 198,
        'a', 758,
        'c', 735,
        'e', 750,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 670,
        '{', 239,
        '|', 472,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(211);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 212:
      ADVANCE_MAP(
        '#', 547,
        '\'', 816,
        '(', 457,
        '*', 502,
        '-', 259,
        '.', 498,
        ';', 253,
        '[', 485,
        '\\', 198,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 670,
        '{', 239,
        '|', 472,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(212);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 213:
      ADVANCE_MAP(
        '#', 547,
        '\'', 816,
        '(', 457,
        '<', 545,
        '?', 449,
        '[', 481,
        '\\', 198,
        'l', 715,
        '{', 236,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(213);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 214:
      ADVANCE_MAP(
        '#', 547,
        '\'', 816,
        '*', 502,
        ',', 465,
        '-', 259,
        '.', 498,
        ':', 489,
        ';', 509,
        '=', 446,
        '[', 263,
        '\\', 198,
        'i', 747,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(214);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 215:
      ADVANCE_MAP(
        '#', 547,
        '\'', 816,
        '*', 502,
        '-', 259,
        '.', 498,
        ':', 488,
        ';', 253,
        '=', 446,
        '[', 238,
        '\\', 198,
        ']', 487,
        'a', 758,
        'c', 735,
        'e', 805,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 239,
        '|', 472,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 216:
      ADVANCE_MAP(
        '#', 547,
        '\'', 816,
        '*', 502,
        '-', 259,
        '.', 498,
        ':', 488,
        ';', 253,
        '=', 446,
        '[', 238,
        '\\', 198,
        'a', 758,
        'c', 735,
        'e', 750,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 239,
        '|', 472,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(216);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 217:
      ADVANCE_MAP(
        '#', 547,
        '\'', 816,
        '*', 502,
        '-', 259,
        '.', 498,
        ':', 488,
        ';', 253,
        '=', 446,
        '[', 238,
        '\\', 198,
        'c', 736,
        'e', 750,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 670,
        '{', 239,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(217);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 218:
      ADVANCE_MAP(
        '#', 547,
        '\'', 816,
        '*', 502,
        '-', 259,
        '.', 498,
        ':', 488,
        '[', 238,
        '\\', 198,
        'c', 766,
        'e', 751,
        'i', 754,
        'm', 710,
        'v', 670,
        '{', 239,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(218);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 219:
      ADVANCE_MAP(
        '#', 547,
        '\'', 816,
        '*', 502,
        '-', 259,
        '.', 498,
        ':', 260,
        '=', 446,
        '[', 238,
        '\\', 198,
        'c', 766,
        'e', 751,
        'i', 746,
        'm', 710,
        'v', 670,
        '{', 239,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(219);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 220:
      ADVANCE_MAP(
        '#', 547,
        '\'', 816,
        '*', 502,
        '-', 259,
        '.', 498,
        ';', 253,
        '[', 238,
        '\\', 198,
        ']', 487,
        'a', 758,
        'c', 736,
        'e', 805,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 239,
        '|', 472,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(220);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 221:
      ADVANCE_MAP(
        '#', 547,
        '\'', 816,
        '*', 502,
        '-', 259,
        '.', 498,
        ';', 253,
        '[', 238,
        '\\', 198,
        ']', 487,
        'c', 736,
        'e', 805,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 239,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(221);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 222:
      ADVANCE_MAP(
        '#', 547,
        '\'', 816,
        '*', 502,
        '-', 259,
        '.', 498,
        ';', 253,
        '[', 238,
        '\\', 198,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 239,
        '|', 472,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 223:
      ADVANCE_MAP(
        '#', 547,
        '\'', 816,
        '*', 502,
        '-', 259,
        '.', 498,
        ';', 253,
        '[', 238,
        '\\', 198,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 239,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 224:
      ADVANCE_MAP(
        '#', 547,
        ')', 458,
        '*', 502,
        '-', 259,
        ':', 497,
        '[', 262,
        '\\', 198,
        'a', 758,
        'c', 766,
        'w', 725,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 225:
      ADVANCE_MAP(
        '#', 547,
        '*', 502,
        '-', 259,
        ':', 495,
        ';', 253,
        '=', 446,
        '[', 238,
        '\\', 198,
        ']', 487,
        'a', 758,
        'c', 735,
        'e', 805,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        'w', 725,
        '{', 239,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 226:
      ADVANCE_MAP(
        '#', 547,
        '*', 502,
        '-', 259,
        ':', 495,
        ';', 253,
        '=', 446,
        '[', 238,
        '\\', 198,
        'a', 758,
        'c', 735,
        'e', 750,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        'w', 725,
        '{', 239,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(226);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 227:
      ADVANCE_MAP(
        '#', 547,
        '*', 502,
        '-', 259,
        ':', 495,
        ';', 253,
        '=', 446,
        '[', 238,
        '\\', 198,
        'a', 758,
        'c', 735,
        'e', 750,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 670,
        'w', 725,
        '{', 239,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 228:
      ADVANCE_MAP(
        '#', 547,
        '*', 502,
        '-', 259,
        ':', 495,
        ';', 509,
        '=', 446,
        '>', 542,
        '[', 263,
        '\\', 198,
        'a', 758,
        'c', 766,
        'i', 747,
        'w', 725,
        '}', 511,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(228);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 229:
      if (lookahead == '%') ADVANCE(583);
      if (lookahead == '[') ADVANCE(486);
      if (lookahead == '\\') ADVANCE(198);
      if (lookahead == 't') ADVANCE(807);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 230:
      if (lookahead == '%') ADVANCE(577);
      if (lookahead == '@') ADVANCE(571);
      END_STATE();
    case 231:
      if (lookahead == '%') ADVANCE(579);
      END_STATE();
    case 232:
      if (lookahead == '%') ADVANCE(581);
      END_STATE();
    case 233:
      if (lookahead == '%') ADVANCE(582);
      END_STATE();
    case 234:
      if (lookahead == '%') ADVANCE(576);
      if (lookahead == '@') ADVANCE(570);
      END_STATE();
    case 235:
      if (lookahead == '%') ADVANCE(576);
      if (lookahead == '@') ADVANCE(572);
      END_STATE();
    case 236:
      if (lookahead == '%') ADVANCE(578);
      END_STATE();
    case 237:
      if (lookahead == '%') ADVANCE(619);
      if (lookahead == '@') ADVANCE(620);
      if (lookahead == '[') ADVANCE(621);
      if (lookahead == '|') ADVANCE(618);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(610);
      if (lookahead != 0) ADVANCE(622);
      END_STATE();
    case 238:
      if (lookahead == '%') ADVANCE(232);
      if (lookahead == '@') ADVANCE(571);
      END_STATE();
    case 239:
      if (lookahead == '%') ADVANCE(233);
      END_STATE();
    case 240:
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == ')') ADVANCE(458);
      if (lookahead == '[') ADVANCE(234);
      if (lookahead == '\\') ADVANCE(198);
      if (lookahead == 'v') ADVANCE(670);
      if (lookahead == '{') ADVANCE(236);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(240);
      if (set_contains(sym_indexing_operator_character_set_1, 9, lookahead)) ADVANCE(666);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 241:
      ADVANCE_MAP(
        '(', 457,
        '.', 818,
        ':', 497,
        ';', 509,
        '=', 446,
        '>', 393,
        '[', 238,
        'c', 354,
        'e', 336,
        'i', 334,
        'm', 295,
        'v', 268,
        '{', 239,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(241);
      END_STATE();
    case 242:
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '.') ADVANCE(247);
      if (lookahead == '[') ADVANCE(486);
      if (lookahead == '\\') ADVANCE(198);
      if (lookahead == '{') ADVANCE(503);
      if (lookahead == '|') ADVANCE(472);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(242);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 243:
      if (lookahead == '(') ADVANCE(457);
      if (lookahead == '[') ADVANCE(486);
      if (lookahead == '\\') ADVANCE(198);
      if (lookahead == '{') ADVANCE(503);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(243);
      if (set_contains(sym_indexing_operator_character_set_1, 9, lookahead)) ADVANCE(666);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 244:
      if (lookahead == '*') ADVANCE(250);
      if (lookahead == '.') ADVANCE(245);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(628);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(249);
      if (set_contains(sym_conversion_specification_character_set_6, 15, lookahead)) ADVANCE(627);
      END_STATE();
    case 245:
      if (lookahead == '*') ADVANCE(398);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(628);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(627);
      END_STATE();
    case 246:
      if (lookahead == '-') ADVANCE(553);
      END_STATE();
    case 247:
      if (lookahead == '.') ADVANCE(463);
      END_STATE();
    case 248:
      if (lookahead == '.') ADVANCE(818);
      if (lookahead == '[') ADVANCE(262);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(580);
      END_STATE();
    case 249:
      if (lookahead == '.') ADVANCE(245);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(628);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(249);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(627);
      END_STATE();
    case 250:
      if (lookahead == '.') ADVANCE(245);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(628);
      if (set_contains(sym_conversion_specification_character_set_6, 15, lookahead)) ADVANCE(627);
      END_STATE();
    case 251:
      if (lookahead == ':') ADVANCE(550);
      END_STATE();
    case 252:
      if (lookahead == ':') ADVANCE(550);
      if (lookahead == '=') ADVANCE(665);
      END_STATE();
    case 253:
      if (lookahead == ';') ADVANCE(437);
      END_STATE();
    case 254:
      if (lookahead == '=') ADVANCE(464);
      END_STATE();
    case 255:
      if (lookahead == '=') ADVANCE(471);
      END_STATE();
    case 256:
      if (lookahead == '=') ADVANCE(471);
      if (lookahead == '>') ADVANCE(445);
      END_STATE();
    case 257:
      if (lookahead == '=') ADVANCE(652);
      END_STATE();
    case 258:
      if (lookahead == '=') ADVANCE(665);
      END_STATE();
    case 259:
      if (lookahead == '>') ADVANCE(500);
      END_STATE();
    case 260:
      if (lookahead == '>') ADVANCE(445);
      END_STATE();
    case 261:
      if (lookahead == '>') ADVANCE(629);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(261);
      END_STATE();
    case 262:
      if (lookahead == '@') ADVANCE(570);
      END_STATE();
    case 263:
      if (lookahead == '@') ADVANCE(572);
      END_STATE();
    case 264:
      if (lookahead == '[') ADVANCE(482);
      if (lookahead == '\\') ADVANCE(198);
      if (lookahead == 'l') ADVANCE(715);
      if (lookahead == '{') ADVANCE(236);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(264);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 265:
      if (lookahead == '[') ADVANCE(262);
      if (lookahead == '\\') ADVANCE(347);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(265);
      END_STATE();
    case 266:
      if (lookahead == ']') ADVANCE(552);
      END_STATE();
    case 267:
      if (lookahead == ']') ADVANCE(552);
      if (lookahead == '|') ADVANCE(663);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(657);
      END_STATE();
    case 268:
      if (lookahead == 'a') ADVANCE(320);
      END_STATE();
    case 269:
      if (lookahead == 'a') ADVANCE(373);
      END_STATE();
    case 270:
      if (lookahead == 'a') ADVANCE(339);
      if (lookahead == 'e') ADVANCE(375);
      if (lookahead == 'o') ADVANCE(365);
      if (lookahead == 's') ADVANCE(395);
      if (lookahead == 'x') ADVANCE(353);
      END_STATE();
    case 271:
      if (lookahead == 'a') ADVANCE(339);
      if (lookahead == 'e') ADVANCE(382);
      if (lookahead == 'o') ADVANCE(365);
      if (lookahead == 's') ADVANCE(395);
      if (lookahead == 'x') ADVANCE(353);
      END_STATE();
    case 272:
      if (lookahead == 'a') ADVANCE(339);
      if (lookahead == 'o') ADVANCE(365);
      if (lookahead == 's') ADVANCE(395);
      if (lookahead == 'x') ADVANCE(353);
      END_STATE();
    case 273:
      if (lookahead == 'a') ADVANCE(315);
      END_STATE();
    case 274:
      if (lookahead == 'a') ADVANCE(325);
      END_STATE();
    case 275:
      if (lookahead == 'a') ADVANCE(322);
      END_STATE();
    case 276:
      if (lookahead == 'a') ADVANCE(379);
      if (lookahead == 'o') ADVANCE(282);
      END_STATE();
    case 277:
      if (lookahead == 'c') ADVANCE(321);
      if (lookahead == 'h') ADVANCE(301);
      if (lookahead == 'i') ADVANCE(380);
      END_STATE();
    case 278:
      if (lookahead == 'c') ADVANCE(299);
      if (lookahead == 't') ADVANCE(300);
      END_STATE();
    case 279:
      if (lookahead == 'c') ADVANCE(307);
      END_STATE();
    case 280:
      if (lookahead == 'd') ADVANCE(442);
      END_STATE();
    case 281:
      if (lookahead == 'd') ADVANCE(526);
      END_STATE();
    case 282:
      if (lookahead == 'd') ADVANCE(641);
      END_STATE();
    case 283:
      if (lookahead == 'd') ADVANCE(644);
      END_STATE();
    case 284:
      if (lookahead == 'd') ADVANCE(532);
      END_STATE();
    case 285:
      if (lookahead == 'd') ADVANCE(441);
      END_STATE();
    case 286:
      if (lookahead == 'd') ADVANCE(407);
      END_STATE();
    case 287:
      if (lookahead == 'd') ADVANCE(386);
      END_STATE();
    case 288:
      if (lookahead == 'd') ADVANCE(293);
      END_STATE();
    case 289:
      if (lookahead == 'e') ADVANCE(375);
      END_STATE();
    case 290:
      if (lookahead == 'e') ADVANCE(557);
      END_STATE();
    case 291:
      if (lookahead == 'e') ADVANCE(461);
      END_STATE();
    case 292:
      if (lookahead == 'e') ADVANCE(516);
      END_STATE();
    case 293:
      if (lookahead == 'e') ADVANCE(520);
      END_STATE();
    case 294:
      if (lookahead == 'e') ADVANCE(561);
      END_STATE();
    case 295:
      if (lookahead == 'e') ADVANCE(376);
      END_STATE();
    case 296:
      if (lookahead == 'e') ADVANCE(376);
      if (lookahead == 'o') ADVANCE(283);
      END_STATE();
    case 297:
      if (lookahead == 'e') ADVANCE(376);
      if (lookahead == 'o') ADVANCE(282);
      END_STATE();
    case 298:
      if (lookahead == 'e') ADVANCE(376);
      if (lookahead == 'o') ADVANCE(287);
      END_STATE();
    case 299:
      if (lookahead == 'e') ADVANCE(361);
      END_STATE();
    case 300:
      if (lookahead == 'e') ADVANCE(368);
      END_STATE();
    case 301:
      if (lookahead == 'e') ADVANCE(369);
      END_STATE();
    case 302:
      if (lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 303:
      if (lookahead == 'e') ADVANCE(331);
      END_STATE();
    case 304:
      if (lookahead == 'e') ADVANCE(366);
      END_STATE();
    case 305:
      if (lookahead == 'h') ADVANCE(528);
      END_STATE();
    case 306:
      if (lookahead == 'h') ADVANCE(357);
      END_STATE();
    case 307:
      if (lookahead == 'h') ADVANCE(409);
      END_STATE();
    case 308:
      if (lookahead == 'h') ADVANCE(301);
      if (lookahead == 'i') ADVANCE(380);
      END_STATE();
    case 309:
      if (lookahead == 'h') ADVANCE(303);
      END_STATE();
    case 310:
      if (lookahead == 'h') ADVANCE(303);
      if (lookahead == 'y') ADVANCE(362);
      END_STATE();
    case 311:
      if (lookahead == 'i') ADVANCE(389);
      END_STATE();
    case 312:
      if (lookahead == 'i') ADVANCE(381);
      END_STATE();
    case 313:
      if (lookahead == 'i') ADVANCE(358);
      END_STATE();
    case 314:
      if (lookahead == 'i') ADVANCE(377);
      END_STATE();
    case 315:
      if (lookahead == 'i') ADVANCE(342);
      END_STATE();
    case 316:
      if (lookahead == 'i') ADVANCE(274);
      END_STATE();
    case 317:
      if (lookahead == 'l') ADVANCE(372);
      END_STATE();
    case 318:
      if (lookahead == 'l') ADVANCE(372);
      if (lookahead == 'n') ADVANCE(281);
      END_STATE();
    case 319:
      if (lookahead == 'l') ADVANCE(372);
      if (lookahead == 'n') ADVANCE(281);
      if (lookahead == 'x') ADVANCE(278);
      END_STATE();
    case 320:
      if (lookahead == 'l') ADVANCE(524);
      END_STATE();
    case 321:
      if (lookahead == 'l') ADVANCE(387);
      END_STATE();
    case 322:
      if (lookahead == 'l') ADVANCE(459);
      END_STATE();
    case 323:
      if (lookahead == 'l') ADVANCE(269);
      END_STATE();
    case 324:
      if (lookahead == 'l') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(338);
      END_STATE();
    case 325:
      if (lookahead == 'l') ADVANCE(311);
      END_STATE();
    case 326:
      if (lookahead == 'l') ADVANCE(292);
      END_STATE();
    case 327:
      if (lookahead == 'n') ADVANCE(629);
      END_STATE();
    case 328:
      if (lookahead == 'n') ADVANCE(280);
      if (lookahead == 's') ADVANCE(364);
      END_STATE();
    case 329:
      if (lookahead == 'n') ADVANCE(277);
      END_STATE();
    case 330:
      if (lookahead == 'n') ADVANCE(518);
      END_STATE();
    case 331:
      if (lookahead == 'n') ADVANCE(555);
      END_STATE();
    case 332:
      if (lookahead == 'n') ADVANCE(514);
      END_STATE();
    case 333:
      if (lookahead == 'n') ADVANCE(536);
      END_STATE();
    case 334:
      if (lookahead == 'n') ADVANCE(308);
      END_STATE();
    case 335:
      if (lookahead == 'n') ADVANCE(534);
      END_STATE();
    case 336:
      if (lookahead == 'n') ADVANCE(281);
      END_STATE();
    case 337:
      if (lookahead == 'n') ADVANCE(281);
      if (lookahead == 'x') ADVANCE(278);
      END_STATE();
    case 338:
      if (lookahead == 'n') ADVANCE(374);
      END_STATE();
    case 339:
      if (lookahead == 'n') ADVANCE(282);
      END_STATE();
    case 340:
      if (lookahead == 'n') ADVANCE(285);
      END_STATE();
    case 341:
      if (lookahead == 'n') ADVANCE(285);
      if (lookahead == 's') ADVANCE(364);
      END_STATE();
    case 342:
      if (lookahead == 'n') ADVANCE(378);
      END_STATE();
    case 343:
      if (lookahead == 'n') ADVANCE(286);
      if (lookahead == 's') ADVANCE(364);
      END_STATE();
    case 344:
      if (lookahead == 'n') ADVANCE(385);
      END_STATE();
    case 345:
      if (lookahead == 'n') ADVANCE(294);
      if (lookahead == 'w') ADVANCE(344);
      END_STATE();
    case 346:
      if (lookahead == 'n') ADVANCE(275);
      END_STATE();
    case 347:
      ADVANCE_MAP(
        'o', 399,
        'x', 416,
        ' ', 623,
        '"', 623,
        '\'', 623,
        '\\', 623,
        'b', 623,
        'n', 623,
        'r', 623,
        't', 623,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(406);
      END_STATE();
    case 348:
      if (lookahead == 'o') ADVANCE(559);
      END_STATE();
    case 349:
      if (lookahead == 'o') ADVANCE(345);
      END_STATE();
    case 350:
      if (lookahead == 'o') ADVANCE(563);
      END_STATE();
    case 351:
      if (lookahead == 'o') ADVANCE(563);
      if (lookahead == 'y') ADVANCE(362);
      END_STATE();
    case 352:
      if (lookahead == 'o') ADVANCE(565);
      END_STATE();
    case 353:
      if (lookahead == 'o') ADVANCE(365);
      END_STATE();
    case 354:
      if (lookahead == 'o') ADVANCE(338);
      END_STATE();
    case 355:
      if (lookahead == 'o') ADVANCE(283);
      END_STATE();
    case 356:
      if (lookahead == 'o') ADVANCE(282);
      END_STATE();
    case 357:
      if (lookahead == 'o') ADVANCE(284);
      END_STATE();
    case 358:
      if (lookahead == 'o') ADVANCE(332);
      END_STATE();
    case 359:
      if (lookahead == 'p') ADVANCE(302);
      END_STATE();
    case 360:
      if (lookahead == 'p') ADVANCE(302);
      if (lookahead == 'r') ADVANCE(662);
      END_STATE();
    case 361:
      if (lookahead == 'p') ADVANCE(383);
      END_STATE();
    case 362:
      if (lookahead == 'p') ADVANCE(291);
      END_STATE();
    case 363:
      if (lookahead == 'r') ADVANCE(662);
      END_STATE();
    case 364:
      if (lookahead == 'r') ADVANCE(638);
      END_STATE();
    case 365:
      if (lookahead == 'r') ADVANCE(641);
      END_STATE();
    case 366:
      if (lookahead == 'r') ADVANCE(538);
      END_STATE();
    case 367:
      if (lookahead == 'r') ADVANCE(273);
      END_STATE();
    case 368:
      if (lookahead == 'r') ADVANCE(346);
      END_STATE();
    case 369:
      if (lookahead == 'r') ADVANCE(314);
      END_STATE();
    case 370:
      if (lookahead == 's') ADVANCE(364);
      END_STATE();
    case 371:
      if (lookahead == 's') ADVANCE(522);
      END_STATE();
    case 372:
      if (lookahead == 's') ADVANCE(290);
      END_STATE();
    case 373:
      if (lookahead == 's') ADVANCE(371);
      END_STATE();
    case 374:
      if (lookahead == 's') ADVANCE(384);
      END_STATE();
    case 375:
      if (lookahead == 't') ADVANCE(438);
      END_STATE();
    case 376:
      if (lookahead == 't') ADVANCE(306);
      END_STATE();
    case 377:
      if (lookahead == 't') ADVANCE(530);
      END_STATE();
    case 378:
      if (lookahead == 't') ADVANCE(512);
      END_STATE();
    case 379:
      if (lookahead == 't') ADVANCE(279);
      END_STATE();
    case 380:
      if (lookahead == 't') ADVANCE(316);
      END_STATE();
    case 381:
      if (lookahead == 't') ADVANCE(305);
      END_STATE();
    case 382:
      if (lookahead == 't') ADVANCE(408);
      END_STATE();
    case 383:
      if (lookahead == 't') ADVANCE(313);
      END_STATE();
    case 384:
      if (lookahead == 't') ADVANCE(367);
      END_STATE();
    case 385:
      if (lookahead == 't') ADVANCE(352);
      END_STATE();
    case 386:
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 387:
      if (lookahead == 'u') ADVANCE(288);
      END_STATE();
    case 388:
      if (lookahead == 'y') ADVANCE(362);
      END_STATE();
    case 389:
      if (lookahead == 'z') ADVANCE(304);
      END_STATE();
    case 390:
      if (lookahead == '{') ADVANCE(414);
      END_STATE();
    case 391:
      if (lookahead == '|') ADVANCE(663);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(657);
      END_STATE();
    case 392:
      if (lookahead == '}') ADVANCE(616);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(392);
      END_STATE();
    case 393:
      if (lookahead == '}') ADVANCE(568);
      END_STATE();
    case 394:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(403);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(595);
      END_STATE();
    case 395:
      if (lookahead == 'l' ||
          lookahead == 'r') ADVANCE(638);
      END_STATE();
    case 396:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(592);
      END_STATE();
    case 397:
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(628);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(627);
      END_STATE();
    case 398:
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(628);
      if (set_contains(sym_conversion_specification_character_set_6, 15, lookahead)) ADVANCE(627);
      END_STATE();
    case 399:
      if (('0' <= lookahead && lookahead <= '3')) ADVANCE(401);
      END_STATE();
    case 400:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(626);
      END_STATE();
    case 401:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(400);
      END_STATE();
    case 402:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(569);
      END_STATE();
    case 403:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(595);
      END_STATE();
    case 404:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(261);
      END_STATE();
    case 405:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(624);
      END_STATE();
    case 406:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(405);
      END_STATE();
    case 407:
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(668);
      END_STATE();
    case 408:
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(667);
      END_STATE();
    case 409:
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(669);
      END_STATE();
    case 410:
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(657);
      END_STATE();
    case 411:
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(648);
      END_STATE();
    case 412:
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(637);
      END_STATE();
    case 413:
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(633);
      END_STATE();
    case 414:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(392);
      END_STATE();
    case 415:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(625);
      END_STATE();
    case 416:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(415);
      END_STATE();
    case 417:
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 418:
      if (eof) ADVANCE(434);
      ADVANCE_MAP(
        '!', 468,
        '"', 609,
        '#', 548,
        '$', 402,
        '%', 583,
        '&', 544,
        '\'', 604,
        '(', 457,
        ')', 458,
        '*', 502,
        '+', 467,
        ',', 465,
        '-', 470,
        '.', 499,
        '0', 586,
        ':', 491,
        ';', 510,
        '<', 546,
        '=', 446,
        '>', 542,
        '?', 449,
        '@', 649,
        '[', 478,
        '\\', 2,
        ']', 487,
        '^', 651,
        '`', 817,
        'a', 741,
        'c', 735,
        'd', 762,
        'e', 729,
        'i', 742,
        'l', 700,
        'm', 672,
        'o', 774,
        't', 721,
        'v', 670,
        'w', 725,
        '{', 505,
        '|', 474,
        '}', 511,
        '~', 447,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(418);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 419:
      if (eof) ADVANCE(434);
      ADVANCE_MAP(
        '!', 257,
        '"', 609,
        '#', 815,
        '&', 660,
        '\'', 816,
        '(', 457,
        ')', 458,
        '*', 642,
        '+', 600,
        ',', 465,
        '-', 601,
        '.', 498,
        '0', 586,
        ':', 493,
        ';', 510,
        '<', 654,
        '>', 655,
        '[', 480,
        ']', 487,
        '`', 817,
        'a', 328,
        'c', 324,
        'd', 348,
        'e', 319,
        'i', 329,
        'l', 270,
        'm', 296,
        'o', 360,
        't', 310,
        'v', 268,
        'w', 312,
        '{', 504,
        '|', 476,
        '}', 511,
        '$', 657,
        '=', 657,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(419);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 420:
      if (eof) ADVANCE(434);
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 549,
        '$', 402,
        '\'', 604,
        '(', 457,
        '*', 502,
        '-', 259,
        '.', 498,
        '0', 586,
        ':', 451,
        ';', 253,
        '=', 446,
        '?', 450,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 758,
        'c', 736,
        'e', 805,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 670,
        '{', 505,
        '|', 472,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(421);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 421:
      if (eof) ADVANCE(434);
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 549,
        '$', 402,
        '\'', 604,
        '(', 457,
        '*', 502,
        '-', 259,
        '.', 498,
        '0', 586,
        ';', 253,
        '=', 446,
        '?', 450,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 758,
        'c', 736,
        'e', 805,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 670,
        '{', 505,
        '|', 472,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(421);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 422:
      if (eof) ADVANCE(434);
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '\'', 604,
        '(', 457,
        '*', 502,
        '+', 597,
        '-', 603,
        '.', 498,
        '0', 586,
        ':', 488,
        ';', 253,
        '=', 446,
        '?', 449,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 758,
        'c', 736,
        'e', 805,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 670,
        '{', 504,
        '|', 472,
        '~', 447,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(422);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 423:
      if (eof) ADVANCE(434);
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '\'', 604,
        '(', 457,
        '0', 586,
        ':', 488,
        ';', 253,
        '=', 446,
        '?', 449,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 758,
        'c', 736,
        'e', 805,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 670,
        '{', 504,
        '~', 447,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(423);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 424:
      if (eof) ADVANCE(434);
      ADVANCE_MAP(
        '"', 609,
        '#', 547,
        '\'', 604,
        '(', 457,
        '0', 586,
        ':', 451,
        ';', 253,
        '=', 446,
        '?', 449,
        '[', 480,
        '\\', 198,
        ']', 487,
        '`', 817,
        'a', 758,
        'c', 736,
        'e', 805,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 670,
        '{', 504,
        '~', 447,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(423);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 425:
      if (eof) ADVANCE(434);
      ADVANCE_MAP(
        '#', 815,
        '%', 583,
        '(', 457,
        ')', 458,
        '*', 502,
        '+', 254,
        '-', 259,
        '.', 498,
        ':', 496,
        ';', 253,
        '=', 446,
        '[', 230,
        ']', 487,
        'a', 340,
        'c', 324,
        'e', 337,
        'i', 329,
        'l', 289,
        'm', 298,
        'o', 359,
        't', 388,
        'v', 268,
        'w', 312,
        '{', 231,
        '|', 472,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(425);
      END_STATE();
    case 426:
      if (eof) ADVANCE(434);
      ADVANCE_MAP(
        '#', 815,
        '&', 543,
        ')', 458,
        '*', 502,
        ',', 465,
        '-', 259,
        ':', 256,
        ';', 253,
        '=', 446,
        '>', 542,
        '[', 238,
        '\\', 198,
        ']', 487,
        'a', 758,
        'c', 735,
        'e', 750,
        'i', 749,
        'l', 700,
        'm', 708,
        'o', 775,
        't', 807,
        'v', 670,
        'w', 725,
        '{', 239,
        '|', 472,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(426);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 427:
      if (eof) ADVANCE(434);
      ADVANCE_MAP(
        '#', 815,
        '(', 457,
        ')', 458,
        ',', 465,
        '-', 259,
        ':', 491,
        ';', 253,
        '=', 446,
        '[', 230,
        '\\', 198,
        ']', 487,
        'a', 758,
        'c', 735,
        'e', 750,
        'i', 748,
        'l', 700,
        'm', 708,
        'o', 775,
        't', 807,
        'v', 670,
        'w', 725,
        '{', 231,
        '|', 472,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(427);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 428:
      if (eof) ADVANCE(434);
      ADVANCE_MAP(
        '#', 815,
        '(', 457,
        '.', 498,
        ':', 488,
        ';', 253,
        '=', 446,
        '[', 238,
        '\\', 198,
        ']', 487,
        'a', 758,
        'c', 735,
        'e', 750,
        'i', 752,
        'l', 700,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 670,
        '{', 239,
        '|', 472,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(428);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 429:
      if (eof) ADVANCE(434);
      ADVANCE_MAP(
        '#', 815,
        ')', 458,
        ':', 488,
        ';', 253,
        '[', 238,
        '\\', 198,
        ']', 487,
        'a', 758,
        'c', 735,
        'e', 750,
        'i', 749,
        'l', 700,
        'm', 708,
        'o', 775,
        't', 807,
        'v', 670,
        '{', 239,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(429);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 430:
      if (eof) ADVANCE(434);
      ADVANCE_MAP(
        '#', 547,
        '\'', 816,
        '(', 457,
        ')', 458,
        '*', 502,
        ',', 465,
        '-', 259,
        '.', 498,
        ':', 490,
        ';', 253,
        '<', 545,
        '=', 446,
        '?', 449,
        '[', 479,
        '\\', 198,
        ']', 487,
        'c', 736,
        'e', 805,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 670,
        '{', 231,
        '|', 472,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(430);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 431:
      if (eof) ADVANCE(434);
      ADVANCE_MAP(
        '#', 547,
        '\'', 816,
        '(', 457,
        '*', 502,
        '-', 259,
        '.', 498,
        ':', 488,
        ';', 253,
        '=', 446,
        '[', 485,
        '\\', 198,
        ']', 487,
        'a', 758,
        'c', 735,
        'e', 805,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 670,
        '{', 239,
        '|', 472,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(431);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 432:
      if (eof) ADVANCE(434);
      ADVANCE_MAP(
        '#', 547,
        '\'', 816,
        '(', 457,
        '*', 502,
        '-', 259,
        '.', 498,
        ';', 253,
        '[', 485,
        '\\', 198,
        ']', 487,
        'a', 758,
        'c', 736,
        'e', 805,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 670,
        '{', 239,
        '|', 472,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(432);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 433:
      if (eof) ADVANCE(434);
      ADVANCE_MAP(
        '#', 547,
        '*', 502,
        '-', 259,
        ':', 495,
        ';', 253,
        '=', 446,
        '[', 238,
        '\\', 198,
        ']', 487,
        'a', 758,
        'c', 735,
        'e', 805,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 670,
        'w', 725,
        '{', 239,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(433);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(814);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(sym_shebang);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(435);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(436);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(sym_shebang);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(436);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_let);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(667);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_let);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(667);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_let);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_and);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(668);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_and);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(668);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_and);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_COLON_GT);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(633);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(633);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(550);
      if (lookahead == '=') ADVANCE(471);
      if (lookahead == '>') ADVANCE(445);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(550);
      if (lookahead == '=') ADVANCE(665);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(550);
      if (lookahead == '=') ADVANCE(665);
      if (lookahead == '>') ADVANCE(445);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(550);
      if (lookahead == '>') ADVANCE(445);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '>') ADVANCE(445);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_external);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_external);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(634);
      if (lookahead == '=') ADVANCE(464);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(634);
      if (lookahead == '>') ADVANCE(500);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(552);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(552);
      if (lookahead == '|') ADVANCE(662);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(552);
      if (lookahead == '|') ADVANCE(663);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(657);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(663);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(657);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(577);
      if (lookahead == '<') ADVANCE(541);
      if (lookahead == '>') ADVANCE(540);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '|') ADVANCE(551);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(577);
      if (lookahead == '<') ADVANCE(541);
      if (lookahead == '>') ADVANCE(540);
      if (lookahead == '@') ADVANCE(570);
      if (lookahead == '|') ADVANCE(551);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(577);
      if (lookahead == '<') ADVANCE(541);
      if (lookahead == '>') ADVANCE(540);
      if (lookahead == '@') ADVANCE(571);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(577);
      if (lookahead == '@') ADVANCE(571);
      if (lookahead == '|') ADVANCE(551);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(576);
      if (lookahead == '<') ADVANCE(541);
      if (lookahead == '>') ADVANCE(540);
      if (lookahead == '@') ADVANCE(570);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(576);
      if (lookahead == '@') ADVANCE(570);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(576);
      if (lookahead == '@') ADVANCE(570);
      if (lookahead == '|') ADVANCE(551);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(576);
      if (lookahead == '@') ADVANCE(572);
      if (lookahead == '|') ADVANCE(551);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(232);
      if (lookahead == '@') ADVANCE(571);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '@') ADVANCE(570);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_COLON2);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(550);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(550);
      if (lookahead == '=') ADVANCE(471);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(550);
      if (lookahead == '=') ADVANCE(471);
      if (lookahead == '>') ADVANCE(445);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(550);
      if (lookahead == '=') ADVANCE(665);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(550);
      if (lookahead == '=') ADVANCE(665);
      if (lookahead == '>') ADVANCE(445);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(550);
      if (lookahead == '>') ADVANCE(445);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '=') ADVANCE(471);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '=') ADVANCE(471);
      if (lookahead == '>') ADVANCE(445);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '>') ADVANCE(445);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(463);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(648);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(579);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '<') ADVANCE(567);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(578);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '<') ADVANCE(567);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(233);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_SEMI);
      if (lookahead == ';') ADVANCE(437);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_constraint);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_constraint);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_exception);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_exception);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_module);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_open);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_open);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_include);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_include);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_class);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_val);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_val);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_end);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_end);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_with);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_inherit);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_inherit);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_method);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_method);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'c') ADVANCE(737);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'c') ADVANCE(321);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_initializer);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_initializer);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_LBRACK_GT);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_LBRACK_LT);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(659);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(553);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (lookahead == '!') ADVANCE(435);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(637);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(637);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(anon_sym_LBRACK_PIPE);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym_PIPE_RBRACK);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(657);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(anon_sym_then);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(anon_sym_done);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(anon_sym_done);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(anon_sym_to);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(anon_sym_to);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym_downto);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(anon_sym_downto);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym_LBRACE_LT);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(anon_sym_GT_RBRACE);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym_ocamlyacc_value);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(569);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(aux_sym_attribute_token1);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(aux_sym_attribute_token1);
      if (lookahead == '@') ADVANCE(574);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(aux_sym_attribute_token1);
      if (lookahead == '@') ADVANCE(573);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT_AT);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT_AT);
      if (lookahead == '@') ADVANCE(575);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT_AT_AT);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym_LBRACK_PERCENT);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym_LBRACK_PERCENT);
      if (lookahead == '%') ADVANCE(581);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT);
      if (lookahead == '%') ADVANCE(582);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(aux_sym_quoted_extension_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(580);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(anon_sym_LBRACK_PERCENT_PERCENT);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT_PERCENT);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(645);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(aux_sym_number_token1);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(aux_sym_number_token1);
      ADVANCE_MAP(
        '.', 590,
        'B', 396,
        'b', 396,
        'E', 394,
        'e', 394,
        'O', 593,
        'o', 593,
        'X', 596,
        'x', 596,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(587);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(585);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '.') ADVANCE(590);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(394);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(587);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(585);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '.') ADVANCE(591);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(589);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(588);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(585);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(403);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(595);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(394);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(590);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(585);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(589);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(591);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(585);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '0' ||
          lookahead == '1' ||
          lookahead == '_') ADVANCE(592);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(585);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(594);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '7') ||
          lookahead == '_') ADVANCE(594);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(585);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(595);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(585);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(588);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(634);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(634);
      if (lookahead == '>') ADVANCE(500);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(636);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(648);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(635);
      if (lookahead == '>') ADVANCE(411);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(647);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(635);
      if (lookahead == '>') ADVANCE(501);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(647);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '>') ADVANCE(500);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(aux_sym_character_content_token1);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(aux_sym_character_content_token2);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(aux_sym_character_content_token2);
      if (lookahead == '@') ADVANCE(570);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(aux_sym_string_content_token2);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      ADVANCE_MAP(
        '*', 250,
        '.', 245,
        'L', 628,
        'l', 628,
        'n', 628,
        ' ', 244,
        '#', 244,
        '+', 244,
        '-', 244,
        '0', 244,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(249);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(627);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      ADVANCE_MAP(
        '<', 404,
        '\\', 327,
        ' ', 629,
        ',', 629,
        '.', 629,
        ';', 629,
        '?', 629,
        '[', 629,
        ']', 629,
        '{', 629,
        '}', 629,
      );
      END_STATE();
    case 614:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '%' &&
          lookahead != '\\') ADVANCE(615);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '%' &&
          lookahead != '@' &&
          lookahead != '\\') ADVANCE(615);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(aux_sym_string_content_token4);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(aux_sym_string_content_token5);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(617);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      ADVANCE_MAP(
        '*', 250,
        '.', 245,
        'L', 628,
        'l', 628,
        'n', 628,
        ' ', 244,
        '#', 244,
        '+', 244,
        '-', 244,
        '0', 244,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(249);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(627);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      ADVANCE_MAP(
        '<', 404,
        '\\', 327,
        ' ', 629,
        ',', 629,
        '.', 629,
        ';', 629,
        '?', 629,
        '[', 629,
        ']', 629,
        '{', 629,
        '}', 629,
      );
      END_STATE();
    case 621:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead != 0 &&
          lookahead != '%' &&
          lookahead != '|') ADVANCE(622);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '%' &&
          lookahead != '@' &&
          lookahead != '|') ADVANCE(622);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token1);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token2);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token3);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token4);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_conversion_specification);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_conversion_specification);
      if (lookahead == 'X' ||
          lookahead == 'd' ||
          lookahead == 'i' ||
          lookahead == 'o' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(627);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_pretty_printing_indication);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_pretty_printing_indication);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(651);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_prefix_operator);
      if (lookahead == '=') ADVANCE(413);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(633);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_prefix_operator);
      if (lookahead == '=') ADVANCE(658);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(633);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_prefix_operator);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(633);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(aux_sym_sign_operator_token1);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(aux_sym_sign_operator_token1);
      if (lookahead == '>') ADVANCE(648);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(647);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(aux_sym_sign_operator_token1);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(648);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym_hash_operator);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(637);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym_pow_operator);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_pow_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(639);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_pow_operator);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_mult_operator);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == '*') ADVANCE(639);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(645);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == 'u') ADVANCE(739);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == 'u') ADVANCE(326);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_mult_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(645);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(aux_sym_add_operator_token1);
      if (lookahead == '>') ADVANCE(648);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(647);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(aux_sym_add_operator_token1);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(648);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_concat_operator);
      ADVANCE_MAP(
        '<', 650,
        '\\', 327,
        '.', 630,
        '?', 630,
        ' ', 629,
        ',', 629,
        ';', 629,
        '[', 629,
        ']', 629,
        '{', 629,
        '}', 629,
      );
      if (lookahead == '!' ||
          ('$' <= lookahead && lookahead <= '&') ||
          ('*' <= lookahead && lookahead <= '/') ||
          (':' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          ('|' <= lookahead && lookahead <= '~')) ADVANCE(651);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_concat_operator);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(651);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_concat_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(651);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_rel_operator);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_rel_operator);
      if (lookahead == '-') ADVANCE(554);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(657);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_rel_operator);
      if (lookahead == '-') ADVANCE(410);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(657);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_rel_operator);
      if (lookahead == '}') ADVANCE(568);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(657);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_rel_operator);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(569);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(657);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_rel_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(657);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_rel_operator);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(633);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_and_operator);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_and_operator);
      if (lookahead == '&') ADVANCE(661);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(657);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_and_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(657);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym_or_operator);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym_or_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(657);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_or_operator);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_assign_operator);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_indexing_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(666);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_let_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(667);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym_let_and_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(668);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym_match_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(669);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(733);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(788);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(791);
      if (lookahead == 'e') ADVANCE(792);
      if (lookahead == 'o') ADVANCE(693);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(791);
      if (lookahead == 'e') ADVANCE(792);
      if (lookahead == 'o') ADVANCE(695);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(791);
      if (lookahead == 'e') ADVANCE(792);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(791);
      if (lookahead == 'o') ADVANCE(693);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(791);
      if (lookahead == 'o') ADVANCE(696);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(791);
      if (lookahead == 'o') ADVANCE(695);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(791);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(726);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(734);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(738);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(755);
      if (lookahead == 'e') ADVANCE(790);
      if (lookahead == 'o') ADVANCE(780);
      if (lookahead == 's') ADVANCE(809);
      if (lookahead == 'x') ADVANCE(768);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(755);
      if (lookahead == 'e') ADVANCE(799);
      if (lookahead == 'o') ADVANCE(780);
      if (lookahead == 's') ADVANCE(809);
      if (lookahead == 'x') ADVANCE(768);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(755);
      if (lookahead == 'o') ADVANCE(780);
      if (lookahead == 's') ADVANCE(809);
      if (lookahead == 'x') ADVANCE(768);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(737);
      if (lookahead == 'h') ADVANCE(713);
      if (lookahead == 'i') ADVANCE(800);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(737);
      if (lookahead == 'h') ADVANCE(713);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(737);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(717);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(707);
      if (lookahead == 't') ADVANCE(702);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(707);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(443);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(527);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(802);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(533);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(646);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(643);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(444);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(810);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(705);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(790);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(558);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(783);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(462);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(517);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(521);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(562);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(777);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(792);
      if (lookahead == 'o') ADVANCE(693);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(792);
      if (lookahead == 'o') ADVANCE(695);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(792);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(743);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(744);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(784);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(781);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(795);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'h') ADVANCE(529);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'h') ADVANCE(812);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'h') ADVANCE(769);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'h') ADVANCE(713);
      if (lookahead == 'i') ADVANCE(800);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'h') ADVANCE(713);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'h') ADVANCE(712);
      if (lookahead == 'o') ADVANCE(564);
      if (lookahead == 'y') ADVANCE(776);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'h') ADVANCE(712);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(808);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(772);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(797);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(756);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(794);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(681);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(786);
      if (lookahead == 'n') ADVANCE(692);
      if (lookahead == 'x') ADVANCE(689);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(786);
      if (lookahead == 'n') ADVANCE(692);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(786);
      if (lookahead == 'x') ADVANCE(689);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(786);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(525);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(460);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(671);
      if (lookahead == 'o') ADVANCE(753);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(671);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(803);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(723);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(704);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(691);
      if (lookahead == 's') ADVANCE(779);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(691);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(535);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(519);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(556);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(515);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(719);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(537);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(686);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(685);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(692);
      if (lookahead == 'x') ADVANCE(689);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(692);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(687);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(789);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(720);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(695);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(793);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(698);
      if (lookahead == 's') ADVANCE(779);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(697);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(801);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(706);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(680);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(560);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(564);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(804);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(566);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(753);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(693);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(780);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(694);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(696);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(695);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(760);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'p') ADVANCE(711);
      if (lookahead == 'r') ADVANCE(664);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'p') ADVANCE(711);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'p') ADVANCE(703);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'p') ADVANCE(796);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(664);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(640);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(646);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(539);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(679);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(761);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(727);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(523);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(701);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(779);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(798);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(439);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(688);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(718);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(513);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(531);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(440);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(724);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(716);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(782);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(811);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(728);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(765);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(739);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(699);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'w') ADVANCE(759);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'x') ADVANCE(689);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'x') ADVANCE(690);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'y') ADVANCE(776);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'z') ADVANCE(714);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'y')) ADVANCE(813);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l' ||
          lookahead == 'r') ADVANCE(640);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(sym__identifier);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(668);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(sym__identifier);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(667);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(sym__identifier);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(669);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(sym__capitalized_identifier);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(814);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(aux_sym_directive_token1);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(aux_sym_type_variable_token1);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(aux_sym_tag_token1);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(aux_sym_attribute_id_token1);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        '_', 1,
        'a', 2,
        'b', 3,
        'f', 4,
        'i', 5,
        'l', 6,
        'm', 7,
        'n', 8,
        'o', 9,
        'p', 10,
        'r', 11,
        's', 12,
        't', 13,
        'v', 14,
        'w', 15,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(anon_sym__);
      END_STATE();
    case 2:
      if (lookahead == 's') ADVANCE(16);
      END_STATE();
    case 3:
      if (lookahead == 'e') ADVANCE(17);
      END_STATE();
    case 4:
      if (lookahead == 'a') ADVANCE(18);
      if (lookahead == 'o') ADVANCE(19);
      if (lookahead == 'u') ADVANCE(20);
      END_STATE();
    case 5:
      if (lookahead == 'f') ADVANCE(21);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(22);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(23);
      if (lookahead == 'u') ADVANCE(24);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(25);
      if (lookahead == 'o') ADVANCE(26);
      END_STATE();
    case 9:
      if (lookahead == 'b') ADVANCE(27);
      if (lookahead == 'f') ADVANCE(28);
      END_STATE();
    case 10:
      if (lookahead == 'r') ADVANCE(29);
      END_STATE();
    case 11:
      if (lookahead == 'e') ADVANCE(30);
      END_STATE();
    case 12:
      if (lookahead == 'i') ADVANCE(31);
      if (lookahead == 't') ADVANCE(32);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(33);
      END_STATE();
    case 14:
      if (lookahead == 'i') ADVANCE(34);
      END_STATE();
    case 15:
      if (lookahead == 'h') ADVANCE(35);
      END_STATE();
    case 16:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(36);
      END_STATE();
    case 17:
      if (lookahead == 'g') ADVANCE(37);
      END_STATE();
    case 18:
      if (lookahead == 'l') ADVANCE(38);
      END_STATE();
    case 19:
      if (lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 20:
      if (lookahead == 'n') ADVANCE(40);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 22:
      if (lookahead == 'z') ADVANCE(41);
      END_STATE();
    case 23:
      if (lookahead == 't') ADVANCE(42);
      END_STATE();
    case 24:
      if (lookahead == 't') ADVANCE(43);
      END_STATE();
    case 25:
      if (lookahead == 'w') ADVANCE(44);
      END_STATE();
    case 26:
      if (lookahead == 'n') ADVANCE(45);
      END_STATE();
    case 27:
      if (lookahead == 'j') ADVANCE(46);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 29:
      if (lookahead == 'i') ADVANCE(47);
      END_STATE();
    case 30:
      if (lookahead == 'c') ADVANCE(48);
      END_STATE();
    case 31:
      if (lookahead == 'g') ADVANCE(49);
      END_STATE();
    case 32:
      if (lookahead == 'r') ADVANCE(50);
      END_STATE();
    case 33:
      if (lookahead == 'u') ADVANCE(51);
      if (lookahead == 'y') ADVANCE(52);
      END_STATE();
    case 34:
      if (lookahead == 'r') ADVANCE(53);
      END_STATE();
    case 35:
      if (lookahead == 'e') ADVANCE(54);
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 36:
      if (lookahead == 'e') ADVANCE(56);
      END_STATE();
    case 37:
      if (lookahead == 'i') ADVANCE(57);
      END_STATE();
    case 38:
      if (lookahead == 's') ADVANCE(58);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_fun);
      if (lookahead == 'c') ADVANCE(59);
      END_STATE();
    case 41:
      if (lookahead == 'y') ADVANCE(60);
      END_STATE();
    case 42:
      if (lookahead == 'c') ADVANCE(61);
      END_STATE();
    case 43:
      if (lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 45:
      if (lookahead == 'r') ADVANCE(63);
      END_STATE();
    case 46:
      if (lookahead == 'e') ADVANCE(64);
      END_STATE();
    case 47:
      if (lookahead == 'v') ADVANCE(65);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_rec);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_sig);
      END_STATE();
    case 50:
      if (lookahead == 'u') ADVANCE(66);
      END_STATE();
    case 51:
      if (lookahead == 'e') ADVANCE(67);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 53:
      if (lookahead == 't') ADVANCE(68);
      END_STATE();
    case 54:
      if (lookahead == 'n') ADVANCE(69);
      END_STATE();
    case 55:
      if (lookahead == 'l') ADVANCE(70);
      END_STATE();
    case 56:
      if (lookahead == 'r') ADVANCE(71);
      END_STATE();
    case 57:
      if (lookahead == 'n') ADVANCE(72);
      END_STATE();
    case 58:
      if (lookahead == 'e') ADVANCE(73);
      END_STATE();
    case 59:
      if (lookahead == 't') ADVANCE(74);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_lazy);
      END_STATE();
    case 61:
      if (lookahead == 'h') ADVANCE(75);
      END_STATE();
    case 62:
      if (lookahead == 'b') ADVANCE(76);
      END_STATE();
    case 63:
      if (lookahead == 'e') ADVANCE(77);
      END_STATE();
    case 64:
      if (lookahead == 'c') ADVANCE(78);
      END_STATE();
    case 65:
      if (lookahead == 'a') ADVANCE(79);
      END_STATE();
    case 66:
      if (lookahead == 'c') ADVANCE(80);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 68:
      if (lookahead == 'u') ADVANCE(81);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 70:
      if (lookahead == 'e') ADVANCE(82);
      END_STATE();
    case 71:
      if (lookahead == 't') ADVANCE(83);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_begin);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 74:
      if (lookahead == 'i') ADVANCE(84);
      if (lookahead == 'o') ADVANCE(85);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 76:
      if (lookahead == 'l') ADVANCE(86);
      END_STATE();
    case 77:
      if (lookahead == 'c') ADVANCE(87);
      END_STATE();
    case 78:
      if (lookahead == 't') ADVANCE(88);
      END_STATE();
    case 79:
      if (lookahead == 't') ADVANCE(89);
      END_STATE();
    case 80:
      if (lookahead == 't') ADVANCE(90);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(91);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 84:
      if (lookahead == 'o') ADVANCE(92);
      END_STATE();
    case 85:
      if (lookahead == 'r') ADVANCE(93);
      END_STATE();
    case 86:
      if (lookahead == 'e') ADVANCE(94);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_nonrec);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 89:
      if (lookahead == 'e') ADVANCE(95);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 91:
      if (lookahead == 'l') ADVANCE(96);
      END_STATE();
    case 92:
      if (lookahead == 'n') ADVANCE(97);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_functor);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_mutable);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_virtual);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 419, .external_lex_state = 2},
  [2] = {.lex_state = 18, .external_lex_state = 3},
  [3] = {.lex_state = 18, .external_lex_state = 3},
  [4] = {.lex_state = 18, .external_lex_state = 3},
  [5] = {.lex_state = 18, .external_lex_state = 3},
  [6] = {.lex_state = 18, .external_lex_state = 3},
  [7] = {.lex_state = 18, .external_lex_state = 3},
  [8] = {.lex_state = 18, .external_lex_state = 3},
  [9] = {.lex_state = 18, .external_lex_state = 3},
  [10] = {.lex_state = 18, .external_lex_state = 3},
  [11] = {.lex_state = 18, .external_lex_state = 3},
  [12] = {.lex_state = 18, .external_lex_state = 3},
  [13] = {.lex_state = 18, .external_lex_state = 3},
  [14] = {.lex_state = 18, .external_lex_state = 3},
  [15] = {.lex_state = 18, .external_lex_state = 3},
  [16] = {.lex_state = 18, .external_lex_state = 3},
  [17] = {.lex_state = 18, .external_lex_state = 3},
  [18] = {.lex_state = 18, .external_lex_state = 3},
  [19] = {.lex_state = 18, .external_lex_state = 3},
  [20] = {.lex_state = 18, .external_lex_state = 3},
  [21] = {.lex_state = 18, .external_lex_state = 3},
  [22] = {.lex_state = 18, .external_lex_state = 3},
  [23] = {.lex_state = 18, .external_lex_state = 3},
  [24] = {.lex_state = 18, .external_lex_state = 3},
  [25] = {.lex_state = 18, .external_lex_state = 3},
  [26] = {.lex_state = 18, .external_lex_state = 3},
  [27] = {.lex_state = 18, .external_lex_state = 3},
  [28] = {.lex_state = 18, .external_lex_state = 3},
  [29] = {.lex_state = 18, .external_lex_state = 3},
  [30] = {.lex_state = 18, .external_lex_state = 3},
  [31] = {.lex_state = 18, .external_lex_state = 3},
  [32] = {.lex_state = 18, .external_lex_state = 3},
  [33] = {.lex_state = 18, .external_lex_state = 3},
  [34] = {.lex_state = 18, .external_lex_state = 3},
  [35] = {.lex_state = 18, .external_lex_state = 3},
  [36] = {.lex_state = 18, .external_lex_state = 3},
  [37] = {.lex_state = 18, .external_lex_state = 3},
  [38] = {.lex_state = 18, .external_lex_state = 3},
  [39] = {.lex_state = 18, .external_lex_state = 3},
  [40] = {.lex_state = 18, .external_lex_state = 3},
  [41] = {.lex_state = 18, .external_lex_state = 3},
  [42] = {.lex_state = 18, .external_lex_state = 3},
  [43] = {.lex_state = 18, .external_lex_state = 3},
  [44] = {.lex_state = 18, .external_lex_state = 3},
  [45] = {.lex_state = 18, .external_lex_state = 3},
  [46] = {.lex_state = 18, .external_lex_state = 3},
  [47] = {.lex_state = 18, .external_lex_state = 3},
  [48] = {.lex_state = 18, .external_lex_state = 3},
  [49] = {.lex_state = 18, .external_lex_state = 3},
  [50] = {.lex_state = 18, .external_lex_state = 3},
  [51] = {.lex_state = 18, .external_lex_state = 3},
  [52] = {.lex_state = 18, .external_lex_state = 3},
  [53] = {.lex_state = 18, .external_lex_state = 3},
  [54] = {.lex_state = 18, .external_lex_state = 3},
  [55] = {.lex_state = 18, .external_lex_state = 3},
  [56] = {.lex_state = 18, .external_lex_state = 3},
  [57] = {.lex_state = 18, .external_lex_state = 3},
  [58] = {.lex_state = 18, .external_lex_state = 3},
  [59] = {.lex_state = 18, .external_lex_state = 3},
  [60] = {.lex_state = 18, .external_lex_state = 3},
  [61] = {.lex_state = 18, .external_lex_state = 3},
  [62] = {.lex_state = 18, .external_lex_state = 3},
  [63] = {.lex_state = 18, .external_lex_state = 3},
  [64] = {.lex_state = 18, .external_lex_state = 3},
  [65] = {.lex_state = 18, .external_lex_state = 3},
  [66] = {.lex_state = 18, .external_lex_state = 3},
  [67] = {.lex_state = 18, .external_lex_state = 3},
  [68] = {.lex_state = 18, .external_lex_state = 3},
  [69] = {.lex_state = 18, .external_lex_state = 3},
  [70] = {.lex_state = 18, .external_lex_state = 3},
  [71] = {.lex_state = 18, .external_lex_state = 3},
  [72] = {.lex_state = 18, .external_lex_state = 3},
  [73] = {.lex_state = 18, .external_lex_state = 3},
  [74] = {.lex_state = 18, .external_lex_state = 3},
  [75] = {.lex_state = 18, .external_lex_state = 3},
  [76] = {.lex_state = 18, .external_lex_state = 3},
  [77] = {.lex_state = 18, .external_lex_state = 3},
  [78] = {.lex_state = 18, .external_lex_state = 3},
  [79] = {.lex_state = 18, .external_lex_state = 3},
  [80] = {.lex_state = 18, .external_lex_state = 3},
  [81] = {.lex_state = 18, .external_lex_state = 3},
  [82] = {.lex_state = 18, .external_lex_state = 3},
  [83] = {.lex_state = 18, .external_lex_state = 3},
  [84] = {.lex_state = 18, .external_lex_state = 3},
  [85] = {.lex_state = 18, .external_lex_state = 3},
  [86] = {.lex_state = 18, .external_lex_state = 3},
  [87] = {.lex_state = 18, .external_lex_state = 3},
  [88] = {.lex_state = 18, .external_lex_state = 3},
  [89] = {.lex_state = 48, .external_lex_state = 3},
  [90] = {.lex_state = 54, .external_lex_state = 3},
  [91] = {.lex_state = 49, .external_lex_state = 3},
  [92] = {.lex_state = 56, .external_lex_state = 3},
  [93] = {.lex_state = 19, .external_lex_state = 3},
  [94] = {.lex_state = 19, .external_lex_state = 3},
  [95] = {.lex_state = 51, .external_lex_state = 3},
  [96] = {.lex_state = 55, .external_lex_state = 3},
  [97] = {.lex_state = 19, .external_lex_state = 3},
  [98] = {.lex_state = 18, .external_lex_state = 3},
  [99] = {.lex_state = 19, .external_lex_state = 3},
  [100] = {.lex_state = 19, .external_lex_state = 3},
  [101] = {.lex_state = 18, .external_lex_state = 3},
  [102] = {.lex_state = 57, .external_lex_state = 3},
  [103] = {.lex_state = 18, .external_lex_state = 3},
  [104] = {.lex_state = 18, .external_lex_state = 3},
  [105] = {.lex_state = 19, .external_lex_state = 3},
  [106] = {.lex_state = 50, .external_lex_state = 3},
  [107] = {.lex_state = 18, .external_lex_state = 3},
  [108] = {.lex_state = 53, .external_lex_state = 3},
  [109] = {.lex_state = 58, .external_lex_state = 3},
  [110] = {.lex_state = 18, .external_lex_state = 3},
  [111] = {.lex_state = 52, .external_lex_state = 3},
  [112] = {.lex_state = 59, .external_lex_state = 3},
  [113] = {.lex_state = 136, .external_lex_state = 3},
  [114] = {.lex_state = 139, .external_lex_state = 3},
  [115] = {.lex_state = 136, .external_lex_state = 3},
  [116] = {.lex_state = 139, .external_lex_state = 3},
  [117] = {.lex_state = 137, .external_lex_state = 3},
  [118] = {.lex_state = 138, .external_lex_state = 3},
  [119] = {.lex_state = 137, .external_lex_state = 3},
  [120] = {.lex_state = 138, .external_lex_state = 3},
  [121] = {.lex_state = 154, .external_lex_state = 3},
  [122] = {.lex_state = 20, .external_lex_state = 3},
  [123] = {.lex_state = 22, .external_lex_state = 3},
  [124] = {.lex_state = 155, .external_lex_state = 3},
  [125] = {.lex_state = 154, .external_lex_state = 3},
  [126] = {.lex_state = 23, .external_lex_state = 3},
  [127] = {.lex_state = 21, .external_lex_state = 3},
  [128] = {.lex_state = 155, .external_lex_state = 3},
  [129] = {.lex_state = 142, .external_lex_state = 3},
  [130] = {.lex_state = 135, .external_lex_state = 3},
  [131] = {.lex_state = 135, .external_lex_state = 3},
  [132] = {.lex_state = 135, .external_lex_state = 3},
  [133] = {.lex_state = 135, .external_lex_state = 3},
  [134] = {.lex_state = 135, .external_lex_state = 3},
  [135] = {.lex_state = 135, .external_lex_state = 3},
  [136] = {.lex_state = 135, .external_lex_state = 3},
  [137] = {.lex_state = 135, .external_lex_state = 3},
  [138] = {.lex_state = 135, .external_lex_state = 3},
  [139] = {.lex_state = 135, .external_lex_state = 3},
  [140] = {.lex_state = 135, .external_lex_state = 3},
  [141] = {.lex_state = 135, .external_lex_state = 3},
  [142] = {.lex_state = 135, .external_lex_state = 3},
  [143] = {.lex_state = 135, .external_lex_state = 3},
  [144] = {.lex_state = 135, .external_lex_state = 3},
  [145] = {.lex_state = 135, .external_lex_state = 3},
  [146] = {.lex_state = 19, .external_lex_state = 3},
  [147] = {.lex_state = 135, .external_lex_state = 3},
  [148] = {.lex_state = 135, .external_lex_state = 3},
  [149] = {.lex_state = 135, .external_lex_state = 3},
  [150] = {.lex_state = 135, .external_lex_state = 3},
  [151] = {.lex_state = 135, .external_lex_state = 3},
  [152] = {.lex_state = 135, .external_lex_state = 3},
  [153] = {.lex_state = 135, .external_lex_state = 3},
  [154] = {.lex_state = 135, .external_lex_state = 3},
  [155] = {.lex_state = 135, .external_lex_state = 3},
  [156] = {.lex_state = 135, .external_lex_state = 3},
  [157] = {.lex_state = 135, .external_lex_state = 3},
  [158] = {.lex_state = 135, .external_lex_state = 3},
  [159] = {.lex_state = 135, .external_lex_state = 3},
  [160] = {.lex_state = 135, .external_lex_state = 3},
  [161] = {.lex_state = 135, .external_lex_state = 3},
  [162] = {.lex_state = 143, .external_lex_state = 3},
  [163] = {.lex_state = 135, .external_lex_state = 3},
  [164] = {.lex_state = 135, .external_lex_state = 3},
  [165] = {.lex_state = 18, .external_lex_state = 3},
  [166] = {.lex_state = 135, .external_lex_state = 3},
  [167] = {.lex_state = 135, .external_lex_state = 3},
  [168] = {.lex_state = 147, .external_lex_state = 3},
  [169] = {.lex_state = 135, .external_lex_state = 3},
  [170] = {.lex_state = 135, .external_lex_state = 3},
  [171] = {.lex_state = 140, .external_lex_state = 3},
  [172] = {.lex_state = 135, .external_lex_state = 3},
  [173] = {.lex_state = 135, .external_lex_state = 3},
  [174] = {.lex_state = 148, .external_lex_state = 3},
  [175] = {.lex_state = 135, .external_lex_state = 3},
  [176] = {.lex_state = 135, .external_lex_state = 3},
  [177] = {.lex_state = 146, .external_lex_state = 3},
  [178] = {.lex_state = 135, .external_lex_state = 3},
  [179] = {.lex_state = 135, .external_lex_state = 3},
  [180] = {.lex_state = 135, .external_lex_state = 3},
  [181] = {.lex_state = 135, .external_lex_state = 3},
  [182] = {.lex_state = 135, .external_lex_state = 3},
  [183] = {.lex_state = 135, .external_lex_state = 3},
  [184] = {.lex_state = 135, .external_lex_state = 3},
  [185] = {.lex_state = 135, .external_lex_state = 3},
  [186] = {.lex_state = 135, .external_lex_state = 3},
  [187] = {.lex_state = 135, .external_lex_state = 3},
  [188] = {.lex_state = 135, .external_lex_state = 3},
  [189] = {.lex_state = 135, .external_lex_state = 3},
  [190] = {.lex_state = 135, .external_lex_state = 3},
  [191] = {.lex_state = 135, .external_lex_state = 3},
  [192] = {.lex_state = 135, .external_lex_state = 3},
  [193] = {.lex_state = 135, .external_lex_state = 3},
  [194] = {.lex_state = 135, .external_lex_state = 3},
  [195] = {.lex_state = 135, .external_lex_state = 3},
  [196] = {.lex_state = 135, .external_lex_state = 3},
  [197] = {.lex_state = 135, .external_lex_state = 3},
  [198] = {.lex_state = 135, .external_lex_state = 3},
  [199] = {.lex_state = 135, .external_lex_state = 3},
  [200] = {.lex_state = 135, .external_lex_state = 3},
  [201] = {.lex_state = 135, .external_lex_state = 3},
  [202] = {.lex_state = 135, .external_lex_state = 3},
  [203] = {.lex_state = 135, .external_lex_state = 3},
  [204] = {.lex_state = 135, .external_lex_state = 3},
  [205] = {.lex_state = 135, .external_lex_state = 3},
  [206] = {.lex_state = 135, .external_lex_state = 3},
  [207] = {.lex_state = 135, .external_lex_state = 3},
  [208] = {.lex_state = 135, .external_lex_state = 3},
  [209] = {.lex_state = 135, .external_lex_state = 3},
  [210] = {.lex_state = 135, .external_lex_state = 3},
  [211] = {.lex_state = 135, .external_lex_state = 3},
  [212] = {.lex_state = 135, .external_lex_state = 3},
  [213] = {.lex_state = 135, .external_lex_state = 3},
  [214] = {.lex_state = 135, .external_lex_state = 3},
  [215] = {.lex_state = 135, .external_lex_state = 3},
  [216] = {.lex_state = 135, .external_lex_state = 3},
  [217] = {.lex_state = 135, .external_lex_state = 3},
  [218] = {.lex_state = 135, .external_lex_state = 3},
  [219] = {.lex_state = 144, .external_lex_state = 3},
  [220] = {.lex_state = 135, .external_lex_state = 3},
  [221] = {.lex_state = 135, .external_lex_state = 3},
  [222] = {.lex_state = 135, .external_lex_state = 3},
  [223] = {.lex_state = 135, .external_lex_state = 3},
  [224] = {.lex_state = 135, .external_lex_state = 3},
  [225] = {.lex_state = 149, .external_lex_state = 3},
  [226] = {.lex_state = 135, .external_lex_state = 3},
  [227] = {.lex_state = 153, .external_lex_state = 3},
  [228] = {.lex_state = 147, .external_lex_state = 3},
  [229] = {.lex_state = 151, .external_lex_state = 3},
  [230] = {.lex_state = 140, .external_lex_state = 3},
  [231] = {.lex_state = 141, .external_lex_state = 3},
  [232] = {.lex_state = 148, .external_lex_state = 3},
  [233] = {.lex_state = 145, .external_lex_state = 3},
  [234] = {.lex_state = 152, .external_lex_state = 3},
  [235] = {.lex_state = 146, .external_lex_state = 3},
  [236] = {.lex_state = 150, .external_lex_state = 3},
  [237] = {.lex_state = 151, .external_lex_state = 3},
  [238] = {.lex_state = 150, .external_lex_state = 3},
  [239] = {.lex_state = 141, .external_lex_state = 3},
  [240] = {.lex_state = 152, .external_lex_state = 3},
  [241] = {.lex_state = 37, .external_lex_state = 3},
  [242] = {.lex_state = 36, .external_lex_state = 3},
  [243] = {.lex_state = 44, .external_lex_state = 3},
  [244] = {.lex_state = 39, .external_lex_state = 3},
  [245] = {.lex_state = 41, .external_lex_state = 3},
  [246] = {.lex_state = 41, .external_lex_state = 3},
  [247] = {.lex_state = 41, .external_lex_state = 3},
  [248] = {.lex_state = 41, .external_lex_state = 3},
  [249] = {.lex_state = 41, .external_lex_state = 3},
  [250] = {.lex_state = 41, .external_lex_state = 3},
  [251] = {.lex_state = 41, .external_lex_state = 3},
  [252] = {.lex_state = 41, .external_lex_state = 3},
  [253] = {.lex_state = 41, .external_lex_state = 3},
  [254] = {.lex_state = 41, .external_lex_state = 3},
  [255] = {.lex_state = 41, .external_lex_state = 3},
  [256] = {.lex_state = 41, .external_lex_state = 3},
  [257] = {.lex_state = 41, .external_lex_state = 3},
  [258] = {.lex_state = 41, .external_lex_state = 3},
  [259] = {.lex_state = 41, .external_lex_state = 3},
  [260] = {.lex_state = 40, .external_lex_state = 3},
  [261] = {.lex_state = 36, .external_lex_state = 3},
  [262] = {.lex_state = 41, .external_lex_state = 3},
  [263] = {.lex_state = 41, .external_lex_state = 3},
  [264] = {.lex_state = 41, .external_lex_state = 3},
  [265] = {.lex_state = 43, .external_lex_state = 3},
  [266] = {.lex_state = 41, .external_lex_state = 3},
  [267] = {.lex_state = 41, .external_lex_state = 3},
  [268] = {.lex_state = 41, .external_lex_state = 3},
  [269] = {.lex_state = 41, .external_lex_state = 3},
  [270] = {.lex_state = 41, .external_lex_state = 3},
  [271] = {.lex_state = 41, .external_lex_state = 3},
  [272] = {.lex_state = 41, .external_lex_state = 3},
  [273] = {.lex_state = 41, .external_lex_state = 3},
  [274] = {.lex_state = 41, .external_lex_state = 3},
  [275] = {.lex_state = 41, .external_lex_state = 3},
  [276] = {.lex_state = 42, .external_lex_state = 3},
  [277] = {.lex_state = 41, .external_lex_state = 3},
  [278] = {.lex_state = 41, .external_lex_state = 3},
  [279] = {.lex_state = 41, .external_lex_state = 3},
  [280] = {.lex_state = 41, .external_lex_state = 3},
  [281] = {.lex_state = 41, .external_lex_state = 3},
  [282] = {.lex_state = 41, .external_lex_state = 3},
  [283] = {.lex_state = 41, .external_lex_state = 3},
  [284] = {.lex_state = 41, .external_lex_state = 3},
  [285] = {.lex_state = 41, .external_lex_state = 3},
  [286] = {.lex_state = 41, .external_lex_state = 3},
  [287] = {.lex_state = 41, .external_lex_state = 3},
  [288] = {.lex_state = 38, .external_lex_state = 3},
  [289] = {.lex_state = 41, .external_lex_state = 3},
  [290] = {.lex_state = 41, .external_lex_state = 3},
  [291] = {.lex_state = 41, .external_lex_state = 3},
  [292] = {.lex_state = 41, .external_lex_state = 3},
  [293] = {.lex_state = 41, .external_lex_state = 3},
  [294] = {.lex_state = 41, .external_lex_state = 3},
  [295] = {.lex_state = 36, .external_lex_state = 3},
  [296] = {.lex_state = 36, .external_lex_state = 3},
  [297] = {.lex_state = 36, .external_lex_state = 3},
  [298] = {.lex_state = 36, .external_lex_state = 3},
  [299] = {.lex_state = 36, .external_lex_state = 3},
  [300] = {.lex_state = 36, .external_lex_state = 3},
  [301] = {.lex_state = 36, .external_lex_state = 3},
  [302] = {.lex_state = 36, .external_lex_state = 3},
  [303] = {.lex_state = 36, .external_lex_state = 3},
  [304] = {.lex_state = 36, .external_lex_state = 3},
  [305] = {.lex_state = 36, .external_lex_state = 3},
  [306] = {.lex_state = 36, .external_lex_state = 3},
  [307] = {.lex_state = 36, .external_lex_state = 3},
  [308] = {.lex_state = 36, .external_lex_state = 3},
  [309] = {.lex_state = 36, .external_lex_state = 3},
  [310] = {.lex_state = 36, .external_lex_state = 3},
  [311] = {.lex_state = 36, .external_lex_state = 3},
  [312] = {.lex_state = 36, .external_lex_state = 3},
  [313] = {.lex_state = 36, .external_lex_state = 3},
  [314] = {.lex_state = 36, .external_lex_state = 3},
  [315] = {.lex_state = 36, .external_lex_state = 3},
  [316] = {.lex_state = 36, .external_lex_state = 3},
  [317] = {.lex_state = 36, .external_lex_state = 3},
  [318] = {.lex_state = 36, .external_lex_state = 3},
  [319] = {.lex_state = 36, .external_lex_state = 3},
  [320] = {.lex_state = 36, .external_lex_state = 3},
  [321] = {.lex_state = 36, .external_lex_state = 3},
  [322] = {.lex_state = 90, .external_lex_state = 3},
  [323] = {.lex_state = 36, .external_lex_state = 3},
  [324] = {.lex_state = 36, .external_lex_state = 3},
  [325] = {.lex_state = 36, .external_lex_state = 3},
  [326] = {.lex_state = 36, .external_lex_state = 3},
  [327] = {.lex_state = 36, .external_lex_state = 3},
  [328] = {.lex_state = 36, .external_lex_state = 3},
  [329] = {.lex_state = 36, .external_lex_state = 3},
  [330] = {.lex_state = 36, .external_lex_state = 3},
  [331] = {.lex_state = 36, .external_lex_state = 3},
  [332] = {.lex_state = 94, .external_lex_state = 3},
  [333] = {.lex_state = 36, .external_lex_state = 3},
  [334] = {.lex_state = 36, .external_lex_state = 3},
  [335] = {.lex_state = 36, .external_lex_state = 3},
  [336] = {.lex_state = 36, .external_lex_state = 3},
  [337] = {.lex_state = 36, .external_lex_state = 3},
  [338] = {.lex_state = 36, .external_lex_state = 3},
  [339] = {.lex_state = 36, .external_lex_state = 3},
  [340] = {.lex_state = 36, .external_lex_state = 3},
  [341] = {.lex_state = 36, .external_lex_state = 3},
  [342] = {.lex_state = 36, .external_lex_state = 3},
  [343] = {.lex_state = 36, .external_lex_state = 3},
  [344] = {.lex_state = 36, .external_lex_state = 3},
  [345] = {.lex_state = 36, .external_lex_state = 3},
  [346] = {.lex_state = 36, .external_lex_state = 3},
  [347] = {.lex_state = 36, .external_lex_state = 3},
  [348] = {.lex_state = 36, .external_lex_state = 3},
  [349] = {.lex_state = 36, .external_lex_state = 3},
  [350] = {.lex_state = 36, .external_lex_state = 3},
  [351] = {.lex_state = 36, .external_lex_state = 3},
  [352] = {.lex_state = 36, .external_lex_state = 3},
  [353] = {.lex_state = 36, .external_lex_state = 3},
  [354] = {.lex_state = 36, .external_lex_state = 3},
  [355] = {.lex_state = 36, .external_lex_state = 3},
  [356] = {.lex_state = 36, .external_lex_state = 3},
  [357] = {.lex_state = 36, .external_lex_state = 3},
  [358] = {.lex_state = 36, .external_lex_state = 3},
  [359] = {.lex_state = 36, .external_lex_state = 3},
  [360] = {.lex_state = 36, .external_lex_state = 3},
  [361] = {.lex_state = 36, .external_lex_state = 3},
  [362] = {.lex_state = 36, .external_lex_state = 3},
  [363] = {.lex_state = 36, .external_lex_state = 3},
  [364] = {.lex_state = 36, .external_lex_state = 3},
  [365] = {.lex_state = 36, .external_lex_state = 3},
  [366] = {.lex_state = 36, .external_lex_state = 3},
  [367] = {.lex_state = 36, .external_lex_state = 3},
  [368] = {.lex_state = 36, .external_lex_state = 3},
  [369] = {.lex_state = 36, .external_lex_state = 3},
  [370] = {.lex_state = 36, .external_lex_state = 3},
  [371] = {.lex_state = 36, .external_lex_state = 3},
  [372] = {.lex_state = 36, .external_lex_state = 3},
  [373] = {.lex_state = 36, .external_lex_state = 3},
  [374] = {.lex_state = 36, .external_lex_state = 3},
  [375] = {.lex_state = 36, .external_lex_state = 3},
  [376] = {.lex_state = 36, .external_lex_state = 3},
  [377] = {.lex_state = 36, .external_lex_state = 3},
  [378] = {.lex_state = 36, .external_lex_state = 3},
  [379] = {.lex_state = 36, .external_lex_state = 3},
  [380] = {.lex_state = 36, .external_lex_state = 3},
  [381] = {.lex_state = 36, .external_lex_state = 3},
  [382] = {.lex_state = 36, .external_lex_state = 3},
  [383] = {.lex_state = 36, .external_lex_state = 3},
  [384] = {.lex_state = 36, .external_lex_state = 3},
  [385] = {.lex_state = 36, .external_lex_state = 3},
  [386] = {.lex_state = 36, .external_lex_state = 3},
  [387] = {.lex_state = 36, .external_lex_state = 3},
  [388] = {.lex_state = 36, .external_lex_state = 3},
  [389] = {.lex_state = 36, .external_lex_state = 3},
  [390] = {.lex_state = 36, .external_lex_state = 3},
  [391] = {.lex_state = 36, .external_lex_state = 3},
  [392] = {.lex_state = 36, .external_lex_state = 3},
  [393] = {.lex_state = 36, .external_lex_state = 3},
  [394] = {.lex_state = 36, .external_lex_state = 3},
  [395] = {.lex_state = 36, .external_lex_state = 3},
  [396] = {.lex_state = 36, .external_lex_state = 3},
  [397] = {.lex_state = 36, .external_lex_state = 3},
  [398] = {.lex_state = 36, .external_lex_state = 3},
  [399] = {.lex_state = 36, .external_lex_state = 3},
  [400] = {.lex_state = 36, .external_lex_state = 3},
  [401] = {.lex_state = 36, .external_lex_state = 3},
  [402] = {.lex_state = 36, .external_lex_state = 3},
  [403] = {.lex_state = 36, .external_lex_state = 3},
  [404] = {.lex_state = 36, .external_lex_state = 3},
  [405] = {.lex_state = 36, .external_lex_state = 3},
  [406] = {.lex_state = 36, .external_lex_state = 3},
  [407] = {.lex_state = 36, .external_lex_state = 3},
  [408] = {.lex_state = 36, .external_lex_state = 3},
  [409] = {.lex_state = 36, .external_lex_state = 3},
  [410] = {.lex_state = 36, .external_lex_state = 3},
  [411] = {.lex_state = 36, .external_lex_state = 3},
  [412] = {.lex_state = 36, .external_lex_state = 3},
  [413] = {.lex_state = 36, .external_lex_state = 3},
  [414] = {.lex_state = 36, .external_lex_state = 3},
  [415] = {.lex_state = 36, .external_lex_state = 3},
  [416] = {.lex_state = 36, .external_lex_state = 3},
  [417] = {.lex_state = 36, .external_lex_state = 3},
  [418] = {.lex_state = 36, .external_lex_state = 3},
  [419] = {.lex_state = 36, .external_lex_state = 3},
  [420] = {.lex_state = 36, .external_lex_state = 3},
  [421] = {.lex_state = 36, .external_lex_state = 3},
  [422] = {.lex_state = 36, .external_lex_state = 3},
  [423] = {.lex_state = 36, .external_lex_state = 3},
  [424] = {.lex_state = 36, .external_lex_state = 3},
  [425] = {.lex_state = 36, .external_lex_state = 3},
  [426] = {.lex_state = 36, .external_lex_state = 3},
  [427] = {.lex_state = 36, .external_lex_state = 3},
  [428] = {.lex_state = 36, .external_lex_state = 3},
  [429] = {.lex_state = 36, .external_lex_state = 3},
  [430] = {.lex_state = 36, .external_lex_state = 3},
  [431] = {.lex_state = 36, .external_lex_state = 3},
  [432] = {.lex_state = 36, .external_lex_state = 3},
  [433] = {.lex_state = 36, .external_lex_state = 3},
  [434] = {.lex_state = 36, .external_lex_state = 3},
  [435] = {.lex_state = 36, .external_lex_state = 3},
  [436] = {.lex_state = 36, .external_lex_state = 3},
  [437] = {.lex_state = 36, .external_lex_state = 3},
  [438] = {.lex_state = 36, .external_lex_state = 3},
  [439] = {.lex_state = 36, .external_lex_state = 3},
  [440] = {.lex_state = 36, .external_lex_state = 3},
  [441] = {.lex_state = 36, .external_lex_state = 3},
  [442] = {.lex_state = 36, .external_lex_state = 3},
  [443] = {.lex_state = 36, .external_lex_state = 3},
  [444] = {.lex_state = 36, .external_lex_state = 3},
  [445] = {.lex_state = 36, .external_lex_state = 3},
  [446] = {.lex_state = 36, .external_lex_state = 3},
  [447] = {.lex_state = 36, .external_lex_state = 3},
  [448] = {.lex_state = 36, .external_lex_state = 3},
  [449] = {.lex_state = 36, .external_lex_state = 3},
  [450] = {.lex_state = 36, .external_lex_state = 3},
  [451] = {.lex_state = 36, .external_lex_state = 3},
  [452] = {.lex_state = 36, .external_lex_state = 3},
  [453] = {.lex_state = 36, .external_lex_state = 3},
  [454] = {.lex_state = 36, .external_lex_state = 3},
  [455] = {.lex_state = 36, .external_lex_state = 3},
  [456] = {.lex_state = 36, .external_lex_state = 3},
  [457] = {.lex_state = 36, .external_lex_state = 3},
  [458] = {.lex_state = 36, .external_lex_state = 3},
  [459] = {.lex_state = 36, .external_lex_state = 3},
  [460] = {.lex_state = 36, .external_lex_state = 3},
  [461] = {.lex_state = 36, .external_lex_state = 3},
  [462] = {.lex_state = 36, .external_lex_state = 3},
  [463] = {.lex_state = 36, .external_lex_state = 3},
  [464] = {.lex_state = 36, .external_lex_state = 3},
  [465] = {.lex_state = 36, .external_lex_state = 3},
  [466] = {.lex_state = 36, .external_lex_state = 3},
  [467] = {.lex_state = 36, .external_lex_state = 3},
  [468] = {.lex_state = 36, .external_lex_state = 3},
  [469] = {.lex_state = 36, .external_lex_state = 3},
  [470] = {.lex_state = 36, .external_lex_state = 3},
  [471] = {.lex_state = 36, .external_lex_state = 3},
  [472] = {.lex_state = 36, .external_lex_state = 3},
  [473] = {.lex_state = 36, .external_lex_state = 3},
  [474] = {.lex_state = 36, .external_lex_state = 3},
  [475] = {.lex_state = 36, .external_lex_state = 3},
  [476] = {.lex_state = 36, .external_lex_state = 3},
  [477] = {.lex_state = 36, .external_lex_state = 3},
  [478] = {.lex_state = 36, .external_lex_state = 3},
  [479] = {.lex_state = 36, .external_lex_state = 3},
  [480] = {.lex_state = 36, .external_lex_state = 3},
  [481] = {.lex_state = 36, .external_lex_state = 3},
  [482] = {.lex_state = 36, .external_lex_state = 3},
  [483] = {.lex_state = 36, .external_lex_state = 3},
  [484] = {.lex_state = 36, .external_lex_state = 3},
  [485] = {.lex_state = 36, .external_lex_state = 3},
  [486] = {.lex_state = 36, .external_lex_state = 3},
  [487] = {.lex_state = 36, .external_lex_state = 3},
  [488] = {.lex_state = 36, .external_lex_state = 3},
  [489] = {.lex_state = 36, .external_lex_state = 3},
  [490] = {.lex_state = 36, .external_lex_state = 3},
  [491] = {.lex_state = 36, .external_lex_state = 3},
  [492] = {.lex_state = 36, .external_lex_state = 3},
  [493] = {.lex_state = 36, .external_lex_state = 3},
  [494] = {.lex_state = 36, .external_lex_state = 3},
  [495] = {.lex_state = 36, .external_lex_state = 3},
  [496] = {.lex_state = 36, .external_lex_state = 3},
  [497] = {.lex_state = 36, .external_lex_state = 3},
  [498] = {.lex_state = 36, .external_lex_state = 3},
  [499] = {.lex_state = 40, .external_lex_state = 3},
  [500] = {.lex_state = 36, .external_lex_state = 3},
  [501] = {.lex_state = 36, .external_lex_state = 3},
  [502] = {.lex_state = 36, .external_lex_state = 3},
  [503] = {.lex_state = 36, .external_lex_state = 3},
  [504] = {.lex_state = 95, .external_lex_state = 3},
  [505] = {.lex_state = 36, .external_lex_state = 3},
  [506] = {.lex_state = 36, .external_lex_state = 3},
  [507] = {.lex_state = 36, .external_lex_state = 3},
  [508] = {.lex_state = 36, .external_lex_state = 3},
  [509] = {.lex_state = 36, .external_lex_state = 3},
  [510] = {.lex_state = 36, .external_lex_state = 3},
  [511] = {.lex_state = 40, .external_lex_state = 3},
  [512] = {.lex_state = 36, .external_lex_state = 3},
  [513] = {.lex_state = 36, .external_lex_state = 3},
  [514] = {.lex_state = 40, .external_lex_state = 3},
  [515] = {.lex_state = 96, .external_lex_state = 3},
  [516] = {.lex_state = 36, .external_lex_state = 3},
  [517] = {.lex_state = 36, .external_lex_state = 3},
  [518] = {.lex_state = 36, .external_lex_state = 3},
  [519] = {.lex_state = 36, .external_lex_state = 3},
  [520] = {.lex_state = 36, .external_lex_state = 3},
  [521] = {.lex_state = 36, .external_lex_state = 3},
  [522] = {.lex_state = 36, .external_lex_state = 3},
  [523] = {.lex_state = 36, .external_lex_state = 3},
  [524] = {.lex_state = 36, .external_lex_state = 3},
  [525] = {.lex_state = 36, .external_lex_state = 3},
  [526] = {.lex_state = 36, .external_lex_state = 3},
  [527] = {.lex_state = 36, .external_lex_state = 3},
  [528] = {.lex_state = 88, .external_lex_state = 3},
  [529] = {.lex_state = 91, .external_lex_state = 3},
  [530] = {.lex_state = 36, .external_lex_state = 3},
  [531] = {.lex_state = 36, .external_lex_state = 3},
  [532] = {.lex_state = 36, .external_lex_state = 3},
  [533] = {.lex_state = 36, .external_lex_state = 3},
  [534] = {.lex_state = 36, .external_lex_state = 3},
  [535] = {.lex_state = 36, .external_lex_state = 3},
  [536] = {.lex_state = 36, .external_lex_state = 3},
  [537] = {.lex_state = 36, .external_lex_state = 3},
  [538] = {.lex_state = 40, .external_lex_state = 3},
  [539] = {.lex_state = 36, .external_lex_state = 3},
  [540] = {.lex_state = 36, .external_lex_state = 3},
  [541] = {.lex_state = 36, .external_lex_state = 3},
  [542] = {.lex_state = 36, .external_lex_state = 3},
  [543] = {.lex_state = 36, .external_lex_state = 3},
  [544] = {.lex_state = 36, .external_lex_state = 3},
  [545] = {.lex_state = 36, .external_lex_state = 3},
  [546] = {.lex_state = 36, .external_lex_state = 3},
  [547] = {.lex_state = 36, .external_lex_state = 3},
  [548] = {.lex_state = 36, .external_lex_state = 3},
  [549] = {.lex_state = 36, .external_lex_state = 3},
  [550] = {.lex_state = 36, .external_lex_state = 3},
  [551] = {.lex_state = 36, .external_lex_state = 3},
  [552] = {.lex_state = 36, .external_lex_state = 3},
  [553] = {.lex_state = 36, .external_lex_state = 3},
  [554] = {.lex_state = 36, .external_lex_state = 3},
  [555] = {.lex_state = 36, .external_lex_state = 3},
  [556] = {.lex_state = 36, .external_lex_state = 3},
  [557] = {.lex_state = 36, .external_lex_state = 3},
  [558] = {.lex_state = 36, .external_lex_state = 3},
  [559] = {.lex_state = 36, .external_lex_state = 3},
  [560] = {.lex_state = 36, .external_lex_state = 3},
  [561] = {.lex_state = 36, .external_lex_state = 3},
  [562] = {.lex_state = 36, .external_lex_state = 3},
  [563] = {.lex_state = 36, .external_lex_state = 3},
  [564] = {.lex_state = 36, .external_lex_state = 3},
  [565] = {.lex_state = 36, .external_lex_state = 3},
  [566] = {.lex_state = 36, .external_lex_state = 3},
  [567] = {.lex_state = 36, .external_lex_state = 3},
  [568] = {.lex_state = 36, .external_lex_state = 3},
  [569] = {.lex_state = 36, .external_lex_state = 3},
  [570] = {.lex_state = 36, .external_lex_state = 3},
  [571] = {.lex_state = 36, .external_lex_state = 3},
  [572] = {.lex_state = 36, .external_lex_state = 3},
  [573] = {.lex_state = 36, .external_lex_state = 3},
  [574] = {.lex_state = 36, .external_lex_state = 3},
  [575] = {.lex_state = 36, .external_lex_state = 3},
  [576] = {.lex_state = 36, .external_lex_state = 3},
  [577] = {.lex_state = 36, .external_lex_state = 3},
  [578] = {.lex_state = 36, .external_lex_state = 3},
  [579] = {.lex_state = 36, .external_lex_state = 3},
  [580] = {.lex_state = 36, .external_lex_state = 3},
  [581] = {.lex_state = 36, .external_lex_state = 3},
  [582] = {.lex_state = 36, .external_lex_state = 3},
  [583] = {.lex_state = 36, .external_lex_state = 3},
  [584] = {.lex_state = 36, .external_lex_state = 3},
  [585] = {.lex_state = 36, .external_lex_state = 3},
  [586] = {.lex_state = 36, .external_lex_state = 3},
  [587] = {.lex_state = 36, .external_lex_state = 3},
  [588] = {.lex_state = 36, .external_lex_state = 3},
  [589] = {.lex_state = 36, .external_lex_state = 3},
  [590] = {.lex_state = 36, .external_lex_state = 3},
  [591] = {.lex_state = 36, .external_lex_state = 3},
  [592] = {.lex_state = 36, .external_lex_state = 3},
  [593] = {.lex_state = 36, .external_lex_state = 3},
  [594] = {.lex_state = 36, .external_lex_state = 3},
  [595] = {.lex_state = 36, .external_lex_state = 3},
  [596] = {.lex_state = 36, .external_lex_state = 3},
  [597] = {.lex_state = 36, .external_lex_state = 3},
  [598] = {.lex_state = 36, .external_lex_state = 3},
  [599] = {.lex_state = 36, .external_lex_state = 3},
  [600] = {.lex_state = 36, .external_lex_state = 3},
  [601] = {.lex_state = 36, .external_lex_state = 3},
  [602] = {.lex_state = 36, .external_lex_state = 3},
  [603] = {.lex_state = 36, .external_lex_state = 3},
  [604] = {.lex_state = 36, .external_lex_state = 3},
  [605] = {.lex_state = 36, .external_lex_state = 3},
  [606] = {.lex_state = 36, .external_lex_state = 3},
  [607] = {.lex_state = 36, .external_lex_state = 3},
  [608] = {.lex_state = 36, .external_lex_state = 3},
  [609] = {.lex_state = 36, .external_lex_state = 3},
  [610] = {.lex_state = 36, .external_lex_state = 3},
  [611] = {.lex_state = 36, .external_lex_state = 3},
  [612] = {.lex_state = 36, .external_lex_state = 3},
  [613] = {.lex_state = 36, .external_lex_state = 3},
  [614] = {.lex_state = 36, .external_lex_state = 3},
  [615] = {.lex_state = 36, .external_lex_state = 3},
  [616] = {.lex_state = 36, .external_lex_state = 3},
  [617] = {.lex_state = 36, .external_lex_state = 3},
  [618] = {.lex_state = 36, .external_lex_state = 3},
  [619] = {.lex_state = 36, .external_lex_state = 3},
  [620] = {.lex_state = 36, .external_lex_state = 3},
  [621] = {.lex_state = 36, .external_lex_state = 3},
  [622] = {.lex_state = 36, .external_lex_state = 3},
  [623] = {.lex_state = 36, .external_lex_state = 3},
  [624] = {.lex_state = 36, .external_lex_state = 3},
  [625] = {.lex_state = 36, .external_lex_state = 3},
  [626] = {.lex_state = 36, .external_lex_state = 3},
  [627] = {.lex_state = 36, .external_lex_state = 3},
  [628] = {.lex_state = 36, .external_lex_state = 3},
  [629] = {.lex_state = 36, .external_lex_state = 3},
  [630] = {.lex_state = 36, .external_lex_state = 3},
  [631] = {.lex_state = 36, .external_lex_state = 3},
  [632] = {.lex_state = 36, .external_lex_state = 3},
  [633] = {.lex_state = 36, .external_lex_state = 3},
  [634] = {.lex_state = 36, .external_lex_state = 3},
  [635] = {.lex_state = 36, .external_lex_state = 3},
  [636] = {.lex_state = 36, .external_lex_state = 3},
  [637] = {.lex_state = 36, .external_lex_state = 3},
  [638] = {.lex_state = 36, .external_lex_state = 3},
  [639] = {.lex_state = 36, .external_lex_state = 3},
  [640] = {.lex_state = 36, .external_lex_state = 3},
  [641] = {.lex_state = 36, .external_lex_state = 3},
  [642] = {.lex_state = 36, .external_lex_state = 3},
  [643] = {.lex_state = 36, .external_lex_state = 3},
  [644] = {.lex_state = 36, .external_lex_state = 3},
  [645] = {.lex_state = 36, .external_lex_state = 3},
  [646] = {.lex_state = 36, .external_lex_state = 3},
  [647] = {.lex_state = 36, .external_lex_state = 3},
  [648] = {.lex_state = 36, .external_lex_state = 3},
  [649] = {.lex_state = 36, .external_lex_state = 3},
  [650] = {.lex_state = 36, .external_lex_state = 3},
  [651] = {.lex_state = 36, .external_lex_state = 3},
  [652] = {.lex_state = 36, .external_lex_state = 3},
  [653] = {.lex_state = 36, .external_lex_state = 3},
  [654] = {.lex_state = 36, .external_lex_state = 3},
  [655] = {.lex_state = 36, .external_lex_state = 3},
  [656] = {.lex_state = 36, .external_lex_state = 3},
  [657] = {.lex_state = 36, .external_lex_state = 3},
  [658] = {.lex_state = 36, .external_lex_state = 3},
  [659] = {.lex_state = 36, .external_lex_state = 3},
  [660] = {.lex_state = 36, .external_lex_state = 3},
  [661] = {.lex_state = 36, .external_lex_state = 3},
  [662] = {.lex_state = 36, .external_lex_state = 3},
  [663] = {.lex_state = 36, .external_lex_state = 3},
  [664] = {.lex_state = 36, .external_lex_state = 3},
  [665] = {.lex_state = 36, .external_lex_state = 3},
  [666] = {.lex_state = 36, .external_lex_state = 3},
  [667] = {.lex_state = 36, .external_lex_state = 3},
  [668] = {.lex_state = 36, .external_lex_state = 3},
  [669] = {.lex_state = 36, .external_lex_state = 3},
  [670] = {.lex_state = 36, .external_lex_state = 3},
  [671] = {.lex_state = 36, .external_lex_state = 3},
  [672] = {.lex_state = 36, .external_lex_state = 3},
  [673] = {.lex_state = 36, .external_lex_state = 3},
  [674] = {.lex_state = 36, .external_lex_state = 3},
  [675] = {.lex_state = 36, .external_lex_state = 3},
  [676] = {.lex_state = 36, .external_lex_state = 3},
  [677] = {.lex_state = 36, .external_lex_state = 3},
  [678] = {.lex_state = 36, .external_lex_state = 3},
  [679] = {.lex_state = 36, .external_lex_state = 3},
  [680] = {.lex_state = 36, .external_lex_state = 3},
  [681] = {.lex_state = 36, .external_lex_state = 3},
  [682] = {.lex_state = 36, .external_lex_state = 3},
  [683] = {.lex_state = 36, .external_lex_state = 3},
  [684] = {.lex_state = 36, .external_lex_state = 3},
  [685] = {.lex_state = 36, .external_lex_state = 3},
  [686] = {.lex_state = 36, .external_lex_state = 3},
  [687] = {.lex_state = 36, .external_lex_state = 3},
  [688] = {.lex_state = 36, .external_lex_state = 3},
  [689] = {.lex_state = 36, .external_lex_state = 3},
  [690] = {.lex_state = 36, .external_lex_state = 3},
  [691] = {.lex_state = 36, .external_lex_state = 3},
  [692] = {.lex_state = 36, .external_lex_state = 3},
  [693] = {.lex_state = 36, .external_lex_state = 3},
  [694] = {.lex_state = 36, .external_lex_state = 3},
  [695] = {.lex_state = 36, .external_lex_state = 3},
  [696] = {.lex_state = 36, .external_lex_state = 3},
  [697] = {.lex_state = 36, .external_lex_state = 3},
  [698] = {.lex_state = 36, .external_lex_state = 3},
  [699] = {.lex_state = 36, .external_lex_state = 3},
  [700] = {.lex_state = 36, .external_lex_state = 3},
  [701] = {.lex_state = 36, .external_lex_state = 3},
  [702] = {.lex_state = 36, .external_lex_state = 3},
  [703] = {.lex_state = 36, .external_lex_state = 3},
  [704] = {.lex_state = 36, .external_lex_state = 3},
  [705] = {.lex_state = 36, .external_lex_state = 3},
  [706] = {.lex_state = 36, .external_lex_state = 3},
  [707] = {.lex_state = 36, .external_lex_state = 3},
  [708] = {.lex_state = 36, .external_lex_state = 3},
  [709] = {.lex_state = 36, .external_lex_state = 3},
  [710] = {.lex_state = 36, .external_lex_state = 3},
  [711] = {.lex_state = 36, .external_lex_state = 3},
  [712] = {.lex_state = 36, .external_lex_state = 3},
  [713] = {.lex_state = 36, .external_lex_state = 3},
  [714] = {.lex_state = 36, .external_lex_state = 3},
  [715] = {.lex_state = 36, .external_lex_state = 3},
  [716] = {.lex_state = 36, .external_lex_state = 3},
  [717] = {.lex_state = 36, .external_lex_state = 3},
  [718] = {.lex_state = 36, .external_lex_state = 3},
  [719] = {.lex_state = 36, .external_lex_state = 3},
  [720] = {.lex_state = 36, .external_lex_state = 3},
  [721] = {.lex_state = 36, .external_lex_state = 3},
  [722] = {.lex_state = 36, .external_lex_state = 3},
  [723] = {.lex_state = 36, .external_lex_state = 3},
  [724] = {.lex_state = 36, .external_lex_state = 3},
  [725] = {.lex_state = 36, .external_lex_state = 3},
  [726] = {.lex_state = 36, .external_lex_state = 3},
  [727] = {.lex_state = 36, .external_lex_state = 3},
  [728] = {.lex_state = 36, .external_lex_state = 3},
  [729] = {.lex_state = 36, .external_lex_state = 3},
  [730] = {.lex_state = 36, .external_lex_state = 3},
  [731] = {.lex_state = 36, .external_lex_state = 3},
  [732] = {.lex_state = 36, .external_lex_state = 3},
  [733] = {.lex_state = 36, .external_lex_state = 3},
  [734] = {.lex_state = 36, .external_lex_state = 3},
  [735] = {.lex_state = 36, .external_lex_state = 3},
  [736] = {.lex_state = 36, .external_lex_state = 3},
  [737] = {.lex_state = 36, .external_lex_state = 3},
  [738] = {.lex_state = 36, .external_lex_state = 3},
  [739] = {.lex_state = 36, .external_lex_state = 3},
  [740] = {.lex_state = 36, .external_lex_state = 3},
  [741] = {.lex_state = 36, .external_lex_state = 3},
  [742] = {.lex_state = 36, .external_lex_state = 3},
  [743] = {.lex_state = 36, .external_lex_state = 3},
  [744] = {.lex_state = 36, .external_lex_state = 3},
  [745] = {.lex_state = 36, .external_lex_state = 3},
  [746] = {.lex_state = 36, .external_lex_state = 3},
  [747] = {.lex_state = 36, .external_lex_state = 3},
  [748] = {.lex_state = 36, .external_lex_state = 3},
  [749] = {.lex_state = 36, .external_lex_state = 3},
  [750] = {.lex_state = 36, .external_lex_state = 3},
  [751] = {.lex_state = 36, .external_lex_state = 3},
  [752] = {.lex_state = 36, .external_lex_state = 3},
  [753] = {.lex_state = 36, .external_lex_state = 3},
  [754] = {.lex_state = 36, .external_lex_state = 3},
  [755] = {.lex_state = 36, .external_lex_state = 3},
  [756] = {.lex_state = 36, .external_lex_state = 3},
  [757] = {.lex_state = 36, .external_lex_state = 3},
  [758] = {.lex_state = 36, .external_lex_state = 3},
  [759] = {.lex_state = 36, .external_lex_state = 3},
  [760] = {.lex_state = 36, .external_lex_state = 3},
  [761] = {.lex_state = 89, .external_lex_state = 3},
  [762] = {.lex_state = 36, .external_lex_state = 3},
  [763] = {.lex_state = 97, .external_lex_state = 3},
  [764] = {.lex_state = 36, .external_lex_state = 3},
  [765] = {.lex_state = 36, .external_lex_state = 3},
  [766] = {.lex_state = 36, .external_lex_state = 3},
  [767] = {.lex_state = 36, .external_lex_state = 3},
  [768] = {.lex_state = 36, .external_lex_state = 3},
  [769] = {.lex_state = 36, .external_lex_state = 3},
  [770] = {.lex_state = 36, .external_lex_state = 3},
  [771] = {.lex_state = 36, .external_lex_state = 3},
  [772] = {.lex_state = 36, .external_lex_state = 3},
  [773] = {.lex_state = 36, .external_lex_state = 3},
  [774] = {.lex_state = 36, .external_lex_state = 3},
  [775] = {.lex_state = 36, .external_lex_state = 3},
  [776] = {.lex_state = 36, .external_lex_state = 3},
  [777] = {.lex_state = 36, .external_lex_state = 3},
  [778] = {.lex_state = 36, .external_lex_state = 3},
  [779] = {.lex_state = 36, .external_lex_state = 3},
  [780] = {.lex_state = 36, .external_lex_state = 3},
  [781] = {.lex_state = 36, .external_lex_state = 3},
  [782] = {.lex_state = 36, .external_lex_state = 3},
  [783] = {.lex_state = 36, .external_lex_state = 3},
  [784] = {.lex_state = 36, .external_lex_state = 3},
  [785] = {.lex_state = 36, .external_lex_state = 3},
  [786] = {.lex_state = 36, .external_lex_state = 3},
  [787] = {.lex_state = 36, .external_lex_state = 3},
  [788] = {.lex_state = 36, .external_lex_state = 3},
  [789] = {.lex_state = 36, .external_lex_state = 3},
  [790] = {.lex_state = 36, .external_lex_state = 3},
  [791] = {.lex_state = 36, .external_lex_state = 3},
  [792] = {.lex_state = 36, .external_lex_state = 3},
  [793] = {.lex_state = 36, .external_lex_state = 3},
  [794] = {.lex_state = 36, .external_lex_state = 3},
  [795] = {.lex_state = 36, .external_lex_state = 3},
  [796] = {.lex_state = 36, .external_lex_state = 3},
  [797] = {.lex_state = 36, .external_lex_state = 3},
  [798] = {.lex_state = 36, .external_lex_state = 3},
  [799] = {.lex_state = 36, .external_lex_state = 3},
  [800] = {.lex_state = 36, .external_lex_state = 3},
  [801] = {.lex_state = 36, .external_lex_state = 3},
  [802] = {.lex_state = 36, .external_lex_state = 3},
  [803] = {.lex_state = 36, .external_lex_state = 3},
  [804] = {.lex_state = 36, .external_lex_state = 3},
  [805] = {.lex_state = 36, .external_lex_state = 3},
  [806] = {.lex_state = 36, .external_lex_state = 3},
  [807] = {.lex_state = 36, .external_lex_state = 3},
  [808] = {.lex_state = 36, .external_lex_state = 3},
  [809] = {.lex_state = 36, .external_lex_state = 3},
  [810] = {.lex_state = 36, .external_lex_state = 3},
  [811] = {.lex_state = 36, .external_lex_state = 3},
  [812] = {.lex_state = 36, .external_lex_state = 3},
  [813] = {.lex_state = 36, .external_lex_state = 3},
  [814] = {.lex_state = 36, .external_lex_state = 3},
  [815] = {.lex_state = 36, .external_lex_state = 3},
  [816] = {.lex_state = 36, .external_lex_state = 3},
  [817] = {.lex_state = 36, .external_lex_state = 3},
  [818] = {.lex_state = 36, .external_lex_state = 3},
  [819] = {.lex_state = 36, .external_lex_state = 3},
  [820] = {.lex_state = 36, .external_lex_state = 3},
  [821] = {.lex_state = 36, .external_lex_state = 3},
  [822] = {.lex_state = 36, .external_lex_state = 3},
  [823] = {.lex_state = 36, .external_lex_state = 3},
  [824] = {.lex_state = 36, .external_lex_state = 3},
  [825] = {.lex_state = 36, .external_lex_state = 3},
  [826] = {.lex_state = 36, .external_lex_state = 3},
  [827] = {.lex_state = 36, .external_lex_state = 3},
  [828] = {.lex_state = 36, .external_lex_state = 3},
  [829] = {.lex_state = 36, .external_lex_state = 3},
  [830] = {.lex_state = 36, .external_lex_state = 3},
  [831] = {.lex_state = 36, .external_lex_state = 3},
  [832] = {.lex_state = 36, .external_lex_state = 3},
  [833] = {.lex_state = 36, .external_lex_state = 3},
  [834] = {.lex_state = 36, .external_lex_state = 3},
  [835] = {.lex_state = 36, .external_lex_state = 3},
  [836] = {.lex_state = 36, .external_lex_state = 3},
  [837] = {.lex_state = 36, .external_lex_state = 3},
  [838] = {.lex_state = 36, .external_lex_state = 3},
  [839] = {.lex_state = 36, .external_lex_state = 3},
  [840] = {.lex_state = 36, .external_lex_state = 3},
  [841] = {.lex_state = 36, .external_lex_state = 3},
  [842] = {.lex_state = 36, .external_lex_state = 3},
  [843] = {.lex_state = 36, .external_lex_state = 3},
  [844] = {.lex_state = 36, .external_lex_state = 3},
  [845] = {.lex_state = 36, .external_lex_state = 3},
  [846] = {.lex_state = 36, .external_lex_state = 3},
  [847] = {.lex_state = 36, .external_lex_state = 3},
  [848] = {.lex_state = 36, .external_lex_state = 3},
  [849] = {.lex_state = 36, .external_lex_state = 3},
  [850] = {.lex_state = 36, .external_lex_state = 3},
  [851] = {.lex_state = 36, .external_lex_state = 3},
  [852] = {.lex_state = 36, .external_lex_state = 3},
  [853] = {.lex_state = 36, .external_lex_state = 3},
  [854] = {.lex_state = 36, .external_lex_state = 3},
  [855] = {.lex_state = 36, .external_lex_state = 3},
  [856] = {.lex_state = 36, .external_lex_state = 3},
  [857] = {.lex_state = 36, .external_lex_state = 3},
  [858] = {.lex_state = 36, .external_lex_state = 3},
  [859] = {.lex_state = 36, .external_lex_state = 3},
  [860] = {.lex_state = 36, .external_lex_state = 3},
  [861] = {.lex_state = 36, .external_lex_state = 3},
  [862] = {.lex_state = 36, .external_lex_state = 3},
  [863] = {.lex_state = 36, .external_lex_state = 3},
  [864] = {.lex_state = 36, .external_lex_state = 3},
  [865] = {.lex_state = 36, .external_lex_state = 3},
  [866] = {.lex_state = 36, .external_lex_state = 3},
  [867] = {.lex_state = 36, .external_lex_state = 3},
  [868] = {.lex_state = 36, .external_lex_state = 3},
  [869] = {.lex_state = 36, .external_lex_state = 3},
  [870] = {.lex_state = 36, .external_lex_state = 3},
  [871] = {.lex_state = 36, .external_lex_state = 3},
  [872] = {.lex_state = 36, .external_lex_state = 3},
  [873] = {.lex_state = 36, .external_lex_state = 3},
  [874] = {.lex_state = 36, .external_lex_state = 3},
  [875] = {.lex_state = 36, .external_lex_state = 3},
  [876] = {.lex_state = 36, .external_lex_state = 3},
  [877] = {.lex_state = 36, .external_lex_state = 3},
  [878] = {.lex_state = 36, .external_lex_state = 3},
  [879] = {.lex_state = 36, .external_lex_state = 3},
  [880] = {.lex_state = 36, .external_lex_state = 3},
  [881] = {.lex_state = 36, .external_lex_state = 3},
  [882] = {.lex_state = 36, .external_lex_state = 3},
  [883] = {.lex_state = 36, .external_lex_state = 3},
  [884] = {.lex_state = 36, .external_lex_state = 3},
  [885] = {.lex_state = 36, .external_lex_state = 3},
  [886] = {.lex_state = 36, .external_lex_state = 3},
  [887] = {.lex_state = 36, .external_lex_state = 3},
  [888] = {.lex_state = 36, .external_lex_state = 3},
  [889] = {.lex_state = 36, .external_lex_state = 3},
  [890] = {.lex_state = 36, .external_lex_state = 3},
  [891] = {.lex_state = 36, .external_lex_state = 3},
  [892] = {.lex_state = 36, .external_lex_state = 3},
  [893] = {.lex_state = 36, .external_lex_state = 3},
  [894] = {.lex_state = 36, .external_lex_state = 3},
  [895] = {.lex_state = 36, .external_lex_state = 3},
  [896] = {.lex_state = 36, .external_lex_state = 3},
  [897] = {.lex_state = 36, .external_lex_state = 3},
  [898] = {.lex_state = 36, .external_lex_state = 3},
  [899] = {.lex_state = 36, .external_lex_state = 3},
  [900] = {.lex_state = 36, .external_lex_state = 3},
  [901] = {.lex_state = 36, .external_lex_state = 3},
  [902] = {.lex_state = 36, .external_lex_state = 3},
  [903] = {.lex_state = 36, .external_lex_state = 3},
  [904] = {.lex_state = 36, .external_lex_state = 3},
  [905] = {.lex_state = 36, .external_lex_state = 3},
  [906] = {.lex_state = 36, .external_lex_state = 3},
  [907] = {.lex_state = 36, .external_lex_state = 3},
  [908] = {.lex_state = 36, .external_lex_state = 3},
  [909] = {.lex_state = 36, .external_lex_state = 3},
  [910] = {.lex_state = 36, .external_lex_state = 3},
  [911] = {.lex_state = 36, .external_lex_state = 3},
  [912] = {.lex_state = 36, .external_lex_state = 3},
  [913] = {.lex_state = 36, .external_lex_state = 3},
  [914] = {.lex_state = 36, .external_lex_state = 3},
  [915] = {.lex_state = 36, .external_lex_state = 3},
  [916] = {.lex_state = 36, .external_lex_state = 3},
  [917] = {.lex_state = 36, .external_lex_state = 3},
  [918] = {.lex_state = 36, .external_lex_state = 3},
  [919] = {.lex_state = 36, .external_lex_state = 3},
  [920] = {.lex_state = 36, .external_lex_state = 3},
  [921] = {.lex_state = 36, .external_lex_state = 3},
  [922] = {.lex_state = 36, .external_lex_state = 3},
  [923] = {.lex_state = 36, .external_lex_state = 3},
  [924] = {.lex_state = 36, .external_lex_state = 3},
  [925] = {.lex_state = 36, .external_lex_state = 3},
  [926] = {.lex_state = 36, .external_lex_state = 3},
  [927] = {.lex_state = 36, .external_lex_state = 3},
  [928] = {.lex_state = 36, .external_lex_state = 3},
  [929] = {.lex_state = 36, .external_lex_state = 3},
  [930] = {.lex_state = 36, .external_lex_state = 3},
  [931] = {.lex_state = 36, .external_lex_state = 3},
  [932] = {.lex_state = 36, .external_lex_state = 3},
  [933] = {.lex_state = 36, .external_lex_state = 3},
  [934] = {.lex_state = 36, .external_lex_state = 3},
  [935] = {.lex_state = 36, .external_lex_state = 3},
  [936] = {.lex_state = 36, .external_lex_state = 3},
  [937] = {.lex_state = 36, .external_lex_state = 3},
  [938] = {.lex_state = 36, .external_lex_state = 3},
  [939] = {.lex_state = 36, .external_lex_state = 3},
  [940] = {.lex_state = 36, .external_lex_state = 3},
  [941] = {.lex_state = 36, .external_lex_state = 3},
  [942] = {.lex_state = 36, .external_lex_state = 3},
  [943] = {.lex_state = 36, .external_lex_state = 3},
  [944] = {.lex_state = 36, .external_lex_state = 3},
  [945] = {.lex_state = 36, .external_lex_state = 3},
  [946] = {.lex_state = 36, .external_lex_state = 3},
  [947] = {.lex_state = 36, .external_lex_state = 3},
  [948] = {.lex_state = 36, .external_lex_state = 3},
  [949] = {.lex_state = 36, .external_lex_state = 3},
  [950] = {.lex_state = 36, .external_lex_state = 3},
  [951] = {.lex_state = 36, .external_lex_state = 3},
  [952] = {.lex_state = 36, .external_lex_state = 3},
  [953] = {.lex_state = 36, .external_lex_state = 3},
  [954] = {.lex_state = 36, .external_lex_state = 3},
  [955] = {.lex_state = 36, .external_lex_state = 3},
  [956] = {.lex_state = 36, .external_lex_state = 3},
  [957] = {.lex_state = 36, .external_lex_state = 3},
  [958] = {.lex_state = 36, .external_lex_state = 3},
  [959] = {.lex_state = 36, .external_lex_state = 3},
  [960] = {.lex_state = 36, .external_lex_state = 3},
  [961] = {.lex_state = 36, .external_lex_state = 3},
  [962] = {.lex_state = 36, .external_lex_state = 3},
  [963] = {.lex_state = 36, .external_lex_state = 3},
  [964] = {.lex_state = 36, .external_lex_state = 3},
  [965] = {.lex_state = 36, .external_lex_state = 3},
  [966] = {.lex_state = 36, .external_lex_state = 3},
  [967] = {.lex_state = 36, .external_lex_state = 3},
  [968] = {.lex_state = 36, .external_lex_state = 3},
  [969] = {.lex_state = 36, .external_lex_state = 3},
  [970] = {.lex_state = 36, .external_lex_state = 3},
  [971] = {.lex_state = 36, .external_lex_state = 3},
  [972] = {.lex_state = 36, .external_lex_state = 3},
  [973] = {.lex_state = 36, .external_lex_state = 3},
  [974] = {.lex_state = 36, .external_lex_state = 3},
  [975] = {.lex_state = 36, .external_lex_state = 3},
  [976] = {.lex_state = 36, .external_lex_state = 3},
  [977] = {.lex_state = 36, .external_lex_state = 3},
  [978] = {.lex_state = 36, .external_lex_state = 3},
  [979] = {.lex_state = 36, .external_lex_state = 3},
  [980] = {.lex_state = 36, .external_lex_state = 3},
  [981] = {.lex_state = 36, .external_lex_state = 3},
  [982] = {.lex_state = 36, .external_lex_state = 3},
  [983] = {.lex_state = 36, .external_lex_state = 3},
  [984] = {.lex_state = 36, .external_lex_state = 3},
  [985] = {.lex_state = 36, .external_lex_state = 3},
  [986] = {.lex_state = 36, .external_lex_state = 3},
  [987] = {.lex_state = 36, .external_lex_state = 3},
  [988] = {.lex_state = 36, .external_lex_state = 3},
  [989] = {.lex_state = 36, .external_lex_state = 3},
  [990] = {.lex_state = 36, .external_lex_state = 3},
  [991] = {.lex_state = 36, .external_lex_state = 3},
  [992] = {.lex_state = 36, .external_lex_state = 3},
  [993] = {.lex_state = 36, .external_lex_state = 3},
  [994] = {.lex_state = 36, .external_lex_state = 3},
  [995] = {.lex_state = 36, .external_lex_state = 3},
  [996] = {.lex_state = 36, .external_lex_state = 3},
  [997] = {.lex_state = 36, .external_lex_state = 3},
  [998] = {.lex_state = 36, .external_lex_state = 3},
  [999] = {.lex_state = 36, .external_lex_state = 3},
  [1000] = {.lex_state = 36, .external_lex_state = 3},
  [1001] = {.lex_state = 36, .external_lex_state = 3},
  [1002] = {.lex_state = 36, .external_lex_state = 3},
  [1003] = {.lex_state = 36, .external_lex_state = 3},
  [1004] = {.lex_state = 36, .external_lex_state = 3},
  [1005] = {.lex_state = 36, .external_lex_state = 3},
  [1006] = {.lex_state = 36, .external_lex_state = 3},
  [1007] = {.lex_state = 36, .external_lex_state = 3},
  [1008] = {.lex_state = 36, .external_lex_state = 3},
  [1009] = {.lex_state = 36, .external_lex_state = 3},
  [1010] = {.lex_state = 36, .external_lex_state = 3},
  [1011] = {.lex_state = 36, .external_lex_state = 3},
  [1012] = {.lex_state = 36, .external_lex_state = 3},
  [1013] = {.lex_state = 36, .external_lex_state = 3},
  [1014] = {.lex_state = 36, .external_lex_state = 3},
  [1015] = {.lex_state = 36, .external_lex_state = 3},
  [1016] = {.lex_state = 36, .external_lex_state = 3},
  [1017] = {.lex_state = 36, .external_lex_state = 3},
  [1018] = {.lex_state = 36, .external_lex_state = 3},
  [1019] = {.lex_state = 36, .external_lex_state = 3},
  [1020] = {.lex_state = 36, .external_lex_state = 3},
  [1021] = {.lex_state = 36, .external_lex_state = 3},
  [1022] = {.lex_state = 36, .external_lex_state = 3},
  [1023] = {.lex_state = 36, .external_lex_state = 3},
  [1024] = {.lex_state = 36, .external_lex_state = 3},
  [1025] = {.lex_state = 36, .external_lex_state = 3},
  [1026] = {.lex_state = 36, .external_lex_state = 3},
  [1027] = {.lex_state = 36, .external_lex_state = 3},
  [1028] = {.lex_state = 36, .external_lex_state = 3},
  [1029] = {.lex_state = 36, .external_lex_state = 3},
  [1030] = {.lex_state = 36, .external_lex_state = 3},
  [1031] = {.lex_state = 36, .external_lex_state = 3},
  [1032] = {.lex_state = 36, .external_lex_state = 3},
  [1033] = {.lex_state = 36, .external_lex_state = 3},
  [1034] = {.lex_state = 36, .external_lex_state = 3},
  [1035] = {.lex_state = 36, .external_lex_state = 3},
  [1036] = {.lex_state = 36, .external_lex_state = 3},
  [1037] = {.lex_state = 36, .external_lex_state = 3},
  [1038] = {.lex_state = 36, .external_lex_state = 3},
  [1039] = {.lex_state = 36, .external_lex_state = 3},
  [1040] = {.lex_state = 36, .external_lex_state = 3},
  [1041] = {.lex_state = 36, .external_lex_state = 3},
  [1042] = {.lex_state = 36, .external_lex_state = 3},
  [1043] = {.lex_state = 36, .external_lex_state = 3},
  [1044] = {.lex_state = 36, .external_lex_state = 3},
  [1045] = {.lex_state = 36, .external_lex_state = 3},
  [1046] = {.lex_state = 36, .external_lex_state = 3},
  [1047] = {.lex_state = 36, .external_lex_state = 3},
  [1048] = {.lex_state = 36, .external_lex_state = 3},
  [1049] = {.lex_state = 36, .external_lex_state = 3},
  [1050] = {.lex_state = 36, .external_lex_state = 3},
  [1051] = {.lex_state = 36, .external_lex_state = 3},
  [1052] = {.lex_state = 36, .external_lex_state = 3},
  [1053] = {.lex_state = 36, .external_lex_state = 3},
  [1054] = {.lex_state = 36, .external_lex_state = 3},
  [1055] = {.lex_state = 36, .external_lex_state = 3},
  [1056] = {.lex_state = 36, .external_lex_state = 3},
  [1057] = {.lex_state = 36, .external_lex_state = 3},
  [1058] = {.lex_state = 36, .external_lex_state = 3},
  [1059] = {.lex_state = 36, .external_lex_state = 3},
  [1060] = {.lex_state = 36, .external_lex_state = 3},
  [1061] = {.lex_state = 36, .external_lex_state = 3},
  [1062] = {.lex_state = 36, .external_lex_state = 3},
  [1063] = {.lex_state = 36, .external_lex_state = 3},
  [1064] = {.lex_state = 36, .external_lex_state = 3},
  [1065] = {.lex_state = 36, .external_lex_state = 3},
  [1066] = {.lex_state = 36, .external_lex_state = 3},
  [1067] = {.lex_state = 36, .external_lex_state = 3},
  [1068] = {.lex_state = 36, .external_lex_state = 3},
  [1069] = {.lex_state = 36, .external_lex_state = 3},
  [1070] = {.lex_state = 36, .external_lex_state = 3},
  [1071] = {.lex_state = 36, .external_lex_state = 3},
  [1072] = {.lex_state = 36, .external_lex_state = 3},
  [1073] = {.lex_state = 36, .external_lex_state = 3},
  [1074] = {.lex_state = 36, .external_lex_state = 3},
  [1075] = {.lex_state = 36, .external_lex_state = 3},
  [1076] = {.lex_state = 36, .external_lex_state = 3},
  [1077] = {.lex_state = 36, .external_lex_state = 3},
  [1078] = {.lex_state = 36, .external_lex_state = 3},
  [1079] = {.lex_state = 36, .external_lex_state = 3},
  [1080] = {.lex_state = 36, .external_lex_state = 3},
  [1081] = {.lex_state = 36, .external_lex_state = 3},
  [1082] = {.lex_state = 36, .external_lex_state = 3},
  [1083] = {.lex_state = 36, .external_lex_state = 3},
  [1084] = {.lex_state = 36, .external_lex_state = 3},
  [1085] = {.lex_state = 36, .external_lex_state = 3},
  [1086] = {.lex_state = 36, .external_lex_state = 3},
  [1087] = {.lex_state = 36, .external_lex_state = 3},
  [1088] = {.lex_state = 36, .external_lex_state = 3},
  [1089] = {.lex_state = 36, .external_lex_state = 3},
  [1090] = {.lex_state = 36, .external_lex_state = 3},
  [1091] = {.lex_state = 36, .external_lex_state = 3},
  [1092] = {.lex_state = 36, .external_lex_state = 3},
  [1093] = {.lex_state = 36, .external_lex_state = 3},
  [1094] = {.lex_state = 36, .external_lex_state = 3},
  [1095] = {.lex_state = 36, .external_lex_state = 3},
  [1096] = {.lex_state = 36, .external_lex_state = 3},
  [1097] = {.lex_state = 36, .external_lex_state = 3},
  [1098] = {.lex_state = 36, .external_lex_state = 3},
  [1099] = {.lex_state = 36, .external_lex_state = 3},
  [1100] = {.lex_state = 36, .external_lex_state = 3},
  [1101] = {.lex_state = 36, .external_lex_state = 3},
  [1102] = {.lex_state = 36, .external_lex_state = 3},
  [1103] = {.lex_state = 36, .external_lex_state = 3},
  [1104] = {.lex_state = 36, .external_lex_state = 3},
  [1105] = {.lex_state = 36, .external_lex_state = 3},
  [1106] = {.lex_state = 36, .external_lex_state = 3},
  [1107] = {.lex_state = 36, .external_lex_state = 3},
  [1108] = {.lex_state = 36, .external_lex_state = 3},
  [1109] = {.lex_state = 36, .external_lex_state = 3},
  [1110] = {.lex_state = 36, .external_lex_state = 3},
  [1111] = {.lex_state = 36, .external_lex_state = 3},
  [1112] = {.lex_state = 36, .external_lex_state = 3},
  [1113] = {.lex_state = 36, .external_lex_state = 3},
  [1114] = {.lex_state = 36, .external_lex_state = 3},
  [1115] = {.lex_state = 36, .external_lex_state = 3},
  [1116] = {.lex_state = 36, .external_lex_state = 3},
  [1117] = {.lex_state = 36, .external_lex_state = 3},
  [1118] = {.lex_state = 36, .external_lex_state = 3},
  [1119] = {.lex_state = 36, .external_lex_state = 3},
  [1120] = {.lex_state = 36, .external_lex_state = 3},
  [1121] = {.lex_state = 36, .external_lex_state = 3},
  [1122] = {.lex_state = 36, .external_lex_state = 3},
  [1123] = {.lex_state = 36, .external_lex_state = 3},
  [1124] = {.lex_state = 36, .external_lex_state = 3},
  [1125] = {.lex_state = 36, .external_lex_state = 3},
  [1126] = {.lex_state = 36, .external_lex_state = 3},
  [1127] = {.lex_state = 36, .external_lex_state = 3},
  [1128] = {.lex_state = 36, .external_lex_state = 3},
  [1129] = {.lex_state = 36, .external_lex_state = 3},
  [1130] = {.lex_state = 36, .external_lex_state = 3},
  [1131] = {.lex_state = 36, .external_lex_state = 3},
  [1132] = {.lex_state = 36, .external_lex_state = 3},
  [1133] = {.lex_state = 36, .external_lex_state = 3},
  [1134] = {.lex_state = 36, .external_lex_state = 3},
  [1135] = {.lex_state = 36, .external_lex_state = 3},
  [1136] = {.lex_state = 36, .external_lex_state = 3},
  [1137] = {.lex_state = 36, .external_lex_state = 3},
  [1138] = {.lex_state = 36, .external_lex_state = 3},
  [1139] = {.lex_state = 36, .external_lex_state = 3},
  [1140] = {.lex_state = 36, .external_lex_state = 3},
  [1141] = {.lex_state = 36, .external_lex_state = 3},
  [1142] = {.lex_state = 36, .external_lex_state = 3},
  [1143] = {.lex_state = 36, .external_lex_state = 3},
  [1144] = {.lex_state = 36, .external_lex_state = 3},
  [1145] = {.lex_state = 36, .external_lex_state = 3},
  [1146] = {.lex_state = 36, .external_lex_state = 3},
  [1147] = {.lex_state = 36, .external_lex_state = 3},
  [1148] = {.lex_state = 36, .external_lex_state = 3},
  [1149] = {.lex_state = 36, .external_lex_state = 3},
  [1150] = {.lex_state = 36, .external_lex_state = 3},
  [1151] = {.lex_state = 36, .external_lex_state = 3},
  [1152] = {.lex_state = 36, .external_lex_state = 3},
  [1153] = {.lex_state = 36, .external_lex_state = 3},
  [1154] = {.lex_state = 36, .external_lex_state = 3},
  [1155] = {.lex_state = 36, .external_lex_state = 3},
  [1156] = {.lex_state = 36, .external_lex_state = 3},
  [1157] = {.lex_state = 36, .external_lex_state = 3},
  [1158] = {.lex_state = 36, .external_lex_state = 3},
  [1159] = {.lex_state = 36, .external_lex_state = 3},
  [1160] = {.lex_state = 36, .external_lex_state = 3},
  [1161] = {.lex_state = 36, .external_lex_state = 3},
  [1162] = {.lex_state = 36, .external_lex_state = 3},
  [1163] = {.lex_state = 36, .external_lex_state = 3},
  [1164] = {.lex_state = 36, .external_lex_state = 3},
  [1165] = {.lex_state = 36, .external_lex_state = 3},
  [1166] = {.lex_state = 36, .external_lex_state = 3},
  [1167] = {.lex_state = 36, .external_lex_state = 3},
  [1168] = {.lex_state = 36, .external_lex_state = 3},
  [1169] = {.lex_state = 36, .external_lex_state = 3},
  [1170] = {.lex_state = 36, .external_lex_state = 3},
  [1171] = {.lex_state = 36, .external_lex_state = 3},
  [1172] = {.lex_state = 36, .external_lex_state = 3},
  [1173] = {.lex_state = 36, .external_lex_state = 3},
  [1174] = {.lex_state = 36, .external_lex_state = 3},
  [1175] = {.lex_state = 36, .external_lex_state = 3},
  [1176] = {.lex_state = 36, .external_lex_state = 3},
  [1177] = {.lex_state = 36, .external_lex_state = 3},
  [1178] = {.lex_state = 36, .external_lex_state = 3},
  [1179] = {.lex_state = 36, .external_lex_state = 3},
  [1180] = {.lex_state = 36, .external_lex_state = 3},
  [1181] = {.lex_state = 36, .external_lex_state = 3},
  [1182] = {.lex_state = 36, .external_lex_state = 3},
  [1183] = {.lex_state = 36, .external_lex_state = 3},
  [1184] = {.lex_state = 36, .external_lex_state = 3},
  [1185] = {.lex_state = 36, .external_lex_state = 3},
  [1186] = {.lex_state = 36, .external_lex_state = 3},
  [1187] = {.lex_state = 36, .external_lex_state = 3},
  [1188] = {.lex_state = 36, .external_lex_state = 3},
  [1189] = {.lex_state = 36, .external_lex_state = 3},
  [1190] = {.lex_state = 36, .external_lex_state = 3},
  [1191] = {.lex_state = 36, .external_lex_state = 3},
  [1192] = {.lex_state = 36, .external_lex_state = 3},
  [1193] = {.lex_state = 36, .external_lex_state = 3},
  [1194] = {.lex_state = 36, .external_lex_state = 3},
  [1195] = {.lex_state = 36, .external_lex_state = 3},
  [1196] = {.lex_state = 36, .external_lex_state = 3},
  [1197] = {.lex_state = 36, .external_lex_state = 3},
  [1198] = {.lex_state = 36, .external_lex_state = 3},
  [1199] = {.lex_state = 36, .external_lex_state = 3},
  [1200] = {.lex_state = 36, .external_lex_state = 3},
  [1201] = {.lex_state = 36, .external_lex_state = 3},
  [1202] = {.lex_state = 36, .external_lex_state = 3},
  [1203] = {.lex_state = 36, .external_lex_state = 3},
  [1204] = {.lex_state = 36, .external_lex_state = 3},
  [1205] = {.lex_state = 36, .external_lex_state = 3},
  [1206] = {.lex_state = 36, .external_lex_state = 3},
  [1207] = {.lex_state = 36, .external_lex_state = 3},
  [1208] = {.lex_state = 36, .external_lex_state = 3},
  [1209] = {.lex_state = 36, .external_lex_state = 3},
  [1210] = {.lex_state = 36, .external_lex_state = 3},
  [1211] = {.lex_state = 36, .external_lex_state = 3},
  [1212] = {.lex_state = 36, .external_lex_state = 3},
  [1213] = {.lex_state = 36, .external_lex_state = 3},
  [1214] = {.lex_state = 36, .external_lex_state = 3},
  [1215] = {.lex_state = 36, .external_lex_state = 3},
  [1216] = {.lex_state = 36, .external_lex_state = 3},
  [1217] = {.lex_state = 36, .external_lex_state = 3},
  [1218] = {.lex_state = 36, .external_lex_state = 3},
  [1219] = {.lex_state = 36, .external_lex_state = 3},
  [1220] = {.lex_state = 36, .external_lex_state = 3},
  [1221] = {.lex_state = 36, .external_lex_state = 3},
  [1222] = {.lex_state = 36, .external_lex_state = 3},
  [1223] = {.lex_state = 36, .external_lex_state = 3},
  [1224] = {.lex_state = 36, .external_lex_state = 3},
  [1225] = {.lex_state = 36, .external_lex_state = 3},
  [1226] = {.lex_state = 36, .external_lex_state = 3},
  [1227] = {.lex_state = 36, .external_lex_state = 3},
  [1228] = {.lex_state = 36, .external_lex_state = 3},
  [1229] = {.lex_state = 36, .external_lex_state = 3},
  [1230] = {.lex_state = 36, .external_lex_state = 3},
  [1231] = {.lex_state = 36, .external_lex_state = 3},
  [1232] = {.lex_state = 36, .external_lex_state = 3},
  [1233] = {.lex_state = 36, .external_lex_state = 3},
  [1234] = {.lex_state = 36, .external_lex_state = 3},
  [1235] = {.lex_state = 36, .external_lex_state = 3},
  [1236] = {.lex_state = 36, .external_lex_state = 3},
  [1237] = {.lex_state = 36, .external_lex_state = 3},
  [1238] = {.lex_state = 36, .external_lex_state = 3},
  [1239] = {.lex_state = 36, .external_lex_state = 3},
  [1240] = {.lex_state = 36, .external_lex_state = 3},
  [1241] = {.lex_state = 36, .external_lex_state = 3},
  [1242] = {.lex_state = 36, .external_lex_state = 3},
  [1243] = {.lex_state = 36, .external_lex_state = 3},
  [1244] = {.lex_state = 36, .external_lex_state = 3},
  [1245] = {.lex_state = 36, .external_lex_state = 3},
  [1246] = {.lex_state = 36, .external_lex_state = 3},
  [1247] = {.lex_state = 36, .external_lex_state = 3},
  [1248] = {.lex_state = 36, .external_lex_state = 3},
  [1249] = {.lex_state = 36, .external_lex_state = 3},
  [1250] = {.lex_state = 36, .external_lex_state = 3},
  [1251] = {.lex_state = 36, .external_lex_state = 3},
  [1252] = {.lex_state = 36, .external_lex_state = 3},
  [1253] = {.lex_state = 36, .external_lex_state = 3},
  [1254] = {.lex_state = 36, .external_lex_state = 3},
  [1255] = {.lex_state = 36, .external_lex_state = 3},
  [1256] = {.lex_state = 36, .external_lex_state = 3},
  [1257] = {.lex_state = 36, .external_lex_state = 3},
  [1258] = {.lex_state = 36, .external_lex_state = 3},
  [1259] = {.lex_state = 36, .external_lex_state = 3},
  [1260] = {.lex_state = 36, .external_lex_state = 3},
  [1261] = {.lex_state = 36, .external_lex_state = 3},
  [1262] = {.lex_state = 36, .external_lex_state = 3},
  [1263] = {.lex_state = 36, .external_lex_state = 3},
  [1264] = {.lex_state = 36, .external_lex_state = 3},
  [1265] = {.lex_state = 36, .external_lex_state = 3},
  [1266] = {.lex_state = 36, .external_lex_state = 3},
  [1267] = {.lex_state = 36, .external_lex_state = 3},
  [1268] = {.lex_state = 36, .external_lex_state = 3},
  [1269] = {.lex_state = 36, .external_lex_state = 3},
  [1270] = {.lex_state = 36, .external_lex_state = 3},
  [1271] = {.lex_state = 36, .external_lex_state = 3},
  [1272] = {.lex_state = 36, .external_lex_state = 3},
  [1273] = {.lex_state = 36, .external_lex_state = 3},
  [1274] = {.lex_state = 36, .external_lex_state = 3},
  [1275] = {.lex_state = 36, .external_lex_state = 3},
  [1276] = {.lex_state = 36, .external_lex_state = 3},
  [1277] = {.lex_state = 36, .external_lex_state = 3},
  [1278] = {.lex_state = 36, .external_lex_state = 3},
  [1279] = {.lex_state = 36, .external_lex_state = 3},
  [1280] = {.lex_state = 36, .external_lex_state = 3},
  [1281] = {.lex_state = 36, .external_lex_state = 3},
  [1282] = {.lex_state = 36, .external_lex_state = 3},
  [1283] = {.lex_state = 36, .external_lex_state = 3},
  [1284] = {.lex_state = 36, .external_lex_state = 3},
  [1285] = {.lex_state = 36, .external_lex_state = 3},
  [1286] = {.lex_state = 36, .external_lex_state = 3},
  [1287] = {.lex_state = 36, .external_lex_state = 3},
  [1288] = {.lex_state = 36, .external_lex_state = 3},
  [1289] = {.lex_state = 36, .external_lex_state = 3},
  [1290] = {.lex_state = 36, .external_lex_state = 3},
  [1291] = {.lex_state = 36, .external_lex_state = 3},
  [1292] = {.lex_state = 36, .external_lex_state = 3},
  [1293] = {.lex_state = 36, .external_lex_state = 3},
  [1294] = {.lex_state = 36, .external_lex_state = 3},
  [1295] = {.lex_state = 36, .external_lex_state = 3},
  [1296] = {.lex_state = 36, .external_lex_state = 3},
  [1297] = {.lex_state = 36, .external_lex_state = 3},
  [1298] = {.lex_state = 36, .external_lex_state = 3},
  [1299] = {.lex_state = 36, .external_lex_state = 3},
  [1300] = {.lex_state = 36, .external_lex_state = 3},
  [1301] = {.lex_state = 36, .external_lex_state = 3},
  [1302] = {.lex_state = 36, .external_lex_state = 3},
  [1303] = {.lex_state = 36, .external_lex_state = 3},
  [1304] = {.lex_state = 36, .external_lex_state = 3},
  [1305] = {.lex_state = 36, .external_lex_state = 3},
  [1306] = {.lex_state = 36, .external_lex_state = 3},
  [1307] = {.lex_state = 36, .external_lex_state = 3},
  [1308] = {.lex_state = 36, .external_lex_state = 3},
  [1309] = {.lex_state = 36, .external_lex_state = 3},
  [1310] = {.lex_state = 36, .external_lex_state = 3},
  [1311] = {.lex_state = 36, .external_lex_state = 3},
  [1312] = {.lex_state = 36, .external_lex_state = 3},
  [1313] = {.lex_state = 36, .external_lex_state = 3},
  [1314] = {.lex_state = 36, .external_lex_state = 3},
  [1315] = {.lex_state = 36, .external_lex_state = 3},
  [1316] = {.lex_state = 36, .external_lex_state = 3},
  [1317] = {.lex_state = 36, .external_lex_state = 3},
  [1318] = {.lex_state = 36, .external_lex_state = 3},
  [1319] = {.lex_state = 36, .external_lex_state = 3},
  [1320] = {.lex_state = 36, .external_lex_state = 3},
  [1321] = {.lex_state = 36, .external_lex_state = 3},
  [1322] = {.lex_state = 36, .external_lex_state = 3},
  [1323] = {.lex_state = 36, .external_lex_state = 3},
  [1324] = {.lex_state = 36, .external_lex_state = 3},
  [1325] = {.lex_state = 36, .external_lex_state = 3},
  [1326] = {.lex_state = 36, .external_lex_state = 3},
  [1327] = {.lex_state = 36, .external_lex_state = 3},
  [1328] = {.lex_state = 36, .external_lex_state = 3},
  [1329] = {.lex_state = 36, .external_lex_state = 3},
  [1330] = {.lex_state = 36, .external_lex_state = 3},
  [1331] = {.lex_state = 36, .external_lex_state = 3},
  [1332] = {.lex_state = 36, .external_lex_state = 3},
  [1333] = {.lex_state = 36, .external_lex_state = 3},
  [1334] = {.lex_state = 36, .external_lex_state = 3},
  [1335] = {.lex_state = 36, .external_lex_state = 3},
  [1336] = {.lex_state = 36, .external_lex_state = 3},
  [1337] = {.lex_state = 36, .external_lex_state = 3},
  [1338] = {.lex_state = 36, .external_lex_state = 3},
  [1339] = {.lex_state = 36, .external_lex_state = 3},
  [1340] = {.lex_state = 36, .external_lex_state = 3},
  [1341] = {.lex_state = 36, .external_lex_state = 3},
  [1342] = {.lex_state = 36, .external_lex_state = 3},
  [1343] = {.lex_state = 36, .external_lex_state = 3},
  [1344] = {.lex_state = 36, .external_lex_state = 3},
  [1345] = {.lex_state = 36, .external_lex_state = 3},
  [1346] = {.lex_state = 36, .external_lex_state = 3},
  [1347] = {.lex_state = 36, .external_lex_state = 3},
  [1348] = {.lex_state = 36, .external_lex_state = 3},
  [1349] = {.lex_state = 36, .external_lex_state = 3},
  [1350] = {.lex_state = 36, .external_lex_state = 3},
  [1351] = {.lex_state = 36, .external_lex_state = 3},
  [1352] = {.lex_state = 36, .external_lex_state = 3},
  [1353] = {.lex_state = 36, .external_lex_state = 3},
  [1354] = {.lex_state = 36, .external_lex_state = 3},
  [1355] = {.lex_state = 36, .external_lex_state = 3},
  [1356] = {.lex_state = 36, .external_lex_state = 3},
  [1357] = {.lex_state = 36, .external_lex_state = 3},
  [1358] = {.lex_state = 36, .external_lex_state = 3},
  [1359] = {.lex_state = 36, .external_lex_state = 3},
  [1360] = {.lex_state = 36, .external_lex_state = 3},
  [1361] = {.lex_state = 36, .external_lex_state = 3},
  [1362] = {.lex_state = 36, .external_lex_state = 3},
  [1363] = {.lex_state = 36, .external_lex_state = 3},
  [1364] = {.lex_state = 36, .external_lex_state = 3},
  [1365] = {.lex_state = 36, .external_lex_state = 3},
  [1366] = {.lex_state = 36, .external_lex_state = 3},
  [1367] = {.lex_state = 36, .external_lex_state = 3},
  [1368] = {.lex_state = 36, .external_lex_state = 3},
  [1369] = {.lex_state = 36, .external_lex_state = 3},
  [1370] = {.lex_state = 36, .external_lex_state = 3},
  [1371] = {.lex_state = 36, .external_lex_state = 3},
  [1372] = {.lex_state = 36, .external_lex_state = 3},
  [1373] = {.lex_state = 36, .external_lex_state = 3},
  [1374] = {.lex_state = 36, .external_lex_state = 3},
  [1375] = {.lex_state = 36, .external_lex_state = 3},
  [1376] = {.lex_state = 36, .external_lex_state = 3},
  [1377] = {.lex_state = 36, .external_lex_state = 3},
  [1378] = {.lex_state = 36, .external_lex_state = 3},
  [1379] = {.lex_state = 36, .external_lex_state = 3},
  [1380] = {.lex_state = 36, .external_lex_state = 3},
  [1381] = {.lex_state = 36, .external_lex_state = 3},
  [1382] = {.lex_state = 36, .external_lex_state = 3},
  [1383] = {.lex_state = 36, .external_lex_state = 3},
  [1384] = {.lex_state = 36, .external_lex_state = 3},
  [1385] = {.lex_state = 36, .external_lex_state = 3},
  [1386] = {.lex_state = 36, .external_lex_state = 3},
  [1387] = {.lex_state = 36, .external_lex_state = 3},
  [1388] = {.lex_state = 36, .external_lex_state = 3},
  [1389] = {.lex_state = 36, .external_lex_state = 3},
  [1390] = {.lex_state = 36, .external_lex_state = 3},
  [1391] = {.lex_state = 36, .external_lex_state = 3},
  [1392] = {.lex_state = 36, .external_lex_state = 3},
  [1393] = {.lex_state = 36, .external_lex_state = 3},
  [1394] = {.lex_state = 36, .external_lex_state = 3},
  [1395] = {.lex_state = 36, .external_lex_state = 3},
  [1396] = {.lex_state = 36, .external_lex_state = 3},
  [1397] = {.lex_state = 36, .external_lex_state = 3},
  [1398] = {.lex_state = 36, .external_lex_state = 3},
  [1399] = {.lex_state = 36, .external_lex_state = 3},
  [1400] = {.lex_state = 36, .external_lex_state = 3},
  [1401] = {.lex_state = 36, .external_lex_state = 3},
  [1402] = {.lex_state = 36, .external_lex_state = 3},
  [1403] = {.lex_state = 36, .external_lex_state = 3},
  [1404] = {.lex_state = 36, .external_lex_state = 3},
  [1405] = {.lex_state = 36, .external_lex_state = 3},
  [1406] = {.lex_state = 36, .external_lex_state = 3},
  [1407] = {.lex_state = 36, .external_lex_state = 3},
  [1408] = {.lex_state = 36, .external_lex_state = 3},
  [1409] = {.lex_state = 36, .external_lex_state = 3},
  [1410] = {.lex_state = 36, .external_lex_state = 3},
  [1411] = {.lex_state = 36, .external_lex_state = 3},
  [1412] = {.lex_state = 36, .external_lex_state = 3},
  [1413] = {.lex_state = 36, .external_lex_state = 3},
  [1414] = {.lex_state = 36, .external_lex_state = 3},
  [1415] = {.lex_state = 36, .external_lex_state = 3},
  [1416] = {.lex_state = 36, .external_lex_state = 3},
  [1417] = {.lex_state = 36, .external_lex_state = 3},
  [1418] = {.lex_state = 36, .external_lex_state = 3},
  [1419] = {.lex_state = 36, .external_lex_state = 3},
  [1420] = {.lex_state = 36, .external_lex_state = 3},
  [1421] = {.lex_state = 36, .external_lex_state = 3},
  [1422] = {.lex_state = 36, .external_lex_state = 3},
  [1423] = {.lex_state = 36, .external_lex_state = 3},
  [1424] = {.lex_state = 36, .external_lex_state = 3},
  [1425] = {.lex_state = 36, .external_lex_state = 3},
  [1426] = {.lex_state = 36, .external_lex_state = 3},
  [1427] = {.lex_state = 36, .external_lex_state = 3},
  [1428] = {.lex_state = 36, .external_lex_state = 3},
  [1429] = {.lex_state = 36, .external_lex_state = 3},
  [1430] = {.lex_state = 36, .external_lex_state = 3},
  [1431] = {.lex_state = 36, .external_lex_state = 3},
  [1432] = {.lex_state = 36, .external_lex_state = 3},
  [1433] = {.lex_state = 36, .external_lex_state = 3},
  [1434] = {.lex_state = 36, .external_lex_state = 3},
  [1435] = {.lex_state = 36, .external_lex_state = 3},
  [1436] = {.lex_state = 36, .external_lex_state = 3},
  [1437] = {.lex_state = 36, .external_lex_state = 3},
  [1438] = {.lex_state = 36, .external_lex_state = 3},
  [1439] = {.lex_state = 36, .external_lex_state = 3},
  [1440] = {.lex_state = 36, .external_lex_state = 3},
  [1441] = {.lex_state = 36, .external_lex_state = 3},
  [1442] = {.lex_state = 36, .external_lex_state = 3},
  [1443] = {.lex_state = 36, .external_lex_state = 3},
  [1444] = {.lex_state = 36, .external_lex_state = 3},
  [1445] = {.lex_state = 36, .external_lex_state = 3},
  [1446] = {.lex_state = 36, .external_lex_state = 3},
  [1447] = {.lex_state = 36, .external_lex_state = 3},
  [1448] = {.lex_state = 36, .external_lex_state = 3},
  [1449] = {.lex_state = 36, .external_lex_state = 3},
  [1450] = {.lex_state = 36, .external_lex_state = 3},
  [1451] = {.lex_state = 36, .external_lex_state = 3},
  [1452] = {.lex_state = 36, .external_lex_state = 3},
  [1453] = {.lex_state = 36, .external_lex_state = 3},
  [1454] = {.lex_state = 36, .external_lex_state = 3},
  [1455] = {.lex_state = 36, .external_lex_state = 3},
  [1456] = {.lex_state = 36, .external_lex_state = 3},
  [1457] = {.lex_state = 36, .external_lex_state = 3},
  [1458] = {.lex_state = 36, .external_lex_state = 3},
  [1459] = {.lex_state = 36, .external_lex_state = 3},
  [1460] = {.lex_state = 36, .external_lex_state = 3},
  [1461] = {.lex_state = 36, .external_lex_state = 3},
  [1462] = {.lex_state = 36, .external_lex_state = 3},
  [1463] = {.lex_state = 36, .external_lex_state = 3},
  [1464] = {.lex_state = 36, .external_lex_state = 3},
  [1465] = {.lex_state = 36, .external_lex_state = 3},
  [1466] = {.lex_state = 36, .external_lex_state = 3},
  [1467] = {.lex_state = 36, .external_lex_state = 3},
  [1468] = {.lex_state = 36, .external_lex_state = 3},
  [1469] = {.lex_state = 36, .external_lex_state = 3},
  [1470] = {.lex_state = 36, .external_lex_state = 3},
  [1471] = {.lex_state = 36, .external_lex_state = 3},
  [1472] = {.lex_state = 36, .external_lex_state = 3},
  [1473] = {.lex_state = 36, .external_lex_state = 3},
  [1474] = {.lex_state = 36, .external_lex_state = 3},
  [1475] = {.lex_state = 36, .external_lex_state = 3},
  [1476] = {.lex_state = 36, .external_lex_state = 3},
  [1477] = {.lex_state = 36, .external_lex_state = 3},
  [1478] = {.lex_state = 36, .external_lex_state = 3},
  [1479] = {.lex_state = 36, .external_lex_state = 3},
  [1480] = {.lex_state = 36, .external_lex_state = 3},
  [1481] = {.lex_state = 36, .external_lex_state = 3},
  [1482] = {.lex_state = 36, .external_lex_state = 3},
  [1483] = {.lex_state = 36, .external_lex_state = 3},
  [1484] = {.lex_state = 36, .external_lex_state = 3},
  [1485] = {.lex_state = 36, .external_lex_state = 3},
  [1486] = {.lex_state = 36, .external_lex_state = 3},
  [1487] = {.lex_state = 36, .external_lex_state = 3},
  [1488] = {.lex_state = 36, .external_lex_state = 3},
  [1489] = {.lex_state = 36, .external_lex_state = 3},
  [1490] = {.lex_state = 36, .external_lex_state = 3},
  [1491] = {.lex_state = 36, .external_lex_state = 3},
  [1492] = {.lex_state = 36, .external_lex_state = 3},
  [1493] = {.lex_state = 36, .external_lex_state = 3},
  [1494] = {.lex_state = 36, .external_lex_state = 3},
  [1495] = {.lex_state = 36, .external_lex_state = 3},
  [1496] = {.lex_state = 36, .external_lex_state = 3},
  [1497] = {.lex_state = 36, .external_lex_state = 3},
  [1498] = {.lex_state = 36, .external_lex_state = 3},
  [1499] = {.lex_state = 36, .external_lex_state = 3},
  [1500] = {.lex_state = 36, .external_lex_state = 3},
  [1501] = {.lex_state = 36, .external_lex_state = 3},
  [1502] = {.lex_state = 36, .external_lex_state = 3},
  [1503] = {.lex_state = 36, .external_lex_state = 3},
  [1504] = {.lex_state = 36, .external_lex_state = 3},
  [1505] = {.lex_state = 36, .external_lex_state = 3},
  [1506] = {.lex_state = 36, .external_lex_state = 3},
  [1507] = {.lex_state = 36, .external_lex_state = 3},
  [1508] = {.lex_state = 36, .external_lex_state = 3},
  [1509] = {.lex_state = 36, .external_lex_state = 3},
  [1510] = {.lex_state = 36, .external_lex_state = 3},
  [1511] = {.lex_state = 36, .external_lex_state = 3},
  [1512] = {.lex_state = 36, .external_lex_state = 3},
  [1513] = {.lex_state = 36, .external_lex_state = 3},
  [1514] = {.lex_state = 36, .external_lex_state = 3},
  [1515] = {.lex_state = 36, .external_lex_state = 3},
  [1516] = {.lex_state = 36, .external_lex_state = 3},
  [1517] = {.lex_state = 36, .external_lex_state = 3},
  [1518] = {.lex_state = 36, .external_lex_state = 3},
  [1519] = {.lex_state = 36, .external_lex_state = 3},
  [1520] = {.lex_state = 36, .external_lex_state = 3},
  [1521] = {.lex_state = 36, .external_lex_state = 3},
  [1522] = {.lex_state = 36, .external_lex_state = 3},
  [1523] = {.lex_state = 36, .external_lex_state = 3},
  [1524] = {.lex_state = 36, .external_lex_state = 3},
  [1525] = {.lex_state = 36, .external_lex_state = 3},
  [1526] = {.lex_state = 36, .external_lex_state = 3},
  [1527] = {.lex_state = 36, .external_lex_state = 3},
  [1528] = {.lex_state = 36, .external_lex_state = 3},
  [1529] = {.lex_state = 36, .external_lex_state = 3},
  [1530] = {.lex_state = 36, .external_lex_state = 3},
  [1531] = {.lex_state = 36, .external_lex_state = 3},
  [1532] = {.lex_state = 36, .external_lex_state = 3},
  [1533] = {.lex_state = 36, .external_lex_state = 3},
  [1534] = {.lex_state = 36, .external_lex_state = 3},
  [1535] = {.lex_state = 36, .external_lex_state = 3},
  [1536] = {.lex_state = 36, .external_lex_state = 3},
  [1537] = {.lex_state = 36, .external_lex_state = 3},
  [1538] = {.lex_state = 36, .external_lex_state = 3},
  [1539] = {.lex_state = 36, .external_lex_state = 3},
  [1540] = {.lex_state = 36, .external_lex_state = 3},
  [1541] = {.lex_state = 36, .external_lex_state = 3},
  [1542] = {.lex_state = 36, .external_lex_state = 3},
  [1543] = {.lex_state = 36, .external_lex_state = 3},
  [1544] = {.lex_state = 36, .external_lex_state = 3},
  [1545] = {.lex_state = 36, .external_lex_state = 3},
  [1546] = {.lex_state = 36, .external_lex_state = 3},
  [1547] = {.lex_state = 36, .external_lex_state = 3},
  [1548] = {.lex_state = 36, .external_lex_state = 3},
  [1549] = {.lex_state = 36, .external_lex_state = 3},
  [1550] = {.lex_state = 36, .external_lex_state = 3},
  [1551] = {.lex_state = 36, .external_lex_state = 3},
  [1552] = {.lex_state = 36, .external_lex_state = 3},
  [1553] = {.lex_state = 36, .external_lex_state = 3},
  [1554] = {.lex_state = 36, .external_lex_state = 3},
  [1555] = {.lex_state = 36, .external_lex_state = 3},
  [1556] = {.lex_state = 36, .external_lex_state = 3},
  [1557] = {.lex_state = 36, .external_lex_state = 3},
  [1558] = {.lex_state = 36, .external_lex_state = 3},
  [1559] = {.lex_state = 36, .external_lex_state = 3},
  [1560] = {.lex_state = 36, .external_lex_state = 3},
  [1561] = {.lex_state = 36, .external_lex_state = 3},
  [1562] = {.lex_state = 36, .external_lex_state = 3},
  [1563] = {.lex_state = 36, .external_lex_state = 3},
  [1564] = {.lex_state = 36, .external_lex_state = 3},
  [1565] = {.lex_state = 93, .external_lex_state = 3},
  [1566] = {.lex_state = 36, .external_lex_state = 3},
  [1567] = {.lex_state = 36, .external_lex_state = 3},
  [1568] = {.lex_state = 36, .external_lex_state = 3},
  [1569] = {.lex_state = 36, .external_lex_state = 3},
  [1570] = {.lex_state = 36, .external_lex_state = 3},
  [1571] = {.lex_state = 36, .external_lex_state = 3},
  [1572] = {.lex_state = 36, .external_lex_state = 3},
  [1573] = {.lex_state = 36, .external_lex_state = 3},
  [1574] = {.lex_state = 36, .external_lex_state = 3},
  [1575] = {.lex_state = 36, .external_lex_state = 3},
  [1576] = {.lex_state = 36, .external_lex_state = 3},
  [1577] = {.lex_state = 36, .external_lex_state = 3},
  [1578] = {.lex_state = 36, .external_lex_state = 3},
  [1579] = {.lex_state = 36, .external_lex_state = 3},
  [1580] = {.lex_state = 36, .external_lex_state = 3},
  [1581] = {.lex_state = 36, .external_lex_state = 3},
  [1582] = {.lex_state = 36, .external_lex_state = 3},
  [1583] = {.lex_state = 36, .external_lex_state = 3},
  [1584] = {.lex_state = 36, .external_lex_state = 3},
  [1585] = {.lex_state = 36, .external_lex_state = 3},
  [1586] = {.lex_state = 36, .external_lex_state = 3},
  [1587] = {.lex_state = 36, .external_lex_state = 3},
  [1588] = {.lex_state = 36, .external_lex_state = 3},
  [1589] = {.lex_state = 36, .external_lex_state = 3},
  [1590] = {.lex_state = 36, .external_lex_state = 3},
  [1591] = {.lex_state = 36, .external_lex_state = 3},
  [1592] = {.lex_state = 36, .external_lex_state = 3},
  [1593] = {.lex_state = 36, .external_lex_state = 3},
  [1594] = {.lex_state = 36, .external_lex_state = 3},
  [1595] = {.lex_state = 36, .external_lex_state = 3},
  [1596] = {.lex_state = 36, .external_lex_state = 3},
  [1597] = {.lex_state = 36, .external_lex_state = 3},
  [1598] = {.lex_state = 36, .external_lex_state = 3},
  [1599] = {.lex_state = 36, .external_lex_state = 3},
  [1600] = {.lex_state = 36, .external_lex_state = 3},
  [1601] = {.lex_state = 36, .external_lex_state = 3},
  [1602] = {.lex_state = 36, .external_lex_state = 3},
  [1603] = {.lex_state = 36, .external_lex_state = 3},
  [1604] = {.lex_state = 36, .external_lex_state = 3},
  [1605] = {.lex_state = 36, .external_lex_state = 3},
  [1606] = {.lex_state = 36, .external_lex_state = 3},
  [1607] = {.lex_state = 36, .external_lex_state = 3},
  [1608] = {.lex_state = 36, .external_lex_state = 3},
  [1609] = {.lex_state = 36, .external_lex_state = 3},
  [1610] = {.lex_state = 36, .external_lex_state = 3},
  [1611] = {.lex_state = 74, .external_lex_state = 3},
  [1612] = {.lex_state = 36, .external_lex_state = 3},
  [1613] = {.lex_state = 36, .external_lex_state = 3},
  [1614] = {.lex_state = 36, .external_lex_state = 3},
  [1615] = {.lex_state = 36, .external_lex_state = 3},
  [1616] = {.lex_state = 36, .external_lex_state = 3},
  [1617] = {.lex_state = 36, .external_lex_state = 3},
  [1618] = {.lex_state = 36, .external_lex_state = 3},
  [1619] = {.lex_state = 36, .external_lex_state = 3},
  [1620] = {.lex_state = 36, .external_lex_state = 3},
  [1621] = {.lex_state = 36, .external_lex_state = 3},
  [1622] = {.lex_state = 36, .external_lex_state = 3},
  [1623] = {.lex_state = 36, .external_lex_state = 3},
  [1624] = {.lex_state = 78, .external_lex_state = 3},
  [1625] = {.lex_state = 36, .external_lex_state = 3},
  [1626] = {.lex_state = 36, .external_lex_state = 3},
  [1627] = {.lex_state = 36, .external_lex_state = 3},
  [1628] = {.lex_state = 36, .external_lex_state = 3},
  [1629] = {.lex_state = 36, .external_lex_state = 3},
  [1630] = {.lex_state = 36, .external_lex_state = 3},
  [1631] = {.lex_state = 36, .external_lex_state = 3},
  [1632] = {.lex_state = 98, .external_lex_state = 3},
  [1633] = {.lex_state = 36, .external_lex_state = 3},
  [1634] = {.lex_state = 36, .external_lex_state = 3},
  [1635] = {.lex_state = 36, .external_lex_state = 3},
  [1636] = {.lex_state = 36, .external_lex_state = 3},
  [1637] = {.lex_state = 36, .external_lex_state = 3},
  [1638] = {.lex_state = 36, .external_lex_state = 3},
  [1639] = {.lex_state = 74, .external_lex_state = 3},
  [1640] = {.lex_state = 36, .external_lex_state = 3},
  [1641] = {.lex_state = 36, .external_lex_state = 3},
  [1642] = {.lex_state = 36, .external_lex_state = 3},
  [1643] = {.lex_state = 36, .external_lex_state = 3},
  [1644] = {.lex_state = 36, .external_lex_state = 3},
  [1645] = {.lex_state = 36, .external_lex_state = 3},
  [1646] = {.lex_state = 36, .external_lex_state = 3},
  [1647] = {.lex_state = 36, .external_lex_state = 3},
  [1648] = {.lex_state = 36, .external_lex_state = 3},
  [1649] = {.lex_state = 78, .external_lex_state = 3},
  [1650] = {.lex_state = 36, .external_lex_state = 3},
  [1651] = {.lex_state = 36, .external_lex_state = 3},
  [1652] = {.lex_state = 36, .external_lex_state = 3},
  [1653] = {.lex_state = 36, .external_lex_state = 3},
  [1654] = {.lex_state = 36, .external_lex_state = 3},
  [1655] = {.lex_state = 36, .external_lex_state = 3},
  [1656] = {.lex_state = 36, .external_lex_state = 3},
  [1657] = {.lex_state = 36, .external_lex_state = 3},
  [1658] = {.lex_state = 36, .external_lex_state = 3},
  [1659] = {.lex_state = 36, .external_lex_state = 3},
  [1660] = {.lex_state = 36, .external_lex_state = 3},
  [1661] = {.lex_state = 36, .external_lex_state = 3},
  [1662] = {.lex_state = 36, .external_lex_state = 3},
  [1663] = {.lex_state = 36, .external_lex_state = 3},
  [1664] = {.lex_state = 36, .external_lex_state = 3},
  [1665] = {.lex_state = 36, .external_lex_state = 3},
  [1666] = {.lex_state = 36, .external_lex_state = 3},
  [1667] = {.lex_state = 36, .external_lex_state = 3},
  [1668] = {.lex_state = 36, .external_lex_state = 3},
  [1669] = {.lex_state = 36, .external_lex_state = 3},
  [1670] = {.lex_state = 36, .external_lex_state = 3},
  [1671] = {.lex_state = 36, .external_lex_state = 3},
  [1672] = {.lex_state = 36, .external_lex_state = 3},
  [1673] = {.lex_state = 36, .external_lex_state = 3},
  [1674] = {.lex_state = 36, .external_lex_state = 3},
  [1675] = {.lex_state = 36, .external_lex_state = 3},
  [1676] = {.lex_state = 36, .external_lex_state = 3},
  [1677] = {.lex_state = 36, .external_lex_state = 3},
  [1678] = {.lex_state = 36, .external_lex_state = 3},
  [1679] = {.lex_state = 36, .external_lex_state = 3},
  [1680] = {.lex_state = 36, .external_lex_state = 3},
  [1681] = {.lex_state = 36, .external_lex_state = 3},
  [1682] = {.lex_state = 36, .external_lex_state = 3},
  [1683] = {.lex_state = 36, .external_lex_state = 3},
  [1684] = {.lex_state = 36, .external_lex_state = 3},
  [1685] = {.lex_state = 36, .external_lex_state = 3},
  [1686] = {.lex_state = 36, .external_lex_state = 3},
  [1687] = {.lex_state = 36, .external_lex_state = 3},
  [1688] = {.lex_state = 36, .external_lex_state = 3},
  [1689] = {.lex_state = 36, .external_lex_state = 3},
  [1690] = {.lex_state = 36, .external_lex_state = 3},
  [1691] = {.lex_state = 36, .external_lex_state = 3},
  [1692] = {.lex_state = 36, .external_lex_state = 3},
  [1693] = {.lex_state = 36, .external_lex_state = 3},
  [1694] = {.lex_state = 36, .external_lex_state = 3},
  [1695] = {.lex_state = 36, .external_lex_state = 3},
  [1696] = {.lex_state = 36, .external_lex_state = 3},
  [1697] = {.lex_state = 36, .external_lex_state = 3},
  [1698] = {.lex_state = 36, .external_lex_state = 3},
  [1699] = {.lex_state = 36, .external_lex_state = 3},
  [1700] = {.lex_state = 36, .external_lex_state = 3},
  [1701] = {.lex_state = 36, .external_lex_state = 3},
  [1702] = {.lex_state = 36, .external_lex_state = 3},
  [1703] = {.lex_state = 36, .external_lex_state = 3},
  [1704] = {.lex_state = 36, .external_lex_state = 3},
  [1705] = {.lex_state = 36, .external_lex_state = 3},
  [1706] = {.lex_state = 36, .external_lex_state = 3},
  [1707] = {.lex_state = 36, .external_lex_state = 3},
  [1708] = {.lex_state = 36, .external_lex_state = 3},
  [1709] = {.lex_state = 36, .external_lex_state = 3},
  [1710] = {.lex_state = 36, .external_lex_state = 3},
  [1711] = {.lex_state = 36, .external_lex_state = 3},
  [1712] = {.lex_state = 36, .external_lex_state = 3},
  [1713] = {.lex_state = 36, .external_lex_state = 3},
  [1714] = {.lex_state = 36, .external_lex_state = 3},
  [1715] = {.lex_state = 36, .external_lex_state = 3},
  [1716] = {.lex_state = 36, .external_lex_state = 3},
  [1717] = {.lex_state = 36, .external_lex_state = 3},
  [1718] = {.lex_state = 36, .external_lex_state = 3},
  [1719] = {.lex_state = 36, .external_lex_state = 3},
  [1720] = {.lex_state = 36, .external_lex_state = 3},
  [1721] = {.lex_state = 36, .external_lex_state = 3},
  [1722] = {.lex_state = 36, .external_lex_state = 3},
  [1723] = {.lex_state = 36, .external_lex_state = 3},
  [1724] = {.lex_state = 36, .external_lex_state = 3},
  [1725] = {.lex_state = 36, .external_lex_state = 3},
  [1726] = {.lex_state = 36, .external_lex_state = 3},
  [1727] = {.lex_state = 36, .external_lex_state = 3},
  [1728] = {.lex_state = 36, .external_lex_state = 3},
  [1729] = {.lex_state = 36, .external_lex_state = 3},
  [1730] = {.lex_state = 36, .external_lex_state = 3},
  [1731] = {.lex_state = 36, .external_lex_state = 3},
  [1732] = {.lex_state = 36, .external_lex_state = 3},
  [1733] = {.lex_state = 36, .external_lex_state = 3},
  [1734] = {.lex_state = 36, .external_lex_state = 3},
  [1735] = {.lex_state = 36, .external_lex_state = 3},
  [1736] = {.lex_state = 36, .external_lex_state = 3},
  [1737] = {.lex_state = 36, .external_lex_state = 3},
  [1738] = {.lex_state = 36, .external_lex_state = 3},
  [1739] = {.lex_state = 36, .external_lex_state = 3},
  [1740] = {.lex_state = 36, .external_lex_state = 3},
  [1741] = {.lex_state = 36, .external_lex_state = 3},
  [1742] = {.lex_state = 36, .external_lex_state = 3},
  [1743] = {.lex_state = 36, .external_lex_state = 3},
  [1744] = {.lex_state = 36, .external_lex_state = 3},
  [1745] = {.lex_state = 36, .external_lex_state = 3},
  [1746] = {.lex_state = 36, .external_lex_state = 3},
  [1747] = {.lex_state = 36, .external_lex_state = 3},
  [1748] = {.lex_state = 36, .external_lex_state = 3},
  [1749] = {.lex_state = 36, .external_lex_state = 3},
  [1750] = {.lex_state = 36, .external_lex_state = 3},
  [1751] = {.lex_state = 36, .external_lex_state = 3},
  [1752] = {.lex_state = 36, .external_lex_state = 3},
  [1753] = {.lex_state = 36, .external_lex_state = 3},
  [1754] = {.lex_state = 36, .external_lex_state = 3},
  [1755] = {.lex_state = 36, .external_lex_state = 3},
  [1756] = {.lex_state = 36, .external_lex_state = 3},
  [1757] = {.lex_state = 36, .external_lex_state = 3},
  [1758] = {.lex_state = 36, .external_lex_state = 3},
  [1759] = {.lex_state = 36, .external_lex_state = 3},
  [1760] = {.lex_state = 36, .external_lex_state = 3},
  [1761] = {.lex_state = 36, .external_lex_state = 3},
  [1762] = {.lex_state = 36, .external_lex_state = 3},
  [1763] = {.lex_state = 36, .external_lex_state = 3},
  [1764] = {.lex_state = 36, .external_lex_state = 3},
  [1765] = {.lex_state = 36, .external_lex_state = 3},
  [1766] = {.lex_state = 36, .external_lex_state = 3},
  [1767] = {.lex_state = 36, .external_lex_state = 3},
  [1768] = {.lex_state = 36, .external_lex_state = 3},
  [1769] = {.lex_state = 36, .external_lex_state = 3},
  [1770] = {.lex_state = 36, .external_lex_state = 3},
  [1771] = {.lex_state = 36, .external_lex_state = 3},
  [1772] = {.lex_state = 36, .external_lex_state = 3},
  [1773] = {.lex_state = 36, .external_lex_state = 3},
  [1774] = {.lex_state = 36, .external_lex_state = 3},
  [1775] = {.lex_state = 36, .external_lex_state = 3},
  [1776] = {.lex_state = 36, .external_lex_state = 3},
  [1777] = {.lex_state = 36, .external_lex_state = 3},
  [1778] = {.lex_state = 36, .external_lex_state = 3},
  [1779] = {.lex_state = 36, .external_lex_state = 3},
  [1780] = {.lex_state = 36, .external_lex_state = 3},
  [1781] = {.lex_state = 36, .external_lex_state = 3},
  [1782] = {.lex_state = 36, .external_lex_state = 3},
  [1783] = {.lex_state = 36, .external_lex_state = 3},
  [1784] = {.lex_state = 36, .external_lex_state = 3},
  [1785] = {.lex_state = 36, .external_lex_state = 3},
  [1786] = {.lex_state = 36, .external_lex_state = 3},
  [1787] = {.lex_state = 36, .external_lex_state = 3},
  [1788] = {.lex_state = 36, .external_lex_state = 3},
  [1789] = {.lex_state = 36, .external_lex_state = 3},
  [1790] = {.lex_state = 36, .external_lex_state = 3},
  [1791] = {.lex_state = 36, .external_lex_state = 3},
  [1792] = {.lex_state = 36, .external_lex_state = 3},
  [1793] = {.lex_state = 36, .external_lex_state = 3},
  [1794] = {.lex_state = 36, .external_lex_state = 3},
  [1795] = {.lex_state = 36, .external_lex_state = 3},
  [1796] = {.lex_state = 36, .external_lex_state = 3},
  [1797] = {.lex_state = 36, .external_lex_state = 3},
  [1798] = {.lex_state = 36, .external_lex_state = 3},
  [1799] = {.lex_state = 36, .external_lex_state = 3},
  [1800] = {.lex_state = 36, .external_lex_state = 3},
  [1801] = {.lex_state = 36, .external_lex_state = 3},
  [1802] = {.lex_state = 36, .external_lex_state = 3},
  [1803] = {.lex_state = 36, .external_lex_state = 3},
  [1804] = {.lex_state = 36, .external_lex_state = 3},
  [1805] = {.lex_state = 36, .external_lex_state = 3},
  [1806] = {.lex_state = 36, .external_lex_state = 3},
  [1807] = {.lex_state = 36, .external_lex_state = 3},
  [1808] = {.lex_state = 36, .external_lex_state = 3},
  [1809] = {.lex_state = 36, .external_lex_state = 3},
  [1810] = {.lex_state = 36, .external_lex_state = 3},
  [1811] = {.lex_state = 36, .external_lex_state = 3},
  [1812] = {.lex_state = 36, .external_lex_state = 3},
  [1813] = {.lex_state = 36, .external_lex_state = 3},
  [1814] = {.lex_state = 36, .external_lex_state = 3},
  [1815] = {.lex_state = 36, .external_lex_state = 3},
  [1816] = {.lex_state = 36, .external_lex_state = 3},
  [1817] = {.lex_state = 36, .external_lex_state = 3},
  [1818] = {.lex_state = 36, .external_lex_state = 3},
  [1819] = {.lex_state = 36, .external_lex_state = 3},
  [1820] = {.lex_state = 36, .external_lex_state = 3},
  [1821] = {.lex_state = 36, .external_lex_state = 3},
  [1822] = {.lex_state = 36, .external_lex_state = 3},
  [1823] = {.lex_state = 36, .external_lex_state = 3},
  [1824] = {.lex_state = 36, .external_lex_state = 3},
  [1825] = {.lex_state = 36, .external_lex_state = 3},
  [1826] = {.lex_state = 36, .external_lex_state = 3},
  [1827] = {.lex_state = 36, .external_lex_state = 3},
  [1828] = {.lex_state = 36, .external_lex_state = 3},
  [1829] = {.lex_state = 36, .external_lex_state = 3},
  [1830] = {.lex_state = 36, .external_lex_state = 3},
  [1831] = {.lex_state = 36, .external_lex_state = 3},
  [1832] = {.lex_state = 36, .external_lex_state = 3},
  [1833] = {.lex_state = 36, .external_lex_state = 3},
  [1834] = {.lex_state = 36, .external_lex_state = 3},
  [1835] = {.lex_state = 36, .external_lex_state = 3},
  [1836] = {.lex_state = 36, .external_lex_state = 3},
  [1837] = {.lex_state = 36, .external_lex_state = 3},
  [1838] = {.lex_state = 36, .external_lex_state = 3},
  [1839] = {.lex_state = 36, .external_lex_state = 3},
  [1840] = {.lex_state = 36, .external_lex_state = 3},
  [1841] = {.lex_state = 36, .external_lex_state = 3},
  [1842] = {.lex_state = 36, .external_lex_state = 3},
  [1843] = {.lex_state = 36, .external_lex_state = 3},
  [1844] = {.lex_state = 36, .external_lex_state = 3},
  [1845] = {.lex_state = 36, .external_lex_state = 3},
  [1846] = {.lex_state = 36, .external_lex_state = 3},
  [1847] = {.lex_state = 36, .external_lex_state = 3},
  [1848] = {.lex_state = 36, .external_lex_state = 3},
  [1849] = {.lex_state = 36, .external_lex_state = 3},
  [1850] = {.lex_state = 36, .external_lex_state = 3},
  [1851] = {.lex_state = 36, .external_lex_state = 3},
  [1852] = {.lex_state = 36, .external_lex_state = 3},
  [1853] = {.lex_state = 36, .external_lex_state = 3},
  [1854] = {.lex_state = 36, .external_lex_state = 3},
  [1855] = {.lex_state = 36, .external_lex_state = 3},
  [1856] = {.lex_state = 36, .external_lex_state = 3},
  [1857] = {.lex_state = 36, .external_lex_state = 3},
  [1858] = {.lex_state = 36, .external_lex_state = 3},
  [1859] = {.lex_state = 36, .external_lex_state = 3},
  [1860] = {.lex_state = 36, .external_lex_state = 3},
  [1861] = {.lex_state = 36, .external_lex_state = 3},
  [1862] = {.lex_state = 36, .external_lex_state = 3},
  [1863] = {.lex_state = 36, .external_lex_state = 3},
  [1864] = {.lex_state = 36, .external_lex_state = 3},
  [1865] = {.lex_state = 36, .external_lex_state = 3},
  [1866] = {.lex_state = 36, .external_lex_state = 3},
  [1867] = {.lex_state = 36, .external_lex_state = 3},
  [1868] = {.lex_state = 36, .external_lex_state = 3},
  [1869] = {.lex_state = 36, .external_lex_state = 3},
  [1870] = {.lex_state = 36, .external_lex_state = 3},
  [1871] = {.lex_state = 36, .external_lex_state = 3},
  [1872] = {.lex_state = 36, .external_lex_state = 3},
  [1873] = {.lex_state = 36, .external_lex_state = 3},
  [1874] = {.lex_state = 36, .external_lex_state = 3},
  [1875] = {.lex_state = 36, .external_lex_state = 3},
  [1876] = {.lex_state = 36, .external_lex_state = 3},
  [1877] = {.lex_state = 36, .external_lex_state = 3},
  [1878] = {.lex_state = 36, .external_lex_state = 3},
  [1879] = {.lex_state = 36, .external_lex_state = 3},
  [1880] = {.lex_state = 36, .external_lex_state = 3},
  [1881] = {.lex_state = 36, .external_lex_state = 3},
  [1882] = {.lex_state = 36, .external_lex_state = 3},
  [1883] = {.lex_state = 72, .external_lex_state = 3},
  [1884] = {.lex_state = 36, .external_lex_state = 3},
  [1885] = {.lex_state = 36, .external_lex_state = 3},
  [1886] = {.lex_state = 36, .external_lex_state = 3},
  [1887] = {.lex_state = 36, .external_lex_state = 3},
  [1888] = {.lex_state = 36, .external_lex_state = 3},
  [1889] = {.lex_state = 36, .external_lex_state = 3},
  [1890] = {.lex_state = 36, .external_lex_state = 3},
  [1891] = {.lex_state = 36, .external_lex_state = 3},
  [1892] = {.lex_state = 36, .external_lex_state = 3},
  [1893] = {.lex_state = 36, .external_lex_state = 3},
  [1894] = {.lex_state = 36, .external_lex_state = 3},
  [1895] = {.lex_state = 36, .external_lex_state = 3},
  [1896] = {.lex_state = 36, .external_lex_state = 3},
  [1897] = {.lex_state = 36, .external_lex_state = 3},
  [1898] = {.lex_state = 36, .external_lex_state = 3},
  [1899] = {.lex_state = 36, .external_lex_state = 3},
  [1900] = {.lex_state = 36, .external_lex_state = 3},
  [1901] = {.lex_state = 36, .external_lex_state = 3},
  [1902] = {.lex_state = 36, .external_lex_state = 3},
  [1903] = {.lex_state = 36, .external_lex_state = 3},
  [1904] = {.lex_state = 36, .external_lex_state = 3},
  [1905] = {.lex_state = 36, .external_lex_state = 3},
  [1906] = {.lex_state = 36, .external_lex_state = 3},
  [1907] = {.lex_state = 36, .external_lex_state = 3},
  [1908] = {.lex_state = 36, .external_lex_state = 3},
  [1909] = {.lex_state = 99, .external_lex_state = 3},
  [1910] = {.lex_state = 36, .external_lex_state = 3},
  [1911] = {.lex_state = 36, .external_lex_state = 3},
  [1912] = {.lex_state = 36, .external_lex_state = 3},
  [1913] = {.lex_state = 36, .external_lex_state = 3},
  [1914] = {.lex_state = 36, .external_lex_state = 3},
  [1915] = {.lex_state = 36, .external_lex_state = 3},
  [1916] = {.lex_state = 36, .external_lex_state = 3},
  [1917] = {.lex_state = 36, .external_lex_state = 3},
  [1918] = {.lex_state = 36, .external_lex_state = 3},
  [1919] = {.lex_state = 36, .external_lex_state = 3},
  [1920] = {.lex_state = 36, .external_lex_state = 3},
  [1921] = {.lex_state = 36, .external_lex_state = 3},
  [1922] = {.lex_state = 36, .external_lex_state = 3},
  [1923] = {.lex_state = 36, .external_lex_state = 3},
  [1924] = {.lex_state = 36, .external_lex_state = 3},
  [1925] = {.lex_state = 36, .external_lex_state = 3},
  [1926] = {.lex_state = 36, .external_lex_state = 3},
  [1927] = {.lex_state = 36, .external_lex_state = 3},
  [1928] = {.lex_state = 36, .external_lex_state = 3},
  [1929] = {.lex_state = 36, .external_lex_state = 3},
  [1930] = {.lex_state = 36, .external_lex_state = 3},
  [1931] = {.lex_state = 36, .external_lex_state = 3},
  [1932] = {.lex_state = 36, .external_lex_state = 3},
  [1933] = {.lex_state = 36, .external_lex_state = 3},
  [1934] = {.lex_state = 36, .external_lex_state = 3},
  [1935] = {.lex_state = 36, .external_lex_state = 3},
  [1936] = {.lex_state = 36, .external_lex_state = 3},
  [1937] = {.lex_state = 36, .external_lex_state = 3},
  [1938] = {.lex_state = 36, .external_lex_state = 3},
  [1939] = {.lex_state = 36, .external_lex_state = 3},
  [1940] = {.lex_state = 36, .external_lex_state = 3},
  [1941] = {.lex_state = 36, .external_lex_state = 3},
  [1942] = {.lex_state = 36, .external_lex_state = 3},
  [1943] = {.lex_state = 36, .external_lex_state = 3},
  [1944] = {.lex_state = 36, .external_lex_state = 3},
  [1945] = {.lex_state = 36, .external_lex_state = 3},
  [1946] = {.lex_state = 36, .external_lex_state = 3},
  [1947] = {.lex_state = 36, .external_lex_state = 3},
  [1948] = {.lex_state = 36, .external_lex_state = 3},
  [1949] = {.lex_state = 36, .external_lex_state = 3},
  [1950] = {.lex_state = 36, .external_lex_state = 3},
  [1951] = {.lex_state = 36, .external_lex_state = 3},
  [1952] = {.lex_state = 36, .external_lex_state = 3},
  [1953] = {.lex_state = 36, .external_lex_state = 3},
  [1954] = {.lex_state = 36, .external_lex_state = 3},
  [1955] = {.lex_state = 36, .external_lex_state = 3},
  [1956] = {.lex_state = 36, .external_lex_state = 3},
  [1957] = {.lex_state = 36, .external_lex_state = 3},
  [1958] = {.lex_state = 36, .external_lex_state = 3},
  [1959] = {.lex_state = 36, .external_lex_state = 3},
  [1960] = {.lex_state = 36, .external_lex_state = 3},
  [1961] = {.lex_state = 36, .external_lex_state = 3},
  [1962] = {.lex_state = 36, .external_lex_state = 3},
  [1963] = {.lex_state = 36, .external_lex_state = 3},
  [1964] = {.lex_state = 36, .external_lex_state = 3},
  [1965] = {.lex_state = 36, .external_lex_state = 3},
  [1966] = {.lex_state = 36, .external_lex_state = 3},
  [1967] = {.lex_state = 36, .external_lex_state = 3},
  [1968] = {.lex_state = 36, .external_lex_state = 3},
  [1969] = {.lex_state = 36, .external_lex_state = 3},
  [1970] = {.lex_state = 36, .external_lex_state = 3},
  [1971] = {.lex_state = 36, .external_lex_state = 3},
  [1972] = {.lex_state = 36, .external_lex_state = 3},
  [1973] = {.lex_state = 36, .external_lex_state = 3},
  [1974] = {.lex_state = 36, .external_lex_state = 3},
  [1975] = {.lex_state = 36, .external_lex_state = 3},
  [1976] = {.lex_state = 36, .external_lex_state = 3},
  [1977] = {.lex_state = 36, .external_lex_state = 3},
  [1978] = {.lex_state = 36, .external_lex_state = 3},
  [1979] = {.lex_state = 36, .external_lex_state = 3},
  [1980] = {.lex_state = 36, .external_lex_state = 3},
  [1981] = {.lex_state = 36, .external_lex_state = 3},
  [1982] = {.lex_state = 36, .external_lex_state = 3},
  [1983] = {.lex_state = 36, .external_lex_state = 3},
  [1984] = {.lex_state = 36, .external_lex_state = 3},
  [1985] = {.lex_state = 36, .external_lex_state = 3},
  [1986] = {.lex_state = 36, .external_lex_state = 3},
  [1987] = {.lex_state = 36, .external_lex_state = 3},
  [1988] = {.lex_state = 36, .external_lex_state = 3},
  [1989] = {.lex_state = 36, .external_lex_state = 3},
  [1990] = {.lex_state = 36, .external_lex_state = 3},
  [1991] = {.lex_state = 36, .external_lex_state = 3},
  [1992] = {.lex_state = 36, .external_lex_state = 3},
  [1993] = {.lex_state = 36, .external_lex_state = 3},
  [1994] = {.lex_state = 36, .external_lex_state = 3},
  [1995] = {.lex_state = 36, .external_lex_state = 3},
  [1996] = {.lex_state = 36, .external_lex_state = 3},
  [1997] = {.lex_state = 36, .external_lex_state = 3},
  [1998] = {.lex_state = 36, .external_lex_state = 3},
  [1999] = {.lex_state = 36, .external_lex_state = 3},
  [2000] = {.lex_state = 36, .external_lex_state = 3},
  [2001] = {.lex_state = 36, .external_lex_state = 3},
  [2002] = {.lex_state = 36, .external_lex_state = 3},
  [2003] = {.lex_state = 36, .external_lex_state = 3},
  [2004] = {.lex_state = 36, .external_lex_state = 3},
  [2005] = {.lex_state = 36, .external_lex_state = 3},
  [2006] = {.lex_state = 36, .external_lex_state = 3},
  [2007] = {.lex_state = 36, .external_lex_state = 3},
  [2008] = {.lex_state = 36, .external_lex_state = 3},
  [2009] = {.lex_state = 36, .external_lex_state = 3},
  [2010] = {.lex_state = 36, .external_lex_state = 3},
  [2011] = {.lex_state = 36, .external_lex_state = 3},
  [2012] = {.lex_state = 36, .external_lex_state = 3},
  [2013] = {.lex_state = 36, .external_lex_state = 3},
  [2014] = {.lex_state = 36, .external_lex_state = 3},
  [2015] = {.lex_state = 36, .external_lex_state = 3},
  [2016] = {.lex_state = 36, .external_lex_state = 3},
  [2017] = {.lex_state = 36, .external_lex_state = 3},
  [2018] = {.lex_state = 36, .external_lex_state = 3},
  [2019] = {.lex_state = 36, .external_lex_state = 3},
  [2020] = {.lex_state = 36, .external_lex_state = 3},
  [2021] = {.lex_state = 36, .external_lex_state = 3},
  [2022] = {.lex_state = 36, .external_lex_state = 3},
  [2023] = {.lex_state = 36, .external_lex_state = 3},
  [2024] = {.lex_state = 36, .external_lex_state = 3},
  [2025] = {.lex_state = 36, .external_lex_state = 3},
  [2026] = {.lex_state = 36, .external_lex_state = 3},
  [2027] = {.lex_state = 36, .external_lex_state = 3},
  [2028] = {.lex_state = 36, .external_lex_state = 3},
  [2029] = {.lex_state = 36, .external_lex_state = 3},
  [2030] = {.lex_state = 36, .external_lex_state = 3},
  [2031] = {.lex_state = 36, .external_lex_state = 3},
  [2032] = {.lex_state = 36, .external_lex_state = 3},
  [2033] = {.lex_state = 36, .external_lex_state = 3},
  [2034] = {.lex_state = 36, .external_lex_state = 3},
  [2035] = {.lex_state = 36, .external_lex_state = 3},
  [2036] = {.lex_state = 36, .external_lex_state = 3},
  [2037] = {.lex_state = 36, .external_lex_state = 3},
  [2038] = {.lex_state = 36, .external_lex_state = 3},
  [2039] = {.lex_state = 36, .external_lex_state = 3},
  [2040] = {.lex_state = 36, .external_lex_state = 3},
  [2041] = {.lex_state = 36, .external_lex_state = 3},
  [2042] = {.lex_state = 36, .external_lex_state = 3},
  [2043] = {.lex_state = 36, .external_lex_state = 3},
  [2044] = {.lex_state = 36, .external_lex_state = 3},
  [2045] = {.lex_state = 36, .external_lex_state = 3},
  [2046] = {.lex_state = 36, .external_lex_state = 3},
  [2047] = {.lex_state = 72, .external_lex_state = 3},
  [2048] = {.lex_state = 36, .external_lex_state = 3},
  [2049] = {.lex_state = 36, .external_lex_state = 3},
  [2050] = {.lex_state = 36, .external_lex_state = 3},
  [2051] = {.lex_state = 36, .external_lex_state = 3},
  [2052] = {.lex_state = 36, .external_lex_state = 3},
  [2053] = {.lex_state = 36, .external_lex_state = 3},
  [2054] = {.lex_state = 36, .external_lex_state = 3},
  [2055] = {.lex_state = 36, .external_lex_state = 3},
  [2056] = {.lex_state = 36, .external_lex_state = 3},
  [2057] = {.lex_state = 36, .external_lex_state = 3},
  [2058] = {.lex_state = 36, .external_lex_state = 3},
  [2059] = {.lex_state = 36, .external_lex_state = 3},
  [2060] = {.lex_state = 36, .external_lex_state = 3},
  [2061] = {.lex_state = 36, .external_lex_state = 3},
  [2062] = {.lex_state = 36, .external_lex_state = 3},
  [2063] = {.lex_state = 36, .external_lex_state = 3},
  [2064] = {.lex_state = 80, .external_lex_state = 3},
  [2065] = {.lex_state = 36, .external_lex_state = 3},
  [2066] = {.lex_state = 36, .external_lex_state = 3},
  [2067] = {.lex_state = 36, .external_lex_state = 3},
  [2068] = {.lex_state = 36, .external_lex_state = 3},
  [2069] = {.lex_state = 36, .external_lex_state = 3},
  [2070] = {.lex_state = 36, .external_lex_state = 3},
  [2071] = {.lex_state = 36, .external_lex_state = 3},
  [2072] = {.lex_state = 36, .external_lex_state = 3},
  [2073] = {.lex_state = 36, .external_lex_state = 3},
  [2074] = {.lex_state = 36, .external_lex_state = 3},
  [2075] = {.lex_state = 36, .external_lex_state = 3},
  [2076] = {.lex_state = 36, .external_lex_state = 3},
  [2077] = {.lex_state = 36, .external_lex_state = 3},
  [2078] = {.lex_state = 36, .external_lex_state = 3},
  [2079] = {.lex_state = 36, .external_lex_state = 3},
  [2080] = {.lex_state = 36, .external_lex_state = 3},
  [2081] = {.lex_state = 36, .external_lex_state = 3},
  [2082] = {.lex_state = 36, .external_lex_state = 3},
  [2083] = {.lex_state = 36, .external_lex_state = 3},
  [2084] = {.lex_state = 36, .external_lex_state = 3},
  [2085] = {.lex_state = 36, .external_lex_state = 3},
  [2086] = {.lex_state = 36, .external_lex_state = 3},
  [2087] = {.lex_state = 36, .external_lex_state = 3},
  [2088] = {.lex_state = 36, .external_lex_state = 3},
  [2089] = {.lex_state = 36, .external_lex_state = 3},
  [2090] = {.lex_state = 36, .external_lex_state = 3},
  [2091] = {.lex_state = 36, .external_lex_state = 3},
  [2092] = {.lex_state = 36, .external_lex_state = 3},
  [2093] = {.lex_state = 36, .external_lex_state = 3},
  [2094] = {.lex_state = 36, .external_lex_state = 3},
  [2095] = {.lex_state = 36, .external_lex_state = 3},
  [2096] = {.lex_state = 36, .external_lex_state = 3},
  [2097] = {.lex_state = 36, .external_lex_state = 3},
  [2098] = {.lex_state = 36, .external_lex_state = 3},
  [2099] = {.lex_state = 36, .external_lex_state = 3},
  [2100] = {.lex_state = 36, .external_lex_state = 3},
  [2101] = {.lex_state = 36, .external_lex_state = 3},
  [2102] = {.lex_state = 36, .external_lex_state = 3},
  [2103] = {.lex_state = 36, .external_lex_state = 3},
  [2104] = {.lex_state = 36, .external_lex_state = 3},
  [2105] = {.lex_state = 36, .external_lex_state = 3},
  [2106] = {.lex_state = 36, .external_lex_state = 3},
  [2107] = {.lex_state = 36, .external_lex_state = 3},
  [2108] = {.lex_state = 36, .external_lex_state = 3},
  [2109] = {.lex_state = 36, .external_lex_state = 3},
  [2110] = {.lex_state = 36, .external_lex_state = 3},
  [2111] = {.lex_state = 36, .external_lex_state = 3},
  [2112] = {.lex_state = 36, .external_lex_state = 3},
  [2113] = {.lex_state = 36, .external_lex_state = 3},
  [2114] = {.lex_state = 36, .external_lex_state = 3},
  [2115] = {.lex_state = 36, .external_lex_state = 3},
  [2116] = {.lex_state = 36, .external_lex_state = 3},
  [2117] = {.lex_state = 36, .external_lex_state = 3},
  [2118] = {.lex_state = 36, .external_lex_state = 3},
  [2119] = {.lex_state = 36, .external_lex_state = 3},
  [2120] = {.lex_state = 36, .external_lex_state = 3},
  [2121] = {.lex_state = 36, .external_lex_state = 3},
  [2122] = {.lex_state = 36, .external_lex_state = 3},
  [2123] = {.lex_state = 36, .external_lex_state = 3},
  [2124] = {.lex_state = 36, .external_lex_state = 3},
  [2125] = {.lex_state = 36, .external_lex_state = 3},
  [2126] = {.lex_state = 36, .external_lex_state = 3},
  [2127] = {.lex_state = 36, .external_lex_state = 3},
  [2128] = {.lex_state = 36, .external_lex_state = 3},
  [2129] = {.lex_state = 36, .external_lex_state = 3},
  [2130] = {.lex_state = 36, .external_lex_state = 3},
  [2131] = {.lex_state = 36, .external_lex_state = 3},
  [2132] = {.lex_state = 36, .external_lex_state = 3},
  [2133] = {.lex_state = 36, .external_lex_state = 3},
  [2134] = {.lex_state = 36, .external_lex_state = 3},
  [2135] = {.lex_state = 36, .external_lex_state = 3},
  [2136] = {.lex_state = 36, .external_lex_state = 3},
  [2137] = {.lex_state = 36, .external_lex_state = 3},
  [2138] = {.lex_state = 36, .external_lex_state = 3},
  [2139] = {.lex_state = 36, .external_lex_state = 3},
  [2140] = {.lex_state = 36, .external_lex_state = 3},
  [2141] = {.lex_state = 36, .external_lex_state = 3},
  [2142] = {.lex_state = 36, .external_lex_state = 3},
  [2143] = {.lex_state = 36, .external_lex_state = 3},
  [2144] = {.lex_state = 36, .external_lex_state = 3},
  [2145] = {.lex_state = 36, .external_lex_state = 3},
  [2146] = {.lex_state = 36, .external_lex_state = 3},
  [2147] = {.lex_state = 36, .external_lex_state = 3},
  [2148] = {.lex_state = 36, .external_lex_state = 3},
  [2149] = {.lex_state = 36, .external_lex_state = 3},
  [2150] = {.lex_state = 36, .external_lex_state = 3},
  [2151] = {.lex_state = 36, .external_lex_state = 3},
  [2152] = {.lex_state = 36, .external_lex_state = 3},
  [2153] = {.lex_state = 36, .external_lex_state = 3},
  [2154] = {.lex_state = 36, .external_lex_state = 3},
  [2155] = {.lex_state = 36, .external_lex_state = 3},
  [2156] = {.lex_state = 36, .external_lex_state = 3},
  [2157] = {.lex_state = 36, .external_lex_state = 3},
  [2158] = {.lex_state = 36, .external_lex_state = 3},
  [2159] = {.lex_state = 36, .external_lex_state = 3},
  [2160] = {.lex_state = 36, .external_lex_state = 3},
  [2161] = {.lex_state = 36, .external_lex_state = 3},
  [2162] = {.lex_state = 36, .external_lex_state = 3},
  [2163] = {.lex_state = 36, .external_lex_state = 3},
  [2164] = {.lex_state = 36, .external_lex_state = 3},
  [2165] = {.lex_state = 36, .external_lex_state = 3},
  [2166] = {.lex_state = 36, .external_lex_state = 3},
  [2167] = {.lex_state = 36, .external_lex_state = 3},
  [2168] = {.lex_state = 36, .external_lex_state = 3},
  [2169] = {.lex_state = 36, .external_lex_state = 3},
  [2170] = {.lex_state = 36, .external_lex_state = 3},
  [2171] = {.lex_state = 36, .external_lex_state = 3},
  [2172] = {.lex_state = 36, .external_lex_state = 3},
  [2173] = {.lex_state = 36, .external_lex_state = 3},
  [2174] = {.lex_state = 36, .external_lex_state = 3},
  [2175] = {.lex_state = 36, .external_lex_state = 3},
  [2176] = {.lex_state = 36, .external_lex_state = 3},
  [2177] = {.lex_state = 36, .external_lex_state = 3},
  [2178] = {.lex_state = 36, .external_lex_state = 3},
  [2179] = {.lex_state = 36, .external_lex_state = 3},
  [2180] = {.lex_state = 36, .external_lex_state = 3},
  [2181] = {.lex_state = 36, .external_lex_state = 3},
  [2182] = {.lex_state = 36, .external_lex_state = 3},
  [2183] = {.lex_state = 36, .external_lex_state = 3},
  [2184] = {.lex_state = 36, .external_lex_state = 3},
  [2185] = {.lex_state = 36, .external_lex_state = 3},
  [2186] = {.lex_state = 36, .external_lex_state = 3},
  [2187] = {.lex_state = 36, .external_lex_state = 3},
  [2188] = {.lex_state = 36, .external_lex_state = 3},
  [2189] = {.lex_state = 36, .external_lex_state = 3},
  [2190] = {.lex_state = 36, .external_lex_state = 3},
  [2191] = {.lex_state = 36, .external_lex_state = 3},
  [2192] = {.lex_state = 36, .external_lex_state = 3},
  [2193] = {.lex_state = 36, .external_lex_state = 3},
  [2194] = {.lex_state = 36, .external_lex_state = 3},
  [2195] = {.lex_state = 36, .external_lex_state = 3},
  [2196] = {.lex_state = 36, .external_lex_state = 3},
  [2197] = {.lex_state = 36, .external_lex_state = 3},
  [2198] = {.lex_state = 36, .external_lex_state = 3},
  [2199] = {.lex_state = 36, .external_lex_state = 3},
  [2200] = {.lex_state = 36, .external_lex_state = 3},
  [2201] = {.lex_state = 36, .external_lex_state = 3},
  [2202] = {.lex_state = 36, .external_lex_state = 3},
  [2203] = {.lex_state = 36, .external_lex_state = 3},
  [2204] = {.lex_state = 36, .external_lex_state = 3},
  [2205] = {.lex_state = 36, .external_lex_state = 3},
  [2206] = {.lex_state = 36, .external_lex_state = 3},
  [2207] = {.lex_state = 36, .external_lex_state = 3},
  [2208] = {.lex_state = 36, .external_lex_state = 3},
  [2209] = {.lex_state = 36, .external_lex_state = 3},
  [2210] = {.lex_state = 36, .external_lex_state = 3},
  [2211] = {.lex_state = 36, .external_lex_state = 3},
  [2212] = {.lex_state = 36, .external_lex_state = 3},
  [2213] = {.lex_state = 36, .external_lex_state = 3},
  [2214] = {.lex_state = 36, .external_lex_state = 3},
  [2215] = {.lex_state = 36, .external_lex_state = 3},
  [2216] = {.lex_state = 80, .external_lex_state = 3},
  [2217] = {.lex_state = 36, .external_lex_state = 3},
  [2218] = {.lex_state = 36, .external_lex_state = 3},
  [2219] = {.lex_state = 36, .external_lex_state = 3},
  [2220] = {.lex_state = 36, .external_lex_state = 3},
  [2221] = {.lex_state = 36, .external_lex_state = 3},
  [2222] = {.lex_state = 36, .external_lex_state = 3},
  [2223] = {.lex_state = 36, .external_lex_state = 3},
  [2224] = {.lex_state = 36, .external_lex_state = 3},
  [2225] = {.lex_state = 36, .external_lex_state = 3},
  [2226] = {.lex_state = 36, .external_lex_state = 3},
  [2227] = {.lex_state = 36, .external_lex_state = 3},
  [2228] = {.lex_state = 36, .external_lex_state = 3},
  [2229] = {.lex_state = 36, .external_lex_state = 3},
  [2230] = {.lex_state = 36, .external_lex_state = 3},
  [2231] = {.lex_state = 36, .external_lex_state = 3},
  [2232] = {.lex_state = 36, .external_lex_state = 3},
  [2233] = {.lex_state = 36, .external_lex_state = 3},
  [2234] = {.lex_state = 36, .external_lex_state = 3},
  [2235] = {.lex_state = 36, .external_lex_state = 3},
  [2236] = {.lex_state = 36, .external_lex_state = 3},
  [2237] = {.lex_state = 36, .external_lex_state = 3},
  [2238] = {.lex_state = 36, .external_lex_state = 3},
  [2239] = {.lex_state = 36, .external_lex_state = 3},
  [2240] = {.lex_state = 36, .external_lex_state = 3},
  [2241] = {.lex_state = 36, .external_lex_state = 3},
  [2242] = {.lex_state = 36, .external_lex_state = 3},
  [2243] = {.lex_state = 36, .external_lex_state = 3},
  [2244] = {.lex_state = 36, .external_lex_state = 3},
  [2245] = {.lex_state = 36, .external_lex_state = 3},
  [2246] = {.lex_state = 36, .external_lex_state = 3},
  [2247] = {.lex_state = 36, .external_lex_state = 3},
  [2248] = {.lex_state = 36, .external_lex_state = 3},
  [2249] = {.lex_state = 36, .external_lex_state = 3},
  [2250] = {.lex_state = 36, .external_lex_state = 3},
  [2251] = {.lex_state = 36, .external_lex_state = 3},
  [2252] = {.lex_state = 36, .external_lex_state = 3},
  [2253] = {.lex_state = 36, .external_lex_state = 3},
  [2254] = {.lex_state = 36, .external_lex_state = 3},
  [2255] = {.lex_state = 36, .external_lex_state = 3},
  [2256] = {.lex_state = 36, .external_lex_state = 3},
  [2257] = {.lex_state = 92, .external_lex_state = 3},
  [2258] = {.lex_state = 36, .external_lex_state = 3},
  [2259] = {.lex_state = 36, .external_lex_state = 3},
  [2260] = {.lex_state = 36, .external_lex_state = 3},
  [2261] = {.lex_state = 36, .external_lex_state = 3},
  [2262] = {.lex_state = 36, .external_lex_state = 3},
  [2263] = {.lex_state = 36, .external_lex_state = 3},
  [2264] = {.lex_state = 36, .external_lex_state = 3},
  [2265] = {.lex_state = 36, .external_lex_state = 3},
  [2266] = {.lex_state = 36, .external_lex_state = 3},
  [2267] = {.lex_state = 36, .external_lex_state = 3},
  [2268] = {.lex_state = 36, .external_lex_state = 3},
  [2269] = {.lex_state = 36, .external_lex_state = 3},
  [2270] = {.lex_state = 36, .external_lex_state = 3},
  [2271] = {.lex_state = 36, .external_lex_state = 3},
  [2272] = {.lex_state = 36, .external_lex_state = 3},
  [2273] = {.lex_state = 36, .external_lex_state = 3},
  [2274] = {.lex_state = 75, .external_lex_state = 3},
  [2275] = {.lex_state = 36, .external_lex_state = 3},
  [2276] = {.lex_state = 36, .external_lex_state = 3},
  [2277] = {.lex_state = 36, .external_lex_state = 3},
  [2278] = {.lex_state = 36, .external_lex_state = 3},
  [2279] = {.lex_state = 36, .external_lex_state = 3},
  [2280] = {.lex_state = 36, .external_lex_state = 3},
  [2281] = {.lex_state = 36, .external_lex_state = 3},
  [2282] = {.lex_state = 36, .external_lex_state = 3},
  [2283] = {.lex_state = 36, .external_lex_state = 3},
  [2284] = {.lex_state = 36, .external_lex_state = 3},
  [2285] = {.lex_state = 36, .external_lex_state = 3},
  [2286] = {.lex_state = 36, .external_lex_state = 3},
  [2287] = {.lex_state = 36, .external_lex_state = 3},
  [2288] = {.lex_state = 36, .external_lex_state = 3},
  [2289] = {.lex_state = 36, .external_lex_state = 3},
  [2290] = {.lex_state = 36, .external_lex_state = 3},
  [2291] = {.lex_state = 36, .external_lex_state = 3},
  [2292] = {.lex_state = 36, .external_lex_state = 3},
  [2293] = {.lex_state = 36, .external_lex_state = 3},
  [2294] = {.lex_state = 36, .external_lex_state = 3},
  [2295] = {.lex_state = 36, .external_lex_state = 3},
  [2296] = {.lex_state = 36, .external_lex_state = 3},
  [2297] = {.lex_state = 36, .external_lex_state = 3},
  [2298] = {.lex_state = 36, .external_lex_state = 3},
  [2299] = {.lex_state = 36, .external_lex_state = 3},
  [2300] = {.lex_state = 36, .external_lex_state = 3},
  [2301] = {.lex_state = 36, .external_lex_state = 3},
  [2302] = {.lex_state = 36, .external_lex_state = 3},
  [2303] = {.lex_state = 36, .external_lex_state = 3},
  [2304] = {.lex_state = 36, .external_lex_state = 3},
  [2305] = {.lex_state = 36, .external_lex_state = 3},
  [2306] = {.lex_state = 36, .external_lex_state = 3},
  [2307] = {.lex_state = 36, .external_lex_state = 3},
  [2308] = {.lex_state = 36, .external_lex_state = 3},
  [2309] = {.lex_state = 36, .external_lex_state = 3},
  [2310] = {.lex_state = 36, .external_lex_state = 3},
  [2311] = {.lex_state = 36, .external_lex_state = 3},
  [2312] = {.lex_state = 36, .external_lex_state = 3},
  [2313] = {.lex_state = 36, .external_lex_state = 3},
  [2314] = {.lex_state = 36, .external_lex_state = 3},
  [2315] = {.lex_state = 79, .external_lex_state = 3},
  [2316] = {.lex_state = 36, .external_lex_state = 3},
  [2317] = {.lex_state = 36, .external_lex_state = 3},
  [2318] = {.lex_state = 75, .external_lex_state = 3},
  [2319] = {.lex_state = 79, .external_lex_state = 3},
  [2320] = {.lex_state = 36, .external_lex_state = 3},
  [2321] = {.lex_state = 36, .external_lex_state = 3},
  [2322] = {.lex_state = 36, .external_lex_state = 3},
  [2323] = {.lex_state = 36, .external_lex_state = 3},
  [2324] = {.lex_state = 36, .external_lex_state = 3},
  [2325] = {.lex_state = 36, .external_lex_state = 3},
  [2326] = {.lex_state = 36, .external_lex_state = 3},
  [2327] = {.lex_state = 36, .external_lex_state = 3},
  [2328] = {.lex_state = 36, .external_lex_state = 3},
  [2329] = {.lex_state = 36, .external_lex_state = 3},
  [2330] = {.lex_state = 36, .external_lex_state = 3},
  [2331] = {.lex_state = 36, .external_lex_state = 3},
  [2332] = {.lex_state = 36, .external_lex_state = 3},
  [2333] = {.lex_state = 36, .external_lex_state = 3},
  [2334] = {.lex_state = 36, .external_lex_state = 3},
  [2335] = {.lex_state = 36, .external_lex_state = 3},
  [2336] = {.lex_state = 36, .external_lex_state = 3},
  [2337] = {.lex_state = 36, .external_lex_state = 3},
  [2338] = {.lex_state = 36, .external_lex_state = 3},
  [2339] = {.lex_state = 36, .external_lex_state = 3},
  [2340] = {.lex_state = 36, .external_lex_state = 3},
  [2341] = {.lex_state = 36, .external_lex_state = 3},
  [2342] = {.lex_state = 36, .external_lex_state = 3},
  [2343] = {.lex_state = 36, .external_lex_state = 3},
  [2344] = {.lex_state = 36, .external_lex_state = 3},
  [2345] = {.lex_state = 36, .external_lex_state = 3},
  [2346] = {.lex_state = 36, .external_lex_state = 3},
  [2347] = {.lex_state = 36, .external_lex_state = 3},
  [2348] = {.lex_state = 36, .external_lex_state = 3},
  [2349] = {.lex_state = 36, .external_lex_state = 3},
  [2350] = {.lex_state = 36, .external_lex_state = 3},
  [2351] = {.lex_state = 36, .external_lex_state = 3},
  [2352] = {.lex_state = 36, .external_lex_state = 3},
  [2353] = {.lex_state = 36, .external_lex_state = 3},
  [2354] = {.lex_state = 36, .external_lex_state = 3},
  [2355] = {.lex_state = 36, .external_lex_state = 3},
  [2356] = {.lex_state = 36, .external_lex_state = 3},
  [2357] = {.lex_state = 36, .external_lex_state = 3},
  [2358] = {.lex_state = 36, .external_lex_state = 3},
  [2359] = {.lex_state = 36, .external_lex_state = 3},
  [2360] = {.lex_state = 36, .external_lex_state = 3},
  [2361] = {.lex_state = 36, .external_lex_state = 3},
  [2362] = {.lex_state = 36, .external_lex_state = 3},
  [2363] = {.lex_state = 36, .external_lex_state = 3},
  [2364] = {.lex_state = 36, .external_lex_state = 3},
  [2365] = {.lex_state = 36, .external_lex_state = 3},
  [2366] = {.lex_state = 36, .external_lex_state = 3},
  [2367] = {.lex_state = 36, .external_lex_state = 3},
  [2368] = {.lex_state = 36, .external_lex_state = 3},
  [2369] = {.lex_state = 36, .external_lex_state = 3},
  [2370] = {.lex_state = 36, .external_lex_state = 3},
  [2371] = {.lex_state = 36, .external_lex_state = 3},
  [2372] = {.lex_state = 36, .external_lex_state = 3},
  [2373] = {.lex_state = 36, .external_lex_state = 3},
  [2374] = {.lex_state = 36, .external_lex_state = 3},
  [2375] = {.lex_state = 36, .external_lex_state = 3},
  [2376] = {.lex_state = 36, .external_lex_state = 3},
  [2377] = {.lex_state = 36, .external_lex_state = 3},
  [2378] = {.lex_state = 36, .external_lex_state = 3},
  [2379] = {.lex_state = 36, .external_lex_state = 3},
  [2380] = {.lex_state = 36, .external_lex_state = 3},
  [2381] = {.lex_state = 36, .external_lex_state = 3},
  [2382] = {.lex_state = 36, .external_lex_state = 3},
  [2383] = {.lex_state = 36, .external_lex_state = 3},
  [2384] = {.lex_state = 36, .external_lex_state = 3},
  [2385] = {.lex_state = 36, .external_lex_state = 3},
  [2386] = {.lex_state = 36, .external_lex_state = 3},
  [2387] = {.lex_state = 36, .external_lex_state = 3},
  [2388] = {.lex_state = 36, .external_lex_state = 3},
  [2389] = {.lex_state = 36, .external_lex_state = 3},
  [2390] = {.lex_state = 36, .external_lex_state = 3},
  [2391] = {.lex_state = 36, .external_lex_state = 3},
  [2392] = {.lex_state = 36, .external_lex_state = 3},
  [2393] = {.lex_state = 36, .external_lex_state = 3},
  [2394] = {.lex_state = 36, .external_lex_state = 3},
  [2395] = {.lex_state = 36, .external_lex_state = 3},
  [2396] = {.lex_state = 36, .external_lex_state = 3},
  [2397] = {.lex_state = 36, .external_lex_state = 3},
  [2398] = {.lex_state = 36, .external_lex_state = 3},
  [2399] = {.lex_state = 36, .external_lex_state = 3},
  [2400] = {.lex_state = 36, .external_lex_state = 3},
  [2401] = {.lex_state = 36, .external_lex_state = 3},
  [2402] = {.lex_state = 36, .external_lex_state = 3},
  [2403] = {.lex_state = 36, .external_lex_state = 3},
  [2404] = {.lex_state = 36, .external_lex_state = 3},
  [2405] = {.lex_state = 36, .external_lex_state = 3},
  [2406] = {.lex_state = 36, .external_lex_state = 3},
  [2407] = {.lex_state = 36, .external_lex_state = 3},
  [2408] = {.lex_state = 36, .external_lex_state = 3},
  [2409] = {.lex_state = 36, .external_lex_state = 3},
  [2410] = {.lex_state = 36, .external_lex_state = 3},
  [2411] = {.lex_state = 81, .external_lex_state = 3},
  [2412] = {.lex_state = 73, .external_lex_state = 3},
  [2413] = {.lex_state = 81, .external_lex_state = 3},
  [2414] = {.lex_state = 73, .external_lex_state = 3},
  [2415] = {.lex_state = 82, .external_lex_state = 3},
  [2416] = {.lex_state = 82, .external_lex_state = 3},
  [2417] = {.lex_state = 77, .external_lex_state = 3},
  [2418] = {.lex_state = 77, .external_lex_state = 3},
  [2419] = {.lex_state = 83, .external_lex_state = 3},
  [2420] = {.lex_state = 76, .external_lex_state = 3},
  [2421] = {.lex_state = 83, .external_lex_state = 3},
  [2422] = {.lex_state = 76, .external_lex_state = 3},
  [2423] = {.lex_state = 116, .external_lex_state = 3},
  [2424] = {.lex_state = 117, .external_lex_state = 3},
  [2425] = {.lex_state = 85, .external_lex_state = 3},
  [2426] = {.lex_state = 84, .external_lex_state = 3},
  [2427] = {.lex_state = 87, .external_lex_state = 3},
  [2428] = {.lex_state = 116, .external_lex_state = 3},
  [2429] = {.lex_state = 116, .external_lex_state = 3},
  [2430] = {.lex_state = 86, .external_lex_state = 3},
  [2431] = {.lex_state = 117, .external_lex_state = 3},
  [2432] = {.lex_state = 117, .external_lex_state = 3},
  [2433] = {.lex_state = 85, .external_lex_state = 3},
  [2434] = {.lex_state = 85, .external_lex_state = 3},
  [2435] = {.lex_state = 84, .external_lex_state = 3},
  [2436] = {.lex_state = 84, .external_lex_state = 3},
  [2437] = {.lex_state = 87, .external_lex_state = 3},
  [2438] = {.lex_state = 87, .external_lex_state = 3},
  [2439] = {.lex_state = 130, .external_lex_state = 3},
  [2440] = {.lex_state = 131, .external_lex_state = 3},
  [2441] = {.lex_state = 86, .external_lex_state = 3},
  [2442] = {.lex_state = 177, .external_lex_state = 3},
  [2443] = {.lex_state = 86, .external_lex_state = 3},
  [2444] = {.lex_state = 179, .external_lex_state = 3},
  [2445] = {.lex_state = 179, .external_lex_state = 3},
  [2446] = {.lex_state = 177, .external_lex_state = 3},
  [2447] = {.lex_state = 180, .external_lex_state = 3},
  [2448] = {.lex_state = 180, .external_lex_state = 3},
  [2449] = {.lex_state = 178, .external_lex_state = 3},
  [2450] = {.lex_state = 178, .external_lex_state = 3},
  [2451] = {.lex_state = 120, .external_lex_state = 3},
  [2452] = {.lex_state = 126, .external_lex_state = 3},
  [2453] = {.lex_state = 124, .external_lex_state = 3},
  [2454] = {.lex_state = 125, .external_lex_state = 3},
  [2455] = {.lex_state = 130, .external_lex_state = 3},
  [2456] = {.lex_state = 121, .external_lex_state = 3},
  [2457] = {.lex_state = 130, .external_lex_state = 3},
  [2458] = {.lex_state = 118, .external_lex_state = 3},
  [2459] = {.lex_state = 122, .external_lex_state = 3},
  [2460] = {.lex_state = 132, .external_lex_state = 3},
  [2461] = {.lex_state = 132, .external_lex_state = 3},
  [2462] = {.lex_state = 127, .external_lex_state = 3},
  [2463] = {.lex_state = 132, .external_lex_state = 3},
  [2464] = {.lex_state = 132, .external_lex_state = 3},
  [2465] = {.lex_state = 119, .external_lex_state = 3},
  [2466] = {.lex_state = 132, .external_lex_state = 3},
  [2467] = {.lex_state = 132, .external_lex_state = 3},
  [2468] = {.lex_state = 132, .external_lex_state = 3},
  [2469] = {.lex_state = 123, .external_lex_state = 3},
  [2470] = {.lex_state = 131, .external_lex_state = 3},
  [2471] = {.lex_state = 179, .external_lex_state = 3},
  [2472] = {.lex_state = 177, .external_lex_state = 3},
  [2473] = {.lex_state = 132, .external_lex_state = 3},
  [2474] = {.lex_state = 131, .external_lex_state = 3},
  [2475] = {.lex_state = 128, .external_lex_state = 3},
  [2476] = {.lex_state = 129, .external_lex_state = 3},
  [2477] = {.lex_state = 120, .external_lex_state = 3},
  [2478] = {.lex_state = 24, .external_lex_state = 3},
  [2479] = {.lex_state = 26, .external_lex_state = 3},
  [2480] = {.lex_state = 24, .external_lex_state = 3},
  [2481] = {.lex_state = 26, .external_lex_state = 3},
  [2482] = {.lex_state = 24, .external_lex_state = 3},
  [2483] = {.lex_state = 180, .external_lex_state = 3},
  [2484] = {.lex_state = 120, .external_lex_state = 3},
  [2485] = {.lex_state = 178, .external_lex_state = 3},
  [2486] = {.lex_state = 26, .external_lex_state = 3},
  [2487] = {.lex_state = 133, .external_lex_state = 3},
  [2488] = {.lex_state = 118, .external_lex_state = 3},
  [2489] = {.lex_state = 133, .external_lex_state = 3},
  [2490] = {.lex_state = 133, .external_lex_state = 3},
  [2491] = {.lex_state = 133, .external_lex_state = 3},
  [2492] = {.lex_state = 133, .external_lex_state = 3},
  [2493] = {.lex_state = 133, .external_lex_state = 3},
  [2494] = {.lex_state = 126, .external_lex_state = 3},
  [2495] = {.lex_state = 124, .external_lex_state = 3},
  [2496] = {.lex_state = 125, .external_lex_state = 3},
  [2497] = {.lex_state = 118, .external_lex_state = 3},
  [2498] = {.lex_state = 125, .external_lex_state = 3},
  [2499] = {.lex_state = 122, .external_lex_state = 3},
  [2500] = {.lex_state = 126, .external_lex_state = 3},
  [2501] = {.lex_state = 133, .external_lex_state = 3},
  [2502] = {.lex_state = 121, .external_lex_state = 3},
  [2503] = {.lex_state = 124, .external_lex_state = 3},
  [2504] = {.lex_state = 133, .external_lex_state = 3},
  [2505] = {.lex_state = 121, .external_lex_state = 3},
  [2506] = {.lex_state = 122, .external_lex_state = 3},
  [2507] = {.lex_state = 127, .external_lex_state = 3},
  [2508] = {.lex_state = 123, .external_lex_state = 3},
  [2509] = {.lex_state = 30, .external_lex_state = 3},
  [2510] = {.lex_state = 128, .external_lex_state = 3},
  [2511] = {.lex_state = 30, .external_lex_state = 3},
  [2512] = {.lex_state = 30, .external_lex_state = 3},
  [2513] = {.lex_state = 123, .external_lex_state = 3},
  [2514] = {.lex_state = 129, .external_lex_state = 3},
  [2515] = {.lex_state = 119, .external_lex_state = 3},
  [2516] = {.lex_state = 420, .external_lex_state = 3},
  [2517] = {.lex_state = 420, .external_lex_state = 3},
  [2518] = {.lex_state = 127, .external_lex_state = 3},
  [2519] = {.lex_state = 128, .external_lex_state = 3},
  [2520] = {.lex_state = 420, .external_lex_state = 3},
  [2521] = {.lex_state = 119, .external_lex_state = 3},
  [2522] = {.lex_state = 420, .external_lex_state = 3},
  [2523] = {.lex_state = 420, .external_lex_state = 3},
  [2524] = {.lex_state = 129, .external_lex_state = 3},
  [2525] = {.lex_state = 420, .external_lex_state = 3},
  [2526] = {.lex_state = 134, .external_lex_state = 3},
  [2527] = {.lex_state = 134, .external_lex_state = 3},
  [2528] = {.lex_state = 134, .external_lex_state = 3},
  [2529] = {.lex_state = 134, .external_lex_state = 3},
  [2530] = {.lex_state = 134, .external_lex_state = 3},
  [2531] = {.lex_state = 134, .external_lex_state = 3},
  [2532] = {.lex_state = 134, .external_lex_state = 3},
  [2533] = {.lex_state = 172, .external_lex_state = 3},
  [2534] = {.lex_state = 173, .external_lex_state = 3},
  [2535] = {.lex_state = 173, .external_lex_state = 3},
  [2536] = {.lex_state = 173, .external_lex_state = 3},
  [2537] = {.lex_state = 173, .external_lex_state = 3},
  [2538] = {.lex_state = 31, .external_lex_state = 3},
  [2539] = {.lex_state = 173, .external_lex_state = 3},
  [2540] = {.lex_state = 172, .external_lex_state = 3},
  [2541] = {.lex_state = 173, .external_lex_state = 3},
  [2542] = {.lex_state = 173, .external_lex_state = 3},
  [2543] = {.lex_state = 172, .external_lex_state = 3},
  [2544] = {.lex_state = 172, .external_lex_state = 3},
  [2545] = {.lex_state = 172, .external_lex_state = 3},
  [2546] = {.lex_state = 172, .external_lex_state = 3},
  [2547] = {.lex_state = 31, .external_lex_state = 3},
  [2548] = {.lex_state = 173, .external_lex_state = 3},
  [2549] = {.lex_state = 31, .external_lex_state = 3},
  [2550] = {.lex_state = 173, .external_lex_state = 3},
  [2551] = {.lex_state = 173, .external_lex_state = 3},
  [2552] = {.lex_state = 172, .external_lex_state = 3},
  [2553] = {.lex_state = 172, .external_lex_state = 3},
  [2554] = {.lex_state = 172, .external_lex_state = 3},
  [2555] = {.lex_state = 172, .external_lex_state = 3},
  [2556] = {.lex_state = 422, .external_lex_state = 3},
  [2557] = {.lex_state = 422, .external_lex_state = 3},
  [2558] = {.lex_state = 422, .external_lex_state = 3},
  [2559] = {.lex_state = 422, .external_lex_state = 3},
  [2560] = {.lex_state = 174, .external_lex_state = 3},
  [2561] = {.lex_state = 422, .external_lex_state = 3},
  [2562] = {.lex_state = 422, .external_lex_state = 3},
  [2563] = {.lex_state = 422, .external_lex_state = 3},
  [2564] = {.lex_state = 174, .external_lex_state = 3},
  [2565] = {.lex_state = 422, .external_lex_state = 3},
  [2566] = {.lex_state = 422, .external_lex_state = 3},
  [2567] = {.lex_state = 422, .external_lex_state = 3},
  [2568] = {.lex_state = 422, .external_lex_state = 3},
  [2569] = {.lex_state = 422, .external_lex_state = 3},
  [2570] = {.lex_state = 174, .external_lex_state = 3},
  [2571] = {.lex_state = 422, .external_lex_state = 3},
  [2572] = {.lex_state = 422, .external_lex_state = 3},
  [2573] = {.lex_state = 422, .external_lex_state = 3},
  [2574] = {.lex_state = 174, .external_lex_state = 3},
  [2575] = {.lex_state = 174, .external_lex_state = 3},
  [2576] = {.lex_state = 174, .external_lex_state = 3},
  [2577] = {.lex_state = 174, .external_lex_state = 3},
  [2578] = {.lex_state = 174, .external_lex_state = 3},
  [2579] = {.lex_state = 174, .external_lex_state = 3},
  [2580] = {.lex_state = 422, .external_lex_state = 3},
  [2581] = {.lex_state = 174, .external_lex_state = 3},
  [2582] = {.lex_state = 422, .external_lex_state = 3},
  [2583] = {.lex_state = 422, .external_lex_state = 3},
  [2584] = {.lex_state = 422, .external_lex_state = 3},
  [2585] = {.lex_state = 422, .external_lex_state = 3},
  [2586] = {.lex_state = 172, .external_lex_state = 3},
  [2587] = {.lex_state = 173, .external_lex_state = 3},
  [2588] = {.lex_state = 167, .external_lex_state = 3},
  [2589] = {.lex_state = 422, .external_lex_state = 3},
  [2590] = {.lex_state = 174, .external_lex_state = 3},
  [2591] = {.lex_state = 181, .external_lex_state = 3},
  [2592] = {.lex_state = 181, .external_lex_state = 3},
  [2593] = {.lex_state = 167, .external_lex_state = 3},
  [2594] = {.lex_state = 170, .external_lex_state = 3},
  [2595] = {.lex_state = 170, .external_lex_state = 3},
  [2596] = {.lex_state = 170, .external_lex_state = 3},
  [2597] = {.lex_state = 167, .external_lex_state = 3},
  [2598] = {.lex_state = 170, .external_lex_state = 3},
  [2599] = {.lex_state = 170, .external_lex_state = 3},
  [2600] = {.lex_state = 170, .external_lex_state = 3},
  [2601] = {.lex_state = 168, .external_lex_state = 3},
  [2602] = {.lex_state = 168, .external_lex_state = 3},
  [2603] = {.lex_state = 168, .external_lex_state = 3},
  [2604] = {.lex_state = 168, .external_lex_state = 3},
  [2605] = {.lex_state = 168, .external_lex_state = 3},
  [2606] = {.lex_state = 168, .external_lex_state = 3},
  [2607] = {.lex_state = 167, .external_lex_state = 3},
  [2608] = {.lex_state = 168, .external_lex_state = 3},
  [2609] = {.lex_state = 168, .external_lex_state = 3},
  [2610] = {.lex_state = 168, .external_lex_state = 3},
  [2611] = {.lex_state = 168, .external_lex_state = 3},
  [2612] = {.lex_state = 168, .external_lex_state = 3},
  [2613] = {.lex_state = 168, .external_lex_state = 3},
  [2614] = {.lex_state = 168, .external_lex_state = 3},
  [2615] = {.lex_state = 168, .external_lex_state = 3},
  [2616] = {.lex_state = 168, .external_lex_state = 3},
  [2617] = {.lex_state = 181, .external_lex_state = 3},
  [2618] = {.lex_state = 168, .external_lex_state = 3},
  [2619] = {.lex_state = 168, .external_lex_state = 3},
  [2620] = {.lex_state = 168, .external_lex_state = 3},
  [2621] = {.lex_state = 168, .external_lex_state = 3},
  [2622] = {.lex_state = 168, .external_lex_state = 3},
  [2623] = {.lex_state = 168, .external_lex_state = 3},
  [2624] = {.lex_state = 168, .external_lex_state = 3},
  [2625] = {.lex_state = 168, .external_lex_state = 3},
  [2626] = {.lex_state = 168, .external_lex_state = 3},
  [2627] = {.lex_state = 168, .external_lex_state = 3},
  [2628] = {.lex_state = 168, .external_lex_state = 3},
  [2629] = {.lex_state = 168, .external_lex_state = 3},
  [2630] = {.lex_state = 168, .external_lex_state = 3},
  [2631] = {.lex_state = 168, .external_lex_state = 3},
  [2632] = {.lex_state = 168, .external_lex_state = 3},
  [2633] = {.lex_state = 168, .external_lex_state = 3},
  [2634] = {.lex_state = 168, .external_lex_state = 3},
  [2635] = {.lex_state = 168, .external_lex_state = 3},
  [2636] = {.lex_state = 182, .external_lex_state = 3},
  [2637] = {.lex_state = 168, .external_lex_state = 3},
  [2638] = {.lex_state = 168, .external_lex_state = 3},
  [2639] = {.lex_state = 168, .external_lex_state = 3},
  [2640] = {.lex_state = 168, .external_lex_state = 3},
  [2641] = {.lex_state = 168, .external_lex_state = 3},
  [2642] = {.lex_state = 168, .external_lex_state = 3},
  [2643] = {.lex_state = 168, .external_lex_state = 3},
  [2644] = {.lex_state = 168, .external_lex_state = 3},
  [2645] = {.lex_state = 168, .external_lex_state = 3},
  [2646] = {.lex_state = 168, .external_lex_state = 3},
  [2647] = {.lex_state = 168, .external_lex_state = 3},
  [2648] = {.lex_state = 168, .external_lex_state = 3},
  [2649] = {.lex_state = 168, .external_lex_state = 3},
  [2650] = {.lex_state = 168, .external_lex_state = 3},
  [2651] = {.lex_state = 168, .external_lex_state = 3},
  [2652] = {.lex_state = 28, .external_lex_state = 3},
  [2653] = {.lex_state = 28, .external_lex_state = 3},
  [2654] = {.lex_state = 182, .external_lex_state = 3},
  [2655] = {.lex_state = 430, .external_lex_state = 2},
  [2656] = {.lex_state = 28, .external_lex_state = 3},
  [2657] = {.lex_state = 94, .external_lex_state = 3},
  [2658] = {.lex_state = 90, .external_lex_state = 3},
  [2659] = {.lex_state = 167, .external_lex_state = 3},
  [2660] = {.lex_state = 167, .external_lex_state = 3},
  [2661] = {.lex_state = 167, .external_lex_state = 3},
  [2662] = {.lex_state = 167, .external_lex_state = 3},
  [2663] = {.lex_state = 167, .external_lex_state = 3},
  [2664] = {.lex_state = 167, .external_lex_state = 3},
  [2665] = {.lex_state = 167, .external_lex_state = 3},
  [2666] = {.lex_state = 167, .external_lex_state = 3},
  [2667] = {.lex_state = 167, .external_lex_state = 3},
  [2668] = {.lex_state = 167, .external_lex_state = 3},
  [2669] = {.lex_state = 167, .external_lex_state = 3},
  [2670] = {.lex_state = 167, .external_lex_state = 3},
  [2671] = {.lex_state = 167, .external_lex_state = 3},
  [2672] = {.lex_state = 167, .external_lex_state = 3},
  [2673] = {.lex_state = 167, .external_lex_state = 3},
  [2674] = {.lex_state = 167, .external_lex_state = 3},
  [2675] = {.lex_state = 167, .external_lex_state = 3},
  [2676] = {.lex_state = 90, .external_lex_state = 3},
  [2677] = {.lex_state = 94, .external_lex_state = 3},
  [2678] = {.lex_state = 90, .external_lex_state = 3},
  [2679] = {.lex_state = 90, .external_lex_state = 3},
  [2680] = {.lex_state = 167, .external_lex_state = 3},
  [2681] = {.lex_state = 90, .external_lex_state = 3},
  [2682] = {.lex_state = 167, .external_lex_state = 3},
  [2683] = {.lex_state = 94, .external_lex_state = 3},
  [2684] = {.lex_state = 90, .external_lex_state = 3},
  [2685] = {.lex_state = 167, .external_lex_state = 3},
  [2686] = {.lex_state = 167, .external_lex_state = 3},
  [2687] = {.lex_state = 90, .external_lex_state = 3},
  [2688] = {.lex_state = 94, .external_lex_state = 3},
  [2689] = {.lex_state = 167, .external_lex_state = 3},
  [2690] = {.lex_state = 167, .external_lex_state = 3},
  [2691] = {.lex_state = 167, .external_lex_state = 3},
  [2692] = {.lex_state = 167, .external_lex_state = 3},
  [2693] = {.lex_state = 167, .external_lex_state = 3},
  [2694] = {.lex_state = 90, .external_lex_state = 3},
  [2695] = {.lex_state = 90, .external_lex_state = 3},
  [2696] = {.lex_state = 167, .external_lex_state = 3},
  [2697] = {.lex_state = 167, .external_lex_state = 3},
  [2698] = {.lex_state = 167, .external_lex_state = 3},
  [2699] = {.lex_state = 167, .external_lex_state = 3},
  [2700] = {.lex_state = 167, .external_lex_state = 3},
  [2701] = {.lex_state = 167, .external_lex_state = 3},
  [2702] = {.lex_state = 90, .external_lex_state = 3},
  [2703] = {.lex_state = 167, .external_lex_state = 3},
  [2704] = {.lex_state = 167, .external_lex_state = 3},
  [2705] = {.lex_state = 167, .external_lex_state = 3},
  [2706] = {.lex_state = 167, .external_lex_state = 3},
  [2707] = {.lex_state = 170, .external_lex_state = 3},
  [2708] = {.lex_state = 167, .external_lex_state = 3},
  [2709] = {.lex_state = 167, .external_lex_state = 3},
  [2710] = {.lex_state = 167, .external_lex_state = 3},
  [2711] = {.lex_state = 167, .external_lex_state = 3},
  [2712] = {.lex_state = 94, .external_lex_state = 3},
  [2713] = {.lex_state = 94, .external_lex_state = 3},
  [2714] = {.lex_state = 167, .external_lex_state = 3},
  [2715] = {.lex_state = 167, .external_lex_state = 3},
  [2716] = {.lex_state = 167, .external_lex_state = 3},
  [2717] = {.lex_state = 94, .external_lex_state = 3},
  [2718] = {.lex_state = 94, .external_lex_state = 3},
  [2719] = {.lex_state = 94, .external_lex_state = 3},
  [2720] = {.lex_state = 167, .external_lex_state = 3},
  [2721] = {.lex_state = 94, .external_lex_state = 3},
  [2722] = {.lex_state = 94, .external_lex_state = 3},
  [2723] = {.lex_state = 90, .external_lex_state = 3},
  [2724] = {.lex_state = 28, .external_lex_state = 4},
  [2725] = {.lex_state = 88, .external_lex_state = 3},
  [2726] = {.lex_state = 96, .external_lex_state = 3},
  [2727] = {.lex_state = 96, .external_lex_state = 3},
  [2728] = {.lex_state = 88, .external_lex_state = 3},
  [2729] = {.lex_state = 88, .external_lex_state = 3},
  [2730] = {.lex_state = 88, .external_lex_state = 3},
  [2731] = {.lex_state = 88, .external_lex_state = 3},
  [2732] = {.lex_state = 88, .external_lex_state = 3},
  [2733] = {.lex_state = 91, .external_lex_state = 3},
  [2734] = {.lex_state = 91, .external_lex_state = 3},
  [2735] = {.lex_state = 28, .external_lex_state = 4},
  [2736] = {.lex_state = 95, .external_lex_state = 3},
  [2737] = {.lex_state = 88, .external_lex_state = 3},
  [2738] = {.lex_state = 88, .external_lex_state = 3},
  [2739] = {.lex_state = 95, .external_lex_state = 3},
  [2740] = {.lex_state = 88, .external_lex_state = 3},
  [2741] = {.lex_state = 28, .external_lex_state = 4},
  [2742] = {.lex_state = 28, .external_lex_state = 4},
  [2743] = {.lex_state = 90, .external_lex_state = 3},
  [2744] = {.lex_state = 90, .external_lex_state = 3},
  [2745] = {.lex_state = 90, .external_lex_state = 3},
  [2746] = {.lex_state = 90, .external_lex_state = 3},
  [2747] = {.lex_state = 90, .external_lex_state = 3},
  [2748] = {.lex_state = 90, .external_lex_state = 3},
  [2749] = {.lex_state = 90, .external_lex_state = 3},
  [2750] = {.lex_state = 28, .external_lex_state = 4},
  [2751] = {.lex_state = 90, .external_lex_state = 3},
  [2752] = {.lex_state = 90, .external_lex_state = 3},
  [2753] = {.lex_state = 90, .external_lex_state = 3},
  [2754] = {.lex_state = 90, .external_lex_state = 3},
  [2755] = {.lex_state = 90, .external_lex_state = 3},
  [2756] = {.lex_state = 90, .external_lex_state = 3},
  [2757] = {.lex_state = 90, .external_lex_state = 3},
  [2758] = {.lex_state = 90, .external_lex_state = 3},
  [2759] = {.lex_state = 90, .external_lex_state = 3},
  [2760] = {.lex_state = 90, .external_lex_state = 3},
  [2761] = {.lex_state = 28, .external_lex_state = 4},
  [2762] = {.lex_state = 90, .external_lex_state = 3},
  [2763] = {.lex_state = 90, .external_lex_state = 3},
  [2764] = {.lex_state = 90, .external_lex_state = 3},
  [2765] = {.lex_state = 90, .external_lex_state = 3},
  [2766] = {.lex_state = 90, .external_lex_state = 3},
  [2767] = {.lex_state = 90, .external_lex_state = 3},
  [2768] = {.lex_state = 90, .external_lex_state = 3},
  [2769] = {.lex_state = 90, .external_lex_state = 3},
  [2770] = {.lex_state = 90, .external_lex_state = 3},
  [2771] = {.lex_state = 90, .external_lex_state = 3},
  [2772] = {.lex_state = 90, .external_lex_state = 3},
  [2773] = {.lex_state = 90, .external_lex_state = 3},
  [2774] = {.lex_state = 90, .external_lex_state = 3},
  [2775] = {.lex_state = 28, .external_lex_state = 4},
  [2776] = {.lex_state = 90, .external_lex_state = 3},
  [2777] = {.lex_state = 90, .external_lex_state = 3},
  [2778] = {.lex_state = 90, .external_lex_state = 3},
  [2779] = {.lex_state = 90, .external_lex_state = 3},
  [2780] = {.lex_state = 90, .external_lex_state = 3},
  [2781] = {.lex_state = 28, .external_lex_state = 4},
  [2782] = {.lex_state = 90, .external_lex_state = 3},
  [2783] = {.lex_state = 90, .external_lex_state = 3},
  [2784] = {.lex_state = 28, .external_lex_state = 4},
  [2785] = {.lex_state = 90, .external_lex_state = 3},
  [2786] = {.lex_state = 90, .external_lex_state = 3},
  [2787] = {.lex_state = 90, .external_lex_state = 3},
  [2788] = {.lex_state = 90, .external_lex_state = 3},
  [2789] = {.lex_state = 28, .external_lex_state = 4},
  [2790] = {.lex_state = 90, .external_lex_state = 3},
  [2791] = {.lex_state = 90, .external_lex_state = 3},
  [2792] = {.lex_state = 90, .external_lex_state = 3},
  [2793] = {.lex_state = 90, .external_lex_state = 3},
  [2794] = {.lex_state = 28, .external_lex_state = 4},
  [2795] = {.lex_state = 90, .external_lex_state = 3},
  [2796] = {.lex_state = 90, .external_lex_state = 3},
  [2797] = {.lex_state = 94, .external_lex_state = 3},
  [2798] = {.lex_state = 94, .external_lex_state = 3},
  [2799] = {.lex_state = 94, .external_lex_state = 3},
  [2800] = {.lex_state = 94, .external_lex_state = 3},
  [2801] = {.lex_state = 94, .external_lex_state = 3},
  [2802] = {.lex_state = 94, .external_lex_state = 3},
  [2803] = {.lex_state = 28, .external_lex_state = 4},
  [2804] = {.lex_state = 94, .external_lex_state = 3},
  [2805] = {.lex_state = 94, .external_lex_state = 3},
  [2806] = {.lex_state = 94, .external_lex_state = 3},
  [2807] = {.lex_state = 94, .external_lex_state = 3},
  [2808] = {.lex_state = 94, .external_lex_state = 3},
  [2809] = {.lex_state = 94, .external_lex_state = 3},
  [2810] = {.lex_state = 94, .external_lex_state = 3},
  [2811] = {.lex_state = 28, .external_lex_state = 4},
  [2812] = {.lex_state = 94, .external_lex_state = 3},
  [2813] = {.lex_state = 94, .external_lex_state = 3},
  [2814] = {.lex_state = 94, .external_lex_state = 3},
  [2815] = {.lex_state = 94, .external_lex_state = 3},
  [2816] = {.lex_state = 94, .external_lex_state = 3},
  [2817] = {.lex_state = 94, .external_lex_state = 3},
  [2818] = {.lex_state = 28, .external_lex_state = 4},
  [2819] = {.lex_state = 94, .external_lex_state = 3},
  [2820] = {.lex_state = 94, .external_lex_state = 3},
  [2821] = {.lex_state = 94, .external_lex_state = 3},
  [2822] = {.lex_state = 94, .external_lex_state = 3},
  [2823] = {.lex_state = 94, .external_lex_state = 3},
  [2824] = {.lex_state = 94, .external_lex_state = 3},
  [2825] = {.lex_state = 94, .external_lex_state = 3},
  [2826] = {.lex_state = 94, .external_lex_state = 3},
  [2827] = {.lex_state = 88, .external_lex_state = 3},
  [2828] = {.lex_state = 28, .external_lex_state = 4},
  [2829] = {.lex_state = 94, .external_lex_state = 3},
  [2830] = {.lex_state = 94, .external_lex_state = 3},
  [2831] = {.lex_state = 94, .external_lex_state = 3},
  [2832] = {.lex_state = 94, .external_lex_state = 3},
  [2833] = {.lex_state = 94, .external_lex_state = 3},
  [2834] = {.lex_state = 28, .external_lex_state = 4},
  [2835] = {.lex_state = 94, .external_lex_state = 3},
  [2836] = {.lex_state = 94, .external_lex_state = 3},
  [2837] = {.lex_state = 94, .external_lex_state = 3},
  [2838] = {.lex_state = 94, .external_lex_state = 3},
  [2839] = {.lex_state = 94, .external_lex_state = 3},
  [2840] = {.lex_state = 28, .external_lex_state = 4},
  [2841] = {.lex_state = 94, .external_lex_state = 3},
  [2842] = {.lex_state = 90, .external_lex_state = 3},
  [2843] = {.lex_state = 90, .external_lex_state = 3},
  [2844] = {.lex_state = 28, .external_lex_state = 4},
  [2845] = {.lex_state = 94, .external_lex_state = 3},
  [2846] = {.lex_state = 94, .external_lex_state = 3},
  [2847] = {.lex_state = 28, .external_lex_state = 4},
  [2848] = {.lex_state = 94, .external_lex_state = 3},
  [2849] = {.lex_state = 28, .external_lex_state = 4},
  [2850] = {.lex_state = 91, .external_lex_state = 3},
  [2851] = {.lex_state = 96, .external_lex_state = 3},
  [2852] = {.lex_state = 88, .external_lex_state = 3},
  [2853] = {.lex_state = 94, .external_lex_state = 3},
  [2854] = {.lex_state = 94, .external_lex_state = 3},
  [2855] = {.lex_state = 28, .external_lex_state = 4},
  [2856] = {.lex_state = 28, .external_lex_state = 4},
  [2857] = {.lex_state = 94, .external_lex_state = 3},
  [2858] = {.lex_state = 91, .external_lex_state = 3},
  [2859] = {.lex_state = 91, .external_lex_state = 3},
  [2860] = {.lex_state = 91, .external_lex_state = 3},
  [2861] = {.lex_state = 28, .external_lex_state = 4},
  [2862] = {.lex_state = 94, .external_lex_state = 3},
  [2863] = {.lex_state = 91, .external_lex_state = 3},
  [2864] = {.lex_state = 91, .external_lex_state = 3},
  [2865] = {.lex_state = 28, .external_lex_state = 4},
  [2866] = {.lex_state = 91, .external_lex_state = 3},
  [2867] = {.lex_state = 94, .external_lex_state = 3},
  [2868] = {.lex_state = 94, .external_lex_state = 3},
  [2869] = {.lex_state = 28, .external_lex_state = 4},
  [2870] = {.lex_state = 28, .external_lex_state = 4},
  [2871] = {.lex_state = 95, .external_lex_state = 3},
  [2872] = {.lex_state = 28, .external_lex_state = 4},
  [2873] = {.lex_state = 28, .external_lex_state = 4},
  [2874] = {.lex_state = 28, .external_lex_state = 4},
  [2875] = {.lex_state = 95, .external_lex_state = 3},
  [2876] = {.lex_state = 95, .external_lex_state = 3},
  [2877] = {.lex_state = 95, .external_lex_state = 3},
  [2878] = {.lex_state = 28, .external_lex_state = 4},
  [2879] = {.lex_state = 95, .external_lex_state = 3},
  [2880] = {.lex_state = 95, .external_lex_state = 3},
  [2881] = {.lex_state = 95, .external_lex_state = 3},
  [2882] = {.lex_state = 28, .external_lex_state = 4},
  [2883] = {.lex_state = 91, .external_lex_state = 3},
  [2884] = {.lex_state = 28, .external_lex_state = 4},
  [2885] = {.lex_state = 91, .external_lex_state = 3},
  [2886] = {.lex_state = 96, .external_lex_state = 3},
  [2887] = {.lex_state = 28, .external_lex_state = 4},
  [2888] = {.lex_state = 94, .external_lex_state = 3},
  [2889] = {.lex_state = 94, .external_lex_state = 3},
  [2890] = {.lex_state = 28, .external_lex_state = 4},
  [2891] = {.lex_state = 95, .external_lex_state = 3},
  [2892] = {.lex_state = 28, .external_lex_state = 4},
  [2893] = {.lex_state = 95, .external_lex_state = 3},
  [2894] = {.lex_state = 28, .external_lex_state = 4},
  [2895] = {.lex_state = 28, .external_lex_state = 4},
  [2896] = {.lex_state = 28, .external_lex_state = 4},
  [2897] = {.lex_state = 28, .external_lex_state = 4},
  [2898] = {.lex_state = 28, .external_lex_state = 4},
  [2899] = {.lex_state = 90, .external_lex_state = 3},
  [2900] = {.lex_state = 90, .external_lex_state = 3},
  [2901] = {.lex_state = 90, .external_lex_state = 3},
  [2902] = {.lex_state = 90, .external_lex_state = 3},
  [2903] = {.lex_state = 28, .external_lex_state = 4},
  [2904] = {.lex_state = 90, .external_lex_state = 3},
  [2905] = {.lex_state = 90, .external_lex_state = 3},
  [2906] = {.lex_state = 90, .external_lex_state = 3},
  [2907] = {.lex_state = 90, .external_lex_state = 3},
  [2908] = {.lex_state = 90, .external_lex_state = 3},
  [2909] = {.lex_state = 28, .external_lex_state = 4},
  [2910] = {.lex_state = 90, .external_lex_state = 3},
  [2911] = {.lex_state = 90, .external_lex_state = 3},
  [2912] = {.lex_state = 90, .external_lex_state = 3},
  [2913] = {.lex_state = 94, .external_lex_state = 3},
  [2914] = {.lex_state = 90, .external_lex_state = 3},
  [2915] = {.lex_state = 90, .external_lex_state = 3},
  [2916] = {.lex_state = 28, .external_lex_state = 4},
  [2917] = {.lex_state = 90, .external_lex_state = 3},
  [2918] = {.lex_state = 90, .external_lex_state = 3},
  [2919] = {.lex_state = 90, .external_lex_state = 3},
  [2920] = {.lex_state = 94, .external_lex_state = 3},
  [2921] = {.lex_state = 94, .external_lex_state = 3},
  [2922] = {.lex_state = 94, .external_lex_state = 3},
  [2923] = {.lex_state = 94, .external_lex_state = 3},
  [2924] = {.lex_state = 90, .external_lex_state = 3},
  [2925] = {.lex_state = 90, .external_lex_state = 3},
  [2926] = {.lex_state = 94, .external_lex_state = 3},
  [2927] = {.lex_state = 94, .external_lex_state = 3},
  [2928] = {.lex_state = 94, .external_lex_state = 3},
  [2929] = {.lex_state = 94, .external_lex_state = 3},
  [2930] = {.lex_state = 94, .external_lex_state = 3},
  [2931] = {.lex_state = 94, .external_lex_state = 3},
  [2932] = {.lex_state = 94, .external_lex_state = 3},
  [2933] = {.lex_state = 94, .external_lex_state = 3},
  [2934] = {.lex_state = 94, .external_lex_state = 3},
  [2935] = {.lex_state = 94, .external_lex_state = 3},
  [2936] = {.lex_state = 94, .external_lex_state = 3},
  [2937] = {.lex_state = 94, .external_lex_state = 3},
  [2938] = {.lex_state = 94, .external_lex_state = 3},
  [2939] = {.lex_state = 94, .external_lex_state = 3},
  [2940] = {.lex_state = 90, .external_lex_state = 3},
  [2941] = {.lex_state = 90, .external_lex_state = 3},
  [2942] = {.lex_state = 90, .external_lex_state = 3},
  [2943] = {.lex_state = 90, .external_lex_state = 3},
  [2944] = {.lex_state = 94, .external_lex_state = 3},
  [2945] = {.lex_state = 94, .external_lex_state = 3},
  [2946] = {.lex_state = 94, .external_lex_state = 3},
  [2947] = {.lex_state = 94, .external_lex_state = 3},
  [2948] = {.lex_state = 96, .external_lex_state = 3},
  [2949] = {.lex_state = 28, .external_lex_state = 3},
  [2950] = {.lex_state = 28, .external_lex_state = 3},
  [2951] = {.lex_state = 96, .external_lex_state = 3},
  [2952] = {.lex_state = 96, .external_lex_state = 3},
  [2953] = {.lex_state = 96, .external_lex_state = 3},
  [2954] = {.lex_state = 96, .external_lex_state = 3},
  [2955] = {.lex_state = 96, .external_lex_state = 3},
  [2956] = {.lex_state = 96, .external_lex_state = 3},
  [2957] = {.lex_state = 28, .external_lex_state = 4},
  [2958] = {.lex_state = 96, .external_lex_state = 3},
  [2959] = {.lex_state = 167, .external_lex_state = 3},
  [2960] = {.lex_state = 88, .external_lex_state = 3},
  [2961] = {.lex_state = 88, .external_lex_state = 3},
  [2962] = {.lex_state = 167, .external_lex_state = 3},
  [2963] = {.lex_state = 167, .external_lex_state = 3},
  [2964] = {.lex_state = 88, .external_lex_state = 3},
  [2965] = {.lex_state = 88, .external_lex_state = 3},
  [2966] = {.lex_state = 167, .external_lex_state = 3},
  [2967] = {.lex_state = 88, .external_lex_state = 3},
  [2968] = {.lex_state = 88, .external_lex_state = 3},
  [2969] = {.lex_state = 167, .external_lex_state = 3},
  [2970] = {.lex_state = 167, .external_lex_state = 3},
  [2971] = {.lex_state = 88, .external_lex_state = 3},
  [2972] = {.lex_state = 167, .external_lex_state = 3},
  [2973] = {.lex_state = 167, .external_lex_state = 3},
  [2974] = {.lex_state = 88, .external_lex_state = 3},
  [2975] = {.lex_state = 88, .external_lex_state = 3},
  [2976] = {.lex_state = 88, .external_lex_state = 3},
  [2977] = {.lex_state = 88, .external_lex_state = 3},
  [2978] = {.lex_state = 88, .external_lex_state = 3},
  [2979] = {.lex_state = 167, .external_lex_state = 3},
  [2980] = {.lex_state = 167, .external_lex_state = 3},
  [2981] = {.lex_state = 167, .external_lex_state = 3},
  [2982] = {.lex_state = 167, .external_lex_state = 3},
  [2983] = {.lex_state = 167, .external_lex_state = 3},
  [2984] = {.lex_state = 167, .external_lex_state = 3},
  [2985] = {.lex_state = 88, .external_lex_state = 3},
  [2986] = {.lex_state = 88, .external_lex_state = 3},
  [2987] = {.lex_state = 88, .external_lex_state = 3},
  [2988] = {.lex_state = 167, .external_lex_state = 3},
  [2989] = {.lex_state = 167, .external_lex_state = 3},
  [2990] = {.lex_state = 167, .external_lex_state = 3},
  [2991] = {.lex_state = 167, .external_lex_state = 3},
  [2992] = {.lex_state = 167, .external_lex_state = 3},
  [2993] = {.lex_state = 167, .external_lex_state = 3},
  [2994] = {.lex_state = 167, .external_lex_state = 3},
  [2995] = {.lex_state = 167, .external_lex_state = 3},
  [2996] = {.lex_state = 167, .external_lex_state = 3},
  [2997] = {.lex_state = 167, .external_lex_state = 3},
  [2998] = {.lex_state = 167, .external_lex_state = 3},
  [2999] = {.lex_state = 89, .external_lex_state = 3},
  [3000] = {.lex_state = 167, .external_lex_state = 3},
  [3001] = {.lex_state = 167, .external_lex_state = 3},
  [3002] = {.lex_state = 167, .external_lex_state = 3},
  [3003] = {.lex_state = 167, .external_lex_state = 3},
  [3004] = {.lex_state = 167, .external_lex_state = 3},
  [3005] = {.lex_state = 167, .external_lex_state = 3},
  [3006] = {.lex_state = 167, .external_lex_state = 3},
  [3007] = {.lex_state = 167, .external_lex_state = 3},
  [3008] = {.lex_state = 167, .external_lex_state = 3},
  [3009] = {.lex_state = 89, .external_lex_state = 3},
  [3010] = {.lex_state = 89, .external_lex_state = 3},
  [3011] = {.lex_state = 89, .external_lex_state = 3},
  [3012] = {.lex_state = 167, .external_lex_state = 3},
  [3013] = {.lex_state = 167, .external_lex_state = 3},
  [3014] = {.lex_state = 89, .external_lex_state = 3},
  [3015] = {.lex_state = 89, .external_lex_state = 3},
  [3016] = {.lex_state = 167, .external_lex_state = 3},
  [3017] = {.lex_state = 89, .external_lex_state = 3},
  [3018] = {.lex_state = 167, .external_lex_state = 3},
  [3019] = {.lex_state = 167, .external_lex_state = 3},
  [3020] = {.lex_state = 167, .external_lex_state = 3},
  [3021] = {.lex_state = 167, .external_lex_state = 3},
  [3022] = {.lex_state = 167, .external_lex_state = 3},
  [3023] = {.lex_state = 167, .external_lex_state = 3},
  [3024] = {.lex_state = 167, .external_lex_state = 3},
  [3025] = {.lex_state = 167, .external_lex_state = 3},
  [3026] = {.lex_state = 96, .external_lex_state = 3},
  [3027] = {.lex_state = 167, .external_lex_state = 3},
  [3028] = {.lex_state = 167, .external_lex_state = 3},
  [3029] = {.lex_state = 167, .external_lex_state = 3},
  [3030] = {.lex_state = 96, .external_lex_state = 3},
  [3031] = {.lex_state = 96, .external_lex_state = 3},
  [3032] = {.lex_state = 167, .external_lex_state = 3},
  [3033] = {.lex_state = 167, .external_lex_state = 3},
  [3034] = {.lex_state = 96, .external_lex_state = 3},
  [3035] = {.lex_state = 96, .external_lex_state = 3},
  [3036] = {.lex_state = 167, .external_lex_state = 3},
  [3037] = {.lex_state = 167, .external_lex_state = 3},
  [3038] = {.lex_state = 167, .external_lex_state = 3},
  [3039] = {.lex_state = 167, .external_lex_state = 3},
  [3040] = {.lex_state = 167, .external_lex_state = 3},
  [3041] = {.lex_state = 167, .external_lex_state = 3},
  [3042] = {.lex_state = 167, .external_lex_state = 3},
  [3043] = {.lex_state = 88, .external_lex_state = 3},
  [3044] = {.lex_state = 167, .external_lex_state = 3},
  [3045] = {.lex_state = 167, .external_lex_state = 3},
  [3046] = {.lex_state = 89, .external_lex_state = 3},
  [3047] = {.lex_state = 167, .external_lex_state = 3},
  [3048] = {.lex_state = 167, .external_lex_state = 3},
  [3049] = {.lex_state = 167, .external_lex_state = 3},
  [3050] = {.lex_state = 97, .external_lex_state = 3},
  [3051] = {.lex_state = 167, .external_lex_state = 3},
  [3052] = {.lex_state = 167, .external_lex_state = 3},
  [3053] = {.lex_state = 167, .external_lex_state = 3},
  [3054] = {.lex_state = 88, .external_lex_state = 3},
  [3055] = {.lex_state = 88, .external_lex_state = 3},
  [3056] = {.lex_state = 167, .external_lex_state = 3},
  [3057] = {.lex_state = 167, .external_lex_state = 3},
  [3058] = {.lex_state = 167, .external_lex_state = 3},
  [3059] = {.lex_state = 167, .external_lex_state = 3},
  [3060] = {.lex_state = 167, .external_lex_state = 3},
  [3061] = {.lex_state = 88, .external_lex_state = 3},
  [3062] = {.lex_state = 89, .external_lex_state = 3},
  [3063] = {.lex_state = 97, .external_lex_state = 3},
  [3064] = {.lex_state = 97, .external_lex_state = 3},
  [3065] = {.lex_state = 97, .external_lex_state = 3},
  [3066] = {.lex_state = 97, .external_lex_state = 3},
  [3067] = {.lex_state = 97, .external_lex_state = 3},
  [3068] = {.lex_state = 97, .external_lex_state = 3},
  [3069] = {.lex_state = 167, .external_lex_state = 3},
  [3070] = {.lex_state = 88, .external_lex_state = 3},
  [3071] = {.lex_state = 167, .external_lex_state = 3},
  [3072] = {.lex_state = 96, .external_lex_state = 3},
  [3073] = {.lex_state = 88, .external_lex_state = 3},
  [3074] = {.lex_state = 88, .external_lex_state = 3},
  [3075] = {.lex_state = 169, .external_lex_state = 3},
  [3076] = {.lex_state = 96, .external_lex_state = 3},
  [3077] = {.lex_state = 167, .external_lex_state = 3},
  [3078] = {.lex_state = 96, .external_lex_state = 3},
  [3079] = {.lex_state = 96, .external_lex_state = 3},
  [3080] = {.lex_state = 167, .external_lex_state = 3},
  [3081] = {.lex_state = 96, .external_lex_state = 3},
  [3082] = {.lex_state = 167, .external_lex_state = 3},
  [3083] = {.lex_state = 88, .external_lex_state = 3},
  [3084] = {.lex_state = 88, .external_lex_state = 3},
  [3085] = {.lex_state = 88, .external_lex_state = 3},
  [3086] = {.lex_state = 96, .external_lex_state = 3},
  [3087] = {.lex_state = 96, .external_lex_state = 3},
  [3088] = {.lex_state = 96, .external_lex_state = 3},
  [3089] = {.lex_state = 167, .external_lex_state = 3},
  [3090] = {.lex_state = 88, .external_lex_state = 3},
  [3091] = {.lex_state = 167, .external_lex_state = 3},
  [3092] = {.lex_state = 167, .external_lex_state = 3},
  [3093] = {.lex_state = 167, .external_lex_state = 3},
  [3094] = {.lex_state = 167, .external_lex_state = 3},
  [3095] = {.lex_state = 167, .external_lex_state = 3},
  [3096] = {.lex_state = 167, .external_lex_state = 3},
  [3097] = {.lex_state = 167, .external_lex_state = 3},
  [3098] = {.lex_state = 96, .external_lex_state = 3},
  [3099] = {.lex_state = 167, .external_lex_state = 3},
  [3100] = {.lex_state = 167, .external_lex_state = 3},
  [3101] = {.lex_state = 167, .external_lex_state = 3},
  [3102] = {.lex_state = 88, .external_lex_state = 3},
  [3103] = {.lex_state = 97, .external_lex_state = 3},
  [3104] = {.lex_state = 96, .external_lex_state = 3},
  [3105] = {.lex_state = 96, .external_lex_state = 3},
  [3106] = {.lex_state = 88, .external_lex_state = 3},
  [3107] = {.lex_state = 96, .external_lex_state = 3},
  [3108] = {.lex_state = 96, .external_lex_state = 3},
  [3109] = {.lex_state = 97, .external_lex_state = 3},
  [3110] = {.lex_state = 167, .external_lex_state = 3},
  [3111] = {.lex_state = 88, .external_lex_state = 3},
  [3112] = {.lex_state = 88, .external_lex_state = 3},
  [3113] = {.lex_state = 167, .external_lex_state = 3},
  [3114] = {.lex_state = 167, .external_lex_state = 3},
  [3115] = {.lex_state = 96, .external_lex_state = 3},
  [3116] = {.lex_state = 167, .external_lex_state = 3},
  [3117] = {.lex_state = 96, .external_lex_state = 3},
  [3118] = {.lex_state = 167, .external_lex_state = 3},
  [3119] = {.lex_state = 167, .external_lex_state = 3},
  [3120] = {.lex_state = 167, .external_lex_state = 3},
  [3121] = {.lex_state = 167, .external_lex_state = 3},
  [3122] = {.lex_state = 167, .external_lex_state = 3},
  [3123] = {.lex_state = 167, .external_lex_state = 3},
  [3124] = {.lex_state = 167, .external_lex_state = 3},
  [3125] = {.lex_state = 167, .external_lex_state = 3},
  [3126] = {.lex_state = 167, .external_lex_state = 3},
  [3127] = {.lex_state = 167, .external_lex_state = 3},
  [3128] = {.lex_state = 167, .external_lex_state = 3},
  [3129] = {.lex_state = 167, .external_lex_state = 3},
  [3130] = {.lex_state = 96, .external_lex_state = 3},
  [3131] = {.lex_state = 167, .external_lex_state = 3},
  [3132] = {.lex_state = 167, .external_lex_state = 3},
  [3133] = {.lex_state = 167, .external_lex_state = 3},
  [3134] = {.lex_state = 167, .external_lex_state = 3},
  [3135] = {.lex_state = 167, .external_lex_state = 3},
  [3136] = {.lex_state = 167, .external_lex_state = 3},
  [3137] = {.lex_state = 167, .external_lex_state = 3},
  [3138] = {.lex_state = 167, .external_lex_state = 3},
  [3139] = {.lex_state = 167, .external_lex_state = 3},
  [3140] = {.lex_state = 88, .external_lex_state = 3},
  [3141] = {.lex_state = 88, .external_lex_state = 3},
  [3142] = {.lex_state = 167, .external_lex_state = 3},
  [3143] = {.lex_state = 88, .external_lex_state = 3},
  [3144] = {.lex_state = 6, .external_lex_state = 3},
  [3145] = {.lex_state = 88, .external_lex_state = 3},
  [3146] = {.lex_state = 167, .external_lex_state = 3},
  [3147] = {.lex_state = 167, .external_lex_state = 3},
  [3148] = {.lex_state = 6, .external_lex_state = 3},
  [3149] = {.lex_state = 167, .external_lex_state = 3},
  [3150] = {.lex_state = 96, .external_lex_state = 3},
  [3151] = {.lex_state = 167, .external_lex_state = 3},
  [3152] = {.lex_state = 88, .external_lex_state = 3},
  [3153] = {.lex_state = 88, .external_lex_state = 3},
  [3154] = {.lex_state = 167, .external_lex_state = 3},
  [3155] = {.lex_state = 167, .external_lex_state = 3},
  [3156] = {.lex_state = 167, .external_lex_state = 3},
  [3157] = {.lex_state = 88, .external_lex_state = 3},
  [3158] = {.lex_state = 88, .external_lex_state = 3},
  [3159] = {.lex_state = 88, .external_lex_state = 3},
  [3160] = {.lex_state = 167, .external_lex_state = 3},
  [3161] = {.lex_state = 167, .external_lex_state = 3},
  [3162] = {.lex_state = 167, .external_lex_state = 3},
  [3163] = {.lex_state = 167, .external_lex_state = 3},
  [3164] = {.lex_state = 88, .external_lex_state = 3},
  [3165] = {.lex_state = 167, .external_lex_state = 3},
  [3166] = {.lex_state = 167, .external_lex_state = 3},
  [3167] = {.lex_state = 88, .external_lex_state = 3},
  [3168] = {.lex_state = 88, .external_lex_state = 3},
  [3169] = {.lex_state = 167, .external_lex_state = 3},
  [3170] = {.lex_state = 167, .external_lex_state = 3},
  [3171] = {.lex_state = 167, .external_lex_state = 3},
  [3172] = {.lex_state = 88, .external_lex_state = 3},
  [3173] = {.lex_state = 88, .external_lex_state = 3},
  [3174] = {.lex_state = 167, .external_lex_state = 3},
  [3175] = {.lex_state = 167, .external_lex_state = 3},
  [3176] = {.lex_state = 96, .external_lex_state = 3},
  [3177] = {.lex_state = 96, .external_lex_state = 3},
  [3178] = {.lex_state = 88, .external_lex_state = 3},
  [3179] = {.lex_state = 167, .external_lex_state = 3},
  [3180] = {.lex_state = 167, .external_lex_state = 3},
  [3181] = {.lex_state = 167, .external_lex_state = 3},
  [3182] = {.lex_state = 96, .external_lex_state = 3},
  [3183] = {.lex_state = 167, .external_lex_state = 3},
  [3184] = {.lex_state = 167, .external_lex_state = 3},
  [3185] = {.lex_state = 167, .external_lex_state = 3},
  [3186] = {.lex_state = 88, .external_lex_state = 3},
  [3187] = {.lex_state = 96, .external_lex_state = 3},
  [3188] = {.lex_state = 96, .external_lex_state = 3},
  [3189] = {.lex_state = 91, .external_lex_state = 3},
  [3190] = {.lex_state = 91, .external_lex_state = 3},
  [3191] = {.lex_state = 167, .external_lex_state = 3},
  [3192] = {.lex_state = 167, .external_lex_state = 3},
  [3193] = {.lex_state = 91, .external_lex_state = 3},
  [3194] = {.lex_state = 96, .external_lex_state = 3},
  [3195] = {.lex_state = 91, .external_lex_state = 3},
  [3196] = {.lex_state = 91, .external_lex_state = 3},
  [3197] = {.lex_state = 91, .external_lex_state = 3},
  [3198] = {.lex_state = 91, .external_lex_state = 3},
  [3199] = {.lex_state = 96, .external_lex_state = 3},
  [3200] = {.lex_state = 88, .external_lex_state = 3},
  [3201] = {.lex_state = 91, .external_lex_state = 3},
  [3202] = {.lex_state = 91, .external_lex_state = 3},
  [3203] = {.lex_state = 91, .external_lex_state = 3},
  [3204] = {.lex_state = 167, .external_lex_state = 3},
  [3205] = {.lex_state = 91, .external_lex_state = 3},
  [3206] = {.lex_state = 91, .external_lex_state = 3},
  [3207] = {.lex_state = 91, .external_lex_state = 3},
  [3208] = {.lex_state = 91, .external_lex_state = 3},
  [3209] = {.lex_state = 91, .external_lex_state = 3},
  [3210] = {.lex_state = 96, .external_lex_state = 3},
  [3211] = {.lex_state = 91, .external_lex_state = 3},
  [3212] = {.lex_state = 96, .external_lex_state = 3},
  [3213] = {.lex_state = 167, .external_lex_state = 3},
  [3214] = {.lex_state = 96, .external_lex_state = 3},
  [3215] = {.lex_state = 91, .external_lex_state = 3},
  [3216] = {.lex_state = 91, .external_lex_state = 3},
  [3217] = {.lex_state = 91, .external_lex_state = 3},
  [3218] = {.lex_state = 91, .external_lex_state = 3},
  [3219] = {.lex_state = 91, .external_lex_state = 3},
  [3220] = {.lex_state = 167, .external_lex_state = 3},
  [3221] = {.lex_state = 91, .external_lex_state = 3},
  [3222] = {.lex_state = 91, .external_lex_state = 3},
  [3223] = {.lex_state = 91, .external_lex_state = 3},
  [3224] = {.lex_state = 96, .external_lex_state = 3},
  [3225] = {.lex_state = 96, .external_lex_state = 3},
  [3226] = {.lex_state = 91, .external_lex_state = 3},
  [3227] = {.lex_state = 91, .external_lex_state = 3},
  [3228] = {.lex_state = 91, .external_lex_state = 3},
  [3229] = {.lex_state = 96, .external_lex_state = 3},
  [3230] = {.lex_state = 91, .external_lex_state = 3},
  [3231] = {.lex_state = 167, .external_lex_state = 3},
  [3232] = {.lex_state = 91, .external_lex_state = 3},
  [3233] = {.lex_state = 91, .external_lex_state = 3},
  [3234] = {.lex_state = 91, .external_lex_state = 3},
  [3235] = {.lex_state = 167, .external_lex_state = 3},
  [3236] = {.lex_state = 88, .external_lex_state = 3},
  [3237] = {.lex_state = 91, .external_lex_state = 3},
  [3238] = {.lex_state = 91, .external_lex_state = 3},
  [3239] = {.lex_state = 91, .external_lex_state = 3},
  [3240] = {.lex_state = 91, .external_lex_state = 3},
  [3241] = {.lex_state = 167, .external_lex_state = 3},
  [3242] = {.lex_state = 167, .external_lex_state = 3},
  [3243] = {.lex_state = 167, .external_lex_state = 3},
  [3244] = {.lex_state = 167, .external_lex_state = 3},
  [3245] = {.lex_state = 91, .external_lex_state = 3},
  [3246] = {.lex_state = 95, .external_lex_state = 3},
  [3247] = {.lex_state = 96, .external_lex_state = 3},
  [3248] = {.lex_state = 91, .external_lex_state = 3},
  [3249] = {.lex_state = 95, .external_lex_state = 3},
  [3250] = {.lex_state = 95, .external_lex_state = 3},
  [3251] = {.lex_state = 95, .external_lex_state = 3},
  [3252] = {.lex_state = 95, .external_lex_state = 3},
  [3253] = {.lex_state = 95, .external_lex_state = 3},
  [3254] = {.lex_state = 95, .external_lex_state = 3},
  [3255] = {.lex_state = 96, .external_lex_state = 3},
  [3256] = {.lex_state = 95, .external_lex_state = 3},
  [3257] = {.lex_state = 95, .external_lex_state = 3},
  [3258] = {.lex_state = 95, .external_lex_state = 3},
  [3259] = {.lex_state = 95, .external_lex_state = 3},
  [3260] = {.lex_state = 95, .external_lex_state = 3},
  [3261] = {.lex_state = 95, .external_lex_state = 3},
  [3262] = {.lex_state = 95, .external_lex_state = 3},
  [3263] = {.lex_state = 167, .external_lex_state = 3},
  [3264] = {.lex_state = 95, .external_lex_state = 3},
  [3265] = {.lex_state = 96, .external_lex_state = 3},
  [3266] = {.lex_state = 95, .external_lex_state = 3},
  [3267] = {.lex_state = 91, .external_lex_state = 3},
  [3268] = {.lex_state = 95, .external_lex_state = 3},
  [3269] = {.lex_state = 95, .external_lex_state = 3},
  [3270] = {.lex_state = 95, .external_lex_state = 3},
  [3271] = {.lex_state = 95, .external_lex_state = 3},
  [3272] = {.lex_state = 95, .external_lex_state = 3},
  [3273] = {.lex_state = 95, .external_lex_state = 3},
  [3274] = {.lex_state = 95, .external_lex_state = 3},
  [3275] = {.lex_state = 95, .external_lex_state = 3},
  [3276] = {.lex_state = 95, .external_lex_state = 3},
  [3277] = {.lex_state = 95, .external_lex_state = 3},
  [3278] = {.lex_state = 95, .external_lex_state = 3},
  [3279] = {.lex_state = 95, .external_lex_state = 3},
  [3280] = {.lex_state = 167, .external_lex_state = 3},
  [3281] = {.lex_state = 167, .external_lex_state = 3},
  [3282] = {.lex_state = 95, .external_lex_state = 3},
  [3283] = {.lex_state = 95, .external_lex_state = 3},
  [3284] = {.lex_state = 95, .external_lex_state = 3},
  [3285] = {.lex_state = 88, .external_lex_state = 3},
  [3286] = {.lex_state = 167, .external_lex_state = 3},
  [3287] = {.lex_state = 95, .external_lex_state = 3},
  [3288] = {.lex_state = 95, .external_lex_state = 3},
  [3289] = {.lex_state = 95, .external_lex_state = 3},
  [3290] = {.lex_state = 95, .external_lex_state = 3},
  [3291] = {.lex_state = 167, .external_lex_state = 3},
  [3292] = {.lex_state = 95, .external_lex_state = 3},
  [3293] = {.lex_state = 95, .external_lex_state = 3},
  [3294] = {.lex_state = 91, .external_lex_state = 3},
  [3295] = {.lex_state = 167, .external_lex_state = 3},
  [3296] = {.lex_state = 88, .external_lex_state = 3},
  [3297] = {.lex_state = 91, .external_lex_state = 3},
  [3298] = {.lex_state = 88, .external_lex_state = 3},
  [3299] = {.lex_state = 91, .external_lex_state = 3},
  [3300] = {.lex_state = 95, .external_lex_state = 3},
  [3301] = {.lex_state = 91, .external_lex_state = 3},
  [3302] = {.lex_state = 167, .external_lex_state = 3},
  [3303] = {.lex_state = 91, .external_lex_state = 3},
  [3304] = {.lex_state = 167, .external_lex_state = 3},
  [3305] = {.lex_state = 91, .external_lex_state = 3},
  [3306] = {.lex_state = 91, .external_lex_state = 3},
  [3307] = {.lex_state = 91, .external_lex_state = 3},
  [3308] = {.lex_state = 167, .external_lex_state = 3},
  [3309] = {.lex_state = 167, .external_lex_state = 3},
  [3310] = {.lex_state = 91, .external_lex_state = 3},
  [3311] = {.lex_state = 95, .external_lex_state = 3},
  [3312] = {.lex_state = 95, .external_lex_state = 3},
  [3313] = {.lex_state = 167, .external_lex_state = 3},
  [3314] = {.lex_state = 167, .external_lex_state = 3},
  [3315] = {.lex_state = 95, .external_lex_state = 3},
  [3316] = {.lex_state = 95, .external_lex_state = 3},
  [3317] = {.lex_state = 95, .external_lex_state = 3},
  [3318] = {.lex_state = 167, .external_lex_state = 3},
  [3319] = {.lex_state = 95, .external_lex_state = 3},
  [3320] = {.lex_state = 95, .external_lex_state = 3},
  [3321] = {.lex_state = 95, .external_lex_state = 3},
  [3322] = {.lex_state = 95, .external_lex_state = 3},
  [3323] = {.lex_state = 91, .external_lex_state = 3},
  [3324] = {.lex_state = 91, .external_lex_state = 3},
  [3325] = {.lex_state = 88, .external_lex_state = 3},
  [3326] = {.lex_state = 96, .external_lex_state = 3},
  [3327] = {.lex_state = 167, .external_lex_state = 3},
  [3328] = {.lex_state = 95, .external_lex_state = 3},
  [3329] = {.lex_state = 95, .external_lex_state = 3},
  [3330] = {.lex_state = 167, .external_lex_state = 3},
  [3331] = {.lex_state = 167, .external_lex_state = 3},
  [3332] = {.lex_state = 167, .external_lex_state = 3},
  [3333] = {.lex_state = 96, .external_lex_state = 3},
  [3334] = {.lex_state = 167, .external_lex_state = 3},
  [3335] = {.lex_state = 167, .external_lex_state = 3},
  [3336] = {.lex_state = 96, .external_lex_state = 3},
  [3337] = {.lex_state = 88, .external_lex_state = 3},
  [3338] = {.lex_state = 89, .external_lex_state = 3},
  [3339] = {.lex_state = 167, .external_lex_state = 3},
  [3340] = {.lex_state = 167, .external_lex_state = 3},
  [3341] = {.lex_state = 96, .external_lex_state = 3},
  [3342] = {.lex_state = 89, .external_lex_state = 3},
  [3343] = {.lex_state = 169, .external_lex_state = 3},
  [3344] = {.lex_state = 96, .external_lex_state = 3},
  [3345] = {.lex_state = 167, .external_lex_state = 3},
  [3346] = {.lex_state = 167, .external_lex_state = 3},
  [3347] = {.lex_state = 167, .external_lex_state = 3},
  [3348] = {.lex_state = 88, .external_lex_state = 3},
  [3349] = {.lex_state = 91, .external_lex_state = 3},
  [3350] = {.lex_state = 169, .external_lex_state = 3},
  [3351] = {.lex_state = 91, .external_lex_state = 3},
  [3352] = {.lex_state = 91, .external_lex_state = 3},
  [3353] = {.lex_state = 91, .external_lex_state = 3},
  [3354] = {.lex_state = 91, .external_lex_state = 3},
  [3355] = {.lex_state = 167, .external_lex_state = 3},
  [3356] = {.lex_state = 88, .external_lex_state = 3},
  [3357] = {.lex_state = 88, .external_lex_state = 3},
  [3358] = {.lex_state = 169, .external_lex_state = 3},
  [3359] = {.lex_state = 88, .external_lex_state = 3},
  [3360] = {.lex_state = 95, .external_lex_state = 3},
  [3361] = {.lex_state = 88, .external_lex_state = 3},
  [3362] = {.lex_state = 167, .external_lex_state = 3},
  [3363] = {.lex_state = 169, .external_lex_state = 3},
  [3364] = {.lex_state = 88, .external_lex_state = 3},
  [3365] = {.lex_state = 88, .external_lex_state = 3},
  [3366] = {.lex_state = 167, .external_lex_state = 3},
  [3367] = {.lex_state = 95, .external_lex_state = 3},
  [3368] = {.lex_state = 95, .external_lex_state = 3},
  [3369] = {.lex_state = 95, .external_lex_state = 3},
  [3370] = {.lex_state = 169, .external_lex_state = 3},
  [3371] = {.lex_state = 95, .external_lex_state = 3},
  [3372] = {.lex_state = 91, .external_lex_state = 3},
  [3373] = {.lex_state = 167, .external_lex_state = 3},
  [3374] = {.lex_state = 91, .external_lex_state = 3},
  [3375] = {.lex_state = 91, .external_lex_state = 3},
  [3376] = {.lex_state = 169, .external_lex_state = 3},
  [3377] = {.lex_state = 91, .external_lex_state = 3},
  [3378] = {.lex_state = 91, .external_lex_state = 3},
  [3379] = {.lex_state = 91, .external_lex_state = 3},
  [3380] = {.lex_state = 91, .external_lex_state = 3},
  [3381] = {.lex_state = 95, .external_lex_state = 3},
  [3382] = {.lex_state = 91, .external_lex_state = 3},
  [3383] = {.lex_state = 91, .external_lex_state = 3},
  [3384] = {.lex_state = 91, .external_lex_state = 3},
  [3385] = {.lex_state = 91, .external_lex_state = 3},
  [3386] = {.lex_state = 91, .external_lex_state = 3},
  [3387] = {.lex_state = 95, .external_lex_state = 3},
  [3388] = {.lex_state = 95, .external_lex_state = 3},
  [3389] = {.lex_state = 95, .external_lex_state = 3},
  [3390] = {.lex_state = 95, .external_lex_state = 3},
  [3391] = {.lex_state = 95, .external_lex_state = 3},
  [3392] = {.lex_state = 95, .external_lex_state = 3},
  [3393] = {.lex_state = 91, .external_lex_state = 3},
  [3394] = {.lex_state = 95, .external_lex_state = 3},
  [3395] = {.lex_state = 95, .external_lex_state = 3},
  [3396] = {.lex_state = 95, .external_lex_state = 3},
  [3397] = {.lex_state = 91, .external_lex_state = 3},
  [3398] = {.lex_state = 95, .external_lex_state = 3},
  [3399] = {.lex_state = 95, .external_lex_state = 3},
  [3400] = {.lex_state = 95, .external_lex_state = 3},
  [3401] = {.lex_state = 95, .external_lex_state = 3},
  [3402] = {.lex_state = 97, .external_lex_state = 3},
  [3403] = {.lex_state = 167, .external_lex_state = 3},
  [3404] = {.lex_state = 167, .external_lex_state = 3},
  [3405] = {.lex_state = 97, .external_lex_state = 3},
  [3406] = {.lex_state = 91, .external_lex_state = 3},
  [3407] = {.lex_state = 91, .external_lex_state = 3},
  [3408] = {.lex_state = 91, .external_lex_state = 3},
  [3409] = {.lex_state = 91, .external_lex_state = 3},
  [3410] = {.lex_state = 95, .external_lex_state = 3},
  [3411] = {.lex_state = 95, .external_lex_state = 3},
  [3412] = {.lex_state = 95, .external_lex_state = 3},
  [3413] = {.lex_state = 95, .external_lex_state = 3},
  [3414] = {.lex_state = 96, .external_lex_state = 3},
  [3415] = {.lex_state = 167, .external_lex_state = 3},
  [3416] = {.lex_state = 167, .external_lex_state = 3},
  [3417] = {.lex_state = 167, .external_lex_state = 3},
  [3418] = {.lex_state = 96, .external_lex_state = 3},
  [3419] = {.lex_state = 96, .external_lex_state = 3},
  [3420] = {.lex_state = 96, .external_lex_state = 3},
  [3421] = {.lex_state = 167, .external_lex_state = 3},
  [3422] = {.lex_state = 167, .external_lex_state = 3},
  [3423] = {.lex_state = 167, .external_lex_state = 3},
  [3424] = {.lex_state = 167, .external_lex_state = 3},
  [3425] = {.lex_state = 96, .external_lex_state = 3},
  [3426] = {.lex_state = 96, .external_lex_state = 3},
  [3427] = {.lex_state = 167, .external_lex_state = 3},
  [3428] = {.lex_state = 96, .external_lex_state = 3},
  [3429] = {.lex_state = 96, .external_lex_state = 3},
  [3430] = {.lex_state = 96, .external_lex_state = 3},
  [3431] = {.lex_state = 96, .external_lex_state = 3},
  [3432] = {.lex_state = 167, .external_lex_state = 3},
  [3433] = {.lex_state = 167, .external_lex_state = 3},
  [3434] = {.lex_state = 167, .external_lex_state = 3},
  [3435] = {.lex_state = 96, .external_lex_state = 3},
  [3436] = {.lex_state = 88, .external_lex_state = 3},
  [3437] = {.lex_state = 167, .external_lex_state = 3},
  [3438] = {.lex_state = 167, .external_lex_state = 3},
  [3439] = {.lex_state = 167, .external_lex_state = 3},
  [3440] = {.lex_state = 167, .external_lex_state = 3},
  [3441] = {.lex_state = 96, .external_lex_state = 3},
  [3442] = {.lex_state = 96, .external_lex_state = 3},
  [3443] = {.lex_state = 88, .external_lex_state = 3},
  [3444] = {.lex_state = 167, .external_lex_state = 3},
  [3445] = {.lex_state = 167, .external_lex_state = 3},
  [3446] = {.lex_state = 96, .external_lex_state = 3},
  [3447] = {.lex_state = 96, .external_lex_state = 3},
  [3448] = {.lex_state = 96, .external_lex_state = 3},
  [3449] = {.lex_state = 96, .external_lex_state = 3},
  [3450] = {.lex_state = 96, .external_lex_state = 3},
  [3451] = {.lex_state = 96, .external_lex_state = 3},
  [3452] = {.lex_state = 96, .external_lex_state = 3},
  [3453] = {.lex_state = 167, .external_lex_state = 3},
  [3454] = {.lex_state = 96, .external_lex_state = 3},
  [3455] = {.lex_state = 167, .external_lex_state = 3},
  [3456] = {.lex_state = 167, .external_lex_state = 3},
  [3457] = {.lex_state = 167, .external_lex_state = 3},
  [3458] = {.lex_state = 167, .external_lex_state = 3},
  [3459] = {.lex_state = 167, .external_lex_state = 3},
  [3460] = {.lex_state = 96, .external_lex_state = 3},
  [3461] = {.lex_state = 96, .external_lex_state = 3},
  [3462] = {.lex_state = 96, .external_lex_state = 3},
  [3463] = {.lex_state = 96, .external_lex_state = 3},
  [3464] = {.lex_state = 88, .external_lex_state = 3},
  [3465] = {.lex_state = 167, .external_lex_state = 3},
  [3466] = {.lex_state = 96, .external_lex_state = 3},
  [3467] = {.lex_state = 167, .external_lex_state = 3},
  [3468] = {.lex_state = 167, .external_lex_state = 3},
  [3469] = {.lex_state = 167, .external_lex_state = 3},
  [3470] = {.lex_state = 96, .external_lex_state = 3},
  [3471] = {.lex_state = 167, .external_lex_state = 3},
  [3472] = {.lex_state = 167, .external_lex_state = 3},
  [3473] = {.lex_state = 96, .external_lex_state = 3},
  [3474] = {.lex_state = 167, .external_lex_state = 3},
  [3475] = {.lex_state = 167, .external_lex_state = 3},
  [3476] = {.lex_state = 167, .external_lex_state = 3},
  [3477] = {.lex_state = 167, .external_lex_state = 3},
  [3478] = {.lex_state = 167, .external_lex_state = 3},
  [3479] = {.lex_state = 167, .external_lex_state = 3},
  [3480] = {.lex_state = 167, .external_lex_state = 3},
  [3481] = {.lex_state = 167, .external_lex_state = 3},
  [3482] = {.lex_state = 88, .external_lex_state = 3},
  [3483] = {.lex_state = 88, .external_lex_state = 3},
  [3484] = {.lex_state = 88, .external_lex_state = 3},
  [3485] = {.lex_state = 88, .external_lex_state = 3},
  [3486] = {.lex_state = 88, .external_lex_state = 3},
  [3487] = {.lex_state = 88, .external_lex_state = 3},
  [3488] = {.lex_state = 88, .external_lex_state = 3},
  [3489] = {.lex_state = 28, .external_lex_state = 3},
  [3490] = {.lex_state = 167, .external_lex_state = 3},
  [3491] = {.lex_state = 28, .external_lex_state = 3},
  [3492] = {.lex_state = 167, .external_lex_state = 3},
  [3493] = {.lex_state = 167, .external_lex_state = 3},
  [3494] = {.lex_state = 167, .external_lex_state = 3},
  [3495] = {.lex_state = 167, .external_lex_state = 3},
  [3496] = {.lex_state = 167, .external_lex_state = 3},
  [3497] = {.lex_state = 88, .external_lex_state = 3},
  [3498] = {.lex_state = 88, .external_lex_state = 3},
  [3499] = {.lex_state = 89, .external_lex_state = 3},
  [3500] = {.lex_state = 28, .external_lex_state = 3},
  [3501] = {.lex_state = 97, .external_lex_state = 3},
  [3502] = {.lex_state = 97, .external_lex_state = 3},
  [3503] = {.lex_state = 28, .external_lex_state = 3},
  [3504] = {.lex_state = 89, .external_lex_state = 3},
  [3505] = {.lex_state = 89, .external_lex_state = 3},
  [3506] = {.lex_state = 97, .external_lex_state = 3},
  [3507] = {.lex_state = 93, .external_lex_state = 3},
  [3508] = {.lex_state = 89, .external_lex_state = 3},
  [3509] = {.lex_state = 98, .external_lex_state = 3},
  [3510] = {.lex_state = 89, .external_lex_state = 3},
  [3511] = {.lex_state = 89, .external_lex_state = 3},
  [3512] = {.lex_state = 97, .external_lex_state = 3},
  [3513] = {.lex_state = 28, .external_lex_state = 3},
  [3514] = {.lex_state = 89, .external_lex_state = 3},
  [3515] = {.lex_state = 28, .external_lex_state = 3},
  [3516] = {.lex_state = 89, .external_lex_state = 3},
  [3517] = {.lex_state = 97, .external_lex_state = 3},
  [3518] = {.lex_state = 97, .external_lex_state = 3},
  [3519] = {.lex_state = 97, .external_lex_state = 3},
  [3520] = {.lex_state = 93, .external_lex_state = 3},
  [3521] = {.lex_state = 97, .external_lex_state = 3},
  [3522] = {.lex_state = 97, .external_lex_state = 3},
  [3523] = {.lex_state = 97, .external_lex_state = 3},
  [3524] = {.lex_state = 97, .external_lex_state = 3},
  [3525] = {.lex_state = 89, .external_lex_state = 3},
  [3526] = {.lex_state = 97, .external_lex_state = 3},
  [3527] = {.lex_state = 28, .external_lex_state = 3},
  [3528] = {.lex_state = 28, .external_lex_state = 3},
  [3529] = {.lex_state = 97, .external_lex_state = 3},
  [3530] = {.lex_state = 97, .external_lex_state = 3},
  [3531] = {.lex_state = 28, .external_lex_state = 3},
  [3532] = {.lex_state = 97, .external_lex_state = 3},
  [3533] = {.lex_state = 97, .external_lex_state = 3},
  [3534] = {.lex_state = 97, .external_lex_state = 3},
  [3535] = {.lex_state = 89, .external_lex_state = 3},
  [3536] = {.lex_state = 89, .external_lex_state = 3},
  [3537] = {.lex_state = 97, .external_lex_state = 3},
  [3538] = {.lex_state = 97, .external_lex_state = 3},
  [3539] = {.lex_state = 97, .external_lex_state = 3},
  [3540] = {.lex_state = 97, .external_lex_state = 3},
  [3541] = {.lex_state = 93, .external_lex_state = 3},
  [3542] = {.lex_state = 89, .external_lex_state = 3},
  [3543] = {.lex_state = 28, .external_lex_state = 3},
  [3544] = {.lex_state = 97, .external_lex_state = 3},
  [3545] = {.lex_state = 28, .external_lex_state = 3},
  [3546] = {.lex_state = 89, .external_lex_state = 3},
  [3547] = {.lex_state = 97, .external_lex_state = 3},
  [3548] = {.lex_state = 89, .external_lex_state = 3},
  [3549] = {.lex_state = 89, .external_lex_state = 3},
  [3550] = {.lex_state = 89, .external_lex_state = 3},
  [3551] = {.lex_state = 167, .external_lex_state = 3},
  [3552] = {.lex_state = 167, .external_lex_state = 3},
  [3553] = {.lex_state = 28, .external_lex_state = 3},
  [3554] = {.lex_state = 28, .external_lex_state = 3},
  [3555] = {.lex_state = 167, .external_lex_state = 3},
  [3556] = {.lex_state = 93, .external_lex_state = 3},
  [3557] = {.lex_state = 89, .external_lex_state = 3},
  [3558] = {.lex_state = 89, .external_lex_state = 3},
  [3559] = {.lex_state = 97, .external_lex_state = 3},
  [3560] = {.lex_state = 89, .external_lex_state = 3},
  [3561] = {.lex_state = 89, .external_lex_state = 3},
  [3562] = {.lex_state = 89, .external_lex_state = 3},
  [3563] = {.lex_state = 89, .external_lex_state = 3},
  [3564] = {.lex_state = 28, .external_lex_state = 3},
  [3565] = {.lex_state = 89, .external_lex_state = 3},
  [3566] = {.lex_state = 28, .external_lex_state = 3},
  [3567] = {.lex_state = 89, .external_lex_state = 3},
  [3568] = {.lex_state = 89, .external_lex_state = 3},
  [3569] = {.lex_state = 89, .external_lex_state = 3},
  [3570] = {.lex_state = 89, .external_lex_state = 3},
  [3571] = {.lex_state = 89, .external_lex_state = 3},
  [3572] = {.lex_state = 89, .external_lex_state = 3},
  [3573] = {.lex_state = 89, .external_lex_state = 3},
  [3574] = {.lex_state = 89, .external_lex_state = 3},
  [3575] = {.lex_state = 28, .external_lex_state = 3},
  [3576] = {.lex_state = 89, .external_lex_state = 3},
  [3577] = {.lex_state = 89, .external_lex_state = 3},
  [3578] = {.lex_state = 89, .external_lex_state = 3},
  [3579] = {.lex_state = 89, .external_lex_state = 3},
  [3580] = {.lex_state = 93, .external_lex_state = 3},
  [3581] = {.lex_state = 93, .external_lex_state = 3},
  [3582] = {.lex_state = 89, .external_lex_state = 3},
  [3583] = {.lex_state = 98, .external_lex_state = 3},
  [3584] = {.lex_state = 98, .external_lex_state = 3},
  [3585] = {.lex_state = 28, .external_lex_state = 3},
  [3586] = {.lex_state = 28, .external_lex_state = 3},
  [3587] = {.lex_state = 97, .external_lex_state = 3},
  [3588] = {.lex_state = 89, .external_lex_state = 3},
  [3589] = {.lex_state = 89, .external_lex_state = 3},
  [3590] = {.lex_state = 98, .external_lex_state = 3},
  [3591] = {.lex_state = 93, .external_lex_state = 3},
  [3592] = {.lex_state = 28, .external_lex_state = 3},
  [3593] = {.lex_state = 28, .external_lex_state = 3},
  [3594] = {.lex_state = 89, .external_lex_state = 3},
  [3595] = {.lex_state = 167, .external_lex_state = 3},
  [3596] = {.lex_state = 167, .external_lex_state = 3},
  [3597] = {.lex_state = 28, .external_lex_state = 3},
  [3598] = {.lex_state = 28, .external_lex_state = 3},
  [3599] = {.lex_state = 93, .external_lex_state = 3},
  [3600] = {.lex_state = 89, .external_lex_state = 3},
  [3601] = {.lex_state = 97, .external_lex_state = 3},
  [3602] = {.lex_state = 28, .external_lex_state = 3},
  [3603] = {.lex_state = 74, .external_lex_state = 3},
  [3604] = {.lex_state = 89, .external_lex_state = 3},
  [3605] = {.lex_state = 28, .external_lex_state = 3},
  [3606] = {.lex_state = 89, .external_lex_state = 3},
  [3607] = {.lex_state = 97, .external_lex_state = 3},
  [3608] = {.lex_state = 97, .external_lex_state = 3},
  [3609] = {.lex_state = 97, .external_lex_state = 3},
  [3610] = {.lex_state = 97, .external_lex_state = 3},
  [3611] = {.lex_state = 28, .external_lex_state = 3},
  [3612] = {.lex_state = 28, .external_lex_state = 3},
  [3613] = {.lex_state = 97, .external_lex_state = 3},
  [3614] = {.lex_state = 98, .external_lex_state = 3},
  [3615] = {.lex_state = 89, .external_lex_state = 3},
  [3616] = {.lex_state = 89, .external_lex_state = 3},
  [3617] = {.lex_state = 89, .external_lex_state = 3},
  [3618] = {.lex_state = 89, .external_lex_state = 3},
  [3619] = {.lex_state = 89, .external_lex_state = 3},
  [3620] = {.lex_state = 89, .external_lex_state = 3},
  [3621] = {.lex_state = 89, .external_lex_state = 3},
  [3622] = {.lex_state = 89, .external_lex_state = 3},
  [3623] = {.lex_state = 89, .external_lex_state = 3},
  [3624] = {.lex_state = 89, .external_lex_state = 3},
  [3625] = {.lex_state = 89, .external_lex_state = 3},
  [3626] = {.lex_state = 28, .external_lex_state = 3},
  [3627] = {.lex_state = 89, .external_lex_state = 3},
  [3628] = {.lex_state = 93, .external_lex_state = 3},
  [3629] = {.lex_state = 89, .external_lex_state = 3},
  [3630] = {.lex_state = 97, .external_lex_state = 3},
  [3631] = {.lex_state = 89, .external_lex_state = 3},
  [3632] = {.lex_state = 97, .external_lex_state = 3},
  [3633] = {.lex_state = 97, .external_lex_state = 3},
  [3634] = {.lex_state = 97, .external_lex_state = 3},
  [3635] = {.lex_state = 97, .external_lex_state = 3},
  [3636] = {.lex_state = 97, .external_lex_state = 3},
  [3637] = {.lex_state = 97, .external_lex_state = 3},
  [3638] = {.lex_state = 97, .external_lex_state = 3},
  [3639] = {.lex_state = 97, .external_lex_state = 3},
  [3640] = {.lex_state = 97, .external_lex_state = 3},
  [3641] = {.lex_state = 167, .external_lex_state = 3},
  [3642] = {.lex_state = 97, .external_lex_state = 3},
  [3643] = {.lex_state = 97, .external_lex_state = 3},
  [3644] = {.lex_state = 97, .external_lex_state = 3},
  [3645] = {.lex_state = 97, .external_lex_state = 3},
  [3646] = {.lex_state = 28, .external_lex_state = 3},
  [3647] = {.lex_state = 89, .external_lex_state = 3},
  [3648] = {.lex_state = 97, .external_lex_state = 3},
  [3649] = {.lex_state = 97, .external_lex_state = 3},
  [3650] = {.lex_state = 28, .external_lex_state = 3},
  [3651] = {.lex_state = 28, .external_lex_state = 3},
  [3652] = {.lex_state = 28, .external_lex_state = 3},
  [3653] = {.lex_state = 97, .external_lex_state = 3},
  [3654] = {.lex_state = 89, .external_lex_state = 3},
  [3655] = {.lex_state = 28, .external_lex_state = 3},
  [3656] = {.lex_state = 97, .external_lex_state = 3},
  [3657] = {.lex_state = 97, .external_lex_state = 3},
  [3658] = {.lex_state = 97, .external_lex_state = 3},
  [3659] = {.lex_state = 97, .external_lex_state = 3},
  [3660] = {.lex_state = 97, .external_lex_state = 3},
  [3661] = {.lex_state = 97, .external_lex_state = 3},
  [3662] = {.lex_state = 89, .external_lex_state = 3},
  [3663] = {.lex_state = 28, .external_lex_state = 3},
  [3664] = {.lex_state = 28, .external_lex_state = 3},
  [3665] = {.lex_state = 89, .external_lex_state = 3},
  [3666] = {.lex_state = 28, .external_lex_state = 3},
  [3667] = {.lex_state = 89, .external_lex_state = 3},
  [3668] = {.lex_state = 97, .external_lex_state = 3},
  [3669] = {.lex_state = 28, .external_lex_state = 3},
  [3670] = {.lex_state = 28, .external_lex_state = 3},
  [3671] = {.lex_state = 89, .external_lex_state = 3},
  [3672] = {.lex_state = 89, .external_lex_state = 3},
  [3673] = {.lex_state = 89, .external_lex_state = 3},
  [3674] = {.lex_state = 89, .external_lex_state = 3},
  [3675] = {.lex_state = 97, .external_lex_state = 3},
  [3676] = {.lex_state = 97, .external_lex_state = 3},
  [3677] = {.lex_state = 97, .external_lex_state = 3},
  [3678] = {.lex_state = 97, .external_lex_state = 3},
  [3679] = {.lex_state = 28, .external_lex_state = 3},
  [3680] = {.lex_state = 28, .external_lex_state = 3},
  [3681] = {.lex_state = 97, .external_lex_state = 3},
  [3682] = {.lex_state = 167, .external_lex_state = 3},
  [3683] = {.lex_state = 97, .external_lex_state = 3},
  [3684] = {.lex_state = 98, .external_lex_state = 3},
  [3685] = {.lex_state = 98, .external_lex_state = 3},
  [3686] = {.lex_state = 98, .external_lex_state = 3},
  [3687] = {.lex_state = 28, .external_lex_state = 3},
  [3688] = {.lex_state = 97, .external_lex_state = 3},
  [3689] = {.lex_state = 167, .external_lex_state = 3},
  [3690] = {.lex_state = 167, .external_lex_state = 3},
  [3691] = {.lex_state = 97, .external_lex_state = 3},
  [3692] = {.lex_state = 97, .external_lex_state = 3},
  [3693] = {.lex_state = 28, .external_lex_state = 3},
  [3694] = {.lex_state = 167, .external_lex_state = 3},
  [3695] = {.lex_state = 167, .external_lex_state = 3},
  [3696] = {.lex_state = 89, .external_lex_state = 3},
  [3697] = {.lex_state = 28, .external_lex_state = 3},
  [3698] = {.lex_state = 98, .external_lex_state = 3},
  [3699] = {.lex_state = 167, .external_lex_state = 3},
  [3700] = {.lex_state = 28, .external_lex_state = 3},
  [3701] = {.lex_state = 28, .external_lex_state = 3},
  [3702] = {.lex_state = 28, .external_lex_state = 3},
  [3703] = {.lex_state = 28, .external_lex_state = 3},
  [3704] = {.lex_state = 98, .external_lex_state = 3},
  [3705] = {.lex_state = 93, .external_lex_state = 3},
  [3706] = {.lex_state = 93, .external_lex_state = 3},
  [3707] = {.lex_state = 89, .external_lex_state = 3},
  [3708] = {.lex_state = 97, .external_lex_state = 3},
  [3709] = {.lex_state = 28, .external_lex_state = 3},
  [3710] = {.lex_state = 89, .external_lex_state = 3},
  [3711] = {.lex_state = 78, .external_lex_state = 3},
  [3712] = {.lex_state = 28, .external_lex_state = 3},
  [3713] = {.lex_state = 28, .external_lex_state = 3},
  [3714] = {.lex_state = 98, .external_lex_state = 3},
  [3715] = {.lex_state = 89, .external_lex_state = 3},
  [3716] = {.lex_state = 89, .external_lex_state = 3},
  [3717] = {.lex_state = 28, .external_lex_state = 3},
  [3718] = {.lex_state = 167, .external_lex_state = 3},
  [3719] = {.lex_state = 28, .external_lex_state = 3},
  [3720] = {.lex_state = 89, .external_lex_state = 3},
  [3721] = {.lex_state = 28, .external_lex_state = 3},
  [3722] = {.lex_state = 97, .external_lex_state = 3},
  [3723] = {.lex_state = 97, .external_lex_state = 3},
  [3724] = {.lex_state = 28, .external_lex_state = 3},
  [3725] = {.lex_state = 97, .external_lex_state = 3},
  [3726] = {.lex_state = 97, .external_lex_state = 3},
  [3727] = {.lex_state = 28, .external_lex_state = 3},
  [3728] = {.lex_state = 97, .external_lex_state = 3},
  [3729] = {.lex_state = 89, .external_lex_state = 3},
  [3730] = {.lex_state = 28, .external_lex_state = 3},
  [3731] = {.lex_state = 97, .external_lex_state = 3},
  [3732] = {.lex_state = 97, .external_lex_state = 3},
  [3733] = {.lex_state = 167, .external_lex_state = 3},
  [3734] = {.lex_state = 167, .external_lex_state = 3},
  [3735] = {.lex_state = 79, .external_lex_state = 3},
  [3736] = {.lex_state = 167, .external_lex_state = 3},
  [3737] = {.lex_state = 93, .external_lex_state = 3},
  [3738] = {.lex_state = 99, .external_lex_state = 3},
  [3739] = {.lex_state = 98, .external_lex_state = 3},
  [3740] = {.lex_state = 99, .external_lex_state = 3},
  [3741] = {.lex_state = 28, .external_lex_state = 3},
  [3742] = {.lex_state = 74, .external_lex_state = 3},
  [3743] = {.lex_state = 75, .external_lex_state = 3},
  [3744] = {.lex_state = 93, .external_lex_state = 3},
  [3745] = {.lex_state = 182, .external_lex_state = 3},
  [3746] = {.lex_state = 28, .external_lex_state = 3},
  [3747] = {.lex_state = 28, .external_lex_state = 3},
  [3748] = {.lex_state = 167, .external_lex_state = 3},
  [3749] = {.lex_state = 93, .external_lex_state = 3},
  [3750] = {.lex_state = 92, .external_lex_state = 3},
  [3751] = {.lex_state = 167, .external_lex_state = 3},
  [3752] = {.lex_state = 167, .external_lex_state = 3},
  [3753] = {.lex_state = 167, .external_lex_state = 3},
  [3754] = {.lex_state = 99, .external_lex_state = 3},
  [3755] = {.lex_state = 167, .external_lex_state = 3},
  [3756] = {.lex_state = 167, .external_lex_state = 3},
  [3757] = {.lex_state = 28, .external_lex_state = 3},
  [3758] = {.lex_state = 93, .external_lex_state = 3},
  [3759] = {.lex_state = 167, .external_lex_state = 3},
  [3760] = {.lex_state = 93, .external_lex_state = 3},
  [3761] = {.lex_state = 92, .external_lex_state = 3},
  [3762] = {.lex_state = 182, .external_lex_state = 3},
  [3763] = {.lex_state = 93, .external_lex_state = 3},
  [3764] = {.lex_state = 167, .external_lex_state = 3},
  [3765] = {.lex_state = 93, .external_lex_state = 3},
  [3766] = {.lex_state = 167, .external_lex_state = 3},
  [3767] = {.lex_state = 98, .external_lex_state = 3},
  [3768] = {.lex_state = 28, .external_lex_state = 3},
  [3769] = {.lex_state = 93, .external_lex_state = 3},
  [3770] = {.lex_state = 182, .external_lex_state = 3},
  [3771] = {.lex_state = 167, .external_lex_state = 3},
  [3772] = {.lex_state = 28, .external_lex_state = 3},
  [3773] = {.lex_state = 98, .external_lex_state = 3},
  [3774] = {.lex_state = 93, .external_lex_state = 3},
  [3775] = {.lex_state = 167, .external_lex_state = 3},
  [3776] = {.lex_state = 28, .external_lex_state = 3},
  [3777] = {.lex_state = 98, .external_lex_state = 3},
  [3778] = {.lex_state = 28, .external_lex_state = 3},
  [3779] = {.lex_state = 93, .external_lex_state = 3},
  [3780] = {.lex_state = 28, .external_lex_state = 3},
  [3781] = {.lex_state = 98, .external_lex_state = 3},
  [3782] = {.lex_state = 182, .external_lex_state = 3},
  [3783] = {.lex_state = 93, .external_lex_state = 3},
  [3784] = {.lex_state = 182, .external_lex_state = 3},
  [3785] = {.lex_state = 28, .external_lex_state = 3},
  [3786] = {.lex_state = 93, .external_lex_state = 3},
  [3787] = {.lex_state = 93, .external_lex_state = 3},
  [3788] = {.lex_state = 98, .external_lex_state = 3},
  [3789] = {.lex_state = 98, .external_lex_state = 3},
  [3790] = {.lex_state = 98, .external_lex_state = 3},
  [3791] = {.lex_state = 93, .external_lex_state = 3},
  [3792] = {.lex_state = 98, .external_lex_state = 3},
  [3793] = {.lex_state = 167, .external_lex_state = 3},
  [3794] = {.lex_state = 167, .external_lex_state = 3},
  [3795] = {.lex_state = 93, .external_lex_state = 3},
  [3796] = {.lex_state = 182, .external_lex_state = 3},
  [3797] = {.lex_state = 93, .external_lex_state = 3},
  [3798] = {.lex_state = 93, .external_lex_state = 3},
  [3799] = {.lex_state = 182, .external_lex_state = 3},
  [3800] = {.lex_state = 28, .external_lex_state = 3},
  [3801] = {.lex_state = 167, .external_lex_state = 3},
  [3802] = {.lex_state = 28, .external_lex_state = 3},
  [3803] = {.lex_state = 98, .external_lex_state = 3},
  [3804] = {.lex_state = 98, .external_lex_state = 3},
  [3805] = {.lex_state = 93, .external_lex_state = 3},
  [3806] = {.lex_state = 98, .external_lex_state = 3},
  [3807] = {.lex_state = 93, .external_lex_state = 3},
  [3808] = {.lex_state = 182, .external_lex_state = 3},
  [3809] = {.lex_state = 98, .external_lex_state = 3},
  [3810] = {.lex_state = 93, .external_lex_state = 3},
  [3811] = {.lex_state = 182, .external_lex_state = 3},
  [3812] = {.lex_state = 98, .external_lex_state = 3},
  [3813] = {.lex_state = 98, .external_lex_state = 3},
  [3814] = {.lex_state = 28, .external_lex_state = 3},
  [3815] = {.lex_state = 98, .external_lex_state = 3},
  [3816] = {.lex_state = 93, .external_lex_state = 3},
  [3817] = {.lex_state = 98, .external_lex_state = 3},
  [3818] = {.lex_state = 98, .external_lex_state = 3},
  [3819] = {.lex_state = 92, .external_lex_state = 3},
  [3820] = {.lex_state = 98, .external_lex_state = 3},
  [3821] = {.lex_state = 98, .external_lex_state = 3},
  [3822] = {.lex_state = 28, .external_lex_state = 3},
  [3823] = {.lex_state = 167, .external_lex_state = 3},
  [3824] = {.lex_state = 167, .external_lex_state = 3},
  [3825] = {.lex_state = 93, .external_lex_state = 3},
  [3826] = {.lex_state = 98, .external_lex_state = 3},
  [3827] = {.lex_state = 93, .external_lex_state = 3},
  [3828] = {.lex_state = 93, .external_lex_state = 3},
  [3829] = {.lex_state = 28, .external_lex_state = 3},
  [3830] = {.lex_state = 93, .external_lex_state = 3},
  [3831] = {.lex_state = 93, .external_lex_state = 3},
  [3832] = {.lex_state = 98, .external_lex_state = 3},
  [3833] = {.lex_state = 167, .external_lex_state = 3},
  [3834] = {.lex_state = 98, .external_lex_state = 3},
  [3835] = {.lex_state = 98, .external_lex_state = 3},
  [3836] = {.lex_state = 98, .external_lex_state = 3},
  [3837] = {.lex_state = 93, .external_lex_state = 3},
  [3838] = {.lex_state = 98, .external_lex_state = 3},
  [3839] = {.lex_state = 167, .external_lex_state = 3},
  [3840] = {.lex_state = 93, .external_lex_state = 3},
  [3841] = {.lex_state = 98, .external_lex_state = 3},
  [3842] = {.lex_state = 98, .external_lex_state = 3},
  [3843] = {.lex_state = 93, .external_lex_state = 3},
  [3844] = {.lex_state = 167, .external_lex_state = 3},
  [3845] = {.lex_state = 93, .external_lex_state = 3},
  [3846] = {.lex_state = 99, .external_lex_state = 3},
  [3847] = {.lex_state = 167, .external_lex_state = 3},
  [3848] = {.lex_state = 28, .external_lex_state = 3},
  [3849] = {.lex_state = 98, .external_lex_state = 3},
  [3850] = {.lex_state = 28, .external_lex_state = 3},
  [3851] = {.lex_state = 98, .external_lex_state = 3},
  [3852] = {.lex_state = 92, .external_lex_state = 3},
  [3853] = {.lex_state = 93, .external_lex_state = 3},
  [3854] = {.lex_state = 93, .external_lex_state = 3},
  [3855] = {.lex_state = 93, .external_lex_state = 3},
  [3856] = {.lex_state = 98, .external_lex_state = 3},
  [3857] = {.lex_state = 167, .external_lex_state = 3},
  [3858] = {.lex_state = 98, .external_lex_state = 3},
  [3859] = {.lex_state = 98, .external_lex_state = 3},
  [3860] = {.lex_state = 98, .external_lex_state = 3},
  [3861] = {.lex_state = 93, .external_lex_state = 3},
  [3862] = {.lex_state = 98, .external_lex_state = 3},
  [3863] = {.lex_state = 98, .external_lex_state = 3},
  [3864] = {.lex_state = 167, .external_lex_state = 3},
  [3865] = {.lex_state = 167, .external_lex_state = 3},
  [3866] = {.lex_state = 93, .external_lex_state = 3},
  [3867] = {.lex_state = 98, .external_lex_state = 3},
  [3868] = {.lex_state = 28, .external_lex_state = 3},
  [3869] = {.lex_state = 98, .external_lex_state = 3},
  [3870] = {.lex_state = 28, .external_lex_state = 3},
  [3871] = {.lex_state = 167, .external_lex_state = 3},
  [3872] = {.lex_state = 99, .external_lex_state = 3},
  [3873] = {.lex_state = 167, .external_lex_state = 3},
  [3874] = {.lex_state = 93, .external_lex_state = 3},
  [3875] = {.lex_state = 182, .external_lex_state = 3},
  [3876] = {.lex_state = 167, .external_lex_state = 3},
  [3877] = {.lex_state = 167, .external_lex_state = 3},
  [3878] = {.lex_state = 98, .external_lex_state = 3},
  [3879] = {.lex_state = 28, .external_lex_state = 3},
  [3880] = {.lex_state = 93, .external_lex_state = 3},
  [3881] = {.lex_state = 98, .external_lex_state = 3},
  [3882] = {.lex_state = 167, .external_lex_state = 3},
  [3883] = {.lex_state = 98, .external_lex_state = 3},
  [3884] = {.lex_state = 93, .external_lex_state = 3},
  [3885] = {.lex_state = 167, .external_lex_state = 3},
  [3886] = {.lex_state = 93, .external_lex_state = 3},
  [3887] = {.lex_state = 98, .external_lex_state = 3},
  [3888] = {.lex_state = 167, .external_lex_state = 3},
  [3889] = {.lex_state = 98, .external_lex_state = 3},
  [3890] = {.lex_state = 98, .external_lex_state = 3},
  [3891] = {.lex_state = 167, .external_lex_state = 3},
  [3892] = {.lex_state = 98, .external_lex_state = 3},
  [3893] = {.lex_state = 98, .external_lex_state = 3},
  [3894] = {.lex_state = 93, .external_lex_state = 3},
  [3895] = {.lex_state = 93, .external_lex_state = 3},
  [3896] = {.lex_state = 74, .external_lex_state = 3},
  [3897] = {.lex_state = 28, .external_lex_state = 3},
  [3898] = {.lex_state = 93, .external_lex_state = 3},
  [3899] = {.lex_state = 167, .external_lex_state = 3},
  [3900] = {.lex_state = 167, .external_lex_state = 3},
  [3901] = {.lex_state = 99, .external_lex_state = 3},
  [3902] = {.lex_state = 167, .external_lex_state = 3},
  [3903] = {.lex_state = 98, .external_lex_state = 3},
  [3904] = {.lex_state = 93, .external_lex_state = 3},
  [3905] = {.lex_state = 167, .external_lex_state = 3},
  [3906] = {.lex_state = 98, .external_lex_state = 3},
  [3907] = {.lex_state = 167, .external_lex_state = 3},
  [3908] = {.lex_state = 167, .external_lex_state = 3},
  [3909] = {.lex_state = 167, .external_lex_state = 3},
  [3910] = {.lex_state = 93, .external_lex_state = 3},
  [3911] = {.lex_state = 182, .external_lex_state = 3},
  [3912] = {.lex_state = 99, .external_lex_state = 3},
  [3913] = {.lex_state = 93, .external_lex_state = 3},
  [3914] = {.lex_state = 167, .external_lex_state = 3},
  [3915] = {.lex_state = 182, .external_lex_state = 3},
  [3916] = {.lex_state = 167, .external_lex_state = 3},
  [3917] = {.lex_state = 98, .external_lex_state = 3},
  [3918] = {.lex_state = 93, .external_lex_state = 3},
  [3919] = {.lex_state = 98, .external_lex_state = 3},
  [3920] = {.lex_state = 93, .external_lex_state = 3},
  [3921] = {.lex_state = 167, .external_lex_state = 3},
  [3922] = {.lex_state = 167, .external_lex_state = 3},
  [3923] = {.lex_state = 28, .external_lex_state = 3},
  [3924] = {.lex_state = 167, .external_lex_state = 3},
  [3925] = {.lex_state = 93, .external_lex_state = 3},
  [3926] = {.lex_state = 98, .external_lex_state = 3},
  [3927] = {.lex_state = 28, .external_lex_state = 3},
  [3928] = {.lex_state = 167, .external_lex_state = 3},
  [3929] = {.lex_state = 182, .external_lex_state = 3},
  [3930] = {.lex_state = 98, .external_lex_state = 3},
  [3931] = {.lex_state = 98, .external_lex_state = 3},
  [3932] = {.lex_state = 28, .external_lex_state = 3},
  [3933] = {.lex_state = 167, .external_lex_state = 3},
  [3934] = {.lex_state = 28, .external_lex_state = 3},
  [3935] = {.lex_state = 167, .external_lex_state = 3},
  [3936] = {.lex_state = 92, .external_lex_state = 3},
  [3937] = {.lex_state = 167, .external_lex_state = 3},
  [3938] = {.lex_state = 167, .external_lex_state = 3},
  [3939] = {.lex_state = 28, .external_lex_state = 3},
  [3940] = {.lex_state = 93, .external_lex_state = 3},
  [3941] = {.lex_state = 28, .external_lex_state = 3},
  [3942] = {.lex_state = 167, .external_lex_state = 3},
  [3943] = {.lex_state = 93, .external_lex_state = 3},
  [3944] = {.lex_state = 98, .external_lex_state = 3},
  [3945] = {.lex_state = 28, .external_lex_state = 3},
  [3946] = {.lex_state = 167, .external_lex_state = 3},
  [3947] = {.lex_state = 167, .external_lex_state = 3},
  [3948] = {.lex_state = 182, .external_lex_state = 3},
  [3949] = {.lex_state = 167, .external_lex_state = 3},
  [3950] = {.lex_state = 167, .external_lex_state = 3},
  [3951] = {.lex_state = 28, .external_lex_state = 3},
  [3952] = {.lex_state = 167, .external_lex_state = 3},
  [3953] = {.lex_state = 182, .external_lex_state = 3},
  [3954] = {.lex_state = 28, .external_lex_state = 3},
  [3955] = {.lex_state = 167, .external_lex_state = 3},
  [3956] = {.lex_state = 182, .external_lex_state = 3},
  [3957] = {.lex_state = 182, .external_lex_state = 3},
  [3958] = {.lex_state = 93, .external_lex_state = 3},
  [3959] = {.lex_state = 98, .external_lex_state = 3},
  [3960] = {.lex_state = 182, .external_lex_state = 3},
  [3961] = {.lex_state = 167, .external_lex_state = 3},
  [3962] = {.lex_state = 167, .external_lex_state = 3},
  [3963] = {.lex_state = 167, .external_lex_state = 3},
  [3964] = {.lex_state = 167, .external_lex_state = 3},
  [3965] = {.lex_state = 182, .external_lex_state = 3},
  [3966] = {.lex_state = 93, .external_lex_state = 3},
  [3967] = {.lex_state = 72, .external_lex_state = 3},
  [3968] = {.lex_state = 28, .external_lex_state = 3},
  [3969] = {.lex_state = 92, .external_lex_state = 3},
  [3970] = {.lex_state = 99, .external_lex_state = 3},
  [3971] = {.lex_state = 28, .external_lex_state = 3},
  [3972] = {.lex_state = 93, .external_lex_state = 3},
  [3973] = {.lex_state = 167, .external_lex_state = 3},
  [3974] = {.lex_state = 167, .external_lex_state = 3},
  [3975] = {.lex_state = 167, .external_lex_state = 3},
  [3976] = {.lex_state = 182, .external_lex_state = 3},
  [3977] = {.lex_state = 93, .external_lex_state = 3},
  [3978] = {.lex_state = 99, .external_lex_state = 3},
  [3979] = {.lex_state = 167, .external_lex_state = 3},
  [3980] = {.lex_state = 182, .external_lex_state = 3},
  [3981] = {.lex_state = 28, .external_lex_state = 3},
  [3982] = {.lex_state = 93, .external_lex_state = 3},
  [3983] = {.lex_state = 28, .external_lex_state = 3},
  [3984] = {.lex_state = 78, .external_lex_state = 3},
  [3985] = {.lex_state = 167, .external_lex_state = 3},
  [3986] = {.lex_state = 93, .external_lex_state = 3},
  [3987] = {.lex_state = 98, .external_lex_state = 3},
  [3988] = {.lex_state = 92, .external_lex_state = 3},
  [3989] = {.lex_state = 28, .external_lex_state = 3},
  [3990] = {.lex_state = 167, .external_lex_state = 3},
  [3991] = {.lex_state = 93, .external_lex_state = 3},
  [3992] = {.lex_state = 28, .external_lex_state = 3},
  [3993] = {.lex_state = 80, .external_lex_state = 3},
  [3994] = {.lex_state = 92, .external_lex_state = 3},
  [3995] = {.lex_state = 167, .external_lex_state = 3},
  [3996] = {.lex_state = 93, .external_lex_state = 3},
  [3997] = {.lex_state = 28, .external_lex_state = 3},
  [3998] = {.lex_state = 98, .external_lex_state = 3},
  [3999] = {.lex_state = 98, .external_lex_state = 3},
  [4000] = {.lex_state = 78, .external_lex_state = 3},
  [4001] = {.lex_state = 167, .external_lex_state = 3},
  [4002] = {.lex_state = 93, .external_lex_state = 3},
  [4003] = {.lex_state = 93, .external_lex_state = 3},
  [4004] = {.lex_state = 28, .external_lex_state = 3},
  [4005] = {.lex_state = 28, .external_lex_state = 3},
  [4006] = {.lex_state = 93, .external_lex_state = 3},
  [4007] = {.lex_state = 167, .external_lex_state = 3},
  [4008] = {.lex_state = 98, .external_lex_state = 3},
  [4009] = {.lex_state = 182, .external_lex_state = 3},
  [4010] = {.lex_state = 93, .external_lex_state = 3},
  [4011] = {.lex_state = 167, .external_lex_state = 3},
  [4012] = {.lex_state = 93, .external_lex_state = 3},
  [4013] = {.lex_state = 93, .external_lex_state = 3},
  [4014] = {.lex_state = 93, .external_lex_state = 3},
  [4015] = {.lex_state = 98, .external_lex_state = 3},
  [4016] = {.lex_state = 98, .external_lex_state = 3},
  [4017] = {.lex_state = 99, .external_lex_state = 3},
  [4018] = {.lex_state = 167, .external_lex_state = 3},
  [4019] = {.lex_state = 98, .external_lex_state = 3},
  [4020] = {.lex_state = 93, .external_lex_state = 3},
  [4021] = {.lex_state = 98, .external_lex_state = 3},
  [4022] = {.lex_state = 98, .external_lex_state = 3},
  [4023] = {.lex_state = 98, .external_lex_state = 3},
  [4024] = {.lex_state = 92, .external_lex_state = 3},
  [4025] = {.lex_state = 28, .external_lex_state = 3},
  [4026] = {.lex_state = 182, .external_lex_state = 3},
  [4027] = {.lex_state = 99, .external_lex_state = 3},
  [4028] = {.lex_state = 28, .external_lex_state = 3},
  [4029] = {.lex_state = 167, .external_lex_state = 3},
  [4030] = {.lex_state = 167, .external_lex_state = 3},
  [4031] = {.lex_state = 93, .external_lex_state = 3},
  [4032] = {.lex_state = 167, .external_lex_state = 3},
  [4033] = {.lex_state = 167, .external_lex_state = 3},
  [4034] = {.lex_state = 167, .external_lex_state = 3},
  [4035] = {.lex_state = 167, .external_lex_state = 3},
  [4036] = {.lex_state = 182, .external_lex_state = 3},
  [4037] = {.lex_state = 93, .external_lex_state = 3},
  [4038] = {.lex_state = 28, .external_lex_state = 3},
  [4039] = {.lex_state = 98, .external_lex_state = 3},
  [4040] = {.lex_state = 93, .external_lex_state = 3},
  [4041] = {.lex_state = 167, .external_lex_state = 3},
  [4042] = {.lex_state = 28, .external_lex_state = 3},
  [4043] = {.lex_state = 28, .external_lex_state = 3},
  [4044] = {.lex_state = 93, .external_lex_state = 3},
  [4045] = {.lex_state = 167, .external_lex_state = 3},
  [4046] = {.lex_state = 92, .external_lex_state = 3},
  [4047] = {.lex_state = 28, .external_lex_state = 3},
  [4048] = {.lex_state = 167, .external_lex_state = 3},
  [4049] = {.lex_state = 167, .external_lex_state = 3},
  [4050] = {.lex_state = 167, .external_lex_state = 3},
  [4051] = {.lex_state = 93, .external_lex_state = 3},
  [4052] = {.lex_state = 28, .external_lex_state = 3},
  [4053] = {.lex_state = 167, .external_lex_state = 3},
  [4054] = {.lex_state = 167, .external_lex_state = 3},
  [4055] = {.lex_state = 167, .external_lex_state = 3},
  [4056] = {.lex_state = 98, .external_lex_state = 3},
  [4057] = {.lex_state = 167, .external_lex_state = 3},
  [4058] = {.lex_state = 98, .external_lex_state = 3},
  [4059] = {.lex_state = 98, .external_lex_state = 3},
  [4060] = {.lex_state = 167, .external_lex_state = 3},
  [4061] = {.lex_state = 93, .external_lex_state = 3},
  [4062] = {.lex_state = 92, .external_lex_state = 3},
  [4063] = {.lex_state = 98, .external_lex_state = 3},
  [4064] = {.lex_state = 98, .external_lex_state = 3},
  [4065] = {.lex_state = 98, .external_lex_state = 3},
  [4066] = {.lex_state = 99, .external_lex_state = 3},
  [4067] = {.lex_state = 92, .external_lex_state = 3},
  [4068] = {.lex_state = 75, .external_lex_state = 3},
  [4069] = {.lex_state = 79, .external_lex_state = 3},
  [4070] = {.lex_state = 79, .external_lex_state = 3},
  [4071] = {.lex_state = 28, .external_lex_state = 3},
  [4072] = {.lex_state = 92, .external_lex_state = 3},
  [4073] = {.lex_state = 92, .external_lex_state = 3},
  [4074] = {.lex_state = 92, .external_lex_state = 3},
  [4075] = {.lex_state = 28, .external_lex_state = 3},
  [4076] = {.lex_state = 92, .external_lex_state = 3},
  [4077] = {.lex_state = 92, .external_lex_state = 3},
  [4078] = {.lex_state = 28, .external_lex_state = 3},
  [4079] = {.lex_state = 28, .external_lex_state = 3},
  [4080] = {.lex_state = 92, .external_lex_state = 3},
  [4081] = {.lex_state = 92, .external_lex_state = 3},
  [4082] = {.lex_state = 99, .external_lex_state = 3},
  [4083] = {.lex_state = 99, .external_lex_state = 3},
  [4084] = {.lex_state = 28, .external_lex_state = 3},
  [4085] = {.lex_state = 99, .external_lex_state = 3},
  [4086] = {.lex_state = 28, .external_lex_state = 3},
  [4087] = {.lex_state = 167, .external_lex_state = 3},
  [4088] = {.lex_state = 99, .external_lex_state = 3},
  [4089] = {.lex_state = 167, .external_lex_state = 3},
  [4090] = {.lex_state = 28, .external_lex_state = 3},
  [4091] = {.lex_state = 167, .external_lex_state = 3},
  [4092] = {.lex_state = 99, .external_lex_state = 3},
  [4093] = {.lex_state = 167, .external_lex_state = 3},
  [4094] = {.lex_state = 99, .external_lex_state = 3},
  [4095] = {.lex_state = 99, .external_lex_state = 3},
  [4096] = {.lex_state = 167, .external_lex_state = 3},
  [4097] = {.lex_state = 167, .external_lex_state = 3},
  [4098] = {.lex_state = 167, .external_lex_state = 3},
  [4099] = {.lex_state = 167, .external_lex_state = 3},
  [4100] = {.lex_state = 167, .external_lex_state = 3},
  [4101] = {.lex_state = 167, .external_lex_state = 3},
  [4102] = {.lex_state = 167, .external_lex_state = 3},
  [4103] = {.lex_state = 167, .external_lex_state = 3},
  [4104] = {.lex_state = 92, .external_lex_state = 3},
  [4105] = {.lex_state = 167, .external_lex_state = 3},
  [4106] = {.lex_state = 28, .external_lex_state = 3},
  [4107] = {.lex_state = 28, .external_lex_state = 3},
  [4108] = {.lex_state = 92, .external_lex_state = 3},
  [4109] = {.lex_state = 28, .external_lex_state = 3},
  [4110] = {.lex_state = 28, .external_lex_state = 3},
  [4111] = {.lex_state = 28, .external_lex_state = 3},
  [4112] = {.lex_state = 28, .external_lex_state = 3},
  [4113] = {.lex_state = 99, .external_lex_state = 3},
  [4114] = {.lex_state = 99, .external_lex_state = 3},
  [4115] = {.lex_state = 99, .external_lex_state = 3},
  [4116] = {.lex_state = 99, .external_lex_state = 3},
  [4117] = {.lex_state = 28, .external_lex_state = 3},
  [4118] = {.lex_state = 28, .external_lex_state = 3},
  [4119] = {.lex_state = 28, .external_lex_state = 3},
  [4120] = {.lex_state = 99, .external_lex_state = 3},
  [4121] = {.lex_state = 99, .external_lex_state = 3},
  [4122] = {.lex_state = 99, .external_lex_state = 3},
  [4123] = {.lex_state = 99, .external_lex_state = 3},
  [4124] = {.lex_state = 99, .external_lex_state = 3},
  [4125] = {.lex_state = 99, .external_lex_state = 3},
  [4126] = {.lex_state = 92, .external_lex_state = 3},
  [4127] = {.lex_state = 28, .external_lex_state = 3},
  [4128] = {.lex_state = 99, .external_lex_state = 3},
  [4129] = {.lex_state = 92, .external_lex_state = 3},
  [4130] = {.lex_state = 92, .external_lex_state = 3},
  [4131] = {.lex_state = 28, .external_lex_state = 3},
  [4132] = {.lex_state = 28, .external_lex_state = 3},
  [4133] = {.lex_state = 167, .external_lex_state = 3},
  [4134] = {.lex_state = 92, .external_lex_state = 3},
  [4135] = {.lex_state = 92, .external_lex_state = 3},
  [4136] = {.lex_state = 92, .external_lex_state = 3},
  [4137] = {.lex_state = 92, .external_lex_state = 3},
  [4138] = {.lex_state = 92, .external_lex_state = 3},
  [4139] = {.lex_state = 92, .external_lex_state = 3},
  [4140] = {.lex_state = 92, .external_lex_state = 3},
  [4141] = {.lex_state = 92, .external_lex_state = 3},
  [4142] = {.lex_state = 92, .external_lex_state = 3},
  [4143] = {.lex_state = 28, .external_lex_state = 3},
  [4144] = {.lex_state = 28, .external_lex_state = 3},
  [4145] = {.lex_state = 28, .external_lex_state = 3},
  [4146] = {.lex_state = 99, .external_lex_state = 3},
  [4147] = {.lex_state = 99, .external_lex_state = 3},
  [4148] = {.lex_state = 99, .external_lex_state = 3},
  [4149] = {.lex_state = 99, .external_lex_state = 3},
  [4150] = {.lex_state = 99, .external_lex_state = 3},
  [4151] = {.lex_state = 28, .external_lex_state = 3},
  [4152] = {.lex_state = 28, .external_lex_state = 3},
  [4153] = {.lex_state = 99, .external_lex_state = 3},
  [4154] = {.lex_state = 92, .external_lex_state = 3},
  [4155] = {.lex_state = 92, .external_lex_state = 3},
  [4156] = {.lex_state = 99, .external_lex_state = 3},
  [4157] = {.lex_state = 99, .external_lex_state = 3},
  [4158] = {.lex_state = 99, .external_lex_state = 3},
  [4159] = {.lex_state = 99, .external_lex_state = 3},
  [4160] = {.lex_state = 92, .external_lex_state = 3},
  [4161] = {.lex_state = 99, .external_lex_state = 3},
  [4162] = {.lex_state = 99, .external_lex_state = 3},
  [4163] = {.lex_state = 92, .external_lex_state = 3},
  [4164] = {.lex_state = 99, .external_lex_state = 3},
  [4165] = {.lex_state = 99, .external_lex_state = 3},
  [4166] = {.lex_state = 99, .external_lex_state = 3},
  [4167] = {.lex_state = 99, .external_lex_state = 3},
  [4168] = {.lex_state = 92, .external_lex_state = 3},
  [4169] = {.lex_state = 92, .external_lex_state = 3},
  [4170] = {.lex_state = 72, .external_lex_state = 3},
  [4171] = {.lex_state = 99, .external_lex_state = 3},
  [4172] = {.lex_state = 99, .external_lex_state = 3},
  [4173] = {.lex_state = 99, .external_lex_state = 3},
  [4174] = {.lex_state = 28, .external_lex_state = 3},
  [4175] = {.lex_state = 99, .external_lex_state = 3},
  [4176] = {.lex_state = 99, .external_lex_state = 3},
  [4177] = {.lex_state = 28, .external_lex_state = 3},
  [4178] = {.lex_state = 28, .external_lex_state = 3},
  [4179] = {.lex_state = 99, .external_lex_state = 3},
  [4180] = {.lex_state = 167, .external_lex_state = 3},
  [4181] = {.lex_state = 99, .external_lex_state = 3},
  [4182] = {.lex_state = 99, .external_lex_state = 3},
  [4183] = {.lex_state = 99, .external_lex_state = 3},
  [4184] = {.lex_state = 92, .external_lex_state = 3},
  [4185] = {.lex_state = 28, .external_lex_state = 3},
  [4186] = {.lex_state = 72, .external_lex_state = 3},
  [4187] = {.lex_state = 28, .external_lex_state = 3},
  [4188] = {.lex_state = 99, .external_lex_state = 3},
  [4189] = {.lex_state = 28, .external_lex_state = 3},
  [4190] = {.lex_state = 28, .external_lex_state = 3},
  [4191] = {.lex_state = 92, .external_lex_state = 3},
  [4192] = {.lex_state = 92, .external_lex_state = 3},
  [4193] = {.lex_state = 92, .external_lex_state = 3},
  [4194] = {.lex_state = 92, .external_lex_state = 3},
  [4195] = {.lex_state = 99, .external_lex_state = 3},
  [4196] = {.lex_state = 99, .external_lex_state = 3},
  [4197] = {.lex_state = 99, .external_lex_state = 3},
  [4198] = {.lex_state = 99, .external_lex_state = 3},
  [4199] = {.lex_state = 99, .external_lex_state = 3},
  [4200] = {.lex_state = 99, .external_lex_state = 3},
  [4201] = {.lex_state = 99, .external_lex_state = 3},
  [4202] = {.lex_state = 99, .external_lex_state = 3},
  [4203] = {.lex_state = 92, .external_lex_state = 3},
  [4204] = {.lex_state = 92, .external_lex_state = 3},
  [4205] = {.lex_state = 92, .external_lex_state = 3},
  [4206] = {.lex_state = 99, .external_lex_state = 3},
  [4207] = {.lex_state = 92, .external_lex_state = 3},
  [4208] = {.lex_state = 92, .external_lex_state = 3},
  [4209] = {.lex_state = 92, .external_lex_state = 3},
  [4210] = {.lex_state = 99, .external_lex_state = 3},
  [4211] = {.lex_state = 99, .external_lex_state = 3},
  [4212] = {.lex_state = 99, .external_lex_state = 3},
  [4213] = {.lex_state = 28, .external_lex_state = 3},
  [4214] = {.lex_state = 28, .external_lex_state = 3},
  [4215] = {.lex_state = 28, .external_lex_state = 3},
  [4216] = {.lex_state = 92, .external_lex_state = 3},
  [4217] = {.lex_state = 99, .external_lex_state = 3},
  [4218] = {.lex_state = 99, .external_lex_state = 3},
  [4219] = {.lex_state = 92, .external_lex_state = 3},
  [4220] = {.lex_state = 99, .external_lex_state = 3},
  [4221] = {.lex_state = 92, .external_lex_state = 3},
  [4222] = {.lex_state = 92, .external_lex_state = 3},
  [4223] = {.lex_state = 99, .external_lex_state = 3},
  [4224] = {.lex_state = 28, .external_lex_state = 3},
  [4225] = {.lex_state = 28, .external_lex_state = 3},
  [4226] = {.lex_state = 28, .external_lex_state = 3},
  [4227] = {.lex_state = 28, .external_lex_state = 3},
  [4228] = {.lex_state = 28, .external_lex_state = 3},
  [4229] = {.lex_state = 28, .external_lex_state = 3},
  [4230] = {.lex_state = 28, .external_lex_state = 3},
  [4231] = {.lex_state = 28, .external_lex_state = 3},
  [4232] = {.lex_state = 167, .external_lex_state = 3},
  [4233] = {.lex_state = 92, .external_lex_state = 3},
  [4234] = {.lex_state = 99, .external_lex_state = 3},
  [4235] = {.lex_state = 28, .external_lex_state = 3},
  [4236] = {.lex_state = 99, .external_lex_state = 3},
  [4237] = {.lex_state = 28, .external_lex_state = 3},
  [4238] = {.lex_state = 28, .external_lex_state = 3},
  [4239] = {.lex_state = 99, .external_lex_state = 3},
  [4240] = {.lex_state = 28, .external_lex_state = 3},
  [4241] = {.lex_state = 28, .external_lex_state = 3},
  [4242] = {.lex_state = 28, .external_lex_state = 3},
  [4243] = {.lex_state = 92, .external_lex_state = 3},
  [4244] = {.lex_state = 28, .external_lex_state = 3},
  [4245] = {.lex_state = 28, .external_lex_state = 3},
  [4246] = {.lex_state = 28, .external_lex_state = 3},
  [4247] = {.lex_state = 99, .external_lex_state = 3},
  [4248] = {.lex_state = 99, .external_lex_state = 3},
  [4249] = {.lex_state = 92, .external_lex_state = 3},
  [4250] = {.lex_state = 92, .external_lex_state = 3},
  [4251] = {.lex_state = 92, .external_lex_state = 3},
  [4252] = {.lex_state = 28, .external_lex_state = 3},
  [4253] = {.lex_state = 28, .external_lex_state = 3},
  [4254] = {.lex_state = 28, .external_lex_state = 3},
  [4255] = {.lex_state = 28, .external_lex_state = 3},
  [4256] = {.lex_state = 99, .external_lex_state = 3},
  [4257] = {.lex_state = 28, .external_lex_state = 3},
  [4258] = {.lex_state = 28, .external_lex_state = 3},
  [4259] = {.lex_state = 28, .external_lex_state = 3},
  [4260] = {.lex_state = 80, .external_lex_state = 3},
  [4261] = {.lex_state = 99, .external_lex_state = 3},
  [4262] = {.lex_state = 92, .external_lex_state = 3},
  [4263] = {.lex_state = 99, .external_lex_state = 3},
  [4264] = {.lex_state = 75, .external_lex_state = 3},
  [4265] = {.lex_state = 99, .external_lex_state = 3},
  [4266] = {.lex_state = 28, .external_lex_state = 3},
  [4267] = {.lex_state = 28, .external_lex_state = 3},
  [4268] = {.lex_state = 28, .external_lex_state = 3},
  [4269] = {.lex_state = 99, .external_lex_state = 3},
  [4270] = {.lex_state = 28, .external_lex_state = 3},
  [4271] = {.lex_state = 28, .external_lex_state = 3},
  [4272] = {.lex_state = 92, .external_lex_state = 3},
  [4273] = {.lex_state = 92, .external_lex_state = 3},
  [4274] = {.lex_state = 28, .external_lex_state = 3},
  [4275] = {.lex_state = 28, .external_lex_state = 3},
  [4276] = {.lex_state = 28, .external_lex_state = 3},
  [4277] = {.lex_state = 92, .external_lex_state = 3},
  [4278] = {.lex_state = 92, .external_lex_state = 3},
  [4279] = {.lex_state = 92, .external_lex_state = 3},
  [4280] = {.lex_state = 80, .external_lex_state = 3},
  [4281] = {.lex_state = 28, .external_lex_state = 3},
  [4282] = {.lex_state = 28, .external_lex_state = 3},
  [4283] = {.lex_state = 28, .external_lex_state = 3},
  [4284] = {.lex_state = 28, .external_lex_state = 3},
  [4285] = {.lex_state = 28, .external_lex_state = 3},
  [4286] = {.lex_state = 28, .external_lex_state = 3},
  [4287] = {.lex_state = 28, .external_lex_state = 3},
  [4288] = {.lex_state = 28, .external_lex_state = 3},
  [4289] = {.lex_state = 92, .external_lex_state = 3},
  [4290] = {.lex_state = 92, .external_lex_state = 3},
  [4291] = {.lex_state = 92, .external_lex_state = 3},
  [4292] = {.lex_state = 92, .external_lex_state = 3},
  [4293] = {.lex_state = 28, .external_lex_state = 3},
  [4294] = {.lex_state = 28, .external_lex_state = 3},
  [4295] = {.lex_state = 28, .external_lex_state = 3},
  [4296] = {.lex_state = 92, .external_lex_state = 3},
  [4297] = {.lex_state = 92, .external_lex_state = 3},
  [4298] = {.lex_state = 28, .external_lex_state = 3},
  [4299] = {.lex_state = 28, .external_lex_state = 3},
  [4300] = {.lex_state = 28, .external_lex_state = 3},
  [4301] = {.lex_state = 28, .external_lex_state = 3},
  [4302] = {.lex_state = 28, .external_lex_state = 3},
  [4303] = {.lex_state = 28, .external_lex_state = 3},
  [4304] = {.lex_state = 28, .external_lex_state = 3},
  [4305] = {.lex_state = 28, .external_lex_state = 3},
  [4306] = {.lex_state = 28, .external_lex_state = 3},
  [4307] = {.lex_state = 28, .external_lex_state = 3},
  [4308] = {.lex_state = 28, .external_lex_state = 3},
  [4309] = {.lex_state = 92, .external_lex_state = 3},
  [4310] = {.lex_state = 92, .external_lex_state = 3},
  [4311] = {.lex_state = 28, .external_lex_state = 3},
  [4312] = {.lex_state = 28, .external_lex_state = 3},
  [4313] = {.lex_state = 28, .external_lex_state = 3},
  [4314] = {.lex_state = 28, .external_lex_state = 3},
  [4315] = {.lex_state = 28, .external_lex_state = 3},
  [4316] = {.lex_state = 28, .external_lex_state = 3},
  [4317] = {.lex_state = 28, .external_lex_state = 3},
  [4318] = {.lex_state = 28, .external_lex_state = 3},
  [4319] = {.lex_state = 28, .external_lex_state = 3},
  [4320] = {.lex_state = 167, .external_lex_state = 3},
  [4321] = {.lex_state = 28, .external_lex_state = 3},
  [4322] = {.lex_state = 28, .external_lex_state = 3},
  [4323] = {.lex_state = 28, .external_lex_state = 3},
  [4324] = {.lex_state = 28, .external_lex_state = 3},
  [4325] = {.lex_state = 28, .external_lex_state = 3},
  [4326] = {.lex_state = 28, .external_lex_state = 3},
  [4327] = {.lex_state = 28, .external_lex_state = 3},
  [4328] = {.lex_state = 28, .external_lex_state = 3},
  [4329] = {.lex_state = 28, .external_lex_state = 3},
  [4330] = {.lex_state = 28, .external_lex_state = 3},
  [4331] = {.lex_state = 28, .external_lex_state = 3},
  [4332] = {.lex_state = 28, .external_lex_state = 3},
  [4333] = {.lex_state = 28, .external_lex_state = 3},
  [4334] = {.lex_state = 28, .external_lex_state = 3},
  [4335] = {.lex_state = 28, .external_lex_state = 3},
  [4336] = {.lex_state = 28, .external_lex_state = 3},
  [4337] = {.lex_state = 28, .external_lex_state = 3},
  [4338] = {.lex_state = 28, .external_lex_state = 3},
  [4339] = {.lex_state = 28, .external_lex_state = 3},
  [4340] = {.lex_state = 28, .external_lex_state = 3},
  [4341] = {.lex_state = 28, .external_lex_state = 3},
  [4342] = {.lex_state = 28, .external_lex_state = 3},
  [4343] = {.lex_state = 28, .external_lex_state = 3},
  [4344] = {.lex_state = 28, .external_lex_state = 3},
  [4345] = {.lex_state = 28, .external_lex_state = 3},
  [4346] = {.lex_state = 28, .external_lex_state = 3},
  [4347] = {.lex_state = 28, .external_lex_state = 3},
  [4348] = {.lex_state = 28, .external_lex_state = 3},
  [4349] = {.lex_state = 28, .external_lex_state = 3},
  [4350] = {.lex_state = 28, .external_lex_state = 3},
  [4351] = {.lex_state = 28, .external_lex_state = 3},
  [4352] = {.lex_state = 28, .external_lex_state = 3},
  [4353] = {.lex_state = 28, .external_lex_state = 3},
  [4354] = {.lex_state = 167, .external_lex_state = 3},
  [4355] = {.lex_state = 167, .external_lex_state = 3},
  [4356] = {.lex_state = 167, .external_lex_state = 3},
  [4357] = {.lex_state = 167, .external_lex_state = 3},
  [4358] = {.lex_state = 167, .external_lex_state = 3},
  [4359] = {.lex_state = 167, .external_lex_state = 3},
  [4360] = {.lex_state = 99, .external_lex_state = 3},
  [4361] = {.lex_state = 28, .external_lex_state = 3},
  [4362] = {.lex_state = 167, .external_lex_state = 3},
  [4363] = {.lex_state = 28, .external_lex_state = 3},
  [4364] = {.lex_state = 167, .external_lex_state = 3},
  [4365] = {.lex_state = 92, .external_lex_state = 3},
  [4366] = {.lex_state = 92, .external_lex_state = 3},
  [4367] = {.lex_state = 92, .external_lex_state = 3},
  [4368] = {.lex_state = 92, .external_lex_state = 3},
  [4369] = {.lex_state = 92, .external_lex_state = 3},
  [4370] = {.lex_state = 92, .external_lex_state = 3},
  [4371] = {.lex_state = 73, .external_lex_state = 3},
  [4372] = {.lex_state = 92, .external_lex_state = 3},
  [4373] = {.lex_state = 81, .external_lex_state = 3},
  [4374] = {.lex_state = 28, .external_lex_state = 3},
  [4375] = {.lex_state = 28, .external_lex_state = 3},
  [4376] = {.lex_state = 92, .external_lex_state = 3},
  [4377] = {.lex_state = 92, .external_lex_state = 3},
  [4378] = {.lex_state = 92, .external_lex_state = 3},
  [4379] = {.lex_state = 167, .external_lex_state = 3},
  [4380] = {.lex_state = 167, .external_lex_state = 3},
  [4381] = {.lex_state = 28, .external_lex_state = 3},
  [4382] = {.lex_state = 28, .external_lex_state = 3},
  [4383] = {.lex_state = 28, .external_lex_state = 3},
  [4384] = {.lex_state = 28, .external_lex_state = 3},
  [4385] = {.lex_state = 167, .external_lex_state = 3},
  [4386] = {.lex_state = 167, .external_lex_state = 3},
  [4387] = {.lex_state = 167, .external_lex_state = 3},
  [4388] = {.lex_state = 167, .external_lex_state = 3},
  [4389] = {.lex_state = 167, .external_lex_state = 3},
  [4390] = {.lex_state = 167, .external_lex_state = 3},
  [4391] = {.lex_state = 167, .external_lex_state = 3},
  [4392] = {.lex_state = 167, .external_lex_state = 3},
  [4393] = {.lex_state = 167, .external_lex_state = 3},
  [4394] = {.lex_state = 167, .external_lex_state = 3},
  [4395] = {.lex_state = 167, .external_lex_state = 3},
  [4396] = {.lex_state = 167, .external_lex_state = 3},
  [4397] = {.lex_state = 167, .external_lex_state = 3},
  [4398] = {.lex_state = 167, .external_lex_state = 3},
  [4399] = {.lex_state = 167, .external_lex_state = 3},
  [4400] = {.lex_state = 167, .external_lex_state = 3},
  [4401] = {.lex_state = 167, .external_lex_state = 3},
  [4402] = {.lex_state = 167, .external_lex_state = 3},
  [4403] = {.lex_state = 167, .external_lex_state = 3},
  [4404] = {.lex_state = 167, .external_lex_state = 3},
  [4405] = {.lex_state = 167, .external_lex_state = 3},
  [4406] = {.lex_state = 167, .external_lex_state = 3},
  [4407] = {.lex_state = 167, .external_lex_state = 3},
  [4408] = {.lex_state = 167, .external_lex_state = 3},
  [4409] = {.lex_state = 167, .external_lex_state = 3},
  [4410] = {.lex_state = 167, .external_lex_state = 3},
  [4411] = {.lex_state = 167, .external_lex_state = 3},
  [4412] = {.lex_state = 167, .external_lex_state = 3},
  [4413] = {.lex_state = 167, .external_lex_state = 3},
  [4414] = {.lex_state = 167, .external_lex_state = 3},
  [4415] = {.lex_state = 167, .external_lex_state = 3},
  [4416] = {.lex_state = 167, .external_lex_state = 3},
  [4417] = {.lex_state = 167, .external_lex_state = 3},
  [4418] = {.lex_state = 167, .external_lex_state = 3},
  [4419] = {.lex_state = 167, .external_lex_state = 3},
  [4420] = {.lex_state = 167, .external_lex_state = 3},
  [4421] = {.lex_state = 167, .external_lex_state = 3},
  [4422] = {.lex_state = 167, .external_lex_state = 3},
  [4423] = {.lex_state = 167, .external_lex_state = 3},
  [4424] = {.lex_state = 167, .external_lex_state = 3},
  [4425] = {.lex_state = 167, .external_lex_state = 3},
  [4426] = {.lex_state = 167, .external_lex_state = 3},
  [4427] = {.lex_state = 167, .external_lex_state = 3},
  [4428] = {.lex_state = 167, .external_lex_state = 3},
  [4429] = {.lex_state = 167, .external_lex_state = 3},
  [4430] = {.lex_state = 167, .external_lex_state = 3},
  [4431] = {.lex_state = 167, .external_lex_state = 3},
  [4432] = {.lex_state = 167, .external_lex_state = 3},
  [4433] = {.lex_state = 167, .external_lex_state = 3},
  [4434] = {.lex_state = 167, .external_lex_state = 3},
  [4435] = {.lex_state = 167, .external_lex_state = 3},
  [4436] = {.lex_state = 167, .external_lex_state = 3},
  [4437] = {.lex_state = 167, .external_lex_state = 3},
  [4438] = {.lex_state = 167, .external_lex_state = 3},
  [4439] = {.lex_state = 167, .external_lex_state = 3},
  [4440] = {.lex_state = 167, .external_lex_state = 3},
  [4441] = {.lex_state = 167, .external_lex_state = 3},
  [4442] = {.lex_state = 167, .external_lex_state = 3},
  [4443] = {.lex_state = 167, .external_lex_state = 3},
  [4444] = {.lex_state = 167, .external_lex_state = 3},
  [4445] = {.lex_state = 167, .external_lex_state = 3},
  [4446] = {.lex_state = 167, .external_lex_state = 3},
  [4447] = {.lex_state = 167, .external_lex_state = 3},
  [4448] = {.lex_state = 167, .external_lex_state = 3},
  [4449] = {.lex_state = 167, .external_lex_state = 3},
  [4450] = {.lex_state = 167, .external_lex_state = 3},
  [4451] = {.lex_state = 167, .external_lex_state = 3},
  [4452] = {.lex_state = 167, .external_lex_state = 3},
  [4453] = {.lex_state = 167, .external_lex_state = 3},
  [4454] = {.lex_state = 167, .external_lex_state = 3},
  [4455] = {.lex_state = 167, .external_lex_state = 3},
  [4456] = {.lex_state = 167, .external_lex_state = 3},
  [4457] = {.lex_state = 167, .external_lex_state = 3},
  [4458] = {.lex_state = 167, .external_lex_state = 3},
  [4459] = {.lex_state = 167, .external_lex_state = 3},
  [4460] = {.lex_state = 167, .external_lex_state = 3},
  [4461] = {.lex_state = 167, .external_lex_state = 3},
  [4462] = {.lex_state = 167, .external_lex_state = 3},
  [4463] = {.lex_state = 167, .external_lex_state = 3},
  [4464] = {.lex_state = 167, .external_lex_state = 3},
  [4465] = {.lex_state = 167, .external_lex_state = 3},
  [4466] = {.lex_state = 167, .external_lex_state = 3},
  [4467] = {.lex_state = 167, .external_lex_state = 3},
  [4468] = {.lex_state = 167, .external_lex_state = 3},
  [4469] = {.lex_state = 167, .external_lex_state = 3},
  [4470] = {.lex_state = 167, .external_lex_state = 3},
  [4471] = {.lex_state = 28, .external_lex_state = 3},
  [4472] = {.lex_state = 28, .external_lex_state = 3},
  [4473] = {.lex_state = 28, .external_lex_state = 3},
  [4474] = {.lex_state = 28, .external_lex_state = 3},
  [4475] = {.lex_state = 28, .external_lex_state = 3},
  [4476] = {.lex_state = 28, .external_lex_state = 3},
  [4477] = {.lex_state = 28, .external_lex_state = 3},
  [4478] = {.lex_state = 28, .external_lex_state = 3},
  [4479] = {.lex_state = 28, .external_lex_state = 3},
  [4480] = {.lex_state = 28, .external_lex_state = 3},
  [4481] = {.lex_state = 28, .external_lex_state = 3},
  [4482] = {.lex_state = 77, .external_lex_state = 3},
  [4483] = {.lex_state = 28, .external_lex_state = 3},
  [4484] = {.lex_state = 28, .external_lex_state = 3},
  [4485] = {.lex_state = 28, .external_lex_state = 3},
  [4486] = {.lex_state = 28, .external_lex_state = 3},
  [4487] = {.lex_state = 28, .external_lex_state = 3},
  [4488] = {.lex_state = 28, .external_lex_state = 3},
  [4489] = {.lex_state = 28, .external_lex_state = 3},
  [4490] = {.lex_state = 28, .external_lex_state = 3},
  [4491] = {.lex_state = 28, .external_lex_state = 3},
  [4492] = {.lex_state = 28, .external_lex_state = 3},
  [4493] = {.lex_state = 28, .external_lex_state = 3},
  [4494] = {.lex_state = 28, .external_lex_state = 3},
  [4495] = {.lex_state = 28, .external_lex_state = 3},
  [4496] = {.lex_state = 28, .external_lex_state = 3},
  [4497] = {.lex_state = 28, .external_lex_state = 3},
  [4498] = {.lex_state = 28, .external_lex_state = 3},
  [4499] = {.lex_state = 28, .external_lex_state = 3},
  [4500] = {.lex_state = 28, .external_lex_state = 3},
  [4501] = {.lex_state = 28, .external_lex_state = 3},
  [4502] = {.lex_state = 28, .external_lex_state = 3},
  [4503] = {.lex_state = 73, .external_lex_state = 3},
  [4504] = {.lex_state = 73, .external_lex_state = 3},
  [4505] = {.lex_state = 28, .external_lex_state = 3},
  [4506] = {.lex_state = 81, .external_lex_state = 3},
  [4507] = {.lex_state = 28, .external_lex_state = 3},
  [4508] = {.lex_state = 28, .external_lex_state = 3},
  [4509] = {.lex_state = 81, .external_lex_state = 3},
  [4510] = {.lex_state = 28, .external_lex_state = 3},
  [4511] = {.lex_state = 28, .external_lex_state = 3},
  [4512] = {.lex_state = 28, .external_lex_state = 3},
  [4513] = {.lex_state = 28, .external_lex_state = 3},
  [4514] = {.lex_state = 28, .external_lex_state = 3},
  [4515] = {.lex_state = 28, .external_lex_state = 3},
  [4516] = {.lex_state = 28, .external_lex_state = 3},
  [4517] = {.lex_state = 28, .external_lex_state = 3},
  [4518] = {.lex_state = 28, .external_lex_state = 3},
  [4519] = {.lex_state = 28, .external_lex_state = 3},
  [4520] = {.lex_state = 28, .external_lex_state = 3},
  [4521] = {.lex_state = 28, .external_lex_state = 3},
  [4522] = {.lex_state = 28, .external_lex_state = 3},
  [4523] = {.lex_state = 28, .external_lex_state = 3},
  [4524] = {.lex_state = 28, .external_lex_state = 3},
  [4525] = {.lex_state = 28, .external_lex_state = 3},
  [4526] = {.lex_state = 28, .external_lex_state = 3},
  [4527] = {.lex_state = 28, .external_lex_state = 3},
  [4528] = {.lex_state = 28, .external_lex_state = 3},
  [4529] = {.lex_state = 28, .external_lex_state = 3},
  [4530] = {.lex_state = 28, .external_lex_state = 3},
  [4531] = {.lex_state = 28, .external_lex_state = 3},
  [4532] = {.lex_state = 28, .external_lex_state = 3},
  [4533] = {.lex_state = 28, .external_lex_state = 3},
  [4534] = {.lex_state = 28, .external_lex_state = 3},
  [4535] = {.lex_state = 82, .external_lex_state = 3},
  [4536] = {.lex_state = 28, .external_lex_state = 3},
  [4537] = {.lex_state = 28, .external_lex_state = 3},
  [4538] = {.lex_state = 28, .external_lex_state = 3},
  [4539] = {.lex_state = 28, .external_lex_state = 3},
  [4540] = {.lex_state = 28, .external_lex_state = 3},
  [4541] = {.lex_state = 28, .external_lex_state = 3},
  [4542] = {.lex_state = 28, .external_lex_state = 3},
  [4543] = {.lex_state = 28, .external_lex_state = 3},
  [4544] = {.lex_state = 28, .external_lex_state = 3},
  [4545] = {.lex_state = 28, .external_lex_state = 3},
  [4546] = {.lex_state = 6, .external_lex_state = 3},
  [4547] = {.lex_state = 28, .external_lex_state = 3},
  [4548] = {.lex_state = 6, .external_lex_state = 3},
  [4549] = {.lex_state = 28, .external_lex_state = 3},
  [4550] = {.lex_state = 77, .external_lex_state = 3},
  [4551] = {.lex_state = 77, .external_lex_state = 3},
  [4552] = {.lex_state = 6, .external_lex_state = 3},
  [4553] = {.lex_state = 28, .external_lex_state = 3},
  [4554] = {.lex_state = 28, .external_lex_state = 3},
  [4555] = {.lex_state = 28, .external_lex_state = 3},
  [4556] = {.lex_state = 28, .external_lex_state = 3},
  [4557] = {.lex_state = 28, .external_lex_state = 3},
  [4558] = {.lex_state = 28, .external_lex_state = 3},
  [4559] = {.lex_state = 28, .external_lex_state = 3},
  [4560] = {.lex_state = 6, .external_lex_state = 3},
  [4561] = {.lex_state = 28, .external_lex_state = 3},
  [4562] = {.lex_state = 6, .external_lex_state = 3},
  [4563] = {.lex_state = 6, .external_lex_state = 3},
  [4564] = {.lex_state = 28, .external_lex_state = 3},
  [4565] = {.lex_state = 28, .external_lex_state = 3},
  [4566] = {.lex_state = 28, .external_lex_state = 3},
  [4567] = {.lex_state = 28, .external_lex_state = 3},
  [4568] = {.lex_state = 28, .external_lex_state = 3},
  [4569] = {.lex_state = 6, .external_lex_state = 3},
  [4570] = {.lex_state = 6, .external_lex_state = 3},
  [4571] = {.lex_state = 28, .external_lex_state = 3},
  [4572] = {.lex_state = 28, .external_lex_state = 3},
  [4573] = {.lex_state = 6, .external_lex_state = 3},
  [4574] = {.lex_state = 28, .external_lex_state = 3},
  [4575] = {.lex_state = 6, .external_lex_state = 3},
  [4576] = {.lex_state = 28, .external_lex_state = 3},
  [4577] = {.lex_state = 6, .external_lex_state = 3},
  [4578] = {.lex_state = 28, .external_lex_state = 3},
  [4579] = {.lex_state = 28, .external_lex_state = 3},
  [4580] = {.lex_state = 28, .external_lex_state = 3},
  [4581] = {.lex_state = 28, .external_lex_state = 3},
  [4582] = {.lex_state = 28, .external_lex_state = 3},
  [4583] = {.lex_state = 6, .external_lex_state = 3},
  [4584] = {.lex_state = 28, .external_lex_state = 3},
  [4585] = {.lex_state = 28, .external_lex_state = 3},
  [4586] = {.lex_state = 28, .external_lex_state = 3},
  [4587] = {.lex_state = 28, .external_lex_state = 3},
  [4588] = {.lex_state = 6, .external_lex_state = 3},
  [4589] = {.lex_state = 28, .external_lex_state = 3},
  [4590] = {.lex_state = 6, .external_lex_state = 3},
  [4591] = {.lex_state = 6, .external_lex_state = 3},
  [4592] = {.lex_state = 82, .external_lex_state = 3},
  [4593] = {.lex_state = 28, .external_lex_state = 3},
  [4594] = {.lex_state = 28, .external_lex_state = 3},
  [4595] = {.lex_state = 6, .external_lex_state = 3},
  [4596] = {.lex_state = 6, .external_lex_state = 3},
  [4597] = {.lex_state = 28, .external_lex_state = 3},
  [4598] = {.lex_state = 28, .external_lex_state = 3},
  [4599] = {.lex_state = 6, .external_lex_state = 3},
  [4600] = {.lex_state = 83, .external_lex_state = 3},
  [4601] = {.lex_state = 28, .external_lex_state = 3},
  [4602] = {.lex_state = 6, .external_lex_state = 3},
  [4603] = {.lex_state = 6, .external_lex_state = 3},
  [4604] = {.lex_state = 28, .external_lex_state = 3},
  [4605] = {.lex_state = 28, .external_lex_state = 3},
  [4606] = {.lex_state = 6, .external_lex_state = 3},
  [4607] = {.lex_state = 82, .external_lex_state = 3},
  [4608] = {.lex_state = 76, .external_lex_state = 3},
  [4609] = {.lex_state = 28, .external_lex_state = 3},
  [4610] = {.lex_state = 28, .external_lex_state = 3},
  [4611] = {.lex_state = 28, .external_lex_state = 3},
  [4612] = {.lex_state = 28, .external_lex_state = 3},
  [4613] = {.lex_state = 28, .external_lex_state = 3},
  [4614] = {.lex_state = 28, .external_lex_state = 3},
  [4615] = {.lex_state = 28, .external_lex_state = 3},
  [4616] = {.lex_state = 28, .external_lex_state = 3},
  [4617] = {.lex_state = 76, .external_lex_state = 3},
  [4618] = {.lex_state = 28, .external_lex_state = 3},
  [4619] = {.lex_state = 28, .external_lex_state = 3},
  [4620] = {.lex_state = 83, .external_lex_state = 3},
  [4621] = {.lex_state = 28, .external_lex_state = 3},
  [4622] = {.lex_state = 28, .external_lex_state = 3},
  [4623] = {.lex_state = 28, .external_lex_state = 3},
  [4624] = {.lex_state = 28, .external_lex_state = 3},
  [4625] = {.lex_state = 28, .external_lex_state = 3},
  [4626] = {.lex_state = 6, .external_lex_state = 3},
  [4627] = {.lex_state = 28, .external_lex_state = 3},
  [4628] = {.lex_state = 28, .external_lex_state = 3},
  [4629] = {.lex_state = 28, .external_lex_state = 3},
  [4630] = {.lex_state = 28, .external_lex_state = 3},
  [4631] = {.lex_state = 28, .external_lex_state = 3},
  [4632] = {.lex_state = 28, .external_lex_state = 3},
  [4633] = {.lex_state = 28, .external_lex_state = 3},
  [4634] = {.lex_state = 28, .external_lex_state = 3},
  [4635] = {.lex_state = 6, .external_lex_state = 3},
  [4636] = {.lex_state = 6, .external_lex_state = 3},
  [4637] = {.lex_state = 6, .external_lex_state = 3},
  [4638] = {.lex_state = 28, .external_lex_state = 3},
  [4639] = {.lex_state = 28, .external_lex_state = 3},
  [4640] = {.lex_state = 28, .external_lex_state = 3},
  [4641] = {.lex_state = 28, .external_lex_state = 3},
  [4642] = {.lex_state = 28, .external_lex_state = 3},
  [4643] = {.lex_state = 28, .external_lex_state = 3},
  [4644] = {.lex_state = 28, .external_lex_state = 3},
  [4645] = {.lex_state = 83, .external_lex_state = 3},
  [4646] = {.lex_state = 28, .external_lex_state = 3},
  [4647] = {.lex_state = 76, .external_lex_state = 3},
  [4648] = {.lex_state = 28, .external_lex_state = 3},
  [4649] = {.lex_state = 28, .external_lex_state = 3},
  [4650] = {.lex_state = 6, .external_lex_state = 3},
  [4651] = {.lex_state = 28, .external_lex_state = 3},
  [4652] = {.lex_state = 6, .external_lex_state = 3},
  [4653] = {.lex_state = 28, .external_lex_state = 3},
  [4654] = {.lex_state = 28, .external_lex_state = 3},
  [4655] = {.lex_state = 28, .external_lex_state = 3},
  [4656] = {.lex_state = 6, .external_lex_state = 3},
  [4657] = {.lex_state = 6, .external_lex_state = 3},
  [4658] = {.lex_state = 6, .external_lex_state = 3},
  [4659] = {.lex_state = 6, .external_lex_state = 3},
  [4660] = {.lex_state = 6, .external_lex_state = 3},
  [4661] = {.lex_state = 6, .external_lex_state = 3},
  [4662] = {.lex_state = 6, .external_lex_state = 3},
  [4663] = {.lex_state = 6, .external_lex_state = 3},
  [4664] = {.lex_state = 6, .external_lex_state = 3},
  [4665] = {.lex_state = 6, .external_lex_state = 3},
  [4666] = {.lex_state = 6, .external_lex_state = 3},
  [4667] = {.lex_state = 6, .external_lex_state = 3},
  [4668] = {.lex_state = 6, .external_lex_state = 3},
  [4669] = {.lex_state = 6, .external_lex_state = 3},
  [4670] = {.lex_state = 6, .external_lex_state = 3},
  [4671] = {.lex_state = 6, .external_lex_state = 3},
  [4672] = {.lex_state = 6, .external_lex_state = 3},
  [4673] = {.lex_state = 6, .external_lex_state = 3},
  [4674] = {.lex_state = 6, .external_lex_state = 3},
  [4675] = {.lex_state = 6, .external_lex_state = 3},
  [4676] = {.lex_state = 6, .external_lex_state = 3},
  [4677] = {.lex_state = 6, .external_lex_state = 3},
  [4678] = {.lex_state = 6, .external_lex_state = 3},
  [4679] = {.lex_state = 6, .external_lex_state = 3},
  [4680] = {.lex_state = 6, .external_lex_state = 3},
  [4681] = {.lex_state = 6, .external_lex_state = 3},
  [4682] = {.lex_state = 6, .external_lex_state = 3},
  [4683] = {.lex_state = 6, .external_lex_state = 3},
  [4684] = {.lex_state = 6, .external_lex_state = 3},
  [4685] = {.lex_state = 6, .external_lex_state = 3},
  [4686] = {.lex_state = 116, .external_lex_state = 3},
  [4687] = {.lex_state = 6, .external_lex_state = 3},
  [4688] = {.lex_state = 6, .external_lex_state = 3},
  [4689] = {.lex_state = 6, .external_lex_state = 3},
  [4690] = {.lex_state = 6, .external_lex_state = 3},
  [4691] = {.lex_state = 6, .external_lex_state = 3},
  [4692] = {.lex_state = 6, .external_lex_state = 3},
  [4693] = {.lex_state = 6, .external_lex_state = 3},
  [4694] = {.lex_state = 6, .external_lex_state = 3},
  [4695] = {.lex_state = 6, .external_lex_state = 3},
  [4696] = {.lex_state = 6, .external_lex_state = 3},
  [4697] = {.lex_state = 6, .external_lex_state = 3},
  [4698] = {.lex_state = 6, .external_lex_state = 3},
  [4699] = {.lex_state = 6, .external_lex_state = 3},
  [4700] = {.lex_state = 6, .external_lex_state = 3},
  [4701] = {.lex_state = 6, .external_lex_state = 3},
  [4702] = {.lex_state = 6, .external_lex_state = 3},
  [4703] = {.lex_state = 116, .external_lex_state = 3},
  [4704] = {.lex_state = 6, .external_lex_state = 3},
  [4705] = {.lex_state = 6, .external_lex_state = 3},
  [4706] = {.lex_state = 6, .external_lex_state = 3},
  [4707] = {.lex_state = 6, .external_lex_state = 3},
  [4708] = {.lex_state = 6, .external_lex_state = 3},
  [4709] = {.lex_state = 6, .external_lex_state = 3},
  [4710] = {.lex_state = 6, .external_lex_state = 3},
  [4711] = {.lex_state = 18, .external_lex_state = 3},
  [4712] = {.lex_state = 6, .external_lex_state = 3},
  [4713] = {.lex_state = 6, .external_lex_state = 3},
  [4714] = {.lex_state = 6, .external_lex_state = 3},
  [4715] = {.lex_state = 18, .external_lex_state = 3},
  [4716] = {.lex_state = 6, .external_lex_state = 3},
  [4717] = {.lex_state = 116, .external_lex_state = 3},
  [4718] = {.lex_state = 6, .external_lex_state = 3},
  [4719] = {.lex_state = 6, .external_lex_state = 3},
  [4720] = {.lex_state = 6, .external_lex_state = 3},
  [4721] = {.lex_state = 116, .external_lex_state = 3},
  [4722] = {.lex_state = 116, .external_lex_state = 3},
  [4723] = {.lex_state = 116, .external_lex_state = 3},
  [4724] = {.lex_state = 6, .external_lex_state = 3},
  [4725] = {.lex_state = 116, .external_lex_state = 3},
  [4726] = {.lex_state = 116, .external_lex_state = 3},
  [4727] = {.lex_state = 116, .external_lex_state = 3},
  [4728] = {.lex_state = 6, .external_lex_state = 3},
  [4729] = {.lex_state = 6, .external_lex_state = 3},
  [4730] = {.lex_state = 6, .external_lex_state = 3},
  [4731] = {.lex_state = 6, .external_lex_state = 3},
  [4732] = {.lex_state = 6, .external_lex_state = 3},
  [4733] = {.lex_state = 6, .external_lex_state = 3},
  [4734] = {.lex_state = 6, .external_lex_state = 3},
  [4735] = {.lex_state = 6, .external_lex_state = 3},
  [4736] = {.lex_state = 6, .external_lex_state = 3},
  [4737] = {.lex_state = 6, .external_lex_state = 3},
  [4738] = {.lex_state = 6, .external_lex_state = 3},
  [4739] = {.lex_state = 6, .external_lex_state = 3},
  [4740] = {.lex_state = 6, .external_lex_state = 3},
  [4741] = {.lex_state = 6, .external_lex_state = 3},
  [4742] = {.lex_state = 6, .external_lex_state = 3},
  [4743] = {.lex_state = 6, .external_lex_state = 3},
  [4744] = {.lex_state = 116, .external_lex_state = 3},
  [4745] = {.lex_state = 6, .external_lex_state = 3},
  [4746] = {.lex_state = 6, .external_lex_state = 3},
  [4747] = {.lex_state = 6, .external_lex_state = 3},
  [4748] = {.lex_state = 6, .external_lex_state = 3},
  [4749] = {.lex_state = 6, .external_lex_state = 3},
  [4750] = {.lex_state = 6, .external_lex_state = 3},
  [4751] = {.lex_state = 116, .external_lex_state = 3},
  [4752] = {.lex_state = 6, .external_lex_state = 3},
  [4753] = {.lex_state = 6, .external_lex_state = 3},
  [4754] = {.lex_state = 6, .external_lex_state = 3},
  [4755] = {.lex_state = 6, .external_lex_state = 3},
  [4756] = {.lex_state = 6, .external_lex_state = 3},
  [4757] = {.lex_state = 6, .external_lex_state = 3},
  [4758] = {.lex_state = 6, .external_lex_state = 3},
  [4759] = {.lex_state = 18, .external_lex_state = 3},
  [4760] = {.lex_state = 6, .external_lex_state = 3},
  [4761] = {.lex_state = 6, .external_lex_state = 3},
  [4762] = {.lex_state = 116, .external_lex_state = 3},
  [4763] = {.lex_state = 6, .external_lex_state = 3},
  [4764] = {.lex_state = 116, .external_lex_state = 3},
  [4765] = {.lex_state = 6, .external_lex_state = 3},
  [4766] = {.lex_state = 18, .external_lex_state = 3},
  [4767] = {.lex_state = 116, .external_lex_state = 3},
  [4768] = {.lex_state = 117, .external_lex_state = 3},
  [4769] = {.lex_state = 116, .external_lex_state = 3},
  [4770] = {.lex_state = 6, .external_lex_state = 3},
  [4771] = {.lex_state = 116, .external_lex_state = 3},
  [4772] = {.lex_state = 6, .external_lex_state = 3},
  [4773] = {.lex_state = 6, .external_lex_state = 3},
  [4774] = {.lex_state = 6, .external_lex_state = 3},
  [4775] = {.lex_state = 117, .external_lex_state = 3},
  [4776] = {.lex_state = 6, .external_lex_state = 3},
  [4777] = {.lex_state = 6, .external_lex_state = 3},
  [4778] = {.lex_state = 6, .external_lex_state = 3},
  [4779] = {.lex_state = 6, .external_lex_state = 3},
  [4780] = {.lex_state = 6, .external_lex_state = 3},
  [4781] = {.lex_state = 6, .external_lex_state = 3},
  [4782] = {.lex_state = 6, .external_lex_state = 3},
  [4783] = {.lex_state = 6, .external_lex_state = 3},
  [4784] = {.lex_state = 6, .external_lex_state = 3},
  [4785] = {.lex_state = 116, .external_lex_state = 3},
  [4786] = {.lex_state = 6, .external_lex_state = 3},
  [4787] = {.lex_state = 6, .external_lex_state = 3},
  [4788] = {.lex_state = 6, .external_lex_state = 3},
  [4789] = {.lex_state = 6, .external_lex_state = 3},
  [4790] = {.lex_state = 6, .external_lex_state = 3},
  [4791] = {.lex_state = 6, .external_lex_state = 3},
  [4792] = {.lex_state = 6, .external_lex_state = 3},
  [4793] = {.lex_state = 6, .external_lex_state = 3},
  [4794] = {.lex_state = 6, .external_lex_state = 3},
  [4795] = {.lex_state = 6, .external_lex_state = 3},
  [4796] = {.lex_state = 6, .external_lex_state = 3},
  [4797] = {.lex_state = 6, .external_lex_state = 3},
  [4798] = {.lex_state = 6, .external_lex_state = 3},
  [4799] = {.lex_state = 6, .external_lex_state = 3},
  [4800] = {.lex_state = 6, .external_lex_state = 3},
  [4801] = {.lex_state = 6, .external_lex_state = 3},
  [4802] = {.lex_state = 6, .external_lex_state = 3},
  [4803] = {.lex_state = 6, .external_lex_state = 3},
  [4804] = {.lex_state = 116, .external_lex_state = 3},
  [4805] = {.lex_state = 6, .external_lex_state = 3},
  [4806] = {.lex_state = 116, .external_lex_state = 3},
  [4807] = {.lex_state = 116, .external_lex_state = 3},
  [4808] = {.lex_state = 117, .external_lex_state = 3},
  [4809] = {.lex_state = 6, .external_lex_state = 3},
  [4810] = {.lex_state = 116, .external_lex_state = 3},
  [4811] = {.lex_state = 116, .external_lex_state = 3},
  [4812] = {.lex_state = 116, .external_lex_state = 3},
  [4813] = {.lex_state = 116, .external_lex_state = 3},
  [4814] = {.lex_state = 6, .external_lex_state = 3},
  [4815] = {.lex_state = 116, .external_lex_state = 3},
  [4816] = {.lex_state = 116, .external_lex_state = 3},
  [4817] = {.lex_state = 116, .external_lex_state = 3},
  [4818] = {.lex_state = 6, .external_lex_state = 3},
  [4819] = {.lex_state = 116, .external_lex_state = 3},
  [4820] = {.lex_state = 116, .external_lex_state = 3},
  [4821] = {.lex_state = 116, .external_lex_state = 3},
  [4822] = {.lex_state = 117, .external_lex_state = 3},
  [4823] = {.lex_state = 116, .external_lex_state = 3},
  [4824] = {.lex_state = 116, .external_lex_state = 3},
  [4825] = {.lex_state = 116, .external_lex_state = 3},
  [4826] = {.lex_state = 6, .external_lex_state = 3},
  [4827] = {.lex_state = 116, .external_lex_state = 3},
  [4828] = {.lex_state = 116, .external_lex_state = 3},
  [4829] = {.lex_state = 116, .external_lex_state = 3},
  [4830] = {.lex_state = 6, .external_lex_state = 3},
  [4831] = {.lex_state = 6, .external_lex_state = 3},
  [4832] = {.lex_state = 6, .external_lex_state = 3},
  [4833] = {.lex_state = 116, .external_lex_state = 3},
  [4834] = {.lex_state = 116, .external_lex_state = 3},
  [4835] = {.lex_state = 116, .external_lex_state = 3},
  [4836] = {.lex_state = 116, .external_lex_state = 3},
  [4837] = {.lex_state = 116, .external_lex_state = 3},
  [4838] = {.lex_state = 116, .external_lex_state = 3},
  [4839] = {.lex_state = 116, .external_lex_state = 3},
  [4840] = {.lex_state = 116, .external_lex_state = 3},
  [4841] = {.lex_state = 116, .external_lex_state = 3},
  [4842] = {.lex_state = 116, .external_lex_state = 3},
  [4843] = {.lex_state = 116, .external_lex_state = 3},
  [4844] = {.lex_state = 116, .external_lex_state = 3},
  [4845] = {.lex_state = 116, .external_lex_state = 3},
  [4846] = {.lex_state = 116, .external_lex_state = 3},
  [4847] = {.lex_state = 116, .external_lex_state = 3},
  [4848] = {.lex_state = 116, .external_lex_state = 3},
  [4849] = {.lex_state = 116, .external_lex_state = 3},
  [4850] = {.lex_state = 116, .external_lex_state = 3},
  [4851] = {.lex_state = 116, .external_lex_state = 3},
  [4852] = {.lex_state = 116, .external_lex_state = 3},
  [4853] = {.lex_state = 117, .external_lex_state = 3},
  [4854] = {.lex_state = 116, .external_lex_state = 3},
  [4855] = {.lex_state = 116, .external_lex_state = 3},
  [4856] = {.lex_state = 116, .external_lex_state = 3},
  [4857] = {.lex_state = 116, .external_lex_state = 3},
  [4858] = {.lex_state = 116, .external_lex_state = 3},
  [4859] = {.lex_state = 116, .external_lex_state = 3},
  [4860] = {.lex_state = 6, .external_lex_state = 3},
  [4861] = {.lex_state = 116, .external_lex_state = 3},
  [4862] = {.lex_state = 116, .external_lex_state = 3},
  [4863] = {.lex_state = 117, .external_lex_state = 3},
  [4864] = {.lex_state = 116, .external_lex_state = 3},
  [4865] = {.lex_state = 116, .external_lex_state = 3},
  [4866] = {.lex_state = 116, .external_lex_state = 3},
  [4867] = {.lex_state = 116, .external_lex_state = 3},
  [4868] = {.lex_state = 117, .external_lex_state = 3},
  [4869] = {.lex_state = 116, .external_lex_state = 3},
  [4870] = {.lex_state = 116, .external_lex_state = 3},
  [4871] = {.lex_state = 116, .external_lex_state = 3},
  [4872] = {.lex_state = 116, .external_lex_state = 3},
  [4873] = {.lex_state = 116, .external_lex_state = 3},
  [4874] = {.lex_state = 117, .external_lex_state = 3},
  [4875] = {.lex_state = 117, .external_lex_state = 3},
  [4876] = {.lex_state = 116, .external_lex_state = 3},
  [4877] = {.lex_state = 116, .external_lex_state = 3},
  [4878] = {.lex_state = 117, .external_lex_state = 3},
  [4879] = {.lex_state = 116, .external_lex_state = 3},
  [4880] = {.lex_state = 116, .external_lex_state = 3},
  [4881] = {.lex_state = 6, .external_lex_state = 3},
  [4882] = {.lex_state = 6, .external_lex_state = 3},
  [4883] = {.lex_state = 116, .external_lex_state = 3},
  [4884] = {.lex_state = 116, .external_lex_state = 3},
  [4885] = {.lex_state = 117, .external_lex_state = 3},
  [4886] = {.lex_state = 6, .external_lex_state = 3},
  [4887] = {.lex_state = 116, .external_lex_state = 3},
  [4888] = {.lex_state = 116, .external_lex_state = 3},
  [4889] = {.lex_state = 116, .external_lex_state = 3},
  [4890] = {.lex_state = 116, .external_lex_state = 3},
  [4891] = {.lex_state = 6, .external_lex_state = 3},
  [4892] = {.lex_state = 116, .external_lex_state = 3},
  [4893] = {.lex_state = 117, .external_lex_state = 3},
  [4894] = {.lex_state = 117, .external_lex_state = 3},
  [4895] = {.lex_state = 117, .external_lex_state = 3},
  [4896] = {.lex_state = 117, .external_lex_state = 3},
  [4897] = {.lex_state = 117, .external_lex_state = 3},
  [4898] = {.lex_state = 117, .external_lex_state = 3},
  [4899] = {.lex_state = 117, .external_lex_state = 3},
  [4900] = {.lex_state = 117, .external_lex_state = 3},
  [4901] = {.lex_state = 117, .external_lex_state = 3},
  [4902] = {.lex_state = 117, .external_lex_state = 3},
  [4903] = {.lex_state = 117, .external_lex_state = 3},
  [4904] = {.lex_state = 85, .external_lex_state = 3},
  [4905] = {.lex_state = 117, .external_lex_state = 3},
  [4906] = {.lex_state = 117, .external_lex_state = 3},
  [4907] = {.lex_state = 117, .external_lex_state = 3},
  [4908] = {.lex_state = 117, .external_lex_state = 3},
  [4909] = {.lex_state = 117, .external_lex_state = 3},
  [4910] = {.lex_state = 117, .external_lex_state = 3},
  [4911] = {.lex_state = 117, .external_lex_state = 3},
  [4912] = {.lex_state = 117, .external_lex_state = 3},
  [4913] = {.lex_state = 117, .external_lex_state = 3},
  [4914] = {.lex_state = 117, .external_lex_state = 3},
  [4915] = {.lex_state = 117, .external_lex_state = 3},
  [4916] = {.lex_state = 117, .external_lex_state = 3},
  [4917] = {.lex_state = 117, .external_lex_state = 3},
  [4918] = {.lex_state = 117, .external_lex_state = 3},
  [4919] = {.lex_state = 6, .external_lex_state = 3},
  [4920] = {.lex_state = 117, .external_lex_state = 3},
  [4921] = {.lex_state = 117, .external_lex_state = 3},
  [4922] = {.lex_state = 117, .external_lex_state = 3},
  [4923] = {.lex_state = 6, .external_lex_state = 3},
  [4924] = {.lex_state = 6, .external_lex_state = 3},
  [4925] = {.lex_state = 117, .external_lex_state = 3},
  [4926] = {.lex_state = 117, .external_lex_state = 3},
  [4927] = {.lex_state = 117, .external_lex_state = 3},
  [4928] = {.lex_state = 85, .external_lex_state = 3},
  [4929] = {.lex_state = 85, .external_lex_state = 3},
  [4930] = {.lex_state = 85, .external_lex_state = 3},
  [4931] = {.lex_state = 6, .external_lex_state = 3},
  [4932] = {.lex_state = 117, .external_lex_state = 3},
  [4933] = {.lex_state = 117, .external_lex_state = 3},
  [4934] = {.lex_state = 117, .external_lex_state = 3},
  [4935] = {.lex_state = 117, .external_lex_state = 3},
  [4936] = {.lex_state = 117, .external_lex_state = 3},
  [4937] = {.lex_state = 117, .external_lex_state = 3},
  [4938] = {.lex_state = 117, .external_lex_state = 3},
  [4939] = {.lex_state = 117, .external_lex_state = 3},
  [4940] = {.lex_state = 117, .external_lex_state = 3},
  [4941] = {.lex_state = 117, .external_lex_state = 3},
  [4942] = {.lex_state = 117, .external_lex_state = 3},
  [4943] = {.lex_state = 117, .external_lex_state = 3},
  [4944] = {.lex_state = 117, .external_lex_state = 3},
  [4945] = {.lex_state = 117, .external_lex_state = 3},
  [4946] = {.lex_state = 117, .external_lex_state = 3},
  [4947] = {.lex_state = 117, .external_lex_state = 3},
  [4948] = {.lex_state = 117, .external_lex_state = 3},
  [4949] = {.lex_state = 117, .external_lex_state = 3},
  [4950] = {.lex_state = 117, .external_lex_state = 3},
  [4951] = {.lex_state = 117, .external_lex_state = 3},
  [4952] = {.lex_state = 117, .external_lex_state = 3},
  [4953] = {.lex_state = 117, .external_lex_state = 3},
  [4954] = {.lex_state = 6, .external_lex_state = 3},
  [4955] = {.lex_state = 117, .external_lex_state = 3},
  [4956] = {.lex_state = 117, .external_lex_state = 3},
  [4957] = {.lex_state = 117, .external_lex_state = 3},
  [4958] = {.lex_state = 117, .external_lex_state = 3},
  [4959] = {.lex_state = 6, .external_lex_state = 3},
  [4960] = {.lex_state = 117, .external_lex_state = 3},
  [4961] = {.lex_state = 85, .external_lex_state = 3},
  [4962] = {.lex_state = 117, .external_lex_state = 3},
  [4963] = {.lex_state = 117, .external_lex_state = 3},
  [4964] = {.lex_state = 117, .external_lex_state = 3},
  [4965] = {.lex_state = 85, .external_lex_state = 3},
  [4966] = {.lex_state = 117, .external_lex_state = 3},
  [4967] = {.lex_state = 117, .external_lex_state = 3},
  [4968] = {.lex_state = 117, .external_lex_state = 3},
  [4969] = {.lex_state = 117, .external_lex_state = 3},
  [4970] = {.lex_state = 117, .external_lex_state = 3},
  [4971] = {.lex_state = 117, .external_lex_state = 3},
  [4972] = {.lex_state = 117, .external_lex_state = 3},
  [4973] = {.lex_state = 6, .external_lex_state = 3},
  [4974] = {.lex_state = 117, .external_lex_state = 3},
  [4975] = {.lex_state = 85, .external_lex_state = 3},
  [4976] = {.lex_state = 85, .external_lex_state = 3},
  [4977] = {.lex_state = 117, .external_lex_state = 3},
  [4978] = {.lex_state = 85, .external_lex_state = 3},
  [4979] = {.lex_state = 117, .external_lex_state = 3},
  [4980] = {.lex_state = 85, .external_lex_state = 3},
  [4981] = {.lex_state = 117, .external_lex_state = 3},
  [4982] = {.lex_state = 117, .external_lex_state = 3},
  [4983] = {.lex_state = 6, .external_lex_state = 3},
  [4984] = {.lex_state = 87, .external_lex_state = 3},
  [4985] = {.lex_state = 87, .external_lex_state = 3},
  [4986] = {.lex_state = 87, .external_lex_state = 3},
  [4987] = {.lex_state = 87, .external_lex_state = 3},
  [4988] = {.lex_state = 87, .external_lex_state = 3},
  [4989] = {.lex_state = 87, .external_lex_state = 3},
  [4990] = {.lex_state = 85, .external_lex_state = 3},
  [4991] = {.lex_state = 87, .external_lex_state = 3},
  [4992] = {.lex_state = 85, .external_lex_state = 3},
  [4993] = {.lex_state = 85, .external_lex_state = 3},
  [4994] = {.lex_state = 85, .external_lex_state = 3},
  [4995] = {.lex_state = 85, .external_lex_state = 3},
  [4996] = {.lex_state = 85, .external_lex_state = 3},
  [4997] = {.lex_state = 85, .external_lex_state = 3},
  [4998] = {.lex_state = 85, .external_lex_state = 3},
  [4999] = {.lex_state = 85, .external_lex_state = 3},
  [5000] = {.lex_state = 85, .external_lex_state = 3},
  [5001] = {.lex_state = 85, .external_lex_state = 3},
  [5002] = {.lex_state = 85, .external_lex_state = 3},
  [5003] = {.lex_state = 85, .external_lex_state = 3},
  [5004] = {.lex_state = 84, .external_lex_state = 3},
  [5005] = {.lex_state = 85, .external_lex_state = 3},
  [5006] = {.lex_state = 85, .external_lex_state = 3},
  [5007] = {.lex_state = 85, .external_lex_state = 3},
  [5008] = {.lex_state = 85, .external_lex_state = 3},
  [5009] = {.lex_state = 85, .external_lex_state = 3},
  [5010] = {.lex_state = 85, .external_lex_state = 3},
  [5011] = {.lex_state = 85, .external_lex_state = 3},
  [5012] = {.lex_state = 85, .external_lex_state = 3},
  [5013] = {.lex_state = 85, .external_lex_state = 3},
  [5014] = {.lex_state = 85, .external_lex_state = 3},
  [5015] = {.lex_state = 85, .external_lex_state = 3},
  [5016] = {.lex_state = 85, .external_lex_state = 3},
  [5017] = {.lex_state = 85, .external_lex_state = 3},
  [5018] = {.lex_state = 85, .external_lex_state = 3},
  [5019] = {.lex_state = 85, .external_lex_state = 3},
  [5020] = {.lex_state = 85, .external_lex_state = 3},
  [5021] = {.lex_state = 85, .external_lex_state = 3},
  [5022] = {.lex_state = 85, .external_lex_state = 3},
  [5023] = {.lex_state = 85, .external_lex_state = 3},
  [5024] = {.lex_state = 85, .external_lex_state = 3},
  [5025] = {.lex_state = 85, .external_lex_state = 3},
  [5026] = {.lex_state = 85, .external_lex_state = 3},
  [5027] = {.lex_state = 84, .external_lex_state = 3},
  [5028] = {.lex_state = 84, .external_lex_state = 3},
  [5029] = {.lex_state = 84, .external_lex_state = 3},
  [5030] = {.lex_state = 85, .external_lex_state = 3},
  [5031] = {.lex_state = 87, .external_lex_state = 3},
  [5032] = {.lex_state = 85, .external_lex_state = 3},
  [5033] = {.lex_state = 84, .external_lex_state = 3},
  [5034] = {.lex_state = 84, .external_lex_state = 3},
  [5035] = {.lex_state = 84, .external_lex_state = 3},
  [5036] = {.lex_state = 85, .external_lex_state = 3},
  [5037] = {.lex_state = 84, .external_lex_state = 3},
  [5038] = {.lex_state = 84, .external_lex_state = 3},
  [5039] = {.lex_state = 85, .external_lex_state = 3},
  [5040] = {.lex_state = 85, .external_lex_state = 3},
  [5041] = {.lex_state = 85, .external_lex_state = 3},
  [5042] = {.lex_state = 85, .external_lex_state = 3},
  [5043] = {.lex_state = 85, .external_lex_state = 3},
  [5044] = {.lex_state = 85, .external_lex_state = 3},
  [5045] = {.lex_state = 85, .external_lex_state = 3},
  [5046] = {.lex_state = 85, .external_lex_state = 3},
  [5047] = {.lex_state = 85, .external_lex_state = 3},
  [5048] = {.lex_state = 85, .external_lex_state = 3},
  [5049] = {.lex_state = 6, .external_lex_state = 3},
  [5050] = {.lex_state = 85, .external_lex_state = 3},
  [5051] = {.lex_state = 6, .external_lex_state = 3},
  [5052] = {.lex_state = 6, .external_lex_state = 3},
  [5053] = {.lex_state = 6, .external_lex_state = 3},
  [5054] = {.lex_state = 18, .external_lex_state = 3},
  [5055] = {.lex_state = 6, .external_lex_state = 3},
  [5056] = {.lex_state = 6, .external_lex_state = 3},
  [5057] = {.lex_state = 6, .external_lex_state = 3},
  [5058] = {.lex_state = 6, .external_lex_state = 3},
  [5059] = {.lex_state = 85, .external_lex_state = 3},
  [5060] = {.lex_state = 85, .external_lex_state = 3},
  [5061] = {.lex_state = 6, .external_lex_state = 3},
  [5062] = {.lex_state = 85, .external_lex_state = 3},
  [5063] = {.lex_state = 85, .external_lex_state = 3},
  [5064] = {.lex_state = 6, .external_lex_state = 3},
  [5065] = {.lex_state = 6, .external_lex_state = 3},
  [5066] = {.lex_state = 6, .external_lex_state = 3},
  [5067] = {.lex_state = 85, .external_lex_state = 3},
  [5068] = {.lex_state = 6, .external_lex_state = 3},
  [5069] = {.lex_state = 6, .external_lex_state = 3},
  [5070] = {.lex_state = 6, .external_lex_state = 3},
  [5071] = {.lex_state = 6, .external_lex_state = 3},
  [5072] = {.lex_state = 6, .external_lex_state = 3},
  [5073] = {.lex_state = 6, .external_lex_state = 3},
  [5074] = {.lex_state = 6, .external_lex_state = 3},
  [5075] = {.lex_state = 6, .external_lex_state = 3},
  [5076] = {.lex_state = 6, .external_lex_state = 3},
  [5077] = {.lex_state = 6, .external_lex_state = 3},
  [5078] = {.lex_state = 6, .external_lex_state = 3},
  [5079] = {.lex_state = 6, .external_lex_state = 3},
  [5080] = {.lex_state = 116, .external_lex_state = 3},
  [5081] = {.lex_state = 6, .external_lex_state = 3},
  [5082] = {.lex_state = 6, .external_lex_state = 3},
  [5083] = {.lex_state = 6, .external_lex_state = 3},
  [5084] = {.lex_state = 6, .external_lex_state = 3},
  [5085] = {.lex_state = 6, .external_lex_state = 3},
  [5086] = {.lex_state = 6, .external_lex_state = 3},
  [5087] = {.lex_state = 6, .external_lex_state = 3},
  [5088] = {.lex_state = 6, .external_lex_state = 3},
  [5089] = {.lex_state = 6, .external_lex_state = 3},
  [5090] = {.lex_state = 6, .external_lex_state = 3},
  [5091] = {.lex_state = 6, .external_lex_state = 3},
  [5092] = {.lex_state = 6, .external_lex_state = 3},
  [5093] = {.lex_state = 6, .external_lex_state = 3},
  [5094] = {.lex_state = 6, .external_lex_state = 3},
  [5095] = {.lex_state = 6, .external_lex_state = 3},
  [5096] = {.lex_state = 6, .external_lex_state = 3},
  [5097] = {.lex_state = 6, .external_lex_state = 3},
  [5098] = {.lex_state = 85, .external_lex_state = 3},
  [5099] = {.lex_state = 6, .external_lex_state = 3},
  [5100] = {.lex_state = 19, .external_lex_state = 3},
  [5101] = {.lex_state = 6, .external_lex_state = 3},
  [5102] = {.lex_state = 87, .external_lex_state = 3},
  [5103] = {.lex_state = 6, .external_lex_state = 3},
  [5104] = {.lex_state = 6, .external_lex_state = 3},
  [5105] = {.lex_state = 6, .external_lex_state = 3},
  [5106] = {.lex_state = 6, .external_lex_state = 3},
  [5107] = {.lex_state = 85, .external_lex_state = 3},
  [5108] = {.lex_state = 6, .external_lex_state = 3},
  [5109] = {.lex_state = 85, .external_lex_state = 3},
  [5110] = {.lex_state = 6, .external_lex_state = 3},
  [5111] = {.lex_state = 85, .external_lex_state = 3},
  [5112] = {.lex_state = 85, .external_lex_state = 3},
  [5113] = {.lex_state = 84, .external_lex_state = 3},
  [5114] = {.lex_state = 6, .external_lex_state = 3},
  [5115] = {.lex_state = 84, .external_lex_state = 3},
  [5116] = {.lex_state = 6, .external_lex_state = 3},
  [5117] = {.lex_state = 85, .external_lex_state = 3},
  [5118] = {.lex_state = 85, .external_lex_state = 3},
  [5119] = {.lex_state = 6, .external_lex_state = 3},
  [5120] = {.lex_state = 87, .external_lex_state = 3},
  [5121] = {.lex_state = 85, .external_lex_state = 3},
  [5122] = {.lex_state = 85, .external_lex_state = 3},
  [5123] = {.lex_state = 85, .external_lex_state = 3},
  [5124] = {.lex_state = 85, .external_lex_state = 3},
  [5125] = {.lex_state = 85, .external_lex_state = 3},
  [5126] = {.lex_state = 85, .external_lex_state = 3},
  [5127] = {.lex_state = 85, .external_lex_state = 3},
  [5128] = {.lex_state = 85, .external_lex_state = 3},
  [5129] = {.lex_state = 85, .external_lex_state = 3},
  [5130] = {.lex_state = 85, .external_lex_state = 3},
  [5131] = {.lex_state = 85, .external_lex_state = 3},
  [5132] = {.lex_state = 87, .external_lex_state = 3},
  [5133] = {.lex_state = 87, .external_lex_state = 3},
  [5134] = {.lex_state = 84, .external_lex_state = 3},
  [5135] = {.lex_state = 84, .external_lex_state = 3},
  [5136] = {.lex_state = 84, .external_lex_state = 3},
  [5137] = {.lex_state = 86, .external_lex_state = 3},
  [5138] = {.lex_state = 84, .external_lex_state = 3},
  [5139] = {.lex_state = 84, .external_lex_state = 3},
  [5140] = {.lex_state = 84, .external_lex_state = 3},
  [5141] = {.lex_state = 84, .external_lex_state = 3},
  [5142] = {.lex_state = 84, .external_lex_state = 3},
  [5143] = {.lex_state = 84, .external_lex_state = 3},
  [5144] = {.lex_state = 84, .external_lex_state = 3},
  [5145] = {.lex_state = 84, .external_lex_state = 3},
  [5146] = {.lex_state = 84, .external_lex_state = 3},
  [5147] = {.lex_state = 84, .external_lex_state = 3},
  [5148] = {.lex_state = 84, .external_lex_state = 3},
  [5149] = {.lex_state = 86, .external_lex_state = 3},
  [5150] = {.lex_state = 84, .external_lex_state = 3},
  [5151] = {.lex_state = 87, .external_lex_state = 3},
  [5152] = {.lex_state = 84, .external_lex_state = 3},
  [5153] = {.lex_state = 84, .external_lex_state = 3},
  [5154] = {.lex_state = 87, .external_lex_state = 3},
  [5155] = {.lex_state = 84, .external_lex_state = 3},
  [5156] = {.lex_state = 84, .external_lex_state = 3},
  [5157] = {.lex_state = 84, .external_lex_state = 3},
  [5158] = {.lex_state = 84, .external_lex_state = 3},
  [5159] = {.lex_state = 84, .external_lex_state = 3},
  [5160] = {.lex_state = 84, .external_lex_state = 3},
  [5161] = {.lex_state = 84, .external_lex_state = 3},
  [5162] = {.lex_state = 84, .external_lex_state = 3},
  [5163] = {.lex_state = 84, .external_lex_state = 3},
  [5164] = {.lex_state = 87, .external_lex_state = 3},
  [5165] = {.lex_state = 87, .external_lex_state = 3},
  [5166] = {.lex_state = 18, .external_lex_state = 3},
  [5167] = {.lex_state = 87, .external_lex_state = 3},
  [5168] = {.lex_state = 84, .external_lex_state = 3},
  [5169] = {.lex_state = 117, .external_lex_state = 3},
  [5170] = {.lex_state = 84, .external_lex_state = 3},
  [5171] = {.lex_state = 84, .external_lex_state = 3},
  [5172] = {.lex_state = 86, .external_lex_state = 3},
  [5173] = {.lex_state = 87, .external_lex_state = 3},
  [5174] = {.lex_state = 86, .external_lex_state = 3},
  [5175] = {.lex_state = 86, .external_lex_state = 3},
  [5176] = {.lex_state = 86, .external_lex_state = 3},
  [5177] = {.lex_state = 86, .external_lex_state = 3},
  [5178] = {.lex_state = 86, .external_lex_state = 3},
  [5179] = {.lex_state = 177, .external_lex_state = 3},
  [5180] = {.lex_state = 84, .external_lex_state = 3},
  [5181] = {.lex_state = 84, .external_lex_state = 3},
  [5182] = {.lex_state = 116, .external_lex_state = 3},
  [5183] = {.lex_state = 84, .external_lex_state = 3},
  [5184] = {.lex_state = 84, .external_lex_state = 3},
  [5185] = {.lex_state = 84, .external_lex_state = 3},
  [5186] = {.lex_state = 84, .external_lex_state = 3},
  [5187] = {.lex_state = 116, .external_lex_state = 3},
  [5188] = {.lex_state = 86, .external_lex_state = 3},
  [5189] = {.lex_state = 87, .external_lex_state = 3},
  [5190] = {.lex_state = 87, .external_lex_state = 3},
  [5191] = {.lex_state = 87, .external_lex_state = 3},
  [5192] = {.lex_state = 87, .external_lex_state = 3},
  [5193] = {.lex_state = 84, .external_lex_state = 3},
  [5194] = {.lex_state = 87, .external_lex_state = 3},
  [5195] = {.lex_state = 87, .external_lex_state = 3},
  [5196] = {.lex_state = 84, .external_lex_state = 3},
  [5197] = {.lex_state = 87, .external_lex_state = 3},
  [5198] = {.lex_state = 84, .external_lex_state = 3},
  [5199] = {.lex_state = 87, .external_lex_state = 3},
  [5200] = {.lex_state = 87, .external_lex_state = 3},
  [5201] = {.lex_state = 84, .external_lex_state = 3},
  [5202] = {.lex_state = 87, .external_lex_state = 3},
  [5203] = {.lex_state = 86, .external_lex_state = 3},
  [5204] = {.lex_state = 84, .external_lex_state = 3},
  [5205] = {.lex_state = 86, .external_lex_state = 3},
  [5206] = {.lex_state = 87, .external_lex_state = 3},
  [5207] = {.lex_state = 87, .external_lex_state = 3},
  [5208] = {.lex_state = 84, .external_lex_state = 3},
  [5209] = {.lex_state = 87, .external_lex_state = 3},
  [5210] = {.lex_state = 84, .external_lex_state = 3},
  [5211] = {.lex_state = 84, .external_lex_state = 3},
  [5212] = {.lex_state = 84, .external_lex_state = 3},
  [5213] = {.lex_state = 87, .external_lex_state = 3},
  [5214] = {.lex_state = 87, .external_lex_state = 3},
  [5215] = {.lex_state = 84, .external_lex_state = 3},
  [5216] = {.lex_state = 84, .external_lex_state = 3},
  [5217] = {.lex_state = 19, .external_lex_state = 3},
  [5218] = {.lex_state = 87, .external_lex_state = 3},
  [5219] = {.lex_state = 84, .external_lex_state = 3},
  [5220] = {.lex_state = 84, .external_lex_state = 3},
  [5221] = {.lex_state = 84, .external_lex_state = 3},
  [5222] = {.lex_state = 87, .external_lex_state = 3},
  [5223] = {.lex_state = 87, .external_lex_state = 3},
  [5224] = {.lex_state = 179, .external_lex_state = 3},
  [5225] = {.lex_state = 84, .external_lex_state = 3},
  [5226] = {.lex_state = 87, .external_lex_state = 3},
  [5227] = {.lex_state = 87, .external_lex_state = 3},
  [5228] = {.lex_state = 84, .external_lex_state = 3},
  [5229] = {.lex_state = 87, .external_lex_state = 3},
  [5230] = {.lex_state = 87, .external_lex_state = 3},
  [5231] = {.lex_state = 84, .external_lex_state = 3},
  [5232] = {.lex_state = 84, .external_lex_state = 3},
  [5233] = {.lex_state = 84, .external_lex_state = 3},
  [5234] = {.lex_state = 87, .external_lex_state = 3},
  [5235] = {.lex_state = 84, .external_lex_state = 3},
  [5236] = {.lex_state = 84, .external_lex_state = 3},
  [5237] = {.lex_state = 84, .external_lex_state = 3},
  [5238] = {.lex_state = 84, .external_lex_state = 3},
  [5239] = {.lex_state = 84, .external_lex_state = 3},
  [5240] = {.lex_state = 87, .external_lex_state = 3},
  [5241] = {.lex_state = 87, .external_lex_state = 3},
  [5242] = {.lex_state = 87, .external_lex_state = 3},
  [5243] = {.lex_state = 87, .external_lex_state = 3},
  [5244] = {.lex_state = 179, .external_lex_state = 3},
  [5245] = {.lex_state = 84, .external_lex_state = 3},
  [5246] = {.lex_state = 84, .external_lex_state = 3},
  [5247] = {.lex_state = 84, .external_lex_state = 3},
  [5248] = {.lex_state = 87, .external_lex_state = 3},
  [5249] = {.lex_state = 87, .external_lex_state = 3},
  [5250] = {.lex_state = 87, .external_lex_state = 3},
  [5251] = {.lex_state = 87, .external_lex_state = 3},
  [5252] = {.lex_state = 87, .external_lex_state = 3},
  [5253] = {.lex_state = 84, .external_lex_state = 3},
  [5254] = {.lex_state = 87, .external_lex_state = 3},
  [5255] = {.lex_state = 84, .external_lex_state = 3},
  [5256] = {.lex_state = 84, .external_lex_state = 3},
  [5257] = {.lex_state = 84, .external_lex_state = 3},
  [5258] = {.lex_state = 84, .external_lex_state = 3},
  [5259] = {.lex_state = 84, .external_lex_state = 3},
  [5260] = {.lex_state = 177, .external_lex_state = 3},
  [5261] = {.lex_state = 87, .external_lex_state = 3},
  [5262] = {.lex_state = 87, .external_lex_state = 3},
  [5263] = {.lex_state = 87, .external_lex_state = 3},
  [5264] = {.lex_state = 87, .external_lex_state = 3},
  [5265] = {.lex_state = 87, .external_lex_state = 3},
  [5266] = {.lex_state = 87, .external_lex_state = 3},
  [5267] = {.lex_state = 87, .external_lex_state = 3},
  [5268] = {.lex_state = 87, .external_lex_state = 3},
  [5269] = {.lex_state = 87, .external_lex_state = 3},
  [5270] = {.lex_state = 87, .external_lex_state = 3},
  [5271] = {.lex_state = 87, .external_lex_state = 3},
  [5272] = {.lex_state = 87, .external_lex_state = 3},
  [5273] = {.lex_state = 85, .external_lex_state = 3},
  [5274] = {.lex_state = 87, .external_lex_state = 3},
  [5275] = {.lex_state = 87, .external_lex_state = 3},
  [5276] = {.lex_state = 87, .external_lex_state = 3},
  [5277] = {.lex_state = 87, .external_lex_state = 3},
  [5278] = {.lex_state = 87, .external_lex_state = 3},
  [5279] = {.lex_state = 84, .external_lex_state = 3},
  [5280] = {.lex_state = 87, .external_lex_state = 3},
  [5281] = {.lex_state = 87, .external_lex_state = 3},
  [5282] = {.lex_state = 87, .external_lex_state = 3},
  [5283] = {.lex_state = 87, .external_lex_state = 3},
  [5284] = {.lex_state = 87, .external_lex_state = 3},
  [5285] = {.lex_state = 84, .external_lex_state = 3},
  [5286] = {.lex_state = 87, .external_lex_state = 3},
  [5287] = {.lex_state = 87, .external_lex_state = 3},
  [5288] = {.lex_state = 87, .external_lex_state = 3},
  [5289] = {.lex_state = 84, .external_lex_state = 3},
  [5290] = {.lex_state = 87, .external_lex_state = 3},
  [5291] = {.lex_state = 87, .external_lex_state = 3},
  [5292] = {.lex_state = 87, .external_lex_state = 3},
  [5293] = {.lex_state = 87, .external_lex_state = 3},
  [5294] = {.lex_state = 87, .external_lex_state = 3},
  [5295] = {.lex_state = 87, .external_lex_state = 3},
  [5296] = {.lex_state = 84, .external_lex_state = 3},
  [5297] = {.lex_state = 183, .external_lex_state = 3},
  [5298] = {.lex_state = 86, .external_lex_state = 3},
  [5299] = {.lex_state = 185, .external_lex_state = 3},
  [5300] = {.lex_state = 86, .external_lex_state = 3},
  [5301] = {.lex_state = 185, .external_lex_state = 3},
  [5302] = {.lex_state = 86, .external_lex_state = 3},
  [5303] = {.lex_state = 86, .external_lex_state = 3},
  [5304] = {.lex_state = 183, .external_lex_state = 3},
  [5305] = {.lex_state = 86, .external_lex_state = 3},
  [5306] = {.lex_state = 86, .external_lex_state = 3},
  [5307] = {.lex_state = 185, .external_lex_state = 3},
  [5308] = {.lex_state = 185, .external_lex_state = 3},
  [5309] = {.lex_state = 177, .external_lex_state = 3},
  [5310] = {.lex_state = 178, .external_lex_state = 3},
  [5311] = {.lex_state = 180, .external_lex_state = 3},
  [5312] = {.lex_state = 419, .external_lex_state = 2},
  [5313] = {.lex_state = 185, .external_lex_state = 3},
  [5314] = {.lex_state = 86, .external_lex_state = 3},
  [5315] = {.lex_state = 185, .external_lex_state = 3},
  [5316] = {.lex_state = 179, .external_lex_state = 3},
  [5317] = {.lex_state = 183, .external_lex_state = 3},
  [5318] = {.lex_state = 86, .external_lex_state = 3},
  [5319] = {.lex_state = 179, .external_lex_state = 3},
  [5320] = {.lex_state = 86, .external_lex_state = 3},
  [5321] = {.lex_state = 87, .external_lex_state = 3},
  [5322] = {.lex_state = 86, .external_lex_state = 3},
  [5323] = {.lex_state = 86, .external_lex_state = 3},
  [5324] = {.lex_state = 86, .external_lex_state = 3},
  [5325] = {.lex_state = 117, .external_lex_state = 3},
  [5326] = {.lex_state = 86, .external_lex_state = 3},
  [5327] = {.lex_state = 183, .external_lex_state = 3},
  [5328] = {.lex_state = 86, .external_lex_state = 3},
  [5329] = {.lex_state = 183, .external_lex_state = 3},
  [5330] = {.lex_state = 157, .external_lex_state = 3},
  [5331] = {.lex_state = 86, .external_lex_state = 3},
  [5332] = {.lex_state = 185, .external_lex_state = 3},
  [5333] = {.lex_state = 185, .external_lex_state = 3},
  [5334] = {.lex_state = 179, .external_lex_state = 3},
  [5335] = {.lex_state = 419, .external_lex_state = 2},
  [5336] = {.lex_state = 86, .external_lex_state = 3},
  [5337] = {.lex_state = 185, .external_lex_state = 3},
  [5338] = {.lex_state = 177, .external_lex_state = 3},
  [5339] = {.lex_state = 185, .external_lex_state = 3},
  [5340] = {.lex_state = 179, .external_lex_state = 3},
  [5341] = {.lex_state = 86, .external_lex_state = 3},
  [5342] = {.lex_state = 86, .external_lex_state = 3},
  [5343] = {.lex_state = 86, .external_lex_state = 3},
  [5344] = {.lex_state = 86, .external_lex_state = 3},
  [5345] = {.lex_state = 86, .external_lex_state = 3},
  [5346] = {.lex_state = 86, .external_lex_state = 3},
  [5347] = {.lex_state = 177, .external_lex_state = 3},
  [5348] = {.lex_state = 86, .external_lex_state = 3},
  [5349] = {.lex_state = 86, .external_lex_state = 3},
  [5350] = {.lex_state = 178, .external_lex_state = 3},
  [5351] = {.lex_state = 86, .external_lex_state = 3},
  [5352] = {.lex_state = 86, .external_lex_state = 3},
  [5353] = {.lex_state = 86, .external_lex_state = 3},
  [5354] = {.lex_state = 183, .external_lex_state = 3},
  [5355] = {.lex_state = 86, .external_lex_state = 3},
  [5356] = {.lex_state = 86, .external_lex_state = 3},
  [5357] = {.lex_state = 185, .external_lex_state = 3},
  [5358] = {.lex_state = 86, .external_lex_state = 3},
  [5359] = {.lex_state = 86, .external_lex_state = 3},
  [5360] = {.lex_state = 86, .external_lex_state = 3},
  [5361] = {.lex_state = 86, .external_lex_state = 3},
  [5362] = {.lex_state = 86, .external_lex_state = 3},
  [5363] = {.lex_state = 86, .external_lex_state = 3},
  [5364] = {.lex_state = 183, .external_lex_state = 3},
  [5365] = {.lex_state = 180, .external_lex_state = 3},
  [5366] = {.lex_state = 86, .external_lex_state = 3},
  [5367] = {.lex_state = 86, .external_lex_state = 3},
  [5368] = {.lex_state = 86, .external_lex_state = 3},
  [5369] = {.lex_state = 86, .external_lex_state = 3},
  [5370] = {.lex_state = 86, .external_lex_state = 3},
  [5371] = {.lex_state = 86, .external_lex_state = 3},
  [5372] = {.lex_state = 86, .external_lex_state = 3},
  [5373] = {.lex_state = 419, .external_lex_state = 2},
  [5374] = {.lex_state = 183, .external_lex_state = 3},
  [5375] = {.lex_state = 86, .external_lex_state = 3},
  [5376] = {.lex_state = 177, .external_lex_state = 3},
  [5377] = {.lex_state = 86, .external_lex_state = 3},
  [5378] = {.lex_state = 86, .external_lex_state = 3},
  [5379] = {.lex_state = 86, .external_lex_state = 3},
  [5380] = {.lex_state = 86, .external_lex_state = 3},
  [5381] = {.lex_state = 86, .external_lex_state = 3},
  [5382] = {.lex_state = 86, .external_lex_state = 3},
  [5383] = {.lex_state = 86, .external_lex_state = 3},
  [5384] = {.lex_state = 86, .external_lex_state = 3},
  [5385] = {.lex_state = 86, .external_lex_state = 3},
  [5386] = {.lex_state = 86, .external_lex_state = 3},
  [5387] = {.lex_state = 86, .external_lex_state = 3},
  [5388] = {.lex_state = 183, .external_lex_state = 3},
  [5389] = {.lex_state = 86, .external_lex_state = 3},
  [5390] = {.lex_state = 117, .external_lex_state = 3},
  [5391] = {.lex_state = 86, .external_lex_state = 3},
  [5392] = {.lex_state = 86, .external_lex_state = 3},
  [5393] = {.lex_state = 86, .external_lex_state = 3},
  [5394] = {.lex_state = 86, .external_lex_state = 3},
  [5395] = {.lex_state = 183, .external_lex_state = 3},
  [5396] = {.lex_state = 86, .external_lex_state = 3},
  [5397] = {.lex_state = 86, .external_lex_state = 3},
  [5398] = {.lex_state = 86, .external_lex_state = 3},
  [5399] = {.lex_state = 86, .external_lex_state = 3},
  [5400] = {.lex_state = 86, .external_lex_state = 3},
  [5401] = {.lex_state = 86, .external_lex_state = 3},
  [5402] = {.lex_state = 86, .external_lex_state = 3},
  [5403] = {.lex_state = 86, .external_lex_state = 3},
  [5404] = {.lex_state = 86, .external_lex_state = 3},
  [5405] = {.lex_state = 86, .external_lex_state = 3},
  [5406] = {.lex_state = 86, .external_lex_state = 3},
  [5407] = {.lex_state = 183, .external_lex_state = 3},
  [5408] = {.lex_state = 86, .external_lex_state = 3},
  [5409] = {.lex_state = 86, .external_lex_state = 3},
  [5410] = {.lex_state = 177, .external_lex_state = 3},
  [5411] = {.lex_state = 177, .external_lex_state = 3},
  [5412] = {.lex_state = 179, .external_lex_state = 3},
  [5413] = {.lex_state = 177, .external_lex_state = 3},
  [5414] = {.lex_state = 179, .external_lex_state = 3},
  [5415] = {.lex_state = 179, .external_lex_state = 3},
  [5416] = {.lex_state = 179, .external_lex_state = 3},
  [5417] = {.lex_state = 179, .external_lex_state = 3},
  [5418] = {.lex_state = 179, .external_lex_state = 3},
  [5419] = {.lex_state = 179, .external_lex_state = 3},
  [5420] = {.lex_state = 177, .external_lex_state = 3},
  [5421] = {.lex_state = 177, .external_lex_state = 3},
  [5422] = {.lex_state = 177, .external_lex_state = 3},
  [5423] = {.lex_state = 177, .external_lex_state = 3},
  [5424] = {.lex_state = 177, .external_lex_state = 3},
  [5425] = {.lex_state = 177, .external_lex_state = 3},
  [5426] = {.lex_state = 179, .external_lex_state = 3},
  [5427] = {.lex_state = 156, .external_lex_state = 3},
  [5428] = {.lex_state = 130, .external_lex_state = 3},
  [5429] = {.lex_state = 177, .external_lex_state = 3},
  [5430] = {.lex_state = 179, .external_lex_state = 3},
  [5431] = {.lex_state = 179, .external_lex_state = 3},
  [5432] = {.lex_state = 179, .external_lex_state = 3},
  [5433] = {.lex_state = 179, .external_lex_state = 3},
  [5434] = {.lex_state = 180, .external_lex_state = 3},
  [5435] = {.lex_state = 179, .external_lex_state = 3},
  [5436] = {.lex_state = 179, .external_lex_state = 3},
  [5437] = {.lex_state = 186, .external_lex_state = 3},
  [5438] = {.lex_state = 179, .external_lex_state = 3},
  [5439] = {.lex_state = 177, .external_lex_state = 3},
  [5440] = {.lex_state = 177, .external_lex_state = 3},
  [5441] = {.lex_state = 179, .external_lex_state = 3},
  [5442] = {.lex_state = 130, .external_lex_state = 3},
  [5443] = {.lex_state = 177, .external_lex_state = 3},
  [5444] = {.lex_state = 177, .external_lex_state = 3},
  [5445] = {.lex_state = 179, .external_lex_state = 3},
  [5446] = {.lex_state = 184, .external_lex_state = 3},
  [5447] = {.lex_state = 177, .external_lex_state = 3},
  [5448] = {.lex_state = 177, .external_lex_state = 3},
  [5449] = {.lex_state = 179, .external_lex_state = 3},
  [5450] = {.lex_state = 177, .external_lex_state = 3},
  [5451] = {.lex_state = 179, .external_lex_state = 3},
  [5452] = {.lex_state = 184, .external_lex_state = 3},
  [5453] = {.lex_state = 177, .external_lex_state = 3},
  [5454] = {.lex_state = 177, .external_lex_state = 3},
  [5455] = {.lex_state = 177, .external_lex_state = 3},
  [5456] = {.lex_state = 130, .external_lex_state = 3},
  [5457] = {.lex_state = 179, .external_lex_state = 3},
  [5458] = {.lex_state = 184, .external_lex_state = 3},
  [5459] = {.lex_state = 178, .external_lex_state = 3},
  [5460] = {.lex_state = 184, .external_lex_state = 3},
  [5461] = {.lex_state = 177, .external_lex_state = 3},
  [5462] = {.lex_state = 184, .external_lex_state = 3},
  [5463] = {.lex_state = 177, .external_lex_state = 3},
  [5464] = {.lex_state = 179, .external_lex_state = 3},
  [5465] = {.lex_state = 177, .external_lex_state = 3},
  [5466] = {.lex_state = 178, .external_lex_state = 3},
  [5467] = {.lex_state = 179, .external_lex_state = 3},
  [5468] = {.lex_state = 184, .external_lex_state = 3},
  [5469] = {.lex_state = 179, .external_lex_state = 3},
  [5470] = {.lex_state = 179, .external_lex_state = 3},
  [5471] = {.lex_state = 184, .external_lex_state = 3},
  [5472] = {.lex_state = 186, .external_lex_state = 3},
  [5473] = {.lex_state = 186, .external_lex_state = 3},
  [5474] = {.lex_state = 186, .external_lex_state = 3},
  [5475] = {.lex_state = 186, .external_lex_state = 3},
  [5476] = {.lex_state = 180, .external_lex_state = 3},
  [5477] = {.lex_state = 186, .external_lex_state = 3},
  [5478] = {.lex_state = 179, .external_lex_state = 3},
  [5479] = {.lex_state = 184, .external_lex_state = 3},
  [5480] = {.lex_state = 184, .external_lex_state = 3},
  [5481] = {.lex_state = 177, .external_lex_state = 3},
  [5482] = {.lex_state = 179, .external_lex_state = 3},
  [5483] = {.lex_state = 180, .external_lex_state = 3},
  [5484] = {.lex_state = 179, .external_lex_state = 3},
  [5485] = {.lex_state = 179, .external_lex_state = 3},
  [5486] = {.lex_state = 186, .external_lex_state = 3},
  [5487] = {.lex_state = 186, .external_lex_state = 3},
  [5488] = {.lex_state = 179, .external_lex_state = 3},
  [5489] = {.lex_state = 179, .external_lex_state = 3},
  [5490] = {.lex_state = 180, .external_lex_state = 3},
  [5491] = {.lex_state = 179, .external_lex_state = 3},
  [5492] = {.lex_state = 179, .external_lex_state = 3},
  [5493] = {.lex_state = 178, .external_lex_state = 3},
  [5494] = {.lex_state = 177, .external_lex_state = 3},
  [5495] = {.lex_state = 177, .external_lex_state = 3},
  [5496] = {.lex_state = 178, .external_lex_state = 3},
  [5497] = {.lex_state = 130, .external_lex_state = 3},
  [5498] = {.lex_state = 186, .external_lex_state = 3},
  [5499] = {.lex_state = 85, .external_lex_state = 3},
  [5500] = {.lex_state = 179, .external_lex_state = 3},
  [5501] = {.lex_state = 179, .external_lex_state = 3},
  [5502] = {.lex_state = 179, .external_lex_state = 3},
  [5503] = {.lex_state = 186, .external_lex_state = 3},
  [5504] = {.lex_state = 179, .external_lex_state = 3},
  [5505] = {.lex_state = 179, .external_lex_state = 3},
  [5506] = {.lex_state = 184, .external_lex_state = 3},
  [5507] = {.lex_state = 130, .external_lex_state = 3},
  [5508] = {.lex_state = 130, .external_lex_state = 3},
  [5509] = {.lex_state = 130, .external_lex_state = 3},
  [5510] = {.lex_state = 177, .external_lex_state = 3},
  [5511] = {.lex_state = 177, .external_lex_state = 3},
  [5512] = {.lex_state = 177, .external_lex_state = 3},
  [5513] = {.lex_state = 85, .external_lex_state = 3},
  [5514] = {.lex_state = 177, .external_lex_state = 3},
  [5515] = {.lex_state = 177, .external_lex_state = 3},
  [5516] = {.lex_state = 177, .external_lex_state = 3},
  [5517] = {.lex_state = 130, .external_lex_state = 3},
  [5518] = {.lex_state = 179, .external_lex_state = 3},
  [5519] = {.lex_state = 130, .external_lex_state = 3},
  [5520] = {.lex_state = 177, .external_lex_state = 3},
  [5521] = {.lex_state = 177, .external_lex_state = 3},
  [5522] = {.lex_state = 130, .external_lex_state = 3},
  [5523] = {.lex_state = 177, .external_lex_state = 3},
  [5524] = {.lex_state = 177, .external_lex_state = 3},
  [5525] = {.lex_state = 177, .external_lex_state = 3},
  [5526] = {.lex_state = 177, .external_lex_state = 3},
  [5527] = {.lex_state = 186, .external_lex_state = 3},
  [5528] = {.lex_state = 177, .external_lex_state = 3},
  [5529] = {.lex_state = 177, .external_lex_state = 3},
  [5530] = {.lex_state = 177, .external_lex_state = 3},
  [5531] = {.lex_state = 179, .external_lex_state = 3},
  [5532] = {.lex_state = 177, .external_lex_state = 3},
  [5533] = {.lex_state = 177, .external_lex_state = 3},
  [5534] = {.lex_state = 177, .external_lex_state = 3},
  [5535] = {.lex_state = 159, .external_lex_state = 3},
  [5536] = {.lex_state = 177, .external_lex_state = 3},
  [5537] = {.lex_state = 179, .external_lex_state = 3},
  [5538] = {.lex_state = 177, .external_lex_state = 3},
  [5539] = {.lex_state = 177, .external_lex_state = 3},
  [5540] = {.lex_state = 179, .external_lex_state = 3},
  [5541] = {.lex_state = 184, .external_lex_state = 3},
  [5542] = {.lex_state = 179, .external_lex_state = 3},
  [5543] = {.lex_state = 179, .external_lex_state = 3},
  [5544] = {.lex_state = 179, .external_lex_state = 3},
  [5545] = {.lex_state = 179, .external_lex_state = 3},
  [5546] = {.lex_state = 177, .external_lex_state = 3},
  [5547] = {.lex_state = 179, .external_lex_state = 3},
  [5548] = {.lex_state = 179, .external_lex_state = 3},
  [5549] = {.lex_state = 130, .external_lex_state = 3},
  [5550] = {.lex_state = 179, .external_lex_state = 3},
  [5551] = {.lex_state = 177, .external_lex_state = 3},
  [5552] = {.lex_state = 179, .external_lex_state = 3},
  [5553] = {.lex_state = 130, .external_lex_state = 3},
  [5554] = {.lex_state = 180, .external_lex_state = 3},
  [5555] = {.lex_state = 178, .external_lex_state = 3},
  [5556] = {.lex_state = 180, .external_lex_state = 3},
  [5557] = {.lex_state = 180, .external_lex_state = 3},
  [5558] = {.lex_state = 130, .external_lex_state = 3},
  [5559] = {.lex_state = 178, .external_lex_state = 3},
  [5560] = {.lex_state = 180, .external_lex_state = 3},
  [5561] = {.lex_state = 178, .external_lex_state = 3},
  [5562] = {.lex_state = 130, .external_lex_state = 3},
  [5563] = {.lex_state = 178, .external_lex_state = 3},
  [5564] = {.lex_state = 180, .external_lex_state = 3},
  [5565] = {.lex_state = 178, .external_lex_state = 3},
  [5566] = {.lex_state = 178, .external_lex_state = 3},
  [5567] = {.lex_state = 180, .external_lex_state = 3},
  [5568] = {.lex_state = 180, .external_lex_state = 3},
  [5569] = {.lex_state = 130, .external_lex_state = 3},
  [5570] = {.lex_state = 178, .external_lex_state = 3},
  [5571] = {.lex_state = 131, .external_lex_state = 3},
  [5572] = {.lex_state = 180, .external_lex_state = 3},
  [5573] = {.lex_state = 180, .external_lex_state = 3},
  [5574] = {.lex_state = 180, .external_lex_state = 3},
  [5575] = {.lex_state = 178, .external_lex_state = 3},
  [5576] = {.lex_state = 180, .external_lex_state = 3},
  [5577] = {.lex_state = 180, .external_lex_state = 3},
  [5578] = {.lex_state = 180, .external_lex_state = 3},
  [5579] = {.lex_state = 131, .external_lex_state = 3},
  [5580] = {.lex_state = 180, .external_lex_state = 3},
  [5581] = {.lex_state = 130, .external_lex_state = 3},
  [5582] = {.lex_state = 130, .external_lex_state = 3},
  [5583] = {.lex_state = 131, .external_lex_state = 3},
  [5584] = {.lex_state = 178, .external_lex_state = 3},
  [5585] = {.lex_state = 180, .external_lex_state = 3},
  [5586] = {.lex_state = 130, .external_lex_state = 3},
  [5587] = {.lex_state = 130, .external_lex_state = 3},
  [5588] = {.lex_state = 178, .external_lex_state = 3},
  [5589] = {.lex_state = 180, .external_lex_state = 3},
  [5590] = {.lex_state = 130, .external_lex_state = 3},
  [5591] = {.lex_state = 178, .external_lex_state = 3},
  [5592] = {.lex_state = 130, .external_lex_state = 3},
  [5593] = {.lex_state = 180, .external_lex_state = 3},
  [5594] = {.lex_state = 130, .external_lex_state = 3},
  [5595] = {.lex_state = 180, .external_lex_state = 3},
  [5596] = {.lex_state = 130, .external_lex_state = 3},
  [5597] = {.lex_state = 130, .external_lex_state = 3},
  [5598] = {.lex_state = 180, .external_lex_state = 3},
  [5599] = {.lex_state = 130, .external_lex_state = 3},
  [5600] = {.lex_state = 131, .external_lex_state = 3},
  [5601] = {.lex_state = 178, .external_lex_state = 3},
  [5602] = {.lex_state = 180, .external_lex_state = 3},
  [5603] = {.lex_state = 178, .external_lex_state = 3},
  [5604] = {.lex_state = 178, .external_lex_state = 3},
  [5605] = {.lex_state = 130, .external_lex_state = 3},
  [5606] = {.lex_state = 178, .external_lex_state = 3},
  [5607] = {.lex_state = 130, .external_lex_state = 3},
  [5608] = {.lex_state = 178, .external_lex_state = 3},
  [5609] = {.lex_state = 180, .external_lex_state = 3},
  [5610] = {.lex_state = 178, .external_lex_state = 3},
  [5611] = {.lex_state = 130, .external_lex_state = 3},
  [5612] = {.lex_state = 130, .external_lex_state = 3},
  [5613] = {.lex_state = 130, .external_lex_state = 3},
  [5614] = {.lex_state = 130, .external_lex_state = 3},
  [5615] = {.lex_state = 131, .external_lex_state = 3},
  [5616] = {.lex_state = 130, .external_lex_state = 3},
  [5617] = {.lex_state = 130, .external_lex_state = 3},
  [5618] = {.lex_state = 130, .external_lex_state = 3},
  [5619] = {.lex_state = 130, .external_lex_state = 3},
  [5620] = {.lex_state = 130, .external_lex_state = 3},
  [5621] = {.lex_state = 130, .external_lex_state = 3},
  [5622] = {.lex_state = 130, .external_lex_state = 3},
  [5623] = {.lex_state = 130, .external_lex_state = 3},
  [5624] = {.lex_state = 130, .external_lex_state = 3},
  [5625] = {.lex_state = 130, .external_lex_state = 3},
  [5626] = {.lex_state = 130, .external_lex_state = 3},
  [5627] = {.lex_state = 180, .external_lex_state = 3},
  [5628] = {.lex_state = 130, .external_lex_state = 3},
  [5629] = {.lex_state = 180, .external_lex_state = 3},
  [5630] = {.lex_state = 180, .external_lex_state = 3},
  [5631] = {.lex_state = 130, .external_lex_state = 3},
  [5632] = {.lex_state = 130, .external_lex_state = 3},
  [5633] = {.lex_state = 180, .external_lex_state = 3},
  [5634] = {.lex_state = 130, .external_lex_state = 3},
  [5635] = {.lex_state = 130, .external_lex_state = 3},
  [5636] = {.lex_state = 180, .external_lex_state = 3},
  [5637] = {.lex_state = 130, .external_lex_state = 3},
  [5638] = {.lex_state = 131, .external_lex_state = 3},
  [5639] = {.lex_state = 178, .external_lex_state = 3},
  [5640] = {.lex_state = 130, .external_lex_state = 3},
  [5641] = {.lex_state = 178, .external_lex_state = 3},
  [5642] = {.lex_state = 178, .external_lex_state = 3},
  [5643] = {.lex_state = 87, .external_lex_state = 3},
  [5644] = {.lex_state = 130, .external_lex_state = 3},
  [5645] = {.lex_state = 130, .external_lex_state = 3},
  [5646] = {.lex_state = 178, .external_lex_state = 3},
  [5647] = {.lex_state = 84, .external_lex_state = 3},
  [5648] = {.lex_state = 178, .external_lex_state = 3},
  [5649] = {.lex_state = 130, .external_lex_state = 3},
  [5650] = {.lex_state = 130, .external_lex_state = 3},
  [5651] = {.lex_state = 130, .external_lex_state = 3},
  [5652] = {.lex_state = 84, .external_lex_state = 3},
  [5653] = {.lex_state = 130, .external_lex_state = 3},
  [5654] = {.lex_state = 130, .external_lex_state = 3},
  [5655] = {.lex_state = 180, .external_lex_state = 3},
  [5656] = {.lex_state = 130, .external_lex_state = 3},
  [5657] = {.lex_state = 130, .external_lex_state = 3},
  [5658] = {.lex_state = 180, .external_lex_state = 3},
  [5659] = {.lex_state = 178, .external_lex_state = 3},
  [5660] = {.lex_state = 180, .external_lex_state = 3},
  [5661] = {.lex_state = 130, .external_lex_state = 3},
  [5662] = {.lex_state = 180, .external_lex_state = 3},
  [5663] = {.lex_state = 180, .external_lex_state = 3},
  [5664] = {.lex_state = 130, .external_lex_state = 3},
  [5665] = {.lex_state = 130, .external_lex_state = 3},
  [5666] = {.lex_state = 130, .external_lex_state = 3},
  [5667] = {.lex_state = 178, .external_lex_state = 3},
  [5668] = {.lex_state = 178, .external_lex_state = 3},
  [5669] = {.lex_state = 130, .external_lex_state = 3},
  [5670] = {.lex_state = 178, .external_lex_state = 3},
  [5671] = {.lex_state = 130, .external_lex_state = 3},
  [5672] = {.lex_state = 178, .external_lex_state = 3},
  [5673] = {.lex_state = 178, .external_lex_state = 3},
  [5674] = {.lex_state = 178, .external_lex_state = 3},
  [5675] = {.lex_state = 130, .external_lex_state = 3},
  [5676] = {.lex_state = 178, .external_lex_state = 3},
  [5677] = {.lex_state = 130, .external_lex_state = 3},
  [5678] = {.lex_state = 180, .external_lex_state = 3},
  [5679] = {.lex_state = 180, .external_lex_state = 3},
  [5680] = {.lex_state = 180, .external_lex_state = 3},
  [5681] = {.lex_state = 180, .external_lex_state = 3},
  [5682] = {.lex_state = 130, .external_lex_state = 3},
  [5683] = {.lex_state = 130, .external_lex_state = 3},
  [5684] = {.lex_state = 87, .external_lex_state = 3},
  [5685] = {.lex_state = 178, .external_lex_state = 3},
  [5686] = {.lex_state = 178, .external_lex_state = 3},
  [5687] = {.lex_state = 130, .external_lex_state = 3},
  [5688] = {.lex_state = 178, .external_lex_state = 3},
  [5689] = {.lex_state = 158, .external_lex_state = 3},
  [5690] = {.lex_state = 178, .external_lex_state = 3},
  [5691] = {.lex_state = 130, .external_lex_state = 3},
  [5692] = {.lex_state = 130, .external_lex_state = 3},
  [5693] = {.lex_state = 178, .external_lex_state = 3},
  [5694] = {.lex_state = 180, .external_lex_state = 3},
  [5695] = {.lex_state = 178, .external_lex_state = 3},
  [5696] = {.lex_state = 178, .external_lex_state = 3},
  [5697] = {.lex_state = 130, .external_lex_state = 3},
  [5698] = {.lex_state = 178, .external_lex_state = 3},
  [5699] = {.lex_state = 130, .external_lex_state = 3},
  [5700] = {.lex_state = 180, .external_lex_state = 3},
  [5701] = {.lex_state = 178, .external_lex_state = 3},
  [5702] = {.lex_state = 130, .external_lex_state = 3},
  [5703] = {.lex_state = 178, .external_lex_state = 3},
  [5704] = {.lex_state = 131, .external_lex_state = 3},
  [5705] = {.lex_state = 178, .external_lex_state = 3},
  [5706] = {.lex_state = 178, .external_lex_state = 3},
  [5707] = {.lex_state = 130, .external_lex_state = 3},
  [5708] = {.lex_state = 178, .external_lex_state = 3},
  [5709] = {.lex_state = 178, .external_lex_state = 3},
  [5710] = {.lex_state = 178, .external_lex_state = 3},
  [5711] = {.lex_state = 130, .external_lex_state = 3},
  [5712] = {.lex_state = 130, .external_lex_state = 3},
  [5713] = {.lex_state = 180, .external_lex_state = 3},
  [5714] = {.lex_state = 180, .external_lex_state = 3},
  [5715] = {.lex_state = 178, .external_lex_state = 3},
  [5716] = {.lex_state = 131, .external_lex_state = 3},
  [5717] = {.lex_state = 178, .external_lex_state = 3},
  [5718] = {.lex_state = 180, .external_lex_state = 3},
  [5719] = {.lex_state = 131, .external_lex_state = 3},
  [5720] = {.lex_state = 130, .external_lex_state = 3},
  [5721] = {.lex_state = 131, .external_lex_state = 3},
  [5722] = {.lex_state = 130, .external_lex_state = 3},
  [5723] = {.lex_state = 180, .external_lex_state = 3},
  [5724] = {.lex_state = 130, .external_lex_state = 3},
  [5725] = {.lex_state = 180, .external_lex_state = 3},
  [5726] = {.lex_state = 130, .external_lex_state = 3},
  [5727] = {.lex_state = 180, .external_lex_state = 3},
  [5728] = {.lex_state = 178, .external_lex_state = 3},
  [5729] = {.lex_state = 180, .external_lex_state = 3},
  [5730] = {.lex_state = 178, .external_lex_state = 3},
  [5731] = {.lex_state = 180, .external_lex_state = 3},
  [5732] = {.lex_state = 130, .external_lex_state = 3},
  [5733] = {.lex_state = 131, .external_lex_state = 3},
  [5734] = {.lex_state = 130, .external_lex_state = 3},
  [5735] = {.lex_state = 180, .external_lex_state = 3},
  [5736] = {.lex_state = 180, .external_lex_state = 3},
  [5737] = {.lex_state = 180, .external_lex_state = 3},
  [5738] = {.lex_state = 180, .external_lex_state = 3},
  [5739] = {.lex_state = 130, .external_lex_state = 3},
  [5740] = {.lex_state = 131, .external_lex_state = 3},
  [5741] = {.lex_state = 131, .external_lex_state = 3},
  [5742] = {.lex_state = 131, .external_lex_state = 3},
  [5743] = {.lex_state = 131, .external_lex_state = 3},
  [5744] = {.lex_state = 131, .external_lex_state = 3},
  [5745] = {.lex_state = 131, .external_lex_state = 3},
  [5746] = {.lex_state = 120, .external_lex_state = 3},
  [5747] = {.lex_state = 131, .external_lex_state = 3},
  [5748] = {.lex_state = 131, .external_lex_state = 3},
  [5749] = {.lex_state = 131, .external_lex_state = 3},
  [5750] = {.lex_state = 28, .external_lex_state = 3},
  [5751] = {.lex_state = 131, .external_lex_state = 3},
  [5752] = {.lex_state = 131, .external_lex_state = 3},
  [5753] = {.lex_state = 131, .external_lex_state = 3},
  [5754] = {.lex_state = 131, .external_lex_state = 3},
  [5755] = {.lex_state = 131, .external_lex_state = 3},
  [5756] = {.lex_state = 131, .external_lex_state = 3},
  [5757] = {.lex_state = 131, .external_lex_state = 3},
  [5758] = {.lex_state = 131, .external_lex_state = 3},
  [5759] = {.lex_state = 131, .external_lex_state = 3},
  [5760] = {.lex_state = 120, .external_lex_state = 3},
  [5761] = {.lex_state = 131, .external_lex_state = 3},
  [5762] = {.lex_state = 131, .external_lex_state = 3},
  [5763] = {.lex_state = 131, .external_lex_state = 3},
  [5764] = {.lex_state = 131, .external_lex_state = 3},
  [5765] = {.lex_state = 131, .external_lex_state = 3},
  [5766] = {.lex_state = 120, .external_lex_state = 3},
  [5767] = {.lex_state = 131, .external_lex_state = 3},
  [5768] = {.lex_state = 131, .external_lex_state = 3},
  [5769] = {.lex_state = 131, .external_lex_state = 3},
  [5770] = {.lex_state = 120, .external_lex_state = 3},
  [5771] = {.lex_state = 131, .external_lex_state = 3},
  [5772] = {.lex_state = 28, .external_lex_state = 3},
  [5773] = {.lex_state = 131, .external_lex_state = 3},
  [5774] = {.lex_state = 131, .external_lex_state = 3},
  [5775] = {.lex_state = 131, .external_lex_state = 3},
  [5776] = {.lex_state = 131, .external_lex_state = 3},
  [5777] = {.lex_state = 120, .external_lex_state = 3},
  [5778] = {.lex_state = 131, .external_lex_state = 3},
  [5779] = {.lex_state = 120, .external_lex_state = 3},
  [5780] = {.lex_state = 120, .external_lex_state = 3},
  [5781] = {.lex_state = 131, .external_lex_state = 3},
  [5782] = {.lex_state = 131, .external_lex_state = 3},
  [5783] = {.lex_state = 131, .external_lex_state = 3},
  [5784] = {.lex_state = 131, .external_lex_state = 3},
  [5785] = {.lex_state = 131, .external_lex_state = 3},
  [5786] = {.lex_state = 131, .external_lex_state = 3},
  [5787] = {.lex_state = 131, .external_lex_state = 3},
  [5788] = {.lex_state = 131, .external_lex_state = 3},
  [5789] = {.lex_state = 120, .external_lex_state = 3},
  [5790] = {.lex_state = 131, .external_lex_state = 3},
  [5791] = {.lex_state = 131, .external_lex_state = 3},
  [5792] = {.lex_state = 28, .external_lex_state = 3},
  [5793] = {.lex_state = 28, .external_lex_state = 3},
  [5794] = {.lex_state = 131, .external_lex_state = 3},
  [5795] = {.lex_state = 131, .external_lex_state = 3},
  [5796] = {.lex_state = 131, .external_lex_state = 3},
  [5797] = {.lex_state = 131, .external_lex_state = 3},
  [5798] = {.lex_state = 131, .external_lex_state = 3},
  [5799] = {.lex_state = 131, .external_lex_state = 3},
  [5800] = {.lex_state = 131, .external_lex_state = 3},
  [5801] = {.lex_state = 131, .external_lex_state = 3},
  [5802] = {.lex_state = 131, .external_lex_state = 3},
  [5803] = {.lex_state = 131, .external_lex_state = 3},
  [5804] = {.lex_state = 131, .external_lex_state = 3},
  [5805] = {.lex_state = 131, .external_lex_state = 3},
  [5806] = {.lex_state = 131, .external_lex_state = 3},
  [5807] = {.lex_state = 120, .external_lex_state = 3},
  [5808] = {.lex_state = 131, .external_lex_state = 3},
  [5809] = {.lex_state = 131, .external_lex_state = 3},
  [5810] = {.lex_state = 131, .external_lex_state = 3},
  [5811] = {.lex_state = 28, .external_lex_state = 3},
  [5812] = {.lex_state = 131, .external_lex_state = 3},
  [5813] = {.lex_state = 131, .external_lex_state = 3},
  [5814] = {.lex_state = 131, .external_lex_state = 3},
  [5815] = {.lex_state = 131, .external_lex_state = 3},
  [5816] = {.lex_state = 131, .external_lex_state = 3},
  [5817] = {.lex_state = 131, .external_lex_state = 3},
  [5818] = {.lex_state = 131, .external_lex_state = 3},
  [5819] = {.lex_state = 131, .external_lex_state = 3},
  [5820] = {.lex_state = 131, .external_lex_state = 3},
  [5821] = {.lex_state = 131, .external_lex_state = 3},
  [5822] = {.lex_state = 131, .external_lex_state = 3},
  [5823] = {.lex_state = 120, .external_lex_state = 3},
  [5824] = {.lex_state = 131, .external_lex_state = 3},
  [5825] = {.lex_state = 120, .external_lex_state = 3},
  [5826] = {.lex_state = 131, .external_lex_state = 3},
  [5827] = {.lex_state = 86, .external_lex_state = 3},
  [5828] = {.lex_state = 28, .external_lex_state = 3},
  [5829] = {.lex_state = 131, .external_lex_state = 3},
  [5830] = {.lex_state = 86, .external_lex_state = 3},
  [5831] = {.lex_state = 131, .external_lex_state = 3},
  [5832] = {.lex_state = 120, .external_lex_state = 3},
  [5833] = {.lex_state = 120, .external_lex_state = 3},
  [5834] = {.lex_state = 122, .external_lex_state = 3},
  [5835] = {.lex_state = 120, .external_lex_state = 3},
  [5836] = {.lex_state = 34, .external_lex_state = 3},
  [5837] = {.lex_state = 120, .external_lex_state = 3},
  [5838] = {.lex_state = 120, .external_lex_state = 3},
  [5839] = {.lex_state = 120, .external_lex_state = 3},
  [5840] = {.lex_state = 120, .external_lex_state = 3},
  [5841] = {.lex_state = 120, .external_lex_state = 3},
  [5842] = {.lex_state = 120, .external_lex_state = 3},
  [5843] = {.lex_state = 120, .external_lex_state = 3},
  [5844] = {.lex_state = 120, .external_lex_state = 3},
  [5845] = {.lex_state = 120, .external_lex_state = 3},
  [5846] = {.lex_state = 120, .external_lex_state = 3},
  [5847] = {.lex_state = 120, .external_lex_state = 3},
  [5848] = {.lex_state = 120, .external_lex_state = 3},
  [5849] = {.lex_state = 120, .external_lex_state = 3},
  [5850] = {.lex_state = 120, .external_lex_state = 3},
  [5851] = {.lex_state = 120, .external_lex_state = 3},
  [5852] = {.lex_state = 120, .external_lex_state = 3},
  [5853] = {.lex_state = 120, .external_lex_state = 3},
  [5854] = {.lex_state = 120, .external_lex_state = 3},
  [5855] = {.lex_state = 120, .external_lex_state = 3},
  [5856] = {.lex_state = 121, .external_lex_state = 3},
  [5857] = {.lex_state = 120, .external_lex_state = 3},
  [5858] = {.lex_state = 121, .external_lex_state = 3},
  [5859] = {.lex_state = 121, .external_lex_state = 3},
  [5860] = {.lex_state = 121, .external_lex_state = 3},
  [5861] = {.lex_state = 121, .external_lex_state = 3},
  [5862] = {.lex_state = 121, .external_lex_state = 3},
  [5863] = {.lex_state = 121, .external_lex_state = 3},
  [5864] = {.lex_state = 120, .external_lex_state = 3},
  [5865] = {.lex_state = 35, .external_lex_state = 3},
  [5866] = {.lex_state = 34, .external_lex_state = 3},
  [5867] = {.lex_state = 34, .external_lex_state = 3},
  [5868] = {.lex_state = 34, .external_lex_state = 3},
  [5869] = {.lex_state = 34, .external_lex_state = 3},
  [5870] = {.lex_state = 125, .external_lex_state = 3},
  [5871] = {.lex_state = 120, .external_lex_state = 3},
  [5872] = {.lex_state = 121, .external_lex_state = 3},
  [5873] = {.lex_state = 120, .external_lex_state = 3},
  [5874] = {.lex_state = 120, .external_lex_state = 3},
  [5875] = {.lex_state = 120, .external_lex_state = 3},
  [5876] = {.lex_state = 121, .external_lex_state = 3},
  [5877] = {.lex_state = 35, .external_lex_state = 3},
  [5878] = {.lex_state = 118, .external_lex_state = 3},
  [5879] = {.lex_state = 35, .external_lex_state = 3},
  [5880] = {.lex_state = 35, .external_lex_state = 3},
  [5881] = {.lex_state = 35, .external_lex_state = 3},
  [5882] = {.lex_state = 35, .external_lex_state = 3},
  [5883] = {.lex_state = 35, .external_lex_state = 3},
  [5884] = {.lex_state = 35, .external_lex_state = 3},
  [5885] = {.lex_state = 120, .external_lex_state = 3},
  [5886] = {.lex_state = 120, .external_lex_state = 3},
  [5887] = {.lex_state = 35, .external_lex_state = 3},
  [5888] = {.lex_state = 120, .external_lex_state = 3},
  [5889] = {.lex_state = 120, .external_lex_state = 3},
  [5890] = {.lex_state = 35, .external_lex_state = 3},
  [5891] = {.lex_state = 34, .external_lex_state = 3},
  [5892] = {.lex_state = 35, .external_lex_state = 3},
  [5893] = {.lex_state = 120, .external_lex_state = 3},
  [5894] = {.lex_state = 126, .external_lex_state = 3},
  [5895] = {.lex_state = 120, .external_lex_state = 3},
  [5896] = {.lex_state = 120, .external_lex_state = 3},
  [5897] = {.lex_state = 120, .external_lex_state = 3},
  [5898] = {.lex_state = 120, .external_lex_state = 3},
  [5899] = {.lex_state = 120, .external_lex_state = 3},
  [5900] = {.lex_state = 34, .external_lex_state = 3},
  [5901] = {.lex_state = 120, .external_lex_state = 3},
  [5902] = {.lex_state = 120, .external_lex_state = 3},
  [5903] = {.lex_state = 34, .external_lex_state = 3},
  [5904] = {.lex_state = 34, .external_lex_state = 3},
  [5905] = {.lex_state = 34, .external_lex_state = 3},
  [5906] = {.lex_state = 34, .external_lex_state = 3},
  [5907] = {.lex_state = 34, .external_lex_state = 3},
  [5908] = {.lex_state = 120, .external_lex_state = 3},
  [5909] = {.lex_state = 34, .external_lex_state = 3},
  [5910] = {.lex_state = 34, .external_lex_state = 3},
  [5911] = {.lex_state = 124, .external_lex_state = 3},
  [5912] = {.lex_state = 120, .external_lex_state = 3},
  [5913] = {.lex_state = 120, .external_lex_state = 3},
  [5914] = {.lex_state = 120, .external_lex_state = 3},
  [5915] = {.lex_state = 120, .external_lex_state = 3},
  [5916] = {.lex_state = 120, .external_lex_state = 3},
  [5917] = {.lex_state = 120, .external_lex_state = 3},
  [5918] = {.lex_state = 120, .external_lex_state = 3},
  [5919] = {.lex_state = 120, .external_lex_state = 3},
  [5920] = {.lex_state = 120, .external_lex_state = 3},
  [5921] = {.lex_state = 34, .external_lex_state = 3},
  [5922] = {.lex_state = 35, .external_lex_state = 3},
  [5923] = {.lex_state = 34, .external_lex_state = 3},
  [5924] = {.lex_state = 34, .external_lex_state = 3},
  [5925] = {.lex_state = 34, .external_lex_state = 3},
  [5926] = {.lex_state = 34, .external_lex_state = 3},
  [5927] = {.lex_state = 34, .external_lex_state = 3},
  [5928] = {.lex_state = 34, .external_lex_state = 3},
  [5929] = {.lex_state = 34, .external_lex_state = 3},
  [5930] = {.lex_state = 34, .external_lex_state = 3},
  [5931] = {.lex_state = 34, .external_lex_state = 3},
  [5932] = {.lex_state = 34, .external_lex_state = 3},
  [5933] = {.lex_state = 34, .external_lex_state = 3},
  [5934] = {.lex_state = 34, .external_lex_state = 3},
  [5935] = {.lex_state = 34, .external_lex_state = 3},
  [5936] = {.lex_state = 34, .external_lex_state = 3},
  [5937] = {.lex_state = 34, .external_lex_state = 3},
  [5938] = {.lex_state = 34, .external_lex_state = 3},
  [5939] = {.lex_state = 34, .external_lex_state = 3},
  [5940] = {.lex_state = 122, .external_lex_state = 3},
  [5941] = {.lex_state = 34, .external_lex_state = 3},
  [5942] = {.lex_state = 34, .external_lex_state = 3},
  [5943] = {.lex_state = 34, .external_lex_state = 3},
  [5944] = {.lex_state = 34, .external_lex_state = 3},
  [5945] = {.lex_state = 34, .external_lex_state = 3},
  [5946] = {.lex_state = 34, .external_lex_state = 3},
  [5947] = {.lex_state = 34, .external_lex_state = 3},
  [5948] = {.lex_state = 34, .external_lex_state = 3},
  [5949] = {.lex_state = 34, .external_lex_state = 3},
  [5950] = {.lex_state = 34, .external_lex_state = 3},
  [5951] = {.lex_state = 34, .external_lex_state = 3},
  [5952] = {.lex_state = 34, .external_lex_state = 3},
  [5953] = {.lex_state = 34, .external_lex_state = 3},
  [5954] = {.lex_state = 34, .external_lex_state = 3},
  [5955] = {.lex_state = 34, .external_lex_state = 3},
  [5956] = {.lex_state = 34, .external_lex_state = 3},
  [5957] = {.lex_state = 34, .external_lex_state = 3},
  [5958] = {.lex_state = 34, .external_lex_state = 3},
  [5959] = {.lex_state = 34, .external_lex_state = 3},
  [5960] = {.lex_state = 34, .external_lex_state = 3},
  [5961] = {.lex_state = 34, .external_lex_state = 3},
  [5962] = {.lex_state = 34, .external_lex_state = 3},
  [5963] = {.lex_state = 34, .external_lex_state = 3},
  [5964] = {.lex_state = 34, .external_lex_state = 3},
  [5965] = {.lex_state = 34, .external_lex_state = 3},
  [5966] = {.lex_state = 125, .external_lex_state = 3},
  [5967] = {.lex_state = 34, .external_lex_state = 3},
  [5968] = {.lex_state = 125, .external_lex_state = 3},
  [5969] = {.lex_state = 125, .external_lex_state = 3},
  [5970] = {.lex_state = 125, .external_lex_state = 3},
  [5971] = {.lex_state = 125, .external_lex_state = 3},
  [5972] = {.lex_state = 125, .external_lex_state = 3},
  [5973] = {.lex_state = 125, .external_lex_state = 3},
  [5974] = {.lex_state = 34, .external_lex_state = 3},
  [5975] = {.lex_state = 118, .external_lex_state = 3},
  [5976] = {.lex_state = 34, .external_lex_state = 3},
  [5977] = {.lex_state = 118, .external_lex_state = 3},
  [5978] = {.lex_state = 118, .external_lex_state = 3},
  [5979] = {.lex_state = 118, .external_lex_state = 3},
  [5980] = {.lex_state = 118, .external_lex_state = 3},
  [5981] = {.lex_state = 118, .external_lex_state = 3},
  [5982] = {.lex_state = 118, .external_lex_state = 3},
  [5983] = {.lex_state = 35, .external_lex_state = 3},
  [5984] = {.lex_state = 34, .external_lex_state = 3},
  [5985] = {.lex_state = 34, .external_lex_state = 3},
  [5986] = {.lex_state = 125, .external_lex_state = 3},
  [5987] = {.lex_state = 34, .external_lex_state = 3},
  [5988] = {.lex_state = 126, .external_lex_state = 3},
  [5989] = {.lex_state = 34, .external_lex_state = 3},
  [5990] = {.lex_state = 34, .external_lex_state = 3},
  [5991] = {.lex_state = 125, .external_lex_state = 3},
  [5992] = {.lex_state = 34, .external_lex_state = 3},
  [5993] = {.lex_state = 126, .external_lex_state = 3},
  [5994] = {.lex_state = 126, .external_lex_state = 3},
  [5995] = {.lex_state = 126, .external_lex_state = 3},
  [5996] = {.lex_state = 34, .external_lex_state = 3},
  [5997] = {.lex_state = 126, .external_lex_state = 3},
  [5998] = {.lex_state = 126, .external_lex_state = 3},
  [5999] = {.lex_state = 126, .external_lex_state = 3},
  [6000] = {.lex_state = 34, .external_lex_state = 3},
  [6001] = {.lex_state = 34, .external_lex_state = 3},
  [6002] = {.lex_state = 122, .external_lex_state = 3},
  [6003] = {.lex_state = 122, .external_lex_state = 3},
  [6004] = {.lex_state = 118, .external_lex_state = 3},
  [6005] = {.lex_state = 124, .external_lex_state = 3},
  [6006] = {.lex_state = 125, .external_lex_state = 3},
  [6007] = {.lex_state = 118, .external_lex_state = 3},
  [6008] = {.lex_state = 126, .external_lex_state = 3},
  [6009] = {.lex_state = 124, .external_lex_state = 3},
  [6010] = {.lex_state = 118, .external_lex_state = 3},
  [6011] = {.lex_state = 124, .external_lex_state = 3},
  [6012] = {.lex_state = 124, .external_lex_state = 3},
  [6013] = {.lex_state = 124, .external_lex_state = 3},
  [6014] = {.lex_state = 124, .external_lex_state = 3},
  [6015] = {.lex_state = 124, .external_lex_state = 3},
  [6016] = {.lex_state = 124, .external_lex_state = 3},
  [6017] = {.lex_state = 34, .external_lex_state = 3},
  [6018] = {.lex_state = 126, .external_lex_state = 3},
  [6019] = {.lex_state = 126, .external_lex_state = 3},
  [6020] = {.lex_state = 35, .external_lex_state = 3},
  [6021] = {.lex_state = 35, .external_lex_state = 3},
  [6022] = {.lex_state = 35, .external_lex_state = 3},
  [6023] = {.lex_state = 35, .external_lex_state = 3},
  [6024] = {.lex_state = 35, .external_lex_state = 3},
  [6025] = {.lex_state = 35, .external_lex_state = 3},
  [6026] = {.lex_state = 124, .external_lex_state = 3},
  [6027] = {.lex_state = 35, .external_lex_state = 3},
  [6028] = {.lex_state = 35, .external_lex_state = 3},
  [6029] = {.lex_state = 35, .external_lex_state = 3},
  [6030] = {.lex_state = 35, .external_lex_state = 3},
  [6031] = {.lex_state = 35, .external_lex_state = 3},
  [6032] = {.lex_state = 35, .external_lex_state = 3},
  [6033] = {.lex_state = 35, .external_lex_state = 3},
  [6034] = {.lex_state = 34, .external_lex_state = 3},
  [6035] = {.lex_state = 35, .external_lex_state = 3},
  [6036] = {.lex_state = 35, .external_lex_state = 3},
  [6037] = {.lex_state = 35, .external_lex_state = 3},
  [6038] = {.lex_state = 35, .external_lex_state = 3},
  [6039] = {.lex_state = 35, .external_lex_state = 3},
  [6040] = {.lex_state = 35, .external_lex_state = 3},
  [6041] = {.lex_state = 35, .external_lex_state = 3},
  [6042] = {.lex_state = 35, .external_lex_state = 3},
  [6043] = {.lex_state = 35, .external_lex_state = 3},
  [6044] = {.lex_state = 35, .external_lex_state = 3},
  [6045] = {.lex_state = 35, .external_lex_state = 3},
  [6046] = {.lex_state = 35, .external_lex_state = 3},
  [6047] = {.lex_state = 124, .external_lex_state = 3},
  [6048] = {.lex_state = 35, .external_lex_state = 3},
  [6049] = {.lex_state = 35, .external_lex_state = 3},
  [6050] = {.lex_state = 35, .external_lex_state = 3},
  [6051] = {.lex_state = 35, .external_lex_state = 3},
  [6052] = {.lex_state = 35, .external_lex_state = 3},
  [6053] = {.lex_state = 35, .external_lex_state = 3},
  [6054] = {.lex_state = 35, .external_lex_state = 3},
  [6055] = {.lex_state = 35, .external_lex_state = 3},
  [6056] = {.lex_state = 35, .external_lex_state = 3},
  [6057] = {.lex_state = 35, .external_lex_state = 3},
  [6058] = {.lex_state = 35, .external_lex_state = 3},
  [6059] = {.lex_state = 35, .external_lex_state = 3},
  [6060] = {.lex_state = 35, .external_lex_state = 3},
  [6061] = {.lex_state = 35, .external_lex_state = 3},
  [6062] = {.lex_state = 35, .external_lex_state = 3},
  [6063] = {.lex_state = 35, .external_lex_state = 3},
  [6064] = {.lex_state = 35, .external_lex_state = 3},
  [6065] = {.lex_state = 35, .external_lex_state = 3},
  [6066] = {.lex_state = 35, .external_lex_state = 3},
  [6067] = {.lex_state = 35, .external_lex_state = 3},
  [6068] = {.lex_state = 35, .external_lex_state = 3},
  [6069] = {.lex_state = 35, .external_lex_state = 3},
  [6070] = {.lex_state = 120, .external_lex_state = 3},
  [6071] = {.lex_state = 35, .external_lex_state = 3},
  [6072] = {.lex_state = 120, .external_lex_state = 3},
  [6073] = {.lex_state = 35, .external_lex_state = 3},
  [6074] = {.lex_state = 34, .external_lex_state = 3},
  [6075] = {.lex_state = 35, .external_lex_state = 3},
  [6076] = {.lex_state = 35, .external_lex_state = 3},
  [6077] = {.lex_state = 120, .external_lex_state = 3},
  [6078] = {.lex_state = 35, .external_lex_state = 3},
  [6079] = {.lex_state = 120, .external_lex_state = 3},
  [6080] = {.lex_state = 35, .external_lex_state = 3},
  [6081] = {.lex_state = 35, .external_lex_state = 3},
  [6082] = {.lex_state = 35, .external_lex_state = 3},
  [6083] = {.lex_state = 35, .external_lex_state = 3},
  [6084] = {.lex_state = 35, .external_lex_state = 3},
  [6085] = {.lex_state = 35, .external_lex_state = 3},
  [6086] = {.lex_state = 34, .external_lex_state = 3},
  [6087] = {.lex_state = 35, .external_lex_state = 3},
  [6088] = {.lex_state = 35, .external_lex_state = 3},
  [6089] = {.lex_state = 35, .external_lex_state = 3},
  [6090] = {.lex_state = 35, .external_lex_state = 3},
  [6091] = {.lex_state = 120, .external_lex_state = 3},
  [6092] = {.lex_state = 35, .external_lex_state = 3},
  [6093] = {.lex_state = 35, .external_lex_state = 3},
  [6094] = {.lex_state = 35, .external_lex_state = 3},
  [6095] = {.lex_state = 34, .external_lex_state = 3},
  [6096] = {.lex_state = 120, .external_lex_state = 3},
  [6097] = {.lex_state = 120, .external_lex_state = 3},
  [6098] = {.lex_state = 85, .external_lex_state = 3},
  [6099] = {.lex_state = 35, .external_lex_state = 3},
  [6100] = {.lex_state = 121, .external_lex_state = 3},
  [6101] = {.lex_state = 121, .external_lex_state = 3},
  [6102] = {.lex_state = 35, .external_lex_state = 3},
  [6103] = {.lex_state = 35, .external_lex_state = 3},
  [6104] = {.lex_state = 34, .external_lex_state = 3},
  [6105] = {.lex_state = 34, .external_lex_state = 3},
  [6106] = {.lex_state = 34, .external_lex_state = 3},
  [6107] = {.lex_state = 34, .external_lex_state = 3},
  [6108] = {.lex_state = 34, .external_lex_state = 3},
  [6109] = {.lex_state = 122, .external_lex_state = 3},
  [6110] = {.lex_state = 122, .external_lex_state = 3},
  [6111] = {.lex_state = 122, .external_lex_state = 3},
  [6112] = {.lex_state = 122, .external_lex_state = 3},
  [6113] = {.lex_state = 122, .external_lex_state = 3},
  [6114] = {.lex_state = 122, .external_lex_state = 3},
  [6115] = {.lex_state = 122, .external_lex_state = 3},
  [6116] = {.lex_state = 120, .external_lex_state = 3},
  [6117] = {.lex_state = 120, .external_lex_state = 3},
  [6118] = {.lex_state = 120, .external_lex_state = 3},
  [6119] = {.lex_state = 120, .external_lex_state = 3},
  [6120] = {.lex_state = 120, .external_lex_state = 3},
  [6121] = {.lex_state = 34, .external_lex_state = 3},
  [6122] = {.lex_state = 120, .external_lex_state = 3},
  [6123] = {.lex_state = 120, .external_lex_state = 3},
  [6124] = {.lex_state = 120, .external_lex_state = 3},
  [6125] = {.lex_state = 120, .external_lex_state = 3},
  [6126] = {.lex_state = 120, .external_lex_state = 3},
  [6127] = {.lex_state = 120, .external_lex_state = 3},
  [6128] = {.lex_state = 120, .external_lex_state = 3},
  [6129] = {.lex_state = 130, .external_lex_state = 3},
  [6130] = {.lex_state = 120, .external_lex_state = 3},
  [6131] = {.lex_state = 120, .external_lex_state = 3},
  [6132] = {.lex_state = 120, .external_lex_state = 3},
  [6133] = {.lex_state = 34, .external_lex_state = 3},
  [6134] = {.lex_state = 126, .external_lex_state = 3},
  [6135] = {.lex_state = 129, .external_lex_state = 3},
  [6136] = {.lex_state = 420, .external_lex_state = 3},
  [6137] = {.lex_state = 121, .external_lex_state = 3},
  [6138] = {.lex_state = 121, .external_lex_state = 3},
  [6139] = {.lex_state = 121, .external_lex_state = 3},
  [6140] = {.lex_state = 131, .external_lex_state = 3},
  [6141] = {.lex_state = 420, .external_lex_state = 3},
  [6142] = {.lex_state = 122, .external_lex_state = 3},
  [6143] = {.lex_state = 122, .external_lex_state = 3},
  [6144] = {.lex_state = 118, .external_lex_state = 3},
  [6145] = {.lex_state = 121, .external_lex_state = 3},
  [6146] = {.lex_state = 122, .external_lex_state = 3},
  [6147] = {.lex_state = 124, .external_lex_state = 3},
  [6148] = {.lex_state = 121, .external_lex_state = 3},
  [6149] = {.lex_state = 119, .external_lex_state = 3},
  [6150] = {.lex_state = 119, .external_lex_state = 3},
  [6151] = {.lex_state = 122, .external_lex_state = 3},
  [6152] = {.lex_state = 121, .external_lex_state = 3},
  [6153] = {.lex_state = 126, .external_lex_state = 3},
  [6154] = {.lex_state = 126, .external_lex_state = 3},
  [6155] = {.lex_state = 122, .external_lex_state = 3},
  [6156] = {.lex_state = 126, .external_lex_state = 3},
  [6157] = {.lex_state = 123, .external_lex_state = 3},
  [6158] = {.lex_state = 122, .external_lex_state = 3},
  [6159] = {.lex_state = 122, .external_lex_state = 3},
  [6160] = {.lex_state = 123, .external_lex_state = 3},
  [6161] = {.lex_state = 121, .external_lex_state = 3},
  [6162] = {.lex_state = 126, .external_lex_state = 3},
  [6163] = {.lex_state = 118, .external_lex_state = 3},
  [6164] = {.lex_state = 123, .external_lex_state = 3},
  [6165] = {.lex_state = 420, .external_lex_state = 3},
  [6166] = {.lex_state = 127, .external_lex_state = 3},
  [6167] = {.lex_state = 127, .external_lex_state = 3},
  [6168] = {.lex_state = 121, .external_lex_state = 3},
  [6169] = {.lex_state = 127, .external_lex_state = 3},
  [6170] = {.lex_state = 125, .external_lex_state = 3},
  [6171] = {.lex_state = 121, .external_lex_state = 3},
  [6172] = {.lex_state = 125, .external_lex_state = 3},
  [6173] = {.lex_state = 125, .external_lex_state = 3},
  [6174] = {.lex_state = 125, .external_lex_state = 3},
  [6175] = {.lex_state = 125, .external_lex_state = 3},
  [6176] = {.lex_state = 125, .external_lex_state = 3},
  [6177] = {.lex_state = 125, .external_lex_state = 3},
  [6178] = {.lex_state = 125, .external_lex_state = 3},
  [6179] = {.lex_state = 125, .external_lex_state = 3},
  [6180] = {.lex_state = 125, .external_lex_state = 3},
  [6181] = {.lex_state = 125, .external_lex_state = 3},
  [6182] = {.lex_state = 125, .external_lex_state = 3},
  [6183] = {.lex_state = 125, .external_lex_state = 3},
  [6184] = {.lex_state = 125, .external_lex_state = 3},
  [6185] = {.lex_state = 125, .external_lex_state = 3},
  [6186] = {.lex_state = 125, .external_lex_state = 3},
  [6187] = {.lex_state = 125, .external_lex_state = 3},
  [6188] = {.lex_state = 125, .external_lex_state = 3},
  [6189] = {.lex_state = 123, .external_lex_state = 3},
  [6190] = {.lex_state = 125, .external_lex_state = 3},
  [6191] = {.lex_state = 125, .external_lex_state = 3},
  [6192] = {.lex_state = 125, .external_lex_state = 3},
  [6193] = {.lex_state = 125, .external_lex_state = 3},
  [6194] = {.lex_state = 125, .external_lex_state = 3},
  [6195] = {.lex_state = 125, .external_lex_state = 3},
  [6196] = {.lex_state = 125, .external_lex_state = 3},
  [6197] = {.lex_state = 125, .external_lex_state = 3},
  [6198] = {.lex_state = 125, .external_lex_state = 3},
  [6199] = {.lex_state = 125, .external_lex_state = 3},
  [6200] = {.lex_state = 125, .external_lex_state = 3},
  [6201] = {.lex_state = 125, .external_lex_state = 3},
  [6202] = {.lex_state = 125, .external_lex_state = 3},
  [6203] = {.lex_state = 125, .external_lex_state = 3},
  [6204] = {.lex_state = 125, .external_lex_state = 3},
  [6205] = {.lex_state = 125, .external_lex_state = 3},
  [6206] = {.lex_state = 121, .external_lex_state = 3},
  [6207] = {.lex_state = 125, .external_lex_state = 3},
  [6208] = {.lex_state = 125, .external_lex_state = 3},
  [6209] = {.lex_state = 125, .external_lex_state = 3},
  [6210] = {.lex_state = 125, .external_lex_state = 3},
  [6211] = {.lex_state = 118, .external_lex_state = 3},
  [6212] = {.lex_state = 126, .external_lex_state = 3},
  [6213] = {.lex_state = 122, .external_lex_state = 3},
  [6214] = {.lex_state = 125, .external_lex_state = 3},
  [6215] = {.lex_state = 118, .external_lex_state = 3},
  [6216] = {.lex_state = 125, .external_lex_state = 3},
  [6217] = {.lex_state = 118, .external_lex_state = 3},
  [6218] = {.lex_state = 118, .external_lex_state = 3},
  [6219] = {.lex_state = 118, .external_lex_state = 3},
  [6220] = {.lex_state = 118, .external_lex_state = 3},
  [6221] = {.lex_state = 118, .external_lex_state = 3},
  [6222] = {.lex_state = 118, .external_lex_state = 3},
  [6223] = {.lex_state = 118, .external_lex_state = 3},
  [6224] = {.lex_state = 118, .external_lex_state = 3},
  [6225] = {.lex_state = 118, .external_lex_state = 3},
  [6226] = {.lex_state = 118, .external_lex_state = 3},
  [6227] = {.lex_state = 118, .external_lex_state = 3},
  [6228] = {.lex_state = 118, .external_lex_state = 3},
  [6229] = {.lex_state = 118, .external_lex_state = 3},
  [6230] = {.lex_state = 118, .external_lex_state = 3},
  [6231] = {.lex_state = 118, .external_lex_state = 3},
  [6232] = {.lex_state = 118, .external_lex_state = 3},
  [6233] = {.lex_state = 125, .external_lex_state = 3},
  [6234] = {.lex_state = 118, .external_lex_state = 3},
  [6235] = {.lex_state = 118, .external_lex_state = 3},
  [6236] = {.lex_state = 118, .external_lex_state = 3},
  [6237] = {.lex_state = 118, .external_lex_state = 3},
  [6238] = {.lex_state = 118, .external_lex_state = 3},
  [6239] = {.lex_state = 118, .external_lex_state = 3},
  [6240] = {.lex_state = 118, .external_lex_state = 3},
  [6241] = {.lex_state = 118, .external_lex_state = 3},
  [6242] = {.lex_state = 118, .external_lex_state = 3},
  [6243] = {.lex_state = 118, .external_lex_state = 3},
  [6244] = {.lex_state = 118, .external_lex_state = 3},
  [6245] = {.lex_state = 118, .external_lex_state = 3},
  [6246] = {.lex_state = 118, .external_lex_state = 3},
  [6247] = {.lex_state = 118, .external_lex_state = 3},
  [6248] = {.lex_state = 118, .external_lex_state = 3},
  [6249] = {.lex_state = 123, .external_lex_state = 3},
  [6250] = {.lex_state = 126, .external_lex_state = 3},
  [6251] = {.lex_state = 118, .external_lex_state = 3},
  [6252] = {.lex_state = 118, .external_lex_state = 3},
  [6253] = {.lex_state = 118, .external_lex_state = 3},
  [6254] = {.lex_state = 118, .external_lex_state = 3},
  [6255] = {.lex_state = 118, .external_lex_state = 3},
  [6256] = {.lex_state = 420, .external_lex_state = 3},
  [6257] = {.lex_state = 126, .external_lex_state = 3},
  [6258] = {.lex_state = 126, .external_lex_state = 3},
  [6259] = {.lex_state = 118, .external_lex_state = 3},
  [6260] = {.lex_state = 126, .external_lex_state = 3},
  [6261] = {.lex_state = 126, .external_lex_state = 3},
  [6262] = {.lex_state = 118, .external_lex_state = 3},
  [6263] = {.lex_state = 126, .external_lex_state = 3},
  [6264] = {.lex_state = 123, .external_lex_state = 3},
  [6265] = {.lex_state = 126, .external_lex_state = 3},
  [6266] = {.lex_state = 126, .external_lex_state = 3},
  [6267] = {.lex_state = 126, .external_lex_state = 3},
  [6268] = {.lex_state = 126, .external_lex_state = 3},
  [6269] = {.lex_state = 126, .external_lex_state = 3},
  [6270] = {.lex_state = 121, .external_lex_state = 3},
  [6271] = {.lex_state = 126, .external_lex_state = 3},
  [6272] = {.lex_state = 126, .external_lex_state = 3},
  [6273] = {.lex_state = 126, .external_lex_state = 3},
  [6274] = {.lex_state = 126, .external_lex_state = 3},
  [6275] = {.lex_state = 126, .external_lex_state = 3},
  [6276] = {.lex_state = 126, .external_lex_state = 3},
  [6277] = {.lex_state = 126, .external_lex_state = 3},
  [6278] = {.lex_state = 126, .external_lex_state = 3},
  [6279] = {.lex_state = 126, .external_lex_state = 3},
  [6280] = {.lex_state = 126, .external_lex_state = 3},
  [6281] = {.lex_state = 126, .external_lex_state = 3},
  [6282] = {.lex_state = 118, .external_lex_state = 3},
  [6283] = {.lex_state = 126, .external_lex_state = 3},
  [6284] = {.lex_state = 126, .external_lex_state = 3},
  [6285] = {.lex_state = 126, .external_lex_state = 3},
  [6286] = {.lex_state = 126, .external_lex_state = 3},
  [6287] = {.lex_state = 122, .external_lex_state = 3},
  [6288] = {.lex_state = 126, .external_lex_state = 3},
  [6289] = {.lex_state = 126, .external_lex_state = 3},
  [6290] = {.lex_state = 126, .external_lex_state = 3},
  [6291] = {.lex_state = 126, .external_lex_state = 3},
  [6292] = {.lex_state = 122, .external_lex_state = 3},
  [6293] = {.lex_state = 122, .external_lex_state = 3},
  [6294] = {.lex_state = 126, .external_lex_state = 3},
  [6295] = {.lex_state = 126, .external_lex_state = 3},
  [6296] = {.lex_state = 126, .external_lex_state = 3},
  [6297] = {.lex_state = 126, .external_lex_state = 3},
  [6298] = {.lex_state = 126, .external_lex_state = 3},
  [6299] = {.lex_state = 126, .external_lex_state = 3},
  [6300] = {.lex_state = 126, .external_lex_state = 3},
  [6301] = {.lex_state = 123, .external_lex_state = 3},
  [6302] = {.lex_state = 420, .external_lex_state = 3},
  [6303] = {.lex_state = 420, .external_lex_state = 3},
  [6304] = {.lex_state = 126, .external_lex_state = 3},
  [6305] = {.lex_state = 126, .external_lex_state = 3},
  [6306] = {.lex_state = 126, .external_lex_state = 3},
  [6307] = {.lex_state = 126, .external_lex_state = 3},
  [6308] = {.lex_state = 123, .external_lex_state = 3},
  [6309] = {.lex_state = 121, .external_lex_state = 3},
  [6310] = {.lex_state = 125, .external_lex_state = 3},
  [6311] = {.lex_state = 128, .external_lex_state = 3},
  [6312] = {.lex_state = 126, .external_lex_state = 3},
  [6313] = {.lex_state = 124, .external_lex_state = 3},
  [6314] = {.lex_state = 420, .external_lex_state = 3},
  [6315] = {.lex_state = 124, .external_lex_state = 3},
  [6316] = {.lex_state = 126, .external_lex_state = 3},
  [6317] = {.lex_state = 119, .external_lex_state = 3},
  [6318] = {.lex_state = 121, .external_lex_state = 3},
  [6319] = {.lex_state = 128, .external_lex_state = 3},
  [6320] = {.lex_state = 119, .external_lex_state = 3},
  [6321] = {.lex_state = 129, .external_lex_state = 3},
  [6322] = {.lex_state = 127, .external_lex_state = 3},
  [6323] = {.lex_state = 126, .external_lex_state = 3},
  [6324] = {.lex_state = 124, .external_lex_state = 3},
  [6325] = {.lex_state = 125, .external_lex_state = 3},
  [6326] = {.lex_state = 124, .external_lex_state = 3},
  [6327] = {.lex_state = 125, .external_lex_state = 3},
  [6328] = {.lex_state = 124, .external_lex_state = 3},
  [6329] = {.lex_state = 124, .external_lex_state = 3},
  [6330] = {.lex_state = 124, .external_lex_state = 3},
  [6331] = {.lex_state = 125, .external_lex_state = 3},
  [6332] = {.lex_state = 124, .external_lex_state = 3},
  [6333] = {.lex_state = 124, .external_lex_state = 3},
  [6334] = {.lex_state = 124, .external_lex_state = 3},
  [6335] = {.lex_state = 124, .external_lex_state = 3},
  [6336] = {.lex_state = 125, .external_lex_state = 3},
  [6337] = {.lex_state = 124, .external_lex_state = 3},
  [6338] = {.lex_state = 124, .external_lex_state = 3},
  [6339] = {.lex_state = 124, .external_lex_state = 3},
  [6340] = {.lex_state = 124, .external_lex_state = 3},
  [6341] = {.lex_state = 124, .external_lex_state = 3},
  [6342] = {.lex_state = 124, .external_lex_state = 3},
  [6343] = {.lex_state = 124, .external_lex_state = 3},
  [6344] = {.lex_state = 125, .external_lex_state = 3},
  [6345] = {.lex_state = 125, .external_lex_state = 3},
  [6346] = {.lex_state = 125, .external_lex_state = 3},
  [6347] = {.lex_state = 124, .external_lex_state = 3},
  [6348] = {.lex_state = 126, .external_lex_state = 3},
  [6349] = {.lex_state = 124, .external_lex_state = 3},
  [6350] = {.lex_state = 124, .external_lex_state = 3},
  [6351] = {.lex_state = 124, .external_lex_state = 3},
  [6352] = {.lex_state = 124, .external_lex_state = 3},
  [6353] = {.lex_state = 125, .external_lex_state = 3},
  [6354] = {.lex_state = 124, .external_lex_state = 3},
  [6355] = {.lex_state = 125, .external_lex_state = 3},
  [6356] = {.lex_state = 124, .external_lex_state = 3},
  [6357] = {.lex_state = 124, .external_lex_state = 3},
  [6358] = {.lex_state = 124, .external_lex_state = 3},
  [6359] = {.lex_state = 121, .external_lex_state = 3},
  [6360] = {.lex_state = 124, .external_lex_state = 3},
  [6361] = {.lex_state = 124, .external_lex_state = 3},
  [6362] = {.lex_state = 124, .external_lex_state = 3},
  [6363] = {.lex_state = 124, .external_lex_state = 3},
  [6364] = {.lex_state = 125, .external_lex_state = 3},
  [6365] = {.lex_state = 124, .external_lex_state = 3},
  [6366] = {.lex_state = 124, .external_lex_state = 3},
  [6367] = {.lex_state = 125, .external_lex_state = 3},
  [6368] = {.lex_state = 126, .external_lex_state = 3},
  [6369] = {.lex_state = 121, .external_lex_state = 3},
  [6370] = {.lex_state = 121, .external_lex_state = 3},
  [6371] = {.lex_state = 124, .external_lex_state = 3},
  [6372] = {.lex_state = 124, .external_lex_state = 3},
  [6373] = {.lex_state = 124, .external_lex_state = 3},
  [6374] = {.lex_state = 124, .external_lex_state = 3},
  [6375] = {.lex_state = 125, .external_lex_state = 3},
  [6376] = {.lex_state = 121, .external_lex_state = 3},
  [6377] = {.lex_state = 118, .external_lex_state = 3},
  [6378] = {.lex_state = 127, .external_lex_state = 3},
  [6379] = {.lex_state = 124, .external_lex_state = 3},
  [6380] = {.lex_state = 125, .external_lex_state = 3},
  [6381] = {.lex_state = 125, .external_lex_state = 3},
  [6382] = {.lex_state = 127, .external_lex_state = 3},
  [6383] = {.lex_state = 124, .external_lex_state = 3},
  [6384] = {.lex_state = 118, .external_lex_state = 3},
  [6385] = {.lex_state = 118, .external_lex_state = 3},
  [6386] = {.lex_state = 118, .external_lex_state = 3},
  [6387] = {.lex_state = 121, .external_lex_state = 3},
  [6388] = {.lex_state = 122, .external_lex_state = 3},
  [6389] = {.lex_state = 118, .external_lex_state = 3},
  [6390] = {.lex_state = 124, .external_lex_state = 3},
  [6391] = {.lex_state = 118, .external_lex_state = 3},
  [6392] = {.lex_state = 118, .external_lex_state = 3},
  [6393] = {.lex_state = 125, .external_lex_state = 3},
  [6394] = {.lex_state = 118, .external_lex_state = 3},
  [6395] = {.lex_state = 118, .external_lex_state = 3},
  [6396] = {.lex_state = 123, .external_lex_state = 3},
  [6397] = {.lex_state = 121, .external_lex_state = 3},
  [6398] = {.lex_state = 7, .external_lex_state = 2},
  [6399] = {.lex_state = 118, .external_lex_state = 3},
  [6400] = {.lex_state = 128, .external_lex_state = 3},
  [6401] = {.lex_state = 121, .external_lex_state = 3},
  [6402] = {.lex_state = 118, .external_lex_state = 3},
  [6403] = {.lex_state = 121, .external_lex_state = 3},
  [6404] = {.lex_state = 118, .external_lex_state = 3},
  [6405] = {.lex_state = 121, .external_lex_state = 3},
  [6406] = {.lex_state = 125, .external_lex_state = 3},
  [6407] = {.lex_state = 123, .external_lex_state = 3},
  [6408] = {.lex_state = 122, .external_lex_state = 3},
  [6409] = {.lex_state = 122, .external_lex_state = 3},
  [6410] = {.lex_state = 126, .external_lex_state = 3},
  [6411] = {.lex_state = 121, .external_lex_state = 3},
  [6412] = {.lex_state = 126, .external_lex_state = 3},
  [6413] = {.lex_state = 121, .external_lex_state = 3},
  [6414] = {.lex_state = 127, .external_lex_state = 3},
  [6415] = {.lex_state = 121, .external_lex_state = 3},
  [6416] = {.lex_state = 126, .external_lex_state = 3},
  [6417] = {.lex_state = 129, .external_lex_state = 3},
  [6418] = {.lex_state = 122, .external_lex_state = 3},
  [6419] = {.lex_state = 122, .external_lex_state = 3},
  [6420] = {.lex_state = 122, .external_lex_state = 3},
  [6421] = {.lex_state = 128, .external_lex_state = 3},
  [6422] = {.lex_state = 126, .external_lex_state = 3},
  [6423] = {.lex_state = 122, .external_lex_state = 3},
  [6424] = {.lex_state = 121, .external_lex_state = 3},
  [6425] = {.lex_state = 121, .external_lex_state = 3},
  [6426] = {.lex_state = 121, .external_lex_state = 3},
  [6427] = {.lex_state = 122, .external_lex_state = 3},
  [6428] = {.lex_state = 122, .external_lex_state = 3},
  [6429] = {.lex_state = 125, .external_lex_state = 3},
  [6430] = {.lex_state = 122, .external_lex_state = 3},
  [6431] = {.lex_state = 126, .external_lex_state = 3},
  [6432] = {.lex_state = 130, .external_lex_state = 3},
  [6433] = {.lex_state = 7, .external_lex_state = 2},
  [6434] = {.lex_state = 122, .external_lex_state = 3},
  [6435] = {.lex_state = 122, .external_lex_state = 3},
  [6436] = {.lex_state = 126, .external_lex_state = 3},
  [6437] = {.lex_state = 122, .external_lex_state = 3},
  [6438] = {.lex_state = 126, .external_lex_state = 3},
  [6439] = {.lex_state = 124, .external_lex_state = 3},
  [6440] = {.lex_state = 126, .external_lex_state = 3},
  [6441] = {.lex_state = 122, .external_lex_state = 3},
  [6442] = {.lex_state = 124, .external_lex_state = 3},
  [6443] = {.lex_state = 124, .external_lex_state = 3},
  [6444] = {.lex_state = 124, .external_lex_state = 3},
  [6445] = {.lex_state = 121, .external_lex_state = 3},
  [6446] = {.lex_state = 124, .external_lex_state = 3},
  [6447] = {.lex_state = 126, .external_lex_state = 3},
  [6448] = {.lex_state = 124, .external_lex_state = 3},
  [6449] = {.lex_state = 122, .external_lex_state = 3},
  [6450] = {.lex_state = 126, .external_lex_state = 3},
  [6451] = {.lex_state = 7, .external_lex_state = 2},
  [6452] = {.lex_state = 126, .external_lex_state = 3},
  [6453] = {.lex_state = 126, .external_lex_state = 3},
  [6454] = {.lex_state = 121, .external_lex_state = 3},
  [6455] = {.lex_state = 420, .external_lex_state = 3},
  [6456] = {.lex_state = 126, .external_lex_state = 3},
  [6457] = {.lex_state = 118, .external_lex_state = 3},
  [6458] = {.lex_state = 7, .external_lex_state = 2},
  [6459] = {.lex_state = 118, .external_lex_state = 3},
  [6460] = {.lex_state = 126, .external_lex_state = 3},
  [6461] = {.lex_state = 121, .external_lex_state = 3},
  [6462] = {.lex_state = 118, .external_lex_state = 3},
  [6463] = {.lex_state = 124, .external_lex_state = 3},
  [6464] = {.lex_state = 124, .external_lex_state = 3},
  [6465] = {.lex_state = 125, .external_lex_state = 3},
  [6466] = {.lex_state = 121, .external_lex_state = 3},
  [6467] = {.lex_state = 126, .external_lex_state = 3},
  [6468] = {.lex_state = 124, .external_lex_state = 3},
  [6469] = {.lex_state = 126, .external_lex_state = 3},
  [6470] = {.lex_state = 118, .external_lex_state = 3},
  [6471] = {.lex_state = 124, .external_lex_state = 3},
  [6472] = {.lex_state = 118, .external_lex_state = 3},
  [6473] = {.lex_state = 122, .external_lex_state = 3},
  [6474] = {.lex_state = 119, .external_lex_state = 3},
  [6475] = {.lex_state = 124, .external_lex_state = 3},
  [6476] = {.lex_state = 124, .external_lex_state = 3},
  [6477] = {.lex_state = 124, .external_lex_state = 3},
  [6478] = {.lex_state = 121, .external_lex_state = 3},
  [6479] = {.lex_state = 124, .external_lex_state = 3},
  [6480] = {.lex_state = 126, .external_lex_state = 3},
  [6481] = {.lex_state = 124, .external_lex_state = 3},
  [6482] = {.lex_state = 125, .external_lex_state = 3},
  [6483] = {.lex_state = 121, .external_lex_state = 3},
  [6484] = {.lex_state = 128, .external_lex_state = 3},
  [6485] = {.lex_state = 124, .external_lex_state = 3},
  [6486] = {.lex_state = 124, .external_lex_state = 3},
  [6487] = {.lex_state = 124, .external_lex_state = 3},
  [6488] = {.lex_state = 7, .external_lex_state = 2},
  [6489] = {.lex_state = 128, .external_lex_state = 3},
  [6490] = {.lex_state = 128, .external_lex_state = 3},
  [6491] = {.lex_state = 124, .external_lex_state = 3},
  [6492] = {.lex_state = 128, .external_lex_state = 3},
  [6493] = {.lex_state = 124, .external_lex_state = 3},
  [6494] = {.lex_state = 124, .external_lex_state = 3},
  [6495] = {.lex_state = 124, .external_lex_state = 3},
  [6496] = {.lex_state = 124, .external_lex_state = 3},
  [6497] = {.lex_state = 126, .external_lex_state = 3},
  [6498] = {.lex_state = 121, .external_lex_state = 3},
  [6499] = {.lex_state = 121, .external_lex_state = 3},
  [6500] = {.lex_state = 121, .external_lex_state = 3},
  [6501] = {.lex_state = 121, .external_lex_state = 3},
  [6502] = {.lex_state = 128, .external_lex_state = 3},
  [6503] = {.lex_state = 121, .external_lex_state = 3},
  [6504] = {.lex_state = 121, .external_lex_state = 3},
  [6505] = {.lex_state = 128, .external_lex_state = 3},
  [6506] = {.lex_state = 128, .external_lex_state = 3},
  [6507] = {.lex_state = 121, .external_lex_state = 3},
  [6508] = {.lex_state = 127, .external_lex_state = 3},
  [6509] = {.lex_state = 124, .external_lex_state = 3},
  [6510] = {.lex_state = 121, .external_lex_state = 3},
  [6511] = {.lex_state = 124, .external_lex_state = 3},
  [6512] = {.lex_state = 124, .external_lex_state = 3},
  [6513] = {.lex_state = 121, .external_lex_state = 3},
  [6514] = {.lex_state = 121, .external_lex_state = 3},
  [6515] = {.lex_state = 124, .external_lex_state = 3},
  [6516] = {.lex_state = 121, .external_lex_state = 3},
  [6517] = {.lex_state = 119, .external_lex_state = 3},
  [6518] = {.lex_state = 121, .external_lex_state = 3},
  [6519] = {.lex_state = 121, .external_lex_state = 3},
  [6520] = {.lex_state = 118, .external_lex_state = 3},
  [6521] = {.lex_state = 125, .external_lex_state = 3},
  [6522] = {.lex_state = 121, .external_lex_state = 3},
  [6523] = {.lex_state = 118, .external_lex_state = 3},
  [6524] = {.lex_state = 121, .external_lex_state = 3},
  [6525] = {.lex_state = 118, .external_lex_state = 3},
  [6526] = {.lex_state = 118, .external_lex_state = 3},
  [6527] = {.lex_state = 125, .external_lex_state = 3},
  [6528] = {.lex_state = 124, .external_lex_state = 3},
  [6529] = {.lex_state = 119, .external_lex_state = 3},
  [6530] = {.lex_state = 118, .external_lex_state = 3},
  [6531] = {.lex_state = 118, .external_lex_state = 3},
  [6532] = {.lex_state = 129, .external_lex_state = 3},
  [6533] = {.lex_state = 119, .external_lex_state = 3},
  [6534] = {.lex_state = 122, .external_lex_state = 3},
  [6535] = {.lex_state = 121, .external_lex_state = 3},
  [6536] = {.lex_state = 121, .external_lex_state = 3},
  [6537] = {.lex_state = 127, .external_lex_state = 3},
  [6538] = {.lex_state = 121, .external_lex_state = 3},
  [6539] = {.lex_state = 125, .external_lex_state = 3},
  [6540] = {.lex_state = 121, .external_lex_state = 3},
  [6541] = {.lex_state = 125, .external_lex_state = 3},
  [6542] = {.lex_state = 127, .external_lex_state = 3},
  [6543] = {.lex_state = 121, .external_lex_state = 3},
  [6544] = {.lex_state = 126, .external_lex_state = 3},
  [6545] = {.lex_state = 121, .external_lex_state = 3},
  [6546] = {.lex_state = 125, .external_lex_state = 3},
  [6547] = {.lex_state = 121, .external_lex_state = 3},
  [6548] = {.lex_state = 118, .external_lex_state = 3},
  [6549] = {.lex_state = 124, .external_lex_state = 3},
  [6550] = {.lex_state = 121, .external_lex_state = 3},
  [6551] = {.lex_state = 118, .external_lex_state = 3},
  [6552] = {.lex_state = 121, .external_lex_state = 3},
  [6553] = {.lex_state = 118, .external_lex_state = 3},
  [6554] = {.lex_state = 122, .external_lex_state = 3},
  [6555] = {.lex_state = 118, .external_lex_state = 3},
  [6556] = {.lex_state = 125, .external_lex_state = 3},
  [6557] = {.lex_state = 122, .external_lex_state = 3},
  [6558] = {.lex_state = 7, .external_lex_state = 2},
  [6559] = {.lex_state = 7, .external_lex_state = 2},
  [6560] = {.lex_state = 118, .external_lex_state = 3},
  [6561] = {.lex_state = 121, .external_lex_state = 3},
  [6562] = {.lex_state = 87, .external_lex_state = 3},
  [6563] = {.lex_state = 7, .external_lex_state = 2},
  [6564] = {.lex_state = 122, .external_lex_state = 3},
  [6565] = {.lex_state = 121, .external_lex_state = 3},
  [6566] = {.lex_state = 121, .external_lex_state = 3},
  [6567] = {.lex_state = 420, .external_lex_state = 3},
  [6568] = {.lex_state = 126, .external_lex_state = 3},
  [6569] = {.lex_state = 121, .external_lex_state = 3},
  [6570] = {.lex_state = 121, .external_lex_state = 3},
  [6571] = {.lex_state = 119, .external_lex_state = 3},
  [6572] = {.lex_state = 121, .external_lex_state = 3},
  [6573] = {.lex_state = 119, .external_lex_state = 3},
  [6574] = {.lex_state = 121, .external_lex_state = 3},
  [6575] = {.lex_state = 125, .external_lex_state = 3},
  [6576] = {.lex_state = 121, .external_lex_state = 3},
  [6577] = {.lex_state = 129, .external_lex_state = 3},
  [6578] = {.lex_state = 124, .external_lex_state = 3},
  [6579] = {.lex_state = 122, .external_lex_state = 3},
  [6580] = {.lex_state = 122, .external_lex_state = 3},
  [6581] = {.lex_state = 122, .external_lex_state = 3},
  [6582] = {.lex_state = 122, .external_lex_state = 3},
  [6583] = {.lex_state = 122, .external_lex_state = 3},
  [6584] = {.lex_state = 122, .external_lex_state = 3},
  [6585] = {.lex_state = 122, .external_lex_state = 3},
  [6586] = {.lex_state = 125, .external_lex_state = 3},
  [6587] = {.lex_state = 122, .external_lex_state = 3},
  [6588] = {.lex_state = 122, .external_lex_state = 3},
  [6589] = {.lex_state = 122, .external_lex_state = 3},
  [6590] = {.lex_state = 122, .external_lex_state = 3},
  [6591] = {.lex_state = 122, .external_lex_state = 3},
  [6592] = {.lex_state = 122, .external_lex_state = 3},
  [6593] = {.lex_state = 129, .external_lex_state = 3},
  [6594] = {.lex_state = 122, .external_lex_state = 3},
  [6595] = {.lex_state = 122, .external_lex_state = 3},
  [6596] = {.lex_state = 122, .external_lex_state = 3},
  [6597] = {.lex_state = 122, .external_lex_state = 3},
  [6598] = {.lex_state = 122, .external_lex_state = 3},
  [6599] = {.lex_state = 122, .external_lex_state = 3},
  [6600] = {.lex_state = 122, .external_lex_state = 3},
  [6601] = {.lex_state = 122, .external_lex_state = 3},
  [6602] = {.lex_state = 122, .external_lex_state = 3},
  [6603] = {.lex_state = 122, .external_lex_state = 3},
  [6604] = {.lex_state = 122, .external_lex_state = 3},
  [6605] = {.lex_state = 122, .external_lex_state = 3},
  [6606] = {.lex_state = 122, .external_lex_state = 3},
  [6607] = {.lex_state = 122, .external_lex_state = 3},
  [6608] = {.lex_state = 122, .external_lex_state = 3},
  [6609] = {.lex_state = 122, .external_lex_state = 3},
  [6610] = {.lex_state = 122, .external_lex_state = 3},
  [6611] = {.lex_state = 122, .external_lex_state = 3},
  [6612] = {.lex_state = 129, .external_lex_state = 3},
  [6613] = {.lex_state = 121, .external_lex_state = 3},
  [6614] = {.lex_state = 126, .external_lex_state = 3},
  [6615] = {.lex_state = 122, .external_lex_state = 3},
  [6616] = {.lex_state = 125, .external_lex_state = 3},
  [6617] = {.lex_state = 122, .external_lex_state = 3},
  [6618] = {.lex_state = 122, .external_lex_state = 3},
  [6619] = {.lex_state = 122, .external_lex_state = 3},
  [6620] = {.lex_state = 121, .external_lex_state = 3},
  [6621] = {.lex_state = 420, .external_lex_state = 3},
  [6622] = {.lex_state = 121, .external_lex_state = 3},
  [6623] = {.lex_state = 125, .external_lex_state = 3},
  [6624] = {.lex_state = 122, .external_lex_state = 3},
  [6625] = {.lex_state = 125, .external_lex_state = 3},
  [6626] = {.lex_state = 125, .external_lex_state = 3},
  [6627] = {.lex_state = 127, .external_lex_state = 3},
  [6628] = {.lex_state = 118, .external_lex_state = 3},
  [6629] = {.lex_state = 122, .external_lex_state = 3},
  [6630] = {.lex_state = 124, .external_lex_state = 3},
  [6631] = {.lex_state = 121, .external_lex_state = 3},
  [6632] = {.lex_state = 420, .external_lex_state = 3},
  [6633] = {.lex_state = 119, .external_lex_state = 3},
  [6634] = {.lex_state = 129, .external_lex_state = 3},
  [6635] = {.lex_state = 129, .external_lex_state = 3},
  [6636] = {.lex_state = 130, .external_lex_state = 3},
  [6637] = {.lex_state = 118, .external_lex_state = 3},
  [6638] = {.lex_state = 420, .external_lex_state = 3},
  [6639] = {.lex_state = 121, .external_lex_state = 3},
  [6640] = {.lex_state = 121, .external_lex_state = 3},
  [6641] = {.lex_state = 122, .external_lex_state = 3},
  [6642] = {.lex_state = 122, .external_lex_state = 3},
  [6643] = {.lex_state = 123, .external_lex_state = 3},
  [6644] = {.lex_state = 129, .external_lex_state = 3},
  [6645] = {.lex_state = 124, .external_lex_state = 3},
  [6646] = {.lex_state = 420, .external_lex_state = 3},
  [6647] = {.lex_state = 122, .external_lex_state = 3},
  [6648] = {.lex_state = 122, .external_lex_state = 3},
  [6649] = {.lex_state = 129, .external_lex_state = 3},
  [6650] = {.lex_state = 30, .external_lex_state = 3},
  [6651] = {.lex_state = 128, .external_lex_state = 3},
  [6652] = {.lex_state = 127, .external_lex_state = 3},
  [6653] = {.lex_state = 127, .external_lex_state = 3},
  [6654] = {.lex_state = 420, .external_lex_state = 3},
  [6655] = {.lex_state = 123, .external_lex_state = 3},
  [6656] = {.lex_state = 119, .external_lex_state = 3},
  [6657] = {.lex_state = 420, .external_lex_state = 3},
  [6658] = {.lex_state = 420, .external_lex_state = 3},
  [6659] = {.lex_state = 131, .external_lex_state = 3},
  [6660] = {.lex_state = 128, .external_lex_state = 3},
  [6661] = {.lex_state = 420, .external_lex_state = 3},
  [6662] = {.lex_state = 119, .external_lex_state = 3},
  [6663] = {.lex_state = 129, .external_lex_state = 3},
  [6664] = {.lex_state = 129, .external_lex_state = 3},
  [6665] = {.lex_state = 123, .external_lex_state = 3},
  [6666] = {.lex_state = 123, .external_lex_state = 3},
  [6667] = {.lex_state = 420, .external_lex_state = 3},
  [6668] = {.lex_state = 119, .external_lex_state = 3},
  [6669] = {.lex_state = 30, .external_lex_state = 3},
  [6670] = {.lex_state = 420, .external_lex_state = 3},
  [6671] = {.lex_state = 129, .external_lex_state = 3},
  [6672] = {.lex_state = 129, .external_lex_state = 3},
  [6673] = {.lex_state = 129, .external_lex_state = 3},
  [6674] = {.lex_state = 123, .external_lex_state = 3},
  [6675] = {.lex_state = 123, .external_lex_state = 3},
  [6676] = {.lex_state = 127, .external_lex_state = 3},
  [6677] = {.lex_state = 129, .external_lex_state = 3},
  [6678] = {.lex_state = 420, .external_lex_state = 3},
  [6679] = {.lex_state = 127, .external_lex_state = 3},
  [6680] = {.lex_state = 129, .external_lex_state = 3},
  [6681] = {.lex_state = 128, .external_lex_state = 3},
  [6682] = {.lex_state = 119, .external_lex_state = 3},
  [6683] = {.lex_state = 123, .external_lex_state = 3},
  [6684] = {.lex_state = 420, .external_lex_state = 3},
  [6685] = {.lex_state = 123, .external_lex_state = 3},
  [6686] = {.lex_state = 129, .external_lex_state = 3},
  [6687] = {.lex_state = 420, .external_lex_state = 3},
  [6688] = {.lex_state = 123, .external_lex_state = 3},
  [6689] = {.lex_state = 129, .external_lex_state = 3},
  [6690] = {.lex_state = 123, .external_lex_state = 3},
  [6691] = {.lex_state = 420, .external_lex_state = 3},
  [6692] = {.lex_state = 127, .external_lex_state = 3},
  [6693] = {.lex_state = 30, .external_lex_state = 3},
  [6694] = {.lex_state = 30, .external_lex_state = 3},
  [6695] = {.lex_state = 123, .external_lex_state = 3},
  [6696] = {.lex_state = 129, .external_lex_state = 3},
  [6697] = {.lex_state = 7, .external_lex_state = 2},
  [6698] = {.lex_state = 123, .external_lex_state = 3},
  [6699] = {.lex_state = 129, .external_lex_state = 3},
  [6700] = {.lex_state = 123, .external_lex_state = 3},
  [6701] = {.lex_state = 30, .external_lex_state = 3},
  [6702] = {.lex_state = 129, .external_lex_state = 3},
  [6703] = {.lex_state = 119, .external_lex_state = 3},
  [6704] = {.lex_state = 30, .external_lex_state = 3},
  [6705] = {.lex_state = 127, .external_lex_state = 3},
  [6706] = {.lex_state = 128, .external_lex_state = 3},
  [6707] = {.lex_state = 128, .external_lex_state = 3},
  [6708] = {.lex_state = 123, .external_lex_state = 3},
  [6709] = {.lex_state = 30, .external_lex_state = 3},
  [6710] = {.lex_state = 128, .external_lex_state = 3},
  [6711] = {.lex_state = 128, .external_lex_state = 3},
  [6712] = {.lex_state = 30, .external_lex_state = 3},
  [6713] = {.lex_state = 128, .external_lex_state = 3},
  [6714] = {.lex_state = 128, .external_lex_state = 3},
  [6715] = {.lex_state = 128, .external_lex_state = 3},
  [6716] = {.lex_state = 119, .external_lex_state = 3},
  [6717] = {.lex_state = 129, .external_lex_state = 3},
  [6718] = {.lex_state = 420, .external_lex_state = 3},
  [6719] = {.lex_state = 129, .external_lex_state = 3},
  [6720] = {.lex_state = 420, .external_lex_state = 3},
  [6721] = {.lex_state = 420, .external_lex_state = 3},
  [6722] = {.lex_state = 420, .external_lex_state = 3},
  [6723] = {.lex_state = 129, .external_lex_state = 3},
  [6724] = {.lex_state = 420, .external_lex_state = 3},
  [6725] = {.lex_state = 123, .external_lex_state = 3},
  [6726] = {.lex_state = 129, .external_lex_state = 3},
  [6727] = {.lex_state = 129, .external_lex_state = 3},
  [6728] = {.lex_state = 127, .external_lex_state = 3},
  [6729] = {.lex_state = 127, .external_lex_state = 3},
  [6730] = {.lex_state = 129, .external_lex_state = 3},
  [6731] = {.lex_state = 127, .external_lex_state = 3},
  [6732] = {.lex_state = 30, .external_lex_state = 3},
  [6733] = {.lex_state = 129, .external_lex_state = 3},
  [6734] = {.lex_state = 123, .external_lex_state = 3},
  [6735] = {.lex_state = 127, .external_lex_state = 3},
  [6736] = {.lex_state = 30, .external_lex_state = 3},
  [6737] = {.lex_state = 420, .external_lex_state = 3},
  [6738] = {.lex_state = 129, .external_lex_state = 3},
  [6739] = {.lex_state = 127, .external_lex_state = 3},
  [6740] = {.lex_state = 420, .external_lex_state = 3},
  [6741] = {.lex_state = 131, .external_lex_state = 3},
  [6742] = {.lex_state = 123, .external_lex_state = 3},
  [6743] = {.lex_state = 123, .external_lex_state = 3},
  [6744] = {.lex_state = 123, .external_lex_state = 3},
  [6745] = {.lex_state = 128, .external_lex_state = 3},
  [6746] = {.lex_state = 128, .external_lex_state = 3},
  [6747] = {.lex_state = 30, .external_lex_state = 3},
  [6748] = {.lex_state = 128, .external_lex_state = 3},
  [6749] = {.lex_state = 128, .external_lex_state = 3},
  [6750] = {.lex_state = 128, .external_lex_state = 3},
  [6751] = {.lex_state = 129, .external_lex_state = 3},
  [6752] = {.lex_state = 128, .external_lex_state = 3},
  [6753] = {.lex_state = 30, .external_lex_state = 3},
  [6754] = {.lex_state = 128, .external_lex_state = 3},
  [6755] = {.lex_state = 420, .external_lex_state = 3},
  [6756] = {.lex_state = 30, .external_lex_state = 3},
  [6757] = {.lex_state = 129, .external_lex_state = 3},
  [6758] = {.lex_state = 30, .external_lex_state = 3},
  [6759] = {.lex_state = 119, .external_lex_state = 3},
  [6760] = {.lex_state = 420, .external_lex_state = 3},
  [6761] = {.lex_state = 128, .external_lex_state = 3},
  [6762] = {.lex_state = 420, .external_lex_state = 3},
  [6763] = {.lex_state = 123, .external_lex_state = 3},
  [6764] = {.lex_state = 123, .external_lex_state = 3},
  [6765] = {.lex_state = 123, .external_lex_state = 3},
  [6766] = {.lex_state = 119, .external_lex_state = 3},
  [6767] = {.lex_state = 129, .external_lex_state = 3},
  [6768] = {.lex_state = 128, .external_lex_state = 3},
  [6769] = {.lex_state = 128, .external_lex_state = 3},
  [6770] = {.lex_state = 119, .external_lex_state = 3},
  [6771] = {.lex_state = 123, .external_lex_state = 3},
  [6772] = {.lex_state = 127, .external_lex_state = 3},
  [6773] = {.lex_state = 123, .external_lex_state = 3},
  [6774] = {.lex_state = 129, .external_lex_state = 3},
  [6775] = {.lex_state = 123, .external_lex_state = 3},
  [6776] = {.lex_state = 123, .external_lex_state = 3},
  [6777] = {.lex_state = 129, .external_lex_state = 3},
  [6778] = {.lex_state = 128, .external_lex_state = 3},
  [6779] = {.lex_state = 420, .external_lex_state = 3},
  [6780] = {.lex_state = 128, .external_lex_state = 3},
  [6781] = {.lex_state = 127, .external_lex_state = 3},
  [6782] = {.lex_state = 420, .external_lex_state = 3},
  [6783] = {.lex_state = 420, .external_lex_state = 3},
  [6784] = {.lex_state = 420, .external_lex_state = 3},
  [6785] = {.lex_state = 128, .external_lex_state = 3},
  [6786] = {.lex_state = 420, .external_lex_state = 3},
  [6787] = {.lex_state = 128, .external_lex_state = 3},
  [6788] = {.lex_state = 129, .external_lex_state = 3},
  [6789] = {.lex_state = 123, .external_lex_state = 3},
  [6790] = {.lex_state = 7, .external_lex_state = 2},
  [6791] = {.lex_state = 127, .external_lex_state = 3},
  [6792] = {.lex_state = 26, .external_lex_state = 3},
  [6793] = {.lex_state = 128, .external_lex_state = 3},
  [6794] = {.lex_state = 128, .external_lex_state = 3},
  [6795] = {.lex_state = 127, .external_lex_state = 3},
  [6796] = {.lex_state = 128, .external_lex_state = 3},
  [6797] = {.lex_state = 128, .external_lex_state = 3},
  [6798] = {.lex_state = 123, .external_lex_state = 3},
  [6799] = {.lex_state = 123, .external_lex_state = 3},
  [6800] = {.lex_state = 123, .external_lex_state = 3},
  [6801] = {.lex_state = 119, .external_lex_state = 3},
  [6802] = {.lex_state = 123, .external_lex_state = 3},
  [6803] = {.lex_state = 420, .external_lex_state = 3},
  [6804] = {.lex_state = 420, .external_lex_state = 3},
  [6805] = {.lex_state = 127, .external_lex_state = 3},
  [6806] = {.lex_state = 127, .external_lex_state = 3},
  [6807] = {.lex_state = 123, .external_lex_state = 3},
  [6808] = {.lex_state = 127, .external_lex_state = 3},
  [6809] = {.lex_state = 119, .external_lex_state = 3},
  [6810] = {.lex_state = 420, .external_lex_state = 3},
  [6811] = {.lex_state = 127, .external_lex_state = 3},
  [6812] = {.lex_state = 420, .external_lex_state = 3},
  [6813] = {.lex_state = 128, .external_lex_state = 3},
  [6814] = {.lex_state = 119, .external_lex_state = 3},
  [6815] = {.lex_state = 420, .external_lex_state = 3},
  [6816] = {.lex_state = 129, .external_lex_state = 3},
  [6817] = {.lex_state = 420, .external_lex_state = 3},
  [6818] = {.lex_state = 123, .external_lex_state = 3},
  [6819] = {.lex_state = 127, .external_lex_state = 3},
  [6820] = {.lex_state = 123, .external_lex_state = 3},
  [6821] = {.lex_state = 420, .external_lex_state = 3},
  [6822] = {.lex_state = 129, .external_lex_state = 3},
  [6823] = {.lex_state = 128, .external_lex_state = 3},
  [6824] = {.lex_state = 123, .external_lex_state = 3},
  [6825] = {.lex_state = 129, .external_lex_state = 3},
  [6826] = {.lex_state = 119, .external_lex_state = 3},
  [6827] = {.lex_state = 127, .external_lex_state = 3},
  [6828] = {.lex_state = 127, .external_lex_state = 3},
  [6829] = {.lex_state = 420, .external_lex_state = 3},
  [6830] = {.lex_state = 420, .external_lex_state = 3},
  [6831] = {.lex_state = 123, .external_lex_state = 3},
  [6832] = {.lex_state = 420, .external_lex_state = 3},
  [6833] = {.lex_state = 123, .external_lex_state = 3},
  [6834] = {.lex_state = 123, .external_lex_state = 3},
  [6835] = {.lex_state = 119, .external_lex_state = 3},
  [6836] = {.lex_state = 129, .external_lex_state = 3},
  [6837] = {.lex_state = 123, .external_lex_state = 3},
  [6838] = {.lex_state = 129, .external_lex_state = 3},
  [6839] = {.lex_state = 123, .external_lex_state = 3},
  [6840] = {.lex_state = 123, .external_lex_state = 3},
  [6841] = {.lex_state = 420, .external_lex_state = 3},
  [6842] = {.lex_state = 128, .external_lex_state = 3},
  [6843] = {.lex_state = 420, .external_lex_state = 3},
  [6844] = {.lex_state = 420, .external_lex_state = 3},
  [6845] = {.lex_state = 128, .external_lex_state = 3},
  [6846] = {.lex_state = 128, .external_lex_state = 3},
  [6847] = {.lex_state = 128, .external_lex_state = 3},
  [6848] = {.lex_state = 123, .external_lex_state = 3},
  [6849] = {.lex_state = 129, .external_lex_state = 3},
  [6850] = {.lex_state = 128, .external_lex_state = 3},
  [6851] = {.lex_state = 420, .external_lex_state = 3},
  [6852] = {.lex_state = 128, .external_lex_state = 3},
  [6853] = {.lex_state = 128, .external_lex_state = 3},
  [6854] = {.lex_state = 123, .external_lex_state = 3},
  [6855] = {.lex_state = 420, .external_lex_state = 3},
  [6856] = {.lex_state = 128, .external_lex_state = 3},
  [6857] = {.lex_state = 119, .external_lex_state = 3},
  [6858] = {.lex_state = 123, .external_lex_state = 3},
  [6859] = {.lex_state = 128, .external_lex_state = 3},
  [6860] = {.lex_state = 128, .external_lex_state = 3},
  [6861] = {.lex_state = 7, .external_lex_state = 2},
  [6862] = {.lex_state = 123, .external_lex_state = 3},
  [6863] = {.lex_state = 127, .external_lex_state = 3},
  [6864] = {.lex_state = 128, .external_lex_state = 3},
  [6865] = {.lex_state = 123, .external_lex_state = 3},
  [6866] = {.lex_state = 420, .external_lex_state = 3},
  [6867] = {.lex_state = 127, .external_lex_state = 3},
  [6868] = {.lex_state = 420, .external_lex_state = 3},
  [6869] = {.lex_state = 127, .external_lex_state = 3},
  [6870] = {.lex_state = 420, .external_lex_state = 3},
  [6871] = {.lex_state = 128, .external_lex_state = 3},
  [6872] = {.lex_state = 128, .external_lex_state = 3},
  [6873] = {.lex_state = 420, .external_lex_state = 3},
  [6874] = {.lex_state = 128, .external_lex_state = 3},
  [6875] = {.lex_state = 128, .external_lex_state = 3},
  [6876] = {.lex_state = 128, .external_lex_state = 3},
  [6877] = {.lex_state = 128, .external_lex_state = 3},
  [6878] = {.lex_state = 128, .external_lex_state = 3},
  [6879] = {.lex_state = 128, .external_lex_state = 3},
  [6880] = {.lex_state = 119, .external_lex_state = 3},
  [6881] = {.lex_state = 420, .external_lex_state = 3},
  [6882] = {.lex_state = 123, .external_lex_state = 3},
  [6883] = {.lex_state = 30, .external_lex_state = 3},
  [6884] = {.lex_state = 119, .external_lex_state = 3},
  [6885] = {.lex_state = 123, .external_lex_state = 3},
  [6886] = {.lex_state = 420, .external_lex_state = 3},
  [6887] = {.lex_state = 128, .external_lex_state = 3},
  [6888] = {.lex_state = 119, .external_lex_state = 3},
  [6889] = {.lex_state = 420, .external_lex_state = 3},
  [6890] = {.lex_state = 129, .external_lex_state = 3},
  [6891] = {.lex_state = 420, .external_lex_state = 3},
  [6892] = {.lex_state = 24, .external_lex_state = 3},
  [6893] = {.lex_state = 128, .external_lex_state = 3},
  [6894] = {.lex_state = 30, .external_lex_state = 3},
  [6895] = {.lex_state = 128, .external_lex_state = 3},
  [6896] = {.lex_state = 420, .external_lex_state = 3},
  [6897] = {.lex_state = 11, .external_lex_state = 2},
  [6898] = {.lex_state = 420, .external_lex_state = 3},
  [6899] = {.lex_state = 30, .external_lex_state = 3},
  [6900] = {.lex_state = 123, .external_lex_state = 3},
  [6901] = {.lex_state = 128, .external_lex_state = 3},
  [6902] = {.lex_state = 123, .external_lex_state = 3},
  [6903] = {.lex_state = 128, .external_lex_state = 3},
  [6904] = {.lex_state = 127, .external_lex_state = 3},
  [6905] = {.lex_state = 119, .external_lex_state = 3},
  [6906] = {.lex_state = 420, .external_lex_state = 3},
  [6907] = {.lex_state = 128, .external_lex_state = 3},
  [6908] = {.lex_state = 119, .external_lex_state = 3},
  [6909] = {.lex_state = 30, .external_lex_state = 3},
  [6910] = {.lex_state = 119, .external_lex_state = 3},
  [6911] = {.lex_state = 30, .external_lex_state = 3},
  [6912] = {.lex_state = 420, .external_lex_state = 3},
  [6913] = {.lex_state = 30, .external_lex_state = 3},
  [6914] = {.lex_state = 127, .external_lex_state = 3},
  [6915] = {.lex_state = 30, .external_lex_state = 3},
  [6916] = {.lex_state = 11, .external_lex_state = 2},
  [6917] = {.lex_state = 123, .external_lex_state = 3},
  [6918] = {.lex_state = 30, .external_lex_state = 3},
  [6919] = {.lex_state = 119, .external_lex_state = 3},
  [6920] = {.lex_state = 420, .external_lex_state = 3},
  [6921] = {.lex_state = 129, .external_lex_state = 3},
  [6922] = {.lex_state = 129, .external_lex_state = 3},
  [6923] = {.lex_state = 119, .external_lex_state = 3},
  [6924] = {.lex_state = 30, .external_lex_state = 3},
  [6925] = {.lex_state = 123, .external_lex_state = 3},
  [6926] = {.lex_state = 30, .external_lex_state = 3},
  [6927] = {.lex_state = 30, .external_lex_state = 3},
  [6928] = {.lex_state = 123, .external_lex_state = 3},
  [6929] = {.lex_state = 30, .external_lex_state = 3},
  [6930] = {.lex_state = 30, .external_lex_state = 3},
  [6931] = {.lex_state = 30, .external_lex_state = 3},
  [6932] = {.lex_state = 119, .external_lex_state = 3},
  [6933] = {.lex_state = 123, .external_lex_state = 3},
  [6934] = {.lex_state = 420, .external_lex_state = 3},
  [6935] = {.lex_state = 127, .external_lex_state = 3},
  [6936] = {.lex_state = 129, .external_lex_state = 3},
  [6937] = {.lex_state = 30, .external_lex_state = 3},
  [6938] = {.lex_state = 30, .external_lex_state = 3},
  [6939] = {.lex_state = 30, .external_lex_state = 3},
  [6940] = {.lex_state = 119, .external_lex_state = 3},
  [6941] = {.lex_state = 30, .external_lex_state = 3},
  [6942] = {.lex_state = 128, .external_lex_state = 3},
  [6943] = {.lex_state = 420, .external_lex_state = 3},
  [6944] = {.lex_state = 30, .external_lex_state = 3},
  [6945] = {.lex_state = 119, .external_lex_state = 3},
  [6946] = {.lex_state = 30, .external_lex_state = 3},
  [6947] = {.lex_state = 119, .external_lex_state = 3},
  [6948] = {.lex_state = 30, .external_lex_state = 3},
  [6949] = {.lex_state = 30, .external_lex_state = 3},
  [6950] = {.lex_state = 128, .external_lex_state = 3},
  [6951] = {.lex_state = 30, .external_lex_state = 3},
  [6952] = {.lex_state = 30, .external_lex_state = 3},
  [6953] = {.lex_state = 30, .external_lex_state = 3},
  [6954] = {.lex_state = 30, .external_lex_state = 3},
  [6955] = {.lex_state = 128, .external_lex_state = 3},
  [6956] = {.lex_state = 30, .external_lex_state = 3},
  [6957] = {.lex_state = 11, .external_lex_state = 2},
  [6958] = {.lex_state = 30, .external_lex_state = 3},
  [6959] = {.lex_state = 30, .external_lex_state = 3},
  [6960] = {.lex_state = 30, .external_lex_state = 3},
  [6961] = {.lex_state = 30, .external_lex_state = 3},
  [6962] = {.lex_state = 30, .external_lex_state = 3},
  [6963] = {.lex_state = 30, .external_lex_state = 3},
  [6964] = {.lex_state = 30, .external_lex_state = 3},
  [6965] = {.lex_state = 119, .external_lex_state = 3},
  [6966] = {.lex_state = 30, .external_lex_state = 3},
  [6967] = {.lex_state = 30, .external_lex_state = 3},
  [6968] = {.lex_state = 30, .external_lex_state = 3},
  [6969] = {.lex_state = 30, .external_lex_state = 3},
  [6970] = {.lex_state = 30, .external_lex_state = 3},
  [6971] = {.lex_state = 128, .external_lex_state = 3},
  [6972] = {.lex_state = 129, .external_lex_state = 3},
  [6973] = {.lex_state = 30, .external_lex_state = 3},
  [6974] = {.lex_state = 30, .external_lex_state = 3},
  [6975] = {.lex_state = 30, .external_lex_state = 3},
  [6976] = {.lex_state = 420, .external_lex_state = 3},
  [6977] = {.lex_state = 30, .external_lex_state = 3},
  [6978] = {.lex_state = 128, .external_lex_state = 3},
  [6979] = {.lex_state = 123, .external_lex_state = 3},
  [6980] = {.lex_state = 129, .external_lex_state = 3},
  [6981] = {.lex_state = 420, .external_lex_state = 3},
  [6982] = {.lex_state = 128, .external_lex_state = 3},
  [6983] = {.lex_state = 128, .external_lex_state = 3},
  [6984] = {.lex_state = 119, .external_lex_state = 3},
  [6985] = {.lex_state = 420, .external_lex_state = 3},
  [6986] = {.lex_state = 420, .external_lex_state = 3},
  [6987] = {.lex_state = 129, .external_lex_state = 3},
  [6988] = {.lex_state = 119, .external_lex_state = 3},
  [6989] = {.lex_state = 30, .external_lex_state = 3},
  [6990] = {.lex_state = 127, .external_lex_state = 3},
  [6991] = {.lex_state = 420, .external_lex_state = 3},
  [6992] = {.lex_state = 420, .external_lex_state = 3},
  [6993] = {.lex_state = 420, .external_lex_state = 3},
  [6994] = {.lex_state = 30, .external_lex_state = 3},
  [6995] = {.lex_state = 420, .external_lex_state = 3},
  [6996] = {.lex_state = 420, .external_lex_state = 3},
  [6997] = {.lex_state = 127, .external_lex_state = 3},
  [6998] = {.lex_state = 420, .external_lex_state = 3},
  [6999] = {.lex_state = 129, .external_lex_state = 3},
  [7000] = {.lex_state = 30, .external_lex_state = 3},
  [7001] = {.lex_state = 119, .external_lex_state = 3},
  [7002] = {.lex_state = 11, .external_lex_state = 2},
  [7003] = {.lex_state = 7, .external_lex_state = 2},
  [7004] = {.lex_state = 420, .external_lex_state = 3},
  [7005] = {.lex_state = 420, .external_lex_state = 3},
  [7006] = {.lex_state = 420, .external_lex_state = 3},
  [7007] = {.lex_state = 129, .external_lex_state = 3},
  [7008] = {.lex_state = 127, .external_lex_state = 3},
  [7009] = {.lex_state = 420, .external_lex_state = 3},
  [7010] = {.lex_state = 420, .external_lex_state = 3},
  [7011] = {.lex_state = 420, .external_lex_state = 3},
  [7012] = {.lex_state = 127, .external_lex_state = 3},
  [7013] = {.lex_state = 420, .external_lex_state = 3},
  [7014] = {.lex_state = 129, .external_lex_state = 3},
  [7015] = {.lex_state = 420, .external_lex_state = 3},
  [7016] = {.lex_state = 119, .external_lex_state = 3},
  [7017] = {.lex_state = 420, .external_lex_state = 3},
  [7018] = {.lex_state = 420, .external_lex_state = 3},
  [7019] = {.lex_state = 420, .external_lex_state = 3},
  [7020] = {.lex_state = 119, .external_lex_state = 3},
  [7021] = {.lex_state = 30, .external_lex_state = 3},
  [7022] = {.lex_state = 420, .external_lex_state = 3},
  [7023] = {.lex_state = 30, .external_lex_state = 3},
  [7024] = {.lex_state = 119, .external_lex_state = 3},
  [7025] = {.lex_state = 420, .external_lex_state = 3},
  [7026] = {.lex_state = 420, .external_lex_state = 3},
  [7027] = {.lex_state = 420, .external_lex_state = 3},
  [7028] = {.lex_state = 420, .external_lex_state = 3},
  [7029] = {.lex_state = 127, .external_lex_state = 3},
  [7030] = {.lex_state = 420, .external_lex_state = 3},
  [7031] = {.lex_state = 127, .external_lex_state = 3},
  [7032] = {.lex_state = 420, .external_lex_state = 3},
  [7033] = {.lex_state = 420, .external_lex_state = 3},
  [7034] = {.lex_state = 420, .external_lex_state = 3},
  [7035] = {.lex_state = 30, .external_lex_state = 3},
  [7036] = {.lex_state = 420, .external_lex_state = 3},
  [7037] = {.lex_state = 420, .external_lex_state = 3},
  [7038] = {.lex_state = 420, .external_lex_state = 3},
  [7039] = {.lex_state = 420, .external_lex_state = 3},
  [7040] = {.lex_state = 420, .external_lex_state = 3},
  [7041] = {.lex_state = 420, .external_lex_state = 3},
  [7042] = {.lex_state = 420, .external_lex_state = 3},
  [7043] = {.lex_state = 129, .external_lex_state = 3},
  [7044] = {.lex_state = 123, .external_lex_state = 3},
  [7045] = {.lex_state = 11, .external_lex_state = 2},
  [7046] = {.lex_state = 420, .external_lex_state = 3},
  [7047] = {.lex_state = 420, .external_lex_state = 3},
  [7048] = {.lex_state = 420, .external_lex_state = 3},
  [7049] = {.lex_state = 420, .external_lex_state = 3},
  [7050] = {.lex_state = 420, .external_lex_state = 3},
  [7051] = {.lex_state = 420, .external_lex_state = 3},
  [7052] = {.lex_state = 420, .external_lex_state = 3},
  [7053] = {.lex_state = 129, .external_lex_state = 3},
  [7054] = {.lex_state = 127, .external_lex_state = 3},
  [7055] = {.lex_state = 119, .external_lex_state = 3},
  [7056] = {.lex_state = 420, .external_lex_state = 3},
  [7057] = {.lex_state = 420, .external_lex_state = 3},
  [7058] = {.lex_state = 420, .external_lex_state = 3},
  [7059] = {.lex_state = 119, .external_lex_state = 3},
  [7060] = {.lex_state = 420, .external_lex_state = 3},
  [7061] = {.lex_state = 129, .external_lex_state = 3},
  [7062] = {.lex_state = 127, .external_lex_state = 3},
  [7063] = {.lex_state = 420, .external_lex_state = 3},
  [7064] = {.lex_state = 127, .external_lex_state = 3},
  [7065] = {.lex_state = 119, .external_lex_state = 3},
  [7066] = {.lex_state = 119, .external_lex_state = 3},
  [7067] = {.lex_state = 127, .external_lex_state = 3},
  [7068] = {.lex_state = 123, .external_lex_state = 3},
  [7069] = {.lex_state = 119, .external_lex_state = 3},
  [7070] = {.lex_state = 119, .external_lex_state = 3},
  [7071] = {.lex_state = 123, .external_lex_state = 3},
  [7072] = {.lex_state = 123, .external_lex_state = 3},
  [7073] = {.lex_state = 119, .external_lex_state = 3},
  [7074] = {.lex_state = 420, .external_lex_state = 3},
  [7075] = {.lex_state = 119, .external_lex_state = 3},
  [7076] = {.lex_state = 129, .external_lex_state = 3},
  [7077] = {.lex_state = 30, .external_lex_state = 3},
  [7078] = {.lex_state = 127, .external_lex_state = 3},
  [7079] = {.lex_state = 420, .external_lex_state = 3},
  [7080] = {.lex_state = 7, .external_lex_state = 2},
  [7081] = {.lex_state = 129, .external_lex_state = 3},
  [7082] = {.lex_state = 420, .external_lex_state = 3},
  [7083] = {.lex_state = 420, .external_lex_state = 3},
  [7084] = {.lex_state = 420, .external_lex_state = 3},
  [7085] = {.lex_state = 420, .external_lex_state = 3},
  [7086] = {.lex_state = 129, .external_lex_state = 3},
  [7087] = {.lex_state = 420, .external_lex_state = 3},
  [7088] = {.lex_state = 420, .external_lex_state = 3},
  [7089] = {.lex_state = 127, .external_lex_state = 3},
  [7090] = {.lex_state = 129, .external_lex_state = 3},
  [7091] = {.lex_state = 129, .external_lex_state = 3},
  [7092] = {.lex_state = 128, .external_lex_state = 3},
  [7093] = {.lex_state = 129, .external_lex_state = 3},
  [7094] = {.lex_state = 123, .external_lex_state = 3},
  [7095] = {.lex_state = 127, .external_lex_state = 3},
  [7096] = {.lex_state = 127, .external_lex_state = 3},
  [7097] = {.lex_state = 11, .external_lex_state = 2},
  [7098] = {.lex_state = 127, .external_lex_state = 3},
  [7099] = {.lex_state = 30, .external_lex_state = 3},
  [7100] = {.lex_state = 7, .external_lex_state = 2},
  [7101] = {.lex_state = 127, .external_lex_state = 3},
  [7102] = {.lex_state = 127, .external_lex_state = 3},
  [7103] = {.lex_state = 129, .external_lex_state = 3},
  [7104] = {.lex_state = 127, .external_lex_state = 3},
  [7105] = {.lex_state = 420, .external_lex_state = 3},
  [7106] = {.lex_state = 30, .external_lex_state = 3},
  [7107] = {.lex_state = 128, .external_lex_state = 3},
  [7108] = {.lex_state = 127, .external_lex_state = 3},
  [7109] = {.lex_state = 119, .external_lex_state = 3},
  [7110] = {.lex_state = 127, .external_lex_state = 3},
  [7111] = {.lex_state = 128, .external_lex_state = 3},
  [7112] = {.lex_state = 420, .external_lex_state = 3},
  [7113] = {.lex_state = 127, .external_lex_state = 3},
  [7114] = {.lex_state = 127, .external_lex_state = 3},
  [7115] = {.lex_state = 7, .external_lex_state = 2},
  [7116] = {.lex_state = 127, .external_lex_state = 3},
  [7117] = {.lex_state = 127, .external_lex_state = 3},
  [7118] = {.lex_state = 127, .external_lex_state = 3},
  [7119] = {.lex_state = 127, .external_lex_state = 3},
  [7120] = {.lex_state = 127, .external_lex_state = 3},
  [7121] = {.lex_state = 420, .external_lex_state = 3},
  [7122] = {.lex_state = 30, .external_lex_state = 3},
  [7123] = {.lex_state = 127, .external_lex_state = 3},
  [7124] = {.lex_state = 7, .external_lex_state = 2},
  [7125] = {.lex_state = 420, .external_lex_state = 3},
  [7126] = {.lex_state = 420, .external_lex_state = 3},
  [7127] = {.lex_state = 123, .external_lex_state = 3},
  [7128] = {.lex_state = 119, .external_lex_state = 3},
  [7129] = {.lex_state = 127, .external_lex_state = 3},
  [7130] = {.lex_state = 127, .external_lex_state = 3},
  [7131] = {.lex_state = 128, .external_lex_state = 3},
  [7132] = {.lex_state = 420, .external_lex_state = 3},
  [7133] = {.lex_state = 420, .external_lex_state = 3},
  [7134] = {.lex_state = 420, .external_lex_state = 3},
  [7135] = {.lex_state = 119, .external_lex_state = 3},
  [7136] = {.lex_state = 119, .external_lex_state = 3},
  [7137] = {.lex_state = 119, .external_lex_state = 3},
  [7138] = {.lex_state = 129, .external_lex_state = 3},
  [7139] = {.lex_state = 120, .external_lex_state = 3},
  [7140] = {.lex_state = 129, .external_lex_state = 3},
  [7141] = {.lex_state = 420, .external_lex_state = 3},
  [7142] = {.lex_state = 119, .external_lex_state = 3},
  [7143] = {.lex_state = 119, .external_lex_state = 3},
  [7144] = {.lex_state = 119, .external_lex_state = 3},
  [7145] = {.lex_state = 119, .external_lex_state = 3},
  [7146] = {.lex_state = 420, .external_lex_state = 3},
  [7147] = {.lex_state = 420, .external_lex_state = 3},
  [7148] = {.lex_state = 30, .external_lex_state = 3},
  [7149] = {.lex_state = 119, .external_lex_state = 3},
  [7150] = {.lex_state = 127, .external_lex_state = 3},
  [7151] = {.lex_state = 119, .external_lex_state = 3},
  [7152] = {.lex_state = 420, .external_lex_state = 3},
  [7153] = {.lex_state = 127, .external_lex_state = 3},
  [7154] = {.lex_state = 119, .external_lex_state = 3},
  [7155] = {.lex_state = 420, .external_lex_state = 3},
  [7156] = {.lex_state = 119, .external_lex_state = 3},
  [7157] = {.lex_state = 127, .external_lex_state = 3},
  [7158] = {.lex_state = 123, .external_lex_state = 3},
  [7159] = {.lex_state = 127, .external_lex_state = 3},
  [7160] = {.lex_state = 420, .external_lex_state = 3},
  [7161] = {.lex_state = 127, .external_lex_state = 3},
  [7162] = {.lex_state = 129, .external_lex_state = 3},
  [7163] = {.lex_state = 129, .external_lex_state = 3},
  [7164] = {.lex_state = 123, .external_lex_state = 3},
  [7165] = {.lex_state = 420, .external_lex_state = 3},
  [7166] = {.lex_state = 127, .external_lex_state = 3},
  [7167] = {.lex_state = 420, .external_lex_state = 3},
  [7168] = {.lex_state = 420, .external_lex_state = 3},
  [7169] = {.lex_state = 128, .external_lex_state = 3},
  [7170] = {.lex_state = 123, .external_lex_state = 3},
  [7171] = {.lex_state = 127, .external_lex_state = 3},
  [7172] = {.lex_state = 123, .external_lex_state = 3},
  [7173] = {.lex_state = 30, .external_lex_state = 3},
  [7174] = {.lex_state = 420, .external_lex_state = 3},
  [7175] = {.lex_state = 128, .external_lex_state = 3},
  [7176] = {.lex_state = 420, .external_lex_state = 3},
  [7177] = {.lex_state = 129, .external_lex_state = 3},
  [7178] = {.lex_state = 420, .external_lex_state = 3},
  [7179] = {.lex_state = 420, .external_lex_state = 3},
  [7180] = {.lex_state = 420, .external_lex_state = 3},
  [7181] = {.lex_state = 119, .external_lex_state = 3},
  [7182] = {.lex_state = 420, .external_lex_state = 3},
  [7183] = {.lex_state = 30, .external_lex_state = 3},
  [7184] = {.lex_state = 420, .external_lex_state = 3},
  [7185] = {.lex_state = 129, .external_lex_state = 3},
  [7186] = {.lex_state = 420, .external_lex_state = 3},
  [7187] = {.lex_state = 30, .external_lex_state = 3},
  [7188] = {.lex_state = 119, .external_lex_state = 3},
  [7189] = {.lex_state = 127, .external_lex_state = 3},
  [7190] = {.lex_state = 420, .external_lex_state = 3},
  [7191] = {.lex_state = 119, .external_lex_state = 3},
  [7192] = {.lex_state = 129, .external_lex_state = 3},
  [7193] = {.lex_state = 123, .external_lex_state = 3},
  [7194] = {.lex_state = 420, .external_lex_state = 3},
  [7195] = {.lex_state = 119, .external_lex_state = 3},
  [7196] = {.lex_state = 127, .external_lex_state = 3},
  [7197] = {.lex_state = 123, .external_lex_state = 3},
  [7198] = {.lex_state = 119, .external_lex_state = 3},
  [7199] = {.lex_state = 127, .external_lex_state = 3},
  [7200] = {.lex_state = 127, .external_lex_state = 3},
  [7201] = {.lex_state = 123, .external_lex_state = 3},
  [7202] = {.lex_state = 123, .external_lex_state = 3},
  [7203] = {.lex_state = 123, .external_lex_state = 3},
  [7204] = {.lex_state = 129, .external_lex_state = 3},
  [7205] = {.lex_state = 128, .external_lex_state = 3},
  [7206] = {.lex_state = 128, .external_lex_state = 3},
  [7207] = {.lex_state = 123, .external_lex_state = 3},
  [7208] = {.lex_state = 119, .external_lex_state = 3},
  [7209] = {.lex_state = 128, .external_lex_state = 3},
  [7210] = {.lex_state = 420, .external_lex_state = 3},
  [7211] = {.lex_state = 420, .external_lex_state = 3},
  [7212] = {.lex_state = 127, .external_lex_state = 3},
  [7213] = {.lex_state = 128, .external_lex_state = 3},
  [7214] = {.lex_state = 119, .external_lex_state = 3},
  [7215] = {.lex_state = 30, .external_lex_state = 3},
  [7216] = {.lex_state = 129, .external_lex_state = 3},
  [7217] = {.lex_state = 129, .external_lex_state = 3},
  [7218] = {.lex_state = 129, .external_lex_state = 3},
  [7219] = {.lex_state = 420, .external_lex_state = 3},
  [7220] = {.lex_state = 420, .external_lex_state = 3},
  [7221] = {.lex_state = 119, .external_lex_state = 3},
  [7222] = {.lex_state = 30, .external_lex_state = 3},
  [7223] = {.lex_state = 30, .external_lex_state = 3},
  [7224] = {.lex_state = 119, .external_lex_state = 3},
  [7225] = {.lex_state = 119, .external_lex_state = 3},
  [7226] = {.lex_state = 129, .external_lex_state = 3},
  [7227] = {.lex_state = 119, .external_lex_state = 3},
  [7228] = {.lex_state = 119, .external_lex_state = 3},
  [7229] = {.lex_state = 119, .external_lex_state = 3},
  [7230] = {.lex_state = 30, .external_lex_state = 3},
  [7231] = {.lex_state = 420, .external_lex_state = 3},
  [7232] = {.lex_state = 420, .external_lex_state = 3},
  [7233] = {.lex_state = 129, .external_lex_state = 3},
  [7234] = {.lex_state = 119, .external_lex_state = 3},
  [7235] = {.lex_state = 123, .external_lex_state = 3},
  [7236] = {.lex_state = 119, .external_lex_state = 3},
  [7237] = {.lex_state = 420, .external_lex_state = 3},
  [7238] = {.lex_state = 129, .external_lex_state = 3},
  [7239] = {.lex_state = 119, .external_lex_state = 3},
  [7240] = {.lex_state = 129, .external_lex_state = 3},
  [7241] = {.lex_state = 123, .external_lex_state = 3},
  [7242] = {.lex_state = 129, .external_lex_state = 3},
  [7243] = {.lex_state = 129, .external_lex_state = 3},
  [7244] = {.lex_state = 11, .external_lex_state = 2},
  [7245] = {.lex_state = 119, .external_lex_state = 3},
  [7246] = {.lex_state = 420, .external_lex_state = 3},
  [7247] = {.lex_state = 119, .external_lex_state = 3},
  [7248] = {.lex_state = 129, .external_lex_state = 3},
  [7249] = {.lex_state = 129, .external_lex_state = 3},
  [7250] = {.lex_state = 30, .external_lex_state = 3},
  [7251] = {.lex_state = 30, .external_lex_state = 3},
  [7252] = {.lex_state = 30, .external_lex_state = 3},
  [7253] = {.lex_state = 129, .external_lex_state = 3},
  [7254] = {.lex_state = 30, .external_lex_state = 3},
  [7255] = {.lex_state = 129, .external_lex_state = 3},
  [7256] = {.lex_state = 30, .external_lex_state = 3},
  [7257] = {.lex_state = 30, .external_lex_state = 3},
  [7258] = {.lex_state = 127, .external_lex_state = 3},
  [7259] = {.lex_state = 127, .external_lex_state = 3},
  [7260] = {.lex_state = 128, .external_lex_state = 3},
  [7261] = {.lex_state = 127, .external_lex_state = 3},
  [7262] = {.lex_state = 420, .external_lex_state = 3},
  [7263] = {.lex_state = 420, .external_lex_state = 3},
  [7264] = {.lex_state = 15, .external_lex_state = 2},
  [7265] = {.lex_state = 15, .external_lex_state = 2},
  [7266] = {.lex_state = 24, .external_lex_state = 3},
  [7267] = {.lex_state = 194, .external_lex_state = 3},
  [7268] = {.lex_state = 11, .external_lex_state = 2},
  [7269] = {.lex_state = 26, .external_lex_state = 3},
  [7270] = {.lex_state = 11, .external_lex_state = 2},
  [7271] = {.lex_state = 11, .external_lex_state = 2},
  [7272] = {.lex_state = 11, .external_lex_state = 2},
  [7273] = {.lex_state = 15, .external_lex_state = 2},
  [7274] = {.lex_state = 193, .external_lex_state = 3},
  [7275] = {.lex_state = 11, .external_lex_state = 2},
  [7276] = {.lex_state = 11, .external_lex_state = 2},
  [7277] = {.lex_state = 26, .external_lex_state = 3},
  [7278] = {.lex_state = 15, .external_lex_state = 2},
  [7279] = {.lex_state = 126, .external_lex_state = 3},
  [7280] = {.lex_state = 11, .external_lex_state = 2},
  [7281] = {.lex_state = 11, .external_lex_state = 2},
  [7282] = {.lex_state = 11, .external_lex_state = 2},
  [7283] = {.lex_state = 11, .external_lex_state = 2},
  [7284] = {.lex_state = 11, .external_lex_state = 2},
  [7285] = {.lex_state = 11, .external_lex_state = 2},
  [7286] = {.lex_state = 11, .external_lex_state = 2},
  [7287] = {.lex_state = 26, .external_lex_state = 3},
  [7288] = {.lex_state = 15, .external_lex_state = 2},
  [7289] = {.lex_state = 11, .external_lex_state = 2},
  [7290] = {.lex_state = 11, .external_lex_state = 2},
  [7291] = {.lex_state = 24, .external_lex_state = 3},
  [7292] = {.lex_state = 15, .external_lex_state = 2},
  [7293] = {.lex_state = 11, .external_lex_state = 2},
  [7294] = {.lex_state = 15, .external_lex_state = 2},
  [7295] = {.lex_state = 15, .external_lex_state = 2},
  [7296] = {.lex_state = 124, .external_lex_state = 3},
  [7297] = {.lex_state = 15, .external_lex_state = 2},
  [7298] = {.lex_state = 26, .external_lex_state = 3},
  [7299] = {.lex_state = 15, .external_lex_state = 2},
  [7300] = {.lex_state = 15, .external_lex_state = 2},
  [7301] = {.lex_state = 11, .external_lex_state = 2},
  [7302] = {.lex_state = 26, .external_lex_state = 3},
  [7303] = {.lex_state = 26, .external_lex_state = 3},
  [7304] = {.lex_state = 11, .external_lex_state = 2},
  [7305] = {.lex_state = 15, .external_lex_state = 2},
  [7306] = {.lex_state = 11, .external_lex_state = 2},
  [7307] = {.lex_state = 15, .external_lex_state = 2},
  [7308] = {.lex_state = 26, .external_lex_state = 3},
  [7309] = {.lex_state = 26, .external_lex_state = 3},
  [7310] = {.lex_state = 26, .external_lex_state = 3},
  [7311] = {.lex_state = 11, .external_lex_state = 2},
  [7312] = {.lex_state = 173, .external_lex_state = 3},
  [7313] = {.lex_state = 11, .external_lex_state = 2},
  [7314] = {.lex_state = 11, .external_lex_state = 2},
  [7315] = {.lex_state = 15, .external_lex_state = 2},
  [7316] = {.lex_state = 15, .external_lex_state = 2},
  [7317] = {.lex_state = 11, .external_lex_state = 2},
  [7318] = {.lex_state = 173, .external_lex_state = 3},
  [7319] = {.lex_state = 15, .external_lex_state = 2},
  [7320] = {.lex_state = 11, .external_lex_state = 2},
  [7321] = {.lex_state = 15, .external_lex_state = 2},
  [7322] = {.lex_state = 15, .external_lex_state = 2},
  [7323] = {.lex_state = 121, .external_lex_state = 3},
  [7324] = {.lex_state = 15, .external_lex_state = 2},
  [7325] = {.lex_state = 11, .external_lex_state = 2},
  [7326] = {.lex_state = 15, .external_lex_state = 2},
  [7327] = {.lex_state = 26, .external_lex_state = 3},
  [7328] = {.lex_state = 15, .external_lex_state = 2},
  [7329] = {.lex_state = 11, .external_lex_state = 2},
  [7330] = {.lex_state = 15, .external_lex_state = 2},
  [7331] = {.lex_state = 24, .external_lex_state = 3},
  [7332] = {.lex_state = 15, .external_lex_state = 2},
  [7333] = {.lex_state = 11, .external_lex_state = 2},
  [7334] = {.lex_state = 26, .external_lex_state = 3},
  [7335] = {.lex_state = 15, .external_lex_state = 2},
  [7336] = {.lex_state = 26, .external_lex_state = 3},
  [7337] = {.lex_state = 26, .external_lex_state = 3},
  [7338] = {.lex_state = 24, .external_lex_state = 3},
  [7339] = {.lex_state = 15, .external_lex_state = 2},
  [7340] = {.lex_state = 15, .external_lex_state = 2},
  [7341] = {.lex_state = 26, .external_lex_state = 3},
  [7342] = {.lex_state = 15, .external_lex_state = 2},
  [7343] = {.lex_state = 15, .external_lex_state = 2},
  [7344] = {.lex_state = 15, .external_lex_state = 2},
  [7345] = {.lex_state = 11, .external_lex_state = 2},
  [7346] = {.lex_state = 11, .external_lex_state = 2},
  [7347] = {.lex_state = 11, .external_lex_state = 2},
  [7348] = {.lex_state = 15, .external_lex_state = 2},
  [7349] = {.lex_state = 26, .external_lex_state = 3},
  [7350] = {.lex_state = 15, .external_lex_state = 2},
  [7351] = {.lex_state = 15, .external_lex_state = 2},
  [7352] = {.lex_state = 15, .external_lex_state = 2},
  [7353] = {.lex_state = 11, .external_lex_state = 2},
  [7354] = {.lex_state = 15, .external_lex_state = 2},
  [7355] = {.lex_state = 11, .external_lex_state = 2},
  [7356] = {.lex_state = 26, .external_lex_state = 3},
  [7357] = {.lex_state = 26, .external_lex_state = 3},
  [7358] = {.lex_state = 24, .external_lex_state = 3},
  [7359] = {.lex_state = 172, .external_lex_state = 3},
  [7360] = {.lex_state = 15, .external_lex_state = 2},
  [7361] = {.lex_state = 15, .external_lex_state = 2},
  [7362] = {.lex_state = 15, .external_lex_state = 2},
  [7363] = {.lex_state = 15, .external_lex_state = 2},
  [7364] = {.lex_state = 11, .external_lex_state = 2},
  [7365] = {.lex_state = 15, .external_lex_state = 2},
  [7366] = {.lex_state = 11, .external_lex_state = 2},
  [7367] = {.lex_state = 11, .external_lex_state = 2},
  [7368] = {.lex_state = 11, .external_lex_state = 2},
  [7369] = {.lex_state = 11, .external_lex_state = 2},
  [7370] = {.lex_state = 11, .external_lex_state = 2},
  [7371] = {.lex_state = 15, .external_lex_state = 2},
  [7372] = {.lex_state = 11, .external_lex_state = 2},
  [7373] = {.lex_state = 15, .external_lex_state = 2},
  [7374] = {.lex_state = 15, .external_lex_state = 2},
  [7375] = {.lex_state = 15, .external_lex_state = 2},
  [7376] = {.lex_state = 15, .external_lex_state = 2},
  [7377] = {.lex_state = 15, .external_lex_state = 2},
  [7378] = {.lex_state = 15, .external_lex_state = 2},
  [7379] = {.lex_state = 15, .external_lex_state = 2},
  [7380] = {.lex_state = 15, .external_lex_state = 2},
  [7381] = {.lex_state = 15, .external_lex_state = 2},
  [7382] = {.lex_state = 26, .external_lex_state = 3},
  [7383] = {.lex_state = 24, .external_lex_state = 3},
  [7384] = {.lex_state = 15, .external_lex_state = 2},
  [7385] = {.lex_state = 15, .external_lex_state = 2},
  [7386] = {.lex_state = 15, .external_lex_state = 2},
  [7387] = {.lex_state = 15, .external_lex_state = 2},
  [7388] = {.lex_state = 15, .external_lex_state = 2},
  [7389] = {.lex_state = 15, .external_lex_state = 2},
  [7390] = {.lex_state = 15, .external_lex_state = 2},
  [7391] = {.lex_state = 24, .external_lex_state = 3},
  [7392] = {.lex_state = 24, .external_lex_state = 3},
  [7393] = {.lex_state = 15, .external_lex_state = 2},
  [7394] = {.lex_state = 15, .external_lex_state = 2},
  [7395] = {.lex_state = 24, .external_lex_state = 3},
  [7396] = {.lex_state = 15, .external_lex_state = 2},
  [7397] = {.lex_state = 24, .external_lex_state = 3},
  [7398] = {.lex_state = 15, .external_lex_state = 2},
  [7399] = {.lex_state = 122, .external_lex_state = 3},
  [7400] = {.lex_state = 172, .external_lex_state = 3},
  [7401] = {.lex_state = 24, .external_lex_state = 3},
  [7402] = {.lex_state = 24, .external_lex_state = 3},
  [7403] = {.lex_state = 24, .external_lex_state = 3},
  [7404] = {.lex_state = 15, .external_lex_state = 2},
  [7405] = {.lex_state = 24, .external_lex_state = 3},
  [7406] = {.lex_state = 15, .external_lex_state = 2},
  [7407] = {.lex_state = 11, .external_lex_state = 2},
  [7408] = {.lex_state = 15, .external_lex_state = 2},
  [7409] = {.lex_state = 24, .external_lex_state = 3},
  [7410] = {.lex_state = 15, .external_lex_state = 2},
  [7411] = {.lex_state = 24, .external_lex_state = 3},
  [7412] = {.lex_state = 24, .external_lex_state = 3},
  [7413] = {.lex_state = 15, .external_lex_state = 2},
  [7414] = {.lex_state = 11, .external_lex_state = 2},
  [7415] = {.lex_state = 120, .external_lex_state = 3},
  [7416] = {.lex_state = 15, .external_lex_state = 2},
  [7417] = {.lex_state = 11, .external_lex_state = 2},
  [7418] = {.lex_state = 125, .external_lex_state = 3},
  [7419] = {.lex_state = 11, .external_lex_state = 2},
  [7420] = {.lex_state = 11, .external_lex_state = 2},
  [7421] = {.lex_state = 120, .external_lex_state = 3},
  [7422] = {.lex_state = 11, .external_lex_state = 2},
  [7423] = {.lex_state = 11, .external_lex_state = 2},
  [7424] = {.lex_state = 11, .external_lex_state = 2},
  [7425] = {.lex_state = 15, .external_lex_state = 2},
  [7426] = {.lex_state = 15, .external_lex_state = 2},
  [7427] = {.lex_state = 24, .external_lex_state = 3},
  [7428] = {.lex_state = 11, .external_lex_state = 2},
  [7429] = {.lex_state = 15, .external_lex_state = 2},
  [7430] = {.lex_state = 11, .external_lex_state = 2},
  [7431] = {.lex_state = 15, .external_lex_state = 2},
  [7432] = {.lex_state = 15, .external_lex_state = 2},
  [7433] = {.lex_state = 26, .external_lex_state = 3},
  [7434] = {.lex_state = 11, .external_lex_state = 2},
  [7435] = {.lex_state = 11, .external_lex_state = 2},
  [7436] = {.lex_state = 11, .external_lex_state = 2},
  [7437] = {.lex_state = 11, .external_lex_state = 2},
  [7438] = {.lex_state = 11, .external_lex_state = 2},
  [7439] = {.lex_state = 24, .external_lex_state = 3},
  [7440] = {.lex_state = 15, .external_lex_state = 2},
  [7441] = {.lex_state = 24, .external_lex_state = 3},
  [7442] = {.lex_state = 11, .external_lex_state = 2},
  [7443] = {.lex_state = 11, .external_lex_state = 2},
  [7444] = {.lex_state = 15, .external_lex_state = 2},
  [7445] = {.lex_state = 15, .external_lex_state = 2},
  [7446] = {.lex_state = 26, .external_lex_state = 3},
  [7447] = {.lex_state = 118, .external_lex_state = 3},
  [7448] = {.lex_state = 15, .external_lex_state = 2},
  [7449] = {.lex_state = 14, .external_lex_state = 2},
  [7450] = {.lex_state = 172, .external_lex_state = 3},
  [7451] = {.lex_state = 14, .external_lex_state = 2},
  [7452] = {.lex_state = 172, .external_lex_state = 3},
  [7453] = {.lex_state = 128, .external_lex_state = 3},
  [7454] = {.lex_state = 14, .external_lex_state = 2},
  [7455] = {.lex_state = 173, .external_lex_state = 3},
  [7456] = {.lex_state = 172, .external_lex_state = 3},
  [7457] = {.lex_state = 14, .external_lex_state = 2},
  [7458] = {.lex_state = 123, .external_lex_state = 3},
  [7459] = {.lex_state = 173, .external_lex_state = 3},
  [7460] = {.lex_state = 173, .external_lex_state = 3},
  [7461] = {.lex_state = 172, .external_lex_state = 3},
  [7462] = {.lex_state = 172, .external_lex_state = 3},
  [7463] = {.lex_state = 172, .external_lex_state = 3},
  [7464] = {.lex_state = 172, .external_lex_state = 3},
  [7465] = {.lex_state = 172, .external_lex_state = 3},
  [7466] = {.lex_state = 172, .external_lex_state = 3},
  [7467] = {.lex_state = 11, .external_lex_state = 2},
  [7468] = {.lex_state = 14, .external_lex_state = 2},
  [7469] = {.lex_state = 420, .external_lex_state = 3},
  [7470] = {.lex_state = 420, .external_lex_state = 3},
  [7471] = {.lex_state = 14, .external_lex_state = 2},
  [7472] = {.lex_state = 118, .external_lex_state = 3},
  [7473] = {.lex_state = 173, .external_lex_state = 3},
  [7474] = {.lex_state = 173, .external_lex_state = 3},
  [7475] = {.lex_state = 172, .external_lex_state = 3},
  [7476] = {.lex_state = 172, .external_lex_state = 3},
  [7477] = {.lex_state = 172, .external_lex_state = 3},
  [7478] = {.lex_state = 172, .external_lex_state = 3},
  [7479] = {.lex_state = 173, .external_lex_state = 3},
  [7480] = {.lex_state = 173, .external_lex_state = 3},
  [7481] = {.lex_state = 173, .external_lex_state = 3},
  [7482] = {.lex_state = 126, .external_lex_state = 3},
  [7483] = {.lex_state = 173, .external_lex_state = 3},
  [7484] = {.lex_state = 173, .external_lex_state = 3},
  [7485] = {.lex_state = 173, .external_lex_state = 3},
  [7486] = {.lex_state = 14, .external_lex_state = 2},
  [7487] = {.lex_state = 173, .external_lex_state = 3},
  [7488] = {.lex_state = 172, .external_lex_state = 3},
  [7489] = {.lex_state = 173, .external_lex_state = 3},
  [7490] = {.lex_state = 172, .external_lex_state = 3},
  [7491] = {.lex_state = 172, .external_lex_state = 3},
  [7492] = {.lex_state = 14, .external_lex_state = 2},
  [7493] = {.lex_state = 10, .external_lex_state = 2},
  [7494] = {.lex_state = 420, .external_lex_state = 3},
  [7495] = {.lex_state = 173, .external_lex_state = 3},
  [7496] = {.lex_state = 172, .external_lex_state = 3},
  [7497] = {.lex_state = 172, .external_lex_state = 3},
  [7498] = {.lex_state = 121, .external_lex_state = 3},
  [7499] = {.lex_state = 172, .external_lex_state = 3},
  [7500] = {.lex_state = 124, .external_lex_state = 3},
  [7501] = {.lex_state = 172, .external_lex_state = 3},
  [7502] = {.lex_state = 172, .external_lex_state = 3},
  [7503] = {.lex_state = 172, .external_lex_state = 3},
  [7504] = {.lex_state = 11, .external_lex_state = 2},
  [7505] = {.lex_state = 420, .external_lex_state = 3},
  [7506] = {.lex_state = 172, .external_lex_state = 3},
  [7507] = {.lex_state = 427, .external_lex_state = 2},
  [7508] = {.lex_state = 172, .external_lex_state = 3},
  [7509] = {.lex_state = 172, .external_lex_state = 3},
  [7510] = {.lex_state = 10, .external_lex_state = 2},
  [7511] = {.lex_state = 11, .external_lex_state = 2},
  [7512] = {.lex_state = 172, .external_lex_state = 3},
  [7513] = {.lex_state = 427, .external_lex_state = 2},
  [7514] = {.lex_state = 173, .external_lex_state = 3},
  [7515] = {.lex_state = 172, .external_lex_state = 3},
  [7516] = {.lex_state = 11, .external_lex_state = 2},
  [7517] = {.lex_state = 172, .external_lex_state = 3},
  [7518] = {.lex_state = 11, .external_lex_state = 2},
  [7519] = {.lex_state = 172, .external_lex_state = 3},
  [7520] = {.lex_state = 11, .external_lex_state = 2},
  [7521] = {.lex_state = 172, .external_lex_state = 3},
  [7522] = {.lex_state = 172, .external_lex_state = 3},
  [7523] = {.lex_state = 172, .external_lex_state = 3},
  [7524] = {.lex_state = 11, .external_lex_state = 2},
  [7525] = {.lex_state = 11, .external_lex_state = 2},
  [7526] = {.lex_state = 173, .external_lex_state = 3},
  [7527] = {.lex_state = 172, .external_lex_state = 3},
  [7528] = {.lex_state = 173, .external_lex_state = 3},
  [7529] = {.lex_state = 173, .external_lex_state = 3},
  [7530] = {.lex_state = 11, .external_lex_state = 2},
  [7531] = {.lex_state = 14, .external_lex_state = 2},
  [7532] = {.lex_state = 11, .external_lex_state = 2},
  [7533] = {.lex_state = 172, .external_lex_state = 3},
  [7534] = {.lex_state = 172, .external_lex_state = 3},
  [7535] = {.lex_state = 11, .external_lex_state = 2},
  [7536] = {.lex_state = 173, .external_lex_state = 3},
  [7537] = {.lex_state = 420, .external_lex_state = 3},
  [7538] = {.lex_state = 172, .external_lex_state = 3},
  [7539] = {.lex_state = 173, .external_lex_state = 3},
  [7540] = {.lex_state = 172, .external_lex_state = 3},
  [7541] = {.lex_state = 14, .external_lex_state = 2},
  [7542] = {.lex_state = 124, .external_lex_state = 3},
  [7543] = {.lex_state = 172, .external_lex_state = 3},
  [7544] = {.lex_state = 127, .external_lex_state = 3},
  [7545] = {.lex_state = 172, .external_lex_state = 3},
  [7546] = {.lex_state = 172, .external_lex_state = 3},
  [7547] = {.lex_state = 173, .external_lex_state = 3},
  [7548] = {.lex_state = 11, .external_lex_state = 2},
  [7549] = {.lex_state = 126, .external_lex_state = 3},
  [7550] = {.lex_state = 172, .external_lex_state = 3},
  [7551] = {.lex_state = 172, .external_lex_state = 3},
  [7552] = {.lex_state = 172, .external_lex_state = 3},
  [7553] = {.lex_state = 14, .external_lex_state = 2},
  [7554] = {.lex_state = 173, .external_lex_state = 3},
  [7555] = {.lex_state = 121, .external_lex_state = 3},
  [7556] = {.lex_state = 173, .external_lex_state = 3},
  [7557] = {.lex_state = 172, .external_lex_state = 3},
  [7558] = {.lex_state = 172, .external_lex_state = 3},
  [7559] = {.lex_state = 172, .external_lex_state = 3},
  [7560] = {.lex_state = 172, .external_lex_state = 3},
  [7561] = {.lex_state = 173, .external_lex_state = 3},
  [7562] = {.lex_state = 122, .external_lex_state = 3},
  [7563] = {.lex_state = 14, .external_lex_state = 2},
  [7564] = {.lex_state = 14, .external_lex_state = 2},
  [7565] = {.lex_state = 172, .external_lex_state = 3},
  [7566] = {.lex_state = 172, .external_lex_state = 3},
  [7567] = {.lex_state = 173, .external_lex_state = 3},
  [7568] = {.lex_state = 14, .external_lex_state = 2},
  [7569] = {.lex_state = 119, .external_lex_state = 3},
  [7570] = {.lex_state = 14, .external_lex_state = 2},
  [7571] = {.lex_state = 14, .external_lex_state = 2},
  [7572] = {.lex_state = 427, .external_lex_state = 2},
  [7573] = {.lex_state = 172, .external_lex_state = 3},
  [7574] = {.lex_state = 420, .external_lex_state = 3},
  [7575] = {.lex_state = 173, .external_lex_state = 3},
  [7576] = {.lex_state = 14, .external_lex_state = 2},
  [7577] = {.lex_state = 14, .external_lex_state = 2},
  [7578] = {.lex_state = 172, .external_lex_state = 3},
  [7579] = {.lex_state = 14, .external_lex_state = 2},
  [7580] = {.lex_state = 420, .external_lex_state = 3},
  [7581] = {.lex_state = 11, .external_lex_state = 2},
  [7582] = {.lex_state = 14, .external_lex_state = 2},
  [7583] = {.lex_state = 173, .external_lex_state = 3},
  [7584] = {.lex_state = 173, .external_lex_state = 3},
  [7585] = {.lex_state = 14, .external_lex_state = 2},
  [7586] = {.lex_state = 14, .external_lex_state = 2},
  [7587] = {.lex_state = 14, .external_lex_state = 2},
  [7588] = {.lex_state = 14, .external_lex_state = 2},
  [7589] = {.lex_state = 173, .external_lex_state = 3},
  [7590] = {.lex_state = 14, .external_lex_state = 2},
  [7591] = {.lex_state = 172, .external_lex_state = 3},
  [7592] = {.lex_state = 173, .external_lex_state = 3},
  [7593] = {.lex_state = 14, .external_lex_state = 2},
  [7594] = {.lex_state = 14, .external_lex_state = 2},
  [7595] = {.lex_state = 173, .external_lex_state = 3},
  [7596] = {.lex_state = 11, .external_lex_state = 2},
  [7597] = {.lex_state = 122, .external_lex_state = 3},
  [7598] = {.lex_state = 14, .external_lex_state = 2},
  [7599] = {.lex_state = 14, .external_lex_state = 2},
  [7600] = {.lex_state = 14, .external_lex_state = 2},
  [7601] = {.lex_state = 173, .external_lex_state = 3},
  [7602] = {.lex_state = 14, .external_lex_state = 2},
  [7603] = {.lex_state = 424, .external_lex_state = 3},
  [7604] = {.lex_state = 427, .external_lex_state = 2},
  [7605] = {.lex_state = 14, .external_lex_state = 2},
  [7606] = {.lex_state = 14, .external_lex_state = 2},
  [7607] = {.lex_state = 14, .external_lex_state = 2},
  [7608] = {.lex_state = 173, .external_lex_state = 3},
  [7609] = {.lex_state = 14, .external_lex_state = 2},
  [7610] = {.lex_state = 14, .external_lex_state = 2},
  [7611] = {.lex_state = 14, .external_lex_state = 2},
  [7612] = {.lex_state = 173, .external_lex_state = 3},
  [7613] = {.lex_state = 11, .external_lex_state = 2},
  [7614] = {.lex_state = 173, .external_lex_state = 3},
  [7615] = {.lex_state = 14, .external_lex_state = 2},
  [7616] = {.lex_state = 173, .external_lex_state = 3},
  [7617] = {.lex_state = 173, .external_lex_state = 3},
  [7618] = {.lex_state = 173, .external_lex_state = 3},
  [7619] = {.lex_state = 14, .external_lex_state = 2},
  [7620] = {.lex_state = 125, .external_lex_state = 3},
  [7621] = {.lex_state = 10, .external_lex_state = 2},
  [7622] = {.lex_state = 422, .external_lex_state = 3},
  [7623] = {.lex_state = 173, .external_lex_state = 3},
  [7624] = {.lex_state = 129, .external_lex_state = 3},
  [7625] = {.lex_state = 173, .external_lex_state = 3},
  [7626] = {.lex_state = 14, .external_lex_state = 2},
  [7627] = {.lex_state = 14, .external_lex_state = 2},
  [7628] = {.lex_state = 173, .external_lex_state = 3},
  [7629] = {.lex_state = 173, .external_lex_state = 3},
  [7630] = {.lex_state = 173, .external_lex_state = 3},
  [7631] = {.lex_state = 173, .external_lex_state = 3},
  [7632] = {.lex_state = 173, .external_lex_state = 3},
  [7633] = {.lex_state = 14, .external_lex_state = 2},
  [7634] = {.lex_state = 172, .external_lex_state = 3},
  [7635] = {.lex_state = 14, .external_lex_state = 2},
  [7636] = {.lex_state = 173, .external_lex_state = 3},
  [7637] = {.lex_state = 14, .external_lex_state = 2},
  [7638] = {.lex_state = 14, .external_lex_state = 2},
  [7639] = {.lex_state = 422, .external_lex_state = 3},
  [7640] = {.lex_state = 14, .external_lex_state = 2},
  [7641] = {.lex_state = 173, .external_lex_state = 3},
  [7642] = {.lex_state = 11, .external_lex_state = 2},
  [7643] = {.lex_state = 11, .external_lex_state = 2},
  [7644] = {.lex_state = 173, .external_lex_state = 3},
  [7645] = {.lex_state = 173, .external_lex_state = 3},
  [7646] = {.lex_state = 173, .external_lex_state = 3},
  [7647] = {.lex_state = 14, .external_lex_state = 2},
  [7648] = {.lex_state = 11, .external_lex_state = 2},
  [7649] = {.lex_state = 14, .external_lex_state = 2},
  [7650] = {.lex_state = 14, .external_lex_state = 2},
  [7651] = {.lex_state = 14, .external_lex_state = 2},
  [7652] = {.lex_state = 173, .external_lex_state = 3},
  [7653] = {.lex_state = 14, .external_lex_state = 2},
  [7654] = {.lex_state = 14, .external_lex_state = 2},
  [7655] = {.lex_state = 14, .external_lex_state = 2},
  [7656] = {.lex_state = 14, .external_lex_state = 2},
  [7657] = {.lex_state = 14, .external_lex_state = 2},
  [7658] = {.lex_state = 14, .external_lex_state = 2},
  [7659] = {.lex_state = 14, .external_lex_state = 2},
  [7660] = {.lex_state = 14, .external_lex_state = 2},
  [7661] = {.lex_state = 14, .external_lex_state = 2},
  [7662] = {.lex_state = 14, .external_lex_state = 2},
  [7663] = {.lex_state = 420, .external_lex_state = 3},
  [7664] = {.lex_state = 14, .external_lex_state = 2},
  [7665] = {.lex_state = 14, .external_lex_state = 2},
  [7666] = {.lex_state = 11, .external_lex_state = 2},
  [7667] = {.lex_state = 125, .external_lex_state = 3},
  [7668] = {.lex_state = 14, .external_lex_state = 2},
  [7669] = {.lex_state = 14, .external_lex_state = 2},
  [7670] = {.lex_state = 14, .external_lex_state = 2},
  [7671] = {.lex_state = 14, .external_lex_state = 2},
  [7672] = {.lex_state = 14, .external_lex_state = 2},
  [7673] = {.lex_state = 14, .external_lex_state = 2},
  [7674] = {.lex_state = 14, .external_lex_state = 2},
  [7675] = {.lex_state = 173, .external_lex_state = 3},
  [7676] = {.lex_state = 14, .external_lex_state = 2},
  [7677] = {.lex_state = 14, .external_lex_state = 2},
  [7678] = {.lex_state = 30, .external_lex_state = 3},
  [7679] = {.lex_state = 14, .external_lex_state = 2},
  [7680] = {.lex_state = 173, .external_lex_state = 3},
  [7681] = {.lex_state = 172, .external_lex_state = 3},
  [7682] = {.lex_state = 14, .external_lex_state = 2},
  [7683] = {.lex_state = 172, .external_lex_state = 3},
  [7684] = {.lex_state = 14, .external_lex_state = 2},
  [7685] = {.lex_state = 14, .external_lex_state = 2},
  [7686] = {.lex_state = 14, .external_lex_state = 2},
  [7687] = {.lex_state = 173, .external_lex_state = 3},
  [7688] = {.lex_state = 14, .external_lex_state = 2},
  [7689] = {.lex_state = 14, .external_lex_state = 2},
  [7690] = {.lex_state = 14, .external_lex_state = 2},
  [7691] = {.lex_state = 118, .external_lex_state = 3},
  [7692] = {.lex_state = 173, .external_lex_state = 3},
  [7693] = {.lex_state = 14, .external_lex_state = 2},
  [7694] = {.lex_state = 420, .external_lex_state = 3},
  [7695] = {.lex_state = 14, .external_lex_state = 2},
  [7696] = {.lex_state = 172, .external_lex_state = 3},
  [7697] = {.lex_state = 173, .external_lex_state = 3},
  [7698] = {.lex_state = 172, .external_lex_state = 3},
  [7699] = {.lex_state = 14, .external_lex_state = 2},
  [7700] = {.lex_state = 11, .external_lex_state = 2},
  [7701] = {.lex_state = 173, .external_lex_state = 3},
  [7702] = {.lex_state = 172, .external_lex_state = 3},
  [7703] = {.lex_state = 172, .external_lex_state = 3},
  [7704] = {.lex_state = 14, .external_lex_state = 2},
  [7705] = {.lex_state = 172, .external_lex_state = 3},
  [7706] = {.lex_state = 173, .external_lex_state = 3},
  [7707] = {.lex_state = 173, .external_lex_state = 3},
  [7708] = {.lex_state = 173, .external_lex_state = 3},
  [7709] = {.lex_state = 173, .external_lex_state = 3},
  [7710] = {.lex_state = 172, .external_lex_state = 3},
  [7711] = {.lex_state = 422, .external_lex_state = 3},
  [7712] = {.lex_state = 422, .external_lex_state = 3},
  [7713] = {.lex_state = 7, .external_lex_state = 2},
  [7714] = {.lex_state = 195, .external_lex_state = 3},
  [7715] = {.lex_state = 422, .external_lex_state = 3},
  [7716] = {.lex_state = 7, .external_lex_state = 2},
  [7717] = {.lex_state = 7, .external_lex_state = 2},
  [7718] = {.lex_state = 129, .external_lex_state = 3},
  [7719] = {.lex_state = 422, .external_lex_state = 3},
  [7720] = {.lex_state = 119, .external_lex_state = 3},
  [7721] = {.lex_state = 422, .external_lex_state = 3},
  [7722] = {.lex_state = 422, .external_lex_state = 3},
  [7723] = {.lex_state = 7, .external_lex_state = 2},
  [7724] = {.lex_state = 422, .external_lex_state = 3},
  [7725] = {.lex_state = 7, .external_lex_state = 2},
  [7726] = {.lex_state = 422, .external_lex_state = 3},
  [7727] = {.lex_state = 422, .external_lex_state = 3},
  [7728] = {.lex_state = 422, .external_lex_state = 3},
  [7729] = {.lex_state = 7, .external_lex_state = 2},
  [7730] = {.lex_state = 422, .external_lex_state = 3},
  [7731] = {.lex_state = 422, .external_lex_state = 3},
  [7732] = {.lex_state = 422, .external_lex_state = 3},
  [7733] = {.lex_state = 30, .external_lex_state = 3},
  [7734] = {.lex_state = 422, .external_lex_state = 3},
  [7735] = {.lex_state = 422, .external_lex_state = 3},
  [7736] = {.lex_state = 422, .external_lex_state = 3},
  [7737] = {.lex_state = 422, .external_lex_state = 3},
  [7738] = {.lex_state = 422, .external_lex_state = 3},
  [7739] = {.lex_state = 422, .external_lex_state = 3},
  [7740] = {.lex_state = 7, .external_lex_state = 2},
  [7741] = {.lex_state = 422, .external_lex_state = 3},
  [7742] = {.lex_state = 7, .external_lex_state = 2},
  [7743] = {.lex_state = 127, .external_lex_state = 3},
  [7744] = {.lex_state = 422, .external_lex_state = 3},
  [7745] = {.lex_state = 422, .external_lex_state = 3},
  [7746] = {.lex_state = 422, .external_lex_state = 3},
  [7747] = {.lex_state = 422, .external_lex_state = 3},
  [7748] = {.lex_state = 7, .external_lex_state = 2},
  [7749] = {.lex_state = 7, .external_lex_state = 2},
  [7750] = {.lex_state = 422, .external_lex_state = 3},
  [7751] = {.lex_state = 422, .external_lex_state = 3},
  [7752] = {.lex_state = 7, .external_lex_state = 2},
  [7753] = {.lex_state = 422, .external_lex_state = 3},
  [7754] = {.lex_state = 7, .external_lex_state = 2},
  [7755] = {.lex_state = 422, .external_lex_state = 3},
  [7756] = {.lex_state = 174, .external_lex_state = 3},
  [7757] = {.lex_state = 422, .external_lex_state = 3},
  [7758] = {.lex_state = 422, .external_lex_state = 3},
  [7759] = {.lex_state = 119, .external_lex_state = 3},
  [7760] = {.lex_state = 422, .external_lex_state = 3},
  [7761] = {.lex_state = 422, .external_lex_state = 3},
  [7762] = {.lex_state = 7, .external_lex_state = 2},
  [7763] = {.lex_state = 422, .external_lex_state = 3},
  [7764] = {.lex_state = 422, .external_lex_state = 3},
  [7765] = {.lex_state = 7, .external_lex_state = 2},
  [7766] = {.lex_state = 422, .external_lex_state = 3},
  [7767] = {.lex_state = 127, .external_lex_state = 3},
  [7768] = {.lex_state = 422, .external_lex_state = 3},
  [7769] = {.lex_state = 7, .external_lex_state = 2},
  [7770] = {.lex_state = 7, .external_lex_state = 2},
  [7771] = {.lex_state = 422, .external_lex_state = 3},
  [7772] = {.lex_state = 30, .external_lex_state = 3},
  [7773] = {.lex_state = 128, .external_lex_state = 3},
  [7774] = {.lex_state = 422, .external_lex_state = 3},
  [7775] = {.lex_state = 128, .external_lex_state = 3},
  [7776] = {.lex_state = 422, .external_lex_state = 3},
  [7777] = {.lex_state = 422, .external_lex_state = 3},
  [7778] = {.lex_state = 123, .external_lex_state = 3},
  [7779] = {.lex_state = 7, .external_lex_state = 2},
  [7780] = {.lex_state = 422, .external_lex_state = 3},
  [7781] = {.lex_state = 422, .external_lex_state = 3},
  [7782] = {.lex_state = 422, .external_lex_state = 3},
  [7783] = {.lex_state = 422, .external_lex_state = 3},
  [7784] = {.lex_state = 30, .external_lex_state = 3},
  [7785] = {.lex_state = 30, .external_lex_state = 3},
  [7786] = {.lex_state = 7, .external_lex_state = 2},
  [7787] = {.lex_state = 422, .external_lex_state = 3},
  [7788] = {.lex_state = 129, .external_lex_state = 3},
  [7789] = {.lex_state = 30, .external_lex_state = 3},
  [7790] = {.lex_state = 422, .external_lex_state = 3},
  [7791] = {.lex_state = 174, .external_lex_state = 3},
  [7792] = {.lex_state = 422, .external_lex_state = 3},
  [7793] = {.lex_state = 422, .external_lex_state = 3},
  [7794] = {.lex_state = 123, .external_lex_state = 3},
  [7795] = {.lex_state = 30, .external_lex_state = 3},
  [7796] = {.lex_state = 422, .external_lex_state = 3},
  [7797] = {.lex_state = 422, .external_lex_state = 3},
  [7798] = {.lex_state = 7, .external_lex_state = 2},
  [7799] = {.lex_state = 7, .external_lex_state = 2},
  [7800] = {.lex_state = 7, .external_lex_state = 2},
  [7801] = {.lex_state = 422, .external_lex_state = 3},
  [7802] = {.lex_state = 7, .external_lex_state = 2},
  [7803] = {.lex_state = 422, .external_lex_state = 3},
  [7804] = {.lex_state = 7, .external_lex_state = 2},
  [7805] = {.lex_state = 422, .external_lex_state = 3},
  [7806] = {.lex_state = 422, .external_lex_state = 3},
  [7807] = {.lex_state = 422, .external_lex_state = 3},
  [7808] = {.lex_state = 422, .external_lex_state = 3},
  [7809] = {.lex_state = 422, .external_lex_state = 3},
  [7810] = {.lex_state = 422, .external_lex_state = 3},
  [7811] = {.lex_state = 422, .external_lex_state = 3},
  [7812] = {.lex_state = 422, .external_lex_state = 3},
  [7813] = {.lex_state = 7, .external_lex_state = 2},
  [7814] = {.lex_state = 7, .external_lex_state = 2},
  [7815] = {.lex_state = 30, .external_lex_state = 3},
  [7816] = {.lex_state = 422, .external_lex_state = 3},
  [7817] = {.lex_state = 7, .external_lex_state = 2},
  [7818] = {.lex_state = 7, .external_lex_state = 2},
  [7819] = {.lex_state = 174, .external_lex_state = 3},
  [7820] = {.lex_state = 174, .external_lex_state = 3},
  [7821] = {.lex_state = 31, .external_lex_state = 3},
  [7822] = {.lex_state = 7, .external_lex_state = 2},
  [7823] = {.lex_state = 7, .external_lex_state = 2},
  [7824] = {.lex_state = 7, .external_lex_state = 2},
  [7825] = {.lex_state = 7, .external_lex_state = 2},
  [7826] = {.lex_state = 7, .external_lex_state = 2},
  [7827] = {.lex_state = 31, .external_lex_state = 3},
  [7828] = {.lex_state = 7, .external_lex_state = 2},
  [7829] = {.lex_state = 7, .external_lex_state = 2},
  [7830] = {.lex_state = 7, .external_lex_state = 2},
  [7831] = {.lex_state = 7, .external_lex_state = 2},
  [7832] = {.lex_state = 7, .external_lex_state = 2},
  [7833] = {.lex_state = 7, .external_lex_state = 2},
  [7834] = {.lex_state = 31, .external_lex_state = 3},
  [7835] = {.lex_state = 174, .external_lex_state = 3},
  [7836] = {.lex_state = 15, .external_lex_state = 2},
  [7837] = {.lex_state = 174, .external_lex_state = 3},
  [7838] = {.lex_state = 12, .external_lex_state = 2},
  [7839] = {.lex_state = 7, .external_lex_state = 2},
  [7840] = {.lex_state = 7, .external_lex_state = 2},
  [7841] = {.lex_state = 12, .external_lex_state = 2},
  [7842] = {.lex_state = 213, .external_lex_state = 2},
  [7843] = {.lex_state = 12, .external_lex_state = 2},
  [7844] = {.lex_state = 31, .external_lex_state = 3},
  [7845] = {.lex_state = 31, .external_lex_state = 3},
  [7846] = {.lex_state = 7, .external_lex_state = 2},
  [7847] = {.lex_state = 12, .external_lex_state = 2},
  [7848] = {.lex_state = 7, .external_lex_state = 2},
  [7849] = {.lex_state = 7, .external_lex_state = 2},
  [7850] = {.lex_state = 7, .external_lex_state = 2},
  [7851] = {.lex_state = 7, .external_lex_state = 2},
  [7852] = {.lex_state = 7, .external_lex_state = 2},
  [7853] = {.lex_state = 174, .external_lex_state = 3},
  [7854] = {.lex_state = 31, .external_lex_state = 3},
  [7855] = {.lex_state = 31, .external_lex_state = 3},
  [7856] = {.lex_state = 174, .external_lex_state = 3},
  [7857] = {.lex_state = 174, .external_lex_state = 3},
  [7858] = {.lex_state = 174, .external_lex_state = 3},
  [7859] = {.lex_state = 7, .external_lex_state = 2},
  [7860] = {.lex_state = 213, .external_lex_state = 2},
  [7861] = {.lex_state = 31, .external_lex_state = 3},
  [7862] = {.lex_state = 7, .external_lex_state = 2},
  [7863] = {.lex_state = 174, .external_lex_state = 3},
  [7864] = {.lex_state = 31, .external_lex_state = 3},
  [7865] = {.lex_state = 213, .external_lex_state = 2},
  [7866] = {.lex_state = 174, .external_lex_state = 3},
  [7867] = {.lex_state = 31, .external_lex_state = 3},
  [7868] = {.lex_state = 15, .external_lex_state = 2},
  [7869] = {.lex_state = 174, .external_lex_state = 3},
  [7870] = {.lex_state = 31, .external_lex_state = 3},
  [7871] = {.lex_state = 31, .external_lex_state = 3},
  [7872] = {.lex_state = 425, .external_lex_state = 2},
  [7873] = {.lex_state = 31, .external_lex_state = 3},
  [7874] = {.lex_state = 213, .external_lex_state = 2},
  [7875] = {.lex_state = 47, .external_lex_state = 3},
  [7876] = {.lex_state = 174, .external_lex_state = 3},
  [7877] = {.lex_state = 31, .external_lex_state = 3},
  [7878] = {.lex_state = 174, .external_lex_state = 3},
  [7879] = {.lex_state = 31, .external_lex_state = 3},
  [7880] = {.lex_state = 31, .external_lex_state = 3},
  [7881] = {.lex_state = 165, .external_lex_state = 3},
  [7882] = {.lex_state = 15, .external_lex_state = 2},
  [7883] = {.lex_state = 31, .external_lex_state = 3},
  [7884] = {.lex_state = 7, .external_lex_state = 2},
  [7885] = {.lex_state = 7, .external_lex_state = 2},
  [7886] = {.lex_state = 31, .external_lex_state = 3},
  [7887] = {.lex_state = 7, .external_lex_state = 2},
  [7888] = {.lex_state = 174, .external_lex_state = 3},
  [7889] = {.lex_state = 7, .external_lex_state = 2},
  [7890] = {.lex_state = 31, .external_lex_state = 3},
  [7891] = {.lex_state = 174, .external_lex_state = 3},
  [7892] = {.lex_state = 174, .external_lex_state = 3},
  [7893] = {.lex_state = 209, .external_lex_state = 2},
  [7894] = {.lex_state = 174, .external_lex_state = 3},
  [7895] = {.lex_state = 174, .external_lex_state = 3},
  [7896] = {.lex_state = 174, .external_lex_state = 3},
  [7897] = {.lex_state = 213, .external_lex_state = 2},
  [7898] = {.lex_state = 174, .external_lex_state = 3},
  [7899] = {.lex_state = 209, .external_lex_state = 2},
  [7900] = {.lex_state = 15, .external_lex_state = 2},
  [7901] = {.lex_state = 31, .external_lex_state = 3},
  [7902] = {.lex_state = 15, .external_lex_state = 2},
  [7903] = {.lex_state = 174, .external_lex_state = 3},
  [7904] = {.lex_state = 174, .external_lex_state = 3},
  [7905] = {.lex_state = 174, .external_lex_state = 3},
  [7906] = {.lex_state = 31, .external_lex_state = 3},
  [7907] = {.lex_state = 174, .external_lex_state = 3},
  [7908] = {.lex_state = 7, .external_lex_state = 2},
  [7909] = {.lex_state = 15, .external_lex_state = 2},
  [7910] = {.lex_state = 174, .external_lex_state = 3},
  [7911] = {.lex_state = 213, .external_lex_state = 2},
  [7912] = {.lex_state = 174, .external_lex_state = 3},
  [7913] = {.lex_state = 174, .external_lex_state = 3},
  [7914] = {.lex_state = 15, .external_lex_state = 2},
  [7915] = {.lex_state = 31, .external_lex_state = 3},
  [7916] = {.lex_state = 213, .external_lex_state = 2},
  [7917] = {.lex_state = 174, .external_lex_state = 3},
  [7918] = {.lex_state = 31, .external_lex_state = 3},
  [7919] = {.lex_state = 174, .external_lex_state = 3},
  [7920] = {.lex_state = 213, .external_lex_state = 2},
  [7921] = {.lex_state = 15, .external_lex_state = 2},
  [7922] = {.lex_state = 31, .external_lex_state = 3},
  [7923] = {.lex_state = 174, .external_lex_state = 3},
  [7924] = {.lex_state = 7, .external_lex_state = 2},
  [7925] = {.lex_state = 7, .external_lex_state = 2},
  [7926] = {.lex_state = 174, .external_lex_state = 3},
  [7927] = {.lex_state = 15, .external_lex_state = 2},
  [7928] = {.lex_state = 174, .external_lex_state = 3},
  [7929] = {.lex_state = 174, .external_lex_state = 3},
  [7930] = {.lex_state = 174, .external_lex_state = 3},
  [7931] = {.lex_state = 15, .external_lex_state = 2},
  [7932] = {.lex_state = 7, .external_lex_state = 2},
  [7933] = {.lex_state = 7, .external_lex_state = 2},
  [7934] = {.lex_state = 174, .external_lex_state = 3},
  [7935] = {.lex_state = 174, .external_lex_state = 3},
  [7936] = {.lex_state = 174, .external_lex_state = 3},
  [7937] = {.lex_state = 47, .external_lex_state = 3},
  [7938] = {.lex_state = 15, .external_lex_state = 2},
  [7939] = {.lex_state = 7, .external_lex_state = 2},
  [7940] = {.lex_state = 174, .external_lex_state = 3},
  [7941] = {.lex_state = 31, .external_lex_state = 3},
  [7942] = {.lex_state = 213, .external_lex_state = 2},
  [7943] = {.lex_state = 213, .external_lex_state = 2},
  [7944] = {.lex_state = 213, .external_lex_state = 2},
  [7945] = {.lex_state = 31, .external_lex_state = 3},
  [7946] = {.lex_state = 7, .external_lex_state = 2},
  [7947] = {.lex_state = 7, .external_lex_state = 2},
  [7948] = {.lex_state = 174, .external_lex_state = 3},
  [7949] = {.lex_state = 7, .external_lex_state = 2},
  [7950] = {.lex_state = 47, .external_lex_state = 3},
  [7951] = {.lex_state = 31, .external_lex_state = 3},
  [7952] = {.lex_state = 15, .external_lex_state = 2},
  [7953] = {.lex_state = 174, .external_lex_state = 3},
  [7954] = {.lex_state = 209, .external_lex_state = 2},
  [7955] = {.lex_state = 15, .external_lex_state = 2},
  [7956] = {.lex_state = 174, .external_lex_state = 3},
  [7957] = {.lex_state = 15, .external_lex_state = 2},
  [7958] = {.lex_state = 213, .external_lex_state = 2},
  [7959] = {.lex_state = 15, .external_lex_state = 2},
  [7960] = {.lex_state = 31, .external_lex_state = 3},
  [7961] = {.lex_state = 7, .external_lex_state = 2},
  [7962] = {.lex_state = 31, .external_lex_state = 3},
  [7963] = {.lex_state = 7, .external_lex_state = 2},
  [7964] = {.lex_state = 31, .external_lex_state = 3},
  [7965] = {.lex_state = 7, .external_lex_state = 2},
  [7966] = {.lex_state = 31, .external_lex_state = 3},
  [7967] = {.lex_state = 174, .external_lex_state = 3},
  [7968] = {.lex_state = 31, .external_lex_state = 3},
  [7969] = {.lex_state = 31, .external_lex_state = 3},
  [7970] = {.lex_state = 31, .external_lex_state = 3},
  [7971] = {.lex_state = 7, .external_lex_state = 2},
  [7972] = {.lex_state = 31, .external_lex_state = 3},
  [7973] = {.lex_state = 31, .external_lex_state = 3},
  [7974] = {.lex_state = 31, .external_lex_state = 3},
  [7975] = {.lex_state = 209, .external_lex_state = 2},
  [7976] = {.lex_state = 7, .external_lex_state = 2},
  [7977] = {.lex_state = 7, .external_lex_state = 2},
  [7978] = {.lex_state = 174, .external_lex_state = 3},
  [7979] = {.lex_state = 31, .external_lex_state = 3},
  [7980] = {.lex_state = 213, .external_lex_state = 2},
  [7981] = {.lex_state = 31, .external_lex_state = 3},
  [7982] = {.lex_state = 31, .external_lex_state = 3},
  [7983] = {.lex_state = 31, .external_lex_state = 3},
  [7984] = {.lex_state = 31, .external_lex_state = 3},
  [7985] = {.lex_state = 7, .external_lex_state = 2},
  [7986] = {.lex_state = 7, .external_lex_state = 2},
  [7987] = {.lex_state = 7, .external_lex_state = 2},
  [7988] = {.lex_state = 7, .external_lex_state = 2},
  [7989] = {.lex_state = 15, .external_lex_state = 2},
  [7990] = {.lex_state = 15, .external_lex_state = 2},
  [7991] = {.lex_state = 174, .external_lex_state = 3},
  [7992] = {.lex_state = 426, .external_lex_state = 2},
  [7993] = {.lex_state = 213, .external_lex_state = 2},
  [7994] = {.lex_state = 7, .external_lex_state = 2},
  [7995] = {.lex_state = 15, .external_lex_state = 2},
  [7996] = {.lex_state = 7, .external_lex_state = 2},
  [7997] = {.lex_state = 15, .external_lex_state = 2},
  [7998] = {.lex_state = 213, .external_lex_state = 2},
  [7999] = {.lex_state = 7, .external_lex_state = 2},
  [8000] = {.lex_state = 7, .external_lex_state = 2},
  [8001] = {.lex_state = 7, .external_lex_state = 2},
  [8002] = {.lex_state = 174, .external_lex_state = 3},
  [8003] = {.lex_state = 174, .external_lex_state = 3},
  [8004] = {.lex_state = 15, .external_lex_state = 2},
  [8005] = {.lex_state = 15, .external_lex_state = 2},
  [8006] = {.lex_state = 31, .external_lex_state = 3},
  [8007] = {.lex_state = 31, .external_lex_state = 3},
  [8008] = {.lex_state = 31, .external_lex_state = 3},
  [8009] = {.lex_state = 31, .external_lex_state = 3},
  [8010] = {.lex_state = 31, .external_lex_state = 3},
  [8011] = {.lex_state = 31, .external_lex_state = 3},
  [8012] = {.lex_state = 174, .external_lex_state = 3},
  [8013] = {.lex_state = 31, .external_lex_state = 3},
  [8014] = {.lex_state = 31, .external_lex_state = 3},
  [8015] = {.lex_state = 31, .external_lex_state = 3},
  [8016] = {.lex_state = 174, .external_lex_state = 3},
  [8017] = {.lex_state = 15, .external_lex_state = 2},
  [8018] = {.lex_state = 31, .external_lex_state = 3},
  [8019] = {.lex_state = 174, .external_lex_state = 3},
  [8020] = {.lex_state = 174, .external_lex_state = 3},
  [8021] = {.lex_state = 31, .external_lex_state = 3},
  [8022] = {.lex_state = 31, .external_lex_state = 3},
  [8023] = {.lex_state = 7, .external_lex_state = 2},
  [8024] = {.lex_state = 31, .external_lex_state = 3},
  [8025] = {.lex_state = 31, .external_lex_state = 3},
  [8026] = {.lex_state = 7, .external_lex_state = 2},
  [8027] = {.lex_state = 7, .external_lex_state = 2},
  [8028] = {.lex_state = 31, .external_lex_state = 3},
  [8029] = {.lex_state = 174, .external_lex_state = 3},
  [8030] = {.lex_state = 174, .external_lex_state = 3},
  [8031] = {.lex_state = 31, .external_lex_state = 3},
  [8032] = {.lex_state = 31, .external_lex_state = 3},
  [8033] = {.lex_state = 31, .external_lex_state = 3},
  [8034] = {.lex_state = 209, .external_lex_state = 2},
  [8035] = {.lex_state = 174, .external_lex_state = 3},
  [8036] = {.lex_state = 31, .external_lex_state = 3},
  [8037] = {.lex_state = 213, .external_lex_state = 2},
  [8038] = {.lex_state = 7, .external_lex_state = 2},
  [8039] = {.lex_state = 31, .external_lex_state = 3},
  [8040] = {.lex_state = 31, .external_lex_state = 3},
  [8041] = {.lex_state = 174, .external_lex_state = 3},
  [8042] = {.lex_state = 31, .external_lex_state = 3},
  [8043] = {.lex_state = 31, .external_lex_state = 3},
  [8044] = {.lex_state = 7, .external_lex_state = 2},
  [8045] = {.lex_state = 7, .external_lex_state = 2},
  [8046] = {.lex_state = 7, .external_lex_state = 2},
  [8047] = {.lex_state = 31, .external_lex_state = 3},
  [8048] = {.lex_state = 31, .external_lex_state = 3},
  [8049] = {.lex_state = 7, .external_lex_state = 2},
  [8050] = {.lex_state = 31, .external_lex_state = 3},
  [8051] = {.lex_state = 213, .external_lex_state = 2},
  [8052] = {.lex_state = 7, .external_lex_state = 2},
  [8053] = {.lex_state = 7, .external_lex_state = 2},
  [8054] = {.lex_state = 7, .external_lex_state = 2},
  [8055] = {.lex_state = 31, .external_lex_state = 3},
  [8056] = {.lex_state = 31, .external_lex_state = 3},
  [8057] = {.lex_state = 31, .external_lex_state = 3},
  [8058] = {.lex_state = 7, .external_lex_state = 2},
  [8059] = {.lex_state = 31, .external_lex_state = 3},
  [8060] = {.lex_state = 213, .external_lex_state = 2},
  [8061] = {.lex_state = 174, .external_lex_state = 3},
  [8062] = {.lex_state = 174, .external_lex_state = 3},
  [8063] = {.lex_state = 174, .external_lex_state = 3},
  [8064] = {.lex_state = 31, .external_lex_state = 3},
  [8065] = {.lex_state = 31, .external_lex_state = 3},
  [8066] = {.lex_state = 31, .external_lex_state = 3},
  [8067] = {.lex_state = 174, .external_lex_state = 3},
  [8068] = {.lex_state = 31, .external_lex_state = 3},
  [8069] = {.lex_state = 31, .external_lex_state = 3},
  [8070] = {.lex_state = 31, .external_lex_state = 3},
  [8071] = {.lex_state = 174, .external_lex_state = 3},
  [8072] = {.lex_state = 174, .external_lex_state = 3},
  [8073] = {.lex_state = 31, .external_lex_state = 3},
  [8074] = {.lex_state = 7, .external_lex_state = 2},
  [8075] = {.lex_state = 7, .external_lex_state = 2},
  [8076] = {.lex_state = 31, .external_lex_state = 3},
  [8077] = {.lex_state = 213, .external_lex_state = 2},
  [8078] = {.lex_state = 174, .external_lex_state = 3},
  [8079] = {.lex_state = 7, .external_lex_state = 2},
  [8080] = {.lex_state = 7, .external_lex_state = 2},
  [8081] = {.lex_state = 7, .external_lex_state = 2},
  [8082] = {.lex_state = 7, .external_lex_state = 2},
  [8083] = {.lex_state = 31, .external_lex_state = 3},
  [8084] = {.lex_state = 166, .external_lex_state = 3},
  [8085] = {.lex_state = 213, .external_lex_state = 2},
  [8086] = {.lex_state = 209, .external_lex_state = 2},
  [8087] = {.lex_state = 7, .external_lex_state = 2},
  [8088] = {.lex_state = 7, .external_lex_state = 2},
  [8089] = {.lex_state = 7, .external_lex_state = 2},
  [8090] = {.lex_state = 14, .external_lex_state = 2},
  [8091] = {.lex_state = 7, .external_lex_state = 2},
  [8092] = {.lex_state = 10, .external_lex_state = 2},
  [8093] = {.lex_state = 7, .external_lex_state = 2},
  [8094] = {.lex_state = 7, .external_lex_state = 2},
  [8095] = {.lex_state = 7, .external_lex_state = 2},
  [8096] = {.lex_state = 7, .external_lex_state = 2},
  [8097] = {.lex_state = 7, .external_lex_state = 2},
  [8098] = {.lex_state = 14, .external_lex_state = 2},
  [8099] = {.lex_state = 7, .external_lex_state = 2},
  [8100] = {.lex_state = 14, .external_lex_state = 2},
  [8101] = {.lex_state = 7, .external_lex_state = 2},
  [8102] = {.lex_state = 7, .external_lex_state = 2},
  [8103] = {.lex_state = 47, .external_lex_state = 3},
  [8104] = {.lex_state = 14, .external_lex_state = 2},
  [8105] = {.lex_state = 14, .external_lex_state = 2},
  [8106] = {.lex_state = 10, .external_lex_state = 2},
  [8107] = {.lex_state = 10, .external_lex_state = 2},
  [8108] = {.lex_state = 10, .external_lex_state = 2},
  [8109] = {.lex_state = 7, .external_lex_state = 2},
  [8110] = {.lex_state = 14, .external_lex_state = 2},
  [8111] = {.lex_state = 10, .external_lex_state = 2},
  [8112] = {.lex_state = 10, .external_lex_state = 2},
  [8113] = {.lex_state = 7, .external_lex_state = 2},
  [8114] = {.lex_state = 10, .external_lex_state = 2},
  [8115] = {.lex_state = 10, .external_lex_state = 2},
  [8116] = {.lex_state = 10, .external_lex_state = 2},
  [8117] = {.lex_state = 10, .external_lex_state = 2},
  [8118] = {.lex_state = 10, .external_lex_state = 2},
  [8119] = {.lex_state = 10, .external_lex_state = 2},
  [8120] = {.lex_state = 29, .external_lex_state = 3},
  [8121] = {.lex_state = 10, .external_lex_state = 2},
  [8122] = {.lex_state = 10, .external_lex_state = 2},
  [8123] = {.lex_state = 10, .external_lex_state = 2},
  [8124] = {.lex_state = 10, .external_lex_state = 2},
  [8125] = {.lex_state = 10, .external_lex_state = 2},
  [8126] = {.lex_state = 10, .external_lex_state = 2},
  [8127] = {.lex_state = 10, .external_lex_state = 2},
  [8128] = {.lex_state = 10, .external_lex_state = 2},
  [8129] = {.lex_state = 14, .external_lex_state = 2},
  [8130] = {.lex_state = 7, .external_lex_state = 2},
  [8131] = {.lex_state = 7, .external_lex_state = 2},
  [8132] = {.lex_state = 7, .external_lex_state = 2},
  [8133] = {.lex_state = 10, .external_lex_state = 2},
  [8134] = {.lex_state = 10, .external_lex_state = 2},
  [8135] = {.lex_state = 7, .external_lex_state = 2},
  [8136] = {.lex_state = 10, .external_lex_state = 2},
  [8137] = {.lex_state = 7, .external_lex_state = 2},
  [8138] = {.lex_state = 10, .external_lex_state = 2},
  [8139] = {.lex_state = 10, .external_lex_state = 2},
  [8140] = {.lex_state = 7, .external_lex_state = 2},
  [8141] = {.lex_state = 7, .external_lex_state = 2},
  [8142] = {.lex_state = 7, .external_lex_state = 2},
  [8143] = {.lex_state = 10, .external_lex_state = 2},
  [8144] = {.lex_state = 10, .external_lex_state = 2},
  [8145] = {.lex_state = 7, .external_lex_state = 2},
  [8146] = {.lex_state = 7, .external_lex_state = 2},
  [8147] = {.lex_state = 10, .external_lex_state = 2},
  [8148] = {.lex_state = 10, .external_lex_state = 2},
  [8149] = {.lex_state = 7, .external_lex_state = 2},
  [8150] = {.lex_state = 426, .external_lex_state = 2},
  [8151] = {.lex_state = 7, .external_lex_state = 2},
  [8152] = {.lex_state = 10, .external_lex_state = 2},
  [8153] = {.lex_state = 7, .external_lex_state = 2},
  [8154] = {.lex_state = 7, .external_lex_state = 2},
  [8155] = {.lex_state = 14, .external_lex_state = 2},
  [8156] = {.lex_state = 7, .external_lex_state = 2},
  [8157] = {.lex_state = 14, .external_lex_state = 2},
  [8158] = {.lex_state = 14, .external_lex_state = 2},
  [8159] = {.lex_state = 14, .external_lex_state = 2},
  [8160] = {.lex_state = 7, .external_lex_state = 2},
  [8161] = {.lex_state = 10, .external_lex_state = 2},
  [8162] = {.lex_state = 29, .external_lex_state = 3},
  [8163] = {.lex_state = 7, .external_lex_state = 2},
  [8164] = {.lex_state = 7, .external_lex_state = 2},
  [8165] = {.lex_state = 10, .external_lex_state = 2},
  [8166] = {.lex_state = 29, .external_lex_state = 3},
  [8167] = {.lex_state = 14, .external_lex_state = 2},
  [8168] = {.lex_state = 7, .external_lex_state = 2},
  [8169] = {.lex_state = 426, .external_lex_state = 2},
  [8170] = {.lex_state = 7, .external_lex_state = 2},
  [8171] = {.lex_state = 29, .external_lex_state = 3},
  [8172] = {.lex_state = 7, .external_lex_state = 2},
  [8173] = {.lex_state = 10, .external_lex_state = 2},
  [8174] = {.lex_state = 29, .external_lex_state = 3},
  [8175] = {.lex_state = 10, .external_lex_state = 2},
  [8176] = {.lex_state = 29, .external_lex_state = 3},
  [8177] = {.lex_state = 10, .external_lex_state = 2},
  [8178] = {.lex_state = 14, .external_lex_state = 2},
  [8179] = {.lex_state = 36, .external_lex_state = 3},
  [8180] = {.lex_state = 10, .external_lex_state = 2},
  [8181] = {.lex_state = 10, .external_lex_state = 2},
  [8182] = {.lex_state = 7, .external_lex_state = 2},
  [8183] = {.lex_state = 10, .external_lex_state = 2},
  [8184] = {.lex_state = 14, .external_lex_state = 2},
  [8185] = {.lex_state = 7, .external_lex_state = 2},
  [8186] = {.lex_state = 14, .external_lex_state = 2},
  [8187] = {.lex_state = 7, .external_lex_state = 2},
  [8188] = {.lex_state = 7, .external_lex_state = 2},
  [8189] = {.lex_state = 7, .external_lex_state = 2},
  [8190] = {.lex_state = 10, .external_lex_state = 2},
  [8191] = {.lex_state = 7, .external_lex_state = 2},
  [8192] = {.lex_state = 7, .external_lex_state = 2},
  [8193] = {.lex_state = 10, .external_lex_state = 2},
  [8194] = {.lex_state = 14, .external_lex_state = 2},
  [8195] = {.lex_state = 14, .external_lex_state = 2},
  [8196] = {.lex_state = 14, .external_lex_state = 2},
  [8197] = {.lex_state = 14, .external_lex_state = 2},
  [8198] = {.lex_state = 10, .external_lex_state = 2},
  [8199] = {.lex_state = 10, .external_lex_state = 2},
  [8200] = {.lex_state = 10, .external_lex_state = 2},
  [8201] = {.lex_state = 10, .external_lex_state = 2},
  [8202] = {.lex_state = 10, .external_lex_state = 2},
  [8203] = {.lex_state = 10, .external_lex_state = 2},
  [8204] = {.lex_state = 10, .external_lex_state = 2},
  [8205] = {.lex_state = 10, .external_lex_state = 2},
  [8206] = {.lex_state = 10, .external_lex_state = 2},
  [8207] = {.lex_state = 10, .external_lex_state = 2},
  [8208] = {.lex_state = 10, .external_lex_state = 2},
  [8209] = {.lex_state = 7, .external_lex_state = 2},
  [8210] = {.lex_state = 10, .external_lex_state = 2},
  [8211] = {.lex_state = 10, .external_lex_state = 2},
  [8212] = {.lex_state = 10, .external_lex_state = 2},
  [8213] = {.lex_state = 10, .external_lex_state = 2},
  [8214] = {.lex_state = 10, .external_lex_state = 2},
  [8215] = {.lex_state = 425, .external_lex_state = 2},
  [8216] = {.lex_state = 7, .external_lex_state = 2},
  [8217] = {.lex_state = 7, .external_lex_state = 2},
  [8218] = {.lex_state = 7, .external_lex_state = 2},
  [8219] = {.lex_state = 7, .external_lex_state = 2},
  [8220] = {.lex_state = 7, .external_lex_state = 2},
  [8221] = {.lex_state = 10, .external_lex_state = 2},
  [8222] = {.lex_state = 7, .external_lex_state = 2},
  [8223] = {.lex_state = 7, .external_lex_state = 2},
  [8224] = {.lex_state = 10, .external_lex_state = 2},
  [8225] = {.lex_state = 7, .external_lex_state = 2},
  [8226] = {.lex_state = 10, .external_lex_state = 2},
  [8227] = {.lex_state = 7, .external_lex_state = 2},
  [8228] = {.lex_state = 7, .external_lex_state = 2},
  [8229] = {.lex_state = 10, .external_lex_state = 2},
  [8230] = {.lex_state = 10, .external_lex_state = 2},
  [8231] = {.lex_state = 7, .external_lex_state = 2},
  [8232] = {.lex_state = 10, .external_lex_state = 2},
  [8233] = {.lex_state = 7, .external_lex_state = 2},
  [8234] = {.lex_state = 7, .external_lex_state = 2},
  [8235] = {.lex_state = 7, .external_lex_state = 2},
  [8236] = {.lex_state = 10, .external_lex_state = 2},
  [8237] = {.lex_state = 7, .external_lex_state = 2},
  [8238] = {.lex_state = 7, .external_lex_state = 2},
  [8239] = {.lex_state = 14, .external_lex_state = 2},
  [8240] = {.lex_state = 10, .external_lex_state = 2},
  [8241] = {.lex_state = 7, .external_lex_state = 2},
  [8242] = {.lex_state = 14, .external_lex_state = 2},
  [8243] = {.lex_state = 14, .external_lex_state = 2},
  [8244] = {.lex_state = 10, .external_lex_state = 2},
  [8245] = {.lex_state = 10, .external_lex_state = 2},
  [8246] = {.lex_state = 10, .external_lex_state = 2},
  [8247] = {.lex_state = 14, .external_lex_state = 2},
  [8248] = {.lex_state = 14, .external_lex_state = 2},
  [8249] = {.lex_state = 14, .external_lex_state = 2},
  [8250] = {.lex_state = 14, .external_lex_state = 2},
  [8251] = {.lex_state = 10, .external_lex_state = 2},
  [8252] = {.lex_state = 14, .external_lex_state = 2},
  [8253] = {.lex_state = 14, .external_lex_state = 2},
  [8254] = {.lex_state = 7, .external_lex_state = 2},
  [8255] = {.lex_state = 7, .external_lex_state = 2},
  [8256] = {.lex_state = 10, .external_lex_state = 2},
  [8257] = {.lex_state = 7, .external_lex_state = 2},
  [8258] = {.lex_state = 10, .external_lex_state = 2},
  [8259] = {.lex_state = 10, .external_lex_state = 2},
  [8260] = {.lex_state = 10, .external_lex_state = 2},
  [8261] = {.lex_state = 7, .external_lex_state = 2},
  [8262] = {.lex_state = 10, .external_lex_state = 2},
  [8263] = {.lex_state = 10, .external_lex_state = 2},
  [8264] = {.lex_state = 7, .external_lex_state = 2},
  [8265] = {.lex_state = 7, .external_lex_state = 2},
  [8266] = {.lex_state = 7, .external_lex_state = 2},
  [8267] = {.lex_state = 14, .external_lex_state = 2},
  [8268] = {.lex_state = 36, .external_lex_state = 3},
  [8269] = {.lex_state = 419, .external_lex_state = 2},
  [8270] = {.lex_state = 419, .external_lex_state = 2},
  [8271] = {.lex_state = 419, .external_lex_state = 2},
  [8272] = {.lex_state = 419, .external_lex_state = 2},
  [8273] = {.lex_state = 10, .external_lex_state = 2},
  [8274] = {.lex_state = 10, .external_lex_state = 2},
  [8275] = {.lex_state = 10, .external_lex_state = 2},
  [8276] = {.lex_state = 208, .external_lex_state = 2},
  [8277] = {.lex_state = 10, .external_lex_state = 2},
  [8278] = {.lex_state = 419, .external_lex_state = 2},
  [8279] = {.lex_state = 10, .external_lex_state = 2},
  [8280] = {.lex_state = 419, .external_lex_state = 2},
  [8281] = {.lex_state = 419, .external_lex_state = 2},
  [8282] = {.lex_state = 10, .external_lex_state = 2},
  [8283] = {.lex_state = 419, .external_lex_state = 2},
  [8284] = {.lex_state = 419, .external_lex_state = 2},
  [8285] = {.lex_state = 419, .external_lex_state = 2},
  [8286] = {.lex_state = 10, .external_lex_state = 2},
  [8287] = {.lex_state = 10, .external_lex_state = 2},
  [8288] = {.lex_state = 10, .external_lex_state = 2},
  [8289] = {.lex_state = 419, .external_lex_state = 2},
  [8290] = {.lex_state = 31, .external_lex_state = 3},
  [8291] = {.lex_state = 208, .external_lex_state = 2},
  [8292] = {.lex_state = 10, .external_lex_state = 2},
  [8293] = {.lex_state = 10, .external_lex_state = 2},
  [8294] = {.lex_state = 10, .external_lex_state = 2},
  [8295] = {.lex_state = 10, .external_lex_state = 2},
  [8296] = {.lex_state = 419, .external_lex_state = 2},
  [8297] = {.lex_state = 10, .external_lex_state = 2},
  [8298] = {.lex_state = 10, .external_lex_state = 2},
  [8299] = {.lex_state = 419, .external_lex_state = 2},
  [8300] = {.lex_state = 419, .external_lex_state = 2},
  [8301] = {.lex_state = 10, .external_lex_state = 2},
  [8302] = {.lex_state = 419, .external_lex_state = 2},
  [8303] = {.lex_state = 419, .external_lex_state = 2},
  [8304] = {.lex_state = 208, .external_lex_state = 2},
  [8305] = {.lex_state = 419, .external_lex_state = 2},
  [8306] = {.lex_state = 10, .external_lex_state = 2},
  [8307] = {.lex_state = 419, .external_lex_state = 2},
  [8308] = {.lex_state = 419, .external_lex_state = 2},
  [8309] = {.lex_state = 419, .external_lex_state = 2},
  [8310] = {.lex_state = 10, .external_lex_state = 2},
  [8311] = {.lex_state = 10, .external_lex_state = 2},
  [8312] = {.lex_state = 10, .external_lex_state = 2},
  [8313] = {.lex_state = 10, .external_lex_state = 2},
  [8314] = {.lex_state = 419, .external_lex_state = 2},
  [8315] = {.lex_state = 419, .external_lex_state = 2},
  [8316] = {.lex_state = 419, .external_lex_state = 2},
  [8317] = {.lex_state = 208, .external_lex_state = 2},
  [8318] = {.lex_state = 10, .external_lex_state = 2},
  [8319] = {.lex_state = 10, .external_lex_state = 2},
  [8320] = {.lex_state = 10, .external_lex_state = 2},
  [8321] = {.lex_state = 10, .external_lex_state = 2},
  [8322] = {.lex_state = 419, .external_lex_state = 2},
  [8323] = {.lex_state = 419, .external_lex_state = 2},
  [8324] = {.lex_state = 10, .external_lex_state = 2},
  [8325] = {.lex_state = 10, .external_lex_state = 2},
  [8326] = {.lex_state = 10, .external_lex_state = 2},
  [8327] = {.lex_state = 10, .external_lex_state = 2},
  [8328] = {.lex_state = 419, .external_lex_state = 2},
  [8329] = {.lex_state = 36, .external_lex_state = 3},
  [8330] = {.lex_state = 10, .external_lex_state = 2},
  [8331] = {.lex_state = 10, .external_lex_state = 2},
  [8332] = {.lex_state = 419, .external_lex_state = 2},
  [8333] = {.lex_state = 419, .external_lex_state = 2},
  [8334] = {.lex_state = 419, .external_lex_state = 2},
  [8335] = {.lex_state = 419, .external_lex_state = 2},
  [8336] = {.lex_state = 419, .external_lex_state = 2},
  [8337] = {.lex_state = 10, .external_lex_state = 2},
  [8338] = {.lex_state = 419, .external_lex_state = 2},
  [8339] = {.lex_state = 10, .external_lex_state = 2},
  [8340] = {.lex_state = 419, .external_lex_state = 2},
  [8341] = {.lex_state = 419, .external_lex_state = 2},
  [8342] = {.lex_state = 419, .external_lex_state = 2},
  [8343] = {.lex_state = 419, .external_lex_state = 2},
  [8344] = {.lex_state = 10, .external_lex_state = 2},
  [8345] = {.lex_state = 419, .external_lex_state = 2},
  [8346] = {.lex_state = 10, .external_lex_state = 2},
  [8347] = {.lex_state = 10, .external_lex_state = 2},
  [8348] = {.lex_state = 419, .external_lex_state = 2},
  [8349] = {.lex_state = 419, .external_lex_state = 2},
  [8350] = {.lex_state = 36, .external_lex_state = 3},
  [8351] = {.lex_state = 419, .external_lex_state = 2},
  [8352] = {.lex_state = 10, .external_lex_state = 2},
  [8353] = {.lex_state = 419, .external_lex_state = 2},
  [8354] = {.lex_state = 419, .external_lex_state = 2},
  [8355] = {.lex_state = 10, .external_lex_state = 2},
  [8356] = {.lex_state = 419, .external_lex_state = 2},
  [8357] = {.lex_state = 419, .external_lex_state = 2},
  [8358] = {.lex_state = 419, .external_lex_state = 2},
  [8359] = {.lex_state = 419, .external_lex_state = 2},
  [8360] = {.lex_state = 419, .external_lex_state = 2},
  [8361] = {.lex_state = 419, .external_lex_state = 2},
  [8362] = {.lex_state = 31, .external_lex_state = 3},
  [8363] = {.lex_state = 10, .external_lex_state = 2},
  [8364] = {.lex_state = 419, .external_lex_state = 2},
  [8365] = {.lex_state = 419, .external_lex_state = 2},
  [8366] = {.lex_state = 419, .external_lex_state = 2},
  [8367] = {.lex_state = 419, .external_lex_state = 2},
  [8368] = {.lex_state = 171, .external_lex_state = 3},
  [8369] = {.lex_state = 419, .external_lex_state = 2},
  [8370] = {.lex_state = 10, .external_lex_state = 2},
  [8371] = {.lex_state = 31, .external_lex_state = 3},
  [8372] = {.lex_state = 419, .external_lex_state = 2},
  [8373] = {.lex_state = 419, .external_lex_state = 2},
  [8374] = {.lex_state = 419, .external_lex_state = 2},
  [8375] = {.lex_state = 419, .external_lex_state = 2},
  [8376] = {.lex_state = 419, .external_lex_state = 2},
  [8377] = {.lex_state = 419, .external_lex_state = 2},
  [8378] = {.lex_state = 419, .external_lex_state = 2},
  [8379] = {.lex_state = 419, .external_lex_state = 2},
  [8380] = {.lex_state = 419, .external_lex_state = 2},
  [8381] = {.lex_state = 419, .external_lex_state = 2},
  [8382] = {.lex_state = 419, .external_lex_state = 2},
  [8383] = {.lex_state = 419, .external_lex_state = 2},
  [8384] = {.lex_state = 419, .external_lex_state = 2},
  [8385] = {.lex_state = 419, .external_lex_state = 2},
  [8386] = {.lex_state = 419, .external_lex_state = 2},
  [8387] = {.lex_state = 419, .external_lex_state = 2},
  [8388] = {.lex_state = 31, .external_lex_state = 3},
  [8389] = {.lex_state = 419, .external_lex_state = 2},
  [8390] = {.lex_state = 419, .external_lex_state = 2},
  [8391] = {.lex_state = 419, .external_lex_state = 2},
  [8392] = {.lex_state = 419, .external_lex_state = 2},
  [8393] = {.lex_state = 419, .external_lex_state = 2},
  [8394] = {.lex_state = 419, .external_lex_state = 2},
  [8395] = {.lex_state = 419, .external_lex_state = 2},
  [8396] = {.lex_state = 419, .external_lex_state = 2},
  [8397] = {.lex_state = 419, .external_lex_state = 2},
  [8398] = {.lex_state = 419, .external_lex_state = 2},
  [8399] = {.lex_state = 419, .external_lex_state = 2},
  [8400] = {.lex_state = 31, .external_lex_state = 3},
  [8401] = {.lex_state = 419, .external_lex_state = 2},
  [8402] = {.lex_state = 419, .external_lex_state = 2},
  [8403] = {.lex_state = 419, .external_lex_state = 2},
  [8404] = {.lex_state = 419, .external_lex_state = 2},
  [8405] = {.lex_state = 419, .external_lex_state = 2},
  [8406] = {.lex_state = 419, .external_lex_state = 2},
  [8407] = {.lex_state = 419, .external_lex_state = 2},
  [8408] = {.lex_state = 419, .external_lex_state = 2},
  [8409] = {.lex_state = 171, .external_lex_state = 3},
  [8410] = {.lex_state = 31, .external_lex_state = 3},
  [8411] = {.lex_state = 419, .external_lex_state = 2},
  [8412] = {.lex_state = 419, .external_lex_state = 2},
  [8413] = {.lex_state = 419, .external_lex_state = 2},
  [8414] = {.lex_state = 419, .external_lex_state = 2},
  [8415] = {.lex_state = 419, .external_lex_state = 2},
  [8416] = {.lex_state = 31, .external_lex_state = 3},
  [8417] = {.lex_state = 419, .external_lex_state = 2},
  [8418] = {.lex_state = 419, .external_lex_state = 2},
  [8419] = {.lex_state = 31, .external_lex_state = 3},
  [8420] = {.lex_state = 419, .external_lex_state = 2},
  [8421] = {.lex_state = 208, .external_lex_state = 2},
  [8422] = {.lex_state = 419, .external_lex_state = 2},
  [8423] = {.lex_state = 208, .external_lex_state = 2},
  [8424] = {.lex_state = 419, .external_lex_state = 2},
  [8425] = {.lex_state = 208, .external_lex_state = 2},
  [8426] = {.lex_state = 7, .external_lex_state = 2},
  [8427] = {.lex_state = 419, .external_lex_state = 2},
  [8428] = {.lex_state = 208, .external_lex_state = 2},
  [8429] = {.lex_state = 7, .external_lex_state = 2},
  [8430] = {.lex_state = 419, .external_lex_state = 2},
  [8431] = {.lex_state = 208, .external_lex_state = 2},
  [8432] = {.lex_state = 419, .external_lex_state = 2},
  [8433] = {.lex_state = 419, .external_lex_state = 2},
  [8434] = {.lex_state = 419, .external_lex_state = 2},
  [8435] = {.lex_state = 419, .external_lex_state = 2},
  [8436] = {.lex_state = 208, .external_lex_state = 2},
  [8437] = {.lex_state = 208, .external_lex_state = 2},
  [8438] = {.lex_state = 419, .external_lex_state = 2},
  [8439] = {.lex_state = 419, .external_lex_state = 2},
  [8440] = {.lex_state = 419, .external_lex_state = 2},
  [8441] = {.lex_state = 171, .external_lex_state = 3},
  [8442] = {.lex_state = 419, .external_lex_state = 2},
  [8443] = {.lex_state = 167, .external_lex_state = 3},
  [8444] = {.lex_state = 208, .external_lex_state = 2},
  [8445] = {.lex_state = 170, .external_lex_state = 3},
  [8446] = {.lex_state = 7, .external_lex_state = 2},
  [8447] = {.lex_state = 170, .external_lex_state = 3},
  [8448] = {.lex_state = 208, .external_lex_state = 2},
  [8449] = {.lex_state = 419, .external_lex_state = 2},
  [8450] = {.lex_state = 208, .external_lex_state = 2},
  [8451] = {.lex_state = 208, .external_lex_state = 2},
  [8452] = {.lex_state = 208, .external_lex_state = 2},
  [8453] = {.lex_state = 208, .external_lex_state = 2},
  [8454] = {.lex_state = 419, .external_lex_state = 2},
  [8455] = {.lex_state = 208, .external_lex_state = 2},
  [8456] = {.lex_state = 419, .external_lex_state = 2},
  [8457] = {.lex_state = 208, .external_lex_state = 2},
  [8458] = {.lex_state = 419, .external_lex_state = 2},
  [8459] = {.lex_state = 419, .external_lex_state = 2},
  [8460] = {.lex_state = 419, .external_lex_state = 2},
  [8461] = {.lex_state = 7, .external_lex_state = 2},
  [8462] = {.lex_state = 7, .external_lex_state = 2},
  [8463] = {.lex_state = 208, .external_lex_state = 2},
  [8464] = {.lex_state = 419, .external_lex_state = 2},
  [8465] = {.lex_state = 419, .external_lex_state = 2},
  [8466] = {.lex_state = 419, .external_lex_state = 2},
  [8467] = {.lex_state = 419, .external_lex_state = 2},
  [8468] = {.lex_state = 7, .external_lex_state = 2},
  [8469] = {.lex_state = 208, .external_lex_state = 2},
  [8470] = {.lex_state = 208, .external_lex_state = 2},
  [8471] = {.lex_state = 208, .external_lex_state = 2},
  [8472] = {.lex_state = 208, .external_lex_state = 2},
  [8473] = {.lex_state = 208, .external_lex_state = 2},
  [8474] = {.lex_state = 419, .external_lex_state = 2},
  [8475] = {.lex_state = 419, .external_lex_state = 2},
  [8476] = {.lex_state = 419, .external_lex_state = 2},
  [8477] = {.lex_state = 419, .external_lex_state = 2},
  [8478] = {.lex_state = 208, .external_lex_state = 2},
  [8479] = {.lex_state = 208, .external_lex_state = 2},
  [8480] = {.lex_state = 167, .external_lex_state = 3},
  [8481] = {.lex_state = 171, .external_lex_state = 3},
  [8482] = {.lex_state = 7, .external_lex_state = 2},
  [8483] = {.lex_state = 7, .external_lex_state = 2},
  [8484] = {.lex_state = 7, .external_lex_state = 2},
  [8485] = {.lex_state = 7, .external_lex_state = 2},
  [8486] = {.lex_state = 419, .external_lex_state = 2},
  [8487] = {.lex_state = 181, .external_lex_state = 3},
  [8488] = {.lex_state = 419, .external_lex_state = 2},
  [8489] = {.lex_state = 208, .external_lex_state = 2},
  [8490] = {.lex_state = 419, .external_lex_state = 2},
  [8491] = {.lex_state = 208, .external_lex_state = 2},
  [8492] = {.lex_state = 208, .external_lex_state = 2},
  [8493] = {.lex_state = 419, .external_lex_state = 2},
  [8494] = {.lex_state = 208, .external_lex_state = 2},
  [8495] = {.lex_state = 419, .external_lex_state = 2},
  [8496] = {.lex_state = 419, .external_lex_state = 2},
  [8497] = {.lex_state = 208, .external_lex_state = 2},
  [8498] = {.lex_state = 208, .external_lex_state = 2},
  [8499] = {.lex_state = 419, .external_lex_state = 2},
  [8500] = {.lex_state = 419, .external_lex_state = 2},
  [8501] = {.lex_state = 419, .external_lex_state = 2},
  [8502] = {.lex_state = 208, .external_lex_state = 2},
  [8503] = {.lex_state = 208, .external_lex_state = 2},
  [8504] = {.lex_state = 208, .external_lex_state = 2},
  [8505] = {.lex_state = 419, .external_lex_state = 2},
  [8506] = {.lex_state = 208, .external_lex_state = 2},
  [8507] = {.lex_state = 208, .external_lex_state = 2},
  [8508] = {.lex_state = 208, .external_lex_state = 2},
  [8509] = {.lex_state = 419, .external_lex_state = 2},
  [8510] = {.lex_state = 171, .external_lex_state = 3},
  [8511] = {.lex_state = 196, .external_lex_state = 3},
  [8512] = {.lex_state = 181, .external_lex_state = 3},
  [8513] = {.lex_state = 419, .external_lex_state = 2},
  [8514] = {.lex_state = 419, .external_lex_state = 2},
  [8515] = {.lex_state = 419, .external_lex_state = 2},
  [8516] = {.lex_state = 419, .external_lex_state = 2},
  [8517] = {.lex_state = 419, .external_lex_state = 2},
  [8518] = {.lex_state = 7, .external_lex_state = 2},
  [8519] = {.lex_state = 171, .external_lex_state = 3},
  [8520] = {.lex_state = 419, .external_lex_state = 2},
  [8521] = {.lex_state = 419, .external_lex_state = 2},
  [8522] = {.lex_state = 208, .external_lex_state = 2},
  [8523] = {.lex_state = 419, .external_lex_state = 2},
  [8524] = {.lex_state = 419, .external_lex_state = 2},
  [8525] = {.lex_state = 208, .external_lex_state = 2},
  [8526] = {.lex_state = 208, .external_lex_state = 2},
  [8527] = {.lex_state = 208, .external_lex_state = 2},
  [8528] = {.lex_state = 208, .external_lex_state = 2},
  [8529] = {.lex_state = 208, .external_lex_state = 2},
  [8530] = {.lex_state = 419, .external_lex_state = 2},
  [8531] = {.lex_state = 208, .external_lex_state = 2},
  [8532] = {.lex_state = 208, .external_lex_state = 2},
  [8533] = {.lex_state = 419, .external_lex_state = 2},
  [8534] = {.lex_state = 419, .external_lex_state = 2},
  [8535] = {.lex_state = 419, .external_lex_state = 2},
  [8536] = {.lex_state = 208, .external_lex_state = 2},
  [8537] = {.lex_state = 7, .external_lex_state = 2},
  [8538] = {.lex_state = 7, .external_lex_state = 2},
  [8539] = {.lex_state = 7, .external_lex_state = 2},
  [8540] = {.lex_state = 7, .external_lex_state = 2},
  [8541] = {.lex_state = 7, .external_lex_state = 2},
  [8542] = {.lex_state = 419, .external_lex_state = 2},
  [8543] = {.lex_state = 419, .external_lex_state = 2},
  [8544] = {.lex_state = 7, .external_lex_state = 2},
  [8545] = {.lex_state = 7, .external_lex_state = 2},
  [8546] = {.lex_state = 7, .external_lex_state = 2},
  [8547] = {.lex_state = 7, .external_lex_state = 2},
  [8548] = {.lex_state = 7, .external_lex_state = 2},
  [8549] = {.lex_state = 425, .external_lex_state = 2},
  [8550] = {.lex_state = 7, .external_lex_state = 2},
  [8551] = {.lex_state = 419, .external_lex_state = 2},
  [8552] = {.lex_state = 7, .external_lex_state = 2},
  [8553] = {.lex_state = 7, .external_lex_state = 2},
  [8554] = {.lex_state = 7, .external_lex_state = 2},
  [8555] = {.lex_state = 7, .external_lex_state = 2},
  [8556] = {.lex_state = 7, .external_lex_state = 2},
  [8557] = {.lex_state = 425, .external_lex_state = 2},
  [8558] = {.lex_state = 7, .external_lex_state = 2},
  [8559] = {.lex_state = 419, .external_lex_state = 2},
  [8560] = {.lex_state = 7, .external_lex_state = 2},
  [8561] = {.lex_state = 7, .external_lex_state = 2},
  [8562] = {.lex_state = 7, .external_lex_state = 2},
  [8563] = {.lex_state = 7, .external_lex_state = 2},
  [8564] = {.lex_state = 7, .external_lex_state = 2},
  [8565] = {.lex_state = 7, .external_lex_state = 2},
  [8566] = {.lex_state = 7, .external_lex_state = 2},
  [8567] = {.lex_state = 170, .external_lex_state = 3},
  [8568] = {.lex_state = 167, .external_lex_state = 3},
  [8569] = {.lex_state = 7, .external_lex_state = 2},
  [8570] = {.lex_state = 7, .external_lex_state = 2},
  [8571] = {.lex_state = 7, .external_lex_state = 2},
  [8572] = {.lex_state = 187, .external_lex_state = 3},
  [8573] = {.lex_state = 7, .external_lex_state = 2},
  [8574] = {.lex_state = 167, .external_lex_state = 3},
  [8575] = {.lex_state = 419, .external_lex_state = 2},
  [8576] = {.lex_state = 419, .external_lex_state = 2},
  [8577] = {.lex_state = 7, .external_lex_state = 2},
  [8578] = {.lex_state = 7, .external_lex_state = 2},
  [8579] = {.lex_state = 167, .external_lex_state = 3},
  [8580] = {.lex_state = 7, .external_lex_state = 2},
  [8581] = {.lex_state = 7, .external_lex_state = 2},
  [8582] = {.lex_state = 425, .external_lex_state = 2},
  [8583] = {.lex_state = 7, .external_lex_state = 2},
  [8584] = {.lex_state = 170, .external_lex_state = 3},
  [8585] = {.lex_state = 7, .external_lex_state = 2},
  [8586] = {.lex_state = 7, .external_lex_state = 2},
  [8587] = {.lex_state = 426, .external_lex_state = 2},
  [8588] = {.lex_state = 170, .external_lex_state = 3},
  [8589] = {.lex_state = 170, .external_lex_state = 3},
  [8590] = {.lex_state = 170, .external_lex_state = 3},
  [8591] = {.lex_state = 170, .external_lex_state = 3},
  [8592] = {.lex_state = 170, .external_lex_state = 3},
  [8593] = {.lex_state = 170, .external_lex_state = 3},
  [8594] = {.lex_state = 7, .external_lex_state = 2},
  [8595] = {.lex_state = 7, .external_lex_state = 2},
  [8596] = {.lex_state = 167, .external_lex_state = 3},
  [8597] = {.lex_state = 7, .external_lex_state = 2},
  [8598] = {.lex_state = 170, .external_lex_state = 3},
  [8599] = {.lex_state = 7, .external_lex_state = 2},
  [8600] = {.lex_state = 7, .external_lex_state = 2},
  [8601] = {.lex_state = 7, .external_lex_state = 2},
  [8602] = {.lex_state = 7, .external_lex_state = 2},
  [8603] = {.lex_state = 7, .external_lex_state = 2},
  [8604] = {.lex_state = 7, .external_lex_state = 2},
  [8605] = {.lex_state = 170, .external_lex_state = 3},
  [8606] = {.lex_state = 7, .external_lex_state = 2},
  [8607] = {.lex_state = 170, .external_lex_state = 3},
  [8608] = {.lex_state = 170, .external_lex_state = 3},
  [8609] = {.lex_state = 419, .external_lex_state = 2},
  [8610] = {.lex_state = 419, .external_lex_state = 2},
  [8611] = {.lex_state = 170, .external_lex_state = 3},
  [8612] = {.lex_state = 170, .external_lex_state = 3},
  [8613] = {.lex_state = 170, .external_lex_state = 3},
  [8614] = {.lex_state = 170, .external_lex_state = 3},
  [8615] = {.lex_state = 170, .external_lex_state = 3},
  [8616] = {.lex_state = 170, .external_lex_state = 3},
  [8617] = {.lex_state = 170, .external_lex_state = 3},
  [8618] = {.lex_state = 170, .external_lex_state = 3},
  [8619] = {.lex_state = 170, .external_lex_state = 3},
  [8620] = {.lex_state = 170, .external_lex_state = 3},
  [8621] = {.lex_state = 170, .external_lex_state = 3},
  [8622] = {.lex_state = 170, .external_lex_state = 3},
  [8623] = {.lex_state = 170, .external_lex_state = 3},
  [8624] = {.lex_state = 170, .external_lex_state = 3},
  [8625] = {.lex_state = 187, .external_lex_state = 3},
  [8626] = {.lex_state = 170, .external_lex_state = 3},
  [8627] = {.lex_state = 170, .external_lex_state = 3},
  [8628] = {.lex_state = 187, .external_lex_state = 3},
  [8629] = {.lex_state = 7, .external_lex_state = 2},
  [8630] = {.lex_state = 7, .external_lex_state = 2},
  [8631] = {.lex_state = 170, .external_lex_state = 3},
  [8632] = {.lex_state = 7, .external_lex_state = 2},
  [8633] = {.lex_state = 7, .external_lex_state = 2},
  [8634] = {.lex_state = 419, .external_lex_state = 2},
  [8635] = {.lex_state = 170, .external_lex_state = 3},
  [8636] = {.lex_state = 170, .external_lex_state = 3},
  [8637] = {.lex_state = 7, .external_lex_state = 2},
  [8638] = {.lex_state = 170, .external_lex_state = 3},
  [8639] = {.lex_state = 170, .external_lex_state = 3},
  [8640] = {.lex_state = 7, .external_lex_state = 2},
  [8641] = {.lex_state = 170, .external_lex_state = 3},
  [8642] = {.lex_state = 170, .external_lex_state = 3},
  [8643] = {.lex_state = 170, .external_lex_state = 3},
  [8644] = {.lex_state = 170, .external_lex_state = 3},
  [8645] = {.lex_state = 170, .external_lex_state = 3},
  [8646] = {.lex_state = 170, .external_lex_state = 3},
  [8647] = {.lex_state = 170, .external_lex_state = 3},
  [8648] = {.lex_state = 170, .external_lex_state = 3},
  [8649] = {.lex_state = 170, .external_lex_state = 3},
  [8650] = {.lex_state = 170, .external_lex_state = 3},
  [8651] = {.lex_state = 170, .external_lex_state = 3},
  [8652] = {.lex_state = 170, .external_lex_state = 3},
  [8653] = {.lex_state = 170, .external_lex_state = 3},
  [8654] = {.lex_state = 170, .external_lex_state = 3},
  [8655] = {.lex_state = 170, .external_lex_state = 3},
  [8656] = {.lex_state = 170, .external_lex_state = 3},
  [8657] = {.lex_state = 7, .external_lex_state = 2},
  [8658] = {.lex_state = 7, .external_lex_state = 2},
  [8659] = {.lex_state = 17, .external_lex_state = 2},
  [8660] = {.lex_state = 170, .external_lex_state = 3},
  [8661] = {.lex_state = 170, .external_lex_state = 3},
  [8662] = {.lex_state = 170, .external_lex_state = 3},
  [8663] = {.lex_state = 170, .external_lex_state = 3},
  [8664] = {.lex_state = 425, .external_lex_state = 2},
  [8665] = {.lex_state = 7, .external_lex_state = 2},
  [8666] = {.lex_state = 425, .external_lex_state = 2},
  [8667] = {.lex_state = 7, .external_lex_state = 2},
  [8668] = {.lex_state = 7, .external_lex_state = 2},
  [8669] = {.lex_state = 7, .external_lex_state = 2},
  [8670] = {.lex_state = 419, .external_lex_state = 2},
  [8671] = {.lex_state = 17, .external_lex_state = 2},
  [8672] = {.lex_state = 419, .external_lex_state = 2},
  [8673] = {.lex_state = 419, .external_lex_state = 2},
  [8674] = {.lex_state = 419, .external_lex_state = 2},
  [8675] = {.lex_state = 419, .external_lex_state = 2},
  [8676] = {.lex_state = 419, .external_lex_state = 2},
  [8677] = {.lex_state = 419, .external_lex_state = 2},
  [8678] = {.lex_state = 419, .external_lex_state = 2},
  [8679] = {.lex_state = 7, .external_lex_state = 2},
  [8680] = {.lex_state = 419, .external_lex_state = 2},
  [8681] = {.lex_state = 419, .external_lex_state = 2},
  [8682] = {.lex_state = 419, .external_lex_state = 2},
  [8683] = {.lex_state = 419, .external_lex_state = 2},
  [8684] = {.lex_state = 7, .external_lex_state = 2},
  [8685] = {.lex_state = 419, .external_lex_state = 2},
  [8686] = {.lex_state = 7, .external_lex_state = 2},
  [8687] = {.lex_state = 7, .external_lex_state = 2},
  [8688] = {.lex_state = 7, .external_lex_state = 2},
  [8689] = {.lex_state = 7, .external_lex_state = 2},
  [8690] = {.lex_state = 7, .external_lex_state = 2},
  [8691] = {.lex_state = 7, .external_lex_state = 2},
  [8692] = {.lex_state = 7, .external_lex_state = 2},
  [8693] = {.lex_state = 7, .external_lex_state = 2},
  [8694] = {.lex_state = 7, .external_lex_state = 2},
  [8695] = {.lex_state = 17, .external_lex_state = 2},
  [8696] = {.lex_state = 7, .external_lex_state = 2},
  [8697] = {.lex_state = 170, .external_lex_state = 3},
  [8698] = {.lex_state = 7, .external_lex_state = 2},
  [8699] = {.lex_state = 7, .external_lex_state = 2},
  [8700] = {.lex_state = 7, .external_lex_state = 2},
  [8701] = {.lex_state = 7, .external_lex_state = 2},
  [8702] = {.lex_state = 7, .external_lex_state = 2},
  [8703] = {.lex_state = 7, .external_lex_state = 2},
  [8704] = {.lex_state = 7, .external_lex_state = 2},
  [8705] = {.lex_state = 7, .external_lex_state = 2},
  [8706] = {.lex_state = 419, .external_lex_state = 2},
  [8707] = {.lex_state = 7, .external_lex_state = 2},
  [8708] = {.lex_state = 7, .external_lex_state = 2},
  [8709] = {.lex_state = 419, .external_lex_state = 2},
  [8710] = {.lex_state = 7, .external_lex_state = 2},
  [8711] = {.lex_state = 7, .external_lex_state = 2},
  [8712] = {.lex_state = 170, .external_lex_state = 3},
  [8713] = {.lex_state = 7, .external_lex_state = 2},
  [8714] = {.lex_state = 7, .external_lex_state = 2},
  [8715] = {.lex_state = 7, .external_lex_state = 2},
  [8716] = {.lex_state = 170, .external_lex_state = 3},
  [8717] = {.lex_state = 170, .external_lex_state = 3},
  [8718] = {.lex_state = 7, .external_lex_state = 2},
  [8719] = {.lex_state = 7, .external_lex_state = 2},
  [8720] = {.lex_state = 7, .external_lex_state = 2},
  [8721] = {.lex_state = 7, .external_lex_state = 2},
  [8722] = {.lex_state = 7, .external_lex_state = 2},
  [8723] = {.lex_state = 7, .external_lex_state = 2},
  [8724] = {.lex_state = 7, .external_lex_state = 2},
  [8725] = {.lex_state = 7, .external_lex_state = 2},
  [8726] = {.lex_state = 7, .external_lex_state = 2},
  [8727] = {.lex_state = 170, .external_lex_state = 3},
  [8728] = {.lex_state = 7, .external_lex_state = 2},
  [8729] = {.lex_state = 7, .external_lex_state = 2},
  [8730] = {.lex_state = 170, .external_lex_state = 3},
  [8731] = {.lex_state = 170, .external_lex_state = 3},
  [8732] = {.lex_state = 7, .external_lex_state = 2},
  [8733] = {.lex_state = 7, .external_lex_state = 2},
  [8734] = {.lex_state = 170, .external_lex_state = 3},
  [8735] = {.lex_state = 7, .external_lex_state = 2},
  [8736] = {.lex_state = 7, .external_lex_state = 2},
  [8737] = {.lex_state = 7, .external_lex_state = 2},
  [8738] = {.lex_state = 7, .external_lex_state = 2},
  [8739] = {.lex_state = 7, .external_lex_state = 2},
  [8740] = {.lex_state = 7, .external_lex_state = 2},
  [8741] = {.lex_state = 7, .external_lex_state = 2},
  [8742] = {.lex_state = 7, .external_lex_state = 2},
  [8743] = {.lex_state = 7, .external_lex_state = 2},
  [8744] = {.lex_state = 7, .external_lex_state = 2},
  [8745] = {.lex_state = 7, .external_lex_state = 2},
  [8746] = {.lex_state = 419, .external_lex_state = 2},
  [8747] = {.lex_state = 7, .external_lex_state = 2},
  [8748] = {.lex_state = 419, .external_lex_state = 2},
  [8749] = {.lex_state = 7, .external_lex_state = 2},
  [8750] = {.lex_state = 7, .external_lex_state = 2},
  [8751] = {.lex_state = 7, .external_lex_state = 2},
  [8752] = {.lex_state = 7, .external_lex_state = 2},
  [8753] = {.lex_state = 7, .external_lex_state = 2},
  [8754] = {.lex_state = 7, .external_lex_state = 2},
  [8755] = {.lex_state = 7, .external_lex_state = 2},
  [8756] = {.lex_state = 7, .external_lex_state = 2},
  [8757] = {.lex_state = 7, .external_lex_state = 2},
  [8758] = {.lex_state = 7, .external_lex_state = 2},
  [8759] = {.lex_state = 7, .external_lex_state = 2},
  [8760] = {.lex_state = 7, .external_lex_state = 2},
  [8761] = {.lex_state = 7, .external_lex_state = 2},
  [8762] = {.lex_state = 7, .external_lex_state = 2},
  [8763] = {.lex_state = 7, .external_lex_state = 2},
  [8764] = {.lex_state = 7, .external_lex_state = 2},
  [8765] = {.lex_state = 7, .external_lex_state = 2},
  [8766] = {.lex_state = 7, .external_lex_state = 2},
  [8767] = {.lex_state = 7, .external_lex_state = 2},
  [8768] = {.lex_state = 7, .external_lex_state = 2},
  [8769] = {.lex_state = 419, .external_lex_state = 2},
  [8770] = {.lex_state = 419, .external_lex_state = 2},
  [8771] = {.lex_state = 419, .external_lex_state = 2},
  [8772] = {.lex_state = 7, .external_lex_state = 2},
  [8773] = {.lex_state = 419, .external_lex_state = 2},
  [8774] = {.lex_state = 7, .external_lex_state = 2},
  [8775] = {.lex_state = 419, .external_lex_state = 2},
  [8776] = {.lex_state = 419, .external_lex_state = 2},
  [8777] = {.lex_state = 187, .external_lex_state = 3},
  [8778] = {.lex_state = 187, .external_lex_state = 3},
  [8779] = {.lex_state = 7, .external_lex_state = 2},
  [8780] = {.lex_state = 7, .external_lex_state = 2},
  [8781] = {.lex_state = 187, .external_lex_state = 3},
  [8782] = {.lex_state = 187, .external_lex_state = 3},
  [8783] = {.lex_state = 7, .external_lex_state = 2},
  [8784] = {.lex_state = 419, .external_lex_state = 2},
  [8785] = {.lex_state = 7, .external_lex_state = 2},
  [8786] = {.lex_state = 419, .external_lex_state = 2},
  [8787] = {.lex_state = 419, .external_lex_state = 2},
  [8788] = {.lex_state = 419, .external_lex_state = 2},
  [8789] = {.lex_state = 187, .external_lex_state = 3},
  [8790] = {.lex_state = 181, .external_lex_state = 3},
  [8791] = {.lex_state = 419, .external_lex_state = 2},
  [8792] = {.lex_state = 7, .external_lex_state = 2},
  [8793] = {.lex_state = 7, .external_lex_state = 2},
  [8794] = {.lex_state = 7, .external_lex_state = 2},
  [8795] = {.lex_state = 7, .external_lex_state = 2},
  [8796] = {.lex_state = 7, .external_lex_state = 2},
  [8797] = {.lex_state = 7, .external_lex_state = 2},
  [8798] = {.lex_state = 7, .external_lex_state = 2},
  [8799] = {.lex_state = 7, .external_lex_state = 2},
  [8800] = {.lex_state = 187, .external_lex_state = 3},
  [8801] = {.lex_state = 7, .external_lex_state = 2},
  [8802] = {.lex_state = 187, .external_lex_state = 3},
  [8803] = {.lex_state = 187, .external_lex_state = 3},
  [8804] = {.lex_state = 7, .external_lex_state = 2},
  [8805] = {.lex_state = 7, .external_lex_state = 2},
  [8806] = {.lex_state = 7, .external_lex_state = 2},
  [8807] = {.lex_state = 7, .external_lex_state = 2},
  [8808] = {.lex_state = 7, .external_lex_state = 2},
  [8809] = {.lex_state = 7, .external_lex_state = 2},
  [8810] = {.lex_state = 7, .external_lex_state = 2},
  [8811] = {.lex_state = 7, .external_lex_state = 2},
  [8812] = {.lex_state = 7, .external_lex_state = 2},
  [8813] = {.lex_state = 7, .external_lex_state = 2},
  [8814] = {.lex_state = 7, .external_lex_state = 2},
  [8815] = {.lex_state = 7, .external_lex_state = 2},
  [8816] = {.lex_state = 7, .external_lex_state = 2},
  [8817] = {.lex_state = 7, .external_lex_state = 2},
  [8818] = {.lex_state = 7, .external_lex_state = 2},
  [8819] = {.lex_state = 7, .external_lex_state = 2},
  [8820] = {.lex_state = 7, .external_lex_state = 2},
  [8821] = {.lex_state = 7, .external_lex_state = 2},
  [8822] = {.lex_state = 7, .external_lex_state = 2},
  [8823] = {.lex_state = 7, .external_lex_state = 2},
  [8824] = {.lex_state = 7, .external_lex_state = 2},
  [8825] = {.lex_state = 7, .external_lex_state = 2},
  [8826] = {.lex_state = 7, .external_lex_state = 2},
  [8827] = {.lex_state = 7, .external_lex_state = 2},
  [8828] = {.lex_state = 7, .external_lex_state = 2},
  [8829] = {.lex_state = 7, .external_lex_state = 2},
  [8830] = {.lex_state = 7, .external_lex_state = 2},
  [8831] = {.lex_state = 7, .external_lex_state = 2},
  [8832] = {.lex_state = 7, .external_lex_state = 2},
  [8833] = {.lex_state = 7, .external_lex_state = 2},
  [8834] = {.lex_state = 7, .external_lex_state = 2},
  [8835] = {.lex_state = 7, .external_lex_state = 2},
  [8836] = {.lex_state = 181, .external_lex_state = 3},
  [8837] = {.lex_state = 7, .external_lex_state = 2},
  [8838] = {.lex_state = 7, .external_lex_state = 2},
  [8839] = {.lex_state = 7, .external_lex_state = 2},
  [8840] = {.lex_state = 7, .external_lex_state = 2},
  [8841] = {.lex_state = 7, .external_lex_state = 2},
  [8842] = {.lex_state = 7, .external_lex_state = 2},
  [8843] = {.lex_state = 7, .external_lex_state = 2},
  [8844] = {.lex_state = 7, .external_lex_state = 2},
  [8845] = {.lex_state = 181, .external_lex_state = 3},
  [8846] = {.lex_state = 181, .external_lex_state = 3},
  [8847] = {.lex_state = 425, .external_lex_state = 2},
  [8848] = {.lex_state = 419, .external_lex_state = 2},
  [8849] = {.lex_state = 7, .external_lex_state = 2},
  [8850] = {.lex_state = 7, .external_lex_state = 2},
  [8851] = {.lex_state = 7, .external_lex_state = 2},
  [8852] = {.lex_state = 181, .external_lex_state = 3},
  [8853] = {.lex_state = 181, .external_lex_state = 3},
  [8854] = {.lex_state = 425, .external_lex_state = 2},
  [8855] = {.lex_state = 181, .external_lex_state = 3},
  [8856] = {.lex_state = 181, .external_lex_state = 3},
  [8857] = {.lex_state = 419, .external_lex_state = 2},
  [8858] = {.lex_state = 181, .external_lex_state = 3},
  [8859] = {.lex_state = 181, .external_lex_state = 3},
  [8860] = {.lex_state = 425, .external_lex_state = 2},
  [8861] = {.lex_state = 181, .external_lex_state = 3},
  [8862] = {.lex_state = 425, .external_lex_state = 2},
  [8863] = {.lex_state = 419, .external_lex_state = 2},
  [8864] = {.lex_state = 425, .external_lex_state = 2},
  [8865] = {.lex_state = 181, .external_lex_state = 3},
  [8866] = {.lex_state = 181, .external_lex_state = 3},
  [8867] = {.lex_state = 181, .external_lex_state = 3},
  [8868] = {.lex_state = 181, .external_lex_state = 3},
  [8869] = {.lex_state = 15, .external_lex_state = 2},
  [8870] = {.lex_state = 15, .external_lex_state = 2},
  [8871] = {.lex_state = 425, .external_lex_state = 2},
  [8872] = {.lex_state = 419, .external_lex_state = 2},
  [8873] = {.lex_state = 425, .external_lex_state = 2},
  [8874] = {.lex_state = 425, .external_lex_state = 2},
  [8875] = {.lex_state = 15, .external_lex_state = 2},
  [8876] = {.lex_state = 181, .external_lex_state = 3},
  [8877] = {.lex_state = 15, .external_lex_state = 2},
  [8878] = {.lex_state = 419, .external_lex_state = 2},
  [8879] = {.lex_state = 181, .external_lex_state = 3},
  [8880] = {.lex_state = 181, .external_lex_state = 3},
  [8881] = {.lex_state = 181, .external_lex_state = 3},
  [8882] = {.lex_state = 181, .external_lex_state = 3},
  [8883] = {.lex_state = 181, .external_lex_state = 3},
  [8884] = {.lex_state = 181, .external_lex_state = 3},
  [8885] = {.lex_state = 181, .external_lex_state = 3},
  [8886] = {.lex_state = 181, .external_lex_state = 3},
  [8887] = {.lex_state = 425, .external_lex_state = 2},
  [8888] = {.lex_state = 419, .external_lex_state = 2},
  [8889] = {.lex_state = 181, .external_lex_state = 3},
  [8890] = {.lex_state = 181, .external_lex_state = 3},
  [8891] = {.lex_state = 425, .external_lex_state = 2},
  [8892] = {.lex_state = 181, .external_lex_state = 3},
  [8893] = {.lex_state = 425, .external_lex_state = 2},
  [8894] = {.lex_state = 181, .external_lex_state = 3},
  [8895] = {.lex_state = 181, .external_lex_state = 3},
  [8896] = {.lex_state = 181, .external_lex_state = 3},
  [8897] = {.lex_state = 181, .external_lex_state = 3},
  [8898] = {.lex_state = 181, .external_lex_state = 3},
  [8899] = {.lex_state = 181, .external_lex_state = 3},
  [8900] = {.lex_state = 181, .external_lex_state = 3},
  [8901] = {.lex_state = 181, .external_lex_state = 3},
  [8902] = {.lex_state = 181, .external_lex_state = 3},
  [8903] = {.lex_state = 181, .external_lex_state = 3},
  [8904] = {.lex_state = 181, .external_lex_state = 3},
  [8905] = {.lex_state = 181, .external_lex_state = 3},
  [8906] = {.lex_state = 181, .external_lex_state = 3},
  [8907] = {.lex_state = 181, .external_lex_state = 3},
  [8908] = {.lex_state = 181, .external_lex_state = 3},
  [8909] = {.lex_state = 181, .external_lex_state = 3},
  [8910] = {.lex_state = 181, .external_lex_state = 3},
  [8911] = {.lex_state = 181, .external_lex_state = 3},
  [8912] = {.lex_state = 425, .external_lex_state = 2},
  [8913] = {.lex_state = 181, .external_lex_state = 3},
  [8914] = {.lex_state = 181, .external_lex_state = 3},
  [8915] = {.lex_state = 181, .external_lex_state = 3},
  [8916] = {.lex_state = 181, .external_lex_state = 3},
  [8917] = {.lex_state = 181, .external_lex_state = 3},
  [8918] = {.lex_state = 181, .external_lex_state = 3},
  [8919] = {.lex_state = 419, .external_lex_state = 2},
  [8920] = {.lex_state = 419, .external_lex_state = 2},
  [8921] = {.lex_state = 181, .external_lex_state = 3},
  [8922] = {.lex_state = 425, .external_lex_state = 2},
  [8923] = {.lex_state = 181, .external_lex_state = 3},
  [8924] = {.lex_state = 226, .external_lex_state = 2},
  [8925] = {.lex_state = 226, .external_lex_state = 2},
  [8926] = {.lex_state = 225, .external_lex_state = 2},
  [8927] = {.lex_state = 419, .external_lex_state = 2},
  [8928] = {.lex_state = 225, .external_lex_state = 2},
  [8929] = {.lex_state = 419, .external_lex_state = 2},
  [8930] = {.lex_state = 226, .external_lex_state = 2},
  [8931] = {.lex_state = 419, .external_lex_state = 2},
  [8932] = {.lex_state = 225, .external_lex_state = 2},
  [8933] = {.lex_state = 419, .external_lex_state = 2},
  [8934] = {.lex_state = 430, .external_lex_state = 2},
  [8935] = {.lex_state = 419, .external_lex_state = 2},
  [8936] = {.lex_state = 419, .external_lex_state = 2},
  [8937] = {.lex_state = 7, .external_lex_state = 2},
  [8938] = {.lex_state = 7, .external_lex_state = 2},
  [8939] = {.lex_state = 7, .external_lex_state = 2},
  [8940] = {.lex_state = 433, .external_lex_state = 2},
  [8941] = {.lex_state = 433, .external_lex_state = 2},
  [8942] = {.lex_state = 7, .external_lex_state = 2},
  [8943] = {.lex_state = 419, .external_lex_state = 2},
  [8944] = {.lex_state = 425, .external_lex_state = 2},
  [8945] = {.lex_state = 7, .external_lex_state = 2},
  [8946] = {.lex_state = 215, .external_lex_state = 2},
  [8947] = {.lex_state = 7, .external_lex_state = 2},
  [8948] = {.lex_state = 7, .external_lex_state = 2},
  [8949] = {.lex_state = 7, .external_lex_state = 2},
  [8950] = {.lex_state = 7, .external_lex_state = 2},
  [8951] = {.lex_state = 7, .external_lex_state = 2},
  [8952] = {.lex_state = 7, .external_lex_state = 2},
  [8953] = {.lex_state = 7, .external_lex_state = 2},
  [8954] = {.lex_state = 425, .external_lex_state = 2},
  [8955] = {.lex_state = 7, .external_lex_state = 2},
  [8956] = {.lex_state = 425, .external_lex_state = 2},
  [8957] = {.lex_state = 425, .external_lex_state = 2},
  [8958] = {.lex_state = 216, .external_lex_state = 2},
  [8959] = {.lex_state = 7, .external_lex_state = 2},
  [8960] = {.lex_state = 7, .external_lex_state = 2},
  [8961] = {.lex_state = 425, .external_lex_state = 2},
  [8962] = {.lex_state = 7, .external_lex_state = 2},
  [8963] = {.lex_state = 7, .external_lex_state = 2},
  [8964] = {.lex_state = 7, .external_lex_state = 2},
  [8965] = {.lex_state = 7, .external_lex_state = 2},
  [8966] = {.lex_state = 7, .external_lex_state = 2},
  [8967] = {.lex_state = 225, .external_lex_state = 2},
  [8968] = {.lex_state = 7, .external_lex_state = 2},
  [8969] = {.lex_state = 7, .external_lex_state = 2},
  [8970] = {.lex_state = 7, .external_lex_state = 2},
  [8971] = {.lex_state = 419, .external_lex_state = 2},
  [8972] = {.lex_state = 7, .external_lex_state = 2},
  [8973] = {.lex_state = 419, .external_lex_state = 2},
  [8974] = {.lex_state = 7, .external_lex_state = 2},
  [8975] = {.lex_state = 7, .external_lex_state = 2},
  [8976] = {.lex_state = 216, .external_lex_state = 2},
  [8977] = {.lex_state = 7, .external_lex_state = 2},
  [8978] = {.lex_state = 7, .external_lex_state = 2},
  [8979] = {.lex_state = 7, .external_lex_state = 2},
  [8980] = {.lex_state = 433, .external_lex_state = 2},
  [8981] = {.lex_state = 419, .external_lex_state = 2},
  [8982] = {.lex_state = 7, .external_lex_state = 2},
  [8983] = {.lex_state = 425, .external_lex_state = 2},
  [8984] = {.lex_state = 7, .external_lex_state = 2},
  [8985] = {.lex_state = 7, .external_lex_state = 2},
  [8986] = {.lex_state = 419, .external_lex_state = 2},
  [8987] = {.lex_state = 419, .external_lex_state = 2},
  [8988] = {.lex_state = 7, .external_lex_state = 2},
  [8989] = {.lex_state = 419, .external_lex_state = 2},
  [8990] = {.lex_state = 215, .external_lex_state = 2},
  [8991] = {.lex_state = 7, .external_lex_state = 2},
  [8992] = {.lex_state = 419, .external_lex_state = 2},
  [8993] = {.lex_state = 7, .external_lex_state = 2},
  [8994] = {.lex_state = 7, .external_lex_state = 2},
  [8995] = {.lex_state = 7, .external_lex_state = 2},
  [8996] = {.lex_state = 226, .external_lex_state = 2},
  [8997] = {.lex_state = 7, .external_lex_state = 2},
  [8998] = {.lex_state = 7, .external_lex_state = 2},
  [8999] = {.lex_state = 7, .external_lex_state = 2},
  [9000] = {.lex_state = 7, .external_lex_state = 2},
  [9001] = {.lex_state = 7, .external_lex_state = 2},
  [9002] = {.lex_state = 7, .external_lex_state = 2},
  [9003] = {.lex_state = 28, .external_lex_state = 3},
  [9004] = {.lex_state = 7, .external_lex_state = 2},
  [9005] = {.lex_state = 7, .external_lex_state = 2},
  [9006] = {.lex_state = 7, .external_lex_state = 2},
  [9007] = {.lex_state = 7, .external_lex_state = 2},
  [9008] = {.lex_state = 28, .external_lex_state = 3},
  [9009] = {.lex_state = 7, .external_lex_state = 2},
  [9010] = {.lex_state = 7, .external_lex_state = 2},
  [9011] = {.lex_state = 7, .external_lex_state = 2},
  [9012] = {.lex_state = 7, .external_lex_state = 2},
  [9013] = {.lex_state = 7, .external_lex_state = 2},
  [9014] = {.lex_state = 7, .external_lex_state = 2},
  [9015] = {.lex_state = 7, .external_lex_state = 2},
  [9016] = {.lex_state = 28, .external_lex_state = 3},
  [9017] = {.lex_state = 7, .external_lex_state = 2},
  [9018] = {.lex_state = 7, .external_lex_state = 2},
  [9019] = {.lex_state = 7, .external_lex_state = 2},
  [9020] = {.lex_state = 7, .external_lex_state = 2},
  [9021] = {.lex_state = 7, .external_lex_state = 2},
  [9022] = {.lex_state = 28, .external_lex_state = 3},
  [9023] = {.lex_state = 28, .external_lex_state = 3},
  [9024] = {.lex_state = 7, .external_lex_state = 2},
  [9025] = {.lex_state = 7, .external_lex_state = 2},
  [9026] = {.lex_state = 28, .external_lex_state = 3},
  [9027] = {.lex_state = 7, .external_lex_state = 2},
  [9028] = {.lex_state = 28, .external_lex_state = 3},
  [9029] = {.lex_state = 28, .external_lex_state = 3},
  [9030] = {.lex_state = 28, .external_lex_state = 3},
  [9031] = {.lex_state = 7, .external_lex_state = 2},
  [9032] = {.lex_state = 7, .external_lex_state = 2},
  [9033] = {.lex_state = 7, .external_lex_state = 2},
  [9034] = {.lex_state = 7, .external_lex_state = 2},
  [9035] = {.lex_state = 215, .external_lex_state = 2},
  [9036] = {.lex_state = 215, .external_lex_state = 2},
  [9037] = {.lex_state = 215, .external_lex_state = 2},
  [9038] = {.lex_state = 215, .external_lex_state = 2},
  [9039] = {.lex_state = 7, .external_lex_state = 2},
  [9040] = {.lex_state = 215, .external_lex_state = 2},
  [9041] = {.lex_state = 215, .external_lex_state = 2},
  [9042] = {.lex_state = 28, .external_lex_state = 3},
  [9043] = {.lex_state = 7, .external_lex_state = 2},
  [9044] = {.lex_state = 7, .external_lex_state = 2},
  [9045] = {.lex_state = 227, .external_lex_state = 2},
  [9046] = {.lex_state = 225, .external_lex_state = 2},
  [9047] = {.lex_state = 225, .external_lex_state = 2},
  [9048] = {.lex_state = 215, .external_lex_state = 2},
  [9049] = {.lex_state = 7, .external_lex_state = 2},
  [9050] = {.lex_state = 7, .external_lex_state = 2},
  [9051] = {.lex_state = 7, .external_lex_state = 2},
  [9052] = {.lex_state = 28, .external_lex_state = 3},
  [9053] = {.lex_state = 28, .external_lex_state = 3},
  [9054] = {.lex_state = 7, .external_lex_state = 2},
  [9055] = {.lex_state = 28, .external_lex_state = 3},
  [9056] = {.lex_state = 28, .external_lex_state = 3},
  [9057] = {.lex_state = 433, .external_lex_state = 2},
  [9058] = {.lex_state = 7, .external_lex_state = 2},
  [9059] = {.lex_state = 28, .external_lex_state = 3},
  [9060] = {.lex_state = 28, .external_lex_state = 3},
  [9061] = {.lex_state = 226, .external_lex_state = 2},
  [9062] = {.lex_state = 226, .external_lex_state = 2},
  [9063] = {.lex_state = 28, .external_lex_state = 3},
  [9064] = {.lex_state = 28, .external_lex_state = 3},
  [9065] = {.lex_state = 428, .external_lex_state = 2},
  [9066] = {.lex_state = 7, .external_lex_state = 2},
  [9067] = {.lex_state = 7, .external_lex_state = 2},
  [9068] = {.lex_state = 431, .external_lex_state = 2},
  [9069] = {.lex_state = 28, .external_lex_state = 3},
  [9070] = {.lex_state = 7, .external_lex_state = 2},
  [9071] = {.lex_state = 7, .external_lex_state = 2},
  [9072] = {.lex_state = 28, .external_lex_state = 3},
  [9073] = {.lex_state = 7, .external_lex_state = 2},
  [9074] = {.lex_state = 7, .external_lex_state = 2},
  [9075] = {.lex_state = 7, .external_lex_state = 2},
  [9076] = {.lex_state = 7, .external_lex_state = 2},
  [9077] = {.lex_state = 7, .external_lex_state = 2},
  [9078] = {.lex_state = 7, .external_lex_state = 2},
  [9079] = {.lex_state = 425, .external_lex_state = 2},
  [9080] = {.lex_state = 7, .external_lex_state = 2},
  [9081] = {.lex_state = 7, .external_lex_state = 2},
  [9082] = {.lex_state = 28, .external_lex_state = 3},
  [9083] = {.lex_state = 216, .external_lex_state = 2},
  [9084] = {.lex_state = 216, .external_lex_state = 2},
  [9085] = {.lex_state = 7, .external_lex_state = 2},
  [9086] = {.lex_state = 7, .external_lex_state = 2},
  [9087] = {.lex_state = 216, .external_lex_state = 2},
  [9088] = {.lex_state = 216, .external_lex_state = 2},
  [9089] = {.lex_state = 216, .external_lex_state = 2},
  [9090] = {.lex_state = 28, .external_lex_state = 3},
  [9091] = {.lex_state = 216, .external_lex_state = 2},
  [9092] = {.lex_state = 7, .external_lex_state = 2},
  [9093] = {.lex_state = 7, .external_lex_state = 2},
  [9094] = {.lex_state = 7, .external_lex_state = 2},
  [9095] = {.lex_state = 429, .external_lex_state = 2},
  [9096] = {.lex_state = 7, .external_lex_state = 2},
  [9097] = {.lex_state = 7, .external_lex_state = 2},
  [9098] = {.lex_state = 28, .external_lex_state = 3},
  [9099] = {.lex_state = 7, .external_lex_state = 2},
  [9100] = {.lex_state = 7, .external_lex_state = 2},
  [9101] = {.lex_state = 7, .external_lex_state = 2},
  [9102] = {.lex_state = 7, .external_lex_state = 2},
  [9103] = {.lex_state = 225, .external_lex_state = 2},
  [9104] = {.lex_state = 7, .external_lex_state = 2},
  [9105] = {.lex_state = 28, .external_lex_state = 3},
  [9106] = {.lex_state = 28, .external_lex_state = 3},
  [9107] = {.lex_state = 28, .external_lex_state = 3},
  [9108] = {.lex_state = 225, .external_lex_state = 2},
  [9109] = {.lex_state = 225, .external_lex_state = 2},
  [9110] = {.lex_state = 225, .external_lex_state = 2},
  [9111] = {.lex_state = 225, .external_lex_state = 2},
  [9112] = {.lex_state = 7, .external_lex_state = 2},
  [9113] = {.lex_state = 7, .external_lex_state = 2},
  [9114] = {.lex_state = 7, .external_lex_state = 2},
  [9115] = {.lex_state = 28, .external_lex_state = 3},
  [9116] = {.lex_state = 28, .external_lex_state = 3},
  [9117] = {.lex_state = 431, .external_lex_state = 2},
  [9118] = {.lex_state = 28, .external_lex_state = 3},
  [9119] = {.lex_state = 227, .external_lex_state = 2},
  [9120] = {.lex_state = 28, .external_lex_state = 3},
  [9121] = {.lex_state = 225, .external_lex_state = 2},
  [9122] = {.lex_state = 7, .external_lex_state = 2},
  [9123] = {.lex_state = 225, .external_lex_state = 2},
  [9124] = {.lex_state = 225, .external_lex_state = 2},
  [9125] = {.lex_state = 225, .external_lex_state = 2},
  [9126] = {.lex_state = 28, .external_lex_state = 3},
  [9127] = {.lex_state = 28, .external_lex_state = 3},
  [9128] = {.lex_state = 28, .external_lex_state = 3},
  [9129] = {.lex_state = 425, .external_lex_state = 2},
  [9130] = {.lex_state = 28, .external_lex_state = 3},
  [9131] = {.lex_state = 7, .external_lex_state = 2},
  [9132] = {.lex_state = 28, .external_lex_state = 3},
  [9133] = {.lex_state = 227, .external_lex_state = 2},
  [9134] = {.lex_state = 28, .external_lex_state = 3},
  [9135] = {.lex_state = 28, .external_lex_state = 3},
  [9136] = {.lex_state = 28, .external_lex_state = 3},
  [9137] = {.lex_state = 28, .external_lex_state = 3},
  [9138] = {.lex_state = 28, .external_lex_state = 3},
  [9139] = {.lex_state = 225, .external_lex_state = 2},
  [9140] = {.lex_state = 225, .external_lex_state = 2},
  [9141] = {.lex_state = 28, .external_lex_state = 3},
  [9142] = {.lex_state = 28, .external_lex_state = 3},
  [9143] = {.lex_state = 225, .external_lex_state = 2},
  [9144] = {.lex_state = 225, .external_lex_state = 2},
  [9145] = {.lex_state = 7, .external_lex_state = 2},
  [9146] = {.lex_state = 7, .external_lex_state = 2},
  [9147] = {.lex_state = 7, .external_lex_state = 2},
  [9148] = {.lex_state = 7, .external_lex_state = 2},
  [9149] = {.lex_state = 28, .external_lex_state = 3},
  [9150] = {.lex_state = 7, .external_lex_state = 2},
  [9151] = {.lex_state = 7, .external_lex_state = 2},
  [9152] = {.lex_state = 7, .external_lex_state = 2},
  [9153] = {.lex_state = 28, .external_lex_state = 3},
  [9154] = {.lex_state = 28, .external_lex_state = 3},
  [9155] = {.lex_state = 28, .external_lex_state = 3},
  [9156] = {.lex_state = 7, .external_lex_state = 2},
  [9157] = {.lex_state = 7, .external_lex_state = 2},
  [9158] = {.lex_state = 28, .external_lex_state = 3},
  [9159] = {.lex_state = 7, .external_lex_state = 2},
  [9160] = {.lex_state = 216, .external_lex_state = 2},
  [9161] = {.lex_state = 225, .external_lex_state = 2},
  [9162] = {.lex_state = 225, .external_lex_state = 2},
  [9163] = {.lex_state = 7, .external_lex_state = 2},
  [9164] = {.lex_state = 225, .external_lex_state = 2},
  [9165] = {.lex_state = 225, .external_lex_state = 2},
  [9166] = {.lex_state = 7, .external_lex_state = 2},
  [9167] = {.lex_state = 225, .external_lex_state = 2},
  [9168] = {.lex_state = 225, .external_lex_state = 2},
  [9169] = {.lex_state = 28, .external_lex_state = 3},
  [9170] = {.lex_state = 225, .external_lex_state = 2},
  [9171] = {.lex_state = 28, .external_lex_state = 3},
  [9172] = {.lex_state = 225, .external_lex_state = 2},
  [9173] = {.lex_state = 225, .external_lex_state = 2},
  [9174] = {.lex_state = 7, .external_lex_state = 2},
  [9175] = {.lex_state = 28, .external_lex_state = 3},
  [9176] = {.lex_state = 225, .external_lex_state = 2},
  [9177] = {.lex_state = 7, .external_lex_state = 2},
  [9178] = {.lex_state = 7, .external_lex_state = 2},
  [9179] = {.lex_state = 28, .external_lex_state = 3},
  [9180] = {.lex_state = 7, .external_lex_state = 2},
  [9181] = {.lex_state = 7, .external_lex_state = 2},
  [9182] = {.lex_state = 7, .external_lex_state = 2},
  [9183] = {.lex_state = 7, .external_lex_state = 2},
  [9184] = {.lex_state = 7, .external_lex_state = 2},
  [9185] = {.lex_state = 225, .external_lex_state = 2},
  [9186] = {.lex_state = 226, .external_lex_state = 2},
  [9187] = {.lex_state = 28, .external_lex_state = 3},
  [9188] = {.lex_state = 28, .external_lex_state = 3},
  [9189] = {.lex_state = 226, .external_lex_state = 2},
  [9190] = {.lex_state = 226, .external_lex_state = 2},
  [9191] = {.lex_state = 225, .external_lex_state = 2},
  [9192] = {.lex_state = 226, .external_lex_state = 2},
  [9193] = {.lex_state = 7, .external_lex_state = 2},
  [9194] = {.lex_state = 226, .external_lex_state = 2},
  [9195] = {.lex_state = 28, .external_lex_state = 3},
  [9196] = {.lex_state = 7, .external_lex_state = 2},
  [9197] = {.lex_state = 7, .external_lex_state = 2},
  [9198] = {.lex_state = 7, .external_lex_state = 2},
  [9199] = {.lex_state = 7, .external_lex_state = 2},
  [9200] = {.lex_state = 7, .external_lex_state = 2},
  [9201] = {.lex_state = 28, .external_lex_state = 3},
  [9202] = {.lex_state = 28, .external_lex_state = 3},
  [9203] = {.lex_state = 28, .external_lex_state = 3},
  [9204] = {.lex_state = 28, .external_lex_state = 3},
  [9205] = {.lex_state = 7, .external_lex_state = 2},
  [9206] = {.lex_state = 419, .external_lex_state = 2},
  [9207] = {.lex_state = 226, .external_lex_state = 2},
  [9208] = {.lex_state = 226, .external_lex_state = 2},
  [9209] = {.lex_state = 226, .external_lex_state = 2},
  [9210] = {.lex_state = 226, .external_lex_state = 2},
  [9211] = {.lex_state = 7, .external_lex_state = 2},
  [9212] = {.lex_state = 7, .external_lex_state = 2},
  [9213] = {.lex_state = 7, .external_lex_state = 2},
  [9214] = {.lex_state = 7, .external_lex_state = 2},
  [9215] = {.lex_state = 7, .external_lex_state = 2},
  [9216] = {.lex_state = 226, .external_lex_state = 2},
  [9217] = {.lex_state = 226, .external_lex_state = 2},
  [9218] = {.lex_state = 226, .external_lex_state = 2},
  [9219] = {.lex_state = 226, .external_lex_state = 2},
  [9220] = {.lex_state = 225, .external_lex_state = 2},
  [9221] = {.lex_state = 7, .external_lex_state = 2},
  [9222] = {.lex_state = 28, .external_lex_state = 3},
  [9223] = {.lex_state = 7, .external_lex_state = 2},
  [9224] = {.lex_state = 226, .external_lex_state = 2},
  [9225] = {.lex_state = 226, .external_lex_state = 2},
  [9226] = {.lex_state = 226, .external_lex_state = 2},
  [9227] = {.lex_state = 226, .external_lex_state = 2},
  [9228] = {.lex_state = 226, .external_lex_state = 2},
  [9229] = {.lex_state = 226, .external_lex_state = 2},
  [9230] = {.lex_state = 28, .external_lex_state = 3},
  [9231] = {.lex_state = 28, .external_lex_state = 3},
  [9232] = {.lex_state = 226, .external_lex_state = 2},
  [9233] = {.lex_state = 226, .external_lex_state = 2},
  [9234] = {.lex_state = 226, .external_lex_state = 2},
  [9235] = {.lex_state = 7, .external_lex_state = 2},
  [9236] = {.lex_state = 226, .external_lex_state = 2},
  [9237] = {.lex_state = 7, .external_lex_state = 2},
  [9238] = {.lex_state = 7, .external_lex_state = 2},
  [9239] = {.lex_state = 7, .external_lex_state = 2},
  [9240] = {.lex_state = 7, .external_lex_state = 2},
  [9241] = {.lex_state = 7, .external_lex_state = 2},
  [9242] = {.lex_state = 7, .external_lex_state = 2},
  [9243] = {.lex_state = 7, .external_lex_state = 2},
  [9244] = {.lex_state = 28, .external_lex_state = 3},
  [9245] = {.lex_state = 7, .external_lex_state = 2},
  [9246] = {.lex_state = 7, .external_lex_state = 2},
  [9247] = {.lex_state = 7, .external_lex_state = 2},
  [9248] = {.lex_state = 7, .external_lex_state = 2},
  [9249] = {.lex_state = 226, .external_lex_state = 2},
  [9250] = {.lex_state = 7, .external_lex_state = 2},
  [9251] = {.lex_state = 216, .external_lex_state = 2},
  [9252] = {.lex_state = 226, .external_lex_state = 2},
  [9253] = {.lex_state = 7, .external_lex_state = 2},
  [9254] = {.lex_state = 429, .external_lex_state = 2},
  [9255] = {.lex_state = 429, .external_lex_state = 2},
  [9256] = {.lex_state = 7, .external_lex_state = 2},
  [9257] = {.lex_state = 7, .external_lex_state = 2},
  [9258] = {.lex_state = 7, .external_lex_state = 2},
  [9259] = {.lex_state = 7, .external_lex_state = 2},
  [9260] = {.lex_state = 28, .external_lex_state = 3},
  [9261] = {.lex_state = 7, .external_lex_state = 2},
  [9262] = {.lex_state = 7, .external_lex_state = 2},
  [9263] = {.lex_state = 226, .external_lex_state = 2},
  [9264] = {.lex_state = 419, .external_lex_state = 2},
  [9265] = {.lex_state = 7, .external_lex_state = 2},
  [9266] = {.lex_state = 28, .external_lex_state = 3},
  [9267] = {.lex_state = 7, .external_lex_state = 2},
  [9268] = {.lex_state = 28, .external_lex_state = 3},
  [9269] = {.lex_state = 28, .external_lex_state = 3},
  [9270] = {.lex_state = 28, .external_lex_state = 3},
  [9271] = {.lex_state = 215, .external_lex_state = 2},
  [9272] = {.lex_state = 7, .external_lex_state = 2},
  [9273] = {.lex_state = 7, .external_lex_state = 2},
  [9274] = {.lex_state = 28, .external_lex_state = 3},
  [9275] = {.lex_state = 7, .external_lex_state = 2},
  [9276] = {.lex_state = 7, .external_lex_state = 2},
  [9277] = {.lex_state = 7, .external_lex_state = 2},
  [9278] = {.lex_state = 28, .external_lex_state = 3},
  [9279] = {.lex_state = 28, .external_lex_state = 3},
  [9280] = {.lex_state = 28, .external_lex_state = 3},
  [9281] = {.lex_state = 7, .external_lex_state = 2},
  [9282] = {.lex_state = 7, .external_lex_state = 2},
  [9283] = {.lex_state = 7, .external_lex_state = 2},
  [9284] = {.lex_state = 7, .external_lex_state = 2},
  [9285] = {.lex_state = 28, .external_lex_state = 3},
  [9286] = {.lex_state = 225, .external_lex_state = 2},
  [9287] = {.lex_state = 225, .external_lex_state = 2},
  [9288] = {.lex_state = 225, .external_lex_state = 2},
  [9289] = {.lex_state = 225, .external_lex_state = 2},
  [9290] = {.lex_state = 226, .external_lex_state = 2},
  [9291] = {.lex_state = 226, .external_lex_state = 2},
  [9292] = {.lex_state = 226, .external_lex_state = 2},
  [9293] = {.lex_state = 226, .external_lex_state = 2},
  [9294] = {.lex_state = 7, .external_lex_state = 2},
  [9295] = {.lex_state = 7, .external_lex_state = 2},
  [9296] = {.lex_state = 7, .external_lex_state = 2},
  [9297] = {.lex_state = 7, .external_lex_state = 2},
  [9298] = {.lex_state = 7, .external_lex_state = 2},
  [9299] = {.lex_state = 7, .external_lex_state = 2},
  [9300] = {.lex_state = 7, .external_lex_state = 2},
  [9301] = {.lex_state = 7, .external_lex_state = 2},
  [9302] = {.lex_state = 7, .external_lex_state = 2},
  [9303] = {.lex_state = 7, .external_lex_state = 2},
  [9304] = {.lex_state = 7, .external_lex_state = 2},
  [9305] = {.lex_state = 7, .external_lex_state = 2},
  [9306] = {.lex_state = 419, .external_lex_state = 2},
  [9307] = {.lex_state = 429, .external_lex_state = 2},
  [9308] = {.lex_state = 7, .external_lex_state = 2},
  [9309] = {.lex_state = 28, .external_lex_state = 3},
  [9310] = {.lex_state = 7, .external_lex_state = 2},
  [9311] = {.lex_state = 28, .external_lex_state = 3},
  [9312] = {.lex_state = 7, .external_lex_state = 2},
  [9313] = {.lex_state = 15, .external_lex_state = 2},
  [9314] = {.lex_state = 15, .external_lex_state = 2},
  [9315] = {.lex_state = 15, .external_lex_state = 2},
  [9316] = {.lex_state = 15, .external_lex_state = 2},
  [9317] = {.lex_state = 28, .external_lex_state = 3},
  [9318] = {.lex_state = 215, .external_lex_state = 2},
  [9319] = {.lex_state = 215, .external_lex_state = 2},
  [9320] = {.lex_state = 7, .external_lex_state = 2},
  [9321] = {.lex_state = 425, .external_lex_state = 2},
  [9322] = {.lex_state = 433, .external_lex_state = 2},
  [9323] = {.lex_state = 173, .external_lex_state = 2},
  [9324] = {.lex_state = 173, .external_lex_state = 2},
  [9325] = {.lex_state = 215, .external_lex_state = 2},
  [9326] = {.lex_state = 172, .external_lex_state = 2},
  [9327] = {.lex_state = 215, .external_lex_state = 2},
  [9328] = {.lex_state = 173, .external_lex_state = 2},
  [9329] = {.lex_state = 216, .external_lex_state = 2},
  [9330] = {.lex_state = 172, .external_lex_state = 2},
  [9331] = {.lex_state = 173, .external_lex_state = 2},
  [9332] = {.lex_state = 173, .external_lex_state = 2},
  [9333] = {.lex_state = 216, .external_lex_state = 2},
  [9334] = {.lex_state = 173, .external_lex_state = 2},
  [9335] = {.lex_state = 215, .external_lex_state = 2},
  [9336] = {.lex_state = 431, .external_lex_state = 2},
  [9337] = {.lex_state = 433, .external_lex_state = 2},
  [9338] = {.lex_state = 425, .external_lex_state = 2},
  [9339] = {.lex_state = 216, .external_lex_state = 2},
  [9340] = {.lex_state = 425, .external_lex_state = 2},
  [9341] = {.lex_state = 7, .external_lex_state = 2},
  [9342] = {.lex_state = 431, .external_lex_state = 2},
  [9343] = {.lex_state = 431, .external_lex_state = 2},
  [9344] = {.lex_state = 215, .external_lex_state = 2},
  [9345] = {.lex_state = 7, .external_lex_state = 2},
  [9346] = {.lex_state = 216, .external_lex_state = 2},
  [9347] = {.lex_state = 216, .external_lex_state = 2},
  [9348] = {.lex_state = 227, .external_lex_state = 2},
  [9349] = {.lex_state = 215, .external_lex_state = 2},
  [9350] = {.lex_state = 215, .external_lex_state = 2},
  [9351] = {.lex_state = 216, .external_lex_state = 2},
  [9352] = {.lex_state = 216, .external_lex_state = 2},
  [9353] = {.lex_state = 216, .external_lex_state = 2},
  [9354] = {.lex_state = 172, .external_lex_state = 2},
  [9355] = {.lex_state = 216, .external_lex_state = 2},
  [9356] = {.lex_state = 216, .external_lex_state = 2},
  [9357] = {.lex_state = 431, .external_lex_state = 2},
  [9358] = {.lex_state = 433, .external_lex_state = 2},
  [9359] = {.lex_state = 7, .external_lex_state = 2},
  [9360] = {.lex_state = 425, .external_lex_state = 2},
  [9361] = {.lex_state = 215, .external_lex_state = 2},
  [9362] = {.lex_state = 7, .external_lex_state = 2},
  [9363] = {.lex_state = 7, .external_lex_state = 2},
  [9364] = {.lex_state = 211, .external_lex_state = 2},
  [9365] = {.lex_state = 215, .external_lex_state = 2},
  [9366] = {.lex_state = 216, .external_lex_state = 2},
  [9367] = {.lex_state = 216, .external_lex_state = 2},
  [9368] = {.lex_state = 7, .external_lex_state = 2},
  [9369] = {.lex_state = 216, .external_lex_state = 2},
  [9370] = {.lex_state = 216, .external_lex_state = 2},
  [9371] = {.lex_state = 7, .external_lex_state = 2},
  [9372] = {.lex_state = 215, .external_lex_state = 2},
  [9373] = {.lex_state = 14, .external_lex_state = 2},
  [9374] = {.lex_state = 14, .external_lex_state = 2},
  [9375] = {.lex_state = 14, .external_lex_state = 2},
  [9376] = {.lex_state = 182, .external_lex_state = 3},
  [9377] = {.lex_state = 14, .external_lex_state = 2},
  [9378] = {.lex_state = 14, .external_lex_state = 2},
  [9379] = {.lex_state = 14, .external_lex_state = 2},
  [9380] = {.lex_state = 14, .external_lex_state = 2},
  [9381] = {.lex_state = 14, .external_lex_state = 2},
  [9382] = {.lex_state = 14, .external_lex_state = 2},
  [9383] = {.lex_state = 14, .external_lex_state = 2},
  [9384] = {.lex_state = 14, .external_lex_state = 2},
  [9385] = {.lex_state = 14, .external_lex_state = 2},
  [9386] = {.lex_state = 14, .external_lex_state = 2},
  [9387] = {.lex_state = 431, .external_lex_state = 2},
  [9388] = {.lex_state = 14, .external_lex_state = 2},
  [9389] = {.lex_state = 215, .external_lex_state = 2},
  [9390] = {.lex_state = 216, .external_lex_state = 2},
  [9391] = {.lex_state = 207, .external_lex_state = 2},
  [9392] = {.lex_state = 207, .external_lex_state = 2},
  [9393] = {.lex_state = 14, .external_lex_state = 2},
  [9394] = {.lex_state = 215, .external_lex_state = 2},
  [9395] = {.lex_state = 425, .external_lex_state = 2},
  [9396] = {.lex_state = 215, .external_lex_state = 2},
  [9397] = {.lex_state = 14, .external_lex_state = 2},
  [9398] = {.lex_state = 14, .external_lex_state = 2},
  [9399] = {.lex_state = 216, .external_lex_state = 2},
  [9400] = {.lex_state = 216, .external_lex_state = 2},
  [9401] = {.lex_state = 216, .external_lex_state = 2},
  [9402] = {.lex_state = 207, .external_lex_state = 2},
  [9403] = {.lex_state = 425, .external_lex_state = 2},
  [9404] = {.lex_state = 425, .external_lex_state = 2},
  [9405] = {.lex_state = 215, .external_lex_state = 2},
  [9406] = {.lex_state = 216, .external_lex_state = 2},
  [9407] = {.lex_state = 216, .external_lex_state = 2},
  [9408] = {.lex_state = 182, .external_lex_state = 3},
  [9409] = {.lex_state = 425, .external_lex_state = 2},
  [9410] = {.lex_state = 216, .external_lex_state = 2},
  [9411] = {.lex_state = 216, .external_lex_state = 2},
  [9412] = {.lex_state = 215, .external_lex_state = 2},
  [9413] = {.lex_state = 215, .external_lex_state = 2},
  [9414] = {.lex_state = 433, .external_lex_state = 2},
  [9415] = {.lex_state = 215, .external_lex_state = 2},
  [9416] = {.lex_state = 433, .external_lex_state = 2},
  [9417] = {.lex_state = 215, .external_lex_state = 2},
  [9418] = {.lex_state = 433, .external_lex_state = 2},
  [9419] = {.lex_state = 215, .external_lex_state = 2},
  [9420] = {.lex_state = 215, .external_lex_state = 2},
  [9421] = {.lex_state = 216, .external_lex_state = 2},
  [9422] = {.lex_state = 425, .external_lex_state = 2},
  [9423] = {.lex_state = 7, .external_lex_state = 2},
  [9424] = {.lex_state = 215, .external_lex_state = 2},
  [9425] = {.lex_state = 216, .external_lex_state = 2},
  [9426] = {.lex_state = 431, .external_lex_state = 2},
  [9427] = {.lex_state = 215, .external_lex_state = 2},
  [9428] = {.lex_state = 433, .external_lex_state = 2},
  [9429] = {.lex_state = 216, .external_lex_state = 2},
  [9430] = {.lex_state = 433, .external_lex_state = 2},
  [9431] = {.lex_state = 433, .external_lex_state = 2},
  [9432] = {.lex_state = 431, .external_lex_state = 2},
  [9433] = {.lex_state = 433, .external_lex_state = 2},
  [9434] = {.lex_state = 215, .external_lex_state = 2},
  [9435] = {.lex_state = 216, .external_lex_state = 2},
  [9436] = {.lex_state = 425, .external_lex_state = 2},
  [9437] = {.lex_state = 216, .external_lex_state = 2},
  [9438] = {.lex_state = 215, .external_lex_state = 2},
  [9439] = {.lex_state = 215, .external_lex_state = 2},
  [9440] = {.lex_state = 172, .external_lex_state = 2},
  [9441] = {.lex_state = 9, .external_lex_state = 2},
  [9442] = {.lex_state = 433, .external_lex_state = 2},
  [9443] = {.lex_state = 433, .external_lex_state = 2},
  [9444] = {.lex_state = 216, .external_lex_state = 2},
  [9445] = {.lex_state = 216, .external_lex_state = 2},
  [9446] = {.lex_state = 433, .external_lex_state = 2},
  [9447] = {.lex_state = 216, .external_lex_state = 2},
  [9448] = {.lex_state = 172, .external_lex_state = 2},
  [9449] = {.lex_state = 433, .external_lex_state = 2},
  [9450] = {.lex_state = 433, .external_lex_state = 2},
  [9451] = {.lex_state = 433, .external_lex_state = 2},
  [9452] = {.lex_state = 433, .external_lex_state = 2},
  [9453] = {.lex_state = 433, .external_lex_state = 2},
  [9454] = {.lex_state = 207, .external_lex_state = 2},
  [9455] = {.lex_state = 216, .external_lex_state = 2},
  [9456] = {.lex_state = 14, .external_lex_state = 2},
  [9457] = {.lex_state = 431, .external_lex_state = 2},
  [9458] = {.lex_state = 425, .external_lex_state = 2},
  [9459] = {.lex_state = 14, .external_lex_state = 2},
  [9460] = {.lex_state = 14, .external_lex_state = 2},
  [9461] = {.lex_state = 14, .external_lex_state = 2},
  [9462] = {.lex_state = 14, .external_lex_state = 2},
  [9463] = {.lex_state = 14, .external_lex_state = 2},
  [9464] = {.lex_state = 14, .external_lex_state = 2},
  [9465] = {.lex_state = 425, .external_lex_state = 2},
  [9466] = {.lex_state = 433, .external_lex_state = 2},
  [9467] = {.lex_state = 433, .external_lex_state = 2},
  [9468] = {.lex_state = 433, .external_lex_state = 2},
  [9469] = {.lex_state = 433, .external_lex_state = 2},
  [9470] = {.lex_state = 215, .external_lex_state = 2},
  [9471] = {.lex_state = 216, .external_lex_state = 2},
  [9472] = {.lex_state = 215, .external_lex_state = 2},
  [9473] = {.lex_state = 215, .external_lex_state = 2},
  [9474] = {.lex_state = 215, .external_lex_state = 2},
  [9475] = {.lex_state = 425, .external_lex_state = 2},
  [9476] = {.lex_state = 215, .external_lex_state = 2},
  [9477] = {.lex_state = 215, .external_lex_state = 2},
  [9478] = {.lex_state = 433, .external_lex_state = 2},
  [9479] = {.lex_state = 433, .external_lex_state = 2},
  [9480] = {.lex_state = 215, .external_lex_state = 2},
  [9481] = {.lex_state = 433, .external_lex_state = 2},
  [9482] = {.lex_state = 433, .external_lex_state = 2},
  [9483] = {.lex_state = 433, .external_lex_state = 2},
  [9484] = {.lex_state = 215, .external_lex_state = 2},
  [9485] = {.lex_state = 433, .external_lex_state = 2},
  [9486] = {.lex_state = 172, .external_lex_state = 2},
  [9487] = {.lex_state = 207, .external_lex_state = 2},
  [9488] = {.lex_state = 433, .external_lex_state = 2},
  [9489] = {.lex_state = 216, .external_lex_state = 2},
  [9490] = {.lex_state = 211, .external_lex_state = 2},
  [9491] = {.lex_state = 433, .external_lex_state = 2},
  [9492] = {.lex_state = 433, .external_lex_state = 2},
  [9493] = {.lex_state = 433, .external_lex_state = 2},
  [9494] = {.lex_state = 7, .external_lex_state = 2},
  [9495] = {.lex_state = 425, .external_lex_state = 2},
  [9496] = {.lex_state = 425, .external_lex_state = 2},
  [9497] = {.lex_state = 425, .external_lex_state = 2},
  [9498] = {.lex_state = 425, .external_lex_state = 2},
  [9499] = {.lex_state = 216, .external_lex_state = 2},
  [9500] = {.lex_state = 172, .external_lex_state = 2},
  [9501] = {.lex_state = 425, .external_lex_state = 2},
  [9502] = {.lex_state = 14, .external_lex_state = 2},
  [9503] = {.lex_state = 227, .external_lex_state = 2},
  [9504] = {.lex_state = 431, .external_lex_state = 2},
  [9505] = {.lex_state = 431, .external_lex_state = 2},
  [9506] = {.lex_state = 431, .external_lex_state = 2},
  [9507] = {.lex_state = 431, .external_lex_state = 2},
  [9508] = {.lex_state = 431, .external_lex_state = 2},
  [9509] = {.lex_state = 9, .external_lex_state = 2},
  [9510] = {.lex_state = 9, .external_lex_state = 2},
  [9511] = {.lex_state = 227, .external_lex_state = 2},
  [9512] = {.lex_state = 9, .external_lex_state = 2},
  [9513] = {.lex_state = 211, .external_lex_state = 2},
  [9514] = {.lex_state = 227, .external_lex_state = 2},
  [9515] = {.lex_state = 15, .external_lex_state = 2},
  [9516] = {.lex_state = 15, .external_lex_state = 2},
  [9517] = {.lex_state = 15, .external_lex_state = 2},
  [9518] = {.lex_state = 15, .external_lex_state = 2},
  [9519] = {.lex_state = 15, .external_lex_state = 2},
  [9520] = {.lex_state = 15, .external_lex_state = 2},
  [9521] = {.lex_state = 15, .external_lex_state = 2},
  [9522] = {.lex_state = 9, .external_lex_state = 2},
  [9523] = {.lex_state = 15, .external_lex_state = 2},
  [9524] = {.lex_state = 15, .external_lex_state = 2},
  [9525] = {.lex_state = 15, .external_lex_state = 2},
  [9526] = {.lex_state = 15, .external_lex_state = 2},
  [9527] = {.lex_state = 15, .external_lex_state = 2},
  [9528] = {.lex_state = 15, .external_lex_state = 2},
  [9529] = {.lex_state = 14, .external_lex_state = 2},
  [9530] = {.lex_state = 14, .external_lex_state = 2},
  [9531] = {.lex_state = 14, .external_lex_state = 2},
  [9532] = {.lex_state = 220, .external_lex_state = 2},
  [9533] = {.lex_state = 173, .external_lex_state = 2},
  [9534] = {.lex_state = 14, .external_lex_state = 2},
  [9535] = {.lex_state = 9, .external_lex_state = 2},
  [9536] = {.lex_state = 14, .external_lex_state = 2},
  [9537] = {.lex_state = 9, .external_lex_state = 2},
  [9538] = {.lex_state = 46, .external_lex_state = 3},
  [9539] = {.lex_state = 428, .external_lex_state = 2},
  [9540] = {.lex_state = 14, .external_lex_state = 2},
  [9541] = {.lex_state = 425, .external_lex_state = 2},
  [9542] = {.lex_state = 227, .external_lex_state = 2},
  [9543] = {.lex_state = 216, .external_lex_state = 2},
  [9544] = {.lex_state = 227, .external_lex_state = 2},
  [9545] = {.lex_state = 227, .external_lex_state = 2},
  [9546] = {.lex_state = 227, .external_lex_state = 2},
  [9547] = {.lex_state = 9, .external_lex_state = 2},
  [9548] = {.lex_state = 9, .external_lex_state = 2},
  [9549] = {.lex_state = 420, .external_lex_state = 2},
  [9550] = {.lex_state = 431, .external_lex_state = 2},
  [9551] = {.lex_state = 431, .external_lex_state = 2},
  [9552] = {.lex_state = 431, .external_lex_state = 2},
  [9553] = {.lex_state = 9, .external_lex_state = 2},
  [9554] = {.lex_state = 9, .external_lex_state = 2},
  [9555] = {.lex_state = 431, .external_lex_state = 2},
  [9556] = {.lex_state = 9, .external_lex_state = 2},
  [9557] = {.lex_state = 9, .external_lex_state = 2},
  [9558] = {.lex_state = 9, .external_lex_state = 2},
  [9559] = {.lex_state = 419, .external_lex_state = 2},
  [9560] = {.lex_state = 419, .external_lex_state = 2},
  [9561] = {.lex_state = 9, .external_lex_state = 2},
  [9562] = {.lex_state = 419, .external_lex_state = 2},
  [9563] = {.lex_state = 15, .external_lex_state = 2},
  [9564] = {.lex_state = 15, .external_lex_state = 2},
  [9565] = {.lex_state = 227, .external_lex_state = 2},
  [9566] = {.lex_state = 9, .external_lex_state = 2},
  [9567] = {.lex_state = 227, .external_lex_state = 2},
  [9568] = {.lex_state = 211, .external_lex_state = 2},
  [9569] = {.lex_state = 211, .external_lex_state = 2},
  [9570] = {.lex_state = 227, .external_lex_state = 2},
  [9571] = {.lex_state = 227, .external_lex_state = 2},
  [9572] = {.lex_state = 227, .external_lex_state = 2},
  [9573] = {.lex_state = 227, .external_lex_state = 2},
  [9574] = {.lex_state = 9, .external_lex_state = 2},
  [9575] = {.lex_state = 9, .external_lex_state = 2},
  [9576] = {.lex_state = 9, .external_lex_state = 2},
  [9577] = {.lex_state = 9, .external_lex_state = 2},
  [9578] = {.lex_state = 9, .external_lex_state = 2},
  [9579] = {.lex_state = 211, .external_lex_state = 2},
  [9580] = {.lex_state = 9, .external_lex_state = 2},
  [9581] = {.lex_state = 227, .external_lex_state = 2},
  [9582] = {.lex_state = 227, .external_lex_state = 2},
  [9583] = {.lex_state = 227, .external_lex_state = 2},
  [9584] = {.lex_state = 9, .external_lex_state = 2},
  [9585] = {.lex_state = 227, .external_lex_state = 2},
  [9586] = {.lex_state = 9, .external_lex_state = 2},
  [9587] = {.lex_state = 9, .external_lex_state = 2},
  [9588] = {.lex_state = 9, .external_lex_state = 2},
  [9589] = {.lex_state = 9, .external_lex_state = 2},
  [9590] = {.lex_state = 431, .external_lex_state = 2},
  [9591] = {.lex_state = 9, .external_lex_state = 2},
  [9592] = {.lex_state = 431, .external_lex_state = 2},
  [9593] = {.lex_state = 431, .external_lex_state = 2},
  [9594] = {.lex_state = 431, .external_lex_state = 2},
  [9595] = {.lex_state = 9, .external_lex_state = 2},
  [9596] = {.lex_state = 431, .external_lex_state = 2},
  [9597] = {.lex_state = 211, .external_lex_state = 2},
  [9598] = {.lex_state = 211, .external_lex_state = 2},
  [9599] = {.lex_state = 9, .external_lex_state = 2},
  [9600] = {.lex_state = 14, .external_lex_state = 2},
  [9601] = {.lex_state = 14, .external_lex_state = 2},
  [9602] = {.lex_state = 14, .external_lex_state = 2},
  [9603] = {.lex_state = 14, .external_lex_state = 2},
  [9604] = {.lex_state = 14, .external_lex_state = 2},
  [9605] = {.lex_state = 9, .external_lex_state = 2},
  [9606] = {.lex_state = 425, .external_lex_state = 2},
  [9607] = {.lex_state = 425, .external_lex_state = 2},
  [9608] = {.lex_state = 425, .external_lex_state = 2},
  [9609] = {.lex_state = 211, .external_lex_state = 2},
  [9610] = {.lex_state = 9, .external_lex_state = 2},
  [9611] = {.lex_state = 419, .external_lex_state = 2},
  [9612] = {.lex_state = 9, .external_lex_state = 2},
  [9613] = {.lex_state = 9, .external_lex_state = 2},
  [9614] = {.lex_state = 166, .external_lex_state = 3},
  [9615] = {.lex_state = 16, .external_lex_state = 2},
  [9616] = {.lex_state = 9, .external_lex_state = 2},
  [9617] = {.lex_state = 15, .external_lex_state = 2},
  [9618] = {.lex_state = 431, .external_lex_state = 2},
  [9619] = {.lex_state = 431, .external_lex_state = 2},
  [9620] = {.lex_state = 431, .external_lex_state = 2},
  [9621] = {.lex_state = 431, .external_lex_state = 2},
  [9622] = {.lex_state = 431, .external_lex_state = 2},
  [9623] = {.lex_state = 9, .external_lex_state = 2},
  [9624] = {.lex_state = 431, .external_lex_state = 2},
  [9625] = {.lex_state = 9, .external_lex_state = 2},
  [9626] = {.lex_state = 222, .external_lex_state = 2},
  [9627] = {.lex_state = 431, .external_lex_state = 2},
  [9628] = {.lex_state = 15, .external_lex_state = 2},
  [9629] = {.lex_state = 9, .external_lex_state = 2},
  [9630] = {.lex_state = 14, .external_lex_state = 2},
  [9631] = {.lex_state = 7, .external_lex_state = 2},
  [9632] = {.lex_state = 9, .external_lex_state = 2},
  [9633] = {.lex_state = 9, .external_lex_state = 2},
  [9634] = {.lex_state = 431, .external_lex_state = 2},
  [9635] = {.lex_state = 431, .external_lex_state = 2},
  [9636] = {.lex_state = 431, .external_lex_state = 2},
  [9637] = {.lex_state = 9, .external_lex_state = 2},
  [9638] = {.lex_state = 431, .external_lex_state = 2},
  [9639] = {.lex_state = 425, .external_lex_state = 2},
  [9640] = {.lex_state = 9, .external_lex_state = 2},
  [9641] = {.lex_state = 9, .external_lex_state = 2},
  [9642] = {.lex_state = 9, .external_lex_state = 2},
  [9643] = {.lex_state = 9, .external_lex_state = 2},
  [9644] = {.lex_state = 16, .external_lex_state = 2},
  [9645] = {.lex_state = 9, .external_lex_state = 2},
  [9646] = {.lex_state = 9, .external_lex_state = 2},
  [9647] = {.lex_state = 15, .external_lex_state = 2},
  [9648] = {.lex_state = 227, .external_lex_state = 2},
  [9649] = {.lex_state = 9, .external_lex_state = 2},
  [9650] = {.lex_state = 9, .external_lex_state = 2},
  [9651] = {.lex_state = 9, .external_lex_state = 2},
  [9652] = {.lex_state = 9, .external_lex_state = 2},
  [9653] = {.lex_state = 419, .external_lex_state = 2},
  [9654] = {.lex_state = 419, .external_lex_state = 2},
  [9655] = {.lex_state = 9, .external_lex_state = 2},
  [9656] = {.lex_state = 9, .external_lex_state = 2},
  [9657] = {.lex_state = 9, .external_lex_state = 2},
  [9658] = {.lex_state = 425, .external_lex_state = 2},
  [9659] = {.lex_state = 9, .external_lex_state = 2},
  [9660] = {.lex_state = 9, .external_lex_state = 2},
  [9661] = {.lex_state = 9, .external_lex_state = 2},
  [9662] = {.lex_state = 227, .external_lex_state = 2},
  [9663] = {.lex_state = 9, .external_lex_state = 2},
  [9664] = {.lex_state = 9, .external_lex_state = 2},
  [9665] = {.lex_state = 9, .external_lex_state = 2},
  [9666] = {.lex_state = 9, .external_lex_state = 2},
  [9667] = {.lex_state = 16, .external_lex_state = 2},
  [9668] = {.lex_state = 9, .external_lex_state = 2},
  [9669] = {.lex_state = 9, .external_lex_state = 2},
  [9670] = {.lex_state = 9, .external_lex_state = 2},
  [9671] = {.lex_state = 425, .external_lex_state = 2},
  [9672] = {.lex_state = 16, .external_lex_state = 2},
  [9673] = {.lex_state = 16, .external_lex_state = 2},
  [9674] = {.lex_state = 16, .external_lex_state = 2},
  [9675] = {.lex_state = 16, .external_lex_state = 2},
  [9676] = {.lex_state = 16, .external_lex_state = 2},
  [9677] = {.lex_state = 425, .external_lex_state = 2},
  [9678] = {.lex_state = 182, .external_lex_state = 3},
  [9679] = {.lex_state = 16, .external_lex_state = 2},
  [9680] = {.lex_state = 16, .external_lex_state = 2},
  [9681] = {.lex_state = 16, .external_lex_state = 2},
  [9682] = {.lex_state = 9, .external_lex_state = 2},
  [9683] = {.lex_state = 16, .external_lex_state = 2},
  [9684] = {.lex_state = 16, .external_lex_state = 2},
  [9685] = {.lex_state = 16, .external_lex_state = 2},
  [9686] = {.lex_state = 425, .external_lex_state = 2},
  [9687] = {.lex_state = 16, .external_lex_state = 2},
  [9688] = {.lex_state = 16, .external_lex_state = 2},
  [9689] = {.lex_state = 16, .external_lex_state = 2},
  [9690] = {.lex_state = 16, .external_lex_state = 2},
  [9691] = {.lex_state = 16, .external_lex_state = 2},
  [9692] = {.lex_state = 16, .external_lex_state = 2},
  [9693] = {.lex_state = 16, .external_lex_state = 2},
  [9694] = {.lex_state = 16, .external_lex_state = 2},
  [9695] = {.lex_state = 16, .external_lex_state = 2},
  [9696] = {.lex_state = 425, .external_lex_state = 2},
  [9697] = {.lex_state = 16, .external_lex_state = 2},
  [9698] = {.lex_state = 16, .external_lex_state = 2},
  [9699] = {.lex_state = 16, .external_lex_state = 2},
  [9700] = {.lex_state = 16, .external_lex_state = 2},
  [9701] = {.lex_state = 16, .external_lex_state = 2},
  [9702] = {.lex_state = 16, .external_lex_state = 2},
  [9703] = {.lex_state = 16, .external_lex_state = 2},
  [9704] = {.lex_state = 16, .external_lex_state = 2},
  [9705] = {.lex_state = 9, .external_lex_state = 2},
  [9706] = {.lex_state = 16, .external_lex_state = 2},
  [9707] = {.lex_state = 16, .external_lex_state = 2},
  [9708] = {.lex_state = 16, .external_lex_state = 2},
  [9709] = {.lex_state = 16, .external_lex_state = 2},
  [9710] = {.lex_state = 16, .external_lex_state = 2},
  [9711] = {.lex_state = 16, .external_lex_state = 2},
  [9712] = {.lex_state = 16, .external_lex_state = 2},
  [9713] = {.lex_state = 16, .external_lex_state = 2},
  [9714] = {.lex_state = 16, .external_lex_state = 2},
  [9715] = {.lex_state = 16, .external_lex_state = 2},
  [9716] = {.lex_state = 16, .external_lex_state = 2},
  [9717] = {.lex_state = 16, .external_lex_state = 2},
  [9718] = {.lex_state = 9, .external_lex_state = 2},
  [9719] = {.lex_state = 431, .external_lex_state = 2},
  [9720] = {.lex_state = 16, .external_lex_state = 2},
  [9721] = {.lex_state = 16, .external_lex_state = 2},
  [9722] = {.lex_state = 9, .external_lex_state = 2},
  [9723] = {.lex_state = 9, .external_lex_state = 2},
  [9724] = {.lex_state = 9, .external_lex_state = 2},
  [9725] = {.lex_state = 16, .external_lex_state = 2},
  [9726] = {.lex_state = 420, .external_lex_state = 2},
  [9727] = {.lex_state = 16, .external_lex_state = 2},
  [9728] = {.lex_state = 431, .external_lex_state = 2},
  [9729] = {.lex_state = 9, .external_lex_state = 2},
  [9730] = {.lex_state = 9, .external_lex_state = 2},
  [9731] = {.lex_state = 16, .external_lex_state = 2},
  [9732] = {.lex_state = 16, .external_lex_state = 2},
  [9733] = {.lex_state = 419, .external_lex_state = 2},
  [9734] = {.lex_state = 16, .external_lex_state = 2},
  [9735] = {.lex_state = 9, .external_lex_state = 2},
  [9736] = {.lex_state = 431, .external_lex_state = 2},
  [9737] = {.lex_state = 431, .external_lex_state = 2},
  [9738] = {.lex_state = 16, .external_lex_state = 2},
  [9739] = {.lex_state = 16, .external_lex_state = 2},
  [9740] = {.lex_state = 9, .external_lex_state = 2},
  [9741] = {.lex_state = 16, .external_lex_state = 2},
  [9742] = {.lex_state = 16, .external_lex_state = 2},
  [9743] = {.lex_state = 9, .external_lex_state = 2},
  [9744] = {.lex_state = 172, .external_lex_state = 2},
  [9745] = {.lex_state = 16, .external_lex_state = 2},
  [9746] = {.lex_state = 16, .external_lex_state = 2},
  [9747] = {.lex_state = 227, .external_lex_state = 2},
  [9748] = {.lex_state = 227, .external_lex_state = 2},
  [9749] = {.lex_state = 16, .external_lex_state = 2},
  [9750] = {.lex_state = 431, .external_lex_state = 2},
  [9751] = {.lex_state = 9, .external_lex_state = 2},
  [9752] = {.lex_state = 9, .external_lex_state = 2},
  [9753] = {.lex_state = 9, .external_lex_state = 2},
  [9754] = {.lex_state = 227, .external_lex_state = 2},
  [9755] = {.lex_state = 227, .external_lex_state = 2},
  [9756] = {.lex_state = 425, .external_lex_state = 2},
  [9757] = {.lex_state = 15, .external_lex_state = 2},
  [9758] = {.lex_state = 14, .external_lex_state = 2},
  [9759] = {.lex_state = 182, .external_lex_state = 3},
  [9760] = {.lex_state = 220, .external_lex_state = 2},
  [9761] = {.lex_state = 16, .external_lex_state = 2},
  [9762] = {.lex_state = 9, .external_lex_state = 2},
  [9763] = {.lex_state = 425, .external_lex_state = 2},
  [9764] = {.lex_state = 9, .external_lex_state = 2},
  [9765] = {.lex_state = 9, .external_lex_state = 2},
  [9766] = {.lex_state = 431, .external_lex_state = 2},
  [9767] = {.lex_state = 420, .external_lex_state = 2},
  [9768] = {.lex_state = 182, .external_lex_state = 3},
  [9769] = {.lex_state = 16, .external_lex_state = 2},
  [9770] = {.lex_state = 16, .external_lex_state = 2},
  [9771] = {.lex_state = 9, .external_lex_state = 2},
  [9772] = {.lex_state = 9, .external_lex_state = 2},
  [9773] = {.lex_state = 420, .external_lex_state = 2},
  [9774] = {.lex_state = 425, .external_lex_state = 2},
  [9775] = {.lex_state = 211, .external_lex_state = 2},
  [9776] = {.lex_state = 420, .external_lex_state = 2},
  [9777] = {.lex_state = 227, .external_lex_state = 2},
  [9778] = {.lex_state = 182, .external_lex_state = 3},
  [9779] = {.lex_state = 227, .external_lex_state = 2},
  [9780] = {.lex_state = 173, .external_lex_state = 2},
  [9781] = {.lex_state = 227, .external_lex_state = 2},
  [9782] = {.lex_state = 227, .external_lex_state = 2},
  [9783] = {.lex_state = 9, .external_lex_state = 2},
  [9784] = {.lex_state = 9, .external_lex_state = 2},
  [9785] = {.lex_state = 9, .external_lex_state = 2},
  [9786] = {.lex_state = 420, .external_lex_state = 2},
  [9787] = {.lex_state = 419, .external_lex_state = 2},
  [9788] = {.lex_state = 9, .external_lex_state = 2},
  [9789] = {.lex_state = 14, .external_lex_state = 2},
  [9790] = {.lex_state = 14, .external_lex_state = 2},
  [9791] = {.lex_state = 9, .external_lex_state = 2},
  [9792] = {.lex_state = 9, .external_lex_state = 2},
  [9793] = {.lex_state = 199, .external_lex_state = 2},
  [9794] = {.lex_state = 431, .external_lex_state = 2},
  [9795] = {.lex_state = 16, .external_lex_state = 2},
  [9796] = {.lex_state = 16, .external_lex_state = 2},
  [9797] = {.lex_state = 9, .external_lex_state = 2},
  [9798] = {.lex_state = 16, .external_lex_state = 2},
  [9799] = {.lex_state = 215, .external_lex_state = 2},
  [9800] = {.lex_state = 9, .external_lex_state = 2},
  [9801] = {.lex_state = 16, .external_lex_state = 2},
  [9802] = {.lex_state = 16, .external_lex_state = 2},
  [9803] = {.lex_state = 16, .external_lex_state = 2},
  [9804] = {.lex_state = 9, .external_lex_state = 2},
  [9805] = {.lex_state = 14, .external_lex_state = 2},
  [9806] = {.lex_state = 16, .external_lex_state = 2},
  [9807] = {.lex_state = 16, .external_lex_state = 2},
  [9808] = {.lex_state = 222, .external_lex_state = 2},
  [9809] = {.lex_state = 200, .external_lex_state = 2},
  [9810] = {.lex_state = 9, .external_lex_state = 2},
  [9811] = {.lex_state = 16, .external_lex_state = 2},
  [9812] = {.lex_state = 16, .external_lex_state = 2},
  [9813] = {.lex_state = 16, .external_lex_state = 2},
  [9814] = {.lex_state = 16, .external_lex_state = 2},
  [9815] = {.lex_state = 16, .external_lex_state = 2},
  [9816] = {.lex_state = 16, .external_lex_state = 2},
  [9817] = {.lex_state = 16, .external_lex_state = 2},
  [9818] = {.lex_state = 16, .external_lex_state = 2},
  [9819] = {.lex_state = 16, .external_lex_state = 2},
  [9820] = {.lex_state = 16, .external_lex_state = 2},
  [9821] = {.lex_state = 16, .external_lex_state = 2},
  [9822] = {.lex_state = 9, .external_lex_state = 2},
  [9823] = {.lex_state = 9, .external_lex_state = 2},
  [9824] = {.lex_state = 428, .external_lex_state = 2},
  [9825] = {.lex_state = 227, .external_lex_state = 2},
  [9826] = {.lex_state = 227, .external_lex_state = 2},
  [9827] = {.lex_state = 227, .external_lex_state = 2},
  [9828] = {.lex_state = 227, .external_lex_state = 2},
  [9829] = {.lex_state = 9, .external_lex_state = 2},
  [9830] = {.lex_state = 431, .external_lex_state = 2},
  [9831] = {.lex_state = 16, .external_lex_state = 2},
  [9832] = {.lex_state = 16, .external_lex_state = 2},
  [9833] = {.lex_state = 16, .external_lex_state = 2},
  [9834] = {.lex_state = 16, .external_lex_state = 2},
  [9835] = {.lex_state = 431, .external_lex_state = 2},
  [9836] = {.lex_state = 165, .external_lex_state = 3},
  [9837] = {.lex_state = 9, .external_lex_state = 2},
  [9838] = {.lex_state = 9, .external_lex_state = 2},
  [9839] = {.lex_state = 425, .external_lex_state = 2},
  [9840] = {.lex_state = 9, .external_lex_state = 2},
  [9841] = {.lex_state = 9, .external_lex_state = 2},
  [9842] = {.lex_state = 9, .external_lex_state = 2},
  [9843] = {.lex_state = 14, .external_lex_state = 2},
  [9844] = {.lex_state = 14, .external_lex_state = 2},
  [9845] = {.lex_state = 9, .external_lex_state = 2},
  [9846] = {.lex_state = 9, .external_lex_state = 2},
  [9847] = {.lex_state = 227, .external_lex_state = 2},
  [9848] = {.lex_state = 9, .external_lex_state = 2},
  [9849] = {.lex_state = 432, .external_lex_state = 2},
  [9850] = {.lex_state = 203, .external_lex_state = 2},
  [9851] = {.lex_state = 7, .external_lex_state = 2},
  [9852] = {.lex_state = 7, .external_lex_state = 2},
  [9853] = {.lex_state = 7, .external_lex_state = 2},
  [9854] = {.lex_state = 7, .external_lex_state = 2},
  [9855] = {.lex_state = 28, .external_lex_state = 3},
  [9856] = {.lex_state = 7, .external_lex_state = 2},
  [9857] = {.lex_state = 7, .external_lex_state = 2},
  [9858] = {.lex_state = 173, .external_lex_state = 2},
  [9859] = {.lex_state = 211, .external_lex_state = 2},
  [9860] = {.lex_state = 7, .external_lex_state = 2},
  [9861] = {.lex_state = 30, .external_lex_state = 2},
  [9862] = {.lex_state = 30, .external_lex_state = 2},
  [9863] = {.lex_state = 7, .external_lex_state = 2},
  [9864] = {.lex_state = 223, .external_lex_state = 2},
  [9865] = {.lex_state = 223, .external_lex_state = 2},
  [9866] = {.lex_state = 425, .external_lex_state = 2},
  [9867] = {.lex_state = 7, .external_lex_state = 2},
  [9868] = {.lex_state = 7, .external_lex_state = 2},
  [9869] = {.lex_state = 7, .external_lex_state = 2},
  [9870] = {.lex_state = 7, .external_lex_state = 2},
  [9871] = {.lex_state = 7, .external_lex_state = 2},
  [9872] = {.lex_state = 7, .external_lex_state = 2},
  [9873] = {.lex_state = 204, .external_lex_state = 2},
  [9874] = {.lex_state = 7, .external_lex_state = 2},
  [9875] = {.lex_state = 7, .external_lex_state = 2},
  [9876] = {.lex_state = 7, .external_lex_state = 2},
  [9877] = {.lex_state = 216, .external_lex_state = 2},
  [9878] = {.lex_state = 7, .external_lex_state = 2},
  [9879] = {.lex_state = 30, .external_lex_state = 2},
  [9880] = {.lex_state = 15, .external_lex_state = 2},
  [9881] = {.lex_state = 15, .external_lex_state = 2},
  [9882] = {.lex_state = 15, .external_lex_state = 2},
  [9883] = {.lex_state = 15, .external_lex_state = 2},
  [9884] = {.lex_state = 15, .external_lex_state = 2},
  [9885] = {.lex_state = 15, .external_lex_state = 2},
  [9886] = {.lex_state = 15, .external_lex_state = 2},
  [9887] = {.lex_state = 15, .external_lex_state = 2},
  [9888] = {.lex_state = 15, .external_lex_state = 2},
  [9889] = {.lex_state = 15, .external_lex_state = 2},
  [9890] = {.lex_state = 15, .external_lex_state = 2},
  [9891] = {.lex_state = 425, .external_lex_state = 2},
  [9892] = {.lex_state = 7, .external_lex_state = 2},
  [9893] = {.lex_state = 7, .external_lex_state = 2},
  [9894] = {.lex_state = 15, .external_lex_state = 2},
  [9895] = {.lex_state = 7, .external_lex_state = 2},
  [9896] = {.lex_state = 7, .external_lex_state = 2},
  [9897] = {.lex_state = 211, .external_lex_state = 2},
  [9898] = {.lex_state = 7, .external_lex_state = 2},
  [9899] = {.lex_state = 173, .external_lex_state = 2},
  [9900] = {.lex_state = 7, .external_lex_state = 2},
  [9901] = {.lex_state = 215, .external_lex_state = 2},
  [9902] = {.lex_state = 7, .external_lex_state = 2},
  [9903] = {.lex_state = 223, .external_lex_state = 2},
  [9904] = {.lex_state = 7, .external_lex_state = 2},
  [9905] = {.lex_state = 215, .external_lex_state = 2},
  [9906] = {.lex_state = 7, .external_lex_state = 2},
  [9907] = {.lex_state = 7, .external_lex_state = 2},
  [9908] = {.lex_state = 7, .external_lex_state = 2},
  [9909] = {.lex_state = 425, .external_lex_state = 2},
  [9910] = {.lex_state = 7, .external_lex_state = 2},
  [9911] = {.lex_state = 7, .external_lex_state = 2},
  [9912] = {.lex_state = 420, .external_lex_state = 2},
  [9913] = {.lex_state = 7, .external_lex_state = 2},
  [9914] = {.lex_state = 15, .external_lex_state = 2},
  [9915] = {.lex_state = 7, .external_lex_state = 2},
  [9916] = {.lex_state = 215, .external_lex_state = 2},
  [9917] = {.lex_state = 223, .external_lex_state = 2},
  [9918] = {.lex_state = 7, .external_lex_state = 2},
  [9919] = {.lex_state = 7, .external_lex_state = 2},
  [9920] = {.lex_state = 7, .external_lex_state = 2},
  [9921] = {.lex_state = 7, .external_lex_state = 2},
  [9922] = {.lex_state = 431, .external_lex_state = 2},
  [9923] = {.lex_state = 7, .external_lex_state = 2},
  [9924] = {.lex_state = 7, .external_lex_state = 2},
  [9925] = {.lex_state = 221, .external_lex_state = 2},
  [9926] = {.lex_state = 215, .external_lex_state = 2},
  [9927] = {.lex_state = 221, .external_lex_state = 2},
  [9928] = {.lex_state = 215, .external_lex_state = 2},
  [9929] = {.lex_state = 7, .external_lex_state = 2},
  [9930] = {.lex_state = 7, .external_lex_state = 2},
  [9931] = {.lex_state = 215, .external_lex_state = 2},
  [9932] = {.lex_state = 7, .external_lex_state = 2},
  [9933] = {.lex_state = 7, .external_lex_state = 2},
  [9934] = {.lex_state = 221, .external_lex_state = 2},
  [9935] = {.lex_state = 211, .external_lex_state = 2},
  [9936] = {.lex_state = 7, .external_lex_state = 2},
  [9937] = {.lex_state = 7, .external_lex_state = 2},
  [9938] = {.lex_state = 211, .external_lex_state = 2},
  [9939] = {.lex_state = 7, .external_lex_state = 2},
  [9940] = {.lex_state = 7, .external_lex_state = 2},
  [9941] = {.lex_state = 431, .external_lex_state = 2},
  [9942] = {.lex_state = 7, .external_lex_state = 2},
  [9943] = {.lex_state = 7, .external_lex_state = 2},
  [9944] = {.lex_state = 7, .external_lex_state = 2},
  [9945] = {.lex_state = 172, .external_lex_state = 2},
  [9946] = {.lex_state = 211, .external_lex_state = 2},
  [9947] = {.lex_state = 223, .external_lex_state = 2},
  [9948] = {.lex_state = 7, .external_lex_state = 2},
  [9949] = {.lex_state = 419, .external_lex_state = 3},
  [9950] = {.lex_state = 211, .external_lex_state = 2},
  [9951] = {.lex_state = 419, .external_lex_state = 3},
  [9952] = {.lex_state = 172, .external_lex_state = 2},
  [9953] = {.lex_state = 172, .external_lex_state = 2},
  [9954] = {.lex_state = 7, .external_lex_state = 2},
  [9955] = {.lex_state = 7, .external_lex_state = 2},
  [9956] = {.lex_state = 211, .external_lex_state = 2},
  [9957] = {.lex_state = 211, .external_lex_state = 2},
  [9958] = {.lex_state = 172, .external_lex_state = 2},
  [9959] = {.lex_state = 211, .external_lex_state = 2},
  [9960] = {.lex_state = 211, .external_lex_state = 2},
  [9961] = {.lex_state = 15, .external_lex_state = 2},
  [9962] = {.lex_state = 15, .external_lex_state = 2},
  [9963] = {.lex_state = 7, .external_lex_state = 2},
  [9964] = {.lex_state = 425, .external_lex_state = 2},
  [9965] = {.lex_state = 7, .external_lex_state = 2},
  [9966] = {.lex_state = 28, .external_lex_state = 3},
  [9967] = {.lex_state = 7, .external_lex_state = 2},
  [9968] = {.lex_state = 211, .external_lex_state = 2},
  [9969] = {.lex_state = 7, .external_lex_state = 2},
  [9970] = {.lex_state = 425, .external_lex_state = 2},
  [9971] = {.lex_state = 211, .external_lex_state = 2},
  [9972] = {.lex_state = 211, .external_lex_state = 2},
  [9973] = {.lex_state = 7, .external_lex_state = 2},
  [9974] = {.lex_state = 7, .external_lex_state = 2},
  [9975] = {.lex_state = 201, .external_lex_state = 2},
  [9976] = {.lex_state = 223, .external_lex_state = 2},
  [9977] = {.lex_state = 216, .external_lex_state = 2},
  [9978] = {.lex_state = 216, .external_lex_state = 2},
  [9979] = {.lex_state = 28, .external_lex_state = 3},
  [9980] = {.lex_state = 216, .external_lex_state = 2},
  [9981] = {.lex_state = 425, .external_lex_state = 2},
  [9982] = {.lex_state = 425, .external_lex_state = 2},
  [9983] = {.lex_state = 211, .external_lex_state = 2},
  [9984] = {.lex_state = 7, .external_lex_state = 2},
  [9985] = {.lex_state = 211, .external_lex_state = 2},
  [9986] = {.lex_state = 420, .external_lex_state = 2},
  [9987] = {.lex_state = 7, .external_lex_state = 2},
  [9988] = {.lex_state = 7, .external_lex_state = 2},
  [9989] = {.lex_state = 7, .external_lex_state = 2},
  [9990] = {.lex_state = 7, .external_lex_state = 2},
  [9991] = {.lex_state = 211, .external_lex_state = 2},
  [9992] = {.lex_state = 425, .external_lex_state = 2},
  [9993] = {.lex_state = 7, .external_lex_state = 2},
  [9994] = {.lex_state = 30, .external_lex_state = 2},
  [9995] = {.lex_state = 30, .external_lex_state = 2},
  [9996] = {.lex_state = 211, .external_lex_state = 2},
  [9997] = {.lex_state = 211, .external_lex_state = 2},
  [9998] = {.lex_state = 7, .external_lex_state = 2},
  [9999] = {.lex_state = 202, .external_lex_state = 2},
  [10000] = {.lex_state = 173, .external_lex_state = 2},
  [10001] = {.lex_state = 211, .external_lex_state = 2},
  [10002] = {.lex_state = 7, .external_lex_state = 2},
  [10003] = {.lex_state = 7, .external_lex_state = 2},
  [10004] = {.lex_state = 7, .external_lex_state = 2},
  [10005] = {.lex_state = 7, .external_lex_state = 2},
  [10006] = {.lex_state = 7, .external_lex_state = 2},
  [10007] = {.lex_state = 7, .external_lex_state = 2},
  [10008] = {.lex_state = 7, .external_lex_state = 2},
  [10009] = {.lex_state = 211, .external_lex_state = 2},
  [10010] = {.lex_state = 211, .external_lex_state = 2},
  [10011] = {.lex_state = 7, .external_lex_state = 2},
  [10012] = {.lex_state = 7, .external_lex_state = 2},
  [10013] = {.lex_state = 425, .external_lex_state = 2},
  [10014] = {.lex_state = 7, .external_lex_state = 2},
  [10015] = {.lex_state = 425, .external_lex_state = 2},
  [10016] = {.lex_state = 28, .external_lex_state = 3},
  [10017] = {.lex_state = 7, .external_lex_state = 2},
  [10018] = {.lex_state = 211, .external_lex_state = 2},
  [10019] = {.lex_state = 211, .external_lex_state = 2},
  [10020] = {.lex_state = 7, .external_lex_state = 2},
  [10021] = {.lex_state = 7, .external_lex_state = 2},
  [10022] = {.lex_state = 7, .external_lex_state = 2},
  [10023] = {.lex_state = 173, .external_lex_state = 2},
  [10024] = {.lex_state = 173, .external_lex_state = 2},
  [10025] = {.lex_state = 28, .external_lex_state = 3},
  [10026] = {.lex_state = 28, .external_lex_state = 3},
  [10027] = {.lex_state = 7, .external_lex_state = 2},
  [10028] = {.lex_state = 211, .external_lex_state = 2},
  [10029] = {.lex_state = 211, .external_lex_state = 2},
  [10030] = {.lex_state = 211, .external_lex_state = 2},
  [10031] = {.lex_state = 211, .external_lex_state = 2},
  [10032] = {.lex_state = 7, .external_lex_state = 2},
  [10033] = {.lex_state = 7, .external_lex_state = 2},
  [10034] = {.lex_state = 7, .external_lex_state = 2},
  [10035] = {.lex_state = 211, .external_lex_state = 2},
  [10036] = {.lex_state = 211, .external_lex_state = 2},
  [10037] = {.lex_state = 7, .external_lex_state = 2},
  [10038] = {.lex_state = 7, .external_lex_state = 2},
  [10039] = {.lex_state = 173, .external_lex_state = 2},
  [10040] = {.lex_state = 7, .external_lex_state = 2},
  [10041] = {.lex_state = 211, .external_lex_state = 2},
  [10042] = {.lex_state = 211, .external_lex_state = 2},
  [10043] = {.lex_state = 7, .external_lex_state = 2},
  [10044] = {.lex_state = 211, .external_lex_state = 2},
  [10045] = {.lex_state = 7, .external_lex_state = 2},
  [10046] = {.lex_state = 7, .external_lex_state = 2},
  [10047] = {.lex_state = 7, .external_lex_state = 2},
  [10048] = {.lex_state = 7, .external_lex_state = 2},
  [10049] = {.lex_state = 7, .external_lex_state = 2},
  [10050] = {.lex_state = 432, .external_lex_state = 2},
  [10051] = {.lex_state = 425, .external_lex_state = 2},
  [10052] = {.lex_state = 7, .external_lex_state = 2},
  [10053] = {.lex_state = 7, .external_lex_state = 2},
  [10054] = {.lex_state = 7, .external_lex_state = 2},
  [10055] = {.lex_state = 7, .external_lex_state = 2},
  [10056] = {.lex_state = 7, .external_lex_state = 2},
  [10057] = {.lex_state = 30, .external_lex_state = 2},
  [10058] = {.lex_state = 28, .external_lex_state = 3},
  [10059] = {.lex_state = 7, .external_lex_state = 2},
  [10060] = {.lex_state = 216, .external_lex_state = 2},
  [10061] = {.lex_state = 7, .external_lex_state = 2},
  [10062] = {.lex_state = 221, .external_lex_state = 2},
  [10063] = {.lex_state = 221, .external_lex_state = 2},
  [10064] = {.lex_state = 221, .external_lex_state = 2},
  [10065] = {.lex_state = 7, .external_lex_state = 2},
  [10066] = {.lex_state = 211, .external_lex_state = 2},
  [10067] = {.lex_state = 7, .external_lex_state = 2},
  [10068] = {.lex_state = 425, .external_lex_state = 2},
  [10069] = {.lex_state = 7, .external_lex_state = 2},
  [10070] = {.lex_state = 7, .external_lex_state = 2},
  [10071] = {.lex_state = 7, .external_lex_state = 2},
  [10072] = {.lex_state = 176, .external_lex_state = 3},
  [10073] = {.lex_state = 7, .external_lex_state = 2},
  [10074] = {.lex_state = 172, .external_lex_state = 2},
  [10075] = {.lex_state = 425, .external_lex_state = 2},
  [10076] = {.lex_state = 425, .external_lex_state = 2},
  [10077] = {.lex_state = 425, .external_lex_state = 2},
  [10078] = {.lex_state = 425, .external_lex_state = 2},
  [10079] = {.lex_state = 425, .external_lex_state = 2},
  [10080] = {.lex_state = 425, .external_lex_state = 2},
  [10081] = {.lex_state = 425, .external_lex_state = 2},
  [10082] = {.lex_state = 425, .external_lex_state = 2},
  [10083] = {.lex_state = 7, .external_lex_state = 2},
  [10084] = {.lex_state = 7, .external_lex_state = 2},
  [10085] = {.lex_state = 172, .external_lex_state = 2},
  [10086] = {.lex_state = 216, .external_lex_state = 2},
  [10087] = {.lex_state = 425, .external_lex_state = 2},
  [10088] = {.lex_state = 211, .external_lex_state = 2},
  [10089] = {.lex_state = 431, .external_lex_state = 2},
  [10090] = {.lex_state = 6, .external_lex_state = 3},
  [10091] = {.lex_state = 223, .external_lex_state = 2},
  [10092] = {.lex_state = 425, .external_lex_state = 2},
  [10093] = {.lex_state = 6, .external_lex_state = 3},
  [10094] = {.lex_state = 425, .external_lex_state = 2},
  [10095] = {.lex_state = 6, .external_lex_state = 3},
  [10096] = {.lex_state = 425, .external_lex_state = 2},
  [10097] = {.lex_state = 6, .external_lex_state = 3},
  [10098] = {.lex_state = 6, .external_lex_state = 3},
  [10099] = {.lex_state = 6, .external_lex_state = 3},
  [10100] = {.lex_state = 14, .external_lex_state = 2},
  [10101] = {.lex_state = 14, .external_lex_state = 2},
  [10102] = {.lex_state = 6, .external_lex_state = 3},
  [10103] = {.lex_state = 422, .external_lex_state = 2},
  [10104] = {.lex_state = 6, .external_lex_state = 3},
  [10105] = {.lex_state = 173, .external_lex_state = 2},
  [10106] = {.lex_state = 173, .external_lex_state = 2},
  [10107] = {.lex_state = 173, .external_lex_state = 2},
  [10108] = {.lex_state = 6, .external_lex_state = 3},
  [10109] = {.lex_state = 173, .external_lex_state = 2},
  [10110] = {.lex_state = 173, .external_lex_state = 2},
  [10111] = {.lex_state = 173, .external_lex_state = 2},
  [10112] = {.lex_state = 6, .external_lex_state = 3},
  [10113] = {.lex_state = 6, .external_lex_state = 3},
  [10114] = {.lex_state = 6, .external_lex_state = 3},
  [10115] = {.lex_state = 172, .external_lex_state = 2},
  [10116] = {.lex_state = 420, .external_lex_state = 2},
  [10117] = {.lex_state = 14, .external_lex_state = 2},
  [10118] = {.lex_state = 6, .external_lex_state = 3},
  [10119] = {.lex_state = 6, .external_lex_state = 3},
  [10120] = {.lex_state = 6, .external_lex_state = 3},
  [10121] = {.lex_state = 172, .external_lex_state = 2},
  [10122] = {.lex_state = 203, .external_lex_state = 2},
  [10123] = {.lex_state = 425, .external_lex_state = 2},
  [10124] = {.lex_state = 6, .external_lex_state = 3},
  [10125] = {.lex_state = 203, .external_lex_state = 2},
  [10126] = {.lex_state = 425, .external_lex_state = 2},
  [10127] = {.lex_state = 6, .external_lex_state = 3},
  [10128] = {.lex_state = 203, .external_lex_state = 2},
  [10129] = {.lex_state = 14, .external_lex_state = 2},
  [10130] = {.lex_state = 14, .external_lex_state = 2},
  [10131] = {.lex_state = 14, .external_lex_state = 2},
  [10132] = {.lex_state = 14, .external_lex_state = 2},
  [10133] = {.lex_state = 14, .external_lex_state = 2},
  [10134] = {.lex_state = 6, .external_lex_state = 3},
  [10135] = {.lex_state = 6, .external_lex_state = 3},
  [10136] = {.lex_state = 433, .external_lex_state = 2},
  [10137] = {.lex_state = 6, .external_lex_state = 3},
  [10138] = {.lex_state = 425, .external_lex_state = 2},
  [10139] = {.lex_state = 6, .external_lex_state = 3},
  [10140] = {.lex_state = 6, .external_lex_state = 3},
  [10141] = {.lex_state = 6, .external_lex_state = 3},
  [10142] = {.lex_state = 30, .external_lex_state = 2},
  [10143] = {.lex_state = 221, .external_lex_state = 2},
  [10144] = {.lex_state = 6, .external_lex_state = 3},
  [10145] = {.lex_state = 6, .external_lex_state = 3},
  [10146] = {.lex_state = 425, .external_lex_state = 2},
  [10147] = {.lex_state = 6, .external_lex_state = 3},
  [10148] = {.lex_state = 6, .external_lex_state = 3},
  [10149] = {.lex_state = 223, .external_lex_state = 2},
  [10150] = {.lex_state = 204, .external_lex_state = 2},
  [10151] = {.lex_state = 6, .external_lex_state = 3},
  [10152] = {.lex_state = 203, .external_lex_state = 2},
  [10153] = {.lex_state = 212, .external_lex_state = 2},
  [10154] = {.lex_state = 211, .external_lex_state = 2},
  [10155] = {.lex_state = 204, .external_lex_state = 2},
  [10156] = {.lex_state = 430, .external_lex_state = 2},
  [10157] = {.lex_state = 6, .external_lex_state = 3},
  [10158] = {.lex_state = 6, .external_lex_state = 3},
  [10159] = {.lex_state = 204, .external_lex_state = 2},
  [10160] = {.lex_state = 30, .external_lex_state = 2},
  [10161] = {.lex_state = 430, .external_lex_state = 2},
  [10162] = {.lex_state = 172, .external_lex_state = 2},
  [10163] = {.lex_state = 223, .external_lex_state = 2},
  [10164] = {.lex_state = 6, .external_lex_state = 3},
  [10165] = {.lex_state = 6, .external_lex_state = 3},
  [10166] = {.lex_state = 6, .external_lex_state = 3},
  [10167] = {.lex_state = 420, .external_lex_state = 2},
  [10168] = {.lex_state = 14, .external_lex_state = 2},
  [10169] = {.lex_state = 172, .external_lex_state = 2},
  [10170] = {.lex_state = 172, .external_lex_state = 2},
  [10171] = {.lex_state = 172, .external_lex_state = 2},
  [10172] = {.lex_state = 172, .external_lex_state = 2},
  [10173] = {.lex_state = 221, .external_lex_state = 2},
  [10174] = {.lex_state = 221, .external_lex_state = 2},
  [10175] = {.lex_state = 6, .external_lex_state = 3},
  [10176] = {.lex_state = 223, .external_lex_state = 2},
  [10177] = {.lex_state = 173, .external_lex_state = 2},
  [10178] = {.lex_state = 6, .external_lex_state = 3},
  [10179] = {.lex_state = 172, .external_lex_state = 2},
  [10180] = {.lex_state = 172, .external_lex_state = 2},
  [10181] = {.lex_state = 172, .external_lex_state = 2},
  [10182] = {.lex_state = 172, .external_lex_state = 2},
  [10183] = {.lex_state = 204, .external_lex_state = 2},
  [10184] = {.lex_state = 172, .external_lex_state = 2},
  [10185] = {.lex_state = 14, .external_lex_state = 2},
  [10186] = {.lex_state = 173, .external_lex_state = 2},
  [10187] = {.lex_state = 172, .external_lex_state = 2},
  [10188] = {.lex_state = 172, .external_lex_state = 2},
  [10189] = {.lex_state = 172, .external_lex_state = 2},
  [10190] = {.lex_state = 172, .external_lex_state = 2},
  [10191] = {.lex_state = 14, .external_lex_state = 2},
  [10192] = {.lex_state = 14, .external_lex_state = 2},
  [10193] = {.lex_state = 14, .external_lex_state = 2},
  [10194] = {.lex_state = 6, .external_lex_state = 3},
  [10195] = {.lex_state = 14, .external_lex_state = 2},
  [10196] = {.lex_state = 172, .external_lex_state = 2},
  [10197] = {.lex_state = 172, .external_lex_state = 2},
  [10198] = {.lex_state = 172, .external_lex_state = 2},
  [10199] = {.lex_state = 14, .external_lex_state = 2},
  [10200] = {.lex_state = 172, .external_lex_state = 2},
  [10201] = {.lex_state = 172, .external_lex_state = 2},
  [10202] = {.lex_state = 172, .external_lex_state = 2},
  [10203] = {.lex_state = 14, .external_lex_state = 2},
  [10204] = {.lex_state = 172, .external_lex_state = 2},
  [10205] = {.lex_state = 430, .external_lex_state = 2},
  [10206] = {.lex_state = 14, .external_lex_state = 2},
  [10207] = {.lex_state = 172, .external_lex_state = 2},
  [10208] = {.lex_state = 172, .external_lex_state = 2},
  [10209] = {.lex_state = 14, .external_lex_state = 2},
  [10210] = {.lex_state = 14, .external_lex_state = 2},
  [10211] = {.lex_state = 173, .external_lex_state = 2},
  [10212] = {.lex_state = 14, .external_lex_state = 2},
  [10213] = {.lex_state = 14, .external_lex_state = 2},
  [10214] = {.lex_state = 6, .external_lex_state = 3},
  [10215] = {.lex_state = 6, .external_lex_state = 3},
  [10216] = {.lex_state = 14, .external_lex_state = 2},
  [10217] = {.lex_state = 425, .external_lex_state = 2},
  [10218] = {.lex_state = 14, .external_lex_state = 2},
  [10219] = {.lex_state = 6, .external_lex_state = 3},
  [10220] = {.lex_state = 6, .external_lex_state = 3},
  [10221] = {.lex_state = 6, .external_lex_state = 3},
  [10222] = {.lex_state = 6, .external_lex_state = 3},
  [10223] = {.lex_state = 6, .external_lex_state = 3},
  [10224] = {.lex_state = 420, .external_lex_state = 2},
  [10225] = {.lex_state = 212, .external_lex_state = 2},
  [10226] = {.lex_state = 173, .external_lex_state = 2},
  [10227] = {.lex_state = 173, .external_lex_state = 2},
  [10228] = {.lex_state = 172, .external_lex_state = 2},
  [10229] = {.lex_state = 173, .external_lex_state = 2},
  [10230] = {.lex_state = 173, .external_lex_state = 2},
  [10231] = {.lex_state = 6, .external_lex_state = 3},
  [10232] = {.lex_state = 172, .external_lex_state = 2},
  [10233] = {.lex_state = 172, .external_lex_state = 2},
  [10234] = {.lex_state = 430, .external_lex_state = 2},
  [10235] = {.lex_state = 6, .external_lex_state = 3},
  [10236] = {.lex_state = 6, .external_lex_state = 3},
  [10237] = {.lex_state = 430, .external_lex_state = 2},
  [10238] = {.lex_state = 173, .external_lex_state = 2},
  [10239] = {.lex_state = 173, .external_lex_state = 2},
  [10240] = {.lex_state = 173, .external_lex_state = 2},
  [10241] = {.lex_state = 173, .external_lex_state = 2},
  [10242] = {.lex_state = 14, .external_lex_state = 2},
  [10243] = {.lex_state = 172, .external_lex_state = 2},
  [10244] = {.lex_state = 173, .external_lex_state = 2},
  [10245] = {.lex_state = 173, .external_lex_state = 2},
  [10246] = {.lex_state = 173, .external_lex_state = 2},
  [10247] = {.lex_state = 173, .external_lex_state = 2},
  [10248] = {.lex_state = 172, .external_lex_state = 2},
  [10249] = {.lex_state = 425, .external_lex_state = 2},
  [10250] = {.lex_state = 431, .external_lex_state = 2},
  [10251] = {.lex_state = 173, .external_lex_state = 2},
  [10252] = {.lex_state = 173, .external_lex_state = 2},
  [10253] = {.lex_state = 432, .external_lex_state = 2},
  [10254] = {.lex_state = 425, .external_lex_state = 2},
  [10255] = {.lex_state = 173, .external_lex_state = 2},
  [10256] = {.lex_state = 173, .external_lex_state = 2},
  [10257] = {.lex_state = 173, .external_lex_state = 2},
  [10258] = {.lex_state = 425, .external_lex_state = 2},
  [10259] = {.lex_state = 173, .external_lex_state = 2},
  [10260] = {.lex_state = 431, .external_lex_state = 2},
  [10261] = {.lex_state = 173, .external_lex_state = 2},
  [10262] = {.lex_state = 173, .external_lex_state = 2},
  [10263] = {.lex_state = 173, .external_lex_state = 2},
  [10264] = {.lex_state = 172, .external_lex_state = 2},
  [10265] = {.lex_state = 6, .external_lex_state = 3},
  [10266] = {.lex_state = 173, .external_lex_state = 2},
  [10267] = {.lex_state = 172, .external_lex_state = 2},
  [10268] = {.lex_state = 425, .external_lex_state = 2},
  [10269] = {.lex_state = 6, .external_lex_state = 3},
  [10270] = {.lex_state = 173, .external_lex_state = 2},
  [10271] = {.lex_state = 6, .external_lex_state = 3},
  [10272] = {.lex_state = 425, .external_lex_state = 2},
  [10273] = {.lex_state = 6, .external_lex_state = 3},
  [10274] = {.lex_state = 6, .external_lex_state = 3},
  [10275] = {.lex_state = 6, .external_lex_state = 3},
  [10276] = {.lex_state = 430, .external_lex_state = 2},
  [10277] = {.lex_state = 172, .external_lex_state = 2},
  [10278] = {.lex_state = 420, .external_lex_state = 2},
  [10279] = {.lex_state = 420, .external_lex_state = 2},
  [10280] = {.lex_state = 430, .external_lex_state = 2},
  [10281] = {.lex_state = 6, .external_lex_state = 3},
  [10282] = {.lex_state = 425, .external_lex_state = 2},
  [10283] = {.lex_state = 430, .external_lex_state = 2},
  [10284] = {.lex_state = 425, .external_lex_state = 2},
  [10285] = {.lex_state = 211, .external_lex_state = 2},
  [10286] = {.lex_state = 221, .external_lex_state = 2},
  [10287] = {.lex_state = 430, .external_lex_state = 2},
  [10288] = {.lex_state = 431, .external_lex_state = 2},
  [10289] = {.lex_state = 430, .external_lex_state = 2},
  [10290] = {.lex_state = 6, .external_lex_state = 3},
  [10291] = {.lex_state = 6, .external_lex_state = 3},
  [10292] = {.lex_state = 173, .external_lex_state = 2},
  [10293] = {.lex_state = 172, .external_lex_state = 2},
  [10294] = {.lex_state = 6, .external_lex_state = 3},
  [10295] = {.lex_state = 6, .external_lex_state = 3},
  [10296] = {.lex_state = 6, .external_lex_state = 3},
  [10297] = {.lex_state = 173, .external_lex_state = 2},
  [10298] = {.lex_state = 430, .external_lex_state = 2},
  [10299] = {.lex_state = 431, .external_lex_state = 2},
  [10300] = {.lex_state = 431, .external_lex_state = 2},
  [10301] = {.lex_state = 6, .external_lex_state = 3},
  [10302] = {.lex_state = 173, .external_lex_state = 2},
  [10303] = {.lex_state = 6, .external_lex_state = 3},
  [10304] = {.lex_state = 172, .external_lex_state = 2},
  [10305] = {.lex_state = 425, .external_lex_state = 2},
  [10306] = {.lex_state = 16, .external_lex_state = 2},
  [10307] = {.lex_state = 15, .external_lex_state = 2},
  [10308] = {.lex_state = 425, .external_lex_state = 2},
  [10309] = {.lex_state = 425, .external_lex_state = 2},
  [10310] = {.lex_state = 425, .external_lex_state = 2},
  [10311] = {.lex_state = 425, .external_lex_state = 2},
  [10312] = {.lex_state = 16, .external_lex_state = 2},
  [10313] = {.lex_state = 425, .external_lex_state = 2},
  [10314] = {.lex_state = 211, .external_lex_state = 2},
  [10315] = {.lex_state = 211, .external_lex_state = 2},
  [10316] = {.lex_state = 10, .external_lex_state = 2},
  [10317] = {.lex_state = 15, .external_lex_state = 2},
  [10318] = {.lex_state = 425, .external_lex_state = 2},
  [10319] = {.lex_state = 425, .external_lex_state = 2},
  [10320] = {.lex_state = 425, .external_lex_state = 2},
  [10321] = {.lex_state = 14, .external_lex_state = 2},
  [10322] = {.lex_state = 211, .external_lex_state = 2},
  [10323] = {.lex_state = 16, .external_lex_state = 2},
  [10324] = {.lex_state = 425, .external_lex_state = 2},
  [10325] = {.lex_state = 425, .external_lex_state = 2},
  [10326] = {.lex_state = 425, .external_lex_state = 2},
  [10327] = {.lex_state = 425, .external_lex_state = 2},
  [10328] = {.lex_state = 15, .external_lex_state = 2},
  [10329] = {.lex_state = 420, .external_lex_state = 2},
  [10330] = {.lex_state = 211, .external_lex_state = 2},
  [10331] = {.lex_state = 211, .external_lex_state = 2},
  [10332] = {.lex_state = 199, .external_lex_state = 2},
  [10333] = {.lex_state = 199, .external_lex_state = 2},
  [10334] = {.lex_state = 211, .external_lex_state = 2},
  [10335] = {.lex_state = 199, .external_lex_state = 2},
  [10336] = {.lex_state = 425, .external_lex_state = 2},
  [10337] = {.lex_state = 425, .external_lex_state = 2},
  [10338] = {.lex_state = 425, .external_lex_state = 2},
  [10339] = {.lex_state = 217, .external_lex_state = 2},
  [10340] = {.lex_state = 425, .external_lex_state = 2},
  [10341] = {.lex_state = 425, .external_lex_state = 2},
  [10342] = {.lex_state = 14, .external_lex_state = 2},
  [10343] = {.lex_state = 14, .external_lex_state = 2},
  [10344] = {.lex_state = 425, .external_lex_state = 2},
  [10345] = {.lex_state = 425, .external_lex_state = 2},
  [10346] = {.lex_state = 217, .external_lex_state = 2},
  [10347] = {.lex_state = 425, .external_lex_state = 2},
  [10348] = {.lex_state = 420, .external_lex_state = 2},
  [10349] = {.lex_state = 425, .external_lex_state = 2},
  [10350] = {.lex_state = 16, .external_lex_state = 2},
  [10351] = {.lex_state = 188, .external_lex_state = 3},
  [10352] = {.lex_state = 425, .external_lex_state = 2},
  [10353] = {.lex_state = 188, .external_lex_state = 3},
  [10354] = {.lex_state = 14, .external_lex_state = 2},
  [10355] = {.lex_state = 425, .external_lex_state = 2},
  [10356] = {.lex_state = 420, .external_lex_state = 2},
  [10357] = {.lex_state = 200, .external_lex_state = 2},
  [10358] = {.lex_state = 200, .external_lex_state = 2},
  [10359] = {.lex_state = 16, .external_lex_state = 2},
  [10360] = {.lex_state = 200, .external_lex_state = 2},
  [10361] = {.lex_state = 425, .external_lex_state = 2},
  [10362] = {.lex_state = 425, .external_lex_state = 2},
  [10363] = {.lex_state = 14, .external_lex_state = 2},
  [10364] = {.lex_state = 425, .external_lex_state = 2},
  [10365] = {.lex_state = 14, .external_lex_state = 2},
  [10366] = {.lex_state = 425, .external_lex_state = 2},
  [10367] = {.lex_state = 16, .external_lex_state = 2},
  [10368] = {.lex_state = 188, .external_lex_state = 3},
  [10369] = {.lex_state = 14, .external_lex_state = 2},
  [10370] = {.lex_state = 14, .external_lex_state = 2},
  [10371] = {.lex_state = 14, .external_lex_state = 2},
  [10372] = {.lex_state = 10, .external_lex_state = 2},
  [10373] = {.lex_state = 10, .external_lex_state = 2},
  [10374] = {.lex_state = 227, .external_lex_state = 2},
  [10375] = {.lex_state = 425, .external_lex_state = 2},
  [10376] = {.lex_state = 16, .external_lex_state = 2},
  [10377] = {.lex_state = 425, .external_lex_state = 2},
  [10378] = {.lex_state = 425, .external_lex_state = 2},
  [10379] = {.lex_state = 6, .external_lex_state = 3},
  [10380] = {.lex_state = 425, .external_lex_state = 2},
  [10381] = {.lex_state = 14, .external_lex_state = 2},
  [10382] = {.lex_state = 425, .external_lex_state = 2},
  [10383] = {.lex_state = 16, .external_lex_state = 2},
  [10384] = {.lex_state = 16, .external_lex_state = 2},
  [10385] = {.lex_state = 16, .external_lex_state = 2},
  [10386] = {.lex_state = 16, .external_lex_state = 2},
  [10387] = {.lex_state = 425, .external_lex_state = 2},
  [10388] = {.lex_state = 16, .external_lex_state = 2},
  [10389] = {.lex_state = 217, .external_lex_state = 2},
  [10390] = {.lex_state = 425, .external_lex_state = 2},
  [10391] = {.lex_state = 425, .external_lex_state = 2},
  [10392] = {.lex_state = 217, .external_lex_state = 2},
  [10393] = {.lex_state = 16, .external_lex_state = 2},
  [10394] = {.lex_state = 425, .external_lex_state = 2},
  [10395] = {.lex_state = 425, .external_lex_state = 2},
  [10396] = {.lex_state = 16, .external_lex_state = 2},
  [10397] = {.lex_state = 425, .external_lex_state = 2},
  [10398] = {.lex_state = 425, .external_lex_state = 2},
  [10399] = {.lex_state = 425, .external_lex_state = 2},
  [10400] = {.lex_state = 425, .external_lex_state = 2},
  [10401] = {.lex_state = 425, .external_lex_state = 2},
  [10402] = {.lex_state = 425, .external_lex_state = 2},
  [10403] = {.lex_state = 425, .external_lex_state = 2},
  [10404] = {.lex_state = 16, .external_lex_state = 2},
  [10405] = {.lex_state = 16, .external_lex_state = 2},
  [10406] = {.lex_state = 14, .external_lex_state = 2},
  [10407] = {.lex_state = 433, .external_lex_state = 2},
  [10408] = {.lex_state = 16, .external_lex_state = 2},
  [10409] = {.lex_state = 16, .external_lex_state = 2},
  [10410] = {.lex_state = 425, .external_lex_state = 2},
  [10411] = {.lex_state = 425, .external_lex_state = 2},
  [10412] = {.lex_state = 430, .external_lex_state = 2},
  [10413] = {.lex_state = 425, .external_lex_state = 2},
  [10414] = {.lex_state = 425, .external_lex_state = 2},
  [10415] = {.lex_state = 425, .external_lex_state = 2},
  [10416] = {.lex_state = 420, .external_lex_state = 2},
  [10417] = {.lex_state = 10, .external_lex_state = 2},
  [10418] = {.lex_state = 425, .external_lex_state = 2},
  [10419] = {.lex_state = 10, .external_lex_state = 2},
  [10420] = {.lex_state = 420, .external_lex_state = 2},
  [10421] = {.lex_state = 420, .external_lex_state = 2},
  [10422] = {.lex_state = 420, .external_lex_state = 2},
  [10423] = {.lex_state = 425, .external_lex_state = 2},
  [10424] = {.lex_state = 420, .external_lex_state = 2},
  [10425] = {.lex_state = 420, .external_lex_state = 2},
  [10426] = {.lex_state = 425, .external_lex_state = 2},
  [10427] = {.lex_state = 10, .external_lex_state = 2},
  [10428] = {.lex_state = 10, .external_lex_state = 2},
  [10429] = {.lex_state = 16, .external_lex_state = 2},
  [10430] = {.lex_state = 425, .external_lex_state = 2},
  [10431] = {.lex_state = 425, .external_lex_state = 2},
  [10432] = {.lex_state = 16, .external_lex_state = 2},
  [10433] = {.lex_state = 425, .external_lex_state = 2},
  [10434] = {.lex_state = 433, .external_lex_state = 2},
  [10435] = {.lex_state = 16, .external_lex_state = 2},
  [10436] = {.lex_state = 16, .external_lex_state = 2},
  [10437] = {.lex_state = 217, .external_lex_state = 2},
  [10438] = {.lex_state = 217, .external_lex_state = 2},
  [10439] = {.lex_state = 419, .external_lex_state = 2},
  [10440] = {.lex_state = 425, .external_lex_state = 2},
  [10441] = {.lex_state = 425, .external_lex_state = 2},
  [10442] = {.lex_state = 425, .external_lex_state = 2},
  [10443] = {.lex_state = 425, .external_lex_state = 2},
  [10444] = {.lex_state = 425, .external_lex_state = 2},
  [10445] = {.lex_state = 425, .external_lex_state = 2},
  [10446] = {.lex_state = 425, .external_lex_state = 2},
  [10447] = {.lex_state = 165, .external_lex_state = 2},
  [10448] = {.lex_state = 165, .external_lex_state = 2},
  [10449] = {.lex_state = 425, .external_lex_state = 2},
  [10450] = {.lex_state = 425, .external_lex_state = 2},
  [10451] = {.lex_state = 419, .external_lex_state = 3},
  [10452] = {.lex_state = 425, .external_lex_state = 2},
  [10453] = {.lex_state = 425, .external_lex_state = 2},
  [10454] = {.lex_state = 14, .external_lex_state = 2},
  [10455] = {.lex_state = 16, .external_lex_state = 2},
  [10456] = {.lex_state = 16, .external_lex_state = 2},
  [10457] = {.lex_state = 425, .external_lex_state = 2},
  [10458] = {.lex_state = 10, .external_lex_state = 2},
  [10459] = {.lex_state = 46, .external_lex_state = 3},
  [10460] = {.lex_state = 425, .external_lex_state = 2},
  [10461] = {.lex_state = 46, .external_lex_state = 3},
  [10462] = {.lex_state = 425, .external_lex_state = 2},
  [10463] = {.lex_state = 16, .external_lex_state = 2},
  [10464] = {.lex_state = 425, .external_lex_state = 2},
  [10465] = {.lex_state = 425, .external_lex_state = 2},
  [10466] = {.lex_state = 425, .external_lex_state = 2},
  [10467] = {.lex_state = 425, .external_lex_state = 2},
  [10468] = {.lex_state = 46, .external_lex_state = 3},
  [10469] = {.lex_state = 425, .external_lex_state = 2},
  [10470] = {.lex_state = 433, .external_lex_state = 2},
  [10471] = {.lex_state = 425, .external_lex_state = 2},
  [10472] = {.lex_state = 420, .external_lex_state = 2},
  [10473] = {.lex_state = 425, .external_lex_state = 2},
  [10474] = {.lex_state = 420, .external_lex_state = 2},
  [10475] = {.lex_state = 420, .external_lex_state = 2},
  [10476] = {.lex_state = 425, .external_lex_state = 2},
  [10477] = {.lex_state = 425, .external_lex_state = 2},
  [10478] = {.lex_state = 30, .external_lex_state = 2},
  [10479] = {.lex_state = 30, .external_lex_state = 2},
  [10480] = {.lex_state = 425, .external_lex_state = 2},
  [10481] = {.lex_state = 420, .external_lex_state = 2},
  [10482] = {.lex_state = 30, .external_lex_state = 2},
  [10483] = {.lex_state = 30, .external_lex_state = 2},
  [10484] = {.lex_state = 30, .external_lex_state = 2},
  [10485] = {.lex_state = 425, .external_lex_state = 2},
  [10486] = {.lex_state = 199, .external_lex_state = 2},
  [10487] = {.lex_state = 10, .external_lex_state = 2},
  [10488] = {.lex_state = 15, .external_lex_state = 2},
  [10489] = {.lex_state = 420, .external_lex_state = 2},
  [10490] = {.lex_state = 419, .external_lex_state = 2},
  [10491] = {.lex_state = 420, .external_lex_state = 2},
  [10492] = {.lex_state = 16, .external_lex_state = 2},
  [10493] = {.lex_state = 425, .external_lex_state = 2},
  [10494] = {.lex_state = 425, .external_lex_state = 2},
  [10495] = {.lex_state = 14, .external_lex_state = 2},
  [10496] = {.lex_state = 14, .external_lex_state = 2},
  [10497] = {.lex_state = 425, .external_lex_state = 2},
  [10498] = {.lex_state = 420, .external_lex_state = 2},
  [10499] = {.lex_state = 223, .external_lex_state = 2},
  [10500] = {.lex_state = 217, .external_lex_state = 2},
  [10501] = {.lex_state = 425, .external_lex_state = 2},
  [10502] = {.lex_state = 217, .external_lex_state = 2},
  [10503] = {.lex_state = 425, .external_lex_state = 2},
  [10504] = {.lex_state = 425, .external_lex_state = 2},
  [10505] = {.lex_state = 425, .external_lex_state = 2},
  [10506] = {.lex_state = 425, .external_lex_state = 2},
  [10507] = {.lex_state = 425, .external_lex_state = 2},
  [10508] = {.lex_state = 425, .external_lex_state = 2},
  [10509] = {.lex_state = 10, .external_lex_state = 2},
  [10510] = {.lex_state = 425, .external_lex_state = 2},
  [10511] = {.lex_state = 425, .external_lex_state = 2},
  [10512] = {.lex_state = 433, .external_lex_state = 2},
  [10513] = {.lex_state = 425, .external_lex_state = 2},
  [10514] = {.lex_state = 170, .external_lex_state = 2},
  [10515] = {.lex_state = 420, .external_lex_state = 2},
  [10516] = {.lex_state = 425, .external_lex_state = 2},
  [10517] = {.lex_state = 425, .external_lex_state = 2},
  [10518] = {.lex_state = 200, .external_lex_state = 2},
  [10519] = {.lex_state = 425, .external_lex_state = 2},
  [10520] = {.lex_state = 425, .external_lex_state = 2},
  [10521] = {.lex_state = 425, .external_lex_state = 2},
  [10522] = {.lex_state = 425, .external_lex_state = 2},
  [10523] = {.lex_state = 420, .external_lex_state = 2},
  [10524] = {.lex_state = 425, .external_lex_state = 2},
  [10525] = {.lex_state = 425, .external_lex_state = 2},
  [10526] = {.lex_state = 420, .external_lex_state = 2},
  [10527] = {.lex_state = 15, .external_lex_state = 2},
  [10528] = {.lex_state = 420, .external_lex_state = 2},
  [10529] = {.lex_state = 420, .external_lex_state = 2},
  [10530] = {.lex_state = 217, .external_lex_state = 2},
  [10531] = {.lex_state = 10, .external_lex_state = 2},
  [10532] = {.lex_state = 420, .external_lex_state = 2},
  [10533] = {.lex_state = 425, .external_lex_state = 2},
  [10534] = {.lex_state = 425, .external_lex_state = 2},
  [10535] = {.lex_state = 425, .external_lex_state = 2},
  [10536] = {.lex_state = 425, .external_lex_state = 2},
  [10537] = {.lex_state = 425, .external_lex_state = 2},
  [10538] = {.lex_state = 221, .external_lex_state = 2},
  [10539] = {.lex_state = 425, .external_lex_state = 2},
  [10540] = {.lex_state = 425, .external_lex_state = 2},
  [10541] = {.lex_state = 425, .external_lex_state = 2},
  [10542] = {.lex_state = 16, .external_lex_state = 2},
  [10543] = {.lex_state = 425, .external_lex_state = 2},
  [10544] = {.lex_state = 425, .external_lex_state = 2},
  [10545] = {.lex_state = 425, .external_lex_state = 2},
  [10546] = {.lex_state = 425, .external_lex_state = 2},
  [10547] = {.lex_state = 425, .external_lex_state = 2},
  [10548] = {.lex_state = 425, .external_lex_state = 2},
  [10549] = {.lex_state = 174, .external_lex_state = 2},
  [10550] = {.lex_state = 420, .external_lex_state = 2},
  [10551] = {.lex_state = 425, .external_lex_state = 2},
  [10552] = {.lex_state = 425, .external_lex_state = 2},
  [10553] = {.lex_state = 425, .external_lex_state = 2},
  [10554] = {.lex_state = 425, .external_lex_state = 2},
  [10555] = {.lex_state = 425, .external_lex_state = 2},
  [10556] = {.lex_state = 425, .external_lex_state = 2},
  [10557] = {.lex_state = 425, .external_lex_state = 2},
  [10558] = {.lex_state = 425, .external_lex_state = 2},
  [10559] = {.lex_state = 430, .external_lex_state = 2},
  [10560] = {.lex_state = 425, .external_lex_state = 2},
  [10561] = {.lex_state = 425, .external_lex_state = 2},
  [10562] = {.lex_state = 425, .external_lex_state = 2},
  [10563] = {.lex_state = 425, .external_lex_state = 2},
  [10564] = {.lex_state = 425, .external_lex_state = 2},
  [10565] = {.lex_state = 425, .external_lex_state = 2},
  [10566] = {.lex_state = 425, .external_lex_state = 2},
  [10567] = {.lex_state = 425, .external_lex_state = 2},
  [10568] = {.lex_state = 14, .external_lex_state = 2},
  [10569] = {.lex_state = 425, .external_lex_state = 2},
  [10570] = {.lex_state = 425, .external_lex_state = 2},
  [10571] = {.lex_state = 425, .external_lex_state = 2},
  [10572] = {.lex_state = 425, .external_lex_state = 2},
  [10573] = {.lex_state = 425, .external_lex_state = 2},
  [10574] = {.lex_state = 425, .external_lex_state = 2},
  [10575] = {.lex_state = 425, .external_lex_state = 2},
  [10576] = {.lex_state = 425, .external_lex_state = 2},
  [10577] = {.lex_state = 425, .external_lex_state = 2},
  [10578] = {.lex_state = 425, .external_lex_state = 2},
  [10579] = {.lex_state = 425, .external_lex_state = 2},
  [10580] = {.lex_state = 425, .external_lex_state = 2},
  [10581] = {.lex_state = 425, .external_lex_state = 2},
  [10582] = {.lex_state = 425, .external_lex_state = 2},
  [10583] = {.lex_state = 425, .external_lex_state = 2},
  [10584] = {.lex_state = 425, .external_lex_state = 2},
  [10585] = {.lex_state = 425, .external_lex_state = 2},
  [10586] = {.lex_state = 14, .external_lex_state = 2},
  [10587] = {.lex_state = 425, .external_lex_state = 2},
  [10588] = {.lex_state = 425, .external_lex_state = 2},
  [10589] = {.lex_state = 425, .external_lex_state = 2},
  [10590] = {.lex_state = 425, .external_lex_state = 2},
  [10591] = {.lex_state = 425, .external_lex_state = 2},
  [10592] = {.lex_state = 420, .external_lex_state = 2},
  [10593] = {.lex_state = 425, .external_lex_state = 2},
  [10594] = {.lex_state = 420, .external_lex_state = 2},
  [10595] = {.lex_state = 425, .external_lex_state = 2},
  [10596] = {.lex_state = 425, .external_lex_state = 2},
  [10597] = {.lex_state = 420, .external_lex_state = 2},
  [10598] = {.lex_state = 420, .external_lex_state = 2},
  [10599] = {.lex_state = 420, .external_lex_state = 2},
  [10600] = {.lex_state = 425, .external_lex_state = 2},
  [10601] = {.lex_state = 420, .external_lex_state = 2},
  [10602] = {.lex_state = 217, .external_lex_state = 2},
  [10603] = {.lex_state = 10, .external_lex_state = 2},
  [10604] = {.lex_state = 425, .external_lex_state = 2},
  [10605] = {.lex_state = 425, .external_lex_state = 2},
  [10606] = {.lex_state = 420, .external_lex_state = 2},
  [10607] = {.lex_state = 425, .external_lex_state = 2},
  [10608] = {.lex_state = 425, .external_lex_state = 2},
  [10609] = {.lex_state = 425, .external_lex_state = 2},
  [10610] = {.lex_state = 212, .external_lex_state = 2},
  [10611] = {.lex_state = 425, .external_lex_state = 2},
  [10612] = {.lex_state = 425, .external_lex_state = 2},
  [10613] = {.lex_state = 425, .external_lex_state = 2},
  [10614] = {.lex_state = 425, .external_lex_state = 2},
  [10615] = {.lex_state = 425, .external_lex_state = 2},
  [10616] = {.lex_state = 425, .external_lex_state = 2},
  [10617] = {.lex_state = 425, .external_lex_state = 2},
  [10618] = {.lex_state = 425, .external_lex_state = 2},
  [10619] = {.lex_state = 217, .external_lex_state = 2},
  [10620] = {.lex_state = 15, .external_lex_state = 2},
  [10621] = {.lex_state = 15, .external_lex_state = 2},
  [10622] = {.lex_state = 15, .external_lex_state = 2},
  [10623] = {.lex_state = 425, .external_lex_state = 2},
  [10624] = {.lex_state = 16, .external_lex_state = 2},
  [10625] = {.lex_state = 14, .external_lex_state = 2},
  [10626] = {.lex_state = 15, .external_lex_state = 2},
  [10627] = {.lex_state = 425, .external_lex_state = 2},
  [10628] = {.lex_state = 16, .external_lex_state = 2},
  [10629] = {.lex_state = 420, .external_lex_state = 2},
  [10630] = {.lex_state = 15, .external_lex_state = 2},
  [10631] = {.lex_state = 15, .external_lex_state = 2},
  [10632] = {.lex_state = 15, .external_lex_state = 2},
  [10633] = {.lex_state = 425, .external_lex_state = 2},
  [10634] = {.lex_state = 15, .external_lex_state = 2},
  [10635] = {.lex_state = 15, .external_lex_state = 2},
  [10636] = {.lex_state = 15, .external_lex_state = 2},
  [10637] = {.lex_state = 15, .external_lex_state = 2},
  [10638] = {.lex_state = 425, .external_lex_state = 2},
  [10639] = {.lex_state = 425, .external_lex_state = 2},
  [10640] = {.lex_state = 425, .external_lex_state = 2},
  [10641] = {.lex_state = 15, .external_lex_state = 2},
  [10642] = {.lex_state = 425, .external_lex_state = 2},
  [10643] = {.lex_state = 425, .external_lex_state = 2},
  [10644] = {.lex_state = 420, .external_lex_state = 2},
  [10645] = {.lex_state = 425, .external_lex_state = 2},
  [10646] = {.lex_state = 425, .external_lex_state = 2},
  [10647] = {.lex_state = 420, .external_lex_state = 2},
  [10648] = {.lex_state = 420, .external_lex_state = 2},
  [10649] = {.lex_state = 420, .external_lex_state = 2},
  [10650] = {.lex_state = 425, .external_lex_state = 2},
  [10651] = {.lex_state = 15, .external_lex_state = 2},
  [10652] = {.lex_state = 425, .external_lex_state = 2},
  [10653] = {.lex_state = 425, .external_lex_state = 2},
  [10654] = {.lex_state = 425, .external_lex_state = 2},
  [10655] = {.lex_state = 425, .external_lex_state = 2},
  [10656] = {.lex_state = 425, .external_lex_state = 2},
  [10657] = {.lex_state = 15, .external_lex_state = 2},
  [10658] = {.lex_state = 425, .external_lex_state = 2},
  [10659] = {.lex_state = 14, .external_lex_state = 2},
  [10660] = {.lex_state = 14, .external_lex_state = 2},
  [10661] = {.lex_state = 425, .external_lex_state = 2},
  [10662] = {.lex_state = 425, .external_lex_state = 2},
  [10663] = {.lex_state = 419, .external_lex_state = 2},
  [10664] = {.lex_state = 419, .external_lex_state = 2},
  [10665] = {.lex_state = 430, .external_lex_state = 2},
  [10666] = {.lex_state = 431, .external_lex_state = 2},
  [10667] = {.lex_state = 221, .external_lex_state = 2},
  [10668] = {.lex_state = 419, .external_lex_state = 2},
  [10669] = {.lex_state = 221, .external_lex_state = 2},
  [10670] = {.lex_state = 227, .external_lex_state = 2},
  [10671] = {.lex_state = 431, .external_lex_state = 2},
  [10672] = {.lex_state = 30, .external_lex_state = 2},
  [10673] = {.lex_state = 221, .external_lex_state = 2},
  [10674] = {.lex_state = 221, .external_lex_state = 2},
  [10675] = {.lex_state = 200, .external_lex_state = 2},
  [10676] = {.lex_state = 425, .external_lex_state = 2},
  [10677] = {.lex_state = 223, .external_lex_state = 2},
  [10678] = {.lex_state = 15, .external_lex_state = 2},
  [10679] = {.lex_state = 223, .external_lex_state = 2},
  [10680] = {.lex_state = 30, .external_lex_state = 2},
  [10681] = {.lex_state = 223, .external_lex_state = 2},
  [10682] = {.lex_state = 15, .external_lex_state = 2},
  [10683] = {.lex_state = 15, .external_lex_state = 2},
  [10684] = {.lex_state = 15, .external_lex_state = 2},
  [10685] = {.lex_state = 221, .external_lex_state = 2},
  [10686] = {.lex_state = 15, .external_lex_state = 2},
  [10687] = {.lex_state = 221, .external_lex_state = 2},
  [10688] = {.lex_state = 15, .external_lex_state = 2},
  [10689] = {.lex_state = 15, .external_lex_state = 2},
  [10690] = {.lex_state = 425, .external_lex_state = 2},
  [10691] = {.lex_state = 15, .external_lex_state = 2},
  [10692] = {.lex_state = 15, .external_lex_state = 2},
  [10693] = {.lex_state = 15, .external_lex_state = 2},
  [10694] = {.lex_state = 30, .external_lex_state = 2},
  [10695] = {.lex_state = 30, .external_lex_state = 2},
  [10696] = {.lex_state = 15, .external_lex_state = 2},
  [10697] = {.lex_state = 425, .external_lex_state = 2},
  [10698] = {.lex_state = 30, .external_lex_state = 2},
  [10699] = {.lex_state = 223, .external_lex_state = 2},
  [10700] = {.lex_state = 221, .external_lex_state = 2},
  [10701] = {.lex_state = 221, .external_lex_state = 2},
  [10702] = {.lex_state = 223, .external_lex_state = 2},
  [10703] = {.lex_state = 199, .external_lex_state = 2},
  [10704] = {.lex_state = 223, .external_lex_state = 2},
  [10705] = {.lex_state = 430, .external_lex_state = 2},
  [10706] = {.lex_state = 425, .external_lex_state = 2},
  [10707] = {.lex_state = 30, .external_lex_state = 2},
  [10708] = {.lex_state = 30, .external_lex_state = 2},
  [10709] = {.lex_state = 425, .external_lex_state = 2},
  [10710] = {.lex_state = 425, .external_lex_state = 2},
  [10711] = {.lex_state = 223, .external_lex_state = 2},
  [10712] = {.lex_state = 30, .external_lex_state = 2},
  [10713] = {.lex_state = 221, .external_lex_state = 2},
  [10714] = {.lex_state = 30, .external_lex_state = 2},
  [10715] = {.lex_state = 425, .external_lex_state = 2},
  [10716] = {.lex_state = 425, .external_lex_state = 2},
  [10717] = {.lex_state = 430, .external_lex_state = 2},
  [10718] = {.lex_state = 430, .external_lex_state = 2},
  [10719] = {.lex_state = 430, .external_lex_state = 2},
  [10720] = {.lex_state = 7, .external_lex_state = 2},
  [10721] = {.lex_state = 425, .external_lex_state = 2},
  [10722] = {.lex_state = 430, .external_lex_state = 2},
  [10723] = {.lex_state = 425, .external_lex_state = 2},
  [10724] = {.lex_state = 30, .external_lex_state = 2},
  [10725] = {.lex_state = 430, .external_lex_state = 2},
  [10726] = {.lex_state = 430, .external_lex_state = 2},
  [10727] = {.lex_state = 221, .external_lex_state = 2},
  [10728] = {.lex_state = 221, .external_lex_state = 2},
  [10729] = {.lex_state = 223, .external_lex_state = 2},
  [10730] = {.lex_state = 430, .external_lex_state = 2},
  [10731] = {.lex_state = 188, .external_lex_state = 3},
  [10732] = {.lex_state = 221, .external_lex_state = 2},
  [10733] = {.lex_state = 430, .external_lex_state = 2},
  [10734] = {.lex_state = 221, .external_lex_state = 2},
  [10735] = {.lex_state = 221, .external_lex_state = 2},
  [10736] = {.lex_state = 221, .external_lex_state = 2},
  [10737] = {.lex_state = 221, .external_lex_state = 2},
  [10738] = {.lex_state = 425, .external_lex_state = 2},
  [10739] = {.lex_state = 425, .external_lex_state = 2},
  [10740] = {.lex_state = 221, .external_lex_state = 2},
  [10741] = {.lex_state = 223, .external_lex_state = 2},
  [10742] = {.lex_state = 223, .external_lex_state = 2},
  [10743] = {.lex_state = 223, .external_lex_state = 2},
  [10744] = {.lex_state = 223, .external_lex_state = 2},
  [10745] = {.lex_state = 30, .external_lex_state = 2},
  [10746] = {.lex_state = 30, .external_lex_state = 2},
  [10747] = {.lex_state = 223, .external_lex_state = 2},
  [10748] = {.lex_state = 419, .external_lex_state = 2},
  [10749] = {.lex_state = 202, .external_lex_state = 2},
  [10750] = {.lex_state = 202, .external_lex_state = 2},
  [10751] = {.lex_state = 202, .external_lex_state = 2},
  [10752] = {.lex_state = 30, .external_lex_state = 2},
  [10753] = {.lex_state = 30, .external_lex_state = 2},
  [10754] = {.lex_state = 30, .external_lex_state = 2},
  [10755] = {.lex_state = 30, .external_lex_state = 2},
  [10756] = {.lex_state = 30, .external_lex_state = 2},
  [10757] = {.lex_state = 425, .external_lex_state = 2},
  [10758] = {.lex_state = 223, .external_lex_state = 2},
  [10759] = {.lex_state = 223, .external_lex_state = 2},
  [10760] = {.lex_state = 223, .external_lex_state = 2},
  [10761] = {.lex_state = 223, .external_lex_state = 2},
  [10762] = {.lex_state = 199, .external_lex_state = 2},
  [10763] = {.lex_state = 221, .external_lex_state = 2},
  [10764] = {.lex_state = 30, .external_lex_state = 2},
  [10765] = {.lex_state = 227, .external_lex_state = 2},
  [10766] = {.lex_state = 217, .external_lex_state = 2},
  [10767] = {.lex_state = 30, .external_lex_state = 2},
  [10768] = {.lex_state = 200, .external_lex_state = 2},
  [10769] = {.lex_state = 15, .external_lex_state = 2},
  [10770] = {.lex_state = 30, .external_lex_state = 2},
  [10771] = {.lex_state = 30, .external_lex_state = 2},
  [10772] = {.lex_state = 223, .external_lex_state = 2},
  [10773] = {.lex_state = 223, .external_lex_state = 2},
  [10774] = {.lex_state = 223, .external_lex_state = 2},
  [10775] = {.lex_state = 430, .external_lex_state = 2},
  [10776] = {.lex_state = 223, .external_lex_state = 2},
  [10777] = {.lex_state = 223, .external_lex_state = 2},
  [10778] = {.lex_state = 223, .external_lex_state = 2},
  [10779] = {.lex_state = 223, .external_lex_state = 2},
  [10780] = {.lex_state = 425, .external_lex_state = 2},
  [10781] = {.lex_state = 425, .external_lex_state = 2},
  [10782] = {.lex_state = 419, .external_lex_state = 2},
  [10783] = {.lex_state = 6, .external_lex_state = 3},
  [10784] = {.lex_state = 223, .external_lex_state = 2},
  [10785] = {.lex_state = 419, .external_lex_state = 2},
  [10786] = {.lex_state = 430, .external_lex_state = 2},
  [10787] = {.lex_state = 430, .external_lex_state = 2},
  [10788] = {.lex_state = 430, .external_lex_state = 2},
  [10789] = {.lex_state = 227, .external_lex_state = 2},
  [10790] = {.lex_state = 201, .external_lex_state = 2},
  [10791] = {.lex_state = 419, .external_lex_state = 2},
  [10792] = {.lex_state = 430, .external_lex_state = 2},
  [10793] = {.lex_state = 430, .external_lex_state = 2},
  [10794] = {.lex_state = 425, .external_lex_state = 2},
  [10795] = {.lex_state = 201, .external_lex_state = 2},
  [10796] = {.lex_state = 15, .external_lex_state = 2},
  [10797] = {.lex_state = 30, .external_lex_state = 2},
  [10798] = {.lex_state = 223, .external_lex_state = 2},
  [10799] = {.lex_state = 221, .external_lex_state = 2},
  [10800] = {.lex_state = 430, .external_lex_state = 2},
  [10801] = {.lex_state = 221, .external_lex_state = 2},
  [10802] = {.lex_state = 430, .external_lex_state = 2},
  [10803] = {.lex_state = 425, .external_lex_state = 2},
  [10804] = {.lex_state = 221, .external_lex_state = 2},
  [10805] = {.lex_state = 221, .external_lex_state = 2},
  [10806] = {.lex_state = 223, .external_lex_state = 2},
  [10807] = {.lex_state = 419, .external_lex_state = 2},
  [10808] = {.lex_state = 221, .external_lex_state = 2},
  [10809] = {.lex_state = 223, .external_lex_state = 2},
  [10810] = {.lex_state = 425, .external_lex_state = 2},
  [10811] = {.lex_state = 15, .external_lex_state = 2},
  [10812] = {.lex_state = 201, .external_lex_state = 2},
  [10813] = {.lex_state = 221, .external_lex_state = 2},
  [10814] = {.lex_state = 221, .external_lex_state = 2},
  [10815] = {.lex_state = 223, .external_lex_state = 2},
  [10816] = {.lex_state = 221, .external_lex_state = 2},
  [10817] = {.lex_state = 30, .external_lex_state = 2},
  [10818] = {.lex_state = 223, .external_lex_state = 2},
  [10819] = {.lex_state = 223, .external_lex_state = 2},
  [10820] = {.lex_state = 227, .external_lex_state = 2},
  [10821] = {.lex_state = 425, .external_lex_state = 2},
  [10822] = {.lex_state = 30, .external_lex_state = 2},
  [10823] = {.lex_state = 221, .external_lex_state = 2},
  [10824] = {.lex_state = 30, .external_lex_state = 2},
  [10825] = {.lex_state = 30, .external_lex_state = 2},
  [10826] = {.lex_state = 430, .external_lex_state = 2},
  [10827] = {.lex_state = 430, .external_lex_state = 2},
  [10828] = {.lex_state = 430, .external_lex_state = 2},
  [10829] = {.lex_state = 223, .external_lex_state = 2},
  [10830] = {.lex_state = 425, .external_lex_state = 2},
  [10831] = {.lex_state = 217, .external_lex_state = 2},
  [10832] = {.lex_state = 431, .external_lex_state = 2},
  [10833] = {.lex_state = 30, .external_lex_state = 2},
  [10834] = {.lex_state = 30, .external_lex_state = 2},
  [10835] = {.lex_state = 30, .external_lex_state = 2},
  [10836] = {.lex_state = 223, .external_lex_state = 2},
  [10837] = {.lex_state = 46, .external_lex_state = 3},
  [10838] = {.lex_state = 221, .external_lex_state = 2},
  [10839] = {.lex_state = 30, .external_lex_state = 2},
  [10840] = {.lex_state = 200, .external_lex_state = 2},
  [10841] = {.lex_state = 430, .external_lex_state = 2},
  [10842] = {.lex_state = 30, .external_lex_state = 2},
  [10843] = {.lex_state = 430, .external_lex_state = 2},
  [10844] = {.lex_state = 430, .external_lex_state = 2},
  [10845] = {.lex_state = 425, .external_lex_state = 2},
  [10846] = {.lex_state = 221, .external_lex_state = 2},
  [10847] = {.lex_state = 419, .external_lex_state = 2},
  [10848] = {.lex_state = 30, .external_lex_state = 2},
  [10849] = {.lex_state = 419, .external_lex_state = 2},
  [10850] = {.lex_state = 221, .external_lex_state = 2},
  [10851] = {.lex_state = 223, .external_lex_state = 2},
  [10852] = {.lex_state = 419, .external_lex_state = 2},
  [10853] = {.lex_state = 425, .external_lex_state = 2},
  [10854] = {.lex_state = 223, .external_lex_state = 2},
  [10855] = {.lex_state = 221, .external_lex_state = 2},
  [10856] = {.lex_state = 430, .external_lex_state = 2},
  [10857] = {.lex_state = 430, .external_lex_state = 2},
  [10858] = {.lex_state = 199, .external_lex_state = 2},
  [10859] = {.lex_state = 425, .external_lex_state = 2},
  [10860] = {.lex_state = 221, .external_lex_state = 2},
  [10861] = {.lex_state = 425, .external_lex_state = 2},
  [10862] = {.lex_state = 221, .external_lex_state = 2},
  [10863] = {.lex_state = 430, .external_lex_state = 2},
  [10864] = {.lex_state = 425, .external_lex_state = 2},
  [10865] = {.lex_state = 221, .external_lex_state = 2},
  [10866] = {.lex_state = 223, .external_lex_state = 2},
  [10867] = {.lex_state = 419, .external_lex_state = 2},
  [10868] = {.lex_state = 430, .external_lex_state = 2},
  [10869] = {.lex_state = 425, .external_lex_state = 2},
  [10870] = {.lex_state = 221, .external_lex_state = 2},
  [10871] = {.lex_state = 221, .external_lex_state = 2},
  [10872] = {.lex_state = 425, .external_lex_state = 2},
  [10873] = {.lex_state = 430, .external_lex_state = 2},
  [10874] = {.lex_state = 425, .external_lex_state = 2},
  [10875] = {.lex_state = 223, .external_lex_state = 2},
  [10876] = {.lex_state = 30, .external_lex_state = 2},
  [10877] = {.lex_state = 425, .external_lex_state = 2},
  [10878] = {.lex_state = 430, .external_lex_state = 2},
  [10879] = {.lex_state = 425, .external_lex_state = 2},
  [10880] = {.lex_state = 221, .external_lex_state = 2},
  [10881] = {.lex_state = 430, .external_lex_state = 2},
  [10882] = {.lex_state = 425, .external_lex_state = 2},
  [10883] = {.lex_state = 419, .external_lex_state = 2},
  [10884] = {.lex_state = 431, .external_lex_state = 2},
  [10885] = {.lex_state = 30, .external_lex_state = 2},
  [10886] = {.lex_state = 30, .external_lex_state = 2},
  [10887] = {.lex_state = 208, .external_lex_state = 2},
  [10888] = {.lex_state = 16, .external_lex_state = 2},
  [10889] = {.lex_state = 425, .external_lex_state = 2},
  [10890] = {.lex_state = 208, .external_lex_state = 2},
  [10891] = {.lex_state = 208, .external_lex_state = 2},
  [10892] = {.lex_state = 419, .external_lex_state = 2},
  [10893] = {.lex_state = 425, .external_lex_state = 2},
  [10894] = {.lex_state = 419, .external_lex_state = 2},
  [10895] = {.lex_state = 425, .external_lex_state = 2},
  [10896] = {.lex_state = 211, .external_lex_state = 2},
  [10897] = {.lex_state = 425, .external_lex_state = 2},
  [10898] = {.lex_state = 425, .external_lex_state = 2},
  [10899] = {.lex_state = 425, .external_lex_state = 2},
  [10900] = {.lex_state = 419, .external_lex_state = 2},
  [10901] = {.lex_state = 419, .external_lex_state = 2},
  [10902] = {.lex_state = 425, .external_lex_state = 2},
  [10903] = {.lex_state = 425, .external_lex_state = 2},
  [10904] = {.lex_state = 419, .external_lex_state = 2},
  [10905] = {.lex_state = 425, .external_lex_state = 2},
  [10906] = {.lex_state = 425, .external_lex_state = 2},
  [10907] = {.lex_state = 425, .external_lex_state = 2},
  [10908] = {.lex_state = 425, .external_lex_state = 2},
  [10909] = {.lex_state = 8, .external_lex_state = 2},
  [10910] = {.lex_state = 208, .external_lex_state = 2},
  [10911] = {.lex_state = 425, .external_lex_state = 2},
  [10912] = {.lex_state = 425, .external_lex_state = 2},
  [10913] = {.lex_state = 425, .external_lex_state = 2},
  [10914] = {.lex_state = 425, .external_lex_state = 2},
  [10915] = {.lex_state = 211, .external_lex_state = 2},
  [10916] = {.lex_state = 419, .external_lex_state = 2},
  [10917] = {.lex_state = 425, .external_lex_state = 2},
  [10918] = {.lex_state = 425, .external_lex_state = 2},
  [10919] = {.lex_state = 425, .external_lex_state = 2},
  [10920] = {.lex_state = 425, .external_lex_state = 2},
  [10921] = {.lex_state = 419, .external_lex_state = 2},
  [10922] = {.lex_state = 425, .external_lex_state = 2},
  [10923] = {.lex_state = 208, .external_lex_state = 2},
  [10924] = {.lex_state = 208, .external_lex_state = 2},
  [10925] = {.lex_state = 425, .external_lex_state = 2},
  [10926] = {.lex_state = 211, .external_lex_state = 2},
  [10927] = {.lex_state = 425, .external_lex_state = 2},
  [10928] = {.lex_state = 419, .external_lex_state = 2},
  [10929] = {.lex_state = 217, .external_lex_state = 2},
  [10930] = {.lex_state = 208, .external_lex_state = 2},
  [10931] = {.lex_state = 208, .external_lex_state = 2},
  [10932] = {.lex_state = 425, .external_lex_state = 2},
  [10933] = {.lex_state = 16, .external_lex_state = 2},
  [10934] = {.lex_state = 217, .external_lex_state = 2},
  [10935] = {.lex_state = 425, .external_lex_state = 2},
  [10936] = {.lex_state = 16, .external_lex_state = 2},
  [10937] = {.lex_state = 425, .external_lex_state = 2},
  [10938] = {.lex_state = 425, .external_lex_state = 2},
  [10939] = {.lex_state = 419, .external_lex_state = 2},
  [10940] = {.lex_state = 211, .external_lex_state = 2},
  [10941] = {.lex_state = 419, .external_lex_state = 2},
  [10942] = {.lex_state = 419, .external_lex_state = 3},
  [10943] = {.lex_state = 425, .external_lex_state = 2},
  [10944] = {.lex_state = 425, .external_lex_state = 2},
  [10945] = {.lex_state = 419, .external_lex_state = 2},
  [10946] = {.lex_state = 425, .external_lex_state = 2},
  [10947] = {.lex_state = 208, .external_lex_state = 2},
  [10948] = {.lex_state = 425, .external_lex_state = 2},
  [10949] = {.lex_state = 419, .external_lex_state = 2},
  [10950] = {.lex_state = 217, .external_lex_state = 2},
  [10951] = {.lex_state = 425, .external_lex_state = 2},
  [10952] = {.lex_state = 199, .external_lex_state = 2},
  [10953] = {.lex_state = 419, .external_lex_state = 2},
  [10954] = {.lex_state = 419, .external_lex_state = 3},
  [10955] = {.lex_state = 16, .external_lex_state = 2},
  [10956] = {.lex_state = 6, .external_lex_state = 2},
  [10957] = {.lex_state = 431, .external_lex_state = 2},
  [10958] = {.lex_state = 16, .external_lex_state = 2},
  [10959] = {.lex_state = 217, .external_lex_state = 2},
  [10960] = {.lex_state = 8, .external_lex_state = 2},
  [10961] = {.lex_state = 425, .external_lex_state = 2},
  [10962] = {.lex_state = 208, .external_lex_state = 2},
  [10963] = {.lex_state = 208, .external_lex_state = 2},
  [10964] = {.lex_state = 16, .external_lex_state = 2},
  [10965] = {.lex_state = 208, .external_lex_state = 2},
  [10966] = {.lex_state = 208, .external_lex_state = 2},
  [10967] = {.lex_state = 419, .external_lex_state = 2},
  [10968] = {.lex_state = 425, .external_lex_state = 2},
  [10969] = {.lex_state = 425, .external_lex_state = 2},
  [10970] = {.lex_state = 419, .external_lex_state = 2},
  [10971] = {.lex_state = 217, .external_lex_state = 2},
  [10972] = {.lex_state = 217, .external_lex_state = 2},
  [10973] = {.lex_state = 16, .external_lex_state = 2},
  [10974] = {.lex_state = 208, .external_lex_state = 2},
  [10975] = {.lex_state = 217, .external_lex_state = 2},
  [10976] = {.lex_state = 31, .external_lex_state = 2},
  [10977] = {.lex_state = 425, .external_lex_state = 2},
  [10978] = {.lex_state = 217, .external_lex_state = 2},
  [10979] = {.lex_state = 217, .external_lex_state = 2},
  [10980] = {.lex_state = 217, .external_lex_state = 2},
  [10981] = {.lex_state = 419, .external_lex_state = 2},
  [10982] = {.lex_state = 430, .external_lex_state = 2},
  [10983] = {.lex_state = 217, .external_lex_state = 2},
  [10984] = {.lex_state = 217, .external_lex_state = 2},
  [10985] = {.lex_state = 419, .external_lex_state = 2},
  [10986] = {.lex_state = 16, .external_lex_state = 2},
  [10987] = {.lex_state = 419, .external_lex_state = 2},
  [10988] = {.lex_state = 16, .external_lex_state = 2},
  [10989] = {.lex_state = 217, .external_lex_state = 2},
  [10990] = {.lex_state = 217, .external_lex_state = 2},
  [10991] = {.lex_state = 419, .external_lex_state = 2},
  [10992] = {.lex_state = 31, .external_lex_state = 2},
  [10993] = {.lex_state = 430, .external_lex_state = 2},
  [10994] = {.lex_state = 425, .external_lex_state = 2},
  [10995] = {.lex_state = 419, .external_lex_state = 2},
  [10996] = {.lex_state = 419, .external_lex_state = 2},
  [10997] = {.lex_state = 419, .external_lex_state = 2},
  [10998] = {.lex_state = 425, .external_lex_state = 2},
  [10999] = {.lex_state = 217, .external_lex_state = 2},
  [11000] = {.lex_state = 217, .external_lex_state = 2},
  [11001] = {.lex_state = 217, .external_lex_state = 2},
  [11002] = {.lex_state = 31, .external_lex_state = 2},
  [11003] = {.lex_state = 431, .external_lex_state = 2},
  [11004] = {.lex_state = 419, .external_lex_state = 2},
  [11005] = {.lex_state = 217, .external_lex_state = 2},
  [11006] = {.lex_state = 419, .external_lex_state = 3},
  [11007] = {.lex_state = 16, .external_lex_state = 2},
  [11008] = {.lex_state = 419, .external_lex_state = 2},
  [11009] = {.lex_state = 28, .external_lex_state = 3},
  [11010] = {.lex_state = 8, .external_lex_state = 2},
  [11011] = {.lex_state = 208, .external_lex_state = 2},
  [11012] = {.lex_state = 208, .external_lex_state = 2},
  [11013] = {.lex_state = 425, .external_lex_state = 2},
  [11014] = {.lex_state = 208, .external_lex_state = 2},
  [11015] = {.lex_state = 419, .external_lex_state = 2},
  [11016] = {.lex_state = 419, .external_lex_state = 2},
  [11017] = {.lex_state = 6, .external_lex_state = 2},
  [11018] = {.lex_state = 419, .external_lex_state = 2},
  [11019] = {.lex_state = 419, .external_lex_state = 2},
  [11020] = {.lex_state = 167, .external_lex_state = 3},
  [11021] = {.lex_state = 10, .external_lex_state = 2},
  [11022] = {.lex_state = 422, .external_lex_state = 2},
  [11023] = {.lex_state = 419, .external_lex_state = 2},
  [11024] = {.lex_state = 208, .external_lex_state = 2},
  [11025] = {.lex_state = 16, .external_lex_state = 2},
  [11026] = {.lex_state = 208, .external_lex_state = 2},
  [11027] = {.lex_state = 425, .external_lex_state = 2},
  [11028] = {.lex_state = 422, .external_lex_state = 2},
  [11029] = {.lex_state = 419, .external_lex_state = 2},
  [11030] = {.lex_state = 219, .external_lex_state = 2},
  [11031] = {.lex_state = 430, .external_lex_state = 2},
  [11032] = {.lex_state = 10, .external_lex_state = 2},
  [11033] = {.lex_state = 425, .external_lex_state = 2},
  [11034] = {.lex_state = 419, .external_lex_state = 2},
  [11035] = {.lex_state = 425, .external_lex_state = 2},
  [11036] = {.lex_state = 16, .external_lex_state = 2},
  [11037] = {.lex_state = 217, .external_lex_state = 2},
  [11038] = {.lex_state = 217, .external_lex_state = 2},
  [11039] = {.lex_state = 217, .external_lex_state = 2},
  [11040] = {.lex_state = 217, .external_lex_state = 2},
  [11041] = {.lex_state = 16, .external_lex_state = 2},
  [11042] = {.lex_state = 430, .external_lex_state = 2},
  [11043] = {.lex_state = 419, .external_lex_state = 2},
  [11044] = {.lex_state = 419, .external_lex_state = 2},
  [11045] = {.lex_state = 422, .external_lex_state = 2},
  [11046] = {.lex_state = 16, .external_lex_state = 2},
  [11047] = {.lex_state = 425, .external_lex_state = 2},
  [11048] = {.lex_state = 208, .external_lex_state = 2},
  [11049] = {.lex_state = 16, .external_lex_state = 2},
  [11050] = {.lex_state = 16, .external_lex_state = 2},
  [11051] = {.lex_state = 16, .external_lex_state = 2},
  [11052] = {.lex_state = 16, .external_lex_state = 2},
  [11053] = {.lex_state = 16, .external_lex_state = 2},
  [11054] = {.lex_state = 419, .external_lex_state = 2},
  [11055] = {.lex_state = 16, .external_lex_state = 2},
  [11056] = {.lex_state = 16, .external_lex_state = 2},
  [11057] = {.lex_state = 208, .external_lex_state = 2},
  [11058] = {.lex_state = 425, .external_lex_state = 2},
  [11059] = {.lex_state = 16, .external_lex_state = 2},
  [11060] = {.lex_state = 16, .external_lex_state = 2},
  [11061] = {.lex_state = 419, .external_lex_state = 2},
  [11062] = {.lex_state = 208, .external_lex_state = 2},
  [11063] = {.lex_state = 419, .external_lex_state = 2},
  [11064] = {.lex_state = 419, .external_lex_state = 2},
  [11065] = {.lex_state = 425, .external_lex_state = 2},
  [11066] = {.lex_state = 419, .external_lex_state = 2},
  [11067] = {.lex_state = 425, .external_lex_state = 2},
  [11068] = {.lex_state = 425, .external_lex_state = 2},
  [11069] = {.lex_state = 208, .external_lex_state = 2},
  [11070] = {.lex_state = 419, .external_lex_state = 2},
  [11071] = {.lex_state = 217, .external_lex_state = 2},
  [11072] = {.lex_state = 217, .external_lex_state = 2},
  [11073] = {.lex_state = 419, .external_lex_state = 2},
  [11074] = {.lex_state = 425, .external_lex_state = 2},
  [11075] = {.lex_state = 217, .external_lex_state = 2},
  [11076] = {.lex_state = 425, .external_lex_state = 2},
  [11077] = {.lex_state = 425, .external_lex_state = 2},
  [11078] = {.lex_state = 217, .external_lex_state = 2},
  [11079] = {.lex_state = 217, .external_lex_state = 2},
  [11080] = {.lex_state = 217, .external_lex_state = 2},
  [11081] = {.lex_state = 425, .external_lex_state = 2},
  [11082] = {.lex_state = 425, .external_lex_state = 2},
  [11083] = {.lex_state = 425, .external_lex_state = 2},
  [11084] = {.lex_state = 425, .external_lex_state = 2},
  [11085] = {.lex_state = 425, .external_lex_state = 2},
  [11086] = {.lex_state = 425, .external_lex_state = 2},
  [11087] = {.lex_state = 425, .external_lex_state = 2},
  [11088] = {.lex_state = 431, .external_lex_state = 2},
  [11089] = {.lex_state = 430, .external_lex_state = 2},
  [11090] = {.lex_state = 16, .external_lex_state = 2},
  [11091] = {.lex_state = 419, .external_lex_state = 2},
  [11092] = {.lex_state = 425, .external_lex_state = 2},
  [11093] = {.lex_state = 425, .external_lex_state = 2},
  [11094] = {.lex_state = 430, .external_lex_state = 2},
  [11095] = {.lex_state = 208, .external_lex_state = 2},
  [11096] = {.lex_state = 419, .external_lex_state = 2},
  [11097] = {.lex_state = 425, .external_lex_state = 2},
  [11098] = {.lex_state = 425, .external_lex_state = 2},
  [11099] = {.lex_state = 419, .external_lex_state = 2},
  [11100] = {.lex_state = 425, .external_lex_state = 2},
  [11101] = {.lex_state = 425, .external_lex_state = 2},
  [11102] = {.lex_state = 425, .external_lex_state = 2},
  [11103] = {.lex_state = 217, .external_lex_state = 2},
  [11104] = {.lex_state = 217, .external_lex_state = 2},
  [11105] = {.lex_state = 217, .external_lex_state = 2},
  [11106] = {.lex_state = 10, .external_lex_state = 2},
  [11107] = {.lex_state = 425, .external_lex_state = 2},
  [11108] = {.lex_state = 425, .external_lex_state = 2},
  [11109] = {.lex_state = 419, .external_lex_state = 2},
  [11110] = {.lex_state = 425, .external_lex_state = 2},
  [11111] = {.lex_state = 425, .external_lex_state = 2},
  [11112] = {.lex_state = 425, .external_lex_state = 2},
  [11113] = {.lex_state = 425, .external_lex_state = 2},
  [11114] = {.lex_state = 419, .external_lex_state = 2},
  [11115] = {.lex_state = 217, .external_lex_state = 2},
  [11116] = {.lex_state = 425, .external_lex_state = 2},
  [11117] = {.lex_state = 425, .external_lex_state = 2},
  [11118] = {.lex_state = 425, .external_lex_state = 2},
  [11119] = {.lex_state = 200, .external_lex_state = 2},
  [11120] = {.lex_state = 28, .external_lex_state = 2},
  [11121] = {.lex_state = 10, .external_lex_state = 2},
  [11122] = {.lex_state = 419, .external_lex_state = 2},
  [11123] = {.lex_state = 419, .external_lex_state = 2},
  [11124] = {.lex_state = 419, .external_lex_state = 2},
  [11125] = {.lex_state = 419, .external_lex_state = 2},
  [11126] = {.lex_state = 419, .external_lex_state = 2},
  [11127] = {.lex_state = 419, .external_lex_state = 2},
  [11128] = {.lex_state = 419, .external_lex_state = 2},
  [11129] = {.lex_state = 419, .external_lex_state = 2},
  [11130] = {.lex_state = 419, .external_lex_state = 2},
  [11131] = {.lex_state = 419, .external_lex_state = 2},
  [11132] = {.lex_state = 419, .external_lex_state = 2},
  [11133] = {.lex_state = 419, .external_lex_state = 2},
  [11134] = {.lex_state = 419, .external_lex_state = 2},
  [11135] = {.lex_state = 419, .external_lex_state = 2},
  [11136] = {.lex_state = 419, .external_lex_state = 2},
  [11137] = {.lex_state = 419, .external_lex_state = 2},
  [11138] = {.lex_state = 419, .external_lex_state = 2},
  [11139] = {.lex_state = 419, .external_lex_state = 2},
  [11140] = {.lex_state = 419, .external_lex_state = 2},
  [11141] = {.lex_state = 419, .external_lex_state = 2},
  [11142] = {.lex_state = 419, .external_lex_state = 2},
  [11143] = {.lex_state = 419, .external_lex_state = 2},
  [11144] = {.lex_state = 419, .external_lex_state = 2},
  [11145] = {.lex_state = 419, .external_lex_state = 2},
  [11146] = {.lex_state = 419, .external_lex_state = 2},
  [11147] = {.lex_state = 419, .external_lex_state = 2},
  [11148] = {.lex_state = 419, .external_lex_state = 2},
  [11149] = {.lex_state = 419, .external_lex_state = 2},
  [11150] = {.lex_state = 419, .external_lex_state = 2},
  [11151] = {.lex_state = 419, .external_lex_state = 2},
  [11152] = {.lex_state = 419, .external_lex_state = 2},
  [11153] = {.lex_state = 419, .external_lex_state = 2},
  [11154] = {.lex_state = 419, .external_lex_state = 2},
  [11155] = {.lex_state = 419, .external_lex_state = 2},
  [11156] = {.lex_state = 419, .external_lex_state = 2},
  [11157] = {.lex_state = 419, .external_lex_state = 2},
  [11158] = {.lex_state = 419, .external_lex_state = 2},
  [11159] = {.lex_state = 419, .external_lex_state = 2},
  [11160] = {.lex_state = 419, .external_lex_state = 2},
  [11161] = {.lex_state = 419, .external_lex_state = 2},
  [11162] = {.lex_state = 419, .external_lex_state = 2},
  [11163] = {.lex_state = 419, .external_lex_state = 2},
  [11164] = {.lex_state = 419, .external_lex_state = 2},
  [11165] = {.lex_state = 208, .external_lex_state = 2},
  [11166] = {.lex_state = 28, .external_lex_state = 2},
  [11167] = {.lex_state = 419, .external_lex_state = 2},
  [11168] = {.lex_state = 419, .external_lex_state = 2},
  [11169] = {.lex_state = 170, .external_lex_state = 2},
  [11170] = {.lex_state = 419, .external_lex_state = 2},
  [11171] = {.lex_state = 419, .external_lex_state = 2},
  [11172] = {.lex_state = 419, .external_lex_state = 2},
  [11173] = {.lex_state = 419, .external_lex_state = 2},
  [11174] = {.lex_state = 419, .external_lex_state = 2},
  [11175] = {.lex_state = 419, .external_lex_state = 2},
  [11176] = {.lex_state = 419, .external_lex_state = 2},
  [11177] = {.lex_state = 419, .external_lex_state = 2},
  [11178] = {.lex_state = 28, .external_lex_state = 2},
  [11179] = {.lex_state = 419, .external_lex_state = 2},
  [11180] = {.lex_state = 419, .external_lex_state = 2},
  [11181] = {.lex_state = 419, .external_lex_state = 2},
  [11182] = {.lex_state = 419, .external_lex_state = 2},
  [11183] = {.lex_state = 419, .external_lex_state = 2},
  [11184] = {.lex_state = 419, .external_lex_state = 2},
  [11185] = {.lex_state = 419, .external_lex_state = 2},
  [11186] = {.lex_state = 419, .external_lex_state = 2},
  [11187] = {.lex_state = 419, .external_lex_state = 2},
  [11188] = {.lex_state = 419, .external_lex_state = 2},
  [11189] = {.lex_state = 419, .external_lex_state = 2},
  [11190] = {.lex_state = 419, .external_lex_state = 2},
  [11191] = {.lex_state = 419, .external_lex_state = 2},
  [11192] = {.lex_state = 419, .external_lex_state = 2},
  [11193] = {.lex_state = 419, .external_lex_state = 2},
  [11194] = {.lex_state = 419, .external_lex_state = 2},
  [11195] = {.lex_state = 419, .external_lex_state = 2},
  [11196] = {.lex_state = 419, .external_lex_state = 2},
  [11197] = {.lex_state = 419, .external_lex_state = 2},
  [11198] = {.lex_state = 419, .external_lex_state = 2},
  [11199] = {.lex_state = 419, .external_lex_state = 2},
  [11200] = {.lex_state = 419, .external_lex_state = 2},
  [11201] = {.lex_state = 419, .external_lex_state = 2},
  [11202] = {.lex_state = 419, .external_lex_state = 2},
  [11203] = {.lex_state = 425, .external_lex_state = 2},
  [11204] = {.lex_state = 419, .external_lex_state = 2},
  [11205] = {.lex_state = 419, .external_lex_state = 2},
  [11206] = {.lex_state = 419, .external_lex_state = 2},
  [11207] = {.lex_state = 419, .external_lex_state = 2},
  [11208] = {.lex_state = 419, .external_lex_state = 2},
  [11209] = {.lex_state = 419, .external_lex_state = 2},
  [11210] = {.lex_state = 419, .external_lex_state = 2},
  [11211] = {.lex_state = 419, .external_lex_state = 2},
  [11212] = {.lex_state = 419, .external_lex_state = 2},
  [11213] = {.lex_state = 419, .external_lex_state = 2},
  [11214] = {.lex_state = 419, .external_lex_state = 2},
  [11215] = {.lex_state = 419, .external_lex_state = 2},
  [11216] = {.lex_state = 419, .external_lex_state = 2},
  [11217] = {.lex_state = 419, .external_lex_state = 2},
  [11218] = {.lex_state = 419, .external_lex_state = 2},
  [11219] = {.lex_state = 419, .external_lex_state = 2},
  [11220] = {.lex_state = 419, .external_lex_state = 2},
  [11221] = {.lex_state = 419, .external_lex_state = 2},
  [11222] = {.lex_state = 419, .external_lex_state = 2},
  [11223] = {.lex_state = 419, .external_lex_state = 2},
  [11224] = {.lex_state = 419, .external_lex_state = 2},
  [11225] = {.lex_state = 419, .external_lex_state = 2},
  [11226] = {.lex_state = 419, .external_lex_state = 2},
  [11227] = {.lex_state = 419, .external_lex_state = 2},
  [11228] = {.lex_state = 419, .external_lex_state = 2},
  [11229] = {.lex_state = 419, .external_lex_state = 2},
  [11230] = {.lex_state = 419, .external_lex_state = 2},
  [11231] = {.lex_state = 419, .external_lex_state = 2},
  [11232] = {.lex_state = 419, .external_lex_state = 2},
  [11233] = {.lex_state = 419, .external_lex_state = 2},
  [11234] = {.lex_state = 419, .external_lex_state = 2},
  [11235] = {.lex_state = 419, .external_lex_state = 2},
  [11236] = {.lex_state = 419, .external_lex_state = 2},
  [11237] = {.lex_state = 419, .external_lex_state = 2},
  [11238] = {.lex_state = 419, .external_lex_state = 2},
  [11239] = {.lex_state = 419, .external_lex_state = 2},
  [11240] = {.lex_state = 419, .external_lex_state = 2},
  [11241] = {.lex_state = 419, .external_lex_state = 2},
  [11242] = {.lex_state = 419, .external_lex_state = 2},
  [11243] = {.lex_state = 419, .external_lex_state = 2},
  [11244] = {.lex_state = 419, .external_lex_state = 2},
  [11245] = {.lex_state = 419, .external_lex_state = 2},
  [11246] = {.lex_state = 419, .external_lex_state = 2},
  [11247] = {.lex_state = 419, .external_lex_state = 2},
  [11248] = {.lex_state = 419, .external_lex_state = 2},
  [11249] = {.lex_state = 419, .external_lex_state = 2},
  [11250] = {.lex_state = 10, .external_lex_state = 2},
  [11251] = {.lex_state = 419, .external_lex_state = 2},
  [11252] = {.lex_state = 419, .external_lex_state = 2},
  [11253] = {.lex_state = 419, .external_lex_state = 2},
  [11254] = {.lex_state = 419, .external_lex_state = 2},
  [11255] = {.lex_state = 419, .external_lex_state = 2},
  [11256] = {.lex_state = 419, .external_lex_state = 2},
  [11257] = {.lex_state = 219, .external_lex_state = 2},
  [11258] = {.lex_state = 419, .external_lex_state = 2},
  [11259] = {.lex_state = 419, .external_lex_state = 2},
  [11260] = {.lex_state = 419, .external_lex_state = 2},
  [11261] = {.lex_state = 425, .external_lex_state = 2},
  [11262] = {.lex_state = 419, .external_lex_state = 2},
  [11263] = {.lex_state = 419, .external_lex_state = 2},
  [11264] = {.lex_state = 419, .external_lex_state = 2},
  [11265] = {.lex_state = 419, .external_lex_state = 2},
  [11266] = {.lex_state = 419, .external_lex_state = 2},
  [11267] = {.lex_state = 419, .external_lex_state = 2},
  [11268] = {.lex_state = 419, .external_lex_state = 2},
  [11269] = {.lex_state = 419, .external_lex_state = 2},
  [11270] = {.lex_state = 419, .external_lex_state = 2},
  [11271] = {.lex_state = 419, .external_lex_state = 2},
  [11272] = {.lex_state = 15, .external_lex_state = 2},
  [11273] = {.lex_state = 419, .external_lex_state = 2},
  [11274] = {.lex_state = 425, .external_lex_state = 2},
  [11275] = {.lex_state = 425, .external_lex_state = 2},
  [11276] = {.lex_state = 419, .external_lex_state = 2},
  [11277] = {.lex_state = 419, .external_lex_state = 2},
  [11278] = {.lex_state = 419, .external_lex_state = 2},
  [11279] = {.lex_state = 419, .external_lex_state = 2},
  [11280] = {.lex_state = 419, .external_lex_state = 2},
  [11281] = {.lex_state = 419, .external_lex_state = 2},
  [11282] = {.lex_state = 419, .external_lex_state = 2},
  [11283] = {.lex_state = 419, .external_lex_state = 2},
  [11284] = {.lex_state = 419, .external_lex_state = 2},
  [11285] = {.lex_state = 419, .external_lex_state = 2},
  [11286] = {.lex_state = 419, .external_lex_state = 2},
  [11287] = {.lex_state = 419, .external_lex_state = 2},
  [11288] = {.lex_state = 419, .external_lex_state = 2},
  [11289] = {.lex_state = 419, .external_lex_state = 2},
  [11290] = {.lex_state = 419, .external_lex_state = 2},
  [11291] = {.lex_state = 419, .external_lex_state = 2},
  [11292] = {.lex_state = 419, .external_lex_state = 2},
  [11293] = {.lex_state = 419, .external_lex_state = 2},
  [11294] = {.lex_state = 419, .external_lex_state = 2},
  [11295] = {.lex_state = 419, .external_lex_state = 2},
  [11296] = {.lex_state = 419, .external_lex_state = 2},
  [11297] = {.lex_state = 419, .external_lex_state = 2},
  [11298] = {.lex_state = 419, .external_lex_state = 2},
  [11299] = {.lex_state = 419, .external_lex_state = 2},
  [11300] = {.lex_state = 419, .external_lex_state = 2},
  [11301] = {.lex_state = 419, .external_lex_state = 2},
  [11302] = {.lex_state = 419, .external_lex_state = 2},
  [11303] = {.lex_state = 419, .external_lex_state = 2},
  [11304] = {.lex_state = 419, .external_lex_state = 2},
  [11305] = {.lex_state = 419, .external_lex_state = 2},
  [11306] = {.lex_state = 419, .external_lex_state = 2},
  [11307] = {.lex_state = 419, .external_lex_state = 2},
  [11308] = {.lex_state = 419, .external_lex_state = 2},
  [11309] = {.lex_state = 419, .external_lex_state = 2},
  [11310] = {.lex_state = 419, .external_lex_state = 2},
  [11311] = {.lex_state = 419, .external_lex_state = 2},
  [11312] = {.lex_state = 425, .external_lex_state = 2},
  [11313] = {.lex_state = 419, .external_lex_state = 2},
  [11314] = {.lex_state = 419, .external_lex_state = 2},
  [11315] = {.lex_state = 419, .external_lex_state = 2},
  [11316] = {.lex_state = 419, .external_lex_state = 2},
  [11317] = {.lex_state = 419, .external_lex_state = 2},
  [11318] = {.lex_state = 419, .external_lex_state = 2},
  [11319] = {.lex_state = 419, .external_lex_state = 2},
  [11320] = {.lex_state = 419, .external_lex_state = 2},
  [11321] = {.lex_state = 419, .external_lex_state = 2},
  [11322] = {.lex_state = 419, .external_lex_state = 2},
  [11323] = {.lex_state = 425, .external_lex_state = 2},
  [11324] = {.lex_state = 419, .external_lex_state = 2},
  [11325] = {.lex_state = 431, .external_lex_state = 2},
  [11326] = {.lex_state = 419, .external_lex_state = 2},
  [11327] = {.lex_state = 419, .external_lex_state = 2},
  [11328] = {.lex_state = 419, .external_lex_state = 2},
  [11329] = {.lex_state = 419, .external_lex_state = 2},
  [11330] = {.lex_state = 419, .external_lex_state = 2},
  [11331] = {.lex_state = 419, .external_lex_state = 2},
  [11332] = {.lex_state = 419, .external_lex_state = 2},
  [11333] = {.lex_state = 425, .external_lex_state = 2},
  [11334] = {.lex_state = 419, .external_lex_state = 2},
  [11335] = {.lex_state = 419, .external_lex_state = 2},
  [11336] = {.lex_state = 425, .external_lex_state = 2},
  [11337] = {.lex_state = 419, .external_lex_state = 2},
  [11338] = {.lex_state = 419, .external_lex_state = 2},
  [11339] = {.lex_state = 419, .external_lex_state = 2},
  [11340] = {.lex_state = 419, .external_lex_state = 2},
  [11341] = {.lex_state = 419, .external_lex_state = 2},
  [11342] = {.lex_state = 419, .external_lex_state = 2},
  [11343] = {.lex_state = 419, .external_lex_state = 2},
  [11344] = {.lex_state = 419, .external_lex_state = 2},
  [11345] = {.lex_state = 419, .external_lex_state = 2},
  [11346] = {.lex_state = 419, .external_lex_state = 2},
  [11347] = {.lex_state = 419, .external_lex_state = 2},
  [11348] = {.lex_state = 419, .external_lex_state = 2},
  [11349] = {.lex_state = 419, .external_lex_state = 2},
  [11350] = {.lex_state = 419, .external_lex_state = 2},
  [11351] = {.lex_state = 419, .external_lex_state = 2},
  [11352] = {.lex_state = 419, .external_lex_state = 2},
  [11353] = {.lex_state = 419, .external_lex_state = 2},
  [11354] = {.lex_state = 419, .external_lex_state = 2},
  [11355] = {.lex_state = 419, .external_lex_state = 2},
  [11356] = {.lex_state = 419, .external_lex_state = 2},
  [11357] = {.lex_state = 419, .external_lex_state = 2},
  [11358] = {.lex_state = 419, .external_lex_state = 2},
  [11359] = {.lex_state = 419, .external_lex_state = 2},
  [11360] = {.lex_state = 419, .external_lex_state = 2},
  [11361] = {.lex_state = 419, .external_lex_state = 2},
  [11362] = {.lex_state = 419, .external_lex_state = 2},
  [11363] = {.lex_state = 419, .external_lex_state = 2},
  [11364] = {.lex_state = 419, .external_lex_state = 2},
  [11365] = {.lex_state = 419, .external_lex_state = 2},
  [11366] = {.lex_state = 419, .external_lex_state = 2},
  [11367] = {.lex_state = 419, .external_lex_state = 2},
  [11368] = {.lex_state = 419, .external_lex_state = 2},
  [11369] = {.lex_state = 419, .external_lex_state = 2},
  [11370] = {.lex_state = 10, .external_lex_state = 2},
  [11371] = {.lex_state = 419, .external_lex_state = 2},
  [11372] = {.lex_state = 419, .external_lex_state = 2},
  [11373] = {.lex_state = 419, .external_lex_state = 2},
  [11374] = {.lex_state = 419, .external_lex_state = 2},
  [11375] = {.lex_state = 419, .external_lex_state = 2},
  [11376] = {.lex_state = 419, .external_lex_state = 2},
  [11377] = {.lex_state = 419, .external_lex_state = 2},
  [11378] = {.lex_state = 419, .external_lex_state = 2},
  [11379] = {.lex_state = 419, .external_lex_state = 2},
  [11380] = {.lex_state = 419, .external_lex_state = 2},
  [11381] = {.lex_state = 419, .external_lex_state = 2},
  [11382] = {.lex_state = 419, .external_lex_state = 2},
  [11383] = {.lex_state = 419, .external_lex_state = 2},
  [11384] = {.lex_state = 419, .external_lex_state = 2},
  [11385] = {.lex_state = 419, .external_lex_state = 2},
  [11386] = {.lex_state = 419, .external_lex_state = 2},
  [11387] = {.lex_state = 419, .external_lex_state = 2},
  [11388] = {.lex_state = 425, .external_lex_state = 2},
  [11389] = {.lex_state = 419, .external_lex_state = 2},
  [11390] = {.lex_state = 419, .external_lex_state = 2},
  [11391] = {.lex_state = 419, .external_lex_state = 2},
  [11392] = {.lex_state = 419, .external_lex_state = 2},
  [11393] = {.lex_state = 419, .external_lex_state = 2},
  [11394] = {.lex_state = 419, .external_lex_state = 2},
  [11395] = {.lex_state = 419, .external_lex_state = 2},
  [11396] = {.lex_state = 419, .external_lex_state = 2},
  [11397] = {.lex_state = 419, .external_lex_state = 2},
  [11398] = {.lex_state = 419, .external_lex_state = 2},
  [11399] = {.lex_state = 419, .external_lex_state = 2},
  [11400] = {.lex_state = 419, .external_lex_state = 2},
  [11401] = {.lex_state = 419, .external_lex_state = 2},
  [11402] = {.lex_state = 419, .external_lex_state = 2},
  [11403] = {.lex_state = 419, .external_lex_state = 2},
  [11404] = {.lex_state = 419, .external_lex_state = 2},
  [11405] = {.lex_state = 166, .external_lex_state = 2},
  [11406] = {.lex_state = 166, .external_lex_state = 2},
  [11407] = {.lex_state = 208, .external_lex_state = 2},
  [11408] = {.lex_state = 166, .external_lex_state = 2},
  [11409] = {.lex_state = 419, .external_lex_state = 2},
  [11410] = {.lex_state = 10, .external_lex_state = 2},
  [11411] = {.lex_state = 28, .external_lex_state = 2},
  [11412] = {.lex_state = 10, .external_lex_state = 2},
  [11413] = {.lex_state = 419, .external_lex_state = 2},
  [11414] = {.lex_state = 419, .external_lex_state = 2},
  [11415] = {.lex_state = 419, .external_lex_state = 2},
  [11416] = {.lex_state = 419, .external_lex_state = 2},
  [11417] = {.lex_state = 419, .external_lex_state = 2},
  [11418] = {.lex_state = 208, .external_lex_state = 2},
  [11419] = {.lex_state = 16, .external_lex_state = 2},
  [11420] = {.lex_state = 16, .external_lex_state = 2},
  [11421] = {.lex_state = 16, .external_lex_state = 2},
  [11422] = {.lex_state = 16, .external_lex_state = 2},
  [11423] = {.lex_state = 16, .external_lex_state = 2},
  [11424] = {.lex_state = 16, .external_lex_state = 2},
  [11425] = {.lex_state = 16, .external_lex_state = 2},
  [11426] = {.lex_state = 16, .external_lex_state = 2},
  [11427] = {.lex_state = 16, .external_lex_state = 2},
  [11428] = {.lex_state = 16, .external_lex_state = 2},
  [11429] = {.lex_state = 16, .external_lex_state = 2},
  [11430] = {.lex_state = 16, .external_lex_state = 2},
  [11431] = {.lex_state = 419, .external_lex_state = 2},
  [11432] = {.lex_state = 17, .external_lex_state = 2},
  [11433] = {.lex_state = 10, .external_lex_state = 2},
  [11434] = {.lex_state = 10, .external_lex_state = 2},
  [11435] = {.lex_state = 10, .external_lex_state = 2},
  [11436] = {.lex_state = 28, .external_lex_state = 2},
  [11437] = {.lex_state = 425, .external_lex_state = 2},
  [11438] = {.lex_state = 419, .external_lex_state = 2},
  [11439] = {.lex_state = 10, .external_lex_state = 2},
  [11440] = {.lex_state = 17, .external_lex_state = 2},
  [11441] = {.lex_state = 17, .external_lex_state = 2},
  [11442] = {.lex_state = 17, .external_lex_state = 2},
  [11443] = {.lex_state = 17, .external_lex_state = 2},
  [11444] = {.lex_state = 17, .external_lex_state = 2},
  [11445] = {.lex_state = 17, .external_lex_state = 2},
  [11446] = {.lex_state = 17, .external_lex_state = 2},
  [11447] = {.lex_state = 17, .external_lex_state = 2},
  [11448] = {.lex_state = 17, .external_lex_state = 2},
  [11449] = {.lex_state = 17, .external_lex_state = 2},
  [11450] = {.lex_state = 17, .external_lex_state = 2},
  [11451] = {.lex_state = 17, .external_lex_state = 2},
  [11452] = {.lex_state = 17, .external_lex_state = 2},
  [11453] = {.lex_state = 419, .external_lex_state = 2},
  [11454] = {.lex_state = 28, .external_lex_state = 2},
  [11455] = {.lex_state = 10, .external_lex_state = 2},
  [11456] = {.lex_state = 208, .external_lex_state = 2},
  [11457] = {.lex_state = 419, .external_lex_state = 2},
  [11458] = {.lex_state = 419, .external_lex_state = 2},
  [11459] = {.lex_state = 17, .external_lex_state = 2},
  [11460] = {.lex_state = 419, .external_lex_state = 2},
  [11461] = {.lex_state = 419, .external_lex_state = 2},
  [11462] = {.lex_state = 419, .external_lex_state = 2},
  [11463] = {.lex_state = 419, .external_lex_state = 2},
  [11464] = {.lex_state = 419, .external_lex_state = 2},
  [11465] = {.lex_state = 17, .external_lex_state = 2},
  [11466] = {.lex_state = 17, .external_lex_state = 2},
  [11467] = {.lex_state = 165, .external_lex_state = 2},
  [11468] = {.lex_state = 165, .external_lex_state = 2},
  [11469] = {.lex_state = 10, .external_lex_state = 2},
  [11470] = {.lex_state = 165, .external_lex_state = 2},
  [11471] = {.lex_state = 28, .external_lex_state = 2},
  [11472] = {.lex_state = 16, .external_lex_state = 2},
  [11473] = {.lex_state = 16, .external_lex_state = 2},
  [11474] = {.lex_state = 16, .external_lex_state = 2},
  [11475] = {.lex_state = 16, .external_lex_state = 2},
  [11476] = {.lex_state = 16, .external_lex_state = 2},
  [11477] = {.lex_state = 211, .external_lex_state = 2},
  [11478] = {.lex_state = 419, .external_lex_state = 2},
  [11479] = {.lex_state = 425, .external_lex_state = 2},
  [11480] = {.lex_state = 425, .external_lex_state = 2},
  [11481] = {.lex_state = 28, .external_lex_state = 2},
  [11482] = {.lex_state = 419, .external_lex_state = 2},
  [11483] = {.lex_state = 28, .external_lex_state = 2},
  [11484] = {.lex_state = 419, .external_lex_state = 2},
  [11485] = {.lex_state = 419, .external_lex_state = 2},
  [11486] = {.lex_state = 28, .external_lex_state = 2},
  [11487] = {.lex_state = 419, .external_lex_state = 2},
  [11488] = {.lex_state = 28, .external_lex_state = 2},
  [11489] = {.lex_state = 419, .external_lex_state = 2},
  [11490] = {.lex_state = 419, .external_lex_state = 2},
  [11491] = {.lex_state = 419, .external_lex_state = 2},
  [11492] = {.lex_state = 419, .external_lex_state = 2},
  [11493] = {.lex_state = 419, .external_lex_state = 2},
  [11494] = {.lex_state = 419, .external_lex_state = 2},
  [11495] = {.lex_state = 211, .external_lex_state = 2},
  [11496] = {.lex_state = 16, .external_lex_state = 2},
  [11497] = {.lex_state = 28, .external_lex_state = 2},
  [11498] = {.lex_state = 10, .external_lex_state = 2},
  [11499] = {.lex_state = 28, .external_lex_state = 2},
  [11500] = {.lex_state = 28, .external_lex_state = 2},
  [11501] = {.lex_state = 419, .external_lex_state = 2},
  [11502] = {.lex_state = 419, .external_lex_state = 2},
  [11503] = {.lex_state = 174, .external_lex_state = 2},
  [11504] = {.lex_state = 174, .external_lex_state = 2},
  [11505] = {.lex_state = 425, .external_lex_state = 2},
  [11506] = {.lex_state = 174, .external_lex_state = 2},
  [11507] = {.lex_state = 28, .external_lex_state = 2},
  [11508] = {.lex_state = 419, .external_lex_state = 2},
  [11509] = {.lex_state = 419, .external_lex_state = 2},
  [11510] = {.lex_state = 28, .external_lex_state = 2},
  [11511] = {.lex_state = 419, .external_lex_state = 2},
  [11512] = {.lex_state = 419, .external_lex_state = 2},
  [11513] = {.lex_state = 8, .external_lex_state = 2},
  [11514] = {.lex_state = 419, .external_lex_state = 2},
  [11515] = {.lex_state = 419, .external_lex_state = 2},
  [11516] = {.lex_state = 28, .external_lex_state = 2},
  [11517] = {.lex_state = 419, .external_lex_state = 2},
  [11518] = {.lex_state = 419, .external_lex_state = 2},
  [11519] = {.lex_state = 28, .external_lex_state = 2},
  [11520] = {.lex_state = 17, .external_lex_state = 2},
  [11521] = {.lex_state = 28, .external_lex_state = 2},
  [11522] = {.lex_state = 28, .external_lex_state = 2},
  [11523] = {.lex_state = 419, .external_lex_state = 2},
  [11524] = {.lex_state = 419, .external_lex_state = 2},
  [11525] = {.lex_state = 419, .external_lex_state = 2},
  [11526] = {.lex_state = 419, .external_lex_state = 2},
  [11527] = {.lex_state = 10, .external_lex_state = 2},
  [11528] = {.lex_state = 419, .external_lex_state = 2},
  [11529] = {.lex_state = 419, .external_lex_state = 2},
  [11530] = {.lex_state = 28, .external_lex_state = 2},
  [11531] = {.lex_state = 211, .external_lex_state = 2},
  [11532] = {.lex_state = 419, .external_lex_state = 2},
  [11533] = {.lex_state = 419, .external_lex_state = 2},
  [11534] = {.lex_state = 28, .external_lex_state = 2},
  [11535] = {.lex_state = 419, .external_lex_state = 2},
  [11536] = {.lex_state = 217, .external_lex_state = 2},
  [11537] = {.lex_state = 419, .external_lex_state = 2},
  [11538] = {.lex_state = 217, .external_lex_state = 2},
  [11539] = {.lex_state = 28, .external_lex_state = 2},
  [11540] = {.lex_state = 419, .external_lex_state = 2},
  [11541] = {.lex_state = 28, .external_lex_state = 2},
  [11542] = {.lex_state = 419, .external_lex_state = 2},
  [11543] = {.lex_state = 28, .external_lex_state = 2},
  [11544] = {.lex_state = 240, .external_lex_state = 2},
  [11545] = {.lex_state = 419, .external_lex_state = 2},
  [11546] = {.lex_state = 419, .external_lex_state = 2},
  [11547] = {.lex_state = 419, .external_lex_state = 2},
  [11548] = {.lex_state = 419, .external_lex_state = 2},
  [11549] = {.lex_state = 419, .external_lex_state = 2},
  [11550] = {.lex_state = 28, .external_lex_state = 2},
  [11551] = {.lex_state = 425, .external_lex_state = 2},
  [11552] = {.lex_state = 28, .external_lex_state = 2},
  [11553] = {.lex_state = 425, .external_lex_state = 2},
  [11554] = {.lex_state = 28, .external_lex_state = 2},
  [11555] = {.lex_state = 28, .external_lex_state = 2},
  [11556] = {.lex_state = 217, .external_lex_state = 2},
  [11557] = {.lex_state = 28, .external_lex_state = 2},
  [11558] = {.lex_state = 16, .external_lex_state = 2},
  [11559] = {.lex_state = 28, .external_lex_state = 2},
  [11560] = {.lex_state = 28, .external_lex_state = 2},
  [11561] = {.lex_state = 425, .external_lex_state = 2},
  [11562] = {.lex_state = 419, .external_lex_state = 2},
  [11563] = {.lex_state = 28, .external_lex_state = 2},
  [11564] = {.lex_state = 28, .external_lex_state = 2},
  [11565] = {.lex_state = 419, .external_lex_state = 2},
  [11566] = {.lex_state = 28, .external_lex_state = 2},
  [11567] = {.lex_state = 419, .external_lex_state = 2},
  [11568] = {.lex_state = 28, .external_lex_state = 2},
  [11569] = {.lex_state = 419, .external_lex_state = 2},
  [11570] = {.lex_state = 419, .external_lex_state = 2},
  [11571] = {.lex_state = 167, .external_lex_state = 3},
  [11572] = {.lex_state = 419, .external_lex_state = 2},
  [11573] = {.lex_state = 419, .external_lex_state = 2},
  [11574] = {.lex_state = 419, .external_lex_state = 2},
  [11575] = {.lex_state = 28, .external_lex_state = 2},
  [11576] = {.lex_state = 28, .external_lex_state = 2},
  [11577] = {.lex_state = 28, .external_lex_state = 2},
  [11578] = {.lex_state = 28, .external_lex_state = 2},
  [11579] = {.lex_state = 217, .external_lex_state = 2},
  [11580] = {.lex_state = 217, .external_lex_state = 2},
  [11581] = {.lex_state = 28, .external_lex_state = 2},
  [11582] = {.lex_state = 28, .external_lex_state = 2},
  [11583] = {.lex_state = 425, .external_lex_state = 2},
  [11584] = {.lex_state = 217, .external_lex_state = 2},
  [11585] = {.lex_state = 28, .external_lex_state = 2},
  [11586] = {.lex_state = 28, .external_lex_state = 2},
  [11587] = {.lex_state = 17, .external_lex_state = 2},
  [11588] = {.lex_state = 28, .external_lex_state = 2},
  [11589] = {.lex_state = 419, .external_lex_state = 2},
  [11590] = {.lex_state = 419, .external_lex_state = 2},
  [11591] = {.lex_state = 425, .external_lex_state = 2},
  [11592] = {.lex_state = 419, .external_lex_state = 2},
  [11593] = {.lex_state = 419, .external_lex_state = 2},
  [11594] = {.lex_state = 419, .external_lex_state = 2},
  [11595] = {.lex_state = 10, .external_lex_state = 2},
  [11596] = {.lex_state = 425, .external_lex_state = 2},
  [11597] = {.lex_state = 419, .external_lex_state = 2},
  [11598] = {.lex_state = 419, .external_lex_state = 2},
  [11599] = {.lex_state = 419, .external_lex_state = 2},
  [11600] = {.lex_state = 419, .external_lex_state = 2},
  [11601] = {.lex_state = 419, .external_lex_state = 2},
  [11602] = {.lex_state = 419, .external_lex_state = 2},
  [11603] = {.lex_state = 425, .external_lex_state = 2},
  [11604] = {.lex_state = 419, .external_lex_state = 2},
  [11605] = {.lex_state = 425, .external_lex_state = 2},
  [11606] = {.lex_state = 425, .external_lex_state = 2},
  [11607] = {.lex_state = 419, .external_lex_state = 2},
  [11608] = {.lex_state = 419, .external_lex_state = 2},
  [11609] = {.lex_state = 419, .external_lex_state = 2},
  [11610] = {.lex_state = 419, .external_lex_state = 2},
  [11611] = {.lex_state = 419, .external_lex_state = 2},
  [11612] = {.lex_state = 419, .external_lex_state = 2},
  [11613] = {.lex_state = 419, .external_lex_state = 2},
  [11614] = {.lex_state = 425, .external_lex_state = 2},
  [11615] = {.lex_state = 425, .external_lex_state = 2},
  [11616] = {.lex_state = 425, .external_lex_state = 2},
  [11617] = {.lex_state = 419, .external_lex_state = 2},
  [11618] = {.lex_state = 419, .external_lex_state = 2},
  [11619] = {.lex_state = 419, .external_lex_state = 2},
  [11620] = {.lex_state = 419, .external_lex_state = 2},
  [11621] = {.lex_state = 28, .external_lex_state = 2},
  [11622] = {.lex_state = 419, .external_lex_state = 2},
  [11623] = {.lex_state = 419, .external_lex_state = 2},
  [11624] = {.lex_state = 419, .external_lex_state = 2},
  [11625] = {.lex_state = 419, .external_lex_state = 2},
  [11626] = {.lex_state = 240, .external_lex_state = 2},
  [11627] = {.lex_state = 425, .external_lex_state = 2},
  [11628] = {.lex_state = 419, .external_lex_state = 2},
  [11629] = {.lex_state = 419, .external_lex_state = 2},
  [11630] = {.lex_state = 10, .external_lex_state = 2},
  [11631] = {.lex_state = 419, .external_lex_state = 2},
  [11632] = {.lex_state = 425, .external_lex_state = 2},
  [11633] = {.lex_state = 419, .external_lex_state = 2},
  [11634] = {.lex_state = 425, .external_lex_state = 2},
  [11635] = {.lex_state = 419, .external_lex_state = 2},
  [11636] = {.lex_state = 425, .external_lex_state = 2},
  [11637] = {.lex_state = 425, .external_lex_state = 2},
  [11638] = {.lex_state = 425, .external_lex_state = 2},
  [11639] = {.lex_state = 419, .external_lex_state = 2},
  [11640] = {.lex_state = 419, .external_lex_state = 2},
  [11641] = {.lex_state = 419, .external_lex_state = 2},
  [11642] = {.lex_state = 419, .external_lex_state = 2},
  [11643] = {.lex_state = 419, .external_lex_state = 2},
  [11644] = {.lex_state = 425, .external_lex_state = 2},
  [11645] = {.lex_state = 425, .external_lex_state = 2},
  [11646] = {.lex_state = 419, .external_lex_state = 2},
  [11647] = {.lex_state = 208, .external_lex_state = 2},
  [11648] = {.lex_state = 208, .external_lex_state = 2},
  [11649] = {.lex_state = 164, .external_lex_state = 2},
  [11650] = {.lex_state = 425, .external_lex_state = 2},
  [11651] = {.lex_state = 31, .external_lex_state = 2},
  [11652] = {.lex_state = 208, .external_lex_state = 2},
  [11653] = {.lex_state = 208, .external_lex_state = 2},
  [11654] = {.lex_state = 211, .external_lex_state = 2},
  [11655] = {.lex_state = 28, .external_lex_state = 3},
  [11656] = {.lex_state = 208, .external_lex_state = 2},
  [11657] = {.lex_state = 208, .external_lex_state = 2},
  [11658] = {.lex_state = 208, .external_lex_state = 2},
  [11659] = {.lex_state = 17, .external_lex_state = 2},
  [11660] = {.lex_state = 16, .external_lex_state = 2},
  [11661] = {.lex_state = 419, .external_lex_state = 2},
  [11662] = {.lex_state = 419, .external_lex_state = 2},
  [11663] = {.lex_state = 31, .external_lex_state = 2},
  [11664] = {.lex_state = 16, .external_lex_state = 2},
  [11665] = {.lex_state = 208, .external_lex_state = 2},
  [11666] = {.lex_state = 164, .external_lex_state = 2},
  [11667] = {.lex_state = 425, .external_lex_state = 2},
  [11668] = {.lex_state = 208, .external_lex_state = 2},
  [11669] = {.lex_state = 419, .external_lex_state = 2},
  [11670] = {.lex_state = 425, .external_lex_state = 2},
  [11671] = {.lex_state = 208, .external_lex_state = 2},
  [11672] = {.lex_state = 425, .external_lex_state = 2},
  [11673] = {.lex_state = 425, .external_lex_state = 2},
  [11674] = {.lex_state = 425, .external_lex_state = 2},
  [11675] = {.lex_state = 208, .external_lex_state = 2},
  [11676] = {.lex_state = 208, .external_lex_state = 2},
  [11677] = {.lex_state = 419, .external_lex_state = 2},
  [11678] = {.lex_state = 208, .external_lex_state = 2},
  [11679] = {.lex_state = 425, .external_lex_state = 2},
  [11680] = {.lex_state = 208, .external_lex_state = 2},
  [11681] = {.lex_state = 425, .external_lex_state = 2},
  [11682] = {.lex_state = 208, .external_lex_state = 2},
  [11683] = {.lex_state = 208, .external_lex_state = 2},
  [11684] = {.lex_state = 425, .external_lex_state = 2},
  [11685] = {.lex_state = 425, .external_lex_state = 2},
  [11686] = {.lex_state = 419, .external_lex_state = 2},
  [11687] = {.lex_state = 425, .external_lex_state = 2},
  [11688] = {.lex_state = 425, .external_lex_state = 2},
  [11689] = {.lex_state = 208, .external_lex_state = 2},
  [11690] = {.lex_state = 31, .external_lex_state = 2},
  [11691] = {.lex_state = 425, .external_lex_state = 2},
  [11692] = {.lex_state = 31, .external_lex_state = 2},
  [11693] = {.lex_state = 208, .external_lex_state = 2},
  [11694] = {.lex_state = 16, .external_lex_state = 2},
  [11695] = {.lex_state = 16, .external_lex_state = 2},
  [11696] = {.lex_state = 208, .external_lex_state = 2},
  [11697] = {.lex_state = 16, .external_lex_state = 2},
  [11698] = {.lex_state = 28, .external_lex_state = 3},
  [11699] = {.lex_state = 16, .external_lex_state = 2},
  [11700] = {.lex_state = 16, .external_lex_state = 2},
  [11701] = {.lex_state = 208, .external_lex_state = 2},
  [11702] = {.lex_state = 425, .external_lex_state = 2},
  [11703] = {.lex_state = 208, .external_lex_state = 2},
  [11704] = {.lex_state = 164, .external_lex_state = 2},
  [11705] = {.lex_state = 425, .external_lex_state = 2},
  [11706] = {.lex_state = 31, .external_lex_state = 2},
  [11707] = {.lex_state = 31, .external_lex_state = 2},
  [11708] = {.lex_state = 208, .external_lex_state = 2},
  [11709] = {.lex_state = 425, .external_lex_state = 2},
  [11710] = {.lex_state = 16, .external_lex_state = 2},
  [11711] = {.lex_state = 164, .external_lex_state = 2},
  [11712] = {.lex_state = 164, .external_lex_state = 2},
  [11713] = {.lex_state = 16, .external_lex_state = 2},
  [11714] = {.lex_state = 16, .external_lex_state = 2},
  [11715] = {.lex_state = 16, .external_lex_state = 2},
  [11716] = {.lex_state = 208, .external_lex_state = 2},
  [11717] = {.lex_state = 16, .external_lex_state = 2},
  [11718] = {.lex_state = 419, .external_lex_state = 2},
  [11719] = {.lex_state = 425, .external_lex_state = 2},
  [11720] = {.lex_state = 16, .external_lex_state = 2},
  [11721] = {.lex_state = 425, .external_lex_state = 2},
  [11722] = {.lex_state = 425, .external_lex_state = 2},
  [11723] = {.lex_state = 425, .external_lex_state = 2},
  [11724] = {.lex_state = 208, .external_lex_state = 2},
  [11725] = {.lex_state = 425, .external_lex_state = 2},
  [11726] = {.lex_state = 17, .external_lex_state = 2},
  [11727] = {.lex_state = 425, .external_lex_state = 2},
  [11728] = {.lex_state = 425, .external_lex_state = 2},
  [11729] = {.lex_state = 425, .external_lex_state = 2},
  [11730] = {.lex_state = 425, .external_lex_state = 2},
  [11731] = {.lex_state = 425, .external_lex_state = 2},
  [11732] = {.lex_state = 425, .external_lex_state = 2},
  [11733] = {.lex_state = 16, .external_lex_state = 2},
  [11734] = {.lex_state = 16, .external_lex_state = 2},
  [11735] = {.lex_state = 16, .external_lex_state = 2},
  [11736] = {.lex_state = 16, .external_lex_state = 2},
  [11737] = {.lex_state = 16, .external_lex_state = 2},
  [11738] = {.lex_state = 31, .external_lex_state = 2},
  [11739] = {.lex_state = 210, .external_lex_state = 2},
  [11740] = {.lex_state = 31, .external_lex_state = 2},
  [11741] = {.lex_state = 31, .external_lex_state = 2},
  [11742] = {.lex_state = 31, .external_lex_state = 2},
  [11743] = {.lex_state = 31, .external_lex_state = 2},
  [11744] = {.lex_state = 31, .external_lex_state = 2},
  [11745] = {.lex_state = 28, .external_lex_state = 2},
  [11746] = {.lex_state = 17, .external_lex_state = 2},
  [11747] = {.lex_state = 17, .external_lex_state = 2},
  [11748] = {.lex_state = 17, .external_lex_state = 2},
  [11749] = {.lex_state = 17, .external_lex_state = 2},
  [11750] = {.lex_state = 17, .external_lex_state = 2},
  [11751] = {.lex_state = 17, .external_lex_state = 2},
  [11752] = {.lex_state = 17, .external_lex_state = 2},
  [11753] = {.lex_state = 17, .external_lex_state = 2},
  [11754] = {.lex_state = 17, .external_lex_state = 2},
  [11755] = {.lex_state = 16, .external_lex_state = 2},
  [11756] = {.lex_state = 17, .external_lex_state = 2},
  [11757] = {.lex_state = 17, .external_lex_state = 2},
  [11758] = {.lex_state = 240, .external_lex_state = 2},
  [11759] = {.lex_state = 425, .external_lex_state = 2},
  [11760] = {.lex_state = 16, .external_lex_state = 2},
  [11761] = {.lex_state = 419, .external_lex_state = 2},
  [11762] = {.lex_state = 419, .external_lex_state = 2},
  [11763] = {.lex_state = 164, .external_lex_state = 2},
  [11764] = {.lex_state = 31, .external_lex_state = 2},
  [11765] = {.lex_state = 31, .external_lex_state = 2},
  [11766] = {.lex_state = 419, .external_lex_state = 2},
  [11767] = {.lex_state = 17, .external_lex_state = 2},
  [11768] = {.lex_state = 16, .external_lex_state = 2},
  [11769] = {.lex_state = 419, .external_lex_state = 2},
  [11770] = {.lex_state = 208, .external_lex_state = 2},
  [11771] = {.lex_state = 208, .external_lex_state = 2},
  [11772] = {.lex_state = 208, .external_lex_state = 2},
  [11773] = {.lex_state = 419, .external_lex_state = 2},
  [11774] = {.lex_state = 425, .external_lex_state = 2},
  [11775] = {.lex_state = 425, .external_lex_state = 2},
  [11776] = {.lex_state = 28, .external_lex_state = 2},
  [11777] = {.lex_state = 425, .external_lex_state = 2},
  [11778] = {.lex_state = 28, .external_lex_state = 3},
  [11779] = {.lex_state = 31, .external_lex_state = 2},
  [11780] = {.lex_state = 31, .external_lex_state = 2},
  [11781] = {.lex_state = 31, .external_lex_state = 2},
  [11782] = {.lex_state = 419, .external_lex_state = 2},
  [11783] = {.lex_state = 31, .external_lex_state = 2},
  [11784] = {.lex_state = 425, .external_lex_state = 2},
  [11785] = {.lex_state = 425, .external_lex_state = 2},
  [11786] = {.lex_state = 208, .external_lex_state = 2},
  [11787] = {.lex_state = 16, .external_lex_state = 2},
  [11788] = {.lex_state = 425, .external_lex_state = 2},
  [11789] = {.lex_state = 425, .external_lex_state = 2},
  [11790] = {.lex_state = 164, .external_lex_state = 2},
  [11791] = {.lex_state = 31, .external_lex_state = 2},
  [11792] = {.lex_state = 28, .external_lex_state = 3},
  [11793] = {.lex_state = 31, .external_lex_state = 2},
  [11794] = {.lex_state = 31, .external_lex_state = 2},
  [11795] = {.lex_state = 31, .external_lex_state = 2},
  [11796] = {.lex_state = 31, .external_lex_state = 2},
  [11797] = {.lex_state = 31, .external_lex_state = 2},
  [11798] = {.lex_state = 31, .external_lex_state = 2},
  [11799] = {.lex_state = 208, .external_lex_state = 2},
  [11800] = {.lex_state = 419, .external_lex_state = 2},
  [11801] = {.lex_state = 208, .external_lex_state = 2},
  [11802] = {.lex_state = 31, .external_lex_state = 2},
  [11803] = {.lex_state = 31, .external_lex_state = 2},
  [11804] = {.lex_state = 425, .external_lex_state = 2},
  [11805] = {.lex_state = 425, .external_lex_state = 2},
  [11806] = {.lex_state = 425, .external_lex_state = 2},
  [11807] = {.lex_state = 31, .external_lex_state = 2},
  [11808] = {.lex_state = 164, .external_lex_state = 2},
  [11809] = {.lex_state = 31, .external_lex_state = 2},
  [11810] = {.lex_state = 16, .external_lex_state = 2},
  [11811] = {.lex_state = 16, .external_lex_state = 2},
  [11812] = {.lex_state = 31, .external_lex_state = 2},
  [11813] = {.lex_state = 208, .external_lex_state = 2},
  [11814] = {.lex_state = 17, .external_lex_state = 2},
  [11815] = {.lex_state = 240, .external_lex_state = 2},
  [11816] = {.lex_state = 208, .external_lex_state = 2},
  [11817] = {.lex_state = 164, .external_lex_state = 2},
  [11818] = {.lex_state = 208, .external_lex_state = 2},
  [11819] = {.lex_state = 28, .external_lex_state = 3},
  [11820] = {.lex_state = 430, .external_lex_state = 2},
  [11821] = {.lex_state = 28, .external_lex_state = 2},
  [11822] = {.lex_state = 208, .external_lex_state = 2},
  [11823] = {.lex_state = 419, .external_lex_state = 2},
  [11824] = {.lex_state = 419, .external_lex_state = 2},
  [11825] = {.lex_state = 208, .external_lex_state = 2},
  [11826] = {.lex_state = 28, .external_lex_state = 3},
  [11827] = {.lex_state = 425, .external_lex_state = 2},
  [11828] = {.lex_state = 425, .external_lex_state = 2},
  [11829] = {.lex_state = 425, .external_lex_state = 2},
  [11830] = {.lex_state = 419, .external_lex_state = 2},
  [11831] = {.lex_state = 425, .external_lex_state = 2},
  [11832] = {.lex_state = 425, .external_lex_state = 2},
  [11833] = {.lex_state = 28, .external_lex_state = 3},
  [11834] = {.lex_state = 31, .external_lex_state = 2},
  [11835] = {.lex_state = 419, .external_lex_state = 2},
  [11836] = {.lex_state = 208, .external_lex_state = 2},
  [11837] = {.lex_state = 419, .external_lex_state = 2},
  [11838] = {.lex_state = 208, .external_lex_state = 2},
  [11839] = {.lex_state = 8, .external_lex_state = 2},
  [11840] = {.lex_state = 419, .external_lex_state = 2},
  [11841] = {.lex_state = 208, .external_lex_state = 2},
  [11842] = {.lex_state = 208, .external_lex_state = 2},
  [11843] = {.lex_state = 425, .external_lex_state = 2},
  [11844] = {.lex_state = 425, .external_lex_state = 2},
  [11845] = {.lex_state = 425, .external_lex_state = 2},
  [11846] = {.lex_state = 425, .external_lex_state = 2},
  [11847] = {.lex_state = 208, .external_lex_state = 2},
  [11848] = {.lex_state = 208, .external_lex_state = 2},
  [11849] = {.lex_state = 208, .external_lex_state = 2},
  [11850] = {.lex_state = 208, .external_lex_state = 2},
  [11851] = {.lex_state = 208, .external_lex_state = 2},
  [11852] = {.lex_state = 208, .external_lex_state = 2},
  [11853] = {.lex_state = 208, .external_lex_state = 2},
  [11854] = {.lex_state = 208, .external_lex_state = 2},
  [11855] = {.lex_state = 208, .external_lex_state = 2},
  [11856] = {.lex_state = 208, .external_lex_state = 2},
  [11857] = {.lex_state = 208, .external_lex_state = 2},
  [11858] = {.lex_state = 425, .external_lex_state = 2},
  [11859] = {.lex_state = 425, .external_lex_state = 2},
  [11860] = {.lex_state = 208, .external_lex_state = 2},
  [11861] = {.lex_state = 208, .external_lex_state = 2},
  [11862] = {.lex_state = 208, .external_lex_state = 2},
  [11863] = {.lex_state = 208, .external_lex_state = 2},
  [11864] = {.lex_state = 208, .external_lex_state = 2},
  [11865] = {.lex_state = 208, .external_lex_state = 2},
  [11866] = {.lex_state = 208, .external_lex_state = 2},
  [11867] = {.lex_state = 208, .external_lex_state = 2},
  [11868] = {.lex_state = 208, .external_lex_state = 2},
  [11869] = {.lex_state = 419, .external_lex_state = 2},
  [11870] = {.lex_state = 208, .external_lex_state = 2},
  [11871] = {.lex_state = 425, .external_lex_state = 2},
  [11872] = {.lex_state = 425, .external_lex_state = 2},
  [11873] = {.lex_state = 208, .external_lex_state = 2},
  [11874] = {.lex_state = 208, .external_lex_state = 2},
  [11875] = {.lex_state = 425, .external_lex_state = 2},
  [11876] = {.lex_state = 419, .external_lex_state = 2},
  [11877] = {.lex_state = 425, .external_lex_state = 2},
  [11878] = {.lex_state = 28, .external_lex_state = 2},
  [11879] = {.lex_state = 28, .external_lex_state = 2},
  [11880] = {.lex_state = 16, .external_lex_state = 2},
  [11881] = {.lex_state = 28, .external_lex_state = 2},
  [11882] = {.lex_state = 14, .external_lex_state = 2},
  [11883] = {.lex_state = 28, .external_lex_state = 2},
  [11884] = {.lex_state = 16, .external_lex_state = 2},
  [11885] = {.lex_state = 425, .external_lex_state = 2},
  [11886] = {.lex_state = 14, .external_lex_state = 2},
  [11887] = {.lex_state = 14, .external_lex_state = 2},
  [11888] = {.lex_state = 14, .external_lex_state = 2},
  [11889] = {.lex_state = 28, .external_lex_state = 2},
  [11890] = {.lex_state = 206, .external_lex_state = 2},
  [11891] = {.lex_state = 14, .external_lex_state = 2},
  [11892] = {.lex_state = 14, .external_lex_state = 2},
  [11893] = {.lex_state = 14, .external_lex_state = 2},
  [11894] = {.lex_state = 14, .external_lex_state = 2},
  [11895] = {.lex_state = 14, .external_lex_state = 2},
  [11896] = {.lex_state = 14, .external_lex_state = 2},
  [11897] = {.lex_state = 14, .external_lex_state = 2},
  [11898] = {.lex_state = 14, .external_lex_state = 2},
  [11899] = {.lex_state = 14, .external_lex_state = 2},
  [11900] = {.lex_state = 14, .external_lex_state = 2},
  [11901] = {.lex_state = 14, .external_lex_state = 2},
  [11902] = {.lex_state = 14, .external_lex_state = 2},
  [11903] = {.lex_state = 14, .external_lex_state = 2},
  [11904] = {.lex_state = 28, .external_lex_state = 2},
  [11905] = {.lex_state = 14, .external_lex_state = 2},
  [11906] = {.lex_state = 16, .external_lex_state = 2},
  [11907] = {.lex_state = 16, .external_lex_state = 2},
  [11908] = {.lex_state = 14, .external_lex_state = 2},
  [11909] = {.lex_state = 28, .external_lex_state = 2},
  [11910] = {.lex_state = 28, .external_lex_state = 2},
  [11911] = {.lex_state = 16, .external_lex_state = 2},
  [11912] = {.lex_state = 16, .external_lex_state = 2},
  [11913] = {.lex_state = 16, .external_lex_state = 2},
  [11914] = {.lex_state = 16, .external_lex_state = 2},
  [11915] = {.lex_state = 16, .external_lex_state = 2},
  [11916] = {.lex_state = 16, .external_lex_state = 2},
  [11917] = {.lex_state = 16, .external_lex_state = 2},
  [11918] = {.lex_state = 16, .external_lex_state = 2},
  [11919] = {.lex_state = 16, .external_lex_state = 2},
  [11920] = {.lex_state = 14, .external_lex_state = 2},
  [11921] = {.lex_state = 206, .external_lex_state = 2},
  [11922] = {.lex_state = 14, .external_lex_state = 2},
  [11923] = {.lex_state = 14, .external_lex_state = 2},
  [11924] = {.lex_state = 28, .external_lex_state = 2},
  [11925] = {.lex_state = 28, .external_lex_state = 2},
  [11926] = {.lex_state = 206, .external_lex_state = 2},
  [11927] = {.lex_state = 419, .external_lex_state = 2},
  [11928] = {.lex_state = 28, .external_lex_state = 2},
  [11929] = {.lex_state = 217, .external_lex_state = 2},
  [11930] = {.lex_state = 217, .external_lex_state = 2},
  [11931] = {.lex_state = 425, .external_lex_state = 2},
  [11932] = {.lex_state = 425, .external_lex_state = 2},
  [11933] = {.lex_state = 217, .external_lex_state = 2},
  [11934] = {.lex_state = 217, .external_lex_state = 2},
  [11935] = {.lex_state = 14, .external_lex_state = 2},
  [11936] = {.lex_state = 28, .external_lex_state = 2},
  [11937] = {.lex_state = 419, .external_lex_state = 2},
  [11938] = {.lex_state = 28, .external_lex_state = 2},
  [11939] = {.lex_state = 16, .external_lex_state = 2},
  [11940] = {.lex_state = 16, .external_lex_state = 2},
  [11941] = {.lex_state = 28, .external_lex_state = 2},
  [11942] = {.lex_state = 430, .external_lex_state = 2},
  [11943] = {.lex_state = 430, .external_lex_state = 2},
  [11944] = {.lex_state = 430, .external_lex_state = 2},
  [11945] = {.lex_state = 430, .external_lex_state = 2},
  [11946] = {.lex_state = 28, .external_lex_state = 2},
  [11947] = {.lex_state = 14, .external_lex_state = 2},
  [11948] = {.lex_state = 419, .external_lex_state = 2},
  [11949] = {.lex_state = 28, .external_lex_state = 2},
  [11950] = {.lex_state = 28, .external_lex_state = 2},
  [11951] = {.lex_state = 14, .external_lex_state = 2},
  [11952] = {.lex_state = 14, .external_lex_state = 2},
  [11953] = {.lex_state = 14, .external_lex_state = 2},
  [11954] = {.lex_state = 14, .external_lex_state = 2},
  [11955] = {.lex_state = 14, .external_lex_state = 2},
  [11956] = {.lex_state = 28, .external_lex_state = 2},
  [11957] = {.lex_state = 28, .external_lex_state = 2},
  [11958] = {.lex_state = 14, .external_lex_state = 2},
  [11959] = {.lex_state = 14, .external_lex_state = 2},
  [11960] = {.lex_state = 14, .external_lex_state = 2},
  [11961] = {.lex_state = 14, .external_lex_state = 2},
  [11962] = {.lex_state = 14, .external_lex_state = 2},
  [11963] = {.lex_state = 14, .external_lex_state = 2},
  [11964] = {.lex_state = 14, .external_lex_state = 2},
  [11965] = {.lex_state = 28, .external_lex_state = 2},
  [11966] = {.lex_state = 14, .external_lex_state = 2},
  [11967] = {.lex_state = 14, .external_lex_state = 2},
  [11968] = {.lex_state = 14, .external_lex_state = 2},
  [11969] = {.lex_state = 14, .external_lex_state = 2},
  [11970] = {.lex_state = 14, .external_lex_state = 2},
  [11971] = {.lex_state = 28, .external_lex_state = 2},
  [11972] = {.lex_state = 14, .external_lex_state = 2},
  [11973] = {.lex_state = 14, .external_lex_state = 2},
  [11974] = {.lex_state = 14, .external_lex_state = 2},
  [11975] = {.lex_state = 14, .external_lex_state = 2},
  [11976] = {.lex_state = 14, .external_lex_state = 2},
  [11977] = {.lex_state = 28, .external_lex_state = 2},
  [11978] = {.lex_state = 28, .external_lex_state = 2},
  [11979] = {.lex_state = 430, .external_lex_state = 2},
  [11980] = {.lex_state = 28, .external_lex_state = 2},
  [11981] = {.lex_state = 425, .external_lex_state = 2},
  [11982] = {.lex_state = 425, .external_lex_state = 2},
  [11983] = {.lex_state = 425, .external_lex_state = 2},
  [11984] = {.lex_state = 28, .external_lex_state = 2},
  [11985] = {.lex_state = 14, .external_lex_state = 2},
  [11986] = {.lex_state = 28, .external_lex_state = 2},
  [11987] = {.lex_state = 28, .external_lex_state = 2},
  [11988] = {.lex_state = 218, .external_lex_state = 2},
  [11989] = {.lex_state = 425, .external_lex_state = 2},
  [11990] = {.lex_state = 28, .external_lex_state = 2},
  [11991] = {.lex_state = 425, .external_lex_state = 2},
  [11992] = {.lex_state = 425, .external_lex_state = 2},
  [11993] = {.lex_state = 14, .external_lex_state = 2},
  [11994] = {.lex_state = 28, .external_lex_state = 2},
  [11995] = {.lex_state = 28, .external_lex_state = 2},
  [11996] = {.lex_state = 425, .external_lex_state = 2},
  [11997] = {.lex_state = 425, .external_lex_state = 2},
  [11998] = {.lex_state = 28, .external_lex_state = 2},
  [11999] = {.lex_state = 425, .external_lex_state = 2},
  [12000] = {.lex_state = 14, .external_lex_state = 2},
  [12001] = {.lex_state = 14, .external_lex_state = 2},
  [12002] = {.lex_state = 28, .external_lex_state = 2},
  [12003] = {.lex_state = 430, .external_lex_state = 2},
  [12004] = {.lex_state = 28, .external_lex_state = 2},
  [12005] = {.lex_state = 28, .external_lex_state = 2},
  [12006] = {.lex_state = 28, .external_lex_state = 2},
  [12007] = {.lex_state = 15, .external_lex_state = 2},
  [12008] = {.lex_state = 28, .external_lex_state = 2},
  [12009] = {.lex_state = 15, .external_lex_state = 2},
  [12010] = {.lex_state = 15, .external_lex_state = 2},
  [12011] = {.lex_state = 28, .external_lex_state = 2},
  [12012] = {.lex_state = 425, .external_lex_state = 2},
  [12013] = {.lex_state = 425, .external_lex_state = 2},
  [12014] = {.lex_state = 14, .external_lex_state = 2},
  [12015] = {.lex_state = 14, .external_lex_state = 2},
  [12016] = {.lex_state = 14, .external_lex_state = 2},
  [12017] = {.lex_state = 28, .external_lex_state = 2},
  [12018] = {.lex_state = 14, .external_lex_state = 2},
  [12019] = {.lex_state = 14, .external_lex_state = 2},
  [12020] = {.lex_state = 14, .external_lex_state = 2},
  [12021] = {.lex_state = 14, .external_lex_state = 2},
  [12022] = {.lex_state = 28, .external_lex_state = 2},
  [12023] = {.lex_state = 14, .external_lex_state = 2},
  [12024] = {.lex_state = 14, .external_lex_state = 2},
  [12025] = {.lex_state = 16, .external_lex_state = 2},
  [12026] = {.lex_state = 28, .external_lex_state = 2},
  [12027] = {.lex_state = 14, .external_lex_state = 2},
  [12028] = {.lex_state = 14, .external_lex_state = 2},
  [12029] = {.lex_state = 15, .external_lex_state = 2},
  [12030] = {.lex_state = 14, .external_lex_state = 2},
  [12031] = {.lex_state = 28, .external_lex_state = 2},
  [12032] = {.lex_state = 14, .external_lex_state = 2},
  [12033] = {.lex_state = 15, .external_lex_state = 2},
  [12034] = {.lex_state = 15, .external_lex_state = 2},
  [12035] = {.lex_state = 28, .external_lex_state = 2},
  [12036] = {.lex_state = 16, .external_lex_state = 2},
  [12037] = {.lex_state = 28, .external_lex_state = 2},
  [12038] = {.lex_state = 14, .external_lex_state = 2},
  [12039] = {.lex_state = 16, .external_lex_state = 2},
  [12040] = {.lex_state = 16, .external_lex_state = 2},
  [12041] = {.lex_state = 28, .external_lex_state = 2},
  [12042] = {.lex_state = 14, .external_lex_state = 2},
  [12043] = {.lex_state = 16, .external_lex_state = 2},
  [12044] = {.lex_state = 16, .external_lex_state = 2},
  [12045] = {.lex_state = 28, .external_lex_state = 2},
  [12046] = {.lex_state = 28, .external_lex_state = 2},
  [12047] = {.lex_state = 28, .external_lex_state = 2},
  [12048] = {.lex_state = 28, .external_lex_state = 2},
  [12049] = {.lex_state = 28, .external_lex_state = 2},
  [12050] = {.lex_state = 218, .external_lex_state = 2},
  [12051] = {.lex_state = 28, .external_lex_state = 2},
  [12052] = {.lex_state = 28, .external_lex_state = 2},
  [12053] = {.lex_state = 430, .external_lex_state = 2},
  [12054] = {.lex_state = 28, .external_lex_state = 2},
  [12055] = {.lex_state = 218, .external_lex_state = 2},
  [12056] = {.lex_state = 16, .external_lex_state = 2},
  [12057] = {.lex_state = 15, .external_lex_state = 2},
  [12058] = {.lex_state = 15, .external_lex_state = 2},
  [12059] = {.lex_state = 15, .external_lex_state = 2},
  [12060] = {.lex_state = 15, .external_lex_state = 2},
  [12061] = {.lex_state = 15, .external_lex_state = 2},
  [12062] = {.lex_state = 15, .external_lex_state = 2},
  [12063] = {.lex_state = 28, .external_lex_state = 2},
  [12064] = {.lex_state = 15, .external_lex_state = 2},
  [12065] = {.lex_state = 16, .external_lex_state = 2},
  [12066] = {.lex_state = 206, .external_lex_state = 2},
  [12067] = {.lex_state = 15, .external_lex_state = 2},
  [12068] = {.lex_state = 28, .external_lex_state = 2},
  [12069] = {.lex_state = 15, .external_lex_state = 2},
  [12070] = {.lex_state = 15, .external_lex_state = 2},
  [12071] = {.lex_state = 206, .external_lex_state = 2},
  [12072] = {.lex_state = 16, .external_lex_state = 2},
  [12073] = {.lex_state = 16, .external_lex_state = 2},
  [12074] = {.lex_state = 16, .external_lex_state = 2},
  [12075] = {.lex_state = 16, .external_lex_state = 2},
  [12076] = {.lex_state = 15, .external_lex_state = 2},
  [12077] = {.lex_state = 28, .external_lex_state = 2},
  [12078] = {.lex_state = 16, .external_lex_state = 2},
  [12079] = {.lex_state = 16, .external_lex_state = 2},
  [12080] = {.lex_state = 16, .external_lex_state = 2},
  [12081] = {.lex_state = 15, .external_lex_state = 2},
  [12082] = {.lex_state = 16, .external_lex_state = 2},
  [12083] = {.lex_state = 28, .external_lex_state = 2},
  [12084] = {.lex_state = 16, .external_lex_state = 2},
  [12085] = {.lex_state = 16, .external_lex_state = 2},
  [12086] = {.lex_state = 16, .external_lex_state = 2},
  [12087] = {.lex_state = 15, .external_lex_state = 2},
  [12088] = {.lex_state = 28, .external_lex_state = 2},
  [12089] = {.lex_state = 206, .external_lex_state = 2},
  [12090] = {.lex_state = 8, .external_lex_state = 2},
  [12091] = {.lex_state = 425, .external_lex_state = 2},
  [12092] = {.lex_state = 425, .external_lex_state = 2},
  [12093] = {.lex_state = 14, .external_lex_state = 2},
  [12094] = {.lex_state = 16, .external_lex_state = 2},
  [12095] = {.lex_state = 28, .external_lex_state = 2},
  [12096] = {.lex_state = 15, .external_lex_state = 2},
  [12097] = {.lex_state = 15, .external_lex_state = 2},
  [12098] = {.lex_state = 8, .external_lex_state = 2},
  [12099] = {.lex_state = 425, .external_lex_state = 2},
  [12100] = {.lex_state = 28, .external_lex_state = 2},
  [12101] = {.lex_state = 425, .external_lex_state = 2},
  [12102] = {.lex_state = 425, .external_lex_state = 2},
  [12103] = {.lex_state = 419, .external_lex_state = 2},
  [12104] = {.lex_state = 8, .external_lex_state = 2},
  [12105] = {.lex_state = 218, .external_lex_state = 2},
  [12106] = {.lex_state = 14, .external_lex_state = 2},
  [12107] = {.lex_state = 14, .external_lex_state = 2},
  [12108] = {.lex_state = 14, .external_lex_state = 2},
  [12109] = {.lex_state = 14, .external_lex_state = 2},
  [12110] = {.lex_state = 14, .external_lex_state = 2},
  [12111] = {.lex_state = 8, .external_lex_state = 2},
  [12112] = {.lex_state = 16, .external_lex_state = 2},
  [12113] = {.lex_state = 14, .external_lex_state = 2},
  [12114] = {.lex_state = 28, .external_lex_state = 2},
  [12115] = {.lex_state = 14, .external_lex_state = 2},
  [12116] = {.lex_state = 14, .external_lex_state = 2},
  [12117] = {.lex_state = 14, .external_lex_state = 2},
  [12118] = {.lex_state = 14, .external_lex_state = 2},
  [12119] = {.lex_state = 14, .external_lex_state = 2},
  [12120] = {.lex_state = 14, .external_lex_state = 2},
  [12121] = {.lex_state = 14, .external_lex_state = 2},
  [12122] = {.lex_state = 15, .external_lex_state = 2},
  [12123] = {.lex_state = 15, .external_lex_state = 2},
  [12124] = {.lex_state = 425, .external_lex_state = 2},
  [12125] = {.lex_state = 425, .external_lex_state = 2},
  [12126] = {.lex_state = 425, .external_lex_state = 2},
  [12127] = {.lex_state = 218, .external_lex_state = 2},
  [12128] = {.lex_state = 425, .external_lex_state = 2},
  [12129] = {.lex_state = 206, .external_lex_state = 2},
  [12130] = {.lex_state = 15, .external_lex_state = 2},
  [12131] = {.lex_state = 419, .external_lex_state = 2},
  [12132] = {.lex_state = 425, .external_lex_state = 2},
  [12133] = {.lex_state = 425, .external_lex_state = 2},
  [12134] = {.lex_state = 28, .external_lex_state = 2},
  [12135] = {.lex_state = 425, .external_lex_state = 2},
  [12136] = {.lex_state = 425, .external_lex_state = 2},
  [12137] = {.lex_state = 430, .external_lex_state = 2},
  [12138] = {.lex_state = 15, .external_lex_state = 2},
  [12139] = {.lex_state = 425, .external_lex_state = 2},
  [12140] = {.lex_state = 28, .external_lex_state = 2},
  [12141] = {.lex_state = 28, .external_lex_state = 2},
  [12142] = {.lex_state = 14, .external_lex_state = 2},
  [12143] = {.lex_state = 425, .external_lex_state = 2},
  [12144] = {.lex_state = 14, .external_lex_state = 2},
  [12145] = {.lex_state = 14, .external_lex_state = 2},
  [12146] = {.lex_state = 14, .external_lex_state = 2},
  [12147] = {.lex_state = 16, .external_lex_state = 2},
  [12148] = {.lex_state = 16, .external_lex_state = 2},
  [12149] = {.lex_state = 16, .external_lex_state = 2},
  [12150] = {.lex_state = 16, .external_lex_state = 2},
  [12151] = {.lex_state = 425, .external_lex_state = 2},
  [12152] = {.lex_state = 425, .external_lex_state = 2},
  [12153] = {.lex_state = 16, .external_lex_state = 2},
  [12154] = {.lex_state = 28, .external_lex_state = 2},
  [12155] = {.lex_state = 16, .external_lex_state = 2},
  [12156] = {.lex_state = 16, .external_lex_state = 2},
  [12157] = {.lex_state = 15, .external_lex_state = 2},
  [12158] = {.lex_state = 206, .external_lex_state = 2},
  [12159] = {.lex_state = 14, .external_lex_state = 2},
  [12160] = {.lex_state = 14, .external_lex_state = 2},
  [12161] = {.lex_state = 14, .external_lex_state = 2},
  [12162] = {.lex_state = 14, .external_lex_state = 2},
  [12163] = {.lex_state = 14, .external_lex_state = 2},
  [12164] = {.lex_state = 14, .external_lex_state = 2},
  [12165] = {.lex_state = 14, .external_lex_state = 2},
  [12166] = {.lex_state = 425, .external_lex_state = 2},
  [12167] = {.lex_state = 425, .external_lex_state = 2},
  [12168] = {.lex_state = 425, .external_lex_state = 2},
  [12169] = {.lex_state = 425, .external_lex_state = 2},
  [12170] = {.lex_state = 425, .external_lex_state = 2},
  [12171] = {.lex_state = 14, .external_lex_state = 2},
  [12172] = {.lex_state = 14, .external_lex_state = 2},
  [12173] = {.lex_state = 425, .external_lex_state = 2},
  [12174] = {.lex_state = 425, .external_lex_state = 2},
  [12175] = {.lex_state = 425, .external_lex_state = 2},
  [12176] = {.lex_state = 425, .external_lex_state = 2},
  [12177] = {.lex_state = 425, .external_lex_state = 2},
  [12178] = {.lex_state = 14, .external_lex_state = 2},
  [12179] = {.lex_state = 14, .external_lex_state = 2},
  [12180] = {.lex_state = 14, .external_lex_state = 2},
  [12181] = {.lex_state = 14, .external_lex_state = 2},
  [12182] = {.lex_state = 425, .external_lex_state = 2},
  [12183] = {.lex_state = 430, .external_lex_state = 2},
  [12184] = {.lex_state = 425, .external_lex_state = 2},
  [12185] = {.lex_state = 425, .external_lex_state = 2},
  [12186] = {.lex_state = 425, .external_lex_state = 2},
  [12187] = {.lex_state = 430, .external_lex_state = 2},
  [12188] = {.lex_state = 28, .external_lex_state = 2},
  [12189] = {.lex_state = 15, .external_lex_state = 2},
  [12190] = {.lex_state = 14, .external_lex_state = 2},
  [12191] = {.lex_state = 15, .external_lex_state = 2},
  [12192] = {.lex_state = 197, .external_lex_state = 5},
  [12193] = {.lex_state = 15, .external_lex_state = 2},
  [12194] = {.lex_state = 197, .external_lex_state = 5},
  [12195] = {.lex_state = 15, .external_lex_state = 2},
  [12196] = {.lex_state = 15, .external_lex_state = 2},
  [12197] = {.lex_state = 217, .external_lex_state = 2},
  [12198] = {.lex_state = 14, .external_lex_state = 2},
  [12199] = {.lex_state = 425, .external_lex_state = 2},
  [12200] = {.lex_state = 425, .external_lex_state = 2},
  [12201] = {.lex_state = 15, .external_lex_state = 2},
  [12202] = {.lex_state = 15, .external_lex_state = 2},
  [12203] = {.lex_state = 425, .external_lex_state = 2},
  [12204] = {.lex_state = 14, .external_lex_state = 2},
  [12205] = {.lex_state = 14, .external_lex_state = 2},
  [12206] = {.lex_state = 14, .external_lex_state = 2},
  [12207] = {.lex_state = 197, .external_lex_state = 5},
  [12208] = {.lex_state = 14, .external_lex_state = 2},
  [12209] = {.lex_state = 15, .external_lex_state = 2},
  [12210] = {.lex_state = 15, .external_lex_state = 2},
  [12211] = {.lex_state = 14, .external_lex_state = 2},
  [12212] = {.lex_state = 14, .external_lex_state = 2},
  [12213] = {.lex_state = 14, .external_lex_state = 2},
  [12214] = {.lex_state = 197, .external_lex_state = 5},
  [12215] = {.lex_state = 205, .external_lex_state = 2},
  [12216] = {.lex_state = 425, .external_lex_state = 2},
  [12217] = {.lex_state = 14, .external_lex_state = 2},
  [12218] = {.lex_state = 15, .external_lex_state = 2},
  [12219] = {.lex_state = 15, .external_lex_state = 2},
  [12220] = {.lex_state = 15, .external_lex_state = 2},
  [12221] = {.lex_state = 15, .external_lex_state = 2},
  [12222] = {.lex_state = 15, .external_lex_state = 2},
  [12223] = {.lex_state = 14, .external_lex_state = 2},
  [12224] = {.lex_state = 15, .external_lex_state = 2},
  [12225] = {.lex_state = 15, .external_lex_state = 2},
  [12226] = {.lex_state = 15, .external_lex_state = 2},
  [12227] = {.lex_state = 14, .external_lex_state = 2},
  [12228] = {.lex_state = 15, .external_lex_state = 2},
  [12229] = {.lex_state = 15, .external_lex_state = 2},
  [12230] = {.lex_state = 15, .external_lex_state = 2},
  [12231] = {.lex_state = 15, .external_lex_state = 2},
  [12232] = {.lex_state = 15, .external_lex_state = 2},
  [12233] = {.lex_state = 15, .external_lex_state = 2},
  [12234] = {.lex_state = 28, .external_lex_state = 2},
  [12235] = {.lex_state = 15, .external_lex_state = 2},
  [12236] = {.lex_state = 16, .external_lex_state = 2},
  [12237] = {.lex_state = 197, .external_lex_state = 5},
  [12238] = {.lex_state = 15, .external_lex_state = 2},
  [12239] = {.lex_state = 197, .external_lex_state = 5},
  [12240] = {.lex_state = 15, .external_lex_state = 2},
  [12241] = {.lex_state = 14, .external_lex_state = 2},
  [12242] = {.lex_state = 197, .external_lex_state = 5},
  [12243] = {.lex_state = 419, .external_lex_state = 2},
  [12244] = {.lex_state = 15, .external_lex_state = 2},
  [12245] = {.lex_state = 14, .external_lex_state = 2},
  [12246] = {.lex_state = 15, .external_lex_state = 2},
  [12247] = {.lex_state = 14, .external_lex_state = 2},
  [12248] = {.lex_state = 15, .external_lex_state = 2},
  [12249] = {.lex_state = 15, .external_lex_state = 2},
  [12250] = {.lex_state = 14, .external_lex_state = 2},
  [12251] = {.lex_state = 15, .external_lex_state = 2},
  [12252] = {.lex_state = 425, .external_lex_state = 2},
  [12253] = {.lex_state = 15, .external_lex_state = 2},
  [12254] = {.lex_state = 15, .external_lex_state = 2},
  [12255] = {.lex_state = 197, .external_lex_state = 5},
  [12256] = {.lex_state = 15, .external_lex_state = 2},
  [12257] = {.lex_state = 197, .external_lex_state = 5},
  [12258] = {.lex_state = 15, .external_lex_state = 2},
  [12259] = {.lex_state = 15, .external_lex_state = 2},
  [12260] = {.lex_state = 15, .external_lex_state = 2},
  [12261] = {.lex_state = 15, .external_lex_state = 2},
  [12262] = {.lex_state = 419, .external_lex_state = 2},
  [12263] = {.lex_state = 16, .external_lex_state = 2},
  [12264] = {.lex_state = 14, .external_lex_state = 2},
  [12265] = {.lex_state = 16, .external_lex_state = 2},
  [12266] = {.lex_state = 15, .external_lex_state = 2},
  [12267] = {.lex_state = 28, .external_lex_state = 2},
  [12268] = {.lex_state = 197, .external_lex_state = 5},
  [12269] = {.lex_state = 15, .external_lex_state = 2},
  [12270] = {.lex_state = 15, .external_lex_state = 2},
  [12271] = {.lex_state = 14, .external_lex_state = 2},
  [12272] = {.lex_state = 28, .external_lex_state = 2},
  [12273] = {.lex_state = 28, .external_lex_state = 2},
  [12274] = {.lex_state = 28, .external_lex_state = 2},
  [12275] = {.lex_state = 15, .external_lex_state = 2},
  [12276] = {.lex_state = 15, .external_lex_state = 2},
  [12277] = {.lex_state = 16, .external_lex_state = 2},
  [12278] = {.lex_state = 28, .external_lex_state = 2},
  [12279] = {.lex_state = 16, .external_lex_state = 2},
  [12280] = {.lex_state = 197, .external_lex_state = 5},
  [12281] = {.lex_state = 16, .external_lex_state = 2},
  [12282] = {.lex_state = 16, .external_lex_state = 2},
  [12283] = {.lex_state = 16, .external_lex_state = 2},
  [12284] = {.lex_state = 425, .external_lex_state = 2},
  [12285] = {.lex_state = 16, .external_lex_state = 2},
  [12286] = {.lex_state = 16, .external_lex_state = 2},
  [12287] = {.lex_state = 16, .external_lex_state = 2},
  [12288] = {.lex_state = 16, .external_lex_state = 2},
  [12289] = {.lex_state = 16, .external_lex_state = 2},
  [12290] = {.lex_state = 16, .external_lex_state = 2},
  [12291] = {.lex_state = 14, .external_lex_state = 2},
  [12292] = {.lex_state = 15, .external_lex_state = 2},
  [12293] = {.lex_state = 15, .external_lex_state = 2},
  [12294] = {.lex_state = 15, .external_lex_state = 2},
  [12295] = {.lex_state = 14, .external_lex_state = 2},
  [12296] = {.lex_state = 197, .external_lex_state = 5},
  [12297] = {.lex_state = 15, .external_lex_state = 2},
  [12298] = {.lex_state = 15, .external_lex_state = 2},
  [12299] = {.lex_state = 15, .external_lex_state = 2},
  [12300] = {.lex_state = 15, .external_lex_state = 2},
  [12301] = {.lex_state = 15, .external_lex_state = 2},
  [12302] = {.lex_state = 15, .external_lex_state = 2},
  [12303] = {.lex_state = 15, .external_lex_state = 2},
  [12304] = {.lex_state = 15, .external_lex_state = 2},
  [12305] = {.lex_state = 15, .external_lex_state = 2},
  [12306] = {.lex_state = 217, .external_lex_state = 2},
  [12307] = {.lex_state = 14, .external_lex_state = 2},
  [12308] = {.lex_state = 15, .external_lex_state = 2},
  [12309] = {.lex_state = 15, .external_lex_state = 2},
  [12310] = {.lex_state = 15, .external_lex_state = 2},
  [12311] = {.lex_state = 197, .external_lex_state = 5},
  [12312] = {.lex_state = 15, .external_lex_state = 2},
  [12313] = {.lex_state = 15, .external_lex_state = 2},
  [12314] = {.lex_state = 15, .external_lex_state = 2},
  [12315] = {.lex_state = 15, .external_lex_state = 2},
  [12316] = {.lex_state = 10, .external_lex_state = 2},
  [12317] = {.lex_state = 197, .external_lex_state = 5},
  [12318] = {.lex_state = 14, .external_lex_state = 2},
  [12319] = {.lex_state = 15, .external_lex_state = 2},
  [12320] = {.lex_state = 197, .external_lex_state = 5},
  [12321] = {.lex_state = 15, .external_lex_state = 2},
  [12322] = {.lex_state = 14, .external_lex_state = 2},
  [12323] = {.lex_state = 15, .external_lex_state = 2},
  [12324] = {.lex_state = 14, .external_lex_state = 2},
  [12325] = {.lex_state = 15, .external_lex_state = 2},
  [12326] = {.lex_state = 15, .external_lex_state = 2},
  [12327] = {.lex_state = 15, .external_lex_state = 2},
  [12328] = {.lex_state = 14, .external_lex_state = 2},
  [12329] = {.lex_state = 15, .external_lex_state = 2},
  [12330] = {.lex_state = 197, .external_lex_state = 5},
  [12331] = {.lex_state = 15, .external_lex_state = 2},
  [12332] = {.lex_state = 15, .external_lex_state = 2},
  [12333] = {.lex_state = 14, .external_lex_state = 2},
  [12334] = {.lex_state = 14, .external_lex_state = 2},
  [12335] = {.lex_state = 15, .external_lex_state = 2},
  [12336] = {.lex_state = 28, .external_lex_state = 2},
  [12337] = {.lex_state = 15, .external_lex_state = 2},
  [12338] = {.lex_state = 419, .external_lex_state = 2},
  [12339] = {.lex_state = 419, .external_lex_state = 2},
  [12340] = {.lex_state = 197, .external_lex_state = 5},
  [12341] = {.lex_state = 419, .external_lex_state = 2},
  [12342] = {.lex_state = 15, .external_lex_state = 2},
  [12343] = {.lex_state = 16, .external_lex_state = 2},
  [12344] = {.lex_state = 217, .external_lex_state = 2},
  [12345] = {.lex_state = 419, .external_lex_state = 2},
  [12346] = {.lex_state = 15, .external_lex_state = 2},
  [12347] = {.lex_state = 14, .external_lex_state = 2},
  [12348] = {.lex_state = 14, .external_lex_state = 2},
  [12349] = {.lex_state = 419, .external_lex_state = 2},
  [12350] = {.lex_state = 15, .external_lex_state = 2},
  [12351] = {.lex_state = 14, .external_lex_state = 2},
  [12352] = {.lex_state = 419, .external_lex_state = 2},
  [12353] = {.lex_state = 419, .external_lex_state = 2},
  [12354] = {.lex_state = 197, .external_lex_state = 5},
  [12355] = {.lex_state = 16, .external_lex_state = 2},
  [12356] = {.lex_state = 15, .external_lex_state = 2},
  [12357] = {.lex_state = 197, .external_lex_state = 5},
  [12358] = {.lex_state = 197, .external_lex_state = 5},
  [12359] = {.lex_state = 419, .external_lex_state = 2},
  [12360] = {.lex_state = 419, .external_lex_state = 2},
  [12361] = {.lex_state = 419, .external_lex_state = 2},
  [12362] = {.lex_state = 419, .external_lex_state = 2},
  [12363] = {.lex_state = 28, .external_lex_state = 2},
  [12364] = {.lex_state = 15, .external_lex_state = 2},
  [12365] = {.lex_state = 28, .external_lex_state = 2},
  [12366] = {.lex_state = 197, .external_lex_state = 5},
  [12367] = {.lex_state = 197, .external_lex_state = 5},
  [12368] = {.lex_state = 15, .external_lex_state = 2},
  [12369] = {.lex_state = 15, .external_lex_state = 2},
  [12370] = {.lex_state = 197, .external_lex_state = 5},
  [12371] = {.lex_state = 419, .external_lex_state = 2},
  [12372] = {.lex_state = 15, .external_lex_state = 2},
  [12373] = {.lex_state = 15, .external_lex_state = 2},
  [12374] = {.lex_state = 197, .external_lex_state = 5},
  [12375] = {.lex_state = 15, .external_lex_state = 2},
  [12376] = {.lex_state = 419, .external_lex_state = 2},
  [12377] = {.lex_state = 15, .external_lex_state = 2},
  [12378] = {.lex_state = 15, .external_lex_state = 2},
  [12379] = {.lex_state = 15, .external_lex_state = 2},
  [12380] = {.lex_state = 14, .external_lex_state = 2},
  [12381] = {.lex_state = 15, .external_lex_state = 2},
  [12382] = {.lex_state = 15, .external_lex_state = 2},
  [12383] = {.lex_state = 14, .external_lex_state = 2},
  [12384] = {.lex_state = 15, .external_lex_state = 2},
  [12385] = {.lex_state = 15, .external_lex_state = 2},
  [12386] = {.lex_state = 15, .external_lex_state = 2},
  [12387] = {.lex_state = 419, .external_lex_state = 2},
  [12388] = {.lex_state = 14, .external_lex_state = 2},
  [12389] = {.lex_state = 15, .external_lex_state = 2},
  [12390] = {.lex_state = 14, .external_lex_state = 2},
  [12391] = {.lex_state = 14, .external_lex_state = 2},
  [12392] = {.lex_state = 15, .external_lex_state = 2},
  [12393] = {.lex_state = 15, .external_lex_state = 2},
  [12394] = {.lex_state = 15, .external_lex_state = 2},
  [12395] = {.lex_state = 14, .external_lex_state = 2},
  [12396] = {.lex_state = 15, .external_lex_state = 2},
  [12397] = {.lex_state = 15, .external_lex_state = 2},
  [12398] = {.lex_state = 15, .external_lex_state = 2},
  [12399] = {.lex_state = 197, .external_lex_state = 5},
  [12400] = {.lex_state = 15, .external_lex_state = 2},
  [12401] = {.lex_state = 15, .external_lex_state = 2},
  [12402] = {.lex_state = 15, .external_lex_state = 2},
  [12403] = {.lex_state = 15, .external_lex_state = 2},
  [12404] = {.lex_state = 14, .external_lex_state = 2},
  [12405] = {.lex_state = 15, .external_lex_state = 2},
  [12406] = {.lex_state = 14, .external_lex_state = 2},
  [12407] = {.lex_state = 15, .external_lex_state = 2},
  [12408] = {.lex_state = 15, .external_lex_state = 2},
  [12409] = {.lex_state = 15, .external_lex_state = 2},
  [12410] = {.lex_state = 16, .external_lex_state = 2},
  [12411] = {.lex_state = 15, .external_lex_state = 2},
  [12412] = {.lex_state = 15, .external_lex_state = 2},
  [12413] = {.lex_state = 28, .external_lex_state = 2},
  [12414] = {.lex_state = 28, .external_lex_state = 2},
  [12415] = {.lex_state = 205, .external_lex_state = 2},
  [12416] = {.lex_state = 197, .external_lex_state = 5},
  [12417] = {.lex_state = 14, .external_lex_state = 2},
  [12418] = {.lex_state = 419, .external_lex_state = 2},
  [12419] = {.lex_state = 425, .external_lex_state = 2},
  [12420] = {.lex_state = 197, .external_lex_state = 5},
  [12421] = {.lex_state = 28, .external_lex_state = 2},
  [12422] = {.lex_state = 15, .external_lex_state = 2},
  [12423] = {.lex_state = 28, .external_lex_state = 2},
  [12424] = {.lex_state = 15, .external_lex_state = 2},
  [12425] = {.lex_state = 16, .external_lex_state = 2},
  [12426] = {.lex_state = 197, .external_lex_state = 5},
  [12427] = {.lex_state = 425, .external_lex_state = 2},
  [12428] = {.lex_state = 14, .external_lex_state = 2},
  [12429] = {.lex_state = 15, .external_lex_state = 2},
  [12430] = {.lex_state = 28, .external_lex_state = 2},
  [12431] = {.lex_state = 15, .external_lex_state = 2},
  [12432] = {.lex_state = 197, .external_lex_state = 5},
  [12433] = {.lex_state = 14, .external_lex_state = 2},
  [12434] = {.lex_state = 14, .external_lex_state = 2},
  [12435] = {.lex_state = 15, .external_lex_state = 2},
  [12436] = {.lex_state = 197, .external_lex_state = 5},
  [12437] = {.lex_state = 28, .external_lex_state = 2},
  [12438] = {.lex_state = 197, .external_lex_state = 5},
  [12439] = {.lex_state = 15, .external_lex_state = 2},
  [12440] = {.lex_state = 15, .external_lex_state = 2},
  [12441] = {.lex_state = 15, .external_lex_state = 2},
  [12442] = {.lex_state = 197, .external_lex_state = 5},
  [12443] = {.lex_state = 15, .external_lex_state = 2},
  [12444] = {.lex_state = 15, .external_lex_state = 2},
  [12445] = {.lex_state = 14, .external_lex_state = 2},
  [12446] = {.lex_state = 15, .external_lex_state = 2},
  [12447] = {.lex_state = 197, .external_lex_state = 5},
  [12448] = {.lex_state = 14, .external_lex_state = 2},
  [12449] = {.lex_state = 14, .external_lex_state = 2},
  [12450] = {.lex_state = 15, .external_lex_state = 2},
  [12451] = {.lex_state = 14, .external_lex_state = 2},
  [12452] = {.lex_state = 14, .external_lex_state = 2},
  [12453] = {.lex_state = 14, .external_lex_state = 2},
  [12454] = {.lex_state = 28, .external_lex_state = 2},
  [12455] = {.lex_state = 15, .external_lex_state = 2},
  [12456] = {.lex_state = 197, .external_lex_state = 5},
  [12457] = {.lex_state = 15, .external_lex_state = 2},
  [12458] = {.lex_state = 197, .external_lex_state = 5},
  [12459] = {.lex_state = 15, .external_lex_state = 2},
  [12460] = {.lex_state = 14, .external_lex_state = 2},
  [12461] = {.lex_state = 15, .external_lex_state = 2},
  [12462] = {.lex_state = 14, .external_lex_state = 2},
  [12463] = {.lex_state = 197, .external_lex_state = 5},
  [12464] = {.lex_state = 197, .external_lex_state = 5},
  [12465] = {.lex_state = 15, .external_lex_state = 2},
  [12466] = {.lex_state = 419, .external_lex_state = 2},
  [12467] = {.lex_state = 15, .external_lex_state = 2},
  [12468] = {.lex_state = 425, .external_lex_state = 2},
  [12469] = {.lex_state = 15, .external_lex_state = 2},
  [12470] = {.lex_state = 14, .external_lex_state = 2},
  [12471] = {.lex_state = 197, .external_lex_state = 5},
  [12472] = {.lex_state = 425, .external_lex_state = 2},
  [12473] = {.lex_state = 197, .external_lex_state = 5},
  [12474] = {.lex_state = 197, .external_lex_state = 5},
  [12475] = {.lex_state = 15, .external_lex_state = 2},
  [12476] = {.lex_state = 15, .external_lex_state = 2},
  [12477] = {.lex_state = 197, .external_lex_state = 5},
  [12478] = {.lex_state = 15, .external_lex_state = 2},
  [12479] = {.lex_state = 14, .external_lex_state = 2},
  [12480] = {.lex_state = 15, .external_lex_state = 2},
  [12481] = {.lex_state = 425, .external_lex_state = 2},
  [12482] = {.lex_state = 15, .external_lex_state = 2},
  [12483] = {.lex_state = 15, .external_lex_state = 2},
  [12484] = {.lex_state = 14, .external_lex_state = 2},
  [12485] = {.lex_state = 197, .external_lex_state = 5},
  [12486] = {.lex_state = 28, .external_lex_state = 2},
  [12487] = {.lex_state = 15, .external_lex_state = 2},
  [12488] = {.lex_state = 15, .external_lex_state = 2},
  [12489] = {.lex_state = 28, .external_lex_state = 2},
  [12490] = {.lex_state = 28, .external_lex_state = 2},
  [12491] = {.lex_state = 197, .external_lex_state = 5},
  [12492] = {.lex_state = 217, .external_lex_state = 2},
  [12493] = {.lex_state = 15, .external_lex_state = 2},
  [12494] = {.lex_state = 15, .external_lex_state = 2},
  [12495] = {.lex_state = 425, .external_lex_state = 2},
  [12496] = {.lex_state = 15, .external_lex_state = 2},
  [12497] = {.lex_state = 419, .external_lex_state = 2},
  [12498] = {.lex_state = 15, .external_lex_state = 2},
  [12499] = {.lex_state = 28, .external_lex_state = 2},
  [12500] = {.lex_state = 14, .external_lex_state = 2},
  [12501] = {.lex_state = 197, .external_lex_state = 5},
  [12502] = {.lex_state = 10, .external_lex_state = 2},
  [12503] = {.lex_state = 14, .external_lex_state = 2},
  [12504] = {.lex_state = 197, .external_lex_state = 5},
  [12505] = {.lex_state = 15, .external_lex_state = 2},
  [12506] = {.lex_state = 197, .external_lex_state = 5},
  [12507] = {.lex_state = 16, .external_lex_state = 2},
  [12508] = {.lex_state = 15, .external_lex_state = 2},
  [12509] = {.lex_state = 15, .external_lex_state = 2},
  [12510] = {.lex_state = 15, .external_lex_state = 2},
  [12511] = {.lex_state = 15, .external_lex_state = 2},
  [12512] = {.lex_state = 15, .external_lex_state = 2},
  [12513] = {.lex_state = 425, .external_lex_state = 2},
  [12514] = {.lex_state = 15, .external_lex_state = 2},
  [12515] = {.lex_state = 15, .external_lex_state = 2},
  [12516] = {.lex_state = 425, .external_lex_state = 2},
  [12517] = {.lex_state = 14, .external_lex_state = 2},
  [12518] = {.lex_state = 15, .external_lex_state = 2},
  [12519] = {.lex_state = 15, .external_lex_state = 2},
  [12520] = {.lex_state = 15, .external_lex_state = 2},
  [12521] = {.lex_state = 197, .external_lex_state = 5},
  [12522] = {.lex_state = 16, .external_lex_state = 2},
  [12523] = {.lex_state = 14, .external_lex_state = 2},
  [12524] = {.lex_state = 28, .external_lex_state = 2},
  [12525] = {.lex_state = 14, .external_lex_state = 2},
  [12526] = {.lex_state = 425, .external_lex_state = 2},
  [12527] = {.lex_state = 197, .external_lex_state = 5},
  [12528] = {.lex_state = 14, .external_lex_state = 2},
  [12529] = {.lex_state = 28, .external_lex_state = 2},
  [12530] = {.lex_state = 197, .external_lex_state = 5},
  [12531] = {.lex_state = 28, .external_lex_state = 2},
  [12532] = {.lex_state = 14, .external_lex_state = 2},
  [12533] = {.lex_state = 15, .external_lex_state = 2},
  [12534] = {.lex_state = 15, .external_lex_state = 2},
  [12535] = {.lex_state = 197, .external_lex_state = 5},
  [12536] = {.lex_state = 15, .external_lex_state = 2},
  [12537] = {.lex_state = 14, .external_lex_state = 2},
  [12538] = {.lex_state = 14, .external_lex_state = 2},
  [12539] = {.lex_state = 14, .external_lex_state = 2},
  [12540] = {.lex_state = 14, .external_lex_state = 2},
  [12541] = {.lex_state = 14, .external_lex_state = 2},
  [12542] = {.lex_state = 14, .external_lex_state = 2},
  [12543] = {.lex_state = 15, .external_lex_state = 2},
  [12544] = {.lex_state = 197, .external_lex_state = 5},
  [12545] = {.lex_state = 15, .external_lex_state = 2},
  [12546] = {.lex_state = 15, .external_lex_state = 2},
  [12547] = {.lex_state = 15, .external_lex_state = 2},
  [12548] = {.lex_state = 15, .external_lex_state = 2},
  [12549] = {.lex_state = 15, .external_lex_state = 2},
  [12550] = {.lex_state = 15, .external_lex_state = 2},
  [12551] = {.lex_state = 14, .external_lex_state = 2},
  [12552] = {.lex_state = 15, .external_lex_state = 2},
  [12553] = {.lex_state = 197, .external_lex_state = 5},
  [12554] = {.lex_state = 15, .external_lex_state = 2},
  [12555] = {.lex_state = 15, .external_lex_state = 2},
  [12556] = {.lex_state = 15, .external_lex_state = 2},
  [12557] = {.lex_state = 15, .external_lex_state = 2},
  [12558] = {.lex_state = 197, .external_lex_state = 5},
  [12559] = {.lex_state = 15, .external_lex_state = 2},
  [12560] = {.lex_state = 425, .external_lex_state = 2},
  [12561] = {.lex_state = 425, .external_lex_state = 2},
  [12562] = {.lex_state = 15, .external_lex_state = 2},
  [12563] = {.lex_state = 197, .external_lex_state = 5},
  [12564] = {.lex_state = 15, .external_lex_state = 2},
  [12565] = {.lex_state = 15, .external_lex_state = 2},
  [12566] = {.lex_state = 14, .external_lex_state = 2},
  [12567] = {.lex_state = 15, .external_lex_state = 2},
  [12568] = {.lex_state = 15, .external_lex_state = 2},
  [12569] = {.lex_state = 28, .external_lex_state = 2},
  [12570] = {.lex_state = 14, .external_lex_state = 2},
  [12571] = {.lex_state = 14, .external_lex_state = 2},
  [12572] = {.lex_state = 218, .external_lex_state = 2},
  [12573] = {.lex_state = 28, .external_lex_state = 2},
  [12574] = {.lex_state = 15, .external_lex_state = 2},
  [12575] = {.lex_state = 197, .external_lex_state = 5},
  [12576] = {.lex_state = 14, .external_lex_state = 2},
  [12577] = {.lex_state = 15, .external_lex_state = 2},
  [12578] = {.lex_state = 15, .external_lex_state = 2},
  [12579] = {.lex_state = 197, .external_lex_state = 5},
  [12580] = {.lex_state = 14, .external_lex_state = 2},
  [12581] = {.lex_state = 15, .external_lex_state = 2},
  [12582] = {.lex_state = 15, .external_lex_state = 2},
  [12583] = {.lex_state = 15, .external_lex_state = 2},
  [12584] = {.lex_state = 14, .external_lex_state = 2},
  [12585] = {.lex_state = 197, .external_lex_state = 5},
  [12586] = {.lex_state = 425, .external_lex_state = 2},
  [12587] = {.lex_state = 15, .external_lex_state = 2},
  [12588] = {.lex_state = 14, .external_lex_state = 2},
  [12589] = {.lex_state = 15, .external_lex_state = 2},
  [12590] = {.lex_state = 15, .external_lex_state = 2},
  [12591] = {.lex_state = 14, .external_lex_state = 2},
  [12592] = {.lex_state = 14, .external_lex_state = 2},
  [12593] = {.lex_state = 15, .external_lex_state = 2},
  [12594] = {.lex_state = 425, .external_lex_state = 2},
  [12595] = {.lex_state = 15, .external_lex_state = 2},
  [12596] = {.lex_state = 15, .external_lex_state = 2},
  [12597] = {.lex_state = 419, .external_lex_state = 2},
  [12598] = {.lex_state = 197, .external_lex_state = 5},
  [12599] = {.lex_state = 15, .external_lex_state = 2},
  [12600] = {.lex_state = 15, .external_lex_state = 2},
  [12601] = {.lex_state = 425, .external_lex_state = 2},
  [12602] = {.lex_state = 28, .external_lex_state = 2},
  [12603] = {.lex_state = 425, .external_lex_state = 2},
  [12604] = {.lex_state = 28, .external_lex_state = 2},
  [12605] = {.lex_state = 31, .external_lex_state = 2},
  [12606] = {.lex_state = 31, .external_lex_state = 2},
  [12607] = {.lex_state = 31, .external_lex_state = 2},
  [12608] = {.lex_state = 15, .external_lex_state = 2},
  [12609] = {.lex_state = 28, .external_lex_state = 2},
  [12610] = {.lex_state = 28, .external_lex_state = 2},
  [12611] = {.lex_state = 218, .external_lex_state = 2},
  [12612] = {.lex_state = 28, .external_lex_state = 2},
  [12613] = {.lex_state = 31, .external_lex_state = 2},
  [12614] = {.lex_state = 264, .external_lex_state = 2},
  [12615] = {.lex_state = 264, .external_lex_state = 2},
  [12616] = {.lex_state = 218, .external_lex_state = 2},
  [12617] = {.lex_state = 218, .external_lex_state = 2},
  [12618] = {.lex_state = 425, .external_lex_state = 2},
  [12619] = {.lex_state = 28, .external_lex_state = 2},
  [12620] = {.lex_state = 15, .external_lex_state = 2},
  [12621] = {.lex_state = 425, .external_lex_state = 2},
  [12622] = {.lex_state = 419, .external_lex_state = 2},
  [12623] = {.lex_state = 264, .external_lex_state = 2},
  [12624] = {.lex_state = 28, .external_lex_state = 2},
  [12625] = {.lex_state = 8, .external_lex_state = 2},
  [12626] = {.lex_state = 218, .external_lex_state = 2},
  [12627] = {.lex_state = 15, .external_lex_state = 2},
  [12628] = {.lex_state = 15, .external_lex_state = 2},
  [12629] = {.lex_state = 15, .external_lex_state = 2},
  [12630] = {.lex_state = 15, .external_lex_state = 2},
  [12631] = {.lex_state = 15, .external_lex_state = 2},
  [12632] = {.lex_state = 15, .external_lex_state = 2},
  [12633] = {.lex_state = 15, .external_lex_state = 2},
  [12634] = {.lex_state = 28, .external_lex_state = 2},
  [12635] = {.lex_state = 15, .external_lex_state = 2},
  [12636] = {.lex_state = 15, .external_lex_state = 2},
  [12637] = {.lex_state = 28, .external_lex_state = 2},
  [12638] = {.lex_state = 16, .external_lex_state = 2},
  [12639] = {.lex_state = 28, .external_lex_state = 2},
  [12640] = {.lex_state = 15, .external_lex_state = 2},
  [12641] = {.lex_state = 15, .external_lex_state = 2},
  [12642] = {.lex_state = 28, .external_lex_state = 2},
  [12643] = {.lex_state = 28, .external_lex_state = 2},
  [12644] = {.lex_state = 218, .external_lex_state = 2},
  [12645] = {.lex_state = 15, .external_lex_state = 2},
  [12646] = {.lex_state = 218, .external_lex_state = 2},
  [12647] = {.lex_state = 425, .external_lex_state = 2},
  [12648] = {.lex_state = 425, .external_lex_state = 2},
  [12649] = {.lex_state = 15, .external_lex_state = 2},
  [12650] = {.lex_state = 218, .external_lex_state = 2},
  [12651] = {.lex_state = 15, .external_lex_state = 2},
  [12652] = {.lex_state = 28, .external_lex_state = 2},
  [12653] = {.lex_state = 425, .external_lex_state = 2},
  [12654] = {.lex_state = 31, .external_lex_state = 2},
  [12655] = {.lex_state = 15, .external_lex_state = 2},
  [12656] = {.lex_state = 28, .external_lex_state = 2},
  [12657] = {.lex_state = 28, .external_lex_state = 2},
  [12658] = {.lex_state = 15, .external_lex_state = 2},
  [12659] = {.lex_state = 15, .external_lex_state = 2},
  [12660] = {.lex_state = 264, .external_lex_state = 2},
  [12661] = {.lex_state = 15, .external_lex_state = 2},
  [12662] = {.lex_state = 218, .external_lex_state = 2},
  [12663] = {.lex_state = 15, .external_lex_state = 2},
  [12664] = {.lex_state = 419, .external_lex_state = 2},
  [12665] = {.lex_state = 15, .external_lex_state = 2},
  [12666] = {.lex_state = 419, .external_lex_state = 2},
  [12667] = {.lex_state = 15, .external_lex_state = 2},
  [12668] = {.lex_state = 15, .external_lex_state = 2},
  [12669] = {.lex_state = 28, .external_lex_state = 2},
  [12670] = {.lex_state = 15, .external_lex_state = 2},
  [12671] = {.lex_state = 15, .external_lex_state = 2},
  [12672] = {.lex_state = 28, .external_lex_state = 2},
  [12673] = {.lex_state = 218, .external_lex_state = 2},
  [12674] = {.lex_state = 28, .external_lex_state = 2},
  [12675] = {.lex_state = 218, .external_lex_state = 2},
  [12676] = {.lex_state = 218, .external_lex_state = 2},
  [12677] = {.lex_state = 197, .external_lex_state = 5},
  [12678] = {.lex_state = 419, .external_lex_state = 2},
  [12679] = {.lex_state = 218, .external_lex_state = 2},
  [12680] = {.lex_state = 15, .external_lex_state = 2},
  [12681] = {.lex_state = 15, .external_lex_state = 2},
  [12682] = {.lex_state = 218, .external_lex_state = 2},
  [12683] = {.lex_state = 28, .external_lex_state = 2},
  [12684] = {.lex_state = 218, .external_lex_state = 2},
  [12685] = {.lex_state = 15, .external_lex_state = 2},
  [12686] = {.lex_state = 15, .external_lex_state = 2},
  [12687] = {.lex_state = 241, .external_lex_state = 2},
  [12688] = {.lex_state = 218, .external_lex_state = 2},
  [12689] = {.lex_state = 8, .external_lex_state = 2},
  [12690] = {.lex_state = 28, .external_lex_state = 2},
  [12691] = {.lex_state = 28, .external_lex_state = 2},
  [12692] = {.lex_state = 15, .external_lex_state = 2},
  [12693] = {.lex_state = 15, .external_lex_state = 2},
  [12694] = {.lex_state = 15, .external_lex_state = 2},
  [12695] = {.lex_state = 15, .external_lex_state = 2},
  [12696] = {.lex_state = 218, .external_lex_state = 2},
  [12697] = {.lex_state = 218, .external_lex_state = 2},
  [12698] = {.lex_state = 228, .external_lex_state = 2},
  [12699] = {.lex_state = 28, .external_lex_state = 2},
  [12700] = {.lex_state = 28, .external_lex_state = 2},
  [12701] = {.lex_state = 218, .external_lex_state = 2},
  [12702] = {.lex_state = 218, .external_lex_state = 2},
  [12703] = {.lex_state = 28, .external_lex_state = 2},
  [12704] = {.lex_state = 425, .external_lex_state = 2},
  [12705] = {.lex_state = 15, .external_lex_state = 2},
  [12706] = {.lex_state = 15, .external_lex_state = 2},
  [12707] = {.lex_state = 15, .external_lex_state = 2},
  [12708] = {.lex_state = 28, .external_lex_state = 2},
  [12709] = {.lex_state = 15, .external_lex_state = 2},
  [12710] = {.lex_state = 15, .external_lex_state = 2},
  [12711] = {.lex_state = 15, .external_lex_state = 2},
  [12712] = {.lex_state = 8, .external_lex_state = 2},
  [12713] = {.lex_state = 425, .external_lex_state = 2},
  [12714] = {.lex_state = 425, .external_lex_state = 2},
  [12715] = {.lex_state = 28, .external_lex_state = 2},
  [12716] = {.lex_state = 218, .external_lex_state = 2},
  [12717] = {.lex_state = 425, .external_lex_state = 2},
  [12718] = {.lex_state = 425, .external_lex_state = 2},
  [12719] = {.lex_state = 15, .external_lex_state = 2},
  [12720] = {.lex_state = 28, .external_lex_state = 2},
  [12721] = {.lex_state = 15, .external_lex_state = 2},
  [12722] = {.lex_state = 28, .external_lex_state = 2},
  [12723] = {.lex_state = 28, .external_lex_state = 2},
  [12724] = {.lex_state = 425, .external_lex_state = 2},
  [12725] = {.lex_state = 425, .external_lex_state = 2},
  [12726] = {.lex_state = 264, .external_lex_state = 2},
  [12727] = {.lex_state = 425, .external_lex_state = 2},
  [12728] = {.lex_state = 425, .external_lex_state = 2},
  [12729] = {.lex_state = 15, .external_lex_state = 2},
  [12730] = {.lex_state = 15, .external_lex_state = 2},
  [12731] = {.lex_state = 218, .external_lex_state = 2},
  [12732] = {.lex_state = 28, .external_lex_state = 2},
  [12733] = {.lex_state = 15, .external_lex_state = 2},
  [12734] = {.lex_state = 425, .external_lex_state = 2},
  [12735] = {.lex_state = 425, .external_lex_state = 2},
  [12736] = {.lex_state = 31, .external_lex_state = 2},
  [12737] = {.lex_state = 28, .external_lex_state = 2},
  [12738] = {.lex_state = 197, .external_lex_state = 5},
  [12739] = {.lex_state = 28, .external_lex_state = 2},
  [12740] = {.lex_state = 15, .external_lex_state = 2},
  [12741] = {.lex_state = 218, .external_lex_state = 2},
  [12742] = {.lex_state = 15, .external_lex_state = 2},
  [12743] = {.lex_state = 8, .external_lex_state = 2},
  [12744] = {.lex_state = 425, .external_lex_state = 2},
  [12745] = {.lex_state = 28, .external_lex_state = 2},
  [12746] = {.lex_state = 15, .external_lex_state = 2},
  [12747] = {.lex_state = 218, .external_lex_state = 2},
  [12748] = {.lex_state = 28, .external_lex_state = 2},
  [12749] = {.lex_state = 218, .external_lex_state = 2},
  [12750] = {.lex_state = 15, .external_lex_state = 2},
  [12751] = {.lex_state = 218, .external_lex_state = 2},
  [12752] = {.lex_state = 425, .external_lex_state = 2},
  [12753] = {.lex_state = 425, .external_lex_state = 2},
  [12754] = {.lex_state = 228, .external_lex_state = 2},
  [12755] = {.lex_state = 218, .external_lex_state = 2},
  [12756] = {.lex_state = 218, .external_lex_state = 2},
  [12757] = {.lex_state = 218, .external_lex_state = 2},
  [12758] = {.lex_state = 218, .external_lex_state = 2},
  [12759] = {.lex_state = 264, .external_lex_state = 2},
  [12760] = {.lex_state = 28, .external_lex_state = 2},
  [12761] = {.lex_state = 425, .external_lex_state = 2},
  [12762] = {.lex_state = 28, .external_lex_state = 2},
  [12763] = {.lex_state = 28, .external_lex_state = 2},
  [12764] = {.lex_state = 15, .external_lex_state = 2},
  [12765] = {.lex_state = 15, .external_lex_state = 2},
  [12766] = {.lex_state = 15, .external_lex_state = 2},
  [12767] = {.lex_state = 15, .external_lex_state = 2},
  [12768] = {.lex_state = 15, .external_lex_state = 2},
  [12769] = {.lex_state = 28, .external_lex_state = 2},
  [12770] = {.lex_state = 15, .external_lex_state = 2},
  [12771] = {.lex_state = 15, .external_lex_state = 2},
  [12772] = {.lex_state = 15, .external_lex_state = 2},
  [12773] = {.lex_state = 15, .external_lex_state = 2},
  [12774] = {.lex_state = 15, .external_lex_state = 2},
  [12775] = {.lex_state = 15, .external_lex_state = 2},
  [12776] = {.lex_state = 28, .external_lex_state = 2},
  [12777] = {.lex_state = 218, .external_lex_state = 2},
  [12778] = {.lex_state = 28, .external_lex_state = 2},
  [12779] = {.lex_state = 28, .external_lex_state = 2},
  [12780] = {.lex_state = 264, .external_lex_state = 2},
  [12781] = {.lex_state = 425, .external_lex_state = 2},
  [12782] = {.lex_state = 28, .external_lex_state = 2},
  [12783] = {.lex_state = 15, .external_lex_state = 2},
  [12784] = {.lex_state = 264, .external_lex_state = 2},
  [12785] = {.lex_state = 15, .external_lex_state = 2},
  [12786] = {.lex_state = 15, .external_lex_state = 2},
  [12787] = {.lex_state = 15, .external_lex_state = 2},
  [12788] = {.lex_state = 15, .external_lex_state = 2},
  [12789] = {.lex_state = 425, .external_lex_state = 2},
  [12790] = {.lex_state = 31, .external_lex_state = 2},
  [12791] = {.lex_state = 28, .external_lex_state = 2},
  [12792] = {.lex_state = 28, .external_lex_state = 2},
  [12793] = {.lex_state = 218, .external_lex_state = 2},
  [12794] = {.lex_state = 28, .external_lex_state = 2},
  [12795] = {.lex_state = 425, .external_lex_state = 2},
  [12796] = {.lex_state = 425, .external_lex_state = 2},
  [12797] = {.lex_state = 425, .external_lex_state = 2},
  [12798] = {.lex_state = 425, .external_lex_state = 2},
  [12799] = {.lex_state = 425, .external_lex_state = 2},
  [12800] = {.lex_state = 15, .external_lex_state = 2},
  [12801] = {.lex_state = 228, .external_lex_state = 2},
  [12802] = {.lex_state = 8, .external_lex_state = 2},
  [12803] = {.lex_state = 8, .external_lex_state = 2},
  [12804] = {.lex_state = 8, .external_lex_state = 2},
  [12805] = {.lex_state = 8, .external_lex_state = 2},
  [12806] = {.lex_state = 228, .external_lex_state = 2},
  [12807] = {.lex_state = 8, .external_lex_state = 2},
  [12808] = {.lex_state = 8, .external_lex_state = 2},
  [12809] = {.lex_state = 8, .external_lex_state = 2},
  [12810] = {.lex_state = 12, .external_lex_state = 2},
  [12811] = {.lex_state = 31, .external_lex_state = 2},
  [12812] = {.lex_state = 8, .external_lex_state = 2},
  [12813] = {.lex_state = 31, .external_lex_state = 2},
  [12814] = {.lex_state = 12, .external_lex_state = 2},
  [12815] = {.lex_state = 31, .external_lex_state = 2},
  [12816] = {.lex_state = 425, .external_lex_state = 2},
  [12817] = {.lex_state = 425, .external_lex_state = 2},
  [12818] = {.lex_state = 8, .external_lex_state = 2},
  [12819] = {.lex_state = 8, .external_lex_state = 2},
  [12820] = {.lex_state = 8, .external_lex_state = 2},
  [12821] = {.lex_state = 8, .external_lex_state = 2},
  [12822] = {.lex_state = 12, .external_lex_state = 2},
  [12823] = {.lex_state = 425, .external_lex_state = 2},
  [12824] = {.lex_state = 8, .external_lex_state = 2},
  [12825] = {.lex_state = 12, .external_lex_state = 2},
  [12826] = {.lex_state = 8, .external_lex_state = 2},
  [12827] = {.lex_state = 228, .external_lex_state = 2},
  [12828] = {.lex_state = 31, .external_lex_state = 2},
  [12829] = {.lex_state = 210, .external_lex_state = 2},
  [12830] = {.lex_state = 242, .external_lex_state = 2},
  [12831] = {.lex_state = 425, .external_lex_state = 2},
  [12832] = {.lex_state = 214, .external_lex_state = 2},
  [12833] = {.lex_state = 242, .external_lex_state = 2},
  [12834] = {.lex_state = 425, .external_lex_state = 2},
  [12835] = {.lex_state = 228, .external_lex_state = 2},
  [12836] = {.lex_state = 228, .external_lex_state = 2},
  [12837] = {.lex_state = 31, .external_lex_state = 2},
  [12838] = {.lex_state = 228, .external_lex_state = 2},
  [12839] = {.lex_state = 242, .external_lex_state = 2},
  [12840] = {.lex_state = 228, .external_lex_state = 2},
  [12841] = {.lex_state = 228, .external_lex_state = 2},
  [12842] = {.lex_state = 218, .external_lex_state = 2},
  [12843] = {.lex_state = 228, .external_lex_state = 2},
  [12844] = {.lex_state = 228, .external_lex_state = 2},
  [12845] = {.lex_state = 228, .external_lex_state = 2},
  [12846] = {.lex_state = 228, .external_lex_state = 2},
  [12847] = {.lex_state = 228, .external_lex_state = 2},
  [12848] = {.lex_state = 228, .external_lex_state = 2},
  [12849] = {.lex_state = 228, .external_lex_state = 2},
  [12850] = {.lex_state = 228, .external_lex_state = 2},
  [12851] = {.lex_state = 228, .external_lex_state = 2},
  [12852] = {.lex_state = 7, .external_lex_state = 2},
  [12853] = {.lex_state = 228, .external_lex_state = 2},
  [12854] = {.lex_state = 8, .external_lex_state = 2},
  [12855] = {.lex_state = 224, .external_lex_state = 2},
  [12856] = {.lex_state = 228, .external_lex_state = 2},
  [12857] = {.lex_state = 228, .external_lex_state = 2},
  [12858] = {.lex_state = 228, .external_lex_state = 2},
  [12859] = {.lex_state = 228, .external_lex_state = 2},
  [12860] = {.lex_state = 228, .external_lex_state = 2},
  [12861] = {.lex_state = 31, .external_lex_state = 2},
  [12862] = {.lex_state = 224, .external_lex_state = 2},
  [12863] = {.lex_state = 224, .external_lex_state = 2},
  [12864] = {.lex_state = 197, .external_lex_state = 5},
  [12865] = {.lex_state = 228, .external_lex_state = 2},
  [12866] = {.lex_state = 228, .external_lex_state = 2},
  [12867] = {.lex_state = 214, .external_lex_state = 2},
  [12868] = {.lex_state = 425, .external_lex_state = 2},
  [12869] = {.lex_state = 228, .external_lex_state = 2},
  [12870] = {.lex_state = 228, .external_lex_state = 2},
  [12871] = {.lex_state = 228, .external_lex_state = 2},
  [12872] = {.lex_state = 228, .external_lex_state = 2},
  [12873] = {.lex_state = 214, .external_lex_state = 2},
  [12874] = {.lex_state = 228, .external_lex_state = 2},
  [12875] = {.lex_state = 214, .external_lex_state = 2},
  [12876] = {.lex_state = 214, .external_lex_state = 2},
  [12877] = {.lex_state = 228, .external_lex_state = 2},
  [12878] = {.lex_state = 242, .external_lex_state = 2},
  [12879] = {.lex_state = 242, .external_lex_state = 2},
  [12880] = {.lex_state = 8, .external_lex_state = 2},
  [12881] = {.lex_state = 425, .external_lex_state = 2},
  [12882] = {.lex_state = 425, .external_lex_state = 2},
  [12883] = {.lex_state = 7, .external_lex_state = 2},
  [12884] = {.lex_state = 12, .external_lex_state = 2},
  [12885] = {.lex_state = 242, .external_lex_state = 2},
  [12886] = {.lex_state = 8, .external_lex_state = 2},
  [12887] = {.lex_state = 228, .external_lex_state = 2},
  [12888] = {.lex_state = 214, .external_lex_state = 2},
  [12889] = {.lex_state = 228, .external_lex_state = 2},
  [12890] = {.lex_state = 7, .external_lex_state = 2},
  [12891] = {.lex_state = 197, .external_lex_state = 5},
  [12892] = {.lex_state = 228, .external_lex_state = 2},
  [12893] = {.lex_state = 425, .external_lex_state = 2},
  [12894] = {.lex_state = 242, .external_lex_state = 2},
  [12895] = {.lex_state = 12, .external_lex_state = 2},
  [12896] = {.lex_state = 31, .external_lex_state = 2},
  [12897] = {.lex_state = 8, .external_lex_state = 2},
  [12898] = {.lex_state = 228, .external_lex_state = 2},
  [12899] = {.lex_state = 242, .external_lex_state = 2},
  [12900] = {.lex_state = 31, .external_lex_state = 2},
  [12901] = {.lex_state = 419, .external_lex_state = 2},
  [12902] = {.lex_state = 419, .external_lex_state = 2},
  [12903] = {.lex_state = 28, .external_lex_state = 2},
  [12904] = {.lex_state = 419, .external_lex_state = 2},
  [12905] = {.lex_state = 419, .external_lex_state = 2},
  [12906] = {.lex_state = 419, .external_lex_state = 2},
  [12907] = {.lex_state = 419, .external_lex_state = 2},
  [12908] = {.lex_state = 419, .external_lex_state = 2},
  [12909] = {.lex_state = 419, .external_lex_state = 2},
  [12910] = {.lex_state = 419, .external_lex_state = 2},
  [12911] = {.lex_state = 419, .external_lex_state = 2},
  [12912] = {.lex_state = 419, .external_lex_state = 2},
  [12913] = {.lex_state = 28, .external_lex_state = 2},
  [12914] = {.lex_state = 28, .external_lex_state = 2},
  [12915] = {.lex_state = 28, .external_lex_state = 2},
  [12916] = {.lex_state = 419, .external_lex_state = 2},
  [12917] = {.lex_state = 419, .external_lex_state = 2},
  [12918] = {.lex_state = 28, .external_lex_state = 2},
  [12919] = {.lex_state = 228, .external_lex_state = 2},
  [12920] = {.lex_state = 419, .external_lex_state = 2},
  [12921] = {.lex_state = 419, .external_lex_state = 2},
  [12922] = {.lex_state = 228, .external_lex_state = 2},
  [12923] = {.lex_state = 28, .external_lex_state = 2},
  [12924] = {.lex_state = 419, .external_lex_state = 2},
  [12925] = {.lex_state = 419, .external_lex_state = 2},
  [12926] = {.lex_state = 419, .external_lex_state = 2},
  [12927] = {.lex_state = 419, .external_lex_state = 2},
  [12928] = {.lex_state = 419, .external_lex_state = 2},
  [12929] = {.lex_state = 419, .external_lex_state = 2},
  [12930] = {.lex_state = 419, .external_lex_state = 2},
  [12931] = {.lex_state = 419, .external_lex_state = 2},
  [12932] = {.lex_state = 419, .external_lex_state = 2},
  [12933] = {.lex_state = 419, .external_lex_state = 2},
  [12934] = {.lex_state = 419, .external_lex_state = 2},
  [12935] = {.lex_state = 419, .external_lex_state = 2},
  [12936] = {.lex_state = 241, .external_lex_state = 2},
  [12937] = {.lex_state = 419, .external_lex_state = 2},
  [12938] = {.lex_state = 419, .external_lex_state = 2},
  [12939] = {.lex_state = 419, .external_lex_state = 2},
  [12940] = {.lex_state = 419, .external_lex_state = 2},
  [12941] = {.lex_state = 419, .external_lex_state = 2},
  [12942] = {.lex_state = 419, .external_lex_state = 2},
  [12943] = {.lex_state = 419, .external_lex_state = 2},
  [12944] = {.lex_state = 419, .external_lex_state = 2},
  [12945] = {.lex_state = 419, .external_lex_state = 2},
  [12946] = {.lex_state = 419, .external_lex_state = 2},
  [12947] = {.lex_state = 12, .external_lex_state = 2},
  [12948] = {.lex_state = 242, .external_lex_state = 2},
  [12949] = {.lex_state = 419, .external_lex_state = 2},
  [12950] = {.lex_state = 419, .external_lex_state = 2},
  [12951] = {.lex_state = 241, .external_lex_state = 2},
  [12952] = {.lex_state = 419, .external_lex_state = 2},
  [12953] = {.lex_state = 28, .external_lex_state = 2},
  [12954] = {.lex_state = 419, .external_lex_state = 2},
  [12955] = {.lex_state = 205, .external_lex_state = 2},
  [12956] = {.lex_state = 242, .external_lex_state = 2},
  [12957] = {.lex_state = 419, .external_lex_state = 2},
  [12958] = {.lex_state = 419, .external_lex_state = 2},
  [12959] = {.lex_state = 419, .external_lex_state = 2},
  [12960] = {.lex_state = 419, .external_lex_state = 2},
  [12961] = {.lex_state = 419, .external_lex_state = 2},
  [12962] = {.lex_state = 419, .external_lex_state = 2},
  [12963] = {.lex_state = 419, .external_lex_state = 2},
  [12964] = {.lex_state = 419, .external_lex_state = 2},
  [12965] = {.lex_state = 28, .external_lex_state = 2},
  [12966] = {.lex_state = 419, .external_lex_state = 2},
  [12967] = {.lex_state = 419, .external_lex_state = 2},
  [12968] = {.lex_state = 419, .external_lex_state = 2},
  [12969] = {.lex_state = 419, .external_lex_state = 2},
  [12970] = {.lex_state = 419, .external_lex_state = 2},
  [12971] = {.lex_state = 419, .external_lex_state = 2},
  [12972] = {.lex_state = 419, .external_lex_state = 2},
  [12973] = {.lex_state = 242, .external_lex_state = 2},
  [12974] = {.lex_state = 419, .external_lex_state = 2},
  [12975] = {.lex_state = 242, .external_lex_state = 2},
  [12976] = {.lex_state = 242, .external_lex_state = 2},
  [12977] = {.lex_state = 224, .external_lex_state = 2},
  [12978] = {.lex_state = 419, .external_lex_state = 2},
  [12979] = {.lex_state = 218, .external_lex_state = 2},
  [12980] = {.lex_state = 242, .external_lex_state = 2},
  [12981] = {.lex_state = 419, .external_lex_state = 2},
  [12982] = {.lex_state = 419, .external_lex_state = 2},
  [12983] = {.lex_state = 419, .external_lex_state = 2},
  [12984] = {.lex_state = 419, .external_lex_state = 2},
  [12985] = {.lex_state = 419, .external_lex_state = 2},
  [12986] = {.lex_state = 419, .external_lex_state = 2},
  [12987] = {.lex_state = 419, .external_lex_state = 2},
  [12988] = {.lex_state = 242, .external_lex_state = 2},
  [12989] = {.lex_state = 419, .external_lex_state = 2},
  [12990] = {.lex_state = 419, .external_lex_state = 2},
  [12991] = {.lex_state = 419, .external_lex_state = 2},
  [12992] = {.lex_state = 419, .external_lex_state = 2},
  [12993] = {.lex_state = 419, .external_lex_state = 2},
  [12994] = {.lex_state = 242, .external_lex_state = 2},
  [12995] = {.lex_state = 419, .external_lex_state = 2},
  [12996] = {.lex_state = 419, .external_lex_state = 2},
  [12997] = {.lex_state = 419, .external_lex_state = 2},
  [12998] = {.lex_state = 419, .external_lex_state = 2},
  [12999] = {.lex_state = 28, .external_lex_state = 2},
  [13000] = {.lex_state = 419, .external_lex_state = 2},
  [13001] = {.lex_state = 205, .external_lex_state = 2},
  [13002] = {.lex_state = 419, .external_lex_state = 2},
  [13003] = {.lex_state = 419, .external_lex_state = 2},
  [13004] = {.lex_state = 419, .external_lex_state = 2},
  [13005] = {.lex_state = 28, .external_lex_state = 2},
  [13006] = {.lex_state = 419, .external_lex_state = 2},
  [13007] = {.lex_state = 28, .external_lex_state = 2},
  [13008] = {.lex_state = 28, .external_lex_state = 2},
  [13009] = {.lex_state = 419, .external_lex_state = 2},
  [13010] = {.lex_state = 419, .external_lex_state = 2},
  [13011] = {.lex_state = 419, .external_lex_state = 2},
  [13012] = {.lex_state = 28, .external_lex_state = 2},
  [13013] = {.lex_state = 419, .external_lex_state = 2},
  [13014] = {.lex_state = 419, .external_lex_state = 2},
  [13015] = {.lex_state = 419, .external_lex_state = 2},
  [13016] = {.lex_state = 419, .external_lex_state = 2},
  [13017] = {.lex_state = 28, .external_lex_state = 2},
  [13018] = {.lex_state = 28, .external_lex_state = 2},
  [13019] = {.lex_state = 419, .external_lex_state = 2},
  [13020] = {.lex_state = 28, .external_lex_state = 2},
  [13021] = {.lex_state = 419, .external_lex_state = 2},
  [13022] = {.lex_state = 28, .external_lex_state = 2},
  [13023] = {.lex_state = 419, .external_lex_state = 2},
  [13024] = {.lex_state = 28, .external_lex_state = 2},
  [13025] = {.lex_state = 28, .external_lex_state = 2},
  [13026] = {.lex_state = 28, .external_lex_state = 2},
  [13027] = {.lex_state = 419, .external_lex_state = 2},
  [13028] = {.lex_state = 419, .external_lex_state = 2},
  [13029] = {.lex_state = 419, .external_lex_state = 2},
  [13030] = {.lex_state = 419, .external_lex_state = 2},
  [13031] = {.lex_state = 419, .external_lex_state = 2},
  [13032] = {.lex_state = 419, .external_lex_state = 2},
  [13033] = {.lex_state = 419, .external_lex_state = 2},
  [13034] = {.lex_state = 419, .external_lex_state = 2},
  [13035] = {.lex_state = 419, .external_lex_state = 2},
  [13036] = {.lex_state = 419, .external_lex_state = 2},
  [13037] = {.lex_state = 419, .external_lex_state = 2},
  [13038] = {.lex_state = 28, .external_lex_state = 2},
  [13039] = {.lex_state = 419, .external_lex_state = 2},
  [13040] = {.lex_state = 419, .external_lex_state = 2},
  [13041] = {.lex_state = 419, .external_lex_state = 2},
  [13042] = {.lex_state = 419, .external_lex_state = 2},
  [13043] = {.lex_state = 419, .external_lex_state = 2},
  [13044] = {.lex_state = 419, .external_lex_state = 2},
  [13045] = {.lex_state = 419, .external_lex_state = 2},
  [13046] = {.lex_state = 419, .external_lex_state = 2},
  [13047] = {.lex_state = 419, .external_lex_state = 2},
  [13048] = {.lex_state = 419, .external_lex_state = 2},
  [13049] = {.lex_state = 419, .external_lex_state = 2},
  [13050] = {.lex_state = 419, .external_lex_state = 2},
  [13051] = {.lex_state = 419, .external_lex_state = 2},
  [13052] = {.lex_state = 419, .external_lex_state = 2},
  [13053] = {.lex_state = 419, .external_lex_state = 2},
  [13054] = {.lex_state = 419, .external_lex_state = 2},
  [13055] = {.lex_state = 419, .external_lex_state = 2},
  [13056] = {.lex_state = 28, .external_lex_state = 2},
  [13057] = {.lex_state = 419, .external_lex_state = 2},
  [13058] = {.lex_state = 419, .external_lex_state = 2},
  [13059] = {.lex_state = 419, .external_lex_state = 2},
  [13060] = {.lex_state = 419, .external_lex_state = 2},
  [13061] = {.lex_state = 419, .external_lex_state = 2},
  [13062] = {.lex_state = 28, .external_lex_state = 2},
  [13063] = {.lex_state = 419, .external_lex_state = 2},
  [13064] = {.lex_state = 419, .external_lex_state = 2},
  [13065] = {.lex_state = 419, .external_lex_state = 2},
  [13066] = {.lex_state = 28, .external_lex_state = 2},
  [13067] = {.lex_state = 419, .external_lex_state = 2},
  [13068] = {.lex_state = 419, .external_lex_state = 2},
  [13069] = {.lex_state = 419, .external_lex_state = 2},
  [13070] = {.lex_state = 419, .external_lex_state = 2},
  [13071] = {.lex_state = 419, .external_lex_state = 2},
  [13072] = {.lex_state = 28, .external_lex_state = 2},
  [13073] = {.lex_state = 419, .external_lex_state = 2},
  [13074] = {.lex_state = 28, .external_lex_state = 2},
  [13075] = {.lex_state = 419, .external_lex_state = 2},
  [13076] = {.lex_state = 419, .external_lex_state = 2},
  [13077] = {.lex_state = 419, .external_lex_state = 2},
  [13078] = {.lex_state = 419, .external_lex_state = 2},
  [13079] = {.lex_state = 419, .external_lex_state = 2},
  [13080] = {.lex_state = 419, .external_lex_state = 2},
  [13081] = {.lex_state = 28, .external_lex_state = 2},
  [13082] = {.lex_state = 28, .external_lex_state = 2},
  [13083] = {.lex_state = 419, .external_lex_state = 2},
  [13084] = {.lex_state = 419, .external_lex_state = 2},
  [13085] = {.lex_state = 419, .external_lex_state = 2},
  [13086] = {.lex_state = 28, .external_lex_state = 2},
  [13087] = {.lex_state = 28, .external_lex_state = 2},
  [13088] = {.lex_state = 419, .external_lex_state = 2},
  [13089] = {.lex_state = 419, .external_lex_state = 2},
  [13090] = {.lex_state = 419, .external_lex_state = 2},
  [13091] = {.lex_state = 419, .external_lex_state = 2},
  [13092] = {.lex_state = 419, .external_lex_state = 2},
  [13093] = {.lex_state = 419, .external_lex_state = 2},
  [13094] = {.lex_state = 419, .external_lex_state = 2},
  [13095] = {.lex_state = 419, .external_lex_state = 2},
  [13096] = {.lex_state = 419, .external_lex_state = 2},
  [13097] = {.lex_state = 419, .external_lex_state = 2},
  [13098] = {.lex_state = 419, .external_lex_state = 2},
  [13099] = {.lex_state = 419, .external_lex_state = 2},
  [13100] = {.lex_state = 419, .external_lex_state = 2},
  [13101] = {.lex_state = 419, .external_lex_state = 2},
  [13102] = {.lex_state = 419, .external_lex_state = 2},
  [13103] = {.lex_state = 28, .external_lex_state = 2},
  [13104] = {.lex_state = 419, .external_lex_state = 2},
  [13105] = {.lex_state = 419, .external_lex_state = 2},
  [13106] = {.lex_state = 419, .external_lex_state = 2},
  [13107] = {.lex_state = 241, .external_lex_state = 2},
  [13108] = {.lex_state = 419, .external_lex_state = 2},
  [13109] = {.lex_state = 28, .external_lex_state = 2},
  [13110] = {.lex_state = 419, .external_lex_state = 2},
  [13111] = {.lex_state = 218, .external_lex_state = 2},
  [13112] = {.lex_state = 218, .external_lex_state = 2},
  [13113] = {.lex_state = 224, .external_lex_state = 2},
  [13114] = {.lex_state = 224, .external_lex_state = 2},
  [13115] = {.lex_state = 224, .external_lex_state = 2},
  [13116] = {.lex_state = 224, .external_lex_state = 2},
  [13117] = {.lex_state = 224, .external_lex_state = 2},
  [13118] = {.lex_state = 224, .external_lex_state = 2},
  [13119] = {.lex_state = 224, .external_lex_state = 2},
  [13120] = {.lex_state = 419, .external_lex_state = 2},
  [13121] = {.lex_state = 205, .external_lex_state = 2},
  [13122] = {.lex_state = 205, .external_lex_state = 2},
  [13123] = {.lex_state = 218, .external_lex_state = 2},
  [13124] = {.lex_state = 419, .external_lex_state = 2},
  [13125] = {.lex_state = 419, .external_lex_state = 2},
  [13126] = {.lex_state = 224, .external_lex_state = 2},
  [13127] = {.lex_state = 224, .external_lex_state = 2},
  [13128] = {.lex_state = 224, .external_lex_state = 2},
  [13129] = {.lex_state = 224, .external_lex_state = 2},
  [13130] = {.lex_state = 224, .external_lex_state = 2},
  [13131] = {.lex_state = 224, .external_lex_state = 2},
  [13132] = {.lex_state = 419, .external_lex_state = 2},
  [13133] = {.lex_state = 224, .external_lex_state = 2},
  [13134] = {.lex_state = 224, .external_lex_state = 2},
  [13135] = {.lex_state = 224, .external_lex_state = 2},
  [13136] = {.lex_state = 224, .external_lex_state = 2},
  [13137] = {.lex_state = 224, .external_lex_state = 2},
  [13138] = {.lex_state = 224, .external_lex_state = 2},
  [13139] = {.lex_state = 218, .external_lex_state = 2},
  [13140] = {.lex_state = 224, .external_lex_state = 2},
  [13141] = {.lex_state = 419, .external_lex_state = 2},
  [13142] = {.lex_state = 419, .external_lex_state = 2},
  [13143] = {.lex_state = 419, .external_lex_state = 2},
  [13144] = {.lex_state = 224, .external_lex_state = 2},
  [13145] = {.lex_state = 419, .external_lex_state = 2},
  [13146] = {.lex_state = 241, .external_lex_state = 2},
  [13147] = {.lex_state = 28, .external_lex_state = 2},
  [13148] = {.lex_state = 419, .external_lex_state = 2},
  [13149] = {.lex_state = 224, .external_lex_state = 2},
  [13150] = {.lex_state = 224, .external_lex_state = 2},
  [13151] = {.lex_state = 224, .external_lex_state = 2},
  [13152] = {.lex_state = 224, .external_lex_state = 2},
  [13153] = {.lex_state = 205, .external_lex_state = 2},
  [13154] = {.lex_state = 224, .external_lex_state = 2},
  [13155] = {.lex_state = 224, .external_lex_state = 2},
  [13156] = {.lex_state = 419, .external_lex_state = 2},
  [13157] = {.lex_state = 218, .external_lex_state = 2},
  [13158] = {.lex_state = 224, .external_lex_state = 2},
  [13159] = {.lex_state = 224, .external_lex_state = 2},
  [13160] = {.lex_state = 224, .external_lex_state = 2},
  [13161] = {.lex_state = 224, .external_lex_state = 2},
  [13162] = {.lex_state = 224, .external_lex_state = 2},
  [13163] = {.lex_state = 205, .external_lex_state = 2},
  [13164] = {.lex_state = 8, .external_lex_state = 2},
  [13165] = {.lex_state = 214, .external_lex_state = 2},
  [13166] = {.lex_state = 205, .external_lex_state = 2},
  [13167] = {.lex_state = 28, .external_lex_state = 2},
  [13168] = {.lex_state = 7, .external_lex_state = 2},
  [13169] = {.lex_state = 214, .external_lex_state = 2},
  [13170] = {.lex_state = 205, .external_lex_state = 2},
  [13171] = {.lex_state = 205, .external_lex_state = 2},
  [13172] = {.lex_state = 28, .external_lex_state = 2},
  [13173] = {.lex_state = 208, .external_lex_state = 2},
  [13174] = {.lex_state = 205, .external_lex_state = 2},
  [13175] = {.lex_state = 28, .external_lex_state = 2},
  [13176] = {.lex_state = 8, .external_lex_state = 2},
  [13177] = {.lex_state = 205, .external_lex_state = 2},
  [13178] = {.lex_state = 205, .external_lex_state = 2},
  [13179] = {.lex_state = 205, .external_lex_state = 2},
  [13180] = {.lex_state = 205, .external_lex_state = 2},
  [13181] = {.lex_state = 214, .external_lex_state = 2},
  [13182] = {.lex_state = 205, .external_lex_state = 2},
  [13183] = {.lex_state = 205, .external_lex_state = 2},
  [13184] = {.lex_state = 205, .external_lex_state = 2},
  [13185] = {.lex_state = 205, .external_lex_state = 2},
  [13186] = {.lex_state = 28, .external_lex_state = 2},
  [13187] = {.lex_state = 208, .external_lex_state = 2},
  [13188] = {.lex_state = 205, .external_lex_state = 2},
  [13189] = {.lex_state = 8, .external_lex_state = 2},
  [13190] = {.lex_state = 8, .external_lex_state = 2},
  [13191] = {.lex_state = 205, .external_lex_state = 2},
  [13192] = {.lex_state = 419, .external_lex_state = 2},
  [13193] = {.lex_state = 28, .external_lex_state = 2},
  [13194] = {.lex_state = 205, .external_lex_state = 2},
  [13195] = {.lex_state = 8, .external_lex_state = 2},
  [13196] = {.lex_state = 214, .external_lex_state = 2},
  [13197] = {.lex_state = 8, .external_lex_state = 2},
  [13198] = {.lex_state = 8, .external_lex_state = 2},
  [13199] = {.lex_state = 28, .external_lex_state = 2},
  [13200] = {.lex_state = 205, .external_lex_state = 2},
  [13201] = {.lex_state = 205, .external_lex_state = 2},
  [13202] = {.lex_state = 8, .external_lex_state = 2},
  [13203] = {.lex_state = 205, .external_lex_state = 2},
  [13204] = {.lex_state = 205, .external_lex_state = 2},
  [13205] = {.lex_state = 214, .external_lex_state = 2},
  [13206] = {.lex_state = 205, .external_lex_state = 2},
  [13207] = {.lex_state = 228, .external_lex_state = 2},
  [13208] = {.lex_state = 214, .external_lex_state = 2},
  [13209] = {.lex_state = 208, .external_lex_state = 2},
  [13210] = {.lex_state = 4, .external_lex_state = 6},
  [13211] = {.lex_state = 28, .external_lex_state = 2},
  [13212] = {.lex_state = 4, .external_lex_state = 6},
  [13213] = {.lex_state = 28, .external_lex_state = 2},
  [13214] = {.lex_state = 4, .external_lex_state = 6},
  [13215] = {.lex_state = 28, .external_lex_state = 2},
  [13216] = {.lex_state = 4, .external_lex_state = 6},
  [13217] = {.lex_state = 4, .external_lex_state = 6},
  [13218] = {.lex_state = 28, .external_lex_state = 2},
  [13219] = {.lex_state = 28, .external_lex_state = 2},
  [13220] = {.lex_state = 28, .external_lex_state = 2},
  [13221] = {.lex_state = 243, .external_lex_state = 2},
  [13222] = {.lex_state = 4, .external_lex_state = 6},
  [13223] = {.lex_state = 4, .external_lex_state = 6},
  [13224] = {.lex_state = 419, .external_lex_state = 2},
  [13225] = {.lex_state = 4, .external_lex_state = 6},
  [13226] = {.lex_state = 4, .external_lex_state = 6},
  [13227] = {.lex_state = 205, .external_lex_state = 2},
  [13228] = {.lex_state = 228, .external_lex_state = 2},
  [13229] = {.lex_state = 4, .external_lex_state = 6},
  [13230] = {.lex_state = 243, .external_lex_state = 2},
  [13231] = {.lex_state = 419, .external_lex_state = 2},
  [13232] = {.lex_state = 4, .external_lex_state = 6},
  [13233] = {.lex_state = 4, .external_lex_state = 6},
  [13234] = {.lex_state = 419, .external_lex_state = 2},
  [13235] = {.lex_state = 4, .external_lex_state = 6},
  [13236] = {.lex_state = 243, .external_lex_state = 2},
  [13237] = {.lex_state = 419, .external_lex_state = 2},
  [13238] = {.lex_state = 4, .external_lex_state = 6},
  [13239] = {.lex_state = 4, .external_lex_state = 6},
  [13240] = {.lex_state = 4, .external_lex_state = 6},
  [13241] = {.lex_state = 4, .external_lex_state = 6},
  [13242] = {.lex_state = 4, .external_lex_state = 6},
  [13243] = {.lex_state = 4, .external_lex_state = 6},
  [13244] = {.lex_state = 4, .external_lex_state = 6},
  [13245] = {.lex_state = 4, .external_lex_state = 6},
  [13246] = {.lex_state = 4, .external_lex_state = 6},
  [13247] = {.lex_state = 4, .external_lex_state = 6},
  [13248] = {.lex_state = 4, .external_lex_state = 6},
  [13249] = {.lex_state = 4, .external_lex_state = 6},
  [13250] = {.lex_state = 4, .external_lex_state = 6},
  [13251] = {.lex_state = 4, .external_lex_state = 6},
  [13252] = {.lex_state = 4, .external_lex_state = 6},
  [13253] = {.lex_state = 8, .external_lex_state = 2},
  [13254] = {.lex_state = 243, .external_lex_state = 2},
  [13255] = {.lex_state = 243, .external_lex_state = 2},
  [13256] = {.lex_state = 4, .external_lex_state = 6},
  [13257] = {.lex_state = 419, .external_lex_state = 2},
  [13258] = {.lex_state = 243, .external_lex_state = 2},
  [13259] = {.lex_state = 214, .external_lex_state = 2},
  [13260] = {.lex_state = 8, .external_lex_state = 2},
  [13261] = {.lex_state = 419, .external_lex_state = 2},
  [13262] = {.lex_state = 8, .external_lex_state = 2},
  [13263] = {.lex_state = 4, .external_lex_state = 6},
  [13264] = {.lex_state = 243, .external_lex_state = 2},
  [13265] = {.lex_state = 237, .external_lex_state = 7},
  [13266] = {.lex_state = 8, .external_lex_state = 2},
  [13267] = {.lex_state = 8, .external_lex_state = 2},
  [13268] = {.lex_state = 243, .external_lex_state = 2},
  [13269] = {.lex_state = 4, .external_lex_state = 6},
  [13270] = {.lex_state = 4, .external_lex_state = 6},
  [13271] = {.lex_state = 8, .external_lex_state = 2},
  [13272] = {.lex_state = 419, .external_lex_state = 2},
  [13273] = {.lex_state = 243, .external_lex_state = 2},
  [13274] = {.lex_state = 205, .external_lex_state = 2},
  [13275] = {.lex_state = 8, .external_lex_state = 2},
  [13276] = {.lex_state = 28, .external_lex_state = 2},
  [13277] = {.lex_state = 243, .external_lex_state = 2},
  [13278] = {.lex_state = 8, .external_lex_state = 2},
  [13279] = {.lex_state = 28, .external_lex_state = 2},
  [13280] = {.lex_state = 28, .external_lex_state = 2},
  [13281] = {.lex_state = 28, .external_lex_state = 2},
  [13282] = {.lex_state = 28, .external_lex_state = 2},
  [13283] = {.lex_state = 4, .external_lex_state = 6},
  [13284] = {.lex_state = 4, .external_lex_state = 6},
  [13285] = {.lex_state = 243, .external_lex_state = 2},
  [13286] = {.lex_state = 8, .external_lex_state = 2},
  [13287] = {.lex_state = 243, .external_lex_state = 2},
  [13288] = {.lex_state = 243, .external_lex_state = 2},
  [13289] = {.lex_state = 8, .external_lex_state = 2},
  [13290] = {.lex_state = 4, .external_lex_state = 6},
  [13291] = {.lex_state = 243, .external_lex_state = 2},
  [13292] = {.lex_state = 243, .external_lex_state = 2},
  [13293] = {.lex_state = 8, .external_lex_state = 2},
  [13294] = {.lex_state = 214, .external_lex_state = 2},
  [13295] = {.lex_state = 228, .external_lex_state = 2},
  [13296] = {.lex_state = 243, .external_lex_state = 2},
  [13297] = {.lex_state = 4, .external_lex_state = 6},
  [13298] = {.lex_state = 4, .external_lex_state = 6},
  [13299] = {.lex_state = 205, .external_lex_state = 2},
  [13300] = {.lex_state = 243, .external_lex_state = 2},
  [13301] = {.lex_state = 243, .external_lex_state = 2},
  [13302] = {.lex_state = 4, .external_lex_state = 6},
  [13303] = {.lex_state = 4, .external_lex_state = 6},
  [13304] = {.lex_state = 8, .external_lex_state = 2},
  [13305] = {.lex_state = 28, .external_lex_state = 2},
  [13306] = {.lex_state = 243, .external_lex_state = 2},
  [13307] = {.lex_state = 243, .external_lex_state = 2},
  [13308] = {.lex_state = 28, .external_lex_state = 2},
  [13309] = {.lex_state = 4, .external_lex_state = 6},
  [13310] = {.lex_state = 4, .external_lex_state = 6},
  [13311] = {.lex_state = 4, .external_lex_state = 6},
  [13312] = {.lex_state = 28, .external_lex_state = 2},
  [13313] = {.lex_state = 419, .external_lex_state = 2},
  [13314] = {.lex_state = 419, .external_lex_state = 2},
  [13315] = {.lex_state = 243, .external_lex_state = 2},
  [13316] = {.lex_state = 4, .external_lex_state = 6},
  [13317] = {.lex_state = 243, .external_lex_state = 2},
  [13318] = {.lex_state = 28, .external_lex_state = 2},
  [13319] = {.lex_state = 28, .external_lex_state = 2},
  [13320] = {.lex_state = 243, .external_lex_state = 2},
  [13321] = {.lex_state = 419, .external_lex_state = 2},
  [13322] = {.lex_state = 4, .external_lex_state = 6},
  [13323] = {.lex_state = 28, .external_lex_state = 2},
  [13324] = {.lex_state = 28, .external_lex_state = 2},
  [13325] = {.lex_state = 28, .external_lex_state = 2},
  [13326] = {.lex_state = 28, .external_lex_state = 2},
  [13327] = {.lex_state = 8, .external_lex_state = 2},
  [13328] = {.lex_state = 243, .external_lex_state = 2},
  [13329] = {.lex_state = 243, .external_lex_state = 2},
  [13330] = {.lex_state = 4, .external_lex_state = 6},
  [13331] = {.lex_state = 243, .external_lex_state = 2},
  [13332] = {.lex_state = 243, .external_lex_state = 2},
  [13333] = {.lex_state = 419, .external_lex_state = 2},
  [13334] = {.lex_state = 214, .external_lex_state = 2},
  [13335] = {.lex_state = 228, .external_lex_state = 2},
  [13336] = {.lex_state = 4, .external_lex_state = 6},
  [13337] = {.lex_state = 243, .external_lex_state = 2},
  [13338] = {.lex_state = 4, .external_lex_state = 6},
  [13339] = {.lex_state = 205, .external_lex_state = 2},
  [13340] = {.lex_state = 243, .external_lex_state = 2},
  [13341] = {.lex_state = 4, .external_lex_state = 6},
  [13342] = {.lex_state = 419, .external_lex_state = 2},
  [13343] = {.lex_state = 419, .external_lex_state = 2},
  [13344] = {.lex_state = 28, .external_lex_state = 2},
  [13345] = {.lex_state = 243, .external_lex_state = 2},
  [13346] = {.lex_state = 243, .external_lex_state = 2},
  [13347] = {.lex_state = 243, .external_lex_state = 2},
  [13348] = {.lex_state = 4, .external_lex_state = 6},
  [13349] = {.lex_state = 214, .external_lex_state = 2},
  [13350] = {.lex_state = 243, .external_lex_state = 2},
  [13351] = {.lex_state = 419, .external_lex_state = 2},
  [13352] = {.lex_state = 419, .external_lex_state = 2},
  [13353] = {.lex_state = 228, .external_lex_state = 2},
  [13354] = {.lex_state = 28, .external_lex_state = 2},
  [13355] = {.lex_state = 243, .external_lex_state = 2},
  [13356] = {.lex_state = 243, .external_lex_state = 2},
  [13357] = {.lex_state = 4, .external_lex_state = 6},
  [13358] = {.lex_state = 243, .external_lex_state = 2},
  [13359] = {.lex_state = 243, .external_lex_state = 2},
  [13360] = {.lex_state = 4, .external_lex_state = 6},
  [13361] = {.lex_state = 4, .external_lex_state = 6},
  [13362] = {.lex_state = 419, .external_lex_state = 2},
  [13363] = {.lex_state = 243, .external_lex_state = 2},
  [13364] = {.lex_state = 205, .external_lex_state = 2},
  [13365] = {.lex_state = 4, .external_lex_state = 6},
  [13366] = {.lex_state = 208, .external_lex_state = 2},
  [13367] = {.lex_state = 4, .external_lex_state = 6},
  [13368] = {.lex_state = 4, .external_lex_state = 6},
  [13369] = {.lex_state = 419, .external_lex_state = 2},
  [13370] = {.lex_state = 243, .external_lex_state = 2},
  [13371] = {.lex_state = 243, .external_lex_state = 2},
  [13372] = {.lex_state = 243, .external_lex_state = 2},
  [13373] = {.lex_state = 243, .external_lex_state = 2},
  [13374] = {.lex_state = 243, .external_lex_state = 2},
  [13375] = {.lex_state = 28, .external_lex_state = 2},
  [13376] = {.lex_state = 28, .external_lex_state = 2},
  [13377] = {.lex_state = 243, .external_lex_state = 2},
  [13378] = {.lex_state = 28, .external_lex_state = 2},
  [13379] = {.lex_state = 28, .external_lex_state = 2},
  [13380] = {.lex_state = 28, .external_lex_state = 2},
  [13381] = {.lex_state = 205, .external_lex_state = 2},
  [13382] = {.lex_state = 205, .external_lex_state = 2},
  [13383] = {.lex_state = 4, .external_lex_state = 6},
  [13384] = {.lex_state = 8, .external_lex_state = 2},
  [13385] = {.lex_state = 4, .external_lex_state = 6},
  [13386] = {.lex_state = 228, .external_lex_state = 2},
  [13387] = {.lex_state = 237, .external_lex_state = 7},
  [13388] = {.lex_state = 419, .external_lex_state = 2},
  [13389] = {.lex_state = 419, .external_lex_state = 2},
  [13390] = {.lex_state = 28, .external_lex_state = 2},
  [13391] = {.lex_state = 425, .external_lex_state = 2},
  [13392] = {.lex_state = 7, .external_lex_state = 2},
  [13393] = {.lex_state = 28, .external_lex_state = 2},
  [13394] = {.lex_state = 7, .external_lex_state = 2},
  [13395] = {.lex_state = 7, .external_lex_state = 2},
  [13396] = {.lex_state = 7, .external_lex_state = 2},
  [13397] = {.lex_state = 28, .external_lex_state = 2},
  [13398] = {.lex_state = 205, .external_lex_state = 2},
  [13399] = {.lex_state = 7, .external_lex_state = 2},
  [13400] = {.lex_state = 237, .external_lex_state = 7},
  [13401] = {.lex_state = 28, .external_lex_state = 2},
  [13402] = {.lex_state = 7, .external_lex_state = 2},
  [13403] = {.lex_state = 214, .external_lex_state = 2},
  [13404] = {.lex_state = 7, .external_lex_state = 2},
  [13405] = {.lex_state = 28, .external_lex_state = 2},
  [13406] = {.lex_state = 28, .external_lex_state = 2},
  [13407] = {.lex_state = 28, .external_lex_state = 2},
  [13408] = {.lex_state = 7, .external_lex_state = 2},
  [13409] = {.lex_state = 28, .external_lex_state = 2},
  [13410] = {.lex_state = 28, .external_lex_state = 2},
  [13411] = {.lex_state = 28, .external_lex_state = 2},
  [13412] = {.lex_state = 28, .external_lex_state = 2},
  [13413] = {.lex_state = 7, .external_lex_state = 2},
  [13414] = {.lex_state = 28, .external_lex_state = 2},
  [13415] = {.lex_state = 28, .external_lex_state = 2},
  [13416] = {.lex_state = 7, .external_lex_state = 2},
  [13417] = {.lex_state = 425, .external_lex_state = 2},
  [13418] = {.lex_state = 425, .external_lex_state = 2},
  [13419] = {.lex_state = 425, .external_lex_state = 2},
  [13420] = {.lex_state = 425, .external_lex_state = 2},
  [13421] = {.lex_state = 28, .external_lex_state = 2},
  [13422] = {.lex_state = 205, .external_lex_state = 2},
  [13423] = {.lex_state = 7, .external_lex_state = 2},
  [13424] = {.lex_state = 28, .external_lex_state = 2},
  [13425] = {.lex_state = 28, .external_lex_state = 2},
  [13426] = {.lex_state = 208, .external_lex_state = 2},
  [13427] = {.lex_state = 28, .external_lex_state = 2},
  [13428] = {.lex_state = 28, .external_lex_state = 2},
  [13429] = {.lex_state = 7, .external_lex_state = 2},
  [13430] = {.lex_state = 28, .external_lex_state = 2},
  [13431] = {.lex_state = 7, .external_lex_state = 2},
  [13432] = {.lex_state = 28, .external_lex_state = 2},
  [13433] = {.lex_state = 7, .external_lex_state = 2},
  [13434] = {.lex_state = 28, .external_lex_state = 2},
  [13435] = {.lex_state = 7, .external_lex_state = 2},
  [13436] = {.lex_state = 224, .external_lex_state = 2},
  [13437] = {.lex_state = 7, .external_lex_state = 2},
  [13438] = {.lex_state = 7, .external_lex_state = 2},
  [13439] = {.lex_state = 28, .external_lex_state = 2},
  [13440] = {.lex_state = 7, .external_lex_state = 2},
  [13441] = {.lex_state = 28, .external_lex_state = 2},
  [13442] = {.lex_state = 7, .external_lex_state = 2},
  [13443] = {.lex_state = 7, .external_lex_state = 2},
  [13444] = {.lex_state = 205, .external_lex_state = 2},
  [13445] = {.lex_state = 205, .external_lex_state = 2},
  [13446] = {.lex_state = 7, .external_lex_state = 2},
  [13447] = {.lex_state = 205, .external_lex_state = 2},
  [13448] = {.lex_state = 205, .external_lex_state = 2},
  [13449] = {.lex_state = 28, .external_lex_state = 2},
  [13450] = {.lex_state = 28, .external_lex_state = 2},
  [13451] = {.lex_state = 205, .external_lex_state = 2},
  [13452] = {.lex_state = 7, .external_lex_state = 2},
  [13453] = {.lex_state = 205, .external_lex_state = 2},
  [13454] = {.lex_state = 7, .external_lex_state = 2},
  [13455] = {.lex_state = 7, .external_lex_state = 2},
  [13456] = {.lex_state = 28, .external_lex_state = 2},
  [13457] = {.lex_state = 7, .external_lex_state = 2},
  [13458] = {.lex_state = 28, .external_lex_state = 2},
  [13459] = {.lex_state = 7, .external_lex_state = 2},
  [13460] = {.lex_state = 28, .external_lex_state = 2},
  [13461] = {.lex_state = 7, .external_lex_state = 2},
  [13462] = {.lex_state = 6, .external_lex_state = 2},
  [13463] = {.lex_state = 28, .external_lex_state = 2},
  [13464] = {.lex_state = 28, .external_lex_state = 2},
  [13465] = {.lex_state = 214, .external_lex_state = 2},
  [13466] = {.lex_state = 28, .external_lex_state = 2},
  [13467] = {.lex_state = 28, .external_lex_state = 2},
  [13468] = {.lex_state = 205, .external_lex_state = 2},
  [13469] = {.lex_state = 28, .external_lex_state = 2},
  [13470] = {.lex_state = 8, .external_lex_state = 2},
  [13471] = {.lex_state = 28, .external_lex_state = 2},
  [13472] = {.lex_state = 214, .external_lex_state = 2},
  [13473] = {.lex_state = 176, .external_lex_state = 2},
  [13474] = {.lex_state = 28, .external_lex_state = 2},
  [13475] = {.lex_state = 28, .external_lex_state = 2},
  [13476] = {.lex_state = 28, .external_lex_state = 8},
  [13477] = {.lex_state = 28, .external_lex_state = 2},
  [13478] = {.lex_state = 28, .external_lex_state = 2},
  [13479] = {.lex_state = 28, .external_lex_state = 2},
  [13480] = {.lex_state = 214, .external_lex_state = 2},
  [13481] = {.lex_state = 28, .external_lex_state = 2},
  [13482] = {.lex_state = 6, .external_lex_state = 2},
  [13483] = {.lex_state = 28, .external_lex_state = 2},
  [13484] = {.lex_state = 28, .external_lex_state = 2},
  [13485] = {.lex_state = 28, .external_lex_state = 2},
  [13486] = {.lex_state = 28, .external_lex_state = 2},
  [13487] = {.lex_state = 8, .external_lex_state = 2},
  [13488] = {.lex_state = 176, .external_lex_state = 2},
  [13489] = {.lex_state = 28, .external_lex_state = 2},
  [13490] = {.lex_state = 28, .external_lex_state = 2},
  [13491] = {.lex_state = 28, .external_lex_state = 2},
  [13492] = {.lex_state = 28, .external_lex_state = 2},
  [13493] = {.lex_state = 28, .external_lex_state = 2},
  [13494] = {.lex_state = 6, .external_lex_state = 2},
  [13495] = {.lex_state = 28, .external_lex_state = 2},
  [13496] = {.lex_state = 28, .external_lex_state = 2},
  [13497] = {.lex_state = 28, .external_lex_state = 2},
  [13498] = {.lex_state = 209, .external_lex_state = 2},
  [13499] = {.lex_state = 28, .external_lex_state = 2},
  [13500] = {.lex_state = 28, .external_lex_state = 2},
  [13501] = {.lex_state = 176, .external_lex_state = 2},
  [13502] = {.lex_state = 28, .external_lex_state = 2},
  [13503] = {.lex_state = 176, .external_lex_state = 2},
  [13504] = {.lex_state = 28, .external_lex_state = 2},
  [13505] = {.lex_state = 28, .external_lex_state = 2},
  [13506] = {.lex_state = 224, .external_lex_state = 2},
  [13507] = {.lex_state = 214, .external_lex_state = 2},
  [13508] = {.lex_state = 28, .external_lex_state = 2},
  [13509] = {.lex_state = 28, .external_lex_state = 2},
  [13510] = {.lex_state = 28, .external_lex_state = 2},
  [13511] = {.lex_state = 28, .external_lex_state = 2},
  [13512] = {.lex_state = 28, .external_lex_state = 8},
  [13513] = {.lex_state = 28, .external_lex_state = 2},
  [13514] = {.lex_state = 8, .external_lex_state = 2},
  [13515] = {.lex_state = 28, .external_lex_state = 2},
  [13516] = {.lex_state = 28, .external_lex_state = 2},
  [13517] = {.lex_state = 28, .external_lex_state = 2},
  [13518] = {.lex_state = 28, .external_lex_state = 2},
  [13519] = {.lex_state = 224, .external_lex_state = 2},
  [13520] = {.lex_state = 28, .external_lex_state = 2},
  [13521] = {.lex_state = 28, .external_lex_state = 2},
  [13522] = {.lex_state = 28, .external_lex_state = 8},
  [13523] = {.lex_state = 176, .external_lex_state = 2},
  [13524] = {.lex_state = 28, .external_lex_state = 2},
  [13525] = {.lex_state = 28, .external_lex_state = 2},
  [13526] = {.lex_state = 8, .external_lex_state = 2},
  [13527] = {.lex_state = 28, .external_lex_state = 8},
  [13528] = {.lex_state = 28, .external_lex_state = 2},
  [13529] = {.lex_state = 214, .external_lex_state = 2},
  [13530] = {.lex_state = 28, .external_lex_state = 2},
  [13531] = {.lex_state = 28, .external_lex_state = 2},
  [13532] = {.lex_state = 8, .external_lex_state = 2},
  [13533] = {.lex_state = 8, .external_lex_state = 2},
  [13534] = {.lex_state = 28, .external_lex_state = 8},
  [13535] = {.lex_state = 176, .external_lex_state = 2},
  [13536] = {.lex_state = 28, .external_lex_state = 2},
  [13537] = {.lex_state = 28, .external_lex_state = 2},
  [13538] = {.lex_state = 8, .external_lex_state = 2},
  [13539] = {.lex_state = 28, .external_lex_state = 2},
  [13540] = {.lex_state = 28, .external_lex_state = 2},
  [13541] = {.lex_state = 28, .external_lex_state = 2},
  [13542] = {.lex_state = 8, .external_lex_state = 2},
  [13543] = {.lex_state = 214, .external_lex_state = 2},
  [13544] = {.lex_state = 205, .external_lex_state = 2},
  [13545] = {.lex_state = 28, .external_lex_state = 2},
  [13546] = {.lex_state = 28, .external_lex_state = 2},
  [13547] = {.lex_state = 28, .external_lex_state = 2},
  [13548] = {.lex_state = 8, .external_lex_state = 2},
  [13549] = {.lex_state = 28, .external_lex_state = 2},
  [13550] = {.lex_state = 28, .external_lex_state = 2},
  [13551] = {.lex_state = 176, .external_lex_state = 2},
  [13552] = {.lex_state = 28, .external_lex_state = 2},
  [13553] = {.lex_state = 28, .external_lex_state = 2},
  [13554] = {.lex_state = 214, .external_lex_state = 2},
  [13555] = {.lex_state = 28, .external_lex_state = 2},
  [13556] = {.lex_state = 28, .external_lex_state = 2},
  [13557] = {.lex_state = 214, .external_lex_state = 2},
  [13558] = {.lex_state = 28, .external_lex_state = 2},
  [13559] = {.lex_state = 28, .external_lex_state = 8},
  [13560] = {.lex_state = 28, .external_lex_state = 2},
  [13561] = {.lex_state = 28, .external_lex_state = 2},
  [13562] = {.lex_state = 28, .external_lex_state = 2},
  [13563] = {.lex_state = 28, .external_lex_state = 2},
  [13564] = {.lex_state = 28, .external_lex_state = 2},
  [13565] = {.lex_state = 28, .external_lex_state = 2},
  [13566] = {.lex_state = 28, .external_lex_state = 8},
  [13567] = {.lex_state = 28, .external_lex_state = 2},
  [13568] = {.lex_state = 6, .external_lex_state = 2},
  [13569] = {.lex_state = 28, .external_lex_state = 2},
  [13570] = {.lex_state = 28, .external_lex_state = 2},
  [13571] = {.lex_state = 28, .external_lex_state = 2},
  [13572] = {.lex_state = 28, .external_lex_state = 2},
  [13573] = {.lex_state = 28, .external_lex_state = 2},
  [13574] = {.lex_state = 28, .external_lex_state = 2},
  [13575] = {.lex_state = 8, .external_lex_state = 2},
  [13576] = {.lex_state = 214, .external_lex_state = 2},
  [13577] = {.lex_state = 28, .external_lex_state = 2},
  [13578] = {.lex_state = 214, .external_lex_state = 2},
  [13579] = {.lex_state = 28, .external_lex_state = 2},
  [13580] = {.lex_state = 6, .external_lex_state = 2},
  [13581] = {.lex_state = 28, .external_lex_state = 2},
  [13582] = {.lex_state = 28, .external_lex_state = 2},
  [13583] = {.lex_state = 28, .external_lex_state = 2},
  [13584] = {.lex_state = 28, .external_lex_state = 2},
  [13585] = {.lex_state = 28, .external_lex_state = 2},
  [13586] = {.lex_state = 28, .external_lex_state = 2},
  [13587] = {.lex_state = 237, .external_lex_state = 7},
  [13588] = {.lex_state = 28, .external_lex_state = 2},
  [13589] = {.lex_state = 28, .external_lex_state = 2},
  [13590] = {.lex_state = 28, .external_lex_state = 2},
  [13591] = {.lex_state = 214, .external_lex_state = 2},
  [13592] = {.lex_state = 214, .external_lex_state = 2},
  [13593] = {.lex_state = 205, .external_lex_state = 2},
  [13594] = {.lex_state = 8, .external_lex_state = 2},
  [13595] = {.lex_state = 28, .external_lex_state = 2},
  [13596] = {.lex_state = 214, .external_lex_state = 2},
  [13597] = {.lex_state = 28, .external_lex_state = 8},
  [13598] = {.lex_state = 176, .external_lex_state = 2},
  [13599] = {.lex_state = 214, .external_lex_state = 2},
  [13600] = {.lex_state = 28, .external_lex_state = 2},
  [13601] = {.lex_state = 214, .external_lex_state = 2},
  [13602] = {.lex_state = 28, .external_lex_state = 2},
  [13603] = {.lex_state = 28, .external_lex_state = 2},
  [13604] = {.lex_state = 28, .external_lex_state = 8},
  [13605] = {.lex_state = 28, .external_lex_state = 2},
  [13606] = {.lex_state = 224, .external_lex_state = 2},
  [13607] = {.lex_state = 28, .external_lex_state = 2},
  [13608] = {.lex_state = 28, .external_lex_state = 2},
  [13609] = {.lex_state = 28, .external_lex_state = 2},
  [13610] = {.lex_state = 229, .external_lex_state = 2},
  [13611] = {.lex_state = 205, .external_lex_state = 2},
  [13612] = {.lex_state = 28, .external_lex_state = 2},
  [13613] = {.lex_state = 214, .external_lex_state = 2},
  [13614] = {.lex_state = 6, .external_lex_state = 2},
  [13615] = {.lex_state = 205, .external_lex_state = 2},
  [13616] = {.lex_state = 8, .external_lex_state = 2},
  [13617] = {.lex_state = 28, .external_lex_state = 2},
  [13618] = {.lex_state = 28, .external_lex_state = 2},
  [13619] = {.lex_state = 28, .external_lex_state = 2},
  [13620] = {.lex_state = 214, .external_lex_state = 2},
  [13621] = {.lex_state = 28, .external_lex_state = 2},
  [13622] = {.lex_state = 28, .external_lex_state = 2},
  [13623] = {.lex_state = 176, .external_lex_state = 2},
  [13624] = {.lex_state = 214, .external_lex_state = 2},
  [13625] = {.lex_state = 28, .external_lex_state = 2},
  [13626] = {.lex_state = 28, .external_lex_state = 2},
  [13627] = {.lex_state = 214, .external_lex_state = 2},
  [13628] = {.lex_state = 28, .external_lex_state = 2},
  [13629] = {.lex_state = 28, .external_lex_state = 2},
  [13630] = {.lex_state = 28, .external_lex_state = 2},
  [13631] = {.lex_state = 28, .external_lex_state = 2},
  [13632] = {.lex_state = 214, .external_lex_state = 2},
  [13633] = {.lex_state = 28, .external_lex_state = 2},
  [13634] = {.lex_state = 214, .external_lex_state = 2},
  [13635] = {.lex_state = 214, .external_lex_state = 2},
  [13636] = {.lex_state = 28, .external_lex_state = 2},
  [13637] = {.lex_state = 6, .external_lex_state = 2},
  [13638] = {.lex_state = 6, .external_lex_state = 2},
  [13639] = {.lex_state = 28, .external_lex_state = 2},
  [13640] = {.lex_state = 214, .external_lex_state = 2},
  [13641] = {.lex_state = 28, .external_lex_state = 2},
  [13642] = {.lex_state = 28, .external_lex_state = 2},
  [13643] = {.lex_state = 28, .external_lex_state = 2},
  [13644] = {.lex_state = 8, .external_lex_state = 2},
  [13645] = {.lex_state = 28, .external_lex_state = 8},
  [13646] = {.lex_state = 214, .external_lex_state = 2},
  [13647] = {.lex_state = 28, .external_lex_state = 2},
  [13648] = {.lex_state = 214, .external_lex_state = 2},
  [13649] = {.lex_state = 214, .external_lex_state = 2},
  [13650] = {.lex_state = 28, .external_lex_state = 2},
  [13651] = {.lex_state = 176, .external_lex_state = 2},
  [13652] = {.lex_state = 28, .external_lex_state = 2},
  [13653] = {.lex_state = 224, .external_lex_state = 2},
  [13654] = {.lex_state = 229, .external_lex_state = 2},
  [13655] = {.lex_state = 28, .external_lex_state = 2},
  [13656] = {.lex_state = 28, .external_lex_state = 2},
  [13657] = {.lex_state = 28, .external_lex_state = 2},
  [13658] = {.lex_state = 28, .external_lex_state = 2},
  [13659] = {.lex_state = 28, .external_lex_state = 8},
  [13660] = {.lex_state = 28, .external_lex_state = 2},
  [13661] = {.lex_state = 28, .external_lex_state = 2},
  [13662] = {.lex_state = 8, .external_lex_state = 2},
  [13663] = {.lex_state = 28, .external_lex_state = 2},
  [13664] = {.lex_state = 28, .external_lex_state = 2},
  [13665] = {.lex_state = 8, .external_lex_state = 2},
  [13666] = {.lex_state = 28, .external_lex_state = 2},
  [13667] = {.lex_state = 28, .external_lex_state = 2},
  [13668] = {.lex_state = 28, .external_lex_state = 2},
  [13669] = {.lex_state = 6, .external_lex_state = 2},
  [13670] = {.lex_state = 205, .external_lex_state = 2},
  [13671] = {.lex_state = 28, .external_lex_state = 2},
  [13672] = {.lex_state = 8, .external_lex_state = 2},
  [13673] = {.lex_state = 28, .external_lex_state = 2},
  [13674] = {.lex_state = 28, .external_lex_state = 2},
  [13675] = {.lex_state = 6, .external_lex_state = 2},
  [13676] = {.lex_state = 8, .external_lex_state = 2},
  [13677] = {.lex_state = 28, .external_lex_state = 2},
  [13678] = {.lex_state = 28, .external_lex_state = 2},
  [13679] = {.lex_state = 28, .external_lex_state = 2},
  [13680] = {.lex_state = 6, .external_lex_state = 2},
  [13681] = {.lex_state = 28, .external_lex_state = 2},
  [13682] = {.lex_state = 28, .external_lex_state = 2},
  [13683] = {.lex_state = 28, .external_lex_state = 2},
  [13684] = {.lex_state = 28, .external_lex_state = 2},
  [13685] = {.lex_state = 28, .external_lex_state = 2},
  [13686] = {.lex_state = 28, .external_lex_state = 2},
  [13687] = {.lex_state = 28, .external_lex_state = 2},
  [13688] = {.lex_state = 28, .external_lex_state = 2},
  [13689] = {.lex_state = 28, .external_lex_state = 2},
  [13690] = {.lex_state = 8, .external_lex_state = 2},
  [13691] = {.lex_state = 28, .external_lex_state = 2},
  [13692] = {.lex_state = 28, .external_lex_state = 2},
  [13693] = {.lex_state = 229, .external_lex_state = 2},
  [13694] = {.lex_state = 28, .external_lex_state = 2},
  [13695] = {.lex_state = 214, .external_lex_state = 2},
  [13696] = {.lex_state = 205, .external_lex_state = 2},
  [13697] = {.lex_state = 28, .external_lex_state = 2},
  [13698] = {.lex_state = 8, .external_lex_state = 2},
  [13699] = {.lex_state = 8, .external_lex_state = 2},
  [13700] = {.lex_state = 6, .external_lex_state = 2},
  [13701] = {.lex_state = 28, .external_lex_state = 2},
  [13702] = {.lex_state = 28, .external_lex_state = 2},
  [13703] = {.lex_state = 214, .external_lex_state = 2},
  [13704] = {.lex_state = 28, .external_lex_state = 2},
  [13705] = {.lex_state = 8, .external_lex_state = 2},
  [13706] = {.lex_state = 28, .external_lex_state = 2},
  [13707] = {.lex_state = 28, .external_lex_state = 2},
  [13708] = {.lex_state = 28, .external_lex_state = 2},
  [13709] = {.lex_state = 28, .external_lex_state = 2},
  [13710] = {.lex_state = 28, .external_lex_state = 2},
  [13711] = {.lex_state = 28, .external_lex_state = 2},
  [13712] = {.lex_state = 28, .external_lex_state = 2},
  [13713] = {.lex_state = 6, .external_lex_state = 2},
  [13714] = {.lex_state = 28, .external_lex_state = 2},
  [13715] = {.lex_state = 28, .external_lex_state = 2},
  [13716] = {.lex_state = 28, .external_lex_state = 2},
  [13717] = {.lex_state = 205, .external_lex_state = 2},
  [13718] = {.lex_state = 28, .external_lex_state = 2},
  [13719] = {.lex_state = 6, .external_lex_state = 2},
  [13720] = {.lex_state = 28, .external_lex_state = 2},
  [13721] = {.lex_state = 28, .external_lex_state = 2},
  [13722] = {.lex_state = 176, .external_lex_state = 2},
  [13723] = {.lex_state = 8, .external_lex_state = 2},
  [13724] = {.lex_state = 205, .external_lex_state = 2},
  [13725] = {.lex_state = 214, .external_lex_state = 2},
  [13726] = {.lex_state = 28, .external_lex_state = 2},
  [13727] = {.lex_state = 28, .external_lex_state = 2},
  [13728] = {.lex_state = 28, .external_lex_state = 2},
  [13729] = {.lex_state = 28, .external_lex_state = 2},
  [13730] = {.lex_state = 8, .external_lex_state = 2},
  [13731] = {.lex_state = 28, .external_lex_state = 2},
  [13732] = {.lex_state = 205, .external_lex_state = 2},
  [13733] = {.lex_state = 8, .external_lex_state = 2},
  [13734] = {.lex_state = 28, .external_lex_state = 2},
  [13735] = {.lex_state = 28, .external_lex_state = 2},
  [13736] = {.lex_state = 28, .external_lex_state = 2},
  [13737] = {.lex_state = 28, .external_lex_state = 2},
  [13738] = {.lex_state = 205, .external_lex_state = 2},
  [13739] = {.lex_state = 28, .external_lex_state = 2},
  [13740] = {.lex_state = 28, .external_lex_state = 8},
  [13741] = {.lex_state = 28, .external_lex_state = 2},
  [13742] = {.lex_state = 28, .external_lex_state = 8},
  [13743] = {.lex_state = 28, .external_lex_state = 2},
  [13744] = {.lex_state = 28, .external_lex_state = 2},
  [13745] = {.lex_state = 229, .external_lex_state = 2},
  [13746] = {.lex_state = 229, .external_lex_state = 2},
  [13747] = {.lex_state = 28, .external_lex_state = 2},
  [13748] = {.lex_state = 28, .external_lex_state = 2},
  [13749] = {.lex_state = 28, .external_lex_state = 2},
  [13750] = {.lex_state = 28, .external_lex_state = 2},
  [13751] = {.lex_state = 28, .external_lex_state = 2},
  [13752] = {.lex_state = 28, .external_lex_state = 2},
  [13753] = {.lex_state = 28, .external_lex_state = 2},
  [13754] = {.lex_state = 205, .external_lex_state = 2},
  [13755] = {.lex_state = 8, .external_lex_state = 2},
  [13756] = {.lex_state = 28, .external_lex_state = 8},
  [13757] = {.lex_state = 28, .external_lex_state = 2},
  [13758] = {.lex_state = 28, .external_lex_state = 2},
  [13759] = {.lex_state = 28, .external_lex_state = 2},
  [13760] = {.lex_state = 28, .external_lex_state = 2},
  [13761] = {.lex_state = 28, .external_lex_state = 2},
  [13762] = {.lex_state = 6, .external_lex_state = 2},
  [13763] = {.lex_state = 28, .external_lex_state = 2},
  [13764] = {.lex_state = 205, .external_lex_state = 2},
  [13765] = {.lex_state = 28, .external_lex_state = 2},
  [13766] = {.lex_state = 205, .external_lex_state = 2},
  [13767] = {.lex_state = 28, .external_lex_state = 2},
  [13768] = {.lex_state = 28, .external_lex_state = 2},
  [13769] = {.lex_state = 205, .external_lex_state = 2},
  [13770] = {.lex_state = 28, .external_lex_state = 2},
  [13771] = {.lex_state = 28, .external_lex_state = 8},
  [13772] = {.lex_state = 28, .external_lex_state = 2},
  [13773] = {.lex_state = 28, .external_lex_state = 2},
  [13774] = {.lex_state = 28, .external_lex_state = 2},
  [13775] = {.lex_state = 28, .external_lex_state = 2},
  [13776] = {.lex_state = 28, .external_lex_state = 2},
  [13777] = {.lex_state = 28, .external_lex_state = 2},
  [13778] = {.lex_state = 28, .external_lex_state = 2},
  [13779] = {.lex_state = 205, .external_lex_state = 2},
  [13780] = {.lex_state = 209, .external_lex_state = 2},
  [13781] = {.lex_state = 28, .external_lex_state = 2},
  [13782] = {.lex_state = 214, .external_lex_state = 2},
  [13783] = {.lex_state = 8, .external_lex_state = 2},
  [13784] = {.lex_state = 209, .external_lex_state = 2},
  [13785] = {.lex_state = 28, .external_lex_state = 2},
  [13786] = {.lex_state = 176, .external_lex_state = 2},
  [13787] = {.lex_state = 28, .external_lex_state = 2},
  [13788] = {.lex_state = 209, .external_lex_state = 2},
  [13789] = {.lex_state = 8, .external_lex_state = 2},
  [13790] = {.lex_state = 28, .external_lex_state = 2},
  [13791] = {.lex_state = 8, .external_lex_state = 2},
  [13792] = {.lex_state = 214, .external_lex_state = 2},
  [13793] = {.lex_state = 28, .external_lex_state = 2},
  [13794] = {.lex_state = 28, .external_lex_state = 2},
  [13795] = {.lex_state = 28, .external_lex_state = 2},
  [13796] = {.lex_state = 28, .external_lex_state = 2},
  [13797] = {.lex_state = 28, .external_lex_state = 2},
  [13798] = {.lex_state = 28, .external_lex_state = 2},
  [13799] = {.lex_state = 6, .external_lex_state = 2},
  [13800] = {.lex_state = 28, .external_lex_state = 2},
  [13801] = {.lex_state = 28, .external_lex_state = 2},
  [13802] = {.lex_state = 28, .external_lex_state = 2},
  [13803] = {.lex_state = 6, .external_lex_state = 2},
  [13804] = {.lex_state = 6, .external_lex_state = 2},
  [13805] = {.lex_state = 28, .external_lex_state = 2},
  [13806] = {.lex_state = 28, .external_lex_state = 2},
  [13807] = {.lex_state = 28, .external_lex_state = 2},
  [13808] = {.lex_state = 28, .external_lex_state = 2},
  [13809] = {.lex_state = 28, .external_lex_state = 2},
  [13810] = {.lex_state = 28, .external_lex_state = 2},
  [13811] = {.lex_state = 6, .external_lex_state = 2},
  [13812] = {.lex_state = 28, .external_lex_state = 2},
  [13813] = {.lex_state = 6, .external_lex_state = 2},
  [13814] = {.lex_state = 28, .external_lex_state = 2},
  [13815] = {.lex_state = 6, .external_lex_state = 2},
  [13816] = {.lex_state = 28, .external_lex_state = 2},
  [13817] = {.lex_state = 6, .external_lex_state = 2},
  [13818] = {.lex_state = 28, .external_lex_state = 2},
  [13819] = {.lex_state = 6, .external_lex_state = 2},
  [13820] = {.lex_state = 28, .external_lex_state = 2},
  [13821] = {.lex_state = 28, .external_lex_state = 2},
  [13822] = {.lex_state = 6, .external_lex_state = 2},
  [13823] = {.lex_state = 28, .external_lex_state = 2},
  [13824] = {.lex_state = 6, .external_lex_state = 2},
  [13825] = {.lex_state = 28, .external_lex_state = 2},
  [13826] = {.lex_state = 28, .external_lex_state = 2},
  [13827] = {.lex_state = 28, .external_lex_state = 2},
  [13828] = {.lex_state = 28, .external_lex_state = 2},
  [13829] = {.lex_state = 28, .external_lex_state = 2},
  [13830] = {.lex_state = 28, .external_lex_state = 2},
  [13831] = {.lex_state = 6, .external_lex_state = 2},
  [13832] = {.lex_state = 6, .external_lex_state = 2},
  [13833] = {.lex_state = 28, .external_lex_state = 2},
  [13834] = {.lex_state = 28, .external_lex_state = 2},
  [13835] = {.lex_state = 28, .external_lex_state = 2},
  [13836] = {.lex_state = 28, .external_lex_state = 2},
  [13837] = {.lex_state = 28, .external_lex_state = 2},
  [13838] = {.lex_state = 28, .external_lex_state = 2},
  [13839] = {.lex_state = 28, .external_lex_state = 2},
  [13840] = {.lex_state = 28, .external_lex_state = 2},
  [13841] = {.lex_state = 8, .external_lex_state = 2},
  [13842] = {.lex_state = 28, .external_lex_state = 2},
  [13843] = {.lex_state = 28, .external_lex_state = 2},
  [13844] = {.lex_state = 6, .external_lex_state = 2},
  [13845] = {.lex_state = 6, .external_lex_state = 2},
  [13846] = {.lex_state = 28, .external_lex_state = 2},
  [13847] = {.lex_state = 28, .external_lex_state = 2},
  [13848] = {.lex_state = 28, .external_lex_state = 2},
  [13849] = {.lex_state = 28, .external_lex_state = 2},
  [13850] = {.lex_state = 28, .external_lex_state = 2},
  [13851] = {.lex_state = 28, .external_lex_state = 2},
  [13852] = {.lex_state = 28, .external_lex_state = 2},
  [13853] = {.lex_state = 28, .external_lex_state = 2},
  [13854] = {.lex_state = 28, .external_lex_state = 2},
  [13855] = {.lex_state = 28, .external_lex_state = 2},
  [13856] = {.lex_state = 6, .external_lex_state = 2},
  [13857] = {.lex_state = 28, .external_lex_state = 2},
  [13858] = {.lex_state = 6, .external_lex_state = 2},
  [13859] = {.lex_state = 28, .external_lex_state = 2},
  [13860] = {.lex_state = 28, .external_lex_state = 2},
  [13861] = {.lex_state = 6, .external_lex_state = 2},
  [13862] = {.lex_state = 6, .external_lex_state = 2},
  [13863] = {.lex_state = 28, .external_lex_state = 2},
  [13864] = {.lex_state = 6, .external_lex_state = 2},
  [13865] = {.lex_state = 28, .external_lex_state = 2},
  [13866] = {.lex_state = 6, .external_lex_state = 2},
  [13867] = {.lex_state = 28, .external_lex_state = 2},
  [13868] = {.lex_state = 28, .external_lex_state = 2},
  [13869] = {.lex_state = 28, .external_lex_state = 2},
  [13870] = {.lex_state = 28, .external_lex_state = 2},
  [13871] = {.lex_state = 28, .external_lex_state = 2},
  [13872] = {.lex_state = 28, .external_lex_state = 2},
  [13873] = {.lex_state = 6, .external_lex_state = 2},
  [13874] = {.lex_state = 6, .external_lex_state = 2},
  [13875] = {.lex_state = 6, .external_lex_state = 2},
  [13876] = {.lex_state = 28, .external_lex_state = 2},
  [13877] = {.lex_state = 28, .external_lex_state = 2},
  [13878] = {.lex_state = 6, .external_lex_state = 2},
  [13879] = {.lex_state = 6, .external_lex_state = 2},
  [13880] = {.lex_state = 28, .external_lex_state = 2},
  [13881] = {.lex_state = 28, .external_lex_state = 2},
  [13882] = {.lex_state = 28, .external_lex_state = 2},
  [13883] = {.lex_state = 28, .external_lex_state = 2},
  [13884] = {.lex_state = 28, .external_lex_state = 2},
  [13885] = {.lex_state = 6, .external_lex_state = 2},
  [13886] = {.lex_state = 28, .external_lex_state = 2},
  [13887] = {.lex_state = 28, .external_lex_state = 2},
  [13888] = {.lex_state = 28, .external_lex_state = 2},
  [13889] = {.lex_state = 28, .external_lex_state = 2},
  [13890] = {.lex_state = 28, .external_lex_state = 2},
  [13891] = {.lex_state = 28, .external_lex_state = 2},
  [13892] = {.lex_state = 28, .external_lex_state = 2},
  [13893] = {.lex_state = 6, .external_lex_state = 2},
  [13894] = {.lex_state = 28, .external_lex_state = 2},
  [13895] = {.lex_state = 28, .external_lex_state = 2},
  [13896] = {.lex_state = 6, .external_lex_state = 2},
  [13897] = {.lex_state = 28, .external_lex_state = 2},
  [13898] = {.lex_state = 28, .external_lex_state = 2},
  [13899] = {.lex_state = 28, .external_lex_state = 2},
  [13900] = {.lex_state = 28, .external_lex_state = 2},
  [13901] = {.lex_state = 28, .external_lex_state = 2},
  [13902] = {.lex_state = 28, .external_lex_state = 2},
  [13903] = {.lex_state = 28, .external_lex_state = 2},
  [13904] = {.lex_state = 28, .external_lex_state = 2},
  [13905] = {.lex_state = 28, .external_lex_state = 2},
  [13906] = {.lex_state = 28, .external_lex_state = 2},
  [13907] = {.lex_state = 17, .external_lex_state = 2},
  [13908] = {.lex_state = 28, .external_lex_state = 2},
  [13909] = {.lex_state = 28, .external_lex_state = 2},
  [13910] = {.lex_state = 6, .external_lex_state = 2},
  [13911] = {.lex_state = 28, .external_lex_state = 2},
  [13912] = {.lex_state = 28, .external_lex_state = 2},
  [13913] = {.lex_state = 28, .external_lex_state = 2},
  [13914] = {.lex_state = 6, .external_lex_state = 2},
  [13915] = {.lex_state = 28, .external_lex_state = 2},
  [13916] = {.lex_state = 6, .external_lex_state = 2},
  [13917] = {.lex_state = 6, .external_lex_state = 2},
  [13918] = {.lex_state = 6, .external_lex_state = 2},
  [13919] = {.lex_state = 6, .external_lex_state = 2},
  [13920] = {.lex_state = 28, .external_lex_state = 2},
  [13921] = {.lex_state = 6, .external_lex_state = 2},
  [13922] = {.lex_state = 6, .external_lex_state = 2},
  [13923] = {.lex_state = 6, .external_lex_state = 2},
  [13924] = {.lex_state = 6, .external_lex_state = 2},
  [13925] = {.lex_state = 6, .external_lex_state = 2},
  [13926] = {.lex_state = 6, .external_lex_state = 2},
  [13927] = {.lex_state = 6, .external_lex_state = 2},
  [13928] = {.lex_state = 28, .external_lex_state = 2},
  [13929] = {.lex_state = 28, .external_lex_state = 2},
  [13930] = {.lex_state = 28, .external_lex_state = 2},
  [13931] = {.lex_state = 28, .external_lex_state = 2},
  [13932] = {.lex_state = 17, .external_lex_state = 2},
  [13933] = {.lex_state = 28, .external_lex_state = 2},
  [13934] = {.lex_state = 28, .external_lex_state = 2},
  [13935] = {.lex_state = 28, .external_lex_state = 2},
  [13936] = {.lex_state = 17, .external_lex_state = 2},
  [13937] = {.lex_state = 6, .external_lex_state = 2},
  [13938] = {.lex_state = 28, .external_lex_state = 2},
  [13939] = {.lex_state = 28, .external_lex_state = 2},
  [13940] = {.lex_state = 28, .external_lex_state = 2},
  [13941] = {.lex_state = 28, .external_lex_state = 2},
  [13942] = {.lex_state = 28, .external_lex_state = 2},
  [13943] = {.lex_state = 28, .external_lex_state = 2},
  [13944] = {.lex_state = 28, .external_lex_state = 2},
  [13945] = {.lex_state = 28, .external_lex_state = 2},
  [13946] = {.lex_state = 28, .external_lex_state = 2},
  [13947] = {.lex_state = 28, .external_lex_state = 2},
  [13948] = {.lex_state = 28, .external_lex_state = 2},
  [13949] = {.lex_state = 28, .external_lex_state = 2},
  [13950] = {.lex_state = 6, .external_lex_state = 2},
  [13951] = {.lex_state = 6, .external_lex_state = 2},
  [13952] = {.lex_state = 28, .external_lex_state = 2},
  [13953] = {.lex_state = 28, .external_lex_state = 2},
  [13954] = {.lex_state = 28, .external_lex_state = 2},
  [13955] = {.lex_state = 28, .external_lex_state = 2},
  [13956] = {.lex_state = 28, .external_lex_state = 2},
  [13957] = {.lex_state = 28, .external_lex_state = 2},
  [13958] = {.lex_state = 28, .external_lex_state = 2},
  [13959] = {.lex_state = 28, .external_lex_state = 2},
  [13960] = {.lex_state = 28, .external_lex_state = 2},
  [13961] = {.lex_state = 28, .external_lex_state = 2},
  [13962] = {.lex_state = 28, .external_lex_state = 2},
  [13963] = {.lex_state = 28, .external_lex_state = 2},
  [13964] = {.lex_state = 28, .external_lex_state = 2},
  [13965] = {.lex_state = 28, .external_lex_state = 2},
  [13966] = {.lex_state = 28, .external_lex_state = 2},
  [13967] = {.lex_state = 28, .external_lex_state = 2},
  [13968] = {.lex_state = 6, .external_lex_state = 2},
  [13969] = {.lex_state = 28, .external_lex_state = 2},
  [13970] = {.lex_state = 425, .external_lex_state = 2},
  [13971] = {.lex_state = 6, .external_lex_state = 2},
  [13972] = {.lex_state = 28, .external_lex_state = 2},
  [13973] = {.lex_state = 28, .external_lex_state = 2},
  [13974] = {.lex_state = 425, .external_lex_state = 2},
  [13975] = {.lex_state = 28, .external_lex_state = 2},
  [13976] = {.lex_state = 28, .external_lex_state = 2},
  [13977] = {.lex_state = 28, .external_lex_state = 2},
  [13978] = {.lex_state = 28, .external_lex_state = 2},
  [13979] = {.lex_state = 28, .external_lex_state = 2},
  [13980] = {.lex_state = 6, .external_lex_state = 2},
  [13981] = {.lex_state = 28, .external_lex_state = 2},
  [13982] = {.lex_state = 28, .external_lex_state = 2},
  [13983] = {.lex_state = 28, .external_lex_state = 2},
  [13984] = {.lex_state = 28, .external_lex_state = 2},
  [13985] = {.lex_state = 28, .external_lex_state = 2},
  [13986] = {.lex_state = 28, .external_lex_state = 2},
  [13987] = {.lex_state = 28, .external_lex_state = 2},
  [13988] = {.lex_state = 28, .external_lex_state = 2},
  [13989] = {.lex_state = 6, .external_lex_state = 2},
  [13990] = {.lex_state = 28, .external_lex_state = 2},
  [13991] = {.lex_state = 28, .external_lex_state = 2},
  [13992] = {.lex_state = 6, .external_lex_state = 2},
  [13993] = {.lex_state = 28, .external_lex_state = 2},
  [13994] = {.lex_state = 28, .external_lex_state = 2},
  [13995] = {.lex_state = 28, .external_lex_state = 2},
  [13996] = {.lex_state = 28, .external_lex_state = 2},
  [13997] = {.lex_state = 6, .external_lex_state = 2},
  [13998] = {.lex_state = 6, .external_lex_state = 2},
  [13999] = {.lex_state = 6, .external_lex_state = 2},
  [14000] = {.lex_state = 6, .external_lex_state = 2},
  [14001] = {.lex_state = 6, .external_lex_state = 2},
  [14002] = {.lex_state = 28, .external_lex_state = 2},
  [14003] = {.lex_state = 28, .external_lex_state = 2},
  [14004] = {.lex_state = 17, .external_lex_state = 2},
  [14005] = {.lex_state = 17, .external_lex_state = 2},
  [14006] = {.lex_state = 6, .external_lex_state = 2},
  [14007] = {.lex_state = 28, .external_lex_state = 2},
  [14008] = {.lex_state = 6, .external_lex_state = 2},
  [14009] = {.lex_state = 28, .external_lex_state = 2},
  [14010] = {.lex_state = 6, .external_lex_state = 2},
  [14011] = {.lex_state = 6, .external_lex_state = 2},
  [14012] = {.lex_state = 28, .external_lex_state = 2},
  [14013] = {.lex_state = 28, .external_lex_state = 2},
  [14014] = {.lex_state = 28, .external_lex_state = 2},
  [14015] = {.lex_state = 28, .external_lex_state = 2},
  [14016] = {.lex_state = 28, .external_lex_state = 2},
  [14017] = {.lex_state = 28, .external_lex_state = 2},
  [14018] = {.lex_state = 28, .external_lex_state = 2},
  [14019] = {.lex_state = 28, .external_lex_state = 2},
  [14020] = {.lex_state = 6, .external_lex_state = 2},
  [14021] = {.lex_state = 6, .external_lex_state = 2},
  [14022] = {.lex_state = 28, .external_lex_state = 2},
  [14023] = {.lex_state = 6, .external_lex_state = 2},
  [14024] = {.lex_state = 6, .external_lex_state = 2},
  [14025] = {.lex_state = 28, .external_lex_state = 2},
  [14026] = {.lex_state = 6, .external_lex_state = 2},
  [14027] = {.lex_state = 28, .external_lex_state = 2},
  [14028] = {.lex_state = 6, .external_lex_state = 2},
  [14029] = {.lex_state = 28, .external_lex_state = 2},
  [14030] = {.lex_state = 28, .external_lex_state = 2},
  [14031] = {.lex_state = 6, .external_lex_state = 2},
  [14032] = {.lex_state = 28, .external_lex_state = 2},
  [14033] = {.lex_state = 28, .external_lex_state = 2},
  [14034] = {.lex_state = 6, .external_lex_state = 2},
  [14035] = {.lex_state = 28, .external_lex_state = 2},
  [14036] = {.lex_state = 28, .external_lex_state = 2},
  [14037] = {.lex_state = 28, .external_lex_state = 2},
  [14038] = {.lex_state = 17, .external_lex_state = 2},
  [14039] = {.lex_state = 17, .external_lex_state = 2},
  [14040] = {.lex_state = 28, .external_lex_state = 2},
  [14041] = {.lex_state = 6, .external_lex_state = 2},
  [14042] = {.lex_state = 28, .external_lex_state = 2},
  [14043] = {.lex_state = 6, .external_lex_state = 2},
  [14044] = {.lex_state = 28, .external_lex_state = 2},
  [14045] = {.lex_state = 28, .external_lex_state = 2},
  [14046] = {.lex_state = 17, .external_lex_state = 2},
  [14047] = {.lex_state = 17, .external_lex_state = 2},
  [14048] = {.lex_state = 28, .external_lex_state = 2},
  [14049] = {.lex_state = 28, .external_lex_state = 2},
  [14050] = {.lex_state = 28, .external_lex_state = 2},
  [14051] = {.lex_state = 28, .external_lex_state = 2},
  [14052] = {.lex_state = 17, .external_lex_state = 2},
  [14053] = {.lex_state = 28, .external_lex_state = 2},
  [14054] = {.lex_state = 28, .external_lex_state = 2},
  [14055] = {.lex_state = 17, .external_lex_state = 2},
  [14056] = {.lex_state = 28, .external_lex_state = 2},
  [14057] = {.lex_state = 28, .external_lex_state = 2},
  [14058] = {.lex_state = 28, .external_lex_state = 2},
  [14059] = {.lex_state = 28, .external_lex_state = 2},
  [14060] = {.lex_state = 28, .external_lex_state = 2},
  [14061] = {.lex_state = 28, .external_lex_state = 2},
  [14062] = {.lex_state = 28, .external_lex_state = 2},
  [14063] = {.lex_state = 28, .external_lex_state = 2},
  [14064] = {.lex_state = 28, .external_lex_state = 2},
  [14065] = {.lex_state = 28, .external_lex_state = 2},
  [14066] = {.lex_state = 28, .external_lex_state = 2},
  [14067] = {.lex_state = 28, .external_lex_state = 2},
  [14068] = {.lex_state = 28, .external_lex_state = 2},
  [14069] = {.lex_state = 28, .external_lex_state = 2},
  [14070] = {.lex_state = 28, .external_lex_state = 2},
  [14071] = {.lex_state = 17, .external_lex_state = 2},
  [14072] = {.lex_state = 28, .external_lex_state = 2},
  [14073] = {.lex_state = 28, .external_lex_state = 2},
  [14074] = {.lex_state = 28, .external_lex_state = 2},
  [14075] = {.lex_state = 28, .external_lex_state = 2},
  [14076] = {.lex_state = 28, .external_lex_state = 2},
  [14077] = {.lex_state = 28, .external_lex_state = 2},
  [14078] = {.lex_state = 28, .external_lex_state = 2},
  [14079] = {.lex_state = 28, .external_lex_state = 2},
  [14080] = {.lex_state = 6, .external_lex_state = 2},
  [14081] = {.lex_state = 425, .external_lex_state = 2},
  [14082] = {.lex_state = 28, .external_lex_state = 2},
  [14083] = {.lex_state = 28, .external_lex_state = 2},
  [14084] = {.lex_state = 28, .external_lex_state = 2},
  [14085] = {.lex_state = 28, .external_lex_state = 2},
  [14086] = {.lex_state = 28, .external_lex_state = 2},
  [14087] = {.lex_state = 28, .external_lex_state = 2},
  [14088] = {.lex_state = 28, .external_lex_state = 2},
  [14089] = {.lex_state = 28, .external_lex_state = 2},
  [14090] = {.lex_state = 28, .external_lex_state = 2},
  [14091] = {.lex_state = 28, .external_lex_state = 2},
  [14092] = {.lex_state = 28, .external_lex_state = 2},
  [14093] = {.lex_state = 28, .external_lex_state = 2},
  [14094] = {.lex_state = 28, .external_lex_state = 2},
  [14095] = {.lex_state = 6, .external_lex_state = 2},
  [14096] = {.lex_state = 6, .external_lex_state = 2},
  [14097] = {.lex_state = 28, .external_lex_state = 2},
  [14098] = {.lex_state = 28, .external_lex_state = 2},
  [14099] = {.lex_state = 6, .external_lex_state = 2},
  [14100] = {.lex_state = 6, .external_lex_state = 2},
  [14101] = {.lex_state = 6, .external_lex_state = 2},
  [14102] = {.lex_state = 6, .external_lex_state = 2},
  [14103] = {.lex_state = 6, .external_lex_state = 2},
  [14104] = {.lex_state = 28, .external_lex_state = 2},
  [14105] = {.lex_state = 6, .external_lex_state = 2},
  [14106] = {.lex_state = 28, .external_lex_state = 2},
  [14107] = {.lex_state = 28, .external_lex_state = 2},
  [14108] = {.lex_state = 28, .external_lex_state = 2},
  [14109] = {.lex_state = 28, .external_lex_state = 2},
  [14110] = {.lex_state = 28, .external_lex_state = 2},
  [14111] = {.lex_state = 28, .external_lex_state = 2},
  [14112] = {.lex_state = 28, .external_lex_state = 2},
  [14113] = {.lex_state = 28, .external_lex_state = 2},
  [14114] = {.lex_state = 28, .external_lex_state = 2},
  [14115] = {.lex_state = 28, .external_lex_state = 2},
  [14116] = {.lex_state = 28, .external_lex_state = 2},
  [14117] = {.lex_state = 6, .external_lex_state = 2},
  [14118] = {.lex_state = 28, .external_lex_state = 2},
  [14119] = {.lex_state = 28, .external_lex_state = 2},
  [14120] = {.lex_state = 28, .external_lex_state = 2},
  [14121] = {.lex_state = 28, .external_lex_state = 2},
  [14122] = {.lex_state = 28, .external_lex_state = 2},
  [14123] = {.lex_state = 28, .external_lex_state = 2},
  [14124] = {.lex_state = 28, .external_lex_state = 2},
  [14125] = {.lex_state = 28, .external_lex_state = 2},
  [14126] = {.lex_state = 6, .external_lex_state = 2},
  [14127] = {.lex_state = 6, .external_lex_state = 2},
  [14128] = {.lex_state = 6, .external_lex_state = 2},
  [14129] = {.lex_state = 6, .external_lex_state = 2},
  [14130] = {.lex_state = 419, .external_lex_state = 2},
  [14131] = {.lex_state = 419, .external_lex_state = 2},
  [14132] = {.lex_state = 6, .external_lex_state = 2},
  [14133] = {.lex_state = 28, .external_lex_state = 2},
  [14134] = {.lex_state = 28, .external_lex_state = 2},
  [14135] = {.lex_state = 28, .external_lex_state = 2},
  [14136] = {.lex_state = 28, .external_lex_state = 2},
  [14137] = {.lex_state = 6, .external_lex_state = 2},
  [14138] = {.lex_state = 6, .external_lex_state = 2},
  [14139] = {.lex_state = 6, .external_lex_state = 2},
  [14140] = {.lex_state = 6, .external_lex_state = 2},
  [14141] = {.lex_state = 6, .external_lex_state = 2},
  [14142] = {.lex_state = 28, .external_lex_state = 2},
  [14143] = {.lex_state = 28, .external_lex_state = 2},
  [14144] = {.lex_state = 28, .external_lex_state = 2},
  [14145] = {.lex_state = 6, .external_lex_state = 2},
  [14146] = {.lex_state = 28, .external_lex_state = 2},
  [14147] = {.lex_state = 12, .external_lex_state = 2},
  [14148] = {.lex_state = 28, .external_lex_state = 2},
  [14149] = {.lex_state = 28, .external_lex_state = 2},
  [14150] = {.lex_state = 28, .external_lex_state = 2},
  [14151] = {.lex_state = 214, .external_lex_state = 2},
  [14152] = {.lex_state = 28, .external_lex_state = 2},
  [14153] = {.lex_state = 28, .external_lex_state = 2},
  [14154] = {.lex_state = 12, .external_lex_state = 2},
  [14155] = {.lex_state = 28, .external_lex_state = 2},
  [14156] = {.lex_state = 28, .external_lex_state = 2},
  [14157] = {.lex_state = 419, .external_lex_state = 2},
  [14158] = {.lex_state = 28, .external_lex_state = 2},
  [14159] = {.lex_state = 419, .external_lex_state = 2},
  [14160] = {.lex_state = 28, .external_lex_state = 2},
  [14161] = {.lex_state = 419, .external_lex_state = 2},
  [14162] = {.lex_state = 214, .external_lex_state = 2},
  [14163] = {.lex_state = 28, .external_lex_state = 2},
  [14164] = {.lex_state = 28, .external_lex_state = 2},
  [14165] = {.lex_state = 28, .external_lex_state = 2},
  [14166] = {.lex_state = 12, .external_lex_state = 2},
  [14167] = {.lex_state = 28, .external_lex_state = 2},
  [14168] = {.lex_state = 28, .external_lex_state = 2},
  [14169] = {.lex_state = 28, .external_lex_state = 2},
  [14170] = {.lex_state = 6, .external_lex_state = 2},
  [14171] = {.lex_state = 28, .external_lex_state = 2},
  [14172] = {.lex_state = 28, .external_lex_state = 2},
  [14173] = {.lex_state = 28, .external_lex_state = 2},
  [14174] = {.lex_state = 28, .external_lex_state = 2},
  [14175] = {.lex_state = 6, .external_lex_state = 2},
  [14176] = {.lex_state = 419, .external_lex_state = 2},
  [14177] = {.lex_state = 419, .external_lex_state = 2},
  [14178] = {.lex_state = 28, .external_lex_state = 2},
  [14179] = {.lex_state = 12, .external_lex_state = 2},
  [14180] = {.lex_state = 28, .external_lex_state = 2},
  [14181] = {.lex_state = 6, .external_lex_state = 2},
  [14182] = {.lex_state = 214, .external_lex_state = 2},
  [14183] = {.lex_state = 6, .external_lex_state = 2},
  [14184] = {.lex_state = 28, .external_lex_state = 2},
  [14185] = {.lex_state = 28, .external_lex_state = 2},
  [14186] = {.lex_state = 28, .external_lex_state = 2},
  [14187] = {.lex_state = 28, .external_lex_state = 2},
  [14188] = {.lex_state = 28, .external_lex_state = 2},
  [14189] = {.lex_state = 28, .external_lex_state = 2},
  [14190] = {.lex_state = 28, .external_lex_state = 2},
  [14191] = {.lex_state = 28, .external_lex_state = 2},
  [14192] = {.lex_state = 28, .external_lex_state = 2},
  [14193] = {.lex_state = 28, .external_lex_state = 2},
  [14194] = {.lex_state = 28, .external_lex_state = 2},
  [14195] = {.lex_state = 419, .external_lex_state = 2},
  [14196] = {.lex_state = 28, .external_lex_state = 2},
  [14197] = {.lex_state = 6, .external_lex_state = 2},
  [14198] = {.lex_state = 419, .external_lex_state = 2},
  [14199] = {.lex_state = 28, .external_lex_state = 2},
  [14200] = {.lex_state = 214, .external_lex_state = 2},
  [14201] = {.lex_state = 28, .external_lex_state = 2},
  [14202] = {.lex_state = 28, .external_lex_state = 2},
  [14203] = {.lex_state = 6, .external_lex_state = 2},
  [14204] = {.lex_state = 28, .external_lex_state = 2},
  [14205] = {.lex_state = 28, .external_lex_state = 2},
  [14206] = {.lex_state = 28, .external_lex_state = 2},
  [14207] = {.lex_state = 28, .external_lex_state = 2},
  [14208] = {.lex_state = 28, .external_lex_state = 2},
  [14209] = {.lex_state = 28, .external_lex_state = 2},
  [14210] = {.lex_state = 6, .external_lex_state = 2},
  [14211] = {.lex_state = 37, .external_lex_state = 2},
  [14212] = {.lex_state = 28, .external_lex_state = 2},
  [14213] = {.lex_state = 6, .external_lex_state = 2},
  [14214] = {.lex_state = 6, .external_lex_state = 2},
  [14215] = {.lex_state = 28, .external_lex_state = 2},
  [14216] = {.lex_state = 28, .external_lex_state = 2},
  [14217] = {.lex_state = 6, .external_lex_state = 2},
  [14218] = {.lex_state = 28, .external_lex_state = 2},
  [14219] = {.lex_state = 28, .external_lex_state = 2},
  [14220] = {.lex_state = 28, .external_lex_state = 2},
  [14221] = {.lex_state = 28, .external_lex_state = 2},
  [14222] = {.lex_state = 28, .external_lex_state = 2},
  [14223] = {.lex_state = 28, .external_lex_state = 2},
  [14224] = {.lex_state = 28, .external_lex_state = 2},
  [14225] = {.lex_state = 28, .external_lex_state = 2},
  [14226] = {.lex_state = 12, .external_lex_state = 2},
  [14227] = {.lex_state = 28, .external_lex_state = 2},
  [14228] = {.lex_state = 6, .external_lex_state = 2},
  [14229] = {.lex_state = 214, .external_lex_state = 2},
  [14230] = {.lex_state = 6, .external_lex_state = 2},
  [14231] = {.lex_state = 6, .external_lex_state = 2},
  [14232] = {.lex_state = 28, .external_lex_state = 2},
  [14233] = {.lex_state = 28, .external_lex_state = 2},
  [14234] = {.lex_state = 18, .external_lex_state = 2},
  [14235] = {.lex_state = 28, .external_lex_state = 2},
  [14236] = {.lex_state = 28, .external_lex_state = 2},
  [14237] = {.lex_state = 28, .external_lex_state = 2},
  [14238] = {.lex_state = 6, .external_lex_state = 2},
  [14239] = {.lex_state = 6, .external_lex_state = 2},
  [14240] = {.lex_state = 28, .external_lex_state = 2},
  [14241] = {.lex_state = 28, .external_lex_state = 2},
  [14242] = {.lex_state = 28, .external_lex_state = 2},
  [14243] = {.lex_state = 6, .external_lex_state = 2},
  [14244] = {.lex_state = 6, .external_lex_state = 2},
  [14245] = {.lex_state = 18, .external_lex_state = 2},
  [14246] = {.lex_state = 28, .external_lex_state = 2},
  [14247] = {.lex_state = 419, .external_lex_state = 2},
  [14248] = {.lex_state = 28, .external_lex_state = 2},
  [14249] = {.lex_state = 419, .external_lex_state = 2},
  [14250] = {.lex_state = 419, .external_lex_state = 2},
  [14251] = {.lex_state = 28, .external_lex_state = 2},
  [14252] = {.lex_state = 419, .external_lex_state = 2},
  [14253] = {.lex_state = 28, .external_lex_state = 2},
  [14254] = {.lex_state = 28, .external_lex_state = 2},
  [14255] = {.lex_state = 28, .external_lex_state = 2},
  [14256] = {.lex_state = 28, .external_lex_state = 2},
  [14257] = {.lex_state = 28, .external_lex_state = 2},
  [14258] = {.lex_state = 28, .external_lex_state = 2},
  [14259] = {.lex_state = 28, .external_lex_state = 2},
  [14260] = {.lex_state = 6, .external_lex_state = 2},
  [14261] = {.lex_state = 28, .external_lex_state = 2},
  [14262] = {.lex_state = 6, .external_lex_state = 2},
  [14263] = {.lex_state = 28, .external_lex_state = 2},
  [14264] = {.lex_state = 28, .external_lex_state = 2},
  [14265] = {.lex_state = 28, .external_lex_state = 2},
  [14266] = {.lex_state = 6, .external_lex_state = 2},
  [14267] = {.lex_state = 28, .external_lex_state = 2},
  [14268] = {.lex_state = 28, .external_lex_state = 2},
  [14269] = {.lex_state = 28, .external_lex_state = 2},
  [14270] = {.lex_state = 18, .external_lex_state = 2},
  [14271] = {.lex_state = 28, .external_lex_state = 2},
  [14272] = {.lex_state = 28, .external_lex_state = 2},
  [14273] = {.lex_state = 419, .external_lex_state = 2},
  [14274] = {.lex_state = 28, .external_lex_state = 2},
  [14275] = {.lex_state = 28, .external_lex_state = 2},
  [14276] = {.lex_state = 28, .external_lex_state = 2},
  [14277] = {.lex_state = 28, .external_lex_state = 2},
  [14278] = {.lex_state = 28, .external_lex_state = 2},
  [14279] = {.lex_state = 28, .external_lex_state = 2},
  [14280] = {.lex_state = 28, .external_lex_state = 2},
  [14281] = {.lex_state = 28, .external_lex_state = 2},
  [14282] = {.lex_state = 28, .external_lex_state = 2},
  [14283] = {.lex_state = 28, .external_lex_state = 2},
  [14284] = {.lex_state = 6, .external_lex_state = 2},
  [14285] = {.lex_state = 6, .external_lex_state = 2},
  [14286] = {.lex_state = 28, .external_lex_state = 2},
  [14287] = {.lex_state = 419, .external_lex_state = 2},
  [14288] = {.lex_state = 37, .external_lex_state = 2},
  [14289] = {.lex_state = 28, .external_lex_state = 2},
  [14290] = {.lex_state = 425, .external_lex_state = 2},
  [14291] = {.lex_state = 6, .external_lex_state = 2},
  [14292] = {.lex_state = 28, .external_lex_state = 2},
  [14293] = {.lex_state = 28, .external_lex_state = 2},
  [14294] = {.lex_state = 425, .external_lex_state = 2},
  [14295] = {.lex_state = 28, .external_lex_state = 2},
  [14296] = {.lex_state = 28, .external_lex_state = 2},
  [14297] = {.lex_state = 8, .external_lex_state = 2},
  [14298] = {.lex_state = 419, .external_lex_state = 2},
  [14299] = {.lex_state = 28, .external_lex_state = 2},
  [14300] = {.lex_state = 6, .external_lex_state = 2},
  [14301] = {.lex_state = 28, .external_lex_state = 2},
  [14302] = {.lex_state = 28, .external_lex_state = 2},
  [14303] = {.lex_state = 28, .external_lex_state = 2},
  [14304] = {.lex_state = 419, .external_lex_state = 2},
  [14305] = {.lex_state = 37, .external_lex_state = 2},
  [14306] = {.lex_state = 28, .external_lex_state = 2},
  [14307] = {.lex_state = 28, .external_lex_state = 2},
  [14308] = {.lex_state = 12, .external_lex_state = 2},
  [14309] = {.lex_state = 28, .external_lex_state = 2},
  [14310] = {.lex_state = 419, .external_lex_state = 2},
  [14311] = {.lex_state = 28, .external_lex_state = 2},
  [14312] = {.lex_state = 28, .external_lex_state = 2},
  [14313] = {.lex_state = 28, .external_lex_state = 2},
  [14314] = {.lex_state = 28, .external_lex_state = 2},
  [14315] = {.lex_state = 28, .external_lex_state = 2},
  [14316] = {.lex_state = 28, .external_lex_state = 2},
  [14317] = {.lex_state = 28, .external_lex_state = 2},
  [14318] = {.lex_state = 419, .external_lex_state = 2},
  [14319] = {.lex_state = 6, .external_lex_state = 2},
  [14320] = {.lex_state = 28, .external_lex_state = 2},
  [14321] = {.lex_state = 28, .external_lex_state = 2},
  [14322] = {.lex_state = 28, .external_lex_state = 2},
  [14323] = {.lex_state = 6, .external_lex_state = 2},
  [14324] = {.lex_state = 28, .external_lex_state = 2},
  [14325] = {.lex_state = 28, .external_lex_state = 2},
  [14326] = {.lex_state = 28, .external_lex_state = 2},
  [14327] = {.lex_state = 419, .external_lex_state = 2},
  [14328] = {.lex_state = 28, .external_lex_state = 2},
  [14329] = {.lex_state = 28, .external_lex_state = 2},
  [14330] = {.lex_state = 6, .external_lex_state = 2},
  [14331] = {.lex_state = 28, .external_lex_state = 2},
  [14332] = {.lex_state = 28, .external_lex_state = 2},
  [14333] = {.lex_state = 28, .external_lex_state = 2},
  [14334] = {.lex_state = 6, .external_lex_state = 2},
  [14335] = {.lex_state = 28, .external_lex_state = 2},
  [14336] = {.lex_state = 28, .external_lex_state = 2},
  [14337] = {.lex_state = 28, .external_lex_state = 2},
  [14338] = {.lex_state = 12, .external_lex_state = 2},
  [14339] = {.lex_state = 28, .external_lex_state = 2},
  [14340] = {.lex_state = 28, .external_lex_state = 2},
  [14341] = {.lex_state = 28, .external_lex_state = 2},
  [14342] = {.lex_state = 28, .external_lex_state = 2},
  [14343] = {.lex_state = 28, .external_lex_state = 2},
  [14344] = {.lex_state = 6, .external_lex_state = 2},
  [14345] = {.lex_state = 6, .external_lex_state = 2},
  [14346] = {.lex_state = 28, .external_lex_state = 2},
  [14347] = {.lex_state = 28, .external_lex_state = 2},
  [14348] = {.lex_state = 28, .external_lex_state = 2},
  [14349] = {.lex_state = 28, .external_lex_state = 2},
  [14350] = {.lex_state = 6, .external_lex_state = 2},
  [14351] = {.lex_state = 28, .external_lex_state = 2},
  [14352] = {.lex_state = 6, .external_lex_state = 2},
  [14353] = {.lex_state = 419, .external_lex_state = 2},
  [14354] = {.lex_state = 28, .external_lex_state = 2},
  [14355] = {.lex_state = 6, .external_lex_state = 2},
  [14356] = {.lex_state = 28, .external_lex_state = 2},
  [14357] = {.lex_state = 28, .external_lex_state = 2},
  [14358] = {.lex_state = 28, .external_lex_state = 2},
  [14359] = {.lex_state = 28, .external_lex_state = 2},
  [14360] = {.lex_state = 28, .external_lex_state = 2},
  [14361] = {.lex_state = 28, .external_lex_state = 2},
  [14362] = {.lex_state = 419, .external_lex_state = 2},
  [14363] = {.lex_state = 205, .external_lex_state = 2},
  [14364] = {.lex_state = 419, .external_lex_state = 2},
  [14365] = {.lex_state = 18, .external_lex_state = 2},
  [14366] = {.lex_state = 18, .external_lex_state = 2},
  [14367] = {.lex_state = 28, .external_lex_state = 2},
  [14368] = {.lex_state = 28, .external_lex_state = 2},
  [14369] = {.lex_state = 28, .external_lex_state = 2},
  [14370] = {.lex_state = 28, .external_lex_state = 2},
  [14371] = {.lex_state = 8, .external_lex_state = 2},
  [14372] = {.lex_state = 28, .external_lex_state = 2},
  [14373] = {.lex_state = 28, .external_lex_state = 2},
  [14374] = {.lex_state = 18, .external_lex_state = 2},
  [14375] = {.lex_state = 11, .external_lex_state = 2},
  [14376] = {.lex_state = 419, .external_lex_state = 2},
  [14377] = {.lex_state = 419, .external_lex_state = 2},
  [14378] = {.lex_state = 8, .external_lex_state = 2},
  [14379] = {.lex_state = 28, .external_lex_state = 2},
  [14380] = {.lex_state = 419, .external_lex_state = 2},
  [14381] = {.lex_state = 28, .external_lex_state = 2},
  [14382] = {.lex_state = 18, .external_lex_state = 2},
  [14383] = {.lex_state = 18, .external_lex_state = 2},
  [14384] = {.lex_state = 6, .external_lex_state = 2},
  [14385] = {.lex_state = 28, .external_lex_state = 2},
  [14386] = {.lex_state = 6, .external_lex_state = 2},
  [14387] = {.lex_state = 28, .external_lex_state = 2},
  [14388] = {.lex_state = 28, .external_lex_state = 2},
  [14389] = {.lex_state = 419, .external_lex_state = 2},
  [14390] = {.lex_state = 28, .external_lex_state = 2},
  [14391] = {.lex_state = 6, .external_lex_state = 2},
  [14392] = {.lex_state = 6, .external_lex_state = 2},
  [14393] = {.lex_state = 419, .external_lex_state = 2},
  [14394] = {.lex_state = 12, .external_lex_state = 2},
  [14395] = {.lex_state = 6, .external_lex_state = 2},
  [14396] = {.lex_state = 419, .external_lex_state = 2},
  [14397] = {.lex_state = 6, .external_lex_state = 2},
  [14398] = {.lex_state = 28, .external_lex_state = 2},
  [14399] = {.lex_state = 8, .external_lex_state = 2},
  [14400] = {.lex_state = 28, .external_lex_state = 2},
  [14401] = {.lex_state = 6, .external_lex_state = 2},
  [14402] = {.lex_state = 28, .external_lex_state = 2},
  [14403] = {.lex_state = 419, .external_lex_state = 2},
  [14404] = {.lex_state = 419, .external_lex_state = 2},
  [14405] = {.lex_state = 419, .external_lex_state = 2},
  [14406] = {.lex_state = 419, .external_lex_state = 2},
  [14407] = {.lex_state = 28, .external_lex_state = 2},
  [14408] = {.lex_state = 419, .external_lex_state = 2},
  [14409] = {.lex_state = 248, .external_lex_state = 8},
  [14410] = {.lex_state = 12, .external_lex_state = 2},
  [14411] = {.lex_state = 6, .external_lex_state = 2},
  [14412] = {.lex_state = 18, .external_lex_state = 2},
  [14413] = {.lex_state = 6, .external_lex_state = 2},
  [14414] = {.lex_state = 28, .external_lex_state = 2},
  [14415] = {.lex_state = 18, .external_lex_state = 2},
  [14416] = {.lex_state = 18, .external_lex_state = 2},
  [14417] = {.lex_state = 6, .external_lex_state = 2},
  [14418] = {.lex_state = 28, .external_lex_state = 2},
  [14419] = {.lex_state = 419, .external_lex_state = 2},
  [14420] = {.lex_state = 18, .external_lex_state = 2},
  [14421] = {.lex_state = 28, .external_lex_state = 2},
  [14422] = {.lex_state = 419, .external_lex_state = 2},
  [14423] = {.lex_state = 6, .external_lex_state = 2},
  [14424] = {.lex_state = 6, .external_lex_state = 2},
  [14425] = {.lex_state = 18, .external_lex_state = 2},
  [14426] = {.lex_state = 18, .external_lex_state = 2},
  [14427] = {.lex_state = 419, .external_lex_state = 2},
  [14428] = {.lex_state = 6, .external_lex_state = 2},
  [14429] = {.lex_state = 28, .external_lex_state = 2},
  [14430] = {.lex_state = 18, .external_lex_state = 2},
  [14431] = {.lex_state = 28, .external_lex_state = 2},
  [14432] = {.lex_state = 18, .external_lex_state = 2},
  [14433] = {.lex_state = 419, .external_lex_state = 2},
  [14434] = {.lex_state = 419, .external_lex_state = 2},
  [14435] = {.lex_state = 28, .external_lex_state = 2},
  [14436] = {.lex_state = 28, .external_lex_state = 2},
  [14437] = {.lex_state = 18, .external_lex_state = 2},
  [14438] = {.lex_state = 18, .external_lex_state = 2},
  [14439] = {.lex_state = 6, .external_lex_state = 2},
  [14440] = {.lex_state = 6, .external_lex_state = 2},
  [14441] = {.lex_state = 28, .external_lex_state = 2},
  [14442] = {.lex_state = 18, .external_lex_state = 2},
  [14443] = {.lex_state = 28, .external_lex_state = 2},
  [14444] = {.lex_state = 419, .external_lex_state = 2},
  [14445] = {.lex_state = 28, .external_lex_state = 2},
  [14446] = {.lex_state = 419, .external_lex_state = 2},
  [14447] = {.lex_state = 18, .external_lex_state = 2},
  [14448] = {.lex_state = 28, .external_lex_state = 2},
  [14449] = {.lex_state = 18, .external_lex_state = 2},
  [14450] = {.lex_state = 6, .external_lex_state = 2},
  [14451] = {.lex_state = 18, .external_lex_state = 2},
  [14452] = {.lex_state = 419, .external_lex_state = 2},
  [14453] = {.lex_state = 419, .external_lex_state = 2},
  [14454] = {.lex_state = 28, .external_lex_state = 2},
  [14455] = {.lex_state = 18, .external_lex_state = 2},
  [14456] = {.lex_state = 11, .external_lex_state = 2},
  [14457] = {.lex_state = 28, .external_lex_state = 2},
  [14458] = {.lex_state = 28, .external_lex_state = 2},
  [14459] = {.lex_state = 6, .external_lex_state = 2},
  [14460] = {.lex_state = 28, .external_lex_state = 2},
  [14461] = {.lex_state = 419, .external_lex_state = 2},
  [14462] = {.lex_state = 28, .external_lex_state = 2},
  [14463] = {.lex_state = 28, .external_lex_state = 2},
  [14464] = {.lex_state = 28, .external_lex_state = 2},
  [14465] = {.lex_state = 419, .external_lex_state = 2},
  [14466] = {.lex_state = 28, .external_lex_state = 2},
  [14467] = {.lex_state = 18, .external_lex_state = 2},
  [14468] = {.lex_state = 6, .external_lex_state = 2},
  [14469] = {.lex_state = 419, .external_lex_state = 2},
  [14470] = {.lex_state = 28, .external_lex_state = 2},
  [14471] = {.lex_state = 419, .external_lex_state = 2},
  [14472] = {.lex_state = 28, .external_lex_state = 2},
  [14473] = {.lex_state = 28, .external_lex_state = 2},
  [14474] = {.lex_state = 18, .external_lex_state = 2},
  [14475] = {.lex_state = 205, .external_lex_state = 2},
  [14476] = {.lex_state = 28, .external_lex_state = 2},
  [14477] = {.lex_state = 28, .external_lex_state = 2},
  [14478] = {.lex_state = 28, .external_lex_state = 2},
  [14479] = {.lex_state = 419, .external_lex_state = 2},
  [14480] = {.lex_state = 28, .external_lex_state = 2},
  [14481] = {.lex_state = 6, .external_lex_state = 2},
  [14482] = {.lex_state = 18, .external_lex_state = 2},
  [14483] = {.lex_state = 28, .external_lex_state = 2},
  [14484] = {.lex_state = 28, .external_lex_state = 2},
  [14485] = {.lex_state = 28, .external_lex_state = 2},
  [14486] = {.lex_state = 28, .external_lex_state = 2},
  [14487] = {.lex_state = 419, .external_lex_state = 2},
  [14488] = {.lex_state = 28, .external_lex_state = 2},
  [14489] = {.lex_state = 18, .external_lex_state = 2},
  [14490] = {.lex_state = 8, .external_lex_state = 2},
  [14491] = {.lex_state = 419, .external_lex_state = 2},
  [14492] = {.lex_state = 419, .external_lex_state = 2},
  [14493] = {.lex_state = 18, .external_lex_state = 2},
  [14494] = {.lex_state = 419, .external_lex_state = 2},
  [14495] = {.lex_state = 28, .external_lex_state = 2},
  [14496] = {.lex_state = 28, .external_lex_state = 2},
  [14497] = {.lex_state = 18, .external_lex_state = 2},
  [14498] = {.lex_state = 28, .external_lex_state = 2},
  [14499] = {.lex_state = 28, .external_lex_state = 2},
  [14500] = {.lex_state = 28, .external_lex_state = 2},
  [14501] = {.lex_state = 419, .external_lex_state = 2},
  [14502] = {.lex_state = 419, .external_lex_state = 2},
  [14503] = {.lex_state = 18, .external_lex_state = 2},
  [14504] = {.lex_state = 18, .external_lex_state = 2},
  [14505] = {.lex_state = 419, .external_lex_state = 2},
  [14506] = {.lex_state = 419, .external_lex_state = 2},
  [14507] = {.lex_state = 419, .external_lex_state = 2},
  [14508] = {.lex_state = 28, .external_lex_state = 2},
  [14509] = {.lex_state = 18, .external_lex_state = 2},
  [14510] = {.lex_state = 8, .external_lex_state = 2},
  [14511] = {.lex_state = 18, .external_lex_state = 2},
  [14512] = {.lex_state = 28, .external_lex_state = 2},
  [14513] = {.lex_state = 6, .external_lex_state = 2},
  [14514] = {.lex_state = 28, .external_lex_state = 2},
  [14515] = {.lex_state = 17, .external_lex_state = 2},
  [14516] = {.lex_state = 18, .external_lex_state = 2},
  [14517] = {.lex_state = 11, .external_lex_state = 2},
  [14518] = {.lex_state = 419, .external_lex_state = 2},
  [14519] = {.lex_state = 419, .external_lex_state = 2},
  [14520] = {.lex_state = 12, .external_lex_state = 2},
  [14521] = {.lex_state = 419, .external_lex_state = 2},
  [14522] = {.lex_state = 28, .external_lex_state = 2},
  [14523] = {.lex_state = 28, .external_lex_state = 2},
  [14524] = {.lex_state = 6, .external_lex_state = 2},
  [14525] = {.lex_state = 28, .external_lex_state = 2},
  [14526] = {.lex_state = 6, .external_lex_state = 2},
  [14527] = {.lex_state = 28, .external_lex_state = 2},
  [14528] = {.lex_state = 419, .external_lex_state = 2},
  [14529] = {.lex_state = 17, .external_lex_state = 2},
  [14530] = {.lex_state = 8, .external_lex_state = 2},
  [14531] = {.lex_state = 28, .external_lex_state = 2},
  [14532] = {.lex_state = 6, .external_lex_state = 2},
  [14533] = {.lex_state = 28, .external_lex_state = 2},
  [14534] = {.lex_state = 28, .external_lex_state = 2},
  [14535] = {.lex_state = 18, .external_lex_state = 2},
  [14536] = {.lex_state = 18, .external_lex_state = 2},
  [14537] = {.lex_state = 419, .external_lex_state = 2},
  [14538] = {.lex_state = 419, .external_lex_state = 2},
  [14539] = {.lex_state = 419, .external_lex_state = 2},
  [14540] = {.lex_state = 419, .external_lex_state = 2},
  [14541] = {.lex_state = 28, .external_lex_state = 2},
  [14542] = {.lex_state = 28, .external_lex_state = 2},
  [14543] = {.lex_state = 28, .external_lex_state = 2},
  [14544] = {.lex_state = 28, .external_lex_state = 2},
  [14545] = {.lex_state = 6, .external_lex_state = 2},
  [14546] = {.lex_state = 419, .external_lex_state = 2},
  [14547] = {.lex_state = 18, .external_lex_state = 2},
  [14548] = {.lex_state = 18, .external_lex_state = 2},
  [14549] = {.lex_state = 17, .external_lex_state = 2},
  [14550] = {.lex_state = 28, .external_lex_state = 2},
  [14551] = {.lex_state = 419, .external_lex_state = 2},
  [14552] = {.lex_state = 8, .external_lex_state = 2},
  [14553] = {.lex_state = 18, .external_lex_state = 2},
  [14554] = {.lex_state = 28, .external_lex_state = 2},
  [14555] = {.lex_state = 28, .external_lex_state = 2},
  [14556] = {.lex_state = 28, .external_lex_state = 2},
  [14557] = {.lex_state = 28, .external_lex_state = 2},
  [14558] = {.lex_state = 419, .external_lex_state = 2},
  [14559] = {.lex_state = 18, .external_lex_state = 2},
  [14560] = {.lex_state = 6, .external_lex_state = 2},
  [14561] = {.lex_state = 419, .external_lex_state = 2},
  [14562] = {.lex_state = 28, .external_lex_state = 2},
  [14563] = {.lex_state = 28, .external_lex_state = 2},
  [14564] = {.lex_state = 28, .external_lex_state = 2},
  [14565] = {.lex_state = 18, .external_lex_state = 2},
  [14566] = {.lex_state = 18, .external_lex_state = 2},
  [14567] = {.lex_state = 11, .external_lex_state = 2},
  [14568] = {.lex_state = 419, .external_lex_state = 2},
  [14569] = {.lex_state = 6, .external_lex_state = 2},
  [14570] = {.lex_state = 18, .external_lex_state = 2},
  [14571] = {.lex_state = 6, .external_lex_state = 2},
  [14572] = {.lex_state = 6, .external_lex_state = 2},
  [14573] = {.lex_state = 419, .external_lex_state = 2},
  [14574] = {.lex_state = 28, .external_lex_state = 2},
  [14575] = {.lex_state = 6, .external_lex_state = 2},
  [14576] = {.lex_state = 28, .external_lex_state = 2},
  [14577] = {.lex_state = 18, .external_lex_state = 2},
  [14578] = {.lex_state = 419, .external_lex_state = 2},
  [14579] = {.lex_state = 419, .external_lex_state = 2},
  [14580] = {.lex_state = 28, .external_lex_state = 2},
  [14581] = {.lex_state = 419, .external_lex_state = 2},
  [14582] = {.lex_state = 28, .external_lex_state = 2},
  [14583] = {.lex_state = 28, .external_lex_state = 2},
  [14584] = {.lex_state = 28, .external_lex_state = 2},
  [14585] = {.lex_state = 419, .external_lex_state = 2},
  [14586] = {.lex_state = 28, .external_lex_state = 2},
  [14587] = {.lex_state = 419, .external_lex_state = 2},
  [14588] = {.lex_state = 6, .external_lex_state = 2},
  [14589] = {.lex_state = 28, .external_lex_state = 2},
  [14590] = {.lex_state = 6, .external_lex_state = 2},
  [14591] = {.lex_state = 11, .external_lex_state = 2},
  [14592] = {.lex_state = 18, .external_lex_state = 2},
  [14593] = {.lex_state = 419, .external_lex_state = 2},
  [14594] = {.lex_state = 419, .external_lex_state = 2},
  [14595] = {.lex_state = 419, .external_lex_state = 2},
  [14596] = {.lex_state = 6, .external_lex_state = 2},
  [14597] = {.lex_state = 6, .external_lex_state = 2},
  [14598] = {.lex_state = 28, .external_lex_state = 2},
  [14599] = {.lex_state = 18, .external_lex_state = 2},
  [14600] = {.lex_state = 28, .external_lex_state = 2},
  [14601] = {.lex_state = 28, .external_lex_state = 2},
  [14602] = {.lex_state = 28, .external_lex_state = 2},
  [14603] = {.lex_state = 28, .external_lex_state = 2},
  [14604] = {.lex_state = 18, .external_lex_state = 2},
  [14605] = {.lex_state = 28, .external_lex_state = 2},
  [14606] = {.lex_state = 419, .external_lex_state = 2},
  [14607] = {.lex_state = 28, .external_lex_state = 2},
  [14608] = {.lex_state = 28, .external_lex_state = 2},
  [14609] = {.lex_state = 248, .external_lex_state = 8},
  [14610] = {.lex_state = 11, .external_lex_state = 2},
  [14611] = {.lex_state = 28, .external_lex_state = 2},
  [14612] = {.lex_state = 17, .external_lex_state = 2},
  [14613] = {.lex_state = 419, .external_lex_state = 2},
  [14614] = {.lex_state = 28, .external_lex_state = 2},
  [14615] = {.lex_state = 28, .external_lex_state = 2},
  [14616] = {.lex_state = 12, .external_lex_state = 2},
  [14617] = {.lex_state = 6, .external_lex_state = 2},
  [14618] = {.lex_state = 28, .external_lex_state = 2},
  [14619] = {.lex_state = 6, .external_lex_state = 2},
  [14620] = {.lex_state = 6, .external_lex_state = 2},
  [14621] = {.lex_state = 28, .external_lex_state = 2},
  [14622] = {.lex_state = 6, .external_lex_state = 2},
  [14623] = {.lex_state = 419, .external_lex_state = 2},
  [14624] = {.lex_state = 6, .external_lex_state = 2},
  [14625] = {.lex_state = 419, .external_lex_state = 2},
  [14626] = {.lex_state = 28, .external_lex_state = 2},
  [14627] = {.lex_state = 11, .external_lex_state = 2},
  [14628] = {.lex_state = 28, .external_lex_state = 2},
  [14629] = {.lex_state = 28, .external_lex_state = 2},
  [14630] = {.lex_state = 6, .external_lex_state = 2},
  [14631] = {.lex_state = 28, .external_lex_state = 2},
  [14632] = {.lex_state = 8, .external_lex_state = 2},
  [14633] = {.lex_state = 28, .external_lex_state = 2},
  [14634] = {.lex_state = 28, .external_lex_state = 2},
  [14635] = {.lex_state = 18, .external_lex_state = 2},
  [14636] = {.lex_state = 11, .external_lex_state = 2},
  [14637] = {.lex_state = 18, .external_lex_state = 2},
  [14638] = {.lex_state = 28, .external_lex_state = 2},
  [14639] = {.lex_state = 419, .external_lex_state = 2},
  [14640] = {.lex_state = 6, .external_lex_state = 2},
  [14641] = {.lex_state = 6, .external_lex_state = 2},
  [14642] = {.lex_state = 28, .external_lex_state = 2},
  [14643] = {.lex_state = 11, .external_lex_state = 2},
  [14644] = {.lex_state = 28, .external_lex_state = 2},
  [14645] = {.lex_state = 6, .external_lex_state = 2},
  [14646] = {.lex_state = 12, .external_lex_state = 2},
  [14647] = {.lex_state = 419, .external_lex_state = 2},
  [14648] = {.lex_state = 419, .external_lex_state = 2},
  [14649] = {.lex_state = 419, .external_lex_state = 2},
  [14650] = {.lex_state = 419, .external_lex_state = 2},
  [14651] = {.lex_state = 18, .external_lex_state = 2},
  [14652] = {.lex_state = 18, .external_lex_state = 2},
  [14653] = {.lex_state = 11, .external_lex_state = 2},
  [14654] = {.lex_state = 419, .external_lex_state = 2},
  [14655] = {.lex_state = 28, .external_lex_state = 2},
  [14656] = {.lex_state = 28, .external_lex_state = 2},
  [14657] = {.lex_state = 419, .external_lex_state = 2},
  [14658] = {.lex_state = 18, .external_lex_state = 2},
  [14659] = {.lex_state = 28, .external_lex_state = 2},
  [14660] = {.lex_state = 11, .external_lex_state = 2},
  [14661] = {.lex_state = 28, .external_lex_state = 2},
  [14662] = {.lex_state = 419, .external_lex_state = 2},
  [14663] = {.lex_state = 419, .external_lex_state = 2},
  [14664] = {.lex_state = 419, .external_lex_state = 2},
  [14665] = {.lex_state = 419, .external_lex_state = 2},
  [14666] = {.lex_state = 419, .external_lex_state = 2},
  [14667] = {.lex_state = 28, .external_lex_state = 2},
  [14668] = {.lex_state = 7, .external_lex_state = 2},
  [14669] = {.lex_state = 11, .external_lex_state = 2},
  [14670] = {.lex_state = 18, .external_lex_state = 2},
  [14671] = {.lex_state = 28, .external_lex_state = 2},
  [14672] = {.lex_state = 28, .external_lex_state = 2},
  [14673] = {.lex_state = 6, .external_lex_state = 2},
  [14674] = {.lex_state = 28, .external_lex_state = 2},
  [14675] = {.lex_state = 28, .external_lex_state = 2},
  [14676] = {.lex_state = 28, .external_lex_state = 2},
  [14677] = {.lex_state = 11, .external_lex_state = 2},
  [14678] = {.lex_state = 17, .external_lex_state = 2},
  [14679] = {.lex_state = 419, .external_lex_state = 2},
  [14680] = {.lex_state = 18, .external_lex_state = 2},
  [14681] = {.lex_state = 28, .external_lex_state = 2},
  [14682] = {.lex_state = 6, .external_lex_state = 2},
  [14683] = {.lex_state = 419, .external_lex_state = 2},
  [14684] = {.lex_state = 18, .external_lex_state = 2},
  [14685] = {.lex_state = 11, .external_lex_state = 2},
  [14686] = {.lex_state = 419, .external_lex_state = 2},
  [14687] = {.lex_state = 28, .external_lex_state = 2},
  [14688] = {.lex_state = 419, .external_lex_state = 2},
  [14689] = {.lex_state = 28, .external_lex_state = 2},
  [14690] = {.lex_state = 18, .external_lex_state = 2},
  [14691] = {.lex_state = 6, .external_lex_state = 2},
  [14692] = {.lex_state = 28, .external_lex_state = 2},
  [14693] = {.lex_state = 11, .external_lex_state = 2},
  [14694] = {.lex_state = 28, .external_lex_state = 2},
  [14695] = {.lex_state = 419, .external_lex_state = 2},
  [14696] = {.lex_state = 28, .external_lex_state = 2},
  [14697] = {.lex_state = 28, .external_lex_state = 2},
  [14698] = {.lex_state = 18, .external_lex_state = 2},
  [14699] = {.lex_state = 6, .external_lex_state = 2},
  [14700] = {.lex_state = 419, .external_lex_state = 2},
  [14701] = {.lex_state = 11, .external_lex_state = 2},
  [14702] = {.lex_state = 28, .external_lex_state = 2},
  [14703] = {.lex_state = 6, .external_lex_state = 2},
  [14704] = {.lex_state = 419, .external_lex_state = 2},
  [14705] = {.lex_state = 419, .external_lex_state = 2},
  [14706] = {.lex_state = 18, .external_lex_state = 2},
  [14707] = {.lex_state = 18, .external_lex_state = 2},
  [14708] = {.lex_state = 28, .external_lex_state = 2},
  [14709] = {.lex_state = 11, .external_lex_state = 2},
  [14710] = {.lex_state = 8, .external_lex_state = 2},
  [14711] = {.lex_state = 28, .external_lex_state = 2},
  [14712] = {.lex_state = 419, .external_lex_state = 2},
  [14713] = {.lex_state = 419, .external_lex_state = 2},
  [14714] = {.lex_state = 28, .external_lex_state = 2},
  [14715] = {.lex_state = 419, .external_lex_state = 2},
  [14716] = {.lex_state = 419, .external_lex_state = 2},
  [14717] = {.lex_state = 11, .external_lex_state = 2},
  [14718] = {.lex_state = 28, .external_lex_state = 2},
  [14719] = {.lex_state = 18, .external_lex_state = 2},
  [14720] = {.lex_state = 18, .external_lex_state = 2},
  [14721] = {.lex_state = 6, .external_lex_state = 2},
  [14722] = {.lex_state = 28, .external_lex_state = 2},
  [14723] = {.lex_state = 18, .external_lex_state = 2},
  [14724] = {.lex_state = 419, .external_lex_state = 2},
  [14725] = {.lex_state = 11, .external_lex_state = 2},
  [14726] = {.lex_state = 419, .external_lex_state = 2},
  [14727] = {.lex_state = 28, .external_lex_state = 2},
  [14728] = {.lex_state = 18, .external_lex_state = 2},
  [14729] = {.lex_state = 419, .external_lex_state = 2},
  [14730] = {.lex_state = 28, .external_lex_state = 2},
  [14731] = {.lex_state = 11, .external_lex_state = 2},
  [14732] = {.lex_state = 18, .external_lex_state = 2},
  [14733] = {.lex_state = 6, .external_lex_state = 2},
  [14734] = {.lex_state = 419, .external_lex_state = 2},
  [14735] = {.lex_state = 28, .external_lex_state = 2},
  [14736] = {.lex_state = 11, .external_lex_state = 2},
  [14737] = {.lex_state = 28, .external_lex_state = 2},
  [14738] = {.lex_state = 28, .external_lex_state = 2},
  [14739] = {.lex_state = 28, .external_lex_state = 2},
  [14740] = {.lex_state = 28, .external_lex_state = 2},
  [14741] = {.lex_state = 419, .external_lex_state = 2},
  [14742] = {.lex_state = 11, .external_lex_state = 2},
  [14743] = {.lex_state = 28, .external_lex_state = 2},
  [14744] = {.lex_state = 18, .external_lex_state = 2},
  [14745] = {.lex_state = 28, .external_lex_state = 2},
  [14746] = {.lex_state = 419, .external_lex_state = 2},
  [14747] = {.lex_state = 419, .external_lex_state = 2},
  [14748] = {.lex_state = 6, .external_lex_state = 2},
  [14749] = {.lex_state = 419, .external_lex_state = 2},
  [14750] = {.lex_state = 11, .external_lex_state = 2},
  [14751] = {.lex_state = 17, .external_lex_state = 2},
  [14752] = {.lex_state = 28, .external_lex_state = 2},
  [14753] = {.lex_state = 28, .external_lex_state = 2},
  [14754] = {.lex_state = 28, .external_lex_state = 2},
  [14755] = {.lex_state = 28, .external_lex_state = 2},
  [14756] = {.lex_state = 11, .external_lex_state = 2},
  [14757] = {.lex_state = 28, .external_lex_state = 2},
  [14758] = {.lex_state = 6, .external_lex_state = 2},
  [14759] = {.lex_state = 419, .external_lex_state = 2},
  [14760] = {.lex_state = 18, .external_lex_state = 2},
  [14761] = {.lex_state = 11, .external_lex_state = 2},
  [14762] = {.lex_state = 6, .external_lex_state = 2},
  [14763] = {.lex_state = 28, .external_lex_state = 2},
  [14764] = {.lex_state = 11, .external_lex_state = 2},
  [14765] = {.lex_state = 28, .external_lex_state = 2},
  [14766] = {.lex_state = 6, .external_lex_state = 2},
  [14767] = {.lex_state = 11, .external_lex_state = 2},
  [14768] = {.lex_state = 28, .external_lex_state = 2},
  [14769] = {.lex_state = 419, .external_lex_state = 2},
  [14770] = {.lex_state = 18, .external_lex_state = 2},
  [14771] = {.lex_state = 28, .external_lex_state = 2},
  [14772] = {.lex_state = 18, .external_lex_state = 2},
  [14773] = {.lex_state = 11, .external_lex_state = 2},
  [14774] = {.lex_state = 18, .external_lex_state = 2},
  [14775] = {.lex_state = 18, .external_lex_state = 2},
  [14776] = {.lex_state = 11, .external_lex_state = 2},
  [14777] = {.lex_state = 28, .external_lex_state = 2},
  [14778] = {.lex_state = 8, .external_lex_state = 2},
  [14779] = {.lex_state = 6, .external_lex_state = 2},
  [14780] = {.lex_state = 28, .external_lex_state = 2},
  [14781] = {.lex_state = 28, .external_lex_state = 2},
  [14782] = {.lex_state = 11, .external_lex_state = 2},
  [14783] = {.lex_state = 28, .external_lex_state = 2},
  [14784] = {.lex_state = 419, .external_lex_state = 2},
  [14785] = {.lex_state = 28, .external_lex_state = 2},
  [14786] = {.lex_state = 419, .external_lex_state = 2},
  [14787] = {.lex_state = 28, .external_lex_state = 2},
  [14788] = {.lex_state = 11, .external_lex_state = 2},
  [14789] = {.lex_state = 28, .external_lex_state = 2},
  [14790] = {.lex_state = 419, .external_lex_state = 2},
  [14791] = {.lex_state = 6, .external_lex_state = 2},
  [14792] = {.lex_state = 11, .external_lex_state = 2},
  [14793] = {.lex_state = 28, .external_lex_state = 2},
  [14794] = {.lex_state = 6, .external_lex_state = 2},
  [14795] = {.lex_state = 419, .external_lex_state = 2},
  [14796] = {.lex_state = 28, .external_lex_state = 2},
  [14797] = {.lex_state = 419, .external_lex_state = 2},
  [14798] = {.lex_state = 419, .external_lex_state = 2},
  [14799] = {.lex_state = 11, .external_lex_state = 2},
  [14800] = {.lex_state = 419, .external_lex_state = 2},
  [14801] = {.lex_state = 28, .external_lex_state = 2},
  [14802] = {.lex_state = 419, .external_lex_state = 2},
  [14803] = {.lex_state = 28, .external_lex_state = 2},
  [14804] = {.lex_state = 419, .external_lex_state = 2},
  [14805] = {.lex_state = 11, .external_lex_state = 2},
  [14806] = {.lex_state = 419, .external_lex_state = 2},
  [14807] = {.lex_state = 28, .external_lex_state = 2},
  [14808] = {.lex_state = 419, .external_lex_state = 2},
  [14809] = {.lex_state = 18, .external_lex_state = 2},
  [14810] = {.lex_state = 11, .external_lex_state = 2},
  [14811] = {.lex_state = 18, .external_lex_state = 2},
  [14812] = {.lex_state = 28, .external_lex_state = 2},
  [14813] = {.lex_state = 12, .external_lex_state = 2},
  [14814] = {.lex_state = 28, .external_lex_state = 2},
  [14815] = {.lex_state = 11, .external_lex_state = 2},
  [14816] = {.lex_state = 18, .external_lex_state = 2},
  [14817] = {.lex_state = 17, .external_lex_state = 2},
  [14818] = {.lex_state = 28, .external_lex_state = 2},
  [14819] = {.lex_state = 11, .external_lex_state = 2},
  [14820] = {.lex_state = 28, .external_lex_state = 2},
  [14821] = {.lex_state = 12, .external_lex_state = 2},
  [14822] = {.lex_state = 18, .external_lex_state = 2},
  [14823] = {.lex_state = 18, .external_lex_state = 2},
  [14824] = {.lex_state = 419, .external_lex_state = 2},
  [14825] = {.lex_state = 11, .external_lex_state = 2},
  [14826] = {.lex_state = 18, .external_lex_state = 2},
  [14827] = {.lex_state = 28, .external_lex_state = 2},
  [14828] = {.lex_state = 419, .external_lex_state = 2},
  [14829] = {.lex_state = 28, .external_lex_state = 2},
  [14830] = {.lex_state = 419, .external_lex_state = 2},
  [14831] = {.lex_state = 17, .external_lex_state = 2},
  [14832] = {.lex_state = 11, .external_lex_state = 2},
  [14833] = {.lex_state = 28, .external_lex_state = 2},
  [14834] = {.lex_state = 28, .external_lex_state = 2},
  [14835] = {.lex_state = 419, .external_lex_state = 2},
  [14836] = {.lex_state = 419, .external_lex_state = 2},
  [14837] = {.lex_state = 11, .external_lex_state = 2},
  [14838] = {.lex_state = 18, .external_lex_state = 2},
  [14839] = {.lex_state = 419, .external_lex_state = 2},
  [14840] = {.lex_state = 419, .external_lex_state = 2},
  [14841] = {.lex_state = 11, .external_lex_state = 2},
  [14842] = {.lex_state = 28, .external_lex_state = 2},
  [14843] = {.lex_state = 28, .external_lex_state = 2},
  [14844] = {.lex_state = 6, .external_lex_state = 2},
  [14845] = {.lex_state = 419, .external_lex_state = 2},
  [14846] = {.lex_state = 11, .external_lex_state = 2},
  [14847] = {.lex_state = 18, .external_lex_state = 2},
  [14848] = {.lex_state = 18, .external_lex_state = 2},
  [14849] = {.lex_state = 18, .external_lex_state = 2},
  [14850] = {.lex_state = 6, .external_lex_state = 2},
  [14851] = {.lex_state = 6, .external_lex_state = 2},
  [14852] = {.lex_state = 18, .external_lex_state = 2},
  [14853] = {.lex_state = 11, .external_lex_state = 2},
  [14854] = {.lex_state = 28, .external_lex_state = 2},
  [14855] = {.lex_state = 6, .external_lex_state = 2},
  [14856] = {.lex_state = 18, .external_lex_state = 2},
  [14857] = {.lex_state = 28, .external_lex_state = 2},
  [14858] = {.lex_state = 6, .external_lex_state = 2},
  [14859] = {.lex_state = 11, .external_lex_state = 2},
  [14860] = {.lex_state = 419, .external_lex_state = 2},
  [14861] = {.lex_state = 28, .external_lex_state = 2},
  [14862] = {.lex_state = 6, .external_lex_state = 2},
  [14863] = {.lex_state = 28, .external_lex_state = 2},
  [14864] = {.lex_state = 419, .external_lex_state = 2},
  [14865] = {.lex_state = 28, .external_lex_state = 2},
  [14866] = {.lex_state = 18, .external_lex_state = 2},
  [14867] = {.lex_state = 419, .external_lex_state = 2},
  [14868] = {.lex_state = 28, .external_lex_state = 2},
  [14869] = {.lex_state = 419, .external_lex_state = 2},
  [14870] = {.lex_state = 28, .external_lex_state = 2},
  [14871] = {.lex_state = 18, .external_lex_state = 2},
  [14872] = {.lex_state = 18, .external_lex_state = 2},
  [14873] = {.lex_state = 28, .external_lex_state = 2},
  [14874] = {.lex_state = 28, .external_lex_state = 2},
  [14875] = {.lex_state = 419, .external_lex_state = 2},
  [14876] = {.lex_state = 419, .external_lex_state = 2},
  [14877] = {.lex_state = 425, .external_lex_state = 2},
  [14878] = {.lex_state = 248, .external_lex_state = 8},
  [14879] = {.lex_state = 419, .external_lex_state = 2},
  [14880] = {.lex_state = 419, .external_lex_state = 2},
  [14881] = {.lex_state = 28, .external_lex_state = 2},
  [14882] = {.lex_state = 6, .external_lex_state = 2},
  [14883] = {.lex_state = 419, .external_lex_state = 2},
  [14884] = {.lex_state = 18, .external_lex_state = 2},
  [14885] = {.lex_state = 6, .external_lex_state = 2},
  [14886] = {.lex_state = 28, .external_lex_state = 2},
  [14887] = {.lex_state = 6, .external_lex_state = 2},
  [14888] = {.lex_state = 18, .external_lex_state = 2},
  [14889] = {.lex_state = 6, .external_lex_state = 2},
  [14890] = {.lex_state = 419, .external_lex_state = 2},
  [14891] = {.lex_state = 18, .external_lex_state = 2},
  [14892] = {.lex_state = 18, .external_lex_state = 2},
  [14893] = {.lex_state = 18, .external_lex_state = 2},
  [14894] = {.lex_state = 18, .external_lex_state = 2},
  [14895] = {.lex_state = 18, .external_lex_state = 2},
  [14896] = {.lex_state = 419, .external_lex_state = 2},
  [14897] = {.lex_state = 28, .external_lex_state = 2},
  [14898] = {.lex_state = 419, .external_lex_state = 2},
  [14899] = {.lex_state = 419, .external_lex_state = 2},
  [14900] = {.lex_state = 18, .external_lex_state = 2},
  [14901] = {.lex_state = 28, .external_lex_state = 2},
  [14902] = {.lex_state = 419, .external_lex_state = 2},
  [14903] = {.lex_state = 18, .external_lex_state = 2},
  [14904] = {.lex_state = 6, .external_lex_state = 2},
  [14905] = {.lex_state = 18, .external_lex_state = 2},
  [14906] = {.lex_state = 28, .external_lex_state = 2},
  [14907] = {.lex_state = 6, .external_lex_state = 2},
  [14908] = {.lex_state = 419, .external_lex_state = 2},
  [14909] = {.lex_state = 18, .external_lex_state = 2},
  [14910] = {.lex_state = 419, .external_lex_state = 2},
  [14911] = {.lex_state = 28, .external_lex_state = 2},
  [14912] = {.lex_state = 419, .external_lex_state = 2},
  [14913] = {.lex_state = 18, .external_lex_state = 2},
  [14914] = {.lex_state = 28, .external_lex_state = 2},
  [14915] = {.lex_state = 8, .external_lex_state = 2},
  [14916] = {.lex_state = 419, .external_lex_state = 2},
  [14917] = {.lex_state = 18, .external_lex_state = 2},
  [14918] = {.lex_state = 419, .external_lex_state = 2},
  [14919] = {.lex_state = 28, .external_lex_state = 2},
  [14920] = {.lex_state = 6, .external_lex_state = 2},
  [14921] = {.lex_state = 18, .external_lex_state = 2},
  [14922] = {.lex_state = 419, .external_lex_state = 2},
  [14923] = {.lex_state = 17, .external_lex_state = 2},
  [14924] = {.lex_state = 28, .external_lex_state = 2},
  [14925] = {.lex_state = 419, .external_lex_state = 2},
  [14926] = {.lex_state = 28, .external_lex_state = 2},
  [14927] = {.lex_state = 28, .external_lex_state = 2},
  [14928] = {.lex_state = 6, .external_lex_state = 2},
  [14929] = {.lex_state = 28, .external_lex_state = 2},
  [14930] = {.lex_state = 6, .external_lex_state = 2},
  [14931] = {.lex_state = 419, .external_lex_state = 2},
  [14932] = {.lex_state = 6, .external_lex_state = 2},
  [14933] = {.lex_state = 28, .external_lex_state = 2},
  [14934] = {.lex_state = 28, .external_lex_state = 2},
  [14935] = {.lex_state = 6, .external_lex_state = 2},
  [14936] = {.lex_state = 28, .external_lex_state = 2},
  [14937] = {.lex_state = 28, .external_lex_state = 2},
  [14938] = {.lex_state = 28, .external_lex_state = 2},
  [14939] = {.lex_state = 28, .external_lex_state = 2},
  [14940] = {.lex_state = 18, .external_lex_state = 2},
  [14941] = {.lex_state = 18, .external_lex_state = 2},
  [14942] = {.lex_state = 28, .external_lex_state = 2},
  [14943] = {.lex_state = 28, .external_lex_state = 2},
  [14944] = {.lex_state = 28, .external_lex_state = 2},
  [14945] = {.lex_state = 28, .external_lex_state = 2},
  [14946] = {.lex_state = 419, .external_lex_state = 2},
  [14947] = {.lex_state = 419, .external_lex_state = 2},
  [14948] = {.lex_state = 419, .external_lex_state = 2},
  [14949] = {.lex_state = 18, .external_lex_state = 2},
  [14950] = {.lex_state = 419, .external_lex_state = 2},
  [14951] = {.lex_state = 419, .external_lex_state = 2},
  [14952] = {.lex_state = 419, .external_lex_state = 2},
  [14953] = {.lex_state = 419, .external_lex_state = 2},
  [14954] = {.lex_state = 28, .external_lex_state = 2},
  [14955] = {.lex_state = 6, .external_lex_state = 2},
  [14956] = {.lex_state = 18, .external_lex_state = 2},
  [14957] = {.lex_state = 28, .external_lex_state = 2},
  [14958] = {.lex_state = 419, .external_lex_state = 2},
  [14959] = {.lex_state = 419, .external_lex_state = 2},
  [14960] = {.lex_state = 6, .external_lex_state = 2},
  [14961] = {.lex_state = 28, .external_lex_state = 2},
  [14962] = {.lex_state = 28, .external_lex_state = 2},
  [14963] = {.lex_state = 28, .external_lex_state = 2},
  [14964] = {.lex_state = 18, .external_lex_state = 2},
  [14965] = {.lex_state = 419, .external_lex_state = 2},
  [14966] = {.lex_state = 6, .external_lex_state = 2},
  [14967] = {.lex_state = 6, .external_lex_state = 2},
  [14968] = {.lex_state = 18, .external_lex_state = 2},
  [14969] = {.lex_state = 28, .external_lex_state = 2},
  [14970] = {.lex_state = 28, .external_lex_state = 2},
  [14971] = {.lex_state = 6, .external_lex_state = 2},
  [14972] = {.lex_state = 419, .external_lex_state = 2},
  [14973] = {.lex_state = 419, .external_lex_state = 2},
  [14974] = {.lex_state = 419, .external_lex_state = 2},
  [14975] = {.lex_state = 28, .external_lex_state = 2},
  [14976] = {.lex_state = 419, .external_lex_state = 2},
  [14977] = {.lex_state = 28, .external_lex_state = 2},
  [14978] = {.lex_state = 28, .external_lex_state = 2},
  [14979] = {.lex_state = 18, .external_lex_state = 2},
  [14980] = {.lex_state = 6, .external_lex_state = 2},
  [14981] = {.lex_state = 17, .external_lex_state = 2},
  [14982] = {.lex_state = 6, .external_lex_state = 2},
  [14983] = {.lex_state = 18, .external_lex_state = 2},
  [14984] = {.lex_state = 28, .external_lex_state = 2},
  [14985] = {.lex_state = 28, .external_lex_state = 2},
  [14986] = {.lex_state = 28, .external_lex_state = 2},
  [14987] = {.lex_state = 28, .external_lex_state = 2},
  [14988] = {.lex_state = 419, .external_lex_state = 2},
  [14989] = {.lex_state = 6, .external_lex_state = 2},
  [14990] = {.lex_state = 28, .external_lex_state = 2},
  [14991] = {.lex_state = 419, .external_lex_state = 2},
  [14992] = {.lex_state = 6, .external_lex_state = 2},
  [14993] = {.lex_state = 28, .external_lex_state = 2},
  [14994] = {.lex_state = 18, .external_lex_state = 2},
  [14995] = {.lex_state = 419, .external_lex_state = 2},
  [14996] = {.lex_state = 28, .external_lex_state = 2},
  [14997] = {.lex_state = 28, .external_lex_state = 2},
  [14998] = {.lex_state = 18, .external_lex_state = 2},
  [14999] = {.lex_state = 28, .external_lex_state = 2},
  [15000] = {.lex_state = 28, .external_lex_state = 2},
  [15001] = {.lex_state = 419, .external_lex_state = 2},
  [15002] = {.lex_state = 419, .external_lex_state = 2},
  [15003] = {.lex_state = 6, .external_lex_state = 2},
  [15004] = {.lex_state = 28, .external_lex_state = 2},
  [15005] = {.lex_state = 28, .external_lex_state = 2},
  [15006] = {.lex_state = 18, .external_lex_state = 2},
  [15007] = {.lex_state = 18, .external_lex_state = 2},
  [15008] = {.lex_state = 18, .external_lex_state = 2},
  [15009] = {.lex_state = 419, .external_lex_state = 2},
  [15010] = {.lex_state = 28, .external_lex_state = 2},
  [15011] = {.lex_state = 28, .external_lex_state = 2},
  [15012] = {.lex_state = 419, .external_lex_state = 2},
  [15013] = {.lex_state = 28, .external_lex_state = 2},
  [15014] = {.lex_state = 6, .external_lex_state = 2},
  [15015] = {.lex_state = 28, .external_lex_state = 2},
  [15016] = {.lex_state = 28, .external_lex_state = 2},
  [15017] = {.lex_state = 28, .external_lex_state = 2},
  [15018] = {.lex_state = 28, .external_lex_state = 2},
  [15019] = {.lex_state = 28, .external_lex_state = 2},
  [15020] = {.lex_state = 28, .external_lex_state = 2},
  [15021] = {.lex_state = 28, .external_lex_state = 2},
  [15022] = {.lex_state = 6, .external_lex_state = 2},
  [15023] = {.lex_state = 6, .external_lex_state = 2},
  [15024] = {.lex_state = 8, .external_lex_state = 2},
  [15025] = {.lex_state = 28, .external_lex_state = 2},
  [15026] = {.lex_state = 28, .external_lex_state = 2},
  [15027] = {.lex_state = 28, .external_lex_state = 2},
  [15028] = {.lex_state = 18, .external_lex_state = 2},
  [15029] = {.lex_state = 136, .external_lex_state = 2},
  [15030] = {.lex_state = 419, .external_lex_state = 2},
  [15031] = {.lex_state = 37, .external_lex_state = 2},
  [15032] = {.lex_state = 136, .external_lex_state = 2},
  [15033] = {.lex_state = 243, .external_lex_state = 2},
  [15034] = {.lex_state = 28, .external_lex_state = 2},
  [15035] = {.lex_state = 136, .external_lex_state = 2},
  [15036] = {.lex_state = 18, .external_lex_state = 2},
  [15037] = {.lex_state = 136, .external_lex_state = 2},
  [15038] = {.lex_state = 243, .external_lex_state = 2},
  [15039] = {.lex_state = 136, .external_lex_state = 2},
  [15040] = {.lex_state = 36, .external_lex_state = 2},
  [15041] = {.lex_state = 18, .external_lex_state = 2},
  [15042] = {.lex_state = 135, .external_lex_state = 2},
  [15043] = {.lex_state = 136, .external_lex_state = 2},
  [15044] = {.lex_state = 419, .external_lex_state = 2},
  [15045] = {.lex_state = 136, .external_lex_state = 2},
  [15046] = {.lex_state = 136, .external_lex_state = 2},
  [15047] = {.lex_state = 136, .external_lex_state = 2},
  [15048] = {.lex_state = 135, .external_lex_state = 2},
  [15049] = {.lex_state = 136, .external_lex_state = 2},
  [15050] = {.lex_state = 37, .external_lex_state = 2},
  [15051] = {.lex_state = 28, .external_lex_state = 2},
  [15052] = {.lex_state = 419, .external_lex_state = 2},
  [15053] = {.lex_state = 136, .external_lex_state = 2},
  [15054] = {.lex_state = 136, .external_lex_state = 2},
  [15055] = {.lex_state = 243, .external_lex_state = 2},
  [15056] = {.lex_state = 28, .external_lex_state = 2},
  [15057] = {.lex_state = 136, .external_lex_state = 2},
  [15058] = {.lex_state = 28, .external_lex_state = 2},
  [15059] = {.lex_state = 425, .external_lex_state = 2},
  [15060] = {.lex_state = 419, .external_lex_state = 2},
  [15061] = {.lex_state = 18, .external_lex_state = 2},
  [15062] = {.lex_state = 18, .external_lex_state = 2},
  [15063] = {.lex_state = 136, .external_lex_state = 2},
  [15064] = {.lex_state = 136, .external_lex_state = 2},
  [15065] = {.lex_state = 136, .external_lex_state = 2},
  [15066] = {.lex_state = 28, .external_lex_state = 2},
  [15067] = {.lex_state = 136, .external_lex_state = 2},
  [15068] = {.lex_state = 135, .external_lex_state = 2},
  [15069] = {.lex_state = 136, .external_lex_state = 2},
  [15070] = {.lex_state = 136, .external_lex_state = 2},
  [15071] = {.lex_state = 136, .external_lex_state = 2},
  [15072] = {.lex_state = 136, .external_lex_state = 2},
  [15073] = {.lex_state = 136, .external_lex_state = 2},
  [15074] = {.lex_state = 135, .external_lex_state = 2},
  [15075] = {.lex_state = 136, .external_lex_state = 2},
  [15076] = {.lex_state = 28, .external_lex_state = 2},
  [15077] = {.lex_state = 136, .external_lex_state = 2},
  [15078] = {.lex_state = 136, .external_lex_state = 2},
  [15079] = {.lex_state = 243, .external_lex_state = 2},
  [15080] = {.lex_state = 28, .external_lex_state = 2},
  [15081] = {.lex_state = 136, .external_lex_state = 2},
  [15082] = {.lex_state = 18, .external_lex_state = 2},
  [15083] = {.lex_state = 37, .external_lex_state = 2},
  [15084] = {.lex_state = 136, .external_lex_state = 2},
  [15085] = {.lex_state = 18, .external_lex_state = 2},
  [15086] = {.lex_state = 136, .external_lex_state = 2},
  [15087] = {.lex_state = 135, .external_lex_state = 2},
  [15088] = {.lex_state = 135, .external_lex_state = 2},
  [15089] = {.lex_state = 37, .external_lex_state = 2},
  [15090] = {.lex_state = 37, .external_lex_state = 2},
  [15091] = {.lex_state = 136, .external_lex_state = 2},
  [15092] = {.lex_state = 136, .external_lex_state = 2},
  [15093] = {.lex_state = 136, .external_lex_state = 2},
  [15094] = {.lex_state = 28, .external_lex_state = 2},
  [15095] = {.lex_state = 136, .external_lex_state = 2},
  [15096] = {.lex_state = 425, .external_lex_state = 2},
  [15097] = {.lex_state = 136, .external_lex_state = 2},
  [15098] = {.lex_state = 18, .external_lex_state = 2},
  [15099] = {.lex_state = 18, .external_lex_state = 2},
  [15100] = {.lex_state = 135, .external_lex_state = 2},
  [15101] = {.lex_state = 136, .external_lex_state = 2},
  [15102] = {.lex_state = 37, .external_lex_state = 2},
  [15103] = {.lex_state = 28, .external_lex_state = 2},
  [15104] = {.lex_state = 136, .external_lex_state = 2},
  [15105] = {.lex_state = 136, .external_lex_state = 2},
  [15106] = {.lex_state = 136, .external_lex_state = 2},
  [15107] = {.lex_state = 28, .external_lex_state = 2},
  [15108] = {.lex_state = 243, .external_lex_state = 2},
  [15109] = {.lex_state = 28, .external_lex_state = 2},
  [15110] = {.lex_state = 136, .external_lex_state = 2},
  [15111] = {.lex_state = 136, .external_lex_state = 2},
  [15112] = {.lex_state = 243, .external_lex_state = 2},
  [15113] = {.lex_state = 28, .external_lex_state = 2},
  [15114] = {.lex_state = 425, .external_lex_state = 2},
  [15115] = {.lex_state = 135, .external_lex_state = 2},
  [15116] = {.lex_state = 18, .external_lex_state = 2},
  [15117] = {.lex_state = 18, .external_lex_state = 2},
  [15118] = {.lex_state = 12, .external_lex_state = 2},
  [15119] = {.lex_state = 136, .external_lex_state = 2},
  [15120] = {.lex_state = 28, .external_lex_state = 2},
  [15121] = {.lex_state = 136, .external_lex_state = 2},
  [15122] = {.lex_state = 28, .external_lex_state = 2},
  [15123] = {.lex_state = 136, .external_lex_state = 2},
  [15124] = {.lex_state = 136, .external_lex_state = 2},
  [15125] = {.lex_state = 136, .external_lex_state = 2},
  [15126] = {.lex_state = 18, .external_lex_state = 2},
  [15127] = {.lex_state = 135, .external_lex_state = 2},
  [15128] = {.lex_state = 425, .external_lex_state = 2},
  [15129] = {.lex_state = 18, .external_lex_state = 2},
  [15130] = {.lex_state = 18, .external_lex_state = 2},
  [15131] = {.lex_state = 136, .external_lex_state = 2},
  [15132] = {.lex_state = 28, .external_lex_state = 2},
  [15133] = {.lex_state = 37, .external_lex_state = 2},
  [15134] = {.lex_state = 136, .external_lex_state = 2},
  [15135] = {.lex_state = 19, .external_lex_state = 2},
  [15136] = {.lex_state = 243, .external_lex_state = 2},
  [15137] = {.lex_state = 28, .external_lex_state = 2},
  [15138] = {.lex_state = 136, .external_lex_state = 2},
  [15139] = {.lex_state = 136, .external_lex_state = 2},
  [15140] = {.lex_state = 12, .external_lex_state = 2},
  [15141] = {.lex_state = 12, .external_lex_state = 2},
  [15142] = {.lex_state = 243, .external_lex_state = 2},
  [15143] = {.lex_state = 419, .external_lex_state = 2},
  [15144] = {.lex_state = 136, .external_lex_state = 2},
  [15145] = {.lex_state = 136, .external_lex_state = 2},
  [15146] = {.lex_state = 136, .external_lex_state = 2},
  [15147] = {.lex_state = 243, .external_lex_state = 2},
  [15148] = {.lex_state = 136, .external_lex_state = 2},
  [15149] = {.lex_state = 136, .external_lex_state = 2},
  [15150] = {.lex_state = 135, .external_lex_state = 2},
  [15151] = {.lex_state = 425, .external_lex_state = 2},
  [15152] = {.lex_state = 136, .external_lex_state = 2},
  [15153] = {.lex_state = 28, .external_lex_state = 2},
  [15154] = {.lex_state = 136, .external_lex_state = 2},
  [15155] = {.lex_state = 419, .external_lex_state = 2},
  [15156] = {.lex_state = 136, .external_lex_state = 2},
  [15157] = {.lex_state = 243, .external_lex_state = 2},
  [15158] = {.lex_state = 28, .external_lex_state = 2},
  [15159] = {.lex_state = 136, .external_lex_state = 2},
  [15160] = {.lex_state = 136, .external_lex_state = 2},
  [15161] = {.lex_state = 136, .external_lex_state = 2},
  [15162] = {.lex_state = 136, .external_lex_state = 2},
  [15163] = {.lex_state = 136, .external_lex_state = 2},
  [15164] = {.lex_state = 136, .external_lex_state = 2},
  [15165] = {.lex_state = 18, .external_lex_state = 2},
  [15166] = {.lex_state = 136, .external_lex_state = 2},
  [15167] = {.lex_state = 136, .external_lex_state = 2},
  [15168] = {.lex_state = 37, .external_lex_state = 2},
  [15169] = {.lex_state = 136, .external_lex_state = 2},
  [15170] = {.lex_state = 135, .external_lex_state = 2},
  [15171] = {.lex_state = 136, .external_lex_state = 2},
  [15172] = {.lex_state = 28, .external_lex_state = 2},
  [15173] = {.lex_state = 135, .external_lex_state = 2},
  [15174] = {.lex_state = 28, .external_lex_state = 2},
  [15175] = {.lex_state = 28, .external_lex_state = 2},
  [15176] = {.lex_state = 136, .external_lex_state = 2},
  [15177] = {.lex_state = 425, .external_lex_state = 2},
  [15178] = {.lex_state = 136, .external_lex_state = 2},
  [15179] = {.lex_state = 243, .external_lex_state = 2},
  [15180] = {.lex_state = 28, .external_lex_state = 2},
  [15181] = {.lex_state = 136, .external_lex_state = 2},
  [15182] = {.lex_state = 18, .external_lex_state = 2},
  [15183] = {.lex_state = 18, .external_lex_state = 2},
  [15184] = {.lex_state = 28, .external_lex_state = 2},
  [15185] = {.lex_state = 425, .external_lex_state = 2},
  [15186] = {.lex_state = 18, .external_lex_state = 2},
  [15187] = {.lex_state = 18, .external_lex_state = 2},
  [15188] = {.lex_state = 419, .external_lex_state = 2},
  [15189] = {.lex_state = 136, .external_lex_state = 2},
  [15190] = {.lex_state = 37, .external_lex_state = 2},
  [15191] = {.lex_state = 136, .external_lex_state = 2},
  [15192] = {.lex_state = 136, .external_lex_state = 2},
  [15193] = {.lex_state = 136, .external_lex_state = 2},
  [15194] = {.lex_state = 243, .external_lex_state = 2},
  [15195] = {.lex_state = 136, .external_lex_state = 2},
  [15196] = {.lex_state = 136, .external_lex_state = 2},
  [15197] = {.lex_state = 28, .external_lex_state = 2},
  [15198] = {.lex_state = 425, .external_lex_state = 2},
  [15199] = {.lex_state = 135, .external_lex_state = 2},
  [15200] = {.lex_state = 419, .external_lex_state = 2},
  [15201] = {.lex_state = 18, .external_lex_state = 2},
  [15202] = {.lex_state = 136, .external_lex_state = 2},
  [15203] = {.lex_state = 18, .external_lex_state = 2},
  [15204] = {.lex_state = 28, .external_lex_state = 2},
  [15205] = {.lex_state = 28, .external_lex_state = 2},
  [15206] = {.lex_state = 136, .external_lex_state = 2},
  [15207] = {.lex_state = 28, .external_lex_state = 2},
  [15208] = {.lex_state = 136, .external_lex_state = 2},
  [15209] = {.lex_state = 136, .external_lex_state = 2},
  [15210] = {.lex_state = 243, .external_lex_state = 2},
  [15211] = {.lex_state = 28, .external_lex_state = 2},
  [15212] = {.lex_state = 419, .external_lex_state = 2},
  [15213] = {.lex_state = 136, .external_lex_state = 2},
  [15214] = {.lex_state = 18, .external_lex_state = 2},
  [15215] = {.lex_state = 18, .external_lex_state = 2},
  [15216] = {.lex_state = 136, .external_lex_state = 2},
  [15217] = {.lex_state = 18, .external_lex_state = 2},
  [15218] = {.lex_state = 28, .external_lex_state = 2},
  [15219] = {.lex_state = 136, .external_lex_state = 2},
  [15220] = {.lex_state = 243, .external_lex_state = 2},
  [15221] = {.lex_state = 18, .external_lex_state = 2},
  [15222] = {.lex_state = 37, .external_lex_state = 2},
  [15223] = {.lex_state = 136, .external_lex_state = 2},
  [15224] = {.lex_state = 136, .external_lex_state = 2},
  [15225] = {.lex_state = 419, .external_lex_state = 2},
  [15226] = {.lex_state = 18, .external_lex_state = 2},
  [15227] = {.lex_state = 419, .external_lex_state = 2},
  [15228] = {.lex_state = 136, .external_lex_state = 2},
  [15229] = {.lex_state = 419, .external_lex_state = 2},
  [15230] = {.lex_state = 419, .external_lex_state = 2},
  [15231] = {.lex_state = 136, .external_lex_state = 2},
  [15232] = {.lex_state = 136, .external_lex_state = 2},
  [15233] = {.lex_state = 136, .external_lex_state = 2},
  [15234] = {.lex_state = 18, .external_lex_state = 2},
  [15235] = {.lex_state = 136, .external_lex_state = 2},
  [15236] = {.lex_state = 37, .external_lex_state = 2},
  [15237] = {.lex_state = 136, .external_lex_state = 2},
  [15238] = {.lex_state = 18, .external_lex_state = 2},
  [15239] = {.lex_state = 419, .external_lex_state = 2},
  [15240] = {.lex_state = 28, .external_lex_state = 2},
  [15241] = {.lex_state = 135, .external_lex_state = 2},
  [15242] = {.lex_state = 28, .external_lex_state = 2},
  [15243] = {.lex_state = 37, .external_lex_state = 2},
  [15244] = {.lex_state = 248, .external_lex_state = 8},
  [15245] = {.lex_state = 419, .external_lex_state = 2},
  [15246] = {.lex_state = 136, .external_lex_state = 2},
  [15247] = {.lex_state = 136, .external_lex_state = 2},
  [15248] = {.lex_state = 28, .external_lex_state = 2},
  [15249] = {.lex_state = 425, .external_lex_state = 2},
  [15250] = {.lex_state = 18, .external_lex_state = 2},
  [15251] = {.lex_state = 18, .external_lex_state = 2},
  [15252] = {.lex_state = 37, .external_lex_state = 2},
  [15253] = {.lex_state = 136, .external_lex_state = 2},
  [15254] = {.lex_state = 135, .external_lex_state = 2},
  [15255] = {.lex_state = 419, .external_lex_state = 2},
  [15256] = {.lex_state = 135, .external_lex_state = 2},
  [15257] = {.lex_state = 28, .external_lex_state = 2},
  [15258] = {.lex_state = 28, .external_lex_state = 2},
  [15259] = {.lex_state = 419, .external_lex_state = 2},
  [15260] = {.lex_state = 419, .external_lex_state = 2},
  [15261] = {.lex_state = 419, .external_lex_state = 2},
  [15262] = {.lex_state = 243, .external_lex_state = 2},
  [15263] = {.lex_state = 28, .external_lex_state = 2},
  [15264] = {.lex_state = 425, .external_lex_state = 2},
  [15265] = {.lex_state = 18, .external_lex_state = 2},
  [15266] = {.lex_state = 18, .external_lex_state = 2},
  [15267] = {.lex_state = 419, .external_lex_state = 2},
  [15268] = {.lex_state = 136, .external_lex_state = 2},
  [15269] = {.lex_state = 28, .external_lex_state = 2},
  [15270] = {.lex_state = 136, .external_lex_state = 2},
  [15271] = {.lex_state = 28, .external_lex_state = 2},
  [15272] = {.lex_state = 18, .external_lex_state = 2},
  [15273] = {.lex_state = 18, .external_lex_state = 2},
  [15274] = {.lex_state = 419, .external_lex_state = 2},
  [15275] = {.lex_state = 419, .external_lex_state = 2},
  [15276] = {.lex_state = 28, .external_lex_state = 2},
  [15277] = {.lex_state = 136, .external_lex_state = 2},
  [15278] = {.lex_state = 136, .external_lex_state = 2},
  [15279] = {.lex_state = 136, .external_lex_state = 2},
  [15280] = {.lex_state = 419, .external_lex_state = 2},
  [15281] = {.lex_state = 135, .external_lex_state = 2},
  [15282] = {.lex_state = 419, .external_lex_state = 2},
  [15283] = {.lex_state = 18, .external_lex_state = 2},
  [15284] = {.lex_state = 28, .external_lex_state = 2},
  [15285] = {.lex_state = 18, .external_lex_state = 2},
  [15286] = {.lex_state = 419, .external_lex_state = 2},
  [15287] = {.lex_state = 135, .external_lex_state = 2},
  [15288] = {.lex_state = 425, .external_lex_state = 2},
  [15289] = {.lex_state = 135, .external_lex_state = 2},
  [15290] = {.lex_state = 28, .external_lex_state = 2},
  [15291] = {.lex_state = 18, .external_lex_state = 2},
  [15292] = {.lex_state = 18, .external_lex_state = 2},
  [15293] = {.lex_state = 419, .external_lex_state = 2},
  [15294] = {.lex_state = 136, .external_lex_state = 2},
  [15295] = {.lex_state = 37, .external_lex_state = 2},
  [15296] = {.lex_state = 28, .external_lex_state = 2},
  [15297] = {.lex_state = 419, .external_lex_state = 2},
  [15298] = {.lex_state = 136, .external_lex_state = 2},
  [15299] = {.lex_state = 37, .external_lex_state = 2},
  [15300] = {.lex_state = 12, .external_lex_state = 2},
  [15301] = {.lex_state = 28, .external_lex_state = 2},
  [15302] = {.lex_state = 425, .external_lex_state = 2},
  [15303] = {.lex_state = 136, .external_lex_state = 2},
  [15304] = {.lex_state = 243, .external_lex_state = 2},
  [15305] = {.lex_state = 136, .external_lex_state = 2},
  [15306] = {.lex_state = 419, .external_lex_state = 2},
  [15307] = {.lex_state = 136, .external_lex_state = 2},
  [15308] = {.lex_state = 419, .external_lex_state = 2},
  [15309] = {.lex_state = 18, .external_lex_state = 2},
  [15310] = {.lex_state = 37, .external_lex_state = 2},
  [15311] = {.lex_state = 136, .external_lex_state = 2},
  [15312] = {.lex_state = 28, .external_lex_state = 2},
  [15313] = {.lex_state = 135, .external_lex_state = 2},
  [15314] = {.lex_state = 425, .external_lex_state = 2},
  [15315] = {.lex_state = 18, .external_lex_state = 2},
  [15316] = {.lex_state = 18, .external_lex_state = 2},
  [15317] = {.lex_state = 18, .external_lex_state = 2},
  [15318] = {.lex_state = 136, .external_lex_state = 2},
  [15319] = {.lex_state = 419, .external_lex_state = 2},
  [15320] = {.lex_state = 28, .external_lex_state = 2},
  [15321] = {.lex_state = 18, .external_lex_state = 2},
  [15322] = {.lex_state = 425, .external_lex_state = 2},
  [15323] = {.lex_state = 18, .external_lex_state = 2},
  [15324] = {.lex_state = 18, .external_lex_state = 2},
  [15325] = {.lex_state = 28, .external_lex_state = 2},
  [15326] = {.lex_state = 136, .external_lex_state = 2},
  [15327] = {.lex_state = 37, .external_lex_state = 2},
  [15328] = {.lex_state = 136, .external_lex_state = 2},
  [15329] = {.lex_state = 419, .external_lex_state = 2},
  [15330] = {.lex_state = 243, .external_lex_state = 2},
  [15331] = {.lex_state = 28, .external_lex_state = 2},
  [15332] = {.lex_state = 425, .external_lex_state = 2},
  [15333] = {.lex_state = 18, .external_lex_state = 2},
  [15334] = {.lex_state = 18, .external_lex_state = 2},
  [15335] = {.lex_state = 28, .external_lex_state = 2},
  [15336] = {.lex_state = 17, .external_lex_state = 2},
  [15337] = {.lex_state = 136, .external_lex_state = 2},
  [15338] = {.lex_state = 18, .external_lex_state = 2},
  [15339] = {.lex_state = 18, .external_lex_state = 2},
  [15340] = {.lex_state = 136, .external_lex_state = 2},
  [15341] = {.lex_state = 136, .external_lex_state = 2},
  [15342] = {.lex_state = 419, .external_lex_state = 2},
  [15343] = {.lex_state = 136, .external_lex_state = 2},
  [15344] = {.lex_state = 135, .external_lex_state = 2},
  [15345] = {.lex_state = 18, .external_lex_state = 2},
  [15346] = {.lex_state = 28, .external_lex_state = 2},
  [15347] = {.lex_state = 136, .external_lex_state = 2},
  [15348] = {.lex_state = 136, .external_lex_state = 2},
  [15349] = {.lex_state = 136, .external_lex_state = 2},
  [15350] = {.lex_state = 136, .external_lex_state = 2},
  [15351] = {.lex_state = 419, .external_lex_state = 2},
  [15352] = {.lex_state = 135, .external_lex_state = 2},
  [15353] = {.lex_state = 248, .external_lex_state = 8},
  [15354] = {.lex_state = 419, .external_lex_state = 2},
  [15355] = {.lex_state = 136, .external_lex_state = 2},
  [15356] = {.lex_state = 28, .external_lex_state = 2},
  [15357] = {.lex_state = 28, .external_lex_state = 2},
  [15358] = {.lex_state = 425, .external_lex_state = 2},
  [15359] = {.lex_state = 136, .external_lex_state = 2},
  [15360] = {.lex_state = 18, .external_lex_state = 2},
  [15361] = {.lex_state = 18, .external_lex_state = 2},
  [15362] = {.lex_state = 136, .external_lex_state = 2},
  [15363] = {.lex_state = 37, .external_lex_state = 2},
  [15364] = {.lex_state = 18, .external_lex_state = 2},
  [15365] = {.lex_state = 37, .external_lex_state = 2},
  [15366] = {.lex_state = 136, .external_lex_state = 2},
  [15367] = {.lex_state = 136, .external_lex_state = 2},
  [15368] = {.lex_state = 135, .external_lex_state = 2},
  [15369] = {.lex_state = 28, .external_lex_state = 2},
  [15370] = {.lex_state = 136, .external_lex_state = 2},
  [15371] = {.lex_state = 136, .external_lex_state = 2},
  [15372] = {.lex_state = 28, .external_lex_state = 2},
  [15373] = {.lex_state = 28, .external_lex_state = 2},
  [15374] = {.lex_state = 425, .external_lex_state = 2},
  [15375] = {.lex_state = 28, .external_lex_state = 2},
  [15376] = {.lex_state = 18, .external_lex_state = 2},
  [15377] = {.lex_state = 18, .external_lex_state = 2},
  [15378] = {.lex_state = 248, .external_lex_state = 8},
  [15379] = {.lex_state = 419, .external_lex_state = 2},
  [15380] = {.lex_state = 37, .external_lex_state = 2},
  [15381] = {.lex_state = 136, .external_lex_state = 2},
  [15382] = {.lex_state = 28, .external_lex_state = 2},
  [15383] = {.lex_state = 7, .external_lex_state = 2},
  [15384] = {.lex_state = 243, .external_lex_state = 2},
  [15385] = {.lex_state = 28, .external_lex_state = 2},
  [15386] = {.lex_state = 28, .external_lex_state = 2},
  [15387] = {.lex_state = 419, .external_lex_state = 2},
  [15388] = {.lex_state = 419, .external_lex_state = 2},
  [15389] = {.lex_state = 425, .external_lex_state = 2},
  [15390] = {.lex_state = 18, .external_lex_state = 2},
  [15391] = {.lex_state = 18, .external_lex_state = 2},
  [15392] = {.lex_state = 243, .external_lex_state = 2},
  [15393] = {.lex_state = 28, .external_lex_state = 2},
  [15394] = {.lex_state = 136, .external_lex_state = 2},
  [15395] = {.lex_state = 18, .external_lex_state = 2},
  [15396] = {.lex_state = 419, .external_lex_state = 2},
  [15397] = {.lex_state = 18, .external_lex_state = 2},
  [15398] = {.lex_state = 28, .external_lex_state = 2},
  [15399] = {.lex_state = 419, .external_lex_state = 2},
  [15400] = {.lex_state = 419, .external_lex_state = 2},
  [15401] = {.lex_state = 18, .external_lex_state = 2},
  [15402] = {.lex_state = 419, .external_lex_state = 2},
  [15403] = {.lex_state = 28, .external_lex_state = 2},
  [15404] = {.lex_state = 419, .external_lex_state = 2},
  [15405] = {.lex_state = 136, .external_lex_state = 2},
  [15406] = {.lex_state = 18, .external_lex_state = 2},
  [15407] = {.lex_state = 28, .external_lex_state = 2},
  [15408] = {.lex_state = 419, .external_lex_state = 2},
  [15409] = {.lex_state = 28, .external_lex_state = 2},
  [15410] = {.lex_state = 28, .external_lex_state = 2},
  [15411] = {.lex_state = 136, .external_lex_state = 2},
  [15412] = {.lex_state = 136, .external_lex_state = 2},
  [15413] = {.lex_state = 419, .external_lex_state = 2},
  [15414] = {.lex_state = 136, .external_lex_state = 2},
  [15415] = {.lex_state = 28, .external_lex_state = 2},
  [15416] = {.lex_state = 136, .external_lex_state = 2},
  [15417] = {.lex_state = 136, .external_lex_state = 2},
  [15418] = {.lex_state = 136, .external_lex_state = 2},
  [15419] = {.lex_state = 136, .external_lex_state = 2},
  [15420] = {.lex_state = 419, .external_lex_state = 2},
  [15421] = {.lex_state = 136, .external_lex_state = 2},
  [15422] = {.lex_state = 28, .external_lex_state = 2},
  [15423] = {.lex_state = 18, .external_lex_state = 2},
  [15424] = {.lex_state = 28, .external_lex_state = 2},
  [15425] = {.lex_state = 37, .external_lex_state = 2},
  [15426] = {.lex_state = 136, .external_lex_state = 2},
  [15427] = {.lex_state = 28, .external_lex_state = 2},
  [15428] = {.lex_state = 135, .external_lex_state = 2},
  [15429] = {.lex_state = 248, .external_lex_state = 8},
  [15430] = {.lex_state = 419, .external_lex_state = 2},
  [15431] = {.lex_state = 136, .external_lex_state = 2},
  [15432] = {.lex_state = 18, .external_lex_state = 2},
  [15433] = {.lex_state = 28, .external_lex_state = 2},
  [15434] = {.lex_state = 425, .external_lex_state = 2},
  [15435] = {.lex_state = 18, .external_lex_state = 2},
  [15436] = {.lex_state = 28, .external_lex_state = 2},
  [15437] = {.lex_state = 18, .external_lex_state = 2},
  [15438] = {.lex_state = 18, .external_lex_state = 2},
  [15439] = {.lex_state = 419, .external_lex_state = 2},
  [15440] = {.lex_state = 419, .external_lex_state = 2},
  [15441] = {.lex_state = 136, .external_lex_state = 2},
  [15442] = {.lex_state = 37, .external_lex_state = 2},
  [15443] = {.lex_state = 136, .external_lex_state = 2},
  [15444] = {.lex_state = 18, .external_lex_state = 2},
  [15445] = {.lex_state = 243, .external_lex_state = 2},
  [15446] = {.lex_state = 18, .external_lex_state = 2},
  [15447] = {.lex_state = 419, .external_lex_state = 2},
  [15448] = {.lex_state = 28, .external_lex_state = 2},
  [15449] = {.lex_state = 425, .external_lex_state = 2},
  [15450] = {.lex_state = 37, .external_lex_state = 2},
  [15451] = {.lex_state = 28, .external_lex_state = 2},
  [15452] = {.lex_state = 18, .external_lex_state = 2},
  [15453] = {.lex_state = 18, .external_lex_state = 2},
  [15454] = {.lex_state = 419, .external_lex_state = 2},
  [15455] = {.lex_state = 419, .external_lex_state = 2},
  [15456] = {.lex_state = 136, .external_lex_state = 2},
  [15457] = {.lex_state = 28, .external_lex_state = 2},
  [15458] = {.lex_state = 18, .external_lex_state = 2},
  [15459] = {.lex_state = 419, .external_lex_state = 2},
  [15460] = {.lex_state = 136, .external_lex_state = 2},
  [15461] = {.lex_state = 28, .external_lex_state = 2},
  [15462] = {.lex_state = 419, .external_lex_state = 2},
  [15463] = {.lex_state = 28, .external_lex_state = 2},
  [15464] = {.lex_state = 419, .external_lex_state = 2},
  [15465] = {.lex_state = 18, .external_lex_state = 2},
  [15466] = {.lex_state = 135, .external_lex_state = 2},
  [15467] = {.lex_state = 28, .external_lex_state = 2},
  [15468] = {.lex_state = 425, .external_lex_state = 2},
  [15469] = {.lex_state = 136, .external_lex_state = 2},
  [15470] = {.lex_state = 18, .external_lex_state = 2},
  [15471] = {.lex_state = 28, .external_lex_state = 2},
  [15472] = {.lex_state = 18, .external_lex_state = 2},
  [15473] = {.lex_state = 419, .external_lex_state = 2},
  [15474] = {.lex_state = 28, .external_lex_state = 2},
  [15475] = {.lex_state = 136, .external_lex_state = 2},
  [15476] = {.lex_state = 425, .external_lex_state = 2},
  [15477] = {.lex_state = 18, .external_lex_state = 2},
  [15478] = {.lex_state = 18, .external_lex_state = 2},
  [15479] = {.lex_state = 37, .external_lex_state = 2},
  [15480] = {.lex_state = 136, .external_lex_state = 2},
  [15481] = {.lex_state = 136, .external_lex_state = 2},
  [15482] = {.lex_state = 28, .external_lex_state = 2},
  [15483] = {.lex_state = 136, .external_lex_state = 2},
  [15484] = {.lex_state = 28, .external_lex_state = 2},
  [15485] = {.lex_state = 248, .external_lex_state = 8},
  [15486] = {.lex_state = 243, .external_lex_state = 2},
  [15487] = {.lex_state = 28, .external_lex_state = 2},
  [15488] = {.lex_state = 136, .external_lex_state = 2},
  [15489] = {.lex_state = 18, .external_lex_state = 2},
  [15490] = {.lex_state = 28, .external_lex_state = 2},
  [15491] = {.lex_state = 37, .external_lex_state = 2},
  [15492] = {.lex_state = 136, .external_lex_state = 2},
  [15493] = {.lex_state = 419, .external_lex_state = 2},
  [15494] = {.lex_state = 135, .external_lex_state = 2},
  [15495] = {.lex_state = 28, .external_lex_state = 2},
  [15496] = {.lex_state = 425, .external_lex_state = 2},
  [15497] = {.lex_state = 136, .external_lex_state = 2},
  [15498] = {.lex_state = 18, .external_lex_state = 2},
  [15499] = {.lex_state = 18, .external_lex_state = 2},
  [15500] = {.lex_state = 136, .external_lex_state = 2},
  [15501] = {.lex_state = 18, .external_lex_state = 2},
  [15502] = {.lex_state = 419, .external_lex_state = 2},
  [15503] = {.lex_state = 419, .external_lex_state = 2},
  [15504] = {.lex_state = 243, .external_lex_state = 2},
  [15505] = {.lex_state = 28, .external_lex_state = 2},
  [15506] = {.lex_state = 425, .external_lex_state = 2},
  [15507] = {.lex_state = 18, .external_lex_state = 2},
  [15508] = {.lex_state = 18, .external_lex_state = 2},
  [15509] = {.lex_state = 18, .external_lex_state = 2},
  [15510] = {.lex_state = 419, .external_lex_state = 2},
  [15511] = {.lex_state = 28, .external_lex_state = 2},
  [15512] = {.lex_state = 419, .external_lex_state = 2},
  [15513] = {.lex_state = 37, .external_lex_state = 2},
  [15514] = {.lex_state = 419, .external_lex_state = 2},
  [15515] = {.lex_state = 136, .external_lex_state = 2},
  [15516] = {.lex_state = 136, .external_lex_state = 2},
  [15517] = {.lex_state = 243, .external_lex_state = 2},
  [15518] = {.lex_state = 28, .external_lex_state = 2},
  [15519] = {.lex_state = 425, .external_lex_state = 2},
  [15520] = {.lex_state = 18, .external_lex_state = 2},
  [15521] = {.lex_state = 18, .external_lex_state = 2},
  [15522] = {.lex_state = 28, .external_lex_state = 2},
  [15523] = {.lex_state = 18, .external_lex_state = 2},
  [15524] = {.lex_state = 136, .external_lex_state = 2},
  [15525] = {.lex_state = 18, .external_lex_state = 2},
  [15526] = {.lex_state = 136, .external_lex_state = 2},
  [15527] = {.lex_state = 28, .external_lex_state = 2},
  [15528] = {.lex_state = 248, .external_lex_state = 8},
  [15529] = {.lex_state = 28, .external_lex_state = 2},
  [15530] = {.lex_state = 136, .external_lex_state = 2},
  [15531] = {.lex_state = 419, .external_lex_state = 2},
  [15532] = {.lex_state = 136, .external_lex_state = 2},
  [15533] = {.lex_state = 419, .external_lex_state = 2},
  [15534] = {.lex_state = 419, .external_lex_state = 2},
  [15535] = {.lex_state = 419, .external_lex_state = 2},
  [15536] = {.lex_state = 419, .external_lex_state = 2},
  [15537] = {.lex_state = 136, .external_lex_state = 2},
  [15538] = {.lex_state = 28, .external_lex_state = 2},
  [15539] = {.lex_state = 18, .external_lex_state = 2},
  [15540] = {.lex_state = 136, .external_lex_state = 2},
  [15541] = {.lex_state = 18, .external_lex_state = 2},
  [15542] = {.lex_state = 37, .external_lex_state = 2},
  [15543] = {.lex_state = 136, .external_lex_state = 2},
  [15544] = {.lex_state = 28, .external_lex_state = 2},
  [15545] = {.lex_state = 419, .external_lex_state = 2},
  [15546] = {.lex_state = 248, .external_lex_state = 8},
  [15547] = {.lex_state = 135, .external_lex_state = 2},
  [15548] = {.lex_state = 136, .external_lex_state = 2},
  [15549] = {.lex_state = 136, .external_lex_state = 2},
  [15550] = {.lex_state = 28, .external_lex_state = 2},
  [15551] = {.lex_state = 28, .external_lex_state = 2},
  [15552] = {.lex_state = 28, .external_lex_state = 2},
  [15553] = {.lex_state = 425, .external_lex_state = 2},
  [15554] = {.lex_state = 18, .external_lex_state = 2},
  [15555] = {.lex_state = 18, .external_lex_state = 2},
  [15556] = {.lex_state = 425, .external_lex_state = 2},
  [15557] = {.lex_state = 37, .external_lex_state = 2},
  [15558] = {.lex_state = 136, .external_lex_state = 2},
  [15559] = {.lex_state = 419, .external_lex_state = 2},
  [15560] = {.lex_state = 136, .external_lex_state = 2},
  [15561] = {.lex_state = 419, .external_lex_state = 2},
  [15562] = {.lex_state = 419, .external_lex_state = 2},
  [15563] = {.lex_state = 419, .external_lex_state = 2},
  [15564] = {.lex_state = 243, .external_lex_state = 2},
  [15565] = {.lex_state = 28, .external_lex_state = 2},
  [15566] = {.lex_state = 425, .external_lex_state = 2},
  [15567] = {.lex_state = 18, .external_lex_state = 2},
  [15568] = {.lex_state = 18, .external_lex_state = 2},
  [15569] = {.lex_state = 28, .external_lex_state = 2},
  [15570] = {.lex_state = 28, .external_lex_state = 2},
  [15571] = {.lex_state = 18, .external_lex_state = 2},
  [15572] = {.lex_state = 248, .external_lex_state = 8},
  [15573] = {.lex_state = 136, .external_lex_state = 2},
  [15574] = {.lex_state = 18, .external_lex_state = 2},
  [15575] = {.lex_state = 18, .external_lex_state = 2},
  [15576] = {.lex_state = 28, .external_lex_state = 2},
  [15577] = {.lex_state = 136, .external_lex_state = 2},
  [15578] = {.lex_state = 419, .external_lex_state = 2},
  [15579] = {.lex_state = 419, .external_lex_state = 2},
  [15580] = {.lex_state = 18, .external_lex_state = 2},
  [15581] = {.lex_state = 419, .external_lex_state = 2},
  [15582] = {.lex_state = 419, .external_lex_state = 2},
  [15583] = {.lex_state = 28, .external_lex_state = 2},
  [15584] = {.lex_state = 37, .external_lex_state = 2},
  [15585] = {.lex_state = 136, .external_lex_state = 2},
  [15586] = {.lex_state = 248, .external_lex_state = 8},
  [15587] = {.lex_state = 136, .external_lex_state = 2},
  [15588] = {.lex_state = 19, .external_lex_state = 2},
  [15589] = {.lex_state = 136, .external_lex_state = 2},
  [15590] = {.lex_state = 136, .external_lex_state = 2},
  [15591] = {.lex_state = 28, .external_lex_state = 2},
  [15592] = {.lex_state = 11, .external_lex_state = 2},
  [15593] = {.lex_state = 136, .external_lex_state = 2},
  [15594] = {.lex_state = 135, .external_lex_state = 2},
  [15595] = {.lex_state = 419, .external_lex_state = 2},
  [15596] = {.lex_state = 419, .external_lex_state = 2},
  [15597] = {.lex_state = 419, .external_lex_state = 2},
  [15598] = {.lex_state = 419, .external_lex_state = 2},
  [15599] = {.lex_state = 18, .external_lex_state = 2},
  [15600] = {.lex_state = 136, .external_lex_state = 2},
  [15601] = {.lex_state = 136, .external_lex_state = 2},
  [15602] = {.lex_state = 18, .external_lex_state = 2},
  [15603] = {.lex_state = 136, .external_lex_state = 2},
  [15604] = {.lex_state = 37, .external_lex_state = 2},
  [15605] = {.lex_state = 28, .external_lex_state = 2},
  [15606] = {.lex_state = 136, .external_lex_state = 2},
  [15607] = {.lex_state = 135, .external_lex_state = 2},
  [15608] = {.lex_state = 248, .external_lex_state = 8},
  [15609] = {.lex_state = 28, .external_lex_state = 2},
  [15610] = {.lex_state = 136, .external_lex_state = 2},
  [15611] = {.lex_state = 18, .external_lex_state = 2},
  [15612] = {.lex_state = 28, .external_lex_state = 2},
  [15613] = {.lex_state = 28, .external_lex_state = 2},
  [15614] = {.lex_state = 425, .external_lex_state = 2},
  [15615] = {.lex_state = 18, .external_lex_state = 2},
  [15616] = {.lex_state = 18, .external_lex_state = 2},
  [15617] = {.lex_state = 136, .external_lex_state = 2},
  [15618] = {.lex_state = 37, .external_lex_state = 2},
  [15619] = {.lex_state = 419, .external_lex_state = 2},
  [15620] = {.lex_state = 419, .external_lex_state = 2},
  [15621] = {.lex_state = 18, .external_lex_state = 2},
  [15622] = {.lex_state = 136, .external_lex_state = 2},
  [15623] = {.lex_state = 419, .external_lex_state = 2},
  [15624] = {.lex_state = 419, .external_lex_state = 2},
  [15625] = {.lex_state = 136, .external_lex_state = 2},
  [15626] = {.lex_state = 243, .external_lex_state = 2},
  [15627] = {.lex_state = 28, .external_lex_state = 2},
  [15628] = {.lex_state = 28, .external_lex_state = 2},
  [15629] = {.lex_state = 425, .external_lex_state = 2},
  [15630] = {.lex_state = 18, .external_lex_state = 2},
  [15631] = {.lex_state = 18, .external_lex_state = 2},
  [15632] = {.lex_state = 136, .external_lex_state = 2},
  [15633] = {.lex_state = 248, .external_lex_state = 8},
  [15634] = {.lex_state = 28, .external_lex_state = 2},
  [15635] = {.lex_state = 37, .external_lex_state = 2},
  [15636] = {.lex_state = 136, .external_lex_state = 2},
  [15637] = {.lex_state = 18, .external_lex_state = 2},
  [15638] = {.lex_state = 18, .external_lex_state = 2},
  [15639] = {.lex_state = 37, .external_lex_state = 2},
  [15640] = {.lex_state = 419, .external_lex_state = 2},
  [15641] = {.lex_state = 136, .external_lex_state = 2},
  [15642] = {.lex_state = 419, .external_lex_state = 2},
  [15643] = {.lex_state = 419, .external_lex_state = 2},
  [15644] = {.lex_state = 419, .external_lex_state = 2},
  [15645] = {.lex_state = 419, .external_lex_state = 2},
  [15646] = {.lex_state = 135, .external_lex_state = 2},
  [15647] = {.lex_state = 419, .external_lex_state = 2},
  [15648] = {.lex_state = 419, .external_lex_state = 2},
  [15649] = {.lex_state = 18, .external_lex_state = 2},
  [15650] = {.lex_state = 419, .external_lex_state = 2},
  [15651] = {.lex_state = 136, .external_lex_state = 2},
  [15652] = {.lex_state = 28, .external_lex_state = 2},
  [15653] = {.lex_state = 136, .external_lex_state = 2},
  [15654] = {.lex_state = 248, .external_lex_state = 8},
  [15655] = {.lex_state = 136, .external_lex_state = 2},
  [15656] = {.lex_state = 136, .external_lex_state = 2},
  [15657] = {.lex_state = 419, .external_lex_state = 2},
  [15658] = {.lex_state = 135, .external_lex_state = 2},
  [15659] = {.lex_state = 28, .external_lex_state = 2},
  [15660] = {.lex_state = 136, .external_lex_state = 2},
  [15661] = {.lex_state = 136, .external_lex_state = 2},
  [15662] = {.lex_state = 419, .external_lex_state = 2},
  [15663] = {.lex_state = 419, .external_lex_state = 2},
  [15664] = {.lex_state = 425, .external_lex_state = 2},
  [15665] = {.lex_state = 18, .external_lex_state = 2},
  [15666] = {.lex_state = 419, .external_lex_state = 2},
  [15667] = {.lex_state = 419, .external_lex_state = 2},
  [15668] = {.lex_state = 18, .external_lex_state = 2},
  [15669] = {.lex_state = 136, .external_lex_state = 2},
  [15670] = {.lex_state = 136, .external_lex_state = 2},
  [15671] = {.lex_state = 243, .external_lex_state = 2},
  [15672] = {.lex_state = 37, .external_lex_state = 2},
  [15673] = {.lex_state = 28, .external_lex_state = 2},
  [15674] = {.lex_state = 135, .external_lex_state = 2},
  [15675] = {.lex_state = 37, .external_lex_state = 2},
  [15676] = {.lex_state = 136, .external_lex_state = 2},
  [15677] = {.lex_state = 136, .external_lex_state = 2},
  [15678] = {.lex_state = 248, .external_lex_state = 8},
  [15679] = {.lex_state = 136, .external_lex_state = 2},
  [15680] = {.lex_state = 136, .external_lex_state = 2},
  [15681] = {.lex_state = 28, .external_lex_state = 2},
  [15682] = {.lex_state = 135, .external_lex_state = 2},
  [15683] = {.lex_state = 136, .external_lex_state = 2},
  [15684] = {.lex_state = 28, .external_lex_state = 2},
  [15685] = {.lex_state = 243, .external_lex_state = 2},
  [15686] = {.lex_state = 419, .external_lex_state = 2},
  [15687] = {.lex_state = 12, .external_lex_state = 2},
  [15688] = {.lex_state = 419, .external_lex_state = 2},
  [15689] = {.lex_state = 28, .external_lex_state = 2},
  [15690] = {.lex_state = 419, .external_lex_state = 2},
  [15691] = {.lex_state = 419, .external_lex_state = 2},
  [15692] = {.lex_state = 28, .external_lex_state = 2},
  [15693] = {.lex_state = 243, .external_lex_state = 2},
  [15694] = {.lex_state = 248, .external_lex_state = 8},
  [15695] = {.lex_state = 28, .external_lex_state = 2},
  [15696] = {.lex_state = 136, .external_lex_state = 2},
  [15697] = {.lex_state = 419, .external_lex_state = 2},
  [15698] = {.lex_state = 28, .external_lex_state = 2},
  [15699] = {.lex_state = 425, .external_lex_state = 2},
  [15700] = {.lex_state = 419, .external_lex_state = 2},
  [15701] = {.lex_state = 18, .external_lex_state = 2},
  [15702] = {.lex_state = 419, .external_lex_state = 2},
  [15703] = {.lex_state = 18, .external_lex_state = 2},
  [15704] = {.lex_state = 419, .external_lex_state = 2},
  [15705] = {.lex_state = 419, .external_lex_state = 2},
  [15706] = {.lex_state = 136, .external_lex_state = 2},
  [15707] = {.lex_state = 28, .external_lex_state = 2},
  [15708] = {.lex_state = 28, .external_lex_state = 2},
  [15709] = {.lex_state = 248, .external_lex_state = 8},
  [15710] = {.lex_state = 136, .external_lex_state = 2},
  [15711] = {.lex_state = 28, .external_lex_state = 2},
  [15712] = {.lex_state = 136, .external_lex_state = 2},
  [15713] = {.lex_state = 419, .external_lex_state = 2},
  [15714] = {.lex_state = 419, .external_lex_state = 2},
  [15715] = {.lex_state = 18, .external_lex_state = 2},
  [15716] = {.lex_state = 419, .external_lex_state = 2},
  [15717] = {.lex_state = 419, .external_lex_state = 2},
  [15718] = {.lex_state = 425, .external_lex_state = 2},
  [15719] = {.lex_state = 28, .external_lex_state = 2},
  [15720] = {.lex_state = 28, .external_lex_state = 2},
  [15721] = {.lex_state = 18, .external_lex_state = 2},
  [15722] = {.lex_state = 248, .external_lex_state = 8},
  [15723] = {.lex_state = 136, .external_lex_state = 2},
  [15724] = {.lex_state = 18, .external_lex_state = 2},
  [15725] = {.lex_state = 136, .external_lex_state = 2},
  [15726] = {.lex_state = 28, .external_lex_state = 2},
  [15727] = {.lex_state = 136, .external_lex_state = 2},
  [15728] = {.lex_state = 419, .external_lex_state = 2},
  [15729] = {.lex_state = 37, .external_lex_state = 2},
  [15730] = {.lex_state = 419, .external_lex_state = 2},
  [15731] = {.lex_state = 135, .external_lex_state = 2},
  [15732] = {.lex_state = 136, .external_lex_state = 2},
  [15733] = {.lex_state = 419, .external_lex_state = 2},
  [15734] = {.lex_state = 419, .external_lex_state = 2},
  [15735] = {.lex_state = 28, .external_lex_state = 2},
  [15736] = {.lex_state = 28, .external_lex_state = 2},
  [15737] = {.lex_state = 248, .external_lex_state = 8},
  [15738] = {.lex_state = 136, .external_lex_state = 2},
  [15739] = {.lex_state = 28, .external_lex_state = 2},
  [15740] = {.lex_state = 136, .external_lex_state = 2},
  [15741] = {.lex_state = 419, .external_lex_state = 2},
  [15742] = {.lex_state = 243, .external_lex_state = 2},
  [15743] = {.lex_state = 419, .external_lex_state = 2},
  [15744] = {.lex_state = 419, .external_lex_state = 2},
  [15745] = {.lex_state = 243, .external_lex_state = 2},
  [15746] = {.lex_state = 419, .external_lex_state = 2},
  [15747] = {.lex_state = 419, .external_lex_state = 2},
  [15748] = {.lex_state = 28, .external_lex_state = 2},
  [15749] = {.lex_state = 28, .external_lex_state = 2},
  [15750] = {.lex_state = 136, .external_lex_state = 2},
  [15751] = {.lex_state = 248, .external_lex_state = 8},
  [15752] = {.lex_state = 37, .external_lex_state = 2},
  [15753] = {.lex_state = 28, .external_lex_state = 2},
  [15754] = {.lex_state = 136, .external_lex_state = 2},
  [15755] = {.lex_state = 419, .external_lex_state = 2},
  [15756] = {.lex_state = 135, .external_lex_state = 2},
  [15757] = {.lex_state = 419, .external_lex_state = 2},
  [15758] = {.lex_state = 419, .external_lex_state = 2},
  [15759] = {.lex_state = 136, .external_lex_state = 2},
  [15760] = {.lex_state = 419, .external_lex_state = 2},
  [15761] = {.lex_state = 419, .external_lex_state = 2},
  [15762] = {.lex_state = 28, .external_lex_state = 2},
  [15763] = {.lex_state = 136, .external_lex_state = 2},
  [15764] = {.lex_state = 28, .external_lex_state = 2},
  [15765] = {.lex_state = 248, .external_lex_state = 8},
  [15766] = {.lex_state = 135, .external_lex_state = 2},
  [15767] = {.lex_state = 425, .external_lex_state = 2},
  [15768] = {.lex_state = 136, .external_lex_state = 2},
  [15769] = {.lex_state = 18, .external_lex_state = 2},
  [15770] = {.lex_state = 419, .external_lex_state = 2},
  [15771] = {.lex_state = 419, .external_lex_state = 2},
  [15772] = {.lex_state = 28, .external_lex_state = 2},
  [15773] = {.lex_state = 425, .external_lex_state = 2},
  [15774] = {.lex_state = 28, .external_lex_state = 2},
  [15775] = {.lex_state = 419, .external_lex_state = 2},
  [15776] = {.lex_state = 419, .external_lex_state = 2},
  [15777] = {.lex_state = 18, .external_lex_state = 2},
  [15778] = {.lex_state = 28, .external_lex_state = 2},
  [15779] = {.lex_state = 18, .external_lex_state = 2},
  [15780] = {.lex_state = 136, .external_lex_state = 2},
  [15781] = {.lex_state = 248, .external_lex_state = 8},
  [15782] = {.lex_state = 135, .external_lex_state = 2},
  [15783] = {.lex_state = 136, .external_lex_state = 2},
  [15784] = {.lex_state = 136, .external_lex_state = 2},
  [15785] = {.lex_state = 419, .external_lex_state = 2},
  [15786] = {.lex_state = 419, .external_lex_state = 2},
  [15787] = {.lex_state = 28, .external_lex_state = 2},
  [15788] = {.lex_state = 135, .external_lex_state = 2},
  [15789] = {.lex_state = 136, .external_lex_state = 2},
  [15790] = {.lex_state = 419, .external_lex_state = 2},
  [15791] = {.lex_state = 419, .external_lex_state = 2},
  [15792] = {.lex_state = 28, .external_lex_state = 2},
  [15793] = {.lex_state = 248, .external_lex_state = 8},
  [15794] = {.lex_state = 136, .external_lex_state = 2},
  [15795] = {.lex_state = 28, .external_lex_state = 2},
  [15796] = {.lex_state = 136, .external_lex_state = 2},
  [15797] = {.lex_state = 419, .external_lex_state = 2},
  [15798] = {.lex_state = 419, .external_lex_state = 2},
  [15799] = {.lex_state = 243, .external_lex_state = 2},
  [15800] = {.lex_state = 419, .external_lex_state = 2},
  [15801] = {.lex_state = 419, .external_lex_state = 2},
  [15802] = {.lex_state = 28, .external_lex_state = 2},
  [15803] = {.lex_state = 28, .external_lex_state = 2},
  [15804] = {.lex_state = 28, .external_lex_state = 2},
  [15805] = {.lex_state = 248, .external_lex_state = 8},
  [15806] = {.lex_state = 136, .external_lex_state = 2},
  [15807] = {.lex_state = 248, .external_lex_state = 8},
  [15808] = {.lex_state = 419, .external_lex_state = 2},
  [15809] = {.lex_state = 136, .external_lex_state = 2},
  [15810] = {.lex_state = 419, .external_lex_state = 3},
  [15811] = {.lex_state = 419, .external_lex_state = 2},
  [15812] = {.lex_state = 419, .external_lex_state = 2},
  [15813] = {.lex_state = 28, .external_lex_state = 2},
  [15814] = {.lex_state = 18, .external_lex_state = 2},
  [15815] = {.lex_state = 248, .external_lex_state = 8},
  [15816] = {.lex_state = 136, .external_lex_state = 2},
  [15817] = {.lex_state = 37, .external_lex_state = 2},
  [15818] = {.lex_state = 28, .external_lex_state = 2},
  [15819] = {.lex_state = 136, .external_lex_state = 2},
  [15820] = {.lex_state = 248, .external_lex_state = 8},
  [15821] = {.lex_state = 136, .external_lex_state = 2},
  [15822] = {.lex_state = 136, .external_lex_state = 2},
  [15823] = {.lex_state = 28, .external_lex_state = 2},
  [15824] = {.lex_state = 248, .external_lex_state = 8},
  [15825] = {.lex_state = 136, .external_lex_state = 2},
  [15826] = {.lex_state = 136, .external_lex_state = 2},
  [15827] = {.lex_state = 136, .external_lex_state = 2},
  [15828] = {.lex_state = 135, .external_lex_state = 2},
  [15829] = {.lex_state = 28, .external_lex_state = 2},
  [15830] = {.lex_state = 136, .external_lex_state = 2},
  [15831] = {.lex_state = 248, .external_lex_state = 8},
  [15832] = {.lex_state = 28, .external_lex_state = 2},
  [15833] = {.lex_state = 136, .external_lex_state = 2},
  [15834] = {.lex_state = 136, .external_lex_state = 2},
  [15835] = {.lex_state = 28, .external_lex_state = 2},
  [15836] = {.lex_state = 243, .external_lex_state = 2},
  [15837] = {.lex_state = 425, .external_lex_state = 2},
  [15838] = {.lex_state = 248, .external_lex_state = 8},
  [15839] = {.lex_state = 28, .external_lex_state = 2},
  [15840] = {.lex_state = 18, .external_lex_state = 2},
  [15841] = {.lex_state = 136, .external_lex_state = 2},
  [15842] = {.lex_state = 28, .external_lex_state = 2},
  [15843] = {.lex_state = 37, .external_lex_state = 2},
  [15844] = {.lex_state = 136, .external_lex_state = 2},
  [15845] = {.lex_state = 136, .external_lex_state = 2},
  [15846] = {.lex_state = 248, .external_lex_state = 8},
  [15847] = {.lex_state = 136, .external_lex_state = 2},
  [15848] = {.lex_state = 136, .external_lex_state = 2},
  [15849] = {.lex_state = 135, .external_lex_state = 2},
  [15850] = {.lex_state = 11, .external_lex_state = 2},
  [15851] = {.lex_state = 11, .external_lex_state = 2},
  [15852] = {.lex_state = 136, .external_lex_state = 2},
  [15853] = {.lex_state = 28, .external_lex_state = 2},
  [15854] = {.lex_state = 248, .external_lex_state = 8},
  [15855] = {.lex_state = 136, .external_lex_state = 2},
  [15856] = {.lex_state = 419, .external_lex_state = 2},
  [15857] = {.lex_state = 136, .external_lex_state = 2},
  [15858] = {.lex_state = 28, .external_lex_state = 2},
  [15859] = {.lex_state = 136, .external_lex_state = 2},
  [15860] = {.lex_state = 419, .external_lex_state = 2},
  [15861] = {.lex_state = 248, .external_lex_state = 8},
  [15862] = {.lex_state = 28, .external_lex_state = 2},
  [15863] = {.lex_state = 28, .external_lex_state = 2},
  [15864] = {.lex_state = 136, .external_lex_state = 2},
  [15865] = {.lex_state = 419, .external_lex_state = 2},
  [15866] = {.lex_state = 425, .external_lex_state = 2},
  [15867] = {.lex_state = 18, .external_lex_state = 2},
  [15868] = {.lex_state = 28, .external_lex_state = 2},
  [15869] = {.lex_state = 18, .external_lex_state = 2},
  [15870] = {.lex_state = 136, .external_lex_state = 2},
  [15871] = {.lex_state = 248, .external_lex_state = 8},
  [15872] = {.lex_state = 136, .external_lex_state = 2},
  [15873] = {.lex_state = 419, .external_lex_state = 2},
  [15874] = {.lex_state = 135, .external_lex_state = 2},
  [15875] = {.lex_state = 37, .external_lex_state = 2},
  [15876] = {.lex_state = 136, .external_lex_state = 2},
  [15877] = {.lex_state = 136, .external_lex_state = 2},
  [15878] = {.lex_state = 136, .external_lex_state = 2},
  [15879] = {.lex_state = 28, .external_lex_state = 2},
  [15880] = {.lex_state = 28, .external_lex_state = 2},
  [15881] = {.lex_state = 248, .external_lex_state = 8},
  [15882] = {.lex_state = 136, .external_lex_state = 2},
  [15883] = {.lex_state = 135, .external_lex_state = 2},
  [15884] = {.lex_state = 136, .external_lex_state = 2},
  [15885] = {.lex_state = 243, .external_lex_state = 2},
  [15886] = {.lex_state = 243, .external_lex_state = 2},
  [15887] = {.lex_state = 12, .external_lex_state = 2},
  [15888] = {.lex_state = 28, .external_lex_state = 2},
  [15889] = {.lex_state = 28, .external_lex_state = 2},
  [15890] = {.lex_state = 136, .external_lex_state = 2},
  [15891] = {.lex_state = 248, .external_lex_state = 8},
  [15892] = {.lex_state = 419, .external_lex_state = 2},
  [15893] = {.lex_state = 419, .external_lex_state = 2},
  [15894] = {.lex_state = 28, .external_lex_state = 2},
  [15895] = {.lex_state = 28, .external_lex_state = 2},
  [15896] = {.lex_state = 425, .external_lex_state = 2},
  [15897] = {.lex_state = 28, .external_lex_state = 2},
  [15898] = {.lex_state = 18, .external_lex_state = 2},
  [15899] = {.lex_state = 248, .external_lex_state = 8},
  [15900] = {.lex_state = 18, .external_lex_state = 2},
  [15901] = {.lex_state = 136, .external_lex_state = 2},
  [15902] = {.lex_state = 18, .external_lex_state = 2},
  [15903] = {.lex_state = 28, .external_lex_state = 2},
  [15904] = {.lex_state = 136, .external_lex_state = 2},
  [15905] = {.lex_state = 136, .external_lex_state = 2},
  [15906] = {.lex_state = 28, .external_lex_state = 2},
  [15907] = {.lex_state = 248, .external_lex_state = 8},
  [15908] = {.lex_state = 136, .external_lex_state = 2},
  [15909] = {.lex_state = 18, .external_lex_state = 2},
  [15910] = {.lex_state = 37, .external_lex_state = 2},
  [15911] = {.lex_state = 136, .external_lex_state = 2},
  [15912] = {.lex_state = 28, .external_lex_state = 2},
  [15913] = {.lex_state = 248, .external_lex_state = 8},
  [15914] = {.lex_state = 37, .external_lex_state = 2},
  [15915] = {.lex_state = 136, .external_lex_state = 2},
  [15916] = {.lex_state = 136, .external_lex_state = 2},
  [15917] = {.lex_state = 136, .external_lex_state = 2},
  [15918] = {.lex_state = 28, .external_lex_state = 2},
  [15919] = {.lex_state = 28, .external_lex_state = 2},
  [15920] = {.lex_state = 419, .external_lex_state = 2},
  [15921] = {.lex_state = 135, .external_lex_state = 2},
  [15922] = {.lex_state = 248, .external_lex_state = 8},
  [15923] = {.lex_state = 28, .external_lex_state = 2},
  [15924] = {.lex_state = 135, .external_lex_state = 2},
  [15925] = {.lex_state = 136, .external_lex_state = 2},
  [15926] = {.lex_state = 28, .external_lex_state = 2},
  [15927] = {.lex_state = 136, .external_lex_state = 2},
  [15928] = {.lex_state = 28, .external_lex_state = 2},
  [15929] = {.lex_state = 248, .external_lex_state = 8},
  [15930] = {.lex_state = 136, .external_lex_state = 2},
  [15931] = {.lex_state = 243, .external_lex_state = 2},
  [15932] = {.lex_state = 28, .external_lex_state = 2},
  [15933] = {.lex_state = 28, .external_lex_state = 2},
  [15934] = {.lex_state = 136, .external_lex_state = 2},
  [15935] = {.lex_state = 28, .external_lex_state = 2},
  [15936] = {.lex_state = 248, .external_lex_state = 8},
  [15937] = {.lex_state = 28, .external_lex_state = 2},
  [15938] = {.lex_state = 28, .external_lex_state = 2},
  [15939] = {.lex_state = 419, .external_lex_state = 3},
  [15940] = {.lex_state = 419, .external_lex_state = 2},
  [15941] = {.lex_state = 28, .external_lex_state = 2},
  [15942] = {.lex_state = 28, .external_lex_state = 2},
  [15943] = {.lex_state = 425, .external_lex_state = 2},
  [15944] = {.lex_state = 248, .external_lex_state = 8},
  [15945] = {.lex_state = 136, .external_lex_state = 2},
  [15946] = {.lex_state = 136, .external_lex_state = 2},
  [15947] = {.lex_state = 28, .external_lex_state = 2},
  [15948] = {.lex_state = 18, .external_lex_state = 2},
  [15949] = {.lex_state = 18, .external_lex_state = 2},
  [15950] = {.lex_state = 28, .external_lex_state = 2},
  [15951] = {.lex_state = 28, .external_lex_state = 2},
  [15952] = {.lex_state = 28, .external_lex_state = 2},
  [15953] = {.lex_state = 248, .external_lex_state = 8},
  [15954] = {.lex_state = 136, .external_lex_state = 2},
  [15955] = {.lex_state = 136, .external_lex_state = 2},
  [15956] = {.lex_state = 28, .external_lex_state = 2},
  [15957] = {.lex_state = 248, .external_lex_state = 8},
  [15958] = {.lex_state = 136, .external_lex_state = 2},
  [15959] = {.lex_state = 419, .external_lex_state = 2},
  [15960] = {.lex_state = 136, .external_lex_state = 2},
  [15961] = {.lex_state = 419, .external_lex_state = 2},
  [15962] = {.lex_state = 135, .external_lex_state = 2},
  [15963] = {.lex_state = 28, .external_lex_state = 2},
  [15964] = {.lex_state = 248, .external_lex_state = 8},
  [15965] = {.lex_state = 11, .external_lex_state = 2},
  [15966] = {.lex_state = 136, .external_lex_state = 2},
  [15967] = {.lex_state = 28, .external_lex_state = 2},
  [15968] = {.lex_state = 136, .external_lex_state = 2},
  [15969] = {.lex_state = 28, .external_lex_state = 2},
  [15970] = {.lex_state = 28, .external_lex_state = 2},
  [15971] = {.lex_state = 248, .external_lex_state = 8},
  [15972] = {.lex_state = 136, .external_lex_state = 2},
  [15973] = {.lex_state = 28, .external_lex_state = 2},
  [15974] = {.lex_state = 243, .external_lex_state = 2},
  [15975] = {.lex_state = 248, .external_lex_state = 8},
  [15976] = {.lex_state = 28, .external_lex_state = 2},
  [15977] = {.lex_state = 28, .external_lex_state = 2},
  [15978] = {.lex_state = 248, .external_lex_state = 8},
  [15979] = {.lex_state = 136, .external_lex_state = 2},
  [15980] = {.lex_state = 28, .external_lex_state = 2},
  [15981] = {.lex_state = 248, .external_lex_state = 8},
  [15982] = {.lex_state = 28, .external_lex_state = 2},
  [15983] = {.lex_state = 248, .external_lex_state = 8},
  [15984] = {.lex_state = 28, .external_lex_state = 2},
  [15985] = {.lex_state = 248, .external_lex_state = 8},
  [15986] = {.lex_state = 28, .external_lex_state = 2},
  [15987] = {.lex_state = 248, .external_lex_state = 8},
  [15988] = {.lex_state = 28, .external_lex_state = 2},
  [15989] = {.lex_state = 248, .external_lex_state = 8},
  [15990] = {.lex_state = 28, .external_lex_state = 2},
  [15991] = {.lex_state = 248, .external_lex_state = 8},
  [15992] = {.lex_state = 28, .external_lex_state = 2},
  [15993] = {.lex_state = 248, .external_lex_state = 8},
  [15994] = {.lex_state = 28, .external_lex_state = 2},
  [15995] = {.lex_state = 248, .external_lex_state = 8},
  [15996] = {.lex_state = 28, .external_lex_state = 2},
  [15997] = {.lex_state = 248, .external_lex_state = 8},
  [15998] = {.lex_state = 28, .external_lex_state = 2},
  [15999] = {.lex_state = 248, .external_lex_state = 8},
  [16000] = {.lex_state = 28, .external_lex_state = 2},
  [16001] = {.lex_state = 248, .external_lex_state = 8},
  [16002] = {.lex_state = 28, .external_lex_state = 2},
  [16003] = {.lex_state = 248, .external_lex_state = 8},
  [16004] = {.lex_state = 28, .external_lex_state = 2},
  [16005] = {.lex_state = 248, .external_lex_state = 8},
  [16006] = {.lex_state = 28, .external_lex_state = 2},
  [16007] = {.lex_state = 248, .external_lex_state = 8},
  [16008] = {.lex_state = 28, .external_lex_state = 2},
  [16009] = {.lex_state = 248, .external_lex_state = 8},
  [16010] = {.lex_state = 28, .external_lex_state = 2},
  [16011] = {.lex_state = 248, .external_lex_state = 8},
  [16012] = {.lex_state = 28, .external_lex_state = 2},
  [16013] = {.lex_state = 248, .external_lex_state = 8},
  [16014] = {.lex_state = 28, .external_lex_state = 2},
  [16015] = {.lex_state = 248, .external_lex_state = 8},
  [16016] = {.lex_state = 28, .external_lex_state = 2},
  [16017] = {.lex_state = 248, .external_lex_state = 8},
  [16018] = {.lex_state = 28, .external_lex_state = 2},
  [16019] = {.lex_state = 248, .external_lex_state = 8},
  [16020] = {.lex_state = 28, .external_lex_state = 2},
  [16021] = {.lex_state = 248, .external_lex_state = 8},
  [16022] = {.lex_state = 28, .external_lex_state = 2},
  [16023] = {.lex_state = 248, .external_lex_state = 8},
  [16024] = {.lex_state = 28, .external_lex_state = 2},
  [16025] = {.lex_state = 248, .external_lex_state = 8},
  [16026] = {.lex_state = 28, .external_lex_state = 2},
  [16027] = {.lex_state = 248, .external_lex_state = 8},
  [16028] = {.lex_state = 28, .external_lex_state = 2},
  [16029] = {.lex_state = 248, .external_lex_state = 8},
  [16030] = {.lex_state = 28, .external_lex_state = 2},
  [16031] = {.lex_state = 248, .external_lex_state = 8},
  [16032] = {.lex_state = 28, .external_lex_state = 2},
  [16033] = {.lex_state = 248, .external_lex_state = 8},
  [16034] = {.lex_state = 28, .external_lex_state = 2},
  [16035] = {.lex_state = 248, .external_lex_state = 8},
  [16036] = {.lex_state = 28, .external_lex_state = 2},
  [16037] = {.lex_state = 248, .external_lex_state = 8},
  [16038] = {.lex_state = 28, .external_lex_state = 2},
  [16039] = {.lex_state = 248, .external_lex_state = 8},
  [16040] = {.lex_state = 28, .external_lex_state = 2},
  [16041] = {.lex_state = 248, .external_lex_state = 8},
  [16042] = {.lex_state = 28, .external_lex_state = 2},
  [16043] = {.lex_state = 248, .external_lex_state = 8},
  [16044] = {.lex_state = 28, .external_lex_state = 2},
  [16045] = {.lex_state = 248, .external_lex_state = 8},
  [16046] = {.lex_state = 28, .external_lex_state = 2},
  [16047] = {.lex_state = 248, .external_lex_state = 8},
  [16048] = {.lex_state = 419, .external_lex_state = 2},
  [16049] = {.lex_state = 28, .external_lex_state = 2},
  [16050] = {.lex_state = 12, .external_lex_state = 2},
  [16051] = {.lex_state = 136, .external_lex_state = 2},
  [16052] = {.lex_state = 37, .external_lex_state = 2},
  [16053] = {.lex_state = 419, .external_lex_state = 2},
  [16054] = {.lex_state = 136, .external_lex_state = 2},
  [16055] = {.lex_state = 11, .external_lex_state = 2},
  [16056] = {.lex_state = 136, .external_lex_state = 2},
  [16057] = {.lex_state = 136, .external_lex_state = 2},
  [16058] = {.lex_state = 28, .external_lex_state = 2},
  [16059] = {.lex_state = 11, .external_lex_state = 2},
  [16060] = {.lex_state = 136, .external_lex_state = 2},
  [16061] = {.lex_state = 136, .external_lex_state = 2},
  [16062] = {.lex_state = 135, .external_lex_state = 2},
  [16063] = {.lex_state = 135, .external_lex_state = 2},
  [16064] = {.lex_state = 136, .external_lex_state = 2},
  [16065] = {.lex_state = 28, .external_lex_state = 2},
  [16066] = {.lex_state = 136, .external_lex_state = 2},
  [16067] = {.lex_state = 136, .external_lex_state = 2},
  [16068] = {.lex_state = 12, .external_lex_state = 2},
  [16069] = {.lex_state = 419, .external_lex_state = 2},
  [16070] = {.lex_state = 136, .external_lex_state = 2},
  [16071] = {.lex_state = 18, .external_lex_state = 2},
  [16072] = {.lex_state = 243, .external_lex_state = 2},
  [16073] = {.lex_state = 419, .external_lex_state = 2},
  [16074] = {.lex_state = 28, .external_lex_state = 2},
  [16075] = {.lex_state = 136, .external_lex_state = 2},
  [16076] = {.lex_state = 28, .external_lex_state = 2},
  [16077] = {.lex_state = 37, .external_lex_state = 2},
  [16078] = {.lex_state = 136, .external_lex_state = 2},
  [16079] = {.lex_state = 11, .external_lex_state = 2},
  [16080] = {.lex_state = 28, .external_lex_state = 2},
  [16081] = {.lex_state = 135, .external_lex_state = 2},
  [16082] = {.lex_state = 11, .external_lex_state = 2},
  [16083] = {.lex_state = 136, .external_lex_state = 2},
  [16084] = {.lex_state = 136, .external_lex_state = 2},
  [16085] = {.lex_state = 136, .external_lex_state = 2},
  [16086] = {.lex_state = 136, .external_lex_state = 2},
  [16087] = {.lex_state = 37, .external_lex_state = 2},
  [16088] = {.lex_state = 419, .external_lex_state = 2},
  [16089] = {.lex_state = 28, .external_lex_state = 2},
  [16090] = {.lex_state = 28, .external_lex_state = 2},
  [16091] = {.lex_state = 136, .external_lex_state = 2},
  [16092] = {.lex_state = 425, .external_lex_state = 2},
  [16093] = {.lex_state = 18, .external_lex_state = 2},
  [16094] = {.lex_state = 28, .external_lex_state = 2},
  [16095] = {.lex_state = 18, .external_lex_state = 2},
  [16096] = {.lex_state = 136, .external_lex_state = 2},
  [16097] = {.lex_state = 136, .external_lex_state = 2},
  [16098] = {.lex_state = 136, .external_lex_state = 2},
  [16099] = {.lex_state = 37, .external_lex_state = 2},
  [16100] = {.lex_state = 135, .external_lex_state = 2},
  [16101] = {.lex_state = 136, .external_lex_state = 2},
  [16102] = {.lex_state = 11, .external_lex_state = 2},
  [16103] = {.lex_state = 136, .external_lex_state = 2},
  [16104] = {.lex_state = 136, .external_lex_state = 2},
  [16105] = {.lex_state = 28, .external_lex_state = 2},
  [16106] = {.lex_state = 28, .external_lex_state = 2},
  [16107] = {.lex_state = 135, .external_lex_state = 2},
  [16108] = {.lex_state = 136, .external_lex_state = 2},
  [16109] = {.lex_state = 11, .external_lex_state = 2},
  [16110] = {.lex_state = 243, .external_lex_state = 2},
  [16111] = {.lex_state = 243, .external_lex_state = 2},
  [16112] = {.lex_state = 28, .external_lex_state = 2},
  [16113] = {.lex_state = 136, .external_lex_state = 2},
  [16114] = {.lex_state = 419, .external_lex_state = 2},
  [16115] = {.lex_state = 28, .external_lex_state = 2},
  [16116] = {.lex_state = 28, .external_lex_state = 2},
  [16117] = {.lex_state = 425, .external_lex_state = 2},
  [16118] = {.lex_state = 28, .external_lex_state = 2},
  [16119] = {.lex_state = 18, .external_lex_state = 2},
  [16120] = {.lex_state = 18, .external_lex_state = 2},
  [16121] = {.lex_state = 11, .external_lex_state = 2},
  [16122] = {.lex_state = 136, .external_lex_state = 2},
  [16123] = {.lex_state = 28, .external_lex_state = 2},
  [16124] = {.lex_state = 11, .external_lex_state = 2},
  [16125] = {.lex_state = 136, .external_lex_state = 2},
  [16126] = {.lex_state = 28, .external_lex_state = 2},
  [16127] = {.lex_state = 136, .external_lex_state = 2},
  [16128] = {.lex_state = 11, .external_lex_state = 2},
  [16129] = {.lex_state = 18, .external_lex_state = 2},
  [16130] = {.lex_state = 136, .external_lex_state = 2},
  [16131] = {.lex_state = 11, .external_lex_state = 2},
  [16132] = {.lex_state = 28, .external_lex_state = 2},
  [16133] = {.lex_state = 28, .external_lex_state = 2},
  [16134] = {.lex_state = 136, .external_lex_state = 2},
  [16135] = {.lex_state = 28, .external_lex_state = 2},
  [16136] = {.lex_state = 11, .external_lex_state = 2},
  [16137] = {.lex_state = 136, .external_lex_state = 2},
  [16138] = {.lex_state = 11, .external_lex_state = 2},
  [16139] = {.lex_state = 135, .external_lex_state = 2},
  [16140] = {.lex_state = 136, .external_lex_state = 2},
  [16141] = {.lex_state = 28, .external_lex_state = 2},
  [16142] = {.lex_state = 136, .external_lex_state = 2},
  [16143] = {.lex_state = 136, .external_lex_state = 2},
  [16144] = {.lex_state = 18, .external_lex_state = 2},
  [16145] = {.lex_state = 11, .external_lex_state = 2},
  [16146] = {.lex_state = 28, .external_lex_state = 2},
  [16147] = {.lex_state = 419, .external_lex_state = 2},
  [16148] = {.lex_state = 11, .external_lex_state = 2},
  [16149] = {.lex_state = 136, .external_lex_state = 2},
  [16150] = {.lex_state = 28, .external_lex_state = 2},
  [16151] = {.lex_state = 243, .external_lex_state = 2},
  [16152] = {.lex_state = 11, .external_lex_state = 2},
  [16153] = {.lex_state = 11, .external_lex_state = 2},
  [16154] = {.lex_state = 28, .external_lex_state = 2},
  [16155] = {.lex_state = 28, .external_lex_state = 2},
  [16156] = {.lex_state = 136, .external_lex_state = 2},
  [16157] = {.lex_state = 136, .external_lex_state = 2},
  [16158] = {.lex_state = 11, .external_lex_state = 2},
  [16159] = {.lex_state = 11, .external_lex_state = 2},
  [16160] = {.lex_state = 28, .external_lex_state = 2},
  [16161] = {.lex_state = 419, .external_lex_state = 2},
  [16162] = {.lex_state = 11, .external_lex_state = 2},
  [16163] = {.lex_state = 11, .external_lex_state = 2},
  [16164] = {.lex_state = 28, .external_lex_state = 2},
  [16165] = {.lex_state = 28, .external_lex_state = 2},
  [16166] = {.lex_state = 136, .external_lex_state = 2},
  [16167] = {.lex_state = 11, .external_lex_state = 2},
  [16168] = {.lex_state = 11, .external_lex_state = 2},
  [16169] = {.lex_state = 28, .external_lex_state = 2},
  [16170] = {.lex_state = 12, .external_lex_state = 2},
  [16171] = {.lex_state = 11, .external_lex_state = 2},
  [16172] = {.lex_state = 11, .external_lex_state = 2},
  [16173] = {.lex_state = 28, .external_lex_state = 2},
  [16174] = {.lex_state = 11, .external_lex_state = 2},
  [16175] = {.lex_state = 11, .external_lex_state = 2},
  [16176] = {.lex_state = 28, .external_lex_state = 2},
  [16177] = {.lex_state = 136, .external_lex_state = 2},
  [16178] = {.lex_state = 136, .external_lex_state = 2},
  [16179] = {.lex_state = 136, .external_lex_state = 2},
  [16180] = {.lex_state = 11, .external_lex_state = 2},
  [16181] = {.lex_state = 11, .external_lex_state = 2},
  [16182] = {.lex_state = 28, .external_lex_state = 2},
  [16183] = {.lex_state = 136, .external_lex_state = 2},
  [16184] = {.lex_state = 136, .external_lex_state = 2},
  [16185] = {.lex_state = 11, .external_lex_state = 2},
  [16186] = {.lex_state = 136, .external_lex_state = 2},
  [16187] = {.lex_state = 11, .external_lex_state = 2},
  [16188] = {.lex_state = 28, .external_lex_state = 2},
  [16189] = {.lex_state = 11, .external_lex_state = 2},
  [16190] = {.lex_state = 136, .external_lex_state = 2},
  [16191] = {.lex_state = 11, .external_lex_state = 2},
  [16192] = {.lex_state = 28, .external_lex_state = 2},
  [16193] = {.lex_state = 135, .external_lex_state = 2},
  [16194] = {.lex_state = 136, .external_lex_state = 2},
  [16195] = {.lex_state = 136, .external_lex_state = 2},
  [16196] = {.lex_state = 135, .external_lex_state = 2},
  [16197] = {.lex_state = 11, .external_lex_state = 2},
  [16198] = {.lex_state = 11, .external_lex_state = 2},
  [16199] = {.lex_state = 28, .external_lex_state = 2},
  [16200] = {.lex_state = 28, .external_lex_state = 2},
  [16201] = {.lex_state = 136, .external_lex_state = 2},
  [16202] = {.lex_state = 12, .external_lex_state = 2},
  [16203] = {.lex_state = 28, .external_lex_state = 2},
  [16204] = {.lex_state = 11, .external_lex_state = 2},
  [16205] = {.lex_state = 11, .external_lex_state = 2},
  [16206] = {.lex_state = 28, .external_lex_state = 2},
  [16207] = {.lex_state = 28, .external_lex_state = 2},
  [16208] = {.lex_state = 28, .external_lex_state = 2},
  [16209] = {.lex_state = 11, .external_lex_state = 2},
  [16210] = {.lex_state = 28, .external_lex_state = 2},
  [16211] = {.lex_state = 11, .external_lex_state = 2},
  [16212] = {.lex_state = 28, .external_lex_state = 2},
  [16213] = {.lex_state = 136, .external_lex_state = 2},
  [16214] = {.lex_state = 425, .external_lex_state = 2},
  [16215] = {.lex_state = 136, .external_lex_state = 2},
  [16216] = {.lex_state = 11, .external_lex_state = 2},
  [16217] = {.lex_state = 11, .external_lex_state = 2},
  [16218] = {.lex_state = 28, .external_lex_state = 2},
  [16219] = {.lex_state = 243, .external_lex_state = 2},
  [16220] = {.lex_state = 11, .external_lex_state = 2},
  [16221] = {.lex_state = 11, .external_lex_state = 2},
  [16222] = {.lex_state = 28, .external_lex_state = 2},
  [16223] = {.lex_state = 28, .external_lex_state = 2},
  [16224] = {.lex_state = 136, .external_lex_state = 2},
  [16225] = {.lex_state = 11, .external_lex_state = 2},
  [16226] = {.lex_state = 11, .external_lex_state = 2},
  [16227] = {.lex_state = 28, .external_lex_state = 2},
  [16228] = {.lex_state = 11, .external_lex_state = 2},
  [16229] = {.lex_state = 11, .external_lex_state = 2},
  [16230] = {.lex_state = 28, .external_lex_state = 2},
  [16231] = {.lex_state = 18, .external_lex_state = 2},
  [16232] = {.lex_state = 11, .external_lex_state = 2},
  [16233] = {.lex_state = 11, .external_lex_state = 2},
  [16234] = {.lex_state = 28, .external_lex_state = 2},
  [16235] = {.lex_state = 136, .external_lex_state = 2},
  [16236] = {.lex_state = 28, .external_lex_state = 2},
  [16237] = {.lex_state = 11, .external_lex_state = 2},
  [16238] = {.lex_state = 11, .external_lex_state = 2},
  [16239] = {.lex_state = 28, .external_lex_state = 2},
  [16240] = {.lex_state = 37, .external_lex_state = 2},
  [16241] = {.lex_state = 425, .external_lex_state = 2},
  [16242] = {.lex_state = 425, .external_lex_state = 2},
  [16243] = {.lex_state = 11, .external_lex_state = 2},
  [16244] = {.lex_state = 11, .external_lex_state = 2},
  [16245] = {.lex_state = 28, .external_lex_state = 2},
  [16246] = {.lex_state = 136, .external_lex_state = 2},
  [16247] = {.lex_state = 28, .external_lex_state = 2},
  [16248] = {.lex_state = 11, .external_lex_state = 2},
  [16249] = {.lex_state = 11, .external_lex_state = 2},
  [16250] = {.lex_state = 28, .external_lex_state = 2},
  [16251] = {.lex_state = 11, .external_lex_state = 2},
  [16252] = {.lex_state = 11, .external_lex_state = 2},
  [16253] = {.lex_state = 28, .external_lex_state = 2},
  [16254] = {.lex_state = 425, .external_lex_state = 2},
  [16255] = {.lex_state = 136, .external_lex_state = 2},
  [16256] = {.lex_state = 11, .external_lex_state = 2},
  [16257] = {.lex_state = 11, .external_lex_state = 2},
  [16258] = {.lex_state = 28, .external_lex_state = 2},
  [16259] = {.lex_state = 136, .external_lex_state = 2},
  [16260] = {.lex_state = 136, .external_lex_state = 2},
  [16261] = {.lex_state = 135, .external_lex_state = 2},
  [16262] = {.lex_state = 11, .external_lex_state = 2},
  [16263] = {.lex_state = 11, .external_lex_state = 2},
  [16264] = {.lex_state = 28, .external_lex_state = 2},
  [16265] = {.lex_state = 136, .external_lex_state = 2},
  [16266] = {.lex_state = 11, .external_lex_state = 2},
  [16267] = {.lex_state = 11, .external_lex_state = 2},
  [16268] = {.lex_state = 28, .external_lex_state = 2},
  [16269] = {.lex_state = 136, .external_lex_state = 2},
  [16270] = {.lex_state = 11, .external_lex_state = 2},
  [16271] = {.lex_state = 11, .external_lex_state = 2},
  [16272] = {.lex_state = 28, .external_lex_state = 2},
  [16273] = {.lex_state = 419, .external_lex_state = 2},
  [16274] = {.lex_state = 136, .external_lex_state = 2},
  [16275] = {.lex_state = 11, .external_lex_state = 2},
  [16276] = {.lex_state = 11, .external_lex_state = 2},
  [16277] = {.lex_state = 28, .external_lex_state = 2},
  [16278] = {.lex_state = 136, .external_lex_state = 2},
  [16279] = {.lex_state = 136, .external_lex_state = 2},
  [16280] = {.lex_state = 136, .external_lex_state = 2},
  [16281] = {.lex_state = 11, .external_lex_state = 2},
  [16282] = {.lex_state = 419, .external_lex_state = 2},
  [16283] = {.lex_state = 11, .external_lex_state = 2},
  [16284] = {.lex_state = 28, .external_lex_state = 2},
  [16285] = {.lex_state = 135, .external_lex_state = 2},
  [16286] = {.lex_state = 11, .external_lex_state = 2},
  [16287] = {.lex_state = 11, .external_lex_state = 2},
  [16288] = {.lex_state = 28, .external_lex_state = 2},
  [16289] = {.lex_state = 136, .external_lex_state = 2},
  [16290] = {.lex_state = 18, .external_lex_state = 2},
  [16291] = {.lex_state = 11, .external_lex_state = 2},
  [16292] = {.lex_state = 11, .external_lex_state = 2},
  [16293] = {.lex_state = 28, .external_lex_state = 2},
  [16294] = {.lex_state = 419, .external_lex_state = 2},
  [16295] = {.lex_state = 28, .external_lex_state = 2},
  [16296] = {.lex_state = 136, .external_lex_state = 2},
  [16297] = {.lex_state = 136, .external_lex_state = 2},
  [16298] = {.lex_state = 11, .external_lex_state = 2},
  [16299] = {.lex_state = 11, .external_lex_state = 2},
  [16300] = {.lex_state = 28, .external_lex_state = 2},
  [16301] = {.lex_state = 11, .external_lex_state = 2},
  [16302] = {.lex_state = 11, .external_lex_state = 2},
  [16303] = {.lex_state = 28, .external_lex_state = 2},
  [16304] = {.lex_state = 11, .external_lex_state = 2},
  [16305] = {.lex_state = 11, .external_lex_state = 2},
  [16306] = {.lex_state = 28, .external_lex_state = 2},
  [16307] = {.lex_state = 136, .external_lex_state = 2},
  [16308] = {.lex_state = 243, .external_lex_state = 2},
  [16309] = {.lex_state = 28, .external_lex_state = 2},
  [16310] = {.lex_state = 11, .external_lex_state = 2},
  [16311] = {.lex_state = 136, .external_lex_state = 2},
  [16312] = {.lex_state = 11, .external_lex_state = 2},
  [16313] = {.lex_state = 28, .external_lex_state = 2},
  [16314] = {.lex_state = 136, .external_lex_state = 2},
  [16315] = {.lex_state = 28, .external_lex_state = 2},
  [16316] = {.lex_state = 11, .external_lex_state = 2},
  [16317] = {.lex_state = 11, .external_lex_state = 2},
  [16318] = {.lex_state = 28, .external_lex_state = 2},
  [16319] = {.lex_state = 37, .external_lex_state = 2},
  [16320] = {.lex_state = 136, .external_lex_state = 2},
  [16321] = {.lex_state = 11, .external_lex_state = 2},
  [16322] = {.lex_state = 11, .external_lex_state = 2},
  [16323] = {.lex_state = 28, .external_lex_state = 2},
  [16324] = {.lex_state = 18, .external_lex_state = 2},
  [16325] = {.lex_state = 18, .external_lex_state = 2},
  [16326] = {.lex_state = 37, .external_lex_state = 2},
  [16327] = {.lex_state = 11, .external_lex_state = 2},
  [16328] = {.lex_state = 28, .external_lex_state = 2},
  [16329] = {.lex_state = 136, .external_lex_state = 2},
  [16330] = {.lex_state = 11, .external_lex_state = 2},
  [16331] = {.lex_state = 419, .external_lex_state = 2},
  [16332] = {.lex_state = 28, .external_lex_state = 2},
  [16333] = {.lex_state = 11, .external_lex_state = 2},
  [16334] = {.lex_state = 28, .external_lex_state = 2},
  [16335] = {.lex_state = 11, .external_lex_state = 2},
  [16336] = {.lex_state = 28, .external_lex_state = 2},
  [16337] = {.lex_state = 11, .external_lex_state = 2},
  [16338] = {.lex_state = 28, .external_lex_state = 2},
  [16339] = {.lex_state = 11, .external_lex_state = 2},
  [16340] = {.lex_state = 28, .external_lex_state = 2},
  [16341] = {.lex_state = 11, .external_lex_state = 2},
  [16342] = {.lex_state = 28, .external_lex_state = 2},
  [16343] = {.lex_state = 11, .external_lex_state = 2},
  [16344] = {.lex_state = 28, .external_lex_state = 2},
  [16345] = {.lex_state = 11, .external_lex_state = 2},
  [16346] = {.lex_state = 28, .external_lex_state = 2},
  [16347] = {.lex_state = 11, .external_lex_state = 2},
  [16348] = {.lex_state = 28, .external_lex_state = 2},
  [16349] = {.lex_state = 11, .external_lex_state = 2},
  [16350] = {.lex_state = 18, .external_lex_state = 2},
  [16351] = {.lex_state = 28, .external_lex_state = 2},
  [16352] = {.lex_state = 11, .external_lex_state = 2},
  [16353] = {.lex_state = 28, .external_lex_state = 2},
  [16354] = {.lex_state = 11, .external_lex_state = 2},
  [16355] = {.lex_state = 28, .external_lex_state = 2},
  [16356] = {.lex_state = 11, .external_lex_state = 2},
  [16357] = {.lex_state = 28, .external_lex_state = 2},
  [16358] = {.lex_state = 28, .external_lex_state = 2},
  [16359] = {.lex_state = 28, .external_lex_state = 2},
  [16360] = {.lex_state = 28, .external_lex_state = 2},
  [16361] = {.lex_state = 28, .external_lex_state = 2},
  [16362] = {.lex_state = 28, .external_lex_state = 2},
  [16363] = {.lex_state = 28, .external_lex_state = 2},
  [16364] = {.lex_state = 28, .external_lex_state = 2},
  [16365] = {.lex_state = 28, .external_lex_state = 2},
  [16366] = {.lex_state = 28, .external_lex_state = 2},
  [16367] = {.lex_state = 28, .external_lex_state = 2},
  [16368] = {.lex_state = 28, .external_lex_state = 2},
  [16369] = {.lex_state = 28, .external_lex_state = 2},
  [16370] = {.lex_state = 28, .external_lex_state = 2},
  [16371] = {.lex_state = 28, .external_lex_state = 2},
  [16372] = {.lex_state = 28, .external_lex_state = 2},
  [16373] = {.lex_state = 28, .external_lex_state = 2},
  [16374] = {.lex_state = 28, .external_lex_state = 2},
  [16375] = {.lex_state = 28, .external_lex_state = 2},
  [16376] = {.lex_state = 28, .external_lex_state = 2},
  [16377] = {.lex_state = 28, .external_lex_state = 2},
  [16378] = {.lex_state = 28, .external_lex_state = 2},
  [16379] = {.lex_state = 28, .external_lex_state = 2},
  [16380] = {.lex_state = 136, .external_lex_state = 2},
  [16381] = {.lex_state = 419, .external_lex_state = 2},
  [16382] = {.lex_state = 419, .external_lex_state = 2},
  [16383] = {.lex_state = 419, .external_lex_state = 2},
  [16384] = {.lex_state = 425, .external_lex_state = 2},
  [16385] = {.lex_state = 419, .external_lex_state = 2},
  [16386] = {.lex_state = 135, .external_lex_state = 2},
  [16387] = {.lex_state = 136, .external_lex_state = 2},
  [16388] = {.lex_state = 425, .external_lex_state = 2},
  [16389] = {.lex_state = 136, .external_lex_state = 2},
  [16390] = {.lex_state = 136, .external_lex_state = 2},
  [16391] = {.lex_state = 136, .external_lex_state = 2},
  [16392] = {.lex_state = 18, .external_lex_state = 2},
  [16393] = {.lex_state = 136, .external_lex_state = 2},
  [16394] = {.lex_state = 136, .external_lex_state = 2},
  [16395] = {.lex_state = 135, .external_lex_state = 2},
  [16396] = {.lex_state = 136, .external_lex_state = 2},
  [16397] = {.lex_state = 419, .external_lex_state = 2},
  [16398] = {.lex_state = 136, .external_lex_state = 2},
  [16399] = {.lex_state = 248, .external_lex_state = 8},
  [16400] = {.lex_state = 135, .external_lex_state = 2},
  [16401] = {.lex_state = 28, .external_lex_state = 2},
  [16402] = {.lex_state = 425, .external_lex_state = 2},
  [16403] = {.lex_state = 136, .external_lex_state = 2},
  [16404] = {.lex_state = 18, .external_lex_state = 2},
  [16405] = {.lex_state = 18, .external_lex_state = 2},
  [16406] = {.lex_state = 28, .external_lex_state = 2},
  [16407] = {.lex_state = 136, .external_lex_state = 2},
  [16408] = {.lex_state = 136, .external_lex_state = 2},
  [16409] = {.lex_state = 135, .external_lex_state = 2},
  [16410] = {.lex_state = 37, .external_lex_state = 2},
  [16411] = {.lex_state = 136, .external_lex_state = 2},
  [16412] = {.lex_state = 136, .external_lex_state = 2},
  [16413] = {.lex_state = 18, .external_lex_state = 2},
  [16414] = {.lex_state = 243, .external_lex_state = 2},
  [16415] = {.lex_state = 28, .external_lex_state = 2},
  [16416] = {.lex_state = 136, .external_lex_state = 2},
  [16417] = {.lex_state = 135, .external_lex_state = 2},
  [16418] = {.lex_state = 136, .external_lex_state = 2},
  [16419] = {.lex_state = 243, .external_lex_state = 2},
  [16420] = {.lex_state = 28, .external_lex_state = 2},
  [16421] = {.lex_state = 28, .external_lex_state = 2},
  [16422] = {.lex_state = 419, .external_lex_state = 2},
  [16423] = {.lex_state = 28, .external_lex_state = 2},
  [16424] = {.lex_state = 28, .external_lex_state = 2},
  [16425] = {.lex_state = 425, .external_lex_state = 2},
  [16426] = {.lex_state = 28, .external_lex_state = 2},
  [16427] = {.lex_state = 18, .external_lex_state = 2},
  [16428] = {.lex_state = 18, .external_lex_state = 2},
  [16429] = {.lex_state = 136, .external_lex_state = 2},
  [16430] = {.lex_state = 28, .external_lex_state = 2},
  [16431] = {.lex_state = 28, .external_lex_state = 2},
  [16432] = {.lex_state = 136, .external_lex_state = 2},
  [16433] = {.lex_state = 28, .external_lex_state = 2},
  [16434] = {.lex_state = 28, .external_lex_state = 2},
  [16435] = {.lex_state = 425, .external_lex_state = 2},
  [16436] = {.lex_state = 136, .external_lex_state = 2},
  [16437] = {.lex_state = 18, .external_lex_state = 2},
  [16438] = {.lex_state = 18, .external_lex_state = 2},
  [16439] = {.lex_state = 136, .external_lex_state = 2},
  [16440] = {.lex_state = 28, .external_lex_state = 2},
  [16441] = {.lex_state = 136, .external_lex_state = 2},
  [16442] = {.lex_state = 28, .external_lex_state = 2},
  [16443] = {.lex_state = 135, .external_lex_state = 2},
  [16444] = {.lex_state = 28, .external_lex_state = 2},
  [16445] = {.lex_state = 136, .external_lex_state = 2},
  [16446] = {.lex_state = 18, .external_lex_state = 2},
  [16447] = {.lex_state = 28, .external_lex_state = 2},
  [16448] = {.lex_state = 419, .external_lex_state = 2},
  [16449] = {.lex_state = 419, .external_lex_state = 2},
  [16450] = {.lex_state = 419, .external_lex_state = 2},
  [16451] = {.lex_state = 136, .external_lex_state = 2},
  [16452] = {.lex_state = 11, .external_lex_state = 2},
  [16453] = {.lex_state = 419, .external_lex_state = 8},
  [16454] = {.lex_state = 419, .external_lex_state = 2},
  [16455] = {.lex_state = 419, .external_lex_state = 8},
  [16456] = {.lex_state = 419, .external_lex_state = 8},
  [16457] = {.lex_state = 419, .external_lex_state = 2},
  [16458] = {.lex_state = 419, .external_lex_state = 2},
  [16459] = {.lex_state = 18, .external_lex_state = 2},
  [16460] = {.lex_state = 28, .external_lex_state = 2},
  [16461] = {.lex_state = 136, .external_lex_state = 2},
  [16462] = {.lex_state = 136, .external_lex_state = 2},
  [16463] = {.lex_state = 136, .external_lex_state = 2},
  [16464] = {.lex_state = 419, .external_lex_state = 2},
  [16465] = {.lex_state = 18, .external_lex_state = 2},
  [16466] = {.lex_state = 419, .external_lex_state = 2},
  [16467] = {.lex_state = 419, .external_lex_state = 2},
  [16468] = {.lex_state = 136, .external_lex_state = 2},
  [16469] = {.lex_state = 28, .external_lex_state = 2},
  [16470] = {.lex_state = 419, .external_lex_state = 2},
  [16471] = {.lex_state = 18, .external_lex_state = 2},
  [16472] = {.lex_state = 419, .external_lex_state = 2},
  [16473] = {.lex_state = 28, .external_lex_state = 2},
  [16474] = {.lex_state = 136, .external_lex_state = 2},
  [16475] = {.lex_state = 18, .external_lex_state = 2},
  [16476] = {.lex_state = 419, .external_lex_state = 2},
  [16477] = {.lex_state = 419, .external_lex_state = 2},
  [16478] = {.lex_state = 419, .external_lex_state = 2},
  [16479] = {.lex_state = 28, .external_lex_state = 2},
  [16480] = {.lex_state = 419, .external_lex_state = 8},
  [16481] = {.lex_state = 28, .external_lex_state = 2},
  [16482] = {.lex_state = 419, .external_lex_state = 2},
  [16483] = {.lex_state = 136, .external_lex_state = 2},
  [16484] = {.lex_state = 136, .external_lex_state = 2},
  [16485] = {.lex_state = 136, .external_lex_state = 2},
  [16486] = {.lex_state = 12, .external_lex_state = 2},
  [16487] = {.lex_state = 419, .external_lex_state = 2},
  [16488] = {.lex_state = 28, .external_lex_state = 2},
  [16489] = {.lex_state = 419, .external_lex_state = 2},
  [16490] = {.lex_state = 18, .external_lex_state = 2},
  [16491] = {.lex_state = 419, .external_lex_state = 2},
  [16492] = {.lex_state = 18, .external_lex_state = 2},
  [16493] = {.lex_state = 28, .external_lex_state = 2},
  [16494] = {.lex_state = 28, .external_lex_state = 2},
  [16495] = {.lex_state = 18, .external_lex_state = 2},
  [16496] = {.lex_state = 419, .external_lex_state = 8},
  [16497] = {.lex_state = 419, .external_lex_state = 2},
  [16498] = {.lex_state = 136, .external_lex_state = 2},
  [16499] = {.lex_state = 419, .external_lex_state = 2},
  [16500] = {.lex_state = 136, .external_lex_state = 2},
  [16501] = {.lex_state = 136, .external_lex_state = 2},
  [16502] = {.lex_state = 136, .external_lex_state = 2},
  [16503] = {.lex_state = 419, .external_lex_state = 2},
  [16504] = {.lex_state = 28, .external_lex_state = 2},
  [16505] = {.lex_state = 28, .external_lex_state = 2},
  [16506] = {.lex_state = 419, .external_lex_state = 2},
  [16507] = {.lex_state = 18, .external_lex_state = 2},
  [16508] = {.lex_state = 419, .external_lex_state = 2},
  [16509] = {.lex_state = 18, .external_lex_state = 2},
  [16510] = {.lex_state = 419, .external_lex_state = 2},
  [16511] = {.lex_state = 419, .external_lex_state = 8},
  [16512] = {.lex_state = 28, .external_lex_state = 2},
  [16513] = {.lex_state = 28, .external_lex_state = 2},
  [16514] = {.lex_state = 28, .external_lex_state = 2},
  [16515] = {.lex_state = 136, .external_lex_state = 2},
  [16516] = {.lex_state = 136, .external_lex_state = 2},
  [16517] = {.lex_state = 136, .external_lex_state = 2},
  [16518] = {.lex_state = 28, .external_lex_state = 2},
  [16519] = {.lex_state = 419, .external_lex_state = 2},
  [16520] = {.lex_state = 28, .external_lex_state = 2},
  [16521] = {.lex_state = 419, .external_lex_state = 2},
  [16522] = {.lex_state = 136, .external_lex_state = 2},
  [16523] = {.lex_state = 28, .external_lex_state = 2},
  [16524] = {.lex_state = 419, .external_lex_state = 2},
  [16525] = {.lex_state = 419, .external_lex_state = 8},
  [16526] = {.lex_state = 28, .external_lex_state = 2},
  [16527] = {.lex_state = 18, .external_lex_state = 2},
  [16528] = {.lex_state = 28, .external_lex_state = 2},
  [16529] = {.lex_state = 419, .external_lex_state = 2},
  [16530] = {.lex_state = 136, .external_lex_state = 2},
  [16531] = {.lex_state = 136, .external_lex_state = 2},
  [16532] = {.lex_state = 136, .external_lex_state = 2},
  [16533] = {.lex_state = 419, .external_lex_state = 2},
  [16534] = {.lex_state = 419, .external_lex_state = 2},
  [16535] = {.lex_state = 18, .external_lex_state = 2},
  [16536] = {.lex_state = 419, .external_lex_state = 2},
  [16537] = {.lex_state = 419, .external_lex_state = 2},
  [16538] = {.lex_state = 419, .external_lex_state = 2},
  [16539] = {.lex_state = 419, .external_lex_state = 2},
  [16540] = {.lex_state = 28, .external_lex_state = 2},
  [16541] = {.lex_state = 28, .external_lex_state = 2},
  [16542] = {.lex_state = 18, .external_lex_state = 2},
  [16543] = {.lex_state = 28, .external_lex_state = 2},
  [16544] = {.lex_state = 419, .external_lex_state = 8},
  [16545] = {.lex_state = 136, .external_lex_state = 2},
  [16546] = {.lex_state = 136, .external_lex_state = 2},
  [16547] = {.lex_state = 18, .external_lex_state = 2},
  [16548] = {.lex_state = 136, .external_lex_state = 2},
  [16549] = {.lex_state = 136, .external_lex_state = 2},
  [16550] = {.lex_state = 136, .external_lex_state = 2},
  [16551] = {.lex_state = 419, .external_lex_state = 2},
  [16552] = {.lex_state = 419, .external_lex_state = 2},
  [16553] = {.lex_state = 419, .external_lex_state = 2},
  [16554] = {.lex_state = 136, .external_lex_state = 2},
  [16555] = {.lex_state = 28, .external_lex_state = 2},
  [16556] = {.lex_state = 28, .external_lex_state = 2},
  [16557] = {.lex_state = 18, .external_lex_state = 2},
  [16558] = {.lex_state = 419, .external_lex_state = 2},
  [16559] = {.lex_state = 12, .external_lex_state = 2},
  [16560] = {.lex_state = 419, .external_lex_state = 2},
  [16561] = {.lex_state = 419, .external_lex_state = 2},
  [16562] = {.lex_state = 419, .external_lex_state = 8},
  [16563] = {.lex_state = 419, .external_lex_state = 2},
  [16564] = {.lex_state = 419, .external_lex_state = 2},
  [16565] = {.lex_state = 136, .external_lex_state = 2},
  [16566] = {.lex_state = 18, .external_lex_state = 2},
  [16567] = {.lex_state = 136, .external_lex_state = 2},
  [16568] = {.lex_state = 136, .external_lex_state = 2},
  [16569] = {.lex_state = 136, .external_lex_state = 2},
  [16570] = {.lex_state = 419, .external_lex_state = 2},
  [16571] = {.lex_state = 419, .external_lex_state = 2},
  [16572] = {.lex_state = 28, .external_lex_state = 2},
  [16573] = {.lex_state = 18, .external_lex_state = 2},
  [16574] = {.lex_state = 419, .external_lex_state = 2},
  [16575] = {.lex_state = 18, .external_lex_state = 2},
  [16576] = {.lex_state = 28, .external_lex_state = 2},
  [16577] = {.lex_state = 28, .external_lex_state = 2},
  [16578] = {.lex_state = 419, .external_lex_state = 2},
  [16579] = {.lex_state = 28, .external_lex_state = 2},
  [16580] = {.lex_state = 28, .external_lex_state = 2},
  [16581] = {.lex_state = 419, .external_lex_state = 8},
  [16582] = {.lex_state = 18, .external_lex_state = 2},
  [16583] = {.lex_state = 18, .external_lex_state = 2},
  [16584] = {.lex_state = 136, .external_lex_state = 2},
  [16585] = {.lex_state = 136, .external_lex_state = 2},
  [16586] = {.lex_state = 136, .external_lex_state = 2},
  [16587] = {.lex_state = 28, .external_lex_state = 2},
  [16588] = {.lex_state = 419, .external_lex_state = 2},
  [16589] = {.lex_state = 28, .external_lex_state = 2},
  [16590] = {.lex_state = 28, .external_lex_state = 2},
  [16591] = {.lex_state = 419, .external_lex_state = 2},
  [16592] = {.lex_state = 419, .external_lex_state = 2},
  [16593] = {.lex_state = 8, .external_lex_state = 2},
  [16594] = {.lex_state = 18, .external_lex_state = 2},
  [16595] = {.lex_state = 18, .external_lex_state = 2},
  [16596] = {.lex_state = 18, .external_lex_state = 2},
  [16597] = {.lex_state = 419, .external_lex_state = 2},
  [16598] = {.lex_state = 419, .external_lex_state = 8},
  [16599] = {.lex_state = 419, .external_lex_state = 8},
  [16600] = {.lex_state = 18, .external_lex_state = 2},
  [16601] = {.lex_state = 419, .external_lex_state = 8},
  [16602] = {.lex_state = 28, .external_lex_state = 2},
  [16603] = {.lex_state = 136, .external_lex_state = 2},
  [16604] = {.lex_state = 136, .external_lex_state = 2},
  [16605] = {.lex_state = 136, .external_lex_state = 2},
  [16606] = {.lex_state = 28, .external_lex_state = 2},
  [16607] = {.lex_state = 419, .external_lex_state = 2},
  [16608] = {.lex_state = 419, .external_lex_state = 2},
  [16609] = {.lex_state = 419, .external_lex_state = 2},
  [16610] = {.lex_state = 419, .external_lex_state = 2},
  [16611] = {.lex_state = 136, .external_lex_state = 2},
  [16612] = {.lex_state = 419, .external_lex_state = 2},
  [16613] = {.lex_state = 28, .external_lex_state = 2},
  [16614] = {.lex_state = 419, .external_lex_state = 2},
  [16615] = {.lex_state = 18, .external_lex_state = 2},
  [16616] = {.lex_state = 419, .external_lex_state = 2},
  [16617] = {.lex_state = 419, .external_lex_state = 2},
  [16618] = {.lex_state = 136, .external_lex_state = 2},
  [16619] = {.lex_state = 18, .external_lex_state = 2},
  [16620] = {.lex_state = 419, .external_lex_state = 8},
  [16621] = {.lex_state = 136, .external_lex_state = 2},
  [16622] = {.lex_state = 28, .external_lex_state = 2},
  [16623] = {.lex_state = 28, .external_lex_state = 2},
  [16624] = {.lex_state = 136, .external_lex_state = 2},
  [16625] = {.lex_state = 136, .external_lex_state = 2},
  [16626] = {.lex_state = 136, .external_lex_state = 2},
  [16627] = {.lex_state = 136, .external_lex_state = 2},
  [16628] = {.lex_state = 28, .external_lex_state = 2},
  [16629] = {.lex_state = 136, .external_lex_state = 2},
  [16630] = {.lex_state = 419, .external_lex_state = 2},
  [16631] = {.lex_state = 136, .external_lex_state = 2},
  [16632] = {.lex_state = 419, .external_lex_state = 2},
  [16633] = {.lex_state = 419, .external_lex_state = 2},
  [16634] = {.lex_state = 419, .external_lex_state = 2},
  [16635] = {.lex_state = 419, .external_lex_state = 2},
  [16636] = {.lex_state = 12, .external_lex_state = 2},
  [16637] = {.lex_state = 28, .external_lex_state = 2},
  [16638] = {.lex_state = 28, .external_lex_state = 2},
  [16639] = {.lex_state = 419, .external_lex_state = 8},
  [16640] = {.lex_state = 28, .external_lex_state = 2},
  [16641] = {.lex_state = 419, .external_lex_state = 2},
  [16642] = {.lex_state = 136, .external_lex_state = 2},
  [16643] = {.lex_state = 136, .external_lex_state = 2},
  [16644] = {.lex_state = 136, .external_lex_state = 2},
  [16645] = {.lex_state = 419, .external_lex_state = 2},
  [16646] = {.lex_state = 28, .external_lex_state = 2},
  [16647] = {.lex_state = 18, .external_lex_state = 2},
  [16648] = {.lex_state = 419, .external_lex_state = 2},
  [16649] = {.lex_state = 419, .external_lex_state = 2},
  [16650] = {.lex_state = 419, .external_lex_state = 2},
  [16651] = {.lex_state = 28, .external_lex_state = 2},
  [16652] = {.lex_state = 28, .external_lex_state = 2},
  [16653] = {.lex_state = 18, .external_lex_state = 2},
  [16654] = {.lex_state = 18, .external_lex_state = 2},
  [16655] = {.lex_state = 419, .external_lex_state = 8},
  [16656] = {.lex_state = 136, .external_lex_state = 2},
  [16657] = {.lex_state = 136, .external_lex_state = 2},
  [16658] = {.lex_state = 136, .external_lex_state = 2},
  [16659] = {.lex_state = 136, .external_lex_state = 2},
  [16660] = {.lex_state = 18, .external_lex_state = 2},
  [16661] = {.lex_state = 419, .external_lex_state = 2},
  [16662] = {.lex_state = 419, .external_lex_state = 2},
  [16663] = {.lex_state = 18, .external_lex_state = 2},
  [16664] = {.lex_state = 28, .external_lex_state = 2},
  [16665] = {.lex_state = 419, .external_lex_state = 2},
  [16666] = {.lex_state = 419, .external_lex_state = 2},
  [16667] = {.lex_state = 28, .external_lex_state = 2},
  [16668] = {.lex_state = 28, .external_lex_state = 2},
  [16669] = {.lex_state = 419, .external_lex_state = 2},
  [16670] = {.lex_state = 419, .external_lex_state = 2},
  [16671] = {.lex_state = 18, .external_lex_state = 2},
  [16672] = {.lex_state = 8, .external_lex_state = 2},
  [16673] = {.lex_state = 419, .external_lex_state = 8},
  [16674] = {.lex_state = 28, .external_lex_state = 2},
  [16675] = {.lex_state = 18, .external_lex_state = 2},
  [16676] = {.lex_state = 28, .external_lex_state = 2},
  [16677] = {.lex_state = 28, .external_lex_state = 2},
  [16678] = {.lex_state = 28, .external_lex_state = 2},
  [16679] = {.lex_state = 136, .external_lex_state = 2},
  [16680] = {.lex_state = 136, .external_lex_state = 2},
  [16681] = {.lex_state = 136, .external_lex_state = 2},
  [16682] = {.lex_state = 28, .external_lex_state = 2},
  [16683] = {.lex_state = 419, .external_lex_state = 2},
  [16684] = {.lex_state = 28, .external_lex_state = 2},
  [16685] = {.lex_state = 28, .external_lex_state = 2},
  [16686] = {.lex_state = 28, .external_lex_state = 2},
  [16687] = {.lex_state = 419, .external_lex_state = 8},
  [16688] = {.lex_state = 28, .external_lex_state = 2},
  [16689] = {.lex_state = 18, .external_lex_state = 2},
  [16690] = {.lex_state = 419, .external_lex_state = 2},
  [16691] = {.lex_state = 136, .external_lex_state = 2},
  [16692] = {.lex_state = 136, .external_lex_state = 2},
  [16693] = {.lex_state = 136, .external_lex_state = 2},
  [16694] = {.lex_state = 419, .external_lex_state = 2},
  [16695] = {.lex_state = 28, .external_lex_state = 2},
  [16696] = {.lex_state = 419, .external_lex_state = 2},
  [16697] = {.lex_state = 419, .external_lex_state = 2},
  [16698] = {.lex_state = 28, .external_lex_state = 2},
  [16699] = {.lex_state = 18, .external_lex_state = 2},
  [16700] = {.lex_state = 136, .external_lex_state = 2},
  [16701] = {.lex_state = 419, .external_lex_state = 2},
  [16702] = {.lex_state = 419, .external_lex_state = 8},
  [16703] = {.lex_state = 18, .external_lex_state = 2},
  [16704] = {.lex_state = 419, .external_lex_state = 2},
  [16705] = {.lex_state = 18, .external_lex_state = 2},
  [16706] = {.lex_state = 28, .external_lex_state = 2},
  [16707] = {.lex_state = 419, .external_lex_state = 2},
  [16708] = {.lex_state = 136, .external_lex_state = 2},
  [16709] = {.lex_state = 136, .external_lex_state = 2},
  [16710] = {.lex_state = 136, .external_lex_state = 2},
  [16711] = {.lex_state = 8, .external_lex_state = 2},
  [16712] = {.lex_state = 419, .external_lex_state = 2},
  [16713] = {.lex_state = 136, .external_lex_state = 2},
  [16714] = {.lex_state = 419, .external_lex_state = 2},
  [16715] = {.lex_state = 136, .external_lex_state = 2},
  [16716] = {.lex_state = 136, .external_lex_state = 2},
  [16717] = {.lex_state = 419, .external_lex_state = 2},
  [16718] = {.lex_state = 28, .external_lex_state = 2},
  [16719] = {.lex_state = 18, .external_lex_state = 2},
  [16720] = {.lex_state = 419, .external_lex_state = 2},
  [16721] = {.lex_state = 419, .external_lex_state = 2},
  [16722] = {.lex_state = 419, .external_lex_state = 8},
  [16723] = {.lex_state = 419, .external_lex_state = 2},
  [16724] = {.lex_state = 28, .external_lex_state = 2},
  [16725] = {.lex_state = 419, .external_lex_state = 2},
  [16726] = {.lex_state = 28, .external_lex_state = 2},
  [16727] = {.lex_state = 18, .external_lex_state = 2},
  [16728] = {.lex_state = 136, .external_lex_state = 2},
  [16729] = {.lex_state = 136, .external_lex_state = 2},
  [16730] = {.lex_state = 136, .external_lex_state = 2},
  [16731] = {.lex_state = 419, .external_lex_state = 2},
  [16732] = {.lex_state = 136, .external_lex_state = 2},
  [16733] = {.lex_state = 419, .external_lex_state = 8},
  [16734] = {.lex_state = 419, .external_lex_state = 2},
  [16735] = {.lex_state = 419, .external_lex_state = 2},
  [16736] = {.lex_state = 419, .external_lex_state = 8},
  [16737] = {.lex_state = 419, .external_lex_state = 2},
  [16738] = {.lex_state = 136, .external_lex_state = 2},
  [16739] = {.lex_state = 28, .external_lex_state = 2},
  [16740] = {.lex_state = 28, .external_lex_state = 2},
  [16741] = {.lex_state = 419, .external_lex_state = 2},
  [16742] = {.lex_state = 419, .external_lex_state = 8},
  [16743] = {.lex_state = 419, .external_lex_state = 2},
  [16744] = {.lex_state = 18, .external_lex_state = 2},
  [16745] = {.lex_state = 136, .external_lex_state = 2},
  [16746] = {.lex_state = 136, .external_lex_state = 2},
  [16747] = {.lex_state = 136, .external_lex_state = 2},
  [16748] = {.lex_state = 18, .external_lex_state = 2},
  [16749] = {.lex_state = 419, .external_lex_state = 2},
  [16750] = {.lex_state = 419, .external_lex_state = 2},
  [16751] = {.lex_state = 28, .external_lex_state = 2},
  [16752] = {.lex_state = 136, .external_lex_state = 2},
  [16753] = {.lex_state = 136, .external_lex_state = 2},
  [16754] = {.lex_state = 136, .external_lex_state = 2},
  [16755] = {.lex_state = 419, .external_lex_state = 8},
  [16756] = {.lex_state = 28, .external_lex_state = 2},
  [16757] = {.lex_state = 18, .external_lex_state = 2},
  [16758] = {.lex_state = 18, .external_lex_state = 2},
  [16759] = {.lex_state = 28, .external_lex_state = 2},
  [16760] = {.lex_state = 419, .external_lex_state = 2},
  [16761] = {.lex_state = 28, .external_lex_state = 2},
  [16762] = {.lex_state = 136, .external_lex_state = 2},
  [16763] = {.lex_state = 136, .external_lex_state = 2},
  [16764] = {.lex_state = 136, .external_lex_state = 2},
  [16765] = {.lex_state = 18, .external_lex_state = 2},
  [16766] = {.lex_state = 419, .external_lex_state = 2},
  [16767] = {.lex_state = 11, .external_lex_state = 2},
  [16768] = {.lex_state = 18, .external_lex_state = 2},
  [16769] = {.lex_state = 419, .external_lex_state = 2},
  [16770] = {.lex_state = 18, .external_lex_state = 2},
  [16771] = {.lex_state = 28, .external_lex_state = 2},
  [16772] = {.lex_state = 419, .external_lex_state = 2},
  [16773] = {.lex_state = 136, .external_lex_state = 2},
  [16774] = {.lex_state = 136, .external_lex_state = 2},
  [16775] = {.lex_state = 419, .external_lex_state = 8},
  [16776] = {.lex_state = 419, .external_lex_state = 2},
  [16777] = {.lex_state = 28, .external_lex_state = 2},
  [16778] = {.lex_state = 28, .external_lex_state = 2},
  [16779] = {.lex_state = 419, .external_lex_state = 2},
  [16780] = {.lex_state = 136, .external_lex_state = 2},
  [16781] = {.lex_state = 136, .external_lex_state = 2},
  [16782] = {.lex_state = 136, .external_lex_state = 2},
  [16783] = {.lex_state = 419, .external_lex_state = 2},
  [16784] = {.lex_state = 28, .external_lex_state = 2},
  [16785] = {.lex_state = 419, .external_lex_state = 2},
  [16786] = {.lex_state = 419, .external_lex_state = 2},
  [16787] = {.lex_state = 28, .external_lex_state = 2},
  [16788] = {.lex_state = 28, .external_lex_state = 2},
  [16789] = {.lex_state = 419, .external_lex_state = 2},
  [16790] = {.lex_state = 419, .external_lex_state = 8},
  [16791] = {.lex_state = 28, .external_lex_state = 2},
  [16792] = {.lex_state = 28, .external_lex_state = 2},
  [16793] = {.lex_state = 419, .external_lex_state = 2},
  [16794] = {.lex_state = 136, .external_lex_state = 2},
  [16795] = {.lex_state = 136, .external_lex_state = 2},
  [16796] = {.lex_state = 136, .external_lex_state = 2},
  [16797] = {.lex_state = 419, .external_lex_state = 2},
  [16798] = {.lex_state = 419, .external_lex_state = 2},
  [16799] = {.lex_state = 419, .external_lex_state = 2},
  [16800] = {.lex_state = 28, .external_lex_state = 2},
  [16801] = {.lex_state = 136, .external_lex_state = 2},
  [16802] = {.lex_state = 28, .external_lex_state = 2},
  [16803] = {.lex_state = 419, .external_lex_state = 8},
  [16804] = {.lex_state = 419, .external_lex_state = 2},
  [16805] = {.lex_state = 8, .external_lex_state = 2},
  [16806] = {.lex_state = 18, .external_lex_state = 2},
  [16807] = {.lex_state = 18, .external_lex_state = 2},
  [16808] = {.lex_state = 18, .external_lex_state = 2},
  [16809] = {.lex_state = 419, .external_lex_state = 2},
  [16810] = {.lex_state = 136, .external_lex_state = 2},
  [16811] = {.lex_state = 136, .external_lex_state = 2},
  [16812] = {.lex_state = 136, .external_lex_state = 2},
  [16813] = {.lex_state = 28, .external_lex_state = 2},
  [16814] = {.lex_state = 28, .external_lex_state = 2},
  [16815] = {.lex_state = 419, .external_lex_state = 2},
  [16816] = {.lex_state = 136, .external_lex_state = 2},
  [16817] = {.lex_state = 419, .external_lex_state = 2},
  [16818] = {.lex_state = 28, .external_lex_state = 2},
  [16819] = {.lex_state = 18, .external_lex_state = 2},
  [16820] = {.lex_state = 28, .external_lex_state = 2},
  [16821] = {.lex_state = 419, .external_lex_state = 2},
  [16822] = {.lex_state = 28, .external_lex_state = 2},
  [16823] = {.lex_state = 419, .external_lex_state = 8},
  [16824] = {.lex_state = 28, .external_lex_state = 2},
  [16825] = {.lex_state = 18, .external_lex_state = 2},
  [16826] = {.lex_state = 136, .external_lex_state = 2},
  [16827] = {.lex_state = 136, .external_lex_state = 2},
  [16828] = {.lex_state = 136, .external_lex_state = 2},
  [16829] = {.lex_state = 28, .external_lex_state = 2},
  [16830] = {.lex_state = 28, .external_lex_state = 2},
  [16831] = {.lex_state = 28, .external_lex_state = 2},
  [16832] = {.lex_state = 28, .external_lex_state = 2},
  [16833] = {.lex_state = 419, .external_lex_state = 2},
  [16834] = {.lex_state = 419, .external_lex_state = 8},
  [16835] = {.lex_state = 419, .external_lex_state = 8},
  [16836] = {.lex_state = 136, .external_lex_state = 2},
  [16837] = {.lex_state = 136, .external_lex_state = 2},
  [16838] = {.lex_state = 136, .external_lex_state = 2},
  [16839] = {.lex_state = 28, .external_lex_state = 2},
  [16840] = {.lex_state = 419, .external_lex_state = 2},
  [16841] = {.lex_state = 12, .external_lex_state = 2},
  [16842] = {.lex_state = 419, .external_lex_state = 8},
  [16843] = {.lex_state = 18, .external_lex_state = 2},
  [16844] = {.lex_state = 136, .external_lex_state = 2},
  [16845] = {.lex_state = 136, .external_lex_state = 2},
  [16846] = {.lex_state = 136, .external_lex_state = 2},
  [16847] = {.lex_state = 18, .external_lex_state = 2},
  [16848] = {.lex_state = 18, .external_lex_state = 2},
  [16849] = {.lex_state = 419, .external_lex_state = 8},
  [16850] = {.lex_state = 419, .external_lex_state = 2},
  [16851] = {.lex_state = 419, .external_lex_state = 8},
  [16852] = {.lex_state = 136, .external_lex_state = 2},
  [16853] = {.lex_state = 136, .external_lex_state = 2},
  [16854] = {.lex_state = 136, .external_lex_state = 2},
  [16855] = {.lex_state = 419, .external_lex_state = 8},
  [16856] = {.lex_state = 419, .external_lex_state = 2},
  [16857] = {.lex_state = 419, .external_lex_state = 8},
  [16858] = {.lex_state = 136, .external_lex_state = 2},
  [16859] = {.lex_state = 136, .external_lex_state = 2},
  [16860] = {.lex_state = 136, .external_lex_state = 2},
  [16861] = {.lex_state = 136, .external_lex_state = 2},
  [16862] = {.lex_state = 419, .external_lex_state = 2},
  [16863] = {.lex_state = 419, .external_lex_state = 8},
  [16864] = {.lex_state = 136, .external_lex_state = 2},
  [16865] = {.lex_state = 136, .external_lex_state = 2},
  [16866] = {.lex_state = 136, .external_lex_state = 2},
  [16867] = {.lex_state = 419, .external_lex_state = 2},
  [16868] = {.lex_state = 18, .external_lex_state = 2},
  [16869] = {.lex_state = 419, .external_lex_state = 8},
  [16870] = {.lex_state = 136, .external_lex_state = 2},
  [16871] = {.lex_state = 136, .external_lex_state = 2},
  [16872] = {.lex_state = 136, .external_lex_state = 2},
  [16873] = {.lex_state = 28, .external_lex_state = 2},
  [16874] = {.lex_state = 28, .external_lex_state = 2},
  [16875] = {.lex_state = 419, .external_lex_state = 8},
  [16876] = {.lex_state = 136, .external_lex_state = 2},
  [16877] = {.lex_state = 136, .external_lex_state = 2},
  [16878] = {.lex_state = 136, .external_lex_state = 2},
  [16879] = {.lex_state = 28, .external_lex_state = 2},
  [16880] = {.lex_state = 18, .external_lex_state = 2},
  [16881] = {.lex_state = 419, .external_lex_state = 8},
  [16882] = {.lex_state = 136, .external_lex_state = 2},
  [16883] = {.lex_state = 136, .external_lex_state = 2},
  [16884] = {.lex_state = 136, .external_lex_state = 2},
  [16885] = {.lex_state = 18, .external_lex_state = 2},
  [16886] = {.lex_state = 136, .external_lex_state = 2},
  [16887] = {.lex_state = 419, .external_lex_state = 8},
  [16888] = {.lex_state = 136, .external_lex_state = 2},
  [16889] = {.lex_state = 136, .external_lex_state = 2},
  [16890] = {.lex_state = 136, .external_lex_state = 2},
  [16891] = {.lex_state = 136, .external_lex_state = 2},
  [16892] = {.lex_state = 136, .external_lex_state = 2},
  [16893] = {.lex_state = 419, .external_lex_state = 8},
  [16894] = {.lex_state = 136, .external_lex_state = 2},
  [16895] = {.lex_state = 136, .external_lex_state = 2},
  [16896] = {.lex_state = 136, .external_lex_state = 2},
  [16897] = {.lex_state = 18, .external_lex_state = 2},
  [16898] = {.lex_state = 28, .external_lex_state = 2},
  [16899] = {.lex_state = 419, .external_lex_state = 8},
  [16900] = {.lex_state = 136, .external_lex_state = 2},
  [16901] = {.lex_state = 136, .external_lex_state = 2},
  [16902] = {.lex_state = 136, .external_lex_state = 2},
  [16903] = {.lex_state = 28, .external_lex_state = 2},
  [16904] = {.lex_state = 12, .external_lex_state = 2},
  [16905] = {.lex_state = 419, .external_lex_state = 8},
  [16906] = {.lex_state = 136, .external_lex_state = 2},
  [16907] = {.lex_state = 136, .external_lex_state = 2},
  [16908] = {.lex_state = 136, .external_lex_state = 2},
  [16909] = {.lex_state = 18, .external_lex_state = 2},
  [16910] = {.lex_state = 419, .external_lex_state = 2},
  [16911] = {.lex_state = 419, .external_lex_state = 8},
  [16912] = {.lex_state = 136, .external_lex_state = 2},
  [16913] = {.lex_state = 136, .external_lex_state = 2},
  [16914] = {.lex_state = 136, .external_lex_state = 2},
  [16915] = {.lex_state = 18, .external_lex_state = 2},
  [16916] = {.lex_state = 18, .external_lex_state = 2},
  [16917] = {.lex_state = 419, .external_lex_state = 2},
  [16918] = {.lex_state = 419, .external_lex_state = 8},
  [16919] = {.lex_state = 136, .external_lex_state = 2},
  [16920] = {.lex_state = 136, .external_lex_state = 2},
  [16921] = {.lex_state = 136, .external_lex_state = 2},
  [16922] = {.lex_state = 28, .external_lex_state = 2},
  [16923] = {.lex_state = 18, .external_lex_state = 2},
  [16924] = {.lex_state = 419, .external_lex_state = 8},
  [16925] = {.lex_state = 28, .external_lex_state = 2},
  [16926] = {.lex_state = 136, .external_lex_state = 2},
  [16927] = {.lex_state = 419, .external_lex_state = 8},
  [16928] = {.lex_state = 18, .external_lex_state = 2},
  [16929] = {.lex_state = 18, .external_lex_state = 2},
  [16930] = {.lex_state = 419, .external_lex_state = 8},
  [16931] = {.lex_state = 28, .external_lex_state = 2},
  [16932] = {.lex_state = 28, .external_lex_state = 2},
  [16933] = {.lex_state = 419, .external_lex_state = 8},
  [16934] = {.lex_state = 419, .external_lex_state = 2},
  [16935] = {.lex_state = 28, .external_lex_state = 2},
  [16936] = {.lex_state = 419, .external_lex_state = 8},
  [16937] = {.lex_state = 28, .external_lex_state = 2},
  [16938] = {.lex_state = 28, .external_lex_state = 2},
  [16939] = {.lex_state = 419, .external_lex_state = 8},
  [16940] = {.lex_state = 18, .external_lex_state = 2},
  [16941] = {.lex_state = 419, .external_lex_state = 2},
  [16942] = {.lex_state = 419, .external_lex_state = 8},
  [16943] = {.lex_state = 18, .external_lex_state = 2},
  [16944] = {.lex_state = 28, .external_lex_state = 2},
  [16945] = {.lex_state = 419, .external_lex_state = 8},
  [16946] = {.lex_state = 419, .external_lex_state = 2},
  [16947] = {.lex_state = 18, .external_lex_state = 2},
  [16948] = {.lex_state = 419, .external_lex_state = 8},
  [16949] = {.lex_state = 419, .external_lex_state = 2},
  [16950] = {.lex_state = 419, .external_lex_state = 8},
  [16951] = {.lex_state = 419, .external_lex_state = 8},
  [16952] = {.lex_state = 419, .external_lex_state = 2},
  [16953] = {.lex_state = 419, .external_lex_state = 8},
  [16954] = {.lex_state = 419, .external_lex_state = 8},
  [16955] = {.lex_state = 419, .external_lex_state = 2},
  [16956] = {.lex_state = 18, .external_lex_state = 2},
  [16957] = {.lex_state = 419, .external_lex_state = 8},
  [16958] = {.lex_state = 28, .external_lex_state = 2},
  [16959] = {.lex_state = 419, .external_lex_state = 2},
  [16960] = {.lex_state = 419, .external_lex_state = 8},
  [16961] = {.lex_state = 419, .external_lex_state = 2},
  [16962] = {.lex_state = 419, .external_lex_state = 2},
  [16963] = {.lex_state = 419, .external_lex_state = 8},
  [16964] = {.lex_state = 18, .external_lex_state = 2},
  [16965] = {.lex_state = 136, .external_lex_state = 2},
  [16966] = {.lex_state = 419, .external_lex_state = 8},
  [16967] = {.lex_state = 136, .external_lex_state = 2},
  [16968] = {.lex_state = 136, .external_lex_state = 2},
  [16969] = {.lex_state = 419, .external_lex_state = 8},
  [16970] = {.lex_state = 28, .external_lex_state = 2},
  [16971] = {.lex_state = 18, .external_lex_state = 2},
  [16972] = {.lex_state = 419, .external_lex_state = 8},
  [16973] = {.lex_state = 419, .external_lex_state = 2},
  [16974] = {.lex_state = 419, .external_lex_state = 2},
  [16975] = {.lex_state = 419, .external_lex_state = 8},
  [16976] = {.lex_state = 28, .external_lex_state = 2},
  [16977] = {.lex_state = 28, .external_lex_state = 2},
  [16978] = {.lex_state = 419, .external_lex_state = 8},
  [16979] = {.lex_state = 136, .external_lex_state = 2},
  [16980] = {.lex_state = 419, .external_lex_state = 2},
  [16981] = {.lex_state = 419, .external_lex_state = 8},
  [16982] = {.lex_state = 18, .external_lex_state = 2},
  [16983] = {.lex_state = 419, .external_lex_state = 2},
  [16984] = {.lex_state = 419, .external_lex_state = 8},
  [16985] = {.lex_state = 28, .external_lex_state = 2},
  [16986] = {.lex_state = 28, .external_lex_state = 2},
  [16987] = {.lex_state = 419, .external_lex_state = 8},
  [16988] = {.lex_state = 419, .external_lex_state = 2},
  [16989] = {.lex_state = 419, .external_lex_state = 2},
  [16990] = {.lex_state = 419, .external_lex_state = 8},
  [16991] = {.lex_state = 419, .external_lex_state = 2},
  [16992] = {.lex_state = 419, .external_lex_state = 2},
  [16993] = {.lex_state = 419, .external_lex_state = 2},
  [16994] = {.lex_state = 28, .external_lex_state = 2},
  [16995] = {.lex_state = 419, .external_lex_state = 2},
  [16996] = {.lex_state = 18, .external_lex_state = 2},
  [16997] = {.lex_state = 28, .external_lex_state = 2},
  [16998] = {.lex_state = 28, .external_lex_state = 2},
  [16999] = {.lex_state = 28, .external_lex_state = 2},
  [17000] = {.lex_state = 18, .external_lex_state = 2},
  [17001] = {.lex_state = 28, .external_lex_state = 2},
  [17002] = {.lex_state = 18, .external_lex_state = 2},
  [17003] = {.lex_state = 419, .external_lex_state = 2},
  [17004] = {.lex_state = 419, .external_lex_state = 2},
  [17005] = {.lex_state = 419, .external_lex_state = 2},
  [17006] = {.lex_state = 419, .external_lex_state = 2},
  [17007] = {.lex_state = 419, .external_lex_state = 2},
  [17008] = {.lex_state = 419, .external_lex_state = 2},
  [17009] = {.lex_state = 28, .external_lex_state = 2},
  [17010] = {.lex_state = 28, .external_lex_state = 2},
  [17011] = {.lex_state = 28, .external_lex_state = 2},
  [17012] = {.lex_state = 18, .external_lex_state = 2},
  [17013] = {.lex_state = 419, .external_lex_state = 2},
  [17014] = {.lex_state = 419, .external_lex_state = 8},
  [17015] = {.lex_state = 28, .external_lex_state = 2},
  [17016] = {.lex_state = 28, .external_lex_state = 2},
  [17017] = {.lex_state = 28, .external_lex_state = 2},
  [17018] = {.lex_state = 419, .external_lex_state = 2},
  [17019] = {.lex_state = 419, .external_lex_state = 2},
  [17020] = {.lex_state = 11, .external_lex_state = 2},
  [17021] = {.lex_state = 28, .external_lex_state = 2},
  [17022] = {.lex_state = 28, .external_lex_state = 2},
  [17023] = {.lex_state = 11, .external_lex_state = 2},
  [17024] = {.lex_state = 419, .external_lex_state = 2},
  [17025] = {.lex_state = 136, .external_lex_state = 2},
  [17026] = {.lex_state = 136, .external_lex_state = 2},
  [17027] = {.lex_state = 136, .external_lex_state = 2},
  [17028] = {.lex_state = 419, .external_lex_state = 2},
  [17029] = {.lex_state = 18, .external_lex_state = 2},
  [17030] = {.lex_state = 28, .external_lex_state = 2},
  [17031] = {.lex_state = 28, .external_lex_state = 2},
  [17032] = {.lex_state = 18, .external_lex_state = 2},
  [17033] = {.lex_state = 419, .external_lex_state = 2},
  [17034] = {.lex_state = 18, .external_lex_state = 2},
  [17035] = {.lex_state = 18, .external_lex_state = 2},
  [17036] = {.lex_state = 28, .external_lex_state = 2},
  [17037] = {.lex_state = 419, .external_lex_state = 2},
  [17038] = {.lex_state = 419, .external_lex_state = 2},
  [17039] = {.lex_state = 419, .external_lex_state = 2},
  [17040] = {.lex_state = 12, .external_lex_state = 2},
  [17041] = {.lex_state = 28, .external_lex_state = 2},
  [17042] = {.lex_state = 419, .external_lex_state = 2},
  [17043] = {.lex_state = 28, .external_lex_state = 2},
  [17044] = {.lex_state = 18, .external_lex_state = 2},
  [17045] = {.lex_state = 28, .external_lex_state = 2},
  [17046] = {.lex_state = 419, .external_lex_state = 2},
  [17047] = {.lex_state = 28, .external_lex_state = 2},
  [17048] = {.lex_state = 419, .external_lex_state = 2},
  [17049] = {.lex_state = 28, .external_lex_state = 2},
  [17050] = {.lex_state = 28, .external_lex_state = 2},
  [17051] = {.lex_state = 419, .external_lex_state = 2},
  [17052] = {.lex_state = 419, .external_lex_state = 2},
  [17053] = {.lex_state = 28, .external_lex_state = 2},
  [17054] = {.lex_state = 28, .external_lex_state = 2},
  [17055] = {.lex_state = 28, .external_lex_state = 2},
  [17056] = {.lex_state = 18, .external_lex_state = 2},
  [17057] = {.lex_state = 419, .external_lex_state = 2},
  [17058] = {.lex_state = 18, .external_lex_state = 2},
  [17059] = {.lex_state = 28, .external_lex_state = 2},
  [17060] = {.lex_state = 18, .external_lex_state = 2},
  [17061] = {.lex_state = 419, .external_lex_state = 2},
  [17062] = {.lex_state = 11, .external_lex_state = 2},
  [17063] = {.lex_state = 28, .external_lex_state = 2},
  [17064] = {.lex_state = 18, .external_lex_state = 2},
  [17065] = {.lex_state = 136, .external_lex_state = 2},
  [17066] = {.lex_state = 28, .external_lex_state = 2},
  [17067] = {.lex_state = 11, .external_lex_state = 2},
  [17068] = {.lex_state = 28, .external_lex_state = 2},
  [17069] = {.lex_state = 136, .external_lex_state = 2},
  [17070] = {.lex_state = 419, .external_lex_state = 2},
  [17071] = {.lex_state = 28, .external_lex_state = 2},
  [17072] = {.lex_state = 419, .external_lex_state = 2},
  [17073] = {.lex_state = 28, .external_lex_state = 2},
  [17074] = {.lex_state = 419, .external_lex_state = 2},
  [17075] = {.lex_state = 28, .external_lex_state = 2},
  [17076] = {.lex_state = 28, .external_lex_state = 2},
  [17077] = {.lex_state = 419, .external_lex_state = 2},
  [17078] = {.lex_state = 28, .external_lex_state = 2},
  [17079] = {.lex_state = 419, .external_lex_state = 2},
  [17080] = {.lex_state = 18, .external_lex_state = 2},
  [17081] = {.lex_state = 28, .external_lex_state = 2},
  [17082] = {.lex_state = 28, .external_lex_state = 2},
  [17083] = {.lex_state = 419, .external_lex_state = 2},
  [17084] = {.lex_state = 419, .external_lex_state = 8},
  [17085] = {.lex_state = 28, .external_lex_state = 2},
  [17086] = {.lex_state = 419, .external_lex_state = 2},
  [17087] = {.lex_state = 18, .external_lex_state = 2},
  [17088] = {.lex_state = 419, .external_lex_state = 2},
  [17089] = {.lex_state = 136, .external_lex_state = 2},
  [17090] = {.lex_state = 28, .external_lex_state = 2},
  [17091] = {.lex_state = 419, .external_lex_state = 2},
  [17092] = {.lex_state = 18, .external_lex_state = 2},
  [17093] = {.lex_state = 419, .external_lex_state = 2},
  [17094] = {.lex_state = 136, .external_lex_state = 2},
  [17095] = {.lex_state = 136, .external_lex_state = 2},
  [17096] = {.lex_state = 18, .external_lex_state = 2},
  [17097] = {.lex_state = 136, .external_lex_state = 2},
  [17098] = {.lex_state = 18, .external_lex_state = 2},
  [17099] = {.lex_state = 11, .external_lex_state = 2},
  [17100] = {.lex_state = 28, .external_lex_state = 2},
  [17101] = {.lex_state = 11, .external_lex_state = 2},
  [17102] = {.lex_state = 18, .external_lex_state = 2},
  [17103] = {.lex_state = 18, .external_lex_state = 2},
  [17104] = {.lex_state = 28, .external_lex_state = 2},
  [17105] = {.lex_state = 419, .external_lex_state = 2},
  [17106] = {.lex_state = 419, .external_lex_state = 2},
  [17107] = {.lex_state = 18, .external_lex_state = 2},
  [17108] = {.lex_state = 28, .external_lex_state = 2},
  [17109] = {.lex_state = 28, .external_lex_state = 2},
  [17110] = {.lex_state = 136, .external_lex_state = 2},
  [17111] = {.lex_state = 419, .external_lex_state = 2},
  [17112] = {.lex_state = 18, .external_lex_state = 2},
  [17113] = {.lex_state = 28, .external_lex_state = 2},
  [17114] = {.lex_state = 28, .external_lex_state = 2},
  [17115] = {.lex_state = 28, .external_lex_state = 2},
  [17116] = {.lex_state = 419, .external_lex_state = 2},
  [17117] = {.lex_state = 28, .external_lex_state = 2},
  [17118] = {.lex_state = 419, .external_lex_state = 2},
  [17119] = {.lex_state = 419, .external_lex_state = 2},
  [17120] = {.lex_state = 18, .external_lex_state = 2},
  [17121] = {.lex_state = 18, .external_lex_state = 2},
  [17122] = {.lex_state = 419, .external_lex_state = 2},
  [17123] = {.lex_state = 18, .external_lex_state = 2},
  [17124] = {.lex_state = 28, .external_lex_state = 2},
  [17125] = {.lex_state = 28, .external_lex_state = 2},
  [17126] = {.lex_state = 419, .external_lex_state = 2},
  [17127] = {.lex_state = 18, .external_lex_state = 2},
  [17128] = {.lex_state = 28, .external_lex_state = 2},
  [17129] = {.lex_state = 419, .external_lex_state = 2},
  [17130] = {.lex_state = 28, .external_lex_state = 2},
  [17131] = {.lex_state = 18, .external_lex_state = 2},
  [17132] = {.lex_state = 18, .external_lex_state = 2},
  [17133] = {.lex_state = 18, .external_lex_state = 2},
  [17134] = {.lex_state = 28, .external_lex_state = 2},
  [17135] = {.lex_state = 18, .external_lex_state = 2},
  [17136] = {.lex_state = 28, .external_lex_state = 2},
  [17137] = {.lex_state = 419, .external_lex_state = 2},
  [17138] = {.lex_state = 419, .external_lex_state = 2},
  [17139] = {.lex_state = 419, .external_lex_state = 2},
  [17140] = {.lex_state = 419, .external_lex_state = 2},
  [17141] = {.lex_state = 419, .external_lex_state = 2},
  [17142] = {.lex_state = 28, .external_lex_state = 2},
  [17143] = {.lex_state = 419, .external_lex_state = 2},
  [17144] = {.lex_state = 419, .external_lex_state = 8},
  [17145] = {.lex_state = 419, .external_lex_state = 2},
  [17146] = {.lex_state = 419, .external_lex_state = 2},
  [17147] = {.lex_state = 419, .external_lex_state = 2},
  [17148] = {.lex_state = 419, .external_lex_state = 2},
  [17149] = {.lex_state = 419, .external_lex_state = 2},
  [17150] = {.lex_state = 419, .external_lex_state = 2},
  [17151] = {.lex_state = 18, .external_lex_state = 2},
  [17152] = {.lex_state = 419, .external_lex_state = 2},
  [17153] = {.lex_state = 419, .external_lex_state = 2},
  [17154] = {.lex_state = 419, .external_lex_state = 2},
  [17155] = {.lex_state = 18, .external_lex_state = 2},
  [17156] = {.lex_state = 136, .external_lex_state = 2},
  [17157] = {.lex_state = 18, .external_lex_state = 2},
  [17158] = {.lex_state = 136, .external_lex_state = 2},
  [17159] = {.lex_state = 419, .external_lex_state = 2},
  [17160] = {.lex_state = 136, .external_lex_state = 2},
  [17161] = {.lex_state = 28, .external_lex_state = 2},
  [17162] = {.lex_state = 419, .external_lex_state = 2},
  [17163] = {.lex_state = 136, .external_lex_state = 2},
  [17164] = {.lex_state = 419, .external_lex_state = 2},
  [17165] = {.lex_state = 419, .external_lex_state = 2},
  [17166] = {.lex_state = 419, .external_lex_state = 2},
  [17167] = {.lex_state = 419, .external_lex_state = 2},
  [17168] = {.lex_state = 18, .external_lex_state = 2},
  [17169] = {.lex_state = 28, .external_lex_state = 2},
  [17170] = {.lex_state = 18, .external_lex_state = 2},
  [17171] = {.lex_state = 28, .external_lex_state = 2},
  [17172] = {.lex_state = 28, .external_lex_state = 2},
  [17173] = {.lex_state = 419, .external_lex_state = 2},
  [17174] = {.lex_state = 136, .external_lex_state = 2},
  [17175] = {.lex_state = 28, .external_lex_state = 2},
  [17176] = {.lex_state = 419, .external_lex_state = 2},
  [17177] = {.lex_state = 419, .external_lex_state = 2},
  [17178] = {.lex_state = 419, .external_lex_state = 2},
  [17179] = {.lex_state = 419, .external_lex_state = 2},
  [17180] = {.lex_state = 419, .external_lex_state = 2},
  [17181] = {.lex_state = 28, .external_lex_state = 2},
  [17182] = {.lex_state = 28, .external_lex_state = 2},
  [17183] = {.lex_state = 28, .external_lex_state = 2},
  [17184] = {.lex_state = 18, .external_lex_state = 2},
  [17185] = {.lex_state = 419, .external_lex_state = 2},
  [17186] = {.lex_state = 28, .external_lex_state = 2},
  [17187] = {.lex_state = 18, .external_lex_state = 2},
  [17188] = {.lex_state = 28, .external_lex_state = 2},
  [17189] = {.lex_state = 18, .external_lex_state = 2},
  [17190] = {.lex_state = 419, .external_lex_state = 2},
  [17191] = {.lex_state = 419, .external_lex_state = 2},
  [17192] = {.lex_state = 18, .external_lex_state = 2},
  [17193] = {.lex_state = 28, .external_lex_state = 2},
  [17194] = {.lex_state = 419, .external_lex_state = 2},
  [17195] = {.lex_state = 419, .external_lex_state = 2},
  [17196] = {.lex_state = 419, .external_lex_state = 2},
  [17197] = {.lex_state = 419, .external_lex_state = 8},
  [17198] = {.lex_state = 419, .external_lex_state = 2},
  [17199] = {.lex_state = 28, .external_lex_state = 2},
  [17200] = {.lex_state = 18, .external_lex_state = 2},
  [17201] = {.lex_state = 419, .external_lex_state = 2},
  [17202] = {.lex_state = 28, .external_lex_state = 2},
  [17203] = {.lex_state = 419, .external_lex_state = 2},
  [17204] = {.lex_state = 419, .external_lex_state = 2},
  [17205] = {.lex_state = 18, .external_lex_state = 2},
  [17206] = {.lex_state = 18, .external_lex_state = 2},
  [17207] = {.lex_state = 28, .external_lex_state = 2},
  [17208] = {.lex_state = 28, .external_lex_state = 2},
  [17209] = {.lex_state = 136, .external_lex_state = 2},
  [17210] = {.lex_state = 136, .external_lex_state = 2},
  [17211] = {.lex_state = 28, .external_lex_state = 2},
  [17212] = {.lex_state = 136, .external_lex_state = 2},
  [17213] = {.lex_state = 28, .external_lex_state = 2},
  [17214] = {.lex_state = 18, .external_lex_state = 2},
  [17215] = {.lex_state = 28, .external_lex_state = 2},
  [17216] = {.lex_state = 28, .external_lex_state = 2},
  [17217] = {.lex_state = 18, .external_lex_state = 2},
  [17218] = {.lex_state = 28, .external_lex_state = 2},
  [17219] = {.lex_state = 419, .external_lex_state = 2},
  [17220] = {.lex_state = 136, .external_lex_state = 2},
  [17221] = {.lex_state = 28, .external_lex_state = 2},
  [17222] = {.lex_state = 28, .external_lex_state = 2},
  [17223] = {.lex_state = 28, .external_lex_state = 2},
  [17224] = {.lex_state = 419, .external_lex_state = 2},
  [17225] = {.lex_state = 419, .external_lex_state = 2},
  [17226] = {.lex_state = 28, .external_lex_state = 2},
  [17227] = {.lex_state = 419, .external_lex_state = 2},
  [17228] = {.lex_state = 419, .external_lex_state = 8},
  [17229] = {.lex_state = 18, .external_lex_state = 2},
  [17230] = {.lex_state = 18, .external_lex_state = 2},
  [17231] = {.lex_state = 419, .external_lex_state = 2},
  [17232] = {.lex_state = 28, .external_lex_state = 2},
  [17233] = {.lex_state = 419, .external_lex_state = 2},
  [17234] = {.lex_state = 18, .external_lex_state = 2},
  [17235] = {.lex_state = 18, .external_lex_state = 2},
  [17236] = {.lex_state = 419, .external_lex_state = 8},
  [17237] = {.lex_state = 8, .external_lex_state = 2},
  [17238] = {.lex_state = 28, .external_lex_state = 2},
  [17239] = {.lex_state = 419, .external_lex_state = 2},
  [17240] = {.lex_state = 28, .external_lex_state = 2},
  [17241] = {.lex_state = 419, .external_lex_state = 2},
  [17242] = {.lex_state = 28, .external_lex_state = 2},
  [17243] = {.lex_state = 18, .external_lex_state = 2},
  [17244] = {.lex_state = 28, .external_lex_state = 2},
  [17245] = {.lex_state = 28, .external_lex_state = 2},
  [17246] = {.lex_state = 18, .external_lex_state = 2},
  [17247] = {.lex_state = 18, .external_lex_state = 2},
  [17248] = {.lex_state = 419, .external_lex_state = 8},
  [17249] = {.lex_state = 28, .external_lex_state = 2},
  [17250] = {.lex_state = 419, .external_lex_state = 2},
  [17251] = {.lex_state = 28, .external_lex_state = 2},
  [17252] = {.lex_state = 18, .external_lex_state = 2},
  [17253] = {.lex_state = 28, .external_lex_state = 2},
  [17254] = {.lex_state = 28, .external_lex_state = 2},
  [17255] = {.lex_state = 419, .external_lex_state = 2},
  [17256] = {.lex_state = 18, .external_lex_state = 2},
  [17257] = {.lex_state = 28, .external_lex_state = 2},
  [17258] = {.lex_state = 18, .external_lex_state = 2},
  [17259] = {.lex_state = 136, .external_lex_state = 2},
  [17260] = {.lex_state = 136, .external_lex_state = 2},
  [17261] = {.lex_state = 419, .external_lex_state = 2},
  [17262] = {.lex_state = 28, .external_lex_state = 2},
  [17263] = {.lex_state = 18, .external_lex_state = 2},
  [17264] = {.lex_state = 136, .external_lex_state = 2},
  [17265] = {.lex_state = 28, .external_lex_state = 2},
  [17266] = {.lex_state = 18, .external_lex_state = 2},
  [17267] = {.lex_state = 28, .external_lex_state = 2},
  [17268] = {.lex_state = 28, .external_lex_state = 2},
  [17269] = {.lex_state = 18, .external_lex_state = 2},
  [17270] = {.lex_state = 18, .external_lex_state = 2},
  [17271] = {.lex_state = 419, .external_lex_state = 2},
  [17272] = {.lex_state = 419, .external_lex_state = 2},
  [17273] = {.lex_state = 136, .external_lex_state = 2},
  [17274] = {.lex_state = 136, .external_lex_state = 2},
  [17275] = {.lex_state = 419, .external_lex_state = 2},
  [17276] = {.lex_state = 136, .external_lex_state = 2},
  [17277] = {.lex_state = 18, .external_lex_state = 2},
  [17278] = {.lex_state = 18, .external_lex_state = 2},
  [17279] = {.lex_state = 28, .external_lex_state = 2},
  [17280] = {.lex_state = 28, .external_lex_state = 2},
  [17281] = {.lex_state = 18, .external_lex_state = 2},
  [17282] = {.lex_state = 28, .external_lex_state = 2},
  [17283] = {.lex_state = 28, .external_lex_state = 2},
  [17284] = {.lex_state = 419, .external_lex_state = 8},
  [17285] = {.lex_state = 419, .external_lex_state = 2},
  [17286] = {.lex_state = 28, .external_lex_state = 2},
  [17287] = {.lex_state = 419, .external_lex_state = 2},
  [17288] = {.lex_state = 18, .external_lex_state = 2},
  [17289] = {.lex_state = 18, .external_lex_state = 2},
  [17290] = {.lex_state = 419, .external_lex_state = 2},
  [17291] = {.lex_state = 28, .external_lex_state = 2},
  [17292] = {.lex_state = 136, .external_lex_state = 2},
  [17293] = {.lex_state = 136, .external_lex_state = 2},
  [17294] = {.lex_state = 136, .external_lex_state = 2},
  [17295] = {.lex_state = 419, .external_lex_state = 2},
  [17296] = {.lex_state = 18, .external_lex_state = 2},
  [17297] = {.lex_state = 18, .external_lex_state = 2},
  [17298] = {.lex_state = 18, .external_lex_state = 2},
  [17299] = {.lex_state = 419, .external_lex_state = 2},
  [17300] = {.lex_state = 419, .external_lex_state = 2},
  [17301] = {.lex_state = 419, .external_lex_state = 2},
  [17302] = {.lex_state = 419, .external_lex_state = 2},
  [17303] = {.lex_state = 28, .external_lex_state = 2},
  [17304] = {.lex_state = 28, .external_lex_state = 2},
  [17305] = {.lex_state = 136, .external_lex_state = 2},
  [17306] = {.lex_state = 28, .external_lex_state = 2},
  [17307] = {.lex_state = 419, .external_lex_state = 2},
  [17308] = {.lex_state = 419, .external_lex_state = 2},
  [17309] = {.lex_state = 12, .external_lex_state = 2},
  [17310] = {.lex_state = 18, .external_lex_state = 2},
  [17311] = {.lex_state = 419, .external_lex_state = 2},
  [17312] = {.lex_state = 136, .external_lex_state = 2},
  [17313] = {.lex_state = 419, .external_lex_state = 2},
  [17314] = {.lex_state = 28, .external_lex_state = 2},
  [17315] = {.lex_state = 419, .external_lex_state = 2},
  [17316] = {.lex_state = 419, .external_lex_state = 2},
  [17317] = {.lex_state = 419, .external_lex_state = 2},
  [17318] = {.lex_state = 419, .external_lex_state = 2},
  [17319] = {.lex_state = 28, .external_lex_state = 2},
  [17320] = {.lex_state = 28, .external_lex_state = 2},
  [17321] = {.lex_state = 419, .external_lex_state = 8},
  [17322] = {.lex_state = 419, .external_lex_state = 2},
  [17323] = {.lex_state = 419, .external_lex_state = 2},
  [17324] = {.lex_state = 136, .external_lex_state = 2},
  [17325] = {.lex_state = 136, .external_lex_state = 2},
  [17326] = {.lex_state = 136, .external_lex_state = 2},
  [17327] = {.lex_state = 18, .external_lex_state = 2},
  [17328] = {.lex_state = 18, .external_lex_state = 2},
  [17329] = {.lex_state = 28, .external_lex_state = 2},
  [17330] = {.lex_state = 18, .external_lex_state = 2},
  [17331] = {.lex_state = 419, .external_lex_state = 2},
  [17332] = {.lex_state = 28, .external_lex_state = 2},
  [17333] = {.lex_state = 18, .external_lex_state = 2},
  [17334] = {.lex_state = 419, .external_lex_state = 2},
  [17335] = {.lex_state = 28, .external_lex_state = 2},
  [17336] = {.lex_state = 419, .external_lex_state = 2},
  [17337] = {.lex_state = 28, .external_lex_state = 2},
  [17338] = {.lex_state = 136, .external_lex_state = 2},
  [17339] = {.lex_state = 419, .external_lex_state = 2},
  [17340] = {.lex_state = 419, .external_lex_state = 2},
  [17341] = {.lex_state = 28, .external_lex_state = 2},
  [17342] = {.lex_state = 18, .external_lex_state = 2},
  [17343] = {.lex_state = 28, .external_lex_state = 2},
  [17344] = {.lex_state = 419, .external_lex_state = 2},
  [17345] = {.lex_state = 28, .external_lex_state = 2},
  [17346] = {.lex_state = 18, .external_lex_state = 2},
  [17347] = {.lex_state = 28, .external_lex_state = 2},
  [17348] = {.lex_state = 28, .external_lex_state = 2},
  [17349] = {.lex_state = 419, .external_lex_state = 8},
  [17350] = {.lex_state = 28, .external_lex_state = 2},
  [17351] = {.lex_state = 419, .external_lex_state = 2},
  [17352] = {.lex_state = 18, .external_lex_state = 2},
  [17353] = {.lex_state = 419, .external_lex_state = 2},
  [17354] = {.lex_state = 18, .external_lex_state = 2},
  [17355] = {.lex_state = 18, .external_lex_state = 2},
  [17356] = {.lex_state = 419, .external_lex_state = 2},
  [17357] = {.lex_state = 419, .external_lex_state = 2},
  [17358] = {.lex_state = 136, .external_lex_state = 2},
  [17359] = {.lex_state = 18, .external_lex_state = 2},
  [17360] = {.lex_state = 136, .external_lex_state = 2},
  [17361] = {.lex_state = 136, .external_lex_state = 2},
  [17362] = {.lex_state = 28, .external_lex_state = 2},
  [17363] = {.lex_state = 18, .external_lex_state = 2},
  [17364] = {.lex_state = 18, .external_lex_state = 2},
  [17365] = {.lex_state = 419, .external_lex_state = 2},
  [17366] = {.lex_state = 28, .external_lex_state = 2},
  [17367] = {.lex_state = 419, .external_lex_state = 2},
  [17368] = {.lex_state = 419, .external_lex_state = 2},
  [17369] = {.lex_state = 419, .external_lex_state = 2},
  [17370] = {.lex_state = 419, .external_lex_state = 2},
  [17371] = {.lex_state = 419, .external_lex_state = 8},
  [17372] = {.lex_state = 37, .external_lex_state = 2},
  [17373] = {.lex_state = 18, .external_lex_state = 2},
  [17374] = {.lex_state = 419, .external_lex_state = 2},
  [17375] = {.lex_state = 419, .external_lex_state = 2},
  [17376] = {.lex_state = 18, .external_lex_state = 2},
  [17377] = {.lex_state = 18, .external_lex_state = 2},
  [17378] = {.lex_state = 136, .external_lex_state = 2},
  [17379] = {.lex_state = 419, .external_lex_state = 2},
  [17380] = {.lex_state = 18, .external_lex_state = 2},
  [17381] = {.lex_state = 419, .external_lex_state = 2},
  [17382] = {.lex_state = 28, .external_lex_state = 2},
  [17383] = {.lex_state = 419, .external_lex_state = 2},
  [17384] = {.lex_state = 136, .external_lex_state = 2},
  [17385] = {.lex_state = 419, .external_lex_state = 2},
  [17386] = {.lex_state = 28, .external_lex_state = 2},
  [17387] = {.lex_state = 419, .external_lex_state = 8},
  [17388] = {.lex_state = 18, .external_lex_state = 2},
  [17389] = {.lex_state = 419, .external_lex_state = 2},
  [17390] = {.lex_state = 18, .external_lex_state = 2},
  [17391] = {.lex_state = 419, .external_lex_state = 2},
  [17392] = {.lex_state = 28, .external_lex_state = 2},
  [17393] = {.lex_state = 136, .external_lex_state = 2},
  [17394] = {.lex_state = 136, .external_lex_state = 2},
  [17395] = {.lex_state = 136, .external_lex_state = 2},
  [17396] = {.lex_state = 28, .external_lex_state = 2},
  [17397] = {.lex_state = 419, .external_lex_state = 2},
  [17398] = {.lex_state = 28, .external_lex_state = 2},
  [17399] = {.lex_state = 28, .external_lex_state = 2},
  [17400] = {.lex_state = 419, .external_lex_state = 2},
  [17401] = {.lex_state = 18, .external_lex_state = 2},
  [17402] = {.lex_state = 18, .external_lex_state = 2},
  [17403] = {.lex_state = 18, .external_lex_state = 2},
  [17404] = {.lex_state = 28, .external_lex_state = 2},
  [17405] = {.lex_state = 419, .external_lex_state = 2},
  [17406] = {.lex_state = 419, .external_lex_state = 2},
  [17407] = {.lex_state = 28, .external_lex_state = 2},
  [17408] = {.lex_state = 18, .external_lex_state = 2},
  [17409] = {.lex_state = 419, .external_lex_state = 2},
  [17410] = {.lex_state = 419, .external_lex_state = 8},
  [17411] = {.lex_state = 28, .external_lex_state = 2},
  [17412] = {.lex_state = 18, .external_lex_state = 2},
  [17413] = {.lex_state = 419, .external_lex_state = 2},
  [17414] = {.lex_state = 419, .external_lex_state = 2},
  [17415] = {.lex_state = 419, .external_lex_state = 2},
  [17416] = {.lex_state = 12, .external_lex_state = 2},
  [17417] = {.lex_state = 136, .external_lex_state = 2},
  [17418] = {.lex_state = 136, .external_lex_state = 2},
  [17419] = {.lex_state = 136, .external_lex_state = 2},
  [17420] = {.lex_state = 419, .external_lex_state = 2},
  [17421] = {.lex_state = 419, .external_lex_state = 2},
  [17422] = {.lex_state = 18, .external_lex_state = 2},
  [17423] = {.lex_state = 419, .external_lex_state = 2},
  [17424] = {.lex_state = 18, .external_lex_state = 2},
  [17425] = {.lex_state = 419, .external_lex_state = 2},
  [17426] = {.lex_state = 28, .external_lex_state = 2},
  [17427] = {.lex_state = 18, .external_lex_state = 2},
  [17428] = {.lex_state = 28, .external_lex_state = 2},
  [17429] = {.lex_state = 419, .external_lex_state = 2},
  [17430] = {.lex_state = 136, .external_lex_state = 2},
  [17431] = {.lex_state = 419, .external_lex_state = 2},
  [17432] = {.lex_state = 28, .external_lex_state = 2},
  [17433] = {.lex_state = 28, .external_lex_state = 2},
  [17434] = {.lex_state = 18, .external_lex_state = 2},
  [17435] = {.lex_state = 28, .external_lex_state = 2},
  [17436] = {.lex_state = 136, .external_lex_state = 2},
  [17437] = {.lex_state = 28, .external_lex_state = 2},
  [17438] = {.lex_state = 8, .external_lex_state = 2},
  [17439] = {.lex_state = 419, .external_lex_state = 2},
  [17440] = {.lex_state = 28, .external_lex_state = 2},
  [17441] = {.lex_state = 419, .external_lex_state = 2},
  [17442] = {.lex_state = 419, .external_lex_state = 8},
  [17443] = {.lex_state = 419, .external_lex_state = 2},
  [17444] = {.lex_state = 136, .external_lex_state = 2},
  [17445] = {.lex_state = 419, .external_lex_state = 2},
  [17446] = {.lex_state = 136, .external_lex_state = 2},
  [17447] = {.lex_state = 37, .external_lex_state = 2},
  [17448] = {.lex_state = 419, .external_lex_state = 2},
  [17449] = {.lex_state = 136, .external_lex_state = 2},
  [17450] = {.lex_state = 28, .external_lex_state = 2},
  [17451] = {.lex_state = 136, .external_lex_state = 2},
  [17452] = {.lex_state = 136, .external_lex_state = 2},
  [17453] = {.lex_state = 419, .external_lex_state = 8},
  [17454] = {.lex_state = 419, .external_lex_state = 2},
  [17455] = {.lex_state = 419, .external_lex_state = 2},
  [17456] = {.lex_state = 28, .external_lex_state = 2},
  [17457] = {.lex_state = 28, .external_lex_state = 2},
  [17458] = {.lex_state = 419, .external_lex_state = 2},
  [17459] = {.lex_state = 18, .external_lex_state = 2},
  [17460] = {.lex_state = 419, .external_lex_state = 2},
  [17461] = {.lex_state = 18, .external_lex_state = 2},
  [17462] = {.lex_state = 419, .external_lex_state = 2},
  [17463] = {.lex_state = 18, .external_lex_state = 2},
  [17464] = {.lex_state = 136, .external_lex_state = 2},
  [17465] = {.lex_state = 18, .external_lex_state = 2},
  [17466] = {.lex_state = 28, .external_lex_state = 2},
  [17467] = {.lex_state = 419, .external_lex_state = 8},
  [17468] = {.lex_state = 28, .external_lex_state = 2},
  [17469] = {.lex_state = 419, .external_lex_state = 2},
  [17470] = {.lex_state = 28, .external_lex_state = 2},
  [17471] = {.lex_state = 419, .external_lex_state = 2},
  [17472] = {.lex_state = 419, .external_lex_state = 2},
  [17473] = {.lex_state = 419, .external_lex_state = 2},
  [17474] = {.lex_state = 28, .external_lex_state = 2},
  [17475] = {.lex_state = 28, .external_lex_state = 2},
  [17476] = {.lex_state = 28, .external_lex_state = 2},
  [17477] = {.lex_state = 28, .external_lex_state = 2},
  [17478] = {.lex_state = 419, .external_lex_state = 8},
  [17479] = {.lex_state = 136, .external_lex_state = 2},
  [17480] = {.lex_state = 419, .external_lex_state = 2},
  [17481] = {.lex_state = 18, .external_lex_state = 2},
  [17482] = {.lex_state = 419, .external_lex_state = 2},
  [17483] = {.lex_state = 419, .external_lex_state = 2},
  [17484] = {.lex_state = 136, .external_lex_state = 2},
  [17485] = {.lex_state = 136, .external_lex_state = 2},
  [17486] = {.lex_state = 18, .external_lex_state = 2},
  [17487] = {.lex_state = 136, .external_lex_state = 2},
  [17488] = {.lex_state = 28, .external_lex_state = 2},
  [17489] = {.lex_state = 18, .external_lex_state = 2},
  [17490] = {.lex_state = 28, .external_lex_state = 2},
  [17491] = {.lex_state = 18, .external_lex_state = 2},
  [17492] = {.lex_state = 28, .external_lex_state = 2},
  [17493] = {.lex_state = 18, .external_lex_state = 2},
  [17494] = {.lex_state = 419, .external_lex_state = 2},
  [17495] = {.lex_state = 28, .external_lex_state = 2},
  [17496] = {.lex_state = 28, .external_lex_state = 2},
  [17497] = {.lex_state = 419, .external_lex_state = 2},
  [17498] = {.lex_state = 419, .external_lex_state = 2},
  [17499] = {.lex_state = 419, .external_lex_state = 2},
  [17500] = {.lex_state = 419, .external_lex_state = 2},
  [17501] = {.lex_state = 136, .external_lex_state = 2},
  [17502] = {.lex_state = 28, .external_lex_state = 2},
  [17503] = {.lex_state = 28, .external_lex_state = 2},
  [17504] = {.lex_state = 136, .external_lex_state = 2},
  [17505] = {.lex_state = 136, .external_lex_state = 2},
  [17506] = {.lex_state = 28, .external_lex_state = 2},
  [17507] = {.lex_state = 419, .external_lex_state = 8},
  [17508] = {.lex_state = 18, .external_lex_state = 2},
  [17509] = {.lex_state = 28, .external_lex_state = 2},
  [17510] = {.lex_state = 419, .external_lex_state = 2},
  [17511] = {.lex_state = 419, .external_lex_state = 8},
  [17512] = {.lex_state = 419, .external_lex_state = 2},
  [17513] = {.lex_state = 136, .external_lex_state = 2},
  [17514] = {.lex_state = 136, .external_lex_state = 2},
  [17515] = {.lex_state = 28, .external_lex_state = 2},
  [17516] = {.lex_state = 18, .external_lex_state = 2},
  [17517] = {.lex_state = 136, .external_lex_state = 2},
  [17518] = {.lex_state = 419, .external_lex_state = 2},
  [17519] = {.lex_state = 28, .external_lex_state = 2},
  [17520] = {.lex_state = 28, .external_lex_state = 2},
  [17521] = {.lex_state = 18, .external_lex_state = 2},
  [17522] = {.lex_state = 419, .external_lex_state = 2},
  [17523] = {.lex_state = 419, .external_lex_state = 2},
  [17524] = {.lex_state = 419, .external_lex_state = 2},
  [17525] = {.lex_state = 28, .external_lex_state = 2},
  [17526] = {.lex_state = 18, .external_lex_state = 2},
  [17527] = {.lex_state = 18, .external_lex_state = 2},
  [17528] = {.lex_state = 18, .external_lex_state = 2},
  [17529] = {.lex_state = 28, .external_lex_state = 2},
  [17530] = {.lex_state = 28, .external_lex_state = 2},
  [17531] = {.lex_state = 419, .external_lex_state = 2},
  [17532] = {.lex_state = 18, .external_lex_state = 2},
  [17533] = {.lex_state = 419, .external_lex_state = 2},
  [17534] = {.lex_state = 48, .external_lex_state = 2},
  [17535] = {.lex_state = 11, .external_lex_state = 2},
  [17536] = {.lex_state = 419, .external_lex_state = 3},
  [17537] = {.lex_state = 419, .external_lex_state = 2},
  [17538] = {.lex_state = 12, .external_lex_state = 2},
  [17539] = {.lex_state = 419, .external_lex_state = 2},
  [17540] = {.lex_state = 18, .external_lex_state = 2},
  [17541] = {.lex_state = 419, .external_lex_state = 2},
  [17542] = {.lex_state = 28, .external_lex_state = 2},
  [17543] = {.lex_state = 12, .external_lex_state = 2},
  [17544] = {.lex_state = 419, .external_lex_state = 2},
  [17545] = {.lex_state = 419, .external_lex_state = 2},
  [17546] = {.lex_state = 419, .external_lex_state = 2},
  [17547] = {.lex_state = 12, .external_lex_state = 2},
  [17548] = {.lex_state = 419, .external_lex_state = 2},
  [17549] = {.lex_state = 419, .external_lex_state = 2},
  [17550] = {.lex_state = 419, .external_lex_state = 2},
  [17551] = {.lex_state = 419, .external_lex_state = 2},
  [17552] = {.lex_state = 419, .external_lex_state = 2},
  [17553] = {.lex_state = 419, .external_lex_state = 2},
  [17554] = {.lex_state = 419, .external_lex_state = 3},
  [17555] = {.lex_state = 419, .external_lex_state = 2},
  [17556] = {.lex_state = 419, .external_lex_state = 2},
  [17557] = {.lex_state = 419, .external_lex_state = 2},
  [17558] = {.lex_state = 419, .external_lex_state = 2},
  [17559] = {.lex_state = 419, .external_lex_state = 2},
  [17560] = {.lex_state = 419, .external_lex_state = 2},
  [17561] = {.lex_state = 419, .external_lex_state = 2},
  [17562] = {.lex_state = 18, .external_lex_state = 2},
  [17563] = {.lex_state = 18, .external_lex_state = 2},
  [17564] = {.lex_state = 12, .external_lex_state = 2},
  [17565] = {.lex_state = 419, .external_lex_state = 2},
  [17566] = {.lex_state = 419, .external_lex_state = 2},
  [17567] = {.lex_state = 419, .external_lex_state = 2},
  [17568] = {.lex_state = 28, .external_lex_state = 2},
  [17569] = {.lex_state = 419, .external_lex_state = 2},
  [17570] = {.lex_state = 18, .external_lex_state = 2},
  [17571] = {.lex_state = 419, .external_lex_state = 2},
  [17572] = {.lex_state = 18, .external_lex_state = 2},
  [17573] = {.lex_state = 419, .external_lex_state = 2},
  [17574] = {.lex_state = 18, .external_lex_state = 2},
  [17575] = {.lex_state = 419, .external_lex_state = 2},
  [17576] = {.lex_state = 419, .external_lex_state = 2},
  [17577] = {.lex_state = 18, .external_lex_state = 2},
  [17578] = {.lex_state = 419, .external_lex_state = 2},
  [17579] = {.lex_state = 419, .external_lex_state = 2},
  [17580] = {.lex_state = 419, .external_lex_state = 2},
  [17581] = {.lex_state = 419, .external_lex_state = 2},
  [17582] = {.lex_state = 18, .external_lex_state = 2},
  [17583] = {.lex_state = 419, .external_lex_state = 2},
  [17584] = {.lex_state = 419, .external_lex_state = 2},
  [17585] = {.lex_state = 419, .external_lex_state = 2},
  [17586] = {.lex_state = 18, .external_lex_state = 2},
  [17587] = {.lex_state = 419, .external_lex_state = 2},
  [17588] = {.lex_state = 18, .external_lex_state = 2},
  [17589] = {.lex_state = 419, .external_lex_state = 2},
  [17590] = {.lex_state = 419, .external_lex_state = 2},
  [17591] = {.lex_state = 419, .external_lex_state = 2},
  [17592] = {.lex_state = 419, .external_lex_state = 2},
  [17593] = {.lex_state = 419, .external_lex_state = 2},
  [17594] = {.lex_state = 419, .external_lex_state = 2},
  [17595] = {.lex_state = 419, .external_lex_state = 2},
  [17596] = {.lex_state = 18, .external_lex_state = 2},
  [17597] = {.lex_state = 419, .external_lex_state = 2},
  [17598] = {.lex_state = 419, .external_lex_state = 2},
  [17599] = {.lex_state = 419, .external_lex_state = 2},
  [17600] = {.lex_state = 419, .external_lex_state = 2},
  [17601] = {.lex_state = 419, .external_lex_state = 2},
  [17602] = {.lex_state = 419, .external_lex_state = 2},
  [17603] = {.lex_state = 419, .external_lex_state = 2},
  [17604] = {.lex_state = 419, .external_lex_state = 2},
  [17605] = {.lex_state = 419, .external_lex_state = 2},
  [17606] = {.lex_state = 18, .external_lex_state = 2},
  [17607] = {.lex_state = 419, .external_lex_state = 2},
  [17608] = {.lex_state = 419, .external_lex_state = 2},
  [17609] = {.lex_state = 419, .external_lex_state = 2},
  [17610] = {.lex_state = 419, .external_lex_state = 2},
  [17611] = {.lex_state = 18, .external_lex_state = 2},
  [17612] = {.lex_state = 419, .external_lex_state = 2},
  [17613] = {.lex_state = 419, .external_lex_state = 2},
  [17614] = {.lex_state = 419, .external_lex_state = 2},
  [17615] = {.lex_state = 419, .external_lex_state = 2},
  [17616] = {.lex_state = 419, .external_lex_state = 2},
  [17617] = {.lex_state = 419, .external_lex_state = 2},
  [17618] = {.lex_state = 419, .external_lex_state = 2},
  [17619] = {.lex_state = 419, .external_lex_state = 2},
  [17620] = {.lex_state = 419, .external_lex_state = 2},
  [17621] = {.lex_state = 419, .external_lex_state = 2},
  [17622] = {.lex_state = 419, .external_lex_state = 2},
  [17623] = {.lex_state = 419, .external_lex_state = 2},
  [17624] = {.lex_state = 419, .external_lex_state = 2},
  [17625] = {.lex_state = 419, .external_lex_state = 2},
  [17626] = {.lex_state = 419, .external_lex_state = 2},
  [17627] = {.lex_state = 419, .external_lex_state = 2},
  [17628] = {.lex_state = 12, .external_lex_state = 2},
  [17629] = {.lex_state = 12, .external_lex_state = 2},
  [17630] = {.lex_state = 18, .external_lex_state = 2},
  [17631] = {.lex_state = 12, .external_lex_state = 2},
  [17632] = {.lex_state = 18, .external_lex_state = 2},
  [17633] = {.lex_state = 419, .external_lex_state = 2},
  [17634] = {.lex_state = 419, .external_lex_state = 2},
  [17635] = {.lex_state = 419, .external_lex_state = 2},
  [17636] = {.lex_state = 419, .external_lex_state = 2},
  [17637] = {.lex_state = 419, .external_lex_state = 2},
  [17638] = {.lex_state = 419, .external_lex_state = 2},
  [17639] = {.lex_state = 419, .external_lex_state = 2},
  [17640] = {.lex_state = 419, .external_lex_state = 2},
  [17641] = {.lex_state = 419, .external_lex_state = 2},
  [17642] = {.lex_state = 419, .external_lex_state = 2},
  [17643] = {.lex_state = 419, .external_lex_state = 2},
  [17644] = {.lex_state = 419, .external_lex_state = 2},
  [17645] = {.lex_state = 419, .external_lex_state = 2},
  [17646] = {.lex_state = 12, .external_lex_state = 2},
  [17647] = {.lex_state = 419, .external_lex_state = 2},
  [17648] = {.lex_state = 419, .external_lex_state = 2},
  [17649] = {.lex_state = 419, .external_lex_state = 2},
  [17650] = {.lex_state = 18, .external_lex_state = 2},
  [17651] = {.lex_state = 419, .external_lex_state = 2},
  [17652] = {.lex_state = 419, .external_lex_state = 2},
  [17653] = {.lex_state = 419, .external_lex_state = 2},
  [17654] = {.lex_state = 419, .external_lex_state = 2},
  [17655] = {.lex_state = 419, .external_lex_state = 2},
  [17656] = {.lex_state = 419, .external_lex_state = 2},
  [17657] = {.lex_state = 419, .external_lex_state = 2},
  [17658] = {.lex_state = 419, .external_lex_state = 2},
  [17659] = {.lex_state = 419, .external_lex_state = 2},
  [17660] = {.lex_state = 419, .external_lex_state = 2},
  [17661] = {.lex_state = 419, .external_lex_state = 2},
  [17662] = {.lex_state = 419, .external_lex_state = 2},
  [17663] = {.lex_state = 419, .external_lex_state = 2},
  [17664] = {.lex_state = 419, .external_lex_state = 2},
  [17665] = {.lex_state = 419, .external_lex_state = 2},
  [17666] = {.lex_state = 419, .external_lex_state = 2},
  [17667] = {.lex_state = 419, .external_lex_state = 2},
  [17668] = {.lex_state = 419, .external_lex_state = 2},
  [17669] = {.lex_state = 419, .external_lex_state = 2},
  [17670] = {.lex_state = 419, .external_lex_state = 2},
  [17671] = {.lex_state = 419, .external_lex_state = 2},
  [17672] = {.lex_state = 419, .external_lex_state = 2},
  [17673] = {.lex_state = 18, .external_lex_state = 2},
  [17674] = {.lex_state = 419, .external_lex_state = 2},
  [17675] = {.lex_state = 18, .external_lex_state = 2},
  [17676] = {.lex_state = 419, .external_lex_state = 2},
  [17677] = {.lex_state = 18, .external_lex_state = 2},
  [17678] = {.lex_state = 419, .external_lex_state = 2},
  [17679] = {.lex_state = 419, .external_lex_state = 2},
  [17680] = {.lex_state = 18, .external_lex_state = 2},
  [17681] = {.lex_state = 419, .external_lex_state = 2},
  [17682] = {.lex_state = 419, .external_lex_state = 2},
  [17683] = {.lex_state = 419, .external_lex_state = 2},
  [17684] = {.lex_state = 18, .external_lex_state = 2},
  [17685] = {.lex_state = 419, .external_lex_state = 2},
  [17686] = {.lex_state = 18, .external_lex_state = 2},
  [17687] = {.lex_state = 419, .external_lex_state = 2},
  [17688] = {.lex_state = 419, .external_lex_state = 2},
  [17689] = {.lex_state = 419, .external_lex_state = 2},
  [17690] = {.lex_state = 419, .external_lex_state = 2},
  [17691] = {.lex_state = 11, .external_lex_state = 2},
  [17692] = {.lex_state = 419, .external_lex_state = 3},
  [17693] = {.lex_state = 419, .external_lex_state = 2},
  [17694] = {.lex_state = 419, .external_lex_state = 2},
  [17695] = {.lex_state = 12, .external_lex_state = 2},
  [17696] = {.lex_state = 12, .external_lex_state = 2},
  [17697] = {.lex_state = 12, .external_lex_state = 2},
  [17698] = {.lex_state = 419, .external_lex_state = 2},
  [17699] = {.lex_state = 48, .external_lex_state = 2},
  [17700] = {.lex_state = 419, .external_lex_state = 2},
  [17701] = {.lex_state = 419, .external_lex_state = 2},
  [17702] = {.lex_state = 419, .external_lex_state = 2},
  [17703] = {.lex_state = 419, .external_lex_state = 2},
  [17704] = {.lex_state = 12, .external_lex_state = 2},
  [17705] = {.lex_state = 419, .external_lex_state = 2},
  [17706] = {.lex_state = 419, .external_lex_state = 2},
  [17707] = {.lex_state = 18, .external_lex_state = 2},
  [17708] = {.lex_state = 28, .external_lex_state = 2},
  [17709] = {.lex_state = 18, .external_lex_state = 2},
  [17710] = {.lex_state = 419, .external_lex_state = 2},
  [17711] = {.lex_state = 419, .external_lex_state = 2},
  [17712] = {.lex_state = 419, .external_lex_state = 2},
  [17713] = {.lex_state = 419, .external_lex_state = 2},
  [17714] = {.lex_state = 419, .external_lex_state = 2},
  [17715] = {.lex_state = 419, .external_lex_state = 2},
  [17716] = {.lex_state = 419, .external_lex_state = 2},
  [17717] = {.lex_state = 18, .external_lex_state = 2},
  [17718] = {.lex_state = 18, .external_lex_state = 2},
  [17719] = {.lex_state = 419, .external_lex_state = 2},
  [17720] = {.lex_state = 419, .external_lex_state = 2},
  [17721] = {.lex_state = 11, .external_lex_state = 2},
  [17722] = {.lex_state = 419, .external_lex_state = 3},
  [17723] = {.lex_state = 419, .external_lex_state = 2},
  [17724] = {.lex_state = 419, .external_lex_state = 2},
  [17725] = {.lex_state = 419, .external_lex_state = 2},
  [17726] = {.lex_state = 419, .external_lex_state = 2},
  [17727] = {.lex_state = 419, .external_lex_state = 2},
  [17728] = {.lex_state = 419, .external_lex_state = 2},
  [17729] = {.lex_state = 18, .external_lex_state = 2},
  [17730] = {.lex_state = 419, .external_lex_state = 2},
  [17731] = {.lex_state = 18, .external_lex_state = 2},
  [17732] = {.lex_state = 18, .external_lex_state = 2},
  [17733] = {.lex_state = 419, .external_lex_state = 2},
  [17734] = {.lex_state = 28, .external_lex_state = 2},
  [17735] = {.lex_state = 419, .external_lex_state = 2},
  [17736] = {.lex_state = 419, .external_lex_state = 2},
  [17737] = {.lex_state = 419, .external_lex_state = 2},
  [17738] = {.lex_state = 28, .external_lex_state = 2},
  [17739] = {.lex_state = 419, .external_lex_state = 2},
  [17740] = {.lex_state = 11, .external_lex_state = 2},
  [17741] = {.lex_state = 419, .external_lex_state = 3},
  [17742] = {.lex_state = 419, .external_lex_state = 2},
  [17743] = {.lex_state = 419, .external_lex_state = 2},
  [17744] = {.lex_state = 419, .external_lex_state = 2},
  [17745] = {.lex_state = 28, .external_lex_state = 2},
  [17746] = {.lex_state = 419, .external_lex_state = 2},
  [17747] = {.lex_state = 12, .external_lex_state = 2},
  [17748] = {.lex_state = 28, .external_lex_state = 2},
  [17749] = {.lex_state = 11, .external_lex_state = 2},
  [17750] = {.lex_state = 419, .external_lex_state = 2},
  [17751] = {.lex_state = 419, .external_lex_state = 2},
  [17752] = {.lex_state = 18, .external_lex_state = 2},
  [17753] = {.lex_state = 12, .external_lex_state = 2},
  [17754] = {.lex_state = 12, .external_lex_state = 2},
  [17755] = {.lex_state = 419, .external_lex_state = 2},
  [17756] = {.lex_state = 419, .external_lex_state = 2},
  [17757] = {.lex_state = 28, .external_lex_state = 2},
  [17758] = {.lex_state = 419, .external_lex_state = 2},
  [17759] = {.lex_state = 18, .external_lex_state = 2},
  [17760] = {.lex_state = 419, .external_lex_state = 2},
  [17761] = {.lex_state = 419, .external_lex_state = 2},
  [17762] = {.lex_state = 12, .external_lex_state = 2},
  [17763] = {.lex_state = 419, .external_lex_state = 2},
  [17764] = {.lex_state = 419, .external_lex_state = 2},
  [17765] = {.lex_state = 419, .external_lex_state = 2},
  [17766] = {.lex_state = 419, .external_lex_state = 2},
  [17767] = {.lex_state = 419, .external_lex_state = 2},
  [17768] = {.lex_state = 18, .external_lex_state = 2},
  [17769] = {.lex_state = 18, .external_lex_state = 2},
  [17770] = {.lex_state = 419, .external_lex_state = 2},
  [17771] = {.lex_state = 419, .external_lex_state = 2},
  [17772] = {.lex_state = 419, .external_lex_state = 2},
  [17773] = {.lex_state = 18, .external_lex_state = 2},
  [17774] = {.lex_state = 419, .external_lex_state = 2},
  [17775] = {.lex_state = 18, .external_lex_state = 2},
  [17776] = {.lex_state = 419, .external_lex_state = 2},
  [17777] = {.lex_state = 419, .external_lex_state = 2},
  [17778] = {.lex_state = 419, .external_lex_state = 2},
  [17779] = {.lex_state = 419, .external_lex_state = 2},
  [17780] = {.lex_state = 419, .external_lex_state = 2},
  [17781] = {.lex_state = 419, .external_lex_state = 2},
  [17782] = {.lex_state = 18, .external_lex_state = 2},
  [17783] = {.lex_state = 18, .external_lex_state = 2},
  [17784] = {.lex_state = 419, .external_lex_state = 2},
  [17785] = {.lex_state = 419, .external_lex_state = 3},
  [17786] = {.lex_state = 419, .external_lex_state = 2},
  [17787] = {.lex_state = 419, .external_lex_state = 2},
  [17788] = {.lex_state = 18, .external_lex_state = 2},
  [17789] = {.lex_state = 419, .external_lex_state = 2},
  [17790] = {.lex_state = 419, .external_lex_state = 2},
  [17791] = {.lex_state = 11, .external_lex_state = 2},
  [17792] = {.lex_state = 419, .external_lex_state = 2},
  [17793] = {.lex_state = 419, .external_lex_state = 3},
  [17794] = {.lex_state = 18, .external_lex_state = 2},
  [17795] = {.lex_state = 419, .external_lex_state = 2},
  [17796] = {.lex_state = 419, .external_lex_state = 2},
  [17797] = {.lex_state = 419, .external_lex_state = 2},
  [17798] = {.lex_state = 419, .external_lex_state = 2},
  [17799] = {.lex_state = 419, .external_lex_state = 2},
  [17800] = {.lex_state = 419, .external_lex_state = 2},
  [17801] = {.lex_state = 48, .external_lex_state = 2},
  [17802] = {.lex_state = 18, .external_lex_state = 2},
  [17803] = {.lex_state = 48, .external_lex_state = 2},
  [17804] = {.lex_state = 419, .external_lex_state = 2},
  [17805] = {.lex_state = 419, .external_lex_state = 2},
  [17806] = {.lex_state = 419, .external_lex_state = 2},
  [17807] = {.lex_state = 419, .external_lex_state = 2},
  [17808] = {.lex_state = 18, .external_lex_state = 2},
  [17809] = {.lex_state = 419, .external_lex_state = 2},
  [17810] = {.lex_state = 419, .external_lex_state = 2},
  [17811] = {.lex_state = 419, .external_lex_state = 2},
  [17812] = {.lex_state = 419, .external_lex_state = 2},
  [17813] = {.lex_state = 419, .external_lex_state = 2},
  [17814] = {.lex_state = 419, .external_lex_state = 2},
  [17815] = {.lex_state = 419, .external_lex_state = 2},
  [17816] = {.lex_state = 419, .external_lex_state = 2},
  [17817] = {.lex_state = 419, .external_lex_state = 2},
  [17818] = {.lex_state = 28, .external_lex_state = 2},
  [17819] = {.lex_state = 419, .external_lex_state = 2},
  [17820] = {.lex_state = 419, .external_lex_state = 2},
  [17821] = {.lex_state = 419, .external_lex_state = 2},
  [17822] = {.lex_state = 18, .external_lex_state = 2},
  [17823] = {.lex_state = 419, .external_lex_state = 2},
  [17824] = {.lex_state = 419, .external_lex_state = 2},
  [17825] = {.lex_state = 419, .external_lex_state = 2},
  [17826] = {.lex_state = 419, .external_lex_state = 2},
  [17827] = {.lex_state = 419, .external_lex_state = 2},
  [17828] = {.lex_state = 419, .external_lex_state = 2},
  [17829] = {.lex_state = 419, .external_lex_state = 2},
  [17830] = {.lex_state = 419, .external_lex_state = 2},
  [17831] = {.lex_state = 419, .external_lex_state = 2},
  [17832] = {.lex_state = 419, .external_lex_state = 2},
  [17833] = {.lex_state = 419, .external_lex_state = 2},
  [17834] = {.lex_state = 419, .external_lex_state = 2},
  [17835] = {.lex_state = 18, .external_lex_state = 2},
  [17836] = {.lex_state = 419, .external_lex_state = 2},
  [17837] = {.lex_state = 419, .external_lex_state = 2},
  [17838] = {.lex_state = 18, .external_lex_state = 2},
  [17839] = {.lex_state = 419, .external_lex_state = 2},
  [17840] = {.lex_state = 18, .external_lex_state = 2},
  [17841] = {.lex_state = 419, .external_lex_state = 2},
  [17842] = {.lex_state = 28, .external_lex_state = 2},
  [17843] = {.lex_state = 419, .external_lex_state = 2},
  [17844] = {.lex_state = 18, .external_lex_state = 2},
  [17845] = {.lex_state = 419, .external_lex_state = 2},
  [17846] = {.lex_state = 18, .external_lex_state = 2},
  [17847] = {.lex_state = 419, .external_lex_state = 2},
  [17848] = {.lex_state = 419, .external_lex_state = 2},
  [17849] = {.lex_state = 419, .external_lex_state = 2},
  [17850] = {.lex_state = 419, .external_lex_state = 2},
  [17851] = {.lex_state = 419, .external_lex_state = 2},
  [17852] = {.lex_state = 419, .external_lex_state = 2},
  [17853] = {.lex_state = 419, .external_lex_state = 2},
  [17854] = {.lex_state = 419, .external_lex_state = 2},
  [17855] = {.lex_state = 419, .external_lex_state = 2},
  [17856] = {.lex_state = 18, .external_lex_state = 2},
  [17857] = {.lex_state = 18, .external_lex_state = 2},
  [17858] = {.lex_state = 419, .external_lex_state = 2},
  [17859] = {.lex_state = 18, .external_lex_state = 2},
  [17860] = {.lex_state = 419, .external_lex_state = 2},
  [17861] = {.lex_state = 419, .external_lex_state = 2},
  [17862] = {.lex_state = 419, .external_lex_state = 2},
  [17863] = {.lex_state = 419, .external_lex_state = 2},
  [17864] = {.lex_state = 419, .external_lex_state = 2},
  [17865] = {.lex_state = 419, .external_lex_state = 2},
  [17866] = {.lex_state = 18, .external_lex_state = 2},
  [17867] = {.lex_state = 18, .external_lex_state = 2},
  [17868] = {.lex_state = 419, .external_lex_state = 2},
  [17869] = {.lex_state = 419, .external_lex_state = 2},
  [17870] = {.lex_state = 419, .external_lex_state = 2},
  [17871] = {.lex_state = 419, .external_lex_state = 2},
  [17872] = {.lex_state = 419, .external_lex_state = 2},
  [17873] = {.lex_state = 419, .external_lex_state = 2},
  [17874] = {.lex_state = 419, .external_lex_state = 2},
  [17875] = {.lex_state = 419, .external_lex_state = 2},
  [17876] = {.lex_state = 18, .external_lex_state = 2},
  [17877] = {.lex_state = 18, .external_lex_state = 2},
  [17878] = {.lex_state = 419, .external_lex_state = 2},
  [17879] = {.lex_state = 18, .external_lex_state = 2},
  [17880] = {.lex_state = 18, .external_lex_state = 2},
  [17881] = {.lex_state = 419, .external_lex_state = 2},
  [17882] = {.lex_state = 18, .external_lex_state = 2},
  [17883] = {.lex_state = 18, .external_lex_state = 2},
  [17884] = {.lex_state = 12, .external_lex_state = 2},
  [17885] = {.lex_state = 419, .external_lex_state = 2},
  [17886] = {.lex_state = 419, .external_lex_state = 2},
  [17887] = {.lex_state = 419, .external_lex_state = 2},
  [17888] = {.lex_state = 419, .external_lex_state = 2},
  [17889] = {.lex_state = 419, .external_lex_state = 2},
  [17890] = {.lex_state = 12, .external_lex_state = 2},
  [17891] = {.lex_state = 419, .external_lex_state = 2},
  [17892] = {.lex_state = 419, .external_lex_state = 2},
  [17893] = {.lex_state = 18, .external_lex_state = 2},
  [17894] = {.lex_state = 12, .external_lex_state = 2},
  [17895] = {.lex_state = 18, .external_lex_state = 2},
  [17896] = {.lex_state = 419, .external_lex_state = 2},
  [17897] = {.lex_state = 419, .external_lex_state = 2},
  [17898] = {.lex_state = 419, .external_lex_state = 2},
  [17899] = {.lex_state = 18, .external_lex_state = 2},
  [17900] = {.lex_state = 419, .external_lex_state = 2},
  [17901] = {.lex_state = 18, .external_lex_state = 2},
  [17902] = {.lex_state = 419, .external_lex_state = 2},
  [17903] = {.lex_state = 419, .external_lex_state = 2},
  [17904] = {.lex_state = 419, .external_lex_state = 2},
  [17905] = {.lex_state = 419, .external_lex_state = 2},
  [17906] = {.lex_state = 419, .external_lex_state = 2},
  [17907] = {.lex_state = 18, .external_lex_state = 2},
  [17908] = {.lex_state = 419, .external_lex_state = 2},
  [17909] = {.lex_state = 12, .external_lex_state = 2},
  [17910] = {.lex_state = 12, .external_lex_state = 2},
  [17911] = {.lex_state = 12, .external_lex_state = 2},
  [17912] = {.lex_state = 18, .external_lex_state = 2},
  [17913] = {.lex_state = 18, .external_lex_state = 2},
  [17914] = {.lex_state = 419, .external_lex_state = 2},
  [17915] = {.lex_state = 419, .external_lex_state = 2},
  [17916] = {.lex_state = 12, .external_lex_state = 2},
  [17917] = {.lex_state = 419, .external_lex_state = 2},
  [17918] = {.lex_state = 419, .external_lex_state = 2},
  [17919] = {.lex_state = 419, .external_lex_state = 2},
  [17920] = {.lex_state = 18, .external_lex_state = 2},
  [17921] = {.lex_state = 11, .external_lex_state = 2},
  [17922] = {.lex_state = 419, .external_lex_state = 2},
  [17923] = {.lex_state = 12, .external_lex_state = 2},
  [17924] = {.lex_state = 419, .external_lex_state = 2},
  [17925] = {.lex_state = 419, .external_lex_state = 2},
  [17926] = {.lex_state = 419, .external_lex_state = 2},
  [17927] = {.lex_state = 18, .external_lex_state = 2},
  [17928] = {.lex_state = 28, .external_lex_state = 2},
  [17929] = {.lex_state = 419, .external_lex_state = 2},
  [17930] = {.lex_state = 18, .external_lex_state = 2},
  [17931] = {.lex_state = 18, .external_lex_state = 2},
  [17932] = {.lex_state = 419, .external_lex_state = 2},
  [17933] = {.lex_state = 18, .external_lex_state = 2},
  [17934] = {.lex_state = 419, .external_lex_state = 2},
  [17935] = {.lex_state = 419, .external_lex_state = 2},
  [17936] = {.lex_state = 419, .external_lex_state = 2},
  [17937] = {.lex_state = 419, .external_lex_state = 2},
  [17938] = {.lex_state = 419, .external_lex_state = 2},
  [17939] = {.lex_state = 419, .external_lex_state = 2},
  [17940] = {.lex_state = 419, .external_lex_state = 2},
  [17941] = {.lex_state = 419, .external_lex_state = 2},
  [17942] = {.lex_state = 419, .external_lex_state = 2},
  [17943] = {.lex_state = 419, .external_lex_state = 2},
  [17944] = {.lex_state = 419, .external_lex_state = 2},
  [17945] = {.lex_state = 18, .external_lex_state = 2},
  [17946] = {.lex_state = 419, .external_lex_state = 2},
  [17947] = {.lex_state = 18, .external_lex_state = 2},
  [17948] = {.lex_state = 419, .external_lex_state = 2},
  [17949] = {.lex_state = 12, .external_lex_state = 2},
  [17950] = {.lex_state = 12, .external_lex_state = 2},
  [17951] = {.lex_state = 419, .external_lex_state = 2},
  [17952] = {.lex_state = 12, .external_lex_state = 2},
  [17953] = {.lex_state = 419, .external_lex_state = 2},
  [17954] = {.lex_state = 11, .external_lex_state = 2},
  [17955] = {.lex_state = 18, .external_lex_state = 2},
  [17956] = {.lex_state = 419, .external_lex_state = 3},
  [17957] = {.lex_state = 419, .external_lex_state = 2},
  [17958] = {.lex_state = 419, .external_lex_state = 2},
  [17959] = {.lex_state = 419, .external_lex_state = 2},
  [17960] = {.lex_state = 419, .external_lex_state = 2},
  [17961] = {.lex_state = 419, .external_lex_state = 2},
  [17962] = {.lex_state = 419, .external_lex_state = 2},
  [17963] = {.lex_state = 28, .external_lex_state = 2},
  [17964] = {.lex_state = 12, .external_lex_state = 2},
  [17965] = {.lex_state = 419, .external_lex_state = 2},
  [17966] = {.lex_state = 419, .external_lex_state = 2},
  [17967] = {.lex_state = 18, .external_lex_state = 2},
  [17968] = {.lex_state = 18, .external_lex_state = 2},
  [17969] = {.lex_state = 12, .external_lex_state = 2},
  [17970] = {.lex_state = 18, .external_lex_state = 2},
  [17971] = {.lex_state = 419, .external_lex_state = 2},
  [17972] = {.lex_state = 419, .external_lex_state = 2},
  [17973] = {.lex_state = 12, .external_lex_state = 2},
  [17974] = {.lex_state = 419, .external_lex_state = 2},
  [17975] = {.lex_state = 18, .external_lex_state = 2},
  [17976] = {.lex_state = 419, .external_lex_state = 2},
  [17977] = {.lex_state = 419, .external_lex_state = 2},
  [17978] = {.lex_state = 419, .external_lex_state = 2},
  [17979] = {.lex_state = 18, .external_lex_state = 2},
  [17980] = {.lex_state = 12, .external_lex_state = 2},
  [17981] = {.lex_state = 419, .external_lex_state = 2},
  [17982] = {.lex_state = 12, .external_lex_state = 2},
  [17983] = {.lex_state = 419, .external_lex_state = 2},
  [17984] = {.lex_state = 419, .external_lex_state = 2},
  [17985] = {.lex_state = 18, .external_lex_state = 2},
  [17986] = {.lex_state = 419, .external_lex_state = 2},
  [17987] = {.lex_state = 419, .external_lex_state = 2},
  [17988] = {.lex_state = 419, .external_lex_state = 2},
  [17989] = {.lex_state = 419, .external_lex_state = 2},
  [17990] = {.lex_state = 18, .external_lex_state = 2},
  [17991] = {.lex_state = 419, .external_lex_state = 2},
  [17992] = {.lex_state = 419, .external_lex_state = 2},
  [17993] = {.lex_state = 419, .external_lex_state = 2},
  [17994] = {.lex_state = 419, .external_lex_state = 2},
  [17995] = {.lex_state = 419, .external_lex_state = 2},
  [17996] = {.lex_state = 419, .external_lex_state = 2},
  [17997] = {.lex_state = 419, .external_lex_state = 2},
  [17998] = {.lex_state = 18, .external_lex_state = 2},
  [17999] = {.lex_state = 419, .external_lex_state = 2},
  [18000] = {.lex_state = 419, .external_lex_state = 2},
  [18001] = {.lex_state = 18, .external_lex_state = 2},
  [18002] = {.lex_state = 28, .external_lex_state = 2},
  [18003] = {.lex_state = 419, .external_lex_state = 2},
  [18004] = {.lex_state = 419, .external_lex_state = 2},
  [18005] = {.lex_state = 419, .external_lex_state = 2},
  [18006] = {.lex_state = 419, .external_lex_state = 2},
  [18007] = {.lex_state = 419, .external_lex_state = 2},
  [18008] = {.lex_state = 419, .external_lex_state = 2},
  [18009] = {.lex_state = 419, .external_lex_state = 2},
  [18010] = {.lex_state = 18, .external_lex_state = 2},
  [18011] = {.lex_state = 419, .external_lex_state = 2},
  [18012] = {.lex_state = 419, .external_lex_state = 2},
  [18013] = {.lex_state = 419, .external_lex_state = 2},
  [18014] = {.lex_state = 419, .external_lex_state = 2},
  [18015] = {.lex_state = 419, .external_lex_state = 2},
  [18016] = {.lex_state = 419, .external_lex_state = 2},
  [18017] = {.lex_state = 419, .external_lex_state = 2},
  [18018] = {.lex_state = 419, .external_lex_state = 2},
  [18019] = {.lex_state = 419, .external_lex_state = 2},
  [18020] = {.lex_state = 419, .external_lex_state = 2},
  [18021] = {.lex_state = 419, .external_lex_state = 2},
  [18022] = {.lex_state = 419, .external_lex_state = 2},
  [18023] = {.lex_state = 419, .external_lex_state = 2},
  [18024] = {.lex_state = 18, .external_lex_state = 2},
  [18025] = {.lex_state = 419, .external_lex_state = 2},
  [18026] = {.lex_state = 419, .external_lex_state = 2},
  [18027] = {.lex_state = 419, .external_lex_state = 2},
  [18028] = {.lex_state = 419, .external_lex_state = 2},
  [18029] = {.lex_state = 419, .external_lex_state = 2},
  [18030] = {.lex_state = 419, .external_lex_state = 2},
  [18031] = {.lex_state = 419, .external_lex_state = 2},
  [18032] = {.lex_state = 11, .external_lex_state = 2},
  [18033] = {.lex_state = 419, .external_lex_state = 3},
  [18034] = {.lex_state = 419, .external_lex_state = 2},
  [18035] = {.lex_state = 419, .external_lex_state = 2},
  [18036] = {.lex_state = 419, .external_lex_state = 2},
  [18037] = {.lex_state = 419, .external_lex_state = 2},
  [18038] = {.lex_state = 419, .external_lex_state = 2},
  [18039] = {.lex_state = 419, .external_lex_state = 2},
  [18040] = {.lex_state = 419, .external_lex_state = 2},
  [18041] = {.lex_state = 28, .external_lex_state = 2},
  [18042] = {.lex_state = 419, .external_lex_state = 2},
  [18043] = {.lex_state = 419, .external_lex_state = 2},
  [18044] = {.lex_state = 419, .external_lex_state = 2},
  [18045] = {.lex_state = 419, .external_lex_state = 2},
  [18046] = {.lex_state = 419, .external_lex_state = 2},
  [18047] = {.lex_state = 419, .external_lex_state = 2},
  [18048] = {.lex_state = 419, .external_lex_state = 2},
  [18049] = {.lex_state = 419, .external_lex_state = 2},
  [18050] = {.lex_state = 419, .external_lex_state = 2},
  [18051] = {.lex_state = 18, .external_lex_state = 2},
  [18052] = {.lex_state = 419, .external_lex_state = 2},
  [18053] = {.lex_state = 11, .external_lex_state = 2},
  [18054] = {.lex_state = 419, .external_lex_state = 3},
  [18055] = {.lex_state = 12, .external_lex_state = 2},
  [18056] = {.lex_state = 419, .external_lex_state = 2},
  [18057] = {.lex_state = 419, .external_lex_state = 2},
  [18058] = {.lex_state = 18, .external_lex_state = 2},
  [18059] = {.lex_state = 419, .external_lex_state = 2},
  [18060] = {.lex_state = 419, .external_lex_state = 2},
  [18061] = {.lex_state = 419, .external_lex_state = 2},
  [18062] = {.lex_state = 419, .external_lex_state = 2},
  [18063] = {.lex_state = 419, .external_lex_state = 2},
  [18064] = {.lex_state = 419, .external_lex_state = 2},
  [18065] = {.lex_state = 419, .external_lex_state = 2},
  [18066] = {.lex_state = 419, .external_lex_state = 2},
  [18067] = {.lex_state = 419, .external_lex_state = 2},
  [18068] = {.lex_state = 419, .external_lex_state = 2},
  [18069] = {.lex_state = 419, .external_lex_state = 2},
  [18070] = {.lex_state = 28, .external_lex_state = 2},
  [18071] = {.lex_state = 419, .external_lex_state = 2},
  [18072] = {.lex_state = 419, .external_lex_state = 2},
  [18073] = {.lex_state = 12, .external_lex_state = 2},
  [18074] = {.lex_state = 419, .external_lex_state = 2},
  [18075] = {.lex_state = 12, .external_lex_state = 2},
  [18076] = {.lex_state = 419, .external_lex_state = 2},
  [18077] = {.lex_state = 12, .external_lex_state = 2},
  [18078] = {.lex_state = 18, .external_lex_state = 2},
  [18079] = {.lex_state = 419, .external_lex_state = 2},
  [18080] = {.lex_state = 419, .external_lex_state = 2},
  [18081] = {.lex_state = 419, .external_lex_state = 2},
  [18082] = {.lex_state = 419, .external_lex_state = 2},
  [18083] = {.lex_state = 419, .external_lex_state = 2},
  [18084] = {.lex_state = 419, .external_lex_state = 2},
  [18085] = {.lex_state = 12, .external_lex_state = 2},
  [18086] = {.lex_state = 18, .external_lex_state = 2},
  [18087] = {.lex_state = 419, .external_lex_state = 2},
  [18088] = {.lex_state = 419, .external_lex_state = 2},
  [18089] = {.lex_state = 419, .external_lex_state = 2},
  [18090] = {.lex_state = 419, .external_lex_state = 2},
  [18091] = {.lex_state = 419, .external_lex_state = 2},
  [18092] = {.lex_state = 12, .external_lex_state = 2},
  [18093] = {.lex_state = 419, .external_lex_state = 2},
  [18094] = {.lex_state = 419, .external_lex_state = 2},
  [18095] = {.lex_state = 12, .external_lex_state = 2},
  [18096] = {.lex_state = 419, .external_lex_state = 2},
  [18097] = {.lex_state = 419, .external_lex_state = 2},
  [18098] = {.lex_state = 18, .external_lex_state = 2},
  [18099] = {.lex_state = 419, .external_lex_state = 2},
  [18100] = {.lex_state = 419, .external_lex_state = 2},
  [18101] = {.lex_state = 419, .external_lex_state = 2},
  [18102] = {.lex_state = 419, .external_lex_state = 2},
  [18103] = {.lex_state = 419, .external_lex_state = 2},
  [18104] = {.lex_state = 419, .external_lex_state = 2},
  [18105] = {.lex_state = 419, .external_lex_state = 2},
  [18106] = {.lex_state = 12, .external_lex_state = 2},
  [18107] = {.lex_state = 12, .external_lex_state = 2},
  [18108] = {.lex_state = 18, .external_lex_state = 2},
  [18109] = {.lex_state = 18, .external_lex_state = 2},
  [18110] = {.lex_state = 18, .external_lex_state = 2},
  [18111] = {.lex_state = 12, .external_lex_state = 2},
  [18112] = {.lex_state = 419, .external_lex_state = 2},
  [18113] = {.lex_state = 12, .external_lex_state = 2},
  [18114] = {.lex_state = 12, .external_lex_state = 2},
  [18115] = {.lex_state = 12, .external_lex_state = 2},
  [18116] = {.lex_state = 419, .external_lex_state = 2},
  [18117] = {.lex_state = 419, .external_lex_state = 2},
  [18118] = {.lex_state = 419, .external_lex_state = 2},
  [18119] = {.lex_state = 18, .external_lex_state = 2},
  [18120] = {.lex_state = 18, .external_lex_state = 2},
  [18121] = {.lex_state = 419, .external_lex_state = 2},
  [18122] = {.lex_state = 12, .external_lex_state = 2},
  [18123] = {.lex_state = 18, .external_lex_state = 2},
  [18124] = {.lex_state = 419, .external_lex_state = 2},
  [18125] = {.lex_state = 419, .external_lex_state = 2},
  [18126] = {.lex_state = 419, .external_lex_state = 2},
  [18127] = {.lex_state = 419, .external_lex_state = 2},
  [18128] = {.lex_state = 12, .external_lex_state = 2},
  [18129] = {.lex_state = 419, .external_lex_state = 2},
  [18130] = {.lex_state = 12, .external_lex_state = 2},
  [18131] = {.lex_state = 419, .external_lex_state = 2},
  [18132] = {.lex_state = 18, .external_lex_state = 2},
  [18133] = {.lex_state = 12, .external_lex_state = 2},
  [18134] = {.lex_state = 419, .external_lex_state = 2},
  [18135] = {.lex_state = 12, .external_lex_state = 2},
  [18136] = {.lex_state = 419, .external_lex_state = 2},
  [18137] = {.lex_state = 18, .external_lex_state = 2},
  [18138] = {.lex_state = 18, .external_lex_state = 2},
  [18139] = {.lex_state = 18, .external_lex_state = 2},
  [18140] = {.lex_state = 419, .external_lex_state = 2},
  [18141] = {.lex_state = 12, .external_lex_state = 2},
  [18142] = {.lex_state = 419, .external_lex_state = 2},
  [18143] = {.lex_state = 419, .external_lex_state = 2},
  [18144] = {.lex_state = 419, .external_lex_state = 2},
  [18145] = {.lex_state = 419, .external_lex_state = 2},
  [18146] = {.lex_state = 28, .external_lex_state = 2},
  [18147] = {.lex_state = 12, .external_lex_state = 2},
  [18148] = {.lex_state = 18, .external_lex_state = 2},
  [18149] = {.lex_state = 419, .external_lex_state = 2},
  [18150] = {.lex_state = 18, .external_lex_state = 2},
  [18151] = {.lex_state = 419, .external_lex_state = 2},
  [18152] = {.lex_state = 419, .external_lex_state = 2},
  [18153] = {.lex_state = 419, .external_lex_state = 2},
  [18154] = {.lex_state = 419, .external_lex_state = 2},
  [18155] = {.lex_state = 419, .external_lex_state = 2},
  [18156] = {.lex_state = 419, .external_lex_state = 2},
  [18157] = {.lex_state = 419, .external_lex_state = 2},
  [18158] = {.lex_state = 419, .external_lex_state = 2},
  [18159] = {.lex_state = 419, .external_lex_state = 2},
  [18160] = {.lex_state = 419, .external_lex_state = 2},
  [18161] = {.lex_state = 12, .external_lex_state = 2},
  [18162] = {.lex_state = 419, .external_lex_state = 2},
  [18163] = {.lex_state = 419, .external_lex_state = 2},
  [18164] = {.lex_state = 419, .external_lex_state = 2},
  [18165] = {.lex_state = 11, .external_lex_state = 2},
  [18166] = {.lex_state = 419, .external_lex_state = 2},
  [18167] = {.lex_state = 419, .external_lex_state = 2},
  [18168] = {.lex_state = 419, .external_lex_state = 2},
  [18169] = {.lex_state = 11, .external_lex_state = 2},
  [18170] = {.lex_state = 419, .external_lex_state = 2},
  [18171] = {.lex_state = 419, .external_lex_state = 2},
  [18172] = {.lex_state = 12, .external_lex_state = 2},
  [18173] = {.lex_state = 12, .external_lex_state = 2},
  [18174] = {.lex_state = 419, .external_lex_state = 2},
  [18175] = {.lex_state = 11, .external_lex_state = 2},
  [18176] = {.lex_state = 419, .external_lex_state = 2},
  [18177] = {.lex_state = 419, .external_lex_state = 3},
  [18178] = {.lex_state = 419, .external_lex_state = 2},
  [18179] = {.lex_state = 419, .external_lex_state = 2},
  [18180] = {.lex_state = 419, .external_lex_state = 3},
  [18181] = {.lex_state = 28, .external_lex_state = 2},
  [18182] = {.lex_state = 419, .external_lex_state = 2},
  [18183] = {.lex_state = 419, .external_lex_state = 2},
  [18184] = {.lex_state = 419, .external_lex_state = 2},
  [18185] = {.lex_state = 419, .external_lex_state = 2},
  [18186] = {.lex_state = 419, .external_lex_state = 2},
  [18187] = {.lex_state = 419, .external_lex_state = 2},
  [18188] = {.lex_state = 419, .external_lex_state = 2},
  [18189] = {.lex_state = 419, .external_lex_state = 2},
  [18190] = {.lex_state = 419, .external_lex_state = 2},
  [18191] = {.lex_state = 419, .external_lex_state = 2},
  [18192] = {.lex_state = 419, .external_lex_state = 2},
  [18193] = {.lex_state = 419, .external_lex_state = 2},
  [18194] = {.lex_state = 11, .external_lex_state = 2},
  [18195] = {.lex_state = 28, .external_lex_state = 2},
  [18196] = {.lex_state = 419, .external_lex_state = 3},
  [18197] = {.lex_state = 419, .external_lex_state = 2},
  [18198] = {.lex_state = 419, .external_lex_state = 2},
  [18199] = {.lex_state = 419, .external_lex_state = 2},
  [18200] = {.lex_state = 419, .external_lex_state = 2},
  [18201] = {.lex_state = 419, .external_lex_state = 2},
  [18202] = {.lex_state = 28, .external_lex_state = 2},
  [18203] = {.lex_state = 419, .external_lex_state = 2},
  [18204] = {.lex_state = 419, .external_lex_state = 2},
  [18205] = {.lex_state = 18, .external_lex_state = 2},
  [18206] = {.lex_state = 419, .external_lex_state = 2},
  [18207] = {.lex_state = 419, .external_lex_state = 2},
  [18208] = {.lex_state = 419, .external_lex_state = 2},
  [18209] = {.lex_state = 419, .external_lex_state = 2},
  [18210] = {.lex_state = 419, .external_lex_state = 2},
  [18211] = {.lex_state = 419, .external_lex_state = 2},
  [18212] = {.lex_state = 419, .external_lex_state = 2},
  [18213] = {.lex_state = 419, .external_lex_state = 2},
  [18214] = {.lex_state = 18, .external_lex_state = 2},
  [18215] = {.lex_state = 18, .external_lex_state = 2},
  [18216] = {.lex_state = 419, .external_lex_state = 2},
  [18217] = {.lex_state = 18, .external_lex_state = 2},
  [18218] = {.lex_state = 18, .external_lex_state = 2},
  [18219] = {.lex_state = 18, .external_lex_state = 2},
  [18220] = {.lex_state = 419, .external_lex_state = 2},
  [18221] = {.lex_state = 419, .external_lex_state = 2},
  [18222] = {.lex_state = 419, .external_lex_state = 2},
  [18223] = {.lex_state = 419, .external_lex_state = 2},
  [18224] = {.lex_state = 419, .external_lex_state = 2},
  [18225] = {.lex_state = 419, .external_lex_state = 2},
  [18226] = {.lex_state = 18, .external_lex_state = 2},
  [18227] = {.lex_state = 419, .external_lex_state = 2},
  [18228] = {.lex_state = 419, .external_lex_state = 2},
  [18229] = {.lex_state = 18, .external_lex_state = 2},
  [18230] = {.lex_state = 18, .external_lex_state = 2},
  [18231] = {.lex_state = 419, .external_lex_state = 2},
  [18232] = {.lex_state = 419, .external_lex_state = 2},
  [18233] = {.lex_state = 419, .external_lex_state = 2},
  [18234] = {.lex_state = 419, .external_lex_state = 2},
  [18235] = {.lex_state = 419, .external_lex_state = 2},
  [18236] = {.lex_state = 419, .external_lex_state = 2},
  [18237] = {.lex_state = 419, .external_lex_state = 2},
  [18238] = {.lex_state = 419, .external_lex_state = 2},
  [18239] = {.lex_state = 419, .external_lex_state = 2},
  [18240] = {.lex_state = 419, .external_lex_state = 2},
  [18241] = {.lex_state = 28, .external_lex_state = 2},
  [18242] = {.lex_state = 419, .external_lex_state = 2},
  [18243] = {.lex_state = 419, .external_lex_state = 2},
  [18244] = {.lex_state = 419, .external_lex_state = 2},
  [18245] = {.lex_state = 419, .external_lex_state = 2},
  [18246] = {.lex_state = 419, .external_lex_state = 2},
  [18247] = {.lex_state = 419, .external_lex_state = 2},
  [18248] = {.lex_state = 419, .external_lex_state = 2},
  [18249] = {.lex_state = 419, .external_lex_state = 2},
  [18250] = {.lex_state = 18, .external_lex_state = 2},
  [18251] = {.lex_state = 419, .external_lex_state = 2},
  [18252] = {.lex_state = 419, .external_lex_state = 2},
  [18253] = {.lex_state = 419, .external_lex_state = 2},
  [18254] = {.lex_state = 419, .external_lex_state = 2},
  [18255] = {.lex_state = 419, .external_lex_state = 2},
  [18256] = {.lex_state = 419, .external_lex_state = 2},
  [18257] = {.lex_state = 419, .external_lex_state = 2},
  [18258] = {.lex_state = 419, .external_lex_state = 2},
  [18259] = {.lex_state = 419, .external_lex_state = 2},
  [18260] = {.lex_state = 18, .external_lex_state = 2},
  [18261] = {.lex_state = 419, .external_lex_state = 2},
  [18262] = {.lex_state = 419, .external_lex_state = 2},
  [18263] = {.lex_state = 419, .external_lex_state = 2},
  [18264] = {.lex_state = 419, .external_lex_state = 2},
  [18265] = {.lex_state = 419, .external_lex_state = 2},
  [18266] = {.lex_state = 419, .external_lex_state = 2},
  [18267] = {.lex_state = 419, .external_lex_state = 2},
  [18268] = {.lex_state = 419, .external_lex_state = 2},
  [18269] = {.lex_state = 419, .external_lex_state = 2},
  [18270] = {.lex_state = 419, .external_lex_state = 2},
  [18271] = {.lex_state = 419, .external_lex_state = 2},
  [18272] = {.lex_state = 419, .external_lex_state = 2},
  [18273] = {.lex_state = 419, .external_lex_state = 2},
  [18274] = {.lex_state = 419, .external_lex_state = 2},
  [18275] = {.lex_state = 28, .external_lex_state = 2},
  [18276] = {.lex_state = 419, .external_lex_state = 2},
  [18277] = {.lex_state = 419, .external_lex_state = 2},
  [18278] = {.lex_state = 419, .external_lex_state = 2},
  [18279] = {.lex_state = 419, .external_lex_state = 2},
  [18280] = {.lex_state = 419, .external_lex_state = 2},
  [18281] = {.lex_state = 419, .external_lex_state = 2},
  [18282] = {.lex_state = 12, .external_lex_state = 2},
  [18283] = {.lex_state = 419, .external_lex_state = 2},
  [18284] = {.lex_state = 419, .external_lex_state = 2},
  [18285] = {.lex_state = 18, .external_lex_state = 2},
  [18286] = {.lex_state = 419, .external_lex_state = 2},
  [18287] = {.lex_state = 419, .external_lex_state = 2},
  [18288] = {.lex_state = 419, .external_lex_state = 2},
  [18289] = {.lex_state = 419, .external_lex_state = 2},
  [18290] = {.lex_state = 419, .external_lex_state = 2},
  [18291] = {.lex_state = 419, .external_lex_state = 2},
  [18292] = {.lex_state = 419, .external_lex_state = 2},
  [18293] = {.lex_state = 419, .external_lex_state = 2},
  [18294] = {.lex_state = 18, .external_lex_state = 2},
  [18295] = {.lex_state = 419, .external_lex_state = 2},
  [18296] = {.lex_state = 419, .external_lex_state = 2},
  [18297] = {.lex_state = 419, .external_lex_state = 2},
  [18298] = {.lex_state = 419, .external_lex_state = 2},
  [18299] = {.lex_state = 28, .external_lex_state = 2},
  [18300] = {.lex_state = 28, .external_lex_state = 2},
  [18301] = {.lex_state = 419, .external_lex_state = 2},
  [18302] = {.lex_state = 419, .external_lex_state = 2},
  [18303] = {.lex_state = 419, .external_lex_state = 2},
  [18304] = {.lex_state = 419, .external_lex_state = 2},
  [18305] = {.lex_state = 419, .external_lex_state = 2},
  [18306] = {.lex_state = 419, .external_lex_state = 2},
  [18307] = {.lex_state = 18, .external_lex_state = 2},
  [18308] = {.lex_state = 419, .external_lex_state = 2},
  [18309] = {.lex_state = 419, .external_lex_state = 2},
  [18310] = {.lex_state = 419, .external_lex_state = 2},
  [18311] = {.lex_state = 12, .external_lex_state = 2},
  [18312] = {.lex_state = 419, .external_lex_state = 2},
  [18313] = {.lex_state = 419, .external_lex_state = 2},
  [18314] = {.lex_state = 419, .external_lex_state = 2},
  [18315] = {.lex_state = 419, .external_lex_state = 2},
  [18316] = {.lex_state = 18, .external_lex_state = 2},
  [18317] = {.lex_state = 419, .external_lex_state = 2},
  [18318] = {.lex_state = 419, .external_lex_state = 2},
  [18319] = {.lex_state = 419, .external_lex_state = 2},
  [18320] = {.lex_state = 419, .external_lex_state = 2},
  [18321] = {.lex_state = 419, .external_lex_state = 2},
  [18322] = {.lex_state = 419, .external_lex_state = 2},
  [18323] = {.lex_state = 419, .external_lex_state = 2},
  [18324] = {.lex_state = 18, .external_lex_state = 2},
  [18325] = {.lex_state = 419, .external_lex_state = 2},
  [18326] = {.lex_state = 419, .external_lex_state = 2},
  [18327] = {.lex_state = 419, .external_lex_state = 2},
  [18328] = {.lex_state = 419, .external_lex_state = 2},
  [18329] = {.lex_state = 419, .external_lex_state = 2},
  [18330] = {.lex_state = 419, .external_lex_state = 2},
  [18331] = {.lex_state = 419, .external_lex_state = 2},
  [18332] = {.lex_state = 419, .external_lex_state = 2},
  [18333] = {.lex_state = 18, .external_lex_state = 2},
  [18334] = {.lex_state = 12, .external_lex_state = 2},
  [18335] = {.lex_state = 419, .external_lex_state = 2},
  [18336] = {.lex_state = 419, .external_lex_state = 2},
  [18337] = {.lex_state = 18, .external_lex_state = 2},
  [18338] = {.lex_state = 419, .external_lex_state = 2},
  [18339] = {.lex_state = 419, .external_lex_state = 2},
  [18340] = {.lex_state = 12, .external_lex_state = 2},
  [18341] = {.lex_state = 419, .external_lex_state = 2},
  [18342] = {.lex_state = 419, .external_lex_state = 2},
  [18343] = {.lex_state = 419, .external_lex_state = 2},
  [18344] = {.lex_state = 419, .external_lex_state = 2},
  [18345] = {.lex_state = 419, .external_lex_state = 2},
  [18346] = {.lex_state = 18, .external_lex_state = 2},
  [18347] = {.lex_state = 419, .external_lex_state = 2},
  [18348] = {.lex_state = 12, .external_lex_state = 2},
  [18349] = {.lex_state = 18, .external_lex_state = 2},
  [18350] = {.lex_state = 419, .external_lex_state = 2},
  [18351] = {.lex_state = 18, .external_lex_state = 2},
  [18352] = {.lex_state = 419, .external_lex_state = 2},
  [18353] = {.lex_state = 419, .external_lex_state = 2},
  [18354] = {.lex_state = 12, .external_lex_state = 2},
  [18355] = {.lex_state = 18, .external_lex_state = 2},
  [18356] = {.lex_state = 419, .external_lex_state = 2},
  [18357] = {.lex_state = 419, .external_lex_state = 2},
  [18358] = {.lex_state = 419, .external_lex_state = 2},
  [18359] = {.lex_state = 419, .external_lex_state = 2},
  [18360] = {.lex_state = 419, .external_lex_state = 2},
  [18361] = {.lex_state = 419, .external_lex_state = 2},
  [18362] = {.lex_state = 12, .external_lex_state = 2},
  [18363] = {.lex_state = 12, .external_lex_state = 2},
  [18364] = {.lex_state = 12, .external_lex_state = 2},
  [18365] = {.lex_state = 18, .external_lex_state = 2},
  [18366] = {.lex_state = 419, .external_lex_state = 2},
  [18367] = {.lex_state = 419, .external_lex_state = 2},
  [18368] = {.lex_state = 419, .external_lex_state = 2},
  [18369] = {.lex_state = 419, .external_lex_state = 2},
  [18370] = {.lex_state = 12, .external_lex_state = 2},
  [18371] = {.lex_state = 419, .external_lex_state = 2},
  [18372] = {.lex_state = 419, .external_lex_state = 2},
  [18373] = {.lex_state = 419, .external_lex_state = 2},
  [18374] = {.lex_state = 419, .external_lex_state = 2},
  [18375] = {.lex_state = 419, .external_lex_state = 2},
  [18376] = {.lex_state = 419, .external_lex_state = 2},
  [18377] = {.lex_state = 419, .external_lex_state = 9},
  [18378] = {.lex_state = 419, .external_lex_state = 2},
  [18379] = {.lex_state = 18, .external_lex_state = 2},
  [18380] = {.lex_state = 419, .external_lex_state = 2},
  [18381] = {.lex_state = 419, .external_lex_state = 2},
  [18382] = {.lex_state = 419, .external_lex_state = 2},
  [18383] = {.lex_state = 419, .external_lex_state = 2},
  [18384] = {.lex_state = 419, .external_lex_state = 2},
  [18385] = {.lex_state = 419, .external_lex_state = 2},
  [18386] = {.lex_state = 18, .external_lex_state = 2},
  [18387] = {.lex_state = 18, .external_lex_state = 2},
  [18388] = {.lex_state = 12, .external_lex_state = 2},
  [18389] = {.lex_state = 419, .external_lex_state = 2},
  [18390] = {.lex_state = 419, .external_lex_state = 2},
  [18391] = {.lex_state = 419, .external_lex_state = 2},
  [18392] = {.lex_state = 419, .external_lex_state = 2},
  [18393] = {.lex_state = 419, .external_lex_state = 2},
  [18394] = {.lex_state = 419, .external_lex_state = 2},
  [18395] = {.lex_state = 419, .external_lex_state = 2},
  [18396] = {.lex_state = 419, .external_lex_state = 2},
  [18397] = {.lex_state = 419, .external_lex_state = 2},
  [18398] = {.lex_state = 419, .external_lex_state = 2},
  [18399] = {.lex_state = 419, .external_lex_state = 2},
  [18400] = {.lex_state = 28, .external_lex_state = 2},
  [18401] = {.lex_state = 419, .external_lex_state = 2},
  [18402] = {.lex_state = 419, .external_lex_state = 2},
  [18403] = {.lex_state = 419, .external_lex_state = 2},
  [18404] = {.lex_state = 419, .external_lex_state = 2},
  [18405] = {.lex_state = 419, .external_lex_state = 2},
  [18406] = {.lex_state = 419, .external_lex_state = 2},
  [18407] = {.lex_state = 419, .external_lex_state = 2},
  [18408] = {.lex_state = 11, .external_lex_state = 2},
  [18409] = {.lex_state = 419, .external_lex_state = 3},
  [18410] = {.lex_state = 419, .external_lex_state = 2},
  [18411] = {.lex_state = 419, .external_lex_state = 2},
  [18412] = {.lex_state = 419, .external_lex_state = 2},
  [18413] = {.lex_state = 419, .external_lex_state = 2},
  [18414] = {.lex_state = 419, .external_lex_state = 2},
  [18415] = {.lex_state = 419, .external_lex_state = 2},
  [18416] = {.lex_state = 419, .external_lex_state = 2},
  [18417] = {.lex_state = 28, .external_lex_state = 2},
  [18418] = {.lex_state = 419, .external_lex_state = 2},
  [18419] = {.lex_state = 419, .external_lex_state = 2},
  [18420] = {.lex_state = 419, .external_lex_state = 2},
  [18421] = {.lex_state = 419, .external_lex_state = 2},
  [18422] = {.lex_state = 419, .external_lex_state = 2},
  [18423] = {.lex_state = 419, .external_lex_state = 2},
  [18424] = {.lex_state = 419, .external_lex_state = 2},
  [18425] = {.lex_state = 419, .external_lex_state = 2},
  [18426] = {.lex_state = 419, .external_lex_state = 2},
  [18427] = {.lex_state = 419, .external_lex_state = 2},
  [18428] = {.lex_state = 419, .external_lex_state = 2},
  [18429] = {.lex_state = 12, .external_lex_state = 2},
  [18430] = {.lex_state = 12, .external_lex_state = 2},
  [18431] = {.lex_state = 419, .external_lex_state = 2},
  [18432] = {.lex_state = 12, .external_lex_state = 2},
  [18433] = {.lex_state = 419, .external_lex_state = 2},
  [18434] = {.lex_state = 419, .external_lex_state = 2},
  [18435] = {.lex_state = 419, .external_lex_state = 2},
  [18436] = {.lex_state = 419, .external_lex_state = 2},
  [18437] = {.lex_state = 419, .external_lex_state = 2},
  [18438] = {.lex_state = 419, .external_lex_state = 2},
  [18439] = {.lex_state = 419, .external_lex_state = 2},
  [18440] = {.lex_state = 419, .external_lex_state = 2},
  [18441] = {.lex_state = 419, .external_lex_state = 2},
  [18442] = {.lex_state = 18, .external_lex_state = 2},
  [18443] = {.lex_state = 18, .external_lex_state = 2},
  [18444] = {.lex_state = 12, .external_lex_state = 2},
  [18445] = {.lex_state = 18, .external_lex_state = 2},
  [18446] = {.lex_state = 419, .external_lex_state = 2},
  [18447] = {.lex_state = 419, .external_lex_state = 2},
  [18448] = {.lex_state = 18, .external_lex_state = 2},
  [18449] = {.lex_state = 18, .external_lex_state = 2},
  [18450] = {.lex_state = 419, .external_lex_state = 2},
  [18451] = {.lex_state = 419, .external_lex_state = 2},
  [18452] = {.lex_state = 18, .external_lex_state = 2},
  [18453] = {.lex_state = 419, .external_lex_state = 2},
  [18454] = {.lex_state = 18, .external_lex_state = 2},
  [18455] = {.lex_state = 419, .external_lex_state = 2},
  [18456] = {.lex_state = 419, .external_lex_state = 2},
  [18457] = {.lex_state = 419, .external_lex_state = 2},
  [18458] = {.lex_state = 419, .external_lex_state = 2},
  [18459] = {.lex_state = 419, .external_lex_state = 2},
  [18460] = {.lex_state = 419, .external_lex_state = 2},
  [18461] = {.lex_state = 28, .external_lex_state = 2},
  [18462] = {.lex_state = 419, .external_lex_state = 2},
  [18463] = {.lex_state = 419, .external_lex_state = 2},
  [18464] = {.lex_state = 419, .external_lex_state = 2},
  [18465] = {.lex_state = 419, .external_lex_state = 2},
  [18466] = {.lex_state = 18, .external_lex_state = 2},
  [18467] = {.lex_state = 12, .external_lex_state = 2},
  [18468] = {.lex_state = 12, .external_lex_state = 2},
  [18469] = {.lex_state = 419, .external_lex_state = 2},
  [18470] = {.lex_state = 419, .external_lex_state = 2},
  [18471] = {.lex_state = 12, .external_lex_state = 2},
  [18472] = {.lex_state = 18, .external_lex_state = 2},
  [18473] = {.lex_state = 419, .external_lex_state = 2},
  [18474] = {.lex_state = 419, .external_lex_state = 2},
  [18475] = {.lex_state = 419, .external_lex_state = 2},
  [18476] = {.lex_state = 419, .external_lex_state = 2},
  [18477] = {.lex_state = 419, .external_lex_state = 2},
  [18478] = {.lex_state = 419, .external_lex_state = 2},
  [18479] = {.lex_state = 419, .external_lex_state = 2},
  [18480] = {.lex_state = 12, .external_lex_state = 2},
  [18481] = {.lex_state = 419, .external_lex_state = 2},
  [18482] = {.lex_state = 12, .external_lex_state = 2},
  [18483] = {.lex_state = 18, .external_lex_state = 2},
  [18484] = {.lex_state = 419, .external_lex_state = 2},
  [18485] = {.lex_state = 419, .external_lex_state = 2},
  [18486] = {.lex_state = 419, .external_lex_state = 2},
  [18487] = {.lex_state = 419, .external_lex_state = 2},
  [18488] = {.lex_state = 419, .external_lex_state = 2},
  [18489] = {.lex_state = 12, .external_lex_state = 2},
  [18490] = {.lex_state = 419, .external_lex_state = 2},
  [18491] = {.lex_state = 419, .external_lex_state = 2},
  [18492] = {.lex_state = 12, .external_lex_state = 2},
  [18493] = {.lex_state = 419, .external_lex_state = 2},
  [18494] = {.lex_state = 12, .external_lex_state = 2},
  [18495] = {.lex_state = 419, .external_lex_state = 2},
  [18496] = {.lex_state = 419, .external_lex_state = 2},
  [18497] = {.lex_state = 419, .external_lex_state = 2},
  [18498] = {.lex_state = 419, .external_lex_state = 2},
  [18499] = {.lex_state = 419, .external_lex_state = 2},
  [18500] = {.lex_state = 419, .external_lex_state = 2},
  [18501] = {.lex_state = 12, .external_lex_state = 2},
  [18502] = {.lex_state = 419, .external_lex_state = 2},
  [18503] = {.lex_state = 419, .external_lex_state = 2},
  [18504] = {.lex_state = 419, .external_lex_state = 2},
  [18505] = {.lex_state = 419, .external_lex_state = 2},
  [18506] = {.lex_state = 419, .external_lex_state = 2},
  [18507] = {.lex_state = 419, .external_lex_state = 2},
  [18508] = {.lex_state = 419, .external_lex_state = 2},
  [18509] = {.lex_state = 419, .external_lex_state = 2},
  [18510] = {.lex_state = 419, .external_lex_state = 2},
  [18511] = {.lex_state = 419, .external_lex_state = 2},
  [18512] = {.lex_state = 419, .external_lex_state = 2},
  [18513] = {.lex_state = 419, .external_lex_state = 2},
  [18514] = {.lex_state = 419, .external_lex_state = 2},
  [18515] = {.lex_state = 11, .external_lex_state = 2},
  [18516] = {.lex_state = 18, .external_lex_state = 2},
  [18517] = {.lex_state = 419, .external_lex_state = 2},
  [18518] = {.lex_state = 419, .external_lex_state = 2},
  [18519] = {.lex_state = 419, .external_lex_state = 2},
  [18520] = {.lex_state = 419, .external_lex_state = 2},
  [18521] = {.lex_state = 419, .external_lex_state = 2},
  [18522] = {.lex_state = 419, .external_lex_state = 2},
  [18523] = {.lex_state = 419, .external_lex_state = 2},
  [18524] = {.lex_state = 419, .external_lex_state = 2},
  [18525] = {.lex_state = 419, .external_lex_state = 2},
  [18526] = {.lex_state = 419, .external_lex_state = 2},
  [18527] = {.lex_state = 419, .external_lex_state = 2},
  [18528] = {.lex_state = 18, .external_lex_state = 2},
  [18529] = {.lex_state = 18, .external_lex_state = 2},
  [18530] = {.lex_state = 419, .external_lex_state = 2},
  [18531] = {.lex_state = 419, .external_lex_state = 2},
  [18532] = {.lex_state = 419, .external_lex_state = 2},
  [18533] = {.lex_state = 419, .external_lex_state = 3},
  [18534] = {.lex_state = 419, .external_lex_state = 2},
  [18535] = {.lex_state = 11, .external_lex_state = 2},
  [18536] = {.lex_state = 419, .external_lex_state = 2},
  [18537] = {.lex_state = 419, .external_lex_state = 3},
  [18538] = {.lex_state = 419, .external_lex_state = 2},
  [18539] = {.lex_state = 419, .external_lex_state = 2},
  [18540] = {.lex_state = 419, .external_lex_state = 2},
  [18541] = {.lex_state = 11, .external_lex_state = 2},
  [18542] = {.lex_state = 419, .external_lex_state = 2},
  [18543] = {.lex_state = 419, .external_lex_state = 2},
  [18544] = {.lex_state = 419, .external_lex_state = 2},
  [18545] = {.lex_state = 419, .external_lex_state = 2},
  [18546] = {.lex_state = 28, .external_lex_state = 2},
  [18547] = {.lex_state = 419, .external_lex_state = 3},
  [18548] = {.lex_state = 419, .external_lex_state = 2},
  [18549] = {.lex_state = 419, .external_lex_state = 2},
  [18550] = {.lex_state = 419, .external_lex_state = 2},
  [18551] = {.lex_state = 419, .external_lex_state = 2},
  [18552] = {.lex_state = 419, .external_lex_state = 2},
  [18553] = {.lex_state = 419, .external_lex_state = 2},
  [18554] = {.lex_state = 18, .external_lex_state = 2},
  [18555] = {.lex_state = 28, .external_lex_state = 2},
  [18556] = {.lex_state = 419, .external_lex_state = 2},
  [18557] = {.lex_state = 419, .external_lex_state = 2},
  [18558] = {.lex_state = 419, .external_lex_state = 2},
  [18559] = {.lex_state = 18, .external_lex_state = 2},
  [18560] = {.lex_state = 18, .external_lex_state = 2},
  [18561] = {.lex_state = 18, .external_lex_state = 2},
  [18562] = {.lex_state = 419, .external_lex_state = 2},
  [18563] = {.lex_state = 419, .external_lex_state = 2},
  [18564] = {.lex_state = 419, .external_lex_state = 2},
  [18565] = {.lex_state = 419, .external_lex_state = 2},
  [18566] = {.lex_state = 419, .external_lex_state = 2},
  [18567] = {.lex_state = 18, .external_lex_state = 2},
  [18568] = {.lex_state = 419, .external_lex_state = 2},
  [18569] = {.lex_state = 18, .external_lex_state = 2},
  [18570] = {.lex_state = 419, .external_lex_state = 2},
  [18571] = {.lex_state = 18, .external_lex_state = 2},
  [18572] = {.lex_state = 18, .external_lex_state = 2},
  [18573] = {.lex_state = 419, .external_lex_state = 2},
  [18574] = {.lex_state = 419, .external_lex_state = 2},
  [18575] = {.lex_state = 419, .external_lex_state = 2},
  [18576] = {.lex_state = 419, .external_lex_state = 2},
  [18577] = {.lex_state = 419, .external_lex_state = 2},
  [18578] = {.lex_state = 419, .external_lex_state = 2},
  [18579] = {.lex_state = 419, .external_lex_state = 2},
  [18580] = {.lex_state = 12, .external_lex_state = 2},
  [18581] = {.lex_state = 419, .external_lex_state = 2},
  [18582] = {.lex_state = 419, .external_lex_state = 2},
  [18583] = {.lex_state = 419, .external_lex_state = 2},
  [18584] = {.lex_state = 419, .external_lex_state = 2},
  [18585] = {.lex_state = 12, .external_lex_state = 2},
  [18586] = {.lex_state = 419, .external_lex_state = 2},
  [18587] = {.lex_state = 12, .external_lex_state = 2},
  [18588] = {.lex_state = 18, .external_lex_state = 2},
  [18589] = {.lex_state = 419, .external_lex_state = 2},
  [18590] = {.lex_state = 419, .external_lex_state = 2},
  [18591] = {.lex_state = 419, .external_lex_state = 2},
  [18592] = {.lex_state = 419, .external_lex_state = 2},
  [18593] = {.lex_state = 12, .external_lex_state = 2},
  [18594] = {.lex_state = 419, .external_lex_state = 2},
  [18595] = {.lex_state = 419, .external_lex_state = 2},
  [18596] = {.lex_state = 419, .external_lex_state = 2},
  [18597] = {.lex_state = 419, .external_lex_state = 2},
  [18598] = {.lex_state = 419, .external_lex_state = 2},
  [18599] = {.lex_state = 419, .external_lex_state = 2},
  [18600] = {.lex_state = 18, .external_lex_state = 2},
  [18601] = {.lex_state = 419, .external_lex_state = 2},
  [18602] = {.lex_state = 419, .external_lex_state = 2},
  [18603] = {.lex_state = 18, .external_lex_state = 2},
  [18604] = {.lex_state = 419, .external_lex_state = 2},
  [18605] = {.lex_state = 419, .external_lex_state = 2},
  [18606] = {.lex_state = 419, .external_lex_state = 2},
  [18607] = {.lex_state = 18, .external_lex_state = 2},
  [18608] = {.lex_state = 419, .external_lex_state = 2},
  [18609] = {.lex_state = 419, .external_lex_state = 2},
  [18610] = {.lex_state = 11, .external_lex_state = 2},
  [18611] = {.lex_state = 419, .external_lex_state = 3},
  [18612] = {.lex_state = 12, .external_lex_state = 2},
  [18613] = {.lex_state = 419, .external_lex_state = 2},
  [18614] = {.lex_state = 419, .external_lex_state = 2},
  [18615] = {.lex_state = 18, .external_lex_state = 2},
  [18616] = {.lex_state = 18, .external_lex_state = 2},
  [18617] = {.lex_state = 419, .external_lex_state = 2},
  [18618] = {.lex_state = 419, .external_lex_state = 2},
  [18619] = {.lex_state = 18, .external_lex_state = 2},
  [18620] = {.lex_state = 419, .external_lex_state = 2},
  [18621] = {.lex_state = 419, .external_lex_state = 2},
  [18622] = {.lex_state = 419, .external_lex_state = 2},
  [18623] = {.lex_state = 419, .external_lex_state = 2},
  [18624] = {.lex_state = 419, .external_lex_state = 2},
  [18625] = {.lex_state = 18, .external_lex_state = 2},
  [18626] = {.lex_state = 11, .external_lex_state = 2},
  [18627] = {.lex_state = 419, .external_lex_state = 3},
  [18628] = {.lex_state = 419, .external_lex_state = 2},
  [18629] = {.lex_state = 419, .external_lex_state = 2},
  [18630] = {.lex_state = 419, .external_lex_state = 2},
  [18631] = {.lex_state = 419, .external_lex_state = 2},
  [18632] = {.lex_state = 28, .external_lex_state = 2},
  [18633] = {.lex_state = 419, .external_lex_state = 2},
  [18634] = {.lex_state = 419, .external_lex_state = 2},
  [18635] = {.lex_state = 419, .external_lex_state = 2},
  [18636] = {.lex_state = 419, .external_lex_state = 2},
  [18637] = {.lex_state = 419, .external_lex_state = 2},
  [18638] = {.lex_state = 419, .external_lex_state = 2},
  [18639] = {.lex_state = 419, .external_lex_state = 2},
  [18640] = {.lex_state = 419, .external_lex_state = 2},
  [18641] = {.lex_state = 419, .external_lex_state = 2},
  [18642] = {.lex_state = 419, .external_lex_state = 2},
  [18643] = {.lex_state = 419, .external_lex_state = 2},
  [18644] = {.lex_state = 419, .external_lex_state = 2},
  [18645] = {.lex_state = 419, .external_lex_state = 2},
  [18646] = {.lex_state = 419, .external_lex_state = 2},
  [18647] = {.lex_state = 419, .external_lex_state = 2},
  [18648] = {.lex_state = 419, .external_lex_state = 2},
  [18649] = {.lex_state = 419, .external_lex_state = 2},
  [18650] = {.lex_state = 28, .external_lex_state = 2},
  [18651] = {.lex_state = 419, .external_lex_state = 2},
  [18652] = {.lex_state = 419, .external_lex_state = 2},
  [18653] = {.lex_state = 419, .external_lex_state = 2},
  [18654] = {.lex_state = 419, .external_lex_state = 2},
  [18655] = {.lex_state = 18, .external_lex_state = 2},
  [18656] = {.lex_state = 419, .external_lex_state = 2},
  [18657] = {.lex_state = 419, .external_lex_state = 2},
  [18658] = {.lex_state = 419, .external_lex_state = 2},
  [18659] = {.lex_state = 419, .external_lex_state = 2},
  [18660] = {.lex_state = 419, .external_lex_state = 2},
  [18661] = {.lex_state = 419, .external_lex_state = 2},
  [18662] = {.lex_state = 419, .external_lex_state = 2},
  [18663] = {.lex_state = 419, .external_lex_state = 2},
  [18664] = {.lex_state = 18, .external_lex_state = 2},
  [18665] = {.lex_state = 419, .external_lex_state = 2},
  [18666] = {.lex_state = 419, .external_lex_state = 2},
  [18667] = {.lex_state = 419, .external_lex_state = 2},
  [18668] = {.lex_state = 11, .external_lex_state = 2},
  [18669] = {.lex_state = 18, .external_lex_state = 2},
  [18670] = {.lex_state = 419, .external_lex_state = 3},
  [18671] = {.lex_state = 419, .external_lex_state = 2},
  [18672] = {.lex_state = 419, .external_lex_state = 2},
  [18673] = {.lex_state = 419, .external_lex_state = 2},
  [18674] = {.lex_state = 18, .external_lex_state = 2},
  [18675] = {.lex_state = 419, .external_lex_state = 2},
  [18676] = {.lex_state = 419, .external_lex_state = 2},
  [18677] = {.lex_state = 419, .external_lex_state = 2},
  [18678] = {.lex_state = 419, .external_lex_state = 2},
  [18679] = {.lex_state = 12, .external_lex_state = 2},
  [18680] = {.lex_state = 419, .external_lex_state = 2},
  [18681] = {.lex_state = 419, .external_lex_state = 2},
  [18682] = {.lex_state = 419, .external_lex_state = 2},
  [18683] = {.lex_state = 419, .external_lex_state = 2},
  [18684] = {.lex_state = 419, .external_lex_state = 2},
  [18685] = {.lex_state = 419, .external_lex_state = 2},
  [18686] = {.lex_state = 419, .external_lex_state = 2},
  [18687] = {.lex_state = 18, .external_lex_state = 2},
  [18688] = {.lex_state = 18, .external_lex_state = 2},
  [18689] = {.lex_state = 419, .external_lex_state = 2},
  [18690] = {.lex_state = 419, .external_lex_state = 2},
  [18691] = {.lex_state = 419, .external_lex_state = 2},
  [18692] = {.lex_state = 419, .external_lex_state = 2},
  [18693] = {.lex_state = 419, .external_lex_state = 2},
  [18694] = {.lex_state = 419, .external_lex_state = 2},
  [18695] = {.lex_state = 419, .external_lex_state = 2},
  [18696] = {.lex_state = 419, .external_lex_state = 2},
  [18697] = {.lex_state = 419, .external_lex_state = 2},
  [18698] = {.lex_state = 419, .external_lex_state = 2},
  [18699] = {.lex_state = 419, .external_lex_state = 2},
  [18700] = {.lex_state = 18, .external_lex_state = 2},
  [18701] = {.lex_state = 419, .external_lex_state = 2},
  [18702] = {.lex_state = 419, .external_lex_state = 2},
  [18703] = {.lex_state = 18, .external_lex_state = 2},
  [18704] = {.lex_state = 18, .external_lex_state = 2},
  [18705] = {.lex_state = 419, .external_lex_state = 2},
  [18706] = {.lex_state = 419, .external_lex_state = 2},
  [18707] = {.lex_state = 419, .external_lex_state = 2},
  [18708] = {.lex_state = 419, .external_lex_state = 2},
  [18709] = {.lex_state = 419, .external_lex_state = 2},
  [18710] = {.lex_state = 419, .external_lex_state = 2},
  [18711] = {.lex_state = 419, .external_lex_state = 2},
  [18712] = {.lex_state = 419, .external_lex_state = 2},
  [18713] = {.lex_state = 419, .external_lex_state = 2},
  [18714] = {.lex_state = 18, .external_lex_state = 2},
  [18715] = {.lex_state = 419, .external_lex_state = 2},
  [18716] = {.lex_state = 419, .external_lex_state = 2},
  [18717] = {.lex_state = 419, .external_lex_state = 2},
  [18718] = {.lex_state = 419, .external_lex_state = 2},
  [18719] = {.lex_state = 419, .external_lex_state = 2},
  [18720] = {.lex_state = 419, .external_lex_state = 2},
  [18721] = {.lex_state = 419, .external_lex_state = 2},
  [18722] = {.lex_state = 419, .external_lex_state = 2},
  [18723] = {.lex_state = 419, .external_lex_state = 2},
  [18724] = {.lex_state = 419, .external_lex_state = 2},
  [18725] = {.lex_state = 419, .external_lex_state = 2},
  [18726] = {.lex_state = 419, .external_lex_state = 2},
  [18727] = {.lex_state = 419, .external_lex_state = 2},
  [18728] = {.lex_state = 419, .external_lex_state = 2},
  [18729] = {.lex_state = 419, .external_lex_state = 2},
  [18730] = {.lex_state = 12, .external_lex_state = 2},
  [18731] = {.lex_state = 419, .external_lex_state = 2},
  [18732] = {.lex_state = 419, .external_lex_state = 2},
  [18733] = {.lex_state = 12, .external_lex_state = 2},
  [18734] = {.lex_state = 419, .external_lex_state = 2},
  [18735] = {.lex_state = 419, .external_lex_state = 2},
  [18736] = {.lex_state = 419, .external_lex_state = 2},
  [18737] = {.lex_state = 419, .external_lex_state = 2},
  [18738] = {.lex_state = 419, .external_lex_state = 2},
  [18739] = {.lex_state = 419, .external_lex_state = 2},
  [18740] = {.lex_state = 419, .external_lex_state = 2},
  [18741] = {.lex_state = 419, .external_lex_state = 2},
  [18742] = {.lex_state = 419, .external_lex_state = 2},
  [18743] = {.lex_state = 419, .external_lex_state = 2},
  [18744] = {.lex_state = 12, .external_lex_state = 2},
  [18745] = {.lex_state = 419, .external_lex_state = 2},
  [18746] = {.lex_state = 419, .external_lex_state = 2},
  [18747] = {.lex_state = 419, .external_lex_state = 2},
  [18748] = {.lex_state = 419, .external_lex_state = 2},
  [18749] = {.lex_state = 419, .external_lex_state = 2},
  [18750] = {.lex_state = 419, .external_lex_state = 2},
  [18751] = {.lex_state = 419, .external_lex_state = 2},
  [18752] = {.lex_state = 12, .external_lex_state = 2},
  [18753] = {.lex_state = 11, .external_lex_state = 2},
  [18754] = {.lex_state = 419, .external_lex_state = 3},
  [18755] = {.lex_state = 419, .external_lex_state = 2},
  [18756] = {.lex_state = 419, .external_lex_state = 2},
  [18757] = {.lex_state = 419, .external_lex_state = 2},
  [18758] = {.lex_state = 419, .external_lex_state = 2},
  [18759] = {.lex_state = 419, .external_lex_state = 2},
  [18760] = {.lex_state = 419, .external_lex_state = 2},
  [18761] = {.lex_state = 419, .external_lex_state = 2},
  [18762] = {.lex_state = 12, .external_lex_state = 2},
  [18763] = {.lex_state = 419, .external_lex_state = 2},
  [18764] = {.lex_state = 12, .external_lex_state = 2},
  [18765] = {.lex_state = 419, .external_lex_state = 2},
  [18766] = {.lex_state = 419, .external_lex_state = 2},
  [18767] = {.lex_state = 419, .external_lex_state = 2},
  [18768] = {.lex_state = 12, .external_lex_state = 2},
  [18769] = {.lex_state = 12, .external_lex_state = 2},
  [18770] = {.lex_state = 18, .external_lex_state = 2},
  [18771] = {.lex_state = 419, .external_lex_state = 2},
  [18772] = {.lex_state = 419, .external_lex_state = 2},
  [18773] = {.lex_state = 419, .external_lex_state = 2},
  [18774] = {.lex_state = 419, .external_lex_state = 2},
  [18775] = {.lex_state = 18, .external_lex_state = 2},
  [18776] = {.lex_state = 419, .external_lex_state = 2},
  [18777] = {.lex_state = 419, .external_lex_state = 2},
  [18778] = {.lex_state = 419, .external_lex_state = 2},
  [18779] = {.lex_state = 419, .external_lex_state = 2},
  [18780] = {.lex_state = 419, .external_lex_state = 2},
  [18781] = {.lex_state = 18, .external_lex_state = 2},
  [18782] = {.lex_state = 419, .external_lex_state = 2},
  [18783] = {.lex_state = 419, .external_lex_state = 2},
  [18784] = {.lex_state = 419, .external_lex_state = 2},
  [18785] = {.lex_state = 419, .external_lex_state = 2},
  [18786] = {.lex_state = 419, .external_lex_state = 2},
  [18787] = {.lex_state = 419, .external_lex_state = 2},
  [18788] = {.lex_state = 419, .external_lex_state = 2},
  [18789] = {.lex_state = 419, .external_lex_state = 2},
  [18790] = {.lex_state = 11, .external_lex_state = 2},
  [18791] = {.lex_state = 18, .external_lex_state = 2},
  [18792] = {.lex_state = 419, .external_lex_state = 2},
  [18793] = {.lex_state = 419, .external_lex_state = 2},
  [18794] = {.lex_state = 419, .external_lex_state = 2},
  [18795] = {.lex_state = 419, .external_lex_state = 3},
  [18796] = {.lex_state = 419, .external_lex_state = 2},
  [18797] = {.lex_state = 419, .external_lex_state = 2},
  [18798] = {.lex_state = 419, .external_lex_state = 2},
  [18799] = {.lex_state = 419, .external_lex_state = 2},
  [18800] = {.lex_state = 419, .external_lex_state = 2},
  [18801] = {.lex_state = 419, .external_lex_state = 2},
  [18802] = {.lex_state = 12, .external_lex_state = 2},
  [18803] = {.lex_state = 419, .external_lex_state = 2},
  [18804] = {.lex_state = 12, .external_lex_state = 2},
  [18805] = {.lex_state = 12, .external_lex_state = 2},
  [18806] = {.lex_state = 18, .external_lex_state = 2},
  [18807] = {.lex_state = 419, .external_lex_state = 2},
  [18808] = {.lex_state = 419, .external_lex_state = 2},
  [18809] = {.lex_state = 419, .external_lex_state = 2},
  [18810] = {.lex_state = 419, .external_lex_state = 2},
  [18811] = {.lex_state = 419, .external_lex_state = 2},
  [18812] = {.lex_state = 419, .external_lex_state = 2},
  [18813] = {.lex_state = 419, .external_lex_state = 2},
  [18814] = {.lex_state = 12, .external_lex_state = 2},
  [18815] = {.lex_state = 419, .external_lex_state = 2},
  [18816] = {.lex_state = 419, .external_lex_state = 2},
  [18817] = {.lex_state = 419, .external_lex_state = 2},
  [18818] = {.lex_state = 419, .external_lex_state = 2},
  [18819] = {.lex_state = 419, .external_lex_state = 2},
  [18820] = {.lex_state = 419, .external_lex_state = 2},
  [18821] = {.lex_state = 419, .external_lex_state = 2},
  [18822] = {.lex_state = 419, .external_lex_state = 2},
  [18823] = {.lex_state = 419, .external_lex_state = 2},
  [18824] = {.lex_state = 419, .external_lex_state = 2},
  [18825] = {.lex_state = 419, .external_lex_state = 2},
  [18826] = {.lex_state = 18, .external_lex_state = 2},
  [18827] = {.lex_state = 419, .external_lex_state = 2},
  [18828] = {.lex_state = 419, .external_lex_state = 2},
  [18829] = {.lex_state = 419, .external_lex_state = 2},
  [18830] = {.lex_state = 419, .external_lex_state = 2},
  [18831] = {.lex_state = 419, .external_lex_state = 2},
  [18832] = {.lex_state = 18, .external_lex_state = 2},
  [18833] = {.lex_state = 419, .external_lex_state = 2},
  [18834] = {.lex_state = 419, .external_lex_state = 2},
  [18835] = {.lex_state = 419, .external_lex_state = 2},
  [18836] = {.lex_state = 419, .external_lex_state = 2},
  [18837] = {.lex_state = 419, .external_lex_state = 2},
  [18838] = {.lex_state = 18, .external_lex_state = 2},
  [18839] = {.lex_state = 419, .external_lex_state = 2},
  [18840] = {.lex_state = 419, .external_lex_state = 2},
  [18841] = {.lex_state = 419, .external_lex_state = 2},
  [18842] = {.lex_state = 419, .external_lex_state = 2},
  [18843] = {.lex_state = 419, .external_lex_state = 2},
  [18844] = {.lex_state = 11, .external_lex_state = 2},
  [18845] = {.lex_state = 419, .external_lex_state = 2},
  [18846] = {.lex_state = 419, .external_lex_state = 2},
  [18847] = {.lex_state = 419, .external_lex_state = 2},
  [18848] = {.lex_state = 419, .external_lex_state = 2},
  [18849] = {.lex_state = 419, .external_lex_state = 3},
  [18850] = {.lex_state = 18, .external_lex_state = 2},
  [18851] = {.lex_state = 419, .external_lex_state = 2},
  [18852] = {.lex_state = 419, .external_lex_state = 2},
  [18853] = {.lex_state = 28, .external_lex_state = 2},
  [18854] = {.lex_state = 419, .external_lex_state = 2},
  [18855] = {.lex_state = 419, .external_lex_state = 2},
  [18856] = {.lex_state = 419, .external_lex_state = 2},
  [18857] = {.lex_state = 419, .external_lex_state = 2},
  [18858] = {.lex_state = 419, .external_lex_state = 2},
  [18859] = {.lex_state = 419, .external_lex_state = 2},
  [18860] = {.lex_state = 419, .external_lex_state = 2},
  [18861] = {.lex_state = 419, .external_lex_state = 2},
  [18862] = {.lex_state = 419, .external_lex_state = 2},
  [18863] = {.lex_state = 18, .external_lex_state = 2},
  [18864] = {.lex_state = 18, .external_lex_state = 2},
  [18865] = {.lex_state = 419, .external_lex_state = 2},
  [18866] = {.lex_state = 419, .external_lex_state = 2},
  [18867] = {.lex_state = 419, .external_lex_state = 2},
  [18868] = {.lex_state = 419, .external_lex_state = 2},
  [18869] = {.lex_state = 419, .external_lex_state = 2},
  [18870] = {.lex_state = 419, .external_lex_state = 2},
  [18871] = {.lex_state = 11, .external_lex_state = 2},
  [18872] = {.lex_state = 419, .external_lex_state = 2},
  [18873] = {.lex_state = 419, .external_lex_state = 2},
  [18874] = {.lex_state = 419, .external_lex_state = 3},
  [18875] = {.lex_state = 419, .external_lex_state = 2},
  [18876] = {.lex_state = 419, .external_lex_state = 2},
  [18877] = {.lex_state = 419, .external_lex_state = 2},
  [18878] = {.lex_state = 419, .external_lex_state = 2},
  [18879] = {.lex_state = 18, .external_lex_state = 2},
  [18880] = {.lex_state = 419, .external_lex_state = 2},
  [18881] = {.lex_state = 419, .external_lex_state = 2},
  [18882] = {.lex_state = 419, .external_lex_state = 2},
  [18883] = {.lex_state = 419, .external_lex_state = 2},
  [18884] = {.lex_state = 419, .external_lex_state = 2},
  [18885] = {.lex_state = 419, .external_lex_state = 2},
  [18886] = {.lex_state = 419, .external_lex_state = 2},
  [18887] = {.lex_state = 18, .external_lex_state = 2},
  [18888] = {.lex_state = 12, .external_lex_state = 2},
  [18889] = {.lex_state = 18, .external_lex_state = 2},
  [18890] = {.lex_state = 419, .external_lex_state = 2},
  [18891] = {.lex_state = 419, .external_lex_state = 2},
  [18892] = {.lex_state = 419, .external_lex_state = 2},
  [18893] = {.lex_state = 419, .external_lex_state = 2},
  [18894] = {.lex_state = 419, .external_lex_state = 2},
  [18895] = {.lex_state = 419, .external_lex_state = 2},
  [18896] = {.lex_state = 419, .external_lex_state = 2},
  [18897] = {.lex_state = 12, .external_lex_state = 2},
  [18898] = {.lex_state = 419, .external_lex_state = 2},
  [18899] = {.lex_state = 419, .external_lex_state = 2},
  [18900] = {.lex_state = 18, .external_lex_state = 2},
  [18901] = {.lex_state = 419, .external_lex_state = 2},
  [18902] = {.lex_state = 419, .external_lex_state = 2},
  [18903] = {.lex_state = 419, .external_lex_state = 2},
  [18904] = {.lex_state = 419, .external_lex_state = 2},
  [18905] = {.lex_state = 419, .external_lex_state = 2},
  [18906] = {.lex_state = 12, .external_lex_state = 2},
  [18907] = {.lex_state = 18, .external_lex_state = 2},
  [18908] = {.lex_state = 419, .external_lex_state = 2},
  [18909] = {.lex_state = 419, .external_lex_state = 2},
  [18910] = {.lex_state = 12, .external_lex_state = 2},
  [18911] = {.lex_state = 419, .external_lex_state = 2},
  [18912] = {.lex_state = 419, .external_lex_state = 2},
  [18913] = {.lex_state = 419, .external_lex_state = 2},
  [18914] = {.lex_state = 419, .external_lex_state = 2},
  [18915] = {.lex_state = 419, .external_lex_state = 2},
  [18916] = {.lex_state = 419, .external_lex_state = 2},
  [18917] = {.lex_state = 18, .external_lex_state = 2},
  [18918] = {.lex_state = 419, .external_lex_state = 2},
  [18919] = {.lex_state = 419, .external_lex_state = 2},
  [18920] = {.lex_state = 419, .external_lex_state = 2},
  [18921] = {.lex_state = 419, .external_lex_state = 2},
  [18922] = {.lex_state = 419, .external_lex_state = 2},
  [18923] = {.lex_state = 12, .external_lex_state = 2},
  [18924] = {.lex_state = 12, .external_lex_state = 2},
  [18925] = {.lex_state = 24, .external_lex_state = 2},
  [18926] = {.lex_state = 12, .external_lex_state = 2},
  [18927] = {.lex_state = 419, .external_lex_state = 2},
  [18928] = {.lex_state = 18, .external_lex_state = 2},
  [18929] = {.lex_state = 419, .external_lex_state = 2},
  [18930] = {.lex_state = 419, .external_lex_state = 2},
  [18931] = {.lex_state = 419, .external_lex_state = 2},
  [18932] = {.lex_state = 419, .external_lex_state = 2},
  [18933] = {.lex_state = 419, .external_lex_state = 2},
  [18934] = {.lex_state = 419, .external_lex_state = 2},
  [18935] = {.lex_state = 419, .external_lex_state = 2},
  [18936] = {.lex_state = 419, .external_lex_state = 2},
  [18937] = {.lex_state = 12, .external_lex_state = 2},
  [18938] = {.lex_state = 419, .external_lex_state = 2},
  [18939] = {.lex_state = 419, .external_lex_state = 2},
  [18940] = {.lex_state = 419, .external_lex_state = 2},
  [18941] = {.lex_state = 419, .external_lex_state = 2},
  [18942] = {.lex_state = 419, .external_lex_state = 2},
  [18943] = {.lex_state = 419, .external_lex_state = 2},
  [18944] = {.lex_state = 419, .external_lex_state = 2},
  [18945] = {.lex_state = 419, .external_lex_state = 2},
  [18946] = {.lex_state = 419, .external_lex_state = 2},
  [18947] = {.lex_state = 419, .external_lex_state = 2},
  [18948] = {.lex_state = 11, .external_lex_state = 2},
  [18949] = {.lex_state = 419, .external_lex_state = 3},
  [18950] = {.lex_state = 419, .external_lex_state = 2},
  [18951] = {.lex_state = 419, .external_lex_state = 2},
  [18952] = {.lex_state = 419, .external_lex_state = 2},
  [18953] = {.lex_state = 419, .external_lex_state = 2},
  [18954] = {.lex_state = 419, .external_lex_state = 2},
  [18955] = {.lex_state = 18, .external_lex_state = 2},
  [18956] = {.lex_state = 419, .external_lex_state = 2},
  [18957] = {.lex_state = 419, .external_lex_state = 2},
  [18958] = {.lex_state = 419, .external_lex_state = 2},
  [18959] = {.lex_state = 419, .external_lex_state = 2},
  [18960] = {.lex_state = 419, .external_lex_state = 2},
  [18961] = {.lex_state = 419, .external_lex_state = 2},
  [18962] = {.lex_state = 419, .external_lex_state = 2},
  [18963] = {.lex_state = 18, .external_lex_state = 2},
  [18964] = {.lex_state = 419, .external_lex_state = 2},
  [18965] = {.lex_state = 18, .external_lex_state = 2},
  [18966] = {.lex_state = 18, .external_lex_state = 2},
  [18967] = {.lex_state = 419, .external_lex_state = 2},
  [18968] = {.lex_state = 12, .external_lex_state = 2},
  [18969] = {.lex_state = 12, .external_lex_state = 2},
  [18970] = {.lex_state = 419, .external_lex_state = 2},
  [18971] = {.lex_state = 419, .external_lex_state = 2},
  [18972] = {.lex_state = 419, .external_lex_state = 2},
  [18973] = {.lex_state = 419, .external_lex_state = 2},
  [18974] = {.lex_state = 419, .external_lex_state = 2},
  [18975] = {.lex_state = 11, .external_lex_state = 2},
  [18976] = {.lex_state = 419, .external_lex_state = 2},
  [18977] = {.lex_state = 419, .external_lex_state = 2},
  [18978] = {.lex_state = 419, .external_lex_state = 2},
  [18979] = {.lex_state = 11, .external_lex_state = 2},
  [18980] = {.lex_state = 419, .external_lex_state = 3},
  [18981] = {.lex_state = 419, .external_lex_state = 2},
  [18982] = {.lex_state = 419, .external_lex_state = 2},
  [18983] = {.lex_state = 419, .external_lex_state = 2},
  [18984] = {.lex_state = 419, .external_lex_state = 2},
  [18985] = {.lex_state = 419, .external_lex_state = 2},
  [18986] = {.lex_state = 419, .external_lex_state = 2},
  [18987] = {.lex_state = 419, .external_lex_state = 2},
  [18988] = {.lex_state = 28, .external_lex_state = 2},
  [18989] = {.lex_state = 12, .external_lex_state = 2},
  [18990] = {.lex_state = 419, .external_lex_state = 2},
  [18991] = {.lex_state = 419, .external_lex_state = 2},
  [18992] = {.lex_state = 419, .external_lex_state = 2},
  [18993] = {.lex_state = 419, .external_lex_state = 2},
  [18994] = {.lex_state = 419, .external_lex_state = 2},
  [18995] = {.lex_state = 419, .external_lex_state = 2},
  [18996] = {.lex_state = 419, .external_lex_state = 2},
  [18997] = {.lex_state = 419, .external_lex_state = 2},
  [18998] = {.lex_state = 419, .external_lex_state = 2},
  [18999] = {.lex_state = 419, .external_lex_state = 2},
  [19000] = {.lex_state = 419, .external_lex_state = 2},
  [19001] = {.lex_state = 419, .external_lex_state = 2},
  [19002] = {.lex_state = 419, .external_lex_state = 2},
  [19003] = {.lex_state = 419, .external_lex_state = 2},
  [19004] = {.lex_state = 419, .external_lex_state = 2},
  [19005] = {.lex_state = 419, .external_lex_state = 2},
  [19006] = {.lex_state = 419, .external_lex_state = 2},
  [19007] = {.lex_state = 419, .external_lex_state = 2},
  [19008] = {.lex_state = 419, .external_lex_state = 2},
  [19009] = {.lex_state = 11, .external_lex_state = 2},
  [19010] = {.lex_state = 419, .external_lex_state = 3},
  [19011] = {.lex_state = 419, .external_lex_state = 2},
  [19012] = {.lex_state = 419, .external_lex_state = 2},
  [19013] = {.lex_state = 419, .external_lex_state = 2},
  [19014] = {.lex_state = 419, .external_lex_state = 2},
  [19015] = {.lex_state = 419, .external_lex_state = 2},
  [19016] = {.lex_state = 419, .external_lex_state = 2},
  [19017] = {.lex_state = 419, .external_lex_state = 2},
  [19018] = {.lex_state = 419, .external_lex_state = 2},
  [19019] = {.lex_state = 419, .external_lex_state = 2},
  [19020] = {.lex_state = 12, .external_lex_state = 2},
  [19021] = {.lex_state = 419, .external_lex_state = 2},
  [19022] = {.lex_state = 419, .external_lex_state = 2},
  [19023] = {.lex_state = 419, .external_lex_state = 2},
  [19024] = {.lex_state = 419, .external_lex_state = 2},
  [19025] = {.lex_state = 18, .external_lex_state = 2},
  [19026] = {.lex_state = 419, .external_lex_state = 2},
  [19027] = {.lex_state = 419, .external_lex_state = 2},
  [19028] = {.lex_state = 18, .external_lex_state = 2},
  [19029] = {.lex_state = 18, .external_lex_state = 2},
  [19030] = {.lex_state = 12, .external_lex_state = 2},
  [19031] = {.lex_state = 419, .external_lex_state = 2},
  [19032] = {.lex_state = 419, .external_lex_state = 2},
  [19033] = {.lex_state = 419, .external_lex_state = 2},
  [19034] = {.lex_state = 419, .external_lex_state = 2},
  [19035] = {.lex_state = 419, .external_lex_state = 2},
  [19036] = {.lex_state = 419, .external_lex_state = 2},
  [19037] = {.lex_state = 419, .external_lex_state = 2},
  [19038] = {.lex_state = 18, .external_lex_state = 2},
  [19039] = {.lex_state = 11, .external_lex_state = 2},
  [19040] = {.lex_state = 419, .external_lex_state = 2},
  [19041] = {.lex_state = 419, .external_lex_state = 2},
  [19042] = {.lex_state = 419, .external_lex_state = 2},
  [19043] = {.lex_state = 419, .external_lex_state = 2},
  [19044] = {.lex_state = 419, .external_lex_state = 2},
  [19045] = {.lex_state = 18, .external_lex_state = 2},
  [19046] = {.lex_state = 12, .external_lex_state = 2},
  [19047] = {.lex_state = 419, .external_lex_state = 2},
  [19048] = {.lex_state = 419, .external_lex_state = 2},
  [19049] = {.lex_state = 419, .external_lex_state = 2},
  [19050] = {.lex_state = 419, .external_lex_state = 2},
  [19051] = {.lex_state = 419, .external_lex_state = 2},
  [19052] = {.lex_state = 419, .external_lex_state = 2},
  [19053] = {.lex_state = 419, .external_lex_state = 2},
  [19054] = {.lex_state = 419, .external_lex_state = 2},
  [19055] = {.lex_state = 11, .external_lex_state = 2},
  [19056] = {.lex_state = 12, .external_lex_state = 2},
  [19057] = {.lex_state = 419, .external_lex_state = 2},
  [19058] = {.lex_state = 18, .external_lex_state = 2},
  [19059] = {.lex_state = 419, .external_lex_state = 3},
  [19060] = {.lex_state = 419, .external_lex_state = 2},
  [19061] = {.lex_state = 419, .external_lex_state = 2},
  [19062] = {.lex_state = 419, .external_lex_state = 2},
  [19063] = {.lex_state = 419, .external_lex_state = 2},
  [19064] = {.lex_state = 419, .external_lex_state = 2},
  [19065] = {.lex_state = 419, .external_lex_state = 2},
  [19066] = {.lex_state = 12, .external_lex_state = 2},
  [19067] = {.lex_state = 419, .external_lex_state = 2},
  [19068] = {.lex_state = 12, .external_lex_state = 2},
  [19069] = {.lex_state = 419, .external_lex_state = 2},
  [19070] = {.lex_state = 419, .external_lex_state = 2},
  [19071] = {.lex_state = 12, .external_lex_state = 2},
  [19072] = {.lex_state = 419, .external_lex_state = 2},
  [19073] = {.lex_state = 419, .external_lex_state = 2},
  [19074] = {.lex_state = 419, .external_lex_state = 2},
  [19075] = {.lex_state = 419, .external_lex_state = 2},
  [19076] = {.lex_state = 419, .external_lex_state = 2},
  [19077] = {.lex_state = 419, .external_lex_state = 2},
  [19078] = {.lex_state = 419, .external_lex_state = 2},
  [19079] = {.lex_state = 18, .external_lex_state = 2},
  [19080] = {.lex_state = 419, .external_lex_state = 2},
  [19081] = {.lex_state = 419, .external_lex_state = 2},
  [19082] = {.lex_state = 419, .external_lex_state = 2},
  [19083] = {.lex_state = 419, .external_lex_state = 2},
  [19084] = {.lex_state = 419, .external_lex_state = 2},
  [19085] = {.lex_state = 419, .external_lex_state = 2},
  [19086] = {.lex_state = 419, .external_lex_state = 2},
  [19087] = {.lex_state = 419, .external_lex_state = 2},
  [19088] = {.lex_state = 419, .external_lex_state = 2},
  [19089] = {.lex_state = 419, .external_lex_state = 2},
  [19090] = {.lex_state = 11, .external_lex_state = 2},
  [19091] = {.lex_state = 18, .external_lex_state = 2},
  [19092] = {.lex_state = 419, .external_lex_state = 3},
  [19093] = {.lex_state = 419, .external_lex_state = 2},
  [19094] = {.lex_state = 419, .external_lex_state = 2},
  [19095] = {.lex_state = 419, .external_lex_state = 2},
  [19096] = {.lex_state = 419, .external_lex_state = 2},
  [19097] = {.lex_state = 12, .external_lex_state = 2},
  [19098] = {.lex_state = 419, .external_lex_state = 2},
  [19099] = {.lex_state = 419, .external_lex_state = 2},
  [19100] = {.lex_state = 419, .external_lex_state = 2},
  [19101] = {.lex_state = 419, .external_lex_state = 2},
  [19102] = {.lex_state = 419, .external_lex_state = 2},
  [19103] = {.lex_state = 419, .external_lex_state = 2},
  [19104] = {.lex_state = 419, .external_lex_state = 2},
  [19105] = {.lex_state = 419, .external_lex_state = 2},
  [19106] = {.lex_state = 419, .external_lex_state = 2},
  [19107] = {.lex_state = 419, .external_lex_state = 2},
  [19108] = {.lex_state = 419, .external_lex_state = 2},
  [19109] = {.lex_state = 18, .external_lex_state = 2},
  [19110] = {.lex_state = 419, .external_lex_state = 2},
  [19111] = {.lex_state = 18, .external_lex_state = 2},
  [19112] = {.lex_state = 419, .external_lex_state = 2},
  [19113] = {.lex_state = 419, .external_lex_state = 2},
  [19114] = {.lex_state = 419, .external_lex_state = 2},
  [19115] = {.lex_state = 419, .external_lex_state = 2},
  [19116] = {.lex_state = 419, .external_lex_state = 2},
  [19117] = {.lex_state = 419, .external_lex_state = 2},
  [19118] = {.lex_state = 419, .external_lex_state = 2},
  [19119] = {.lex_state = 419, .external_lex_state = 2},
  [19120] = {.lex_state = 419, .external_lex_state = 2},
  [19121] = {.lex_state = 11, .external_lex_state = 2},
  [19122] = {.lex_state = 419, .external_lex_state = 2},
  [19123] = {.lex_state = 419, .external_lex_state = 3},
  [19124] = {.lex_state = 419, .external_lex_state = 2},
  [19125] = {.lex_state = 419, .external_lex_state = 2},
  [19126] = {.lex_state = 419, .external_lex_state = 2},
  [19127] = {.lex_state = 419, .external_lex_state = 2},
  [19128] = {.lex_state = 419, .external_lex_state = 2},
  [19129] = {.lex_state = 18, .external_lex_state = 2},
  [19130] = {.lex_state = 18, .external_lex_state = 2},
  [19131] = {.lex_state = 419, .external_lex_state = 2},
  [19132] = {.lex_state = 11, .external_lex_state = 2},
  [19133] = {.lex_state = 419, .external_lex_state = 2},
  [19134] = {.lex_state = 419, .external_lex_state = 3},
  [19135] = {.lex_state = 419, .external_lex_state = 2},
  [19136] = {.lex_state = 18, .external_lex_state = 2},
  [19137] = {.lex_state = 419, .external_lex_state = 2},
  [19138] = {.lex_state = 419, .external_lex_state = 2},
  [19139] = {.lex_state = 419, .external_lex_state = 2},
  [19140] = {.lex_state = 419, .external_lex_state = 2},
  [19141] = {.lex_state = 419, .external_lex_state = 2},
  [19142] = {.lex_state = 419, .external_lex_state = 2},
  [19143] = {.lex_state = 419, .external_lex_state = 2},
  [19144] = {.lex_state = 18, .external_lex_state = 2},
  [19145] = {.lex_state = 18, .external_lex_state = 2},
  [19146] = {.lex_state = 419, .external_lex_state = 2},
  [19147] = {.lex_state = 28, .external_lex_state = 2},
  [19148] = {.lex_state = 419, .external_lex_state = 2},
  [19149] = {.lex_state = 419, .external_lex_state = 2},
  [19150] = {.lex_state = 419, .external_lex_state = 2},
  [19151] = {.lex_state = 419, .external_lex_state = 2},
  [19152] = {.lex_state = 419, .external_lex_state = 2},
  [19153] = {.lex_state = 419, .external_lex_state = 2},
  [19154] = {.lex_state = 419, .external_lex_state = 2},
  [19155] = {.lex_state = 419, .external_lex_state = 2},
  [19156] = {.lex_state = 419, .external_lex_state = 2},
  [19157] = {.lex_state = 419, .external_lex_state = 2},
  [19158] = {.lex_state = 11, .external_lex_state = 2},
  [19159] = {.lex_state = 12, .external_lex_state = 2},
  [19160] = {.lex_state = 419, .external_lex_state = 2},
  [19161] = {.lex_state = 419, .external_lex_state = 2},
  [19162] = {.lex_state = 419, .external_lex_state = 2},
  [19163] = {.lex_state = 419, .external_lex_state = 2},
  [19164] = {.lex_state = 419, .external_lex_state = 2},
  [19165] = {.lex_state = 419, .external_lex_state = 2},
  [19166] = {.lex_state = 28, .external_lex_state = 2},
  [19167] = {.lex_state = 18, .external_lex_state = 2},
  [19168] = {.lex_state = 419, .external_lex_state = 2},
  [19169] = {.lex_state = 28, .external_lex_state = 2},
  [19170] = {.lex_state = 419, .external_lex_state = 2},
  [19171] = {.lex_state = 419, .external_lex_state = 2},
  [19172] = {.lex_state = 419, .external_lex_state = 2},
  [19173] = {.lex_state = 18, .external_lex_state = 2},
  [19174] = {.lex_state = 18, .external_lex_state = 2},
  [19175] = {.lex_state = 419, .external_lex_state = 2},
  [19176] = {.lex_state = 419, .external_lex_state = 3},
  [19177] = {.lex_state = 419, .external_lex_state = 2},
  [19178] = {.lex_state = 419, .external_lex_state = 2},
  [19179] = {.lex_state = 12, .external_lex_state = 2},
  [19180] = {.lex_state = 12, .external_lex_state = 2},
  [19181] = {.lex_state = 12, .external_lex_state = 2},
  [19182] = {.lex_state = 419, .external_lex_state = 2},
  [19183] = {.lex_state = 419, .external_lex_state = 2},
  [19184] = {.lex_state = 12, .external_lex_state = 2},
  [19185] = {.lex_state = 419, .external_lex_state = 2},
  [19186] = {.lex_state = 12, .external_lex_state = 2},
  [19187] = {.lex_state = 419, .external_lex_state = 2},
  [19188] = {.lex_state = 419, .external_lex_state = 2},
  [19189] = {.lex_state = 419, .external_lex_state = 2},
  [19190] = {.lex_state = 419, .external_lex_state = 2},
  [19191] = {.lex_state = 419, .external_lex_state = 2},
  [19192] = {.lex_state = 12, .external_lex_state = 2},
  [19193] = {.lex_state = 12, .external_lex_state = 2},
  [19194] = {.lex_state = 419, .external_lex_state = 2},
  [19195] = {.lex_state = 419, .external_lex_state = 2},
  [19196] = {.lex_state = 18, .external_lex_state = 2},
  [19197] = {.lex_state = 419, .external_lex_state = 2},
  [19198] = {.lex_state = 11, .external_lex_state = 2},
  [19199] = {.lex_state = 419, .external_lex_state = 3},
  [19200] = {.lex_state = 419, .external_lex_state = 2},
  [19201] = {.lex_state = 28, .external_lex_state = 2},
  [19202] = {.lex_state = 419, .external_lex_state = 2},
  [19203] = {.lex_state = 419, .external_lex_state = 2},
  [19204] = {.lex_state = 11, .external_lex_state = 2},
  [19205] = {.lex_state = 419, .external_lex_state = 3},
  [19206] = {.lex_state = 419, .external_lex_state = 2},
  [19207] = {.lex_state = 419, .external_lex_state = 2},
  [19208] = {.lex_state = 28, .external_lex_state = 2},
  [19209] = {.lex_state = 18, .external_lex_state = 2},
  [19210] = {.lex_state = 419, .external_lex_state = 2},
  [19211] = {.lex_state = 28, .external_lex_state = 2},
  [19212] = {.lex_state = 419, .external_lex_state = 2},
  [19213] = {.lex_state = 419, .external_lex_state = 2},
  [19214] = {.lex_state = 419, .external_lex_state = 2},
  [19215] = {.lex_state = 28, .external_lex_state = 2},
  [19216] = {.lex_state = 419, .external_lex_state = 2},
  [19217] = {.lex_state = 419, .external_lex_state = 2},
  [19218] = {.lex_state = 18, .external_lex_state = 2},
  [19219] = {.lex_state = 419, .external_lex_state = 2},
  [19220] = {.lex_state = 419, .external_lex_state = 2},
  [19221] = {.lex_state = 419, .external_lex_state = 2},
  [19222] = {.lex_state = 12, .external_lex_state = 2},
  [19223] = {.lex_state = 18, .external_lex_state = 2},
  [19224] = {.lex_state = 18, .external_lex_state = 2},
  [19225] = {.lex_state = 28, .external_lex_state = 2},
  [19226] = {.lex_state = 419, .external_lex_state = 2},
  [19227] = {.lex_state = 419, .external_lex_state = 2},
  [19228] = {.lex_state = 18, .external_lex_state = 2},
  [19229] = {.lex_state = 419, .external_lex_state = 2},
  [19230] = {.lex_state = 419, .external_lex_state = 2},
  [19231] = {.lex_state = 48, .external_lex_state = 2},
  [19232] = {.lex_state = 48, .external_lex_state = 2},
  [19233] = {.lex_state = 48, .external_lex_state = 2},
  [19234] = {.lex_state = 18, .external_lex_state = 2},
  [19235] = {.lex_state = 18, .external_lex_state = 2},
  [19236] = {.lex_state = 419, .external_lex_state = 2},
  [19237] = {.lex_state = 419, .external_lex_state = 2},
  [19238] = {.lex_state = 419, .external_lex_state = 2},
  [19239] = {.lex_state = 12, .external_lex_state = 2},
  [19240] = {.lex_state = 419, .external_lex_state = 2},
  [19241] = {.lex_state = 419, .external_lex_state = 2},
  [19242] = {.lex_state = 28, .external_lex_state = 2},
  [19243] = {.lex_state = 18, .external_lex_state = 2},
  [19244] = {.lex_state = 419, .external_lex_state = 2},
  [19245] = {.lex_state = 419, .external_lex_state = 2},
  [19246] = {.lex_state = 419, .external_lex_state = 2},
  [19247] = {.lex_state = 419, .external_lex_state = 2},
  [19248] = {.lex_state = 419, .external_lex_state = 2},
  [19249] = {.lex_state = 419, .external_lex_state = 2},
  [19250] = {.lex_state = 12, .external_lex_state = 2},
  [19251] = {.lex_state = 12, .external_lex_state = 2},
  [19252] = {.lex_state = 12, .external_lex_state = 2},
  [19253] = {.lex_state = 12, .external_lex_state = 2},
  [19254] = {.lex_state = 18, .external_lex_state = 2},
  [19255] = {.lex_state = 419, .external_lex_state = 2},
  [19256] = {.lex_state = 11, .external_lex_state = 2},
  [19257] = {.lex_state = 419, .external_lex_state = 2},
  [19258] = {.lex_state = 11, .external_lex_state = 2},
  [19259] = {.lex_state = 419, .external_lex_state = 2},
  [19260] = {.lex_state = 419, .external_lex_state = 2},
  [19261] = {.lex_state = 419, .external_lex_state = 2},
  [19262] = {.lex_state = 419, .external_lex_state = 2},
  [19263] = {.lex_state = 419, .external_lex_state = 3},
  [19264] = {.lex_state = 419, .external_lex_state = 2},
  [19265] = {.lex_state = 419, .external_lex_state = 2},
  [19266] = {.lex_state = 12, .external_lex_state = 2},
  [19267] = {.lex_state = 419, .external_lex_state = 2},
  [19268] = {.lex_state = 419, .external_lex_state = 3},
  [19269] = {.lex_state = 419, .external_lex_state = 2},
  [19270] = {.lex_state = 419, .external_lex_state = 2},
  [19271] = {.lex_state = 18, .external_lex_state = 2},
  [19272] = {.lex_state = 419, .external_lex_state = 2},
  [19273] = {.lex_state = 419, .external_lex_state = 2},
  [19274] = {.lex_state = 419, .external_lex_state = 2},
  [19275] = {.lex_state = 419, .external_lex_state = 2},
  [19276] = {.lex_state = 419, .external_lex_state = 2},
  [19277] = {.lex_state = 419, .external_lex_state = 2},
  [19278] = {.lex_state = 419, .external_lex_state = 2},
  [19279] = {.lex_state = 419, .external_lex_state = 2},
  [19280] = {.lex_state = 419, .external_lex_state = 2},
  [19281] = {.lex_state = 419, .external_lex_state = 2},
  [19282] = {.lex_state = 12, .external_lex_state = 2},
  [19283] = {.lex_state = 419, .external_lex_state = 2},
  [19284] = {.lex_state = 28, .external_lex_state = 2},
  [19285] = {.lex_state = 419, .external_lex_state = 2},
  [19286] = {.lex_state = 419, .external_lex_state = 2},
  [19287] = {.lex_state = 419, .external_lex_state = 2},
  [19288] = {.lex_state = 18, .external_lex_state = 2},
  [19289] = {.lex_state = 419, .external_lex_state = 2},
  [19290] = {.lex_state = 419, .external_lex_state = 2},
  [19291] = {.lex_state = 18, .external_lex_state = 2},
  [19292] = {.lex_state = 419, .external_lex_state = 2},
  [19293] = {.lex_state = 419, .external_lex_state = 2},
  [19294] = {.lex_state = 419, .external_lex_state = 2},
  [19295] = {.lex_state = 11, .external_lex_state = 2},
  [19296] = {.lex_state = 419, .external_lex_state = 2},
  [19297] = {.lex_state = 18, .external_lex_state = 2},
  [19298] = {.lex_state = 18, .external_lex_state = 2},
  [19299] = {.lex_state = 419, .external_lex_state = 2},
  [19300] = {.lex_state = 419, .external_lex_state = 2},
  [19301] = {.lex_state = 18, .external_lex_state = 2},
  [19302] = {.lex_state = 419, .external_lex_state = 2},
  [19303] = {.lex_state = 419, .external_lex_state = 2},
  [19304] = {.lex_state = 18, .external_lex_state = 2},
  [19305] = {.lex_state = 419, .external_lex_state = 2},
  [19306] = {.lex_state = 28, .external_lex_state = 2},
  [19307] = {.lex_state = 419, .external_lex_state = 2},
  [19308] = {.lex_state = 419, .external_lex_state = 2},
  [19309] = {.lex_state = 12, .external_lex_state = 2},
  [19310] = {.lex_state = 12, .external_lex_state = 2},
  [19311] = {.lex_state = 12, .external_lex_state = 2},
  [19312] = {.lex_state = 28, .external_lex_state = 2},
  [19313] = {.lex_state = 419, .external_lex_state = 2},
  [19314] = {.lex_state = 419, .external_lex_state = 2},
  [19315] = {.lex_state = 12, .external_lex_state = 2},
  [19316] = {.lex_state = 419, .external_lex_state = 2},
  [19317] = {.lex_state = 18, .external_lex_state = 2},
  [19318] = {.lex_state = 11, .external_lex_state = 2},
  [19319] = {.lex_state = 419, .external_lex_state = 2},
  [19320] = {.lex_state = 419, .external_lex_state = 2},
  [19321] = {.lex_state = 419, .external_lex_state = 3},
  [19322] = {.lex_state = 419, .external_lex_state = 2},
  [19323] = {.lex_state = 48, .external_lex_state = 2},
  [19324] = {.lex_state = 48, .external_lex_state = 2},
  [19325] = {.lex_state = 48, .external_lex_state = 2},
  [19326] = {.lex_state = 419, .external_lex_state = 2},
  [19327] = {.lex_state = 419, .external_lex_state = 2},
  [19328] = {.lex_state = 419, .external_lex_state = 2},
  [19329] = {.lex_state = 419, .external_lex_state = 2},
  [19330] = {.lex_state = 419, .external_lex_state = 2},
  [19331] = {.lex_state = 419, .external_lex_state = 2},
  [19332] = {.lex_state = 419, .external_lex_state = 2},
  [19333] = {.lex_state = 419, .external_lex_state = 2},
  [19334] = {.lex_state = 419, .external_lex_state = 2},
  [19335] = {.lex_state = 419, .external_lex_state = 2},
  [19336] = {.lex_state = 11, .external_lex_state = 2},
  [19337] = {.lex_state = 419, .external_lex_state = 3},
  [19338] = {.lex_state = 419, .external_lex_state = 2},
  [19339] = {.lex_state = 18, .external_lex_state = 2},
  [19340] = {.lex_state = 28, .external_lex_state = 2},
  [19341] = {.lex_state = 419, .external_lex_state = 2},
  [19342] = {.lex_state = 419, .external_lex_state = 2},
  [19343] = {.lex_state = 419, .external_lex_state = 2},
  [19344] = {.lex_state = 419, .external_lex_state = 2},
  [19345] = {.lex_state = 419, .external_lex_state = 2},
  [19346] = {.lex_state = 419, .external_lex_state = 2},
  [19347] = {.lex_state = 11, .external_lex_state = 2},
  [19348] = {.lex_state = 419, .external_lex_state = 3},
  [19349] = {.lex_state = 18, .external_lex_state = 2},
  [19350] = {.lex_state = 419, .external_lex_state = 2},
  [19351] = {.lex_state = 28, .external_lex_state = 2},
  [19352] = {.lex_state = 18, .external_lex_state = 2},
  [19353] = {.lex_state = 419, .external_lex_state = 2},
  [19354] = {.lex_state = 419, .external_lex_state = 2},
  [19355] = {.lex_state = 18, .external_lex_state = 2},
  [19356] = {.lex_state = 419, .external_lex_state = 2},
  [19357] = {.lex_state = 18, .external_lex_state = 2},
  [19358] = {.lex_state = 419, .external_lex_state = 2},
  [19359] = {.lex_state = 419, .external_lex_state = 2},
  [19360] = {.lex_state = 419, .external_lex_state = 2},
  [19361] = {.lex_state = 18, .external_lex_state = 2},
  [19362] = {.lex_state = 419, .external_lex_state = 2},
  [19363] = {.lex_state = 419, .external_lex_state = 3},
  [19364] = {.lex_state = 419, .external_lex_state = 2},
  [19365] = {.lex_state = 24, .external_lex_state = 2},
  [19366] = {.lex_state = 419, .external_lex_state = 2},
  [19367] = {.lex_state = 419, .external_lex_state = 2},
  [19368] = {.lex_state = 18, .external_lex_state = 2},
  [19369] = {.lex_state = 419, .external_lex_state = 2},
  [19370] = {.lex_state = 419, .external_lex_state = 2},
  [19371] = {.lex_state = 419, .external_lex_state = 2},
  [19372] = {.lex_state = 419, .external_lex_state = 2},
  [19373] = {.lex_state = 419, .external_lex_state = 2},
  [19374] = {.lex_state = 18, .external_lex_state = 2},
  [19375] = {.lex_state = 419, .external_lex_state = 2},
  [19376] = {.lex_state = 419, .external_lex_state = 2},
  [19377] = {.lex_state = 419, .external_lex_state = 2},
  [19378] = {.lex_state = 18, .external_lex_state = 2},
  [19379] = {.lex_state = 18, .external_lex_state = 2},
  [19380] = {.lex_state = 28, .external_lex_state = 2},
  [19381] = {.lex_state = 419, .external_lex_state = 2},
  [19382] = {.lex_state = 419, .external_lex_state = 2},
  [19383] = {.lex_state = 419, .external_lex_state = 2},
  [19384] = {.lex_state = 419, .external_lex_state = 2},
  [19385] = {.lex_state = 419, .external_lex_state = 2},
  [19386] = {.lex_state = 419, .external_lex_state = 2},
  [19387] = {.lex_state = 419, .external_lex_state = 2},
  [19388] = {.lex_state = 419, .external_lex_state = 2},
  [19389] = {.lex_state = 419, .external_lex_state = 2},
  [19390] = {.lex_state = 419, .external_lex_state = 2},
  [19391] = {.lex_state = 11, .external_lex_state = 2},
  [19392] = {.lex_state = 419, .external_lex_state = 2},
  [19393] = {.lex_state = 419, .external_lex_state = 3},
  [19394] = {.lex_state = 419, .external_lex_state = 2},
  [19395] = {.lex_state = 419, .external_lex_state = 2},
  [19396] = {.lex_state = 419, .external_lex_state = 2},
  [19397] = {.lex_state = 48, .external_lex_state = 2},
  [19398] = {.lex_state = 48, .external_lex_state = 2},
  [19399] = {.lex_state = 48, .external_lex_state = 2},
  [19400] = {.lex_state = 419, .external_lex_state = 2},
  [19401] = {.lex_state = 18, .external_lex_state = 2},
  [19402] = {.lex_state = 18, .external_lex_state = 2},
  [19403] = {.lex_state = 419, .external_lex_state = 2},
  [19404] = {.lex_state = 419, .external_lex_state = 2},
  [19405] = {.lex_state = 419, .external_lex_state = 2},
  [19406] = {.lex_state = 419, .external_lex_state = 2},
  [19407] = {.lex_state = 419, .external_lex_state = 2},
  [19408] = {.lex_state = 419, .external_lex_state = 2},
  [19409] = {.lex_state = 18, .external_lex_state = 2},
  [19410] = {.lex_state = 18, .external_lex_state = 2},
  [19411] = {.lex_state = 419, .external_lex_state = 2},
  [19412] = {.lex_state = 419, .external_lex_state = 2},
  [19413] = {.lex_state = 419, .external_lex_state = 2},
  [19414] = {.lex_state = 419, .external_lex_state = 2},
  [19415] = {.lex_state = 419, .external_lex_state = 2},
  [19416] = {.lex_state = 419, .external_lex_state = 2},
  [19417] = {.lex_state = 419, .external_lex_state = 2},
  [19418] = {.lex_state = 419, .external_lex_state = 2},
  [19419] = {.lex_state = 419, .external_lex_state = 2},
  [19420] = {.lex_state = 419, .external_lex_state = 2},
  [19421] = {.lex_state = 12, .external_lex_state = 2},
  [19422] = {.lex_state = 419, .external_lex_state = 2},
  [19423] = {.lex_state = 419, .external_lex_state = 2},
  [19424] = {.lex_state = 12, .external_lex_state = 2},
  [19425] = {.lex_state = 12, .external_lex_state = 2},
  [19426] = {.lex_state = 18, .external_lex_state = 2},
  [19427] = {.lex_state = 18, .external_lex_state = 2},
  [19428] = {.lex_state = 419, .external_lex_state = 2},
  [19429] = {.lex_state = 419, .external_lex_state = 2},
  [19430] = {.lex_state = 419, .external_lex_state = 2},
  [19431] = {.lex_state = 12, .external_lex_state = 2},
  [19432] = {.lex_state = 18, .external_lex_state = 2},
  [19433] = {.lex_state = 419, .external_lex_state = 2},
  [19434] = {.lex_state = 18, .external_lex_state = 2},
  [19435] = {.lex_state = 419, .external_lex_state = 2},
  [19436] = {.lex_state = 28, .external_lex_state = 2},
  [19437] = {.lex_state = 28, .external_lex_state = 2},
  [19438] = {.lex_state = 419, .external_lex_state = 2},
  [19439] = {.lex_state = 419, .external_lex_state = 3},
  [19440] = {.lex_state = 12, .external_lex_state = 2},
  [19441] = {.lex_state = 12, .external_lex_state = 2},
  [19442] = {.lex_state = 12, .external_lex_state = 2},
  [19443] = {.lex_state = 419, .external_lex_state = 2},
  [19444] = {.lex_state = 48, .external_lex_state = 2},
  [19445] = {.lex_state = 48, .external_lex_state = 2},
  [19446] = {.lex_state = 48, .external_lex_state = 2},
  [19447] = {.lex_state = 11, .external_lex_state = 2},
  [19448] = {.lex_state = 12, .external_lex_state = 2},
  [19449] = {.lex_state = 419, .external_lex_state = 2},
  [19450] = {.lex_state = 419, .external_lex_state = 2},
  [19451] = {.lex_state = 419, .external_lex_state = 2},
  [19452] = {.lex_state = 419, .external_lex_state = 2},
  [19453] = {.lex_state = 12, .external_lex_state = 2},
  [19454] = {.lex_state = 419, .external_lex_state = 2},
  [19455] = {.lex_state = 419, .external_lex_state = 2},
  [19456] = {.lex_state = 419, .external_lex_state = 2},
  [19457] = {.lex_state = 419, .external_lex_state = 2},
  [19458] = {.lex_state = 419, .external_lex_state = 2},
  [19459] = {.lex_state = 419, .external_lex_state = 2},
  [19460] = {.lex_state = 18, .external_lex_state = 2},
  [19461] = {.lex_state = 419, .external_lex_state = 2},
  [19462] = {.lex_state = 419, .external_lex_state = 2},
  [19463] = {.lex_state = 419, .external_lex_state = 2},
  [19464] = {.lex_state = 419, .external_lex_state = 3},
  [19465] = {.lex_state = 419, .external_lex_state = 2},
  [19466] = {.lex_state = 419, .external_lex_state = 2},
  [19467] = {.lex_state = 419, .external_lex_state = 2},
  [19468] = {.lex_state = 18, .external_lex_state = 2},
  [19469] = {.lex_state = 11, .external_lex_state = 2},
  [19470] = {.lex_state = 28, .external_lex_state = 2},
  [19471] = {.lex_state = 419, .external_lex_state = 2},
  [19472] = {.lex_state = 419, .external_lex_state = 3},
  [19473] = {.lex_state = 11, .external_lex_state = 2},
  [19474] = {.lex_state = 48, .external_lex_state = 2},
  [19475] = {.lex_state = 48, .external_lex_state = 2},
  [19476] = {.lex_state = 48, .external_lex_state = 2},
  [19477] = {.lex_state = 18, .external_lex_state = 2},
  [19478] = {.lex_state = 28, .external_lex_state = 2},
  [19479] = {.lex_state = 419, .external_lex_state = 2},
  [19480] = {.lex_state = 419, .external_lex_state = 2},
  [19481] = {.lex_state = 12, .external_lex_state = 2},
  [19482] = {.lex_state = 419, .external_lex_state = 2},
  [19483] = {.lex_state = 419, .external_lex_state = 2},
  [19484] = {.lex_state = 419, .external_lex_state = 2},
  [19485] = {.lex_state = 18, .external_lex_state = 2},
  [19486] = {.lex_state = 419, .external_lex_state = 2},
  [19487] = {.lex_state = 419, .external_lex_state = 2},
  [19488] = {.lex_state = 419, .external_lex_state = 2},
  [19489] = {.lex_state = 419, .external_lex_state = 2},
  [19490] = {.lex_state = 419, .external_lex_state = 2},
  [19491] = {.lex_state = 419, .external_lex_state = 2},
  [19492] = {.lex_state = 419, .external_lex_state = 2},
  [19493] = {.lex_state = 28, .external_lex_state = 2},
  [19494] = {.lex_state = 18, .external_lex_state = 2},
  [19495] = {.lex_state = 18, .external_lex_state = 2},
  [19496] = {.lex_state = 18, .external_lex_state = 2},
  [19497] = {.lex_state = 419, .external_lex_state = 2},
  [19498] = {.lex_state = 28, .external_lex_state = 2},
  [19499] = {.lex_state = 419, .external_lex_state = 2},
  [19500] = {.lex_state = 419, .external_lex_state = 2},
  [19501] = {.lex_state = 419, .external_lex_state = 2},
  [19502] = {.lex_state = 48, .external_lex_state = 2},
  [19503] = {.lex_state = 48, .external_lex_state = 2},
  [19504] = {.lex_state = 48, .external_lex_state = 2},
  [19505] = {.lex_state = 419, .external_lex_state = 2},
  [19506] = {.lex_state = 18, .external_lex_state = 2},
  [19507] = {.lex_state = 419, .external_lex_state = 2},
  [19508] = {.lex_state = 419, .external_lex_state = 2},
  [19509] = {.lex_state = 419, .external_lex_state = 2},
  [19510] = {.lex_state = 18, .external_lex_state = 2},
  [19511] = {.lex_state = 419, .external_lex_state = 2},
  [19512] = {.lex_state = 419, .external_lex_state = 2},
  [19513] = {.lex_state = 419, .external_lex_state = 2},
  [19514] = {.lex_state = 419, .external_lex_state = 2},
  [19515] = {.lex_state = 11, .external_lex_state = 2},
  [19516] = {.lex_state = 419, .external_lex_state = 2},
  [19517] = {.lex_state = 419, .external_lex_state = 2},
  [19518] = {.lex_state = 419, .external_lex_state = 2},
  [19519] = {.lex_state = 419, .external_lex_state = 2},
  [19520] = {.lex_state = 12, .external_lex_state = 2},
  [19521] = {.lex_state = 419, .external_lex_state = 2},
  [19522] = {.lex_state = 18, .external_lex_state = 2},
  [19523] = {.lex_state = 419, .external_lex_state = 3},
  [19524] = {.lex_state = 28, .external_lex_state = 2},
  [19525] = {.lex_state = 419, .external_lex_state = 2},
  [19526] = {.lex_state = 419, .external_lex_state = 2},
  [19527] = {.lex_state = 419, .external_lex_state = 2},
  [19528] = {.lex_state = 48, .external_lex_state = 2},
  [19529] = {.lex_state = 48, .external_lex_state = 2},
  [19530] = {.lex_state = 48, .external_lex_state = 2},
  [19531] = {.lex_state = 419, .external_lex_state = 2},
  [19532] = {.lex_state = 18, .external_lex_state = 2},
  [19533] = {.lex_state = 419, .external_lex_state = 2},
  [19534] = {.lex_state = 419, .external_lex_state = 2},
  [19535] = {.lex_state = 419, .external_lex_state = 3},
  [19536] = {.lex_state = 419, .external_lex_state = 2},
  [19537] = {.lex_state = 419, .external_lex_state = 2},
  [19538] = {.lex_state = 419, .external_lex_state = 2},
  [19539] = {.lex_state = 419, .external_lex_state = 2},
  [19540] = {.lex_state = 419, .external_lex_state = 2},
  [19541] = {.lex_state = 419, .external_lex_state = 2},
  [19542] = {.lex_state = 419, .external_lex_state = 2},
  [19543] = {.lex_state = 12, .external_lex_state = 2},
  [19544] = {.lex_state = 419, .external_lex_state = 2},
  [19545] = {.lex_state = 419, .external_lex_state = 2},
  [19546] = {.lex_state = 18, .external_lex_state = 2},
  [19547] = {.lex_state = 18, .external_lex_state = 2},
  [19548] = {.lex_state = 419, .external_lex_state = 2},
  [19549] = {.lex_state = 28, .external_lex_state = 2},
  [19550] = {.lex_state = 419, .external_lex_state = 2},
  [19551] = {.lex_state = 48, .external_lex_state = 2},
  [19552] = {.lex_state = 48, .external_lex_state = 2},
  [19553] = {.lex_state = 48, .external_lex_state = 2},
  [19554] = {.lex_state = 419, .external_lex_state = 2},
  [19555] = {.lex_state = 419, .external_lex_state = 2},
  [19556] = {.lex_state = 12, .external_lex_state = 2},
  [19557] = {.lex_state = 419, .external_lex_state = 2},
  [19558] = {.lex_state = 419, .external_lex_state = 2},
  [19559] = {.lex_state = 419, .external_lex_state = 2},
  [19560] = {.lex_state = 28, .external_lex_state = 2},
  [19561] = {.lex_state = 419, .external_lex_state = 2},
  [19562] = {.lex_state = 419, .external_lex_state = 2},
  [19563] = {.lex_state = 419, .external_lex_state = 2},
  [19564] = {.lex_state = 419, .external_lex_state = 2},
  [19565] = {.lex_state = 18, .external_lex_state = 2},
  [19566] = {.lex_state = 419, .external_lex_state = 2},
  [19567] = {.lex_state = 18, .external_lex_state = 2},
  [19568] = {.lex_state = 419, .external_lex_state = 2},
  [19569] = {.lex_state = 28, .external_lex_state = 2},
  [19570] = {.lex_state = 419, .external_lex_state = 2},
  [19571] = {.lex_state = 48, .external_lex_state = 2},
  [19572] = {.lex_state = 48, .external_lex_state = 2},
  [19573] = {.lex_state = 48, .external_lex_state = 2},
  [19574] = {.lex_state = 419, .external_lex_state = 2},
  [19575] = {.lex_state = 419, .external_lex_state = 2},
  [19576] = {.lex_state = 419, .external_lex_state = 2},
  [19577] = {.lex_state = 419, .external_lex_state = 2},
  [19578] = {.lex_state = 419, .external_lex_state = 2},
  [19579] = {.lex_state = 11, .external_lex_state = 2},
  [19580] = {.lex_state = 419, .external_lex_state = 2},
  [19581] = {.lex_state = 419, .external_lex_state = 3},
  [19582] = {.lex_state = 419, .external_lex_state = 2},
  [19583] = {.lex_state = 419, .external_lex_state = 2},
  [19584] = {.lex_state = 419, .external_lex_state = 2},
  [19585] = {.lex_state = 419, .external_lex_state = 2},
  [19586] = {.lex_state = 18, .external_lex_state = 2},
  [19587] = {.lex_state = 419, .external_lex_state = 2},
  [19588] = {.lex_state = 28, .external_lex_state = 2},
  [19589] = {.lex_state = 419, .external_lex_state = 2},
  [19590] = {.lex_state = 48, .external_lex_state = 2},
  [19591] = {.lex_state = 48, .external_lex_state = 2},
  [19592] = {.lex_state = 48, .external_lex_state = 2},
  [19593] = {.lex_state = 419, .external_lex_state = 2},
  [19594] = {.lex_state = 419, .external_lex_state = 2},
  [19595] = {.lex_state = 419, .external_lex_state = 2},
  [19596] = {.lex_state = 28, .external_lex_state = 2},
  [19597] = {.lex_state = 18, .external_lex_state = 2},
  [19598] = {.lex_state = 419, .external_lex_state = 2},
  [19599] = {.lex_state = 18, .external_lex_state = 2},
  [19600] = {.lex_state = 419, .external_lex_state = 2},
  [19601] = {.lex_state = 18, .external_lex_state = 2},
  [19602] = {.lex_state = 419, .external_lex_state = 2},
  [19603] = {.lex_state = 18, .external_lex_state = 2},
  [19604] = {.lex_state = 419, .external_lex_state = 2},
  [19605] = {.lex_state = 18, .external_lex_state = 2},
  [19606] = {.lex_state = 419, .external_lex_state = 2},
  [19607] = {.lex_state = 28, .external_lex_state = 2},
  [19608] = {.lex_state = 419, .external_lex_state = 2},
  [19609] = {.lex_state = 48, .external_lex_state = 2},
  [19610] = {.lex_state = 48, .external_lex_state = 2},
  [19611] = {.lex_state = 48, .external_lex_state = 2},
  [19612] = {.lex_state = 419, .external_lex_state = 2},
  [19613] = {.lex_state = 419, .external_lex_state = 2},
  [19614] = {.lex_state = 419, .external_lex_state = 2},
  [19615] = {.lex_state = 18, .external_lex_state = 2},
  [19616] = {.lex_state = 28, .external_lex_state = 2},
  [19617] = {.lex_state = 419, .external_lex_state = 2},
  [19618] = {.lex_state = 419, .external_lex_state = 2},
  [19619] = {.lex_state = 18, .external_lex_state = 2},
  [19620] = {.lex_state = 419, .external_lex_state = 2},
  [19621] = {.lex_state = 419, .external_lex_state = 2},
  [19622] = {.lex_state = 11, .external_lex_state = 2},
  [19623] = {.lex_state = 18, .external_lex_state = 2},
  [19624] = {.lex_state = 419, .external_lex_state = 2},
  [19625] = {.lex_state = 28, .external_lex_state = 2},
  [19626] = {.lex_state = 18, .external_lex_state = 2},
  [19627] = {.lex_state = 48, .external_lex_state = 2},
  [19628] = {.lex_state = 48, .external_lex_state = 2},
  [19629] = {.lex_state = 48, .external_lex_state = 2},
  [19630] = {.lex_state = 419, .external_lex_state = 2},
  [19631] = {.lex_state = 419, .external_lex_state = 2},
  [19632] = {.lex_state = 12, .external_lex_state = 2},
  [19633] = {.lex_state = 12, .external_lex_state = 2},
  [19634] = {.lex_state = 12, .external_lex_state = 2},
  [19635] = {.lex_state = 419, .external_lex_state = 2},
  [19636] = {.lex_state = 419, .external_lex_state = 2},
  [19637] = {.lex_state = 419, .external_lex_state = 2},
  [19638] = {.lex_state = 419, .external_lex_state = 2},
  [19639] = {.lex_state = 18, .external_lex_state = 2},
  [19640] = {.lex_state = 12, .external_lex_state = 2},
  [19641] = {.lex_state = 28, .external_lex_state = 2},
  [19642] = {.lex_state = 419, .external_lex_state = 2},
  [19643] = {.lex_state = 48, .external_lex_state = 2},
  [19644] = {.lex_state = 48, .external_lex_state = 2},
  [19645] = {.lex_state = 48, .external_lex_state = 2},
  [19646] = {.lex_state = 419, .external_lex_state = 2},
  [19647] = {.lex_state = 12, .external_lex_state = 2},
  [19648] = {.lex_state = 419, .external_lex_state = 2},
  [19649] = {.lex_state = 419, .external_lex_state = 2},
  [19650] = {.lex_state = 419, .external_lex_state = 2},
  [19651] = {.lex_state = 12, .external_lex_state = 2},
  [19652] = {.lex_state = 419, .external_lex_state = 2},
  [19653] = {.lex_state = 419, .external_lex_state = 2},
  [19654] = {.lex_state = 419, .external_lex_state = 2},
  [19655] = {.lex_state = 18, .external_lex_state = 2},
  [19656] = {.lex_state = 12, .external_lex_state = 2},
  [19657] = {.lex_state = 28, .external_lex_state = 2},
  [19658] = {.lex_state = 419, .external_lex_state = 2},
  [19659] = {.lex_state = 48, .external_lex_state = 2},
  [19660] = {.lex_state = 48, .external_lex_state = 2},
  [19661] = {.lex_state = 48, .external_lex_state = 2},
  [19662] = {.lex_state = 419, .external_lex_state = 2},
  [19663] = {.lex_state = 419, .external_lex_state = 2},
  [19664] = {.lex_state = 419, .external_lex_state = 2},
  [19665] = {.lex_state = 419, .external_lex_state = 2},
  [19666] = {.lex_state = 419, .external_lex_state = 2},
  [19667] = {.lex_state = 11, .external_lex_state = 2},
  [19668] = {.lex_state = 419, .external_lex_state = 3},
  [19669] = {.lex_state = 419, .external_lex_state = 2},
  [19670] = {.lex_state = 419, .external_lex_state = 2},
  [19671] = {.lex_state = 18, .external_lex_state = 2},
  [19672] = {.lex_state = 419, .external_lex_state = 2},
  [19673] = {.lex_state = 28, .external_lex_state = 2},
  [19674] = {.lex_state = 419, .external_lex_state = 2},
  [19675] = {.lex_state = 48, .external_lex_state = 2},
  [19676] = {.lex_state = 48, .external_lex_state = 2},
  [19677] = {.lex_state = 48, .external_lex_state = 2},
  [19678] = {.lex_state = 419, .external_lex_state = 2},
  [19679] = {.lex_state = 28, .external_lex_state = 2},
  [19680] = {.lex_state = 18, .external_lex_state = 2},
  [19681] = {.lex_state = 419, .external_lex_state = 2},
  [19682] = {.lex_state = 419, .external_lex_state = 2},
  [19683] = {.lex_state = 419, .external_lex_state = 2},
  [19684] = {.lex_state = 419, .external_lex_state = 2},
  [19685] = {.lex_state = 12, .external_lex_state = 2},
  [19686] = {.lex_state = 419, .external_lex_state = 2},
  [19687] = {.lex_state = 18, .external_lex_state = 2},
  [19688] = {.lex_state = 419, .external_lex_state = 2},
  [19689] = {.lex_state = 28, .external_lex_state = 2},
  [19690] = {.lex_state = 18, .external_lex_state = 2},
  [19691] = {.lex_state = 48, .external_lex_state = 2},
  [19692] = {.lex_state = 48, .external_lex_state = 2},
  [19693] = {.lex_state = 48, .external_lex_state = 2},
  [19694] = {.lex_state = 419, .external_lex_state = 2},
  [19695] = {.lex_state = 419, .external_lex_state = 2},
  [19696] = {.lex_state = 419, .external_lex_state = 2},
  [19697] = {.lex_state = 18, .external_lex_state = 2},
  [19698] = {.lex_state = 419, .external_lex_state = 2},
  [19699] = {.lex_state = 18, .external_lex_state = 2},
  [19700] = {.lex_state = 12, .external_lex_state = 2},
  [19701] = {.lex_state = 419, .external_lex_state = 2},
  [19702] = {.lex_state = 419, .external_lex_state = 2},
  [19703] = {.lex_state = 18, .external_lex_state = 2},
  [19704] = {.lex_state = 419, .external_lex_state = 2},
  [19705] = {.lex_state = 28, .external_lex_state = 2},
  [19706] = {.lex_state = 419, .external_lex_state = 2},
  [19707] = {.lex_state = 48, .external_lex_state = 2},
  [19708] = {.lex_state = 48, .external_lex_state = 2},
  [19709] = {.lex_state = 48, .external_lex_state = 2},
  [19710] = {.lex_state = 419, .external_lex_state = 2},
  [19711] = {.lex_state = 419, .external_lex_state = 2},
  [19712] = {.lex_state = 419, .external_lex_state = 2},
  [19713] = {.lex_state = 419, .external_lex_state = 2},
  [19714] = {.lex_state = 419, .external_lex_state = 2},
  [19715] = {.lex_state = 419, .external_lex_state = 2},
  [19716] = {.lex_state = 419, .external_lex_state = 2},
  [19717] = {.lex_state = 419, .external_lex_state = 2},
  [19718] = {.lex_state = 419, .external_lex_state = 2},
  [19719] = {.lex_state = 18, .external_lex_state = 2},
  [19720] = {.lex_state = 419, .external_lex_state = 2},
  [19721] = {.lex_state = 28, .external_lex_state = 2},
  [19722] = {.lex_state = 419, .external_lex_state = 2},
  [19723] = {.lex_state = 48, .external_lex_state = 2},
  [19724] = {.lex_state = 48, .external_lex_state = 2},
  [19725] = {.lex_state = 48, .external_lex_state = 2},
  [19726] = {.lex_state = 419, .external_lex_state = 2},
  [19727] = {.lex_state = 419, .external_lex_state = 2},
  [19728] = {.lex_state = 419, .external_lex_state = 2},
  [19729] = {.lex_state = 419, .external_lex_state = 2},
  [19730] = {.lex_state = 12, .external_lex_state = 2},
  [19731] = {.lex_state = 11, .external_lex_state = 2},
  [19732] = {.lex_state = 419, .external_lex_state = 2},
  [19733] = {.lex_state = 419, .external_lex_state = 2},
  [19734] = {.lex_state = 419, .external_lex_state = 2},
  [19735] = {.lex_state = 18, .external_lex_state = 2},
  [19736] = {.lex_state = 419, .external_lex_state = 2},
  [19737] = {.lex_state = 28, .external_lex_state = 2},
  [19738] = {.lex_state = 419, .external_lex_state = 2},
  [19739] = {.lex_state = 48, .external_lex_state = 2},
  [19740] = {.lex_state = 48, .external_lex_state = 2},
  [19741] = {.lex_state = 48, .external_lex_state = 2},
  [19742] = {.lex_state = 419, .external_lex_state = 2},
  [19743] = {.lex_state = 419, .external_lex_state = 2},
  [19744] = {.lex_state = 419, .external_lex_state = 2},
  [19745] = {.lex_state = 28, .external_lex_state = 2},
  [19746] = {.lex_state = 419, .external_lex_state = 2},
  [19747] = {.lex_state = 419, .external_lex_state = 2},
  [19748] = {.lex_state = 18, .external_lex_state = 2},
  [19749] = {.lex_state = 419, .external_lex_state = 2},
  [19750] = {.lex_state = 419, .external_lex_state = 2},
  [19751] = {.lex_state = 18, .external_lex_state = 2},
  [19752] = {.lex_state = 419, .external_lex_state = 2},
  [19753] = {.lex_state = 28, .external_lex_state = 2},
  [19754] = {.lex_state = 419, .external_lex_state = 2},
  [19755] = {.lex_state = 48, .external_lex_state = 2},
  [19756] = {.lex_state = 48, .external_lex_state = 2},
  [19757] = {.lex_state = 48, .external_lex_state = 2},
  [19758] = {.lex_state = 12, .external_lex_state = 2},
  [19759] = {.lex_state = 12, .external_lex_state = 2},
  [19760] = {.lex_state = 18, .external_lex_state = 2},
  [19761] = {.lex_state = 419, .external_lex_state = 2},
  [19762] = {.lex_state = 419, .external_lex_state = 2},
  [19763] = {.lex_state = 419, .external_lex_state = 2},
  [19764] = {.lex_state = 419, .external_lex_state = 2},
  [19765] = {.lex_state = 419, .external_lex_state = 2},
  [19766] = {.lex_state = 419, .external_lex_state = 2},
  [19767] = {.lex_state = 18, .external_lex_state = 2},
  [19768] = {.lex_state = 419, .external_lex_state = 2},
  [19769] = {.lex_state = 28, .external_lex_state = 2},
  [19770] = {.lex_state = 419, .external_lex_state = 2},
  [19771] = {.lex_state = 48, .external_lex_state = 2},
  [19772] = {.lex_state = 48, .external_lex_state = 2},
  [19773] = {.lex_state = 48, .external_lex_state = 2},
  [19774] = {.lex_state = 419, .external_lex_state = 2},
  [19775] = {.lex_state = 419, .external_lex_state = 2},
  [19776] = {.lex_state = 419, .external_lex_state = 2},
  [19777] = {.lex_state = 419, .external_lex_state = 2},
  [19778] = {.lex_state = 12, .external_lex_state = 2},
  [19779] = {.lex_state = 12, .external_lex_state = 2},
  [19780] = {.lex_state = 419, .external_lex_state = 2},
  [19781] = {.lex_state = 18, .external_lex_state = 2},
  [19782] = {.lex_state = 419, .external_lex_state = 2},
  [19783] = {.lex_state = 18, .external_lex_state = 2},
  [19784] = {.lex_state = 28, .external_lex_state = 2},
  [19785] = {.lex_state = 419, .external_lex_state = 2},
  [19786] = {.lex_state = 48, .external_lex_state = 2},
  [19787] = {.lex_state = 48, .external_lex_state = 2},
  [19788] = {.lex_state = 48, .external_lex_state = 2},
  [19789] = {.lex_state = 419, .external_lex_state = 2},
  [19790] = {.lex_state = 419, .external_lex_state = 2},
  [19791] = {.lex_state = 419, .external_lex_state = 2},
  [19792] = {.lex_state = 419, .external_lex_state = 2},
  [19793] = {.lex_state = 419, .external_lex_state = 2},
  [19794] = {.lex_state = 419, .external_lex_state = 2},
  [19795] = {.lex_state = 18, .external_lex_state = 2},
  [19796] = {.lex_state = 419, .external_lex_state = 2},
  [19797] = {.lex_state = 419, .external_lex_state = 2},
  [19798] = {.lex_state = 419, .external_lex_state = 2},
  [19799] = {.lex_state = 28, .external_lex_state = 2},
  [19800] = {.lex_state = 12, .external_lex_state = 2},
  [19801] = {.lex_state = 48, .external_lex_state = 2},
  [19802] = {.lex_state = 48, .external_lex_state = 2},
  [19803] = {.lex_state = 48, .external_lex_state = 2},
  [19804] = {.lex_state = 419, .external_lex_state = 2},
  [19805] = {.lex_state = 419, .external_lex_state = 2},
  [19806] = {.lex_state = 18, .external_lex_state = 2},
  [19807] = {.lex_state = 419, .external_lex_state = 2},
  [19808] = {.lex_state = 12, .external_lex_state = 2},
  [19809] = {.lex_state = 12, .external_lex_state = 2},
  [19810] = {.lex_state = 419, .external_lex_state = 2},
  [19811] = {.lex_state = 419, .external_lex_state = 2},
  [19812] = {.lex_state = 12, .external_lex_state = 2},
  [19813] = {.lex_state = 18, .external_lex_state = 2},
  [19814] = {.lex_state = 28, .external_lex_state = 2},
  [19815] = {.lex_state = 419, .external_lex_state = 2},
  [19816] = {.lex_state = 48, .external_lex_state = 2},
  [19817] = {.lex_state = 48, .external_lex_state = 2},
  [19818] = {.lex_state = 48, .external_lex_state = 2},
  [19819] = {.lex_state = 419, .external_lex_state = 2},
  [19820] = {.lex_state = 419, .external_lex_state = 2},
  [19821] = {.lex_state = 12, .external_lex_state = 2},
  [19822] = {.lex_state = 419, .external_lex_state = 2},
  [19823] = {.lex_state = 419, .external_lex_state = 2},
  [19824] = {.lex_state = 12, .external_lex_state = 2},
  [19825] = {.lex_state = 419, .external_lex_state = 2},
  [19826] = {.lex_state = 12, .external_lex_state = 2},
  [19827] = {.lex_state = 419, .external_lex_state = 2},
  [19828] = {.lex_state = 12, .external_lex_state = 2},
  [19829] = {.lex_state = 28, .external_lex_state = 2},
  [19830] = {.lex_state = 419, .external_lex_state = 2},
  [19831] = {.lex_state = 48, .external_lex_state = 2},
  [19832] = {.lex_state = 48, .external_lex_state = 2},
  [19833] = {.lex_state = 48, .external_lex_state = 2},
  [19834] = {.lex_state = 419, .external_lex_state = 2},
  [19835] = {.lex_state = 419, .external_lex_state = 2},
  [19836] = {.lex_state = 419, .external_lex_state = 2},
  [19837] = {.lex_state = 419, .external_lex_state = 2},
  [19838] = {.lex_state = 419, .external_lex_state = 2},
  [19839] = {.lex_state = 419, .external_lex_state = 2},
  [19840] = {.lex_state = 18, .external_lex_state = 2},
  [19841] = {.lex_state = 419, .external_lex_state = 2},
  [19842] = {.lex_state = 419, .external_lex_state = 2},
  [19843] = {.lex_state = 28, .external_lex_state = 2},
  [19844] = {.lex_state = 28, .external_lex_state = 2},
  [19845] = {.lex_state = 18, .external_lex_state = 2},
  [19846] = {.lex_state = 48, .external_lex_state = 2},
  [19847] = {.lex_state = 48, .external_lex_state = 2},
  [19848] = {.lex_state = 48, .external_lex_state = 2},
  [19849] = {.lex_state = 419, .external_lex_state = 2},
  [19850] = {.lex_state = 419, .external_lex_state = 2},
  [19851] = {.lex_state = 12, .external_lex_state = 2},
  [19852] = {.lex_state = 18, .external_lex_state = 2},
  [19853] = {.lex_state = 18, .external_lex_state = 2},
  [19854] = {.lex_state = 419, .external_lex_state = 2},
  [19855] = {.lex_state = 419, .external_lex_state = 2},
  [19856] = {.lex_state = 419, .external_lex_state = 2},
  [19857] = {.lex_state = 419, .external_lex_state = 2},
  [19858] = {.lex_state = 18, .external_lex_state = 2},
  [19859] = {.lex_state = 28, .external_lex_state = 2},
  [19860] = {.lex_state = 419, .external_lex_state = 2},
  [19861] = {.lex_state = 48, .external_lex_state = 2},
  [19862] = {.lex_state = 48, .external_lex_state = 2},
  [19863] = {.lex_state = 48, .external_lex_state = 2},
  [19864] = {.lex_state = 419, .external_lex_state = 2},
  [19865] = {.lex_state = 419, .external_lex_state = 2},
  [19866] = {.lex_state = 419, .external_lex_state = 2},
  [19867] = {.lex_state = 419, .external_lex_state = 2},
  [19868] = {.lex_state = 12, .external_lex_state = 2},
  [19869] = {.lex_state = 12, .external_lex_state = 2},
  [19870] = {.lex_state = 419, .external_lex_state = 2},
  [19871] = {.lex_state = 419, .external_lex_state = 2},
  [19872] = {.lex_state = 419, .external_lex_state = 2},
  [19873] = {.lex_state = 12, .external_lex_state = 2},
  [19874] = {.lex_state = 28, .external_lex_state = 2},
  [19875] = {.lex_state = 419, .external_lex_state = 2},
  [19876] = {.lex_state = 48, .external_lex_state = 2},
  [19877] = {.lex_state = 48, .external_lex_state = 2},
  [19878] = {.lex_state = 48, .external_lex_state = 2},
  [19879] = {.lex_state = 419, .external_lex_state = 2},
  [19880] = {.lex_state = 419, .external_lex_state = 2},
  [19881] = {.lex_state = 18, .external_lex_state = 2},
  [19882] = {.lex_state = 18, .external_lex_state = 2},
  [19883] = {.lex_state = 12, .external_lex_state = 2},
  [19884] = {.lex_state = 419, .external_lex_state = 2},
  [19885] = {.lex_state = 419, .external_lex_state = 2},
  [19886] = {.lex_state = 12, .external_lex_state = 2},
  [19887] = {.lex_state = 18, .external_lex_state = 2},
  [19888] = {.lex_state = 12, .external_lex_state = 2},
  [19889] = {.lex_state = 28, .external_lex_state = 2},
  [19890] = {.lex_state = 28, .external_lex_state = 2},
  [19891] = {.lex_state = 48, .external_lex_state = 2},
  [19892] = {.lex_state = 48, .external_lex_state = 2},
  [19893] = {.lex_state = 48, .external_lex_state = 2},
  [19894] = {.lex_state = 419, .external_lex_state = 2},
  [19895] = {.lex_state = 12, .external_lex_state = 2},
  [19896] = {.lex_state = 419, .external_lex_state = 2},
  [19897] = {.lex_state = 419, .external_lex_state = 2},
  [19898] = {.lex_state = 419, .external_lex_state = 2},
  [19899] = {.lex_state = 419, .external_lex_state = 2},
  [19900] = {.lex_state = 419, .external_lex_state = 2},
  [19901] = {.lex_state = 419, .external_lex_state = 2},
  [19902] = {.lex_state = 419, .external_lex_state = 2},
  [19903] = {.lex_state = 419, .external_lex_state = 2},
  [19904] = {.lex_state = 28, .external_lex_state = 2},
  [19905] = {.lex_state = 419, .external_lex_state = 2},
  [19906] = {.lex_state = 48, .external_lex_state = 2},
  [19907] = {.lex_state = 48, .external_lex_state = 2},
  [19908] = {.lex_state = 48, .external_lex_state = 2},
  [19909] = {.lex_state = 11, .external_lex_state = 2},
  [19910] = {.lex_state = 419, .external_lex_state = 3},
  [19911] = {.lex_state = 12, .external_lex_state = 2},
  [19912] = {.lex_state = 419, .external_lex_state = 2},
  [19913] = {.lex_state = 18, .external_lex_state = 2},
  [19914] = {.lex_state = 419, .external_lex_state = 2},
  [19915] = {.lex_state = 11, .external_lex_state = 2},
  [19916] = {.lex_state = 419, .external_lex_state = 3},
  [19917] = {.lex_state = 419, .external_lex_state = 2},
  [19918] = {.lex_state = 419, .external_lex_state = 2},
  [19919] = {.lex_state = 28, .external_lex_state = 2},
  [19920] = {.lex_state = 419, .external_lex_state = 2},
  [19921] = {.lex_state = 48, .external_lex_state = 2},
  [19922] = {.lex_state = 48, .external_lex_state = 2},
  [19923] = {.lex_state = 48, .external_lex_state = 2},
  [19924] = {.lex_state = 18, .external_lex_state = 2},
  [19925] = {.lex_state = 419, .external_lex_state = 2},
  [19926] = {.lex_state = 18, .external_lex_state = 2},
  [19927] = {.lex_state = 419, .external_lex_state = 2},
  [19928] = {.lex_state = 28, .external_lex_state = 2},
  [19929] = {.lex_state = 419, .external_lex_state = 2},
  [19930] = {.lex_state = 419, .external_lex_state = 2},
  [19931] = {.lex_state = 419, .external_lex_state = 2},
  [19932] = {.lex_state = 419, .external_lex_state = 2},
  [19933] = {.lex_state = 419, .external_lex_state = 2},
  [19934] = {.lex_state = 28, .external_lex_state = 2},
  [19935] = {.lex_state = 419, .external_lex_state = 2},
  [19936] = {.lex_state = 48, .external_lex_state = 2},
  [19937] = {.lex_state = 48, .external_lex_state = 2},
  [19938] = {.lex_state = 48, .external_lex_state = 2},
  [19939] = {.lex_state = 28, .external_lex_state = 2},
  [19940] = {.lex_state = 419, .external_lex_state = 2},
  [19941] = {.lex_state = 419, .external_lex_state = 2},
  [19942] = {.lex_state = 419, .external_lex_state = 2},
  [19943] = {.lex_state = 18, .external_lex_state = 2},
  [19944] = {.lex_state = 18, .external_lex_state = 2},
  [19945] = {.lex_state = 419, .external_lex_state = 2},
  [19946] = {.lex_state = 18, .external_lex_state = 2},
  [19947] = {.lex_state = 419, .external_lex_state = 2},
  [19948] = {.lex_state = 419, .external_lex_state = 2},
  [19949] = {.lex_state = 28, .external_lex_state = 2},
  [19950] = {.lex_state = 419, .external_lex_state = 2},
  [19951] = {.lex_state = 48, .external_lex_state = 2},
  [19952] = {.lex_state = 48, .external_lex_state = 2},
  [19953] = {.lex_state = 48, .external_lex_state = 2},
  [19954] = {.lex_state = 419, .external_lex_state = 2},
  [19955] = {.lex_state = 419, .external_lex_state = 2},
  [19956] = {.lex_state = 419, .external_lex_state = 2},
  [19957] = {.lex_state = 419, .external_lex_state = 2},
  [19958] = {.lex_state = 419, .external_lex_state = 2},
  [19959] = {.lex_state = 419, .external_lex_state = 2},
  [19960] = {.lex_state = 11, .external_lex_state = 2},
  [19961] = {.lex_state = 419, .external_lex_state = 3},
  [19962] = {.lex_state = 419, .external_lex_state = 2},
  [19963] = {.lex_state = 419, .external_lex_state = 2},
  [19964] = {.lex_state = 28, .external_lex_state = 2},
  [19965] = {.lex_state = 419, .external_lex_state = 2},
  [19966] = {.lex_state = 48, .external_lex_state = 2},
  [19967] = {.lex_state = 48, .external_lex_state = 2},
  [19968] = {.lex_state = 48, .external_lex_state = 2},
  [19969] = {.lex_state = 419, .external_lex_state = 2},
  [19970] = {.lex_state = 18, .external_lex_state = 2},
  [19971] = {.lex_state = 11, .external_lex_state = 2},
  [19972] = {.lex_state = 419, .external_lex_state = 2},
  [19973] = {.lex_state = 240, .external_lex_state = 2},
  [19974] = {.lex_state = 28, .external_lex_state = 2},
  [19975] = {.lex_state = 11, .external_lex_state = 2},
  [19976] = {.lex_state = 419, .external_lex_state = 3},
  [19977] = {.lex_state = 12, .external_lex_state = 2},
  [19978] = {.lex_state = 419, .external_lex_state = 2},
  [19979] = {.lex_state = 28, .external_lex_state = 2},
  [19980] = {.lex_state = 419, .external_lex_state = 2},
  [19981] = {.lex_state = 48, .external_lex_state = 2},
  [19982] = {.lex_state = 48, .external_lex_state = 2},
  [19983] = {.lex_state = 48, .external_lex_state = 2},
  [19984] = {.lex_state = 18, .external_lex_state = 2},
  [19985] = {.lex_state = 419, .external_lex_state = 2},
  [19986] = {.lex_state = 18, .external_lex_state = 2},
  [19987] = {.lex_state = 419, .external_lex_state = 2},
  [19988] = {.lex_state = 419, .external_lex_state = 2},
  [19989] = {.lex_state = 419, .external_lex_state = 2},
  [19990] = {.lex_state = 28, .external_lex_state = 2},
  [19991] = {.lex_state = 419, .external_lex_state = 2},
  [19992] = {.lex_state = 419, .external_lex_state = 2},
  [19993] = {.lex_state = 419, .external_lex_state = 2},
  [19994] = {.lex_state = 28, .external_lex_state = 2},
  [19995] = {.lex_state = 11, .external_lex_state = 2},
  [19996] = {.lex_state = 48, .external_lex_state = 2},
  [19997] = {.lex_state = 48, .external_lex_state = 2},
  [19998] = {.lex_state = 48, .external_lex_state = 2},
  [19999] = {.lex_state = 18, .external_lex_state = 2},
  [20000] = {.lex_state = 18, .external_lex_state = 2},
  [20001] = {.lex_state = 419, .external_lex_state = 3},
  [20002] = {.lex_state = 18, .external_lex_state = 2},
  [20003] = {.lex_state = 18, .external_lex_state = 2},
  [20004] = {.lex_state = 419, .external_lex_state = 2},
  [20005] = {.lex_state = 419, .external_lex_state = 2},
  [20006] = {.lex_state = 419, .external_lex_state = 2},
  [20007] = {.lex_state = 11, .external_lex_state = 2},
  [20008] = {.lex_state = 18, .external_lex_state = 2},
  [20009] = {.lex_state = 28, .external_lex_state = 2},
  [20010] = {.lex_state = 18, .external_lex_state = 2},
  [20011] = {.lex_state = 48, .external_lex_state = 2},
  [20012] = {.lex_state = 48, .external_lex_state = 2},
  [20013] = {.lex_state = 48, .external_lex_state = 2},
  [20014] = {.lex_state = 28, .external_lex_state = 2},
  [20015] = {.lex_state = 18, .external_lex_state = 2},
  [20016] = {.lex_state = 18, .external_lex_state = 2},
  [20017] = {.lex_state = 18, .external_lex_state = 2},
  [20018] = {.lex_state = 419, .external_lex_state = 2},
  [20019] = {.lex_state = 18, .external_lex_state = 2},
  [20020] = {.lex_state = 419, .external_lex_state = 2},
  [20021] = {.lex_state = 419, .external_lex_state = 2},
  [20022] = {.lex_state = 18, .external_lex_state = 2},
  [20023] = {.lex_state = 419, .external_lex_state = 2},
  [20024] = {.lex_state = 18, .external_lex_state = 2},
  [20025] = {.lex_state = 48, .external_lex_state = 2},
  [20026] = {.lex_state = 48, .external_lex_state = 2},
  [20027] = {.lex_state = 48, .external_lex_state = 2},
  [20028] = {.lex_state = 18, .external_lex_state = 2},
  [20029] = {.lex_state = 28, .external_lex_state = 2},
  [20030] = {.lex_state = 18, .external_lex_state = 2},
  [20031] = {.lex_state = 419, .external_lex_state = 2},
  [20032] = {.lex_state = 419, .external_lex_state = 2},
  [20033] = {.lex_state = 419, .external_lex_state = 2},
  [20034] = {.lex_state = 419, .external_lex_state = 2},
  [20035] = {.lex_state = 419, .external_lex_state = 2},
  [20036] = {.lex_state = 419, .external_lex_state = 2},
  [20037] = {.lex_state = 419, .external_lex_state = 2},
  [20038] = {.lex_state = 419, .external_lex_state = 2},
  [20039] = {.lex_state = 48, .external_lex_state = 2},
  [20040] = {.lex_state = 48, .external_lex_state = 2},
  [20041] = {.lex_state = 48, .external_lex_state = 2},
  [20042] = {.lex_state = 419, .external_lex_state = 2},
  [20043] = {.lex_state = 419, .external_lex_state = 2},
  [20044] = {.lex_state = 419, .external_lex_state = 2},
  [20045] = {.lex_state = 419, .external_lex_state = 2},
  [20046] = {.lex_state = 419, .external_lex_state = 2},
  [20047] = {.lex_state = 419, .external_lex_state = 2},
  [20048] = {.lex_state = 419, .external_lex_state = 2},
  [20049] = {.lex_state = 419, .external_lex_state = 2},
  [20050] = {.lex_state = 419, .external_lex_state = 2},
  [20051] = {.lex_state = 18, .external_lex_state = 2},
  [20052] = {.lex_state = 419, .external_lex_state = 2},
  [20053] = {.lex_state = 48, .external_lex_state = 2},
  [20054] = {.lex_state = 48, .external_lex_state = 2},
  [20055] = {.lex_state = 48, .external_lex_state = 2},
  [20056] = {.lex_state = 419, .external_lex_state = 2},
  [20057] = {.lex_state = 419, .external_lex_state = 2},
  [20058] = {.lex_state = 419, .external_lex_state = 2},
  [20059] = {.lex_state = 419, .external_lex_state = 2},
  [20060] = {.lex_state = 419, .external_lex_state = 2},
  [20061] = {.lex_state = 419, .external_lex_state = 2},
  [20062] = {.lex_state = 419, .external_lex_state = 2},
  [20063] = {.lex_state = 18, .external_lex_state = 2},
  [20064] = {.lex_state = 419, .external_lex_state = 2},
  [20065] = {.lex_state = 419, .external_lex_state = 2},
  [20066] = {.lex_state = 18, .external_lex_state = 2},
  [20067] = {.lex_state = 48, .external_lex_state = 2},
  [20068] = {.lex_state = 48, .external_lex_state = 2},
  [20069] = {.lex_state = 48, .external_lex_state = 2},
  [20070] = {.lex_state = 419, .external_lex_state = 2},
  [20071] = {.lex_state = 419, .external_lex_state = 2},
  [20072] = {.lex_state = 419, .external_lex_state = 2},
  [20073] = {.lex_state = 419, .external_lex_state = 3},
  [20074] = {.lex_state = 419, .external_lex_state = 2},
  [20075] = {.lex_state = 18, .external_lex_state = 2},
  [20076] = {.lex_state = 419, .external_lex_state = 2},
  [20077] = {.lex_state = 419, .external_lex_state = 2},
  [20078] = {.lex_state = 18, .external_lex_state = 2},
  [20079] = {.lex_state = 419, .external_lex_state = 2},
  [20080] = {.lex_state = 419, .external_lex_state = 2},
  [20081] = {.lex_state = 48, .external_lex_state = 2},
  [20082] = {.lex_state = 48, .external_lex_state = 2},
  [20083] = {.lex_state = 48, .external_lex_state = 2},
  [20084] = {.lex_state = 419, .external_lex_state = 2},
  [20085] = {.lex_state = 18, .external_lex_state = 2},
  [20086] = {.lex_state = 28, .external_lex_state = 2},
  [20087] = {.lex_state = 419, .external_lex_state = 2},
  [20088] = {.lex_state = 18, .external_lex_state = 2},
  [20089] = {.lex_state = 419, .external_lex_state = 2},
  [20090] = {.lex_state = 419, .external_lex_state = 2},
  [20091] = {.lex_state = 419, .external_lex_state = 2},
  [20092] = {.lex_state = 419, .external_lex_state = 2},
  [20093] = {.lex_state = 48, .external_lex_state = 2},
  [20094] = {.lex_state = 48, .external_lex_state = 2},
  [20095] = {.lex_state = 48, .external_lex_state = 2},
  [20096] = {.lex_state = 419, .external_lex_state = 2},
  [20097] = {.lex_state = 419, .external_lex_state = 2},
  [20098] = {.lex_state = 18, .external_lex_state = 2},
  [20099] = {.lex_state = 18, .external_lex_state = 2},
  [20100] = {.lex_state = 48, .external_lex_state = 2},
  [20101] = {.lex_state = 48, .external_lex_state = 2},
  [20102] = {.lex_state = 48, .external_lex_state = 2},
  [20103] = {.lex_state = 419, .external_lex_state = 2},
  [20104] = {.lex_state = 419, .external_lex_state = 2},
  [20105] = {.lex_state = 48, .external_lex_state = 2},
  [20106] = {.lex_state = 48, .external_lex_state = 2},
  [20107] = {.lex_state = 48, .external_lex_state = 2},
  [20108] = {.lex_state = 419, .external_lex_state = 2},
  [20109] = {.lex_state = 419, .external_lex_state = 2},
  [20110] = {.lex_state = 48, .external_lex_state = 2},
  [20111] = {.lex_state = 48, .external_lex_state = 2},
  [20112] = {.lex_state = 48, .external_lex_state = 2},
  [20113] = {.lex_state = 419, .external_lex_state = 2},
  [20114] = {.lex_state = 419, .external_lex_state = 2},
  [20115] = {.lex_state = 48, .external_lex_state = 2},
  [20116] = {.lex_state = 48, .external_lex_state = 2},
  [20117] = {.lex_state = 48, .external_lex_state = 2},
  [20118] = {.lex_state = 419, .external_lex_state = 2},
  [20119] = {.lex_state = 18, .external_lex_state = 2},
  [20120] = {.lex_state = 48, .external_lex_state = 2},
  [20121] = {.lex_state = 48, .external_lex_state = 2},
  [20122] = {.lex_state = 48, .external_lex_state = 2},
  [20123] = {.lex_state = 419, .external_lex_state = 2},
  [20124] = {.lex_state = 419, .external_lex_state = 2},
  [20125] = {.lex_state = 48, .external_lex_state = 2},
  [20126] = {.lex_state = 48, .external_lex_state = 2},
  [20127] = {.lex_state = 48, .external_lex_state = 2},
  [20128] = {.lex_state = 419, .external_lex_state = 2},
  [20129] = {.lex_state = 419, .external_lex_state = 2},
  [20130] = {.lex_state = 48, .external_lex_state = 2},
  [20131] = {.lex_state = 48, .external_lex_state = 2},
  [20132] = {.lex_state = 48, .external_lex_state = 2},
  [20133] = {.lex_state = 419, .external_lex_state = 2},
  [20134] = {.lex_state = 419, .external_lex_state = 2},
  [20135] = {.lex_state = 48, .external_lex_state = 2},
  [20136] = {.lex_state = 48, .external_lex_state = 2},
  [20137] = {.lex_state = 48, .external_lex_state = 2},
  [20138] = {.lex_state = 419, .external_lex_state = 2},
  [20139] = {.lex_state = 419, .external_lex_state = 2},
  [20140] = {.lex_state = 48, .external_lex_state = 2},
  [20141] = {.lex_state = 48, .external_lex_state = 2},
  [20142] = {.lex_state = 48, .external_lex_state = 2},
  [20143] = {.lex_state = 419, .external_lex_state = 2},
  [20144] = {.lex_state = 28, .external_lex_state = 2},
  [20145] = {.lex_state = 48, .external_lex_state = 2},
  [20146] = {.lex_state = 419, .external_lex_state = 2},
  [20147] = {.lex_state = 48, .external_lex_state = 2},
  [20148] = {.lex_state = 419, .external_lex_state = 2},
  [20149] = {.lex_state = 419, .external_lex_state = 2},
  [20150] = {.lex_state = 48, .external_lex_state = 2},
  [20151] = {.lex_state = 48, .external_lex_state = 2},
  [20152] = {.lex_state = 48, .external_lex_state = 2},
  [20153] = {.lex_state = 419, .external_lex_state = 2},
  [20154] = {.lex_state = 419, .external_lex_state = 2},
  [20155] = {.lex_state = 48, .external_lex_state = 2},
  [20156] = {.lex_state = 48, .external_lex_state = 2},
  [20157] = {.lex_state = 48, .external_lex_state = 2},
  [20158] = {.lex_state = 18, .external_lex_state = 2},
  [20159] = {.lex_state = 419, .external_lex_state = 2},
  [20160] = {.lex_state = 48, .external_lex_state = 2},
  [20161] = {.lex_state = 48, .external_lex_state = 2},
  [20162] = {.lex_state = 48, .external_lex_state = 2},
  [20163] = {.lex_state = 419, .external_lex_state = 2},
  [20164] = {.lex_state = 419, .external_lex_state = 2},
  [20165] = {.lex_state = 18, .external_lex_state = 2},
  [20166] = {.lex_state = 28, .external_lex_state = 2},
  [20167] = {.lex_state = 419, .external_lex_state = 2},
  [20168] = {.lex_state = 419, .external_lex_state = 2},
  [20169] = {.lex_state = 18, .external_lex_state = 2},
  [20170] = {.lex_state = 419, .external_lex_state = 2},
  [20171] = {.lex_state = 419, .external_lex_state = 2},
  [20172] = {.lex_state = 419, .external_lex_state = 2},
  [20173] = {.lex_state = 18, .external_lex_state = 2},
  [20174] = {.lex_state = 18, .external_lex_state = 2},
  [20175] = {.lex_state = 419, .external_lex_state = 2},
  [20176] = {.lex_state = 419, .external_lex_state = 2},
  [20177] = {.lex_state = 419, .external_lex_state = 2},
  [20178] = {.lex_state = 12, .external_lex_state = 2},
  [20179] = {.lex_state = 419, .external_lex_state = 2},
  [20180] = {.lex_state = 12, .external_lex_state = 2},
  [20181] = {.lex_state = 12, .external_lex_state = 2},
  [20182] = {.lex_state = 18, .external_lex_state = 2},
  [20183] = {.lex_state = 419, .external_lex_state = 2},
  [20184] = {.lex_state = 419, .external_lex_state = 2},
  [20185] = {.lex_state = 419, .external_lex_state = 2},
  [20186] = {.lex_state = 419, .external_lex_state = 2},
  [20187] = {.lex_state = 24, .external_lex_state = 2},
  [20188] = {.lex_state = 419, .external_lex_state = 2},
  [20189] = {.lex_state = 419, .external_lex_state = 2},
  [20190] = {.lex_state = 240, .external_lex_state = 2},
  [20191] = {.lex_state = 24, .external_lex_state = 2},
  [20192] = {.lex_state = 18, .external_lex_state = 2},
  [20193] = {.lex_state = 18, .external_lex_state = 2},
  [20194] = {.lex_state = 419, .external_lex_state = 2},
  [20195] = {.lex_state = 12, .external_lex_state = 2},
  [20196] = {.lex_state = 18, .external_lex_state = 2},
  [20197] = {.lex_state = 419, .external_lex_state = 2},
  [20198] = {.lex_state = 419, .external_lex_state = 2},
  [20199] = {.lex_state = 419, .external_lex_state = 2},
  [20200] = {.lex_state = 419, .external_lex_state = 2},
  [20201] = {.lex_state = 28, .external_lex_state = 2},
  [20202] = {.lex_state = 419, .external_lex_state = 2},
  [20203] = {.lex_state = 12, .external_lex_state = 2},
  [20204] = {.lex_state = 12, .external_lex_state = 2},
  [20205] = {.lex_state = 12, .external_lex_state = 2},
  [20206] = {.lex_state = 18, .external_lex_state = 2},
  [20207] = {.lex_state = 18, .external_lex_state = 2},
  [20208] = {.lex_state = 419, .external_lex_state = 2},
  [20209] = {.lex_state = 28, .external_lex_state = 2},
  [20210] = {.lex_state = 419, .external_lex_state = 2},
  [20211] = {.lex_state = 12, .external_lex_state = 2},
  [20212] = {.lex_state = 18, .external_lex_state = 2},
  [20213] = {.lex_state = 419, .external_lex_state = 2},
  [20214] = {.lex_state = 419, .external_lex_state = 2},
  [20215] = {.lex_state = 419, .external_lex_state = 2},
  [20216] = {.lex_state = 419, .external_lex_state = 2},
  [20217] = {.lex_state = 24, .external_lex_state = 2},
  [20218] = {.lex_state = 240, .external_lex_state = 2},
  [20219] = {.lex_state = 24, .external_lex_state = 2},
  [20220] = {.lex_state = 12, .external_lex_state = 2},
  [20221] = {.lex_state = 419, .external_lex_state = 2},
  [20222] = {.lex_state = 419, .external_lex_state = 2},
  [20223] = {.lex_state = 419, .external_lex_state = 2},
  [20224] = {.lex_state = 419, .external_lex_state = 2},
  [20225] = {.lex_state = 28, .external_lex_state = 2},
  [20226] = {.lex_state = 419, .external_lex_state = 2},
  [20227] = {.lex_state = 419, .external_lex_state = 2},
  [20228] = {.lex_state = 11, .external_lex_state = 2},
  [20229] = {.lex_state = 12, .external_lex_state = 2},
  [20230] = {.lex_state = 419, .external_lex_state = 3},
  [20231] = {.lex_state = 419, .external_lex_state = 2},
  [20232] = {.lex_state = 419, .external_lex_state = 2},
  [20233] = {.lex_state = 28, .external_lex_state = 2},
  [20234] = {.lex_state = 24, .external_lex_state = 2},
  [20235] = {.lex_state = 240, .external_lex_state = 2},
  [20236] = {.lex_state = 24, .external_lex_state = 2},
  [20237] = {.lex_state = 18, .external_lex_state = 2},
  [20238] = {.lex_state = 419, .external_lex_state = 2},
  [20239] = {.lex_state = 419, .external_lex_state = 2},
  [20240] = {.lex_state = 18, .external_lex_state = 2},
  [20241] = {.lex_state = 419, .external_lex_state = 2},
  [20242] = {.lex_state = 28, .external_lex_state = 2},
  [20243] = {.lex_state = 419, .external_lex_state = 2},
  [20244] = {.lex_state = 18, .external_lex_state = 2},
  [20245] = {.lex_state = 419, .external_lex_state = 2},
  [20246] = {.lex_state = 419, .external_lex_state = 2},
  [20247] = {.lex_state = 419, .external_lex_state = 2},
  [20248] = {.lex_state = 419, .external_lex_state = 2},
  [20249] = {.lex_state = 419, .external_lex_state = 2},
  [20250] = {.lex_state = 18, .external_lex_state = 2},
  [20251] = {.lex_state = 240, .external_lex_state = 2},
  [20252] = {.lex_state = 419, .external_lex_state = 2},
  [20253] = {.lex_state = 18, .external_lex_state = 2},
  [20254] = {.lex_state = 419, .external_lex_state = 2},
  [20255] = {.lex_state = 419, .external_lex_state = 2},
  [20256] = {.lex_state = 28, .external_lex_state = 2},
  [20257] = {.lex_state = 419, .external_lex_state = 2},
  [20258] = {.lex_state = 419, .external_lex_state = 2},
  [20259] = {.lex_state = 18, .external_lex_state = 2},
  [20260] = {.lex_state = 419, .external_lex_state = 2},
  [20261] = {.lex_state = 419, .external_lex_state = 2},
  [20262] = {.lex_state = 419, .external_lex_state = 2},
  [20263] = {.lex_state = 240, .external_lex_state = 2},
  [20264] = {.lex_state = 419, .external_lex_state = 2},
  [20265] = {.lex_state = 419, .external_lex_state = 2},
  [20266] = {.lex_state = 240, .external_lex_state = 2},
  [20267] = {.lex_state = 18, .external_lex_state = 2},
  [20268] = {.lex_state = 18, .external_lex_state = 2},
  [20269] = {.lex_state = 240, .external_lex_state = 2},
  [20270] = {.lex_state = 419, .external_lex_state = 2},
  [20271] = {.lex_state = 419, .external_lex_state = 2},
  [20272] = {.lex_state = 240, .external_lex_state = 2},
  [20273] = {.lex_state = 240, .external_lex_state = 2},
  [20274] = {.lex_state = 240, .external_lex_state = 2},
  [20275] = {.lex_state = 240, .external_lex_state = 2},
  [20276] = {.lex_state = 240, .external_lex_state = 2},
  [20277] = {.lex_state = 240, .external_lex_state = 2},
  [20278] = {.lex_state = 240, .external_lex_state = 2},
  [20279] = {.lex_state = 240, .external_lex_state = 2},
  [20280] = {.lex_state = 240, .external_lex_state = 2},
  [20281] = {.lex_state = 240, .external_lex_state = 2},
  [20282] = {.lex_state = 240, .external_lex_state = 2},
  [20283] = {.lex_state = 240, .external_lex_state = 2},
  [20284] = {.lex_state = 240, .external_lex_state = 2},
  [20285] = {.lex_state = 240, .external_lex_state = 2},
  [20286] = {.lex_state = 240, .external_lex_state = 2},
  [20287] = {.lex_state = 240, .external_lex_state = 2},
  [20288] = {.lex_state = 240, .external_lex_state = 2},
  [20289] = {.lex_state = 240, .external_lex_state = 2},
  [20290] = {.lex_state = 240, .external_lex_state = 2},
  [20291] = {.lex_state = 240, .external_lex_state = 2},
  [20292] = {.lex_state = 240, .external_lex_state = 2},
  [20293] = {.lex_state = 240, .external_lex_state = 2},
  [20294] = {.lex_state = 240, .external_lex_state = 2},
  [20295] = {.lex_state = 240, .external_lex_state = 2},
  [20296] = {.lex_state = 240, .external_lex_state = 2},
  [20297] = {.lex_state = 240, .external_lex_state = 2},
  [20298] = {.lex_state = 240, .external_lex_state = 2},
  [20299] = {.lex_state = 240, .external_lex_state = 2},
  [20300] = {.lex_state = 240, .external_lex_state = 2},
  [20301] = {.lex_state = 240, .external_lex_state = 2},
  [20302] = {.lex_state = 240, .external_lex_state = 2},
  [20303] = {.lex_state = 240, .external_lex_state = 2},
  [20304] = {.lex_state = 240, .external_lex_state = 2},
  [20305] = {.lex_state = 240, .external_lex_state = 2},
  [20306] = {.lex_state = 240, .external_lex_state = 2},
  [20307] = {.lex_state = 240, .external_lex_state = 2},
  [20308] = {.lex_state = 240, .external_lex_state = 2},
  [20309] = {.lex_state = 240, .external_lex_state = 2},
  [20310] = {.lex_state = 240, .external_lex_state = 2},
  [20311] = {.lex_state = 240, .external_lex_state = 2},
  [20312] = {.lex_state = 240, .external_lex_state = 2},
  [20313] = {.lex_state = 240, .external_lex_state = 2},
  [20314] = {.lex_state = 240, .external_lex_state = 2},
  [20315] = {.lex_state = 240, .external_lex_state = 2},
  [20316] = {.lex_state = 240, .external_lex_state = 2},
  [20317] = {.lex_state = 240, .external_lex_state = 2},
  [20318] = {.lex_state = 240, .external_lex_state = 2},
  [20319] = {.lex_state = 240, .external_lex_state = 2},
  [20320] = {.lex_state = 240, .external_lex_state = 2},
  [20321] = {.lex_state = 419, .external_lex_state = 2},
  [20322] = {.lex_state = 419, .external_lex_state = 2},
  [20323] = {.lex_state = 18, .external_lex_state = 2},
  [20324] = {.lex_state = 419, .external_lex_state = 2},
  [20325] = {.lex_state = 419, .external_lex_state = 2},
  [20326] = {.lex_state = 419, .external_lex_state = 2},
  [20327] = {.lex_state = 419, .external_lex_state = 2},
  [20328] = {.lex_state = 18, .external_lex_state = 2},
  [20329] = {.lex_state = 419, .external_lex_state = 2},
  [20330] = {.lex_state = 419, .external_lex_state = 2},
  [20331] = {.lex_state = 18, .external_lex_state = 2},
  [20332] = {.lex_state = 419, .external_lex_state = 2},
  [20333] = {.lex_state = 419, .external_lex_state = 2},
  [20334] = {.lex_state = 419, .external_lex_state = 2},
  [20335] = {.lex_state = 419, .external_lex_state = 2},
  [20336] = {.lex_state = 419, .external_lex_state = 2},
  [20337] = {.lex_state = 419, .external_lex_state = 2},
  [20338] = {.lex_state = 18, .external_lex_state = 2},
  [20339] = {.lex_state = 18, .external_lex_state = 2},
  [20340] = {.lex_state = 18, .external_lex_state = 2},
  [20341] = {.lex_state = 18, .external_lex_state = 2},
  [20342] = {.lex_state = 419, .external_lex_state = 2},
  [20343] = {.lex_state = 419, .external_lex_state = 2},
  [20344] = {.lex_state = 419, .external_lex_state = 2},
  [20345] = {.lex_state = 419, .external_lex_state = 2},
  [20346] = {.lex_state = 419, .external_lex_state = 2},
  [20347] = {.lex_state = 18, .external_lex_state = 2},
  [20348] = {.lex_state = 419, .external_lex_state = 2},
  [20349] = {.lex_state = 419, .external_lex_state = 2},
  [20350] = {.lex_state = 18, .external_lex_state = 2},
  [20351] = {.lex_state = 11, .external_lex_state = 2},
  [20352] = {.lex_state = 419, .external_lex_state = 2},
  [20353] = {.lex_state = 419, .external_lex_state = 2},
  [20354] = {.lex_state = 419, .external_lex_state = 3},
  [20355] = {.lex_state = 419, .external_lex_state = 2},
  [20356] = {.lex_state = 419, .external_lex_state = 2},
  [20357] = {.lex_state = 419, .external_lex_state = 2},
  [20358] = {.lex_state = 419, .external_lex_state = 2},
  [20359] = {.lex_state = 419, .external_lex_state = 2},
  [20360] = {.lex_state = 419, .external_lex_state = 2},
  [20361] = {.lex_state = 18, .external_lex_state = 2},
  [20362] = {.lex_state = 18, .external_lex_state = 2},
  [20363] = {.lex_state = 419, .external_lex_state = 2},
  [20364] = {.lex_state = 18, .external_lex_state = 2},
  [20365] = {.lex_state = 419, .external_lex_state = 2},
  [20366] = {.lex_state = 18, .external_lex_state = 2},
  [20367] = {.lex_state = 18, .external_lex_state = 2},
  [20368] = {.lex_state = 419, .external_lex_state = 2},
  [20369] = {.lex_state = 419, .external_lex_state = 2},
  [20370] = {.lex_state = 419, .external_lex_state = 2},
  [20371] = {.lex_state = 18, .external_lex_state = 2},
  [20372] = {.lex_state = 419, .external_lex_state = 2},
  [20373] = {.lex_state = 419, .external_lex_state = 2},
  [20374] = {.lex_state = 419, .external_lex_state = 2},
  [20375] = {.lex_state = 12, .external_lex_state = 2},
  [20376] = {.lex_state = 12, .external_lex_state = 2},
  [20377] = {.lex_state = 12, .external_lex_state = 2},
  [20378] = {.lex_state = 419, .external_lex_state = 2},
  [20379] = {.lex_state = 419, .external_lex_state = 2},
  [20380] = {.lex_state = 12, .external_lex_state = 2},
  [20381] = {.lex_state = 419, .external_lex_state = 2},
  [20382] = {.lex_state = 18, .external_lex_state = 2},
  [20383] = {.lex_state = 419, .external_lex_state = 2},
  [20384] = {.lex_state = 12, .external_lex_state = 2},
  [20385] = {.lex_state = 12, .external_lex_state = 2},
  [20386] = {.lex_state = 419, .external_lex_state = 2},
  [20387] = {.lex_state = 12, .external_lex_state = 2},
  [20388] = {.lex_state = 419, .external_lex_state = 2},
  [20389] = {.lex_state = 419, .external_lex_state = 2},
  [20390] = {.lex_state = 419, .external_lex_state = 2},
  [20391] = {.lex_state = 18, .external_lex_state = 2},
  [20392] = {.lex_state = 11, .external_lex_state = 2},
  [20393] = {.lex_state = 419, .external_lex_state = 2},
  [20394] = {.lex_state = 419, .external_lex_state = 2},
  [20395] = {.lex_state = 12, .external_lex_state = 2},
  [20396] = {.lex_state = 419, .external_lex_state = 2},
  [20397] = {.lex_state = 419, .external_lex_state = 2},
  [20398] = {.lex_state = 11, .external_lex_state = 2},
  [20399] = {.lex_state = 419, .external_lex_state = 2},
  [20400] = {.lex_state = 18, .external_lex_state = 2},
  [20401] = {.lex_state = 419, .external_lex_state = 3},
  [20402] = {.lex_state = 18, .external_lex_state = 2},
  [20403] = {.lex_state = 419, .external_lex_state = 2},
  [20404] = {.lex_state = 28, .external_lex_state = 2},
  [20405] = {.lex_state = 28, .external_lex_state = 2},
  [20406] = {.lex_state = 419, .external_lex_state = 2},
  [20407] = {.lex_state = 419, .external_lex_state = 2},
  [20408] = {.lex_state = 18, .external_lex_state = 2},
  [20409] = {.lex_state = 419, .external_lex_state = 2},
  [20410] = {.lex_state = 18, .external_lex_state = 2},
  [20411] = {.lex_state = 419, .external_lex_state = 2},
  [20412] = {.lex_state = 419, .external_lex_state = 2},
  [20413] = {.lex_state = 419, .external_lex_state = 2},
  [20414] = {.lex_state = 419, .external_lex_state = 2},
  [20415] = {.lex_state = 419, .external_lex_state = 2},
  [20416] = {.lex_state = 419, .external_lex_state = 2},
  [20417] = {.lex_state = 419, .external_lex_state = 2},
  [20418] = {.lex_state = 18, .external_lex_state = 2},
  [20419] = {.lex_state = 419, .external_lex_state = 2},
  [20420] = {.lex_state = 419, .external_lex_state = 2},
  [20421] = {.lex_state = 419, .external_lex_state = 2},
  [20422] = {.lex_state = 419, .external_lex_state = 2},
  [20423] = {.lex_state = 18, .external_lex_state = 2},
  [20424] = {.lex_state = 419, .external_lex_state = 2},
  [20425] = {.lex_state = 18, .external_lex_state = 2},
  [20426] = {.lex_state = 419, .external_lex_state = 2},
  [20427] = {.lex_state = 419, .external_lex_state = 2},
  [20428] = {.lex_state = 18, .external_lex_state = 2},
  [20429] = {.lex_state = 419, .external_lex_state = 2},
  [20430] = {.lex_state = 419, .external_lex_state = 2},
  [20431] = {.lex_state = 419, .external_lex_state = 2},
  [20432] = {.lex_state = 419, .external_lex_state = 2},
  [20433] = {.lex_state = 419, .external_lex_state = 2},
  [20434] = {.lex_state = 419, .external_lex_state = 3},
  [20435] = {.lex_state = 419, .external_lex_state = 2},
  [20436] = {.lex_state = 18, .external_lex_state = 2},
  [20437] = {.lex_state = 419, .external_lex_state = 2},
  [20438] = {.lex_state = 419, .external_lex_state = 2},
  [20439] = {.lex_state = 419, .external_lex_state = 2},
  [20440] = {.lex_state = 18, .external_lex_state = 2},
  [20441] = {.lex_state = 419, .external_lex_state = 2},
  [20442] = {.lex_state = 18, .external_lex_state = 2},
  [20443] = {.lex_state = 419, .external_lex_state = 2},
  [20444] = {.lex_state = 12, .external_lex_state = 2},
  [20445] = {.lex_state = 419, .external_lex_state = 2},
  [20446] = {.lex_state = 419, .external_lex_state = 2},
  [20447] = {.lex_state = 419, .external_lex_state = 2},
  [20448] = {(TSStateId)(-1)},
  [20449] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_attribute] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__identifier] = ACTIONS(1),
    [sym_shebang] = ACTIONS(1),
    [anon_sym_SEMI_SEMI] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_rec] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_COLON_GT] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_external] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_nonrec] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_COLON2] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_mutable] = ACTIONS(1),
    [anon_sym_constraint] = ACTIONS(1),
    [anon_sym_exception] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_open] = ACTIONS(1),
    [anon_sym_include] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_virtual] = ACTIONS(1),
    [anon_sym_val] = ACTIONS(1),
    [anon_sym_sig] = ACTIONS(1),
    [anon_sym_end] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_functor] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_method] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_fun] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_LBRACK_GT] = ACTIONS(1),
    [anon_sym_LBRACK_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RBRACK] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_to] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_lazy] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_LBRACE_LT] = ACTIONS(1),
    [anon_sym_begin] = ACTIONS(1),
    [sym_ocamlyacc_value] = ACTIONS(1),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(1),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_number_token1] = ACTIONS(1),
    [aux_sym_signed_number_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_content_token2] = ACTIONS(1),
    [aux_sym_string_content_token4] = ACTIONS(1),
    [aux_sym_string_content_token5] = ACTIONS(1),
    [aux_sym_escape_sequence_token1] = ACTIONS(1),
    [aux_sym_escape_sequence_token2] = ACTIONS(1),
    [aux_sym_escape_sequence_token3] = ACTIONS(1),
    [aux_sym_escape_sequence_token4] = ACTIONS(1),
    [sym_pretty_printing_indication] = ACTIONS(1),
    [aux_sym_sign_operator_token1] = ACTIONS(1),
    [sym_hash_operator] = ACTIONS(1),
    [sym_concat_operator] = ACTIONS(1),
    [sym_and_operator] = ACTIONS(1),
    [sym_or_operator] = ACTIONS(1),
    [sym_assign_operator] = ACTIONS(1),
    [sym_let_operator] = ACTIONS(1),
    [sym_let_and_operator] = ACTIONS(1),
    [sym_match_operator] = ACTIONS(1),
    [sym__capitalized_identifier] = ACTIONS(1),
    [aux_sym_directive_token1] = ACTIONS(1),
    [aux_sym_type_variable_token1] = ACTIONS(1),
    [aux_sym_tag_token1] = ACTIONS(1),
    [aux_sym_attribute_id_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(5),
    [sym__left_quoted_string_delimiter] = ACTIONS(1),
    [sym__right_quoted_string_delimiter] = ACTIONS(1),
    [sym_line_number_directive] = ACTIONS(5),
    [sym__null] = ACTIONS(1),
  },
  [1] = {
    [sym_compilation_unit] = STATE(19338),
    [sym__signature] = STATE(19364),
    [sym_external] = STATE(12622),
    [sym_type_definition] = STATE(12622),
    [sym_exception_definition] = STATE(12622),
    [sym_module_definition] = STATE(12622),
    [sym_module_type_definition] = STATE(12622),
    [sym_open_module] = STATE(12622),
    [sym_class_definition] = STATE(12622),
    [sym_class_type_definition] = STATE(12622),
    [sym__signature_item] = STATE(12666),
    [sym_value_specification] = STATE(12622),
    [sym_include_module_type] = STATE(12622),
    [sym_attribute] = STATE(1),
    [sym_floating_attribute] = STATE(12622),
    [sym_item_extension] = STATE(12622),
    [sym_quoted_item_extension] = STATE(12622),
    [aux_sym__structure_repeat1] = STATE(8981),
    [aux_sym__signature_repeat1] = STATE(8927),
    [ts_builtin_sym_end] = ACTIONS(7),
    [anon_sym_SEMI_SEMI] = ACTIONS(9),
    [anon_sym_external] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_exception] = ACTIONS(15),
    [anon_sym_module] = ACTIONS(17),
    [anon_sym_open] = ACTIONS(19),
    [anon_sym_include] = ACTIONS(21),
    [anon_sym_class] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(2),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19353),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(49),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(3),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(18283),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(123),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [4] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(4),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19360),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(125),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [5] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(5),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19531),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [6] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(6),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(20021),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [7] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(7),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(18323),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(131),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [8] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(8),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(18009),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(133),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [9] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(9),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(18915),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(135),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [10] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(10),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19031),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(137),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [11] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(11),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(17656),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(139),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [12] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(12),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19606),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(141),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [13] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(13),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19369),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(143),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [14] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(14),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19631),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(145),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [15] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(15),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19005),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(147),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [16] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(16),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(18641),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(149),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [17] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(17),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(20114),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [18] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(18),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(18235),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [19] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(19),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19238),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [20] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(20),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(20031),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [21] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(21),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(20223),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(159),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [22] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(22),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(17761),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [23] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(23),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19678),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [24] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(24),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(17711),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(165),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [25] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(25),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(18044),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(167),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [26] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(26),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(18548),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [27] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(27),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19157),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [28] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(28),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19945),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(173),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [29] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(29),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(17545),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [30] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(30),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(17750),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(177),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [31] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(31),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(17965),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(179),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [32] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(32),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(18189),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [33] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(33),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19836),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(183),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [34] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(34),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(18420),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(185),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [35] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(35),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(18638),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(187),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [36] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(36),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(18857),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(189),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [37] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(37),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19213),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(191),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [38] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(38),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19342),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(193),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [39] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(39),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19483),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [40] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(40),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19681),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(197),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [41] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(41),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19933),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(199),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [42] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(42),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(20238),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(201),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [43] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(43),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(20406),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(203),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [44] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(44),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19807),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(205),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [45] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(45),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19834),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(207),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [46] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(46),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(18076),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [47] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(47),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19195),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(211),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [48] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(48),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(20414),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(213),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [49] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(49),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(17826),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [50] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(50),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(18209),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(217),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [51] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(51),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(18550),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [52] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(52),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(18675),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(221),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [53] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(53),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(18755),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(223),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [54] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(54),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(18799),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [55] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(55),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(18875),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [56] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(56),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(18952),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [57] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(57),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19015),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [58] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(58),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19060),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(233),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [59] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(59),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19093),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [60] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(60),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19124),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(237),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [61] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(61),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19178),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [62] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(62),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19274),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(241),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [63] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(63),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19333),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [64] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(64),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19395),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [65] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(65),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19452),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(247),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [66] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(66),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19479),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(249),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [67] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(67),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19491),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(251),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [68] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(68),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19507),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(253),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [69] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(69),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19516),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(255),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [70] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(70),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19525),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(257),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [71] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(71),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19536),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(259),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [72] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(72),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19576),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(261),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [73] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(73),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19604),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(263),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [74] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(74),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19621),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(265),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [75] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(75),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19652),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [76] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(76),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19684),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(269),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [77] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(77),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19701),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(271),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [78] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(78),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19714),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(273),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [79] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(79),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19733),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(275),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [80] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(80),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19742),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(277),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [81] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(81),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19746),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(279),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [82] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(82),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19782),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(281),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [83] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(83),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19811),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [84] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(84),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19837),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(285),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [85] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(85),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19854),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [86] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(86),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19875),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [87] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(87),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(19900),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [88] = {
    [sym__structure] = STATE(17944),
    [sym_expression_item] = STATE(8406),
    [sym_toplevel_directive] = STATE(8406),
    [sym__structure_item] = STATE(8406),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(88),
    [sym_floating_attribute] = STATE(12418),
    [sym_attribute_payload] = STATE(18991),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(293),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [89] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(322),
    [sym__expression] = STATE(8144),
    [sym__sequence_expression] = STATE(7621),
    [sym_typed_expression] = STATE(2743),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2743),
    [sym_array_expression] = STATE(2743),
    [sym_record_expression] = STATE(2743),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2743),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2743),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2695),
    [sym_array_get_expression] = STATE(2695),
    [sym_string_get_expression] = STATE(2695),
    [sym_bigarray_get_expression] = STATE(2695),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2743),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2743),
    [sym_package_expression] = STATE(2743),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2743),
    [sym_object_copy_expression] = STATE(2743),
    [sym_method_invocation] = STATE(2743),
    [sym_object_expression] = STATE(2743),
    [sym_parenthesized_expression] = STATE(2743),
    [sym_attribute] = STATE(89),
    [sym_extension] = STATE(2743),
    [sym_quoted_extension] = STATE(2743),
    [sym__attribute] = STATE(1440),
    [sym__constant] = STATE(2743),
    [sym_number] = STATE(2910),
    [sym_character] = STATE(2910),
    [sym_string] = STATE(2910),
    [sym_quoted_string] = STATE(2910),
    [sym_boolean] = STATE(2910),
    [sym_unit] = STATE(2910),
    [sym_sign_operator] = STATE(1889),
    [sym__value_name] = STATE(2783),
    [sym_parenthesized_operator] = STATE(2843),
    [sym_value_path] = STATE(2743),
    [sym_module_path] = STATE(18591),
    [sym_constructor_path] = STATE(2743),
    [sym__instance_variable_name] = STATE(19174),
    [sym__constructor_name] = STATE(2911),
    [sym_tag] = STATE(2743),
    [sym__identifier] = ACTIONS(295),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_in] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(333),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(335),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(349),
    [sym__capitalized_identifier] = ACTIONS(351),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [90] = {
    [sym_value_definition] = STATE(19640),
    [sym__simple_expression] = STATE(332),
    [sym__expression] = STATE(8181),
    [sym__sequence_expression] = STATE(7621),
    [sym_typed_expression] = STATE(2797),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2797),
    [sym_array_expression] = STATE(2797),
    [sym_record_expression] = STATE(2797),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2797),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2797),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2712),
    [sym_array_get_expression] = STATE(2712),
    [sym_string_get_expression] = STATE(2712),
    [sym_bigarray_get_expression] = STATE(2712),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2797),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2797),
    [sym_package_expression] = STATE(2797),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2797),
    [sym_object_copy_expression] = STATE(2797),
    [sym_method_invocation] = STATE(2797),
    [sym_object_expression] = STATE(2797),
    [sym_parenthesized_expression] = STATE(2797),
    [sym_attribute] = STATE(90),
    [sym_extension] = STATE(2797),
    [sym_quoted_extension] = STATE(2797),
    [sym__attribute] = STATE(558),
    [sym__constant] = STATE(2797),
    [sym_number] = STATE(2930),
    [sym_character] = STATE(2930),
    [sym_string] = STATE(2930),
    [sym_quoted_string] = STATE(2930),
    [sym_boolean] = STATE(2930),
    [sym_unit] = STATE(2930),
    [sym_sign_operator] = STATE(1941),
    [sym__value_name] = STATE(2839),
    [sym_parenthesized_operator] = STATE(2889),
    [sym_value_path] = STATE(2797),
    [sym_module_path] = STATE(18705),
    [sym_constructor_path] = STATE(2797),
    [sym__instance_variable_name] = STATE(19619),
    [sym__constructor_name] = STATE(2931),
    [sym_tag] = STATE(2797),
    [sym__identifier] = ACTIONS(355),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_in] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(391),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(401),
    [sym__capitalized_identifier] = ACTIONS(403),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [91] = {
    [sym_value_definition] = STATE(18444),
    [sym__simple_expression] = STATE(528),
    [sym__expression] = STATE(8275),
    [sym__sequence_expression] = STATE(7621),
    [sym_typed_expression] = STATE(3337),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3337),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3337),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2728),
    [sym_array_get_expression] = STATE(2728),
    [sym_string_get_expression] = STATE(2728),
    [sym_bigarray_get_expression] = STATE(2728),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3337),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(91),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__attribute] = STATE(929),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym_sign_operator] = STATE(1870),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__instance_variable_name] = STATE(18316),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [sym__identifier] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(409),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_in] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(441),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(443),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(453),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [92] = {
    [sym_value_definition] = STATE(19851),
    [sym__simple_expression] = STATE(515),
    [sym__expression] = STATE(8298),
    [sym__sequence_expression] = STATE(7621),
    [sym_typed_expression] = STATE(3210),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3210),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3210),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2886),
    [sym_array_get_expression] = STATE(2886),
    [sym_string_get_expression] = STATE(2886),
    [sym_bigarray_get_expression] = STATE(2886),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3210),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(92),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__attribute] = STATE(930),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym_sign_operator] = STATE(2063),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__instance_variable_name] = STATE(19760),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [sym__identifier] = ACTIONS(459),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_in] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(473),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(493),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(495),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(505),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [93] = {
    [sym__structure] = STATE(19835),
    [sym_expression_item] = STATE(8380),
    [sym_toplevel_directive] = STATE(8380),
    [sym__structure_item] = STATE(8380),
    [sym_value_definition] = STATE(12502),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8920),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(93),
    [sym_floating_attribute] = STATE(12418),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_directive] = STATE(7881),
    [sym_tag] = STATE(4083),
    [aux_sym__structure_repeat1] = STATE(105),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_SEMI_SEMI] = ACTIONS(513),
    [anon_sym_let] = ACTIONS(515),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(519),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_exception] = ACTIONS(527),
    [anon_sym_module] = ACTIONS(529),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(531),
    [anon_sym_end] = ACTIONS(533),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(559),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(569),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_directive_token1] = ACTIONS(575),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [94] = {
    [sym__structure] = STATE(18056),
    [sym_expression_item] = STATE(8380),
    [sym_toplevel_directive] = STATE(8380),
    [sym__structure_item] = STATE(8380),
    [sym_value_definition] = STATE(12502),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8920),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(94),
    [sym_floating_attribute] = STATE(12418),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_directive] = STATE(7881),
    [sym_tag] = STATE(4083),
    [aux_sym__structure_repeat1] = STATE(105),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_SEMI_SEMI] = ACTIONS(513),
    [anon_sym_let] = ACTIONS(515),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(519),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_exception] = ACTIONS(527),
    [anon_sym_module] = ACTIONS(529),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(531),
    [anon_sym_end] = ACTIONS(579),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(559),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(569),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_directive_token1] = ACTIONS(575),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [95] = {
    [sym_value_definition] = STATE(20229),
    [sym__simple_expression] = STATE(529),
    [sym__expression] = STATE(8314),
    [sym__sequence_expression] = STATE(5312),
    [sym_typed_expression] = STATE(3189),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3189),
    [sym_array_expression] = STATE(3189),
    [sym_record_expression] = STATE(3189),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3189),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3189),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2734),
    [sym_array_get_expression] = STATE(2734),
    [sym_string_get_expression] = STATE(2734),
    [sym_bigarray_get_expression] = STATE(2734),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3189),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3189),
    [sym_package_expression] = STATE(3189),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3189),
    [sym_object_copy_expression] = STATE(3189),
    [sym_method_invocation] = STATE(3189),
    [sym_object_expression] = STATE(3189),
    [sym_parenthesized_expression] = STATE(3189),
    [sym_attribute] = STATE(95),
    [sym_extension] = STATE(3189),
    [sym_quoted_extension] = STATE(3189),
    [sym__attribute] = STATE(583),
    [sym__constant] = STATE(3189),
    [sym_number] = STATE(3378),
    [sym_character] = STATE(3378),
    [sym_string] = STATE(3378),
    [sym_quoted_string] = STATE(3378),
    [sym_boolean] = STATE(3378),
    [sym_unit] = STATE(3378),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(3248),
    [sym_parenthesized_operator] = STATE(3324),
    [sym_value_path] = STATE(3189),
    [sym_module_path] = STATE(18817),
    [sym_constructor_path] = STATE(3189),
    [sym__instance_variable_name] = STATE(18826),
    [sym__constructor_name] = STATE(3379),
    [sym_tag] = STATE(3189),
    [sym__identifier] = ACTIONS(581),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(617),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(627),
    [sym__capitalized_identifier] = ACTIONS(629),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [96] = {
    [sym_value_definition] = STATE(17762),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8353),
    [sym__sequence_expression] = STATE(5312),
    [sym_typed_expression] = STATE(3246),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3246),
    [sym_array_expression] = STATE(3246),
    [sym_record_expression] = STATE(3246),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3246),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3246),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2739),
    [sym_array_get_expression] = STATE(2739),
    [sym_string_get_expression] = STATE(2739),
    [sym_bigarray_get_expression] = STATE(2739),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3246),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3246),
    [sym_package_expression] = STATE(3246),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3246),
    [sym_object_copy_expression] = STATE(3246),
    [sym_method_invocation] = STATE(3246),
    [sym_object_expression] = STATE(3246),
    [sym_parenthesized_expression] = STATE(3246),
    [sym_attribute] = STATE(96),
    [sym_extension] = STATE(3246),
    [sym_quoted_extension] = STATE(3246),
    [sym__attribute] = STATE(601),
    [sym__constant] = STATE(3246),
    [sym_number] = STATE(3390),
    [sym_character] = STATE(3390),
    [sym_string] = STATE(3390),
    [sym_quoted_string] = STATE(3390),
    [sym_boolean] = STATE(3390),
    [sym_unit] = STATE(3390),
    [sym_sign_operator] = STATE(2020),
    [sym__value_name] = STATE(3293),
    [sym_parenthesized_operator] = STATE(3329),
    [sym_value_path] = STATE(3246),
    [sym_module_path] = STATE(18854),
    [sym_constructor_path] = STATE(3246),
    [sym__instance_variable_name] = STATE(20169),
    [sym__constructor_name] = STATE(3391),
    [sym_tag] = STATE(3246),
    [sym__identifier] = ACTIONS(633),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(667),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(669),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(679),
    [sym__capitalized_identifier] = ACTIONS(681),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [97] = {
    [sym_expression_item] = STATE(12243),
    [sym_toplevel_directive] = STATE(12243),
    [sym__structure_item] = STATE(12243),
    [sym_value_definition] = STATE(12502),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8920),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(97),
    [sym_floating_attribute] = STATE(12418),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_directive] = STATE(7881),
    [sym_tag] = STATE(4083),
    [aux_sym__structure_repeat1] = STATE(5100),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_SEMI_SEMI] = ACTIONS(513),
    [anon_sym_let] = ACTIONS(515),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(519),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_exception] = ACTIONS(527),
    [anon_sym_module] = ACTIONS(529),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(531),
    [anon_sym_end] = ACTIONS(685),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(559),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(569),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_directive_token1] = ACTIONS(575),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [98] = {
    [sym_expression_item] = STATE(12243),
    [sym_toplevel_directive] = STATE(12243),
    [sym__structure_item] = STATE(12243),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(98),
    [sym_floating_attribute] = STATE(12418),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(5054),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [99] = {
    [sym_expression_item] = STATE(12243),
    [sym_toplevel_directive] = STATE(12243),
    [sym__structure_item] = STATE(12243),
    [sym_value_definition] = STATE(12502),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8920),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(99),
    [sym_floating_attribute] = STATE(12418),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_directive] = STATE(7881),
    [sym_tag] = STATE(4083),
    [aux_sym__structure_repeat1] = STATE(5100),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_SEMI_SEMI] = ACTIONS(513),
    [anon_sym_let] = ACTIONS(515),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(519),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_exception] = ACTIONS(527),
    [anon_sym_module] = ACTIONS(529),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(531),
    [anon_sym_end] = ACTIONS(689),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(559),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(569),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_directive_token1] = ACTIONS(575),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [100] = {
    [sym_expression_item] = STATE(12243),
    [sym_toplevel_directive] = STATE(12243),
    [sym__structure_item] = STATE(12243),
    [sym_value_definition] = STATE(12502),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8920),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(100),
    [sym_floating_attribute] = STATE(12418),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_directive] = STATE(7881),
    [sym_tag] = STATE(4083),
    [aux_sym__structure_repeat1] = STATE(5100),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_SEMI_SEMI] = ACTIONS(513),
    [anon_sym_let] = ACTIONS(515),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(519),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_exception] = ACTIONS(527),
    [anon_sym_module] = ACTIONS(529),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(531),
    [anon_sym_end] = ACTIONS(691),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(559),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(569),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_directive_token1] = ACTIONS(575),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [101] = {
    [sym_expression_item] = STATE(8404),
    [sym_toplevel_directive] = STATE(8404),
    [sym__structure_item] = STATE(8404),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(101),
    [sym_floating_attribute] = STATE(12418),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(5054),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [102] = {
    [sym_value_definition] = STATE(18370),
    [sym__simple_expression] = STATE(763),
    [sym__expression] = STATE(8398),
    [sym__sequence_expression] = STATE(5312),
    [sym_typed_expression] = STATE(3668),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3668),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3668),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3405),
    [sym_array_get_expression] = STATE(3405),
    [sym_string_get_expression] = STATE(3405),
    [sym_bigarray_get_expression] = STATE(3405),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3668),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(102),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__attribute] = STATE(942),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym_sign_operator] = STATE(1831),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__instance_variable_name] = STATE(18351),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [sym__identifier] = ACTIONS(695),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(729),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(731),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(741),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [103] = {
    [sym_expression_item] = STATE(12243),
    [sym_toplevel_directive] = STATE(12243),
    [sym__structure_item] = STATE(12243),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(103),
    [sym_floating_attribute] = STATE(12418),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(5054),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [104] = {
    [sym_expression_item] = STATE(12243),
    [sym_toplevel_directive] = STATE(12243),
    [sym__structure_item] = STATE(12243),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(104),
    [sym_floating_attribute] = STATE(12418),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(5054),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(749),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [105] = {
    [sym_expression_item] = STATE(8413),
    [sym_toplevel_directive] = STATE(8413),
    [sym__structure_item] = STATE(8413),
    [sym_value_definition] = STATE(12502),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8920),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(105),
    [sym_floating_attribute] = STATE(12418),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_directive] = STATE(7881),
    [sym_tag] = STATE(4083),
    [aux_sym__structure_repeat1] = STATE(5100),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_SEMI_SEMI] = ACTIONS(513),
    [anon_sym_let] = ACTIONS(515),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(519),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_exception] = ACTIONS(527),
    [anon_sym_module] = ACTIONS(529),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(531),
    [anon_sym_end] = ACTIONS(751),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(559),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(569),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_directive_token1] = ACTIONS(575),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [106] = {
    [sym_value_definition] = STATE(18141),
    [sym__simple_expression] = STATE(761),
    [sym__expression] = STATE(8405),
    [sym__sequence_expression] = STATE(5312),
    [sym_typed_expression] = STATE(3546),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3546),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3546),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3342),
    [sym_array_get_expression] = STATE(3342),
    [sym_string_get_expression] = STATE(3342),
    [sym_bigarray_get_expression] = STATE(3342),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3546),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(106),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__attribute] = STATE(940),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym_sign_operator] = STATE(2240),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__instance_variable_name] = STATE(18119),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [sym__identifier] = ACTIONS(753),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(787),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(789),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(799),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [107] = {
    [sym_expression_item] = STATE(12243),
    [sym_toplevel_directive] = STATE(12243),
    [sym__structure_item] = STATE(12243),
    [sym_value_definition] = STATE(12502),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8920),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(107),
    [sym_floating_attribute] = STATE(12418),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_directive] = STATE(7881),
    [sym_tag] = STATE(4083),
    [aux_sym__structure_repeat1] = STATE(5054),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(515),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(519),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_exception] = ACTIONS(527),
    [anon_sym_module] = ACTIONS(529),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(559),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(569),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_directive_token1] = ACTIONS(575),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [108] = {
    [sym_value_definition] = STATE(19812),
    [sym__simple_expression] = STATE(1565),
    [sym__expression] = STATE(8521),
    [sym__sequence_expression] = STATE(5312),
    [sym_typed_expression] = STATE(3895),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3895),
    [sym_array_expression] = STATE(3895),
    [sym_record_expression] = STATE(3895),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3895),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3895),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3520),
    [sym_array_get_expression] = STATE(3520),
    [sym_string_get_expression] = STATE(3520),
    [sym_bigarray_get_expression] = STATE(3520),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3895),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3895),
    [sym_package_expression] = STATE(3895),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3895),
    [sym_object_copy_expression] = STATE(3895),
    [sym_method_invocation] = STATE(3895),
    [sym_object_expression] = STATE(3895),
    [sym_parenthesized_expression] = STATE(3895),
    [sym_attribute] = STATE(108),
    [sym_extension] = STATE(3895),
    [sym_quoted_extension] = STATE(3895),
    [sym__attribute] = STATE(648),
    [sym__constant] = STATE(3895),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(1913),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(4006),
    [sym_value_path] = STATE(3895),
    [sym_module_path] = STATE(17569),
    [sym_constructor_path] = STATE(3895),
    [sym__instance_variable_name] = STATE(19697),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3895),
    [sym__identifier] = ACTIONS(805),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(839),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(841),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__capitalized_identifier] = ACTIONS(853),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [109] = {
    [sym_value_definition] = STATE(18494),
    [sym__simple_expression] = STATE(1632),
    [sym__expression] = STATE(8432),
    [sym__sequence_expression] = STATE(5312),
    [sym_typed_expression] = STATE(4008),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4008),
    [sym_array_expression] = STATE(4008),
    [sym_record_expression] = STATE(4008),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4008),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4008),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3584),
    [sym_array_get_expression] = STATE(3584),
    [sym_string_get_expression] = STATE(3584),
    [sym_bigarray_get_expression] = STATE(3584),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4008),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4008),
    [sym_package_expression] = STATE(4008),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4008),
    [sym_object_copy_expression] = STATE(4008),
    [sym_method_invocation] = STATE(4008),
    [sym_object_expression] = STATE(4008),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_attribute] = STATE(109),
    [sym_extension] = STATE(4008),
    [sym_quoted_extension] = STATE(4008),
    [sym__attribute] = STATE(1362),
    [sym__constant] = STATE(4008),
    [sym_number] = STATE(3818),
    [sym_character] = STATE(3818),
    [sym_string] = STATE(3818),
    [sym_quoted_string] = STATE(3818),
    [sym_boolean] = STATE(3818),
    [sym_unit] = STATE(3818),
    [sym_sign_operator] = STATE(2119),
    [sym__value_name] = STATE(4039),
    [sym_parenthesized_operator] = STATE(3903),
    [sym_value_path] = STATE(4008),
    [sym_module_path] = STATE(17789),
    [sym_constructor_path] = STATE(4008),
    [sym__instance_variable_name] = STATE(17931),
    [sym__constructor_name] = STATE(3820),
    [sym_tag] = STATE(4008),
    [sym__identifier] = ACTIONS(857),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(891),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(893),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__capitalized_identifier] = ACTIONS(905),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [110] = {
    [sym_expression_item] = STATE(12243),
    [sym_toplevel_directive] = STATE(12243),
    [sym__structure_item] = STATE(12243),
    [sym_value_definition] = STATE(12316),
    [sym_external] = STATE(12418),
    [sym_type_definition] = STATE(12418),
    [sym_exception_definition] = STATE(12418),
    [sym_module_definition] = STATE(12418),
    [sym_module_type_definition] = STATE(12418),
    [sym_open_module] = STATE(12418),
    [sym_include_module] = STATE(12418),
    [sym_class_definition] = STATE(12418),
    [sym_class_type_definition] = STATE(12418),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(11134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(110),
    [sym_floating_attribute] = STATE(12418),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym_item_extension] = STATE(12418),
    [sym_quoted_item_extension] = STATE(12418),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_directive] = STATE(8084),
    [sym_tag] = STATE(4233),
    [aux_sym__structure_repeat1] = STATE(5054),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(113),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(119),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [111] = {
    [sym_value_definition] = STATE(19097),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8551),
    [sym__sequence_expression] = STATE(5312),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(111),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__attribute] = STATE(812),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [112] = {
    [sym_value_definition] = STATE(19448),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8559),
    [sym__sequence_expression] = STATE(5312),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(112),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym__attribute] = STATE(921),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_tag] = STATE(4083),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_SEMI] = ACTIONS(301),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(559),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [113] = {
    [sym_value_definition] = STATE(18147),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9456),
    [sym__sequence_expression] = STATE(8249),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4703),
    [sym_array_get_expression] = STATE(4703),
    [sym_string_get_expression] = STATE(4703),
    [sym_bigarray_get_expression] = STATE(4703),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(113),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__attribute] = STATE(745),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(2174),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(17729),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_constraint] = ACTIONS(301),
    [anon_sym_val] = ACTIONS(301),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_inherit] = ACTIONS(301),
    [anon_sym_method] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_initializer] = ACTIONS(301),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(955),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(957),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [114] = {
    [sym_value_definition] = STATE(18814),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9758),
    [sym__sequence_expression] = STATE(8249),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(114),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__attribute] = STATE(1183),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_constraint] = ACTIONS(301),
    [anon_sym_val] = ACTIONS(301),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_inherit] = ACTIONS(301),
    [anon_sym_method] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_initializer] = ACTIONS(301),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1007),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1009),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1019),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [115] = {
    [sym_value_definition] = STATE(18593),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9647),
    [sym__sequence_expression] = STATE(8249),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4823),
    [sym_array_get_expression] = STATE(4823),
    [sym_string_get_expression] = STATE(4823),
    [sym_bigarray_get_expression] = STATE(4823),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(115),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__attribute] = STATE(710),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(1974),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(18569),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_constraint] = ACTIONS(301),
    [anon_sym_val] = ACTIONS(301),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_inherit] = ACTIONS(301),
    [anon_sym_method] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(1027),
    [anon_sym_initializer] = ACTIONS(301),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1035),
    [anon_sym_function] = ACTIONS(1037),
    [anon_sym_try] = ACTIONS(1039),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(955),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(957),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1045),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [116] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9894),
    [sym__sequence_expression] = STATE(8249),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(116),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__attribute] = STATE(862),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_constraint] = ACTIONS(301),
    [anon_sym_val] = ACTIONS(301),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_inherit] = ACTIONS(301),
    [anon_sym_method] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_initializer] = ACTIONS(301),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1007),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1009),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [117] = {
    [sym_value_definition] = STATE(20384),
    [sym__simple_expression] = STATE(2426),
    [sym__expression] = STATE(10117),
    [sym__sequence_expression] = STATE(8249),
    [sym_typed_expression] = STATE(5180),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5180),
    [sym_array_expression] = STATE(5180),
    [sym_record_expression] = STATE(5180),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5180),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5180),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5115),
    [sym_array_get_expression] = STATE(5115),
    [sym_string_get_expression] = STATE(5115),
    [sym_bigarray_get_expression] = STATE(5115),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5180),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5180),
    [sym_package_expression] = STATE(5180),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5180),
    [sym_object_copy_expression] = STATE(5180),
    [sym_method_invocation] = STATE(5180),
    [sym_object_expression] = STATE(5180),
    [sym_parenthesized_expression] = STATE(5180),
    [sym_attribute] = STATE(117),
    [sym_extension] = STATE(5180),
    [sym_quoted_extension] = STATE(5180),
    [sym__attribute] = STATE(696),
    [sym__constant] = STATE(5180),
    [sym_number] = STATE(5232),
    [sym_character] = STATE(5232),
    [sym_string] = STATE(5232),
    [sym_quoted_string] = STATE(5232),
    [sym_boolean] = STATE(5232),
    [sym_unit] = STATE(5232),
    [sym_sign_operator] = STATE(2090),
    [sym__value_name] = STATE(5152),
    [sym_parenthesized_operator] = STATE(5171),
    [sym_value_path] = STATE(5180),
    [sym_module_path] = STATE(18780),
    [sym_constructor_path] = STATE(5180),
    [sym__instance_variable_name] = STATE(20196),
    [sym__constructor_name] = STATE(5210),
    [sym_tag] = STATE(5180),
    [sym__identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_COLON_GT] = ACTIONS(297),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_RPAREN] = ACTIONS(297),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_COLON2] = ACTIONS(301),
    [anon_sym_DASH_GT] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_RBRACE] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_GT_RBRACE] = ACTIONS(297),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__capitalized_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [118] = {
    [sym_value_definition] = STATE(17646),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(10625),
    [sym__sequence_expression] = STATE(8249),
    [sym_typed_expression] = STATE(5401),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5401),
    [sym_array_expression] = STATE(5401),
    [sym_record_expression] = STATE(5401),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5401),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5401),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5205),
    [sym_array_get_expression] = STATE(5205),
    [sym_string_get_expression] = STATE(5205),
    [sym_bigarray_get_expression] = STATE(5205),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5401),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5401),
    [sym_package_expression] = STATE(5401),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5401),
    [sym_object_copy_expression] = STATE(5401),
    [sym_method_invocation] = STATE(5401),
    [sym_object_expression] = STATE(5401),
    [sym_parenthesized_expression] = STATE(5401),
    [sym_attribute] = STATE(118),
    [sym_extension] = STATE(5401),
    [sym_quoted_extension] = STATE(5401),
    [sym__attribute] = STATE(1361),
    [sym__constant] = STATE(5401),
    [sym_number] = STATE(5380),
    [sym_character] = STATE(5380),
    [sym_string] = STATE(5380),
    [sym_quoted_string] = STATE(5380),
    [sym_boolean] = STATE(5380),
    [sym_unit] = STATE(5380),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5400),
    [sym_value_path] = STATE(5401),
    [sym_module_path] = STATE(18005),
    [sym_constructor_path] = STATE(5401),
    [sym__instance_variable_name] = STATE(17611),
    [sym__constructor_name] = STATE(5359),
    [sym_tag] = STATE(5401),
    [sym__identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_COLON_GT] = ACTIONS(297),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_RPAREN] = ACTIONS(297),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_COLON2] = ACTIONS(301),
    [anon_sym_DASH_GT] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_RBRACE] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_GT_RBRACE] = ACTIONS(297),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__capitalized_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [119] = {
    [sym_value_definition] = STATE(18906),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(10328),
    [sym__sequence_expression] = STATE(8671),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5273),
    [sym_array_get_expression] = STATE(5273),
    [sym_string_get_expression] = STATE(5273),
    [sym_bigarray_get_expression] = STATE(5273),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(119),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__attribute] = STATE(582),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2187),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18688),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_COLON_GT] = ACTIONS(297),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_RPAREN] = ACTIONS(297),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_COLON2] = ACTIONS(301),
    [anon_sym_DASH_GT] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_RBRACE] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_GT_RBRACE] = ACTIONS(297),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [120] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(10769),
    [sym__sequence_expression] = STATE(8671),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(120),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__attribute] = STATE(820),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_COLON_GT] = ACTIONS(297),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(297),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_COLON2] = ACTIONS(301),
    [anon_sym_DASH_GT] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_RBRACE] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_GT_RBRACE] = ACTIONS(297),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [121] = {
    [sym_value_definition] = STATE(18501),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(10888),
    [sym__sequence_expression] = STATE(10432),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5497),
    [sym_array_get_expression] = STATE(5497),
    [sym_string_get_expression] = STATE(5497),
    [sym_bigarray_get_expression] = STATE(5497),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(121),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__attribute] = STATE(772),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(18138),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_in] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [122] = {
    [sym_value_definition] = STATE(18444),
    [sym__simple_expression] = STATE(528),
    [sym__expression] = STATE(8370),
    [sym__sequence_expression] = STATE(7621),
    [sym_typed_expression] = STATE(3337),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3337),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3337),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2728),
    [sym_array_get_expression] = STATE(2728),
    [sym_string_get_expression] = STATE(2728),
    [sym_bigarray_get_expression] = STATE(2728),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3337),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(122),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__attribute] = STATE(592),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym_sign_operator] = STATE(1870),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__instance_variable_name] = STATE(18316),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [sym__identifier] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(409),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_in] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(441),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(443),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(453),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [123] = {
    [sym_value_definition] = STATE(19851),
    [sym__simple_expression] = STATE(515),
    [sym__expression] = STATE(8363),
    [sym__sequence_expression] = STATE(7621),
    [sym_typed_expression] = STATE(3210),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3210),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3210),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2886),
    [sym_array_get_expression] = STATE(2886),
    [sym_string_get_expression] = STATE(2886),
    [sym_bigarray_get_expression] = STATE(2886),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3210),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(123),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__attribute] = STATE(630),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym_sign_operator] = STATE(2063),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__instance_variable_name] = STATE(19760),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [sym__identifier] = ACTIONS(459),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_in] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(493),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(495),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(505),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [124] = {
    [sym_value_definition] = STATE(20211),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11496),
    [sym__sequence_expression] = STATE(10432),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5615),
    [sym_array_get_expression] = STATE(5615),
    [sym_string_get_expression] = STATE(5615),
    [sym_bigarray_get_expression] = STATE(5615),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(124),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__attribute] = STATE(682),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2275),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(18108),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_in] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(1351),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [125] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11520),
    [sym__sequence_expression] = STATE(8671),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5622),
    [sym_array_get_expression] = STATE(5622),
    [sym_string_get_expression] = STATE(5622),
    [sym_bigarray_get_expression] = STATE(5622),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(125),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__attribute] = STATE(766),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2073),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_in] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(1391),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [126] = {
    [sym_value_definition] = STATE(18370),
    [sym__simple_expression] = STATE(763),
    [sym__expression] = STATE(8500),
    [sym__sequence_expression] = STATE(5312),
    [sym_typed_expression] = STATE(3668),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3668),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3668),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3405),
    [sym_array_get_expression] = STATE(3405),
    [sym_string_get_expression] = STATE(3405),
    [sym_bigarray_get_expression] = STATE(3405),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3668),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(126),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__attribute] = STATE(1199),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym_sign_operator] = STATE(1831),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__instance_variable_name] = STATE(18351),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [sym__identifier] = ACTIONS(695),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(729),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(731),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(741),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [127] = {
    [sym_value_definition] = STATE(18141),
    [sym__simple_expression] = STATE(761),
    [sym__expression] = STATE(8514),
    [sym__sequence_expression] = STATE(5312),
    [sym_typed_expression] = STATE(3546),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3546),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3546),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3342),
    [sym_array_get_expression] = STATE(3342),
    [sym_string_get_expression] = STATE(3342),
    [sym_bigarray_get_expression] = STATE(3342),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3546),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(127),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__attribute] = STATE(866),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym_sign_operator] = STATE(2240),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__instance_variable_name] = STATE(18119),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [sym__identifier] = ACTIONS(753),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(787),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(789),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(799),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [128] = {
    [sym_value_definition] = STATE(17564),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11726),
    [sym__sequence_expression] = STATE(8671),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(128),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__attribute] = STATE(941),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2146),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(20408),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_in] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [129] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11664),
    [sym__sequence_expression] = STATE(10432),
    [sym_typed_expression] = STATE(6116),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6116),
    [sym_array_expression] = STATE(6116),
    [sym_record_expression] = STATE(6116),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6116),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6116),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5760),
    [sym_array_get_expression] = STATE(5760),
    [sym_string_get_expression] = STATE(5760),
    [sym_bigarray_get_expression] = STATE(5760),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6116),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6116),
    [sym_package_expression] = STATE(6116),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6116),
    [sym_object_copy_expression] = STATE(6116),
    [sym_method_invocation] = STATE(6116),
    [sym_object_expression] = STATE(6116),
    [sym_parenthesized_expression] = STATE(6116),
    [sym_attribute] = STATE(129),
    [sym_extension] = STATE(6116),
    [sym_quoted_extension] = STATE(6116),
    [sym__attribute] = STATE(759),
    [sym__constant] = STATE(6116),
    [sym_number] = STATE(5848),
    [sym_character] = STATE(5848),
    [sym_string] = STATE(5848),
    [sym_quoted_string] = STATE(5848),
    [sym_boolean] = STATE(5848),
    [sym_unit] = STATE(5848),
    [sym_sign_operator] = STATE(2048),
    [sym__value_name] = STATE(5908),
    [sym_parenthesized_operator] = STATE(5895),
    [sym_value_path] = STATE(6116),
    [sym_module_path] = STATE(18667),
    [sym_constructor_path] = STATE(6116),
    [sym__instance_variable_name] = STATE(19432),
    [sym__constructor_name] = STATE(5849),
    [sym_tag] = STATE(6116),
    [sym__identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_to] = ACTIONS(301),
    [anon_sym_downto] = ACTIONS(301),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__capitalized_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [130] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14908),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(130),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(19796),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1455),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1457),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1459),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1463),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1465),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1473),
    [sym_let_and_operator] = ACTIONS(1465),
    [sym_match_operator] = ACTIONS(1475),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [131] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14946),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(131),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18121),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1477),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1481),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1487),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1489),
    [sym_let_and_operator] = ACTIONS(1487),
    [sym_match_operator] = ACTIONS(1491),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [132] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20360),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(132),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18121),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1493),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1481),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1487),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1489),
    [sym_let_and_operator] = ACTIONS(1487),
    [sym_match_operator] = ACTIONS(1491),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [133] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14519),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(133),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18574),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1495),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1497),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1499),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1503),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1505),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1507),
    [sym_let_and_operator] = ACTIONS(1505),
    [sym_match_operator] = ACTIONS(1509),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [134] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18677),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(134),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18574),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1511),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1497),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1499),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1503),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1505),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1507),
    [sym_let_and_operator] = ACTIONS(1505),
    [sym_match_operator] = ACTIONS(1509),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [135] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14654),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(135),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18792),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1515),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1517),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1519),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1521),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1523),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1525),
    [sym_let_and_operator] = ACTIONS(1523),
    [sym_match_operator] = ACTIONS(1527),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [136] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18227),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(136),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18792),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1529),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1515),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1517),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1519),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1521),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1523),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1525),
    [sym_let_and_operator] = ACTIONS(1523),
    [sym_match_operator] = ACTIONS(1527),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [137] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14797),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(137),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(19175),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1541),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1543),
    [sym_let_and_operator] = ACTIONS(1541),
    [sym_match_operator] = ACTIONS(1545),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [138] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20138),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(138),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(19796),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1455),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1457),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1459),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1463),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1465),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1473),
    [sym_let_and_operator] = ACTIONS(1465),
    [sym_match_operator] = ACTIONS(1475),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [139] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20213),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(139),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(19175),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1541),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1543),
    [sym_let_and_operator] = ACTIONS(1541),
    [sym_match_operator] = ACTIONS(1545),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [140] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14790),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(140),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(19302),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1559),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1561),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1563),
    [sym_let_and_operator] = ACTIONS(1561),
    [sym_match_operator] = ACTIONS(1565),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [141] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14798),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(141),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(17643),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1571),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1575),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1577),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1579),
    [sym_let_and_operator] = ACTIONS(1577),
    [sym_match_operator] = ACTIONS(1581),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [142] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17820),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(142),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(19302),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1583),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1559),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1561),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1563),
    [sym_let_and_operator] = ACTIONS(1561),
    [sym_match_operator] = ACTIONS(1565),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [143] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14712),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(143),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(19433),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1589),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1591),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1593),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1595),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1597),
    [sym_let_and_operator] = ACTIONS(1595),
    [sym_match_operator] = ACTIONS(1599),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [144] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18258),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(144),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(19433),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1589),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1591),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1593),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1595),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1597),
    [sym_let_and_operator] = ACTIONS(1595),
    [sym_match_operator] = ACTIONS(1599),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [145] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14916),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(145),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(19620),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1605),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1609),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1611),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1613),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1615),
    [sym_let_and_operator] = ACTIONS(1613),
    [sym_match_operator] = ACTIONS(1617),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [146] = {
    [sym_value_definition] = STATE(19448),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8920),
    [sym__sequence_expression] = STATE(5312),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(146),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym__attribute] = STATE(804),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_tag] = STATE(4083),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(559),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [147] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18726),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(147),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(19620),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1619),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1605),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1609),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1611),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1613),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1615),
    [sym_let_and_operator] = ACTIONS(1613),
    [sym_match_operator] = ACTIONS(1617),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [148] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14585),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(148),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(19865),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1621),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1623),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1627),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1629),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1631),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1633),
    [sym_let_and_operator] = ACTIONS(1631),
    [sym_match_operator] = ACTIONS(1635),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [149] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19120),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(149),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(19865),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1623),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1627),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1629),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1631),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1633),
    [sym_let_and_operator] = ACTIONS(1631),
    [sym_match_operator] = ACTIONS(1635),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [150] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14860),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(150),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(20197),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1639),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1643),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1645),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1647),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1649),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1651),
    [sym_let_and_operator] = ACTIONS(1649),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [151] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17585),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(151),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(17643),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1655),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1571),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1575),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1577),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1579),
    [sym_let_and_operator] = ACTIONS(1577),
    [sym_match_operator] = ACTIONS(1581),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [152] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19593),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(152),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(20197),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1657),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1643),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1645),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1647),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1649),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1651),
    [sym_let_and_operator] = ACTIONS(1649),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [153] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(15001),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(153),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(20372),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1659),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1663),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1667),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1669),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1671),
    [sym_let_and_operator] = ACTIONS(1669),
    [sym_match_operator] = ACTIONS(1673),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [154] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20154),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(154),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(20372),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1675),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1663),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1667),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1669),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1671),
    [sym_let_and_operator] = ACTIONS(1669),
    [sym_match_operator] = ACTIONS(1673),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [155] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14746),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(155),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(17836),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1677),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1679),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1681),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1683),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1685),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1687),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1689),
    [sym_let_and_operator] = ACTIONS(1687),
    [sym_match_operator] = ACTIONS(1691),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [156] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17624),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(156),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(17836),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1693),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1679),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1681),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1683),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1685),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1687),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1689),
    [sym_let_and_operator] = ACTIONS(1687),
    [sym_match_operator] = ACTIONS(1691),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [157] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14380),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(157),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18702),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1695),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1699),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1703),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1705),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1707),
    [sym_let_and_operator] = ACTIONS(1705),
    [sym_match_operator] = ACTIONS(1709),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [158] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17827),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(158),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18702),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1711),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1699),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1703),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1705),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1707),
    [sym_let_and_operator] = ACTIONS(1705),
    [sym_match_operator] = ACTIONS(1709),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [159] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14991),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(159),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(17860),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1713),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1715),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1717),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1721),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1723),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1725),
    [sym_let_and_operator] = ACTIONS(1723),
    [sym_match_operator] = ACTIONS(1727),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [160] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18043),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(160),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(17860),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1729),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1715),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1717),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1721),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1723),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1725),
    [sym_let_and_operator] = ACTIONS(1723),
    [sym_match_operator] = ACTIONS(1727),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [161] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14896),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(161),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18837),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1731),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1733),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1735),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1739),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1741),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1743),
    [sym_let_and_operator] = ACTIONS(1741),
    [sym_match_operator] = ACTIONS(1745),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [162] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12025),
    [sym__sequence_expression] = STATE(10432),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(162),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__attribute] = STATE(557),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_to] = ACTIONS(301),
    [anon_sym_downto] = ACTIONS(301),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [163] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18272),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(163),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18837),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1799),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1733),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1735),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1739),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1741),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1743),
    [sym_let_and_operator] = ACTIONS(1741),
    [sym_match_operator] = ACTIONS(1745),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [164] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14546),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(164),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(20170),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1801),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1805),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1809),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1811),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1813),
    [sym_let_and_operator] = ACTIONS(1811),
    [sym_match_operator] = ACTIONS(1815),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [165] = {
    [sym_value_definition] = STATE(19097),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(5312),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(165),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__attribute] = STATE(1350),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(297),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(301),
    [anon_sym_type] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_open] = ACTIONS(301),
    [anon_sym_include] = ACTIONS(301),
    [anon_sym_class] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(297),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [166] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18500),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(166),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(20170),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1817),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1805),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1809),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1811),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1813),
    [sym_let_and_operator] = ACTIONS(1811),
    [sym_match_operator] = ACTIONS(1815),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [167] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14769),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(167),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(17730),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1819),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1821),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1827),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1829),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1831),
    [sym_let_and_operator] = ACTIONS(1829),
    [sym_match_operator] = ACTIONS(1833),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [168] = {
    [sym_value_definition] = STATE(18311),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11920),
    [sym__sequence_expression] = STATE(8249),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6006),
    [sym_array_get_expression] = STATE(6006),
    [sym_string_get_expression] = STATE(6006),
    [sym_bigarray_get_expression] = STATE(6006),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(168),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__attribute] = STATE(717),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(1815),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(20371),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(1849),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_then] = ACTIONS(301),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1855),
    [anon_sym_function] = ACTIONS(1857),
    [anon_sym_try] = ACTIONS(1859),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1881),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [169] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18721),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(169),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(17730),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1887),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1821),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1827),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1829),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1831),
    [sym_let_and_operator] = ACTIONS(1829),
    [sym_match_operator] = ACTIONS(1833),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [170] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14974),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(170),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18096),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1889),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1893),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1895),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1897),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1899),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1901),
    [sym_let_and_operator] = ACTIONS(1899),
    [sym_match_operator] = ACTIONS(1903),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [171] = {
    [sym_value_definition] = STATE(19068),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11993),
    [sym__sequence_expression] = STATE(8249),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6007),
    [sym_array_get_expression] = STATE(6007),
    [sym_string_get_expression] = STATE(6007),
    [sym_bigarray_get_expression] = STATE(6007),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(171),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__attribute] = STATE(724),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(2105),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(17788),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(1907),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(1919),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1923),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(1927),
    [anon_sym_try] = ACTIONS(1929),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1951),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [172] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18950),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(172),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18096),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1957),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1893),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1895),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1897),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1899),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1901),
    [sym_let_and_operator] = ACTIONS(1899),
    [sym_match_operator] = ACTIONS(1903),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [173] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14786),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(173),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18457),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1959),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1963),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1967),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1969),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1971),
    [sym_let_and_operator] = ACTIONS(1969),
    [sym_match_operator] = ACTIONS(1973),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [174] = {
    [sym_value_definition] = STATE(17923),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11958),
    [sym__sequence_expression] = STATE(8249),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6008),
    [sym_array_get_expression] = STATE(6008),
    [sym_string_get_expression] = STATE(6008),
    [sym_bigarray_get_expression] = STATE(6008),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(174),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__attribute] = STATE(731),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(18687),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_with] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(1989),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(1993),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1995),
    [anon_sym_function] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1999),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2021),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [175] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19264),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(175),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18457),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2027),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1963),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1965),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1967),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1969),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1971),
    [sym_let_and_operator] = ACTIONS(1969),
    [sym_match_operator] = ACTIONS(1973),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [176] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14879),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(176),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18656),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2029),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2031),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2033),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2035),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2037),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2039),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2041),
    [sym_let_and_operator] = ACTIONS(2039),
    [sym_match_operator] = ACTIONS(2043),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [177] = {
    [sym_value_definition] = STATE(18989),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11882),
    [sym__sequence_expression] = STATE(8249),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6009),
    [sym_array_get_expression] = STATE(6009),
    [sym_string_get_expression] = STATE(6009),
    [sym_bigarray_get_expression] = STATE(6009),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(177),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__attribute] = STATE(738),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17859),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2047),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2059),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2063),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2091),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [178] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19390),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(178),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18656),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2097),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2031),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2033),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2035),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2037),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2039),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2041),
    [sym_let_and_operator] = ACTIONS(2039),
    [sym_match_operator] = ACTIONS(2043),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [179] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14578),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(179),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18732),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2099),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2101),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2103),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2107),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2109),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2111),
    [sym_let_and_operator] = ACTIONS(2109),
    [sym_match_operator] = ACTIONS(2113),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [180] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19544),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(180),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18732),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2115),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2101),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2103),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2107),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2109),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2111),
    [sym_let_and_operator] = ACTIONS(2109),
    [sym_match_operator] = ACTIONS(2113),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [181] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19768),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(181),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18778),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2117),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2121),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2127),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2129),
    [sym_let_and_operator] = ACTIONS(2127),
    [sym_match_operator] = ACTIONS(2131),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [182] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14389),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(182),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18856),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2133),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2137),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2139),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2141),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2143),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2145),
    [sym_let_and_operator] = ACTIONS(2143),
    [sym_match_operator] = ACTIONS(2147),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [183] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14802),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(183),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18777),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2149),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2151),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2153),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2157),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2159),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2161),
    [sym_let_and_operator] = ACTIONS(2159),
    [sym_match_operator] = ACTIONS(2163),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [184] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20045),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(184),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18856),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2137),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2139),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2141),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2143),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2145),
    [sym_let_and_operator] = ACTIONS(2143),
    [sym_match_operator] = ACTIONS(2147),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [185] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14561),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(185),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18914),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2167),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2169),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2171),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2173),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2175),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2177),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2179),
    [sym_let_and_operator] = ACTIONS(2177),
    [sym_match_operator] = ACTIONS(2181),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [186] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20334),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(186),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18914),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2169),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2171),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2173),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2175),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2177),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2179),
    [sym_let_and_operator] = ACTIONS(2177),
    [sym_match_operator] = ACTIONS(2181),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [187] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14686),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(187),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(19000),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2185),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2193),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2195),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2197),
    [sym_let_and_operator] = ACTIONS(2195),
    [sym_match_operator] = ACTIONS(2199),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [188] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18731),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(188),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(19000),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2189),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2193),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2195),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2197),
    [sym_let_and_operator] = ACTIONS(2195),
    [sym_match_operator] = ACTIONS(2199),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [189] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14830),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(189),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(19041),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2203),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2207),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2209),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2211),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2213),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2215),
    [sym_let_and_operator] = ACTIONS(2213),
    [sym_match_operator] = ACTIONS(2217),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [190] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18087),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(190),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(19041),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2219),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2207),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2209),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2211),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2213),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2215),
    [sym_let_and_operator] = ACTIONS(2213),
    [sym_match_operator] = ACTIONS(2217),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [191] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14958),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(191),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(19081),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2225),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2227),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2229),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2231),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2233),
    [sym_let_and_operator] = ACTIONS(2231),
    [sym_match_operator] = ACTIONS(2235),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [192] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17552),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(192),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18777),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2151),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2153),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2157),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2159),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2161),
    [sym_let_and_operator] = ACTIONS(2159),
    [sym_match_operator] = ACTIONS(2163),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [193] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17573),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(193),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(19081),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2239),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2225),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2227),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2229),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2231),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2233),
    [sym_let_and_operator] = ACTIONS(2231),
    [sym_match_operator] = ACTIONS(2235),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [194] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14408),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(194),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(19107),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2241),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2243),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2245),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2247),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2249),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2251),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2253),
    [sym_let_and_operator] = ACTIONS(2251),
    [sym_match_operator] = ACTIONS(2255),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [195] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14759),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(195),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(20036),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2257),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2259),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2261),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2263),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2267),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2269),
    [sym_let_and_operator] = ACTIONS(2267),
    [sym_match_operator] = ACTIONS(2271),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [196] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18441),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(196),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(19107),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2273),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2243),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2245),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2247),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2249),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2251),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2253),
    [sym_let_and_operator] = ACTIONS(2251),
    [sym_match_operator] = ACTIONS(2255),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [197] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14704),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(197),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(19148),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2275),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2277),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2279),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2281),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2283),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2285),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2287),
    [sym_let_and_operator] = ACTIONS(2285),
    [sym_match_operator] = ACTIONS(2289),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [198] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19950),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(198),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(19148),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2291),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2277),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2279),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2281),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2283),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2285),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2287),
    [sym_let_and_operator] = ACTIONS(2285),
    [sym_match_operator] = ACTIONS(2289),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [199] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14528),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(199),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(19237),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2293),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2295),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2299),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2301),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2303),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2305),
    [sym_let_and_operator] = ACTIONS(2303),
    [sym_match_operator] = ACTIONS(2307),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [200] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17609),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(200),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(19237),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2295),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2299),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2301),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2303),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2305),
    [sym_let_and_operator] = ACTIONS(2303),
    [sym_match_operator] = ACTIONS(2307),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [201] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14976),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(201),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(19303),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2311),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2319),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2321),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2323),
    [sym_let_and_operator] = ACTIONS(2321),
    [sym_match_operator] = ACTIONS(2325),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [202] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17978),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(202),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(19303),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2327),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2319),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2321),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2323),
    [sym_let_and_operator] = ACTIONS(2321),
    [sym_match_operator] = ACTIONS(2325),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [203] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14539),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(203),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(19372),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2329),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2331),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2333),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2339),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2341),
    [sym_let_and_operator] = ACTIONS(2339),
    [sym_match_operator] = ACTIONS(2343),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [204] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18301),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(204),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(20036),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2345),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2259),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2261),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2263),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2267),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2269),
    [sym_let_and_operator] = ACTIONS(2267),
    [sym_match_operator] = ACTIONS(2271),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [205] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18374),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(205),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(19372),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2331),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2333),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2337),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2339),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2341),
    [sym_let_and_operator] = ACTIONS(2339),
    [sym_match_operator] = ACTIONS(2343),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [206] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14492),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(206),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(17855),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2351),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2353),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2357),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2359),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2361),
    [sym_let_and_operator] = ACTIONS(2359),
    [sym_match_operator] = ACTIONS(2363),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [207] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20210),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(207),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(17855),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2365),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2351),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2353),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2357),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2359),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2361),
    [sym_let_and_operator] = ACTIONS(2359),
    [sym_match_operator] = ACTIONS(2363),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [208] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(15002),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(208),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18350),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2369),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2371),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2373),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2375),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2377),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2379),
    [sym_let_and_operator] = ACTIONS(2377),
    [sym_match_operator] = ACTIONS(2381),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [209] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17839),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(209),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18350),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2383),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2369),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2371),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2373),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2375),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2377),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2379),
    [sym_let_and_operator] = ACTIONS(2377),
    [sym_match_operator] = ACTIONS(2381),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [210] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14972),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(210),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(19698),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2387),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2389),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2393),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2395),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2397),
    [sym_let_and_operator] = ACTIONS(2395),
    [sym_match_operator] = ACTIONS(2399),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [211] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17727),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(211),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(19698),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2401),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2387),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2389),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2393),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2395),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2397),
    [sym_let_and_operator] = ACTIONS(2395),
    [sym_match_operator] = ACTIONS(2399),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [212] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14759),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(212),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18017),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2403),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2405),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2261),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2263),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2409),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2411),
    [sym_let_and_operator] = ACTIONS(2409),
    [sym_match_operator] = ACTIONS(2413),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [213] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18301),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(213),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18017),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2345),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2405),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2261),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2263),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2409),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2411),
    [sym_let_and_operator] = ACTIONS(2409),
    [sym_match_operator] = ACTIONS(2413),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [214] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14664),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(214),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18901),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2415),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2423),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2425),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2427),
    [sym_let_and_operator] = ACTIONS(2425),
    [sym_match_operator] = ACTIONS(2429),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [215] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17674),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(215),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18901),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2431),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2423),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2425),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2427),
    [sym_let_and_operator] = ACTIONS(2425),
    [sym_match_operator] = ACTIONS(2429),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [216] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14364),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(216),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(17621),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2433),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2435),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2437),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2439),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2441),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2443),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2445),
    [sym_let_and_operator] = ACTIONS(2443),
    [sym_match_operator] = ACTIONS(2447),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [217] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19008),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(217),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(17621),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2449),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2435),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2437),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2439),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2441),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2443),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2445),
    [sym_let_and_operator] = ACTIONS(2443),
    [sym_match_operator] = ACTIONS(2447),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [218] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14749),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(218),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18455),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2451),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2453),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2455),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2457),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2461),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2463),
    [sym_let_and_operator] = ACTIONS(2461),
    [sym_match_operator] = ACTIONS(2465),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [219] = {
    [sym_value_definition] = STATE(19315),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11884),
    [sym__sequence_expression] = STATE(10432),
    [sym_typed_expression] = STATE(6579),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6579),
    [sym_array_expression] = STATE(6579),
    [sym_record_expression] = STATE(6579),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6579),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6579),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6579),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6579),
    [sym_package_expression] = STATE(6579),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6579),
    [sym_object_copy_expression] = STATE(6579),
    [sym_method_invocation] = STATE(6579),
    [sym_object_expression] = STATE(6579),
    [sym_parenthesized_expression] = STATE(6579),
    [sym_attribute] = STATE(219),
    [sym_extension] = STATE(6579),
    [sym_quoted_extension] = STATE(6579),
    [sym__attribute] = STATE(752),
    [sym__constant] = STATE(6579),
    [sym_number] = STATE(6534),
    [sym_character] = STATE(6534),
    [sym_string] = STATE(6534),
    [sym_quoted_string] = STATE(6534),
    [sym_boolean] = STATE(6534),
    [sym_unit] = STATE(6534),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(6629),
    [sym_parenthesized_operator] = STATE(6159),
    [sym_value_path] = STATE(6579),
    [sym_module_path] = STATE(18629),
    [sym_constructor_path] = STATE(6579),
    [sym__instance_variable_name] = STATE(19301),
    [sym__constructor_name] = STATE(6641),
    [sym_tag] = STATE(6579),
    [sym__identifier] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_true] = ACTIONS(2475),
    [anon_sym_false] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2477),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(2479),
    [anon_sym_fun] = ACTIONS(2481),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_done] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2487),
    [anon_sym_function] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_LBRACE_LT] = ACTIONS(2495),
    [anon_sym_begin] = ACTIONS(2497),
    [sym_ocamlyacc_value] = ACTIONS(2499),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2501),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2503),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(2505),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [sym_prefix_operator] = ACTIONS(2511),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2513),
    [sym__capitalized_identifier] = ACTIONS(2515),
    [aux_sym_tag_token1] = ACTIONS(2517),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [220] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17607),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(220),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18455),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2519),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2453),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2455),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2457),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2461),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2463),
    [sym_let_and_operator] = ACTIONS(2461),
    [sym_match_operator] = ACTIONS(2465),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [221] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14538),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(221),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(17687),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2521),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2523),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2525),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2527),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2529),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2531),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2533),
    [sym_let_and_operator] = ACTIONS(2531),
    [sym_match_operator] = ACTIONS(2535),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [222] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18511),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(222),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(17687),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2537),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2523),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2525),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2527),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2529),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2531),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2533),
    [sym_let_and_operator] = ACTIONS(2531),
    [sym_match_operator] = ACTIONS(2535),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [223] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14910),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(223),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(17900),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2539),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2541),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2543),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2545),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2547),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2549),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2551),
    [sym_let_and_operator] = ACTIONS(2549),
    [sym_match_operator] = ACTIONS(2553),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [224] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19385),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(224),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(17900),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2555),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2541),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2543),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2545),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2547),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2549),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2551),
    [sym_let_and_operator] = ACTIONS(2549),
    [sym_match_operator] = ACTIONS(2553),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [225] = {
    [sym_value_definition] = STATE(18115),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(12130),
    [sym__sequence_expression] = STATE(8671),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6098),
    [sym_array_get_expression] = STATE(6098),
    [sym_string_get_expression] = STATE(6098),
    [sym_bigarray_get_expression] = STATE(6098),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(225),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__attribute] = STATE(600),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2288),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18109),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_PIPE_RBRACK] = ACTIONS(297),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [226] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(14876),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(226),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__infix_operator] = STATE(18778),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2121),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2127),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2129),
    [sym_let_and_operator] = ACTIONS(2127),
    [sym_match_operator] = ACTIONS(2131),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [227] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12465),
    [sym__sequence_expression] = STATE(8671),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(227),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__attribute] = STATE(1103),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(297),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [228] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12461),
    [sym__sequence_expression] = STATE(8671),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6205),
    [sym_array_get_expression] = STATE(6205),
    [sym_string_get_expression] = STATE(6205),
    [sym_bigarray_get_expression] = STATE(6205),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(228),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__attribute] = STATE(620),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(17945),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_then] = ACTIONS(301),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2599),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [229] = {
    [sym_value_definition] = STATE(18480),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12428),
    [sym__sequence_expression] = STATE(8249),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6319),
    [sym_array_get_expression] = STATE(6319),
    [sym_string_get_expression] = STATE(6319),
    [sym_bigarray_get_expression] = STATE(6319),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(229),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(1119),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2337),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(18454),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_then] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2647),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [230] = {
    [sym_value_definition] = STATE(18937),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12498),
    [sym__sequence_expression] = STATE(8671),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6377),
    [sym_array_get_expression] = STATE(6377),
    [sym_string_get_expression] = STATE(6377),
    [sym_bigarray_get_expression] = STATE(6377),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(230),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__attribute] = STATE(638),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(1799),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(18907),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(2655),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2659),
    [anon_sym_function] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2663),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2665),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [231] = {
    [sym_value_definition] = STATE(19266),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12571),
    [sym__sequence_expression] = STATE(8249),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6320),
    [sym_array_get_expression] = STATE(6320),
    [sym_string_get_expression] = STATE(6320),
    [sym_bigarray_get_expression] = STATE(6320),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(231),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__attribute] = STATE(1135),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(19218),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2681),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2687),
    [anon_sym_function] = ACTIONS(2689),
    [anon_sym_try] = ACTIONS(2691),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2713),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [232] = {
    [sym_value_definition] = STATE(19821),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12545),
    [sym__sequence_expression] = STATE(8671),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6440),
    [sym_array_get_expression] = STATE(6440),
    [sym_string_get_expression] = STATE(6440),
    [sym_bigarray_get_expression] = STATE(6440),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(232),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__attribute] = STATE(654),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(1871),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(19783),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_with] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(2721),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2725),
    [anon_sym_function] = ACTIONS(2727),
    [anon_sym_try] = ACTIONS(2729),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2731),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [233] = {
    [sym_value_definition] = STATE(18092),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12522),
    [sym__sequence_expression] = STATE(10432),
    [sym_typed_expression] = STATE(7127),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(7127),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(7127),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(7127),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(233),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__attribute] = STATE(1439),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym_sign_operator] = STATE(1954),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__instance_variable_name] = STATE(18010),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [sym__identifier] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2735),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_done] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_function] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2779),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [234] = {
    [sym_value_definition] = STATE(20395),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12462),
    [sym__sequence_expression] = STATE(8249),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(234),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1159),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(20362),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_with] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [235] = {
    [sym_value_definition] = STATE(17704),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12568),
    [sym__sequence_expression] = STATE(8671),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6549),
    [sym_array_get_expression] = STATE(6549),
    [sym_string_get_expression] = STATE(6549),
    [sym_bigarray_get_expression] = STATE(6549),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(235),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__attribute] = STATE(670),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17686),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2839),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_else] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2849),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [236] = {
    [sym_value_definition] = STATE(17916),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12500),
    [sym__sequence_expression] = STATE(8249),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6322),
    [sym_array_get_expression] = STATE(6322),
    [sym_string_get_expression] = STATE(6322),
    [sym_bigarray_get_expression] = STATE(6322),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(236),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1175),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(17899),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2853),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_PIPE] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2865),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2871),
    [anon_sym_function] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [237] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12783),
    [sym__sequence_expression] = STATE(8671),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(237),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(827),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_then] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [238] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12671),
    [sym__sequence_expression] = STATE(8671),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(238),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(854),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [239] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12620),
    [sym__sequence_expression] = STATE(8671),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(239),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__attribute] = STATE(836),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [240] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12645),
    [sym__sequence_expression] = STATE(8671),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(240),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(845),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_SEMI] = ACTIONS(297),
    [anon_sym_with] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(337),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(103),
    [sym_pow_operator] = ACTIONS(301),
    [sym_mult_operator] = ACTIONS(301),
    [aux_sym_add_operator_token1] = ACTIONS(301),
    [sym_concat_operator] = ACTIONS(297),
    [sym_rel_operator] = ACTIONS(301),
    [sym_and_operator] = ACTIONS(301),
    [sym_or_operator] = ACTIONS(301),
    [sym_assign_operator] = ACTIONS(297),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [241] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9961),
    [sym__sequence_expression] = STATE(5312),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(241),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__attribute] = STATE(573),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_constraint] = ACTIONS(301),
    [anon_sym_val] = ACTIONS(301),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_inherit] = ACTIONS(301),
    [anon_sym_method] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_initializer] = ACTIONS(301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(301),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1007),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1009),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(297),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [242] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(5312),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(242),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__attribute] = STATE(900),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_COLON_GT] = ACTIONS(297),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_COLON2] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_RBRACE] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [243] = {
    [sym_value_definition] = STATE(17564),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11659),
    [sym__sequence_expression] = STATE(8671),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(243),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__attribute] = STATE(1191),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2146),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(20408),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_and] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_in] = ACTIONS(301),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(297),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_let_and_operator] = ACTIONS(297),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [244] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12236),
    [sym__sequence_expression] = STATE(7621),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(244),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__attribute] = STATE(865),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_to] = ACTIONS(301),
    [anon_sym_downto] = ACTIONS(301),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [245] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(19666),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(245),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1216),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(2959),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [246] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(19428),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(246),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1253),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(2961),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [247] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(17790),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(247),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1281),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(2963),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [248] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(18534),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(248),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1104),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(2965),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [249] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(18978),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(249),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1112),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(2967),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [250] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(19334),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(250),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1200),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [251] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(18192),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(251),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1288),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(2971),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [252] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(17685),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(252),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1088),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(2973),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [253] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(17953),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(253),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1152),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(2975),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [254] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(20441),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(254),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1136),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(2977),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [255] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(19430),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(255),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(981),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(2979),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [256] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(18042),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(256),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1260),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(2981),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [257] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(19467),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(257),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1208),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(2983),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [258] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(18843),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(258),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1184),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(2985),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [259] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(19257),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(259),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(994),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(2987),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [260] = {
    [sym_value_definition] = STATE(18092),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12638),
    [sym__sequence_expression] = STATE(7621),
    [sym_typed_expression] = STATE(7127),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(7127),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(7127),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(7127),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(260),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__attribute] = STATE(612),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym_sign_operator] = STATE(1954),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__instance_variable_name] = STATE(18010),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [sym__identifier] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2735),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_done] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_function] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2779),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [261] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12651),
    [sym__sequence_expression] = STATE(19079),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(18714),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(261),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__attribute] = STATE(1346),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DASH_GT] = ACTIONS(297),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [262] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(19972),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(262),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1057),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [263] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(19562),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(263),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1007),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(2991),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [264] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(5312),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(264),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1483),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [265] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(5312),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(265),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1405),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_with] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [266] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(19106),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(266),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1267),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(2993),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [267] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(20352),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(267),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(966),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(2995),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [268] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(20352),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(268),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(966),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(2997),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [269] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(19285),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(269),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1246),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(2999),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [270] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(18031),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(270),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1096),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(3001),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [271] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(18592),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(271),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1015),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(3003),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [272] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(19501),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(272),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1080),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(3005),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [273] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(19914),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(273),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1224),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(3007),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [274] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(18170),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(274),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1160),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(3009),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [275] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(18521),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(275),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1023),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(3011),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [276] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(5312),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(276),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(1030),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_then] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [277] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(19345),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(277),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1120),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(3013),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [278] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(19959),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(278),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(908),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(3015),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [279] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(19987),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(279),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1032),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(3017),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [280] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(20227),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(280),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1232),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(3019),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [281] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(17683),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(281),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(949),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(3021),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [282] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(19203),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(282),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1192),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(3023),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [283] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(18164),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(283),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1041),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(3025),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [284] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(20337),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(284),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1274),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(3027),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [285] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(18405),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(285),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1168),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(3029),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [286] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(20396),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(286),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1239),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(3031),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [287] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(19197),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(287),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1050),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [288] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12705),
    [sym__sequence_expression] = STATE(5312),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(288),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__attribute] = STATE(1320),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [289] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(18624),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(289),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1176),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [290] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(17739),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(290),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1144),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(3037),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [291] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(20004),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(291),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1064),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(3039),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [292] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(18187),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(292),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(617),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(3041),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [293] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(19902),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(293),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1128),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(3043),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [294] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(17720),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(294),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__attribute] = STATE(1072),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_end] = ACTIONS(3045),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [295] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18198),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(295),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1417),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [296] = {
    [sym_value_definition] = STATE(19068),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11993),
    [sym__sequence_expression] = STATE(8167),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6007),
    [sym_array_get_expression] = STATE(6007),
    [sym_string_get_expression] = STATE(6007),
    [sym_bigarray_get_expression] = STATE(6007),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_refutation_case] = STATE(8167),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(296),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(2105),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(17788),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(1907),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(1919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(1927),
    [anon_sym_try] = ACTIONS(1929),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1951),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [297] = {
    [sym_value_definition] = STATE(20229),
    [sym__simple_expression] = STATE(529),
    [sym__expression] = STATE(8314),
    [sym__sequence_expression] = STATE(8260),
    [sym_typed_expression] = STATE(3189),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3189),
    [sym_array_expression] = STATE(3189),
    [sym_record_expression] = STATE(3189),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3189),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3189),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2734),
    [sym_array_get_expression] = STATE(2734),
    [sym_string_get_expression] = STATE(2734),
    [sym_bigarray_get_expression] = STATE(2734),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_refutation_case] = STATE(8260),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3189),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3189),
    [sym_package_expression] = STATE(3189),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3189),
    [sym_object_copy_expression] = STATE(3189),
    [sym_method_invocation] = STATE(3189),
    [sym_object_expression] = STATE(3189),
    [sym_parenthesized_expression] = STATE(3189),
    [sym_attribute] = STATE(297),
    [sym_extension] = STATE(3189),
    [sym_quoted_extension] = STATE(3189),
    [sym__constant] = STATE(3189),
    [sym_number] = STATE(3378),
    [sym_character] = STATE(3378),
    [sym_string] = STATE(3378),
    [sym_quoted_string] = STATE(3378),
    [sym_boolean] = STATE(3378),
    [sym_unit] = STATE(3378),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(3248),
    [sym_parenthesized_operator] = STATE(3324),
    [sym_value_path] = STATE(3189),
    [sym_module_path] = STATE(18817),
    [sym_constructor_path] = STATE(3189),
    [sym__instance_variable_name] = STATE(18826),
    [sym__constructor_name] = STATE(3379),
    [sym_tag] = STATE(3189),
    [sym__identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(3049),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__capitalized_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [298] = {
    [sym_value_definition] = STATE(20229),
    [sym__simple_expression] = STATE(529),
    [sym__expression] = STATE(8314),
    [sym__sequence_expression] = STATE(8183),
    [sym_typed_expression] = STATE(3189),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3189),
    [sym_array_expression] = STATE(3189),
    [sym_record_expression] = STATE(3189),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3189),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3189),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2734),
    [sym_array_get_expression] = STATE(2734),
    [sym_string_get_expression] = STATE(2734),
    [sym_bigarray_get_expression] = STATE(2734),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_refutation_case] = STATE(8183),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3189),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3189),
    [sym_package_expression] = STATE(3189),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3189),
    [sym_object_copy_expression] = STATE(3189),
    [sym_method_invocation] = STATE(3189),
    [sym_object_expression] = STATE(3189),
    [sym_parenthesized_expression] = STATE(3189),
    [sym_attribute] = STATE(298),
    [sym_extension] = STATE(3189),
    [sym_quoted_extension] = STATE(3189),
    [sym__constant] = STATE(3189),
    [sym_number] = STATE(3378),
    [sym_character] = STATE(3378),
    [sym_string] = STATE(3378),
    [sym_quoted_string] = STATE(3378),
    [sym_boolean] = STATE(3378),
    [sym_unit] = STATE(3378),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(3248),
    [sym_parenthesized_operator] = STATE(3324),
    [sym_value_path] = STATE(3189),
    [sym_module_path] = STATE(18817),
    [sym_constructor_path] = STATE(3189),
    [sym__instance_variable_name] = STATE(18826),
    [sym__constructor_name] = STATE(3379),
    [sym_tag] = STATE(3189),
    [sym__identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(3049),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__capitalized_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [299] = {
    [sym_value_definition] = STATE(17646),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(10625),
    [sym__sequence_expression] = STATE(8167),
    [sym_typed_expression] = STATE(5401),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5401),
    [sym_array_expression] = STATE(5401),
    [sym_record_expression] = STATE(5401),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5401),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5401),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5205),
    [sym_array_get_expression] = STATE(5205),
    [sym_string_get_expression] = STATE(5205),
    [sym_bigarray_get_expression] = STATE(5205),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_refutation_case] = STATE(8167),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5401),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5401),
    [sym_package_expression] = STATE(5401),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5401),
    [sym_object_copy_expression] = STATE(5401),
    [sym_method_invocation] = STATE(5401),
    [sym_object_expression] = STATE(5401),
    [sym_parenthesized_expression] = STATE(5401),
    [sym_attribute] = STATE(299),
    [sym_extension] = STATE(5401),
    [sym_quoted_extension] = STATE(5401),
    [sym__constant] = STATE(5401),
    [sym_number] = STATE(5380),
    [sym_character] = STATE(5380),
    [sym_string] = STATE(5380),
    [sym_quoted_string] = STATE(5380),
    [sym_boolean] = STATE(5380),
    [sym_unit] = STATE(5380),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5400),
    [sym_value_path] = STATE(5401),
    [sym_module_path] = STATE(18005),
    [sym_constructor_path] = STATE(5401),
    [sym__instance_variable_name] = STATE(17611),
    [sym__constructor_name] = STATE(5359),
    [sym_tag] = STATE(5401),
    [sym__identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__capitalized_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [300] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12705),
    [sym__sequence_expression] = STATE(16862),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(300),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__attribute] = STATE(1095),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [301] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12465),
    [sym__sequence_expression] = STATE(12379),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_refutation_case] = STATE(12379),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(301),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(3055),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [302] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12465),
    [sym__sequence_expression] = STATE(12476),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_refutation_case] = STATE(12476),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(302),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(3055),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [303] = {
    [sym_value_definition] = STATE(17923),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11958),
    [sym__sequence_expression] = STATE(8186),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6008),
    [sym_array_get_expression] = STATE(6008),
    [sym_string_get_expression] = STATE(6008),
    [sym_bigarray_get_expression] = STATE(6008),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_refutation_case] = STATE(8186),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(303),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(18687),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(1989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(1993),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1995),
    [anon_sym_function] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1999),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2021),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [304] = {
    [sym_value_definition] = STATE(17923),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11958),
    [sym__sequence_expression] = STATE(8167),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6008),
    [sym_array_get_expression] = STATE(6008),
    [sym_string_get_expression] = STATE(6008),
    [sym_bigarray_get_expression] = STATE(6008),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_refutation_case] = STATE(8167),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(304),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(18687),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(1989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(1993),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1995),
    [anon_sym_function] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1999),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2021),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [305] = {
    [sym_value_definition] = STATE(17762),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8353),
    [sym__sequence_expression] = STATE(8260),
    [sym_typed_expression] = STATE(3246),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3246),
    [sym_array_expression] = STATE(3246),
    [sym_record_expression] = STATE(3246),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3246),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3246),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2739),
    [sym_array_get_expression] = STATE(2739),
    [sym_string_get_expression] = STATE(2739),
    [sym_bigarray_get_expression] = STATE(2739),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_refutation_case] = STATE(8260),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3246),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3246),
    [sym_package_expression] = STATE(3246),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3246),
    [sym_object_copy_expression] = STATE(3246),
    [sym_method_invocation] = STATE(3246),
    [sym_object_expression] = STATE(3246),
    [sym_parenthesized_expression] = STATE(3246),
    [sym_attribute] = STATE(305),
    [sym_extension] = STATE(3246),
    [sym_quoted_extension] = STATE(3246),
    [sym__constant] = STATE(3246),
    [sym_number] = STATE(3390),
    [sym_character] = STATE(3390),
    [sym_string] = STATE(3390),
    [sym_quoted_string] = STATE(3390),
    [sym_boolean] = STATE(3390),
    [sym_unit] = STATE(3390),
    [sym_sign_operator] = STATE(2020),
    [sym__value_name] = STATE(3293),
    [sym_parenthesized_operator] = STATE(3329),
    [sym_value_path] = STATE(3246),
    [sym_module_path] = STATE(18854),
    [sym_constructor_path] = STATE(3246),
    [sym__instance_variable_name] = STATE(20169),
    [sym__constructor_name] = STATE(3391),
    [sym_tag] = STATE(3246),
    [sym__identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_DOT] = ACTIONS(3049),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__capitalized_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [306] = {
    [sym_value_definition] = STATE(17762),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8353),
    [sym__sequence_expression] = STATE(8183),
    [sym_typed_expression] = STATE(3246),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3246),
    [sym_array_expression] = STATE(3246),
    [sym_record_expression] = STATE(3246),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3246),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3246),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2739),
    [sym_array_get_expression] = STATE(2739),
    [sym_string_get_expression] = STATE(2739),
    [sym_bigarray_get_expression] = STATE(2739),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_refutation_case] = STATE(8183),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3246),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3246),
    [sym_package_expression] = STATE(3246),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3246),
    [sym_object_copy_expression] = STATE(3246),
    [sym_method_invocation] = STATE(3246),
    [sym_object_expression] = STATE(3246),
    [sym_parenthesized_expression] = STATE(3246),
    [sym_attribute] = STATE(306),
    [sym_extension] = STATE(3246),
    [sym_quoted_extension] = STATE(3246),
    [sym__constant] = STATE(3246),
    [sym_number] = STATE(3390),
    [sym_character] = STATE(3390),
    [sym_string] = STATE(3390),
    [sym_quoted_string] = STATE(3390),
    [sym_boolean] = STATE(3390),
    [sym_unit] = STATE(3390),
    [sym_sign_operator] = STATE(2020),
    [sym__value_name] = STATE(3293),
    [sym_parenthesized_operator] = STATE(3329),
    [sym_value_path] = STATE(3246),
    [sym_module_path] = STATE(18854),
    [sym_constructor_path] = STATE(3246),
    [sym__instance_variable_name] = STATE(20169),
    [sym__constructor_name] = STATE(3391),
    [sym_tag] = STATE(3246),
    [sym__identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_DOT] = ACTIONS(3049),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__capitalized_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [307] = {
    [sym_value_definition] = STATE(18444),
    [sym__simple_expression] = STATE(528),
    [sym__expression] = STATE(8275),
    [sym__sequence_expression] = STATE(8260),
    [sym_typed_expression] = STATE(3337),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3337),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3337),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2728),
    [sym_array_get_expression] = STATE(2728),
    [sym_string_get_expression] = STATE(2728),
    [sym_bigarray_get_expression] = STATE(2728),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_refutation_case] = STATE(8260),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3337),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(307),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym_sign_operator] = STATE(1870),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__instance_variable_name] = STATE(18316),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [sym__identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_DOT] = ACTIONS(3049),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(453),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [308] = {
    [sym_value_definition] = STATE(18444),
    [sym__simple_expression] = STATE(528),
    [sym__expression] = STATE(8275),
    [sym__sequence_expression] = STATE(8183),
    [sym_typed_expression] = STATE(3337),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3337),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3337),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2728),
    [sym_array_get_expression] = STATE(2728),
    [sym_string_get_expression] = STATE(2728),
    [sym_bigarray_get_expression] = STATE(2728),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_refutation_case] = STATE(8183),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3337),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(308),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym_sign_operator] = STATE(1870),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__instance_variable_name] = STATE(18316),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [sym__identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_DOT] = ACTIONS(3049),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(453),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [309] = {
    [sym_value_definition] = STATE(18989),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11882),
    [sym__sequence_expression] = STATE(8186),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6009),
    [sym_array_get_expression] = STATE(6009),
    [sym_string_get_expression] = STATE(6009),
    [sym_bigarray_get_expression] = STATE(6009),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_refutation_case] = STATE(8186),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(309),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17859),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2047),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2063),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2091),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [310] = {
    [sym_value_definition] = STATE(18989),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11882),
    [sym__sequence_expression] = STATE(8167),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6009),
    [sym_array_get_expression] = STATE(6009),
    [sym_string_get_expression] = STATE(6009),
    [sym_bigarray_get_expression] = STATE(6009),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_refutation_case] = STATE(8167),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(310),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17859),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2047),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2063),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2091),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [311] = {
    [sym_value_definition] = STATE(19097),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8551),
    [sym__sequence_expression] = STATE(8260),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_refutation_case] = STATE(8260),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(311),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(3049),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [312] = {
    [sym_value_definition] = STATE(18092),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12522),
    [sym__sequence_expression] = STATE(10455),
    [sym_typed_expression] = STATE(7127),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(7127),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(7127),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_refutation_case] = STATE(10455),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(7127),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(312),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym_sign_operator] = STATE(1954),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__instance_variable_name] = STATE(18010),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [sym__identifier] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2735),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_DOT] = ACTIONS(3069),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_function] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2779),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [313] = {
    [sym_value_definition] = STATE(19266),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12571),
    [sym__sequence_expression] = STATE(8186),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6320),
    [sym_array_get_expression] = STATE(6320),
    [sym_string_get_expression] = STATE(6320),
    [sym_bigarray_get_expression] = STATE(6320),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_refutation_case] = STATE(8186),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(313),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(19218),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2681),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2687),
    [anon_sym_function] = ACTIONS(2689),
    [anon_sym_try] = ACTIONS(2691),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2713),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [314] = {
    [sym_value_definition] = STATE(18147),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9456),
    [sym__sequence_expression] = STATE(8186),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4703),
    [sym_array_get_expression] = STATE(4703),
    [sym_string_get_expression] = STATE(4703),
    [sym_bigarray_get_expression] = STATE(4703),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_refutation_case] = STATE(8186),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(314),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(2174),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(17729),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [315] = {
    [sym_value_definition] = STATE(18147),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9456),
    [sym__sequence_expression] = STATE(8167),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4703),
    [sym_array_get_expression] = STATE(4703),
    [sym_string_get_expression] = STATE(4703),
    [sym_bigarray_get_expression] = STATE(4703),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_refutation_case] = STATE(8167),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(315),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(2174),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(17729),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [316] = {
    [sym_value_definition] = STATE(19266),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12571),
    [sym__sequence_expression] = STATE(8167),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6320),
    [sym_array_get_expression] = STATE(6320),
    [sym_string_get_expression] = STATE(6320),
    [sym_bigarray_get_expression] = STATE(6320),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_refutation_case] = STATE(8167),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(316),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(19218),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2681),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2687),
    [anon_sym_function] = ACTIONS(2689),
    [anon_sym_try] = ACTIONS(2691),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2713),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [317] = {
    [sym_value_definition] = STATE(19851),
    [sym__simple_expression] = STATE(515),
    [sym__expression] = STATE(8298),
    [sym__sequence_expression] = STATE(8260),
    [sym_typed_expression] = STATE(3210),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3210),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3210),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2886),
    [sym_array_get_expression] = STATE(2886),
    [sym_string_get_expression] = STATE(2886),
    [sym_bigarray_get_expression] = STATE(2886),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_refutation_case] = STATE(8260),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3210),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(317),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym_sign_operator] = STATE(2063),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__instance_variable_name] = STATE(19760),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [sym__identifier] = ACTIONS(459),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_DOT] = ACTIONS(3049),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_fun] = ACTIONS(473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(505),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [318] = {
    [sym_value_definition] = STATE(19851),
    [sym__simple_expression] = STATE(515),
    [sym__expression] = STATE(8298),
    [sym__sequence_expression] = STATE(8183),
    [sym_typed_expression] = STATE(3210),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3210),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3210),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2886),
    [sym_array_get_expression] = STATE(2886),
    [sym_string_get_expression] = STATE(2886),
    [sym_bigarray_get_expression] = STATE(2886),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_refutation_case] = STATE(8183),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3210),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(318),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym_sign_operator] = STATE(2063),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__instance_variable_name] = STATE(19760),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [sym__identifier] = ACTIONS(459),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_DOT] = ACTIONS(3049),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_fun] = ACTIONS(473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(505),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [319] = {
    [sym_value_definition] = STATE(20211),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11496),
    [sym__sequence_expression] = STATE(10455),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5615),
    [sym_array_get_expression] = STATE(5615),
    [sym_string_get_expression] = STATE(5615),
    [sym_bigarray_get_expression] = STATE(5615),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_refutation_case] = STATE(10455),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(319),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2275),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(18108),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_DOT] = ACTIONS(3069),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [320] = {
    [sym_value_definition] = STATE(20211),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11496),
    [sym__sequence_expression] = STATE(10393),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5615),
    [sym_array_get_expression] = STATE(5615),
    [sym_string_get_expression] = STATE(5615),
    [sym_bigarray_get_expression] = STATE(5615),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_refutation_case] = STATE(10393),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(320),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2275),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(18108),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_DOT] = ACTIONS(3069),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [321] = {
    [sym_value_definition] = STATE(18092),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12522),
    [sym__sequence_expression] = STATE(10393),
    [sym_typed_expression] = STATE(7127),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(7127),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(7127),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_refutation_case] = STATE(10393),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(7127),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(321),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym_sign_operator] = STATE(1954),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__instance_variable_name] = STATE(18010),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [sym__identifier] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2735),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_DOT] = ACTIONS(3069),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_function] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2779),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [322] = {
    [sym__simple_expression] = STATE(2749),
    [sym_typed_expression] = STATE(2743),
    [sym_list_expression] = STATE(2743),
    [sym_array_expression] = STATE(2743),
    [sym_record_expression] = STATE(2743),
    [sym_labeled_argument] = STATE(3896),
    [sym_prefix_expression] = STATE(2743),
    [sym_hash_expression] = STATE(2743),
    [sym_field_get_expression] = STATE(2743),
    [sym_array_get_expression] = STATE(2743),
    [sym_string_get_expression] = STATE(2743),
    [sym_bigarray_get_expression] = STATE(2743),
    [sym_coercion_expression] = STATE(2743),
    [sym_local_open_expression] = STATE(2743),
    [sym_package_expression] = STATE(2743),
    [sym_new_expression] = STATE(2743),
    [sym_object_copy_expression] = STATE(2743),
    [sym_method_invocation] = STATE(2743),
    [sym_object_expression] = STATE(2743),
    [sym_parenthesized_expression] = STATE(2743),
    [sym_attribute] = STATE(322),
    [sym_extension] = STATE(2743),
    [sym_quoted_extension] = STATE(2743),
    [sym__constant] = STATE(2743),
    [sym_number] = STATE(2910),
    [sym_character] = STATE(2910),
    [sym_string] = STATE(2910),
    [sym_quoted_string] = STATE(2910),
    [sym_boolean] = STATE(2910),
    [sym_unit] = STATE(2910),
    [sym__value_name] = STATE(2783),
    [sym_parenthesized_operator] = STATE(2843),
    [sym_value_path] = STATE(2743),
    [sym_module_path] = STATE(18591),
    [sym_constructor_path] = STATE(2743),
    [sym__constructor_name] = STATE(2911),
    [sym_tag] = STATE(2743),
    [aux_sym_class_application_repeat1] = STATE(1611),
    [sym__identifier] = ACTIONS(3079),
    [anon_sym_SEMI_SEMI] = ACTIONS(3081),
    [anon_sym_let] = ACTIONS(3083),
    [anon_sym_and] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3085),
    [anon_sym_QMARK] = ACTIONS(3085),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_external] = ACTIONS(3083),
    [anon_sym_type] = ACTIONS(3083),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_RBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOT] = ACTIONS(3087),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_exception] = ACTIONS(3083),
    [anon_sym_module] = ACTIONS(3083),
    [anon_sym_open] = ACTIONS(3083),
    [anon_sym_include] = ACTIONS(3083),
    [anon_sym_class] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_in] = ACTIONS(3083),
    [anon_sym_POUND] = ACTIONS(3089),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(333),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(335),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3081),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(3091),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym_let_operator] = ACTIONS(3081),
    [sym_let_and_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(351),
    [aux_sym_directive_token1] = ACTIONS(3083),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [323] = {
    [sym_value_definition] = STATE(19448),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8559),
    [sym__sequence_expression] = STATE(8260),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_refutation_case] = STATE(8260),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(323),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_tag] = STATE(4083),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_DOT] = ACTIONS(3049),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [324] = {
    [sym_value_definition] = STATE(18115),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(12130),
    [sym__sequence_expression] = STATE(12379),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6098),
    [sym_array_get_expression] = STATE(6098),
    [sym_string_get_expression] = STATE(6098),
    [sym_bigarray_get_expression] = STATE(6098),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_refutation_case] = STATE(12379),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(324),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2288),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18109),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_DOT] = ACTIONS(3055),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [325] = {
    [sym_value_definition] = STATE(18115),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(12130),
    [sym__sequence_expression] = STATE(12476),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6098),
    [sym_array_get_expression] = STATE(6098),
    [sym_string_get_expression] = STATE(6098),
    [sym_bigarray_get_expression] = STATE(6098),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_refutation_case] = STATE(12476),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(325),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2288),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18109),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_DOT] = ACTIONS(3055),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [326] = {
    [sym_value_definition] = STATE(20395),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12462),
    [sym__sequence_expression] = STATE(8186),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_refutation_case] = STATE(8186),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(326),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(20362),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [327] = {
    [sym_value_definition] = STATE(20395),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12462),
    [sym__sequence_expression] = STATE(8167),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_refutation_case] = STATE(8167),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(327),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(20362),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [328] = {
    [sym_value_definition] = STATE(18494),
    [sym__simple_expression] = STATE(1632),
    [sym__expression] = STATE(8432),
    [sym__sequence_expression] = STATE(8260),
    [sym_typed_expression] = STATE(4008),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4008),
    [sym_array_expression] = STATE(4008),
    [sym_record_expression] = STATE(4008),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4008),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4008),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3584),
    [sym_array_get_expression] = STATE(3584),
    [sym_string_get_expression] = STATE(3584),
    [sym_bigarray_get_expression] = STATE(3584),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_refutation_case] = STATE(8260),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4008),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4008),
    [sym_package_expression] = STATE(4008),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4008),
    [sym_object_copy_expression] = STATE(4008),
    [sym_method_invocation] = STATE(4008),
    [sym_object_expression] = STATE(4008),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_attribute] = STATE(328),
    [sym_extension] = STATE(4008),
    [sym_quoted_extension] = STATE(4008),
    [sym__constant] = STATE(4008),
    [sym_number] = STATE(3818),
    [sym_character] = STATE(3818),
    [sym_string] = STATE(3818),
    [sym_quoted_string] = STATE(3818),
    [sym_boolean] = STATE(3818),
    [sym_unit] = STATE(3818),
    [sym_sign_operator] = STATE(2119),
    [sym__value_name] = STATE(4039),
    [sym_parenthesized_operator] = STATE(3903),
    [sym_value_path] = STATE(4008),
    [sym_module_path] = STATE(17789),
    [sym_constructor_path] = STATE(4008),
    [sym__instance_variable_name] = STATE(17931),
    [sym__constructor_name] = STATE(3820),
    [sym_tag] = STATE(4008),
    [sym__identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_DOT] = ACTIONS(3049),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__capitalized_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [329] = {
    [sym_value_definition] = STATE(18494),
    [sym__simple_expression] = STATE(1632),
    [sym__expression] = STATE(8432),
    [sym__sequence_expression] = STATE(8183),
    [sym_typed_expression] = STATE(4008),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4008),
    [sym_array_expression] = STATE(4008),
    [sym_record_expression] = STATE(4008),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4008),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4008),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3584),
    [sym_array_get_expression] = STATE(3584),
    [sym_string_get_expression] = STATE(3584),
    [sym_bigarray_get_expression] = STATE(3584),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_refutation_case] = STATE(8183),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4008),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4008),
    [sym_package_expression] = STATE(4008),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4008),
    [sym_object_copy_expression] = STATE(4008),
    [sym_method_invocation] = STATE(4008),
    [sym_object_expression] = STATE(4008),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_attribute] = STATE(329),
    [sym_extension] = STATE(4008),
    [sym_quoted_extension] = STATE(4008),
    [sym__constant] = STATE(4008),
    [sym_number] = STATE(3818),
    [sym_character] = STATE(3818),
    [sym_string] = STATE(3818),
    [sym_quoted_string] = STATE(3818),
    [sym_boolean] = STATE(3818),
    [sym_unit] = STATE(3818),
    [sym_sign_operator] = STATE(2119),
    [sym__value_name] = STATE(4039),
    [sym_parenthesized_operator] = STATE(3903),
    [sym_value_path] = STATE(4008),
    [sym_module_path] = STATE(17789),
    [sym_constructor_path] = STATE(4008),
    [sym__instance_variable_name] = STATE(17931),
    [sym__constructor_name] = STATE(3820),
    [sym_tag] = STATE(4008),
    [sym__identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_DOT] = ACTIONS(3049),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__capitalized_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [330] = {
    [sym_value_definition] = STATE(19315),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11884),
    [sym__sequence_expression] = STATE(10455),
    [sym_typed_expression] = STATE(6579),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6579),
    [sym_array_expression] = STATE(6579),
    [sym_record_expression] = STATE(6579),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6579),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6579),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_refutation_case] = STATE(10455),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6579),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6579),
    [sym_package_expression] = STATE(6579),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6579),
    [sym_object_copy_expression] = STATE(6579),
    [sym_method_invocation] = STATE(6579),
    [sym_object_expression] = STATE(6579),
    [sym_parenthesized_expression] = STATE(6579),
    [sym_attribute] = STATE(330),
    [sym_extension] = STATE(6579),
    [sym_quoted_extension] = STATE(6579),
    [sym__constant] = STATE(6579),
    [sym_number] = STATE(6534),
    [sym_character] = STATE(6534),
    [sym_string] = STATE(6534),
    [sym_quoted_string] = STATE(6534),
    [sym_boolean] = STATE(6534),
    [sym_unit] = STATE(6534),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(6629),
    [sym_parenthesized_operator] = STATE(6159),
    [sym_value_path] = STATE(6579),
    [sym_module_path] = STATE(18629),
    [sym_constructor_path] = STATE(6579),
    [sym__instance_variable_name] = STATE(19301),
    [sym__constructor_name] = STATE(6641),
    [sym_tag] = STATE(6579),
    [sym__identifier] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_true] = ACTIONS(2475),
    [anon_sym_false] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(3069),
    [anon_sym_LBRACE] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(2479),
    [anon_sym_fun] = ACTIONS(2481),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2487),
    [anon_sym_function] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_LBRACE_LT] = ACTIONS(2495),
    [anon_sym_begin] = ACTIONS(2497),
    [sym_ocamlyacc_value] = ACTIONS(2499),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2501),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2503),
    [aux_sym_number_token1] = ACTIONS(2505),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [sym_prefix_operator] = ACTIONS(2511),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2513),
    [sym__capitalized_identifier] = ACTIONS(2515),
    [aux_sym_tag_token1] = ACTIONS(2517),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [331] = {
    [sym_value_definition] = STATE(19315),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11884),
    [sym__sequence_expression] = STATE(10393),
    [sym_typed_expression] = STATE(6579),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6579),
    [sym_array_expression] = STATE(6579),
    [sym_record_expression] = STATE(6579),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6579),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6579),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_refutation_case] = STATE(10393),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6579),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6579),
    [sym_package_expression] = STATE(6579),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6579),
    [sym_object_copy_expression] = STATE(6579),
    [sym_method_invocation] = STATE(6579),
    [sym_object_expression] = STATE(6579),
    [sym_parenthesized_expression] = STATE(6579),
    [sym_attribute] = STATE(331),
    [sym_extension] = STATE(6579),
    [sym_quoted_extension] = STATE(6579),
    [sym__constant] = STATE(6579),
    [sym_number] = STATE(6534),
    [sym_character] = STATE(6534),
    [sym_string] = STATE(6534),
    [sym_quoted_string] = STATE(6534),
    [sym_boolean] = STATE(6534),
    [sym_unit] = STATE(6534),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(6629),
    [sym_parenthesized_operator] = STATE(6159),
    [sym_value_path] = STATE(6579),
    [sym_module_path] = STATE(18629),
    [sym_constructor_path] = STATE(6579),
    [sym__instance_variable_name] = STATE(19301),
    [sym__constructor_name] = STATE(6641),
    [sym_tag] = STATE(6579),
    [sym__identifier] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_true] = ACTIONS(2475),
    [anon_sym_false] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(3069),
    [anon_sym_LBRACE] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(2479),
    [anon_sym_fun] = ACTIONS(2481),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2487),
    [anon_sym_function] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_LBRACE_LT] = ACTIONS(2495),
    [anon_sym_begin] = ACTIONS(2497),
    [sym_ocamlyacc_value] = ACTIONS(2499),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2501),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2503),
    [aux_sym_number_token1] = ACTIONS(2505),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [sym_prefix_operator] = ACTIONS(2511),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2513),
    [sym__capitalized_identifier] = ACTIONS(2515),
    [aux_sym_tag_token1] = ACTIONS(2517),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [332] = {
    [sym__simple_expression] = STATE(2804),
    [sym_typed_expression] = STATE(2797),
    [sym_list_expression] = STATE(2797),
    [sym_array_expression] = STATE(2797),
    [sym_record_expression] = STATE(2797),
    [sym_labeled_argument] = STATE(3984),
    [sym_prefix_expression] = STATE(2797),
    [sym_hash_expression] = STATE(2797),
    [sym_field_get_expression] = STATE(2797),
    [sym_array_get_expression] = STATE(2797),
    [sym_string_get_expression] = STATE(2797),
    [sym_bigarray_get_expression] = STATE(2797),
    [sym_coercion_expression] = STATE(2797),
    [sym_local_open_expression] = STATE(2797),
    [sym_package_expression] = STATE(2797),
    [sym_new_expression] = STATE(2797),
    [sym_object_copy_expression] = STATE(2797),
    [sym_method_invocation] = STATE(2797),
    [sym_object_expression] = STATE(2797),
    [sym_parenthesized_expression] = STATE(2797),
    [sym_attribute] = STATE(332),
    [sym_extension] = STATE(2797),
    [sym_quoted_extension] = STATE(2797),
    [sym__constant] = STATE(2797),
    [sym_number] = STATE(2930),
    [sym_character] = STATE(2930),
    [sym_string] = STATE(2930),
    [sym_quoted_string] = STATE(2930),
    [sym_boolean] = STATE(2930),
    [sym_unit] = STATE(2930),
    [sym__value_name] = STATE(2839),
    [sym_parenthesized_operator] = STATE(2889),
    [sym_value_path] = STATE(2797),
    [sym_module_path] = STATE(18705),
    [sym_constructor_path] = STATE(2797),
    [sym__constructor_name] = STATE(2931),
    [sym_tag] = STATE(2797),
    [aux_sym_class_application_repeat1] = STATE(1624),
    [sym__identifier] = ACTIONS(3101),
    [anon_sym_SEMI_SEMI] = ACTIONS(3081),
    [anon_sym_let] = ACTIONS(3083),
    [anon_sym_and] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3103),
    [anon_sym_QMARK] = ACTIONS(3103),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_external] = ACTIONS(3083),
    [anon_sym_type] = ACTIONS(3083),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_DOT] = ACTIONS(3105),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_exception] = ACTIONS(3083),
    [anon_sym_module] = ACTIONS(3083),
    [anon_sym_open] = ACTIONS(3083),
    [anon_sym_include] = ACTIONS(3083),
    [anon_sym_class] = ACTIONS(3083),
    [anon_sym_end] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_in] = ACTIONS(3083),
    [anon_sym_POUND] = ACTIONS(3107),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(391),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3081),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(3109),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym_let_operator] = ACTIONS(3081),
    [sym_let_and_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(403),
    [aux_sym_directive_token1] = ACTIONS(3083),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [333] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17981),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(333),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1401),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [334] = {
    [sym_value_definition] = STATE(17916),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12500),
    [sym__sequence_expression] = STATE(8186),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6322),
    [sym_array_get_expression] = STATE(6322),
    [sym_string_get_expression] = STATE(6322),
    [sym_bigarray_get_expression] = STATE(6322),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_refutation_case] = STATE(8186),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(334),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(17899),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2853),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2865),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2871),
    [anon_sym_function] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [335] = {
    [sym_value_definition] = STATE(17916),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12500),
    [sym__sequence_expression] = STATE(8167),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6322),
    [sym_array_get_expression] = STATE(6322),
    [sym_string_get_expression] = STATE(6322),
    [sym_bigarray_get_expression] = STATE(6322),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_refutation_case] = STATE(8167),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(335),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(17899),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2853),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2865),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2871),
    [anon_sym_function] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [336] = {
    [sym_value_definition] = STATE(18141),
    [sym__simple_expression] = STATE(761),
    [sym__expression] = STATE(8405),
    [sym__sequence_expression] = STATE(8260),
    [sym_typed_expression] = STATE(3546),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3546),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3546),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3342),
    [sym_array_get_expression] = STATE(3342),
    [sym_string_get_expression] = STATE(3342),
    [sym_bigarray_get_expression] = STATE(3342),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_refutation_case] = STATE(8260),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3546),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(336),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym_sign_operator] = STATE(2240),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__instance_variable_name] = STATE(18119),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [sym__identifier] = ACTIONS(753),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_DOT] = ACTIONS(3049),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3113),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(799),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [337] = {
    [sym_value_definition] = STATE(18141),
    [sym__simple_expression] = STATE(761),
    [sym__expression] = STATE(8405),
    [sym__sequence_expression] = STATE(8183),
    [sym_typed_expression] = STATE(3546),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3546),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3546),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3342),
    [sym_array_get_expression] = STATE(3342),
    [sym_string_get_expression] = STATE(3342),
    [sym_bigarray_get_expression] = STATE(3342),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_refutation_case] = STATE(8183),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3546),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(337),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym_sign_operator] = STATE(2240),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__instance_variable_name] = STATE(18119),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [sym__identifier] = ACTIONS(753),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_DOT] = ACTIONS(3049),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3113),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(799),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [338] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11664),
    [sym__sequence_expression] = STATE(10455),
    [sym_typed_expression] = STATE(6116),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6116),
    [sym_array_expression] = STATE(6116),
    [sym_record_expression] = STATE(6116),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6116),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6116),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5760),
    [sym_array_get_expression] = STATE(5760),
    [sym_string_get_expression] = STATE(5760),
    [sym_bigarray_get_expression] = STATE(5760),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_refutation_case] = STATE(10455),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6116),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6116),
    [sym_package_expression] = STATE(6116),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6116),
    [sym_object_copy_expression] = STATE(6116),
    [sym_method_invocation] = STATE(6116),
    [sym_object_expression] = STATE(6116),
    [sym_parenthesized_expression] = STATE(6116),
    [sym_attribute] = STATE(338),
    [sym_extension] = STATE(6116),
    [sym_quoted_extension] = STATE(6116),
    [sym__constant] = STATE(6116),
    [sym_number] = STATE(5848),
    [sym_character] = STATE(5848),
    [sym_string] = STATE(5848),
    [sym_quoted_string] = STATE(5848),
    [sym_boolean] = STATE(5848),
    [sym_unit] = STATE(5848),
    [sym_sign_operator] = STATE(2048),
    [sym__value_name] = STATE(5908),
    [sym_parenthesized_operator] = STATE(5895),
    [sym_value_path] = STATE(6116),
    [sym_module_path] = STATE(18667),
    [sym_constructor_path] = STATE(6116),
    [sym__instance_variable_name] = STATE(19432),
    [sym__constructor_name] = STATE(5849),
    [sym_tag] = STATE(6116),
    [sym__identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_DOT] = ACTIONS(3069),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__capitalized_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [339] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11664),
    [sym__sequence_expression] = STATE(10393),
    [sym_typed_expression] = STATE(6116),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6116),
    [sym_array_expression] = STATE(6116),
    [sym_record_expression] = STATE(6116),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6116),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6116),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5760),
    [sym_array_get_expression] = STATE(5760),
    [sym_string_get_expression] = STATE(5760),
    [sym_bigarray_get_expression] = STATE(5760),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_refutation_case] = STATE(10393),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6116),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6116),
    [sym_package_expression] = STATE(6116),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6116),
    [sym_object_copy_expression] = STATE(6116),
    [sym_method_invocation] = STATE(6116),
    [sym_object_expression] = STATE(6116),
    [sym_parenthesized_expression] = STATE(6116),
    [sym_attribute] = STATE(339),
    [sym_extension] = STATE(6116),
    [sym_quoted_extension] = STATE(6116),
    [sym__constant] = STATE(6116),
    [sym_number] = STATE(5848),
    [sym_character] = STATE(5848),
    [sym_string] = STATE(5848),
    [sym_quoted_string] = STATE(5848),
    [sym_boolean] = STATE(5848),
    [sym_unit] = STATE(5848),
    [sym_sign_operator] = STATE(2048),
    [sym__value_name] = STATE(5908),
    [sym_parenthesized_operator] = STATE(5895),
    [sym_value_path] = STATE(6116),
    [sym_module_path] = STATE(18667),
    [sym_constructor_path] = STATE(6116),
    [sym__instance_variable_name] = STATE(19432),
    [sym__constructor_name] = STATE(5849),
    [sym_tag] = STATE(6116),
    [sym__identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_DOT] = ACTIONS(3069),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__capitalized_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [340] = {
    [sym_value_definition] = STATE(18480),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12428),
    [sym__sequence_expression] = STATE(8186),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6319),
    [sym_array_get_expression] = STATE(6319),
    [sym_string_get_expression] = STATE(6319),
    [sym_bigarray_get_expression] = STATE(6319),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_refutation_case] = STATE(8186),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(340),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2337),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(18454),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2647),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [341] = {
    [sym_value_definition] = STATE(18480),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12428),
    [sym__sequence_expression] = STATE(8167),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6319),
    [sym_array_get_expression] = STATE(6319),
    [sym_string_get_expression] = STATE(6319),
    [sym_bigarray_get_expression] = STATE(6319),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_refutation_case] = STATE(8167),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(341),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2337),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(18454),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2647),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [342] = {
    [sym_value_definition] = STATE(18814),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9758),
    [sym__sequence_expression] = STATE(8186),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_refutation_case] = STATE(8186),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(342),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1019),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [343] = {
    [sym_value_definition] = STATE(18814),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9758),
    [sym__sequence_expression] = STATE(8167),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_refutation_case] = STATE(8167),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(343),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1019),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [344] = {
    [sym_value_definition] = STATE(18370),
    [sym__simple_expression] = STATE(763),
    [sym__expression] = STATE(8398),
    [sym__sequence_expression] = STATE(8260),
    [sym_typed_expression] = STATE(3668),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3668),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3668),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3405),
    [sym_array_get_expression] = STATE(3405),
    [sym_string_get_expression] = STATE(3405),
    [sym_bigarray_get_expression] = STATE(3405),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_refutation_case] = STATE(8260),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3668),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(344),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym_sign_operator] = STATE(1831),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__instance_variable_name] = STATE(18351),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [sym__identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_DOT] = ACTIONS(3049),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3119),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3121),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(741),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [345] = {
    [sym_value_definition] = STATE(18370),
    [sym__simple_expression] = STATE(763),
    [sym__expression] = STATE(8398),
    [sym__sequence_expression] = STATE(8183),
    [sym_typed_expression] = STATE(3668),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3668),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3668),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3405),
    [sym_array_get_expression] = STATE(3405),
    [sym_string_get_expression] = STATE(3405),
    [sym_bigarray_get_expression] = STATE(3405),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_refutation_case] = STATE(8183),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3668),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(345),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym_sign_operator] = STATE(1831),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__instance_variable_name] = STATE(18351),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [sym__identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_DOT] = ACTIONS(3049),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3119),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3121),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(741),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [346] = {
    [sym_value_definition] = STATE(18501),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(10888),
    [sym__sequence_expression] = STATE(10455),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5497),
    [sym_array_get_expression] = STATE(5497),
    [sym_string_get_expression] = STATE(5497),
    [sym_bigarray_get_expression] = STATE(5497),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_refutation_case] = STATE(10455),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(346),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(18138),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_DOT] = ACTIONS(3069),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [347] = {
    [sym_value_definition] = STATE(18501),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(10888),
    [sym__sequence_expression] = STATE(10393),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5497),
    [sym_array_get_expression] = STATE(5497),
    [sym_string_get_expression] = STATE(5497),
    [sym_bigarray_get_expression] = STATE(5497),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_refutation_case] = STATE(10393),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(347),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(18138),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_DOT] = ACTIONS(3069),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [348] = {
    [sym_value_definition] = STATE(19812),
    [sym__simple_expression] = STATE(1565),
    [sym__expression] = STATE(8521),
    [sym__sequence_expression] = STATE(8260),
    [sym_typed_expression] = STATE(3895),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3895),
    [sym_array_expression] = STATE(3895),
    [sym_record_expression] = STATE(3895),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3895),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3895),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3520),
    [sym_array_get_expression] = STATE(3520),
    [sym_string_get_expression] = STATE(3520),
    [sym_bigarray_get_expression] = STATE(3520),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_refutation_case] = STATE(8260),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3895),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3895),
    [sym_package_expression] = STATE(3895),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3895),
    [sym_object_copy_expression] = STATE(3895),
    [sym_method_invocation] = STATE(3895),
    [sym_object_expression] = STATE(3895),
    [sym_parenthesized_expression] = STATE(3895),
    [sym_attribute] = STATE(348),
    [sym_extension] = STATE(3895),
    [sym_quoted_extension] = STATE(3895),
    [sym__constant] = STATE(3895),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(1913),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(4006),
    [sym_value_path] = STATE(3895),
    [sym_module_path] = STATE(17569),
    [sym_constructor_path] = STATE(3895),
    [sym__instance_variable_name] = STATE(19697),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3895),
    [sym__identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_DOT] = ACTIONS(3049),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3123),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3125),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__capitalized_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [349] = {
    [sym_value_definition] = STATE(19812),
    [sym__simple_expression] = STATE(1565),
    [sym__expression] = STATE(8521),
    [sym__sequence_expression] = STATE(8183),
    [sym_typed_expression] = STATE(3895),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3895),
    [sym_array_expression] = STATE(3895),
    [sym_record_expression] = STATE(3895),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3895),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3895),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3520),
    [sym_array_get_expression] = STATE(3520),
    [sym_string_get_expression] = STATE(3520),
    [sym_bigarray_get_expression] = STATE(3520),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_refutation_case] = STATE(8183),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3895),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3895),
    [sym_package_expression] = STATE(3895),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3895),
    [sym_object_copy_expression] = STATE(3895),
    [sym_method_invocation] = STATE(3895),
    [sym_object_expression] = STATE(3895),
    [sym_parenthesized_expression] = STATE(3895),
    [sym_attribute] = STATE(349),
    [sym_extension] = STATE(3895),
    [sym_quoted_extension] = STATE(3895),
    [sym__constant] = STATE(3895),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(1913),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(4006),
    [sym_value_path] = STATE(3895),
    [sym_module_path] = STATE(17569),
    [sym_constructor_path] = STATE(3895),
    [sym__instance_variable_name] = STATE(19697),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3895),
    [sym__identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_DOT] = ACTIONS(3049),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3123),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3125),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__capitalized_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [350] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12025),
    [sym__sequence_expression] = STATE(10455),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_refutation_case] = STATE(10455),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(350),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_DOT] = ACTIONS(3069),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [351] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12025),
    [sym__sequence_expression] = STATE(10393),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_refutation_case] = STATE(10393),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(351),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_DOT] = ACTIONS(3069),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [352] = {
    [sym_value_definition] = STATE(20384),
    [sym__simple_expression] = STATE(2426),
    [sym__expression] = STATE(10117),
    [sym__sequence_expression] = STATE(8186),
    [sym_typed_expression] = STATE(5180),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5180),
    [sym_array_expression] = STATE(5180),
    [sym_record_expression] = STATE(5180),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5180),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5180),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5115),
    [sym_array_get_expression] = STATE(5115),
    [sym_string_get_expression] = STATE(5115),
    [sym_bigarray_get_expression] = STATE(5115),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_refutation_case] = STATE(8186),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5180),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5180),
    [sym_package_expression] = STATE(5180),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5180),
    [sym_object_copy_expression] = STATE(5180),
    [sym_method_invocation] = STATE(5180),
    [sym_object_expression] = STATE(5180),
    [sym_parenthesized_expression] = STATE(5180),
    [sym_attribute] = STATE(352),
    [sym_extension] = STATE(5180),
    [sym_quoted_extension] = STATE(5180),
    [sym__constant] = STATE(5180),
    [sym_number] = STATE(5232),
    [sym_character] = STATE(5232),
    [sym_string] = STATE(5232),
    [sym_quoted_string] = STATE(5232),
    [sym_boolean] = STATE(5232),
    [sym_unit] = STATE(5232),
    [sym_sign_operator] = STATE(2090),
    [sym__value_name] = STATE(5152),
    [sym_parenthesized_operator] = STATE(5171),
    [sym_value_path] = STATE(5180),
    [sym_module_path] = STATE(18780),
    [sym_constructor_path] = STATE(5180),
    [sym__instance_variable_name] = STATE(20196),
    [sym__constructor_name] = STATE(5210),
    [sym_tag] = STATE(5180),
    [sym__identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__capitalized_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [353] = {
    [sym_value_definition] = STATE(20384),
    [sym__simple_expression] = STATE(2426),
    [sym__expression] = STATE(10117),
    [sym__sequence_expression] = STATE(8167),
    [sym_typed_expression] = STATE(5180),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5180),
    [sym_array_expression] = STATE(5180),
    [sym_record_expression] = STATE(5180),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5180),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5180),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5115),
    [sym_array_get_expression] = STATE(5115),
    [sym_string_get_expression] = STATE(5115),
    [sym_bigarray_get_expression] = STATE(5115),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_refutation_case] = STATE(8167),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5180),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5180),
    [sym_package_expression] = STATE(5180),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5180),
    [sym_object_copy_expression] = STATE(5180),
    [sym_method_invocation] = STATE(5180),
    [sym_object_expression] = STATE(5180),
    [sym_parenthesized_expression] = STATE(5180),
    [sym_attribute] = STATE(353),
    [sym_extension] = STATE(5180),
    [sym_quoted_extension] = STATE(5180),
    [sym__constant] = STATE(5180),
    [sym_number] = STATE(5232),
    [sym_character] = STATE(5232),
    [sym_string] = STATE(5232),
    [sym_quoted_string] = STATE(5232),
    [sym_boolean] = STATE(5232),
    [sym_unit] = STATE(5232),
    [sym_sign_operator] = STATE(2090),
    [sym__value_name] = STATE(5152),
    [sym_parenthesized_operator] = STATE(5171),
    [sym_value_path] = STATE(5180),
    [sym_module_path] = STATE(18780),
    [sym_constructor_path] = STATE(5180),
    [sym__instance_variable_name] = STATE(20196),
    [sym__constructor_name] = STATE(5210),
    [sym_tag] = STATE(5180),
    [sym__identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__capitalized_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [354] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(322),
    [sym__expression] = STATE(8144),
    [sym__sequence_expression] = STATE(8260),
    [sym_typed_expression] = STATE(2743),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2743),
    [sym_array_expression] = STATE(2743),
    [sym_record_expression] = STATE(2743),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2743),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2743),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2695),
    [sym_array_get_expression] = STATE(2695),
    [sym_string_get_expression] = STATE(2695),
    [sym_bigarray_get_expression] = STATE(2695),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_refutation_case] = STATE(8260),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2743),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2743),
    [sym_package_expression] = STATE(2743),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2743),
    [sym_object_copy_expression] = STATE(2743),
    [sym_method_invocation] = STATE(2743),
    [sym_object_expression] = STATE(2743),
    [sym_parenthesized_expression] = STATE(2743),
    [sym_attribute] = STATE(354),
    [sym_extension] = STATE(2743),
    [sym_quoted_extension] = STATE(2743),
    [sym__constant] = STATE(2743),
    [sym_number] = STATE(2910),
    [sym_character] = STATE(2910),
    [sym_string] = STATE(2910),
    [sym_quoted_string] = STATE(2910),
    [sym_boolean] = STATE(2910),
    [sym_unit] = STATE(2910),
    [sym_sign_operator] = STATE(1889),
    [sym__value_name] = STATE(2783),
    [sym_parenthesized_operator] = STATE(2843),
    [sym_value_path] = STATE(2743),
    [sym_module_path] = STATE(18591),
    [sym_constructor_path] = STATE(2743),
    [sym__instance_variable_name] = STATE(19174),
    [sym__constructor_name] = STATE(2911),
    [sym_tag] = STATE(2743),
    [sym__identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOT] = ACTIONS(3049),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3127),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3129),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__capitalized_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [355] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(322),
    [sym__expression] = STATE(8144),
    [sym__sequence_expression] = STATE(8183),
    [sym_typed_expression] = STATE(2743),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2743),
    [sym_array_expression] = STATE(2743),
    [sym_record_expression] = STATE(2743),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2743),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2743),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2695),
    [sym_array_get_expression] = STATE(2695),
    [sym_string_get_expression] = STATE(2695),
    [sym_bigarray_get_expression] = STATE(2695),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_refutation_case] = STATE(8183),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2743),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2743),
    [sym_package_expression] = STATE(2743),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2743),
    [sym_object_copy_expression] = STATE(2743),
    [sym_method_invocation] = STATE(2743),
    [sym_object_expression] = STATE(2743),
    [sym_parenthesized_expression] = STATE(2743),
    [sym_attribute] = STATE(355),
    [sym_extension] = STATE(2743),
    [sym_quoted_extension] = STATE(2743),
    [sym__constant] = STATE(2743),
    [sym_number] = STATE(2910),
    [sym_character] = STATE(2910),
    [sym_string] = STATE(2910),
    [sym_quoted_string] = STATE(2910),
    [sym_boolean] = STATE(2910),
    [sym_unit] = STATE(2910),
    [sym_sign_operator] = STATE(1889),
    [sym__value_name] = STATE(2783),
    [sym_parenthesized_operator] = STATE(2843),
    [sym_value_path] = STATE(2743),
    [sym_module_path] = STATE(18591),
    [sym_constructor_path] = STATE(2743),
    [sym__instance_variable_name] = STATE(19174),
    [sym__constructor_name] = STATE(2911),
    [sym_tag] = STATE(2743),
    [sym__identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOT] = ACTIONS(3049),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3127),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3129),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__capitalized_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [356] = {
    [sym_value_definition] = STATE(19448),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8559),
    [sym__sequence_expression] = STATE(8183),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_refutation_case] = STATE(8183),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(356),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_tag] = STATE(4083),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_DOT] = ACTIONS(3049),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [357] = {
    [sym_value_definition] = STATE(19097),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8551),
    [sym__sequence_expression] = STATE(8183),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_refutation_case] = STATE(8183),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(357),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(3049),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [358] = {
    [sym_value_definition] = STATE(18311),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11920),
    [sym__sequence_expression] = STATE(8186),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6006),
    [sym_array_get_expression] = STATE(6006),
    [sym_string_get_expression] = STATE(6006),
    [sym_bigarray_get_expression] = STATE(6006),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_refutation_case] = STATE(8186),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(358),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(1815),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(20371),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(1849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1855),
    [anon_sym_function] = ACTIONS(1857),
    [anon_sym_try] = ACTIONS(1859),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1881),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [359] = {
    [sym_value_definition] = STATE(18311),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11920),
    [sym__sequence_expression] = STATE(8167),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6006),
    [sym_array_get_expression] = STATE(6006),
    [sym_string_get_expression] = STATE(6006),
    [sym_bigarray_get_expression] = STATE(6006),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_refutation_case] = STATE(8167),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(359),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(1815),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(20371),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(1849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1855),
    [anon_sym_function] = ACTIONS(1857),
    [anon_sym_try] = ACTIONS(1859),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1881),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [360] = {
    [sym_value_definition] = STATE(19640),
    [sym__simple_expression] = STATE(332),
    [sym__expression] = STATE(8181),
    [sym__sequence_expression] = STATE(8260),
    [sym_typed_expression] = STATE(2797),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2797),
    [sym_array_expression] = STATE(2797),
    [sym_record_expression] = STATE(2797),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2797),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2797),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2712),
    [sym_array_get_expression] = STATE(2712),
    [sym_string_get_expression] = STATE(2712),
    [sym_bigarray_get_expression] = STATE(2712),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_refutation_case] = STATE(8260),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2797),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2797),
    [sym_package_expression] = STATE(2797),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2797),
    [sym_object_copy_expression] = STATE(2797),
    [sym_method_invocation] = STATE(2797),
    [sym_object_expression] = STATE(2797),
    [sym_parenthesized_expression] = STATE(2797),
    [sym_attribute] = STATE(360),
    [sym_extension] = STATE(2797),
    [sym_quoted_extension] = STATE(2797),
    [sym__constant] = STATE(2797),
    [sym_number] = STATE(2930),
    [sym_character] = STATE(2930),
    [sym_string] = STATE(2930),
    [sym_quoted_string] = STATE(2930),
    [sym_boolean] = STATE(2930),
    [sym_unit] = STATE(2930),
    [sym_sign_operator] = STATE(1941),
    [sym__value_name] = STATE(2839),
    [sym_parenthesized_operator] = STATE(2889),
    [sym_value_path] = STATE(2797),
    [sym_module_path] = STATE(18705),
    [sym_constructor_path] = STATE(2797),
    [sym__instance_variable_name] = STATE(19619),
    [sym__constructor_name] = STATE(2931),
    [sym_tag] = STATE(2797),
    [sym__identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_DOT] = ACTIONS(3049),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3131),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3133),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__capitalized_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [361] = {
    [sym_value_definition] = STATE(19640),
    [sym__simple_expression] = STATE(332),
    [sym__expression] = STATE(8181),
    [sym__sequence_expression] = STATE(8183),
    [sym_typed_expression] = STATE(2797),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2797),
    [sym_array_expression] = STATE(2797),
    [sym_record_expression] = STATE(2797),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2797),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2797),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2712),
    [sym_array_get_expression] = STATE(2712),
    [sym_string_get_expression] = STATE(2712),
    [sym_bigarray_get_expression] = STATE(2712),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_refutation_case] = STATE(8183),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2797),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2797),
    [sym_package_expression] = STATE(2797),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2797),
    [sym_object_copy_expression] = STATE(2797),
    [sym_method_invocation] = STATE(2797),
    [sym_object_expression] = STATE(2797),
    [sym_parenthesized_expression] = STATE(2797),
    [sym_attribute] = STATE(361),
    [sym_extension] = STATE(2797),
    [sym_quoted_extension] = STATE(2797),
    [sym__constant] = STATE(2797),
    [sym_number] = STATE(2930),
    [sym_character] = STATE(2930),
    [sym_string] = STATE(2930),
    [sym_quoted_string] = STATE(2930),
    [sym_boolean] = STATE(2930),
    [sym_unit] = STATE(2930),
    [sym_sign_operator] = STATE(1941),
    [sym__value_name] = STATE(2839),
    [sym_parenthesized_operator] = STATE(2889),
    [sym_value_path] = STATE(2797),
    [sym_module_path] = STATE(18705),
    [sym_constructor_path] = STATE(2797),
    [sym__instance_variable_name] = STATE(19619),
    [sym__constructor_name] = STATE(2931),
    [sym_tag] = STATE(2797),
    [sym__identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_DOT] = ACTIONS(3049),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3131),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3133),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__capitalized_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [362] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18738),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(362),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(597),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [363] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17315),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(363),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(806),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [364] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12705),
    [sym__sequence_expression] = STATE(17317),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(364),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__attribute] = STATE(907),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [365] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16815),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(365),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(992),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [366] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17533),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(366),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(939),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [367] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12705),
    [sym__sequence_expression] = STATE(17198),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(367),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__attribute] = STATE(948),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [368] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17180),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(368),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(979),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [369] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12705),
    [sym__sequence_expression] = STATE(17375),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(369),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__attribute] = STATE(965),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [370] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17344),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(370),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(1324),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [371] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17079),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(371),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(1414),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [372] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16720),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(372),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(1492),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [373] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17154),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(373),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(576),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [374] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16952),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(374),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(595),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [375] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17374),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(375),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(614),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [376] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17037),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(376),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(632),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [377] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16491),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(377),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(650),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [378] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17003),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(378),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(666),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [379] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17149),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(379),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(944),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [380] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16910),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(380),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(694),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [381] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17448),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(381),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(708),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [382] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17241),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(382),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(715),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [383] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16769),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(383),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(722),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [384] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17093),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(384),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(729),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [385] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17385),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(385),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(736),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [386] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16563),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(386),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(743),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [387] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16783),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(387),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(750),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [388] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17018),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(388),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(757),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [389] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17201),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(389),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(764),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [390] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17334),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(390),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(770),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [391] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17462),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(391),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(776),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [392] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17139),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(392),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(943),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [393] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17153),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(393),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(551),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [394] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16497),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(394),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(786),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [395] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16597),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(395),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(792),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [396] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16690),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(396),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(797),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [397] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16793),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(397),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(802),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [398] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17007),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(398),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(807),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [399] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17165),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(399),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(945),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [400] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17471),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(400),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(906),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [401] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(20113),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(401),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1299),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [402] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(20139),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(402),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1300),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [403] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17225),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(403),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(947),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [404] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(404),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1305),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [405] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18248),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(405),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1306),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [406] = {
    [sym_value_definition] = STATE(17646),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(10625),
    [sym__sequence_expression] = STATE(8186),
    [sym_typed_expression] = STATE(5401),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5401),
    [sym_array_expression] = STATE(5401),
    [sym_record_expression] = STATE(5401),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5401),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5401),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5205),
    [sym_array_get_expression] = STATE(5205),
    [sym_string_get_expression] = STATE(5205),
    [sym_bigarray_get_expression] = STATE(5205),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_refutation_case] = STATE(8186),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5401),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5401),
    [sym_package_expression] = STATE(5401),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5401),
    [sym_object_copy_expression] = STATE(5401),
    [sym_method_invocation] = STATE(5401),
    [sym_object_expression] = STATE(5401),
    [sym_parenthesized_expression] = STATE(5401),
    [sym_attribute] = STATE(406),
    [sym_extension] = STATE(5401),
    [sym_quoted_extension] = STATE(5401),
    [sym__constant] = STATE(5401),
    [sym_number] = STATE(5380),
    [sym_character] = STATE(5380),
    [sym_string] = STATE(5380),
    [sym_quoted_string] = STATE(5380),
    [sym_boolean] = STATE(5380),
    [sym_unit] = STATE(5380),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5400),
    [sym_value_path] = STATE(5401),
    [sym_module_path] = STATE(18005),
    [sym_constructor_path] = STATE(5401),
    [sym__instance_variable_name] = STATE(17611),
    [sym__constructor_name] = STATE(5359),
    [sym_tag] = STATE(5401),
    [sym__identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__capitalized_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [407] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17441),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(407),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(964),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [408] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18648),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(408),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1312),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [409] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18651),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(409),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1313),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [410] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16592),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(410),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(980),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [411] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(19011),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(411),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1316),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [412] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(19018),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(412),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1317),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [413] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16723),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(413),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(993),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [414] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(19212),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(414),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1322),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [415] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(19219),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(415),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1323),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [416] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16840),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(416),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(1006),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [417] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(19450),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(417),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1328),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [418] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(19462),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(418),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1329),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [419] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16946),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(419),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(1014),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [420] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(19674),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(420),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1332),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [421] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(19686),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(421),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1333),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [422] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17005),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(422),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(1022),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [423] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(19855),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(423),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1337),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [424] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(19860),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(424),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1338),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [425] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17077),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(425),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(1031),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [426] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(20043),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(426),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1342),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [427] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(20048),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(427),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1343),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [428] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17143),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(428),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(1040),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [429] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(20183),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(429),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1348),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [430] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(20186),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(430),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1349),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [431] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17194),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(431),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(1049),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [432] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(20403),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(432),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1354),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [433] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(20409),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(433),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1355),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [434] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17578),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(434),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1359),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [435] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17579),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(435),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1360),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [436] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17634),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(436),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1364),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [437] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17635),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(437),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1365),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [438] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17688),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(438),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1369),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [439] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17689),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(439),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1370),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [440] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17742),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(440),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1374),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [441] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17743),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(441),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1375),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [442] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17796),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(442),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1379),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [443] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17797),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(443),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1380),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [444] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17850),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(444),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1384),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [445] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17851),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(445),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1385),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [446] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17904),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(446),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1389),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [447] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17905),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(447),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1390),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [448] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17958),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(448),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1394),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [449] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17959),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(449),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1395),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [450] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18012),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(450),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1399),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [451] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18013),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(451),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1400),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [452] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18066),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(452),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1403),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [453] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18067),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(453),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1404),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [454] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18116),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(454),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1407),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [455] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18117),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(455),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1408),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [456] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18157),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(456),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1412),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [457] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18158),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(457),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1413),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [458] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18197),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(458),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1416),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [459] = {
    [sym_value_definition] = STATE(19068),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11993),
    [sym__sequence_expression] = STATE(8186),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6007),
    [sym_array_get_expression] = STATE(6007),
    [sym_string_get_expression] = STATE(6007),
    [sym_bigarray_get_expression] = STATE(6007),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_refutation_case] = STATE(8186),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(459),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(2105),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(17788),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(1907),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(1919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(1927),
    [anon_sym_try] = ACTIONS(1929),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1951),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [460] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18237),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(460),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1420),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [461] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18238),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(461),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1421),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [462] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18277),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(462),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1423),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [463] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18278),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(463),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1424),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [464] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18317),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(464),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1427),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [465] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18318),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(465),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1428),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [466] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18357),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(466),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1432),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [467] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18358),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(467),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1433),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [468] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18397),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(468),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1437),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [469] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18398),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(469),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1438),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [470] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18437),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(470),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1442),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [471] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18438),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(471),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1443),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [472] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18477),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(472),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1447),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [473] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18478),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(473),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1448),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [474] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18517),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(474),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1452),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [475] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18518),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(475),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1453),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [476] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18556),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(476),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1457),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [477] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18557),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(477),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1458),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [478] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18595),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(478),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1462),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [479] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18596),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(479),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1463),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [480] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18633),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(480),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1467),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [481] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18634),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(481),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1468),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [482] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18671),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(482),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1472),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [483] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18672),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(483),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1473),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [484] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18709),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(484),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1477),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [485] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18710),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(485),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1478),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [486] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18747),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(486),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1481),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [487] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18748),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(487),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1482),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [488] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18784),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(488),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1485),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [489] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18785),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(489),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1486),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [490] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18821),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(490),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1490),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [491] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18822),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(491),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1491),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [492] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18858),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(492),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1494),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [493] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18859),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(493),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1495),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [494] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18894),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(494),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1498),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [495] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18895),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(495),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1499),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [496] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18929),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(496),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1501),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [497] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18930),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(497),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__attribute] = STATE(1502),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [498] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17307),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(498),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__attribute] = STATE(680),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [499] = {
    [sym_value_definition] = STATE(18092),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12638),
    [sym__sequence_expression] = STATE(18975),
    [sym_typed_expression] = STATE(7127),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(7127),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(7127),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(7127),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(499),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym_sign_operator] = STATE(1954),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__instance_variable_name] = STATE(18010),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [sym__identifier] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2735),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_done] = ACTIONS(3135),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_function] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2779),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [500] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(500),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3137),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [501] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(501),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3139),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [502] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(502),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3141),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [503] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(503),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [504] = {
    [sym__simple_expression] = STATE(3254),
    [sym_typed_expression] = STATE(3246),
    [sym_list_expression] = STATE(3246),
    [sym_array_expression] = STATE(3246),
    [sym_record_expression] = STATE(3246),
    [sym_labeled_argument] = STATE(4069),
    [sym_prefix_expression] = STATE(3246),
    [sym_hash_expression] = STATE(3246),
    [sym_field_get_expression] = STATE(3246),
    [sym_array_get_expression] = STATE(3246),
    [sym_string_get_expression] = STATE(3246),
    [sym_bigarray_get_expression] = STATE(3246),
    [sym_coercion_expression] = STATE(3246),
    [sym_local_open_expression] = STATE(3246),
    [sym_package_expression] = STATE(3246),
    [sym_new_expression] = STATE(3246),
    [sym_object_copy_expression] = STATE(3246),
    [sym_method_invocation] = STATE(3246),
    [sym_object_expression] = STATE(3246),
    [sym_parenthesized_expression] = STATE(3246),
    [sym_attribute] = STATE(504),
    [sym_extension] = STATE(3246),
    [sym_quoted_extension] = STATE(3246),
    [sym__constant] = STATE(3246),
    [sym_number] = STATE(3390),
    [sym_character] = STATE(3390),
    [sym_string] = STATE(3390),
    [sym_quoted_string] = STATE(3390),
    [sym_boolean] = STATE(3390),
    [sym_unit] = STATE(3390),
    [sym__value_name] = STATE(3293),
    [sym_parenthesized_operator] = STATE(3329),
    [sym_value_path] = STATE(3246),
    [sym_module_path] = STATE(18854),
    [sym_constructor_path] = STATE(3246),
    [sym__constructor_name] = STATE(3391),
    [sym_tag] = STATE(3246),
    [aux_sym_class_application_repeat1] = STATE(2315),
    [sym__identifier] = ACTIONS(3145),
    [anon_sym_SEMI_SEMI] = ACTIONS(3081),
    [anon_sym_let] = ACTIONS(3083),
    [anon_sym_and] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3147),
    [anon_sym_QMARK] = ACTIONS(3147),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_external] = ACTIONS(3083),
    [anon_sym_type] = ACTIONS(3083),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_DOT] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_exception] = ACTIONS(3083),
    [anon_sym_module] = ACTIONS(3083),
    [anon_sym_open] = ACTIONS(3083),
    [anon_sym_include] = ACTIONS(3083),
    [anon_sym_class] = ACTIONS(3083),
    [anon_sym_end] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_POUND] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(667),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(669),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3081),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(3153),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym_let_operator] = ACTIONS(3081),
    [sym_let_and_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(681),
    [aux_sym_directive_token1] = ACTIONS(3083),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [505] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(505),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3155),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [506] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(506),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3157),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [507] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(507),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3159),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [508] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(508),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3161),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [509] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(509),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3163),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [510] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(510),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3165),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [511] = {
    [sym_value_definition] = STATE(18092),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12638),
    [sym__sequence_expression] = STATE(17921),
    [sym_typed_expression] = STATE(7127),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(7127),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(7127),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(7127),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(511),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym_sign_operator] = STATE(1954),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__instance_variable_name] = STATE(18010),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [sym__identifier] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2735),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_done] = ACTIONS(3167),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_function] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2779),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [512] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(512),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3169),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [513] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(513),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [514] = {
    [sym_value_definition] = STATE(18092),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12638),
    [sym__sequence_expression] = STATE(19622),
    [sym_typed_expression] = STATE(7127),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(7127),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(7127),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(7127),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(514),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym_sign_operator] = STATE(1954),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__instance_variable_name] = STATE(18010),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [sym__identifier] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2735),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_done] = ACTIONS(3173),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_function] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2779),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [515] = {
    [sym__simple_expression] = STATE(3473),
    [sym_typed_expression] = STATE(3210),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_labeled_argument] = STATE(4260),
    [sym_prefix_expression] = STATE(3210),
    [sym_hash_expression] = STATE(3210),
    [sym_field_get_expression] = STATE(3210),
    [sym_array_get_expression] = STATE(3210),
    [sym_string_get_expression] = STATE(3210),
    [sym_bigarray_get_expression] = STATE(3210),
    [sym_coercion_expression] = STATE(3210),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(515),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [aux_sym_class_application_repeat1] = STATE(2064),
    [sym__identifier] = ACTIONS(3175),
    [anon_sym_SEMI_SEMI] = ACTIONS(3081),
    [anon_sym_let] = ACTIONS(3083),
    [anon_sym_and] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3177),
    [anon_sym_QMARK] = ACTIONS(3177),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_external] = ACTIONS(3083),
    [anon_sym_type] = ACTIONS(3083),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_DOT] = ACTIONS(3179),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_exception] = ACTIONS(3083),
    [anon_sym_module] = ACTIONS(3083),
    [anon_sym_open] = ACTIONS(3083),
    [anon_sym_include] = ACTIONS(3083),
    [anon_sym_class] = ACTIONS(3083),
    [anon_sym_end] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_in] = ACTIONS(3083),
    [anon_sym_POUND] = ACTIONS(3181),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(493),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(495),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3081),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(3183),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym_let_operator] = ACTIONS(3081),
    [sym_let_and_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_directive_token1] = ACTIONS(3083),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [516] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(516),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3185),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [517] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(517),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [518] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(518),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [519] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(519),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3191),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [520] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(520),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [521] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(521),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3195),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [522] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(522),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3197),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [523] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(523),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3199),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [524] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(524),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3201),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [525] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(525),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [526] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(526),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [527] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(527),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [528] = {
    [sym__simple_expression] = STATE(3106),
    [sym_typed_expression] = STATE(3337),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_labeled_argument] = STATE(4170),
    [sym_prefix_expression] = STATE(3337),
    [sym_hash_expression] = STATE(3337),
    [sym_field_get_expression] = STATE(3337),
    [sym_array_get_expression] = STATE(3337),
    [sym_string_get_expression] = STATE(3337),
    [sym_bigarray_get_expression] = STATE(3337),
    [sym_coercion_expression] = STATE(3337),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(528),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [aux_sym_class_application_repeat1] = STATE(1883),
    [sym__identifier] = ACTIONS(3209),
    [anon_sym_SEMI_SEMI] = ACTIONS(3081),
    [anon_sym_let] = ACTIONS(3083),
    [anon_sym_and] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_QMARK] = ACTIONS(3211),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_external] = ACTIONS(3083),
    [anon_sym_type] = ACTIONS(3083),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_RBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_DOT] = ACTIONS(3213),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_exception] = ACTIONS(3083),
    [anon_sym_module] = ACTIONS(3083),
    [anon_sym_open] = ACTIONS(3083),
    [anon_sym_include] = ACTIONS(3083),
    [anon_sym_class] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_in] = ACTIONS(3083),
    [anon_sym_POUND] = ACTIONS(3215),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(441),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(443),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3081),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(3217),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym_let_operator] = ACTIONS(3081),
    [sym_let_and_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_directive_token1] = ACTIONS(3083),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [529] = {
    [sym__simple_expression] = STATE(3198),
    [sym_typed_expression] = STATE(3189),
    [sym_list_expression] = STATE(3189),
    [sym_array_expression] = STATE(3189),
    [sym_record_expression] = STATE(3189),
    [sym_labeled_argument] = STATE(4264),
    [sym_prefix_expression] = STATE(3189),
    [sym_hash_expression] = STATE(3189),
    [sym_field_get_expression] = STATE(3189),
    [sym_array_get_expression] = STATE(3189),
    [sym_string_get_expression] = STATE(3189),
    [sym_bigarray_get_expression] = STATE(3189),
    [sym_coercion_expression] = STATE(3189),
    [sym_local_open_expression] = STATE(3189),
    [sym_package_expression] = STATE(3189),
    [sym_new_expression] = STATE(3189),
    [sym_object_copy_expression] = STATE(3189),
    [sym_method_invocation] = STATE(3189),
    [sym_object_expression] = STATE(3189),
    [sym_parenthesized_expression] = STATE(3189),
    [sym_attribute] = STATE(529),
    [sym_extension] = STATE(3189),
    [sym_quoted_extension] = STATE(3189),
    [sym__constant] = STATE(3189),
    [sym_number] = STATE(3378),
    [sym_character] = STATE(3378),
    [sym_string] = STATE(3378),
    [sym_quoted_string] = STATE(3378),
    [sym_boolean] = STATE(3378),
    [sym_unit] = STATE(3378),
    [sym__value_name] = STATE(3248),
    [sym_parenthesized_operator] = STATE(3324),
    [sym_value_path] = STATE(3189),
    [sym_module_path] = STATE(18817),
    [sym_constructor_path] = STATE(3189),
    [sym__constructor_name] = STATE(3379),
    [sym_tag] = STATE(3189),
    [aux_sym_class_application_repeat1] = STATE(2274),
    [sym__identifier] = ACTIONS(3219),
    [anon_sym_SEMI_SEMI] = ACTIONS(3081),
    [anon_sym_let] = ACTIONS(3083),
    [anon_sym_and] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3221),
    [anon_sym_QMARK] = ACTIONS(3221),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_external] = ACTIONS(3083),
    [anon_sym_type] = ACTIONS(3083),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_exception] = ACTIONS(3083),
    [anon_sym_module] = ACTIONS(3083),
    [anon_sym_open] = ACTIONS(3083),
    [anon_sym_include] = ACTIONS(3083),
    [anon_sym_class] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_POUND] = ACTIONS(3225),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(617),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3081),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(3227),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym_let_operator] = ACTIONS(3081),
    [sym_let_and_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(629),
    [aux_sym_directive_token1] = ACTIONS(3083),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [530] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(530),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3229),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [531] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(531),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [532] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(532),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3233),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [533] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(533),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3235),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [534] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(534),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [535] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(535),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3239),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [536] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(536),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [537] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(537),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3243),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [538] = {
    [sym_value_definition] = STATE(18092),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12638),
    [sym__sequence_expression] = STATE(18169),
    [sym_typed_expression] = STATE(7127),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(7127),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(7127),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(7127),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(538),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym_sign_operator] = STATE(1954),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__instance_variable_name] = STATE(18010),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [sym__identifier] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2735),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_done] = ACTIONS(3245),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_function] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2779),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [539] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(539),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3247),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [540] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(540),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3249),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [541] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(541),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3251),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [542] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(542),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [543] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(543),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [544] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(544),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3257),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [545] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(545),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3259),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [546] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(546),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3261),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [547] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(547),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3263),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [548] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(548),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3265),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [549] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(549),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3267),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [550] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(550),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [551] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16464),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(551),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [552] = {
    [sym_value_definition] = STATE(19097),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8551),
    [sym__sequence_expression] = STATE(8256),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(552),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [553] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9894),
    [sym__sequence_expression] = STATE(7955),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(553),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [554] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9894),
    [sym__sequence_expression] = STATE(7957),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(554),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [555] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9894),
    [sym__sequence_expression] = STATE(7959),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(555),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [556] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9894),
    [sym__sequence_expression] = STATE(7990),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(556),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [557] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12025),
    [sym__sequence_expression] = STATE(10492),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(557),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [558] = {
    [sym_value_definition] = STATE(19640),
    [sym__simple_expression] = STATE(332),
    [sym__expression] = STATE(8181),
    [sym__sequence_expression] = STATE(7493),
    [sym_typed_expression] = STATE(2797),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2797),
    [sym_array_expression] = STATE(2797),
    [sym_record_expression] = STATE(2797),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2797),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2797),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2712),
    [sym_array_get_expression] = STATE(2712),
    [sym_string_get_expression] = STATE(2712),
    [sym_bigarray_get_expression] = STATE(2712),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2797),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2797),
    [sym_package_expression] = STATE(2797),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2797),
    [sym_object_copy_expression] = STATE(2797),
    [sym_method_invocation] = STATE(2797),
    [sym_object_expression] = STATE(2797),
    [sym_parenthesized_expression] = STATE(2797),
    [sym_attribute] = STATE(558),
    [sym_extension] = STATE(2797),
    [sym_quoted_extension] = STATE(2797),
    [sym__constant] = STATE(2797),
    [sym_number] = STATE(2930),
    [sym_character] = STATE(2930),
    [sym_string] = STATE(2930),
    [sym_quoted_string] = STATE(2930),
    [sym_boolean] = STATE(2930),
    [sym_unit] = STATE(2930),
    [sym_sign_operator] = STATE(1941),
    [sym__value_name] = STATE(2839),
    [sym_parenthesized_operator] = STATE(2889),
    [sym_value_path] = STATE(2797),
    [sym_module_path] = STATE(18705),
    [sym_constructor_path] = STATE(2797),
    [sym__instance_variable_name] = STATE(19619),
    [sym__constructor_name] = STATE(2931),
    [sym_tag] = STATE(2797),
    [sym__identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3131),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3133),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__capitalized_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [559] = {
    [sym_value_definition] = STATE(19315),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11884),
    [sym__sequence_expression] = STATE(10436),
    [sym_typed_expression] = STATE(6579),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6579),
    [sym_array_expression] = STATE(6579),
    [sym_record_expression] = STATE(6579),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6579),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6579),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6579),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6579),
    [sym_package_expression] = STATE(6579),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6579),
    [sym_object_copy_expression] = STATE(6579),
    [sym_method_invocation] = STATE(6579),
    [sym_object_expression] = STATE(6579),
    [sym_parenthesized_expression] = STATE(6579),
    [sym_attribute] = STATE(559),
    [sym_extension] = STATE(6579),
    [sym_quoted_extension] = STATE(6579),
    [sym__constant] = STATE(6579),
    [sym_number] = STATE(6534),
    [sym_character] = STATE(6534),
    [sym_string] = STATE(6534),
    [sym_quoted_string] = STATE(6534),
    [sym_boolean] = STATE(6534),
    [sym_unit] = STATE(6534),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(6629),
    [sym_parenthesized_operator] = STATE(6159),
    [sym_value_path] = STATE(6579),
    [sym_module_path] = STATE(18629),
    [sym_constructor_path] = STATE(6579),
    [sym__instance_variable_name] = STATE(19301),
    [sym__constructor_name] = STATE(6641),
    [sym_tag] = STATE(6579),
    [sym__identifier] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_true] = ACTIONS(2475),
    [anon_sym_false] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(2479),
    [anon_sym_fun] = ACTIONS(2481),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2487),
    [anon_sym_function] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_LBRACE_LT] = ACTIONS(2495),
    [anon_sym_begin] = ACTIONS(2497),
    [sym_ocamlyacc_value] = ACTIONS(2499),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2501),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2503),
    [aux_sym_number_token1] = ACTIONS(2505),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [sym_prefix_operator] = ACTIONS(2511),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2513),
    [sym__capitalized_identifier] = ACTIONS(2515),
    [aux_sym_tag_token1] = ACTIONS(2517),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [560] = {
    [sym_value_definition] = STATE(19315),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11884),
    [sym__sequence_expression] = STATE(10408),
    [sym_typed_expression] = STATE(6579),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6579),
    [sym_array_expression] = STATE(6579),
    [sym_record_expression] = STATE(6579),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6579),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6579),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6579),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6579),
    [sym_package_expression] = STATE(6579),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6579),
    [sym_object_copy_expression] = STATE(6579),
    [sym_method_invocation] = STATE(6579),
    [sym_object_expression] = STATE(6579),
    [sym_parenthesized_expression] = STATE(6579),
    [sym_attribute] = STATE(560),
    [sym_extension] = STATE(6579),
    [sym_quoted_extension] = STATE(6579),
    [sym__constant] = STATE(6579),
    [sym_number] = STATE(6534),
    [sym_character] = STATE(6534),
    [sym_string] = STATE(6534),
    [sym_quoted_string] = STATE(6534),
    [sym_boolean] = STATE(6534),
    [sym_unit] = STATE(6534),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(6629),
    [sym_parenthesized_operator] = STATE(6159),
    [sym_value_path] = STATE(6579),
    [sym_module_path] = STATE(18629),
    [sym_constructor_path] = STATE(6579),
    [sym__instance_variable_name] = STATE(19301),
    [sym__constructor_name] = STATE(6641),
    [sym_tag] = STATE(6579),
    [sym__identifier] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_true] = ACTIONS(2475),
    [anon_sym_false] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(2479),
    [anon_sym_fun] = ACTIONS(2481),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2487),
    [anon_sym_function] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_LBRACE_LT] = ACTIONS(2495),
    [anon_sym_begin] = ACTIONS(2497),
    [sym_ocamlyacc_value] = ACTIONS(2499),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2501),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2503),
    [aux_sym_number_token1] = ACTIONS(2505),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [sym_prefix_operator] = ACTIONS(2511),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2513),
    [sym__capitalized_identifier] = ACTIONS(2515),
    [aux_sym_tag_token1] = ACTIONS(2517),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [561] = {
    [sym_value_definition] = STATE(19315),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11884),
    [sym__sequence_expression] = STATE(10409),
    [sym_typed_expression] = STATE(6579),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6579),
    [sym_array_expression] = STATE(6579),
    [sym_record_expression] = STATE(6579),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6579),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6579),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6579),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6579),
    [sym_package_expression] = STATE(6579),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6579),
    [sym_object_copy_expression] = STATE(6579),
    [sym_method_invocation] = STATE(6579),
    [sym_object_expression] = STATE(6579),
    [sym_parenthesized_expression] = STATE(6579),
    [sym_attribute] = STATE(561),
    [sym_extension] = STATE(6579),
    [sym_quoted_extension] = STATE(6579),
    [sym__constant] = STATE(6579),
    [sym_number] = STATE(6534),
    [sym_character] = STATE(6534),
    [sym_string] = STATE(6534),
    [sym_quoted_string] = STATE(6534),
    [sym_boolean] = STATE(6534),
    [sym_unit] = STATE(6534),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(6629),
    [sym_parenthesized_operator] = STATE(6159),
    [sym_value_path] = STATE(6579),
    [sym_module_path] = STATE(18629),
    [sym_constructor_path] = STATE(6579),
    [sym__instance_variable_name] = STATE(19301),
    [sym__constructor_name] = STATE(6641),
    [sym_tag] = STATE(6579),
    [sym__identifier] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_true] = ACTIONS(2475),
    [anon_sym_false] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(2479),
    [anon_sym_fun] = ACTIONS(2481),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2487),
    [anon_sym_function] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_LBRACE_LT] = ACTIONS(2495),
    [anon_sym_begin] = ACTIONS(2497),
    [sym_ocamlyacc_value] = ACTIONS(2499),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2501),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2503),
    [aux_sym_number_token1] = ACTIONS(2505),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [sym_prefix_operator] = ACTIONS(2511),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2513),
    [sym__capitalized_identifier] = ACTIONS(2515),
    [aux_sym_tag_token1] = ACTIONS(2517),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [562] = {
    [sym_value_definition] = STATE(19315),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11884),
    [sym__sequence_expression] = STATE(10429),
    [sym_typed_expression] = STATE(6579),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6579),
    [sym_array_expression] = STATE(6579),
    [sym_record_expression] = STATE(6579),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6579),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6579),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6579),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6579),
    [sym_package_expression] = STATE(6579),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6579),
    [sym_object_copy_expression] = STATE(6579),
    [sym_method_invocation] = STATE(6579),
    [sym_object_expression] = STATE(6579),
    [sym_parenthesized_expression] = STATE(6579),
    [sym_attribute] = STATE(562),
    [sym_extension] = STATE(6579),
    [sym_quoted_extension] = STATE(6579),
    [sym__constant] = STATE(6579),
    [sym_number] = STATE(6534),
    [sym_character] = STATE(6534),
    [sym_string] = STATE(6534),
    [sym_quoted_string] = STATE(6534),
    [sym_boolean] = STATE(6534),
    [sym_unit] = STATE(6534),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(6629),
    [sym_parenthesized_operator] = STATE(6159),
    [sym_value_path] = STATE(6579),
    [sym_module_path] = STATE(18629),
    [sym_constructor_path] = STATE(6579),
    [sym__instance_variable_name] = STATE(19301),
    [sym__constructor_name] = STATE(6641),
    [sym_tag] = STATE(6579),
    [sym__identifier] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_true] = ACTIONS(2475),
    [anon_sym_false] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(2479),
    [anon_sym_fun] = ACTIONS(2481),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2487),
    [anon_sym_function] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_LBRACE_LT] = ACTIONS(2495),
    [anon_sym_begin] = ACTIONS(2497),
    [sym_ocamlyacc_value] = ACTIONS(2499),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2501),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2503),
    [aux_sym_number_token1] = ACTIONS(2505),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [sym_prefix_operator] = ACTIONS(2511),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2513),
    [sym__capitalized_identifier] = ACTIONS(2515),
    [aux_sym_tag_token1] = ACTIONS(2517),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [563] = {
    [sym_value_definition] = STATE(19315),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11884),
    [sym__sequence_expression] = STATE(10312),
    [sym_typed_expression] = STATE(6579),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6579),
    [sym_array_expression] = STATE(6579),
    [sym_record_expression] = STATE(6579),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6579),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6579),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6579),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6579),
    [sym_package_expression] = STATE(6579),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6579),
    [sym_object_copy_expression] = STATE(6579),
    [sym_method_invocation] = STATE(6579),
    [sym_object_expression] = STATE(6579),
    [sym_parenthesized_expression] = STATE(6579),
    [sym_attribute] = STATE(563),
    [sym_extension] = STATE(6579),
    [sym_quoted_extension] = STATE(6579),
    [sym__constant] = STATE(6579),
    [sym_number] = STATE(6534),
    [sym_character] = STATE(6534),
    [sym_string] = STATE(6534),
    [sym_quoted_string] = STATE(6534),
    [sym_boolean] = STATE(6534),
    [sym_unit] = STATE(6534),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(6629),
    [sym_parenthesized_operator] = STATE(6159),
    [sym_value_path] = STATE(6579),
    [sym_module_path] = STATE(18629),
    [sym_constructor_path] = STATE(6579),
    [sym__instance_variable_name] = STATE(19301),
    [sym__constructor_name] = STATE(6641),
    [sym_tag] = STATE(6579),
    [sym__identifier] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_true] = ACTIONS(2475),
    [anon_sym_false] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(2479),
    [anon_sym_fun] = ACTIONS(2481),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2487),
    [anon_sym_function] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_LBRACE_LT] = ACTIONS(2495),
    [anon_sym_begin] = ACTIONS(2497),
    [sym_ocamlyacc_value] = ACTIONS(2499),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2501),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2503),
    [aux_sym_number_token1] = ACTIONS(2505),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [sym_prefix_operator] = ACTIONS(2511),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2513),
    [sym__capitalized_identifier] = ACTIONS(2515),
    [aux_sym_tag_token1] = ACTIONS(2517),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [564] = {
    [sym_value_definition] = STATE(19315),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11884),
    [sym__sequence_expression] = STATE(10350),
    [sym_typed_expression] = STATE(6579),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6579),
    [sym_array_expression] = STATE(6579),
    [sym_record_expression] = STATE(6579),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6579),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6579),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6579),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6579),
    [sym_package_expression] = STATE(6579),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6579),
    [sym_object_copy_expression] = STATE(6579),
    [sym_method_invocation] = STATE(6579),
    [sym_object_expression] = STATE(6579),
    [sym_parenthesized_expression] = STATE(6579),
    [sym_attribute] = STATE(564),
    [sym_extension] = STATE(6579),
    [sym_quoted_extension] = STATE(6579),
    [sym__constant] = STATE(6579),
    [sym_number] = STATE(6534),
    [sym_character] = STATE(6534),
    [sym_string] = STATE(6534),
    [sym_quoted_string] = STATE(6534),
    [sym_boolean] = STATE(6534),
    [sym_unit] = STATE(6534),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(6629),
    [sym_parenthesized_operator] = STATE(6159),
    [sym_value_path] = STATE(6579),
    [sym_module_path] = STATE(18629),
    [sym_constructor_path] = STATE(6579),
    [sym__instance_variable_name] = STATE(19301),
    [sym__constructor_name] = STATE(6641),
    [sym_tag] = STATE(6579),
    [sym__identifier] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_true] = ACTIONS(2475),
    [anon_sym_false] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(2479),
    [anon_sym_fun] = ACTIONS(2481),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2487),
    [anon_sym_function] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_LBRACE_LT] = ACTIONS(2495),
    [anon_sym_begin] = ACTIONS(2497),
    [sym_ocamlyacc_value] = ACTIONS(2499),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2501),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2503),
    [aux_sym_number_token1] = ACTIONS(2505),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [sym_prefix_operator] = ACTIONS(2511),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2513),
    [sym__capitalized_identifier] = ACTIONS(2515),
    [aux_sym_tag_token1] = ACTIONS(2517),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [565] = {
    [sym_value_definition] = STATE(19315),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11884),
    [sym__sequence_expression] = STATE(10624),
    [sym_typed_expression] = STATE(6579),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6579),
    [sym_array_expression] = STATE(6579),
    [sym_record_expression] = STATE(6579),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6579),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6579),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6579),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6579),
    [sym_package_expression] = STATE(6579),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6579),
    [sym_object_copy_expression] = STATE(6579),
    [sym_method_invocation] = STATE(6579),
    [sym_object_expression] = STATE(6579),
    [sym_parenthesized_expression] = STATE(6579),
    [sym_attribute] = STATE(565),
    [sym_extension] = STATE(6579),
    [sym_quoted_extension] = STATE(6579),
    [sym__constant] = STATE(6579),
    [sym_number] = STATE(6534),
    [sym_character] = STATE(6534),
    [sym_string] = STATE(6534),
    [sym_quoted_string] = STATE(6534),
    [sym_boolean] = STATE(6534),
    [sym_unit] = STATE(6534),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(6629),
    [sym_parenthesized_operator] = STATE(6159),
    [sym_value_path] = STATE(6579),
    [sym_module_path] = STATE(18629),
    [sym_constructor_path] = STATE(6579),
    [sym__instance_variable_name] = STATE(19301),
    [sym__constructor_name] = STATE(6641),
    [sym_tag] = STATE(6579),
    [sym__identifier] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_true] = ACTIONS(2475),
    [anon_sym_false] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(2479),
    [anon_sym_fun] = ACTIONS(2481),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2487),
    [anon_sym_function] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_LBRACE_LT] = ACTIONS(2495),
    [anon_sym_begin] = ACTIONS(2497),
    [sym_ocamlyacc_value] = ACTIONS(2499),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2501),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2503),
    [aux_sym_number_token1] = ACTIONS(2505),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [sym_prefix_operator] = ACTIONS(2511),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2513),
    [sym__capitalized_identifier] = ACTIONS(2515),
    [aux_sym_tag_token1] = ACTIONS(2517),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [566] = {
    [sym_value_definition] = STATE(17762),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8353),
    [sym__sequence_expression] = STATE(8111),
    [sym_typed_expression] = STATE(3246),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3246),
    [sym_array_expression] = STATE(3246),
    [sym_record_expression] = STATE(3246),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3246),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3246),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2739),
    [sym_array_get_expression] = STATE(2739),
    [sym_string_get_expression] = STATE(2739),
    [sym_bigarray_get_expression] = STATE(2739),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3246),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3246),
    [sym_package_expression] = STATE(3246),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3246),
    [sym_object_copy_expression] = STATE(3246),
    [sym_method_invocation] = STATE(3246),
    [sym_object_expression] = STATE(3246),
    [sym_parenthesized_expression] = STATE(3246),
    [sym_attribute] = STATE(566),
    [sym_extension] = STATE(3246),
    [sym_quoted_extension] = STATE(3246),
    [sym__constant] = STATE(3246),
    [sym_number] = STATE(3390),
    [sym_character] = STATE(3390),
    [sym_string] = STATE(3390),
    [sym_quoted_string] = STATE(3390),
    [sym_boolean] = STATE(3390),
    [sym_unit] = STATE(3390),
    [sym_sign_operator] = STATE(2020),
    [sym__value_name] = STATE(3293),
    [sym_parenthesized_operator] = STATE(3329),
    [sym_value_path] = STATE(3246),
    [sym_module_path] = STATE(18854),
    [sym_constructor_path] = STATE(3246),
    [sym__instance_variable_name] = STATE(20169),
    [sym__constructor_name] = STATE(3391),
    [sym_tag] = STATE(3246),
    [sym__identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__capitalized_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [567] = {
    [sym_value_definition] = STATE(17762),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8353),
    [sym__sequence_expression] = STATE(8190),
    [sym_typed_expression] = STATE(3246),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3246),
    [sym_array_expression] = STATE(3246),
    [sym_record_expression] = STATE(3246),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3246),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3246),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2739),
    [sym_array_get_expression] = STATE(2739),
    [sym_string_get_expression] = STATE(2739),
    [sym_bigarray_get_expression] = STATE(2739),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3246),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3246),
    [sym_package_expression] = STATE(3246),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3246),
    [sym_object_copy_expression] = STATE(3246),
    [sym_method_invocation] = STATE(3246),
    [sym_object_expression] = STATE(3246),
    [sym_parenthesized_expression] = STATE(3246),
    [sym_attribute] = STATE(567),
    [sym_extension] = STATE(3246),
    [sym_quoted_extension] = STATE(3246),
    [sym__constant] = STATE(3246),
    [sym_number] = STATE(3390),
    [sym_character] = STATE(3390),
    [sym_string] = STATE(3390),
    [sym_quoted_string] = STATE(3390),
    [sym_boolean] = STATE(3390),
    [sym_unit] = STATE(3390),
    [sym_sign_operator] = STATE(2020),
    [sym__value_name] = STATE(3293),
    [sym_parenthesized_operator] = STATE(3329),
    [sym_value_path] = STATE(3246),
    [sym_module_path] = STATE(18854),
    [sym_constructor_path] = STATE(3246),
    [sym__instance_variable_name] = STATE(20169),
    [sym__constructor_name] = STATE(3391),
    [sym_tag] = STATE(3246),
    [sym__identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__capitalized_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [568] = {
    [sym_value_definition] = STATE(17762),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8353),
    [sym__sequence_expression] = STATE(8236),
    [sym_typed_expression] = STATE(3246),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3246),
    [sym_array_expression] = STATE(3246),
    [sym_record_expression] = STATE(3246),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3246),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3246),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2739),
    [sym_array_get_expression] = STATE(2739),
    [sym_string_get_expression] = STATE(2739),
    [sym_bigarray_get_expression] = STATE(2739),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3246),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3246),
    [sym_package_expression] = STATE(3246),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3246),
    [sym_object_copy_expression] = STATE(3246),
    [sym_method_invocation] = STATE(3246),
    [sym_object_expression] = STATE(3246),
    [sym_parenthesized_expression] = STATE(3246),
    [sym_attribute] = STATE(568),
    [sym_extension] = STATE(3246),
    [sym_quoted_extension] = STATE(3246),
    [sym__constant] = STATE(3246),
    [sym_number] = STATE(3390),
    [sym_character] = STATE(3390),
    [sym_string] = STATE(3390),
    [sym_quoted_string] = STATE(3390),
    [sym_boolean] = STATE(3390),
    [sym_unit] = STATE(3390),
    [sym_sign_operator] = STATE(2020),
    [sym__value_name] = STATE(3293),
    [sym_parenthesized_operator] = STATE(3329),
    [sym_value_path] = STATE(3246),
    [sym_module_path] = STATE(18854),
    [sym_constructor_path] = STATE(3246),
    [sym__instance_variable_name] = STATE(20169),
    [sym__constructor_name] = STATE(3391),
    [sym_tag] = STATE(3246),
    [sym__identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__capitalized_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [569] = {
    [sym_value_definition] = STATE(17762),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8353),
    [sym__sequence_expression] = STATE(8134),
    [sym_typed_expression] = STATE(3246),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3246),
    [sym_array_expression] = STATE(3246),
    [sym_record_expression] = STATE(3246),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3246),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3246),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2739),
    [sym_array_get_expression] = STATE(2739),
    [sym_string_get_expression] = STATE(2739),
    [sym_bigarray_get_expression] = STATE(2739),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3246),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3246),
    [sym_package_expression] = STATE(3246),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3246),
    [sym_object_copy_expression] = STATE(3246),
    [sym_method_invocation] = STATE(3246),
    [sym_object_expression] = STATE(3246),
    [sym_parenthesized_expression] = STATE(3246),
    [sym_attribute] = STATE(569),
    [sym_extension] = STATE(3246),
    [sym_quoted_extension] = STATE(3246),
    [sym__constant] = STATE(3246),
    [sym_number] = STATE(3390),
    [sym_character] = STATE(3390),
    [sym_string] = STATE(3390),
    [sym_quoted_string] = STATE(3390),
    [sym_boolean] = STATE(3390),
    [sym_unit] = STATE(3390),
    [sym_sign_operator] = STATE(2020),
    [sym__value_name] = STATE(3293),
    [sym_parenthesized_operator] = STATE(3329),
    [sym_value_path] = STATE(3246),
    [sym_module_path] = STATE(18854),
    [sym_constructor_path] = STATE(3246),
    [sym__instance_variable_name] = STATE(20169),
    [sym__constructor_name] = STATE(3391),
    [sym_tag] = STATE(3246),
    [sym__identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__capitalized_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [570] = {
    [sym_value_definition] = STATE(17762),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8353),
    [sym__sequence_expression] = STATE(8177),
    [sym_typed_expression] = STATE(3246),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3246),
    [sym_array_expression] = STATE(3246),
    [sym_record_expression] = STATE(3246),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3246),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3246),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2739),
    [sym_array_get_expression] = STATE(2739),
    [sym_string_get_expression] = STATE(2739),
    [sym_bigarray_get_expression] = STATE(2739),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3246),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3246),
    [sym_package_expression] = STATE(3246),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3246),
    [sym_object_copy_expression] = STATE(3246),
    [sym_method_invocation] = STATE(3246),
    [sym_object_expression] = STATE(3246),
    [sym_parenthesized_expression] = STATE(3246),
    [sym_attribute] = STATE(570),
    [sym_extension] = STATE(3246),
    [sym_quoted_extension] = STATE(3246),
    [sym__constant] = STATE(3246),
    [sym_number] = STATE(3390),
    [sym_character] = STATE(3390),
    [sym_string] = STATE(3390),
    [sym_quoted_string] = STATE(3390),
    [sym_boolean] = STATE(3390),
    [sym_unit] = STATE(3390),
    [sym_sign_operator] = STATE(2020),
    [sym__value_name] = STATE(3293),
    [sym_parenthesized_operator] = STATE(3329),
    [sym_value_path] = STATE(3246),
    [sym_module_path] = STATE(18854),
    [sym_constructor_path] = STATE(3246),
    [sym__instance_variable_name] = STATE(20169),
    [sym__constructor_name] = STATE(3391),
    [sym_tag] = STATE(3246),
    [sym__identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__capitalized_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [571] = {
    [sym_value_definition] = STATE(17762),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8353),
    [sym__sequence_expression] = STATE(8256),
    [sym_typed_expression] = STATE(3246),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3246),
    [sym_array_expression] = STATE(3246),
    [sym_record_expression] = STATE(3246),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3246),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3246),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2739),
    [sym_array_get_expression] = STATE(2739),
    [sym_string_get_expression] = STATE(2739),
    [sym_bigarray_get_expression] = STATE(2739),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3246),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3246),
    [sym_package_expression] = STATE(3246),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3246),
    [sym_object_copy_expression] = STATE(3246),
    [sym_method_invocation] = STATE(3246),
    [sym_object_expression] = STATE(3246),
    [sym_parenthesized_expression] = STATE(3246),
    [sym_attribute] = STATE(571),
    [sym_extension] = STATE(3246),
    [sym_quoted_extension] = STATE(3246),
    [sym__constant] = STATE(3246),
    [sym_number] = STATE(3390),
    [sym_character] = STATE(3390),
    [sym_string] = STATE(3390),
    [sym_quoted_string] = STATE(3390),
    [sym_boolean] = STATE(3390),
    [sym_unit] = STATE(3390),
    [sym_sign_operator] = STATE(2020),
    [sym__value_name] = STATE(3293),
    [sym_parenthesized_operator] = STATE(3329),
    [sym_value_path] = STATE(3246),
    [sym_module_path] = STATE(18854),
    [sym_constructor_path] = STATE(3246),
    [sym__instance_variable_name] = STATE(20169),
    [sym__constructor_name] = STATE(3391),
    [sym_tag] = STATE(3246),
    [sym__identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__capitalized_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [572] = {
    [sym_value_definition] = STATE(17762),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8353),
    [sym__sequence_expression] = STATE(8173),
    [sym_typed_expression] = STATE(3246),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3246),
    [sym_array_expression] = STATE(3246),
    [sym_record_expression] = STATE(3246),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3246),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3246),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2739),
    [sym_array_get_expression] = STATE(2739),
    [sym_string_get_expression] = STATE(2739),
    [sym_bigarray_get_expression] = STATE(2739),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3246),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3246),
    [sym_package_expression] = STATE(3246),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3246),
    [sym_object_copy_expression] = STATE(3246),
    [sym_method_invocation] = STATE(3246),
    [sym_object_expression] = STATE(3246),
    [sym_parenthesized_expression] = STATE(3246),
    [sym_attribute] = STATE(572),
    [sym_extension] = STATE(3246),
    [sym_quoted_extension] = STATE(3246),
    [sym__constant] = STATE(3246),
    [sym_number] = STATE(3390),
    [sym_character] = STATE(3390),
    [sym_string] = STATE(3390),
    [sym_quoted_string] = STATE(3390),
    [sym_boolean] = STATE(3390),
    [sym_unit] = STATE(3390),
    [sym_sign_operator] = STATE(2020),
    [sym__value_name] = STATE(3293),
    [sym_parenthesized_operator] = STATE(3329),
    [sym_value_path] = STATE(3246),
    [sym_module_path] = STATE(18854),
    [sym_constructor_path] = STATE(3246),
    [sym__instance_variable_name] = STATE(20169),
    [sym__constructor_name] = STATE(3391),
    [sym_tag] = STATE(3246),
    [sym__identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__capitalized_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [573] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9961),
    [sym__sequence_expression] = STATE(5335),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(573),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [574] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9894),
    [sym__sequence_expression] = STATE(7989),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(574),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [575] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9894),
    [sym__sequence_expression] = STATE(7868),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(575),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [576] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16552),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(576),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [577] = {
    [sym_value_definition] = STATE(18444),
    [sym__simple_expression] = STATE(528),
    [sym__expression] = STATE(8275),
    [sym__sequence_expression] = STATE(8111),
    [sym_typed_expression] = STATE(3337),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3337),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3337),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2728),
    [sym_array_get_expression] = STATE(2728),
    [sym_string_get_expression] = STATE(2728),
    [sym_bigarray_get_expression] = STATE(2728),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3337),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(577),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym_sign_operator] = STATE(1870),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__instance_variable_name] = STATE(18316),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [sym__identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(453),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [578] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12236),
    [sym__sequence_expression] = STATE(16767),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(578),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [579] = {
    [sym_value_definition] = STATE(18444),
    [sym__simple_expression] = STATE(528),
    [sym__expression] = STATE(8275),
    [sym__sequence_expression] = STATE(8190),
    [sym_typed_expression] = STATE(3337),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3337),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3337),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2728),
    [sym_array_get_expression] = STATE(2728),
    [sym_string_get_expression] = STATE(2728),
    [sym_bigarray_get_expression] = STATE(2728),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3337),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(579),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym_sign_operator] = STATE(1870),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__instance_variable_name] = STATE(18316),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [sym__identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(453),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [580] = {
    [sym_value_definition] = STATE(18444),
    [sym__simple_expression] = STATE(528),
    [sym__expression] = STATE(8275),
    [sym__sequence_expression] = STATE(8236),
    [sym_typed_expression] = STATE(3337),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3337),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3337),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2728),
    [sym_array_get_expression] = STATE(2728),
    [sym_string_get_expression] = STATE(2728),
    [sym_bigarray_get_expression] = STATE(2728),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3337),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(580),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym_sign_operator] = STATE(1870),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__instance_variable_name] = STATE(18316),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [sym__identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(453),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [581] = {
    [sym_value_definition] = STATE(18444),
    [sym__simple_expression] = STATE(528),
    [sym__expression] = STATE(8275),
    [sym__sequence_expression] = STATE(8134),
    [sym_typed_expression] = STATE(3337),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3337),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3337),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2728),
    [sym_array_get_expression] = STATE(2728),
    [sym_string_get_expression] = STATE(2728),
    [sym_bigarray_get_expression] = STATE(2728),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3337),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(581),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym_sign_operator] = STATE(1870),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__instance_variable_name] = STATE(18316),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [sym__identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(453),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [582] = {
    [sym_value_definition] = STATE(18906),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(10328),
    [sym__sequence_expression] = STATE(8695),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5273),
    [sym_array_get_expression] = STATE(5273),
    [sym_string_get_expression] = STATE(5273),
    [sym_bigarray_get_expression] = STATE(5273),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(582),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2187),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18688),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [583] = {
    [sym_value_definition] = STATE(20229),
    [sym__simple_expression] = STATE(529),
    [sym__expression] = STATE(8314),
    [sym__sequence_expression] = STATE(5335),
    [sym_typed_expression] = STATE(3189),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3189),
    [sym_array_expression] = STATE(3189),
    [sym_record_expression] = STATE(3189),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3189),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3189),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2734),
    [sym_array_get_expression] = STATE(2734),
    [sym_string_get_expression] = STATE(2734),
    [sym_bigarray_get_expression] = STATE(2734),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3189),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3189),
    [sym_package_expression] = STATE(3189),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3189),
    [sym_object_copy_expression] = STATE(3189),
    [sym_method_invocation] = STATE(3189),
    [sym_object_expression] = STATE(3189),
    [sym_parenthesized_expression] = STATE(3189),
    [sym_attribute] = STATE(583),
    [sym_extension] = STATE(3189),
    [sym_quoted_extension] = STATE(3189),
    [sym__constant] = STATE(3189),
    [sym_number] = STATE(3378),
    [sym_character] = STATE(3378),
    [sym_string] = STATE(3378),
    [sym_quoted_string] = STATE(3378),
    [sym_boolean] = STATE(3378),
    [sym_unit] = STATE(3378),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(3248),
    [sym_parenthesized_operator] = STATE(3324),
    [sym_value_path] = STATE(3189),
    [sym_module_path] = STATE(18817),
    [sym_constructor_path] = STATE(3189),
    [sym__instance_variable_name] = STATE(18826),
    [sym__constructor_name] = STATE(3379),
    [sym_tag] = STATE(3189),
    [sym__identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__capitalized_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [584] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11664),
    [sym__sequence_expression] = STATE(10436),
    [sym_typed_expression] = STATE(6116),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6116),
    [sym_array_expression] = STATE(6116),
    [sym_record_expression] = STATE(6116),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6116),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6116),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5760),
    [sym_array_get_expression] = STATE(5760),
    [sym_string_get_expression] = STATE(5760),
    [sym_bigarray_get_expression] = STATE(5760),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6116),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6116),
    [sym_package_expression] = STATE(6116),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6116),
    [sym_object_copy_expression] = STATE(6116),
    [sym_method_invocation] = STATE(6116),
    [sym_object_expression] = STATE(6116),
    [sym_parenthesized_expression] = STATE(6116),
    [sym_attribute] = STATE(584),
    [sym_extension] = STATE(6116),
    [sym_quoted_extension] = STATE(6116),
    [sym__constant] = STATE(6116),
    [sym_number] = STATE(5848),
    [sym_character] = STATE(5848),
    [sym_string] = STATE(5848),
    [sym_quoted_string] = STATE(5848),
    [sym_boolean] = STATE(5848),
    [sym_unit] = STATE(5848),
    [sym_sign_operator] = STATE(2048),
    [sym__value_name] = STATE(5908),
    [sym_parenthesized_operator] = STATE(5895),
    [sym_value_path] = STATE(6116),
    [sym_module_path] = STATE(18667),
    [sym_constructor_path] = STATE(6116),
    [sym__instance_variable_name] = STATE(19432),
    [sym__constructor_name] = STATE(5849),
    [sym_tag] = STATE(6116),
    [sym__identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__capitalized_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [585] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11664),
    [sym__sequence_expression] = STATE(10408),
    [sym_typed_expression] = STATE(6116),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6116),
    [sym_array_expression] = STATE(6116),
    [sym_record_expression] = STATE(6116),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6116),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6116),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5760),
    [sym_array_get_expression] = STATE(5760),
    [sym_string_get_expression] = STATE(5760),
    [sym_bigarray_get_expression] = STATE(5760),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6116),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6116),
    [sym_package_expression] = STATE(6116),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6116),
    [sym_object_copy_expression] = STATE(6116),
    [sym_method_invocation] = STATE(6116),
    [sym_object_expression] = STATE(6116),
    [sym_parenthesized_expression] = STATE(6116),
    [sym_attribute] = STATE(585),
    [sym_extension] = STATE(6116),
    [sym_quoted_extension] = STATE(6116),
    [sym__constant] = STATE(6116),
    [sym_number] = STATE(5848),
    [sym_character] = STATE(5848),
    [sym_string] = STATE(5848),
    [sym_quoted_string] = STATE(5848),
    [sym_boolean] = STATE(5848),
    [sym_unit] = STATE(5848),
    [sym_sign_operator] = STATE(2048),
    [sym__value_name] = STATE(5908),
    [sym_parenthesized_operator] = STATE(5895),
    [sym_value_path] = STATE(6116),
    [sym_module_path] = STATE(18667),
    [sym_constructor_path] = STATE(6116),
    [sym__instance_variable_name] = STATE(19432),
    [sym__constructor_name] = STATE(5849),
    [sym_tag] = STATE(6116),
    [sym__identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__capitalized_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [586] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11664),
    [sym__sequence_expression] = STATE(10409),
    [sym_typed_expression] = STATE(6116),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6116),
    [sym_array_expression] = STATE(6116),
    [sym_record_expression] = STATE(6116),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6116),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6116),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5760),
    [sym_array_get_expression] = STATE(5760),
    [sym_string_get_expression] = STATE(5760),
    [sym_bigarray_get_expression] = STATE(5760),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6116),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6116),
    [sym_package_expression] = STATE(6116),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6116),
    [sym_object_copy_expression] = STATE(6116),
    [sym_method_invocation] = STATE(6116),
    [sym_object_expression] = STATE(6116),
    [sym_parenthesized_expression] = STATE(6116),
    [sym_attribute] = STATE(586),
    [sym_extension] = STATE(6116),
    [sym_quoted_extension] = STATE(6116),
    [sym__constant] = STATE(6116),
    [sym_number] = STATE(5848),
    [sym_character] = STATE(5848),
    [sym_string] = STATE(5848),
    [sym_quoted_string] = STATE(5848),
    [sym_boolean] = STATE(5848),
    [sym_unit] = STATE(5848),
    [sym_sign_operator] = STATE(2048),
    [sym__value_name] = STATE(5908),
    [sym_parenthesized_operator] = STATE(5895),
    [sym_value_path] = STATE(6116),
    [sym_module_path] = STATE(18667),
    [sym_constructor_path] = STATE(6116),
    [sym__instance_variable_name] = STATE(19432),
    [sym__constructor_name] = STATE(5849),
    [sym_tag] = STATE(6116),
    [sym__identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__capitalized_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [587] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11664),
    [sym__sequence_expression] = STATE(10429),
    [sym_typed_expression] = STATE(6116),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6116),
    [sym_array_expression] = STATE(6116),
    [sym_record_expression] = STATE(6116),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6116),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6116),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5760),
    [sym_array_get_expression] = STATE(5760),
    [sym_string_get_expression] = STATE(5760),
    [sym_bigarray_get_expression] = STATE(5760),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6116),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6116),
    [sym_package_expression] = STATE(6116),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6116),
    [sym_object_copy_expression] = STATE(6116),
    [sym_method_invocation] = STATE(6116),
    [sym_object_expression] = STATE(6116),
    [sym_parenthesized_expression] = STATE(6116),
    [sym_attribute] = STATE(587),
    [sym_extension] = STATE(6116),
    [sym_quoted_extension] = STATE(6116),
    [sym__constant] = STATE(6116),
    [sym_number] = STATE(5848),
    [sym_character] = STATE(5848),
    [sym_string] = STATE(5848),
    [sym_quoted_string] = STATE(5848),
    [sym_boolean] = STATE(5848),
    [sym_unit] = STATE(5848),
    [sym_sign_operator] = STATE(2048),
    [sym__value_name] = STATE(5908),
    [sym_parenthesized_operator] = STATE(5895),
    [sym_value_path] = STATE(6116),
    [sym_module_path] = STATE(18667),
    [sym_constructor_path] = STATE(6116),
    [sym__instance_variable_name] = STATE(19432),
    [sym__constructor_name] = STATE(5849),
    [sym_tag] = STATE(6116),
    [sym__identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__capitalized_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [588] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11664),
    [sym__sequence_expression] = STATE(10312),
    [sym_typed_expression] = STATE(6116),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6116),
    [sym_array_expression] = STATE(6116),
    [sym_record_expression] = STATE(6116),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6116),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6116),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5760),
    [sym_array_get_expression] = STATE(5760),
    [sym_string_get_expression] = STATE(5760),
    [sym_bigarray_get_expression] = STATE(5760),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6116),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6116),
    [sym_package_expression] = STATE(6116),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6116),
    [sym_object_copy_expression] = STATE(6116),
    [sym_method_invocation] = STATE(6116),
    [sym_object_expression] = STATE(6116),
    [sym_parenthesized_expression] = STATE(6116),
    [sym_attribute] = STATE(588),
    [sym_extension] = STATE(6116),
    [sym_quoted_extension] = STATE(6116),
    [sym__constant] = STATE(6116),
    [sym_number] = STATE(5848),
    [sym_character] = STATE(5848),
    [sym_string] = STATE(5848),
    [sym_quoted_string] = STATE(5848),
    [sym_boolean] = STATE(5848),
    [sym_unit] = STATE(5848),
    [sym_sign_operator] = STATE(2048),
    [sym__value_name] = STATE(5908),
    [sym_parenthesized_operator] = STATE(5895),
    [sym_value_path] = STATE(6116),
    [sym_module_path] = STATE(18667),
    [sym_constructor_path] = STATE(6116),
    [sym__instance_variable_name] = STATE(19432),
    [sym__constructor_name] = STATE(5849),
    [sym_tag] = STATE(6116),
    [sym__identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__capitalized_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [589] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11664),
    [sym__sequence_expression] = STATE(10350),
    [sym_typed_expression] = STATE(6116),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6116),
    [sym_array_expression] = STATE(6116),
    [sym_record_expression] = STATE(6116),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6116),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6116),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5760),
    [sym_array_get_expression] = STATE(5760),
    [sym_string_get_expression] = STATE(5760),
    [sym_bigarray_get_expression] = STATE(5760),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6116),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6116),
    [sym_package_expression] = STATE(6116),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6116),
    [sym_object_copy_expression] = STATE(6116),
    [sym_method_invocation] = STATE(6116),
    [sym_object_expression] = STATE(6116),
    [sym_parenthesized_expression] = STATE(6116),
    [sym_attribute] = STATE(589),
    [sym_extension] = STATE(6116),
    [sym_quoted_extension] = STATE(6116),
    [sym__constant] = STATE(6116),
    [sym_number] = STATE(5848),
    [sym_character] = STATE(5848),
    [sym_string] = STATE(5848),
    [sym_quoted_string] = STATE(5848),
    [sym_boolean] = STATE(5848),
    [sym_unit] = STATE(5848),
    [sym_sign_operator] = STATE(2048),
    [sym__value_name] = STATE(5908),
    [sym_parenthesized_operator] = STATE(5895),
    [sym_value_path] = STATE(6116),
    [sym_module_path] = STATE(18667),
    [sym_constructor_path] = STATE(6116),
    [sym__instance_variable_name] = STATE(19432),
    [sym__constructor_name] = STATE(5849),
    [sym_tag] = STATE(6116),
    [sym__identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__capitalized_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [590] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11664),
    [sym__sequence_expression] = STATE(10624),
    [sym_typed_expression] = STATE(6116),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6116),
    [sym_array_expression] = STATE(6116),
    [sym_record_expression] = STATE(6116),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6116),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6116),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5760),
    [sym_array_get_expression] = STATE(5760),
    [sym_string_get_expression] = STATE(5760),
    [sym_bigarray_get_expression] = STATE(5760),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6116),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6116),
    [sym_package_expression] = STATE(6116),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6116),
    [sym_object_copy_expression] = STATE(6116),
    [sym_method_invocation] = STATE(6116),
    [sym_object_expression] = STATE(6116),
    [sym_parenthesized_expression] = STATE(6116),
    [sym_attribute] = STATE(590),
    [sym_extension] = STATE(6116),
    [sym_quoted_extension] = STATE(6116),
    [sym__constant] = STATE(6116),
    [sym_number] = STATE(5848),
    [sym_character] = STATE(5848),
    [sym_string] = STATE(5848),
    [sym_quoted_string] = STATE(5848),
    [sym_boolean] = STATE(5848),
    [sym_unit] = STATE(5848),
    [sym_sign_operator] = STATE(2048),
    [sym__value_name] = STATE(5908),
    [sym_parenthesized_operator] = STATE(5895),
    [sym_value_path] = STATE(6116),
    [sym_module_path] = STATE(18667),
    [sym_constructor_path] = STATE(6116),
    [sym__instance_variable_name] = STATE(19432),
    [sym__constructor_name] = STATE(5849),
    [sym_tag] = STATE(6116),
    [sym__identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__capitalized_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [591] = {
    [sym_value_definition] = STATE(18444),
    [sym__simple_expression] = STATE(528),
    [sym__expression] = STATE(8275),
    [sym__sequence_expression] = STATE(8177),
    [sym_typed_expression] = STATE(3337),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3337),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3337),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2728),
    [sym_array_get_expression] = STATE(2728),
    [sym_string_get_expression] = STATE(2728),
    [sym_bigarray_get_expression] = STATE(2728),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3337),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(591),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym_sign_operator] = STATE(1870),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__instance_variable_name] = STATE(18316),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [sym__identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(453),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [592] = {
    [sym_value_definition] = STATE(18444),
    [sym__simple_expression] = STATE(528),
    [sym__expression] = STATE(8370),
    [sym__sequence_expression] = STATE(7493),
    [sym_typed_expression] = STATE(3337),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3337),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3337),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2728),
    [sym_array_get_expression] = STATE(2728),
    [sym_string_get_expression] = STATE(2728),
    [sym_bigarray_get_expression] = STATE(2728),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3337),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(592),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym_sign_operator] = STATE(1870),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__instance_variable_name] = STATE(18316),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [sym__identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(453),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [593] = {
    [sym_value_definition] = STATE(18444),
    [sym__simple_expression] = STATE(528),
    [sym__expression] = STATE(8275),
    [sym__sequence_expression] = STATE(8256),
    [sym_typed_expression] = STATE(3337),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3337),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3337),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2728),
    [sym_array_get_expression] = STATE(2728),
    [sym_string_get_expression] = STATE(2728),
    [sym_bigarray_get_expression] = STATE(2728),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3337),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(593),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym_sign_operator] = STATE(1870),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__instance_variable_name] = STATE(18316),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [sym__identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(453),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [594] = {
    [sym_value_definition] = STATE(18444),
    [sym__simple_expression] = STATE(528),
    [sym__expression] = STATE(8275),
    [sym__sequence_expression] = STATE(8173),
    [sym_typed_expression] = STATE(3337),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3337),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3337),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2728),
    [sym_array_get_expression] = STATE(2728),
    [sym_string_get_expression] = STATE(2728),
    [sym_bigarray_get_expression] = STATE(2728),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3337),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(594),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym_sign_operator] = STATE(1870),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__instance_variable_name] = STATE(18316),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [sym__identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(453),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [595] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17523),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(595),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [596] = {
    [sym_value_definition] = STATE(19812),
    [sym__simple_expression] = STATE(1565),
    [sym__expression] = STATE(8521),
    [sym__sequence_expression] = STATE(8111),
    [sym_typed_expression] = STATE(3895),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3895),
    [sym_array_expression] = STATE(3895),
    [sym_record_expression] = STATE(3895),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3895),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3895),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3520),
    [sym_array_get_expression] = STATE(3520),
    [sym_string_get_expression] = STATE(3520),
    [sym_bigarray_get_expression] = STATE(3520),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3895),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3895),
    [sym_package_expression] = STATE(3895),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3895),
    [sym_object_copy_expression] = STATE(3895),
    [sym_method_invocation] = STATE(3895),
    [sym_object_expression] = STATE(3895),
    [sym_parenthesized_expression] = STATE(3895),
    [sym_attribute] = STATE(596),
    [sym_extension] = STATE(3895),
    [sym_quoted_extension] = STATE(3895),
    [sym__constant] = STATE(3895),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(1913),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(4006),
    [sym_value_path] = STATE(3895),
    [sym_module_path] = STATE(17569),
    [sym_constructor_path] = STATE(3895),
    [sym__instance_variable_name] = STATE(19697),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3895),
    [sym__identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3123),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3125),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__capitalized_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [597] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18045),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(597),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [598] = {
    [sym_value_definition] = STATE(19812),
    [sym__simple_expression] = STATE(1565),
    [sym__expression] = STATE(8521),
    [sym__sequence_expression] = STATE(8190),
    [sym_typed_expression] = STATE(3895),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3895),
    [sym_array_expression] = STATE(3895),
    [sym_record_expression] = STATE(3895),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3895),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3895),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3520),
    [sym_array_get_expression] = STATE(3520),
    [sym_string_get_expression] = STATE(3520),
    [sym_bigarray_get_expression] = STATE(3520),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3895),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3895),
    [sym_package_expression] = STATE(3895),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3895),
    [sym_object_copy_expression] = STATE(3895),
    [sym_method_invocation] = STATE(3895),
    [sym_object_expression] = STATE(3895),
    [sym_parenthesized_expression] = STATE(3895),
    [sym_attribute] = STATE(598),
    [sym_extension] = STATE(3895),
    [sym_quoted_extension] = STATE(3895),
    [sym__constant] = STATE(3895),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(1913),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(4006),
    [sym_value_path] = STATE(3895),
    [sym_module_path] = STATE(17569),
    [sym_constructor_path] = STATE(3895),
    [sym__instance_variable_name] = STATE(19697),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3895),
    [sym__identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3123),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3125),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__capitalized_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [599] = {
    [sym_value_definition] = STATE(19812),
    [sym__simple_expression] = STATE(1565),
    [sym__expression] = STATE(8521),
    [sym__sequence_expression] = STATE(8236),
    [sym_typed_expression] = STATE(3895),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3895),
    [sym_array_expression] = STATE(3895),
    [sym_record_expression] = STATE(3895),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3895),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3895),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3520),
    [sym_array_get_expression] = STATE(3520),
    [sym_string_get_expression] = STATE(3520),
    [sym_bigarray_get_expression] = STATE(3520),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3895),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3895),
    [sym_package_expression] = STATE(3895),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3895),
    [sym_object_copy_expression] = STATE(3895),
    [sym_method_invocation] = STATE(3895),
    [sym_object_expression] = STATE(3895),
    [sym_parenthesized_expression] = STATE(3895),
    [sym_attribute] = STATE(599),
    [sym_extension] = STATE(3895),
    [sym_quoted_extension] = STATE(3895),
    [sym__constant] = STATE(3895),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(1913),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(4006),
    [sym_value_path] = STATE(3895),
    [sym_module_path] = STATE(17569),
    [sym_constructor_path] = STATE(3895),
    [sym__instance_variable_name] = STATE(19697),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3895),
    [sym__identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3123),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3125),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__capitalized_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [600] = {
    [sym_value_definition] = STATE(18115),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(12130),
    [sym__sequence_expression] = STATE(8695),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6098),
    [sym_array_get_expression] = STATE(6098),
    [sym_string_get_expression] = STATE(6098),
    [sym_bigarray_get_expression] = STATE(6098),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(600),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2288),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18109),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [601] = {
    [sym_value_definition] = STATE(17762),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8353),
    [sym__sequence_expression] = STATE(5335),
    [sym_typed_expression] = STATE(3246),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3246),
    [sym_array_expression] = STATE(3246),
    [sym_record_expression] = STATE(3246),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3246),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3246),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2739),
    [sym_array_get_expression] = STATE(2739),
    [sym_string_get_expression] = STATE(2739),
    [sym_bigarray_get_expression] = STATE(2739),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3246),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3246),
    [sym_package_expression] = STATE(3246),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3246),
    [sym_object_copy_expression] = STATE(3246),
    [sym_method_invocation] = STATE(3246),
    [sym_object_expression] = STATE(3246),
    [sym_parenthesized_expression] = STATE(3246),
    [sym_attribute] = STATE(601),
    [sym_extension] = STATE(3246),
    [sym_quoted_extension] = STATE(3246),
    [sym__constant] = STATE(3246),
    [sym_number] = STATE(3390),
    [sym_character] = STATE(3390),
    [sym_string] = STATE(3390),
    [sym_quoted_string] = STATE(3390),
    [sym_boolean] = STATE(3390),
    [sym_unit] = STATE(3390),
    [sym_sign_operator] = STATE(2020),
    [sym__value_name] = STATE(3293),
    [sym_parenthesized_operator] = STATE(3329),
    [sym_value_path] = STATE(3246),
    [sym_module_path] = STATE(18854),
    [sym_constructor_path] = STATE(3246),
    [sym__instance_variable_name] = STATE(20169),
    [sym__constructor_name] = STATE(3391),
    [sym_tag] = STATE(3246),
    [sym__identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__capitalized_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [602] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11520),
    [sym__sequence_expression] = STATE(10436),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5622),
    [sym_array_get_expression] = STATE(5622),
    [sym_string_get_expression] = STATE(5622),
    [sym_bigarray_get_expression] = STATE(5622),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(602),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2073),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [603] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12236),
    [sym__sequence_expression] = STATE(17101),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(603),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [604] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11520),
    [sym__sequence_expression] = STATE(10408),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5622),
    [sym_array_get_expression] = STATE(5622),
    [sym_string_get_expression] = STATE(5622),
    [sym_bigarray_get_expression] = STATE(5622),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(604),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2073),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [605] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11520),
    [sym__sequence_expression] = STATE(10409),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5622),
    [sym_array_get_expression] = STATE(5622),
    [sym_string_get_expression] = STATE(5622),
    [sym_bigarray_get_expression] = STATE(5622),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(605),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2073),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [606] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11520),
    [sym__sequence_expression] = STATE(10429),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5622),
    [sym_array_get_expression] = STATE(5622),
    [sym_string_get_expression] = STATE(5622),
    [sym_bigarray_get_expression] = STATE(5622),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(606),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2073),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [607] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11520),
    [sym__sequence_expression] = STATE(10312),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5622),
    [sym_array_get_expression] = STATE(5622),
    [sym_string_get_expression] = STATE(5622),
    [sym_bigarray_get_expression] = STATE(5622),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(607),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2073),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [608] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11520),
    [sym__sequence_expression] = STATE(10350),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5622),
    [sym_array_get_expression] = STATE(5622),
    [sym_string_get_expression] = STATE(5622),
    [sym_bigarray_get_expression] = STATE(5622),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(608),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2073),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [609] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11520),
    [sym__sequence_expression] = STATE(10624),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5622),
    [sym_array_get_expression] = STATE(5622),
    [sym_string_get_expression] = STATE(5622),
    [sym_bigarray_get_expression] = STATE(5622),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(609),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2073),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [610] = {
    [sym_value_definition] = STATE(19812),
    [sym__simple_expression] = STATE(1565),
    [sym__expression] = STATE(8521),
    [sym__sequence_expression] = STATE(8134),
    [sym_typed_expression] = STATE(3895),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3895),
    [sym_array_expression] = STATE(3895),
    [sym_record_expression] = STATE(3895),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3895),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3895),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3520),
    [sym_array_get_expression] = STATE(3520),
    [sym_string_get_expression] = STATE(3520),
    [sym_bigarray_get_expression] = STATE(3520),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3895),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3895),
    [sym_package_expression] = STATE(3895),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3895),
    [sym_object_copy_expression] = STATE(3895),
    [sym_method_invocation] = STATE(3895),
    [sym_object_expression] = STATE(3895),
    [sym_parenthesized_expression] = STATE(3895),
    [sym_attribute] = STATE(610),
    [sym_extension] = STATE(3895),
    [sym_quoted_extension] = STATE(3895),
    [sym__constant] = STATE(3895),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(1913),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(4006),
    [sym_value_path] = STATE(3895),
    [sym_module_path] = STATE(17569),
    [sym_constructor_path] = STATE(3895),
    [sym__instance_variable_name] = STATE(19697),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3895),
    [sym__identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3123),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3125),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__capitalized_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [611] = {
    [sym_value_definition] = STATE(19812),
    [sym__simple_expression] = STATE(1565),
    [sym__expression] = STATE(8521),
    [sym__sequence_expression] = STATE(8177),
    [sym_typed_expression] = STATE(3895),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3895),
    [sym_array_expression] = STATE(3895),
    [sym_record_expression] = STATE(3895),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3895),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3895),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3520),
    [sym_array_get_expression] = STATE(3520),
    [sym_string_get_expression] = STATE(3520),
    [sym_bigarray_get_expression] = STATE(3520),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3895),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3895),
    [sym_package_expression] = STATE(3895),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3895),
    [sym_object_copy_expression] = STATE(3895),
    [sym_method_invocation] = STATE(3895),
    [sym_object_expression] = STATE(3895),
    [sym_parenthesized_expression] = STATE(3895),
    [sym_attribute] = STATE(611),
    [sym_extension] = STATE(3895),
    [sym_quoted_extension] = STATE(3895),
    [sym__constant] = STATE(3895),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(1913),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(4006),
    [sym_value_path] = STATE(3895),
    [sym_module_path] = STATE(17569),
    [sym_constructor_path] = STATE(3895),
    [sym__instance_variable_name] = STATE(19697),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3895),
    [sym__identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3123),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3125),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__capitalized_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [612] = {
    [sym_value_definition] = STATE(18092),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12638),
    [sym__sequence_expression] = STATE(7493),
    [sym_typed_expression] = STATE(7127),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(7127),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(7127),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(7127),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(612),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym_sign_operator] = STATE(1954),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__instance_variable_name] = STATE(18010),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [sym__identifier] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2735),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_function] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2779),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [613] = {
    [sym_value_definition] = STATE(19812),
    [sym__simple_expression] = STATE(1565),
    [sym__expression] = STATE(8521),
    [sym__sequence_expression] = STATE(8256),
    [sym_typed_expression] = STATE(3895),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3895),
    [sym_array_expression] = STATE(3895),
    [sym_record_expression] = STATE(3895),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3895),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3895),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3520),
    [sym_array_get_expression] = STATE(3520),
    [sym_string_get_expression] = STATE(3520),
    [sym_bigarray_get_expression] = STATE(3520),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3895),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3895),
    [sym_package_expression] = STATE(3895),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3895),
    [sym_object_copy_expression] = STATE(3895),
    [sym_method_invocation] = STATE(3895),
    [sym_object_expression] = STATE(3895),
    [sym_parenthesized_expression] = STATE(3895),
    [sym_attribute] = STATE(613),
    [sym_extension] = STATE(3895),
    [sym_quoted_extension] = STATE(3895),
    [sym__constant] = STATE(3895),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(1913),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(4006),
    [sym_value_path] = STATE(3895),
    [sym_module_path] = STATE(17569),
    [sym_constructor_path] = STATE(3895),
    [sym__instance_variable_name] = STATE(19697),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3895),
    [sym__identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3123),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3125),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__capitalized_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [614] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17033),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(614),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [615] = {
    [sym_value_definition] = STATE(19812),
    [sym__simple_expression] = STATE(1565),
    [sym__expression] = STATE(8521),
    [sym__sequence_expression] = STATE(8173),
    [sym_typed_expression] = STATE(3895),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3895),
    [sym_array_expression] = STATE(3895),
    [sym_record_expression] = STATE(3895),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3895),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3895),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3520),
    [sym_array_get_expression] = STATE(3520),
    [sym_string_get_expression] = STATE(3520),
    [sym_bigarray_get_expression] = STATE(3520),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3895),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3895),
    [sym_package_expression] = STATE(3895),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3895),
    [sym_object_copy_expression] = STATE(3895),
    [sym_method_invocation] = STATE(3895),
    [sym_object_expression] = STATE(3895),
    [sym_parenthesized_expression] = STATE(3895),
    [sym_attribute] = STATE(615),
    [sym_extension] = STATE(3895),
    [sym_quoted_extension] = STATE(3895),
    [sym__constant] = STATE(3895),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(1913),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(4006),
    [sym_value_path] = STATE(3895),
    [sym_module_path] = STATE(17569),
    [sym_constructor_path] = STATE(3895),
    [sym__instance_variable_name] = STATE(19697),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3895),
    [sym__identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3123),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3125),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__capitalized_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [616] = {
    [sym_value_definition] = STATE(18092),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12522),
    [sym__sequence_expression] = STATE(10436),
    [sym_typed_expression] = STATE(7127),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(7127),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(7127),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(7127),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(616),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym_sign_operator] = STATE(1954),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__instance_variable_name] = STATE(18010),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [sym__identifier] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2735),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_function] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2779),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [617] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(18129),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(617),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [618] = {
    [sym_value_definition] = STATE(18092),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12522),
    [sym__sequence_expression] = STATE(10408),
    [sym_typed_expression] = STATE(7127),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(7127),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(7127),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(7127),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(618),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym_sign_operator] = STATE(1954),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__instance_variable_name] = STATE(18010),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [sym__identifier] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2735),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_function] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2779),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [619] = {
    [sym_value_definition] = STATE(18092),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12522),
    [sym__sequence_expression] = STATE(10409),
    [sym_typed_expression] = STATE(7127),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(7127),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(7127),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(7127),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(619),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym_sign_operator] = STATE(1954),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__instance_variable_name] = STATE(18010),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [sym__identifier] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2735),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_function] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2779),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [620] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12461),
    [sym__sequence_expression] = STATE(8695),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6205),
    [sym_array_get_expression] = STATE(6205),
    [sym_string_get_expression] = STATE(6205),
    [sym_bigarray_get_expression] = STATE(6205),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(620),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(17945),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2599),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [621] = {
    [sym_value_definition] = STATE(20384),
    [sym__simple_expression] = STATE(2426),
    [sym__expression] = STATE(10117),
    [sym__sequence_expression] = STATE(8155),
    [sym_typed_expression] = STATE(5180),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5180),
    [sym_array_expression] = STATE(5180),
    [sym_record_expression] = STATE(5180),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5180),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5180),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5115),
    [sym_array_get_expression] = STATE(5115),
    [sym_string_get_expression] = STATE(5115),
    [sym_bigarray_get_expression] = STATE(5115),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5180),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5180),
    [sym_package_expression] = STATE(5180),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5180),
    [sym_object_copy_expression] = STATE(5180),
    [sym_method_invocation] = STATE(5180),
    [sym_object_expression] = STATE(5180),
    [sym_parenthesized_expression] = STATE(5180),
    [sym_attribute] = STATE(621),
    [sym_extension] = STATE(5180),
    [sym_quoted_extension] = STATE(5180),
    [sym__constant] = STATE(5180),
    [sym_number] = STATE(5232),
    [sym_character] = STATE(5232),
    [sym_string] = STATE(5232),
    [sym_quoted_string] = STATE(5232),
    [sym_boolean] = STATE(5232),
    [sym_unit] = STATE(5232),
    [sym_sign_operator] = STATE(2090),
    [sym__value_name] = STATE(5152),
    [sym_parenthesized_operator] = STATE(5171),
    [sym_value_path] = STATE(5180),
    [sym_module_path] = STATE(18780),
    [sym_constructor_path] = STATE(5180),
    [sym__instance_variable_name] = STATE(20196),
    [sym__constructor_name] = STATE(5210),
    [sym_tag] = STATE(5180),
    [sym__identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__capitalized_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [622] = {
    [sym_value_definition] = STATE(20384),
    [sym__simple_expression] = STATE(2426),
    [sym__expression] = STATE(10117),
    [sym__sequence_expression] = STATE(8243),
    [sym_typed_expression] = STATE(5180),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5180),
    [sym_array_expression] = STATE(5180),
    [sym_record_expression] = STATE(5180),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5180),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5180),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5115),
    [sym_array_get_expression] = STATE(5115),
    [sym_string_get_expression] = STATE(5115),
    [sym_bigarray_get_expression] = STATE(5115),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5180),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5180),
    [sym_package_expression] = STATE(5180),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5180),
    [sym_object_copy_expression] = STATE(5180),
    [sym_method_invocation] = STATE(5180),
    [sym_object_expression] = STATE(5180),
    [sym_parenthesized_expression] = STATE(5180),
    [sym_attribute] = STATE(622),
    [sym_extension] = STATE(5180),
    [sym_quoted_extension] = STATE(5180),
    [sym__constant] = STATE(5180),
    [sym_number] = STATE(5232),
    [sym_character] = STATE(5232),
    [sym_string] = STATE(5232),
    [sym_quoted_string] = STATE(5232),
    [sym_boolean] = STATE(5232),
    [sym_unit] = STATE(5232),
    [sym_sign_operator] = STATE(2090),
    [sym__value_name] = STATE(5152),
    [sym_parenthesized_operator] = STATE(5171),
    [sym_value_path] = STATE(5180),
    [sym_module_path] = STATE(18780),
    [sym_constructor_path] = STATE(5180),
    [sym__instance_variable_name] = STATE(20196),
    [sym__constructor_name] = STATE(5210),
    [sym_tag] = STATE(5180),
    [sym__identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__capitalized_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [623] = {
    [sym_value_definition] = STATE(20384),
    [sym__simple_expression] = STATE(2426),
    [sym__expression] = STATE(10117),
    [sym__sequence_expression] = STATE(8247),
    [sym_typed_expression] = STATE(5180),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5180),
    [sym_array_expression] = STATE(5180),
    [sym_record_expression] = STATE(5180),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5180),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5180),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5115),
    [sym_array_get_expression] = STATE(5115),
    [sym_string_get_expression] = STATE(5115),
    [sym_bigarray_get_expression] = STATE(5115),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5180),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5180),
    [sym_package_expression] = STATE(5180),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5180),
    [sym_object_copy_expression] = STATE(5180),
    [sym_method_invocation] = STATE(5180),
    [sym_object_expression] = STATE(5180),
    [sym_parenthesized_expression] = STATE(5180),
    [sym_attribute] = STATE(623),
    [sym_extension] = STATE(5180),
    [sym_quoted_extension] = STATE(5180),
    [sym__constant] = STATE(5180),
    [sym_number] = STATE(5232),
    [sym_character] = STATE(5232),
    [sym_string] = STATE(5232),
    [sym_quoted_string] = STATE(5232),
    [sym_boolean] = STATE(5232),
    [sym_unit] = STATE(5232),
    [sym_sign_operator] = STATE(2090),
    [sym__value_name] = STATE(5152),
    [sym_parenthesized_operator] = STATE(5171),
    [sym_value_path] = STATE(5180),
    [sym_module_path] = STATE(18780),
    [sym_constructor_path] = STATE(5180),
    [sym__instance_variable_name] = STATE(20196),
    [sym__constructor_name] = STATE(5210),
    [sym_tag] = STATE(5180),
    [sym__identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__capitalized_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [624] = {
    [sym_value_definition] = STATE(20384),
    [sym__simple_expression] = STATE(2426),
    [sym__expression] = STATE(10117),
    [sym__sequence_expression] = STATE(8252),
    [sym_typed_expression] = STATE(5180),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5180),
    [sym_array_expression] = STATE(5180),
    [sym_record_expression] = STATE(5180),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5180),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5180),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5115),
    [sym_array_get_expression] = STATE(5115),
    [sym_string_get_expression] = STATE(5115),
    [sym_bigarray_get_expression] = STATE(5115),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5180),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5180),
    [sym_package_expression] = STATE(5180),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5180),
    [sym_object_copy_expression] = STATE(5180),
    [sym_method_invocation] = STATE(5180),
    [sym_object_expression] = STATE(5180),
    [sym_parenthesized_expression] = STATE(5180),
    [sym_attribute] = STATE(624),
    [sym_extension] = STATE(5180),
    [sym_quoted_extension] = STATE(5180),
    [sym__constant] = STATE(5180),
    [sym_number] = STATE(5232),
    [sym_character] = STATE(5232),
    [sym_string] = STATE(5232),
    [sym_quoted_string] = STATE(5232),
    [sym_boolean] = STATE(5232),
    [sym_unit] = STATE(5232),
    [sym_sign_operator] = STATE(2090),
    [sym__value_name] = STATE(5152),
    [sym_parenthesized_operator] = STATE(5171),
    [sym_value_path] = STATE(5180),
    [sym_module_path] = STATE(18780),
    [sym_constructor_path] = STATE(5180),
    [sym__instance_variable_name] = STATE(20196),
    [sym__constructor_name] = STATE(5210),
    [sym_tag] = STATE(5180),
    [sym__identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__capitalized_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [625] = {
    [sym_value_definition] = STATE(20384),
    [sym__simple_expression] = STATE(2426),
    [sym__expression] = STATE(10117),
    [sym__sequence_expression] = STATE(8158),
    [sym_typed_expression] = STATE(5180),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5180),
    [sym_array_expression] = STATE(5180),
    [sym_record_expression] = STATE(5180),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5180),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5180),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5115),
    [sym_array_get_expression] = STATE(5115),
    [sym_string_get_expression] = STATE(5115),
    [sym_bigarray_get_expression] = STATE(5115),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5180),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5180),
    [sym_package_expression] = STATE(5180),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5180),
    [sym_object_copy_expression] = STATE(5180),
    [sym_method_invocation] = STATE(5180),
    [sym_object_expression] = STATE(5180),
    [sym_parenthesized_expression] = STATE(5180),
    [sym_attribute] = STATE(625),
    [sym_extension] = STATE(5180),
    [sym_quoted_extension] = STATE(5180),
    [sym__constant] = STATE(5180),
    [sym_number] = STATE(5232),
    [sym_character] = STATE(5232),
    [sym_string] = STATE(5232),
    [sym_quoted_string] = STATE(5232),
    [sym_boolean] = STATE(5232),
    [sym_unit] = STATE(5232),
    [sym_sign_operator] = STATE(2090),
    [sym__value_name] = STATE(5152),
    [sym_parenthesized_operator] = STATE(5171),
    [sym_value_path] = STATE(5180),
    [sym_module_path] = STATE(18780),
    [sym_constructor_path] = STATE(5180),
    [sym__instance_variable_name] = STATE(20196),
    [sym__constructor_name] = STATE(5210),
    [sym_tag] = STATE(5180),
    [sym__identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__capitalized_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [626] = {
    [sym_value_definition] = STATE(20384),
    [sym__simple_expression] = STATE(2426),
    [sym__expression] = STATE(10117),
    [sym__sequence_expression] = STATE(8184),
    [sym_typed_expression] = STATE(5180),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5180),
    [sym_array_expression] = STATE(5180),
    [sym_record_expression] = STATE(5180),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5180),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5180),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5115),
    [sym_array_get_expression] = STATE(5115),
    [sym_string_get_expression] = STATE(5115),
    [sym_bigarray_get_expression] = STATE(5115),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5180),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5180),
    [sym_package_expression] = STATE(5180),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5180),
    [sym_object_copy_expression] = STATE(5180),
    [sym_method_invocation] = STATE(5180),
    [sym_object_expression] = STATE(5180),
    [sym_parenthesized_expression] = STATE(5180),
    [sym_attribute] = STATE(626),
    [sym_extension] = STATE(5180),
    [sym_quoted_extension] = STATE(5180),
    [sym__constant] = STATE(5180),
    [sym_number] = STATE(5232),
    [sym_character] = STATE(5232),
    [sym_string] = STATE(5232),
    [sym_quoted_string] = STATE(5232),
    [sym_boolean] = STATE(5232),
    [sym_unit] = STATE(5232),
    [sym_sign_operator] = STATE(2090),
    [sym__value_name] = STATE(5152),
    [sym_parenthesized_operator] = STATE(5171),
    [sym_value_path] = STATE(5180),
    [sym_module_path] = STATE(18780),
    [sym_constructor_path] = STATE(5180),
    [sym__instance_variable_name] = STATE(20196),
    [sym__constructor_name] = STATE(5210),
    [sym_tag] = STATE(5180),
    [sym__identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__capitalized_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [627] = {
    [sym_value_definition] = STATE(20384),
    [sym__simple_expression] = STATE(2426),
    [sym__expression] = STATE(10117),
    [sym__sequence_expression] = STATE(8248),
    [sym_typed_expression] = STATE(5180),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5180),
    [sym_array_expression] = STATE(5180),
    [sym_record_expression] = STATE(5180),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5180),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5180),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5115),
    [sym_array_get_expression] = STATE(5115),
    [sym_string_get_expression] = STATE(5115),
    [sym_bigarray_get_expression] = STATE(5115),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5180),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5180),
    [sym_package_expression] = STATE(5180),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5180),
    [sym_object_copy_expression] = STATE(5180),
    [sym_method_invocation] = STATE(5180),
    [sym_object_expression] = STATE(5180),
    [sym_parenthesized_expression] = STATE(5180),
    [sym_attribute] = STATE(627),
    [sym_extension] = STATE(5180),
    [sym_quoted_extension] = STATE(5180),
    [sym__constant] = STATE(5180),
    [sym_number] = STATE(5232),
    [sym_character] = STATE(5232),
    [sym_string] = STATE(5232),
    [sym_quoted_string] = STATE(5232),
    [sym_boolean] = STATE(5232),
    [sym_unit] = STATE(5232),
    [sym_sign_operator] = STATE(2090),
    [sym__value_name] = STATE(5152),
    [sym_parenthesized_operator] = STATE(5171),
    [sym_value_path] = STATE(5180),
    [sym_module_path] = STATE(18780),
    [sym_constructor_path] = STATE(5180),
    [sym__instance_variable_name] = STATE(20196),
    [sym__constructor_name] = STATE(5210),
    [sym_tag] = STATE(5180),
    [sym__identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__capitalized_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [628] = {
    [sym_value_definition] = STATE(18092),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12522),
    [sym__sequence_expression] = STATE(10429),
    [sym_typed_expression] = STATE(7127),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(7127),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(7127),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(7127),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(628),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym_sign_operator] = STATE(1954),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__instance_variable_name] = STATE(18010),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [sym__identifier] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2735),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_function] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2779),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [629] = {
    [sym_value_definition] = STATE(18092),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12522),
    [sym__sequence_expression] = STATE(10312),
    [sym_typed_expression] = STATE(7127),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(7127),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(7127),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(7127),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(629),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym_sign_operator] = STATE(1954),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__instance_variable_name] = STATE(18010),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [sym__identifier] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2735),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_function] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2779),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [630] = {
    [sym_value_definition] = STATE(19851),
    [sym__simple_expression] = STATE(515),
    [sym__expression] = STATE(8363),
    [sym__sequence_expression] = STATE(7493),
    [sym_typed_expression] = STATE(3210),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3210),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3210),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2886),
    [sym_array_get_expression] = STATE(2886),
    [sym_string_get_expression] = STATE(2886),
    [sym_bigarray_get_expression] = STATE(2886),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3210),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(630),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym_sign_operator] = STATE(2063),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__instance_variable_name] = STATE(19760),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [sym__identifier] = ACTIONS(459),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_fun] = ACTIONS(473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(505),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [631] = {
    [sym_value_definition] = STATE(18092),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12522),
    [sym__sequence_expression] = STATE(10350),
    [sym_typed_expression] = STATE(7127),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(7127),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(7127),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(7127),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(631),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym_sign_operator] = STATE(1954),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__instance_variable_name] = STATE(18010),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [sym__identifier] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2735),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_function] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2779),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [632] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16721),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(632),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [633] = {
    [sym_value_definition] = STATE(18092),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12522),
    [sym__sequence_expression] = STATE(10624),
    [sym_typed_expression] = STATE(7127),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(7127),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(7127),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(7127),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(633),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym_sign_operator] = STATE(1954),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__instance_variable_name] = STATE(18010),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [sym__identifier] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2735),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_function] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2779),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [634] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12025),
    [sym__sequence_expression] = STATE(10436),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(634),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [635] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18834),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(635),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [636] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12025),
    [sym__sequence_expression] = STATE(10408),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(636),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [637] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12025),
    [sym__sequence_expression] = STATE(10409),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(637),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [638] = {
    [sym_value_definition] = STATE(18937),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12498),
    [sym__sequence_expression] = STATE(8695),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6377),
    [sym_array_get_expression] = STATE(6377),
    [sym_string_get_expression] = STATE(6377),
    [sym_bigarray_get_expression] = STATE(6377),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(638),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(1799),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(18907),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(2655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2659),
    [anon_sym_function] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2663),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2665),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [639] = {
    [sym_value_definition] = STATE(19068),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11993),
    [sym__sequence_expression] = STATE(8155),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6007),
    [sym_array_get_expression] = STATE(6007),
    [sym_string_get_expression] = STATE(6007),
    [sym_bigarray_get_expression] = STATE(6007),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(639),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(2105),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(17788),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(1907),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(1919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(1927),
    [anon_sym_try] = ACTIONS(1929),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1951),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [640] = {
    [sym_value_definition] = STATE(19068),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11993),
    [sym__sequence_expression] = STATE(8243),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6007),
    [sym_array_get_expression] = STATE(6007),
    [sym_string_get_expression] = STATE(6007),
    [sym_bigarray_get_expression] = STATE(6007),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(640),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(2105),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(17788),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(1907),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(1919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(1927),
    [anon_sym_try] = ACTIONS(1929),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1951),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [641] = {
    [sym_value_definition] = STATE(19068),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11993),
    [sym__sequence_expression] = STATE(8247),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6007),
    [sym_array_get_expression] = STATE(6007),
    [sym_string_get_expression] = STATE(6007),
    [sym_bigarray_get_expression] = STATE(6007),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(641),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(2105),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(17788),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(1907),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(1919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(1927),
    [anon_sym_try] = ACTIONS(1929),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1951),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [642] = {
    [sym_value_definition] = STATE(19068),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11993),
    [sym__sequence_expression] = STATE(8252),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6007),
    [sym_array_get_expression] = STATE(6007),
    [sym_string_get_expression] = STATE(6007),
    [sym_bigarray_get_expression] = STATE(6007),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(642),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(2105),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(17788),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(1907),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(1919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(1927),
    [anon_sym_try] = ACTIONS(1929),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1951),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [643] = {
    [sym_value_definition] = STATE(19068),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11993),
    [sym__sequence_expression] = STATE(8158),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6007),
    [sym_array_get_expression] = STATE(6007),
    [sym_string_get_expression] = STATE(6007),
    [sym_bigarray_get_expression] = STATE(6007),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(643),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(2105),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(17788),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(1907),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(1919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(1927),
    [anon_sym_try] = ACTIONS(1929),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1951),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [644] = {
    [sym_value_definition] = STATE(19068),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11993),
    [sym__sequence_expression] = STATE(8184),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6007),
    [sym_array_get_expression] = STATE(6007),
    [sym_string_get_expression] = STATE(6007),
    [sym_bigarray_get_expression] = STATE(6007),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(644),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(2105),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(17788),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(1907),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(1919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(1927),
    [anon_sym_try] = ACTIONS(1929),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1951),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [645] = {
    [sym_value_definition] = STATE(19068),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11993),
    [sym__sequence_expression] = STATE(8248),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6007),
    [sym_array_get_expression] = STATE(6007),
    [sym_string_get_expression] = STATE(6007),
    [sym_bigarray_get_expression] = STATE(6007),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(645),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(2105),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(17788),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(1907),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(1919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(1927),
    [anon_sym_try] = ACTIONS(1929),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1951),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [646] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12025),
    [sym__sequence_expression] = STATE(10429),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(646),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [647] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12025),
    [sym__sequence_expression] = STATE(10312),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(647),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [648] = {
    [sym_value_definition] = STATE(19812),
    [sym__simple_expression] = STATE(1565),
    [sym__expression] = STATE(8521),
    [sym__sequence_expression] = STATE(5335),
    [sym_typed_expression] = STATE(3895),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3895),
    [sym_array_expression] = STATE(3895),
    [sym_record_expression] = STATE(3895),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3895),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3895),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3520),
    [sym_array_get_expression] = STATE(3520),
    [sym_string_get_expression] = STATE(3520),
    [sym_bigarray_get_expression] = STATE(3520),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3895),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3895),
    [sym_package_expression] = STATE(3895),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3895),
    [sym_object_copy_expression] = STATE(3895),
    [sym_method_invocation] = STATE(3895),
    [sym_object_expression] = STATE(3895),
    [sym_parenthesized_expression] = STATE(3895),
    [sym_attribute] = STATE(648),
    [sym_extension] = STATE(3895),
    [sym_quoted_extension] = STATE(3895),
    [sym__constant] = STATE(3895),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(1913),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(4006),
    [sym_value_path] = STATE(3895),
    [sym_module_path] = STATE(17569),
    [sym_constructor_path] = STATE(3895),
    [sym__instance_variable_name] = STATE(19697),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3895),
    [sym__identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3123),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3125),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__capitalized_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [649] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12025),
    [sym__sequence_expression] = STATE(10350),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(649),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [650] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17383),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(650),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [651] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12025),
    [sym__sequence_expression] = STATE(10624),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(651),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [652] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18852),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(652),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [653] = {
    [sym_value_definition] = STATE(19851),
    [sym__simple_expression] = STATE(515),
    [sym__expression] = STATE(8298),
    [sym__sequence_expression] = STATE(8111),
    [sym_typed_expression] = STATE(3210),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3210),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3210),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2886),
    [sym_array_get_expression] = STATE(2886),
    [sym_string_get_expression] = STATE(2886),
    [sym_bigarray_get_expression] = STATE(2886),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3210),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(653),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym_sign_operator] = STATE(2063),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__instance_variable_name] = STATE(19760),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [sym__identifier] = ACTIONS(459),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_fun] = ACTIONS(473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(505),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [654] = {
    [sym_value_definition] = STATE(19821),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12545),
    [sym__sequence_expression] = STATE(8695),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6440),
    [sym_array_get_expression] = STATE(6440),
    [sym_string_get_expression] = STATE(6440),
    [sym_bigarray_get_expression] = STATE(6440),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(654),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(1871),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(19783),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(2721),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2725),
    [anon_sym_function] = ACTIONS(2727),
    [anon_sym_try] = ACTIONS(2729),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2731),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [655] = {
    [sym_value_definition] = STATE(17923),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11958),
    [sym__sequence_expression] = STATE(8155),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6008),
    [sym_array_get_expression] = STATE(6008),
    [sym_string_get_expression] = STATE(6008),
    [sym_bigarray_get_expression] = STATE(6008),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(655),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(18687),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(1989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(1993),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1995),
    [anon_sym_function] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1999),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2021),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [656] = {
    [sym_value_definition] = STATE(17923),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11958),
    [sym__sequence_expression] = STATE(8243),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6008),
    [sym_array_get_expression] = STATE(6008),
    [sym_string_get_expression] = STATE(6008),
    [sym_bigarray_get_expression] = STATE(6008),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(656),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(18687),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(1989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(1993),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1995),
    [anon_sym_function] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1999),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2021),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [657] = {
    [sym_value_definition] = STATE(17923),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11958),
    [sym__sequence_expression] = STATE(8247),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6008),
    [sym_array_get_expression] = STATE(6008),
    [sym_string_get_expression] = STATE(6008),
    [sym_bigarray_get_expression] = STATE(6008),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(657),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(18687),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(1989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(1993),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1995),
    [anon_sym_function] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1999),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2021),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [658] = {
    [sym_value_definition] = STATE(17923),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11958),
    [sym__sequence_expression] = STATE(8252),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6008),
    [sym_array_get_expression] = STATE(6008),
    [sym_string_get_expression] = STATE(6008),
    [sym_bigarray_get_expression] = STATE(6008),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(658),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(18687),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(1989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(1993),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1995),
    [anon_sym_function] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1999),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2021),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [659] = {
    [sym_value_definition] = STATE(17923),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11958),
    [sym__sequence_expression] = STATE(8158),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6008),
    [sym_array_get_expression] = STATE(6008),
    [sym_string_get_expression] = STATE(6008),
    [sym_bigarray_get_expression] = STATE(6008),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(659),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(18687),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(1989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(1993),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1995),
    [anon_sym_function] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1999),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2021),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [660] = {
    [sym_value_definition] = STATE(17923),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11958),
    [sym__sequence_expression] = STATE(8184),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6008),
    [sym_array_get_expression] = STATE(6008),
    [sym_string_get_expression] = STATE(6008),
    [sym_bigarray_get_expression] = STATE(6008),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(660),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(18687),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(1989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(1993),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1995),
    [anon_sym_function] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1999),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2021),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [661] = {
    [sym_value_definition] = STATE(17923),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11958),
    [sym__sequence_expression] = STATE(8248),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6008),
    [sym_array_get_expression] = STATE(6008),
    [sym_string_get_expression] = STATE(6008),
    [sym_bigarray_get_expression] = STATE(6008),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(661),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(18687),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(1989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(1993),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1995),
    [anon_sym_function] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1999),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2021),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [662] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18886),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(662),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [663] = {
    [sym_value_definition] = STATE(19851),
    [sym__simple_expression] = STATE(515),
    [sym__expression] = STATE(8298),
    [sym__sequence_expression] = STATE(8190),
    [sym_typed_expression] = STATE(3210),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3210),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3210),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2886),
    [sym_array_get_expression] = STATE(2886),
    [sym_string_get_expression] = STATE(2886),
    [sym_bigarray_get_expression] = STATE(2886),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3210),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(663),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym_sign_operator] = STATE(2063),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__instance_variable_name] = STATE(19760),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [sym__identifier] = ACTIONS(459),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_fun] = ACTIONS(473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(505),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [664] = {
    [sym_value_definition] = STATE(19851),
    [sym__simple_expression] = STATE(515),
    [sym__expression] = STATE(8298),
    [sym__sequence_expression] = STATE(8236),
    [sym_typed_expression] = STATE(3210),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3210),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3210),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2886),
    [sym_array_get_expression] = STATE(2886),
    [sym_string_get_expression] = STATE(2886),
    [sym_bigarray_get_expression] = STATE(2886),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3210),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(664),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym_sign_operator] = STATE(2063),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__instance_variable_name] = STATE(19760),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [sym__identifier] = ACTIONS(459),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_fun] = ACTIONS(473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(505),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [665] = {
    [sym_value_definition] = STATE(19851),
    [sym__simple_expression] = STATE(515),
    [sym__expression] = STATE(8298),
    [sym__sequence_expression] = STATE(8134),
    [sym_typed_expression] = STATE(3210),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3210),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3210),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2886),
    [sym_array_get_expression] = STATE(2886),
    [sym_string_get_expression] = STATE(2886),
    [sym_bigarray_get_expression] = STATE(2886),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3210),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(665),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym_sign_operator] = STATE(2063),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__instance_variable_name] = STATE(19760),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [sym__identifier] = ACTIONS(459),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_fun] = ACTIONS(473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(505),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [666] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16725),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(666),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [667] = {
    [sym_value_definition] = STATE(19851),
    [sym__simple_expression] = STATE(515),
    [sym__expression] = STATE(8298),
    [sym__sequence_expression] = STATE(8177),
    [sym_typed_expression] = STATE(3210),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3210),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3210),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2886),
    [sym_array_get_expression] = STATE(2886),
    [sym_string_get_expression] = STATE(2886),
    [sym_bigarray_get_expression] = STATE(2886),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3210),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(667),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym_sign_operator] = STATE(2063),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__instance_variable_name] = STATE(19760),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [sym__identifier] = ACTIONS(459),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_fun] = ACTIONS(473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(505),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [668] = {
    [sym_value_definition] = STATE(19851),
    [sym__simple_expression] = STATE(515),
    [sym__expression] = STATE(8298),
    [sym__sequence_expression] = STATE(8256),
    [sym_typed_expression] = STATE(3210),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3210),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3210),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2886),
    [sym_array_get_expression] = STATE(2886),
    [sym_string_get_expression] = STATE(2886),
    [sym_bigarray_get_expression] = STATE(2886),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3210),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(668),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym_sign_operator] = STATE(2063),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__instance_variable_name] = STATE(19760),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [sym__identifier] = ACTIONS(459),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_fun] = ACTIONS(473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(505),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [669] = {
    [sym_value_definition] = STATE(19851),
    [sym__simple_expression] = STATE(515),
    [sym__expression] = STATE(8298),
    [sym__sequence_expression] = STATE(8173),
    [sym_typed_expression] = STATE(3210),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3210),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3210),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2886),
    [sym_array_get_expression] = STATE(2886),
    [sym_string_get_expression] = STATE(2886),
    [sym_bigarray_get_expression] = STATE(2886),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3210),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(669),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym_sign_operator] = STATE(2063),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__instance_variable_name] = STATE(19760),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [sym__identifier] = ACTIONS(459),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_fun] = ACTIONS(473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(505),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [670] = {
    [sym_value_definition] = STATE(17704),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12568),
    [sym__sequence_expression] = STATE(8695),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6549),
    [sym_array_get_expression] = STATE(6549),
    [sym_string_get_expression] = STATE(6549),
    [sym_bigarray_get_expression] = STATE(6549),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(670),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17686),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2839),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2849),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [671] = {
    [sym_value_definition] = STATE(18989),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11882),
    [sym__sequence_expression] = STATE(8155),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6009),
    [sym_array_get_expression] = STATE(6009),
    [sym_string_get_expression] = STATE(6009),
    [sym_bigarray_get_expression] = STATE(6009),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(671),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17859),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2047),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2063),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2091),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [672] = {
    [sym_value_definition] = STATE(18989),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11882),
    [sym__sequence_expression] = STATE(8243),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6009),
    [sym_array_get_expression] = STATE(6009),
    [sym_string_get_expression] = STATE(6009),
    [sym_bigarray_get_expression] = STATE(6009),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(672),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17859),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2047),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2063),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2091),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [673] = {
    [sym_value_definition] = STATE(18989),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11882),
    [sym__sequence_expression] = STATE(8247),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6009),
    [sym_array_get_expression] = STATE(6009),
    [sym_string_get_expression] = STATE(6009),
    [sym_bigarray_get_expression] = STATE(6009),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(673),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17859),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2047),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2063),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2091),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [674] = {
    [sym_value_definition] = STATE(18989),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11882),
    [sym__sequence_expression] = STATE(8252),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6009),
    [sym_array_get_expression] = STATE(6009),
    [sym_string_get_expression] = STATE(6009),
    [sym_bigarray_get_expression] = STATE(6009),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(674),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17859),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2047),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2063),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2091),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [675] = {
    [sym_value_definition] = STATE(18989),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11882),
    [sym__sequence_expression] = STATE(8158),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6009),
    [sym_array_get_expression] = STATE(6009),
    [sym_string_get_expression] = STATE(6009),
    [sym_bigarray_get_expression] = STATE(6009),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(675),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17859),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2047),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2063),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2091),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [676] = {
    [sym_value_definition] = STATE(18989),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11882),
    [sym__sequence_expression] = STATE(8184),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6009),
    [sym_array_get_expression] = STATE(6009),
    [sym_string_get_expression] = STATE(6009),
    [sym_bigarray_get_expression] = STATE(6009),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(676),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17859),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2047),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2063),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2091),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [677] = {
    [sym_value_definition] = STATE(18989),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11882),
    [sym__sequence_expression] = STATE(8248),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6009),
    [sym_array_get_expression] = STATE(6009),
    [sym_string_get_expression] = STATE(6009),
    [sym_bigarray_get_expression] = STATE(6009),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(677),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17859),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2047),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2063),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2091),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [678] = {
    [sym_value_definition] = STATE(18494),
    [sym__simple_expression] = STATE(1632),
    [sym__expression] = STATE(8432),
    [sym__sequence_expression] = STATE(8111),
    [sym_typed_expression] = STATE(4008),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4008),
    [sym_array_expression] = STATE(4008),
    [sym_record_expression] = STATE(4008),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4008),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4008),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3584),
    [sym_array_get_expression] = STATE(3584),
    [sym_string_get_expression] = STATE(3584),
    [sym_bigarray_get_expression] = STATE(3584),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4008),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4008),
    [sym_package_expression] = STATE(4008),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4008),
    [sym_object_copy_expression] = STATE(4008),
    [sym_method_invocation] = STATE(4008),
    [sym_object_expression] = STATE(4008),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_attribute] = STATE(678),
    [sym_extension] = STATE(4008),
    [sym_quoted_extension] = STATE(4008),
    [sym__constant] = STATE(4008),
    [sym_number] = STATE(3818),
    [sym_character] = STATE(3818),
    [sym_string] = STATE(3818),
    [sym_quoted_string] = STATE(3818),
    [sym_boolean] = STATE(3818),
    [sym_unit] = STATE(3818),
    [sym_sign_operator] = STATE(2119),
    [sym__value_name] = STATE(4039),
    [sym_parenthesized_operator] = STATE(3903),
    [sym_value_path] = STATE(4008),
    [sym_module_path] = STATE(17789),
    [sym_constructor_path] = STATE(4008),
    [sym__instance_variable_name] = STATE(17931),
    [sym__constructor_name] = STATE(3820),
    [sym_tag] = STATE(4008),
    [sym__identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__capitalized_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [679] = {
    [sym_value_definition] = STATE(18494),
    [sym__simple_expression] = STATE(1632),
    [sym__expression] = STATE(8432),
    [sym__sequence_expression] = STATE(8190),
    [sym_typed_expression] = STATE(4008),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4008),
    [sym_array_expression] = STATE(4008),
    [sym_record_expression] = STATE(4008),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4008),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4008),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3584),
    [sym_array_get_expression] = STATE(3584),
    [sym_string_get_expression] = STATE(3584),
    [sym_bigarray_get_expression] = STATE(3584),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4008),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4008),
    [sym_package_expression] = STATE(4008),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4008),
    [sym_object_copy_expression] = STATE(4008),
    [sym_method_invocation] = STATE(4008),
    [sym_object_expression] = STATE(4008),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_attribute] = STATE(679),
    [sym_extension] = STATE(4008),
    [sym_quoted_extension] = STATE(4008),
    [sym__constant] = STATE(4008),
    [sym_number] = STATE(3818),
    [sym_character] = STATE(3818),
    [sym_string] = STATE(3818),
    [sym_quoted_string] = STATE(3818),
    [sym_boolean] = STATE(3818),
    [sym_unit] = STATE(3818),
    [sym_sign_operator] = STATE(2119),
    [sym__value_name] = STATE(4039),
    [sym_parenthesized_operator] = STATE(3903),
    [sym_value_path] = STATE(4008),
    [sym_module_path] = STATE(17789),
    [sym_constructor_path] = STATE(4008),
    [sym__instance_variable_name] = STATE(17931),
    [sym__constructor_name] = STATE(3820),
    [sym_tag] = STATE(4008),
    [sym__identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__capitalized_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [680] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17147),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(680),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [681] = {
    [sym_value_definition] = STATE(18494),
    [sym__simple_expression] = STATE(1632),
    [sym__expression] = STATE(8432),
    [sym__sequence_expression] = STATE(8236),
    [sym_typed_expression] = STATE(4008),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4008),
    [sym_array_expression] = STATE(4008),
    [sym_record_expression] = STATE(4008),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4008),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4008),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3584),
    [sym_array_get_expression] = STATE(3584),
    [sym_string_get_expression] = STATE(3584),
    [sym_bigarray_get_expression] = STATE(3584),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4008),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4008),
    [sym_package_expression] = STATE(4008),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4008),
    [sym_object_copy_expression] = STATE(4008),
    [sym_method_invocation] = STATE(4008),
    [sym_object_expression] = STATE(4008),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_attribute] = STATE(681),
    [sym_extension] = STATE(4008),
    [sym_quoted_extension] = STATE(4008),
    [sym__constant] = STATE(4008),
    [sym_number] = STATE(3818),
    [sym_character] = STATE(3818),
    [sym_string] = STATE(3818),
    [sym_quoted_string] = STATE(3818),
    [sym_boolean] = STATE(3818),
    [sym_unit] = STATE(3818),
    [sym_sign_operator] = STATE(2119),
    [sym__value_name] = STATE(4039),
    [sym_parenthesized_operator] = STATE(3903),
    [sym_value_path] = STATE(4008),
    [sym_module_path] = STATE(17789),
    [sym_constructor_path] = STATE(4008),
    [sym__instance_variable_name] = STATE(17931),
    [sym__constructor_name] = STATE(3820),
    [sym_tag] = STATE(4008),
    [sym__identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__capitalized_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [682] = {
    [sym_value_definition] = STATE(20211),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11496),
    [sym__sequence_expression] = STATE(10492),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5615),
    [sym_array_get_expression] = STATE(5615),
    [sym_string_get_expression] = STATE(5615),
    [sym_bigarray_get_expression] = STATE(5615),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(682),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2275),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(18108),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [683] = {
    [sym_value_definition] = STATE(18147),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9456),
    [sym__sequence_expression] = STATE(8155),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4703),
    [sym_array_get_expression] = STATE(4703),
    [sym_string_get_expression] = STATE(4703),
    [sym_bigarray_get_expression] = STATE(4703),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(683),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(2174),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(17729),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [684] = {
    [sym_value_definition] = STATE(18147),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9456),
    [sym__sequence_expression] = STATE(8243),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4703),
    [sym_array_get_expression] = STATE(4703),
    [sym_string_get_expression] = STATE(4703),
    [sym_bigarray_get_expression] = STATE(4703),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(684),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(2174),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(17729),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [685] = {
    [sym_value_definition] = STATE(18147),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9456),
    [sym__sequence_expression] = STATE(8247),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4703),
    [sym_array_get_expression] = STATE(4703),
    [sym_string_get_expression] = STATE(4703),
    [sym_bigarray_get_expression] = STATE(4703),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(685),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(2174),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(17729),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [686] = {
    [sym_value_definition] = STATE(18147),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9456),
    [sym__sequence_expression] = STATE(8252),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4703),
    [sym_array_get_expression] = STATE(4703),
    [sym_string_get_expression] = STATE(4703),
    [sym_bigarray_get_expression] = STATE(4703),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(686),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(2174),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(17729),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [687] = {
    [sym_value_definition] = STATE(18147),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9456),
    [sym__sequence_expression] = STATE(8158),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4703),
    [sym_array_get_expression] = STATE(4703),
    [sym_string_get_expression] = STATE(4703),
    [sym_bigarray_get_expression] = STATE(4703),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(687),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(2174),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(17729),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [688] = {
    [sym_value_definition] = STATE(18147),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9456),
    [sym__sequence_expression] = STATE(8184),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4703),
    [sym_array_get_expression] = STATE(4703),
    [sym_string_get_expression] = STATE(4703),
    [sym_bigarray_get_expression] = STATE(4703),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(688),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(2174),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(17729),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [689] = {
    [sym_value_definition] = STATE(18147),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9456),
    [sym__sequence_expression] = STATE(8248),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4703),
    [sym_array_get_expression] = STATE(4703),
    [sym_string_get_expression] = STATE(4703),
    [sym_bigarray_get_expression] = STATE(4703),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(689),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(2174),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(17729),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [690] = {
    [sym_value_definition] = STATE(18494),
    [sym__simple_expression] = STATE(1632),
    [sym__expression] = STATE(8432),
    [sym__sequence_expression] = STATE(8134),
    [sym_typed_expression] = STATE(4008),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4008),
    [sym_array_expression] = STATE(4008),
    [sym_record_expression] = STATE(4008),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4008),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4008),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3584),
    [sym_array_get_expression] = STATE(3584),
    [sym_string_get_expression] = STATE(3584),
    [sym_bigarray_get_expression] = STATE(3584),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4008),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4008),
    [sym_package_expression] = STATE(4008),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4008),
    [sym_object_copy_expression] = STATE(4008),
    [sym_method_invocation] = STATE(4008),
    [sym_object_expression] = STATE(4008),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_attribute] = STATE(690),
    [sym_extension] = STATE(4008),
    [sym_quoted_extension] = STATE(4008),
    [sym__constant] = STATE(4008),
    [sym_number] = STATE(3818),
    [sym_character] = STATE(3818),
    [sym_string] = STATE(3818),
    [sym_quoted_string] = STATE(3818),
    [sym_boolean] = STATE(3818),
    [sym_unit] = STATE(3818),
    [sym_sign_operator] = STATE(2119),
    [sym__value_name] = STATE(4039),
    [sym_parenthesized_operator] = STATE(3903),
    [sym_value_path] = STATE(4008),
    [sym_module_path] = STATE(17789),
    [sym_constructor_path] = STATE(4008),
    [sym__instance_variable_name] = STATE(17931),
    [sym__constructor_name] = STATE(3820),
    [sym_tag] = STATE(4008),
    [sym__identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__capitalized_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [691] = {
    [sym_value_definition] = STATE(18494),
    [sym__simple_expression] = STATE(1632),
    [sym__expression] = STATE(8432),
    [sym__sequence_expression] = STATE(8177),
    [sym_typed_expression] = STATE(4008),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4008),
    [sym_array_expression] = STATE(4008),
    [sym_record_expression] = STATE(4008),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4008),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4008),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3584),
    [sym_array_get_expression] = STATE(3584),
    [sym_string_get_expression] = STATE(3584),
    [sym_bigarray_get_expression] = STATE(3584),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4008),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4008),
    [sym_package_expression] = STATE(4008),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4008),
    [sym_object_copy_expression] = STATE(4008),
    [sym_method_invocation] = STATE(4008),
    [sym_object_expression] = STATE(4008),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_attribute] = STATE(691),
    [sym_extension] = STATE(4008),
    [sym_quoted_extension] = STATE(4008),
    [sym__constant] = STATE(4008),
    [sym_number] = STATE(3818),
    [sym_character] = STATE(3818),
    [sym_string] = STATE(3818),
    [sym_quoted_string] = STATE(3818),
    [sym_boolean] = STATE(3818),
    [sym_unit] = STATE(3818),
    [sym_sign_operator] = STATE(2119),
    [sym__value_name] = STATE(4039),
    [sym_parenthesized_operator] = STATE(3903),
    [sym_value_path] = STATE(4008),
    [sym_module_path] = STATE(17789),
    [sym_constructor_path] = STATE(4008),
    [sym__instance_variable_name] = STATE(17931),
    [sym__constructor_name] = STATE(3820),
    [sym_tag] = STATE(4008),
    [sym__identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__capitalized_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [692] = {
    [sym_value_definition] = STATE(18494),
    [sym__simple_expression] = STATE(1632),
    [sym__expression] = STATE(8432),
    [sym__sequence_expression] = STATE(8256),
    [sym_typed_expression] = STATE(4008),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4008),
    [sym_array_expression] = STATE(4008),
    [sym_record_expression] = STATE(4008),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4008),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4008),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3584),
    [sym_array_get_expression] = STATE(3584),
    [sym_string_get_expression] = STATE(3584),
    [sym_bigarray_get_expression] = STATE(3584),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4008),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4008),
    [sym_package_expression] = STATE(4008),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4008),
    [sym_object_copy_expression] = STATE(4008),
    [sym_method_invocation] = STATE(4008),
    [sym_object_expression] = STATE(4008),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_attribute] = STATE(692),
    [sym_extension] = STATE(4008),
    [sym_quoted_extension] = STATE(4008),
    [sym__constant] = STATE(4008),
    [sym_number] = STATE(3818),
    [sym_character] = STATE(3818),
    [sym_string] = STATE(3818),
    [sym_quoted_string] = STATE(3818),
    [sym_boolean] = STATE(3818),
    [sym_unit] = STATE(3818),
    [sym_sign_operator] = STATE(2119),
    [sym__value_name] = STATE(4039),
    [sym_parenthesized_operator] = STATE(3903),
    [sym_value_path] = STATE(4008),
    [sym_module_path] = STATE(17789),
    [sym_constructor_path] = STATE(4008),
    [sym__instance_variable_name] = STATE(17931),
    [sym__constructor_name] = STATE(3820),
    [sym_tag] = STATE(4008),
    [sym__identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__capitalized_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [693] = {
    [sym_value_definition] = STATE(18494),
    [sym__simple_expression] = STATE(1632),
    [sym__expression] = STATE(8432),
    [sym__sequence_expression] = STATE(8173),
    [sym_typed_expression] = STATE(4008),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4008),
    [sym_array_expression] = STATE(4008),
    [sym_record_expression] = STATE(4008),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4008),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4008),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3584),
    [sym_array_get_expression] = STATE(3584),
    [sym_string_get_expression] = STATE(3584),
    [sym_bigarray_get_expression] = STATE(3584),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4008),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4008),
    [sym_package_expression] = STATE(4008),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4008),
    [sym_object_copy_expression] = STATE(4008),
    [sym_method_invocation] = STATE(4008),
    [sym_object_expression] = STATE(4008),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_attribute] = STATE(693),
    [sym_extension] = STATE(4008),
    [sym_quoted_extension] = STATE(4008),
    [sym__constant] = STATE(4008),
    [sym_number] = STATE(3818),
    [sym_character] = STATE(3818),
    [sym_string] = STATE(3818),
    [sym_quoted_string] = STATE(3818),
    [sym_boolean] = STATE(3818),
    [sym_unit] = STATE(3818),
    [sym_sign_operator] = STATE(2119),
    [sym__value_name] = STATE(4039),
    [sym_parenthesized_operator] = STATE(3903),
    [sym_value_path] = STATE(4008),
    [sym_module_path] = STATE(17789),
    [sym_constructor_path] = STATE(4008),
    [sym__instance_variable_name] = STATE(17931),
    [sym__constructor_name] = STATE(3820),
    [sym_tag] = STATE(4008),
    [sym__identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__capitalized_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [694] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16743),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(694),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [695] = {
    [sym_value_definition] = STATE(17564),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11726),
    [sym__sequence_expression] = STATE(10436),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(695),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2146),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(20408),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [696] = {
    [sym_value_definition] = STATE(20384),
    [sym__simple_expression] = STATE(2426),
    [sym__expression] = STATE(10117),
    [sym__sequence_expression] = STATE(8253),
    [sym_typed_expression] = STATE(5180),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5180),
    [sym_array_expression] = STATE(5180),
    [sym_record_expression] = STATE(5180),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5180),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5180),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5115),
    [sym_array_get_expression] = STATE(5115),
    [sym_string_get_expression] = STATE(5115),
    [sym_bigarray_get_expression] = STATE(5115),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5180),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5180),
    [sym_package_expression] = STATE(5180),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5180),
    [sym_object_copy_expression] = STATE(5180),
    [sym_method_invocation] = STATE(5180),
    [sym_object_expression] = STATE(5180),
    [sym_parenthesized_expression] = STATE(5180),
    [sym_attribute] = STATE(696),
    [sym_extension] = STATE(5180),
    [sym_quoted_extension] = STATE(5180),
    [sym__constant] = STATE(5180),
    [sym_number] = STATE(5232),
    [sym_character] = STATE(5232),
    [sym_string] = STATE(5232),
    [sym_quoted_string] = STATE(5232),
    [sym_boolean] = STATE(5232),
    [sym_unit] = STATE(5232),
    [sym_sign_operator] = STATE(2090),
    [sym__value_name] = STATE(5152),
    [sym_parenthesized_operator] = STATE(5171),
    [sym_value_path] = STATE(5180),
    [sym_module_path] = STATE(18780),
    [sym_constructor_path] = STATE(5180),
    [sym__instance_variable_name] = STATE(20196),
    [sym__constructor_name] = STATE(5210),
    [sym_tag] = STATE(5180),
    [sym__identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__capitalized_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [697] = {
    [sym_value_definition] = STATE(18501),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(10888),
    [sym__sequence_expression] = STATE(10436),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5497),
    [sym_array_get_expression] = STATE(5497),
    [sym_string_get_expression] = STATE(5497),
    [sym_bigarray_get_expression] = STATE(5497),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(697),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(18138),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [698] = {
    [sym_value_definition] = STATE(18501),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(10888),
    [sym__sequence_expression] = STATE(10408),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5497),
    [sym_array_get_expression] = STATE(5497),
    [sym_string_get_expression] = STATE(5497),
    [sym_bigarray_get_expression] = STATE(5497),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(698),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(18138),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [699] = {
    [sym_value_definition] = STATE(18501),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(10888),
    [sym__sequence_expression] = STATE(10409),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5497),
    [sym_array_get_expression] = STATE(5497),
    [sym_string_get_expression] = STATE(5497),
    [sym_bigarray_get_expression] = STATE(5497),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(699),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(18138),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [700] = {
    [sym_value_definition] = STATE(18501),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(10888),
    [sym__sequence_expression] = STATE(10429),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5497),
    [sym_array_get_expression] = STATE(5497),
    [sym_string_get_expression] = STATE(5497),
    [sym_bigarray_get_expression] = STATE(5497),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(700),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(18138),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [701] = {
    [sym_value_definition] = STATE(18501),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(10888),
    [sym__sequence_expression] = STATE(10312),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5497),
    [sym_array_get_expression] = STATE(5497),
    [sym_string_get_expression] = STATE(5497),
    [sym_bigarray_get_expression] = STATE(5497),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(701),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(18138),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [702] = {
    [sym_value_definition] = STATE(18501),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(10888),
    [sym__sequence_expression] = STATE(10350),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5497),
    [sym_array_get_expression] = STATE(5497),
    [sym_string_get_expression] = STATE(5497),
    [sym_bigarray_get_expression] = STATE(5497),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(702),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(18138),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [703] = {
    [sym_value_definition] = STATE(18501),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(10888),
    [sym__sequence_expression] = STATE(10624),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5497),
    [sym_array_get_expression] = STATE(5497),
    [sym_string_get_expression] = STATE(5497),
    [sym_bigarray_get_expression] = STATE(5497),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(703),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(18138),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [704] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18981),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(704),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [705] = {
    [sym_value_definition] = STATE(17564),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11726),
    [sym__sequence_expression] = STATE(10408),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(705),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2146),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(20408),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [706] = {
    [sym_value_definition] = STATE(17564),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11726),
    [sym__sequence_expression] = STATE(10409),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(706),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2146),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(20408),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [707] = {
    [sym_value_definition] = STATE(17564),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11726),
    [sym__sequence_expression] = STATE(10429),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(707),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2146),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(20408),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [708] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16797),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(708),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [709] = {
    [sym_value_definition] = STATE(17564),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11726),
    [sym__sequence_expression] = STATE(10312),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(709),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2146),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(20408),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [710] = {
    [sym_value_definition] = STATE(18593),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9647),
    [sym__sequence_expression] = STATE(8253),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4823),
    [sym_array_get_expression] = STATE(4823),
    [sym_string_get_expression] = STATE(4823),
    [sym_bigarray_get_expression] = STATE(4823),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(710),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(1974),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(18569),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(1027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1035),
    [anon_sym_function] = ACTIONS(1037),
    [anon_sym_try] = ACTIONS(1039),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1045),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [711] = {
    [sym_value_definition] = STATE(17564),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11726),
    [sym__sequence_expression] = STATE(10350),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(711),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2146),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(20408),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [712] = {
    [sym_value_definition] = STATE(17564),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11726),
    [sym__sequence_expression] = STATE(10624),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(712),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2146),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(20408),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [713] = {
    [sym_value_definition] = STATE(18906),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(10328),
    [sym__sequence_expression] = STATE(7921),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5273),
    [sym_array_get_expression] = STATE(5273),
    [sym_string_get_expression] = STATE(5273),
    [sym_bigarray_get_expression] = STATE(5273),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(713),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2187),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18688),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [714] = {
    [sym_value_definition] = STATE(18444),
    [sym__simple_expression] = STATE(528),
    [sym__expression] = STATE(8370),
    [sym__sequence_expression] = STATE(10487),
    [sym_typed_expression] = STATE(3337),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3337),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3337),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2728),
    [sym_array_get_expression] = STATE(2728),
    [sym_string_get_expression] = STATE(2728),
    [sym_bigarray_get_expression] = STATE(2728),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3337),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(714),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym_sign_operator] = STATE(1870),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__instance_variable_name] = STATE(18316),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [sym__identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(453),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [715] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16949),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(715),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [716] = {
    [sym_value_definition] = STATE(18906),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(10328),
    [sym__sequence_expression] = STATE(7955),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5273),
    [sym_array_get_expression] = STATE(5273),
    [sym_string_get_expression] = STATE(5273),
    [sym_bigarray_get_expression] = STATE(5273),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(716),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2187),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18688),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [717] = {
    [sym_value_definition] = STATE(18311),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11920),
    [sym__sequence_expression] = STATE(8253),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6006),
    [sym_array_get_expression] = STATE(6006),
    [sym_string_get_expression] = STATE(6006),
    [sym_bigarray_get_expression] = STATE(6006),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(717),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(1815),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(20371),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(1849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1855),
    [anon_sym_function] = ACTIONS(1857),
    [anon_sym_try] = ACTIONS(1859),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1881),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [718] = {
    [sym_value_definition] = STATE(18906),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(10328),
    [sym__sequence_expression] = STATE(7957),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5273),
    [sym_array_get_expression] = STATE(5273),
    [sym_string_get_expression] = STATE(5273),
    [sym_bigarray_get_expression] = STATE(5273),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(718),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2187),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18688),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [719] = {
    [sym_value_definition] = STATE(18906),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(10328),
    [sym__sequence_expression] = STATE(7959),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5273),
    [sym_array_get_expression] = STATE(5273),
    [sym_string_get_expression] = STATE(5273),
    [sym_bigarray_get_expression] = STATE(5273),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(719),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2187),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18688),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [720] = {
    [sym_value_definition] = STATE(18906),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(10328),
    [sym__sequence_expression] = STATE(7990),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5273),
    [sym_array_get_expression] = STATE(5273),
    [sym_string_get_expression] = STATE(5273),
    [sym_bigarray_get_expression] = STATE(5273),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(720),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2187),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18688),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [721] = {
    [sym_value_definition] = STATE(18906),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(10328),
    [sym__sequence_expression] = STATE(7989),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5273),
    [sym_array_get_expression] = STATE(5273),
    [sym_string_get_expression] = STATE(5273),
    [sym_bigarray_get_expression] = STATE(5273),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(721),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2187),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18688),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [722] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16608),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(722),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [723] = {
    [sym_value_definition] = STATE(18906),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(10328),
    [sym__sequence_expression] = STATE(7868),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5273),
    [sym_array_get_expression] = STATE(5273),
    [sym_string_get_expression] = STATE(5273),
    [sym_bigarray_get_expression] = STATE(5273),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(723),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2187),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18688),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [724] = {
    [sym_value_definition] = STATE(19068),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(11993),
    [sym__sequence_expression] = STATE(8253),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6007),
    [sym_array_get_expression] = STATE(6007),
    [sym_string_get_expression] = STATE(6007),
    [sym_bigarray_get_expression] = STATE(6007),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(724),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(2105),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(17788),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(1907),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(1919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(1927),
    [anon_sym_try] = ACTIONS(1929),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1951),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [725] = {
    [sym_value_definition] = STATE(17646),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(10625),
    [sym__sequence_expression] = STATE(8155),
    [sym_typed_expression] = STATE(5401),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5401),
    [sym_array_expression] = STATE(5401),
    [sym_record_expression] = STATE(5401),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5401),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5401),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5205),
    [sym_array_get_expression] = STATE(5205),
    [sym_string_get_expression] = STATE(5205),
    [sym_bigarray_get_expression] = STATE(5205),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5401),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5401),
    [sym_package_expression] = STATE(5401),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5401),
    [sym_object_copy_expression] = STATE(5401),
    [sym_method_invocation] = STATE(5401),
    [sym_object_expression] = STATE(5401),
    [sym_parenthesized_expression] = STATE(5401),
    [sym_attribute] = STATE(725),
    [sym_extension] = STATE(5401),
    [sym_quoted_extension] = STATE(5401),
    [sym__constant] = STATE(5401),
    [sym_number] = STATE(5380),
    [sym_character] = STATE(5380),
    [sym_string] = STATE(5380),
    [sym_quoted_string] = STATE(5380),
    [sym_boolean] = STATE(5380),
    [sym_unit] = STATE(5380),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5400),
    [sym_value_path] = STATE(5401),
    [sym_module_path] = STATE(18005),
    [sym_constructor_path] = STATE(5401),
    [sym__instance_variable_name] = STATE(17611),
    [sym__constructor_name] = STATE(5359),
    [sym_tag] = STATE(5401),
    [sym__identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__capitalized_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [726] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9961),
    [sym__sequence_expression] = STATE(13090),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(726),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [727] = {
    [sym_value_definition] = STATE(17646),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(10625),
    [sym__sequence_expression] = STATE(8243),
    [sym_typed_expression] = STATE(5401),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5401),
    [sym_array_expression] = STATE(5401),
    [sym_record_expression] = STATE(5401),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5401),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5401),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5205),
    [sym_array_get_expression] = STATE(5205),
    [sym_string_get_expression] = STATE(5205),
    [sym_bigarray_get_expression] = STATE(5205),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5401),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5401),
    [sym_package_expression] = STATE(5401),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5401),
    [sym_object_copy_expression] = STATE(5401),
    [sym_method_invocation] = STATE(5401),
    [sym_object_expression] = STATE(5401),
    [sym_parenthesized_expression] = STATE(5401),
    [sym_attribute] = STATE(727),
    [sym_extension] = STATE(5401),
    [sym_quoted_extension] = STATE(5401),
    [sym__constant] = STATE(5401),
    [sym_number] = STATE(5380),
    [sym_character] = STATE(5380),
    [sym_string] = STATE(5380),
    [sym_quoted_string] = STATE(5380),
    [sym_boolean] = STATE(5380),
    [sym_unit] = STATE(5380),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5400),
    [sym_value_path] = STATE(5401),
    [sym_module_path] = STATE(18005),
    [sym_constructor_path] = STATE(5401),
    [sym__instance_variable_name] = STATE(17611),
    [sym__constructor_name] = STATE(5359),
    [sym_tag] = STATE(5401),
    [sym__identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__capitalized_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [728] = {
    [sym_value_definition] = STATE(17646),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(10625),
    [sym__sequence_expression] = STATE(8247),
    [sym_typed_expression] = STATE(5401),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5401),
    [sym_array_expression] = STATE(5401),
    [sym_record_expression] = STATE(5401),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5401),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5401),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5205),
    [sym_array_get_expression] = STATE(5205),
    [sym_string_get_expression] = STATE(5205),
    [sym_bigarray_get_expression] = STATE(5205),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5401),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5401),
    [sym_package_expression] = STATE(5401),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5401),
    [sym_object_copy_expression] = STATE(5401),
    [sym_method_invocation] = STATE(5401),
    [sym_object_expression] = STATE(5401),
    [sym_parenthesized_expression] = STATE(5401),
    [sym_attribute] = STATE(728),
    [sym_extension] = STATE(5401),
    [sym_quoted_extension] = STATE(5401),
    [sym__constant] = STATE(5401),
    [sym_number] = STATE(5380),
    [sym_character] = STATE(5380),
    [sym_string] = STATE(5380),
    [sym_quoted_string] = STATE(5380),
    [sym_boolean] = STATE(5380),
    [sym_unit] = STATE(5380),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5400),
    [sym_value_path] = STATE(5401),
    [sym_module_path] = STATE(18005),
    [sym_constructor_path] = STATE(5401),
    [sym__instance_variable_name] = STATE(17611),
    [sym__constructor_name] = STATE(5359),
    [sym_tag] = STATE(5401),
    [sym__identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__capitalized_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [729] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17006),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(729),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [730] = {
    [sym_value_definition] = STATE(17646),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(10625),
    [sym__sequence_expression] = STATE(8252),
    [sym_typed_expression] = STATE(5401),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5401),
    [sym_array_expression] = STATE(5401),
    [sym_record_expression] = STATE(5401),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5401),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5401),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5205),
    [sym_array_get_expression] = STATE(5205),
    [sym_string_get_expression] = STATE(5205),
    [sym_bigarray_get_expression] = STATE(5205),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5401),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5401),
    [sym_package_expression] = STATE(5401),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5401),
    [sym_object_copy_expression] = STATE(5401),
    [sym_method_invocation] = STATE(5401),
    [sym_object_expression] = STATE(5401),
    [sym_parenthesized_expression] = STATE(5401),
    [sym_attribute] = STATE(730),
    [sym_extension] = STATE(5401),
    [sym_quoted_extension] = STATE(5401),
    [sym__constant] = STATE(5401),
    [sym_number] = STATE(5380),
    [sym_character] = STATE(5380),
    [sym_string] = STATE(5380),
    [sym_quoted_string] = STATE(5380),
    [sym_boolean] = STATE(5380),
    [sym_unit] = STATE(5380),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5400),
    [sym_value_path] = STATE(5401),
    [sym_module_path] = STATE(18005),
    [sym_constructor_path] = STATE(5401),
    [sym__instance_variable_name] = STATE(17611),
    [sym__constructor_name] = STATE(5359),
    [sym_tag] = STATE(5401),
    [sym__identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__capitalized_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [731] = {
    [sym_value_definition] = STATE(17923),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11958),
    [sym__sequence_expression] = STATE(8253),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6008),
    [sym_array_get_expression] = STATE(6008),
    [sym_string_get_expression] = STATE(6008),
    [sym_bigarray_get_expression] = STATE(6008),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(731),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(18687),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(1989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(1993),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1995),
    [anon_sym_function] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1999),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2021),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [732] = {
    [sym_value_definition] = STATE(17646),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(10625),
    [sym__sequence_expression] = STATE(8158),
    [sym_typed_expression] = STATE(5401),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5401),
    [sym_array_expression] = STATE(5401),
    [sym_record_expression] = STATE(5401),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5401),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5401),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5205),
    [sym_array_get_expression] = STATE(5205),
    [sym_string_get_expression] = STATE(5205),
    [sym_bigarray_get_expression] = STATE(5205),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5401),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5401),
    [sym_package_expression] = STATE(5401),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5401),
    [sym_object_copy_expression] = STATE(5401),
    [sym_method_invocation] = STATE(5401),
    [sym_object_expression] = STATE(5401),
    [sym_parenthesized_expression] = STATE(5401),
    [sym_attribute] = STATE(732),
    [sym_extension] = STATE(5401),
    [sym_quoted_extension] = STATE(5401),
    [sym__constant] = STATE(5401),
    [sym_number] = STATE(5380),
    [sym_character] = STATE(5380),
    [sym_string] = STATE(5380),
    [sym_quoted_string] = STATE(5380),
    [sym_boolean] = STATE(5380),
    [sym_unit] = STATE(5380),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5400),
    [sym_value_path] = STATE(5401),
    [sym_module_path] = STATE(18005),
    [sym_constructor_path] = STATE(5401),
    [sym__instance_variable_name] = STATE(17611),
    [sym__constructor_name] = STATE(5359),
    [sym_tag] = STATE(5401),
    [sym__identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__capitalized_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [733] = {
    [sym_value_definition] = STATE(17646),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(10625),
    [sym__sequence_expression] = STATE(8184),
    [sym_typed_expression] = STATE(5401),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5401),
    [sym_array_expression] = STATE(5401),
    [sym_record_expression] = STATE(5401),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5401),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5401),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5205),
    [sym_array_get_expression] = STATE(5205),
    [sym_string_get_expression] = STATE(5205),
    [sym_bigarray_get_expression] = STATE(5205),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5401),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5401),
    [sym_package_expression] = STATE(5401),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5401),
    [sym_object_copy_expression] = STATE(5401),
    [sym_method_invocation] = STATE(5401),
    [sym_object_expression] = STATE(5401),
    [sym_parenthesized_expression] = STATE(5401),
    [sym_attribute] = STATE(733),
    [sym_extension] = STATE(5401),
    [sym_quoted_extension] = STATE(5401),
    [sym__constant] = STATE(5401),
    [sym_number] = STATE(5380),
    [sym_character] = STATE(5380),
    [sym_string] = STATE(5380),
    [sym_quoted_string] = STATE(5380),
    [sym_boolean] = STATE(5380),
    [sym_unit] = STATE(5380),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5400),
    [sym_value_path] = STATE(5401),
    [sym_module_path] = STATE(18005),
    [sym_constructor_path] = STATE(5401),
    [sym__instance_variable_name] = STATE(17611),
    [sym__constructor_name] = STATE(5359),
    [sym_tag] = STATE(5401),
    [sym__identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__capitalized_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [734] = {
    [sym_value_definition] = STATE(17646),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(10625),
    [sym__sequence_expression] = STATE(8248),
    [sym_typed_expression] = STATE(5401),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5401),
    [sym_array_expression] = STATE(5401),
    [sym_record_expression] = STATE(5401),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5401),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5401),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5205),
    [sym_array_get_expression] = STATE(5205),
    [sym_string_get_expression] = STATE(5205),
    [sym_bigarray_get_expression] = STATE(5205),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5401),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5401),
    [sym_package_expression] = STATE(5401),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5401),
    [sym_object_copy_expression] = STATE(5401),
    [sym_method_invocation] = STATE(5401),
    [sym_object_expression] = STATE(5401),
    [sym_parenthesized_expression] = STATE(5401),
    [sym_attribute] = STATE(734),
    [sym_extension] = STATE(5401),
    [sym_quoted_extension] = STATE(5401),
    [sym__constant] = STATE(5401),
    [sym_number] = STATE(5380),
    [sym_character] = STATE(5380),
    [sym_string] = STATE(5380),
    [sym_quoted_string] = STATE(5380),
    [sym_boolean] = STATE(5380),
    [sym_unit] = STATE(5380),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5400),
    [sym_value_path] = STATE(5401),
    [sym_module_path] = STATE(18005),
    [sym_constructor_path] = STATE(5401),
    [sym__instance_variable_name] = STATE(17611),
    [sym__constructor_name] = STATE(5359),
    [sym_tag] = STATE(5401),
    [sym__identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__capitalized_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [735] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12461),
    [sym__sequence_expression] = STATE(7921),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6205),
    [sym_array_get_expression] = STATE(6205),
    [sym_string_get_expression] = STATE(6205),
    [sym_bigarray_get_expression] = STATE(6205),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(735),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(17945),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2599),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [736] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17318),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(736),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [737] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9961),
    [sym__sequence_expression] = STATE(13094),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(737),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [738] = {
    [sym_value_definition] = STATE(18989),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11882),
    [sym__sequence_expression] = STATE(8253),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6009),
    [sym_array_get_expression] = STATE(6009),
    [sym_string_get_expression] = STATE(6009),
    [sym_bigarray_get_expression] = STATE(6009),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(738),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17859),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2047),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2063),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2091),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [739] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12461),
    [sym__sequence_expression] = STATE(7955),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6205),
    [sym_array_get_expression] = STATE(6205),
    [sym_string_get_expression] = STATE(6205),
    [sym_bigarray_get_expression] = STATE(6205),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(739),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(17945),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2599),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [740] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12461),
    [sym__sequence_expression] = STATE(7957),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6205),
    [sym_array_get_expression] = STATE(6205),
    [sym_string_get_expression] = STATE(6205),
    [sym_bigarray_get_expression] = STATE(6205),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(740),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(17945),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2599),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [741] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12461),
    [sym__sequence_expression] = STATE(7959),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6205),
    [sym_array_get_expression] = STATE(6205),
    [sym_string_get_expression] = STATE(6205),
    [sym_bigarray_get_expression] = STATE(6205),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(741),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(17945),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2599),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [742] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12461),
    [sym__sequence_expression] = STATE(7990),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6205),
    [sym_array_get_expression] = STATE(6205),
    [sym_string_get_expression] = STATE(6205),
    [sym_bigarray_get_expression] = STATE(6205),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(742),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(17945),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2599),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [743] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16510),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(743),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [744] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12461),
    [sym__sequence_expression] = STATE(7989),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6205),
    [sym_array_get_expression] = STATE(6205),
    [sym_string_get_expression] = STATE(6205),
    [sym_bigarray_get_expression] = STATE(6205),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(744),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(17945),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2599),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [745] = {
    [sym_value_definition] = STATE(18147),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9456),
    [sym__sequence_expression] = STATE(8253),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4703),
    [sym_array_get_expression] = STATE(4703),
    [sym_string_get_expression] = STATE(4703),
    [sym_bigarray_get_expression] = STATE(4703),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(745),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(2174),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(17729),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [746] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12461),
    [sym__sequence_expression] = STATE(7868),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6205),
    [sym_array_get_expression] = STATE(6205),
    [sym_string_get_expression] = STATE(6205),
    [sym_bigarray_get_expression] = STATE(6205),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(746),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(17945),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2599),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [747] = {
    [sym_value_definition] = STATE(18141),
    [sym__simple_expression] = STATE(761),
    [sym__expression] = STATE(8405),
    [sym__sequence_expression] = STATE(8111),
    [sym_typed_expression] = STATE(3546),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3546),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3546),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3342),
    [sym_array_get_expression] = STATE(3342),
    [sym_string_get_expression] = STATE(3342),
    [sym_bigarray_get_expression] = STATE(3342),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3546),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(747),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym_sign_operator] = STATE(2240),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__instance_variable_name] = STATE(18119),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [sym__identifier] = ACTIONS(753),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3113),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(799),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [748] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9961),
    [sym__sequence_expression] = STATE(12937),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(748),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [749] = {
    [sym_value_definition] = STATE(18141),
    [sym__simple_expression] = STATE(761),
    [sym__expression] = STATE(8405),
    [sym__sequence_expression] = STATE(8190),
    [sym_typed_expression] = STATE(3546),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3546),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3546),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3342),
    [sym_array_get_expression] = STATE(3342),
    [sym_string_get_expression] = STATE(3342),
    [sym_bigarray_get_expression] = STATE(3342),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3546),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(749),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym_sign_operator] = STATE(2240),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__instance_variable_name] = STATE(18119),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [sym__identifier] = ACTIONS(753),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3113),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(799),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [750] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16714),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(750),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [751] = {
    [sym_value_definition] = STATE(18141),
    [sym__simple_expression] = STATE(761),
    [sym__expression] = STATE(8405),
    [sym__sequence_expression] = STATE(8236),
    [sym_typed_expression] = STATE(3546),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3546),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3546),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3342),
    [sym_array_get_expression] = STATE(3342),
    [sym_string_get_expression] = STATE(3342),
    [sym_bigarray_get_expression] = STATE(3342),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3546),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(751),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym_sign_operator] = STATE(2240),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__instance_variable_name] = STATE(18119),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [sym__identifier] = ACTIONS(753),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3113),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(799),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [752] = {
    [sym_value_definition] = STATE(19315),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11884),
    [sym__sequence_expression] = STATE(10492),
    [sym_typed_expression] = STATE(6579),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6579),
    [sym_array_expression] = STATE(6579),
    [sym_record_expression] = STATE(6579),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6579),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6579),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6579),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6579),
    [sym_package_expression] = STATE(6579),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6579),
    [sym_object_copy_expression] = STATE(6579),
    [sym_method_invocation] = STATE(6579),
    [sym_object_expression] = STATE(6579),
    [sym_parenthesized_expression] = STATE(6579),
    [sym_attribute] = STATE(752),
    [sym_extension] = STATE(6579),
    [sym_quoted_extension] = STATE(6579),
    [sym__constant] = STATE(6579),
    [sym_number] = STATE(6534),
    [sym_character] = STATE(6534),
    [sym_string] = STATE(6534),
    [sym_quoted_string] = STATE(6534),
    [sym_boolean] = STATE(6534),
    [sym_unit] = STATE(6534),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(6629),
    [sym_parenthesized_operator] = STATE(6159),
    [sym_value_path] = STATE(6579),
    [sym_module_path] = STATE(18629),
    [sym_constructor_path] = STATE(6579),
    [sym__instance_variable_name] = STATE(19301),
    [sym__constructor_name] = STATE(6641),
    [sym_tag] = STATE(6579),
    [sym__identifier] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_true] = ACTIONS(2475),
    [anon_sym_false] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(2479),
    [anon_sym_fun] = ACTIONS(2481),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2487),
    [anon_sym_function] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_LBRACE_LT] = ACTIONS(2495),
    [anon_sym_begin] = ACTIONS(2497),
    [sym_ocamlyacc_value] = ACTIONS(2499),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2501),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2503),
    [aux_sym_number_token1] = ACTIONS(2505),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [sym_prefix_operator] = ACTIONS(2511),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2513),
    [sym__capitalized_identifier] = ACTIONS(2515),
    [aux_sym_tag_token1] = ACTIONS(2517),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [753] = {
    [sym_value_definition] = STATE(18141),
    [sym__simple_expression] = STATE(761),
    [sym__expression] = STATE(8405),
    [sym__sequence_expression] = STATE(8134),
    [sym_typed_expression] = STATE(3546),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3546),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3546),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3342),
    [sym_array_get_expression] = STATE(3342),
    [sym_string_get_expression] = STATE(3342),
    [sym_bigarray_get_expression] = STATE(3342),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3546),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(753),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym_sign_operator] = STATE(2240),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__instance_variable_name] = STATE(18119),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [sym__identifier] = ACTIONS(753),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3113),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(799),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [754] = {
    [sym_value_definition] = STATE(18141),
    [sym__simple_expression] = STATE(761),
    [sym__expression] = STATE(8405),
    [sym__sequence_expression] = STATE(8177),
    [sym_typed_expression] = STATE(3546),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3546),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3546),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3342),
    [sym_array_get_expression] = STATE(3342),
    [sym_string_get_expression] = STATE(3342),
    [sym_bigarray_get_expression] = STATE(3342),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3546),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(754),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym_sign_operator] = STATE(2240),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__instance_variable_name] = STATE(18119),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [sym__identifier] = ACTIONS(753),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3113),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(799),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [755] = {
    [sym_value_definition] = STATE(18141),
    [sym__simple_expression] = STATE(761),
    [sym__expression] = STATE(8405),
    [sym__sequence_expression] = STATE(8256),
    [sym_typed_expression] = STATE(3546),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3546),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3546),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3342),
    [sym_array_get_expression] = STATE(3342),
    [sym_string_get_expression] = STATE(3342),
    [sym_bigarray_get_expression] = STATE(3342),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3546),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(755),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym_sign_operator] = STATE(2240),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__instance_variable_name] = STATE(18119),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [sym__identifier] = ACTIONS(753),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3113),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(799),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [756] = {
    [sym_value_definition] = STATE(18141),
    [sym__simple_expression] = STATE(761),
    [sym__expression] = STATE(8405),
    [sym__sequence_expression] = STATE(8173),
    [sym_typed_expression] = STATE(3546),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3546),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3546),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3342),
    [sym_array_get_expression] = STATE(3342),
    [sym_string_get_expression] = STATE(3342),
    [sym_bigarray_get_expression] = STATE(3342),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3546),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(756),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym_sign_operator] = STATE(2240),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__instance_variable_name] = STATE(18119),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [sym__identifier] = ACTIONS(753),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3113),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(799),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [757] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16962),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(757),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [758] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9961),
    [sym__sequence_expression] = STATE(12971),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(758),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [759] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11664),
    [sym__sequence_expression] = STATE(10492),
    [sym_typed_expression] = STATE(6116),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6116),
    [sym_array_expression] = STATE(6116),
    [sym_record_expression] = STATE(6116),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6116),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6116),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5760),
    [sym_array_get_expression] = STATE(5760),
    [sym_string_get_expression] = STATE(5760),
    [sym_bigarray_get_expression] = STATE(5760),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6116),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6116),
    [sym_package_expression] = STATE(6116),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6116),
    [sym_object_copy_expression] = STATE(6116),
    [sym_method_invocation] = STATE(6116),
    [sym_object_expression] = STATE(6116),
    [sym_parenthesized_expression] = STATE(6116),
    [sym_attribute] = STATE(759),
    [sym_extension] = STATE(6116),
    [sym_quoted_extension] = STATE(6116),
    [sym__constant] = STATE(6116),
    [sym_number] = STATE(5848),
    [sym_character] = STATE(5848),
    [sym_string] = STATE(5848),
    [sym_quoted_string] = STATE(5848),
    [sym_boolean] = STATE(5848),
    [sym_unit] = STATE(5848),
    [sym_sign_operator] = STATE(2048),
    [sym__value_name] = STATE(5908),
    [sym_parenthesized_operator] = STATE(5895),
    [sym_value_path] = STATE(6116),
    [sym_module_path] = STATE(18667),
    [sym_constructor_path] = STATE(6116),
    [sym__instance_variable_name] = STATE(19432),
    [sym__constructor_name] = STATE(5849),
    [sym_tag] = STATE(6116),
    [sym__identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__capitalized_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [760] = {
    [sym_value_definition] = STATE(19097),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8551),
    [sym__sequence_expression] = STATE(8173),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(760),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [761] = {
    [sym__simple_expression] = STATE(3550),
    [sym_typed_expression] = STATE(3546),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_labeled_argument] = STATE(4503),
    [sym_prefix_expression] = STATE(3546),
    [sym_hash_expression] = STATE(3546),
    [sym_field_get_expression] = STATE(3546),
    [sym_array_get_expression] = STATE(3546),
    [sym_string_get_expression] = STATE(3546),
    [sym_bigarray_get_expression] = STATE(3546),
    [sym_coercion_expression] = STATE(3546),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(761),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [aux_sym_class_application_repeat1] = STATE(2412),
    [sym__identifier] = ACTIONS(3271),
    [anon_sym_SEMI_SEMI] = ACTIONS(3081),
    [anon_sym_let] = ACTIONS(3083),
    [anon_sym_and] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_QMARK] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_external] = ACTIONS(3083),
    [anon_sym_type] = ACTIONS(3083),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_RBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_DOT] = ACTIONS(3275),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_exception] = ACTIONS(3083),
    [anon_sym_module] = ACTIONS(3083),
    [anon_sym_open] = ACTIONS(3083),
    [anon_sym_include] = ACTIONS(3083),
    [anon_sym_class] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_POUND] = ACTIONS(3277),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(787),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(789),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3081),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(3279),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym_let_operator] = ACTIONS(3081),
    [sym_let_and_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_directive_token1] = ACTIONS(3083),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [762] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12705),
    [sym__sequence_expression] = STATE(17141),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(762),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [763] = {
    [sym__simple_expression] = STATE(3587),
    [sym_typed_expression] = STATE(3668),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_labeled_argument] = STATE(4506),
    [sym_prefix_expression] = STATE(3668),
    [sym_hash_expression] = STATE(3668),
    [sym_field_get_expression] = STATE(3668),
    [sym_array_get_expression] = STATE(3668),
    [sym_string_get_expression] = STATE(3668),
    [sym_bigarray_get_expression] = STATE(3668),
    [sym_coercion_expression] = STATE(3668),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(763),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [aux_sym_class_application_repeat1] = STATE(2413),
    [sym__identifier] = ACTIONS(3281),
    [anon_sym_SEMI_SEMI] = ACTIONS(3081),
    [anon_sym_let] = ACTIONS(3083),
    [anon_sym_and] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_QMARK] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_external] = ACTIONS(3083),
    [anon_sym_type] = ACTIONS(3083),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_DOT] = ACTIONS(3285),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_exception] = ACTIONS(3083),
    [anon_sym_module] = ACTIONS(3083),
    [anon_sym_open] = ACTIONS(3083),
    [anon_sym_include] = ACTIONS(3083),
    [anon_sym_class] = ACTIONS(3083),
    [anon_sym_end] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_POUND] = ACTIONS(3287),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(729),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(731),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3081),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(3289),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym_let_operator] = ACTIONS(3081),
    [sym_let_and_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_directive_token1] = ACTIONS(3083),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [764] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17162),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(764),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [765] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19170),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(765),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [766] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11520),
    [sym__sequence_expression] = STATE(8695),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5622),
    [sym_array_get_expression] = STATE(5622),
    [sym_string_get_expression] = STATE(5622),
    [sym_bigarray_get_expression] = STATE(5622),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(766),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2073),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [767] = {
    [sym_value_definition] = STATE(18444),
    [sym__simple_expression] = STATE(528),
    [sym__expression] = STATE(8370),
    [sym__sequence_expression] = STATE(10373),
    [sym_typed_expression] = STATE(3337),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3337),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3337),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2728),
    [sym_array_get_expression] = STATE(2728),
    [sym_string_get_expression] = STATE(2728),
    [sym_bigarray_get_expression] = STATE(2728),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3337),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(767),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym_sign_operator] = STATE(1870),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__instance_variable_name] = STATE(18316),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [sym__identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(453),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [768] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9961),
    [sym__sequence_expression] = STATE(12932),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(768),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [769] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9961),
    [sym__sequence_expression] = STATE(13019),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(769),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [770] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17295),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(770),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [771] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9961),
    [sym__sequence_expression] = STATE(13080),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(771),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [772] = {
    [sym_value_definition] = STATE(18501),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(10888),
    [sym__sequence_expression] = STATE(10492),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5497),
    [sym_array_get_expression] = STATE(5497),
    [sym_string_get_expression] = STATE(5497),
    [sym_bigarray_get_expression] = STATE(5497),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(772),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(18138),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [773] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9961),
    [sym__sequence_expression] = STATE(13009),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(773),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [774] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9961),
    [sym__sequence_expression] = STATE(13065),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(774),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [775] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9961),
    [sym__sequence_expression] = STATE(12939),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(775),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [776] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17415),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(776),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [777] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12705),
    [sym__sequence_expression] = STATE(17302),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(777),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [778] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17983),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(778),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [779] = {
    [sym_value_definition] = STATE(18444),
    [sym__simple_expression] = STATE(528),
    [sym__expression] = STATE(8370),
    [sym__sequence_expression] = STATE(10428),
    [sym_typed_expression] = STATE(3337),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3337),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3337),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2728),
    [sym_array_get_expression] = STATE(2728),
    [sym_string_get_expression] = STATE(2728),
    [sym_bigarray_get_expression] = STATE(2728),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3337),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(779),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym_sign_operator] = STATE(1870),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__instance_variable_name] = STATE(18316),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [sym__identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(453),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [780] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9961),
    [sym__sequence_expression] = STATE(12927),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(780),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [781] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9961),
    [sym__sequence_expression] = STATE(12992),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(781),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [782] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9961),
    [sym__sequence_expression] = STATE(13003),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(782),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [783] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9961),
    [sym__sequence_expression] = STATE(13016),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(783),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [784] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9961),
    [sym__sequence_expression] = STATE(13045),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(784),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [785] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18767),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(785),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [786] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16560),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(786),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [787] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9961),
    [sym__sequence_expression] = STATE(12928),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(787),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [788] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9961),
    [sym__sequence_expression] = STATE(12995),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(788),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [789] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9961),
    [sym__sequence_expression] = STATE(12991),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(789),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [790] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9961),
    [sym__sequence_expression] = STATE(13102),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(790),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [791] = {
    [sym_value_definition] = STATE(19097),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8551),
    [sym__sequence_expression] = STATE(8111),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(791),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [792] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16662),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(792),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [793] = {
    [sym_value_definition] = STATE(19448),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8559),
    [sym__sequence_expression] = STATE(8111),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(793),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_tag] = STATE(4083),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [794] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17981),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(794),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [795] = {
    [sym_value_definition] = STATE(19448),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8559),
    [sym__sequence_expression] = STATE(8190),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(795),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_tag] = STATE(4083),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [796] = {
    [sym_value_definition] = STATE(19448),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8559),
    [sym__sequence_expression] = STATE(8236),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(796),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_tag] = STATE(4083),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [797] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16760),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(797),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [798] = {
    [sym_value_definition] = STATE(19448),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8559),
    [sym__sequence_expression] = STATE(8134),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(798),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_tag] = STATE(4083),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [799] = {
    [sym_value_definition] = STATE(17564),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11659),
    [sym__sequence_expression] = STATE(14071),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(799),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2146),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(20408),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [800] = {
    [sym_value_definition] = STATE(19448),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8559),
    [sym__sequence_expression] = STATE(8177),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(800),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_tag] = STATE(4083),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [801] = {
    [sym_value_definition] = STATE(19097),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8551),
    [sym__sequence_expression] = STATE(8190),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(801),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [802] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16991),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(802),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [803] = {
    [sym_value_definition] = STATE(19097),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8551),
    [sym__sequence_expression] = STATE(8236),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(803),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [804] = {
    [sym_value_definition] = STATE(19448),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8920),
    [sym__sequence_expression] = STATE(5335),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(804),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_tag] = STATE(4083),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [805] = {
    [sym_value_definition] = STATE(17564),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11659),
    [sym__sequence_expression] = STATE(13936),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(805),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2146),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(20408),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [806] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17322),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(806),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [807] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17046),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(807),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [808] = {
    [sym_value_definition] = STATE(19448),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8559),
    [sym__sequence_expression] = STATE(8256),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(808),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_tag] = STATE(4083),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [809] = {
    [sym_value_definition] = STATE(19851),
    [sym__simple_expression] = STATE(515),
    [sym__expression] = STATE(8363),
    [sym__sequence_expression] = STATE(10531),
    [sym_typed_expression] = STATE(3210),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3210),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3210),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2886),
    [sym_array_get_expression] = STATE(2886),
    [sym_string_get_expression] = STATE(2886),
    [sym_bigarray_get_expression] = STATE(2886),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3210),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(809),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym_sign_operator] = STATE(2063),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__instance_variable_name] = STATE(19760),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [sym__identifier] = ACTIONS(459),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_fun] = ACTIONS(473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(505),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [810] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12651),
    [sym__sequence_expression] = STATE(16765),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(18714),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(810),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [811] = {
    [sym_value_definition] = STATE(19097),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8551),
    [sym__sequence_expression] = STATE(8134),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(811),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [812] = {
    [sym_value_definition] = STATE(19097),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8551),
    [sym__sequence_expression] = STATE(5335),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(812),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [813] = {
    [sym_value_definition] = STATE(18444),
    [sym__simple_expression] = STATE(528),
    [sym__expression] = STATE(8370),
    [sym__sequence_expression] = STATE(10531),
    [sym_typed_expression] = STATE(3337),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3337),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3337),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2728),
    [sym_array_get_expression] = STATE(2728),
    [sym_string_get_expression] = STATE(2728),
    [sym_bigarray_get_expression] = STATE(2728),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3337),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(813),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym_sign_operator] = STATE(1870),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__instance_variable_name] = STATE(18316),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [sym__identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(453),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [814] = {
    [sym_value_definition] = STATE(19851),
    [sym__simple_expression] = STATE(515),
    [sym__expression] = STATE(8363),
    [sym__sequence_expression] = STATE(10419),
    [sym_typed_expression] = STATE(3210),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3210),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3210),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2886),
    [sym_array_get_expression] = STATE(2886),
    [sym_string_get_expression] = STATE(2886),
    [sym_bigarray_get_expression] = STATE(2886),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3210),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(814),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym_sign_operator] = STATE(2063),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__instance_variable_name] = STATE(19760),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [sym__identifier] = ACTIONS(459),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_fun] = ACTIONS(473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(505),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [815] = {
    [sym_value_definition] = STATE(19851),
    [sym__simple_expression] = STATE(515),
    [sym__expression] = STATE(8363),
    [sym__sequence_expression] = STATE(10487),
    [sym_typed_expression] = STATE(3210),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3210),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3210),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2886),
    [sym_array_get_expression] = STATE(2886),
    [sym_string_get_expression] = STATE(2886),
    [sym_bigarray_get_expression] = STATE(2886),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3210),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(815),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym_sign_operator] = STATE(2063),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__instance_variable_name] = STATE(19760),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [sym__identifier] = ACTIONS(459),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_fun] = ACTIONS(473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(505),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [816] = {
    [sym_value_definition] = STATE(19851),
    [sym__simple_expression] = STATE(515),
    [sym__expression] = STATE(8363),
    [sym__sequence_expression] = STATE(10373),
    [sym_typed_expression] = STATE(3210),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3210),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3210),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2886),
    [sym_array_get_expression] = STATE(2886),
    [sym_string_get_expression] = STATE(2886),
    [sym_bigarray_get_expression] = STATE(2886),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3210),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(816),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym_sign_operator] = STATE(2063),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__instance_variable_name] = STATE(19760),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [sym__identifier] = ACTIONS(459),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_fun] = ACTIONS(473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(505),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [817] = {
    [sym_value_definition] = STATE(19851),
    [sym__simple_expression] = STATE(515),
    [sym__expression] = STATE(8363),
    [sym__sequence_expression] = STATE(10428),
    [sym_typed_expression] = STATE(3210),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3210),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3210),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2886),
    [sym_array_get_expression] = STATE(2886),
    [sym_string_get_expression] = STATE(2886),
    [sym_bigarray_get_expression] = STATE(2886),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3210),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(817),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym_sign_operator] = STATE(2063),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__instance_variable_name] = STATE(19760),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [sym__identifier] = ACTIONS(459),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_fun] = ACTIONS(473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(505),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [818] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(16765),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(818),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [819] = {
    [sym_value_definition] = STATE(17564),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11659),
    [sym__sequence_expression] = STATE(14004),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(819),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2146),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(20408),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [820] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(10769),
    [sym__sequence_expression] = STATE(8695),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(820),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [821] = {
    [sym_value_definition] = STATE(19448),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8559),
    [sym__sequence_expression] = STATE(8173),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(821),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_tag] = STATE(4083),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [822] = {
    [sym_value_definition] = STATE(18480),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12428),
    [sym__sequence_expression] = STATE(8155),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6319),
    [sym_array_get_expression] = STATE(6319),
    [sym_string_get_expression] = STATE(6319),
    [sym_bigarray_get_expression] = STATE(6319),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(822),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2337),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(18454),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2647),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [823] = {
    [sym_value_definition] = STATE(18480),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12428),
    [sym__sequence_expression] = STATE(8243),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6319),
    [sym_array_get_expression] = STATE(6319),
    [sym_string_get_expression] = STATE(6319),
    [sym_bigarray_get_expression] = STATE(6319),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(823),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2337),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(18454),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2647),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [824] = {
    [sym_value_definition] = STATE(18480),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12428),
    [sym__sequence_expression] = STATE(8247),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6319),
    [sym_array_get_expression] = STATE(6319),
    [sym_string_get_expression] = STATE(6319),
    [sym_bigarray_get_expression] = STATE(6319),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(824),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2337),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(18454),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2647),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [825] = {
    [sym_value_definition] = STATE(18480),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12428),
    [sym__sequence_expression] = STATE(8252),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6319),
    [sym_array_get_expression] = STATE(6319),
    [sym_string_get_expression] = STATE(6319),
    [sym_bigarray_get_expression] = STATE(6319),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(825),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2337),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(18454),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2647),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [826] = {
    [sym_value_definition] = STATE(18480),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12428),
    [sym__sequence_expression] = STATE(8158),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6319),
    [sym_array_get_expression] = STATE(6319),
    [sym_string_get_expression] = STATE(6319),
    [sym_bigarray_get_expression] = STATE(6319),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(826),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2337),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(18454),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2647),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [827] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12783),
    [sym__sequence_expression] = STATE(8695),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(827),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [828] = {
    [sym_value_definition] = STATE(18480),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12428),
    [sym__sequence_expression] = STATE(8184),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6319),
    [sym_array_get_expression] = STATE(6319),
    [sym_string_get_expression] = STATE(6319),
    [sym_bigarray_get_expression] = STATE(6319),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(828),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2337),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(18454),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2647),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [829] = {
    [sym_value_definition] = STATE(18480),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12428),
    [sym__sequence_expression] = STATE(8248),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6319),
    [sym_array_get_expression] = STATE(6319),
    [sym_string_get_expression] = STATE(6319),
    [sym_bigarray_get_expression] = STATE(6319),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(829),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2337),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(18454),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2647),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [830] = {
    [sym_value_definition] = STATE(19266),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12571),
    [sym__sequence_expression] = STATE(8155),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6320),
    [sym_array_get_expression] = STATE(6320),
    [sym_string_get_expression] = STATE(6320),
    [sym_bigarray_get_expression] = STATE(6320),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(830),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(19218),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2681),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2687),
    [anon_sym_function] = ACTIONS(2689),
    [anon_sym_try] = ACTIONS(2691),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2713),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [831] = {
    [sym_value_definition] = STATE(19266),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12571),
    [sym__sequence_expression] = STATE(8243),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6320),
    [sym_array_get_expression] = STATE(6320),
    [sym_string_get_expression] = STATE(6320),
    [sym_bigarray_get_expression] = STATE(6320),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(831),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(19218),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2681),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2687),
    [anon_sym_function] = ACTIONS(2689),
    [anon_sym_try] = ACTIONS(2691),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2713),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [832] = {
    [sym_value_definition] = STATE(19266),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12571),
    [sym__sequence_expression] = STATE(8247),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6320),
    [sym_array_get_expression] = STATE(6320),
    [sym_string_get_expression] = STATE(6320),
    [sym_bigarray_get_expression] = STATE(6320),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(832),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(19218),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2681),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2687),
    [anon_sym_function] = ACTIONS(2689),
    [anon_sym_try] = ACTIONS(2691),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2713),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [833] = {
    [sym_value_definition] = STATE(19266),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12571),
    [sym__sequence_expression] = STATE(8252),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6320),
    [sym_array_get_expression] = STATE(6320),
    [sym_string_get_expression] = STATE(6320),
    [sym_bigarray_get_expression] = STATE(6320),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(833),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(19218),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2681),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2687),
    [anon_sym_function] = ACTIONS(2689),
    [anon_sym_try] = ACTIONS(2691),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2713),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [834] = {
    [sym_value_definition] = STATE(19266),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12571),
    [sym__sequence_expression] = STATE(8158),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6320),
    [sym_array_get_expression] = STATE(6320),
    [sym_string_get_expression] = STATE(6320),
    [sym_bigarray_get_expression] = STATE(6320),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(834),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(19218),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2681),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2687),
    [anon_sym_function] = ACTIONS(2689),
    [anon_sym_try] = ACTIONS(2691),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2713),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [835] = {
    [sym_value_definition] = STATE(17564),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11659),
    [sym__sequence_expression] = STATE(14039),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(835),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2146),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(20408),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [836] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12620),
    [sym__sequence_expression] = STATE(8695),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(836),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [837] = {
    [sym_value_definition] = STATE(19266),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12571),
    [sym__sequence_expression] = STATE(8184),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6320),
    [sym_array_get_expression] = STATE(6320),
    [sym_string_get_expression] = STATE(6320),
    [sym_bigarray_get_expression] = STATE(6320),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(837),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(19218),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2681),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2687),
    [anon_sym_function] = ACTIONS(2689),
    [anon_sym_try] = ACTIONS(2691),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2713),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [838] = {
    [sym_value_definition] = STATE(19266),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12571),
    [sym__sequence_expression] = STATE(8248),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6320),
    [sym_array_get_expression] = STATE(6320),
    [sym_string_get_expression] = STATE(6320),
    [sym_bigarray_get_expression] = STATE(6320),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(838),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(19218),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2681),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2687),
    [anon_sym_function] = ACTIONS(2689),
    [anon_sym_try] = ACTIONS(2691),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2713),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [839] = {
    [sym_value_definition] = STATE(20395),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12462),
    [sym__sequence_expression] = STATE(8155),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(839),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(20362),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [840] = {
    [sym_value_definition] = STATE(20395),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12462),
    [sym__sequence_expression] = STATE(8243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(840),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(20362),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [841] = {
    [sym_value_definition] = STATE(20395),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12462),
    [sym__sequence_expression] = STATE(8247),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(841),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(20362),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [842] = {
    [sym_value_definition] = STATE(20395),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12462),
    [sym__sequence_expression] = STATE(8252),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(842),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(20362),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [843] = {
    [sym_value_definition] = STATE(20395),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12462),
    [sym__sequence_expression] = STATE(8158),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(843),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(20362),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [844] = {
    [sym_value_definition] = STATE(17564),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11659),
    [sym__sequence_expression] = STATE(14047),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(844),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2146),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(20408),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [845] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12645),
    [sym__sequence_expression] = STATE(8695),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(845),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [846] = {
    [sym_value_definition] = STATE(20395),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12462),
    [sym__sequence_expression] = STATE(8184),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(846),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(20362),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [847] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(10769),
    [sym__sequence_expression] = STATE(7921),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(847),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [848] = {
    [sym_value_definition] = STATE(20395),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12462),
    [sym__sequence_expression] = STATE(8248),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(848),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(20362),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [849] = {
    [sym_value_definition] = STATE(17916),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12500),
    [sym__sequence_expression] = STATE(8155),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6322),
    [sym_array_get_expression] = STATE(6322),
    [sym_string_get_expression] = STATE(6322),
    [sym_bigarray_get_expression] = STATE(6322),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(849),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(17899),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2853),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2865),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2871),
    [anon_sym_function] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [850] = {
    [sym_value_definition] = STATE(17916),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12500),
    [sym__sequence_expression] = STATE(8243),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6322),
    [sym_array_get_expression] = STATE(6322),
    [sym_string_get_expression] = STATE(6322),
    [sym_bigarray_get_expression] = STATE(6322),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(850),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(17899),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2853),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2865),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2871),
    [anon_sym_function] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [851] = {
    [sym_value_definition] = STATE(17916),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12500),
    [sym__sequence_expression] = STATE(8247),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6322),
    [sym_array_get_expression] = STATE(6322),
    [sym_string_get_expression] = STATE(6322),
    [sym_bigarray_get_expression] = STATE(6322),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(851),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(17899),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2853),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2865),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2871),
    [anon_sym_function] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [852] = {
    [sym_value_definition] = STATE(17916),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12500),
    [sym__sequence_expression] = STATE(8252),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6322),
    [sym_array_get_expression] = STATE(6322),
    [sym_string_get_expression] = STATE(6322),
    [sym_bigarray_get_expression] = STATE(6322),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(852),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(17899),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2853),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2865),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2871),
    [anon_sym_function] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [853] = {
    [sym_value_definition] = STATE(17916),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12500),
    [sym__sequence_expression] = STATE(8158),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6322),
    [sym_array_get_expression] = STATE(6322),
    [sym_string_get_expression] = STATE(6322),
    [sym_bigarray_get_expression] = STATE(6322),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(853),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(17899),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2853),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2865),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2871),
    [anon_sym_function] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [854] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12671),
    [sym__sequence_expression] = STATE(8695),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(854),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [855] = {
    [sym_value_definition] = STATE(17916),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12500),
    [sym__sequence_expression] = STATE(8184),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6322),
    [sym_array_get_expression] = STATE(6322),
    [sym_string_get_expression] = STATE(6322),
    [sym_bigarray_get_expression] = STATE(6322),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(855),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(17899),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2853),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2865),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2871),
    [anon_sym_function] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [856] = {
    [sym_value_definition] = STATE(17916),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12500),
    [sym__sequence_expression] = STATE(8248),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6322),
    [sym_array_get_expression] = STATE(6322),
    [sym_string_get_expression] = STATE(6322),
    [sym_bigarray_get_expression] = STATE(6322),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(856),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(17899),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2853),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2865),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2871),
    [anon_sym_function] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [857] = {
    [sym_value_definition] = STATE(18814),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9758),
    [sym__sequence_expression] = STATE(8155),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(857),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1019),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [858] = {
    [sym_value_definition] = STATE(18814),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9758),
    [sym__sequence_expression] = STATE(8243),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(858),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1019),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [859] = {
    [sym_value_definition] = STATE(18814),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9758),
    [sym__sequence_expression] = STATE(8247),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(859),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1019),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [860] = {
    [sym_value_definition] = STATE(18814),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9758),
    [sym__sequence_expression] = STATE(8252),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(860),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1019),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [861] = {
    [sym_value_definition] = STATE(18814),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9758),
    [sym__sequence_expression] = STATE(8158),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(861),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1019),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [862] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9894),
    [sym__sequence_expression] = STATE(8253),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(862),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [863] = {
    [sym_value_definition] = STATE(18814),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9758),
    [sym__sequence_expression] = STATE(8184),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(863),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1019),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [864] = {
    [sym_value_definition] = STATE(18814),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9758),
    [sym__sequence_expression] = STATE(8248),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(864),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1019),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [865] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12236),
    [sym__sequence_expression] = STATE(7493),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(865),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [866] = {
    [sym_value_definition] = STATE(18141),
    [sym__simple_expression] = STATE(761),
    [sym__expression] = STATE(8514),
    [sym__sequence_expression] = STATE(5335),
    [sym_typed_expression] = STATE(3546),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3546),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3546),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3342),
    [sym_array_get_expression] = STATE(3342),
    [sym_string_get_expression] = STATE(3342),
    [sym_bigarray_get_expression] = STATE(3342),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3546),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(866),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym_sign_operator] = STATE(2240),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__instance_variable_name] = STATE(18119),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [sym__identifier] = ACTIONS(753),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3113),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(799),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [867] = {
    [sym_value_definition] = STATE(19097),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8551),
    [sym__sequence_expression] = STATE(8177),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(867),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [868] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(10769),
    [sym__sequence_expression] = STATE(7955),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(868),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [869] = {
    [sym_value_definition] = STATE(20211),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11496),
    [sym__sequence_expression] = STATE(10436),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5615),
    [sym_array_get_expression] = STATE(5615),
    [sym_string_get_expression] = STATE(5615),
    [sym_bigarray_get_expression] = STATE(5615),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(869),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2275),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(18108),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [870] = {
    [sym_value_definition] = STATE(20211),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11496),
    [sym__sequence_expression] = STATE(10408),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5615),
    [sym_array_get_expression] = STATE(5615),
    [sym_string_get_expression] = STATE(5615),
    [sym_bigarray_get_expression] = STATE(5615),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(870),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2275),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(18108),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [871] = {
    [sym_value_definition] = STATE(20211),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11496),
    [sym__sequence_expression] = STATE(10409),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5615),
    [sym_array_get_expression] = STATE(5615),
    [sym_string_get_expression] = STATE(5615),
    [sym_bigarray_get_expression] = STATE(5615),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(871),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2275),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(18108),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [872] = {
    [sym_value_definition] = STATE(20211),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11496),
    [sym__sequence_expression] = STATE(10429),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5615),
    [sym_array_get_expression] = STATE(5615),
    [sym_string_get_expression] = STATE(5615),
    [sym_bigarray_get_expression] = STATE(5615),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(872),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2275),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(18108),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [873] = {
    [sym_value_definition] = STATE(20211),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11496),
    [sym__sequence_expression] = STATE(10312),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5615),
    [sym_array_get_expression] = STATE(5615),
    [sym_string_get_expression] = STATE(5615),
    [sym_bigarray_get_expression] = STATE(5615),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(873),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2275),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(18108),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [874] = {
    [sym_value_definition] = STATE(20211),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11496),
    [sym__sequence_expression] = STATE(10350),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5615),
    [sym_array_get_expression] = STATE(5615),
    [sym_string_get_expression] = STATE(5615),
    [sym_bigarray_get_expression] = STATE(5615),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(874),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2275),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(18108),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [875] = {
    [sym_value_definition] = STATE(20211),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11496),
    [sym__sequence_expression] = STATE(10624),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5615),
    [sym_array_get_expression] = STATE(5615),
    [sym_string_get_expression] = STATE(5615),
    [sym_bigarray_get_expression] = STATE(5615),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(875),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2275),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(18108),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [876] = {
    [sym_value_definition] = STATE(18937),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12498),
    [sym__sequence_expression] = STATE(7921),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6377),
    [sym_array_get_expression] = STATE(6377),
    [sym_string_get_expression] = STATE(6377),
    [sym_bigarray_get_expression] = STATE(6377),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(876),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(1799),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(18907),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(2655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2659),
    [anon_sym_function] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2663),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2665),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [877] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(10769),
    [sym__sequence_expression] = STATE(7957),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(877),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [878] = {
    [sym_value_definition] = STATE(18937),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12498),
    [sym__sequence_expression] = STATE(7955),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6377),
    [sym_array_get_expression] = STATE(6377),
    [sym_string_get_expression] = STATE(6377),
    [sym_bigarray_get_expression] = STATE(6377),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(878),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(1799),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(18907),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(2655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2659),
    [anon_sym_function] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2663),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2665),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [879] = {
    [sym_value_definition] = STATE(18937),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12498),
    [sym__sequence_expression] = STATE(7957),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6377),
    [sym_array_get_expression] = STATE(6377),
    [sym_string_get_expression] = STATE(6377),
    [sym_bigarray_get_expression] = STATE(6377),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(879),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(1799),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(18907),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(2655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2659),
    [anon_sym_function] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2663),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2665),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [880] = {
    [sym_value_definition] = STATE(18937),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12498),
    [sym__sequence_expression] = STATE(7959),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6377),
    [sym_array_get_expression] = STATE(6377),
    [sym_string_get_expression] = STATE(6377),
    [sym_bigarray_get_expression] = STATE(6377),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(880),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(1799),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(18907),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(2655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2659),
    [anon_sym_function] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2663),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2665),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [881] = {
    [sym_value_definition] = STATE(18937),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12498),
    [sym__sequence_expression] = STATE(7990),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6377),
    [sym_array_get_expression] = STATE(6377),
    [sym_string_get_expression] = STATE(6377),
    [sym_bigarray_get_expression] = STATE(6377),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(881),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(1799),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(18907),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(2655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2659),
    [anon_sym_function] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2663),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2665),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [882] = {
    [sym_value_definition] = STATE(18937),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12498),
    [sym__sequence_expression] = STATE(7989),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6377),
    [sym_array_get_expression] = STATE(6377),
    [sym_string_get_expression] = STATE(6377),
    [sym_bigarray_get_expression] = STATE(6377),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(882),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(1799),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(18907),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(2655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2659),
    [anon_sym_function] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2663),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2665),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [883] = {
    [sym_value_definition] = STATE(18937),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12498),
    [sym__sequence_expression] = STATE(7868),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6377),
    [sym_array_get_expression] = STATE(6377),
    [sym_string_get_expression] = STATE(6377),
    [sym_bigarray_get_expression] = STATE(6377),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(883),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(1799),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(18907),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(2655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2659),
    [anon_sym_function] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2663),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2665),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [884] = {
    [sym_value_definition] = STATE(18311),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11920),
    [sym__sequence_expression] = STATE(8155),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6006),
    [sym_array_get_expression] = STATE(6006),
    [sym_string_get_expression] = STATE(6006),
    [sym_bigarray_get_expression] = STATE(6006),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(884),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(1815),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(20371),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(1849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1855),
    [anon_sym_function] = ACTIONS(1857),
    [anon_sym_try] = ACTIONS(1859),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1881),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [885] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(10769),
    [sym__sequence_expression] = STATE(7959),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(885),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [886] = {
    [sym_value_definition] = STATE(18311),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11920),
    [sym__sequence_expression] = STATE(8243),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6006),
    [sym_array_get_expression] = STATE(6006),
    [sym_string_get_expression] = STATE(6006),
    [sym_bigarray_get_expression] = STATE(6006),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(886),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(1815),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(20371),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(1849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1855),
    [anon_sym_function] = ACTIONS(1857),
    [anon_sym_try] = ACTIONS(1859),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1881),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [887] = {
    [sym_value_definition] = STATE(18311),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11920),
    [sym__sequence_expression] = STATE(8247),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6006),
    [sym_array_get_expression] = STATE(6006),
    [sym_string_get_expression] = STATE(6006),
    [sym_bigarray_get_expression] = STATE(6006),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(887),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(1815),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(20371),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(1849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1855),
    [anon_sym_function] = ACTIONS(1857),
    [anon_sym_try] = ACTIONS(1859),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1881),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [888] = {
    [sym_value_definition] = STATE(18311),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11920),
    [sym__sequence_expression] = STATE(8252),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6006),
    [sym_array_get_expression] = STATE(6006),
    [sym_string_get_expression] = STATE(6006),
    [sym_bigarray_get_expression] = STATE(6006),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(888),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(1815),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(20371),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(1849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1855),
    [anon_sym_function] = ACTIONS(1857),
    [anon_sym_try] = ACTIONS(1859),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1881),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [889] = {
    [sym_value_definition] = STATE(18311),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11920),
    [sym__sequence_expression] = STATE(8158),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6006),
    [sym_array_get_expression] = STATE(6006),
    [sym_string_get_expression] = STATE(6006),
    [sym_bigarray_get_expression] = STATE(6006),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(889),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(1815),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(20371),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(1849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1855),
    [anon_sym_function] = ACTIONS(1857),
    [anon_sym_try] = ACTIONS(1859),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1881),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [890] = {
    [sym_value_definition] = STATE(18311),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11920),
    [sym__sequence_expression] = STATE(8184),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6006),
    [sym_array_get_expression] = STATE(6006),
    [sym_string_get_expression] = STATE(6006),
    [sym_bigarray_get_expression] = STATE(6006),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(890),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(1815),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(20371),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(1849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1855),
    [anon_sym_function] = ACTIONS(1857),
    [anon_sym_try] = ACTIONS(1859),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1881),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [891] = {
    [sym_value_definition] = STATE(18311),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11920),
    [sym__sequence_expression] = STATE(8248),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6006),
    [sym_array_get_expression] = STATE(6006),
    [sym_string_get_expression] = STATE(6006),
    [sym_bigarray_get_expression] = STATE(6006),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(891),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(1815),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(20371),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(1849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1855),
    [anon_sym_function] = ACTIONS(1857),
    [anon_sym_try] = ACTIONS(1859),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1881),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [892] = {
    [sym_value_definition] = STATE(18370),
    [sym__simple_expression] = STATE(763),
    [sym__expression] = STATE(8398),
    [sym__sequence_expression] = STATE(8111),
    [sym_typed_expression] = STATE(3668),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3668),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3668),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3405),
    [sym_array_get_expression] = STATE(3405),
    [sym_string_get_expression] = STATE(3405),
    [sym_bigarray_get_expression] = STATE(3405),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3668),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(892),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym_sign_operator] = STATE(1831),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__instance_variable_name] = STATE(18351),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [sym__identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3119),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3121),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(741),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [893] = {
    [sym_value_definition] = STATE(18370),
    [sym__simple_expression] = STATE(763),
    [sym__expression] = STATE(8398),
    [sym__sequence_expression] = STATE(8190),
    [sym_typed_expression] = STATE(3668),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3668),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3668),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3405),
    [sym_array_get_expression] = STATE(3405),
    [sym_string_get_expression] = STATE(3405),
    [sym_bigarray_get_expression] = STATE(3405),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3668),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(893),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym_sign_operator] = STATE(1831),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__instance_variable_name] = STATE(18351),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [sym__identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3119),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3121),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(741),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [894] = {
    [sym_value_definition] = STATE(18370),
    [sym__simple_expression] = STATE(763),
    [sym__expression] = STATE(8398),
    [sym__sequence_expression] = STATE(8236),
    [sym_typed_expression] = STATE(3668),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3668),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3668),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3405),
    [sym_array_get_expression] = STATE(3405),
    [sym_string_get_expression] = STATE(3405),
    [sym_bigarray_get_expression] = STATE(3405),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3668),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(894),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym_sign_operator] = STATE(1831),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__instance_variable_name] = STATE(18351),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [sym__identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3119),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3121),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(741),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [895] = {
    [sym_value_definition] = STATE(18370),
    [sym__simple_expression] = STATE(763),
    [sym__expression] = STATE(8398),
    [sym__sequence_expression] = STATE(8134),
    [sym_typed_expression] = STATE(3668),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3668),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3668),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3405),
    [sym_array_get_expression] = STATE(3405),
    [sym_string_get_expression] = STATE(3405),
    [sym_bigarray_get_expression] = STATE(3405),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3668),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(895),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym_sign_operator] = STATE(1831),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__instance_variable_name] = STATE(18351),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [sym__identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3119),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3121),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(741),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [896] = {
    [sym_value_definition] = STATE(18370),
    [sym__simple_expression] = STATE(763),
    [sym__expression] = STATE(8398),
    [sym__sequence_expression] = STATE(8177),
    [sym_typed_expression] = STATE(3668),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3668),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3668),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3405),
    [sym_array_get_expression] = STATE(3405),
    [sym_string_get_expression] = STATE(3405),
    [sym_bigarray_get_expression] = STATE(3405),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3668),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(896),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym_sign_operator] = STATE(1831),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__instance_variable_name] = STATE(18351),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [sym__identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3119),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3121),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(741),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [897] = {
    [sym_value_definition] = STATE(18370),
    [sym__simple_expression] = STATE(763),
    [sym__expression] = STATE(8398),
    [sym__sequence_expression] = STATE(8256),
    [sym_typed_expression] = STATE(3668),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3668),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3668),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3405),
    [sym_array_get_expression] = STATE(3405),
    [sym_string_get_expression] = STATE(3405),
    [sym_bigarray_get_expression] = STATE(3405),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3668),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(897),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym_sign_operator] = STATE(1831),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__instance_variable_name] = STATE(18351),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [sym__identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3119),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3121),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(741),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [898] = {
    [sym_value_definition] = STATE(18370),
    [sym__simple_expression] = STATE(763),
    [sym__expression] = STATE(8398),
    [sym__sequence_expression] = STATE(8173),
    [sym_typed_expression] = STATE(3668),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3668),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3668),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3405),
    [sym_array_get_expression] = STATE(3405),
    [sym_string_get_expression] = STATE(3405),
    [sym_bigarray_get_expression] = STATE(3405),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3668),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(898),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym_sign_operator] = STATE(1831),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__instance_variable_name] = STATE(18351),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [sym__identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3119),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3121),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(741),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [899] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(10769),
    [sym__sequence_expression] = STATE(7990),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(899),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [900] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(5335),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(900),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [901] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(10769),
    [sym__sequence_expression] = STATE(7989),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(901),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [902] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9961),
    [sym__sequence_expression] = STATE(12921),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(902),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [903] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(10769),
    [sym__sequence_expression] = STATE(7868),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(903),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [904] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12783),
    [sym__sequence_expression] = STATE(7921),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(904),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [905] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12236),
    [sym__sequence_expression] = STATE(16452),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(905),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [906] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17473),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(906),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [907] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12705),
    [sym__sequence_expression] = STATE(17146),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(907),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [908] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(18088),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(908),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [909] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(909),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [910] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20390),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(910),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [911] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17555),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(911),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [912] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19602),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(912),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [913] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19683),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(913),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [914] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19704),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(914),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [915] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19294),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(915),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [916] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12705),
    [sym__sequence_expression] = STATE(17340),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(916),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [917] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18695),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(917),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [918] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12705),
    [sym__sequence_expression] = STATE(16833),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(918),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [919] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19819),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(919),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [920] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19885),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(920),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [921] = {
    [sym_value_definition] = STATE(19448),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8559),
    [sym__sequence_expression] = STATE(5335),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(921),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_tag] = STATE(4083),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [922] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12465),
    [sym__sequence_expression] = STATE(7921),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(922),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [923] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12465),
    [sym__sequence_expression] = STATE(7955),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(923),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [924] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12465),
    [sym__sequence_expression] = STATE(7957),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(924),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [925] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12465),
    [sym__sequence_expression] = STATE(7959),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(925),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [926] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12465),
    [sym__sequence_expression] = STATE(7990),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(926),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [927] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12465),
    [sym__sequence_expression] = STATE(7989),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(927),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [928] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12465),
    [sym__sequence_expression] = STATE(7868),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(928),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [929] = {
    [sym_value_definition] = STATE(18444),
    [sym__simple_expression] = STATE(528),
    [sym__expression] = STATE(8275),
    [sym__sequence_expression] = STATE(7493),
    [sym_typed_expression] = STATE(3337),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3337),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3337),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2728),
    [sym_array_get_expression] = STATE(2728),
    [sym_string_get_expression] = STATE(2728),
    [sym_bigarray_get_expression] = STATE(2728),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3337),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(929),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym_sign_operator] = STATE(1870),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__instance_variable_name] = STATE(18316),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [sym__identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(453),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [930] = {
    [sym_value_definition] = STATE(19851),
    [sym__simple_expression] = STATE(515),
    [sym__expression] = STATE(8298),
    [sym__sequence_expression] = STATE(7493),
    [sym_typed_expression] = STATE(3210),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3210),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3210),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2886),
    [sym_array_get_expression] = STATE(2886),
    [sym_string_get_expression] = STATE(2886),
    [sym_bigarray_get_expression] = STATE(2886),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3210),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(930),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym_sign_operator] = STATE(2063),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__instance_variable_name] = STATE(19760),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [sym__identifier] = ACTIONS(459),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_fun] = ACTIONS(473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(505),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [931] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12783),
    [sym__sequence_expression] = STATE(7955),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(931),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [932] = {
    [sym_value_definition] = STATE(18115),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(12130),
    [sym__sequence_expression] = STATE(7921),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6098),
    [sym_array_get_expression] = STATE(6098),
    [sym_string_get_expression] = STATE(6098),
    [sym_bigarray_get_expression] = STATE(6098),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(932),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2288),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18109),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [933] = {
    [sym_value_definition] = STATE(18115),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(12130),
    [sym__sequence_expression] = STATE(7955),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6098),
    [sym_array_get_expression] = STATE(6098),
    [sym_string_get_expression] = STATE(6098),
    [sym_bigarray_get_expression] = STATE(6098),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(933),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2288),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18109),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [934] = {
    [sym_value_definition] = STATE(18115),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(12130),
    [sym__sequence_expression] = STATE(7957),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6098),
    [sym_array_get_expression] = STATE(6098),
    [sym_string_get_expression] = STATE(6098),
    [sym_bigarray_get_expression] = STATE(6098),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(934),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2288),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18109),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [935] = {
    [sym_value_definition] = STATE(18115),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(12130),
    [sym__sequence_expression] = STATE(7959),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6098),
    [sym_array_get_expression] = STATE(6098),
    [sym_string_get_expression] = STATE(6098),
    [sym_bigarray_get_expression] = STATE(6098),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(935),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2288),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18109),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [936] = {
    [sym_value_definition] = STATE(18115),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(12130),
    [sym__sequence_expression] = STATE(7990),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6098),
    [sym_array_get_expression] = STATE(6098),
    [sym_string_get_expression] = STATE(6098),
    [sym_bigarray_get_expression] = STATE(6098),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(936),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2288),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18109),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [937] = {
    [sym_value_definition] = STATE(18115),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(12130),
    [sym__sequence_expression] = STATE(7989),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6098),
    [sym_array_get_expression] = STATE(6098),
    [sym_string_get_expression] = STATE(6098),
    [sym_bigarray_get_expression] = STATE(6098),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(937),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2288),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18109),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [938] = {
    [sym_value_definition] = STATE(18115),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(12130),
    [sym__sequence_expression] = STATE(7868),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6098),
    [sym_array_get_expression] = STATE(6098),
    [sym_string_get_expression] = STATE(6098),
    [sym_bigarray_get_expression] = STATE(6098),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(938),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2288),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18109),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [939] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16696),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(939),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [940] = {
    [sym_value_definition] = STATE(18141),
    [sym__simple_expression] = STATE(761),
    [sym__expression] = STATE(8405),
    [sym__sequence_expression] = STATE(5335),
    [sym_typed_expression] = STATE(3546),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3546),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3546),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3342),
    [sym_array_get_expression] = STATE(3342),
    [sym_string_get_expression] = STATE(3342),
    [sym_bigarray_get_expression] = STATE(3342),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3546),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(940),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym_sign_operator] = STATE(2240),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__instance_variable_name] = STATE(18119),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [sym__identifier] = ACTIONS(753),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3113),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(799),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [941] = {
    [sym_value_definition] = STATE(17564),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11726),
    [sym__sequence_expression] = STATE(8695),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(941),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2146),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(20408),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [942] = {
    [sym_value_definition] = STATE(18370),
    [sym__simple_expression] = STATE(763),
    [sym__expression] = STATE(8398),
    [sym__sequence_expression] = STATE(5335),
    [sym_typed_expression] = STATE(3668),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3668),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3668),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3405),
    [sym_array_get_expression] = STATE(3405),
    [sym_string_get_expression] = STATE(3405),
    [sym_bigarray_get_expression] = STATE(3405),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3668),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(942),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym_sign_operator] = STATE(1831),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__instance_variable_name] = STATE(18351),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [sym__identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3119),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3121),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(741),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [943] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17137),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(943),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [944] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17145),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(944),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [945] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17164),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(945),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [946] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12783),
    [sym__sequence_expression] = STATE(7957),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(946),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [947] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16737),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(947),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [948] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12705),
    [sym__sequence_expression] = STATE(16741),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(948),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [949] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(18783),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(949),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [950] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20091),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(950),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [951] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20241),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(951),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [952] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20254),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(952),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [953] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17987),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(953),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [954] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17988),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(954),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [955] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18000),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(955),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [956] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18104),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(956),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [957] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12705),
    [sym__sequence_expression] = STATE(17421),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(957),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [958] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18707),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(958),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [959] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12705),
    [sym__sequence_expression] = STATE(16666),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(959),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [960] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19202),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(960),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [961] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19359),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(961),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [962] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12783),
    [sym__sequence_expression] = STATE(7959),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(962),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [963] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12783),
    [sym__sequence_expression] = STATE(7990),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(963),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [964] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16539),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(964),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [965] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12705),
    [sym__sequence_expression] = STATE(16561),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(965),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [966] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(17605),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(966),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [967] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18221),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(967),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [968] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18234),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(968),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [969] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18281),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(969),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [970] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19135),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(970),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [971] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19143),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(971),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [972] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19161),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(972),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [973] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19206),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(973),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [974] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12705),
    [sym__sequence_expression] = STATE(16856),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(974),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [975] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19580),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(975),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [976] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12705),
    [sym__sequence_expression] = STATE(16961),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(976),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [977] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19797),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(977),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [978] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19825),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(978),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [979] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17413),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(979),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [980] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17500),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(980),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [981] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(19366),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(981),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [982] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20103),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(982),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [983] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20134),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(983),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [984] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20153),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(984),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [985] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18508),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(985),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [986] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18510),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(986),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [987] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18512),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(987),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [988] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18662),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(988),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [989] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19925),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(989),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [990] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20247),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(990),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [991] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20333),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(991),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [992] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17439),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(992),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [993] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17057),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(993),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [994] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(20080),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(994),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [995] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17811),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(995),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [996] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17812),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(996),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [997] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17813),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(997),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [998] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18027),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(998),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [999] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18028),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(999),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1000] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18029),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1000),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1001] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18089),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1001),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1002] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9894),
    [sym__sequence_expression] = STATE(7921),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(1002),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1003] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18220),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1003),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1004] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18232),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1004),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1005] = {
    [sym_value_definition] = STATE(18141),
    [sym__simple_expression] = STATE(761),
    [sym__expression] = STATE(8514),
    [sym__sequence_expression] = STATE(10531),
    [sym_typed_expression] = STATE(3546),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3546),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3546),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3342),
    [sym_array_get_expression] = STATE(3342),
    [sym_string_get_expression] = STATE(3342),
    [sym_bigarray_get_expression] = STATE(3342),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3546),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(1005),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym_sign_operator] = STATE(2240),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__instance_variable_name] = STATE(18119),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [sym__identifier] = ACTIONS(753),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3113),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(799),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1006] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17301),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(1006),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1007] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(20018),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1007),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1008] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20270),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1008),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1009] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20427),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1009),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1010] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20446),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1010),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1011] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20123),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1011),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1012] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20177),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1012),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1013] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20327),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1013),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1014] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17522),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(1014),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1015] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(20326),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1015),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1016] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17664),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1016),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1017] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17665),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1017),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1018] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17666),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1018),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1019] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17806),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1019),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1020] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17807),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1020),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1021] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17830),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1021),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1022] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16499),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(1022),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1023] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(18873),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1023),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1024] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18985),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1024),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1025] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18990),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1025),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1026] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18999),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1026),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1027] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19114),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1027),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1028] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19115),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1028),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1029] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19125),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1029),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1030] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(5335),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(1030),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1031] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17177),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(1031),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1032] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(20389),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1032),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1033] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17591),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1033),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1034] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17595),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1034),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1035] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17602),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1035),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1036] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17703),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1036),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1037] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17705),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1037),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1038] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17710),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1038),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1039] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12783),
    [sym__sequence_expression] = STATE(7989),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(1039),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1040] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16570),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(1040),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1041] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(18369),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1041),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1042] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18484),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1042),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1043] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18485),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1043),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1044] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18488),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1044),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1045] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18590),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1045),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1046] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18594),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1046),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1047] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18598),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1047),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1048] = {
    [sym_value_definition] = STATE(18141),
    [sym__simple_expression] = STATE(761),
    [sym__expression] = STATE(8514),
    [sym__sequence_expression] = STATE(10419),
    [sym_typed_expression] = STATE(3546),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3546),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3546),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3342),
    [sym_array_get_expression] = STATE(3342),
    [sym_string_get_expression] = STATE(3342),
    [sym_bigarray_get_expression] = STATE(3342),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3546),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(1048),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym_sign_operator] = STATE(2240),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__instance_variable_name] = STATE(18119),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [sym__identifier] = ACTIONS(753),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3113),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(799),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1049] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17051),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(1049),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1050] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(19313),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1050),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1051] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19377),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1051),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1052] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19382),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1052),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1053] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19383),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1053),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1054] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19454),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1054),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1055] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19455),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1055),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1056] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19458),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1056),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1057] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(20222),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1057),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1058] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20353),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1058),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1059] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20355),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1059),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1060] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20357),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1060),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1061] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20416),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1061),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1062] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20417),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1062),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1063] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20421),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1063),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1064] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(17962),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1064),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1065] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18579),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1065),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1066] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18599),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1066),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1067] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18630),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1067),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1068] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19151),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1068),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1069] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19229),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1069),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1070] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19248),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1070),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1071] = {
    [sym_value_definition] = STATE(18141),
    [sym__simple_expression] = STATE(761),
    [sym__expression] = STATE(8514),
    [sym__sequence_expression] = STATE(10487),
    [sym_typed_expression] = STATE(3546),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3546),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3546),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3342),
    [sym_array_get_expression] = STATE(3342),
    [sym_string_get_expression] = STATE(3342),
    [sym_bigarray_get_expression] = STATE(3342),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3546),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(1071),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym_sign_operator] = STATE(2240),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__instance_variable_name] = STATE(18119),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [sym__identifier] = ACTIONS(753),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3113),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(799),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1072] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(17937),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1072),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1073] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18174),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1073),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1074] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18179),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1074),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1075] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18201),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1075),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1076] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18401),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1076),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1077] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18426),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1077),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1078] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18427),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1078),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1079] = {
    [sym_value_definition] = STATE(18141),
    [sym__simple_expression] = STATE(761),
    [sym__expression] = STATE(8514),
    [sym__sequence_expression] = STATE(10373),
    [sym_typed_expression] = STATE(3546),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3546),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3546),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3342),
    [sym_array_get_expression] = STATE(3342),
    [sym_string_get_expression] = STATE(3342),
    [sym_bigarray_get_expression] = STATE(3342),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3546),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(1079),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym_sign_operator] = STATE(2240),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__instance_variable_name] = STATE(18119),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [sym__identifier] = ACTIONS(753),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3113),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(799),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1080] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(20046),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1080),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1081] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20179),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1081),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1082] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20202),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1082),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1083] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20208),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1083),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1084] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20370),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1084),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1085] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20386),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1085),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1086] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20393),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1086),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1087] = {
    [sym_value_definition] = STATE(18141),
    [sym__simple_expression] = STATE(761),
    [sym__expression] = STATE(8514),
    [sym__sequence_expression] = STATE(10428),
    [sym_typed_expression] = STATE(3546),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3546),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3546),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3342),
    [sym_array_get_expression] = STATE(3342),
    [sym_string_get_expression] = STATE(3342),
    [sym_bigarray_get_expression] = STATE(3342),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3546),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(1087),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym_sign_operator] = STATE(2240),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__instance_variable_name] = STATE(18119),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [sym__identifier] = ACTIONS(753),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3113),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(799),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1088] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(17766),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1088),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1089] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17815),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1089),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1090] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17816),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1090),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1091] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17817),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1091),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1092] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17870),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1092),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1093] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17871),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1093),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1094] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17873),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1094),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1095] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12705),
    [sym__sequence_expression] = STATE(17472),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(1095),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1096] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(18152),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1096),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1097] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18244),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1097),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1098] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18245),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1098),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1099] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18253),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1099),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1100] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18328),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1100),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1101] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18329),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1101),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1102] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18338),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1102),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1103] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12465),
    [sym__sequence_expression] = STATE(8695),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1103),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1104] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(18640),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1104),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1105] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18712),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1105),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1106] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18720),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1106),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1107] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18724),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1107),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1108] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18818),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1108),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1109] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18819),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1109),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1110] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18828),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1110),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1111] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12783),
    [sym__sequence_expression] = STATE(7868),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(1111),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1112] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(19076),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1112),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1113] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19116),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1113),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1114] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19117),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1114),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1115] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19118),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1115),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1116] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19138),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1116),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1117] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19139),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1117),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1118] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19140),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1118),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1119] = {
    [sym_value_definition] = STATE(18480),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12428),
    [sym__sequence_expression] = STATE(8253),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6319),
    [sym_array_get_expression] = STATE(6319),
    [sym_string_get_expression] = STATE(6319),
    [sym_bigarray_get_expression] = STATE(6319),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(1119),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2337),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(18454),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2647),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1120] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(19456),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1120),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1121] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19582),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1121),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1122] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19583),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1122),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1123] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19585),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1123),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1124] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19663),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1124),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1125] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19665),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1125),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1126] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19669),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1126),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1127] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12620),
    [sym__sequence_expression] = STATE(7921),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(1127),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1128] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(20044),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1128),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1129] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20146),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1129),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1130] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20148),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1130),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1131] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20149),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1131),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1132] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20185),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1132),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1133] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20194),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1133),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1134] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20199),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1134),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1135] = {
    [sym_value_definition] = STATE(19266),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12571),
    [sym__sequence_expression] = STATE(8253),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6320),
    [sym_array_get_expression] = STATE(6320),
    [sym_string_get_expression] = STATE(6320),
    [sym_bigarray_get_expression] = STATE(6320),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(1135),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(19218),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2681),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2687),
    [anon_sym_function] = ACTIONS(2689),
    [anon_sym_try] = ACTIONS(2691),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2713),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1136] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(17576),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1136),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1137] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17612),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1137),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1138] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17613),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1138),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1139] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17620),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1139),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1140] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17639),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1140),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1141] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17640),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1141),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1142] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17641),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1142),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1143] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18631),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1143),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1144] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(17792),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1144),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1145] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17819),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1145),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1146] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17821),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1146),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1147] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17823),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1147),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1148] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17847),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1148),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1149] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17848),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1149),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1150] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17849),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1150),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1151] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12620),
    [sym__sequence_expression] = STATE(7955),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(1151),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1152] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(18008),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1152),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1153] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18035),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1153),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1154] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18037),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1154),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1155] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18039),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1155),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1156] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18065),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1156),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1157] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18069),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1157),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1158] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18071),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1158),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1159] = {
    [sym_value_definition] = STATE(20395),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12462),
    [sym__sequence_expression] = STATE(8253),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1159),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(20362),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1160] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(18231),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1160),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1161] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18261),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1161),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1162] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18266),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1162),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1163] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18269),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1163),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1164] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18289),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1164),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1165] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18290),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1165),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1166] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18295),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1166),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1167] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12620),
    [sym__sequence_expression] = STATE(7957),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(1167),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1168] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(18460),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1168),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1169] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18490),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1169),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1170] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18495),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1170),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1171] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18497),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1171),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1172] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18522),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1172),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1173] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18523),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1173),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1174] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18524),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1174),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1175] = {
    [sym_value_definition] = STATE(17916),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12500),
    [sym__sequence_expression] = STATE(8253),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6322),
    [sym_array_get_expression] = STATE(6322),
    [sym_string_get_expression] = STATE(6322),
    [sym_bigarray_get_expression] = STATE(6322),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1175),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(17899),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2853),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2865),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2871),
    [anon_sym_function] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1176] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(18682),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1176),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1177] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18715),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1177),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1178] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18716),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1178),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1179] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18717),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1179),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1180] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18741),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1180),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1181] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18742),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1181),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1182] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18745),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1182),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1183] = {
    [sym_value_definition] = STATE(18814),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9758),
    [sym__sequence_expression] = STATE(8253),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(1183),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1019),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1184] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(18899),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1184),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1185] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18933),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1185),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1186] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18941),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1186),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1187] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18947),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1187),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1188] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19006),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1188),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1189] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19016),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1189),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1190] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19026),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1190),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1191] = {
    [sym_value_definition] = STATE(17564),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11659),
    [sym__sequence_expression] = STATE(8695),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(1191),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2146),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(20408),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1192] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(19240),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1192),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1193] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19260),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1193),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1194] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19261),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1194),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1195] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19262),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1195),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1196] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19277),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1196),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1197] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19278),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1197),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1198] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19279),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1198),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1199] = {
    [sym_value_definition] = STATE(18370),
    [sym__simple_expression] = STATE(763),
    [sym__expression] = STATE(8500),
    [sym__sequence_expression] = STATE(5335),
    [sym_typed_expression] = STATE(3668),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3668),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3668),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3405),
    [sym_array_get_expression] = STATE(3405),
    [sym_string_get_expression] = STATE(3405),
    [sym_bigarray_get_expression] = STATE(3405),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3668),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(1199),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym_sign_operator] = STATE(1831),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__instance_variable_name] = STATE(18351),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [sym__identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3119),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3121),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(741),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1200] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(19367),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1200),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1201] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19386),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1201),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1202] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19387),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1202),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1203] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19388),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1203),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1204] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19404),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1204),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1205] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19405),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1205),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1206] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19406),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1206),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1207] = {
    [sym_value_definition] = STATE(19821),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12545),
    [sym__sequence_expression] = STATE(7921),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6440),
    [sym_array_get_expression] = STATE(6440),
    [sym_string_get_expression] = STATE(6440),
    [sym_bigarray_get_expression] = STATE(6440),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(1207),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(1871),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(19783),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(2721),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2725),
    [anon_sym_function] = ACTIONS(2727),
    [anon_sym_try] = ACTIONS(2729),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2731),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1208] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(19514),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1208),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1209] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19540),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1209),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1210] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19541),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1210),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1211] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19542),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1211),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1212] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19564),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1212),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1213] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19568),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1213),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1214] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19577),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1214),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1215] = {
    [sym_value_definition] = STATE(19821),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12545),
    [sym__sequence_expression] = STATE(7955),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6440),
    [sym_array_get_expression] = STATE(6440),
    [sym_string_get_expression] = STATE(6440),
    [sym_bigarray_get_expression] = STATE(6440),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(1215),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(1871),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(19783),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(2721),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2725),
    [anon_sym_function] = ACTIONS(2727),
    [anon_sym_try] = ACTIONS(2729),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2731),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1216] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(19715),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1216),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1217] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19762),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1217),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1218] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19763),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1218),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1219] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19764),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1219),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1220] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19792),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1220),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1221] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19793),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1221),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1222] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19798),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1222),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1223] = {
    [sym_value_definition] = STATE(19821),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12545),
    [sym__sequence_expression] = STATE(7957),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6440),
    [sym_array_get_expression] = STATE(6440),
    [sym_string_get_expression] = STATE(6440),
    [sym_bigarray_get_expression] = STATE(6440),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(1223),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(1871),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(19783),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(2721),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2725),
    [anon_sym_function] = ACTIONS(2727),
    [anon_sym_try] = ACTIONS(2729),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2731),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1224] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(19988),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1224),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1225] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20032),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1225),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1226] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20034),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1226),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1227] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20035),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1227),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1228] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20061),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1228),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1229] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20062),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1229),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1230] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20065),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1230),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1231] = {
    [sym_value_definition] = STATE(19821),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12545),
    [sym__sequence_expression] = STATE(7959),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6440),
    [sym_array_get_expression] = STATE(6440),
    [sym_string_get_expression] = STATE(6440),
    [sym_bigarray_get_expression] = STATE(6440),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(1231),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(1871),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(19783),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(2721),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2725),
    [anon_sym_function] = ACTIONS(2727),
    [anon_sym_try] = ACTIONS(2729),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2731),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1232] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(20260),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1232),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1233] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20329),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1233),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1234] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20330),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1234),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1235] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20332),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1235),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1236] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20345),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1236),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1237] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20346),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1237),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1238] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20348),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1238),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1239] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(20432),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1239),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1240] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19965),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1240),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1241] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17581),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1241),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1242] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17610),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1242),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1243] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17784),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1243),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1244] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18341),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1244),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1245] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18453),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1245),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1246] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(17619),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1246),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1247] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17989),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1247),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1248] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17997),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1248),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1249] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18006),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1249),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1250] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18271),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1250),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1251] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18280),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1251),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1252] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18309),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1252),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1253] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(20168),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1253),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1254] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17556),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1254),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1255] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17559),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1255),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1256] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17571),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1256),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1257] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17644),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1257),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1258] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17659),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1258),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1259] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17660),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1259),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1260] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(18274),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1260),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1261] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18390),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1261),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1262] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18394),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1262),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1263] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18434),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1263),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1264] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18563),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1264),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1265] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18564),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1265),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1266] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18576),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1266),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1267] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(19490),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1267),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1268] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19931),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1268),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1269] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19932),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1269),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1270] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(19942),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1270),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1271] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20037),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1271),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1272] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20038),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1272),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1273] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(20042),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1273),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1274] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(17558),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1274),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1275] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17594),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1275),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1276] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17598),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1276),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1277] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17600),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1277),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1278] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17649),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1278),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1279] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17654),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1279),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1280] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17655),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1280),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1281] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(17896),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1281),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1282] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17938),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1282),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1283] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17943),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1283),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1284] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(17957),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1284),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1285] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18018),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1285),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1286] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18019),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1286),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1287] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18022),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1287),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1288] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(18292),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1288),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1289] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18360),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1289),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1290] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18361),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1290),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1291] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18368),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1291),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1292] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18402),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1292),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1293] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18410),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1293),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1294] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18415),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1294),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1295] = {
    [sym_value_definition] = STATE(19821),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12545),
    [sym__sequence_expression] = STATE(7990),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6440),
    [sym_array_get_expression] = STATE(6440),
    [sym_string_get_expression] = STATE(6440),
    [sym_bigarray_get_expression] = STATE(6440),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(1295),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(1871),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(19783),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(2721),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2725),
    [anon_sym_function] = ACTIONS(2727),
    [anon_sym_try] = ACTIONS(2729),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2731),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1296] = {
    [sym_value_definition] = STATE(19821),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12545),
    [sym__sequence_expression] = STATE(7989),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6440),
    [sym_array_get_expression] = STATE(6440),
    [sym_string_get_expression] = STATE(6440),
    [sym_bigarray_get_expression] = STATE(6440),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(1296),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(1871),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(19783),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(2721),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2725),
    [anon_sym_function] = ACTIONS(2727),
    [anon_sym_try] = ACTIONS(2729),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2731),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1297] = {
    [sym_value_definition] = STATE(19821),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12545),
    [sym__sequence_expression] = STATE(7868),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6440),
    [sym_array_get_expression] = STATE(6440),
    [sym_string_get_expression] = STATE(6440),
    [sym_bigarray_get_expression] = STATE(6440),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(1297),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(1871),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(19783),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(2721),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2725),
    [anon_sym_function] = ACTIONS(2727),
    [anon_sym_try] = ACTIONS(2729),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2731),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1298] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(20113),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1298),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1299] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(20363),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1299),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1300] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(20379),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1300),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1301] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(322),
    [sym__expression] = STATE(8144),
    [sym__sequence_expression] = STATE(8111),
    [sym_typed_expression] = STATE(2743),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2743),
    [sym_array_expression] = STATE(2743),
    [sym_record_expression] = STATE(2743),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2743),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2743),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2695),
    [sym_array_get_expression] = STATE(2695),
    [sym_string_get_expression] = STATE(2695),
    [sym_bigarray_get_expression] = STATE(2695),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2743),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2743),
    [sym_package_expression] = STATE(2743),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2743),
    [sym_object_copy_expression] = STATE(2743),
    [sym_method_invocation] = STATE(2743),
    [sym_object_expression] = STATE(2743),
    [sym_parenthesized_expression] = STATE(2743),
    [sym_attribute] = STATE(1301),
    [sym_extension] = STATE(2743),
    [sym_quoted_extension] = STATE(2743),
    [sym__constant] = STATE(2743),
    [sym_number] = STATE(2910),
    [sym_character] = STATE(2910),
    [sym_string] = STATE(2910),
    [sym_quoted_string] = STATE(2910),
    [sym_boolean] = STATE(2910),
    [sym_unit] = STATE(2910),
    [sym_sign_operator] = STATE(1889),
    [sym__value_name] = STATE(2783),
    [sym_parenthesized_operator] = STATE(2843),
    [sym_value_path] = STATE(2743),
    [sym_module_path] = STATE(18591),
    [sym_constructor_path] = STATE(2743),
    [sym__instance_variable_name] = STATE(19174),
    [sym__constructor_name] = STATE(2911),
    [sym_tag] = STATE(2743),
    [sym__identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3127),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3129),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__capitalized_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1302] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(322),
    [sym__expression] = STATE(8144),
    [sym__sequence_expression] = STATE(8190),
    [sym_typed_expression] = STATE(2743),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2743),
    [sym_array_expression] = STATE(2743),
    [sym_record_expression] = STATE(2743),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2743),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2743),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2695),
    [sym_array_get_expression] = STATE(2695),
    [sym_string_get_expression] = STATE(2695),
    [sym_bigarray_get_expression] = STATE(2695),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2743),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2743),
    [sym_package_expression] = STATE(2743),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2743),
    [sym_object_copy_expression] = STATE(2743),
    [sym_method_invocation] = STATE(2743),
    [sym_object_expression] = STATE(2743),
    [sym_parenthesized_expression] = STATE(2743),
    [sym_attribute] = STATE(1302),
    [sym_extension] = STATE(2743),
    [sym_quoted_extension] = STATE(2743),
    [sym__constant] = STATE(2743),
    [sym_number] = STATE(2910),
    [sym_character] = STATE(2910),
    [sym_string] = STATE(2910),
    [sym_quoted_string] = STATE(2910),
    [sym_boolean] = STATE(2910),
    [sym_unit] = STATE(2910),
    [sym_sign_operator] = STATE(1889),
    [sym__value_name] = STATE(2783),
    [sym_parenthesized_operator] = STATE(2843),
    [sym_value_path] = STATE(2743),
    [sym_module_path] = STATE(18591),
    [sym_constructor_path] = STATE(2743),
    [sym__instance_variable_name] = STATE(19174),
    [sym__constructor_name] = STATE(2911),
    [sym_tag] = STATE(2743),
    [sym__identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3127),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3129),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__capitalized_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1303] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(322),
    [sym__expression] = STATE(8144),
    [sym__sequence_expression] = STATE(8236),
    [sym_typed_expression] = STATE(2743),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2743),
    [sym_array_expression] = STATE(2743),
    [sym_record_expression] = STATE(2743),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2743),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2743),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2695),
    [sym_array_get_expression] = STATE(2695),
    [sym_string_get_expression] = STATE(2695),
    [sym_bigarray_get_expression] = STATE(2695),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2743),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2743),
    [sym_package_expression] = STATE(2743),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2743),
    [sym_object_copy_expression] = STATE(2743),
    [sym_method_invocation] = STATE(2743),
    [sym_object_expression] = STATE(2743),
    [sym_parenthesized_expression] = STATE(2743),
    [sym_attribute] = STATE(1303),
    [sym_extension] = STATE(2743),
    [sym_quoted_extension] = STATE(2743),
    [sym__constant] = STATE(2743),
    [sym_number] = STATE(2910),
    [sym_character] = STATE(2910),
    [sym_string] = STATE(2910),
    [sym_quoted_string] = STATE(2910),
    [sym_boolean] = STATE(2910),
    [sym_unit] = STATE(2910),
    [sym_sign_operator] = STATE(1889),
    [sym__value_name] = STATE(2783),
    [sym_parenthesized_operator] = STATE(2843),
    [sym_value_path] = STATE(2743),
    [sym_module_path] = STATE(18591),
    [sym_constructor_path] = STATE(2743),
    [sym__instance_variable_name] = STATE(19174),
    [sym__constructor_name] = STATE(2911),
    [sym_tag] = STATE(2743),
    [sym__identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3127),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3129),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__capitalized_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1304] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1304),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1305] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18320),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1305),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1306] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18325),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1306),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1307] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(322),
    [sym__expression] = STATE(8144),
    [sym__sequence_expression] = STATE(8134),
    [sym_typed_expression] = STATE(2743),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2743),
    [sym_array_expression] = STATE(2743),
    [sym_record_expression] = STATE(2743),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2743),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2743),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2695),
    [sym_array_get_expression] = STATE(2695),
    [sym_string_get_expression] = STATE(2695),
    [sym_bigarray_get_expression] = STATE(2695),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2743),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2743),
    [sym_package_expression] = STATE(2743),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2743),
    [sym_object_copy_expression] = STATE(2743),
    [sym_method_invocation] = STATE(2743),
    [sym_object_expression] = STATE(2743),
    [sym_parenthesized_expression] = STATE(2743),
    [sym_attribute] = STATE(1307),
    [sym_extension] = STATE(2743),
    [sym_quoted_extension] = STATE(2743),
    [sym__constant] = STATE(2743),
    [sym_number] = STATE(2910),
    [sym_character] = STATE(2910),
    [sym_string] = STATE(2910),
    [sym_quoted_string] = STATE(2910),
    [sym_boolean] = STATE(2910),
    [sym_unit] = STATE(2910),
    [sym_sign_operator] = STATE(1889),
    [sym__value_name] = STATE(2783),
    [sym_parenthesized_operator] = STATE(2843),
    [sym_value_path] = STATE(2743),
    [sym_module_path] = STATE(18591),
    [sym_constructor_path] = STATE(2743),
    [sym__instance_variable_name] = STATE(19174),
    [sym__constructor_name] = STATE(2911),
    [sym_tag] = STATE(2743),
    [sym__identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3127),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3129),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__capitalized_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1308] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(322),
    [sym__expression] = STATE(8144),
    [sym__sequence_expression] = STATE(8177),
    [sym_typed_expression] = STATE(2743),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2743),
    [sym_array_expression] = STATE(2743),
    [sym_record_expression] = STATE(2743),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2743),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2743),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2695),
    [sym_array_get_expression] = STATE(2695),
    [sym_string_get_expression] = STATE(2695),
    [sym_bigarray_get_expression] = STATE(2695),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2743),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2743),
    [sym_package_expression] = STATE(2743),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2743),
    [sym_object_copy_expression] = STATE(2743),
    [sym_method_invocation] = STATE(2743),
    [sym_object_expression] = STATE(2743),
    [sym_parenthesized_expression] = STATE(2743),
    [sym_attribute] = STATE(1308),
    [sym_extension] = STATE(2743),
    [sym_quoted_extension] = STATE(2743),
    [sym__constant] = STATE(2743),
    [sym_number] = STATE(2910),
    [sym_character] = STATE(2910),
    [sym_string] = STATE(2910),
    [sym_quoted_string] = STATE(2910),
    [sym_boolean] = STATE(2910),
    [sym_unit] = STATE(2910),
    [sym_sign_operator] = STATE(1889),
    [sym__value_name] = STATE(2783),
    [sym_parenthesized_operator] = STATE(2843),
    [sym_value_path] = STATE(2743),
    [sym_module_path] = STATE(18591),
    [sym_constructor_path] = STATE(2743),
    [sym__instance_variable_name] = STATE(19174),
    [sym__constructor_name] = STATE(2911),
    [sym_tag] = STATE(2743),
    [sym__identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3127),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3129),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__capitalized_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1309] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(322),
    [sym__expression] = STATE(8144),
    [sym__sequence_expression] = STATE(8256),
    [sym_typed_expression] = STATE(2743),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2743),
    [sym_array_expression] = STATE(2743),
    [sym_record_expression] = STATE(2743),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2743),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2743),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2695),
    [sym_array_get_expression] = STATE(2695),
    [sym_string_get_expression] = STATE(2695),
    [sym_bigarray_get_expression] = STATE(2695),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2743),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2743),
    [sym_package_expression] = STATE(2743),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2743),
    [sym_object_copy_expression] = STATE(2743),
    [sym_method_invocation] = STATE(2743),
    [sym_object_expression] = STATE(2743),
    [sym_parenthesized_expression] = STATE(2743),
    [sym_attribute] = STATE(1309),
    [sym_extension] = STATE(2743),
    [sym_quoted_extension] = STATE(2743),
    [sym__constant] = STATE(2743),
    [sym_number] = STATE(2910),
    [sym_character] = STATE(2910),
    [sym_string] = STATE(2910),
    [sym_quoted_string] = STATE(2910),
    [sym_boolean] = STATE(2910),
    [sym_unit] = STATE(2910),
    [sym_sign_operator] = STATE(1889),
    [sym__value_name] = STATE(2783),
    [sym_parenthesized_operator] = STATE(2843),
    [sym_value_path] = STATE(2743),
    [sym_module_path] = STATE(18591),
    [sym_constructor_path] = STATE(2743),
    [sym__instance_variable_name] = STATE(19174),
    [sym__constructor_name] = STATE(2911),
    [sym_tag] = STATE(2743),
    [sym__identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3127),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3129),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__capitalized_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1310] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(322),
    [sym__expression] = STATE(8144),
    [sym__sequence_expression] = STATE(8173),
    [sym_typed_expression] = STATE(2743),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2743),
    [sym_array_expression] = STATE(2743),
    [sym_record_expression] = STATE(2743),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2743),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2743),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2695),
    [sym_array_get_expression] = STATE(2695),
    [sym_string_get_expression] = STATE(2695),
    [sym_bigarray_get_expression] = STATE(2695),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2743),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2743),
    [sym_package_expression] = STATE(2743),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2743),
    [sym_object_copy_expression] = STATE(2743),
    [sym_method_invocation] = STATE(2743),
    [sym_object_expression] = STATE(2743),
    [sym_parenthesized_expression] = STATE(2743),
    [sym_attribute] = STATE(1310),
    [sym_extension] = STATE(2743),
    [sym_quoted_extension] = STATE(2743),
    [sym__constant] = STATE(2743),
    [sym_number] = STATE(2910),
    [sym_character] = STATE(2910),
    [sym_string] = STATE(2910),
    [sym_quoted_string] = STATE(2910),
    [sym_boolean] = STATE(2910),
    [sym_unit] = STATE(2910),
    [sym_sign_operator] = STATE(1889),
    [sym__value_name] = STATE(2783),
    [sym_parenthesized_operator] = STATE(2843),
    [sym_value_path] = STATE(2743),
    [sym_module_path] = STATE(18591),
    [sym_constructor_path] = STATE(2743),
    [sym__instance_variable_name] = STATE(19174),
    [sym__constructor_name] = STATE(2911),
    [sym_tag] = STATE(2743),
    [sym__identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3127),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3129),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__capitalized_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1311] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18648),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1311),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1312] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18713),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1312),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1313] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18722),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1313),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1314] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12620),
    [sym__sequence_expression] = STATE(7959),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(1314),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1315] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(19011),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1315),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1316] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(19051),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1316),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1317] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(19057),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1317),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1318] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12620),
    [sym__sequence_expression] = STATE(7990),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(1318),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1319] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18789),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1319),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1320] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12705),
    [sym__sequence_expression] = STATE(5335),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(1320),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1321] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(19212),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1321),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1322] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(19259),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1322),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1323] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(19265),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1323),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1324] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16973),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(1324),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1325] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12620),
    [sym__sequence_expression] = STATE(7989),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(1325),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1326] = {
    [sym_value_definition] = STATE(18370),
    [sym__simple_expression] = STATE(763),
    [sym__expression] = STATE(8500),
    [sym__sequence_expression] = STATE(10531),
    [sym_typed_expression] = STATE(3668),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3668),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3668),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3405),
    [sym_array_get_expression] = STATE(3405),
    [sym_string_get_expression] = STATE(3405),
    [sym_bigarray_get_expression] = STATE(3405),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3668),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(1326),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym_sign_operator] = STATE(1831),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__instance_variable_name] = STATE(18351),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [sym__identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3119),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3121),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(741),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1327] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(19450),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1327),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1328] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(19500),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1328),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1329] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(19505),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1329),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1330] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18797),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1330),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1331] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(19674),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1331),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1332] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(19716),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1332),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1333] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(19718),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1333),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1334] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12620),
    [sym__sequence_expression] = STATE(7868),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(1334),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1335] = {
    [sym_value_definition] = STATE(18370),
    [sym__simple_expression] = STATE(763),
    [sym__expression] = STATE(8500),
    [sym__sequence_expression] = STATE(10419),
    [sym_typed_expression] = STATE(3668),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3668),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3668),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3405),
    [sym_array_get_expression] = STATE(3405),
    [sym_string_get_expression] = STATE(3405),
    [sym_bigarray_get_expression] = STATE(3405),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3668),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(1335),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym_sign_operator] = STATE(1831),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__instance_variable_name] = STATE(18351),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [sym__identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3119),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3121),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(741),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1336] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(19855),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1336),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1337] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(19901),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1337),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1338] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(19905),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1338),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1339] = {
    [sym_value_definition] = STATE(18370),
    [sym__simple_expression] = STATE(763),
    [sym__expression] = STATE(8500),
    [sym__sequence_expression] = STATE(10487),
    [sym_typed_expression] = STATE(3668),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3668),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3668),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3405),
    [sym_array_get_expression] = STATE(3405),
    [sym_string_get_expression] = STATE(3405),
    [sym_bigarray_get_expression] = STATE(3405),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3668),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(1339),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym_sign_operator] = STATE(1831),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__instance_variable_name] = STATE(18351),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [sym__identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3119),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3121),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(741),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1340] = {
    [sym_value_definition] = STATE(18370),
    [sym__simple_expression] = STATE(763),
    [sym__expression] = STATE(8500),
    [sym__sequence_expression] = STATE(10373),
    [sym_typed_expression] = STATE(3668),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3668),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3668),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3405),
    [sym_array_get_expression] = STATE(3405),
    [sym_string_get_expression] = STATE(3405),
    [sym_bigarray_get_expression] = STATE(3405),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3668),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(1340),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym_sign_operator] = STATE(1831),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__instance_variable_name] = STATE(18351),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [sym__identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3119),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3121),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(741),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1341] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(20043),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1341),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1342] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(20074),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1342),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1343] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(20076),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1343),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1344] = {
    [sym_value_definition] = STATE(18370),
    [sym__simple_expression] = STATE(763),
    [sym__expression] = STATE(8500),
    [sym__sequence_expression] = STATE(10428),
    [sym_typed_expression] = STATE(3668),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3668),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3668),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3405),
    [sym_array_get_expression] = STATE(3405),
    [sym_string_get_expression] = STATE(3405),
    [sym_bigarray_get_expression] = STATE(3405),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3668),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(1344),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym_sign_operator] = STATE(1831),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__instance_variable_name] = STATE(18351),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [sym__identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3119),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3121),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(741),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1345] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12645),
    [sym__sequence_expression] = STATE(7921),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1345),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1346] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12651),
    [sym__sequence_expression] = STATE(18863),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(18714),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1346),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1347] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(20183),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1347),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1348] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(20216),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1348),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1349] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(20221),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1349),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1350] = {
    [sym_value_definition] = STATE(19097),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8857),
    [sym__sequence_expression] = STATE(5335),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(1350),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1351] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12645),
    [sym__sequence_expression] = STATE(7955),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1351),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1352] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12645),
    [sym__sequence_expression] = STATE(7957),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1352),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1353] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(20403),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1353),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1354] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(20431),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1354),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1355] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(20435),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1355),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1356] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12645),
    [sym__sequence_expression] = STATE(7959),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1356),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1357] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12645),
    [sym__sequence_expression] = STATE(7990),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1357),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1358] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17578),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1358),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1359] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17592),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1359),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1360] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17593),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1360),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1361] = {
    [sym_value_definition] = STATE(17646),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(10625),
    [sym__sequence_expression] = STATE(8253),
    [sym_typed_expression] = STATE(5401),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5401),
    [sym_array_expression] = STATE(5401),
    [sym_record_expression] = STATE(5401),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5401),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5401),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5205),
    [sym_array_get_expression] = STATE(5205),
    [sym_string_get_expression] = STATE(5205),
    [sym_bigarray_get_expression] = STATE(5205),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5401),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5401),
    [sym_package_expression] = STATE(5401),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5401),
    [sym_object_copy_expression] = STATE(5401),
    [sym_method_invocation] = STATE(5401),
    [sym_object_expression] = STATE(5401),
    [sym_parenthesized_expression] = STATE(5401),
    [sym_attribute] = STATE(1361),
    [sym_extension] = STATE(5401),
    [sym_quoted_extension] = STATE(5401),
    [sym__constant] = STATE(5401),
    [sym_number] = STATE(5380),
    [sym_character] = STATE(5380),
    [sym_string] = STATE(5380),
    [sym_quoted_string] = STATE(5380),
    [sym_boolean] = STATE(5380),
    [sym_unit] = STATE(5380),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5400),
    [sym_value_path] = STATE(5401),
    [sym_module_path] = STATE(18005),
    [sym_constructor_path] = STATE(5401),
    [sym__instance_variable_name] = STATE(17611),
    [sym__constructor_name] = STATE(5359),
    [sym_tag] = STATE(5401),
    [sym__identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__capitalized_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1362] = {
    [sym_value_definition] = STATE(18494),
    [sym__simple_expression] = STATE(1632),
    [sym__expression] = STATE(8432),
    [sym__sequence_expression] = STATE(5335),
    [sym_typed_expression] = STATE(4008),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4008),
    [sym_array_expression] = STATE(4008),
    [sym_record_expression] = STATE(4008),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4008),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4008),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3584),
    [sym_array_get_expression] = STATE(3584),
    [sym_string_get_expression] = STATE(3584),
    [sym_bigarray_get_expression] = STATE(3584),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4008),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4008),
    [sym_package_expression] = STATE(4008),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4008),
    [sym_object_copy_expression] = STATE(4008),
    [sym_method_invocation] = STATE(4008),
    [sym_object_expression] = STATE(4008),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_attribute] = STATE(1362),
    [sym_extension] = STATE(4008),
    [sym_quoted_extension] = STATE(4008),
    [sym__constant] = STATE(4008),
    [sym_number] = STATE(3818),
    [sym_character] = STATE(3818),
    [sym_string] = STATE(3818),
    [sym_quoted_string] = STATE(3818),
    [sym_boolean] = STATE(3818),
    [sym_unit] = STATE(3818),
    [sym_sign_operator] = STATE(2119),
    [sym__value_name] = STATE(4039),
    [sym_parenthesized_operator] = STATE(3903),
    [sym_value_path] = STATE(4008),
    [sym_module_path] = STATE(17789),
    [sym_constructor_path] = STATE(4008),
    [sym__instance_variable_name] = STATE(17931),
    [sym__constructor_name] = STATE(3820),
    [sym_tag] = STATE(4008),
    [sym__identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__capitalized_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1363] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17634),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1363),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1364] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17647),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1364),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1365] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17648),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1365),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1366] = {
    [sym_value_definition] = STATE(17704),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12568),
    [sym__sequence_expression] = STATE(7921),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6549),
    [sym_array_get_expression] = STATE(6549),
    [sym_string_get_expression] = STATE(6549),
    [sym_bigarray_get_expression] = STATE(6549),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(1366),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17686),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2839),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2849),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1367] = {
    [sym_value_definition] = STATE(17704),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12568),
    [sym__sequence_expression] = STATE(7955),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6549),
    [sym_array_get_expression] = STATE(6549),
    [sym_string_get_expression] = STATE(6549),
    [sym_bigarray_get_expression] = STATE(6549),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(1367),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17686),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2839),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2849),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1368] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17688),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1368),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1369] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17701),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1369),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1370] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17702),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1370),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1371] = {
    [sym_value_definition] = STATE(17704),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12568),
    [sym__sequence_expression] = STATE(7957),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6549),
    [sym_array_get_expression] = STATE(6549),
    [sym_string_get_expression] = STATE(6549),
    [sym_bigarray_get_expression] = STATE(6549),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(1371),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17686),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2839),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2849),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1372] = {
    [sym_value_definition] = STATE(17704),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12568),
    [sym__sequence_expression] = STATE(7959),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6549),
    [sym_array_get_expression] = STATE(6549),
    [sym_string_get_expression] = STATE(6549),
    [sym_bigarray_get_expression] = STATE(6549),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(1372),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17686),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2839),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2849),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1373] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17742),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1373),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1374] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17755),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1374),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1375] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17756),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1375),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1376] = {
    [sym_value_definition] = STATE(17704),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12568),
    [sym__sequence_expression] = STATE(7990),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6549),
    [sym_array_get_expression] = STATE(6549),
    [sym_string_get_expression] = STATE(6549),
    [sym_bigarray_get_expression] = STATE(6549),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(1376),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17686),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2839),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2849),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1377] = {
    [sym_value_definition] = STATE(17704),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12568),
    [sym__sequence_expression] = STATE(7989),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6549),
    [sym_array_get_expression] = STATE(6549),
    [sym_string_get_expression] = STATE(6549),
    [sym_bigarray_get_expression] = STATE(6549),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(1377),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17686),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2839),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2849),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1378] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17796),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1378),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1379] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17809),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1379),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1380] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17810),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1380),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1381] = {
    [sym_value_definition] = STATE(17704),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12568),
    [sym__sequence_expression] = STATE(7868),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6549),
    [sym_array_get_expression] = STATE(6549),
    [sym_string_get_expression] = STATE(6549),
    [sym_bigarray_get_expression] = STATE(6549),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(1381),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17686),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2839),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2849),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1382] = {
    [sym_value_definition] = STATE(19640),
    [sym__simple_expression] = STATE(332),
    [sym__expression] = STATE(8181),
    [sym__sequence_expression] = STATE(8111),
    [sym_typed_expression] = STATE(2797),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2797),
    [sym_array_expression] = STATE(2797),
    [sym_record_expression] = STATE(2797),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2797),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2797),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2712),
    [sym_array_get_expression] = STATE(2712),
    [sym_string_get_expression] = STATE(2712),
    [sym_bigarray_get_expression] = STATE(2712),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2797),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2797),
    [sym_package_expression] = STATE(2797),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2797),
    [sym_object_copy_expression] = STATE(2797),
    [sym_method_invocation] = STATE(2797),
    [sym_object_expression] = STATE(2797),
    [sym_parenthesized_expression] = STATE(2797),
    [sym_attribute] = STATE(1382),
    [sym_extension] = STATE(2797),
    [sym_quoted_extension] = STATE(2797),
    [sym__constant] = STATE(2797),
    [sym_number] = STATE(2930),
    [sym_character] = STATE(2930),
    [sym_string] = STATE(2930),
    [sym_quoted_string] = STATE(2930),
    [sym_boolean] = STATE(2930),
    [sym_unit] = STATE(2930),
    [sym_sign_operator] = STATE(1941),
    [sym__value_name] = STATE(2839),
    [sym_parenthesized_operator] = STATE(2889),
    [sym_value_path] = STATE(2797),
    [sym_module_path] = STATE(18705),
    [sym_constructor_path] = STATE(2797),
    [sym__instance_variable_name] = STATE(19619),
    [sym__constructor_name] = STATE(2931),
    [sym_tag] = STATE(2797),
    [sym__identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3131),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3133),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__capitalized_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1383] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17850),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1383),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1384] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17863),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1384),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1385] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17864),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1385),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1386] = {
    [sym_value_definition] = STATE(19640),
    [sym__simple_expression] = STATE(332),
    [sym__expression] = STATE(8181),
    [sym__sequence_expression] = STATE(8190),
    [sym_typed_expression] = STATE(2797),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2797),
    [sym_array_expression] = STATE(2797),
    [sym_record_expression] = STATE(2797),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2797),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2797),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2712),
    [sym_array_get_expression] = STATE(2712),
    [sym_string_get_expression] = STATE(2712),
    [sym_bigarray_get_expression] = STATE(2712),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2797),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2797),
    [sym_package_expression] = STATE(2797),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2797),
    [sym_object_copy_expression] = STATE(2797),
    [sym_method_invocation] = STATE(2797),
    [sym_object_expression] = STATE(2797),
    [sym_parenthesized_expression] = STATE(2797),
    [sym_attribute] = STATE(1386),
    [sym_extension] = STATE(2797),
    [sym_quoted_extension] = STATE(2797),
    [sym__constant] = STATE(2797),
    [sym_number] = STATE(2930),
    [sym_character] = STATE(2930),
    [sym_string] = STATE(2930),
    [sym_quoted_string] = STATE(2930),
    [sym_boolean] = STATE(2930),
    [sym_unit] = STATE(2930),
    [sym_sign_operator] = STATE(1941),
    [sym__value_name] = STATE(2839),
    [sym_parenthesized_operator] = STATE(2889),
    [sym_value_path] = STATE(2797),
    [sym_module_path] = STATE(18705),
    [sym_constructor_path] = STATE(2797),
    [sym__instance_variable_name] = STATE(19619),
    [sym__constructor_name] = STATE(2931),
    [sym_tag] = STATE(2797),
    [sym__identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3131),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3133),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__capitalized_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1387] = {
    [sym_value_definition] = STATE(19640),
    [sym__simple_expression] = STATE(332),
    [sym__expression] = STATE(8181),
    [sym__sequence_expression] = STATE(8236),
    [sym_typed_expression] = STATE(2797),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2797),
    [sym_array_expression] = STATE(2797),
    [sym_record_expression] = STATE(2797),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2797),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2797),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2712),
    [sym_array_get_expression] = STATE(2712),
    [sym_string_get_expression] = STATE(2712),
    [sym_bigarray_get_expression] = STATE(2712),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2797),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2797),
    [sym_package_expression] = STATE(2797),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2797),
    [sym_object_copy_expression] = STATE(2797),
    [sym_method_invocation] = STATE(2797),
    [sym_object_expression] = STATE(2797),
    [sym_parenthesized_expression] = STATE(2797),
    [sym_attribute] = STATE(1387),
    [sym_extension] = STATE(2797),
    [sym_quoted_extension] = STATE(2797),
    [sym__constant] = STATE(2797),
    [sym_number] = STATE(2930),
    [sym_character] = STATE(2930),
    [sym_string] = STATE(2930),
    [sym_quoted_string] = STATE(2930),
    [sym_boolean] = STATE(2930),
    [sym_unit] = STATE(2930),
    [sym_sign_operator] = STATE(1941),
    [sym__value_name] = STATE(2839),
    [sym_parenthesized_operator] = STATE(2889),
    [sym_value_path] = STATE(2797),
    [sym_module_path] = STATE(18705),
    [sym_constructor_path] = STATE(2797),
    [sym__instance_variable_name] = STATE(19619),
    [sym__constructor_name] = STATE(2931),
    [sym_tag] = STATE(2797),
    [sym__identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3131),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3133),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__capitalized_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1388] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17904),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1388),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1389] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17917),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1389),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1390] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17918),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1390),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1391] = {
    [sym_value_definition] = STATE(19640),
    [sym__simple_expression] = STATE(332),
    [sym__expression] = STATE(8181),
    [sym__sequence_expression] = STATE(8134),
    [sym_typed_expression] = STATE(2797),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2797),
    [sym_array_expression] = STATE(2797),
    [sym_record_expression] = STATE(2797),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2797),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2797),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2712),
    [sym_array_get_expression] = STATE(2712),
    [sym_string_get_expression] = STATE(2712),
    [sym_bigarray_get_expression] = STATE(2712),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2797),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2797),
    [sym_package_expression] = STATE(2797),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2797),
    [sym_object_copy_expression] = STATE(2797),
    [sym_method_invocation] = STATE(2797),
    [sym_object_expression] = STATE(2797),
    [sym_parenthesized_expression] = STATE(2797),
    [sym_attribute] = STATE(1391),
    [sym_extension] = STATE(2797),
    [sym_quoted_extension] = STATE(2797),
    [sym__constant] = STATE(2797),
    [sym_number] = STATE(2930),
    [sym_character] = STATE(2930),
    [sym_string] = STATE(2930),
    [sym_quoted_string] = STATE(2930),
    [sym_boolean] = STATE(2930),
    [sym_unit] = STATE(2930),
    [sym_sign_operator] = STATE(1941),
    [sym__value_name] = STATE(2839),
    [sym_parenthesized_operator] = STATE(2889),
    [sym_value_path] = STATE(2797),
    [sym_module_path] = STATE(18705),
    [sym_constructor_path] = STATE(2797),
    [sym__instance_variable_name] = STATE(19619),
    [sym__constructor_name] = STATE(2931),
    [sym_tag] = STATE(2797),
    [sym__identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3131),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3133),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__capitalized_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1392] = {
    [sym_value_definition] = STATE(19640),
    [sym__simple_expression] = STATE(332),
    [sym__expression] = STATE(8181),
    [sym__sequence_expression] = STATE(8177),
    [sym_typed_expression] = STATE(2797),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2797),
    [sym_array_expression] = STATE(2797),
    [sym_record_expression] = STATE(2797),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2797),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2797),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2712),
    [sym_array_get_expression] = STATE(2712),
    [sym_string_get_expression] = STATE(2712),
    [sym_bigarray_get_expression] = STATE(2712),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2797),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2797),
    [sym_package_expression] = STATE(2797),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2797),
    [sym_object_copy_expression] = STATE(2797),
    [sym_method_invocation] = STATE(2797),
    [sym_object_expression] = STATE(2797),
    [sym_parenthesized_expression] = STATE(2797),
    [sym_attribute] = STATE(1392),
    [sym_extension] = STATE(2797),
    [sym_quoted_extension] = STATE(2797),
    [sym__constant] = STATE(2797),
    [sym_number] = STATE(2930),
    [sym_character] = STATE(2930),
    [sym_string] = STATE(2930),
    [sym_quoted_string] = STATE(2930),
    [sym_boolean] = STATE(2930),
    [sym_unit] = STATE(2930),
    [sym_sign_operator] = STATE(1941),
    [sym__value_name] = STATE(2839),
    [sym_parenthesized_operator] = STATE(2889),
    [sym_value_path] = STATE(2797),
    [sym_module_path] = STATE(18705),
    [sym_constructor_path] = STATE(2797),
    [sym__instance_variable_name] = STATE(19619),
    [sym__constructor_name] = STATE(2931),
    [sym_tag] = STATE(2797),
    [sym__identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3131),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3133),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__capitalized_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1393] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17958),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1393),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1394] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17971),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1394),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1395] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17972),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1395),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1396] = {
    [sym_value_definition] = STATE(19640),
    [sym__simple_expression] = STATE(332),
    [sym__expression] = STATE(8181),
    [sym__sequence_expression] = STATE(8256),
    [sym_typed_expression] = STATE(2797),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2797),
    [sym_array_expression] = STATE(2797),
    [sym_record_expression] = STATE(2797),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2797),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2797),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2712),
    [sym_array_get_expression] = STATE(2712),
    [sym_string_get_expression] = STATE(2712),
    [sym_bigarray_get_expression] = STATE(2712),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2797),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2797),
    [sym_package_expression] = STATE(2797),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2797),
    [sym_object_copy_expression] = STATE(2797),
    [sym_method_invocation] = STATE(2797),
    [sym_object_expression] = STATE(2797),
    [sym_parenthesized_expression] = STATE(2797),
    [sym_attribute] = STATE(1396),
    [sym_extension] = STATE(2797),
    [sym_quoted_extension] = STATE(2797),
    [sym__constant] = STATE(2797),
    [sym_number] = STATE(2930),
    [sym_character] = STATE(2930),
    [sym_string] = STATE(2930),
    [sym_quoted_string] = STATE(2930),
    [sym_boolean] = STATE(2930),
    [sym_unit] = STATE(2930),
    [sym_sign_operator] = STATE(1941),
    [sym__value_name] = STATE(2839),
    [sym_parenthesized_operator] = STATE(2889),
    [sym_value_path] = STATE(2797),
    [sym_module_path] = STATE(18705),
    [sym_constructor_path] = STATE(2797),
    [sym__instance_variable_name] = STATE(19619),
    [sym__constructor_name] = STATE(2931),
    [sym_tag] = STATE(2797),
    [sym__identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3131),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3133),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__capitalized_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1397] = {
    [sym_value_definition] = STATE(19640),
    [sym__simple_expression] = STATE(332),
    [sym__expression] = STATE(8181),
    [sym__sequence_expression] = STATE(8173),
    [sym_typed_expression] = STATE(2797),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2797),
    [sym_array_expression] = STATE(2797),
    [sym_record_expression] = STATE(2797),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2797),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2797),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2712),
    [sym_array_get_expression] = STATE(2712),
    [sym_string_get_expression] = STATE(2712),
    [sym_bigarray_get_expression] = STATE(2712),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2797),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2797),
    [sym_package_expression] = STATE(2797),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2797),
    [sym_object_copy_expression] = STATE(2797),
    [sym_method_invocation] = STATE(2797),
    [sym_object_expression] = STATE(2797),
    [sym_parenthesized_expression] = STATE(2797),
    [sym_attribute] = STATE(1397),
    [sym_extension] = STATE(2797),
    [sym_quoted_extension] = STATE(2797),
    [sym__constant] = STATE(2797),
    [sym_number] = STATE(2930),
    [sym_character] = STATE(2930),
    [sym_string] = STATE(2930),
    [sym_quoted_string] = STATE(2930),
    [sym_boolean] = STATE(2930),
    [sym_unit] = STATE(2930),
    [sym_sign_operator] = STATE(1941),
    [sym__value_name] = STATE(2839),
    [sym_parenthesized_operator] = STATE(2889),
    [sym_value_path] = STATE(2797),
    [sym_module_path] = STATE(18705),
    [sym_constructor_path] = STATE(2797),
    [sym__instance_variable_name] = STATE(19619),
    [sym__constructor_name] = STATE(2931),
    [sym_tag] = STATE(2797),
    [sym__identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3131),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3133),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__capitalized_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1398] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18012),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1398),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1399] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18025),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1399),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1400] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18026),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1400),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1401] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(17974),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1401),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1402] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18066),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1402),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1403] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18079),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1403),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1404] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18080),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1404),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1405] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(5335),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1405),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1406] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18116),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1406),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1407] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18126),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1407),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1408] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18127),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1408),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1409] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12645),
    [sym__sequence_expression] = STATE(7989),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1409),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1410] = {
    [sym_value_definition] = STATE(18444),
    [sym__simple_expression] = STATE(528),
    [sym__expression] = STATE(8370),
    [sym__sequence_expression] = STATE(10419),
    [sym_typed_expression] = STATE(3337),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3337),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3337),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2728),
    [sym_array_get_expression] = STATE(2728),
    [sym_string_get_expression] = STATE(2728),
    [sym_bigarray_get_expression] = STATE(2728),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3337),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(1410),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym_sign_operator] = STATE(1870),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__instance_variable_name] = STATE(18316),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [sym__identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(453),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1411] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18157),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1411),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1412] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18166),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1412),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1413] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18167),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1413),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1414] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(17070),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(1414),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1415] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18197),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1415),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1416] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18206),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1416),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1417] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18207),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1417),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1418] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12645),
    [sym__sequence_expression] = STATE(7868),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1418),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1419] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18237),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1419),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1420] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18246),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1420),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1421] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18247),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1421),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1422] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18277),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1422),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1423] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18286),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1423),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1424] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18287),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1424),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1425] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12671),
    [sym__sequence_expression] = STATE(7921),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1425),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1426] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18317),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1426),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1427] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18326),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1427),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1428] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18327),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1428),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1429] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12671),
    [sym__sequence_expression] = STATE(7955),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1429),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1430] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12671),
    [sym__sequence_expression] = STATE(7957),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1430),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1431] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18357),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1431),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1432] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18366),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1432),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1433] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18367),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1433),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1434] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12671),
    [sym__sequence_expression] = STATE(7959),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1434),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1435] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12671),
    [sym__sequence_expression] = STATE(7990),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1435),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1436] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18397),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1436),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1437] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18406),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1437),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1438] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18407),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1438),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1439] = {
    [sym_value_definition] = STATE(18092),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12522),
    [sym__sequence_expression] = STATE(10492),
    [sym_typed_expression] = STATE(7127),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(7127),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(7127),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(10306),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(7127),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(1439),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym_sign_operator] = STATE(1954),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__instance_variable_name] = STATE(18010),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [sym__identifier] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2735),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_function] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2779),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1440] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(322),
    [sym__expression] = STATE(8144),
    [sym__sequence_expression] = STATE(7493),
    [sym_typed_expression] = STATE(2743),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2743),
    [sym_array_expression] = STATE(2743),
    [sym_record_expression] = STATE(2743),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2743),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2743),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2695),
    [sym_array_get_expression] = STATE(2695),
    [sym_string_get_expression] = STATE(2695),
    [sym_bigarray_get_expression] = STATE(2695),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2743),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2743),
    [sym_package_expression] = STATE(2743),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2743),
    [sym_object_copy_expression] = STATE(2743),
    [sym_method_invocation] = STATE(2743),
    [sym_object_expression] = STATE(2743),
    [sym_parenthesized_expression] = STATE(2743),
    [sym_attribute] = STATE(1440),
    [sym_extension] = STATE(2743),
    [sym_quoted_extension] = STATE(2743),
    [sym__constant] = STATE(2743),
    [sym_number] = STATE(2910),
    [sym_character] = STATE(2910),
    [sym_string] = STATE(2910),
    [sym_quoted_string] = STATE(2910),
    [sym_boolean] = STATE(2910),
    [sym_unit] = STATE(2910),
    [sym_sign_operator] = STATE(1889),
    [sym__value_name] = STATE(2783),
    [sym_parenthesized_operator] = STATE(2843),
    [sym_value_path] = STATE(2743),
    [sym_module_path] = STATE(18591),
    [sym_constructor_path] = STATE(2743),
    [sym__instance_variable_name] = STATE(19174),
    [sym__constructor_name] = STATE(2911),
    [sym_tag] = STATE(2743),
    [sym__identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3127),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3129),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__capitalized_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1441] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18437),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1441),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1442] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18446),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1442),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1443] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18447),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1443),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1444] = {
    [sym_value_definition] = STATE(18593),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9647),
    [sym__sequence_expression] = STATE(7921),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4823),
    [sym_array_get_expression] = STATE(4823),
    [sym_string_get_expression] = STATE(4823),
    [sym_bigarray_get_expression] = STATE(4823),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(1444),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(1974),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(18569),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(1027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1035),
    [anon_sym_function] = ACTIONS(1037),
    [anon_sym_try] = ACTIONS(1039),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1045),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1445] = {
    [sym_value_definition] = STATE(18593),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9647),
    [sym__sequence_expression] = STATE(7955),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4823),
    [sym_array_get_expression] = STATE(4823),
    [sym_string_get_expression] = STATE(4823),
    [sym_bigarray_get_expression] = STATE(4823),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(1445),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(1974),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(18569),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(1027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1035),
    [anon_sym_function] = ACTIONS(1037),
    [anon_sym_try] = ACTIONS(1039),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1045),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1446] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18477),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1446),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1447] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18486),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1447),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1448] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18487),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1448),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1449] = {
    [sym_value_definition] = STATE(18593),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9647),
    [sym__sequence_expression] = STATE(7957),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4823),
    [sym_array_get_expression] = STATE(4823),
    [sym_string_get_expression] = STATE(4823),
    [sym_bigarray_get_expression] = STATE(4823),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(1449),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(1974),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(18569),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(1027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1035),
    [anon_sym_function] = ACTIONS(1037),
    [anon_sym_try] = ACTIONS(1039),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1045),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1450] = {
    [sym_value_definition] = STATE(18593),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9647),
    [sym__sequence_expression] = STATE(7959),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4823),
    [sym_array_get_expression] = STATE(4823),
    [sym_string_get_expression] = STATE(4823),
    [sym_bigarray_get_expression] = STATE(4823),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(1450),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(1974),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(18569),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(1027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1035),
    [anon_sym_function] = ACTIONS(1037),
    [anon_sym_try] = ACTIONS(1039),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1045),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1451] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18517),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1451),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1452] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18526),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1452),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1453] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18527),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1453),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1454] = {
    [sym_value_definition] = STATE(18593),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9647),
    [sym__sequence_expression] = STATE(7990),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4823),
    [sym_array_get_expression] = STATE(4823),
    [sym_string_get_expression] = STATE(4823),
    [sym_bigarray_get_expression] = STATE(4823),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(1454),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(1974),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(18569),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(1027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1035),
    [anon_sym_function] = ACTIONS(1037),
    [anon_sym_try] = ACTIONS(1039),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1045),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1455] = {
    [sym_value_definition] = STATE(18593),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9647),
    [sym__sequence_expression] = STATE(7989),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4823),
    [sym_array_get_expression] = STATE(4823),
    [sym_string_get_expression] = STATE(4823),
    [sym_bigarray_get_expression] = STATE(4823),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(1455),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(1974),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(18569),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(1027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1035),
    [anon_sym_function] = ACTIONS(1037),
    [anon_sym_try] = ACTIONS(1039),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1045),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1456] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18556),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1456),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1457] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18565),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1457),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1458] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18566),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1458),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1459] = {
    [sym_value_definition] = STATE(18593),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9647),
    [sym__sequence_expression] = STATE(7868),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4823),
    [sym_array_get_expression] = STATE(4823),
    [sym_string_get_expression] = STATE(4823),
    [sym_bigarray_get_expression] = STATE(4823),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8159),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(1459),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(1974),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(18569),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(1027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1035),
    [anon_sym_function] = ACTIONS(1037),
    [anon_sym_try] = ACTIONS(1039),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1045),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1460] = {
    [sym_value_definition] = STATE(20229),
    [sym__simple_expression] = STATE(529),
    [sym__expression] = STATE(8314),
    [sym__sequence_expression] = STATE(8111),
    [sym_typed_expression] = STATE(3189),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3189),
    [sym_array_expression] = STATE(3189),
    [sym_record_expression] = STATE(3189),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3189),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3189),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2734),
    [sym_array_get_expression] = STATE(2734),
    [sym_string_get_expression] = STATE(2734),
    [sym_bigarray_get_expression] = STATE(2734),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3189),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3189),
    [sym_package_expression] = STATE(3189),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3189),
    [sym_object_copy_expression] = STATE(3189),
    [sym_method_invocation] = STATE(3189),
    [sym_object_expression] = STATE(3189),
    [sym_parenthesized_expression] = STATE(3189),
    [sym_attribute] = STATE(1460),
    [sym_extension] = STATE(3189),
    [sym_quoted_extension] = STATE(3189),
    [sym__constant] = STATE(3189),
    [sym_number] = STATE(3378),
    [sym_character] = STATE(3378),
    [sym_string] = STATE(3378),
    [sym_quoted_string] = STATE(3378),
    [sym_boolean] = STATE(3378),
    [sym_unit] = STATE(3378),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(3248),
    [sym_parenthesized_operator] = STATE(3324),
    [sym_value_path] = STATE(3189),
    [sym_module_path] = STATE(18817),
    [sym_constructor_path] = STATE(3189),
    [sym__instance_variable_name] = STATE(18826),
    [sym__constructor_name] = STATE(3379),
    [sym_tag] = STATE(3189),
    [sym__identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__capitalized_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1461] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18595),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1461),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1462] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18604),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1462),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1463] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18605),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1463),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1464] = {
    [sym_value_definition] = STATE(20229),
    [sym__simple_expression] = STATE(529),
    [sym__expression] = STATE(8314),
    [sym__sequence_expression] = STATE(8190),
    [sym_typed_expression] = STATE(3189),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3189),
    [sym_array_expression] = STATE(3189),
    [sym_record_expression] = STATE(3189),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3189),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3189),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2734),
    [sym_array_get_expression] = STATE(2734),
    [sym_string_get_expression] = STATE(2734),
    [sym_bigarray_get_expression] = STATE(2734),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3189),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3189),
    [sym_package_expression] = STATE(3189),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3189),
    [sym_object_copy_expression] = STATE(3189),
    [sym_method_invocation] = STATE(3189),
    [sym_object_expression] = STATE(3189),
    [sym_parenthesized_expression] = STATE(3189),
    [sym_attribute] = STATE(1464),
    [sym_extension] = STATE(3189),
    [sym_quoted_extension] = STATE(3189),
    [sym__constant] = STATE(3189),
    [sym_number] = STATE(3378),
    [sym_character] = STATE(3378),
    [sym_string] = STATE(3378),
    [sym_quoted_string] = STATE(3378),
    [sym_boolean] = STATE(3378),
    [sym_unit] = STATE(3378),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(3248),
    [sym_parenthesized_operator] = STATE(3324),
    [sym_value_path] = STATE(3189),
    [sym_module_path] = STATE(18817),
    [sym_constructor_path] = STATE(3189),
    [sym__instance_variable_name] = STATE(18826),
    [sym__constructor_name] = STATE(3379),
    [sym_tag] = STATE(3189),
    [sym__identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__capitalized_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1465] = {
    [sym_value_definition] = STATE(20229),
    [sym__simple_expression] = STATE(529),
    [sym__expression] = STATE(8314),
    [sym__sequence_expression] = STATE(8236),
    [sym_typed_expression] = STATE(3189),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3189),
    [sym_array_expression] = STATE(3189),
    [sym_record_expression] = STATE(3189),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3189),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3189),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2734),
    [sym_array_get_expression] = STATE(2734),
    [sym_string_get_expression] = STATE(2734),
    [sym_bigarray_get_expression] = STATE(2734),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3189),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3189),
    [sym_package_expression] = STATE(3189),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3189),
    [sym_object_copy_expression] = STATE(3189),
    [sym_method_invocation] = STATE(3189),
    [sym_object_expression] = STATE(3189),
    [sym_parenthesized_expression] = STATE(3189),
    [sym_attribute] = STATE(1465),
    [sym_extension] = STATE(3189),
    [sym_quoted_extension] = STATE(3189),
    [sym__constant] = STATE(3189),
    [sym_number] = STATE(3378),
    [sym_character] = STATE(3378),
    [sym_string] = STATE(3378),
    [sym_quoted_string] = STATE(3378),
    [sym_boolean] = STATE(3378),
    [sym_unit] = STATE(3378),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(3248),
    [sym_parenthesized_operator] = STATE(3324),
    [sym_value_path] = STATE(3189),
    [sym_module_path] = STATE(18817),
    [sym_constructor_path] = STATE(3189),
    [sym__instance_variable_name] = STATE(18826),
    [sym__constructor_name] = STATE(3379),
    [sym_tag] = STATE(3189),
    [sym__identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__capitalized_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1466] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18633),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1466),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1467] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18642),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1467),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1468] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18643),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1468),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1469] = {
    [sym_value_definition] = STATE(20229),
    [sym__simple_expression] = STATE(529),
    [sym__expression] = STATE(8314),
    [sym__sequence_expression] = STATE(8134),
    [sym_typed_expression] = STATE(3189),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3189),
    [sym_array_expression] = STATE(3189),
    [sym_record_expression] = STATE(3189),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3189),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3189),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2734),
    [sym_array_get_expression] = STATE(2734),
    [sym_string_get_expression] = STATE(2734),
    [sym_bigarray_get_expression] = STATE(2734),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3189),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3189),
    [sym_package_expression] = STATE(3189),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3189),
    [sym_object_copy_expression] = STATE(3189),
    [sym_method_invocation] = STATE(3189),
    [sym_object_expression] = STATE(3189),
    [sym_parenthesized_expression] = STATE(3189),
    [sym_attribute] = STATE(1469),
    [sym_extension] = STATE(3189),
    [sym_quoted_extension] = STATE(3189),
    [sym__constant] = STATE(3189),
    [sym_number] = STATE(3378),
    [sym_character] = STATE(3378),
    [sym_string] = STATE(3378),
    [sym_quoted_string] = STATE(3378),
    [sym_boolean] = STATE(3378),
    [sym_unit] = STATE(3378),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(3248),
    [sym_parenthesized_operator] = STATE(3324),
    [sym_value_path] = STATE(3189),
    [sym_module_path] = STATE(18817),
    [sym_constructor_path] = STATE(3189),
    [sym__instance_variable_name] = STATE(18826),
    [sym__constructor_name] = STATE(3379),
    [sym_tag] = STATE(3189),
    [sym__identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__capitalized_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1470] = {
    [sym_value_definition] = STATE(20229),
    [sym__simple_expression] = STATE(529),
    [sym__expression] = STATE(8314),
    [sym__sequence_expression] = STATE(8177),
    [sym_typed_expression] = STATE(3189),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3189),
    [sym_array_expression] = STATE(3189),
    [sym_record_expression] = STATE(3189),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3189),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3189),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2734),
    [sym_array_get_expression] = STATE(2734),
    [sym_string_get_expression] = STATE(2734),
    [sym_bigarray_get_expression] = STATE(2734),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3189),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3189),
    [sym_package_expression] = STATE(3189),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3189),
    [sym_object_copy_expression] = STATE(3189),
    [sym_method_invocation] = STATE(3189),
    [sym_object_expression] = STATE(3189),
    [sym_parenthesized_expression] = STATE(3189),
    [sym_attribute] = STATE(1470),
    [sym_extension] = STATE(3189),
    [sym_quoted_extension] = STATE(3189),
    [sym__constant] = STATE(3189),
    [sym_number] = STATE(3378),
    [sym_character] = STATE(3378),
    [sym_string] = STATE(3378),
    [sym_quoted_string] = STATE(3378),
    [sym_boolean] = STATE(3378),
    [sym_unit] = STATE(3378),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(3248),
    [sym_parenthesized_operator] = STATE(3324),
    [sym_value_path] = STATE(3189),
    [sym_module_path] = STATE(18817),
    [sym_constructor_path] = STATE(3189),
    [sym__instance_variable_name] = STATE(18826),
    [sym__constructor_name] = STATE(3379),
    [sym_tag] = STATE(3189),
    [sym__identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__capitalized_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1471] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18671),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1471),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1472] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18680),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1472),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1473] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18681),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1473),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1474] = {
    [sym_value_definition] = STATE(20229),
    [sym__simple_expression] = STATE(529),
    [sym__expression] = STATE(8314),
    [sym__sequence_expression] = STATE(8256),
    [sym_typed_expression] = STATE(3189),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3189),
    [sym_array_expression] = STATE(3189),
    [sym_record_expression] = STATE(3189),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3189),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3189),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2734),
    [sym_array_get_expression] = STATE(2734),
    [sym_string_get_expression] = STATE(2734),
    [sym_bigarray_get_expression] = STATE(2734),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3189),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3189),
    [sym_package_expression] = STATE(3189),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3189),
    [sym_object_copy_expression] = STATE(3189),
    [sym_method_invocation] = STATE(3189),
    [sym_object_expression] = STATE(3189),
    [sym_parenthesized_expression] = STATE(3189),
    [sym_attribute] = STATE(1474),
    [sym_extension] = STATE(3189),
    [sym_quoted_extension] = STATE(3189),
    [sym__constant] = STATE(3189),
    [sym_number] = STATE(3378),
    [sym_character] = STATE(3378),
    [sym_string] = STATE(3378),
    [sym_quoted_string] = STATE(3378),
    [sym_boolean] = STATE(3378),
    [sym_unit] = STATE(3378),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(3248),
    [sym_parenthesized_operator] = STATE(3324),
    [sym_value_path] = STATE(3189),
    [sym_module_path] = STATE(18817),
    [sym_constructor_path] = STATE(3189),
    [sym__instance_variable_name] = STATE(18826),
    [sym__constructor_name] = STATE(3379),
    [sym_tag] = STATE(3189),
    [sym__identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__capitalized_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1475] = {
    [sym_value_definition] = STATE(20229),
    [sym__simple_expression] = STATE(529),
    [sym__expression] = STATE(8314),
    [sym__sequence_expression] = STATE(8173),
    [sym_typed_expression] = STATE(3189),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3189),
    [sym_array_expression] = STATE(3189),
    [sym_record_expression] = STATE(3189),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3189),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3189),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2734),
    [sym_array_get_expression] = STATE(2734),
    [sym_string_get_expression] = STATE(2734),
    [sym_bigarray_get_expression] = STATE(2734),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3189),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3189),
    [sym_package_expression] = STATE(3189),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3189),
    [sym_object_copy_expression] = STATE(3189),
    [sym_method_invocation] = STATE(3189),
    [sym_object_expression] = STATE(3189),
    [sym_parenthesized_expression] = STATE(3189),
    [sym_attribute] = STATE(1475),
    [sym_extension] = STATE(3189),
    [sym_quoted_extension] = STATE(3189),
    [sym__constant] = STATE(3189),
    [sym_number] = STATE(3378),
    [sym_character] = STATE(3378),
    [sym_string] = STATE(3378),
    [sym_quoted_string] = STATE(3378),
    [sym_boolean] = STATE(3378),
    [sym_unit] = STATE(3378),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(3248),
    [sym_parenthesized_operator] = STATE(3324),
    [sym_value_path] = STATE(3189),
    [sym_module_path] = STATE(18817),
    [sym_constructor_path] = STATE(3189),
    [sym__instance_variable_name] = STATE(18826),
    [sym__constructor_name] = STATE(3379),
    [sym_tag] = STATE(3189),
    [sym__identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__capitalized_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1476] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18709),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1476),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1477] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18718),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1477),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1478] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18719),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1478),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1479] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9961),
    [sym__sequence_expression] = STATE(12942),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(1479),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1480] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18747),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1480),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1481] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18756),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1481),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1482] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18757),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1482),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1483] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12680),
    [sym__sequence_expression] = STATE(5335),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1483),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1484] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18784),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1484),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1485] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18793),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1485),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1486] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18794),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1486),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1487] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12671),
    [sym__sequence_expression] = STATE(7989),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1487),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1488] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9961),
    [sym__sequence_expression] = STATE(12985),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(1488),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1489] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18821),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1489),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1490] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18830),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1490),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1491] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18831),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1491),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1492] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12709),
    [sym__sequence_expression] = STATE(16617),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(1492),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1493] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18858),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1493),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1494] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18867),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1494),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1495] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18868),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1495),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1496] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12671),
    [sym__sequence_expression] = STATE(7868),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(8659),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1496),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1497] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18894),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1497),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1498] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18903),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1498),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1499] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18904),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1499),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1500] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18929),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1500),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1501] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18934),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1501),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1502] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12663),
    [sym__sequence_expression] = STATE(18935),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1502),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1503] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12236),
    [sym__sequence_expression] = STATE(17020),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(1503),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1504] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12236),
    [sym__sequence_expression] = STATE(17023),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(1504),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1505] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12236),
    [sym__sequence_expression] = STATE(17062),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(1505),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1506] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12236),
    [sym__sequence_expression] = STATE(17067),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(1506),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1507] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12236),
    [sym__sequence_expression] = STATE(17099),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_sequence_expression] = STATE(7510),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(1507),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1508] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11272),
    [sym__sequence_expression] = STATE(18156),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_sequence_expression] = STATE(5373),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1508),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1509] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1509),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3291),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1510] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1510),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3293),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1511] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1511),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3295),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1512] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1512),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1513] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1513),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1514] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12429),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1514),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3301),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1515] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12441),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1515),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1516] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1516),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3305),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1517] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1517),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3307),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1518] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12266),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1518),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1519] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1519),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3311),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1520] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1520),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3313),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1521] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1521),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3315),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1522] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1522),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3317),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1523] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1523),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1524] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12559),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1524),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3321),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1525] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12536),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1525),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3323),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1526] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1526),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3325),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1527] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12581),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1527),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1528] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1528),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3329),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1529] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1529),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3331),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1530] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1530),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3333),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1531] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1531),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3335),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1532] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12270),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1532),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3337),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1533] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1533),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3339),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1534] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1534),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3341),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1535] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1535),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3343),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1536] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12323),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1536),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3345),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1537] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12496),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1537),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3347),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1538] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1538),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3349),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1539] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1539),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3351),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1540] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1540),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3353),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1541] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1541),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3355),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1542] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1542),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3357),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1543] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1543),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3359),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1544] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1544),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3361),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1545] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1545),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3363),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1546] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1546),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3365),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1547] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1547),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3367),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1548] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12201),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1548),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3369),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1549] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12327),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1549),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3371),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1550] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1550),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3373),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1551] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1551),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3375),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1552] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1552),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3377),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1553] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1553),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3379),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1554] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1554),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3381),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1555] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1555),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3383),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1556] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12276),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1556),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3385),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1557] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1557),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3387),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1558] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1558),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3389),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1559] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12312),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1559),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3391),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1560] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12326),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1560),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3393),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1561] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12292),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1561),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3395),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1562] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12244),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1562),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3397),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1563] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12251),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1563),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3399),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1564] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1564),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3401),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1565] = {
    [sym__simple_expression] = STATE(3898),
    [sym_typed_expression] = STATE(3895),
    [sym_list_expression] = STATE(3895),
    [sym_array_expression] = STATE(3895),
    [sym_record_expression] = STATE(3895),
    [sym_labeled_argument] = STATE(4551),
    [sym_prefix_expression] = STATE(3895),
    [sym_hash_expression] = STATE(3895),
    [sym_field_get_expression] = STATE(3895),
    [sym_array_get_expression] = STATE(3895),
    [sym_string_get_expression] = STATE(3895),
    [sym_bigarray_get_expression] = STATE(3895),
    [sym_coercion_expression] = STATE(3895),
    [sym_local_open_expression] = STATE(3895),
    [sym_package_expression] = STATE(3895),
    [sym_new_expression] = STATE(3895),
    [sym_object_copy_expression] = STATE(3895),
    [sym_method_invocation] = STATE(3895),
    [sym_object_expression] = STATE(3895),
    [sym_parenthesized_expression] = STATE(3895),
    [sym_attribute] = STATE(1565),
    [sym_extension] = STATE(3895),
    [sym_quoted_extension] = STATE(3895),
    [sym__constant] = STATE(3895),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(4006),
    [sym_value_path] = STATE(3895),
    [sym_module_path] = STATE(17569),
    [sym_constructor_path] = STATE(3895),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3895),
    [aux_sym_class_application_repeat1] = STATE(2417),
    [sym__identifier] = ACTIONS(3403),
    [anon_sym_SEMI_SEMI] = ACTIONS(3081),
    [anon_sym_let] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3405),
    [anon_sym_QMARK] = ACTIONS(3405),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_external] = ACTIONS(3083),
    [anon_sym_type] = ACTIONS(3083),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_RBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_DOT] = ACTIONS(3407),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_exception] = ACTIONS(3083),
    [anon_sym_module] = ACTIONS(3083),
    [anon_sym_open] = ACTIONS(3083),
    [anon_sym_include] = ACTIONS(3083),
    [anon_sym_class] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_POUND] = ACTIONS(3409),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(839),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(841),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3081),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(3411),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym_let_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(853),
    [aux_sym_directive_token1] = ACTIONS(3083),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1566] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1566),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3413),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1567] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1567),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3415),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1568] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1568),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3417),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1569] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12478),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1569),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3419),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1570] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1570),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3421),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1571] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1571),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3423),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1572] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1572),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3425),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1573] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12547),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1573),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3427),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1574] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12574),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1574),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3429),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1575] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1575),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3431),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1576] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12482),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1576),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3433),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1577] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1577),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3435),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1578] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1578),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3437),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1579] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1579),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3439),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1580] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1580),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3441),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1581] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1581),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3443),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1582] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1582),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3445),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1583] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1583),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3447),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1584] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1584),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3449),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1585] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1585),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3451),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1586] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1586),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3453),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1587] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12226),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1587),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3455),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1588] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12232),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1588),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3457),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1589] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1589),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3459),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1590] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1590),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3461),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1591] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12599),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1591),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3463),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1592] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12309),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1592),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3465),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1593] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1593),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3467),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1594] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1594),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3469),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1595] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1595),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3471),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1596] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1596),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3473),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1597] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1597),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3475),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1598] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12590),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1598),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3477),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1599] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1599),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3479),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1600] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1600),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3481),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1601] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1601),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3483),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1602] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1602),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3485),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1603] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12229),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1603),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3487),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1604] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1604),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3489),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1605] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1605),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3491),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1606] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1606),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3493),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1607] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1607),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3495),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1608] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12505),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1608),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3497),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1609] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12511),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1609),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3499),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1610] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12233),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1610),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3501),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1611] = {
    [sym__simple_expression] = STATE(2749),
    [sym_typed_expression] = STATE(2743),
    [sym_list_expression] = STATE(2743),
    [sym_array_expression] = STATE(2743),
    [sym_record_expression] = STATE(2743),
    [sym_labeled_argument] = STATE(3896),
    [sym_prefix_expression] = STATE(2743),
    [sym_hash_expression] = STATE(2743),
    [sym_field_get_expression] = STATE(2743),
    [sym_array_get_expression] = STATE(2743),
    [sym_string_get_expression] = STATE(2743),
    [sym_bigarray_get_expression] = STATE(2743),
    [sym_coercion_expression] = STATE(2743),
    [sym_local_open_expression] = STATE(2743),
    [sym_package_expression] = STATE(2743),
    [sym_new_expression] = STATE(2743),
    [sym_object_copy_expression] = STATE(2743),
    [sym_method_invocation] = STATE(2743),
    [sym_object_expression] = STATE(2743),
    [sym_parenthesized_expression] = STATE(2743),
    [sym_attribute] = STATE(1611),
    [sym_extension] = STATE(2743),
    [sym_quoted_extension] = STATE(2743),
    [sym__constant] = STATE(2743),
    [sym_number] = STATE(2910),
    [sym_character] = STATE(2910),
    [sym_string] = STATE(2910),
    [sym_quoted_string] = STATE(2910),
    [sym_boolean] = STATE(2910),
    [sym_unit] = STATE(2910),
    [sym__value_name] = STATE(2783),
    [sym_parenthesized_operator] = STATE(2843),
    [sym_value_path] = STATE(2743),
    [sym_module_path] = STATE(18591),
    [sym_constructor_path] = STATE(2743),
    [sym__constructor_name] = STATE(2911),
    [sym_tag] = STATE(2743),
    [aux_sym_class_application_repeat1] = STATE(1639),
    [sym__identifier] = ACTIONS(3079),
    [anon_sym_SEMI_SEMI] = ACTIONS(3503),
    [anon_sym_let] = ACTIONS(3505),
    [anon_sym_and] = ACTIONS(3505),
    [anon_sym_TILDE] = ACTIONS(3085),
    [anon_sym_QMARK] = ACTIONS(3085),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_external] = ACTIONS(3505),
    [anon_sym_type] = ACTIONS(3505),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_RBRACK] = ACTIONS(3503),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_SEMI] = ACTIONS(3505),
    [anon_sym_exception] = ACTIONS(3505),
    [anon_sym_module] = ACTIONS(3505),
    [anon_sym_open] = ACTIONS(3505),
    [anon_sym_include] = ACTIONS(3505),
    [anon_sym_class] = ACTIONS(3505),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_in] = ACTIONS(3505),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_else] = ACTIONS(3505),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3505),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3503),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(333),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(335),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3503),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3503),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym_let_operator] = ACTIONS(3503),
    [sym_let_and_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(351),
    [aux_sym_directive_token1] = ACTIONS(3503),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1612] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12193),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1612),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3507),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1613] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12509),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1613),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3509),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1614] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1614),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3511),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1615] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1615),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3513),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1616] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12518),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1616),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3515),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1617] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1617),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3517),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1618] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1618),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3519),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1619] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12196),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1619),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3521),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1620] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1620),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3523),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1621] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12254),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1621),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3525),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1622] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12346),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1622),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3527),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1623] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1623),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3529),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1624] = {
    [sym__simple_expression] = STATE(2804),
    [sym_typed_expression] = STATE(2797),
    [sym_list_expression] = STATE(2797),
    [sym_array_expression] = STATE(2797),
    [sym_record_expression] = STATE(2797),
    [sym_labeled_argument] = STATE(3984),
    [sym_prefix_expression] = STATE(2797),
    [sym_hash_expression] = STATE(2797),
    [sym_field_get_expression] = STATE(2797),
    [sym_array_get_expression] = STATE(2797),
    [sym_string_get_expression] = STATE(2797),
    [sym_bigarray_get_expression] = STATE(2797),
    [sym_coercion_expression] = STATE(2797),
    [sym_local_open_expression] = STATE(2797),
    [sym_package_expression] = STATE(2797),
    [sym_new_expression] = STATE(2797),
    [sym_object_copy_expression] = STATE(2797),
    [sym_method_invocation] = STATE(2797),
    [sym_object_expression] = STATE(2797),
    [sym_parenthesized_expression] = STATE(2797),
    [sym_attribute] = STATE(1624),
    [sym_extension] = STATE(2797),
    [sym_quoted_extension] = STATE(2797),
    [sym__constant] = STATE(2797),
    [sym_number] = STATE(2930),
    [sym_character] = STATE(2930),
    [sym_string] = STATE(2930),
    [sym_quoted_string] = STATE(2930),
    [sym_boolean] = STATE(2930),
    [sym_unit] = STATE(2930),
    [sym__value_name] = STATE(2839),
    [sym_parenthesized_operator] = STATE(2889),
    [sym_value_path] = STATE(2797),
    [sym_module_path] = STATE(18705),
    [sym_constructor_path] = STATE(2797),
    [sym__constructor_name] = STATE(2931),
    [sym_tag] = STATE(2797),
    [aux_sym_class_application_repeat1] = STATE(1649),
    [sym__identifier] = ACTIONS(3101),
    [anon_sym_SEMI_SEMI] = ACTIONS(3503),
    [anon_sym_let] = ACTIONS(3505),
    [anon_sym_and] = ACTIONS(3505),
    [anon_sym_TILDE] = ACTIONS(3103),
    [anon_sym_QMARK] = ACTIONS(3103),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_external] = ACTIONS(3505),
    [anon_sym_type] = ACTIONS(3505),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_SEMI] = ACTIONS(3505),
    [anon_sym_exception] = ACTIONS(3505),
    [anon_sym_module] = ACTIONS(3505),
    [anon_sym_open] = ACTIONS(3505),
    [anon_sym_include] = ACTIONS(3505),
    [anon_sym_class] = ACTIONS(3505),
    [anon_sym_end] = ACTIONS(3505),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_in] = ACTIONS(3505),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_else] = ACTIONS(3505),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3505),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3503),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(391),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3503),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3503),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym_let_operator] = ACTIONS(3503),
    [sym_let_and_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(403),
    [aux_sym_directive_token1] = ACTIONS(3503),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1625] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12455),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1625),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3531),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1626] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1626),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3533),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1627] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1627),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3535),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1628] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1628),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3537),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1629] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1629),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3539),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1630] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1630),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3541),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1631] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1631),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3543),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1632] = {
    [sym__simple_expression] = STATE(3919),
    [sym_typed_expression] = STATE(4008),
    [sym_list_expression] = STATE(4008),
    [sym_array_expression] = STATE(4008),
    [sym_record_expression] = STATE(4008),
    [sym_labeled_argument] = STATE(4592),
    [sym_prefix_expression] = STATE(4008),
    [sym_hash_expression] = STATE(4008),
    [sym_field_get_expression] = STATE(4008),
    [sym_array_get_expression] = STATE(4008),
    [sym_string_get_expression] = STATE(4008),
    [sym_bigarray_get_expression] = STATE(4008),
    [sym_coercion_expression] = STATE(4008),
    [sym_local_open_expression] = STATE(4008),
    [sym_package_expression] = STATE(4008),
    [sym_new_expression] = STATE(4008),
    [sym_object_copy_expression] = STATE(4008),
    [sym_method_invocation] = STATE(4008),
    [sym_object_expression] = STATE(4008),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_attribute] = STATE(1632),
    [sym_extension] = STATE(4008),
    [sym_quoted_extension] = STATE(4008),
    [sym__constant] = STATE(4008),
    [sym_number] = STATE(3818),
    [sym_character] = STATE(3818),
    [sym_string] = STATE(3818),
    [sym_quoted_string] = STATE(3818),
    [sym_boolean] = STATE(3818),
    [sym_unit] = STATE(3818),
    [sym__value_name] = STATE(4039),
    [sym_parenthesized_operator] = STATE(3903),
    [sym_value_path] = STATE(4008),
    [sym_module_path] = STATE(17789),
    [sym_constructor_path] = STATE(4008),
    [sym__constructor_name] = STATE(3820),
    [sym_tag] = STATE(4008),
    [aux_sym_class_application_repeat1] = STATE(2415),
    [sym__identifier] = ACTIONS(3545),
    [anon_sym_SEMI_SEMI] = ACTIONS(3081),
    [anon_sym_let] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3547),
    [anon_sym_QMARK] = ACTIONS(3547),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_external] = ACTIONS(3083),
    [anon_sym_type] = ACTIONS(3083),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_DOT] = ACTIONS(3549),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_exception] = ACTIONS(3083),
    [anon_sym_module] = ACTIONS(3083),
    [anon_sym_open] = ACTIONS(3083),
    [anon_sym_include] = ACTIONS(3083),
    [anon_sym_class] = ACTIONS(3083),
    [anon_sym_end] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_POUND] = ACTIONS(3551),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(891),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(893),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3081),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(3553),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym_let_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(905),
    [aux_sym_directive_token1] = ACTIONS(3083),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1633] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12253),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1633),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3555),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1634] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1634),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3557),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1635] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12269),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1635),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3559),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1636] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1636),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3561),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1637] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1637),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3563),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1638] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12382),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1638),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3565),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1639] = {
    [sym__simple_expression] = STATE(2749),
    [sym_typed_expression] = STATE(2743),
    [sym_list_expression] = STATE(2743),
    [sym_array_expression] = STATE(2743),
    [sym_record_expression] = STATE(2743),
    [sym_labeled_argument] = STATE(3896),
    [sym_prefix_expression] = STATE(2743),
    [sym_hash_expression] = STATE(2743),
    [sym_field_get_expression] = STATE(2743),
    [sym_array_get_expression] = STATE(2743),
    [sym_string_get_expression] = STATE(2743),
    [sym_bigarray_get_expression] = STATE(2743),
    [sym_coercion_expression] = STATE(2743),
    [sym_local_open_expression] = STATE(2743),
    [sym_package_expression] = STATE(2743),
    [sym_new_expression] = STATE(2743),
    [sym_object_copy_expression] = STATE(2743),
    [sym_method_invocation] = STATE(2743),
    [sym_object_expression] = STATE(2743),
    [sym_parenthesized_expression] = STATE(2743),
    [sym_attribute] = STATE(1639),
    [sym_extension] = STATE(2743),
    [sym_quoted_extension] = STATE(2743),
    [sym__constant] = STATE(2743),
    [sym_number] = STATE(2910),
    [sym_character] = STATE(2910),
    [sym_string] = STATE(2910),
    [sym_quoted_string] = STATE(2910),
    [sym_boolean] = STATE(2910),
    [sym_unit] = STATE(2910),
    [sym__value_name] = STATE(2783),
    [sym_parenthesized_operator] = STATE(2843),
    [sym_value_path] = STATE(2743),
    [sym_module_path] = STATE(18591),
    [sym_constructor_path] = STATE(2743),
    [sym__constructor_name] = STATE(2911),
    [sym_tag] = STATE(2743),
    [aux_sym_class_application_repeat1] = STATE(1639),
    [sym__identifier] = ACTIONS(3567),
    [anon_sym_SEMI_SEMI] = ACTIONS(3570),
    [anon_sym_let] = ACTIONS(3572),
    [anon_sym_and] = ACTIONS(3572),
    [anon_sym_TILDE] = ACTIONS(3574),
    [anon_sym_QMARK] = ACTIONS(3574),
    [anon_sym_LPAREN] = ACTIONS(3577),
    [anon_sym_external] = ACTIONS(3572),
    [anon_sym_type] = ACTIONS(3572),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(3580),
    [anon_sym_RBRACK] = ACTIONS(3570),
    [anon_sym_true] = ACTIONS(3583),
    [anon_sym_false] = ACTIONS(3583),
    [anon_sym_LBRACE] = ACTIONS(3586),
    [anon_sym_SEMI] = ACTIONS(3572),
    [anon_sym_exception] = ACTIONS(3572),
    [anon_sym_module] = ACTIONS(3572),
    [anon_sym_open] = ACTIONS(3572),
    [anon_sym_include] = ACTIONS(3572),
    [anon_sym_class] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(3589),
    [anon_sym_in] = ACTIONS(3572),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3592),
    [anon_sym_else] = ACTIONS(3572),
    [anon_sym_new] = ACTIONS(3595),
    [anon_sym_LBRACE_LT] = ACTIONS(3598),
    [anon_sym_begin] = ACTIONS(3601),
    [sym_ocamlyacc_value] = ACTIONS(3604),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3572),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3570),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3607),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3610),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3570),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3570),
    [aux_sym_number_token1] = ACTIONS(3613),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(3616),
    [anon_sym_DQUOTE] = ACTIONS(3619),
    [sym_prefix_operator] = ACTIONS(3622),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym_let_operator] = ACTIONS(3570),
    [sym_let_and_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(3625),
    [aux_sym_directive_token1] = ACTIONS(3570),
    [aux_sym_tag_token1] = ACTIONS(3628),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1640] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1640),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3631),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1641] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1641),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3633),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1642] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12392),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1642),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3635),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1643] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1643),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3637),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1644] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1644),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3639),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1645] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12443),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1645),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3641),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1646] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12534),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1646),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3643),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1647] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12546),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1647),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3645),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1648] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12195),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1648),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3647),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1649] = {
    [sym__simple_expression] = STATE(2804),
    [sym_typed_expression] = STATE(2797),
    [sym_list_expression] = STATE(2797),
    [sym_array_expression] = STATE(2797),
    [sym_record_expression] = STATE(2797),
    [sym_labeled_argument] = STATE(3984),
    [sym_prefix_expression] = STATE(2797),
    [sym_hash_expression] = STATE(2797),
    [sym_field_get_expression] = STATE(2797),
    [sym_array_get_expression] = STATE(2797),
    [sym_string_get_expression] = STATE(2797),
    [sym_bigarray_get_expression] = STATE(2797),
    [sym_coercion_expression] = STATE(2797),
    [sym_local_open_expression] = STATE(2797),
    [sym_package_expression] = STATE(2797),
    [sym_new_expression] = STATE(2797),
    [sym_object_copy_expression] = STATE(2797),
    [sym_method_invocation] = STATE(2797),
    [sym_object_expression] = STATE(2797),
    [sym_parenthesized_expression] = STATE(2797),
    [sym_attribute] = STATE(1649),
    [sym_extension] = STATE(2797),
    [sym_quoted_extension] = STATE(2797),
    [sym__constant] = STATE(2797),
    [sym_number] = STATE(2930),
    [sym_character] = STATE(2930),
    [sym_string] = STATE(2930),
    [sym_quoted_string] = STATE(2930),
    [sym_boolean] = STATE(2930),
    [sym_unit] = STATE(2930),
    [sym__value_name] = STATE(2839),
    [sym_parenthesized_operator] = STATE(2889),
    [sym_value_path] = STATE(2797),
    [sym_module_path] = STATE(18705),
    [sym_constructor_path] = STATE(2797),
    [sym__constructor_name] = STATE(2931),
    [sym_tag] = STATE(2797),
    [aux_sym_class_application_repeat1] = STATE(1649),
    [sym__identifier] = ACTIONS(3649),
    [anon_sym_SEMI_SEMI] = ACTIONS(3570),
    [anon_sym_let] = ACTIONS(3572),
    [anon_sym_and] = ACTIONS(3572),
    [anon_sym_TILDE] = ACTIONS(3652),
    [anon_sym_QMARK] = ACTIONS(3652),
    [anon_sym_LPAREN] = ACTIONS(3655),
    [anon_sym_external] = ACTIONS(3572),
    [anon_sym_type] = ACTIONS(3572),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(3658),
    [anon_sym_true] = ACTIONS(3661),
    [anon_sym_false] = ACTIONS(3661),
    [anon_sym_LBRACE] = ACTIONS(3664),
    [anon_sym_SEMI] = ACTIONS(3572),
    [anon_sym_exception] = ACTIONS(3572),
    [anon_sym_module] = ACTIONS(3572),
    [anon_sym_open] = ACTIONS(3572),
    [anon_sym_include] = ACTIONS(3572),
    [anon_sym_class] = ACTIONS(3572),
    [anon_sym_end] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(3667),
    [anon_sym_in] = ACTIONS(3572),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3670),
    [anon_sym_else] = ACTIONS(3572),
    [anon_sym_new] = ACTIONS(3673),
    [anon_sym_LBRACE_LT] = ACTIONS(3676),
    [anon_sym_begin] = ACTIONS(3679),
    [sym_ocamlyacc_value] = ACTIONS(3682),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3572),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3570),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3685),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3688),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3570),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3570),
    [aux_sym_number_token1] = ACTIONS(3691),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(3694),
    [anon_sym_DQUOTE] = ACTIONS(3697),
    [sym_prefix_operator] = ACTIONS(3700),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym_let_operator] = ACTIONS(3570),
    [sym_let_and_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(3703),
    [aux_sym_directive_token1] = ACTIONS(3570),
    [aux_sym_tag_token1] = ACTIONS(3706),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1650] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12459),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1650),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3709),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1651] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12369),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1651),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3711),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1652] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1652),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3713),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1653] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1653),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3715),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1654] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1654),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3717),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1655] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1655),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3719),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1656] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1656),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3721),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1657] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12450),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1657),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3723),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1658] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1658),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3725),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1659] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1659),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3727),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1660] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12314),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1660),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3729),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1661] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12325),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1661),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3731),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1662] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1662),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3733),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1663] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1663),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3735),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1664] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1664),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3737),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1665] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1665),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3739),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1666] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1666),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3741),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1667] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1667),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3743),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1668] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1668),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3745),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1669] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12565),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1669),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3747),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1670] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1670),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3749),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1671] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1671),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3751),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1672] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1672),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3753),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1673] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1673),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3755),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1674] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12431),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1674),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3757),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1675] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12469),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1675),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3759),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1676] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1676),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3761),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1677] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1677),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3763),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1678] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1678),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3765),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1679] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12515),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1679),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3767),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1680] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12315),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1680),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3769),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1681] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12319),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1681),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3771),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1682] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12411),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1682),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3773),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1683] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1683),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3775),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1684] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1684),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3777),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1685] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1685),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3779),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1686] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1686),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3781),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1687] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1687),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3783),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1688] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1688),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3785),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1689] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12583),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1689),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3787),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1690] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1690),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3789),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1691] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12555),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1691),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3791),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1692] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12562),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1692),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3793),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1693] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1693),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3795),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1694] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1694),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3797),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1695] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12508),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1695),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3799),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1696] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1696),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3801),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1697] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1697),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3803),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1698] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1698),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3805),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1699] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12514),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1699),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3807),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1700] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1700),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3809),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1701] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1701),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3811),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1702] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1702),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3813),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1703] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12595),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1703),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3815),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1704] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12329),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1704),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3817),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1705] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12533),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1705),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3819),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1706] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1706),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3821),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1707] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1707),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3823),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1708] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1708),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3825),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1709] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1709),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3827),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1710] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1710),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3829),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1711] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1711),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3831),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1712] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1712),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3833),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1713] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1713),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3835),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1714] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12548),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1714),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3837),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1715] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12377),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1715),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3839),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1716] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12424),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1716),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3841),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1717] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12398),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1717),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3843),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1718] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1718),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3845),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1719] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1719),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3847),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1720] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1720),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3849),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1721] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1721),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3851),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1722] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1722),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3853),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1723] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1723),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3855),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1724] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1724),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3857),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1725] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1725),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3859),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1726] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12249),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1726),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3861),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1727] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12256),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1727),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3863),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1728] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1728),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3865),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1729] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1729),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3867),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1730] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1730),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3869),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1731] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1731),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3871),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1732] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1732),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3873),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1733] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1733),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3875),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1734] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1734),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3877),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1735] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1735),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3879),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1736] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1736),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3881),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1737] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12331),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1737),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3883),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1738] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12275),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1738),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3885),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1739] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12335),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1739),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3887),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1740] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1740),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3889),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1741] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1741),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3891),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1742] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12520),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1742),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3893),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1743] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1743),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3895),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1744] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1744),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3897),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1745] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1745),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3899),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1746] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1746),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3901),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1747] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1747),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3903),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1748] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1748),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3905),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1749] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12444),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1749),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3907),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1750] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12589),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1750),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3909),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1751] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12191),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1751),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3911),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1752] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1752),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3913),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1753] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1753),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3915),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1754] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12210),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1754),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3917),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1755] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12332),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1755),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3919),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1756] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1756),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3921),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1757] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1757),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3923),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1758] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1758),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3925),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1759] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1759),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3927),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1760] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1760),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3929),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1761] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1761),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3931),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1762] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1762),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3933),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1763] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1763),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3935),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1764] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1764),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3937),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1765] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1765),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3939),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1766] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12189),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1766),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3941),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1767] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12385),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1767),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3943),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1768] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12543),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1768),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3945),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1769] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1769),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3947),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1770] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1770),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3949),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1771] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1771),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3951),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1772] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12435),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1772),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3953),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1773] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11448),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5622),
    [sym_array_get_expression] = STATE(5622),
    [sym_string_get_expression] = STATE(5622),
    [sym_bigarray_get_expression] = STATE(5622),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(1773),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2073),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1774] = {
    [sym_value_definition] = STATE(18814),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9789),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(1774),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1019),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1775] = {
    [sym_value_definition] = STATE(18814),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9790),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(1775),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1019),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1776] = {
    [sym_value_definition] = STATE(18814),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9805),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(1776),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1019),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1777] = {
    [sym_value_definition] = STATE(18814),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9843),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(1777),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1019),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1778] = {
    [sym_value_definition] = STATE(18814),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9844),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(1778),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1019),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1779] = {
    [sym_value_definition] = STATE(18814),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9502),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(1779),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1019),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1780] = {
    [sym_value_definition] = STATE(18814),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9529),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(1780),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1019),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1781] = {
    [sym_value_definition] = STATE(18814),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9530),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(1781),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1019),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1782] = {
    [sym_value_definition] = STATE(18814),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9531),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(1782),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1019),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1783] = {
    [sym_value_definition] = STATE(18814),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9534),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(1783),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1019),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1784] = {
    [sym_value_definition] = STATE(18814),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9536),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(1784),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1019),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1785] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12628),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1785),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1786] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12629),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1786),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1787] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12630),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1787),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1788] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12631),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1788),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1789] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12632),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1789),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1790] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12633),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1790),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1791] = {
    [sym_value_definition] = STATE(18814),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9540),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(1791),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1019),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1792] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12635),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1792),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1793] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12636),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1793),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1794] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12640),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1794),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1795] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12641),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1795),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1796] = {
    [sym_value_definition] = STATE(19097),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8787),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(1796),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1797] = {
    [sym_value_definition] = STATE(19097),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8788),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(1797),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1798] = {
    [sym_value_definition] = STATE(19097),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8791),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(1798),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1799] = {
    [sym_value_definition] = STATE(18937),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12337),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6377),
    [sym_array_get_expression] = STATE(6377),
    [sym_string_get_expression] = STATE(6377),
    [sym_bigarray_get_expression] = STATE(6377),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(1799),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(1799),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(18907),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(2655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2659),
    [anon_sym_function] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2663),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2665),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1800] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12157),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1800),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1801] = {
    [sym_value_definition] = STATE(18937),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12356),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6377),
    [sym_array_get_expression] = STATE(6377),
    [sym_string_get_expression] = STATE(6377),
    [sym_bigarray_get_expression] = STATE(6377),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(1801),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(1799),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(18907),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(2655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2659),
    [anon_sym_function] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2663),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2665),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1802] = {
    [sym_value_definition] = STATE(18937),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12394),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6377),
    [sym_array_get_expression] = STATE(6377),
    [sym_string_get_expression] = STATE(6377),
    [sym_bigarray_get_expression] = STATE(6377),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(1802),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(1799),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(18907),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(2655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2659),
    [anon_sym_function] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2663),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2665),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1803] = {
    [sym_value_definition] = STATE(18937),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12401),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6377),
    [sym_array_get_expression] = STATE(6377),
    [sym_string_get_expression] = STATE(6377),
    [sym_bigarray_get_expression] = STATE(6377),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(1803),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(1799),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(18907),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(2655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2659),
    [anon_sym_function] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2663),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2665),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1804] = {
    [sym_value_definition] = STATE(18937),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12403),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6377),
    [sym_array_get_expression] = STATE(6377),
    [sym_string_get_expression] = STATE(6377),
    [sym_bigarray_get_expression] = STATE(6377),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(1804),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(1799),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(18907),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(2655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2659),
    [anon_sym_function] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2663),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2665),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1805] = {
    [sym_value_definition] = STATE(18937),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12422),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6377),
    [sym_array_get_expression] = STATE(6377),
    [sym_string_get_expression] = STATE(6377),
    [sym_bigarray_get_expression] = STATE(6377),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(1805),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(1799),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(18907),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(2655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2659),
    [anon_sym_function] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2663),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2665),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1806] = {
    [sym_value_definition] = STATE(18937),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12439),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6377),
    [sym_array_get_expression] = STATE(6377),
    [sym_string_get_expression] = STATE(6377),
    [sym_bigarray_get_expression] = STATE(6377),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(1806),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(1799),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(18907),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(2655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2659),
    [anon_sym_function] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2663),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2665),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1807] = {
    [sym_value_definition] = STATE(18937),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12446),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6377),
    [sym_array_get_expression] = STATE(6377),
    [sym_string_get_expression] = STATE(6377),
    [sym_bigarray_get_expression] = STATE(6377),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(1807),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(1799),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(18907),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(2655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2659),
    [anon_sym_function] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2663),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2665),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1808] = {
    [sym_value_definition] = STATE(18937),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12457),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6377),
    [sym_array_get_expression] = STATE(6377),
    [sym_string_get_expression] = STATE(6377),
    [sym_bigarray_get_expression] = STATE(6377),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(1808),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(1799),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(18907),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(2655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2659),
    [anon_sym_function] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2663),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2665),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1809] = {
    [sym_value_definition] = STATE(18937),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6377),
    [sym_array_get_expression] = STATE(6377),
    [sym_string_get_expression] = STATE(6377),
    [sym_bigarray_get_expression] = STATE(6377),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(1809),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(1799),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(18907),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(2655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2659),
    [anon_sym_function] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2663),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2665),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1810] = {
    [sym_value_definition] = STATE(18937),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12487),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6377),
    [sym_array_get_expression] = STATE(6377),
    [sym_string_get_expression] = STATE(6377),
    [sym_bigarray_get_expression] = STATE(6377),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(1810),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(1799),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(18907),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(2655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2659),
    [anon_sym_function] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2663),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2665),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1811] = {
    [sym_value_definition] = STATE(18937),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12519),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6377),
    [sym_array_get_expression] = STATE(6377),
    [sym_string_get_expression] = STATE(6377),
    [sym_bigarray_get_expression] = STATE(6377),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(1811),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(1799),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(18907),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(2655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2659),
    [anon_sym_function] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2663),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2665),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1812] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12681),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(1812),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1813] = {
    [sym_value_definition] = STATE(18937),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12567),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6377),
    [sym_array_get_expression] = STATE(6377),
    [sym_string_get_expression] = STATE(6377),
    [sym_bigarray_get_expression] = STATE(6377),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(1813),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(1799),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(18907),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(2655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2659),
    [anon_sym_function] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2663),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2665),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1814] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12685),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1814),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1815] = {
    [sym_value_definition] = STATE(18311),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12000),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6006),
    [sym_array_get_expression] = STATE(6006),
    [sym_string_get_expression] = STATE(6006),
    [sym_bigarray_get_expression] = STATE(6006),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(1815),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(1815),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(20371),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(1849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1855),
    [anon_sym_function] = ACTIONS(1857),
    [anon_sym_try] = ACTIONS(1859),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1881),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1816] = {
    [sym_value_definition] = STATE(18311),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12014),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6006),
    [sym_array_get_expression] = STATE(6006),
    [sym_string_get_expression] = STATE(6006),
    [sym_bigarray_get_expression] = STATE(6006),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(1816),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(1815),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(20371),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(1849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1855),
    [anon_sym_function] = ACTIONS(1857),
    [anon_sym_try] = ACTIONS(1859),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1881),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1817] = {
    [sym_value_definition] = STATE(18311),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12015),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6006),
    [sym_array_get_expression] = STATE(6006),
    [sym_string_get_expression] = STATE(6006),
    [sym_bigarray_get_expression] = STATE(6006),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(1817),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(1815),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(20371),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(1849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1855),
    [anon_sym_function] = ACTIONS(1857),
    [anon_sym_try] = ACTIONS(1859),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1881),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1818] = {
    [sym_value_definition] = STATE(18311),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12016),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6006),
    [sym_array_get_expression] = STATE(6006),
    [sym_string_get_expression] = STATE(6006),
    [sym_bigarray_get_expression] = STATE(6006),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(1818),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(1815),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(20371),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(1849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1855),
    [anon_sym_function] = ACTIONS(1857),
    [anon_sym_try] = ACTIONS(1859),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1881),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1819] = {
    [sym_value_definition] = STATE(18311),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12018),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6006),
    [sym_array_get_expression] = STATE(6006),
    [sym_string_get_expression] = STATE(6006),
    [sym_bigarray_get_expression] = STATE(6006),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(1819),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(1815),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(20371),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(1849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1855),
    [anon_sym_function] = ACTIONS(1857),
    [anon_sym_try] = ACTIONS(1859),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1881),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1820] = {
    [sym_value_definition] = STATE(18311),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12019),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6006),
    [sym_array_get_expression] = STATE(6006),
    [sym_string_get_expression] = STATE(6006),
    [sym_bigarray_get_expression] = STATE(6006),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(1820),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(1815),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(20371),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(1849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1855),
    [anon_sym_function] = ACTIONS(1857),
    [anon_sym_try] = ACTIONS(1859),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1881),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1821] = {
    [sym_value_definition] = STATE(18311),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12020),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6006),
    [sym_array_get_expression] = STATE(6006),
    [sym_string_get_expression] = STATE(6006),
    [sym_bigarray_get_expression] = STATE(6006),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(1821),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(1815),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(20371),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(1849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1855),
    [anon_sym_function] = ACTIONS(1857),
    [anon_sym_try] = ACTIONS(1859),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1881),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1822] = {
    [sym_value_definition] = STATE(18311),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12021),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6006),
    [sym_array_get_expression] = STATE(6006),
    [sym_string_get_expression] = STATE(6006),
    [sym_bigarray_get_expression] = STATE(6006),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(1822),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(1815),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(20371),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(1849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1855),
    [anon_sym_function] = ACTIONS(1857),
    [anon_sym_try] = ACTIONS(1859),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1881),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1823] = {
    [sym_value_definition] = STATE(18311),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12023),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6006),
    [sym_array_get_expression] = STATE(6006),
    [sym_string_get_expression] = STATE(6006),
    [sym_bigarray_get_expression] = STATE(6006),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(1823),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(1815),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(20371),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(1849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1855),
    [anon_sym_function] = ACTIONS(1857),
    [anon_sym_try] = ACTIONS(1859),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1881),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1824] = {
    [sym_value_definition] = STATE(18311),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12024),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6006),
    [sym_array_get_expression] = STATE(6006),
    [sym_string_get_expression] = STATE(6006),
    [sym_bigarray_get_expression] = STATE(6006),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(1824),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(1815),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(20371),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(1849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1855),
    [anon_sym_function] = ACTIONS(1857),
    [anon_sym_try] = ACTIONS(1859),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1881),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1825] = {
    [sym_value_definition] = STATE(18311),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12030),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6006),
    [sym_array_get_expression] = STATE(6006),
    [sym_string_get_expression] = STATE(6006),
    [sym_bigarray_get_expression] = STATE(6006),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(1825),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(1815),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(20371),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(1849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1855),
    [anon_sym_function] = ACTIONS(1857),
    [anon_sym_try] = ACTIONS(1859),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1881),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1826] = {
    [sym_value_definition] = STATE(18311),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12032),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6006),
    [sym_array_get_expression] = STATE(6006),
    [sym_string_get_expression] = STATE(6006),
    [sym_bigarray_get_expression] = STATE(6006),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(1826),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(1815),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(20371),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(1849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1855),
    [anon_sym_function] = ACTIONS(1857),
    [anon_sym_try] = ACTIONS(1859),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1881),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1827] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12764),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1827),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1828] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12765),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1828),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1829] = {
    [sym_value_definition] = STATE(18311),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12042),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6006),
    [sym_array_get_expression] = STATE(6006),
    [sym_string_get_expression] = STATE(6006),
    [sym_bigarray_get_expression] = STATE(6006),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(1829),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(1815),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(20371),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(1849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1855),
    [anon_sym_function] = ACTIONS(1857),
    [anon_sym_try] = ACTIONS(1859),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1881),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1830] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12766),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1830),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1831] = {
    [sym_value_definition] = STATE(18370),
    [sym__simple_expression] = STATE(763),
    [sym__expression] = STATE(8377),
    [sym_typed_expression] = STATE(3668),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3668),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3668),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3405),
    [sym_array_get_expression] = STATE(3405),
    [sym_string_get_expression] = STATE(3405),
    [sym_bigarray_get_expression] = STATE(3405),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3668),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(1831),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym_sign_operator] = STATE(1831),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__instance_variable_name] = STATE(18351),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [sym__identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3119),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3121),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(741),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1832] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12767),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1832),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1833] = {
    [sym_value_definition] = STATE(18370),
    [sym__simple_expression] = STATE(763),
    [sym__expression] = STATE(8376),
    [sym_typed_expression] = STATE(3668),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3668),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3668),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3405),
    [sym_array_get_expression] = STATE(3405),
    [sym_string_get_expression] = STATE(3405),
    [sym_bigarray_get_expression] = STATE(3405),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3668),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(1833),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym_sign_operator] = STATE(1831),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__instance_variable_name] = STATE(18351),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [sym__identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3119),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3121),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(741),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1834] = {
    [sym_value_definition] = STATE(18370),
    [sym__simple_expression] = STATE(763),
    [sym__expression] = STATE(8374),
    [sym_typed_expression] = STATE(3668),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3668),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3668),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3405),
    [sym_array_get_expression] = STATE(3405),
    [sym_string_get_expression] = STATE(3405),
    [sym_bigarray_get_expression] = STATE(3405),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3668),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(1834),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym_sign_operator] = STATE(1831),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__instance_variable_name] = STATE(18351),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [sym__identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3119),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3121),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(741),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1835] = {
    [sym_value_definition] = STATE(18370),
    [sym__simple_expression] = STATE(763),
    [sym__expression] = STATE(8367),
    [sym_typed_expression] = STATE(3668),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3668),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3668),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3405),
    [sym_array_get_expression] = STATE(3405),
    [sym_string_get_expression] = STATE(3405),
    [sym_bigarray_get_expression] = STATE(3405),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3668),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(1835),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym_sign_operator] = STATE(1831),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__instance_variable_name] = STATE(18351),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [sym__identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3119),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3121),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(741),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1836] = {
    [sym_value_definition] = STATE(18370),
    [sym__simple_expression] = STATE(763),
    [sym__expression] = STATE(8378),
    [sym_typed_expression] = STATE(3668),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3668),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3668),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3405),
    [sym_array_get_expression] = STATE(3405),
    [sym_string_get_expression] = STATE(3405),
    [sym_bigarray_get_expression] = STATE(3405),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3668),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(1836),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym_sign_operator] = STATE(1831),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__instance_variable_name] = STATE(18351),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [sym__identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3119),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3121),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(741),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1837] = {
    [sym_value_definition] = STATE(18370),
    [sym__simple_expression] = STATE(763),
    [sym__expression] = STATE(8386),
    [sym_typed_expression] = STATE(3668),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3668),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3668),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3405),
    [sym_array_get_expression] = STATE(3405),
    [sym_string_get_expression] = STATE(3405),
    [sym_bigarray_get_expression] = STATE(3405),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3668),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(1837),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym_sign_operator] = STATE(1831),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__instance_variable_name] = STATE(18351),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [sym__identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3119),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3121),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(741),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1838] = {
    [sym_value_definition] = STATE(18370),
    [sym__simple_expression] = STATE(763),
    [sym__expression] = STATE(8369),
    [sym_typed_expression] = STATE(3668),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3668),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3668),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3405),
    [sym_array_get_expression] = STATE(3405),
    [sym_string_get_expression] = STATE(3405),
    [sym_bigarray_get_expression] = STATE(3405),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3668),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(1838),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym_sign_operator] = STATE(1831),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__instance_variable_name] = STATE(18351),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [sym__identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3119),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3121),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(741),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1839] = {
    [sym_value_definition] = STATE(18370),
    [sym__simple_expression] = STATE(763),
    [sym__expression] = STATE(8381),
    [sym_typed_expression] = STATE(3668),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3668),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3668),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3405),
    [sym_array_get_expression] = STATE(3405),
    [sym_string_get_expression] = STATE(3405),
    [sym_bigarray_get_expression] = STATE(3405),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3668),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(1839),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym_sign_operator] = STATE(1831),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__instance_variable_name] = STATE(18351),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [sym__identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3119),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3121),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(741),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1840] = {
    [sym_value_definition] = STATE(18370),
    [sym__simple_expression] = STATE(763),
    [sym__expression] = STATE(8407),
    [sym_typed_expression] = STATE(3668),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3668),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3668),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3405),
    [sym_array_get_expression] = STATE(3405),
    [sym_string_get_expression] = STATE(3405),
    [sym_bigarray_get_expression] = STATE(3405),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3668),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(1840),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym_sign_operator] = STATE(1831),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__instance_variable_name] = STATE(18351),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [sym__identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3119),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3121),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(741),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1841] = {
    [sym_value_definition] = STATE(18370),
    [sym__simple_expression] = STATE(763),
    [sym__expression] = STATE(8392),
    [sym_typed_expression] = STATE(3668),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3668),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3668),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3405),
    [sym_array_get_expression] = STATE(3405),
    [sym_string_get_expression] = STATE(3405),
    [sym_bigarray_get_expression] = STATE(3405),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3668),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(1841),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym_sign_operator] = STATE(1831),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__instance_variable_name] = STATE(18351),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [sym__identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3119),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3121),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(741),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1842] = {
    [sym_value_definition] = STATE(18370),
    [sym__simple_expression] = STATE(763),
    [sym__expression] = STATE(8394),
    [sym_typed_expression] = STATE(3668),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3668),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3668),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3405),
    [sym_array_get_expression] = STATE(3405),
    [sym_string_get_expression] = STATE(3405),
    [sym_bigarray_get_expression] = STATE(3405),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3668),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(1842),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym_sign_operator] = STATE(1831),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__instance_variable_name] = STATE(18351),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [sym__identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3119),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3121),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(741),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1843] = {
    [sym_value_definition] = STATE(18370),
    [sym__simple_expression] = STATE(763),
    [sym__expression] = STATE(8379),
    [sym_typed_expression] = STATE(3668),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3668),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3668),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3405),
    [sym_array_get_expression] = STATE(3405),
    [sym_string_get_expression] = STATE(3405),
    [sym_bigarray_get_expression] = STATE(3405),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3668),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(1843),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym_sign_operator] = STATE(1831),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__instance_variable_name] = STATE(18351),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [sym__identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3119),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3121),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(741),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1844] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12768),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1844),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1845] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12770),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1845),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1846] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12771),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1846),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1847] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12772),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1847),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1848] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12773),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1848),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1849] = {
    [sym_value_definition] = STATE(18370),
    [sym__simple_expression] = STATE(763),
    [sym__expression] = STATE(8365),
    [sym_typed_expression] = STATE(3668),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3668),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3668),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3405),
    [sym_array_get_expression] = STATE(3405),
    [sym_string_get_expression] = STATE(3405),
    [sym_bigarray_get_expression] = STATE(3405),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3668),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(1849),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym_sign_operator] = STATE(1831),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__instance_variable_name] = STATE(18351),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [sym__identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3119),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3121),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(741),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1850] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12774),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1850),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1851] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12775),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1851),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1852] = {
    [sym_value_definition] = STATE(19253),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12706),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7012),
    [sym_array_get_expression] = STATE(7012),
    [sym_string_get_expression] = STATE(7012),
    [sym_bigarray_get_expression] = STATE(7012),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(1852),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(1814),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(19288),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2929),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1853] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9962),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(1853),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1854] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9880),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(1854),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1855] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12719),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(1855),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1856] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9881),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(1856),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1857] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(322),
    [sym__expression] = STATE(8175),
    [sym_typed_expression] = STATE(2743),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2743),
    [sym_array_expression] = STATE(2743),
    [sym_record_expression] = STATE(2743),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2743),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2743),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2695),
    [sym_array_get_expression] = STATE(2695),
    [sym_string_get_expression] = STATE(2695),
    [sym_bigarray_get_expression] = STATE(2695),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2743),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2743),
    [sym_package_expression] = STATE(2743),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2743),
    [sym_object_copy_expression] = STATE(2743),
    [sym_method_invocation] = STATE(2743),
    [sym_object_expression] = STATE(2743),
    [sym_parenthesized_expression] = STATE(2743),
    [sym_attribute] = STATE(1857),
    [sym_extension] = STATE(2743),
    [sym_quoted_extension] = STATE(2743),
    [sym__constant] = STATE(2743),
    [sym_number] = STATE(2910),
    [sym_character] = STATE(2910),
    [sym_string] = STATE(2910),
    [sym_quoted_string] = STATE(2910),
    [sym_boolean] = STATE(2910),
    [sym_unit] = STATE(2910),
    [sym_sign_operator] = STATE(1889),
    [sym__value_name] = STATE(2783),
    [sym_parenthesized_operator] = STATE(2843),
    [sym_value_path] = STATE(2743),
    [sym_module_path] = STATE(18591),
    [sym_constructor_path] = STATE(2743),
    [sym__instance_variable_name] = STATE(19174),
    [sym__constructor_name] = STATE(2911),
    [sym_tag] = STATE(2743),
    [sym__identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3127),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3129),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__capitalized_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1858] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9882),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(1858),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1859] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9883),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(1859),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1860] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9884),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(1860),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1861] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9885),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(1861),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1862] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9886),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(1862),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1863] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9887),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(1863),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1864] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9888),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(1864),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1865] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9889),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(1865),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1866] = {
    [sym_value_definition] = STATE(18937),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12409),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6377),
    [sym_array_get_expression] = STATE(6377),
    [sym_string_get_expression] = STATE(6377),
    [sym_bigarray_get_expression] = STATE(6377),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(1866),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(1799),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(18907),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(2655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2659),
    [anon_sym_function] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2663),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2665),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1867] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9890),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(1867),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1868] = {
    [sym_value_definition] = STATE(19812),
    [sym__simple_expression] = STATE(1565),
    [sym__expression] = STATE(8427),
    [sym_typed_expression] = STATE(3895),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3895),
    [sym_array_expression] = STATE(3895),
    [sym_record_expression] = STATE(3895),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3895),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3895),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3520),
    [sym_array_get_expression] = STATE(3520),
    [sym_string_get_expression] = STATE(3520),
    [sym_bigarray_get_expression] = STATE(3520),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3895),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3895),
    [sym_package_expression] = STATE(3895),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3895),
    [sym_object_copy_expression] = STATE(3895),
    [sym_method_invocation] = STATE(3895),
    [sym_object_expression] = STATE(3895),
    [sym_parenthesized_expression] = STATE(3895),
    [sym_attribute] = STATE(1868),
    [sym_extension] = STATE(3895),
    [sym_quoted_extension] = STATE(3895),
    [sym__constant] = STATE(3895),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(1913),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(4006),
    [sym_value_path] = STATE(3895),
    [sym_module_path] = STATE(17569),
    [sym_constructor_path] = STATE(3895),
    [sym__instance_variable_name] = STATE(19697),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3895),
    [sym__identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3123),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3125),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__capitalized_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1869] = {
    [sym_value_definition] = STATE(18334),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9914),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4922),
    [sym_array_get_expression] = STATE(4922),
    [sym_string_get_expression] = STATE(4922),
    [sym_bigarray_get_expression] = STATE(4922),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(1869),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(1853),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(17835),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(1049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1059),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1870] = {
    [sym_value_definition] = STATE(18444),
    [sym__simple_expression] = STATE(528),
    [sym__expression] = STATE(8339),
    [sym_typed_expression] = STATE(3337),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3337),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3337),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2728),
    [sym_array_get_expression] = STATE(2728),
    [sym_string_get_expression] = STATE(2728),
    [sym_bigarray_get_expression] = STATE(2728),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3337),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(1870),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym_sign_operator] = STATE(1870),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__instance_variable_name] = STATE(18316),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [sym__identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(453),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1871] = {
    [sym_value_definition] = STATE(19821),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12552),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6440),
    [sym_array_get_expression] = STATE(6440),
    [sym_string_get_expression] = STATE(6440),
    [sym_bigarray_get_expression] = STATE(6440),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(1871),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(1871),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(19783),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(2721),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2725),
    [anon_sym_function] = ACTIONS(2727),
    [anon_sym_try] = ACTIONS(2729),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2731),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1872] = {
    [sym_value_definition] = STATE(19821),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12342),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6440),
    [sym_array_get_expression] = STATE(6440),
    [sym_string_get_expression] = STATE(6440),
    [sym_bigarray_get_expression] = STATE(6440),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(1872),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(1871),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(19783),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(2721),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2725),
    [anon_sym_function] = ACTIONS(2727),
    [anon_sym_try] = ACTIONS(2729),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2731),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1873] = {
    [sym_value_definition] = STATE(19821),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12368),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6440),
    [sym_array_get_expression] = STATE(6440),
    [sym_string_get_expression] = STATE(6440),
    [sym_bigarray_get_expression] = STATE(6440),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(1873),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(1871),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(19783),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(2721),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2725),
    [anon_sym_function] = ACTIONS(2727),
    [anon_sym_try] = ACTIONS(2729),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2731),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1874] = {
    [sym_value_definition] = STATE(19821),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12475),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6440),
    [sym_array_get_expression] = STATE(6440),
    [sym_string_get_expression] = STATE(6440),
    [sym_bigarray_get_expression] = STATE(6440),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(1874),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(1871),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(19783),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(2721),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2725),
    [anon_sym_function] = ACTIONS(2727),
    [anon_sym_try] = ACTIONS(2729),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2731),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1875] = {
    [sym_value_definition] = STATE(19821),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12480),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6440),
    [sym_array_get_expression] = STATE(6440),
    [sym_string_get_expression] = STATE(6440),
    [sym_bigarray_get_expression] = STATE(6440),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(1875),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(1871),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(19783),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(2721),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2725),
    [anon_sym_function] = ACTIONS(2727),
    [anon_sym_try] = ACTIONS(2729),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2731),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1876] = {
    [sym_value_definition] = STATE(19821),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12483),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6440),
    [sym_array_get_expression] = STATE(6440),
    [sym_string_get_expression] = STATE(6440),
    [sym_bigarray_get_expression] = STATE(6440),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(1876),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(1871),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(19783),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(2721),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2725),
    [anon_sym_function] = ACTIONS(2727),
    [anon_sym_try] = ACTIONS(2729),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2731),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1877] = {
    [sym_value_definition] = STATE(19821),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12488),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6440),
    [sym_array_get_expression] = STATE(6440),
    [sym_string_get_expression] = STATE(6440),
    [sym_bigarray_get_expression] = STATE(6440),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(1877),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(1871),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(19783),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(2721),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2725),
    [anon_sym_function] = ACTIONS(2727),
    [anon_sym_try] = ACTIONS(2729),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2731),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1878] = {
    [sym_value_definition] = STATE(19821),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12494),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6440),
    [sym_array_get_expression] = STATE(6440),
    [sym_string_get_expression] = STATE(6440),
    [sym_bigarray_get_expression] = STATE(6440),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(1878),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(1871),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(19783),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(2721),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2725),
    [anon_sym_function] = ACTIONS(2727),
    [anon_sym_try] = ACTIONS(2729),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2731),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1879] = {
    [sym_value_definition] = STATE(19821),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12512),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6440),
    [sym_array_get_expression] = STATE(6440),
    [sym_string_get_expression] = STATE(6440),
    [sym_bigarray_get_expression] = STATE(6440),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(1879),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(1871),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(19783),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(2721),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2725),
    [anon_sym_function] = ACTIONS(2727),
    [anon_sym_try] = ACTIONS(2729),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2731),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1880] = {
    [sym_value_definition] = STATE(19821),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12549),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6440),
    [sym_array_get_expression] = STATE(6440),
    [sym_string_get_expression] = STATE(6440),
    [sym_bigarray_get_expression] = STATE(6440),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(1880),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(1871),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(19783),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(2721),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2725),
    [anon_sym_function] = ACTIONS(2727),
    [anon_sym_try] = ACTIONS(2729),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2731),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1881] = {
    [sym_value_definition] = STATE(19821),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12564),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6440),
    [sym_array_get_expression] = STATE(6440),
    [sym_string_get_expression] = STATE(6440),
    [sym_bigarray_get_expression] = STATE(6440),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(1881),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(1871),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(19783),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(2721),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2725),
    [anon_sym_function] = ACTIONS(2727),
    [anon_sym_try] = ACTIONS(2729),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2731),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1882] = {
    [sym_value_definition] = STATE(19821),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12577),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6440),
    [sym_array_get_expression] = STATE(6440),
    [sym_string_get_expression] = STATE(6440),
    [sym_bigarray_get_expression] = STATE(6440),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(1882),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(1871),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(19783),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(2721),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2725),
    [anon_sym_function] = ACTIONS(2727),
    [anon_sym_try] = ACTIONS(2729),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2731),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1883] = {
    [sym__simple_expression] = STATE(3106),
    [sym_typed_expression] = STATE(3337),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_labeled_argument] = STATE(4170),
    [sym_prefix_expression] = STATE(3337),
    [sym_hash_expression] = STATE(3337),
    [sym_field_get_expression] = STATE(3337),
    [sym_array_get_expression] = STATE(3337),
    [sym_string_get_expression] = STATE(3337),
    [sym_bigarray_get_expression] = STATE(3337),
    [sym_coercion_expression] = STATE(3337),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(1883),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [aux_sym_class_application_repeat1] = STATE(2047),
    [sym__identifier] = ACTIONS(3209),
    [anon_sym_SEMI_SEMI] = ACTIONS(3503),
    [anon_sym_let] = ACTIONS(3505),
    [anon_sym_and] = ACTIONS(3505),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_QMARK] = ACTIONS(3211),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_external] = ACTIONS(3505),
    [anon_sym_type] = ACTIONS(3505),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_RBRACK] = ACTIONS(3503),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_SEMI] = ACTIONS(3505),
    [anon_sym_exception] = ACTIONS(3505),
    [anon_sym_module] = ACTIONS(3505),
    [anon_sym_open] = ACTIONS(3505),
    [anon_sym_include] = ACTIONS(3505),
    [anon_sym_class] = ACTIONS(3505),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_in] = ACTIONS(3505),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3505),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3503),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(441),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(443),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3503),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3503),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym_let_operator] = ACTIONS(3503),
    [sym_let_and_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_directive_token1] = ACTIONS(3503),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1884] = {
    [sym_value_definition] = STATE(18444),
    [sym__simple_expression] = STATE(528),
    [sym__expression] = STATE(8297),
    [sym_typed_expression] = STATE(3337),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3337),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3337),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2728),
    [sym_array_get_expression] = STATE(2728),
    [sym_string_get_expression] = STATE(2728),
    [sym_bigarray_get_expression] = STATE(2728),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3337),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(1884),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym_sign_operator] = STATE(1870),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__instance_variable_name] = STATE(18316),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [sym__identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(453),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1885] = {
    [sym_value_definition] = STATE(18444),
    [sym__simple_expression] = STATE(528),
    [sym__expression] = STATE(8306),
    [sym_typed_expression] = STATE(3337),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3337),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3337),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2728),
    [sym_array_get_expression] = STATE(2728),
    [sym_string_get_expression] = STATE(2728),
    [sym_bigarray_get_expression] = STATE(2728),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3337),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(1885),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym_sign_operator] = STATE(1870),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__instance_variable_name] = STATE(18316),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [sym__identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(453),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1886] = {
    [sym_value_definition] = STATE(18444),
    [sym__simple_expression] = STATE(528),
    [sym__expression] = STATE(8310),
    [sym_typed_expression] = STATE(3337),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3337),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3337),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2728),
    [sym_array_get_expression] = STATE(2728),
    [sym_string_get_expression] = STATE(2728),
    [sym_bigarray_get_expression] = STATE(2728),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3337),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(1886),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym_sign_operator] = STATE(1870),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__instance_variable_name] = STATE(18316),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [sym__identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(453),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1887] = {
    [sym_value_definition] = STATE(19821),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12587),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6440),
    [sym_array_get_expression] = STATE(6440),
    [sym_string_get_expression] = STATE(6440),
    [sym_bigarray_get_expression] = STATE(6440),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(1887),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(1871),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(19783),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(2721),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2725),
    [anon_sym_function] = ACTIONS(2727),
    [anon_sym_try] = ACTIONS(2729),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2731),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1888] = {
    [sym_value_definition] = STATE(18444),
    [sym__simple_expression] = STATE(528),
    [sym__expression] = STATE(8311),
    [sym_typed_expression] = STATE(3337),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3337),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3337),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2728),
    [sym_array_get_expression] = STATE(2728),
    [sym_string_get_expression] = STATE(2728),
    [sym_bigarray_get_expression] = STATE(2728),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3337),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(1888),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym_sign_operator] = STATE(1870),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__instance_variable_name] = STATE(18316),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [sym__identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(453),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1889] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(322),
    [sym__expression] = STATE(8221),
    [sym_typed_expression] = STATE(2743),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2743),
    [sym_array_expression] = STATE(2743),
    [sym_record_expression] = STATE(2743),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2743),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2743),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2695),
    [sym_array_get_expression] = STATE(2695),
    [sym_string_get_expression] = STATE(2695),
    [sym_bigarray_get_expression] = STATE(2695),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2743),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2743),
    [sym_package_expression] = STATE(2743),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2743),
    [sym_object_copy_expression] = STATE(2743),
    [sym_method_invocation] = STATE(2743),
    [sym_object_expression] = STATE(2743),
    [sym_parenthesized_expression] = STATE(2743),
    [sym_attribute] = STATE(1889),
    [sym_extension] = STATE(2743),
    [sym_quoted_extension] = STATE(2743),
    [sym__constant] = STATE(2743),
    [sym_number] = STATE(2910),
    [sym_character] = STATE(2910),
    [sym_string] = STATE(2910),
    [sym_quoted_string] = STATE(2910),
    [sym_boolean] = STATE(2910),
    [sym_unit] = STATE(2910),
    [sym_sign_operator] = STATE(1889),
    [sym__value_name] = STATE(2783),
    [sym_parenthesized_operator] = STATE(2843),
    [sym_value_path] = STATE(2743),
    [sym_module_path] = STATE(18591),
    [sym_constructor_path] = STATE(2743),
    [sym__instance_variable_name] = STATE(19174),
    [sym__constructor_name] = STATE(2911),
    [sym_tag] = STATE(2743),
    [sym__identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3127),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3129),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__capitalized_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1890] = {
    [sym_value_definition] = STATE(18444),
    [sym__simple_expression] = STATE(528),
    [sym__expression] = STATE(8313),
    [sym_typed_expression] = STATE(3337),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3337),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3337),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2728),
    [sym_array_get_expression] = STATE(2728),
    [sym_string_get_expression] = STATE(2728),
    [sym_bigarray_get_expression] = STATE(2728),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3337),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(1890),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym_sign_operator] = STATE(1870),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__instance_variable_name] = STATE(18316),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [sym__identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(453),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1891] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(322),
    [sym__expression] = STATE(8114),
    [sym_typed_expression] = STATE(2743),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2743),
    [sym_array_expression] = STATE(2743),
    [sym_record_expression] = STATE(2743),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2743),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2743),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2695),
    [sym_array_get_expression] = STATE(2695),
    [sym_string_get_expression] = STATE(2695),
    [sym_bigarray_get_expression] = STATE(2695),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2743),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2743),
    [sym_package_expression] = STATE(2743),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2743),
    [sym_object_copy_expression] = STATE(2743),
    [sym_method_invocation] = STATE(2743),
    [sym_object_expression] = STATE(2743),
    [sym_parenthesized_expression] = STATE(2743),
    [sym_attribute] = STATE(1891),
    [sym_extension] = STATE(2743),
    [sym_quoted_extension] = STATE(2743),
    [sym__constant] = STATE(2743),
    [sym_number] = STATE(2910),
    [sym_character] = STATE(2910),
    [sym_string] = STATE(2910),
    [sym_quoted_string] = STATE(2910),
    [sym_boolean] = STATE(2910),
    [sym_unit] = STATE(2910),
    [sym_sign_operator] = STATE(1889),
    [sym__value_name] = STATE(2783),
    [sym_parenthesized_operator] = STATE(2843),
    [sym_value_path] = STATE(2743),
    [sym_module_path] = STATE(18591),
    [sym_constructor_path] = STATE(2743),
    [sym__instance_variable_name] = STATE(19174),
    [sym__constructor_name] = STATE(2911),
    [sym_tag] = STATE(2743),
    [sym__identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3127),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3129),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__capitalized_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1892] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(322),
    [sym__expression] = STATE(8115),
    [sym_typed_expression] = STATE(2743),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2743),
    [sym_array_expression] = STATE(2743),
    [sym_record_expression] = STATE(2743),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2743),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2743),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2695),
    [sym_array_get_expression] = STATE(2695),
    [sym_string_get_expression] = STATE(2695),
    [sym_bigarray_get_expression] = STATE(2695),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2743),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2743),
    [sym_package_expression] = STATE(2743),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2743),
    [sym_object_copy_expression] = STATE(2743),
    [sym_method_invocation] = STATE(2743),
    [sym_object_expression] = STATE(2743),
    [sym_parenthesized_expression] = STATE(2743),
    [sym_attribute] = STATE(1892),
    [sym_extension] = STATE(2743),
    [sym_quoted_extension] = STATE(2743),
    [sym__constant] = STATE(2743),
    [sym_number] = STATE(2910),
    [sym_character] = STATE(2910),
    [sym_string] = STATE(2910),
    [sym_quoted_string] = STATE(2910),
    [sym_boolean] = STATE(2910),
    [sym_unit] = STATE(2910),
    [sym_sign_operator] = STATE(1889),
    [sym__value_name] = STATE(2783),
    [sym_parenthesized_operator] = STATE(2843),
    [sym_value_path] = STATE(2743),
    [sym_module_path] = STATE(18591),
    [sym_constructor_path] = STATE(2743),
    [sym__instance_variable_name] = STATE(19174),
    [sym__constructor_name] = STATE(2911),
    [sym_tag] = STATE(2743),
    [sym__identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3127),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3129),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__capitalized_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1893] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(322),
    [sym__expression] = STATE(8116),
    [sym_typed_expression] = STATE(2743),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2743),
    [sym_array_expression] = STATE(2743),
    [sym_record_expression] = STATE(2743),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2743),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2743),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2695),
    [sym_array_get_expression] = STATE(2695),
    [sym_string_get_expression] = STATE(2695),
    [sym_bigarray_get_expression] = STATE(2695),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2743),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2743),
    [sym_package_expression] = STATE(2743),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2743),
    [sym_object_copy_expression] = STATE(2743),
    [sym_method_invocation] = STATE(2743),
    [sym_object_expression] = STATE(2743),
    [sym_parenthesized_expression] = STATE(2743),
    [sym_attribute] = STATE(1893),
    [sym_extension] = STATE(2743),
    [sym_quoted_extension] = STATE(2743),
    [sym__constant] = STATE(2743),
    [sym_number] = STATE(2910),
    [sym_character] = STATE(2910),
    [sym_string] = STATE(2910),
    [sym_quoted_string] = STATE(2910),
    [sym_boolean] = STATE(2910),
    [sym_unit] = STATE(2910),
    [sym_sign_operator] = STATE(1889),
    [sym__value_name] = STATE(2783),
    [sym_parenthesized_operator] = STATE(2843),
    [sym_value_path] = STATE(2743),
    [sym_module_path] = STATE(18591),
    [sym_constructor_path] = STATE(2743),
    [sym__instance_variable_name] = STATE(19174),
    [sym__constructor_name] = STATE(2911),
    [sym_tag] = STATE(2743),
    [sym__identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3127),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3129),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__capitalized_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1894] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(322),
    [sym__expression] = STATE(8117),
    [sym_typed_expression] = STATE(2743),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2743),
    [sym_array_expression] = STATE(2743),
    [sym_record_expression] = STATE(2743),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2743),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2743),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2695),
    [sym_array_get_expression] = STATE(2695),
    [sym_string_get_expression] = STATE(2695),
    [sym_bigarray_get_expression] = STATE(2695),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2743),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2743),
    [sym_package_expression] = STATE(2743),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2743),
    [sym_object_copy_expression] = STATE(2743),
    [sym_method_invocation] = STATE(2743),
    [sym_object_expression] = STATE(2743),
    [sym_parenthesized_expression] = STATE(2743),
    [sym_attribute] = STATE(1894),
    [sym_extension] = STATE(2743),
    [sym_quoted_extension] = STATE(2743),
    [sym__constant] = STATE(2743),
    [sym_number] = STATE(2910),
    [sym_character] = STATE(2910),
    [sym_string] = STATE(2910),
    [sym_quoted_string] = STATE(2910),
    [sym_boolean] = STATE(2910),
    [sym_unit] = STATE(2910),
    [sym_sign_operator] = STATE(1889),
    [sym__value_name] = STATE(2783),
    [sym_parenthesized_operator] = STATE(2843),
    [sym_value_path] = STATE(2743),
    [sym_module_path] = STATE(18591),
    [sym_constructor_path] = STATE(2743),
    [sym__instance_variable_name] = STATE(19174),
    [sym__constructor_name] = STATE(2911),
    [sym_tag] = STATE(2743),
    [sym__identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3127),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3129),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__capitalized_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1895] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(322),
    [sym__expression] = STATE(8118),
    [sym_typed_expression] = STATE(2743),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2743),
    [sym_array_expression] = STATE(2743),
    [sym_record_expression] = STATE(2743),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2743),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2743),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2695),
    [sym_array_get_expression] = STATE(2695),
    [sym_string_get_expression] = STATE(2695),
    [sym_bigarray_get_expression] = STATE(2695),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2743),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2743),
    [sym_package_expression] = STATE(2743),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2743),
    [sym_object_copy_expression] = STATE(2743),
    [sym_method_invocation] = STATE(2743),
    [sym_object_expression] = STATE(2743),
    [sym_parenthesized_expression] = STATE(2743),
    [sym_attribute] = STATE(1895),
    [sym_extension] = STATE(2743),
    [sym_quoted_extension] = STATE(2743),
    [sym__constant] = STATE(2743),
    [sym_number] = STATE(2910),
    [sym_character] = STATE(2910),
    [sym_string] = STATE(2910),
    [sym_quoted_string] = STATE(2910),
    [sym_boolean] = STATE(2910),
    [sym_unit] = STATE(2910),
    [sym_sign_operator] = STATE(1889),
    [sym__value_name] = STATE(2783),
    [sym_parenthesized_operator] = STATE(2843),
    [sym_value_path] = STATE(2743),
    [sym_module_path] = STATE(18591),
    [sym_constructor_path] = STATE(2743),
    [sym__instance_variable_name] = STATE(19174),
    [sym__constructor_name] = STATE(2911),
    [sym_tag] = STATE(2743),
    [sym__identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3127),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3129),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__capitalized_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1896] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(322),
    [sym__expression] = STATE(8119),
    [sym_typed_expression] = STATE(2743),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2743),
    [sym_array_expression] = STATE(2743),
    [sym_record_expression] = STATE(2743),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2743),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2743),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2695),
    [sym_array_get_expression] = STATE(2695),
    [sym_string_get_expression] = STATE(2695),
    [sym_bigarray_get_expression] = STATE(2695),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2743),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2743),
    [sym_package_expression] = STATE(2743),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2743),
    [sym_object_copy_expression] = STATE(2743),
    [sym_method_invocation] = STATE(2743),
    [sym_object_expression] = STATE(2743),
    [sym_parenthesized_expression] = STATE(2743),
    [sym_attribute] = STATE(1896),
    [sym_extension] = STATE(2743),
    [sym_quoted_extension] = STATE(2743),
    [sym__constant] = STATE(2743),
    [sym_number] = STATE(2910),
    [sym_character] = STATE(2910),
    [sym_string] = STATE(2910),
    [sym_quoted_string] = STATE(2910),
    [sym_boolean] = STATE(2910),
    [sym_unit] = STATE(2910),
    [sym_sign_operator] = STATE(1889),
    [sym__value_name] = STATE(2783),
    [sym_parenthesized_operator] = STATE(2843),
    [sym_value_path] = STATE(2743),
    [sym_module_path] = STATE(18591),
    [sym_constructor_path] = STATE(2743),
    [sym__instance_variable_name] = STATE(19174),
    [sym__constructor_name] = STATE(2911),
    [sym_tag] = STATE(2743),
    [sym__identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3127),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3129),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__capitalized_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1897] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(322),
    [sym__expression] = STATE(8121),
    [sym_typed_expression] = STATE(2743),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2743),
    [sym_array_expression] = STATE(2743),
    [sym_record_expression] = STATE(2743),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2743),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2743),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2695),
    [sym_array_get_expression] = STATE(2695),
    [sym_string_get_expression] = STATE(2695),
    [sym_bigarray_get_expression] = STATE(2695),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2743),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2743),
    [sym_package_expression] = STATE(2743),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2743),
    [sym_object_copy_expression] = STATE(2743),
    [sym_method_invocation] = STATE(2743),
    [sym_object_expression] = STATE(2743),
    [sym_parenthesized_expression] = STATE(2743),
    [sym_attribute] = STATE(1897),
    [sym_extension] = STATE(2743),
    [sym_quoted_extension] = STATE(2743),
    [sym__constant] = STATE(2743),
    [sym_number] = STATE(2910),
    [sym_character] = STATE(2910),
    [sym_string] = STATE(2910),
    [sym_quoted_string] = STATE(2910),
    [sym_boolean] = STATE(2910),
    [sym_unit] = STATE(2910),
    [sym_sign_operator] = STATE(1889),
    [sym__value_name] = STATE(2783),
    [sym_parenthesized_operator] = STATE(2843),
    [sym_value_path] = STATE(2743),
    [sym_module_path] = STATE(18591),
    [sym_constructor_path] = STATE(2743),
    [sym__instance_variable_name] = STATE(19174),
    [sym__constructor_name] = STATE(2911),
    [sym_tag] = STATE(2743),
    [sym__identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3127),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3129),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__capitalized_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1898] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(322),
    [sym__expression] = STATE(8122),
    [sym_typed_expression] = STATE(2743),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2743),
    [sym_array_expression] = STATE(2743),
    [sym_record_expression] = STATE(2743),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2743),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2743),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2695),
    [sym_array_get_expression] = STATE(2695),
    [sym_string_get_expression] = STATE(2695),
    [sym_bigarray_get_expression] = STATE(2695),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2743),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2743),
    [sym_package_expression] = STATE(2743),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2743),
    [sym_object_copy_expression] = STATE(2743),
    [sym_method_invocation] = STATE(2743),
    [sym_object_expression] = STATE(2743),
    [sym_parenthesized_expression] = STATE(2743),
    [sym_attribute] = STATE(1898),
    [sym_extension] = STATE(2743),
    [sym_quoted_extension] = STATE(2743),
    [sym__constant] = STATE(2743),
    [sym_number] = STATE(2910),
    [sym_character] = STATE(2910),
    [sym_string] = STATE(2910),
    [sym_quoted_string] = STATE(2910),
    [sym_boolean] = STATE(2910),
    [sym_unit] = STATE(2910),
    [sym_sign_operator] = STATE(1889),
    [sym__value_name] = STATE(2783),
    [sym_parenthesized_operator] = STATE(2843),
    [sym_value_path] = STATE(2743),
    [sym_module_path] = STATE(18591),
    [sym_constructor_path] = STATE(2743),
    [sym__instance_variable_name] = STATE(19174),
    [sym__constructor_name] = STATE(2911),
    [sym_tag] = STATE(2743),
    [sym__identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3127),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3129),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__capitalized_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1899] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(322),
    [sym__expression] = STATE(8123),
    [sym_typed_expression] = STATE(2743),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2743),
    [sym_array_expression] = STATE(2743),
    [sym_record_expression] = STATE(2743),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2743),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2743),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2695),
    [sym_array_get_expression] = STATE(2695),
    [sym_string_get_expression] = STATE(2695),
    [sym_bigarray_get_expression] = STATE(2695),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2743),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2743),
    [sym_package_expression] = STATE(2743),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2743),
    [sym_object_copy_expression] = STATE(2743),
    [sym_method_invocation] = STATE(2743),
    [sym_object_expression] = STATE(2743),
    [sym_parenthesized_expression] = STATE(2743),
    [sym_attribute] = STATE(1899),
    [sym_extension] = STATE(2743),
    [sym_quoted_extension] = STATE(2743),
    [sym__constant] = STATE(2743),
    [sym_number] = STATE(2910),
    [sym_character] = STATE(2910),
    [sym_string] = STATE(2910),
    [sym_quoted_string] = STATE(2910),
    [sym_boolean] = STATE(2910),
    [sym_unit] = STATE(2910),
    [sym_sign_operator] = STATE(1889),
    [sym__value_name] = STATE(2783),
    [sym_parenthesized_operator] = STATE(2843),
    [sym_value_path] = STATE(2743),
    [sym_module_path] = STATE(18591),
    [sym_constructor_path] = STATE(2743),
    [sym__instance_variable_name] = STATE(19174),
    [sym__constructor_name] = STATE(2911),
    [sym_tag] = STATE(2743),
    [sym__identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3127),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3129),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__capitalized_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1900] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(322),
    [sym__expression] = STATE(8124),
    [sym_typed_expression] = STATE(2743),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2743),
    [sym_array_expression] = STATE(2743),
    [sym_record_expression] = STATE(2743),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2743),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2743),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2695),
    [sym_array_get_expression] = STATE(2695),
    [sym_string_get_expression] = STATE(2695),
    [sym_bigarray_get_expression] = STATE(2695),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2743),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2743),
    [sym_package_expression] = STATE(2743),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2743),
    [sym_object_copy_expression] = STATE(2743),
    [sym_method_invocation] = STATE(2743),
    [sym_object_expression] = STATE(2743),
    [sym_parenthesized_expression] = STATE(2743),
    [sym_attribute] = STATE(1900),
    [sym_extension] = STATE(2743),
    [sym_quoted_extension] = STATE(2743),
    [sym__constant] = STATE(2743),
    [sym_number] = STATE(2910),
    [sym_character] = STATE(2910),
    [sym_string] = STATE(2910),
    [sym_quoted_string] = STATE(2910),
    [sym_boolean] = STATE(2910),
    [sym_unit] = STATE(2910),
    [sym_sign_operator] = STATE(1889),
    [sym__value_name] = STATE(2783),
    [sym_parenthesized_operator] = STATE(2843),
    [sym_value_path] = STATE(2743),
    [sym_module_path] = STATE(18591),
    [sym_constructor_path] = STATE(2743),
    [sym__instance_variable_name] = STATE(19174),
    [sym__constructor_name] = STATE(2911),
    [sym_tag] = STATE(2743),
    [sym__identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3127),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3129),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__capitalized_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1901] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(322),
    [sym__expression] = STATE(8125),
    [sym_typed_expression] = STATE(2743),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2743),
    [sym_array_expression] = STATE(2743),
    [sym_record_expression] = STATE(2743),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2743),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2743),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2695),
    [sym_array_get_expression] = STATE(2695),
    [sym_string_get_expression] = STATE(2695),
    [sym_bigarray_get_expression] = STATE(2695),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2743),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2743),
    [sym_package_expression] = STATE(2743),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2743),
    [sym_object_copy_expression] = STATE(2743),
    [sym_method_invocation] = STATE(2743),
    [sym_object_expression] = STATE(2743),
    [sym_parenthesized_expression] = STATE(2743),
    [sym_attribute] = STATE(1901),
    [sym_extension] = STATE(2743),
    [sym_quoted_extension] = STATE(2743),
    [sym__constant] = STATE(2743),
    [sym_number] = STATE(2910),
    [sym_character] = STATE(2910),
    [sym_string] = STATE(2910),
    [sym_quoted_string] = STATE(2910),
    [sym_boolean] = STATE(2910),
    [sym_unit] = STATE(2910),
    [sym_sign_operator] = STATE(1889),
    [sym__value_name] = STATE(2783),
    [sym_parenthesized_operator] = STATE(2843),
    [sym_value_path] = STATE(2743),
    [sym_module_path] = STATE(18591),
    [sym_constructor_path] = STATE(2743),
    [sym__instance_variable_name] = STATE(19174),
    [sym__constructor_name] = STATE(2911),
    [sym_tag] = STATE(2743),
    [sym__identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3127),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3129),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__capitalized_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1902] = {
    [sym_value_definition] = STATE(18444),
    [sym__simple_expression] = STATE(528),
    [sym__expression] = STATE(8318),
    [sym_typed_expression] = STATE(3337),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3337),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3337),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2728),
    [sym_array_get_expression] = STATE(2728),
    [sym_string_get_expression] = STATE(2728),
    [sym_bigarray_get_expression] = STATE(2728),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3337),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(1902),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym_sign_operator] = STATE(1870),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__instance_variable_name] = STATE(18316),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [sym__identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(453),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1903] = {
    [sym_value_definition] = STATE(18444),
    [sym__simple_expression] = STATE(528),
    [sym__expression] = STATE(8319),
    [sym_typed_expression] = STATE(3337),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3337),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3337),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2728),
    [sym_array_get_expression] = STATE(2728),
    [sym_string_get_expression] = STATE(2728),
    [sym_bigarray_get_expression] = STATE(2728),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3337),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(1903),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym_sign_operator] = STATE(1870),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__instance_variable_name] = STATE(18316),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [sym__identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(453),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1904] = {
    [sym_value_definition] = STATE(18444),
    [sym__simple_expression] = STATE(528),
    [sym__expression] = STATE(8325),
    [sym_typed_expression] = STATE(3337),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3337),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3337),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2728),
    [sym_array_get_expression] = STATE(2728),
    [sym_string_get_expression] = STATE(2728),
    [sym_bigarray_get_expression] = STATE(2728),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3337),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(1904),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym_sign_operator] = STATE(1870),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__instance_variable_name] = STATE(18316),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [sym__identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(453),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1905] = {
    [sym_value_definition] = STATE(18444),
    [sym__simple_expression] = STATE(528),
    [sym__expression] = STATE(8326),
    [sym_typed_expression] = STATE(3337),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3337),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3337),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2728),
    [sym_array_get_expression] = STATE(2728),
    [sym_string_get_expression] = STATE(2728),
    [sym_bigarray_get_expression] = STATE(2728),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3337),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(1905),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym_sign_operator] = STATE(1870),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__instance_variable_name] = STATE(18316),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [sym__identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(453),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1906] = {
    [sym_value_definition] = STATE(18444),
    [sym__simple_expression] = STATE(528),
    [sym__expression] = STATE(8327),
    [sym_typed_expression] = STATE(3337),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3337),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3337),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2728),
    [sym_array_get_expression] = STATE(2728),
    [sym_string_get_expression] = STATE(2728),
    [sym_bigarray_get_expression] = STATE(2728),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3337),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(1906),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym_sign_operator] = STATE(1870),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__instance_variable_name] = STATE(18316),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [sym__identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(453),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1907] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(322),
    [sym__expression] = STATE(8128),
    [sym_typed_expression] = STATE(2743),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2743),
    [sym_array_expression] = STATE(2743),
    [sym_record_expression] = STATE(2743),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2743),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2743),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2695),
    [sym_array_get_expression] = STATE(2695),
    [sym_string_get_expression] = STATE(2695),
    [sym_bigarray_get_expression] = STATE(2695),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2743),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2743),
    [sym_package_expression] = STATE(2743),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2743),
    [sym_object_copy_expression] = STATE(2743),
    [sym_method_invocation] = STATE(2743),
    [sym_object_expression] = STATE(2743),
    [sym_parenthesized_expression] = STATE(2743),
    [sym_attribute] = STATE(1907),
    [sym_extension] = STATE(2743),
    [sym_quoted_extension] = STATE(2743),
    [sym__constant] = STATE(2743),
    [sym_number] = STATE(2910),
    [sym_character] = STATE(2910),
    [sym_string] = STATE(2910),
    [sym_quoted_string] = STATE(2910),
    [sym_boolean] = STATE(2910),
    [sym_unit] = STATE(2910),
    [sym_sign_operator] = STATE(1889),
    [sym__value_name] = STATE(2783),
    [sym_parenthesized_operator] = STATE(2843),
    [sym_value_path] = STATE(2743),
    [sym_module_path] = STATE(18591),
    [sym_constructor_path] = STATE(2743),
    [sym__instance_variable_name] = STATE(19174),
    [sym__constructor_name] = STATE(2911),
    [sym_tag] = STATE(2743),
    [sym__identifier] = ACTIONS(295),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(311),
    [anon_sym_fun] = ACTIONS(313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(321),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_LBRACE_LT] = ACTIONS(327),
    [anon_sym_begin] = ACTIONS(329),
    [sym_ocamlyacc_value] = ACTIONS(331),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3127),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3129),
    [aux_sym_number_token1] = ACTIONS(339),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(343),
    [sym_prefix_operator] = ACTIONS(345),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(349),
    [sym__capitalized_identifier] = ACTIONS(351),
    [aux_sym_tag_token1] = ACTIONS(353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1908] = {
    [sym_value_definition] = STATE(18444),
    [sym__simple_expression] = STATE(528),
    [sym__expression] = STATE(8330),
    [sym_typed_expression] = STATE(3337),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3337),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3337),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2728),
    [sym_array_get_expression] = STATE(2728),
    [sym_string_get_expression] = STATE(2728),
    [sym_bigarray_get_expression] = STATE(2728),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3337),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(1908),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym_sign_operator] = STATE(1870),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__instance_variable_name] = STATE(18316),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [sym__identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(453),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1909] = {
    [sym__simple_expression] = STATE(4128),
    [sym_typed_expression] = STATE(4083),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_labeled_argument] = STATE(4620),
    [sym_prefix_expression] = STATE(4083),
    [sym_hash_expression] = STATE(4083),
    [sym_field_get_expression] = STATE(4083),
    [sym_array_get_expression] = STATE(4083),
    [sym_string_get_expression] = STATE(4083),
    [sym_bigarray_get_expression] = STATE(4083),
    [sym_coercion_expression] = STATE(4083),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(1909),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__constructor_name] = STATE(4095),
    [sym_tag] = STATE(4083),
    [aux_sym_class_application_repeat1] = STATE(2419),
    [sym__identifier] = ACTIONS(3955),
    [anon_sym_SEMI_SEMI] = ACTIONS(3081),
    [anon_sym_let] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_QMARK] = ACTIONS(3957),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_external] = ACTIONS(3083),
    [anon_sym_type] = ACTIONS(3083),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_DOT] = ACTIONS(3959),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_exception] = ACTIONS(3083),
    [anon_sym_module] = ACTIONS(3083),
    [anon_sym_open] = ACTIONS(3083),
    [anon_sym_include] = ACTIONS(3083),
    [anon_sym_class] = ACTIONS(3083),
    [anon_sym_end] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_POUND] = ACTIONS(3961),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(559),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3081),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(3963),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym_let_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_directive_token1] = ACTIONS(3083),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1910] = {
    [sym_value_definition] = STATE(19448),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8848),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(1910),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_tag] = STATE(4083),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1911] = {
    [sym_value_definition] = STATE(18444),
    [sym__simple_expression] = STATE(528),
    [sym__expression] = STATE(8324),
    [sym_typed_expression] = STATE(3337),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3337),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3337),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2728),
    [sym_array_get_expression] = STATE(2728),
    [sym_string_get_expression] = STATE(2728),
    [sym_bigarray_get_expression] = STATE(2728),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3337),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(1911),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym_sign_operator] = STATE(1870),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__instance_variable_name] = STATE(18316),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [sym__identifier] = ACTIONS(407),
    [anon_sym_let] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(413),
    [anon_sym_true] = ACTIONS(415),
    [anon_sym_false] = ACTIONS(415),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_object] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(423),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(433),
    [anon_sym_LBRACE_LT] = ACTIONS(435),
    [anon_sym_begin] = ACTIONS(437),
    [sym_ocamlyacc_value] = ACTIONS(439),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(445),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [sym_prefix_operator] = ACTIONS(451),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(453),
    [sym__capitalized_identifier] = ACTIONS(455),
    [aux_sym_tag_token1] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1912] = {
    [sym_value_definition] = STATE(19640),
    [sym__simple_expression] = STATE(332),
    [sym__expression] = STATE(8092),
    [sym_typed_expression] = STATE(2797),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2797),
    [sym_array_expression] = STATE(2797),
    [sym_record_expression] = STATE(2797),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2797),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2797),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2712),
    [sym_array_get_expression] = STATE(2712),
    [sym_string_get_expression] = STATE(2712),
    [sym_bigarray_get_expression] = STATE(2712),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2797),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2797),
    [sym_package_expression] = STATE(2797),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2797),
    [sym_object_copy_expression] = STATE(2797),
    [sym_method_invocation] = STATE(2797),
    [sym_object_expression] = STATE(2797),
    [sym_parenthesized_expression] = STATE(2797),
    [sym_attribute] = STATE(1912),
    [sym_extension] = STATE(2797),
    [sym_quoted_extension] = STATE(2797),
    [sym__constant] = STATE(2797),
    [sym_number] = STATE(2930),
    [sym_character] = STATE(2930),
    [sym_string] = STATE(2930),
    [sym_quoted_string] = STATE(2930),
    [sym_boolean] = STATE(2930),
    [sym_unit] = STATE(2930),
    [sym_sign_operator] = STATE(1941),
    [sym__value_name] = STATE(2839),
    [sym_parenthesized_operator] = STATE(2889),
    [sym_value_path] = STATE(2797),
    [sym_module_path] = STATE(18705),
    [sym_constructor_path] = STATE(2797),
    [sym__instance_variable_name] = STATE(19619),
    [sym__constructor_name] = STATE(2931),
    [sym_tag] = STATE(2797),
    [sym__identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3131),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3133),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__capitalized_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1913] = {
    [sym_value_definition] = STATE(19812),
    [sym__simple_expression] = STATE(1565),
    [sym__expression] = STATE(8439),
    [sym_typed_expression] = STATE(3895),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3895),
    [sym_array_expression] = STATE(3895),
    [sym_record_expression] = STATE(3895),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3895),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3895),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3520),
    [sym_array_get_expression] = STATE(3520),
    [sym_string_get_expression] = STATE(3520),
    [sym_bigarray_get_expression] = STATE(3520),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3895),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3895),
    [sym_package_expression] = STATE(3895),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3895),
    [sym_object_copy_expression] = STATE(3895),
    [sym_method_invocation] = STATE(3895),
    [sym_object_expression] = STATE(3895),
    [sym_parenthesized_expression] = STATE(3895),
    [sym_attribute] = STATE(1913),
    [sym_extension] = STATE(3895),
    [sym_quoted_extension] = STATE(3895),
    [sym__constant] = STATE(3895),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(1913),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(4006),
    [sym_value_path] = STATE(3895),
    [sym_module_path] = STATE(17569),
    [sym_constructor_path] = STATE(3895),
    [sym__instance_variable_name] = STATE(19697),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3895),
    [sym__identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3123),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3125),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__capitalized_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1914] = {
    [sym_value_definition] = STATE(19812),
    [sym__simple_expression] = STATE(1565),
    [sym__expression] = STATE(8535),
    [sym_typed_expression] = STATE(3895),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3895),
    [sym_array_expression] = STATE(3895),
    [sym_record_expression] = STATE(3895),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3895),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3895),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3520),
    [sym_array_get_expression] = STATE(3520),
    [sym_string_get_expression] = STATE(3520),
    [sym_bigarray_get_expression] = STATE(3520),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3895),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3895),
    [sym_package_expression] = STATE(3895),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3895),
    [sym_object_copy_expression] = STATE(3895),
    [sym_method_invocation] = STATE(3895),
    [sym_object_expression] = STATE(3895),
    [sym_parenthesized_expression] = STATE(3895),
    [sym_attribute] = STATE(1914),
    [sym_extension] = STATE(3895),
    [sym_quoted_extension] = STATE(3895),
    [sym__constant] = STATE(3895),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(1913),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(4006),
    [sym_value_path] = STATE(3895),
    [sym_module_path] = STATE(17569),
    [sym_constructor_path] = STATE(3895),
    [sym__instance_variable_name] = STATE(19697),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3895),
    [sym__identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3123),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3125),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__capitalized_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1915] = {
    [sym_value_definition] = STATE(19812),
    [sym__simple_expression] = STATE(1565),
    [sym__expression] = STATE(8466),
    [sym_typed_expression] = STATE(3895),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3895),
    [sym_array_expression] = STATE(3895),
    [sym_record_expression] = STATE(3895),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3895),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3895),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3520),
    [sym_array_get_expression] = STATE(3520),
    [sym_string_get_expression] = STATE(3520),
    [sym_bigarray_get_expression] = STATE(3520),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3895),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3895),
    [sym_package_expression] = STATE(3895),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3895),
    [sym_object_copy_expression] = STATE(3895),
    [sym_method_invocation] = STATE(3895),
    [sym_object_expression] = STATE(3895),
    [sym_parenthesized_expression] = STATE(3895),
    [sym_attribute] = STATE(1915),
    [sym_extension] = STATE(3895),
    [sym_quoted_extension] = STATE(3895),
    [sym__constant] = STATE(3895),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(1913),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(4006),
    [sym_value_path] = STATE(3895),
    [sym_module_path] = STATE(17569),
    [sym_constructor_path] = STATE(3895),
    [sym__instance_variable_name] = STATE(19697),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3895),
    [sym__identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3123),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3125),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__capitalized_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1916] = {
    [sym_value_definition] = STATE(19812),
    [sym__simple_expression] = STATE(1565),
    [sym__expression] = STATE(8513),
    [sym_typed_expression] = STATE(3895),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3895),
    [sym_array_expression] = STATE(3895),
    [sym_record_expression] = STATE(3895),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3895),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3895),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3520),
    [sym_array_get_expression] = STATE(3520),
    [sym_string_get_expression] = STATE(3520),
    [sym_bigarray_get_expression] = STATE(3520),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3895),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3895),
    [sym_package_expression] = STATE(3895),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3895),
    [sym_object_copy_expression] = STATE(3895),
    [sym_method_invocation] = STATE(3895),
    [sym_object_expression] = STATE(3895),
    [sym_parenthesized_expression] = STATE(3895),
    [sym_attribute] = STATE(1916),
    [sym_extension] = STATE(3895),
    [sym_quoted_extension] = STATE(3895),
    [sym__constant] = STATE(3895),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(1913),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(4006),
    [sym_value_path] = STATE(3895),
    [sym_module_path] = STATE(17569),
    [sym_constructor_path] = STATE(3895),
    [sym__instance_variable_name] = STATE(19697),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3895),
    [sym__identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3123),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3125),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__capitalized_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1917] = {
    [sym_value_definition] = STATE(19821),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12235),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6440),
    [sym_array_get_expression] = STATE(6440),
    [sym_string_get_expression] = STATE(6440),
    [sym_bigarray_get_expression] = STATE(6440),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(1917),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(1871),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(19783),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(2721),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2725),
    [anon_sym_function] = ACTIONS(2727),
    [anon_sym_try] = ACTIONS(2729),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2731),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1918] = {
    [sym_value_definition] = STATE(19812),
    [sym__simple_expression] = STATE(1565),
    [sym__expression] = STATE(8509),
    [sym_typed_expression] = STATE(3895),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3895),
    [sym_array_expression] = STATE(3895),
    [sym_record_expression] = STATE(3895),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3895),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3895),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3520),
    [sym_array_get_expression] = STATE(3520),
    [sym_string_get_expression] = STATE(3520),
    [sym_bigarray_get_expression] = STATE(3520),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3895),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3895),
    [sym_package_expression] = STATE(3895),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3895),
    [sym_object_copy_expression] = STATE(3895),
    [sym_method_invocation] = STATE(3895),
    [sym_object_expression] = STATE(3895),
    [sym_parenthesized_expression] = STATE(3895),
    [sym_attribute] = STATE(1918),
    [sym_extension] = STATE(3895),
    [sym_quoted_extension] = STATE(3895),
    [sym__constant] = STATE(3895),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(1913),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(4006),
    [sym_value_path] = STATE(3895),
    [sym_module_path] = STATE(17569),
    [sym_constructor_path] = STATE(3895),
    [sym__instance_variable_name] = STATE(19697),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3895),
    [sym__identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3123),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3125),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__capitalized_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1919] = {
    [sym_value_definition] = STATE(19812),
    [sym__simple_expression] = STATE(1565),
    [sym__expression] = STATE(8516),
    [sym_typed_expression] = STATE(3895),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3895),
    [sym_array_expression] = STATE(3895),
    [sym_record_expression] = STATE(3895),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3895),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3895),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3520),
    [sym_array_get_expression] = STATE(3520),
    [sym_string_get_expression] = STATE(3520),
    [sym_bigarray_get_expression] = STATE(3520),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3895),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3895),
    [sym_package_expression] = STATE(3895),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3895),
    [sym_object_copy_expression] = STATE(3895),
    [sym_method_invocation] = STATE(3895),
    [sym_object_expression] = STATE(3895),
    [sym_parenthesized_expression] = STATE(3895),
    [sym_attribute] = STATE(1919),
    [sym_extension] = STATE(3895),
    [sym_quoted_extension] = STATE(3895),
    [sym__constant] = STATE(3895),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(1913),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(4006),
    [sym_value_path] = STATE(3895),
    [sym_module_path] = STATE(17569),
    [sym_constructor_path] = STATE(3895),
    [sym__instance_variable_name] = STATE(19697),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3895),
    [sym__identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3123),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3125),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__capitalized_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1920] = {
    [sym_value_definition] = STATE(19812),
    [sym__simple_expression] = STATE(1565),
    [sym__expression] = STATE(8422),
    [sym_typed_expression] = STATE(3895),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3895),
    [sym_array_expression] = STATE(3895),
    [sym_record_expression] = STATE(3895),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3895),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3895),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3520),
    [sym_array_get_expression] = STATE(3520),
    [sym_string_get_expression] = STATE(3520),
    [sym_bigarray_get_expression] = STATE(3520),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3895),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3895),
    [sym_package_expression] = STATE(3895),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3895),
    [sym_object_copy_expression] = STATE(3895),
    [sym_method_invocation] = STATE(3895),
    [sym_object_expression] = STATE(3895),
    [sym_parenthesized_expression] = STATE(3895),
    [sym_attribute] = STATE(1920),
    [sym_extension] = STATE(3895),
    [sym_quoted_extension] = STATE(3895),
    [sym__constant] = STATE(3895),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(1913),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(4006),
    [sym_value_path] = STATE(3895),
    [sym_module_path] = STATE(17569),
    [sym_constructor_path] = STATE(3895),
    [sym__instance_variable_name] = STATE(19697),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3895),
    [sym__identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3123),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3125),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__capitalized_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1921] = {
    [sym_value_definition] = STATE(19812),
    [sym__simple_expression] = STATE(1565),
    [sym__expression] = STATE(8434),
    [sym_typed_expression] = STATE(3895),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3895),
    [sym_array_expression] = STATE(3895),
    [sym_record_expression] = STATE(3895),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3895),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3895),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3520),
    [sym_array_get_expression] = STATE(3520),
    [sym_string_get_expression] = STATE(3520),
    [sym_bigarray_get_expression] = STATE(3520),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3895),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3895),
    [sym_package_expression] = STATE(3895),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3895),
    [sym_object_copy_expression] = STATE(3895),
    [sym_method_invocation] = STATE(3895),
    [sym_object_expression] = STATE(3895),
    [sym_parenthesized_expression] = STATE(3895),
    [sym_attribute] = STATE(1921),
    [sym_extension] = STATE(3895),
    [sym_quoted_extension] = STATE(3895),
    [sym__constant] = STATE(3895),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(1913),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(4006),
    [sym_value_path] = STATE(3895),
    [sym_module_path] = STATE(17569),
    [sym_constructor_path] = STATE(3895),
    [sym__instance_variable_name] = STATE(19697),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3895),
    [sym__identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3123),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3125),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__capitalized_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1922] = {
    [sym_value_definition] = STATE(19812),
    [sym__simple_expression] = STATE(1565),
    [sym__expression] = STATE(8523),
    [sym_typed_expression] = STATE(3895),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3895),
    [sym_array_expression] = STATE(3895),
    [sym_record_expression] = STATE(3895),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3895),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3895),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3520),
    [sym_array_get_expression] = STATE(3520),
    [sym_string_get_expression] = STATE(3520),
    [sym_bigarray_get_expression] = STATE(3520),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3895),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3895),
    [sym_package_expression] = STATE(3895),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3895),
    [sym_object_copy_expression] = STATE(3895),
    [sym_method_invocation] = STATE(3895),
    [sym_object_expression] = STATE(3895),
    [sym_parenthesized_expression] = STATE(3895),
    [sym_attribute] = STATE(1922),
    [sym_extension] = STATE(3895),
    [sym_quoted_extension] = STATE(3895),
    [sym__constant] = STATE(3895),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(1913),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(4006),
    [sym_value_path] = STATE(3895),
    [sym_module_path] = STATE(17569),
    [sym_constructor_path] = STATE(3895),
    [sym__instance_variable_name] = STATE(19697),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3895),
    [sym__identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3123),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3125),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__capitalized_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1923] = {
    [sym_value_definition] = STATE(19812),
    [sym__simple_expression] = STATE(1565),
    [sym__expression] = STATE(8533),
    [sym_typed_expression] = STATE(3895),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3895),
    [sym_array_expression] = STATE(3895),
    [sym_record_expression] = STATE(3895),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3895),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3895),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3520),
    [sym_array_get_expression] = STATE(3520),
    [sym_string_get_expression] = STATE(3520),
    [sym_bigarray_get_expression] = STATE(3520),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3895),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3895),
    [sym_package_expression] = STATE(3895),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3895),
    [sym_object_copy_expression] = STATE(3895),
    [sym_method_invocation] = STATE(3895),
    [sym_object_expression] = STATE(3895),
    [sym_parenthesized_expression] = STATE(3895),
    [sym_attribute] = STATE(1923),
    [sym_extension] = STATE(3895),
    [sym_quoted_extension] = STATE(3895),
    [sym__constant] = STATE(3895),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(1913),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(4006),
    [sym_value_path] = STATE(3895),
    [sym_module_path] = STATE(17569),
    [sym_constructor_path] = STATE(3895),
    [sym__instance_variable_name] = STATE(19697),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3895),
    [sym__identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3123),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3125),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__capitalized_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1924] = {
    [sym_value_definition] = STATE(19812),
    [sym__simple_expression] = STATE(1565),
    [sym__expression] = STATE(8424),
    [sym_typed_expression] = STATE(3895),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3895),
    [sym_array_expression] = STATE(3895),
    [sym_record_expression] = STATE(3895),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3895),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3895),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3520),
    [sym_array_get_expression] = STATE(3520),
    [sym_string_get_expression] = STATE(3520),
    [sym_bigarray_get_expression] = STATE(3520),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3895),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3895),
    [sym_package_expression] = STATE(3895),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3895),
    [sym_object_copy_expression] = STATE(3895),
    [sym_method_invocation] = STATE(3895),
    [sym_object_expression] = STATE(3895),
    [sym_parenthesized_expression] = STATE(3895),
    [sym_attribute] = STATE(1924),
    [sym_extension] = STATE(3895),
    [sym_quoted_extension] = STATE(3895),
    [sym__constant] = STATE(3895),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(1913),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(4006),
    [sym_value_path] = STATE(3895),
    [sym_module_path] = STATE(17569),
    [sym_constructor_path] = STATE(3895),
    [sym__instance_variable_name] = STATE(19697),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3895),
    [sym__identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3123),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3125),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__capitalized_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1925] = {
    [sym_value_definition] = STATE(19812),
    [sym__simple_expression] = STATE(1565),
    [sym__expression] = STATE(8430),
    [sym_typed_expression] = STATE(3895),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3895),
    [sym_array_expression] = STATE(3895),
    [sym_record_expression] = STATE(3895),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3895),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3895),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3520),
    [sym_array_get_expression] = STATE(3520),
    [sym_string_get_expression] = STATE(3520),
    [sym_bigarray_get_expression] = STATE(3520),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3895),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3895),
    [sym_package_expression] = STATE(3895),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3895),
    [sym_object_copy_expression] = STATE(3895),
    [sym_method_invocation] = STATE(3895),
    [sym_object_expression] = STATE(3895),
    [sym_parenthesized_expression] = STATE(3895),
    [sym_attribute] = STATE(1925),
    [sym_extension] = STATE(3895),
    [sym_quoted_extension] = STATE(3895),
    [sym__constant] = STATE(3895),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(1913),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(4006),
    [sym_value_path] = STATE(3895),
    [sym_module_path] = STATE(17569),
    [sym_constructor_path] = STATE(3895),
    [sym__instance_variable_name] = STATE(19697),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3895),
    [sym__identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3123),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3125),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__capitalized_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1926] = {
    [sym_value_definition] = STATE(17704),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12224),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6549),
    [sym_array_get_expression] = STATE(6549),
    [sym_string_get_expression] = STATE(6549),
    [sym_bigarray_get_expression] = STATE(6549),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(1926),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17686),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2839),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2849),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1927] = {
    [sym_value_definition] = STATE(17704),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12293),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6549),
    [sym_array_get_expression] = STATE(6549),
    [sym_string_get_expression] = STATE(6549),
    [sym_bigarray_get_expression] = STATE(6549),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(1927),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17686),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2839),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2849),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1928] = {
    [sym_value_definition] = STATE(17704),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12294),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6549),
    [sym_array_get_expression] = STATE(6549),
    [sym_string_get_expression] = STATE(6549),
    [sym_bigarray_get_expression] = STATE(6549),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(1928),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17686),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2839),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2849),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1929] = {
    [sym_value_definition] = STATE(17704),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12297),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6549),
    [sym_array_get_expression] = STATE(6549),
    [sym_string_get_expression] = STATE(6549),
    [sym_bigarray_get_expression] = STATE(6549),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(1929),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17686),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2839),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2849),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1930] = {
    [sym_value_definition] = STATE(17704),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12298),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6549),
    [sym_array_get_expression] = STATE(6549),
    [sym_string_get_expression] = STATE(6549),
    [sym_bigarray_get_expression] = STATE(6549),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(1930),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17686),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2839),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2849),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1931] = {
    [sym_value_definition] = STATE(17704),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12299),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6549),
    [sym_array_get_expression] = STATE(6549),
    [sym_string_get_expression] = STATE(6549),
    [sym_bigarray_get_expression] = STATE(6549),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(1931),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17686),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2839),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2849),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1932] = {
    [sym_value_definition] = STATE(17704),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12300),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6549),
    [sym_array_get_expression] = STATE(6549),
    [sym_string_get_expression] = STATE(6549),
    [sym_bigarray_get_expression] = STATE(6549),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(1932),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17686),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2839),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2849),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1933] = {
    [sym_value_definition] = STATE(17704),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12301),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6549),
    [sym_array_get_expression] = STATE(6549),
    [sym_string_get_expression] = STATE(6549),
    [sym_bigarray_get_expression] = STATE(6549),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(1933),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17686),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2839),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2849),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1934] = {
    [sym_value_definition] = STATE(17704),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12302),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6549),
    [sym_array_get_expression] = STATE(6549),
    [sym_string_get_expression] = STATE(6549),
    [sym_bigarray_get_expression] = STATE(6549),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(1934),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17686),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2839),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2849),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1935] = {
    [sym_value_definition] = STATE(17704),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12303),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6549),
    [sym_array_get_expression] = STATE(6549),
    [sym_string_get_expression] = STATE(6549),
    [sym_bigarray_get_expression] = STATE(6549),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(1935),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17686),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2839),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2849),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1936] = {
    [sym_value_definition] = STATE(17704),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12304),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6549),
    [sym_array_get_expression] = STATE(6549),
    [sym_string_get_expression] = STATE(6549),
    [sym_bigarray_get_expression] = STATE(6549),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(1936),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17686),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2839),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2849),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1937] = {
    [sym_value_definition] = STATE(17704),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12305),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6549),
    [sym_array_get_expression] = STATE(6549),
    [sym_string_get_expression] = STATE(6549),
    [sym_bigarray_get_expression] = STATE(6549),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(1937),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17686),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2839),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2849),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1938] = {
    [sym_value_definition] = STATE(19448),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8670),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(1938),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_tag] = STATE(4083),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1939] = {
    [sym_value_definition] = STATE(17704),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12313),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6549),
    [sym_array_get_expression] = STATE(6549),
    [sym_string_get_expression] = STATE(6549),
    [sym_bigarray_get_expression] = STATE(6549),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(1939),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17686),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2839),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2849),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1940] = {
    [sym_value_definition] = STATE(19812),
    [sym__simple_expression] = STATE(1565),
    [sym__expression] = STATE(8456),
    [sym_typed_expression] = STATE(3895),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3895),
    [sym_array_expression] = STATE(3895),
    [sym_record_expression] = STATE(3895),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3895),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3895),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3520),
    [sym_array_get_expression] = STATE(3520),
    [sym_string_get_expression] = STATE(3520),
    [sym_bigarray_get_expression] = STATE(3520),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3895),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3895),
    [sym_package_expression] = STATE(3895),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3895),
    [sym_object_copy_expression] = STATE(3895),
    [sym_method_invocation] = STATE(3895),
    [sym_object_expression] = STATE(3895),
    [sym_parenthesized_expression] = STATE(3895),
    [sym_attribute] = STATE(1940),
    [sym_extension] = STATE(3895),
    [sym_quoted_extension] = STATE(3895),
    [sym__constant] = STATE(3895),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(1913),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(4006),
    [sym_value_path] = STATE(3895),
    [sym_module_path] = STATE(17569),
    [sym_constructor_path] = STATE(3895),
    [sym__instance_variable_name] = STATE(19697),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3895),
    [sym__identifier] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_fun] = ACTIONS(819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3123),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3125),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(851),
    [sym__capitalized_identifier] = ACTIONS(853),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1941] = {
    [sym_value_definition] = STATE(19640),
    [sym__simple_expression] = STATE(332),
    [sym__expression] = STATE(8180),
    [sym_typed_expression] = STATE(2797),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2797),
    [sym_array_expression] = STATE(2797),
    [sym_record_expression] = STATE(2797),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2797),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2797),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2712),
    [sym_array_get_expression] = STATE(2712),
    [sym_string_get_expression] = STATE(2712),
    [sym_bigarray_get_expression] = STATE(2712),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2797),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2797),
    [sym_package_expression] = STATE(2797),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2797),
    [sym_object_copy_expression] = STATE(2797),
    [sym_method_invocation] = STATE(2797),
    [sym_object_expression] = STATE(2797),
    [sym_parenthesized_expression] = STATE(2797),
    [sym_attribute] = STATE(1941),
    [sym_extension] = STATE(2797),
    [sym_quoted_extension] = STATE(2797),
    [sym__constant] = STATE(2797),
    [sym_number] = STATE(2930),
    [sym_character] = STATE(2930),
    [sym_string] = STATE(2930),
    [sym_quoted_string] = STATE(2930),
    [sym_boolean] = STATE(2930),
    [sym_unit] = STATE(2930),
    [sym_sign_operator] = STATE(1941),
    [sym__value_name] = STATE(2839),
    [sym_parenthesized_operator] = STATE(2889),
    [sym_value_path] = STATE(2797),
    [sym_module_path] = STATE(18705),
    [sym_constructor_path] = STATE(2797),
    [sym__instance_variable_name] = STATE(19619),
    [sym__constructor_name] = STATE(2931),
    [sym_tag] = STATE(2797),
    [sym__identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3131),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3133),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__capitalized_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1942] = {
    [sym_value_definition] = STATE(19448),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8672),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(1942),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_tag] = STATE(4083),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1943] = {
    [sym_value_definition] = STATE(19640),
    [sym__simple_expression] = STATE(332),
    [sym__expression] = STATE(8198),
    [sym_typed_expression] = STATE(2797),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2797),
    [sym_array_expression] = STATE(2797),
    [sym_record_expression] = STATE(2797),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2797),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2797),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2712),
    [sym_array_get_expression] = STATE(2712),
    [sym_string_get_expression] = STATE(2712),
    [sym_bigarray_get_expression] = STATE(2712),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2797),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2797),
    [sym_package_expression] = STATE(2797),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2797),
    [sym_object_copy_expression] = STATE(2797),
    [sym_method_invocation] = STATE(2797),
    [sym_object_expression] = STATE(2797),
    [sym_parenthesized_expression] = STATE(2797),
    [sym_attribute] = STATE(1943),
    [sym_extension] = STATE(2797),
    [sym_quoted_extension] = STATE(2797),
    [sym__constant] = STATE(2797),
    [sym_number] = STATE(2930),
    [sym_character] = STATE(2930),
    [sym_string] = STATE(2930),
    [sym_quoted_string] = STATE(2930),
    [sym_boolean] = STATE(2930),
    [sym_unit] = STATE(2930),
    [sym_sign_operator] = STATE(1941),
    [sym__value_name] = STATE(2839),
    [sym_parenthesized_operator] = STATE(2889),
    [sym_value_path] = STATE(2797),
    [sym_module_path] = STATE(18705),
    [sym_constructor_path] = STATE(2797),
    [sym__instance_variable_name] = STATE(19619),
    [sym__constructor_name] = STATE(2931),
    [sym_tag] = STATE(2797),
    [sym__identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3131),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3133),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__capitalized_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1944] = {
    [sym_value_definition] = STATE(19640),
    [sym__simple_expression] = STATE(332),
    [sym__expression] = STATE(8199),
    [sym_typed_expression] = STATE(2797),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2797),
    [sym_array_expression] = STATE(2797),
    [sym_record_expression] = STATE(2797),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2797),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2797),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2712),
    [sym_array_get_expression] = STATE(2712),
    [sym_string_get_expression] = STATE(2712),
    [sym_bigarray_get_expression] = STATE(2712),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2797),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2797),
    [sym_package_expression] = STATE(2797),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2797),
    [sym_object_copy_expression] = STATE(2797),
    [sym_method_invocation] = STATE(2797),
    [sym_object_expression] = STATE(2797),
    [sym_parenthesized_expression] = STATE(2797),
    [sym_attribute] = STATE(1944),
    [sym_extension] = STATE(2797),
    [sym_quoted_extension] = STATE(2797),
    [sym__constant] = STATE(2797),
    [sym_number] = STATE(2930),
    [sym_character] = STATE(2930),
    [sym_string] = STATE(2930),
    [sym_quoted_string] = STATE(2930),
    [sym_boolean] = STATE(2930),
    [sym_unit] = STATE(2930),
    [sym_sign_operator] = STATE(1941),
    [sym__value_name] = STATE(2839),
    [sym_parenthesized_operator] = STATE(2889),
    [sym_value_path] = STATE(2797),
    [sym_module_path] = STATE(18705),
    [sym_constructor_path] = STATE(2797),
    [sym__instance_variable_name] = STATE(19619),
    [sym__constructor_name] = STATE(2931),
    [sym_tag] = STATE(2797),
    [sym__identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3131),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3133),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__capitalized_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1945] = {
    [sym_value_definition] = STATE(19640),
    [sym__simple_expression] = STATE(332),
    [sym__expression] = STATE(8200),
    [sym_typed_expression] = STATE(2797),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2797),
    [sym_array_expression] = STATE(2797),
    [sym_record_expression] = STATE(2797),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2797),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2797),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2712),
    [sym_array_get_expression] = STATE(2712),
    [sym_string_get_expression] = STATE(2712),
    [sym_bigarray_get_expression] = STATE(2712),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2797),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2797),
    [sym_package_expression] = STATE(2797),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2797),
    [sym_object_copy_expression] = STATE(2797),
    [sym_method_invocation] = STATE(2797),
    [sym_object_expression] = STATE(2797),
    [sym_parenthesized_expression] = STATE(2797),
    [sym_attribute] = STATE(1945),
    [sym_extension] = STATE(2797),
    [sym_quoted_extension] = STATE(2797),
    [sym__constant] = STATE(2797),
    [sym_number] = STATE(2930),
    [sym_character] = STATE(2930),
    [sym_string] = STATE(2930),
    [sym_quoted_string] = STATE(2930),
    [sym_boolean] = STATE(2930),
    [sym_unit] = STATE(2930),
    [sym_sign_operator] = STATE(1941),
    [sym__value_name] = STATE(2839),
    [sym_parenthesized_operator] = STATE(2889),
    [sym_value_path] = STATE(2797),
    [sym_module_path] = STATE(18705),
    [sym_constructor_path] = STATE(2797),
    [sym__instance_variable_name] = STATE(19619),
    [sym__constructor_name] = STATE(2931),
    [sym_tag] = STATE(2797),
    [sym__identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3131),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3133),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__capitalized_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1946] = {
    [sym_value_definition] = STATE(19640),
    [sym__simple_expression] = STATE(332),
    [sym__expression] = STATE(8201),
    [sym_typed_expression] = STATE(2797),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2797),
    [sym_array_expression] = STATE(2797),
    [sym_record_expression] = STATE(2797),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2797),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2797),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2712),
    [sym_array_get_expression] = STATE(2712),
    [sym_string_get_expression] = STATE(2712),
    [sym_bigarray_get_expression] = STATE(2712),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2797),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2797),
    [sym_package_expression] = STATE(2797),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2797),
    [sym_object_copy_expression] = STATE(2797),
    [sym_method_invocation] = STATE(2797),
    [sym_object_expression] = STATE(2797),
    [sym_parenthesized_expression] = STATE(2797),
    [sym_attribute] = STATE(1946),
    [sym_extension] = STATE(2797),
    [sym_quoted_extension] = STATE(2797),
    [sym__constant] = STATE(2797),
    [sym_number] = STATE(2930),
    [sym_character] = STATE(2930),
    [sym_string] = STATE(2930),
    [sym_quoted_string] = STATE(2930),
    [sym_boolean] = STATE(2930),
    [sym_unit] = STATE(2930),
    [sym_sign_operator] = STATE(1941),
    [sym__value_name] = STATE(2839),
    [sym_parenthesized_operator] = STATE(2889),
    [sym_value_path] = STATE(2797),
    [sym_module_path] = STATE(18705),
    [sym_constructor_path] = STATE(2797),
    [sym__instance_variable_name] = STATE(19619),
    [sym__constructor_name] = STATE(2931),
    [sym_tag] = STATE(2797),
    [sym__identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3131),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3133),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__capitalized_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1947] = {
    [sym_value_definition] = STATE(19640),
    [sym__simple_expression] = STATE(332),
    [sym__expression] = STATE(8202),
    [sym_typed_expression] = STATE(2797),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2797),
    [sym_array_expression] = STATE(2797),
    [sym_record_expression] = STATE(2797),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2797),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2797),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2712),
    [sym_array_get_expression] = STATE(2712),
    [sym_string_get_expression] = STATE(2712),
    [sym_bigarray_get_expression] = STATE(2712),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2797),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2797),
    [sym_package_expression] = STATE(2797),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2797),
    [sym_object_copy_expression] = STATE(2797),
    [sym_method_invocation] = STATE(2797),
    [sym_object_expression] = STATE(2797),
    [sym_parenthesized_expression] = STATE(2797),
    [sym_attribute] = STATE(1947),
    [sym_extension] = STATE(2797),
    [sym_quoted_extension] = STATE(2797),
    [sym__constant] = STATE(2797),
    [sym_number] = STATE(2930),
    [sym_character] = STATE(2930),
    [sym_string] = STATE(2930),
    [sym_quoted_string] = STATE(2930),
    [sym_boolean] = STATE(2930),
    [sym_unit] = STATE(2930),
    [sym_sign_operator] = STATE(1941),
    [sym__value_name] = STATE(2839),
    [sym_parenthesized_operator] = STATE(2889),
    [sym_value_path] = STATE(2797),
    [sym_module_path] = STATE(18705),
    [sym_constructor_path] = STATE(2797),
    [sym__instance_variable_name] = STATE(19619),
    [sym__constructor_name] = STATE(2931),
    [sym_tag] = STATE(2797),
    [sym__identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3131),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3133),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__capitalized_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1948] = {
    [sym_value_definition] = STATE(19640),
    [sym__simple_expression] = STATE(332),
    [sym__expression] = STATE(8203),
    [sym_typed_expression] = STATE(2797),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2797),
    [sym_array_expression] = STATE(2797),
    [sym_record_expression] = STATE(2797),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2797),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2797),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2712),
    [sym_array_get_expression] = STATE(2712),
    [sym_string_get_expression] = STATE(2712),
    [sym_bigarray_get_expression] = STATE(2712),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2797),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2797),
    [sym_package_expression] = STATE(2797),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2797),
    [sym_object_copy_expression] = STATE(2797),
    [sym_method_invocation] = STATE(2797),
    [sym_object_expression] = STATE(2797),
    [sym_parenthesized_expression] = STATE(2797),
    [sym_attribute] = STATE(1948),
    [sym_extension] = STATE(2797),
    [sym_quoted_extension] = STATE(2797),
    [sym__constant] = STATE(2797),
    [sym_number] = STATE(2930),
    [sym_character] = STATE(2930),
    [sym_string] = STATE(2930),
    [sym_quoted_string] = STATE(2930),
    [sym_boolean] = STATE(2930),
    [sym_unit] = STATE(2930),
    [sym_sign_operator] = STATE(1941),
    [sym__value_name] = STATE(2839),
    [sym_parenthesized_operator] = STATE(2889),
    [sym_value_path] = STATE(2797),
    [sym_module_path] = STATE(18705),
    [sym_constructor_path] = STATE(2797),
    [sym__instance_variable_name] = STATE(19619),
    [sym__constructor_name] = STATE(2931),
    [sym_tag] = STATE(2797),
    [sym__identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3131),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3133),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__capitalized_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1949] = {
    [sym_value_definition] = STATE(19640),
    [sym__simple_expression] = STATE(332),
    [sym__expression] = STATE(8204),
    [sym_typed_expression] = STATE(2797),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2797),
    [sym_array_expression] = STATE(2797),
    [sym_record_expression] = STATE(2797),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2797),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2797),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2712),
    [sym_array_get_expression] = STATE(2712),
    [sym_string_get_expression] = STATE(2712),
    [sym_bigarray_get_expression] = STATE(2712),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2797),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2797),
    [sym_package_expression] = STATE(2797),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2797),
    [sym_object_copy_expression] = STATE(2797),
    [sym_method_invocation] = STATE(2797),
    [sym_object_expression] = STATE(2797),
    [sym_parenthesized_expression] = STATE(2797),
    [sym_attribute] = STATE(1949),
    [sym_extension] = STATE(2797),
    [sym_quoted_extension] = STATE(2797),
    [sym__constant] = STATE(2797),
    [sym_number] = STATE(2930),
    [sym_character] = STATE(2930),
    [sym_string] = STATE(2930),
    [sym_quoted_string] = STATE(2930),
    [sym_boolean] = STATE(2930),
    [sym_unit] = STATE(2930),
    [sym_sign_operator] = STATE(1941),
    [sym__value_name] = STATE(2839),
    [sym_parenthesized_operator] = STATE(2889),
    [sym_value_path] = STATE(2797),
    [sym_module_path] = STATE(18705),
    [sym_constructor_path] = STATE(2797),
    [sym__instance_variable_name] = STATE(19619),
    [sym__constructor_name] = STATE(2931),
    [sym_tag] = STATE(2797),
    [sym__identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3131),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3133),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__capitalized_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1950] = {
    [sym_value_definition] = STATE(19640),
    [sym__simple_expression] = STATE(332),
    [sym__expression] = STATE(8205),
    [sym_typed_expression] = STATE(2797),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2797),
    [sym_array_expression] = STATE(2797),
    [sym_record_expression] = STATE(2797),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2797),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2797),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2712),
    [sym_array_get_expression] = STATE(2712),
    [sym_string_get_expression] = STATE(2712),
    [sym_bigarray_get_expression] = STATE(2712),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2797),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2797),
    [sym_package_expression] = STATE(2797),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2797),
    [sym_object_copy_expression] = STATE(2797),
    [sym_method_invocation] = STATE(2797),
    [sym_object_expression] = STATE(2797),
    [sym_parenthesized_expression] = STATE(2797),
    [sym_attribute] = STATE(1950),
    [sym_extension] = STATE(2797),
    [sym_quoted_extension] = STATE(2797),
    [sym__constant] = STATE(2797),
    [sym_number] = STATE(2930),
    [sym_character] = STATE(2930),
    [sym_string] = STATE(2930),
    [sym_quoted_string] = STATE(2930),
    [sym_boolean] = STATE(2930),
    [sym_unit] = STATE(2930),
    [sym_sign_operator] = STATE(1941),
    [sym__value_name] = STATE(2839),
    [sym_parenthesized_operator] = STATE(2889),
    [sym_value_path] = STATE(2797),
    [sym_module_path] = STATE(18705),
    [sym_constructor_path] = STATE(2797),
    [sym__instance_variable_name] = STATE(19619),
    [sym__constructor_name] = STATE(2931),
    [sym_tag] = STATE(2797),
    [sym__identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3131),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3133),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__capitalized_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1951] = {
    [sym_value_definition] = STATE(19640),
    [sym__simple_expression] = STATE(332),
    [sym__expression] = STATE(8206),
    [sym_typed_expression] = STATE(2797),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2797),
    [sym_array_expression] = STATE(2797),
    [sym_record_expression] = STATE(2797),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2797),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2797),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2712),
    [sym_array_get_expression] = STATE(2712),
    [sym_string_get_expression] = STATE(2712),
    [sym_bigarray_get_expression] = STATE(2712),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2797),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2797),
    [sym_package_expression] = STATE(2797),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2797),
    [sym_object_copy_expression] = STATE(2797),
    [sym_method_invocation] = STATE(2797),
    [sym_object_expression] = STATE(2797),
    [sym_parenthesized_expression] = STATE(2797),
    [sym_attribute] = STATE(1951),
    [sym_extension] = STATE(2797),
    [sym_quoted_extension] = STATE(2797),
    [sym__constant] = STATE(2797),
    [sym_number] = STATE(2930),
    [sym_character] = STATE(2930),
    [sym_string] = STATE(2930),
    [sym_quoted_string] = STATE(2930),
    [sym_boolean] = STATE(2930),
    [sym_unit] = STATE(2930),
    [sym_sign_operator] = STATE(1941),
    [sym__value_name] = STATE(2839),
    [sym_parenthesized_operator] = STATE(2889),
    [sym_value_path] = STATE(2797),
    [sym_module_path] = STATE(18705),
    [sym_constructor_path] = STATE(2797),
    [sym__instance_variable_name] = STATE(19619),
    [sym__constructor_name] = STATE(2931),
    [sym_tag] = STATE(2797),
    [sym__identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3131),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3133),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__capitalized_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1952] = {
    [sym_value_definition] = STATE(19640),
    [sym__simple_expression] = STATE(332),
    [sym__expression] = STATE(8207),
    [sym_typed_expression] = STATE(2797),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2797),
    [sym_array_expression] = STATE(2797),
    [sym_record_expression] = STATE(2797),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2797),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2797),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2712),
    [sym_array_get_expression] = STATE(2712),
    [sym_string_get_expression] = STATE(2712),
    [sym_bigarray_get_expression] = STATE(2712),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2797),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2797),
    [sym_package_expression] = STATE(2797),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2797),
    [sym_object_copy_expression] = STATE(2797),
    [sym_method_invocation] = STATE(2797),
    [sym_object_expression] = STATE(2797),
    [sym_parenthesized_expression] = STATE(2797),
    [sym_attribute] = STATE(1952),
    [sym_extension] = STATE(2797),
    [sym_quoted_extension] = STATE(2797),
    [sym__constant] = STATE(2797),
    [sym_number] = STATE(2930),
    [sym_character] = STATE(2930),
    [sym_string] = STATE(2930),
    [sym_quoted_string] = STATE(2930),
    [sym_boolean] = STATE(2930),
    [sym_unit] = STATE(2930),
    [sym_sign_operator] = STATE(1941),
    [sym__value_name] = STATE(2839),
    [sym_parenthesized_operator] = STATE(2889),
    [sym_value_path] = STATE(2797),
    [sym_module_path] = STATE(18705),
    [sym_constructor_path] = STATE(2797),
    [sym__instance_variable_name] = STATE(19619),
    [sym__constructor_name] = STATE(2931),
    [sym_tag] = STATE(2797),
    [sym__identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3131),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3133),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__capitalized_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1953] = {
    [sym_value_definition] = STATE(19640),
    [sym__simple_expression] = STATE(332),
    [sym__expression] = STATE(8208),
    [sym_typed_expression] = STATE(2797),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2797),
    [sym_array_expression] = STATE(2797),
    [sym_record_expression] = STATE(2797),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2797),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2797),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2712),
    [sym_array_get_expression] = STATE(2712),
    [sym_string_get_expression] = STATE(2712),
    [sym_bigarray_get_expression] = STATE(2712),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2797),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2797),
    [sym_package_expression] = STATE(2797),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2797),
    [sym_object_copy_expression] = STATE(2797),
    [sym_method_invocation] = STATE(2797),
    [sym_object_expression] = STATE(2797),
    [sym_parenthesized_expression] = STATE(2797),
    [sym_attribute] = STATE(1953),
    [sym_extension] = STATE(2797),
    [sym_quoted_extension] = STATE(2797),
    [sym__constant] = STATE(2797),
    [sym_number] = STATE(2930),
    [sym_character] = STATE(2930),
    [sym_string] = STATE(2930),
    [sym_quoted_string] = STATE(2930),
    [sym_boolean] = STATE(2930),
    [sym_unit] = STATE(2930),
    [sym_sign_operator] = STATE(1941),
    [sym__value_name] = STATE(2839),
    [sym_parenthesized_operator] = STATE(2889),
    [sym_value_path] = STATE(2797),
    [sym_module_path] = STATE(18705),
    [sym_constructor_path] = STATE(2797),
    [sym__instance_variable_name] = STATE(19619),
    [sym__constructor_name] = STATE(2931),
    [sym_tag] = STATE(2797),
    [sym__identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3131),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3133),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__capitalized_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1954] = {
    [sym_value_definition] = STATE(18092),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12507),
    [sym_typed_expression] = STATE(7127),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(7127),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(7127),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(7127),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(1954),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym_sign_operator] = STATE(1954),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__instance_variable_name] = STATE(18010),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [sym__identifier] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2735),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_function] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2779),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1955] = {
    [sym_value_definition] = STATE(19640),
    [sym__simple_expression] = STATE(332),
    [sym__expression] = STATE(8211),
    [sym_typed_expression] = STATE(2797),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(2797),
    [sym_array_expression] = STATE(2797),
    [sym_record_expression] = STATE(2797),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(2797),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(2797),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2712),
    [sym_array_get_expression] = STATE(2712),
    [sym_string_get_expression] = STATE(2712),
    [sym_bigarray_get_expression] = STATE(2712),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(2797),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(2797),
    [sym_package_expression] = STATE(2797),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(2797),
    [sym_object_copy_expression] = STATE(2797),
    [sym_method_invocation] = STATE(2797),
    [sym_object_expression] = STATE(2797),
    [sym_parenthesized_expression] = STATE(2797),
    [sym_attribute] = STATE(1955),
    [sym_extension] = STATE(2797),
    [sym_quoted_extension] = STATE(2797),
    [sym__constant] = STATE(2797),
    [sym_number] = STATE(2930),
    [sym_character] = STATE(2930),
    [sym_string] = STATE(2930),
    [sym_quoted_string] = STATE(2930),
    [sym_boolean] = STATE(2930),
    [sym_unit] = STATE(2930),
    [sym_sign_operator] = STATE(1941),
    [sym__value_name] = STATE(2839),
    [sym_parenthesized_operator] = STATE(2889),
    [sym_value_path] = STATE(2797),
    [sym_module_path] = STATE(18705),
    [sym_constructor_path] = STATE(2797),
    [sym__instance_variable_name] = STATE(19619),
    [sym__constructor_name] = STATE(2931),
    [sym_tag] = STATE(2797),
    [sym__identifier] = ACTIONS(355),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_fun] = ACTIONS(369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(373),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(379),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(381),
    [anon_sym_LBRACE_LT] = ACTIONS(383),
    [anon_sym_begin] = ACTIONS(385),
    [sym_ocamlyacc_value] = ACTIONS(387),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3131),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3133),
    [aux_sym_number_token1] = ACTIONS(393),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [sym_prefix_operator] = ACTIONS(399),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(401),
    [sym__capitalized_identifier] = ACTIONS(403),
    [aux_sym_tag_token1] = ACTIONS(405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1956] = {
    [sym_value_definition] = STATE(19448),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8674),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(1956),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_tag] = STATE(4083),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1957] = {
    [sym_value_definition] = STATE(18092),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12263),
    [sym_typed_expression] = STATE(7127),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(7127),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(7127),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(7127),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(1957),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym_sign_operator] = STATE(1954),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__instance_variable_name] = STATE(18010),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [sym__identifier] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2735),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_function] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2779),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1958] = {
    [sym_value_definition] = STATE(19448),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8675),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(1958),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_tag] = STATE(4083),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1959] = {
    [sym_value_definition] = STATE(18092),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12279),
    [sym_typed_expression] = STATE(7127),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(7127),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(7127),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(7127),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(1959),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym_sign_operator] = STATE(1954),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__instance_variable_name] = STATE(18010),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [sym__identifier] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2735),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_function] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2779),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1960] = {
    [sym_value_definition] = STATE(18092),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12281),
    [sym_typed_expression] = STATE(7127),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(7127),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(7127),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(7127),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(1960),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym_sign_operator] = STATE(1954),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__instance_variable_name] = STATE(18010),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [sym__identifier] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2735),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_function] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2779),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1961] = {
    [sym_value_definition] = STATE(18092),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12282),
    [sym_typed_expression] = STATE(7127),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(7127),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(7127),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(7127),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(1961),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym_sign_operator] = STATE(1954),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__instance_variable_name] = STATE(18010),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [sym__identifier] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2735),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_function] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2779),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1962] = {
    [sym_value_definition] = STATE(20229),
    [sym__simple_expression] = STATE(529),
    [sym__expression] = STATE(8345),
    [sym_typed_expression] = STATE(3189),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3189),
    [sym_array_expression] = STATE(3189),
    [sym_record_expression] = STATE(3189),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3189),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3189),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2734),
    [sym_array_get_expression] = STATE(2734),
    [sym_string_get_expression] = STATE(2734),
    [sym_bigarray_get_expression] = STATE(2734),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3189),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3189),
    [sym_package_expression] = STATE(3189),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3189),
    [sym_object_copy_expression] = STATE(3189),
    [sym_method_invocation] = STATE(3189),
    [sym_object_expression] = STATE(3189),
    [sym_parenthesized_expression] = STATE(3189),
    [sym_attribute] = STATE(1962),
    [sym_extension] = STATE(3189),
    [sym_quoted_extension] = STATE(3189),
    [sym__constant] = STATE(3189),
    [sym_number] = STATE(3378),
    [sym_character] = STATE(3378),
    [sym_string] = STATE(3378),
    [sym_quoted_string] = STATE(3378),
    [sym_boolean] = STATE(3378),
    [sym_unit] = STATE(3378),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(3248),
    [sym_parenthesized_operator] = STATE(3324),
    [sym_value_path] = STATE(3189),
    [sym_module_path] = STATE(18817),
    [sym_constructor_path] = STATE(3189),
    [sym__instance_variable_name] = STATE(18826),
    [sym__constructor_name] = STATE(3379),
    [sym_tag] = STATE(3189),
    [sym__identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__capitalized_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1963] = {
    [sym_value_definition] = STATE(18092),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12283),
    [sym_typed_expression] = STATE(7127),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(7127),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(7127),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(7127),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(1963),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym_sign_operator] = STATE(1954),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__instance_variable_name] = STATE(18010),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [sym__identifier] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2735),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_function] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2779),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1964] = {
    [sym_value_definition] = STATE(18092),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12285),
    [sym_typed_expression] = STATE(7127),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(7127),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(7127),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(7127),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(1964),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym_sign_operator] = STATE(1954),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__instance_variable_name] = STATE(18010),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [sym__identifier] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2735),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_function] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2779),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1965] = {
    [sym_value_definition] = STATE(18092),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12286),
    [sym_typed_expression] = STATE(7127),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(7127),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(7127),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(7127),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(1965),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym_sign_operator] = STATE(1954),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__instance_variable_name] = STATE(18010),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [sym__identifier] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2735),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_function] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2779),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1966] = {
    [sym_value_definition] = STATE(17704),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12510),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6549),
    [sym_array_get_expression] = STATE(6549),
    [sym_string_get_expression] = STATE(6549),
    [sym_bigarray_get_expression] = STATE(6549),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(1966),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17686),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2839),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2849),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1967] = {
    [sym_value_definition] = STATE(18092),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12287),
    [sym_typed_expression] = STATE(7127),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(7127),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(7127),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(7127),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(1967),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym_sign_operator] = STATE(1954),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__instance_variable_name] = STATE(18010),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [sym__identifier] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2735),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_function] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2779),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1968] = {
    [sym_value_definition] = STATE(18092),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12288),
    [sym_typed_expression] = STATE(7127),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(7127),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(7127),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(7127),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(1968),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym_sign_operator] = STATE(1954),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__instance_variable_name] = STATE(18010),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [sym__identifier] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2735),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_function] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2779),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1969] = {
    [sym_value_definition] = STATE(18092),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12289),
    [sym_typed_expression] = STATE(7127),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(7127),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(7127),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(7127),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(1969),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym_sign_operator] = STATE(1954),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__instance_variable_name] = STATE(18010),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [sym__identifier] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2735),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_function] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2779),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1970] = {
    [sym_value_definition] = STATE(18092),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12290),
    [sym_typed_expression] = STATE(7127),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(7127),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(7127),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(7127),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(1970),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym_sign_operator] = STATE(1954),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__instance_variable_name] = STATE(18010),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [sym__identifier] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2735),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_function] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2779),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1971] = {
    [sym_value_definition] = STATE(19448),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8676),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(1971),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_tag] = STATE(4083),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1972] = {
    [sym_value_definition] = STATE(19448),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8677),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(1972),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_tag] = STATE(4083),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1973] = {
    [sym_value_definition] = STATE(19448),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8678),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(1973),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_tag] = STATE(4083),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1974] = {
    [sym_value_definition] = STATE(18593),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9563),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4823),
    [sym_array_get_expression] = STATE(4823),
    [sym_string_get_expression] = STATE(4823),
    [sym_bigarray_get_expression] = STATE(4823),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(1974),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(1974),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(18569),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(1027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1035),
    [anon_sym_function] = ACTIONS(1037),
    [anon_sym_try] = ACTIONS(1039),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1045),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1975] = {
    [sym_value_definition] = STATE(18593),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9515),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4823),
    [sym_array_get_expression] = STATE(4823),
    [sym_string_get_expression] = STATE(4823),
    [sym_bigarray_get_expression] = STATE(4823),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(1975),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(1974),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(18569),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(1027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1035),
    [anon_sym_function] = ACTIONS(1037),
    [anon_sym_try] = ACTIONS(1039),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1045),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1976] = {
    [sym_value_definition] = STATE(18593),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9516),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4823),
    [sym_array_get_expression] = STATE(4823),
    [sym_string_get_expression] = STATE(4823),
    [sym_bigarray_get_expression] = STATE(4823),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(1976),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(1974),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(18569),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(1027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1035),
    [anon_sym_function] = ACTIONS(1037),
    [anon_sym_try] = ACTIONS(1039),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1045),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1977] = {
    [sym_value_definition] = STATE(18593),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9517),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4823),
    [sym_array_get_expression] = STATE(4823),
    [sym_string_get_expression] = STATE(4823),
    [sym_bigarray_get_expression] = STATE(4823),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(1977),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(1974),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(18569),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(1027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1035),
    [anon_sym_function] = ACTIONS(1037),
    [anon_sym_try] = ACTIONS(1039),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1045),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1978] = {
    [sym_value_definition] = STATE(18593),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9518),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4823),
    [sym_array_get_expression] = STATE(4823),
    [sym_string_get_expression] = STATE(4823),
    [sym_bigarray_get_expression] = STATE(4823),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(1978),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(1974),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(18569),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(1027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1035),
    [anon_sym_function] = ACTIONS(1037),
    [anon_sym_try] = ACTIONS(1039),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1045),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1979] = {
    [sym_value_definition] = STATE(18593),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9519),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4823),
    [sym_array_get_expression] = STATE(4823),
    [sym_string_get_expression] = STATE(4823),
    [sym_bigarray_get_expression] = STATE(4823),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(1979),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(1974),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(18569),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(1027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1035),
    [anon_sym_function] = ACTIONS(1037),
    [anon_sym_try] = ACTIONS(1039),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1045),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1980] = {
    [sym_value_definition] = STATE(18593),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9520),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4823),
    [sym_array_get_expression] = STATE(4823),
    [sym_string_get_expression] = STATE(4823),
    [sym_bigarray_get_expression] = STATE(4823),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(1980),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(1974),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(18569),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(1027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1035),
    [anon_sym_function] = ACTIONS(1037),
    [anon_sym_try] = ACTIONS(1039),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1045),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1981] = {
    [sym_value_definition] = STATE(18593),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9521),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4823),
    [sym_array_get_expression] = STATE(4823),
    [sym_string_get_expression] = STATE(4823),
    [sym_bigarray_get_expression] = STATE(4823),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(1981),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(1974),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(18569),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(1027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1035),
    [anon_sym_function] = ACTIONS(1037),
    [anon_sym_try] = ACTIONS(1039),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1045),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1982] = {
    [sym_value_definition] = STATE(18593),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9523),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4823),
    [sym_array_get_expression] = STATE(4823),
    [sym_string_get_expression] = STATE(4823),
    [sym_bigarray_get_expression] = STATE(4823),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(1982),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(1974),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(18569),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(1027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1035),
    [anon_sym_function] = ACTIONS(1037),
    [anon_sym_try] = ACTIONS(1039),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1045),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1983] = {
    [sym_value_definition] = STATE(18593),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9524),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4823),
    [sym_array_get_expression] = STATE(4823),
    [sym_string_get_expression] = STATE(4823),
    [sym_bigarray_get_expression] = STATE(4823),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(1983),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(1974),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(18569),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(1027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1035),
    [anon_sym_function] = ACTIONS(1037),
    [anon_sym_try] = ACTIONS(1039),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1045),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1984] = {
    [sym_value_definition] = STATE(18593),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9525),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4823),
    [sym_array_get_expression] = STATE(4823),
    [sym_string_get_expression] = STATE(4823),
    [sym_bigarray_get_expression] = STATE(4823),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(1984),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(1974),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(18569),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(1027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1035),
    [anon_sym_function] = ACTIONS(1037),
    [anon_sym_try] = ACTIONS(1039),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1045),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1985] = {
    [sym_value_definition] = STATE(18593),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9526),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4823),
    [sym_array_get_expression] = STATE(4823),
    [sym_string_get_expression] = STATE(4823),
    [sym_bigarray_get_expression] = STATE(4823),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(1985),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(1974),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(18569),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(1027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1035),
    [anon_sym_function] = ACTIONS(1037),
    [anon_sym_try] = ACTIONS(1039),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1045),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1986] = {
    [sym_value_definition] = STATE(19448),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8680),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(1986),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_tag] = STATE(4083),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1987] = {
    [sym_value_definition] = STATE(18593),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9528),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4823),
    [sym_array_get_expression] = STATE(4823),
    [sym_string_get_expression] = STATE(4823),
    [sym_bigarray_get_expression] = STATE(4823),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(1987),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(1974),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(18569),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(1027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1035),
    [anon_sym_function] = ACTIONS(1037),
    [anon_sym_try] = ACTIONS(1039),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1045),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1988] = {
    [sym_value_definition] = STATE(20229),
    [sym__simple_expression] = STATE(529),
    [sym__expression] = STATE(8278),
    [sym_typed_expression] = STATE(3189),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3189),
    [sym_array_expression] = STATE(3189),
    [sym_record_expression] = STATE(3189),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3189),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3189),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2734),
    [sym_array_get_expression] = STATE(2734),
    [sym_string_get_expression] = STATE(2734),
    [sym_bigarray_get_expression] = STATE(2734),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3189),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3189),
    [sym_package_expression] = STATE(3189),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3189),
    [sym_object_copy_expression] = STATE(3189),
    [sym_method_invocation] = STATE(3189),
    [sym_object_expression] = STATE(3189),
    [sym_parenthesized_expression] = STATE(3189),
    [sym_attribute] = STATE(1988),
    [sym_extension] = STATE(3189),
    [sym_quoted_extension] = STATE(3189),
    [sym__constant] = STATE(3189),
    [sym_number] = STATE(3378),
    [sym_character] = STATE(3378),
    [sym_string] = STATE(3378),
    [sym_quoted_string] = STATE(3378),
    [sym_boolean] = STATE(3378),
    [sym_unit] = STATE(3378),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(3248),
    [sym_parenthesized_operator] = STATE(3324),
    [sym_value_path] = STATE(3189),
    [sym_module_path] = STATE(18817),
    [sym_constructor_path] = STATE(3189),
    [sym__instance_variable_name] = STATE(18826),
    [sym__constructor_name] = STATE(3379),
    [sym_tag] = STATE(3189),
    [sym__identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__capitalized_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1989] = {
    [sym_value_definition] = STATE(20229),
    [sym__simple_expression] = STATE(529),
    [sym__expression] = STATE(8357),
    [sym_typed_expression] = STATE(3189),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3189),
    [sym_array_expression] = STATE(3189),
    [sym_record_expression] = STATE(3189),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3189),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3189),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2734),
    [sym_array_get_expression] = STATE(2734),
    [sym_string_get_expression] = STATE(2734),
    [sym_bigarray_get_expression] = STATE(2734),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3189),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3189),
    [sym_package_expression] = STATE(3189),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3189),
    [sym_object_copy_expression] = STATE(3189),
    [sym_method_invocation] = STATE(3189),
    [sym_object_expression] = STATE(3189),
    [sym_parenthesized_expression] = STATE(3189),
    [sym_attribute] = STATE(1989),
    [sym_extension] = STATE(3189),
    [sym_quoted_extension] = STATE(3189),
    [sym__constant] = STATE(3189),
    [sym_number] = STATE(3378),
    [sym_character] = STATE(3378),
    [sym_string] = STATE(3378),
    [sym_quoted_string] = STATE(3378),
    [sym_boolean] = STATE(3378),
    [sym_unit] = STATE(3378),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(3248),
    [sym_parenthesized_operator] = STATE(3324),
    [sym_value_path] = STATE(3189),
    [sym_module_path] = STATE(18817),
    [sym_constructor_path] = STATE(3189),
    [sym__instance_variable_name] = STATE(18826),
    [sym__constructor_name] = STATE(3379),
    [sym_tag] = STATE(3189),
    [sym__identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__capitalized_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1990] = {
    [sym_value_definition] = STATE(20229),
    [sym__simple_expression] = STATE(529),
    [sym__expression] = STATE(8358),
    [sym_typed_expression] = STATE(3189),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3189),
    [sym_array_expression] = STATE(3189),
    [sym_record_expression] = STATE(3189),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3189),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3189),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2734),
    [sym_array_get_expression] = STATE(2734),
    [sym_string_get_expression] = STATE(2734),
    [sym_bigarray_get_expression] = STATE(2734),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3189),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3189),
    [sym_package_expression] = STATE(3189),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3189),
    [sym_object_copy_expression] = STATE(3189),
    [sym_method_invocation] = STATE(3189),
    [sym_object_expression] = STATE(3189),
    [sym_parenthesized_expression] = STATE(3189),
    [sym_attribute] = STATE(1990),
    [sym_extension] = STATE(3189),
    [sym_quoted_extension] = STATE(3189),
    [sym__constant] = STATE(3189),
    [sym_number] = STATE(3378),
    [sym_character] = STATE(3378),
    [sym_string] = STATE(3378),
    [sym_quoted_string] = STATE(3378),
    [sym_boolean] = STATE(3378),
    [sym_unit] = STATE(3378),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(3248),
    [sym_parenthesized_operator] = STATE(3324),
    [sym_value_path] = STATE(3189),
    [sym_module_path] = STATE(18817),
    [sym_constructor_path] = STATE(3189),
    [sym__instance_variable_name] = STATE(18826),
    [sym__constructor_name] = STATE(3379),
    [sym_tag] = STATE(3189),
    [sym__identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__capitalized_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1991] = {
    [sym_value_definition] = STATE(20229),
    [sym__simple_expression] = STATE(529),
    [sym__expression] = STATE(8338),
    [sym_typed_expression] = STATE(3189),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3189),
    [sym_array_expression] = STATE(3189),
    [sym_record_expression] = STATE(3189),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3189),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3189),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2734),
    [sym_array_get_expression] = STATE(2734),
    [sym_string_get_expression] = STATE(2734),
    [sym_bigarray_get_expression] = STATE(2734),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3189),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3189),
    [sym_package_expression] = STATE(3189),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3189),
    [sym_object_copy_expression] = STATE(3189),
    [sym_method_invocation] = STATE(3189),
    [sym_object_expression] = STATE(3189),
    [sym_parenthesized_expression] = STATE(3189),
    [sym_attribute] = STATE(1991),
    [sym_extension] = STATE(3189),
    [sym_quoted_extension] = STATE(3189),
    [sym__constant] = STATE(3189),
    [sym_number] = STATE(3378),
    [sym_character] = STATE(3378),
    [sym_string] = STATE(3378),
    [sym_quoted_string] = STATE(3378),
    [sym_boolean] = STATE(3378),
    [sym_unit] = STATE(3378),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(3248),
    [sym_parenthesized_operator] = STATE(3324),
    [sym_value_path] = STATE(3189),
    [sym_module_path] = STATE(18817),
    [sym_constructor_path] = STATE(3189),
    [sym__instance_variable_name] = STATE(18826),
    [sym__constructor_name] = STATE(3379),
    [sym_tag] = STATE(3189),
    [sym__identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__capitalized_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1992] = {
    [sym_value_definition] = STATE(20229),
    [sym__simple_expression] = STATE(529),
    [sym__expression] = STATE(8300),
    [sym_typed_expression] = STATE(3189),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3189),
    [sym_array_expression] = STATE(3189),
    [sym_record_expression] = STATE(3189),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3189),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3189),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2734),
    [sym_array_get_expression] = STATE(2734),
    [sym_string_get_expression] = STATE(2734),
    [sym_bigarray_get_expression] = STATE(2734),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3189),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3189),
    [sym_package_expression] = STATE(3189),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3189),
    [sym_object_copy_expression] = STATE(3189),
    [sym_method_invocation] = STATE(3189),
    [sym_object_expression] = STATE(3189),
    [sym_parenthesized_expression] = STATE(3189),
    [sym_attribute] = STATE(1992),
    [sym_extension] = STATE(3189),
    [sym_quoted_extension] = STATE(3189),
    [sym__constant] = STATE(3189),
    [sym_number] = STATE(3378),
    [sym_character] = STATE(3378),
    [sym_string] = STATE(3378),
    [sym_quoted_string] = STATE(3378),
    [sym_boolean] = STATE(3378),
    [sym_unit] = STATE(3378),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(3248),
    [sym_parenthesized_operator] = STATE(3324),
    [sym_value_path] = STATE(3189),
    [sym_module_path] = STATE(18817),
    [sym_constructor_path] = STATE(3189),
    [sym__instance_variable_name] = STATE(18826),
    [sym__constructor_name] = STATE(3379),
    [sym_tag] = STATE(3189),
    [sym__identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__capitalized_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1993] = {
    [sym_value_definition] = STATE(20229),
    [sym__simple_expression] = STATE(529),
    [sym__expression] = STATE(8342),
    [sym_typed_expression] = STATE(3189),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3189),
    [sym_array_expression] = STATE(3189),
    [sym_record_expression] = STATE(3189),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3189),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3189),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2734),
    [sym_array_get_expression] = STATE(2734),
    [sym_string_get_expression] = STATE(2734),
    [sym_bigarray_get_expression] = STATE(2734),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3189),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3189),
    [sym_package_expression] = STATE(3189),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3189),
    [sym_object_copy_expression] = STATE(3189),
    [sym_method_invocation] = STATE(3189),
    [sym_object_expression] = STATE(3189),
    [sym_parenthesized_expression] = STATE(3189),
    [sym_attribute] = STATE(1993),
    [sym_extension] = STATE(3189),
    [sym_quoted_extension] = STATE(3189),
    [sym__constant] = STATE(3189),
    [sym_number] = STATE(3378),
    [sym_character] = STATE(3378),
    [sym_string] = STATE(3378),
    [sym_quoted_string] = STATE(3378),
    [sym_boolean] = STATE(3378),
    [sym_unit] = STATE(3378),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(3248),
    [sym_parenthesized_operator] = STATE(3324),
    [sym_value_path] = STATE(3189),
    [sym_module_path] = STATE(18817),
    [sym_constructor_path] = STATE(3189),
    [sym__instance_variable_name] = STATE(18826),
    [sym__constructor_name] = STATE(3379),
    [sym_tag] = STATE(3189),
    [sym__identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__capitalized_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1994] = {
    [sym_value_definition] = STATE(20229),
    [sym__simple_expression] = STATE(529),
    [sym__expression] = STATE(8316),
    [sym_typed_expression] = STATE(3189),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3189),
    [sym_array_expression] = STATE(3189),
    [sym_record_expression] = STATE(3189),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3189),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3189),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2734),
    [sym_array_get_expression] = STATE(2734),
    [sym_string_get_expression] = STATE(2734),
    [sym_bigarray_get_expression] = STATE(2734),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3189),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3189),
    [sym_package_expression] = STATE(3189),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3189),
    [sym_object_copy_expression] = STATE(3189),
    [sym_method_invocation] = STATE(3189),
    [sym_object_expression] = STATE(3189),
    [sym_parenthesized_expression] = STATE(3189),
    [sym_attribute] = STATE(1994),
    [sym_extension] = STATE(3189),
    [sym_quoted_extension] = STATE(3189),
    [sym__constant] = STATE(3189),
    [sym_number] = STATE(3378),
    [sym_character] = STATE(3378),
    [sym_string] = STATE(3378),
    [sym_quoted_string] = STATE(3378),
    [sym_boolean] = STATE(3378),
    [sym_unit] = STATE(3378),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(3248),
    [sym_parenthesized_operator] = STATE(3324),
    [sym_value_path] = STATE(3189),
    [sym_module_path] = STATE(18817),
    [sym_constructor_path] = STATE(3189),
    [sym__instance_variable_name] = STATE(18826),
    [sym__constructor_name] = STATE(3379),
    [sym_tag] = STATE(3189),
    [sym__identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__capitalized_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1995] = {
    [sym_value_definition] = STATE(20229),
    [sym__simple_expression] = STATE(529),
    [sym__expression] = STATE(8322),
    [sym_typed_expression] = STATE(3189),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3189),
    [sym_array_expression] = STATE(3189),
    [sym_record_expression] = STATE(3189),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3189),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3189),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2734),
    [sym_array_get_expression] = STATE(2734),
    [sym_string_get_expression] = STATE(2734),
    [sym_bigarray_get_expression] = STATE(2734),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3189),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3189),
    [sym_package_expression] = STATE(3189),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3189),
    [sym_object_copy_expression] = STATE(3189),
    [sym_method_invocation] = STATE(3189),
    [sym_object_expression] = STATE(3189),
    [sym_parenthesized_expression] = STATE(3189),
    [sym_attribute] = STATE(1995),
    [sym_extension] = STATE(3189),
    [sym_quoted_extension] = STATE(3189),
    [sym__constant] = STATE(3189),
    [sym_number] = STATE(3378),
    [sym_character] = STATE(3378),
    [sym_string] = STATE(3378),
    [sym_quoted_string] = STATE(3378),
    [sym_boolean] = STATE(3378),
    [sym_unit] = STATE(3378),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(3248),
    [sym_parenthesized_operator] = STATE(3324),
    [sym_value_path] = STATE(3189),
    [sym_module_path] = STATE(18817),
    [sym_constructor_path] = STATE(3189),
    [sym__instance_variable_name] = STATE(18826),
    [sym__constructor_name] = STATE(3379),
    [sym_tag] = STATE(3189),
    [sym__identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__capitalized_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1996] = {
    [sym_value_definition] = STATE(20229),
    [sym__simple_expression] = STATE(529),
    [sym__expression] = STATE(8340),
    [sym_typed_expression] = STATE(3189),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3189),
    [sym_array_expression] = STATE(3189),
    [sym_record_expression] = STATE(3189),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3189),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3189),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2734),
    [sym_array_get_expression] = STATE(2734),
    [sym_string_get_expression] = STATE(2734),
    [sym_bigarray_get_expression] = STATE(2734),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3189),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3189),
    [sym_package_expression] = STATE(3189),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3189),
    [sym_object_copy_expression] = STATE(3189),
    [sym_method_invocation] = STATE(3189),
    [sym_object_expression] = STATE(3189),
    [sym_parenthesized_expression] = STATE(3189),
    [sym_attribute] = STATE(1996),
    [sym_extension] = STATE(3189),
    [sym_quoted_extension] = STATE(3189),
    [sym__constant] = STATE(3189),
    [sym_number] = STATE(3378),
    [sym_character] = STATE(3378),
    [sym_string] = STATE(3378),
    [sym_quoted_string] = STATE(3378),
    [sym_boolean] = STATE(3378),
    [sym_unit] = STATE(3378),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(3248),
    [sym_parenthesized_operator] = STATE(3324),
    [sym_value_path] = STATE(3189),
    [sym_module_path] = STATE(18817),
    [sym_constructor_path] = STATE(3189),
    [sym__instance_variable_name] = STATE(18826),
    [sym__constructor_name] = STATE(3379),
    [sym_tag] = STATE(3189),
    [sym__identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__capitalized_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1997] = {
    [sym_value_definition] = STATE(20229),
    [sym__simple_expression] = STATE(529),
    [sym__expression] = STATE(8349),
    [sym_typed_expression] = STATE(3189),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3189),
    [sym_array_expression] = STATE(3189),
    [sym_record_expression] = STATE(3189),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3189),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3189),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2734),
    [sym_array_get_expression] = STATE(2734),
    [sym_string_get_expression] = STATE(2734),
    [sym_bigarray_get_expression] = STATE(2734),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3189),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3189),
    [sym_package_expression] = STATE(3189),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3189),
    [sym_object_copy_expression] = STATE(3189),
    [sym_method_invocation] = STATE(3189),
    [sym_object_expression] = STATE(3189),
    [sym_parenthesized_expression] = STATE(3189),
    [sym_attribute] = STATE(1997),
    [sym_extension] = STATE(3189),
    [sym_quoted_extension] = STATE(3189),
    [sym__constant] = STATE(3189),
    [sym_number] = STATE(3378),
    [sym_character] = STATE(3378),
    [sym_string] = STATE(3378),
    [sym_quoted_string] = STATE(3378),
    [sym_boolean] = STATE(3378),
    [sym_unit] = STATE(3378),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(3248),
    [sym_parenthesized_operator] = STATE(3324),
    [sym_value_path] = STATE(3189),
    [sym_module_path] = STATE(18817),
    [sym_constructor_path] = STATE(3189),
    [sym__instance_variable_name] = STATE(18826),
    [sym__constructor_name] = STATE(3379),
    [sym_tag] = STATE(3189),
    [sym__identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__capitalized_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1998] = {
    [sym_value_definition] = STATE(20229),
    [sym__simple_expression] = STATE(529),
    [sym__expression] = STATE(8307),
    [sym_typed_expression] = STATE(3189),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3189),
    [sym_array_expression] = STATE(3189),
    [sym_record_expression] = STATE(3189),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3189),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3189),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2734),
    [sym_array_get_expression] = STATE(2734),
    [sym_string_get_expression] = STATE(2734),
    [sym_bigarray_get_expression] = STATE(2734),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3189),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3189),
    [sym_package_expression] = STATE(3189),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3189),
    [sym_object_copy_expression] = STATE(3189),
    [sym_method_invocation] = STATE(3189),
    [sym_object_expression] = STATE(3189),
    [sym_parenthesized_expression] = STATE(3189),
    [sym_attribute] = STATE(1998),
    [sym_extension] = STATE(3189),
    [sym_quoted_extension] = STATE(3189),
    [sym__constant] = STATE(3189),
    [sym_number] = STATE(3378),
    [sym_character] = STATE(3378),
    [sym_string] = STATE(3378),
    [sym_quoted_string] = STATE(3378),
    [sym_boolean] = STATE(3378),
    [sym_unit] = STATE(3378),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(3248),
    [sym_parenthesized_operator] = STATE(3324),
    [sym_value_path] = STATE(3189),
    [sym_module_path] = STATE(18817),
    [sym_constructor_path] = STATE(3189),
    [sym__instance_variable_name] = STATE(18826),
    [sym__constructor_name] = STATE(3379),
    [sym_tag] = STATE(3189),
    [sym__identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__capitalized_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1999] = {
    [sym_value_definition] = STATE(20229),
    [sym__simple_expression] = STATE(529),
    [sym__expression] = STATE(8308),
    [sym_typed_expression] = STATE(3189),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3189),
    [sym_array_expression] = STATE(3189),
    [sym_record_expression] = STATE(3189),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3189),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3189),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2734),
    [sym_array_get_expression] = STATE(2734),
    [sym_string_get_expression] = STATE(2734),
    [sym_bigarray_get_expression] = STATE(2734),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3189),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3189),
    [sym_package_expression] = STATE(3189),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3189),
    [sym_object_copy_expression] = STATE(3189),
    [sym_method_invocation] = STATE(3189),
    [sym_object_expression] = STATE(3189),
    [sym_parenthesized_expression] = STATE(3189),
    [sym_attribute] = STATE(1999),
    [sym_extension] = STATE(3189),
    [sym_quoted_extension] = STATE(3189),
    [sym__constant] = STATE(3189),
    [sym_number] = STATE(3378),
    [sym_character] = STATE(3378),
    [sym_string] = STATE(3378),
    [sym_quoted_string] = STATE(3378),
    [sym_boolean] = STATE(3378),
    [sym_unit] = STATE(3378),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(3248),
    [sym_parenthesized_operator] = STATE(3324),
    [sym_value_path] = STATE(3189),
    [sym_module_path] = STATE(18817),
    [sym_constructor_path] = STATE(3189),
    [sym__instance_variable_name] = STATE(18826),
    [sym__constructor_name] = STATE(3379),
    [sym_tag] = STATE(3189),
    [sym__identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__capitalized_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2000] = {
    [sym_value_definition] = STATE(19448),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8681),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(2000),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_tag] = STATE(4083),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2001] = {
    [sym_value_definition] = STATE(20229),
    [sym__simple_expression] = STATE(529),
    [sym__expression] = STATE(8289),
    [sym_typed_expression] = STATE(3189),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3189),
    [sym_array_expression] = STATE(3189),
    [sym_record_expression] = STATE(3189),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3189),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3189),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2734),
    [sym_array_get_expression] = STATE(2734),
    [sym_string_get_expression] = STATE(2734),
    [sym_bigarray_get_expression] = STATE(2734),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3189),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3189),
    [sym_package_expression] = STATE(3189),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3189),
    [sym_object_copy_expression] = STATE(3189),
    [sym_method_invocation] = STATE(3189),
    [sym_object_expression] = STATE(3189),
    [sym_parenthesized_expression] = STATE(3189),
    [sym_attribute] = STATE(2001),
    [sym_extension] = STATE(3189),
    [sym_quoted_extension] = STATE(3189),
    [sym__constant] = STATE(3189),
    [sym_number] = STATE(3378),
    [sym_character] = STATE(3378),
    [sym_string] = STATE(3378),
    [sym_quoted_string] = STATE(3378),
    [sym_boolean] = STATE(3378),
    [sym_unit] = STATE(3378),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(3248),
    [sym_parenthesized_operator] = STATE(3324),
    [sym_value_path] = STATE(3189),
    [sym_module_path] = STATE(18817),
    [sym_constructor_path] = STATE(3189),
    [sym__instance_variable_name] = STATE(18826),
    [sym__constructor_name] = STATE(3379),
    [sym_tag] = STATE(3189),
    [sym__identifier] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(583),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_fun] = ACTIONS(595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(599),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(603),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(627),
    [sym__capitalized_identifier] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2002] = {
    [sym_value_definition] = STATE(19448),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8682),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(2002),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_tag] = STATE(4083),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2003] = {
    [sym_value_definition] = STATE(18092),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12425),
    [sym_typed_expression] = STATE(7127),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(7127),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(7127),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(7127),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(2003),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym_sign_operator] = STATE(1954),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__instance_variable_name] = STATE(18010),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [sym__identifier] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2735),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2751),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_function] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2779),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2004] = {
    [sym_value_definition] = STATE(17762),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8359),
    [sym_typed_expression] = STATE(3246),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3246),
    [sym_array_expression] = STATE(3246),
    [sym_record_expression] = STATE(3246),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3246),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3246),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2739),
    [sym_array_get_expression] = STATE(2739),
    [sym_string_get_expression] = STATE(2739),
    [sym_bigarray_get_expression] = STATE(2739),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3246),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3246),
    [sym_package_expression] = STATE(3246),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3246),
    [sym_object_copy_expression] = STATE(3246),
    [sym_method_invocation] = STATE(3246),
    [sym_object_expression] = STATE(3246),
    [sym_parenthesized_expression] = STATE(3246),
    [sym_attribute] = STATE(2004),
    [sym_extension] = STATE(3246),
    [sym_quoted_extension] = STATE(3246),
    [sym__constant] = STATE(3246),
    [sym_number] = STATE(3390),
    [sym_character] = STATE(3390),
    [sym_string] = STATE(3390),
    [sym_quoted_string] = STATE(3390),
    [sym_boolean] = STATE(3390),
    [sym_unit] = STATE(3390),
    [sym_sign_operator] = STATE(2020),
    [sym__value_name] = STATE(3293),
    [sym_parenthesized_operator] = STATE(3329),
    [sym_value_path] = STATE(3246),
    [sym_module_path] = STATE(18854),
    [sym_constructor_path] = STATE(3246),
    [sym__instance_variable_name] = STATE(20169),
    [sym__constructor_name] = STATE(3391),
    [sym_tag] = STATE(3246),
    [sym__identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__capitalized_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2005] = {
    [sym_value_definition] = STATE(18593),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9628),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(4823),
    [sym_array_get_expression] = STATE(4823),
    [sym_string_get_expression] = STATE(4823),
    [sym_bigarray_get_expression] = STATE(4823),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(2005),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(1974),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(18569),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(1027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1035),
    [anon_sym_function] = ACTIONS(1037),
    [anon_sym_try] = ACTIONS(1039),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_lazy] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1045),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2006] = {
    [sym_value_definition] = STATE(19448),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8683),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(2006),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_tag] = STATE(4083),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2007] = {
    [sym_value_definition] = STATE(19315),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12155),
    [sym_typed_expression] = STATE(6579),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6579),
    [sym_array_expression] = STATE(6579),
    [sym_record_expression] = STATE(6579),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6579),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6579),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6579),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6579),
    [sym_package_expression] = STATE(6579),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6579),
    [sym_object_copy_expression] = STATE(6579),
    [sym_method_invocation] = STATE(6579),
    [sym_object_expression] = STATE(6579),
    [sym_parenthesized_expression] = STATE(6579),
    [sym_attribute] = STATE(2007),
    [sym_extension] = STATE(6579),
    [sym_quoted_extension] = STATE(6579),
    [sym__constant] = STATE(6579),
    [sym_number] = STATE(6534),
    [sym_character] = STATE(6534),
    [sym_string] = STATE(6534),
    [sym_quoted_string] = STATE(6534),
    [sym_boolean] = STATE(6534),
    [sym_unit] = STATE(6534),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(6629),
    [sym_parenthesized_operator] = STATE(6159),
    [sym_value_path] = STATE(6579),
    [sym_module_path] = STATE(18629),
    [sym_constructor_path] = STATE(6579),
    [sym__instance_variable_name] = STATE(19301),
    [sym__constructor_name] = STATE(6641),
    [sym_tag] = STATE(6579),
    [sym__identifier] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_true] = ACTIONS(2475),
    [anon_sym_false] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(2479),
    [anon_sym_fun] = ACTIONS(2481),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2487),
    [anon_sym_function] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_LBRACE_LT] = ACTIONS(2495),
    [anon_sym_begin] = ACTIONS(2497),
    [sym_ocamlyacc_value] = ACTIONS(2499),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2501),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2503),
    [aux_sym_number_token1] = ACTIONS(2505),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [sym_prefix_operator] = ACTIONS(2511),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2513),
    [sym__capitalized_identifier] = ACTIONS(2515),
    [aux_sym_tag_token1] = ACTIONS(2517),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2008] = {
    [sym_value_definition] = STATE(19315),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12072),
    [sym_typed_expression] = STATE(6579),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6579),
    [sym_array_expression] = STATE(6579),
    [sym_record_expression] = STATE(6579),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6579),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6579),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6579),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6579),
    [sym_package_expression] = STATE(6579),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6579),
    [sym_object_copy_expression] = STATE(6579),
    [sym_method_invocation] = STATE(6579),
    [sym_object_expression] = STATE(6579),
    [sym_parenthesized_expression] = STATE(6579),
    [sym_attribute] = STATE(2008),
    [sym_extension] = STATE(6579),
    [sym_quoted_extension] = STATE(6579),
    [sym__constant] = STATE(6579),
    [sym_number] = STATE(6534),
    [sym_character] = STATE(6534),
    [sym_string] = STATE(6534),
    [sym_quoted_string] = STATE(6534),
    [sym_boolean] = STATE(6534),
    [sym_unit] = STATE(6534),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(6629),
    [sym_parenthesized_operator] = STATE(6159),
    [sym_value_path] = STATE(6579),
    [sym_module_path] = STATE(18629),
    [sym_constructor_path] = STATE(6579),
    [sym__instance_variable_name] = STATE(19301),
    [sym__constructor_name] = STATE(6641),
    [sym_tag] = STATE(6579),
    [sym__identifier] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_true] = ACTIONS(2475),
    [anon_sym_false] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(2479),
    [anon_sym_fun] = ACTIONS(2481),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2487),
    [anon_sym_function] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_LBRACE_LT] = ACTIONS(2495),
    [anon_sym_begin] = ACTIONS(2497),
    [sym_ocamlyacc_value] = ACTIONS(2499),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2501),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2503),
    [aux_sym_number_token1] = ACTIONS(2505),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [sym_prefix_operator] = ACTIONS(2511),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2513),
    [sym__capitalized_identifier] = ACTIONS(2515),
    [aux_sym_tag_token1] = ACTIONS(2517),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2009] = {
    [sym_value_definition] = STATE(19315),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12073),
    [sym_typed_expression] = STATE(6579),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6579),
    [sym_array_expression] = STATE(6579),
    [sym_record_expression] = STATE(6579),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6579),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6579),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6579),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6579),
    [sym_package_expression] = STATE(6579),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6579),
    [sym_object_copy_expression] = STATE(6579),
    [sym_method_invocation] = STATE(6579),
    [sym_object_expression] = STATE(6579),
    [sym_parenthesized_expression] = STATE(6579),
    [sym_attribute] = STATE(2009),
    [sym_extension] = STATE(6579),
    [sym_quoted_extension] = STATE(6579),
    [sym__constant] = STATE(6579),
    [sym_number] = STATE(6534),
    [sym_character] = STATE(6534),
    [sym_string] = STATE(6534),
    [sym_quoted_string] = STATE(6534),
    [sym_boolean] = STATE(6534),
    [sym_unit] = STATE(6534),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(6629),
    [sym_parenthesized_operator] = STATE(6159),
    [sym_value_path] = STATE(6579),
    [sym_module_path] = STATE(18629),
    [sym_constructor_path] = STATE(6579),
    [sym__instance_variable_name] = STATE(19301),
    [sym__constructor_name] = STATE(6641),
    [sym_tag] = STATE(6579),
    [sym__identifier] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_true] = ACTIONS(2475),
    [anon_sym_false] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(2479),
    [anon_sym_fun] = ACTIONS(2481),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2487),
    [anon_sym_function] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_LBRACE_LT] = ACTIONS(2495),
    [anon_sym_begin] = ACTIONS(2497),
    [sym_ocamlyacc_value] = ACTIONS(2499),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2501),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2503),
    [aux_sym_number_token1] = ACTIONS(2505),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [sym_prefix_operator] = ACTIONS(2511),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2513),
    [sym__capitalized_identifier] = ACTIONS(2515),
    [aux_sym_tag_token1] = ACTIONS(2517),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2010] = {
    [sym_value_definition] = STATE(19315),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12074),
    [sym_typed_expression] = STATE(6579),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6579),
    [sym_array_expression] = STATE(6579),
    [sym_record_expression] = STATE(6579),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6579),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6579),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6579),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6579),
    [sym_package_expression] = STATE(6579),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6579),
    [sym_object_copy_expression] = STATE(6579),
    [sym_method_invocation] = STATE(6579),
    [sym_object_expression] = STATE(6579),
    [sym_parenthesized_expression] = STATE(6579),
    [sym_attribute] = STATE(2010),
    [sym_extension] = STATE(6579),
    [sym_quoted_extension] = STATE(6579),
    [sym__constant] = STATE(6579),
    [sym_number] = STATE(6534),
    [sym_character] = STATE(6534),
    [sym_string] = STATE(6534),
    [sym_quoted_string] = STATE(6534),
    [sym_boolean] = STATE(6534),
    [sym_unit] = STATE(6534),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(6629),
    [sym_parenthesized_operator] = STATE(6159),
    [sym_value_path] = STATE(6579),
    [sym_module_path] = STATE(18629),
    [sym_constructor_path] = STATE(6579),
    [sym__instance_variable_name] = STATE(19301),
    [sym__constructor_name] = STATE(6641),
    [sym_tag] = STATE(6579),
    [sym__identifier] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_true] = ACTIONS(2475),
    [anon_sym_false] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(2479),
    [anon_sym_fun] = ACTIONS(2481),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2487),
    [anon_sym_function] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_LBRACE_LT] = ACTIONS(2495),
    [anon_sym_begin] = ACTIONS(2497),
    [sym_ocamlyacc_value] = ACTIONS(2499),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2501),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2503),
    [aux_sym_number_token1] = ACTIONS(2505),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [sym_prefix_operator] = ACTIONS(2511),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2513),
    [sym__capitalized_identifier] = ACTIONS(2515),
    [aux_sym_tag_token1] = ACTIONS(2517),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2011] = {
    [sym_value_definition] = STATE(19315),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12075),
    [sym_typed_expression] = STATE(6579),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6579),
    [sym_array_expression] = STATE(6579),
    [sym_record_expression] = STATE(6579),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6579),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6579),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6579),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6579),
    [sym_package_expression] = STATE(6579),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6579),
    [sym_object_copy_expression] = STATE(6579),
    [sym_method_invocation] = STATE(6579),
    [sym_object_expression] = STATE(6579),
    [sym_parenthesized_expression] = STATE(6579),
    [sym_attribute] = STATE(2011),
    [sym_extension] = STATE(6579),
    [sym_quoted_extension] = STATE(6579),
    [sym__constant] = STATE(6579),
    [sym_number] = STATE(6534),
    [sym_character] = STATE(6534),
    [sym_string] = STATE(6534),
    [sym_quoted_string] = STATE(6534),
    [sym_boolean] = STATE(6534),
    [sym_unit] = STATE(6534),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(6629),
    [sym_parenthesized_operator] = STATE(6159),
    [sym_value_path] = STATE(6579),
    [sym_module_path] = STATE(18629),
    [sym_constructor_path] = STATE(6579),
    [sym__instance_variable_name] = STATE(19301),
    [sym__constructor_name] = STATE(6641),
    [sym_tag] = STATE(6579),
    [sym__identifier] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_true] = ACTIONS(2475),
    [anon_sym_false] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(2479),
    [anon_sym_fun] = ACTIONS(2481),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2487),
    [anon_sym_function] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_LBRACE_LT] = ACTIONS(2495),
    [anon_sym_begin] = ACTIONS(2497),
    [sym_ocamlyacc_value] = ACTIONS(2499),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2501),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2503),
    [aux_sym_number_token1] = ACTIONS(2505),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [sym_prefix_operator] = ACTIONS(2511),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2513),
    [sym__capitalized_identifier] = ACTIONS(2515),
    [aux_sym_tag_token1] = ACTIONS(2517),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2012] = {
    [sym_value_definition] = STATE(19315),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12078),
    [sym_typed_expression] = STATE(6579),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6579),
    [sym_array_expression] = STATE(6579),
    [sym_record_expression] = STATE(6579),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6579),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6579),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6579),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6579),
    [sym_package_expression] = STATE(6579),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6579),
    [sym_object_copy_expression] = STATE(6579),
    [sym_method_invocation] = STATE(6579),
    [sym_object_expression] = STATE(6579),
    [sym_parenthesized_expression] = STATE(6579),
    [sym_attribute] = STATE(2012),
    [sym_extension] = STATE(6579),
    [sym_quoted_extension] = STATE(6579),
    [sym__constant] = STATE(6579),
    [sym_number] = STATE(6534),
    [sym_character] = STATE(6534),
    [sym_string] = STATE(6534),
    [sym_quoted_string] = STATE(6534),
    [sym_boolean] = STATE(6534),
    [sym_unit] = STATE(6534),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(6629),
    [sym_parenthesized_operator] = STATE(6159),
    [sym_value_path] = STATE(6579),
    [sym_module_path] = STATE(18629),
    [sym_constructor_path] = STATE(6579),
    [sym__instance_variable_name] = STATE(19301),
    [sym__constructor_name] = STATE(6641),
    [sym_tag] = STATE(6579),
    [sym__identifier] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_true] = ACTIONS(2475),
    [anon_sym_false] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(2479),
    [anon_sym_fun] = ACTIONS(2481),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2487),
    [anon_sym_function] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_LBRACE_LT] = ACTIONS(2495),
    [anon_sym_begin] = ACTIONS(2497),
    [sym_ocamlyacc_value] = ACTIONS(2499),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2501),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2503),
    [aux_sym_number_token1] = ACTIONS(2505),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [sym_prefix_operator] = ACTIONS(2511),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2513),
    [sym__capitalized_identifier] = ACTIONS(2515),
    [aux_sym_tag_token1] = ACTIONS(2517),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2013] = {
    [sym_value_definition] = STATE(19315),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12079),
    [sym_typed_expression] = STATE(6579),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6579),
    [sym_array_expression] = STATE(6579),
    [sym_record_expression] = STATE(6579),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6579),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6579),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6579),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6579),
    [sym_package_expression] = STATE(6579),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6579),
    [sym_object_copy_expression] = STATE(6579),
    [sym_method_invocation] = STATE(6579),
    [sym_object_expression] = STATE(6579),
    [sym_parenthesized_expression] = STATE(6579),
    [sym_attribute] = STATE(2013),
    [sym_extension] = STATE(6579),
    [sym_quoted_extension] = STATE(6579),
    [sym__constant] = STATE(6579),
    [sym_number] = STATE(6534),
    [sym_character] = STATE(6534),
    [sym_string] = STATE(6534),
    [sym_quoted_string] = STATE(6534),
    [sym_boolean] = STATE(6534),
    [sym_unit] = STATE(6534),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(6629),
    [sym_parenthesized_operator] = STATE(6159),
    [sym_value_path] = STATE(6579),
    [sym_module_path] = STATE(18629),
    [sym_constructor_path] = STATE(6579),
    [sym__instance_variable_name] = STATE(19301),
    [sym__constructor_name] = STATE(6641),
    [sym_tag] = STATE(6579),
    [sym__identifier] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_true] = ACTIONS(2475),
    [anon_sym_false] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(2479),
    [anon_sym_fun] = ACTIONS(2481),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2487),
    [anon_sym_function] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_LBRACE_LT] = ACTIONS(2495),
    [anon_sym_begin] = ACTIONS(2497),
    [sym_ocamlyacc_value] = ACTIONS(2499),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2501),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2503),
    [aux_sym_number_token1] = ACTIONS(2505),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [sym_prefix_operator] = ACTIONS(2511),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2513),
    [sym__capitalized_identifier] = ACTIONS(2515),
    [aux_sym_tag_token1] = ACTIONS(2517),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2014] = {
    [sym_value_definition] = STATE(19315),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12080),
    [sym_typed_expression] = STATE(6579),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6579),
    [sym_array_expression] = STATE(6579),
    [sym_record_expression] = STATE(6579),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6579),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6579),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6579),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6579),
    [sym_package_expression] = STATE(6579),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6579),
    [sym_object_copy_expression] = STATE(6579),
    [sym_method_invocation] = STATE(6579),
    [sym_object_expression] = STATE(6579),
    [sym_parenthesized_expression] = STATE(6579),
    [sym_attribute] = STATE(2014),
    [sym_extension] = STATE(6579),
    [sym_quoted_extension] = STATE(6579),
    [sym__constant] = STATE(6579),
    [sym_number] = STATE(6534),
    [sym_character] = STATE(6534),
    [sym_string] = STATE(6534),
    [sym_quoted_string] = STATE(6534),
    [sym_boolean] = STATE(6534),
    [sym_unit] = STATE(6534),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(6629),
    [sym_parenthesized_operator] = STATE(6159),
    [sym_value_path] = STATE(6579),
    [sym_module_path] = STATE(18629),
    [sym_constructor_path] = STATE(6579),
    [sym__instance_variable_name] = STATE(19301),
    [sym__constructor_name] = STATE(6641),
    [sym_tag] = STATE(6579),
    [sym__identifier] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_true] = ACTIONS(2475),
    [anon_sym_false] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(2479),
    [anon_sym_fun] = ACTIONS(2481),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2487),
    [anon_sym_function] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_LBRACE_LT] = ACTIONS(2495),
    [anon_sym_begin] = ACTIONS(2497),
    [sym_ocamlyacc_value] = ACTIONS(2499),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2501),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2503),
    [aux_sym_number_token1] = ACTIONS(2505),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [sym_prefix_operator] = ACTIONS(2511),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2513),
    [sym__capitalized_identifier] = ACTIONS(2515),
    [aux_sym_tag_token1] = ACTIONS(2517),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2015] = {
    [sym_value_definition] = STATE(19315),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12082),
    [sym_typed_expression] = STATE(6579),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6579),
    [sym_array_expression] = STATE(6579),
    [sym_record_expression] = STATE(6579),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6579),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6579),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6579),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6579),
    [sym_package_expression] = STATE(6579),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6579),
    [sym_object_copy_expression] = STATE(6579),
    [sym_method_invocation] = STATE(6579),
    [sym_object_expression] = STATE(6579),
    [sym_parenthesized_expression] = STATE(6579),
    [sym_attribute] = STATE(2015),
    [sym_extension] = STATE(6579),
    [sym_quoted_extension] = STATE(6579),
    [sym__constant] = STATE(6579),
    [sym_number] = STATE(6534),
    [sym_character] = STATE(6534),
    [sym_string] = STATE(6534),
    [sym_quoted_string] = STATE(6534),
    [sym_boolean] = STATE(6534),
    [sym_unit] = STATE(6534),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(6629),
    [sym_parenthesized_operator] = STATE(6159),
    [sym_value_path] = STATE(6579),
    [sym_module_path] = STATE(18629),
    [sym_constructor_path] = STATE(6579),
    [sym__instance_variable_name] = STATE(19301),
    [sym__constructor_name] = STATE(6641),
    [sym_tag] = STATE(6579),
    [sym__identifier] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_true] = ACTIONS(2475),
    [anon_sym_false] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(2479),
    [anon_sym_fun] = ACTIONS(2481),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2487),
    [anon_sym_function] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_LBRACE_LT] = ACTIONS(2495),
    [anon_sym_begin] = ACTIONS(2497),
    [sym_ocamlyacc_value] = ACTIONS(2499),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2501),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2503),
    [aux_sym_number_token1] = ACTIONS(2505),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [sym_prefix_operator] = ACTIONS(2511),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2513),
    [sym__capitalized_identifier] = ACTIONS(2515),
    [aux_sym_tag_token1] = ACTIONS(2517),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2016] = {
    [sym_value_definition] = STATE(19315),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12084),
    [sym_typed_expression] = STATE(6579),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6579),
    [sym_array_expression] = STATE(6579),
    [sym_record_expression] = STATE(6579),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6579),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6579),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6579),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6579),
    [sym_package_expression] = STATE(6579),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6579),
    [sym_object_copy_expression] = STATE(6579),
    [sym_method_invocation] = STATE(6579),
    [sym_object_expression] = STATE(6579),
    [sym_parenthesized_expression] = STATE(6579),
    [sym_attribute] = STATE(2016),
    [sym_extension] = STATE(6579),
    [sym_quoted_extension] = STATE(6579),
    [sym__constant] = STATE(6579),
    [sym_number] = STATE(6534),
    [sym_character] = STATE(6534),
    [sym_string] = STATE(6534),
    [sym_quoted_string] = STATE(6534),
    [sym_boolean] = STATE(6534),
    [sym_unit] = STATE(6534),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(6629),
    [sym_parenthesized_operator] = STATE(6159),
    [sym_value_path] = STATE(6579),
    [sym_module_path] = STATE(18629),
    [sym_constructor_path] = STATE(6579),
    [sym__instance_variable_name] = STATE(19301),
    [sym__constructor_name] = STATE(6641),
    [sym_tag] = STATE(6579),
    [sym__identifier] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_true] = ACTIONS(2475),
    [anon_sym_false] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(2479),
    [anon_sym_fun] = ACTIONS(2481),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2487),
    [anon_sym_function] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_LBRACE_LT] = ACTIONS(2495),
    [anon_sym_begin] = ACTIONS(2497),
    [sym_ocamlyacc_value] = ACTIONS(2499),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2501),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2503),
    [aux_sym_number_token1] = ACTIONS(2505),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [sym_prefix_operator] = ACTIONS(2511),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2513),
    [sym__capitalized_identifier] = ACTIONS(2515),
    [aux_sym_tag_token1] = ACTIONS(2517),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2017] = {
    [sym_value_definition] = STATE(19315),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12085),
    [sym_typed_expression] = STATE(6579),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6579),
    [sym_array_expression] = STATE(6579),
    [sym_record_expression] = STATE(6579),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6579),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6579),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6579),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6579),
    [sym_package_expression] = STATE(6579),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6579),
    [sym_object_copy_expression] = STATE(6579),
    [sym_method_invocation] = STATE(6579),
    [sym_object_expression] = STATE(6579),
    [sym_parenthesized_expression] = STATE(6579),
    [sym_attribute] = STATE(2017),
    [sym_extension] = STATE(6579),
    [sym_quoted_extension] = STATE(6579),
    [sym__constant] = STATE(6579),
    [sym_number] = STATE(6534),
    [sym_character] = STATE(6534),
    [sym_string] = STATE(6534),
    [sym_quoted_string] = STATE(6534),
    [sym_boolean] = STATE(6534),
    [sym_unit] = STATE(6534),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(6629),
    [sym_parenthesized_operator] = STATE(6159),
    [sym_value_path] = STATE(6579),
    [sym_module_path] = STATE(18629),
    [sym_constructor_path] = STATE(6579),
    [sym__instance_variable_name] = STATE(19301),
    [sym__constructor_name] = STATE(6641),
    [sym_tag] = STATE(6579),
    [sym__identifier] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_true] = ACTIONS(2475),
    [anon_sym_false] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(2479),
    [anon_sym_fun] = ACTIONS(2481),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2487),
    [anon_sym_function] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_LBRACE_LT] = ACTIONS(2495),
    [anon_sym_begin] = ACTIONS(2497),
    [sym_ocamlyacc_value] = ACTIONS(2499),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2501),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2503),
    [aux_sym_number_token1] = ACTIONS(2505),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [sym_prefix_operator] = ACTIONS(2511),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2513),
    [sym__capitalized_identifier] = ACTIONS(2515),
    [aux_sym_tag_token1] = ACTIONS(2517),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2018] = {
    [sym_value_definition] = STATE(19315),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12086),
    [sym_typed_expression] = STATE(6579),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6579),
    [sym_array_expression] = STATE(6579),
    [sym_record_expression] = STATE(6579),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6579),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6579),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6579),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6579),
    [sym_package_expression] = STATE(6579),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6579),
    [sym_object_copy_expression] = STATE(6579),
    [sym_method_invocation] = STATE(6579),
    [sym_object_expression] = STATE(6579),
    [sym_parenthesized_expression] = STATE(6579),
    [sym_attribute] = STATE(2018),
    [sym_extension] = STATE(6579),
    [sym_quoted_extension] = STATE(6579),
    [sym__constant] = STATE(6579),
    [sym_number] = STATE(6534),
    [sym_character] = STATE(6534),
    [sym_string] = STATE(6534),
    [sym_quoted_string] = STATE(6534),
    [sym_boolean] = STATE(6534),
    [sym_unit] = STATE(6534),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(6629),
    [sym_parenthesized_operator] = STATE(6159),
    [sym_value_path] = STATE(6579),
    [sym_module_path] = STATE(18629),
    [sym_constructor_path] = STATE(6579),
    [sym__instance_variable_name] = STATE(19301),
    [sym__constructor_name] = STATE(6641),
    [sym_tag] = STATE(6579),
    [sym__identifier] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_true] = ACTIONS(2475),
    [anon_sym_false] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(2479),
    [anon_sym_fun] = ACTIONS(2481),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2487),
    [anon_sym_function] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_LBRACE_LT] = ACTIONS(2495),
    [anon_sym_begin] = ACTIONS(2497),
    [sym_ocamlyacc_value] = ACTIONS(2499),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2501),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2503),
    [aux_sym_number_token1] = ACTIONS(2505),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [sym_prefix_operator] = ACTIONS(2511),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2513),
    [sym__capitalized_identifier] = ACTIONS(2515),
    [aux_sym_tag_token1] = ACTIONS(2517),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2019] = {
    [sym_value_definition] = STATE(19315),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12112),
    [sym_typed_expression] = STATE(6579),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6579),
    [sym_array_expression] = STATE(6579),
    [sym_record_expression] = STATE(6579),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6579),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6579),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6579),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6579),
    [sym_package_expression] = STATE(6579),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6579),
    [sym_object_copy_expression] = STATE(6579),
    [sym_method_invocation] = STATE(6579),
    [sym_object_expression] = STATE(6579),
    [sym_parenthesized_expression] = STATE(6579),
    [sym_attribute] = STATE(2019),
    [sym_extension] = STATE(6579),
    [sym_quoted_extension] = STATE(6579),
    [sym__constant] = STATE(6579),
    [sym_number] = STATE(6534),
    [sym_character] = STATE(6534),
    [sym_string] = STATE(6534),
    [sym_quoted_string] = STATE(6534),
    [sym_boolean] = STATE(6534),
    [sym_unit] = STATE(6534),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(6629),
    [sym_parenthesized_operator] = STATE(6159),
    [sym_value_path] = STATE(6579),
    [sym_module_path] = STATE(18629),
    [sym_constructor_path] = STATE(6579),
    [sym__instance_variable_name] = STATE(19301),
    [sym__constructor_name] = STATE(6641),
    [sym_tag] = STATE(6579),
    [sym__identifier] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_true] = ACTIONS(2475),
    [anon_sym_false] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(2479),
    [anon_sym_fun] = ACTIONS(2481),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2487),
    [anon_sym_function] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_LBRACE_LT] = ACTIONS(2495),
    [anon_sym_begin] = ACTIONS(2497),
    [sym_ocamlyacc_value] = ACTIONS(2499),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2501),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2503),
    [aux_sym_number_token1] = ACTIONS(2505),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [sym_prefix_operator] = ACTIONS(2511),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2513),
    [sym__capitalized_identifier] = ACTIONS(2515),
    [aux_sym_tag_token1] = ACTIONS(2517),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2020] = {
    [sym_value_definition] = STATE(17762),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8280),
    [sym_typed_expression] = STATE(3246),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3246),
    [sym_array_expression] = STATE(3246),
    [sym_record_expression] = STATE(3246),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3246),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3246),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2739),
    [sym_array_get_expression] = STATE(2739),
    [sym_string_get_expression] = STATE(2739),
    [sym_bigarray_get_expression] = STATE(2739),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3246),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3246),
    [sym_package_expression] = STATE(3246),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3246),
    [sym_object_copy_expression] = STATE(3246),
    [sym_method_invocation] = STATE(3246),
    [sym_object_expression] = STATE(3246),
    [sym_parenthesized_expression] = STATE(3246),
    [sym_attribute] = STATE(2020),
    [sym_extension] = STATE(3246),
    [sym_quoted_extension] = STATE(3246),
    [sym__constant] = STATE(3246),
    [sym_number] = STATE(3390),
    [sym_character] = STATE(3390),
    [sym_string] = STATE(3390),
    [sym_quoted_string] = STATE(3390),
    [sym_boolean] = STATE(3390),
    [sym_unit] = STATE(3390),
    [sym_sign_operator] = STATE(2020),
    [sym__value_name] = STATE(3293),
    [sym_parenthesized_operator] = STATE(3329),
    [sym_value_path] = STATE(3246),
    [sym_module_path] = STATE(18854),
    [sym_constructor_path] = STATE(3246),
    [sym__instance_variable_name] = STATE(20169),
    [sym__constructor_name] = STATE(3391),
    [sym_tag] = STATE(3246),
    [sym__identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__capitalized_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2021] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(12065),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(2021),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2022] = {
    [sym_value_definition] = STATE(17762),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8283),
    [sym_typed_expression] = STATE(3246),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3246),
    [sym_array_expression] = STATE(3246),
    [sym_record_expression] = STATE(3246),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3246),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3246),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2739),
    [sym_array_get_expression] = STATE(2739),
    [sym_string_get_expression] = STATE(2739),
    [sym_bigarray_get_expression] = STATE(2739),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3246),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3246),
    [sym_package_expression] = STATE(3246),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3246),
    [sym_object_copy_expression] = STATE(3246),
    [sym_method_invocation] = STATE(3246),
    [sym_object_expression] = STATE(3246),
    [sym_parenthesized_expression] = STATE(3246),
    [sym_attribute] = STATE(2022),
    [sym_extension] = STATE(3246),
    [sym_quoted_extension] = STATE(3246),
    [sym__constant] = STATE(3246),
    [sym_number] = STATE(3390),
    [sym_character] = STATE(3390),
    [sym_string] = STATE(3390),
    [sym_quoted_string] = STATE(3390),
    [sym_boolean] = STATE(3390),
    [sym_unit] = STATE(3390),
    [sym_sign_operator] = STATE(2020),
    [sym__value_name] = STATE(3293),
    [sym_parenthesized_operator] = STATE(3329),
    [sym_value_path] = STATE(3246),
    [sym_module_path] = STATE(18854),
    [sym_constructor_path] = STATE(3246),
    [sym__instance_variable_name] = STATE(20169),
    [sym__constructor_name] = STATE(3391),
    [sym_tag] = STATE(3246),
    [sym__identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__capitalized_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2023] = {
    [sym_value_definition] = STATE(17762),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8284),
    [sym_typed_expression] = STATE(3246),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3246),
    [sym_array_expression] = STATE(3246),
    [sym_record_expression] = STATE(3246),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3246),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3246),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2739),
    [sym_array_get_expression] = STATE(2739),
    [sym_string_get_expression] = STATE(2739),
    [sym_bigarray_get_expression] = STATE(2739),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3246),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3246),
    [sym_package_expression] = STATE(3246),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3246),
    [sym_object_copy_expression] = STATE(3246),
    [sym_method_invocation] = STATE(3246),
    [sym_object_expression] = STATE(3246),
    [sym_parenthesized_expression] = STATE(3246),
    [sym_attribute] = STATE(2023),
    [sym_extension] = STATE(3246),
    [sym_quoted_extension] = STATE(3246),
    [sym__constant] = STATE(3246),
    [sym_number] = STATE(3390),
    [sym_character] = STATE(3390),
    [sym_string] = STATE(3390),
    [sym_quoted_string] = STATE(3390),
    [sym_boolean] = STATE(3390),
    [sym_unit] = STATE(3390),
    [sym_sign_operator] = STATE(2020),
    [sym__value_name] = STATE(3293),
    [sym_parenthesized_operator] = STATE(3329),
    [sym_value_path] = STATE(3246),
    [sym_module_path] = STATE(18854),
    [sym_constructor_path] = STATE(3246),
    [sym__instance_variable_name] = STATE(20169),
    [sym__constructor_name] = STATE(3391),
    [sym_tag] = STATE(3246),
    [sym__identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__capitalized_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2024] = {
    [sym_value_definition] = STATE(17762),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8302),
    [sym_typed_expression] = STATE(3246),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3246),
    [sym_array_expression] = STATE(3246),
    [sym_record_expression] = STATE(3246),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3246),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3246),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2739),
    [sym_array_get_expression] = STATE(2739),
    [sym_string_get_expression] = STATE(2739),
    [sym_bigarray_get_expression] = STATE(2739),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3246),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3246),
    [sym_package_expression] = STATE(3246),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3246),
    [sym_object_copy_expression] = STATE(3246),
    [sym_method_invocation] = STATE(3246),
    [sym_object_expression] = STATE(3246),
    [sym_parenthesized_expression] = STATE(3246),
    [sym_attribute] = STATE(2024),
    [sym_extension] = STATE(3246),
    [sym_quoted_extension] = STATE(3246),
    [sym__constant] = STATE(3246),
    [sym_number] = STATE(3390),
    [sym_character] = STATE(3390),
    [sym_string] = STATE(3390),
    [sym_quoted_string] = STATE(3390),
    [sym_boolean] = STATE(3390),
    [sym_unit] = STATE(3390),
    [sym_sign_operator] = STATE(2020),
    [sym__value_name] = STATE(3293),
    [sym_parenthesized_operator] = STATE(3329),
    [sym_value_path] = STATE(3246),
    [sym_module_path] = STATE(18854),
    [sym_constructor_path] = STATE(3246),
    [sym__instance_variable_name] = STATE(20169),
    [sym__constructor_name] = STATE(3391),
    [sym_tag] = STATE(3246),
    [sym__identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__capitalized_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2025] = {
    [sym_value_definition] = STATE(17762),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8309),
    [sym_typed_expression] = STATE(3246),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3246),
    [sym_array_expression] = STATE(3246),
    [sym_record_expression] = STATE(3246),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3246),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3246),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2739),
    [sym_array_get_expression] = STATE(2739),
    [sym_string_get_expression] = STATE(2739),
    [sym_bigarray_get_expression] = STATE(2739),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3246),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3246),
    [sym_package_expression] = STATE(3246),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3246),
    [sym_object_copy_expression] = STATE(3246),
    [sym_method_invocation] = STATE(3246),
    [sym_object_expression] = STATE(3246),
    [sym_parenthesized_expression] = STATE(3246),
    [sym_attribute] = STATE(2025),
    [sym_extension] = STATE(3246),
    [sym_quoted_extension] = STATE(3246),
    [sym__constant] = STATE(3246),
    [sym_number] = STATE(3390),
    [sym_character] = STATE(3390),
    [sym_string] = STATE(3390),
    [sym_quoted_string] = STATE(3390),
    [sym_boolean] = STATE(3390),
    [sym_unit] = STATE(3390),
    [sym_sign_operator] = STATE(2020),
    [sym__value_name] = STATE(3293),
    [sym_parenthesized_operator] = STATE(3329),
    [sym_value_path] = STATE(3246),
    [sym_module_path] = STATE(18854),
    [sym_constructor_path] = STATE(3246),
    [sym__instance_variable_name] = STATE(20169),
    [sym__constructor_name] = STATE(3391),
    [sym_tag] = STATE(3246),
    [sym__identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__capitalized_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2026] = {
    [sym_value_definition] = STATE(17762),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8315),
    [sym_typed_expression] = STATE(3246),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3246),
    [sym_array_expression] = STATE(3246),
    [sym_record_expression] = STATE(3246),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3246),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3246),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2739),
    [sym_array_get_expression] = STATE(2739),
    [sym_string_get_expression] = STATE(2739),
    [sym_bigarray_get_expression] = STATE(2739),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3246),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3246),
    [sym_package_expression] = STATE(3246),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3246),
    [sym_object_copy_expression] = STATE(3246),
    [sym_method_invocation] = STATE(3246),
    [sym_object_expression] = STATE(3246),
    [sym_parenthesized_expression] = STATE(3246),
    [sym_attribute] = STATE(2026),
    [sym_extension] = STATE(3246),
    [sym_quoted_extension] = STATE(3246),
    [sym__constant] = STATE(3246),
    [sym_number] = STATE(3390),
    [sym_character] = STATE(3390),
    [sym_string] = STATE(3390),
    [sym_quoted_string] = STATE(3390),
    [sym_boolean] = STATE(3390),
    [sym_unit] = STATE(3390),
    [sym_sign_operator] = STATE(2020),
    [sym__value_name] = STATE(3293),
    [sym_parenthesized_operator] = STATE(3329),
    [sym_value_path] = STATE(3246),
    [sym_module_path] = STATE(18854),
    [sym_constructor_path] = STATE(3246),
    [sym__instance_variable_name] = STATE(20169),
    [sym__constructor_name] = STATE(3391),
    [sym_tag] = STATE(3246),
    [sym__identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__capitalized_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2027] = {
    [sym_value_definition] = STATE(17762),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8323),
    [sym_typed_expression] = STATE(3246),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3246),
    [sym_array_expression] = STATE(3246),
    [sym_record_expression] = STATE(3246),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3246),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3246),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2739),
    [sym_array_get_expression] = STATE(2739),
    [sym_string_get_expression] = STATE(2739),
    [sym_bigarray_get_expression] = STATE(2739),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3246),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3246),
    [sym_package_expression] = STATE(3246),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3246),
    [sym_object_copy_expression] = STATE(3246),
    [sym_method_invocation] = STATE(3246),
    [sym_object_expression] = STATE(3246),
    [sym_parenthesized_expression] = STATE(3246),
    [sym_attribute] = STATE(2027),
    [sym_extension] = STATE(3246),
    [sym_quoted_extension] = STATE(3246),
    [sym__constant] = STATE(3246),
    [sym_number] = STATE(3390),
    [sym_character] = STATE(3390),
    [sym_string] = STATE(3390),
    [sym_quoted_string] = STATE(3390),
    [sym_boolean] = STATE(3390),
    [sym_unit] = STATE(3390),
    [sym_sign_operator] = STATE(2020),
    [sym__value_name] = STATE(3293),
    [sym_parenthesized_operator] = STATE(3329),
    [sym_value_path] = STATE(3246),
    [sym_module_path] = STATE(18854),
    [sym_constructor_path] = STATE(3246),
    [sym__instance_variable_name] = STATE(20169),
    [sym__constructor_name] = STATE(3391),
    [sym_tag] = STATE(3246),
    [sym__identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__capitalized_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2028] = {
    [sym_value_definition] = STATE(17762),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8328),
    [sym_typed_expression] = STATE(3246),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3246),
    [sym_array_expression] = STATE(3246),
    [sym_record_expression] = STATE(3246),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3246),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3246),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2739),
    [sym_array_get_expression] = STATE(2739),
    [sym_string_get_expression] = STATE(2739),
    [sym_bigarray_get_expression] = STATE(2739),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3246),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3246),
    [sym_package_expression] = STATE(3246),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3246),
    [sym_object_copy_expression] = STATE(3246),
    [sym_method_invocation] = STATE(3246),
    [sym_object_expression] = STATE(3246),
    [sym_parenthesized_expression] = STATE(3246),
    [sym_attribute] = STATE(2028),
    [sym_extension] = STATE(3246),
    [sym_quoted_extension] = STATE(3246),
    [sym__constant] = STATE(3246),
    [sym_number] = STATE(3390),
    [sym_character] = STATE(3390),
    [sym_string] = STATE(3390),
    [sym_quoted_string] = STATE(3390),
    [sym_boolean] = STATE(3390),
    [sym_unit] = STATE(3390),
    [sym_sign_operator] = STATE(2020),
    [sym__value_name] = STATE(3293),
    [sym_parenthesized_operator] = STATE(3329),
    [sym_value_path] = STATE(3246),
    [sym_module_path] = STATE(18854),
    [sym_constructor_path] = STATE(3246),
    [sym__instance_variable_name] = STATE(20169),
    [sym__constructor_name] = STATE(3391),
    [sym_tag] = STATE(3246),
    [sym__identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__capitalized_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2029] = {
    [sym_value_definition] = STATE(17762),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8332),
    [sym_typed_expression] = STATE(3246),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3246),
    [sym_array_expression] = STATE(3246),
    [sym_record_expression] = STATE(3246),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3246),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3246),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2739),
    [sym_array_get_expression] = STATE(2739),
    [sym_string_get_expression] = STATE(2739),
    [sym_bigarray_get_expression] = STATE(2739),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3246),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3246),
    [sym_package_expression] = STATE(3246),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3246),
    [sym_object_copy_expression] = STATE(3246),
    [sym_method_invocation] = STATE(3246),
    [sym_object_expression] = STATE(3246),
    [sym_parenthesized_expression] = STATE(3246),
    [sym_attribute] = STATE(2029),
    [sym_extension] = STATE(3246),
    [sym_quoted_extension] = STATE(3246),
    [sym__constant] = STATE(3246),
    [sym_number] = STATE(3390),
    [sym_character] = STATE(3390),
    [sym_string] = STATE(3390),
    [sym_quoted_string] = STATE(3390),
    [sym_boolean] = STATE(3390),
    [sym_unit] = STATE(3390),
    [sym_sign_operator] = STATE(2020),
    [sym__value_name] = STATE(3293),
    [sym_parenthesized_operator] = STATE(3329),
    [sym_value_path] = STATE(3246),
    [sym_module_path] = STATE(18854),
    [sym_constructor_path] = STATE(3246),
    [sym__instance_variable_name] = STATE(20169),
    [sym__constructor_name] = STATE(3391),
    [sym_tag] = STATE(3246),
    [sym__identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__capitalized_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2030] = {
    [sym_value_definition] = STATE(17762),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8333),
    [sym_typed_expression] = STATE(3246),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3246),
    [sym_array_expression] = STATE(3246),
    [sym_record_expression] = STATE(3246),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3246),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3246),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2739),
    [sym_array_get_expression] = STATE(2739),
    [sym_string_get_expression] = STATE(2739),
    [sym_bigarray_get_expression] = STATE(2739),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3246),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3246),
    [sym_package_expression] = STATE(3246),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3246),
    [sym_object_copy_expression] = STATE(3246),
    [sym_method_invocation] = STATE(3246),
    [sym_object_expression] = STATE(3246),
    [sym_parenthesized_expression] = STATE(3246),
    [sym_attribute] = STATE(2030),
    [sym_extension] = STATE(3246),
    [sym_quoted_extension] = STATE(3246),
    [sym__constant] = STATE(3246),
    [sym_number] = STATE(3390),
    [sym_character] = STATE(3390),
    [sym_string] = STATE(3390),
    [sym_quoted_string] = STATE(3390),
    [sym_boolean] = STATE(3390),
    [sym_unit] = STATE(3390),
    [sym_sign_operator] = STATE(2020),
    [sym__value_name] = STATE(3293),
    [sym_parenthesized_operator] = STATE(3329),
    [sym_value_path] = STATE(3246),
    [sym_module_path] = STATE(18854),
    [sym_constructor_path] = STATE(3246),
    [sym__instance_variable_name] = STATE(20169),
    [sym__constructor_name] = STATE(3391),
    [sym_tag] = STATE(3246),
    [sym__identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__capitalized_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2031] = {
    [sym_value_definition] = STATE(17762),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8341),
    [sym_typed_expression] = STATE(3246),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3246),
    [sym_array_expression] = STATE(3246),
    [sym_record_expression] = STATE(3246),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3246),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3246),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2739),
    [sym_array_get_expression] = STATE(2739),
    [sym_string_get_expression] = STATE(2739),
    [sym_bigarray_get_expression] = STATE(2739),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3246),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3246),
    [sym_package_expression] = STATE(3246),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3246),
    [sym_object_copy_expression] = STATE(3246),
    [sym_method_invocation] = STATE(3246),
    [sym_object_expression] = STATE(3246),
    [sym_parenthesized_expression] = STATE(3246),
    [sym_attribute] = STATE(2031),
    [sym_extension] = STATE(3246),
    [sym_quoted_extension] = STATE(3246),
    [sym__constant] = STATE(3246),
    [sym_number] = STATE(3390),
    [sym_character] = STATE(3390),
    [sym_string] = STATE(3390),
    [sym_quoted_string] = STATE(3390),
    [sym_boolean] = STATE(3390),
    [sym_unit] = STATE(3390),
    [sym_sign_operator] = STATE(2020),
    [sym__value_name] = STATE(3293),
    [sym_parenthesized_operator] = STATE(3329),
    [sym_value_path] = STATE(3246),
    [sym_module_path] = STATE(18854),
    [sym_constructor_path] = STATE(3246),
    [sym__instance_variable_name] = STATE(20169),
    [sym__constructor_name] = STATE(3391),
    [sym_tag] = STATE(3246),
    [sym__identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__capitalized_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2032] = {
    [sym_value_definition] = STATE(17762),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8348),
    [sym_typed_expression] = STATE(3246),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3246),
    [sym_array_expression] = STATE(3246),
    [sym_record_expression] = STATE(3246),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3246),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3246),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2739),
    [sym_array_get_expression] = STATE(2739),
    [sym_string_get_expression] = STATE(2739),
    [sym_bigarray_get_expression] = STATE(2739),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3246),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3246),
    [sym_package_expression] = STATE(3246),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3246),
    [sym_object_copy_expression] = STATE(3246),
    [sym_method_invocation] = STATE(3246),
    [sym_object_expression] = STATE(3246),
    [sym_parenthesized_expression] = STATE(3246),
    [sym_attribute] = STATE(2032),
    [sym_extension] = STATE(3246),
    [sym_quoted_extension] = STATE(3246),
    [sym__constant] = STATE(3246),
    [sym_number] = STATE(3390),
    [sym_character] = STATE(3390),
    [sym_string] = STATE(3390),
    [sym_quoted_string] = STATE(3390),
    [sym_boolean] = STATE(3390),
    [sym_unit] = STATE(3390),
    [sym_sign_operator] = STATE(2020),
    [sym__value_name] = STATE(3293),
    [sym_parenthesized_operator] = STATE(3329),
    [sym_value_path] = STATE(3246),
    [sym_module_path] = STATE(18854),
    [sym_constructor_path] = STATE(3246),
    [sym__instance_variable_name] = STATE(20169),
    [sym__constructor_name] = STATE(3391),
    [sym_tag] = STATE(3246),
    [sym__identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__capitalized_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2033] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11906),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(2033),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2034] = {
    [sym_value_definition] = STATE(17762),
    [sym__simple_expression] = STATE(504),
    [sym__expression] = STATE(8356),
    [sym_typed_expression] = STATE(3246),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3246),
    [sym_array_expression] = STATE(3246),
    [sym_record_expression] = STATE(3246),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3246),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3246),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2739),
    [sym_array_get_expression] = STATE(2739),
    [sym_string_get_expression] = STATE(2739),
    [sym_bigarray_get_expression] = STATE(2739),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3246),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3246),
    [sym_package_expression] = STATE(3246),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3246),
    [sym_object_copy_expression] = STATE(3246),
    [sym_method_invocation] = STATE(3246),
    [sym_object_expression] = STATE(3246),
    [sym_parenthesized_expression] = STATE(3246),
    [sym_attribute] = STATE(2034),
    [sym_extension] = STATE(3246),
    [sym_quoted_extension] = STATE(3246),
    [sym__constant] = STATE(3246),
    [sym_number] = STATE(3390),
    [sym_character] = STATE(3390),
    [sym_string] = STATE(3390),
    [sym_quoted_string] = STATE(3390),
    [sym_boolean] = STATE(3390),
    [sym_unit] = STATE(3390),
    [sym_sign_operator] = STATE(2020),
    [sym__value_name] = STATE(3293),
    [sym_parenthesized_operator] = STATE(3329),
    [sym_value_path] = STATE(3246),
    [sym_module_path] = STATE(18854),
    [sym_constructor_path] = STATE(3246),
    [sym__instance_variable_name] = STATE(20169),
    [sym__constructor_name] = STATE(3391),
    [sym_tag] = STATE(3246),
    [sym__identifier] = ACTIONS(633),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_fun] = ACTIONS(647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_if] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(657),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(679),
    [sym__capitalized_identifier] = ACTIONS(681),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2035] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11907),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(2035),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2036] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11911),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(2036),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2037] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11912),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(2037),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2038] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11913),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(2038),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2039] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11914),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(2039),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2040] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11915),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(2040),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2041] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11916),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(2041),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2042] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11917),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(2042),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2043] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11918),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(2043),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2044] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11919),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(2044),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2045] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12692),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2045),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2046] = {
    [sym_value_definition] = STATE(19315),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11880),
    [sym_typed_expression] = STATE(6579),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6579),
    [sym_array_expression] = STATE(6579),
    [sym_record_expression] = STATE(6579),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6579),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6579),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6579),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6579),
    [sym_package_expression] = STATE(6579),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6579),
    [sym_object_copy_expression] = STATE(6579),
    [sym_method_invocation] = STATE(6579),
    [sym_object_expression] = STATE(6579),
    [sym_parenthesized_expression] = STATE(6579),
    [sym_attribute] = STATE(2046),
    [sym_extension] = STATE(6579),
    [sym_quoted_extension] = STATE(6579),
    [sym__constant] = STATE(6579),
    [sym_number] = STATE(6534),
    [sym_character] = STATE(6534),
    [sym_string] = STATE(6534),
    [sym_quoted_string] = STATE(6534),
    [sym_boolean] = STATE(6534),
    [sym_unit] = STATE(6534),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(6629),
    [sym_parenthesized_operator] = STATE(6159),
    [sym_value_path] = STATE(6579),
    [sym_module_path] = STATE(18629),
    [sym_constructor_path] = STATE(6579),
    [sym__instance_variable_name] = STATE(19301),
    [sym__constructor_name] = STATE(6641),
    [sym_tag] = STATE(6579),
    [sym__identifier] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_true] = ACTIONS(2475),
    [anon_sym_false] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(2479),
    [anon_sym_fun] = ACTIONS(2481),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2487),
    [anon_sym_function] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_LBRACE_LT] = ACTIONS(2495),
    [anon_sym_begin] = ACTIONS(2497),
    [sym_ocamlyacc_value] = ACTIONS(2499),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2501),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2503),
    [aux_sym_number_token1] = ACTIONS(2505),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [sym_prefix_operator] = ACTIONS(2511),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2513),
    [sym__capitalized_identifier] = ACTIONS(2515),
    [aux_sym_tag_token1] = ACTIONS(2517),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2047] = {
    [sym__simple_expression] = STATE(3106),
    [sym_typed_expression] = STATE(3337),
    [sym_list_expression] = STATE(3337),
    [sym_array_expression] = STATE(3337),
    [sym_record_expression] = STATE(3337),
    [sym_labeled_argument] = STATE(4170),
    [sym_prefix_expression] = STATE(3337),
    [sym_hash_expression] = STATE(3337),
    [sym_field_get_expression] = STATE(3337),
    [sym_array_get_expression] = STATE(3337),
    [sym_string_get_expression] = STATE(3337),
    [sym_bigarray_get_expression] = STATE(3337),
    [sym_coercion_expression] = STATE(3337),
    [sym_local_open_expression] = STATE(3337),
    [sym_package_expression] = STATE(3337),
    [sym_new_expression] = STATE(3337),
    [sym_object_copy_expression] = STATE(3337),
    [sym_method_invocation] = STATE(3337),
    [sym_object_expression] = STATE(3337),
    [sym_parenthesized_expression] = STATE(3337),
    [sym_attribute] = STATE(2047),
    [sym_extension] = STATE(3337),
    [sym_quoted_extension] = STATE(3337),
    [sym__constant] = STATE(3337),
    [sym_number] = STATE(2965),
    [sym_character] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_quoted_string] = STATE(2965),
    [sym_boolean] = STATE(2965),
    [sym_unit] = STATE(2965),
    [sym__value_name] = STATE(3102),
    [sym_parenthesized_operator] = STATE(3200),
    [sym_value_path] = STATE(3337),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(3337),
    [sym__constructor_name] = STATE(2967),
    [sym_tag] = STATE(3337),
    [aux_sym_class_application_repeat1] = STATE(2047),
    [sym__identifier] = ACTIONS(3965),
    [anon_sym_SEMI_SEMI] = ACTIONS(3570),
    [anon_sym_let] = ACTIONS(3572),
    [anon_sym_and] = ACTIONS(3572),
    [anon_sym_TILDE] = ACTIONS(3968),
    [anon_sym_QMARK] = ACTIONS(3968),
    [anon_sym_LPAREN] = ACTIONS(3971),
    [anon_sym_external] = ACTIONS(3572),
    [anon_sym_type] = ACTIONS(3572),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(3974),
    [anon_sym_RBRACK] = ACTIONS(3570),
    [anon_sym_true] = ACTIONS(3977),
    [anon_sym_false] = ACTIONS(3977),
    [anon_sym_LBRACE] = ACTIONS(3980),
    [anon_sym_SEMI] = ACTIONS(3572),
    [anon_sym_exception] = ACTIONS(3572),
    [anon_sym_module] = ACTIONS(3572),
    [anon_sym_open] = ACTIONS(3572),
    [anon_sym_include] = ACTIONS(3572),
    [anon_sym_class] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(3983),
    [anon_sym_in] = ACTIONS(3572),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3986),
    [anon_sym_new] = ACTIONS(3989),
    [anon_sym_LBRACE_LT] = ACTIONS(3992),
    [anon_sym_begin] = ACTIONS(3995),
    [sym_ocamlyacc_value] = ACTIONS(3998),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3572),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3570),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4001),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4004),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3570),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3570),
    [aux_sym_number_token1] = ACTIONS(4007),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(4010),
    [anon_sym_DQUOTE] = ACTIONS(4013),
    [sym_prefix_operator] = ACTIONS(4016),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym_let_operator] = ACTIONS(3570),
    [sym_let_and_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(4019),
    [aux_sym_directive_token1] = ACTIONS(3570),
    [aux_sym_tag_token1] = ACTIONS(4022),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2048] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11810),
    [sym_typed_expression] = STATE(6116),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6116),
    [sym_array_expression] = STATE(6116),
    [sym_record_expression] = STATE(6116),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6116),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6116),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5760),
    [sym_array_get_expression] = STATE(5760),
    [sym_string_get_expression] = STATE(5760),
    [sym_bigarray_get_expression] = STATE(5760),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6116),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6116),
    [sym_package_expression] = STATE(6116),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6116),
    [sym_object_copy_expression] = STATE(6116),
    [sym_method_invocation] = STATE(6116),
    [sym_object_expression] = STATE(6116),
    [sym_parenthesized_expression] = STATE(6116),
    [sym_attribute] = STATE(2048),
    [sym_extension] = STATE(6116),
    [sym_quoted_extension] = STATE(6116),
    [sym__constant] = STATE(6116),
    [sym_number] = STATE(5848),
    [sym_character] = STATE(5848),
    [sym_string] = STATE(5848),
    [sym_quoted_string] = STATE(5848),
    [sym_boolean] = STATE(5848),
    [sym_unit] = STATE(5848),
    [sym_sign_operator] = STATE(2048),
    [sym__value_name] = STATE(5908),
    [sym_parenthesized_operator] = STATE(5895),
    [sym_value_path] = STATE(6116),
    [sym_module_path] = STATE(18667),
    [sym_constructor_path] = STATE(6116),
    [sym__instance_variable_name] = STATE(19432),
    [sym__constructor_name] = STATE(5849),
    [sym_tag] = STATE(6116),
    [sym__identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__capitalized_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2049] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11710),
    [sym_typed_expression] = STATE(6116),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6116),
    [sym_array_expression] = STATE(6116),
    [sym_record_expression] = STATE(6116),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6116),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6116),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5760),
    [sym_array_get_expression] = STATE(5760),
    [sym_string_get_expression] = STATE(5760),
    [sym_bigarray_get_expression] = STATE(5760),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6116),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6116),
    [sym_package_expression] = STATE(6116),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6116),
    [sym_object_copy_expression] = STATE(6116),
    [sym_method_invocation] = STATE(6116),
    [sym_object_expression] = STATE(6116),
    [sym_parenthesized_expression] = STATE(6116),
    [sym_attribute] = STATE(2049),
    [sym_extension] = STATE(6116),
    [sym_quoted_extension] = STATE(6116),
    [sym__constant] = STATE(6116),
    [sym_number] = STATE(5848),
    [sym_character] = STATE(5848),
    [sym_string] = STATE(5848),
    [sym_quoted_string] = STATE(5848),
    [sym_boolean] = STATE(5848),
    [sym_unit] = STATE(5848),
    [sym_sign_operator] = STATE(2048),
    [sym__value_name] = STATE(5908),
    [sym_parenthesized_operator] = STATE(5895),
    [sym_value_path] = STATE(6116),
    [sym_module_path] = STATE(18667),
    [sym_constructor_path] = STATE(6116),
    [sym__instance_variable_name] = STATE(19432),
    [sym__constructor_name] = STATE(5849),
    [sym_tag] = STATE(6116),
    [sym__identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__capitalized_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2050] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11713),
    [sym_typed_expression] = STATE(6116),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6116),
    [sym_array_expression] = STATE(6116),
    [sym_record_expression] = STATE(6116),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6116),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6116),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5760),
    [sym_array_get_expression] = STATE(5760),
    [sym_string_get_expression] = STATE(5760),
    [sym_bigarray_get_expression] = STATE(5760),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6116),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6116),
    [sym_package_expression] = STATE(6116),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6116),
    [sym_object_copy_expression] = STATE(6116),
    [sym_method_invocation] = STATE(6116),
    [sym_object_expression] = STATE(6116),
    [sym_parenthesized_expression] = STATE(6116),
    [sym_attribute] = STATE(2050),
    [sym_extension] = STATE(6116),
    [sym_quoted_extension] = STATE(6116),
    [sym__constant] = STATE(6116),
    [sym_number] = STATE(5848),
    [sym_character] = STATE(5848),
    [sym_string] = STATE(5848),
    [sym_quoted_string] = STATE(5848),
    [sym_boolean] = STATE(5848),
    [sym_unit] = STATE(5848),
    [sym_sign_operator] = STATE(2048),
    [sym__value_name] = STATE(5908),
    [sym_parenthesized_operator] = STATE(5895),
    [sym_value_path] = STATE(6116),
    [sym_module_path] = STATE(18667),
    [sym_constructor_path] = STATE(6116),
    [sym__instance_variable_name] = STATE(19432),
    [sym__constructor_name] = STATE(5849),
    [sym_tag] = STATE(6116),
    [sym__identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__capitalized_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2051] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11714),
    [sym_typed_expression] = STATE(6116),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6116),
    [sym_array_expression] = STATE(6116),
    [sym_record_expression] = STATE(6116),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6116),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6116),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5760),
    [sym_array_get_expression] = STATE(5760),
    [sym_string_get_expression] = STATE(5760),
    [sym_bigarray_get_expression] = STATE(5760),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6116),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6116),
    [sym_package_expression] = STATE(6116),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6116),
    [sym_object_copy_expression] = STATE(6116),
    [sym_method_invocation] = STATE(6116),
    [sym_object_expression] = STATE(6116),
    [sym_parenthesized_expression] = STATE(6116),
    [sym_attribute] = STATE(2051),
    [sym_extension] = STATE(6116),
    [sym_quoted_extension] = STATE(6116),
    [sym__constant] = STATE(6116),
    [sym_number] = STATE(5848),
    [sym_character] = STATE(5848),
    [sym_string] = STATE(5848),
    [sym_quoted_string] = STATE(5848),
    [sym_boolean] = STATE(5848),
    [sym_unit] = STATE(5848),
    [sym_sign_operator] = STATE(2048),
    [sym__value_name] = STATE(5908),
    [sym_parenthesized_operator] = STATE(5895),
    [sym_value_path] = STATE(6116),
    [sym_module_path] = STATE(18667),
    [sym_constructor_path] = STATE(6116),
    [sym__instance_variable_name] = STATE(19432),
    [sym__constructor_name] = STATE(5849),
    [sym_tag] = STATE(6116),
    [sym__identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__capitalized_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2052] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11715),
    [sym_typed_expression] = STATE(6116),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6116),
    [sym_array_expression] = STATE(6116),
    [sym_record_expression] = STATE(6116),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6116),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6116),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5760),
    [sym_array_get_expression] = STATE(5760),
    [sym_string_get_expression] = STATE(5760),
    [sym_bigarray_get_expression] = STATE(5760),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6116),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6116),
    [sym_package_expression] = STATE(6116),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6116),
    [sym_object_copy_expression] = STATE(6116),
    [sym_method_invocation] = STATE(6116),
    [sym_object_expression] = STATE(6116),
    [sym_parenthesized_expression] = STATE(6116),
    [sym_attribute] = STATE(2052),
    [sym_extension] = STATE(6116),
    [sym_quoted_extension] = STATE(6116),
    [sym__constant] = STATE(6116),
    [sym_number] = STATE(5848),
    [sym_character] = STATE(5848),
    [sym_string] = STATE(5848),
    [sym_quoted_string] = STATE(5848),
    [sym_boolean] = STATE(5848),
    [sym_unit] = STATE(5848),
    [sym_sign_operator] = STATE(2048),
    [sym__value_name] = STATE(5908),
    [sym_parenthesized_operator] = STATE(5895),
    [sym_value_path] = STATE(6116),
    [sym_module_path] = STATE(18667),
    [sym_constructor_path] = STATE(6116),
    [sym__instance_variable_name] = STATE(19432),
    [sym__constructor_name] = STATE(5849),
    [sym_tag] = STATE(6116),
    [sym__identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__capitalized_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2053] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11717),
    [sym_typed_expression] = STATE(6116),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6116),
    [sym_array_expression] = STATE(6116),
    [sym_record_expression] = STATE(6116),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6116),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6116),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5760),
    [sym_array_get_expression] = STATE(5760),
    [sym_string_get_expression] = STATE(5760),
    [sym_bigarray_get_expression] = STATE(5760),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6116),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6116),
    [sym_package_expression] = STATE(6116),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6116),
    [sym_object_copy_expression] = STATE(6116),
    [sym_method_invocation] = STATE(6116),
    [sym_object_expression] = STATE(6116),
    [sym_parenthesized_expression] = STATE(6116),
    [sym_attribute] = STATE(2053),
    [sym_extension] = STATE(6116),
    [sym_quoted_extension] = STATE(6116),
    [sym__constant] = STATE(6116),
    [sym_number] = STATE(5848),
    [sym_character] = STATE(5848),
    [sym_string] = STATE(5848),
    [sym_quoted_string] = STATE(5848),
    [sym_boolean] = STATE(5848),
    [sym_unit] = STATE(5848),
    [sym_sign_operator] = STATE(2048),
    [sym__value_name] = STATE(5908),
    [sym_parenthesized_operator] = STATE(5895),
    [sym_value_path] = STATE(6116),
    [sym_module_path] = STATE(18667),
    [sym_constructor_path] = STATE(6116),
    [sym__instance_variable_name] = STATE(19432),
    [sym__constructor_name] = STATE(5849),
    [sym_tag] = STATE(6116),
    [sym__identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__capitalized_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2054] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11720),
    [sym_typed_expression] = STATE(6116),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6116),
    [sym_array_expression] = STATE(6116),
    [sym_record_expression] = STATE(6116),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6116),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6116),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5760),
    [sym_array_get_expression] = STATE(5760),
    [sym_string_get_expression] = STATE(5760),
    [sym_bigarray_get_expression] = STATE(5760),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6116),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6116),
    [sym_package_expression] = STATE(6116),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6116),
    [sym_object_copy_expression] = STATE(6116),
    [sym_method_invocation] = STATE(6116),
    [sym_object_expression] = STATE(6116),
    [sym_parenthesized_expression] = STATE(6116),
    [sym_attribute] = STATE(2054),
    [sym_extension] = STATE(6116),
    [sym_quoted_extension] = STATE(6116),
    [sym__constant] = STATE(6116),
    [sym_number] = STATE(5848),
    [sym_character] = STATE(5848),
    [sym_string] = STATE(5848),
    [sym_quoted_string] = STATE(5848),
    [sym_boolean] = STATE(5848),
    [sym_unit] = STATE(5848),
    [sym_sign_operator] = STATE(2048),
    [sym__value_name] = STATE(5908),
    [sym_parenthesized_operator] = STATE(5895),
    [sym_value_path] = STATE(6116),
    [sym_module_path] = STATE(18667),
    [sym_constructor_path] = STATE(6116),
    [sym__instance_variable_name] = STATE(19432),
    [sym__constructor_name] = STATE(5849),
    [sym_tag] = STATE(6116),
    [sym__identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__capitalized_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2055] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11733),
    [sym_typed_expression] = STATE(6116),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6116),
    [sym_array_expression] = STATE(6116),
    [sym_record_expression] = STATE(6116),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6116),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6116),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5760),
    [sym_array_get_expression] = STATE(5760),
    [sym_string_get_expression] = STATE(5760),
    [sym_bigarray_get_expression] = STATE(5760),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6116),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6116),
    [sym_package_expression] = STATE(6116),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6116),
    [sym_object_copy_expression] = STATE(6116),
    [sym_method_invocation] = STATE(6116),
    [sym_object_expression] = STATE(6116),
    [sym_parenthesized_expression] = STATE(6116),
    [sym_attribute] = STATE(2055),
    [sym_extension] = STATE(6116),
    [sym_quoted_extension] = STATE(6116),
    [sym__constant] = STATE(6116),
    [sym_number] = STATE(5848),
    [sym_character] = STATE(5848),
    [sym_string] = STATE(5848),
    [sym_quoted_string] = STATE(5848),
    [sym_boolean] = STATE(5848),
    [sym_unit] = STATE(5848),
    [sym_sign_operator] = STATE(2048),
    [sym__value_name] = STATE(5908),
    [sym_parenthesized_operator] = STATE(5895),
    [sym_value_path] = STATE(6116),
    [sym_module_path] = STATE(18667),
    [sym_constructor_path] = STATE(6116),
    [sym__instance_variable_name] = STATE(19432),
    [sym__constructor_name] = STATE(5849),
    [sym_tag] = STATE(6116),
    [sym__identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__capitalized_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2056] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11734),
    [sym_typed_expression] = STATE(6116),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6116),
    [sym_array_expression] = STATE(6116),
    [sym_record_expression] = STATE(6116),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6116),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6116),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5760),
    [sym_array_get_expression] = STATE(5760),
    [sym_string_get_expression] = STATE(5760),
    [sym_bigarray_get_expression] = STATE(5760),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6116),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6116),
    [sym_package_expression] = STATE(6116),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6116),
    [sym_object_copy_expression] = STATE(6116),
    [sym_method_invocation] = STATE(6116),
    [sym_object_expression] = STATE(6116),
    [sym_parenthesized_expression] = STATE(6116),
    [sym_attribute] = STATE(2056),
    [sym_extension] = STATE(6116),
    [sym_quoted_extension] = STATE(6116),
    [sym__constant] = STATE(6116),
    [sym_number] = STATE(5848),
    [sym_character] = STATE(5848),
    [sym_string] = STATE(5848),
    [sym_quoted_string] = STATE(5848),
    [sym_boolean] = STATE(5848),
    [sym_unit] = STATE(5848),
    [sym_sign_operator] = STATE(2048),
    [sym__value_name] = STATE(5908),
    [sym_parenthesized_operator] = STATE(5895),
    [sym_value_path] = STATE(6116),
    [sym_module_path] = STATE(18667),
    [sym_constructor_path] = STATE(6116),
    [sym__instance_variable_name] = STATE(19432),
    [sym__constructor_name] = STATE(5849),
    [sym_tag] = STATE(6116),
    [sym__identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__capitalized_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2057] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11735),
    [sym_typed_expression] = STATE(6116),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6116),
    [sym_array_expression] = STATE(6116),
    [sym_record_expression] = STATE(6116),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6116),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6116),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5760),
    [sym_array_get_expression] = STATE(5760),
    [sym_string_get_expression] = STATE(5760),
    [sym_bigarray_get_expression] = STATE(5760),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6116),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6116),
    [sym_package_expression] = STATE(6116),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6116),
    [sym_object_copy_expression] = STATE(6116),
    [sym_method_invocation] = STATE(6116),
    [sym_object_expression] = STATE(6116),
    [sym_parenthesized_expression] = STATE(6116),
    [sym_attribute] = STATE(2057),
    [sym_extension] = STATE(6116),
    [sym_quoted_extension] = STATE(6116),
    [sym__constant] = STATE(6116),
    [sym_number] = STATE(5848),
    [sym_character] = STATE(5848),
    [sym_string] = STATE(5848),
    [sym_quoted_string] = STATE(5848),
    [sym_boolean] = STATE(5848),
    [sym_unit] = STATE(5848),
    [sym_sign_operator] = STATE(2048),
    [sym__value_name] = STATE(5908),
    [sym_parenthesized_operator] = STATE(5895),
    [sym_value_path] = STATE(6116),
    [sym_module_path] = STATE(18667),
    [sym_constructor_path] = STATE(6116),
    [sym__instance_variable_name] = STATE(19432),
    [sym__constructor_name] = STATE(5849),
    [sym_tag] = STATE(6116),
    [sym__identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__capitalized_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2058] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11736),
    [sym_typed_expression] = STATE(6116),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6116),
    [sym_array_expression] = STATE(6116),
    [sym_record_expression] = STATE(6116),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6116),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6116),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5760),
    [sym_array_get_expression] = STATE(5760),
    [sym_string_get_expression] = STATE(5760),
    [sym_bigarray_get_expression] = STATE(5760),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6116),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6116),
    [sym_package_expression] = STATE(6116),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6116),
    [sym_object_copy_expression] = STATE(6116),
    [sym_method_invocation] = STATE(6116),
    [sym_object_expression] = STATE(6116),
    [sym_parenthesized_expression] = STATE(6116),
    [sym_attribute] = STATE(2058),
    [sym_extension] = STATE(6116),
    [sym_quoted_extension] = STATE(6116),
    [sym__constant] = STATE(6116),
    [sym_number] = STATE(5848),
    [sym_character] = STATE(5848),
    [sym_string] = STATE(5848),
    [sym_quoted_string] = STATE(5848),
    [sym_boolean] = STATE(5848),
    [sym_unit] = STATE(5848),
    [sym_sign_operator] = STATE(2048),
    [sym__value_name] = STATE(5908),
    [sym_parenthesized_operator] = STATE(5895),
    [sym_value_path] = STATE(6116),
    [sym_module_path] = STATE(18667),
    [sym_constructor_path] = STATE(6116),
    [sym__instance_variable_name] = STATE(19432),
    [sym__constructor_name] = STATE(5849),
    [sym_tag] = STATE(6116),
    [sym__identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__capitalized_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2059] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11737),
    [sym_typed_expression] = STATE(6116),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6116),
    [sym_array_expression] = STATE(6116),
    [sym_record_expression] = STATE(6116),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6116),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6116),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5760),
    [sym_array_get_expression] = STATE(5760),
    [sym_string_get_expression] = STATE(5760),
    [sym_bigarray_get_expression] = STATE(5760),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6116),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6116),
    [sym_package_expression] = STATE(6116),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6116),
    [sym_object_copy_expression] = STATE(6116),
    [sym_method_invocation] = STATE(6116),
    [sym_object_expression] = STATE(6116),
    [sym_parenthesized_expression] = STATE(6116),
    [sym_attribute] = STATE(2059),
    [sym_extension] = STATE(6116),
    [sym_quoted_extension] = STATE(6116),
    [sym__constant] = STATE(6116),
    [sym_number] = STATE(5848),
    [sym_character] = STATE(5848),
    [sym_string] = STATE(5848),
    [sym_quoted_string] = STATE(5848),
    [sym_boolean] = STATE(5848),
    [sym_unit] = STATE(5848),
    [sym_sign_operator] = STATE(2048),
    [sym__value_name] = STATE(5908),
    [sym_parenthesized_operator] = STATE(5895),
    [sym_value_path] = STATE(6116),
    [sym_module_path] = STATE(18667),
    [sym_constructor_path] = STATE(6116),
    [sym__instance_variable_name] = STATE(19432),
    [sym__constructor_name] = STATE(5849),
    [sym_tag] = STATE(6116),
    [sym__identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__capitalized_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2060] = {
    [sym_value_definition] = STATE(19159),
    [sym__simple_expression] = STATE(2456),
    [sym__expression] = STATE(11940),
    [sym_typed_expression] = STATE(6376),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6376),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6376),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(6101),
    [sym_array_get_expression] = STATE(6101),
    [sym_string_get_expression] = STATE(6101),
    [sym_bigarray_get_expression] = STATE(6101),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6376),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(2060),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym_sign_operator] = STATE(2021),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__instance_variable_name] = STATE(18900),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [sym__identifier] = ACTIONS(1747),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_fun] = ACTIONS(1761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1767),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1771),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1793),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2061] = {
    [sym_value_definition] = STATE(18906),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(10488),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5273),
    [sym_array_get_expression] = STATE(5273),
    [sym_string_get_expression] = STATE(5273),
    [sym_bigarray_get_expression] = STATE(5273),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(2061),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2187),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18688),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2062] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11760),
    [sym_typed_expression] = STATE(6116),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6116),
    [sym_array_expression] = STATE(6116),
    [sym_record_expression] = STATE(6116),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6116),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6116),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5760),
    [sym_array_get_expression] = STATE(5760),
    [sym_string_get_expression] = STATE(5760),
    [sym_bigarray_get_expression] = STATE(5760),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6116),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6116),
    [sym_package_expression] = STATE(6116),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6116),
    [sym_object_copy_expression] = STATE(6116),
    [sym_method_invocation] = STATE(6116),
    [sym_object_expression] = STATE(6116),
    [sym_parenthesized_expression] = STATE(6116),
    [sym_attribute] = STATE(2062),
    [sym_extension] = STATE(6116),
    [sym_quoted_extension] = STATE(6116),
    [sym__constant] = STATE(6116),
    [sym_number] = STATE(5848),
    [sym_character] = STATE(5848),
    [sym_string] = STATE(5848),
    [sym_quoted_string] = STATE(5848),
    [sym_boolean] = STATE(5848),
    [sym_unit] = STATE(5848),
    [sym_sign_operator] = STATE(2048),
    [sym__value_name] = STATE(5908),
    [sym_parenthesized_operator] = STATE(5895),
    [sym_value_path] = STATE(6116),
    [sym_module_path] = STATE(18667),
    [sym_constructor_path] = STATE(6116),
    [sym__instance_variable_name] = STATE(19432),
    [sym__constructor_name] = STATE(5849),
    [sym_tag] = STATE(6116),
    [sym__identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__capitalized_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2063] = {
    [sym_value_definition] = STATE(19851),
    [sym__simple_expression] = STATE(515),
    [sym__expression] = STATE(8321),
    [sym_typed_expression] = STATE(3210),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3210),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3210),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2886),
    [sym_array_get_expression] = STATE(2886),
    [sym_string_get_expression] = STATE(2886),
    [sym_bigarray_get_expression] = STATE(2886),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3210),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(2063),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym_sign_operator] = STATE(2063),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__instance_variable_name] = STATE(19760),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [sym__identifier] = ACTIONS(459),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_fun] = ACTIONS(473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(505),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2064] = {
    [sym__simple_expression] = STATE(3473),
    [sym_typed_expression] = STATE(3210),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_labeled_argument] = STATE(4260),
    [sym_prefix_expression] = STATE(3210),
    [sym_hash_expression] = STATE(3210),
    [sym_field_get_expression] = STATE(3210),
    [sym_array_get_expression] = STATE(3210),
    [sym_string_get_expression] = STATE(3210),
    [sym_bigarray_get_expression] = STATE(3210),
    [sym_coercion_expression] = STATE(3210),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(2064),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [aux_sym_class_application_repeat1] = STATE(2216),
    [sym__identifier] = ACTIONS(3175),
    [anon_sym_SEMI_SEMI] = ACTIONS(3503),
    [anon_sym_let] = ACTIONS(3505),
    [anon_sym_and] = ACTIONS(3505),
    [anon_sym_TILDE] = ACTIONS(3177),
    [anon_sym_QMARK] = ACTIONS(3177),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_external] = ACTIONS(3505),
    [anon_sym_type] = ACTIONS(3505),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_SEMI] = ACTIONS(3505),
    [anon_sym_exception] = ACTIONS(3505),
    [anon_sym_module] = ACTIONS(3505),
    [anon_sym_open] = ACTIONS(3505),
    [anon_sym_include] = ACTIONS(3505),
    [anon_sym_class] = ACTIONS(3505),
    [anon_sym_end] = ACTIONS(3505),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_in] = ACTIONS(3505),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3505),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3503),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(493),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(495),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3503),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3503),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym_let_operator] = ACTIONS(3503),
    [sym_let_and_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_directive_token1] = ACTIONS(3503),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2065] = {
    [sym_value_definition] = STATE(19851),
    [sym__simple_expression] = STATE(515),
    [sym__expression] = STATE(8279),
    [sym_typed_expression] = STATE(3210),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3210),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3210),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2886),
    [sym_array_get_expression] = STATE(2886),
    [sym_string_get_expression] = STATE(2886),
    [sym_bigarray_get_expression] = STATE(2886),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3210),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(2065),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym_sign_operator] = STATE(2063),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__instance_variable_name] = STATE(19760),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [sym__identifier] = ACTIONS(459),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_fun] = ACTIONS(473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(505),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2066] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11660),
    [sym_typed_expression] = STATE(6116),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(6116),
    [sym_array_expression] = STATE(6116),
    [sym_record_expression] = STATE(6116),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(6116),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(6116),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5760),
    [sym_array_get_expression] = STATE(5760),
    [sym_string_get_expression] = STATE(5760),
    [sym_bigarray_get_expression] = STATE(5760),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(6116),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(6116),
    [sym_package_expression] = STATE(6116),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(6116),
    [sym_object_copy_expression] = STATE(6116),
    [sym_method_invocation] = STATE(6116),
    [sym_object_expression] = STATE(6116),
    [sym_parenthesized_expression] = STATE(6116),
    [sym_attribute] = STATE(2066),
    [sym_extension] = STATE(6116),
    [sym_quoted_extension] = STATE(6116),
    [sym__constant] = STATE(6116),
    [sym_number] = STATE(5848),
    [sym_character] = STATE(5848),
    [sym_string] = STATE(5848),
    [sym_quoted_string] = STATE(5848),
    [sym_boolean] = STATE(5848),
    [sym_unit] = STATE(5848),
    [sym_sign_operator] = STATE(2048),
    [sym__value_name] = STATE(5908),
    [sym_parenthesized_operator] = STATE(5895),
    [sym_value_path] = STATE(6116),
    [sym_module_path] = STATE(18667),
    [sym_constructor_path] = STATE(6116),
    [sym__instance_variable_name] = STATE(19432),
    [sym__constructor_name] = STATE(5849),
    [sym_tag] = STATE(6116),
    [sym__identifier] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_fun] = ACTIONS(1415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1421),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1447),
    [sym__capitalized_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2067] = {
    [sym_value_definition] = STATE(19851),
    [sym__simple_expression] = STATE(515),
    [sym__expression] = STATE(8282),
    [sym_typed_expression] = STATE(3210),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3210),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3210),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2886),
    [sym_array_get_expression] = STATE(2886),
    [sym_string_get_expression] = STATE(2886),
    [sym_bigarray_get_expression] = STATE(2886),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3210),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(2067),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym_sign_operator] = STATE(2063),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__instance_variable_name] = STATE(19760),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [sym__identifier] = ACTIONS(459),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_fun] = ACTIONS(473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(505),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2068] = {
    [sym_value_definition] = STATE(19851),
    [sym__simple_expression] = STATE(515),
    [sym__expression] = STATE(8320),
    [sym_typed_expression] = STATE(3210),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3210),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3210),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2886),
    [sym_array_get_expression] = STATE(2886),
    [sym_string_get_expression] = STATE(2886),
    [sym_bigarray_get_expression] = STATE(2886),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3210),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(2068),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym_sign_operator] = STATE(2063),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__instance_variable_name] = STATE(19760),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [sym__identifier] = ACTIONS(459),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_fun] = ACTIONS(473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(505),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2069] = {
    [sym_value_definition] = STATE(19851),
    [sym__simple_expression] = STATE(515),
    [sym__expression] = STATE(8274),
    [sym_typed_expression] = STATE(3210),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3210),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3210),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2886),
    [sym_array_get_expression] = STATE(2886),
    [sym_string_get_expression] = STATE(2886),
    [sym_bigarray_get_expression] = STATE(2886),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3210),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(2069),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym_sign_operator] = STATE(2063),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__instance_variable_name] = STATE(19760),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [sym__identifier] = ACTIONS(459),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_fun] = ACTIONS(473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(505),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2070] = {
    [sym_value_definition] = STATE(19851),
    [sym__simple_expression] = STATE(515),
    [sym__expression] = STATE(8295),
    [sym_typed_expression] = STATE(3210),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3210),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3210),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2886),
    [sym_array_get_expression] = STATE(2886),
    [sym_string_get_expression] = STATE(2886),
    [sym_bigarray_get_expression] = STATE(2886),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3210),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(2070),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym_sign_operator] = STATE(2063),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__instance_variable_name] = STATE(19760),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [sym__identifier] = ACTIONS(459),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_fun] = ACTIONS(473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(505),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2071] = {
    [sym_value_definition] = STATE(19851),
    [sym__simple_expression] = STATE(515),
    [sym__expression] = STATE(8288),
    [sym_typed_expression] = STATE(3210),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3210),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3210),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2886),
    [sym_array_get_expression] = STATE(2886),
    [sym_string_get_expression] = STATE(2886),
    [sym_bigarray_get_expression] = STATE(2886),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3210),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(2071),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym_sign_operator] = STATE(2063),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__instance_variable_name] = STATE(19760),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [sym__identifier] = ACTIONS(459),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_fun] = ACTIONS(473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(505),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2072] = {
    [sym_value_definition] = STATE(19851),
    [sym__simple_expression] = STATE(515),
    [sym__expression] = STATE(8347),
    [sym_typed_expression] = STATE(3210),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3210),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3210),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2886),
    [sym_array_get_expression] = STATE(2886),
    [sym_string_get_expression] = STATE(2886),
    [sym_bigarray_get_expression] = STATE(2886),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3210),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(2072),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym_sign_operator] = STATE(2063),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__instance_variable_name] = STATE(19760),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [sym__identifier] = ACTIONS(459),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_fun] = ACTIONS(473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(505),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2073] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11465),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5622),
    [sym_array_get_expression] = STATE(5622),
    [sym_string_get_expression] = STATE(5622),
    [sym_bigarray_get_expression] = STATE(5622),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(2073),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2073),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2074] = {
    [sym_value_definition] = STATE(19851),
    [sym__simple_expression] = STATE(515),
    [sym__expression] = STATE(8273),
    [sym_typed_expression] = STATE(3210),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3210),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3210),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2886),
    [sym_array_get_expression] = STATE(2886),
    [sym_string_get_expression] = STATE(2886),
    [sym_bigarray_get_expression] = STATE(2886),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3210),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(2074),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym_sign_operator] = STATE(2063),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__instance_variable_name] = STATE(19760),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [sym__identifier] = ACTIONS(459),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_fun] = ACTIONS(473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(505),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2075] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11440),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5622),
    [sym_array_get_expression] = STATE(5622),
    [sym_string_get_expression] = STATE(5622),
    [sym_bigarray_get_expression] = STATE(5622),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(2075),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2073),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2076] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11441),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5622),
    [sym_array_get_expression] = STATE(5622),
    [sym_string_get_expression] = STATE(5622),
    [sym_bigarray_get_expression] = STATE(5622),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(2076),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2073),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2077] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11442),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5622),
    [sym_array_get_expression] = STATE(5622),
    [sym_string_get_expression] = STATE(5622),
    [sym_bigarray_get_expression] = STATE(5622),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(2077),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2073),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2078] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11443),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5622),
    [sym_array_get_expression] = STATE(5622),
    [sym_string_get_expression] = STATE(5622),
    [sym_bigarray_get_expression] = STATE(5622),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(2078),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2073),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2079] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11444),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5622),
    [sym_array_get_expression] = STATE(5622),
    [sym_string_get_expression] = STATE(5622),
    [sym_bigarray_get_expression] = STATE(5622),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(2079),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2073),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2080] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11445),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5622),
    [sym_array_get_expression] = STATE(5622),
    [sym_string_get_expression] = STATE(5622),
    [sym_bigarray_get_expression] = STATE(5622),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(2080),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2073),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2081] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11446),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5622),
    [sym_array_get_expression] = STATE(5622),
    [sym_string_get_expression] = STATE(5622),
    [sym_bigarray_get_expression] = STATE(5622),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(2081),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2073),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2082] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11447),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5622),
    [sym_array_get_expression] = STATE(5622),
    [sym_string_get_expression] = STATE(5622),
    [sym_bigarray_get_expression] = STATE(5622),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(2082),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2073),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2083] = {
    [sym_value_definition] = STATE(19851),
    [sym__simple_expression] = STATE(515),
    [sym__expression] = STATE(8277),
    [sym_typed_expression] = STATE(3210),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3210),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3210),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2886),
    [sym_array_get_expression] = STATE(2886),
    [sym_string_get_expression] = STATE(2886),
    [sym_bigarray_get_expression] = STATE(2886),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3210),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(2083),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym_sign_operator] = STATE(2063),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__instance_variable_name] = STATE(19760),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [sym__identifier] = ACTIONS(459),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_fun] = ACTIONS(473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(505),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2084] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11449),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5622),
    [sym_array_get_expression] = STATE(5622),
    [sym_string_get_expression] = STATE(5622),
    [sym_bigarray_get_expression] = STATE(5622),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(2084),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2073),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2085] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11450),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5622),
    [sym_array_get_expression] = STATE(5622),
    [sym_string_get_expression] = STATE(5622),
    [sym_bigarray_get_expression] = STATE(5622),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(2085),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2073),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2086] = {
    [sym_value_definition] = STATE(19851),
    [sym__simple_expression] = STATE(515),
    [sym__expression] = STATE(8331),
    [sym_typed_expression] = STATE(3210),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3210),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3210),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2886),
    [sym_array_get_expression] = STATE(2886),
    [sym_string_get_expression] = STATE(2886),
    [sym_bigarray_get_expression] = STATE(2886),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3210),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(2086),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym_sign_operator] = STATE(2063),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__instance_variable_name] = STATE(19760),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [sym__identifier] = ACTIONS(459),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_fun] = ACTIONS(473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(505),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2087] = {
    [sym_value_definition] = STATE(19851),
    [sym__simple_expression] = STATE(515),
    [sym__expression] = STATE(8337),
    [sym_typed_expression] = STATE(3210),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3210),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3210),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2886),
    [sym_array_get_expression] = STATE(2886),
    [sym_string_get_expression] = STATE(2886),
    [sym_bigarray_get_expression] = STATE(2886),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3210),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(2087),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym_sign_operator] = STATE(2063),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__instance_variable_name] = STATE(19760),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [sym__identifier] = ACTIONS(459),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_fun] = ACTIONS(473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(505),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2088] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11452),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5622),
    [sym_array_get_expression] = STATE(5622),
    [sym_string_get_expression] = STATE(5622),
    [sym_bigarray_get_expression] = STATE(5622),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(2088),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2073),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2089] = {
    [sym_value_definition] = STATE(19883),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11459),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5622),
    [sym_array_get_expression] = STATE(5622),
    [sym_string_get_expression] = STATE(5622),
    [sym_bigarray_get_expression] = STATE(5622),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(2089),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2073),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2090] = {
    [sym_value_definition] = STATE(20384),
    [sym__simple_expression] = STATE(2426),
    [sym__expression] = STATE(10100),
    [sym_typed_expression] = STATE(5180),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5180),
    [sym_array_expression] = STATE(5180),
    [sym_record_expression] = STATE(5180),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5180),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5180),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5115),
    [sym_array_get_expression] = STATE(5115),
    [sym_string_get_expression] = STATE(5115),
    [sym_bigarray_get_expression] = STATE(5115),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5180),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5180),
    [sym_package_expression] = STATE(5180),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5180),
    [sym_object_copy_expression] = STATE(5180),
    [sym_method_invocation] = STATE(5180),
    [sym_object_expression] = STATE(5180),
    [sym_parenthesized_expression] = STATE(5180),
    [sym_attribute] = STATE(2090),
    [sym_extension] = STATE(5180),
    [sym_quoted_extension] = STATE(5180),
    [sym__constant] = STATE(5180),
    [sym_number] = STATE(5232),
    [sym_character] = STATE(5232),
    [sym_string] = STATE(5232),
    [sym_quoted_string] = STATE(5232),
    [sym_boolean] = STATE(5232),
    [sym_unit] = STATE(5232),
    [sym_sign_operator] = STATE(2090),
    [sym__value_name] = STATE(5152),
    [sym_parenthesized_operator] = STATE(5171),
    [sym_value_path] = STATE(5180),
    [sym_module_path] = STATE(18780),
    [sym_constructor_path] = STATE(5180),
    [sym__instance_variable_name] = STATE(20196),
    [sym__constructor_name] = STATE(5210),
    [sym_tag] = STATE(5180),
    [sym__identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__capitalized_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2091] = {
    [sym_value_definition] = STATE(20384),
    [sym__simple_expression] = STATE(2426),
    [sym__expression] = STATE(10185),
    [sym_typed_expression] = STATE(5180),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5180),
    [sym_array_expression] = STATE(5180),
    [sym_record_expression] = STATE(5180),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5180),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5180),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5115),
    [sym_array_get_expression] = STATE(5115),
    [sym_string_get_expression] = STATE(5115),
    [sym_bigarray_get_expression] = STATE(5115),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5180),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5180),
    [sym_package_expression] = STATE(5180),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5180),
    [sym_object_copy_expression] = STATE(5180),
    [sym_method_invocation] = STATE(5180),
    [sym_object_expression] = STATE(5180),
    [sym_parenthesized_expression] = STATE(5180),
    [sym_attribute] = STATE(2091),
    [sym_extension] = STATE(5180),
    [sym_quoted_extension] = STATE(5180),
    [sym__constant] = STATE(5180),
    [sym_number] = STATE(5232),
    [sym_character] = STATE(5232),
    [sym_string] = STATE(5232),
    [sym_quoted_string] = STATE(5232),
    [sym_boolean] = STATE(5232),
    [sym_unit] = STATE(5232),
    [sym_sign_operator] = STATE(2090),
    [sym__value_name] = STATE(5152),
    [sym_parenthesized_operator] = STATE(5171),
    [sym_value_path] = STATE(5180),
    [sym_module_path] = STATE(18780),
    [sym_constructor_path] = STATE(5180),
    [sym__instance_variable_name] = STATE(20196),
    [sym__constructor_name] = STATE(5210),
    [sym_tag] = STATE(5180),
    [sym__identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__capitalized_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2092] = {
    [sym_value_definition] = STATE(20384),
    [sym__simple_expression] = STATE(2426),
    [sym__expression] = STATE(10191),
    [sym_typed_expression] = STATE(5180),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5180),
    [sym_array_expression] = STATE(5180),
    [sym_record_expression] = STATE(5180),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5180),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5180),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5115),
    [sym_array_get_expression] = STATE(5115),
    [sym_string_get_expression] = STATE(5115),
    [sym_bigarray_get_expression] = STATE(5115),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5180),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5180),
    [sym_package_expression] = STATE(5180),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5180),
    [sym_object_copy_expression] = STATE(5180),
    [sym_method_invocation] = STATE(5180),
    [sym_object_expression] = STATE(5180),
    [sym_parenthesized_expression] = STATE(5180),
    [sym_attribute] = STATE(2092),
    [sym_extension] = STATE(5180),
    [sym_quoted_extension] = STATE(5180),
    [sym__constant] = STATE(5180),
    [sym_number] = STATE(5232),
    [sym_character] = STATE(5232),
    [sym_string] = STATE(5232),
    [sym_quoted_string] = STATE(5232),
    [sym_boolean] = STATE(5232),
    [sym_unit] = STATE(5232),
    [sym_sign_operator] = STATE(2090),
    [sym__value_name] = STATE(5152),
    [sym_parenthesized_operator] = STATE(5171),
    [sym_value_path] = STATE(5180),
    [sym_module_path] = STATE(18780),
    [sym_constructor_path] = STATE(5180),
    [sym__instance_variable_name] = STATE(20196),
    [sym__constructor_name] = STATE(5210),
    [sym_tag] = STATE(5180),
    [sym__identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__capitalized_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2093] = {
    [sym_value_definition] = STATE(20384),
    [sym__simple_expression] = STATE(2426),
    [sym__expression] = STATE(10192),
    [sym_typed_expression] = STATE(5180),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5180),
    [sym_array_expression] = STATE(5180),
    [sym_record_expression] = STATE(5180),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5180),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5180),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5115),
    [sym_array_get_expression] = STATE(5115),
    [sym_string_get_expression] = STATE(5115),
    [sym_bigarray_get_expression] = STATE(5115),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5180),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5180),
    [sym_package_expression] = STATE(5180),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5180),
    [sym_object_copy_expression] = STATE(5180),
    [sym_method_invocation] = STATE(5180),
    [sym_object_expression] = STATE(5180),
    [sym_parenthesized_expression] = STATE(5180),
    [sym_attribute] = STATE(2093),
    [sym_extension] = STATE(5180),
    [sym_quoted_extension] = STATE(5180),
    [sym__constant] = STATE(5180),
    [sym_number] = STATE(5232),
    [sym_character] = STATE(5232),
    [sym_string] = STATE(5232),
    [sym_quoted_string] = STATE(5232),
    [sym_boolean] = STATE(5232),
    [sym_unit] = STATE(5232),
    [sym_sign_operator] = STATE(2090),
    [sym__value_name] = STATE(5152),
    [sym_parenthesized_operator] = STATE(5171),
    [sym_value_path] = STATE(5180),
    [sym_module_path] = STATE(18780),
    [sym_constructor_path] = STATE(5180),
    [sym__instance_variable_name] = STATE(20196),
    [sym__constructor_name] = STATE(5210),
    [sym_tag] = STATE(5180),
    [sym__identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__capitalized_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2094] = {
    [sym_value_definition] = STATE(20384),
    [sym__simple_expression] = STATE(2426),
    [sym__expression] = STATE(10195),
    [sym_typed_expression] = STATE(5180),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5180),
    [sym_array_expression] = STATE(5180),
    [sym_record_expression] = STATE(5180),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5180),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5180),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5115),
    [sym_array_get_expression] = STATE(5115),
    [sym_string_get_expression] = STATE(5115),
    [sym_bigarray_get_expression] = STATE(5115),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5180),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5180),
    [sym_package_expression] = STATE(5180),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5180),
    [sym_object_copy_expression] = STATE(5180),
    [sym_method_invocation] = STATE(5180),
    [sym_object_expression] = STATE(5180),
    [sym_parenthesized_expression] = STATE(5180),
    [sym_attribute] = STATE(2094),
    [sym_extension] = STATE(5180),
    [sym_quoted_extension] = STATE(5180),
    [sym__constant] = STATE(5180),
    [sym_number] = STATE(5232),
    [sym_character] = STATE(5232),
    [sym_string] = STATE(5232),
    [sym_quoted_string] = STATE(5232),
    [sym_boolean] = STATE(5232),
    [sym_unit] = STATE(5232),
    [sym_sign_operator] = STATE(2090),
    [sym__value_name] = STATE(5152),
    [sym_parenthesized_operator] = STATE(5171),
    [sym_value_path] = STATE(5180),
    [sym_module_path] = STATE(18780),
    [sym_constructor_path] = STATE(5180),
    [sym__instance_variable_name] = STATE(20196),
    [sym__constructor_name] = STATE(5210),
    [sym_tag] = STATE(5180),
    [sym__identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__capitalized_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2095] = {
    [sym_value_definition] = STATE(20384),
    [sym__simple_expression] = STATE(2426),
    [sym__expression] = STATE(10199),
    [sym_typed_expression] = STATE(5180),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5180),
    [sym_array_expression] = STATE(5180),
    [sym_record_expression] = STATE(5180),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5180),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5180),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5115),
    [sym_array_get_expression] = STATE(5115),
    [sym_string_get_expression] = STATE(5115),
    [sym_bigarray_get_expression] = STATE(5115),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5180),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5180),
    [sym_package_expression] = STATE(5180),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5180),
    [sym_object_copy_expression] = STATE(5180),
    [sym_method_invocation] = STATE(5180),
    [sym_object_expression] = STATE(5180),
    [sym_parenthesized_expression] = STATE(5180),
    [sym_attribute] = STATE(2095),
    [sym_extension] = STATE(5180),
    [sym_quoted_extension] = STATE(5180),
    [sym__constant] = STATE(5180),
    [sym_number] = STATE(5232),
    [sym_character] = STATE(5232),
    [sym_string] = STATE(5232),
    [sym_quoted_string] = STATE(5232),
    [sym_boolean] = STATE(5232),
    [sym_unit] = STATE(5232),
    [sym_sign_operator] = STATE(2090),
    [sym__value_name] = STATE(5152),
    [sym_parenthesized_operator] = STATE(5171),
    [sym_value_path] = STATE(5180),
    [sym_module_path] = STATE(18780),
    [sym_constructor_path] = STATE(5180),
    [sym__instance_variable_name] = STATE(20196),
    [sym__constructor_name] = STATE(5210),
    [sym_tag] = STATE(5180),
    [sym__identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__capitalized_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2096] = {
    [sym_value_definition] = STATE(20384),
    [sym__simple_expression] = STATE(2426),
    [sym__expression] = STATE(10203),
    [sym_typed_expression] = STATE(5180),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5180),
    [sym_array_expression] = STATE(5180),
    [sym_record_expression] = STATE(5180),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5180),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5180),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5115),
    [sym_array_get_expression] = STATE(5115),
    [sym_string_get_expression] = STATE(5115),
    [sym_bigarray_get_expression] = STATE(5115),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5180),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5180),
    [sym_package_expression] = STATE(5180),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5180),
    [sym_object_copy_expression] = STATE(5180),
    [sym_method_invocation] = STATE(5180),
    [sym_object_expression] = STATE(5180),
    [sym_parenthesized_expression] = STATE(5180),
    [sym_attribute] = STATE(2096),
    [sym_extension] = STATE(5180),
    [sym_quoted_extension] = STATE(5180),
    [sym__constant] = STATE(5180),
    [sym_number] = STATE(5232),
    [sym_character] = STATE(5232),
    [sym_string] = STATE(5232),
    [sym_quoted_string] = STATE(5232),
    [sym_boolean] = STATE(5232),
    [sym_unit] = STATE(5232),
    [sym_sign_operator] = STATE(2090),
    [sym__value_name] = STATE(5152),
    [sym_parenthesized_operator] = STATE(5171),
    [sym_value_path] = STATE(5180),
    [sym_module_path] = STATE(18780),
    [sym_constructor_path] = STATE(5180),
    [sym__instance_variable_name] = STATE(20196),
    [sym__constructor_name] = STATE(5210),
    [sym_tag] = STATE(5180),
    [sym__identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__capitalized_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2097] = {
    [sym_value_definition] = STATE(20384),
    [sym__simple_expression] = STATE(2426),
    [sym__expression] = STATE(10206),
    [sym_typed_expression] = STATE(5180),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5180),
    [sym_array_expression] = STATE(5180),
    [sym_record_expression] = STATE(5180),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5180),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5180),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5115),
    [sym_array_get_expression] = STATE(5115),
    [sym_string_get_expression] = STATE(5115),
    [sym_bigarray_get_expression] = STATE(5115),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5180),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5180),
    [sym_package_expression] = STATE(5180),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5180),
    [sym_object_copy_expression] = STATE(5180),
    [sym_method_invocation] = STATE(5180),
    [sym_object_expression] = STATE(5180),
    [sym_parenthesized_expression] = STATE(5180),
    [sym_attribute] = STATE(2097),
    [sym_extension] = STATE(5180),
    [sym_quoted_extension] = STATE(5180),
    [sym__constant] = STATE(5180),
    [sym_number] = STATE(5232),
    [sym_character] = STATE(5232),
    [sym_string] = STATE(5232),
    [sym_quoted_string] = STATE(5232),
    [sym_boolean] = STATE(5232),
    [sym_unit] = STATE(5232),
    [sym_sign_operator] = STATE(2090),
    [sym__value_name] = STATE(5152),
    [sym_parenthesized_operator] = STATE(5171),
    [sym_value_path] = STATE(5180),
    [sym_module_path] = STATE(18780),
    [sym_constructor_path] = STATE(5180),
    [sym__instance_variable_name] = STATE(20196),
    [sym__constructor_name] = STATE(5210),
    [sym_tag] = STATE(5180),
    [sym__identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__capitalized_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2098] = {
    [sym_value_definition] = STATE(20384),
    [sym__simple_expression] = STATE(2426),
    [sym__expression] = STATE(10209),
    [sym_typed_expression] = STATE(5180),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5180),
    [sym_array_expression] = STATE(5180),
    [sym_record_expression] = STATE(5180),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5180),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5180),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5115),
    [sym_array_get_expression] = STATE(5115),
    [sym_string_get_expression] = STATE(5115),
    [sym_bigarray_get_expression] = STATE(5115),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5180),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5180),
    [sym_package_expression] = STATE(5180),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5180),
    [sym_object_copy_expression] = STATE(5180),
    [sym_method_invocation] = STATE(5180),
    [sym_object_expression] = STATE(5180),
    [sym_parenthesized_expression] = STATE(5180),
    [sym_attribute] = STATE(2098),
    [sym_extension] = STATE(5180),
    [sym_quoted_extension] = STATE(5180),
    [sym__constant] = STATE(5180),
    [sym_number] = STATE(5232),
    [sym_character] = STATE(5232),
    [sym_string] = STATE(5232),
    [sym_quoted_string] = STATE(5232),
    [sym_boolean] = STATE(5232),
    [sym_unit] = STATE(5232),
    [sym_sign_operator] = STATE(2090),
    [sym__value_name] = STATE(5152),
    [sym_parenthesized_operator] = STATE(5171),
    [sym_value_path] = STATE(5180),
    [sym_module_path] = STATE(18780),
    [sym_constructor_path] = STATE(5180),
    [sym__instance_variable_name] = STATE(20196),
    [sym__constructor_name] = STATE(5210),
    [sym_tag] = STATE(5180),
    [sym__identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__capitalized_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2099] = {
    [sym_value_definition] = STATE(20384),
    [sym__simple_expression] = STATE(2426),
    [sym__expression] = STATE(10210),
    [sym_typed_expression] = STATE(5180),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5180),
    [sym_array_expression] = STATE(5180),
    [sym_record_expression] = STATE(5180),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5180),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5180),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5115),
    [sym_array_get_expression] = STATE(5115),
    [sym_string_get_expression] = STATE(5115),
    [sym_bigarray_get_expression] = STATE(5115),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5180),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5180),
    [sym_package_expression] = STATE(5180),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5180),
    [sym_object_copy_expression] = STATE(5180),
    [sym_method_invocation] = STATE(5180),
    [sym_object_expression] = STATE(5180),
    [sym_parenthesized_expression] = STATE(5180),
    [sym_attribute] = STATE(2099),
    [sym_extension] = STATE(5180),
    [sym_quoted_extension] = STATE(5180),
    [sym__constant] = STATE(5180),
    [sym_number] = STATE(5232),
    [sym_character] = STATE(5232),
    [sym_string] = STATE(5232),
    [sym_quoted_string] = STATE(5232),
    [sym_boolean] = STATE(5232),
    [sym_unit] = STATE(5232),
    [sym_sign_operator] = STATE(2090),
    [sym__value_name] = STATE(5152),
    [sym_parenthesized_operator] = STATE(5171),
    [sym_value_path] = STATE(5180),
    [sym_module_path] = STATE(18780),
    [sym_constructor_path] = STATE(5180),
    [sym__instance_variable_name] = STATE(20196),
    [sym__constructor_name] = STATE(5210),
    [sym_tag] = STATE(5180),
    [sym__identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__capitalized_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2100] = {
    [sym_value_definition] = STATE(20384),
    [sym__simple_expression] = STATE(2426),
    [sym__expression] = STATE(10212),
    [sym_typed_expression] = STATE(5180),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5180),
    [sym_array_expression] = STATE(5180),
    [sym_record_expression] = STATE(5180),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5180),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5180),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5115),
    [sym_array_get_expression] = STATE(5115),
    [sym_string_get_expression] = STATE(5115),
    [sym_bigarray_get_expression] = STATE(5115),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5180),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5180),
    [sym_package_expression] = STATE(5180),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5180),
    [sym_object_copy_expression] = STATE(5180),
    [sym_method_invocation] = STATE(5180),
    [sym_object_expression] = STATE(5180),
    [sym_parenthesized_expression] = STATE(5180),
    [sym_attribute] = STATE(2100),
    [sym_extension] = STATE(5180),
    [sym_quoted_extension] = STATE(5180),
    [sym__constant] = STATE(5180),
    [sym_number] = STATE(5232),
    [sym_character] = STATE(5232),
    [sym_string] = STATE(5232),
    [sym_quoted_string] = STATE(5232),
    [sym_boolean] = STATE(5232),
    [sym_unit] = STATE(5232),
    [sym_sign_operator] = STATE(2090),
    [sym__value_name] = STATE(5152),
    [sym_parenthesized_operator] = STATE(5171),
    [sym_value_path] = STATE(5180),
    [sym_module_path] = STATE(18780),
    [sym_constructor_path] = STATE(5180),
    [sym__instance_variable_name] = STATE(20196),
    [sym__constructor_name] = STATE(5210),
    [sym_tag] = STATE(5180),
    [sym__identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__capitalized_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2101] = {
    [sym_value_definition] = STATE(20384),
    [sym__simple_expression] = STATE(2426),
    [sym__expression] = STATE(10213),
    [sym_typed_expression] = STATE(5180),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5180),
    [sym_array_expression] = STATE(5180),
    [sym_record_expression] = STATE(5180),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5180),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5180),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5115),
    [sym_array_get_expression] = STATE(5115),
    [sym_string_get_expression] = STATE(5115),
    [sym_bigarray_get_expression] = STATE(5115),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5180),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5180),
    [sym_package_expression] = STATE(5180),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5180),
    [sym_object_copy_expression] = STATE(5180),
    [sym_method_invocation] = STATE(5180),
    [sym_object_expression] = STATE(5180),
    [sym_parenthesized_expression] = STATE(5180),
    [sym_attribute] = STATE(2101),
    [sym_extension] = STATE(5180),
    [sym_quoted_extension] = STATE(5180),
    [sym__constant] = STATE(5180),
    [sym_number] = STATE(5232),
    [sym_character] = STATE(5232),
    [sym_string] = STATE(5232),
    [sym_quoted_string] = STATE(5232),
    [sym_boolean] = STATE(5232),
    [sym_unit] = STATE(5232),
    [sym_sign_operator] = STATE(2090),
    [sym__value_name] = STATE(5152),
    [sym_parenthesized_operator] = STATE(5171),
    [sym_value_path] = STATE(5180),
    [sym_module_path] = STATE(18780),
    [sym_constructor_path] = STATE(5180),
    [sym__instance_variable_name] = STATE(20196),
    [sym__constructor_name] = STATE(5210),
    [sym_tag] = STATE(5180),
    [sym__identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__capitalized_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2102] = {
    [sym_value_definition] = STATE(19851),
    [sym__simple_expression] = STATE(515),
    [sym__expression] = STATE(8312),
    [sym_typed_expression] = STATE(3210),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3210),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3210),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(2886),
    [sym_array_get_expression] = STATE(2886),
    [sym_string_get_expression] = STATE(2886),
    [sym_bigarray_get_expression] = STATE(2886),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3210),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(2102),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym_sign_operator] = STATE(2063),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__instance_variable_name] = STATE(19760),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [sym__identifier] = ACTIONS(459),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_object] = ACTIONS(471),
    [anon_sym_fun] = ACTIONS(473),
    [anon_sym_LBRACK_PIPE] = ACTIONS(475),
    [anon_sym_if] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(483),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_LBRACE_LT] = ACTIONS(487),
    [anon_sym_begin] = ACTIONS(489),
    [sym_ocamlyacc_value] = ACTIONS(491),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(497),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_prefix_operator] = ACTIONS(503),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(505),
    [sym__capitalized_identifier] = ACTIONS(507),
    [aux_sym_tag_token1] = ACTIONS(509),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2103] = {
    [sym_value_definition] = STATE(20384),
    [sym__simple_expression] = STATE(2426),
    [sym__expression] = STATE(10218),
    [sym_typed_expression] = STATE(5180),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5180),
    [sym_array_expression] = STATE(5180),
    [sym_record_expression] = STATE(5180),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5180),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5180),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5115),
    [sym_array_get_expression] = STATE(5115),
    [sym_string_get_expression] = STATE(5115),
    [sym_bigarray_get_expression] = STATE(5115),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5180),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5180),
    [sym_package_expression] = STATE(5180),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5180),
    [sym_object_copy_expression] = STATE(5180),
    [sym_method_invocation] = STATE(5180),
    [sym_object_expression] = STATE(5180),
    [sym_parenthesized_expression] = STATE(5180),
    [sym_attribute] = STATE(2103),
    [sym_extension] = STATE(5180),
    [sym_quoted_extension] = STATE(5180),
    [sym__constant] = STATE(5180),
    [sym_number] = STATE(5232),
    [sym_character] = STATE(5232),
    [sym_string] = STATE(5232),
    [sym_quoted_string] = STATE(5232),
    [sym_boolean] = STATE(5232),
    [sym_unit] = STATE(5232),
    [sym_sign_operator] = STATE(2090),
    [sym__value_name] = STATE(5152),
    [sym_parenthesized_operator] = STATE(5171),
    [sym_value_path] = STATE(5180),
    [sym_module_path] = STATE(18780),
    [sym_constructor_path] = STATE(5180),
    [sym__instance_variable_name] = STATE(20196),
    [sym__constructor_name] = STATE(5210),
    [sym_tag] = STATE(5180),
    [sym__identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__capitalized_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2104] = {
    [sym_value_definition] = STATE(20384),
    [sym__simple_expression] = STATE(2426),
    [sym__expression] = STATE(10242),
    [sym_typed_expression] = STATE(5180),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5180),
    [sym_array_expression] = STATE(5180),
    [sym_record_expression] = STATE(5180),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5180),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5180),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5115),
    [sym_array_get_expression] = STATE(5115),
    [sym_string_get_expression] = STATE(5115),
    [sym_bigarray_get_expression] = STATE(5115),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5180),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5180),
    [sym_package_expression] = STATE(5180),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5180),
    [sym_object_copy_expression] = STATE(5180),
    [sym_method_invocation] = STATE(5180),
    [sym_object_expression] = STATE(5180),
    [sym_parenthesized_expression] = STATE(5180),
    [sym_attribute] = STATE(2104),
    [sym_extension] = STATE(5180),
    [sym_quoted_extension] = STATE(5180),
    [sym__constant] = STATE(5180),
    [sym_number] = STATE(5232),
    [sym_character] = STATE(5232),
    [sym_string] = STATE(5232),
    [sym_quoted_string] = STATE(5232),
    [sym_boolean] = STATE(5232),
    [sym_unit] = STATE(5232),
    [sym_sign_operator] = STATE(2090),
    [sym__value_name] = STATE(5152),
    [sym_parenthesized_operator] = STATE(5171),
    [sym_value_path] = STATE(5180),
    [sym_module_path] = STATE(18780),
    [sym_constructor_path] = STATE(5180),
    [sym__instance_variable_name] = STATE(20196),
    [sym__constructor_name] = STATE(5210),
    [sym_tag] = STATE(5180),
    [sym__identifier] = ACTIONS(1061),
    [anon_sym_let] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_fun] = ACTIONS(1075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1081),
    [anon_sym_function] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1109),
    [sym__capitalized_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2105] = {
    [sym_value_definition] = STATE(19068),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12144),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6007),
    [sym_array_get_expression] = STATE(6007),
    [sym_string_get_expression] = STATE(6007),
    [sym_bigarray_get_expression] = STATE(6007),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(2105),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(2105),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(17788),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(1907),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(1919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(1927),
    [anon_sym_try] = ACTIONS(1929),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1951),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2106] = {
    [sym_value_definition] = STATE(19068),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12106),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6007),
    [sym_array_get_expression] = STATE(6007),
    [sym_string_get_expression] = STATE(6007),
    [sym_bigarray_get_expression] = STATE(6007),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(2106),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(2105),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(17788),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(1907),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(1919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(1927),
    [anon_sym_try] = ACTIONS(1929),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1951),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2107] = {
    [sym_value_definition] = STATE(19068),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12107),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6007),
    [sym_array_get_expression] = STATE(6007),
    [sym_string_get_expression] = STATE(6007),
    [sym_bigarray_get_expression] = STATE(6007),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(2107),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(2105),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(17788),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(1907),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(1919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(1927),
    [anon_sym_try] = ACTIONS(1929),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1951),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2108] = {
    [sym_value_definition] = STATE(19068),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12108),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6007),
    [sym_array_get_expression] = STATE(6007),
    [sym_string_get_expression] = STATE(6007),
    [sym_bigarray_get_expression] = STATE(6007),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(2108),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(2105),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(17788),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(1907),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(1919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(1927),
    [anon_sym_try] = ACTIONS(1929),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1951),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2109] = {
    [sym_value_definition] = STATE(19068),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12109),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6007),
    [sym_array_get_expression] = STATE(6007),
    [sym_string_get_expression] = STATE(6007),
    [sym_bigarray_get_expression] = STATE(6007),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(2109),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(2105),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(17788),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(1907),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(1919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(1927),
    [anon_sym_try] = ACTIONS(1929),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1951),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2110] = {
    [sym_value_definition] = STATE(19068),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12110),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6007),
    [sym_array_get_expression] = STATE(6007),
    [sym_string_get_expression] = STATE(6007),
    [sym_bigarray_get_expression] = STATE(6007),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(2110),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(2105),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(17788),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(1907),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(1919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(1927),
    [anon_sym_try] = ACTIONS(1929),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1951),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2111] = {
    [sym_value_definition] = STATE(19068),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12113),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6007),
    [sym_array_get_expression] = STATE(6007),
    [sym_string_get_expression] = STATE(6007),
    [sym_bigarray_get_expression] = STATE(6007),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(2111),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(2105),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(17788),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(1907),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(1919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(1927),
    [anon_sym_try] = ACTIONS(1929),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1951),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2112] = {
    [sym_value_definition] = STATE(19068),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12115),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6007),
    [sym_array_get_expression] = STATE(6007),
    [sym_string_get_expression] = STATE(6007),
    [sym_bigarray_get_expression] = STATE(6007),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(2112),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(2105),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(17788),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(1907),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(1919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(1927),
    [anon_sym_try] = ACTIONS(1929),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1951),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2113] = {
    [sym_value_definition] = STATE(19068),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12116),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6007),
    [sym_array_get_expression] = STATE(6007),
    [sym_string_get_expression] = STATE(6007),
    [sym_bigarray_get_expression] = STATE(6007),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(2113),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(2105),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(17788),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(1907),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(1919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(1927),
    [anon_sym_try] = ACTIONS(1929),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1951),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2114] = {
    [sym_value_definition] = STATE(19068),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12117),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6007),
    [sym_array_get_expression] = STATE(6007),
    [sym_string_get_expression] = STATE(6007),
    [sym_bigarray_get_expression] = STATE(6007),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(2114),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(2105),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(17788),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(1907),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(1919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(1927),
    [anon_sym_try] = ACTIONS(1929),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1951),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2115] = {
    [sym_value_definition] = STATE(19068),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12118),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6007),
    [sym_array_get_expression] = STATE(6007),
    [sym_string_get_expression] = STATE(6007),
    [sym_bigarray_get_expression] = STATE(6007),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(2115),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(2105),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(17788),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(1907),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(1919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(1927),
    [anon_sym_try] = ACTIONS(1929),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1951),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2116] = {
    [sym_value_definition] = STATE(19068),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12119),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6007),
    [sym_array_get_expression] = STATE(6007),
    [sym_string_get_expression] = STATE(6007),
    [sym_bigarray_get_expression] = STATE(6007),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(2116),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(2105),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(17788),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(1907),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(1919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(1927),
    [anon_sym_try] = ACTIONS(1929),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1951),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2117] = {
    [sym_value_definition] = STATE(19068),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12121),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6007),
    [sym_array_get_expression] = STATE(6007),
    [sym_string_get_expression] = STATE(6007),
    [sym_bigarray_get_expression] = STATE(6007),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(2117),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(2105),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(17788),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(1907),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(1919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(1927),
    [anon_sym_try] = ACTIONS(1929),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1951),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2118] = {
    [sym_value_definition] = STATE(19448),
    [sym__simple_expression] = STATE(1909),
    [sym__expression] = STATE(8706),
    [sym_typed_expression] = STATE(4083),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4083),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4083),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(4017),
    [sym_array_get_expression] = STATE(4017),
    [sym_string_get_expression] = STATE(4017),
    [sym_bigarray_get_expression] = STATE(4017),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4083),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(2118),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym_sign_operator] = STATE(1910),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__instance_variable_name] = STATE(19795),
    [sym__constructor_name] = STATE(4095),
    [sym_tag] = STATE(4083),
    [sym__identifier] = ACTIONS(511),
    [anon_sym_let] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_fun] = ACTIONS(537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(571),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2119] = {
    [sym_value_definition] = STATE(18494),
    [sym__simple_expression] = STATE(1632),
    [sym__expression] = STATE(8474),
    [sym_typed_expression] = STATE(4008),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4008),
    [sym_array_expression] = STATE(4008),
    [sym_record_expression] = STATE(4008),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4008),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4008),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3584),
    [sym_array_get_expression] = STATE(3584),
    [sym_string_get_expression] = STATE(3584),
    [sym_bigarray_get_expression] = STATE(3584),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4008),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4008),
    [sym_package_expression] = STATE(4008),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4008),
    [sym_object_copy_expression] = STATE(4008),
    [sym_method_invocation] = STATE(4008),
    [sym_object_expression] = STATE(4008),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_attribute] = STATE(2119),
    [sym_extension] = STATE(4008),
    [sym_quoted_extension] = STATE(4008),
    [sym__constant] = STATE(4008),
    [sym_number] = STATE(3818),
    [sym_character] = STATE(3818),
    [sym_string] = STATE(3818),
    [sym_quoted_string] = STATE(3818),
    [sym_boolean] = STATE(3818),
    [sym_unit] = STATE(3818),
    [sym_sign_operator] = STATE(2119),
    [sym__value_name] = STATE(4039),
    [sym_parenthesized_operator] = STATE(3903),
    [sym_value_path] = STATE(4008),
    [sym_module_path] = STATE(17789),
    [sym_constructor_path] = STATE(4008),
    [sym__instance_variable_name] = STATE(17931),
    [sym__constructor_name] = STATE(3820),
    [sym_tag] = STATE(4008),
    [sym__identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__capitalized_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2120] = {
    [sym_value_definition] = STATE(18494),
    [sym__simple_expression] = STATE(1632),
    [sym__expression] = STATE(8440),
    [sym_typed_expression] = STATE(4008),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4008),
    [sym_array_expression] = STATE(4008),
    [sym_record_expression] = STATE(4008),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4008),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4008),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3584),
    [sym_array_get_expression] = STATE(3584),
    [sym_string_get_expression] = STATE(3584),
    [sym_bigarray_get_expression] = STATE(3584),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4008),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4008),
    [sym_package_expression] = STATE(4008),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4008),
    [sym_object_copy_expression] = STATE(4008),
    [sym_method_invocation] = STATE(4008),
    [sym_object_expression] = STATE(4008),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_attribute] = STATE(2120),
    [sym_extension] = STATE(4008),
    [sym_quoted_extension] = STATE(4008),
    [sym__constant] = STATE(4008),
    [sym_number] = STATE(3818),
    [sym_character] = STATE(3818),
    [sym_string] = STATE(3818),
    [sym_quoted_string] = STATE(3818),
    [sym_boolean] = STATE(3818),
    [sym_unit] = STATE(3818),
    [sym_sign_operator] = STATE(2119),
    [sym__value_name] = STATE(4039),
    [sym_parenthesized_operator] = STATE(3903),
    [sym_value_path] = STATE(4008),
    [sym_module_path] = STATE(17789),
    [sym_constructor_path] = STATE(4008),
    [sym__instance_variable_name] = STATE(17931),
    [sym__constructor_name] = STATE(3820),
    [sym_tag] = STATE(4008),
    [sym__identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__capitalized_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2121] = {
    [sym_value_definition] = STATE(18494),
    [sym__simple_expression] = STATE(1632),
    [sym__expression] = STATE(8520),
    [sym_typed_expression] = STATE(4008),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4008),
    [sym_array_expression] = STATE(4008),
    [sym_record_expression] = STATE(4008),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4008),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4008),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3584),
    [sym_array_get_expression] = STATE(3584),
    [sym_string_get_expression] = STATE(3584),
    [sym_bigarray_get_expression] = STATE(3584),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4008),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4008),
    [sym_package_expression] = STATE(4008),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4008),
    [sym_object_copy_expression] = STATE(4008),
    [sym_method_invocation] = STATE(4008),
    [sym_object_expression] = STATE(4008),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_attribute] = STATE(2121),
    [sym_extension] = STATE(4008),
    [sym_quoted_extension] = STATE(4008),
    [sym__constant] = STATE(4008),
    [sym_number] = STATE(3818),
    [sym_character] = STATE(3818),
    [sym_string] = STATE(3818),
    [sym_quoted_string] = STATE(3818),
    [sym_boolean] = STATE(3818),
    [sym_unit] = STATE(3818),
    [sym_sign_operator] = STATE(2119),
    [sym__value_name] = STATE(4039),
    [sym_parenthesized_operator] = STATE(3903),
    [sym_value_path] = STATE(4008),
    [sym_module_path] = STATE(17789),
    [sym_constructor_path] = STATE(4008),
    [sym__instance_variable_name] = STATE(17931),
    [sym__constructor_name] = STATE(3820),
    [sym_tag] = STATE(4008),
    [sym__identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__capitalized_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2122] = {
    [sym_value_definition] = STATE(18494),
    [sym__simple_expression] = STATE(1632),
    [sym__expression] = STATE(8438),
    [sym_typed_expression] = STATE(4008),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4008),
    [sym_array_expression] = STATE(4008),
    [sym_record_expression] = STATE(4008),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4008),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4008),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3584),
    [sym_array_get_expression] = STATE(3584),
    [sym_string_get_expression] = STATE(3584),
    [sym_bigarray_get_expression] = STATE(3584),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4008),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4008),
    [sym_package_expression] = STATE(4008),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4008),
    [sym_object_copy_expression] = STATE(4008),
    [sym_method_invocation] = STATE(4008),
    [sym_object_expression] = STATE(4008),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_attribute] = STATE(2122),
    [sym_extension] = STATE(4008),
    [sym_quoted_extension] = STATE(4008),
    [sym__constant] = STATE(4008),
    [sym_number] = STATE(3818),
    [sym_character] = STATE(3818),
    [sym_string] = STATE(3818),
    [sym_quoted_string] = STATE(3818),
    [sym_boolean] = STATE(3818),
    [sym_unit] = STATE(3818),
    [sym_sign_operator] = STATE(2119),
    [sym__value_name] = STATE(4039),
    [sym_parenthesized_operator] = STATE(3903),
    [sym_value_path] = STATE(4008),
    [sym_module_path] = STATE(17789),
    [sym_constructor_path] = STATE(4008),
    [sym__instance_variable_name] = STATE(17931),
    [sym__constructor_name] = STATE(3820),
    [sym_tag] = STATE(4008),
    [sym__identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__capitalized_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2123] = {
    [sym_value_definition] = STATE(18494),
    [sym__simple_expression] = STATE(1632),
    [sym__expression] = STATE(8490),
    [sym_typed_expression] = STATE(4008),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4008),
    [sym_array_expression] = STATE(4008),
    [sym_record_expression] = STATE(4008),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4008),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4008),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3584),
    [sym_array_get_expression] = STATE(3584),
    [sym_string_get_expression] = STATE(3584),
    [sym_bigarray_get_expression] = STATE(3584),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4008),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4008),
    [sym_package_expression] = STATE(4008),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4008),
    [sym_object_copy_expression] = STATE(4008),
    [sym_method_invocation] = STATE(4008),
    [sym_object_expression] = STATE(4008),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_attribute] = STATE(2123),
    [sym_extension] = STATE(4008),
    [sym_quoted_extension] = STATE(4008),
    [sym__constant] = STATE(4008),
    [sym_number] = STATE(3818),
    [sym_character] = STATE(3818),
    [sym_string] = STATE(3818),
    [sym_quoted_string] = STATE(3818),
    [sym_boolean] = STATE(3818),
    [sym_unit] = STATE(3818),
    [sym_sign_operator] = STATE(2119),
    [sym__value_name] = STATE(4039),
    [sym_parenthesized_operator] = STATE(3903),
    [sym_value_path] = STATE(4008),
    [sym_module_path] = STATE(17789),
    [sym_constructor_path] = STATE(4008),
    [sym__instance_variable_name] = STATE(17931),
    [sym__constructor_name] = STATE(3820),
    [sym_tag] = STATE(4008),
    [sym__identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__capitalized_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2124] = {
    [sym_value_definition] = STATE(18311),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11985),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6006),
    [sym_array_get_expression] = STATE(6006),
    [sym_string_get_expression] = STATE(6006),
    [sym_bigarray_get_expression] = STATE(6006),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(2124),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(1815),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(20371),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(1849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1855),
    [anon_sym_function] = ACTIONS(1857),
    [anon_sym_try] = ACTIONS(1859),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1881),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2125] = {
    [sym_value_definition] = STATE(18494),
    [sym__simple_expression] = STATE(1632),
    [sym__expression] = STATE(8493),
    [sym_typed_expression] = STATE(4008),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4008),
    [sym_array_expression] = STATE(4008),
    [sym_record_expression] = STATE(4008),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4008),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4008),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3584),
    [sym_array_get_expression] = STATE(3584),
    [sym_string_get_expression] = STATE(3584),
    [sym_bigarray_get_expression] = STATE(3584),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4008),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4008),
    [sym_package_expression] = STATE(4008),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4008),
    [sym_object_copy_expression] = STATE(4008),
    [sym_method_invocation] = STATE(4008),
    [sym_object_expression] = STATE(4008),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_attribute] = STATE(2125),
    [sym_extension] = STATE(4008),
    [sym_quoted_extension] = STATE(4008),
    [sym__constant] = STATE(4008),
    [sym_number] = STATE(3818),
    [sym_character] = STATE(3818),
    [sym_string] = STATE(3818),
    [sym_quoted_string] = STATE(3818),
    [sym_boolean] = STATE(3818),
    [sym_unit] = STATE(3818),
    [sym_sign_operator] = STATE(2119),
    [sym__value_name] = STATE(4039),
    [sym_parenthesized_operator] = STATE(3903),
    [sym_value_path] = STATE(4008),
    [sym_module_path] = STATE(17789),
    [sym_constructor_path] = STATE(4008),
    [sym__instance_variable_name] = STATE(17931),
    [sym__constructor_name] = STATE(3820),
    [sym_tag] = STATE(4008),
    [sym__identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__capitalized_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2126] = {
    [sym_value_definition] = STATE(18494),
    [sym__simple_expression] = STATE(1632),
    [sym__expression] = STATE(8496),
    [sym_typed_expression] = STATE(4008),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4008),
    [sym_array_expression] = STATE(4008),
    [sym_record_expression] = STATE(4008),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4008),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4008),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3584),
    [sym_array_get_expression] = STATE(3584),
    [sym_string_get_expression] = STATE(3584),
    [sym_bigarray_get_expression] = STATE(3584),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4008),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4008),
    [sym_package_expression] = STATE(4008),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4008),
    [sym_object_copy_expression] = STATE(4008),
    [sym_method_invocation] = STATE(4008),
    [sym_object_expression] = STATE(4008),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_attribute] = STATE(2126),
    [sym_extension] = STATE(4008),
    [sym_quoted_extension] = STATE(4008),
    [sym__constant] = STATE(4008),
    [sym_number] = STATE(3818),
    [sym_character] = STATE(3818),
    [sym_string] = STATE(3818),
    [sym_quoted_string] = STATE(3818),
    [sym_boolean] = STATE(3818),
    [sym_unit] = STATE(3818),
    [sym_sign_operator] = STATE(2119),
    [sym__value_name] = STATE(4039),
    [sym_parenthesized_operator] = STATE(3903),
    [sym_value_path] = STATE(4008),
    [sym_module_path] = STATE(17789),
    [sym_constructor_path] = STATE(4008),
    [sym__instance_variable_name] = STATE(17931),
    [sym__constructor_name] = STATE(3820),
    [sym_tag] = STATE(4008),
    [sym__identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__capitalized_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2127] = {
    [sym_value_definition] = STATE(18494),
    [sym__simple_expression] = STATE(1632),
    [sym__expression] = STATE(8530),
    [sym_typed_expression] = STATE(4008),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4008),
    [sym_array_expression] = STATE(4008),
    [sym_record_expression] = STATE(4008),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4008),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4008),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3584),
    [sym_array_get_expression] = STATE(3584),
    [sym_string_get_expression] = STATE(3584),
    [sym_bigarray_get_expression] = STATE(3584),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4008),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4008),
    [sym_package_expression] = STATE(4008),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4008),
    [sym_object_copy_expression] = STATE(4008),
    [sym_method_invocation] = STATE(4008),
    [sym_object_expression] = STATE(4008),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_attribute] = STATE(2127),
    [sym_extension] = STATE(4008),
    [sym_quoted_extension] = STATE(4008),
    [sym__constant] = STATE(4008),
    [sym_number] = STATE(3818),
    [sym_character] = STATE(3818),
    [sym_string] = STATE(3818),
    [sym_quoted_string] = STATE(3818),
    [sym_boolean] = STATE(3818),
    [sym_unit] = STATE(3818),
    [sym_sign_operator] = STATE(2119),
    [sym__value_name] = STATE(4039),
    [sym_parenthesized_operator] = STATE(3903),
    [sym_value_path] = STATE(4008),
    [sym_module_path] = STATE(17789),
    [sym_constructor_path] = STATE(4008),
    [sym__instance_variable_name] = STATE(17931),
    [sym__constructor_name] = STATE(3820),
    [sym_tag] = STATE(4008),
    [sym__identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__capitalized_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2128] = {
    [sym_value_definition] = STATE(17923),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11886),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6008),
    [sym_array_get_expression] = STATE(6008),
    [sym_string_get_expression] = STATE(6008),
    [sym_bigarray_get_expression] = STATE(6008),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(2128),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(18687),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(1989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(1993),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1995),
    [anon_sym_function] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1999),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2021),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2129] = {
    [sym_value_definition] = STATE(18494),
    [sym__simple_expression] = STATE(1632),
    [sym__expression] = STATE(8534),
    [sym_typed_expression] = STATE(4008),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4008),
    [sym_array_expression] = STATE(4008),
    [sym_record_expression] = STATE(4008),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4008),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4008),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3584),
    [sym_array_get_expression] = STATE(3584),
    [sym_string_get_expression] = STATE(3584),
    [sym_bigarray_get_expression] = STATE(3584),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4008),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4008),
    [sym_package_expression] = STATE(4008),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4008),
    [sym_object_copy_expression] = STATE(4008),
    [sym_method_invocation] = STATE(4008),
    [sym_object_expression] = STATE(4008),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_attribute] = STATE(2129),
    [sym_extension] = STATE(4008),
    [sym_quoted_extension] = STATE(4008),
    [sym__constant] = STATE(4008),
    [sym_number] = STATE(3818),
    [sym_character] = STATE(3818),
    [sym_string] = STATE(3818),
    [sym_quoted_string] = STATE(3818),
    [sym_boolean] = STATE(3818),
    [sym_unit] = STATE(3818),
    [sym_sign_operator] = STATE(2119),
    [sym__value_name] = STATE(4039),
    [sym_parenthesized_operator] = STATE(3903),
    [sym_value_path] = STATE(4008),
    [sym_module_path] = STATE(17789),
    [sym_constructor_path] = STATE(4008),
    [sym__instance_variable_name] = STATE(17931),
    [sym__constructor_name] = STATE(3820),
    [sym_tag] = STATE(4008),
    [sym__identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__capitalized_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2130] = {
    [sym_value_definition] = STATE(17923),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12159),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6008),
    [sym_array_get_expression] = STATE(6008),
    [sym_string_get_expression] = STATE(6008),
    [sym_bigarray_get_expression] = STATE(6008),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(2130),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(18687),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(1989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(1993),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1995),
    [anon_sym_function] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1999),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2021),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2131] = {
    [sym_value_definition] = STATE(17923),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12160),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6008),
    [sym_array_get_expression] = STATE(6008),
    [sym_string_get_expression] = STATE(6008),
    [sym_bigarray_get_expression] = STATE(6008),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(2131),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(18687),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(1989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(1993),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1995),
    [anon_sym_function] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1999),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2021),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2132] = {
    [sym_value_definition] = STATE(17923),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12161),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6008),
    [sym_array_get_expression] = STATE(6008),
    [sym_string_get_expression] = STATE(6008),
    [sym_bigarray_get_expression] = STATE(6008),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(2132),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(18687),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(1989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(1993),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1995),
    [anon_sym_function] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1999),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2021),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2133] = {
    [sym_value_definition] = STATE(17923),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12162),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6008),
    [sym_array_get_expression] = STATE(6008),
    [sym_string_get_expression] = STATE(6008),
    [sym_bigarray_get_expression] = STATE(6008),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(2133),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(18687),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(1989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(1993),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1995),
    [anon_sym_function] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1999),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2021),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2134] = {
    [sym_value_definition] = STATE(17923),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12163),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6008),
    [sym_array_get_expression] = STATE(6008),
    [sym_string_get_expression] = STATE(6008),
    [sym_bigarray_get_expression] = STATE(6008),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(2134),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(18687),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(1989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(1993),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1995),
    [anon_sym_function] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1999),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2021),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2135] = {
    [sym_value_definition] = STATE(17923),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12164),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6008),
    [sym_array_get_expression] = STATE(6008),
    [sym_string_get_expression] = STATE(6008),
    [sym_bigarray_get_expression] = STATE(6008),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(2135),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(18687),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(1989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(1993),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1995),
    [anon_sym_function] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1999),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2021),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2136] = {
    [sym_value_definition] = STATE(17923),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12165),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6008),
    [sym_array_get_expression] = STATE(6008),
    [sym_string_get_expression] = STATE(6008),
    [sym_bigarray_get_expression] = STATE(6008),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(2136),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(18687),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(1989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(1993),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1995),
    [anon_sym_function] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1999),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2021),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2137] = {
    [sym_value_definition] = STATE(17923),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12171),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6008),
    [sym_array_get_expression] = STATE(6008),
    [sym_string_get_expression] = STATE(6008),
    [sym_bigarray_get_expression] = STATE(6008),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(2137),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(18687),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(1989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(1993),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1995),
    [anon_sym_function] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1999),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2021),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2138] = {
    [sym_value_definition] = STATE(17923),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12172),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6008),
    [sym_array_get_expression] = STATE(6008),
    [sym_string_get_expression] = STATE(6008),
    [sym_bigarray_get_expression] = STATE(6008),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(2138),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(18687),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(1989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(1993),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1995),
    [anon_sym_function] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1999),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2021),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2139] = {
    [sym_value_definition] = STATE(17923),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12178),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6008),
    [sym_array_get_expression] = STATE(6008),
    [sym_string_get_expression] = STATE(6008),
    [sym_bigarray_get_expression] = STATE(6008),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(2139),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(18687),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(1989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(1993),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1995),
    [anon_sym_function] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1999),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2021),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2140] = {
    [sym_value_definition] = STATE(17923),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12179),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6008),
    [sym_array_get_expression] = STATE(6008),
    [sym_string_get_expression] = STATE(6008),
    [sym_bigarray_get_expression] = STATE(6008),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(2140),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(18687),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(1989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(1993),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1995),
    [anon_sym_function] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1999),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2021),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2141] = {
    [sym_value_definition] = STATE(18494),
    [sym__simple_expression] = STATE(1632),
    [sym__expression] = STATE(8517),
    [sym_typed_expression] = STATE(4008),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4008),
    [sym_array_expression] = STATE(4008),
    [sym_record_expression] = STATE(4008),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4008),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4008),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3584),
    [sym_array_get_expression] = STATE(3584),
    [sym_string_get_expression] = STATE(3584),
    [sym_bigarray_get_expression] = STATE(3584),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4008),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4008),
    [sym_package_expression] = STATE(4008),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4008),
    [sym_object_copy_expression] = STATE(4008),
    [sym_method_invocation] = STATE(4008),
    [sym_object_expression] = STATE(4008),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_attribute] = STATE(2141),
    [sym_extension] = STATE(4008),
    [sym_quoted_extension] = STATE(4008),
    [sym__constant] = STATE(4008),
    [sym_number] = STATE(3818),
    [sym_character] = STATE(3818),
    [sym_string] = STATE(3818),
    [sym_quoted_string] = STATE(3818),
    [sym_boolean] = STATE(3818),
    [sym_unit] = STATE(3818),
    [sym_sign_operator] = STATE(2119),
    [sym__value_name] = STATE(4039),
    [sym_parenthesized_operator] = STATE(3903),
    [sym_value_path] = STATE(4008),
    [sym_module_path] = STATE(17789),
    [sym_constructor_path] = STATE(4008),
    [sym__instance_variable_name] = STATE(17931),
    [sym__constructor_name] = STATE(3820),
    [sym_tag] = STATE(4008),
    [sym__identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__capitalized_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2142] = {
    [sym_value_definition] = STATE(18494),
    [sym__simple_expression] = STATE(1632),
    [sym__expression] = STATE(8477),
    [sym_typed_expression] = STATE(4008),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4008),
    [sym_array_expression] = STATE(4008),
    [sym_record_expression] = STATE(4008),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4008),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4008),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3584),
    [sym_array_get_expression] = STATE(3584),
    [sym_string_get_expression] = STATE(3584),
    [sym_bigarray_get_expression] = STATE(3584),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4008),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4008),
    [sym_package_expression] = STATE(4008),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4008),
    [sym_object_copy_expression] = STATE(4008),
    [sym_method_invocation] = STATE(4008),
    [sym_object_expression] = STATE(4008),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_attribute] = STATE(2142),
    [sym_extension] = STATE(4008),
    [sym_quoted_extension] = STATE(4008),
    [sym__constant] = STATE(4008),
    [sym_number] = STATE(3818),
    [sym_character] = STATE(3818),
    [sym_string] = STATE(3818),
    [sym_quoted_string] = STATE(3818),
    [sym_boolean] = STATE(3818),
    [sym_unit] = STATE(3818),
    [sym_sign_operator] = STATE(2119),
    [sym__value_name] = STATE(4039),
    [sym_parenthesized_operator] = STATE(3903),
    [sym_value_path] = STATE(4008),
    [sym_module_path] = STATE(17789),
    [sym_constructor_path] = STATE(4008),
    [sym__instance_variable_name] = STATE(17931),
    [sym__constructor_name] = STATE(3820),
    [sym_tag] = STATE(4008),
    [sym__identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__capitalized_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2143] = {
    [sym_value_definition] = STATE(18494),
    [sym__simple_expression] = STATE(1632),
    [sym__expression] = STATE(8464),
    [sym_typed_expression] = STATE(4008),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4008),
    [sym_array_expression] = STATE(4008),
    [sym_record_expression] = STATE(4008),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4008),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4008),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3584),
    [sym_array_get_expression] = STATE(3584),
    [sym_string_get_expression] = STATE(3584),
    [sym_bigarray_get_expression] = STATE(3584),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4008),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4008),
    [sym_package_expression] = STATE(4008),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4008),
    [sym_object_copy_expression] = STATE(4008),
    [sym_method_invocation] = STATE(4008),
    [sym_object_expression] = STATE(4008),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_attribute] = STATE(2143),
    [sym_extension] = STATE(4008),
    [sym_quoted_extension] = STATE(4008),
    [sym__constant] = STATE(4008),
    [sym_number] = STATE(3818),
    [sym_character] = STATE(3818),
    [sym_string] = STATE(3818),
    [sym_quoted_string] = STATE(3818),
    [sym_boolean] = STATE(3818),
    [sym_unit] = STATE(3818),
    [sym_sign_operator] = STATE(2119),
    [sym__value_name] = STATE(4039),
    [sym_parenthesized_operator] = STATE(3903),
    [sym_value_path] = STATE(4008),
    [sym_module_path] = STATE(17789),
    [sym_constructor_path] = STATE(4008),
    [sym__instance_variable_name] = STATE(17931),
    [sym__constructor_name] = STATE(3820),
    [sym_tag] = STATE(4008),
    [sym__identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__capitalized_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2144] = {
    [sym_value_definition] = STATE(17923),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12181),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6008),
    [sym_array_get_expression] = STATE(6008),
    [sym_string_get_expression] = STATE(6008),
    [sym_bigarray_get_expression] = STATE(6008),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(2144),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(18687),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(1989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(1993),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1995),
    [anon_sym_function] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1999),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2021),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2145] = {
    [sym_value_definition] = STATE(18494),
    [sym__simple_expression] = STATE(1632),
    [sym__expression] = STATE(8458),
    [sym_typed_expression] = STATE(4008),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4008),
    [sym_array_expression] = STATE(4008),
    [sym_record_expression] = STATE(4008),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4008),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4008),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3584),
    [sym_array_get_expression] = STATE(3584),
    [sym_string_get_expression] = STATE(3584),
    [sym_bigarray_get_expression] = STATE(3584),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4008),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4008),
    [sym_package_expression] = STATE(4008),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4008),
    [sym_object_copy_expression] = STATE(4008),
    [sym_method_invocation] = STATE(4008),
    [sym_object_expression] = STATE(4008),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_attribute] = STATE(2145),
    [sym_extension] = STATE(4008),
    [sym_quoted_extension] = STATE(4008),
    [sym__constant] = STATE(4008),
    [sym_number] = STATE(3818),
    [sym_character] = STATE(3818),
    [sym_string] = STATE(3818),
    [sym_quoted_string] = STATE(3818),
    [sym_boolean] = STATE(3818),
    [sym_unit] = STATE(3818),
    [sym_sign_operator] = STATE(2119),
    [sym__value_name] = STATE(4039),
    [sym_parenthesized_operator] = STATE(3903),
    [sym_value_path] = STATE(4008),
    [sym_module_path] = STATE(17789),
    [sym_constructor_path] = STATE(4008),
    [sym__instance_variable_name] = STATE(17931),
    [sym__constructor_name] = STATE(3820),
    [sym_tag] = STATE(4008),
    [sym__identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__capitalized_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2146] = {
    [sym_value_definition] = STATE(17564),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11814),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(2146),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2146),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(20408),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2147] = {
    [sym_value_definition] = STATE(19068),
    [sym__simple_expression] = STATE(2458),
    [sym__expression] = STATE(12027),
    [sym_typed_expression] = STATE(6215),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6215),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6215),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6007),
    [sym_array_get_expression] = STATE(6007),
    [sym_string_get_expression] = STATE(6007),
    [sym_bigarray_get_expression] = STATE(6007),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6215),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(2147),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym_sign_operator] = STATE(2105),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__instance_variable_name] = STATE(17788),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [sym__identifier] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(1907),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_fun] = ACTIONS(1919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(1927),
    [anon_sym_try] = ACTIONS(1929),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1951),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2148] = {
    [sym_value_definition] = STATE(17564),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11746),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(2148),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2146),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(20408),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2149] = {
    [sym_value_definition] = STATE(17564),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11747),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(2149),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2146),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(20408),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2150] = {
    [sym_value_definition] = STATE(18989),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11922),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6009),
    [sym_array_get_expression] = STATE(6009),
    [sym_string_get_expression] = STATE(6009),
    [sym_bigarray_get_expression] = STATE(6009),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(2150),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17859),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2047),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2063),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2091),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2151] = {
    [sym_value_definition] = STATE(17564),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11748),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(2151),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2146),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(20408),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2152] = {
    [sym_value_definition] = STATE(18989),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11891),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6009),
    [sym_array_get_expression] = STATE(6009),
    [sym_string_get_expression] = STATE(6009),
    [sym_bigarray_get_expression] = STATE(6009),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(2152),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17859),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2047),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2063),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2091),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2153] = {
    [sym_value_definition] = STATE(18989),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11892),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6009),
    [sym_array_get_expression] = STATE(6009),
    [sym_string_get_expression] = STATE(6009),
    [sym_bigarray_get_expression] = STATE(6009),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(2153),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17859),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2047),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2063),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2091),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2154] = {
    [sym_value_definition] = STATE(18989),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11893),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6009),
    [sym_array_get_expression] = STATE(6009),
    [sym_string_get_expression] = STATE(6009),
    [sym_bigarray_get_expression] = STATE(6009),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(2154),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17859),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2047),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2063),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2091),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2155] = {
    [sym_value_definition] = STATE(18989),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11894),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6009),
    [sym_array_get_expression] = STATE(6009),
    [sym_string_get_expression] = STATE(6009),
    [sym_bigarray_get_expression] = STATE(6009),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(2155),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17859),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2047),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2063),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2091),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2156] = {
    [sym_value_definition] = STATE(18989),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11895),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6009),
    [sym_array_get_expression] = STATE(6009),
    [sym_string_get_expression] = STATE(6009),
    [sym_bigarray_get_expression] = STATE(6009),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(2156),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17859),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2047),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2063),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2091),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2157] = {
    [sym_value_definition] = STATE(18814),
    [sym__simple_expression] = STATE(2424),
    [sym__expression] = STATE(9630),
    [sym_typed_expression] = STATE(4950),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4950),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4950),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4950),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(2157),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__instance_variable_name] = STATE(18791),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [sym__identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3117),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1019),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2158] = {
    [sym_value_definition] = STATE(18989),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11897),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6009),
    [sym_array_get_expression] = STATE(6009),
    [sym_string_get_expression] = STATE(6009),
    [sym_bigarray_get_expression] = STATE(6009),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(2158),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17859),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2047),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2063),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2091),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2159] = {
    [sym_value_definition] = STATE(18989),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11898),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6009),
    [sym_array_get_expression] = STATE(6009),
    [sym_string_get_expression] = STATE(6009),
    [sym_bigarray_get_expression] = STATE(6009),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(2159),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17859),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2047),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2063),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2091),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2160] = {
    [sym_value_definition] = STATE(18989),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11899),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6009),
    [sym_array_get_expression] = STATE(6009),
    [sym_string_get_expression] = STATE(6009),
    [sym_bigarray_get_expression] = STATE(6009),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(2160),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17859),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2047),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2063),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2091),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2161] = {
    [sym_value_definition] = STATE(18989),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11900),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6009),
    [sym_array_get_expression] = STATE(6009),
    [sym_string_get_expression] = STATE(6009),
    [sym_bigarray_get_expression] = STATE(6009),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(2161),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17859),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2047),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2063),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2091),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2162] = {
    [sym_value_definition] = STATE(18989),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11901),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6009),
    [sym_array_get_expression] = STATE(6009),
    [sym_string_get_expression] = STATE(6009),
    [sym_bigarray_get_expression] = STATE(6009),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(2162),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17859),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2047),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2063),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2091),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2163] = {
    [sym_value_definition] = STATE(17564),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11749),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(2163),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2146),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(20408),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2164] = {
    [sym_value_definition] = STATE(17564),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11750),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(2164),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2146),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(20408),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2165] = {
    [sym_value_definition] = STATE(17564),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11751),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(2165),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2146),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(20408),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2166] = {
    [sym_value_definition] = STATE(17564),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11752),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(2166),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2146),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(20408),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2167] = {
    [sym_value_definition] = STATE(17564),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11753),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(2167),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2146),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(20408),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2168] = {
    [sym_value_definition] = STATE(18989),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11903),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6009),
    [sym_array_get_expression] = STATE(6009),
    [sym_string_get_expression] = STATE(6009),
    [sym_bigarray_get_expression] = STATE(6009),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(2168),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17859),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2047),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2063),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2091),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2169] = {
    [sym_value_definition] = STATE(17564),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11754),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(2169),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2146),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(20408),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2170] = {
    [sym_value_definition] = STATE(17564),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11756),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(2170),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2146),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(20408),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2171] = {
    [sym_value_definition] = STATE(17564),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11757),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(2171),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2146),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(20408),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2172] = {
    [sym_value_definition] = STATE(17564),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11767),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(2172),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2146),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(20408),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2173] = {
    [sym_value_definition] = STATE(17923),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12146),
    [sym_typed_expression] = STATE(6261),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6261),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6261),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6008),
    [sym_array_get_expression] = STATE(6008),
    [sym_string_get_expression] = STATE(6008),
    [sym_bigarray_get_expression] = STATE(6008),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6261),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(2173),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym_sign_operator] = STATE(2128),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__instance_variable_name] = STATE(18687),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [sym__identifier] = ACTIONS(1975),
    [anon_sym_let] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_fun] = ACTIONS(1989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_if] = ACTIONS(1993),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1995),
    [anon_sym_function] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1999),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2021),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2174] = {
    [sym_value_definition] = STATE(18147),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9397),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4703),
    [sym_array_get_expression] = STATE(4703),
    [sym_string_get_expression] = STATE(4703),
    [sym_bigarray_get_expression] = STATE(4703),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(2174),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(2174),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(17729),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2175] = {
    [sym_value_definition] = STATE(18147),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9374),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4703),
    [sym_array_get_expression] = STATE(4703),
    [sym_string_get_expression] = STATE(4703),
    [sym_bigarray_get_expression] = STATE(4703),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(2175),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(2174),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(17729),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2176] = {
    [sym_value_definition] = STATE(18147),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9375),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4703),
    [sym_array_get_expression] = STATE(4703),
    [sym_string_get_expression] = STATE(4703),
    [sym_bigarray_get_expression] = STATE(4703),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(2176),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(2174),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(17729),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2177] = {
    [sym_value_definition] = STATE(18147),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9377),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4703),
    [sym_array_get_expression] = STATE(4703),
    [sym_string_get_expression] = STATE(4703),
    [sym_bigarray_get_expression] = STATE(4703),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(2177),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(2174),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(17729),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2178] = {
    [sym_value_definition] = STATE(18147),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9378),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4703),
    [sym_array_get_expression] = STATE(4703),
    [sym_string_get_expression] = STATE(4703),
    [sym_bigarray_get_expression] = STATE(4703),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(2178),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(2174),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(17729),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2179] = {
    [sym_value_definition] = STATE(18147),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9379),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4703),
    [sym_array_get_expression] = STATE(4703),
    [sym_string_get_expression] = STATE(4703),
    [sym_bigarray_get_expression] = STATE(4703),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(2179),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(2174),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(17729),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2180] = {
    [sym_value_definition] = STATE(18147),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9380),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4703),
    [sym_array_get_expression] = STATE(4703),
    [sym_string_get_expression] = STATE(4703),
    [sym_bigarray_get_expression] = STATE(4703),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(2180),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(2174),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(17729),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2181] = {
    [sym_value_definition] = STATE(18147),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9381),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4703),
    [sym_array_get_expression] = STATE(4703),
    [sym_string_get_expression] = STATE(4703),
    [sym_bigarray_get_expression] = STATE(4703),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(2181),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(2174),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(17729),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2182] = {
    [sym_value_definition] = STATE(18147),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9382),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4703),
    [sym_array_get_expression] = STATE(4703),
    [sym_string_get_expression] = STATE(4703),
    [sym_bigarray_get_expression] = STATE(4703),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(2182),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(2174),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(17729),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2183] = {
    [sym_value_definition] = STATE(18147),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9383),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4703),
    [sym_array_get_expression] = STATE(4703),
    [sym_string_get_expression] = STATE(4703),
    [sym_bigarray_get_expression] = STATE(4703),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(2183),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(2174),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(17729),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2184] = {
    [sym_value_definition] = STATE(18147),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9384),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4703),
    [sym_array_get_expression] = STATE(4703),
    [sym_string_get_expression] = STATE(4703),
    [sym_bigarray_get_expression] = STATE(4703),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(2184),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(2174),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(17729),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2185] = {
    [sym_value_definition] = STATE(18147),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9385),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4703),
    [sym_array_get_expression] = STATE(4703),
    [sym_string_get_expression] = STATE(4703),
    [sym_bigarray_get_expression] = STATE(4703),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(2185),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(2174),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(17729),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2186] = {
    [sym_value_definition] = STATE(18147),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9388),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4703),
    [sym_array_get_expression] = STATE(4703),
    [sym_string_get_expression] = STATE(4703),
    [sym_bigarray_get_expression] = STATE(4703),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(2186),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(2174),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(17729),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2187] = {
    [sym_value_definition] = STATE(18906),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(10307),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5273),
    [sym_array_get_expression] = STATE(5273),
    [sym_string_get_expression] = STATE(5273),
    [sym_bigarray_get_expression] = STATE(5273),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(2187),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2187),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18688),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2188] = {
    [sym_value_definition] = STATE(18906),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(10620),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5273),
    [sym_array_get_expression] = STATE(5273),
    [sym_string_get_expression] = STATE(5273),
    [sym_bigarray_get_expression] = STATE(5273),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(2188),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2187),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18688),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2189] = {
    [sym_value_definition] = STATE(18989),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11888),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6009),
    [sym_array_get_expression] = STATE(6009),
    [sym_string_get_expression] = STATE(6009),
    [sym_bigarray_get_expression] = STATE(6009),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(2189),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17859),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2047),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2063),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2091),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2190] = {
    [sym_value_definition] = STATE(18906),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(10621),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5273),
    [sym_array_get_expression] = STATE(5273),
    [sym_string_get_expression] = STATE(5273),
    [sym_bigarray_get_expression] = STATE(5273),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(2190),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2187),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18688),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2191] = {
    [sym_value_definition] = STATE(18906),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(10622),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5273),
    [sym_array_get_expression] = STATE(5273),
    [sym_string_get_expression] = STATE(5273),
    [sym_bigarray_get_expression] = STATE(5273),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(2191),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2187),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18688),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2192] = {
    [sym_value_definition] = STATE(18906),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(10626),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5273),
    [sym_array_get_expression] = STATE(5273),
    [sym_string_get_expression] = STATE(5273),
    [sym_bigarray_get_expression] = STATE(5273),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(2192),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2187),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18688),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2193] = {
    [sym_value_definition] = STATE(18906),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(10630),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5273),
    [sym_array_get_expression] = STATE(5273),
    [sym_string_get_expression] = STATE(5273),
    [sym_bigarray_get_expression] = STATE(5273),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(2193),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2187),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18688),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2194] = {
    [sym_value_definition] = STATE(18906),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(10631),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5273),
    [sym_array_get_expression] = STATE(5273),
    [sym_string_get_expression] = STATE(5273),
    [sym_bigarray_get_expression] = STATE(5273),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(2194),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2187),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18688),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2195] = {
    [sym_value_definition] = STATE(18906),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(10632),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5273),
    [sym_array_get_expression] = STATE(5273),
    [sym_string_get_expression] = STATE(5273),
    [sym_bigarray_get_expression] = STATE(5273),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(2195),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2187),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18688),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2196] = {
    [sym_value_definition] = STATE(18906),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(10634),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5273),
    [sym_array_get_expression] = STATE(5273),
    [sym_string_get_expression] = STATE(5273),
    [sym_bigarray_get_expression] = STATE(5273),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(2196),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2187),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18688),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2197] = {
    [sym_value_definition] = STATE(18906),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(10635),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5273),
    [sym_array_get_expression] = STATE(5273),
    [sym_string_get_expression] = STATE(5273),
    [sym_bigarray_get_expression] = STATE(5273),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(2197),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2187),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18688),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2198] = {
    [sym_value_definition] = STATE(18906),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(10636),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5273),
    [sym_array_get_expression] = STATE(5273),
    [sym_string_get_expression] = STATE(5273),
    [sym_bigarray_get_expression] = STATE(5273),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(2198),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2187),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18688),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2199] = {
    [sym_value_definition] = STATE(18906),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(10637),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5273),
    [sym_array_get_expression] = STATE(5273),
    [sym_string_get_expression] = STATE(5273),
    [sym_bigarray_get_expression] = STATE(5273),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(2199),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2187),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18688),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2200] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12649),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2200),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2201] = {
    [sym_value_definition] = STATE(18147),
    [sym__simple_expression] = STATE(2423),
    [sym__expression] = STATE(9373),
    [sym_typed_expression] = STATE(4804),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(4804),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(4804),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(4703),
    [sym_array_get_expression] = STATE(4703),
    [sym_string_get_expression] = STATE(4703),
    [sym_bigarray_get_expression] = STATE(4703),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(4804),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(2201),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym_sign_operator] = STATE(2174),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__instance_variable_name] = STATE(17729),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [sym__identifier] = ACTIONS(913),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_fun] = ACTIONS(927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(931),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(967),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2202] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(10796),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2202),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2203] = {
    [sym_value_definition] = STATE(18906),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(10651),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5273),
    [sym_array_get_expression] = STATE(5273),
    [sym_string_get_expression] = STATE(5273),
    [sym_bigarray_get_expression] = STATE(5273),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(2203),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2187),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18688),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(1181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2204] = {
    [sym_value_definition] = STATE(17646),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(10454),
    [sym_typed_expression] = STATE(5401),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5401),
    [sym_array_expression] = STATE(5401),
    [sym_record_expression] = STATE(5401),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5401),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5401),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5205),
    [sym_array_get_expression] = STATE(5205),
    [sym_string_get_expression] = STATE(5205),
    [sym_bigarray_get_expression] = STATE(5205),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5401),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5401),
    [sym_package_expression] = STATE(5401),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5401),
    [sym_object_copy_expression] = STATE(5401),
    [sym_method_invocation] = STATE(5401),
    [sym_object_expression] = STATE(5401),
    [sym_parenthesized_expression] = STATE(5401),
    [sym_attribute] = STATE(2204),
    [sym_extension] = STATE(5401),
    [sym_quoted_extension] = STATE(5401),
    [sym__constant] = STATE(5401),
    [sym_number] = STATE(5380),
    [sym_character] = STATE(5380),
    [sym_string] = STATE(5380),
    [sym_quoted_string] = STATE(5380),
    [sym_boolean] = STATE(5380),
    [sym_unit] = STATE(5380),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5400),
    [sym_value_path] = STATE(5401),
    [sym_module_path] = STATE(18005),
    [sym_constructor_path] = STATE(5401),
    [sym__instance_variable_name] = STATE(17611),
    [sym__constructor_name] = STATE(5359),
    [sym_tag] = STATE(5401),
    [sym__identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__capitalized_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2205] = {
    [sym_value_definition] = STATE(17646),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(10321),
    [sym_typed_expression] = STATE(5401),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5401),
    [sym_array_expression] = STATE(5401),
    [sym_record_expression] = STATE(5401),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5401),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5401),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5205),
    [sym_array_get_expression] = STATE(5205),
    [sym_string_get_expression] = STATE(5205),
    [sym_bigarray_get_expression] = STATE(5205),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5401),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5401),
    [sym_package_expression] = STATE(5401),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5401),
    [sym_object_copy_expression] = STATE(5401),
    [sym_method_invocation] = STATE(5401),
    [sym_object_expression] = STATE(5401),
    [sym_parenthesized_expression] = STATE(5401),
    [sym_attribute] = STATE(2205),
    [sym_extension] = STATE(5401),
    [sym_quoted_extension] = STATE(5401),
    [sym__constant] = STATE(5401),
    [sym_number] = STATE(5380),
    [sym_character] = STATE(5380),
    [sym_string] = STATE(5380),
    [sym_quoted_string] = STATE(5380),
    [sym_boolean] = STATE(5380),
    [sym_unit] = STATE(5380),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5400),
    [sym_value_path] = STATE(5401),
    [sym_module_path] = STATE(18005),
    [sym_constructor_path] = STATE(5401),
    [sym__instance_variable_name] = STATE(17611),
    [sym__constructor_name] = STATE(5359),
    [sym_tag] = STATE(5401),
    [sym__identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__capitalized_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2206] = {
    [sym_value_definition] = STATE(17646),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(10342),
    [sym_typed_expression] = STATE(5401),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5401),
    [sym_array_expression] = STATE(5401),
    [sym_record_expression] = STATE(5401),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5401),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5401),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5205),
    [sym_array_get_expression] = STATE(5205),
    [sym_string_get_expression] = STATE(5205),
    [sym_bigarray_get_expression] = STATE(5205),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5401),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5401),
    [sym_package_expression] = STATE(5401),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5401),
    [sym_object_copy_expression] = STATE(5401),
    [sym_method_invocation] = STATE(5401),
    [sym_object_expression] = STATE(5401),
    [sym_parenthesized_expression] = STATE(5401),
    [sym_attribute] = STATE(2206),
    [sym_extension] = STATE(5401),
    [sym_quoted_extension] = STATE(5401),
    [sym__constant] = STATE(5401),
    [sym_number] = STATE(5380),
    [sym_character] = STATE(5380),
    [sym_string] = STATE(5380),
    [sym_quoted_string] = STATE(5380),
    [sym_boolean] = STATE(5380),
    [sym_unit] = STATE(5380),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5400),
    [sym_value_path] = STATE(5401),
    [sym_module_path] = STATE(18005),
    [sym_constructor_path] = STATE(5401),
    [sym__instance_variable_name] = STATE(17611),
    [sym__constructor_name] = STATE(5359),
    [sym_tag] = STATE(5401),
    [sym__identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__capitalized_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2207] = {
    [sym_value_definition] = STATE(17646),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(10343),
    [sym_typed_expression] = STATE(5401),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5401),
    [sym_array_expression] = STATE(5401),
    [sym_record_expression] = STATE(5401),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5401),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5401),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5205),
    [sym_array_get_expression] = STATE(5205),
    [sym_string_get_expression] = STATE(5205),
    [sym_bigarray_get_expression] = STATE(5205),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5401),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5401),
    [sym_package_expression] = STATE(5401),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5401),
    [sym_object_copy_expression] = STATE(5401),
    [sym_method_invocation] = STATE(5401),
    [sym_object_expression] = STATE(5401),
    [sym_parenthesized_expression] = STATE(5401),
    [sym_attribute] = STATE(2207),
    [sym_extension] = STATE(5401),
    [sym_quoted_extension] = STATE(5401),
    [sym__constant] = STATE(5401),
    [sym_number] = STATE(5380),
    [sym_character] = STATE(5380),
    [sym_string] = STATE(5380),
    [sym_quoted_string] = STATE(5380),
    [sym_boolean] = STATE(5380),
    [sym_unit] = STATE(5380),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5400),
    [sym_value_path] = STATE(5401),
    [sym_module_path] = STATE(18005),
    [sym_constructor_path] = STATE(5401),
    [sym__instance_variable_name] = STATE(17611),
    [sym__constructor_name] = STATE(5359),
    [sym_tag] = STATE(5401),
    [sym__identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__capitalized_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2208] = {
    [sym_value_definition] = STATE(17646),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(10354),
    [sym_typed_expression] = STATE(5401),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5401),
    [sym_array_expression] = STATE(5401),
    [sym_record_expression] = STATE(5401),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5401),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5401),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5205),
    [sym_array_get_expression] = STATE(5205),
    [sym_string_get_expression] = STATE(5205),
    [sym_bigarray_get_expression] = STATE(5205),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5401),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5401),
    [sym_package_expression] = STATE(5401),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5401),
    [sym_object_copy_expression] = STATE(5401),
    [sym_method_invocation] = STATE(5401),
    [sym_object_expression] = STATE(5401),
    [sym_parenthesized_expression] = STATE(5401),
    [sym_attribute] = STATE(2208),
    [sym_extension] = STATE(5401),
    [sym_quoted_extension] = STATE(5401),
    [sym__constant] = STATE(5401),
    [sym_number] = STATE(5380),
    [sym_character] = STATE(5380),
    [sym_string] = STATE(5380),
    [sym_quoted_string] = STATE(5380),
    [sym_boolean] = STATE(5380),
    [sym_unit] = STATE(5380),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5400),
    [sym_value_path] = STATE(5401),
    [sym_module_path] = STATE(18005),
    [sym_constructor_path] = STATE(5401),
    [sym__instance_variable_name] = STATE(17611),
    [sym__constructor_name] = STATE(5359),
    [sym_tag] = STATE(5401),
    [sym__identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__capitalized_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2209] = {
    [sym_value_definition] = STATE(17646),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(10363),
    [sym_typed_expression] = STATE(5401),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5401),
    [sym_array_expression] = STATE(5401),
    [sym_record_expression] = STATE(5401),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5401),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5401),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5205),
    [sym_array_get_expression] = STATE(5205),
    [sym_string_get_expression] = STATE(5205),
    [sym_bigarray_get_expression] = STATE(5205),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5401),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5401),
    [sym_package_expression] = STATE(5401),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5401),
    [sym_object_copy_expression] = STATE(5401),
    [sym_method_invocation] = STATE(5401),
    [sym_object_expression] = STATE(5401),
    [sym_parenthesized_expression] = STATE(5401),
    [sym_attribute] = STATE(2209),
    [sym_extension] = STATE(5401),
    [sym_quoted_extension] = STATE(5401),
    [sym__constant] = STATE(5401),
    [sym_number] = STATE(5380),
    [sym_character] = STATE(5380),
    [sym_string] = STATE(5380),
    [sym_quoted_string] = STATE(5380),
    [sym_boolean] = STATE(5380),
    [sym_unit] = STATE(5380),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5400),
    [sym_value_path] = STATE(5401),
    [sym_module_path] = STATE(18005),
    [sym_constructor_path] = STATE(5401),
    [sym__instance_variable_name] = STATE(17611),
    [sym__constructor_name] = STATE(5359),
    [sym_tag] = STATE(5401),
    [sym__identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__capitalized_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2210] = {
    [sym_value_definition] = STATE(17646),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(10365),
    [sym_typed_expression] = STATE(5401),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5401),
    [sym_array_expression] = STATE(5401),
    [sym_record_expression] = STATE(5401),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5401),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5401),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5205),
    [sym_array_get_expression] = STATE(5205),
    [sym_string_get_expression] = STATE(5205),
    [sym_bigarray_get_expression] = STATE(5205),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5401),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5401),
    [sym_package_expression] = STATE(5401),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5401),
    [sym_object_copy_expression] = STATE(5401),
    [sym_method_invocation] = STATE(5401),
    [sym_object_expression] = STATE(5401),
    [sym_parenthesized_expression] = STATE(5401),
    [sym_attribute] = STATE(2210),
    [sym_extension] = STATE(5401),
    [sym_quoted_extension] = STATE(5401),
    [sym__constant] = STATE(5401),
    [sym_number] = STATE(5380),
    [sym_character] = STATE(5380),
    [sym_string] = STATE(5380),
    [sym_quoted_string] = STATE(5380),
    [sym_boolean] = STATE(5380),
    [sym_unit] = STATE(5380),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5400),
    [sym_value_path] = STATE(5401),
    [sym_module_path] = STATE(18005),
    [sym_constructor_path] = STATE(5401),
    [sym__instance_variable_name] = STATE(17611),
    [sym__constructor_name] = STATE(5359),
    [sym_tag] = STATE(5401),
    [sym__identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__capitalized_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2211] = {
    [sym_value_definition] = STATE(17646),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(10369),
    [sym_typed_expression] = STATE(5401),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5401),
    [sym_array_expression] = STATE(5401),
    [sym_record_expression] = STATE(5401),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5401),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5401),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5205),
    [sym_array_get_expression] = STATE(5205),
    [sym_string_get_expression] = STATE(5205),
    [sym_bigarray_get_expression] = STATE(5205),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5401),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5401),
    [sym_package_expression] = STATE(5401),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5401),
    [sym_object_copy_expression] = STATE(5401),
    [sym_method_invocation] = STATE(5401),
    [sym_object_expression] = STATE(5401),
    [sym_parenthesized_expression] = STATE(5401),
    [sym_attribute] = STATE(2211),
    [sym_extension] = STATE(5401),
    [sym_quoted_extension] = STATE(5401),
    [sym__constant] = STATE(5401),
    [sym_number] = STATE(5380),
    [sym_character] = STATE(5380),
    [sym_string] = STATE(5380),
    [sym_quoted_string] = STATE(5380),
    [sym_boolean] = STATE(5380),
    [sym_unit] = STATE(5380),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5400),
    [sym_value_path] = STATE(5401),
    [sym_module_path] = STATE(18005),
    [sym_constructor_path] = STATE(5401),
    [sym__instance_variable_name] = STATE(17611),
    [sym__constructor_name] = STATE(5359),
    [sym_tag] = STATE(5401),
    [sym__identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__capitalized_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2212] = {
    [sym_value_definition] = STATE(17646),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(10370),
    [sym_typed_expression] = STATE(5401),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5401),
    [sym_array_expression] = STATE(5401),
    [sym_record_expression] = STATE(5401),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5401),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5401),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5205),
    [sym_array_get_expression] = STATE(5205),
    [sym_string_get_expression] = STATE(5205),
    [sym_bigarray_get_expression] = STATE(5205),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5401),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5401),
    [sym_package_expression] = STATE(5401),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5401),
    [sym_object_copy_expression] = STATE(5401),
    [sym_method_invocation] = STATE(5401),
    [sym_object_expression] = STATE(5401),
    [sym_parenthesized_expression] = STATE(5401),
    [sym_attribute] = STATE(2212),
    [sym_extension] = STATE(5401),
    [sym_quoted_extension] = STATE(5401),
    [sym__constant] = STATE(5401),
    [sym_number] = STATE(5380),
    [sym_character] = STATE(5380),
    [sym_string] = STATE(5380),
    [sym_quoted_string] = STATE(5380),
    [sym_boolean] = STATE(5380),
    [sym_unit] = STATE(5380),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5400),
    [sym_value_path] = STATE(5401),
    [sym_module_path] = STATE(18005),
    [sym_constructor_path] = STATE(5401),
    [sym__instance_variable_name] = STATE(17611),
    [sym__constructor_name] = STATE(5359),
    [sym_tag] = STATE(5401),
    [sym__identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__capitalized_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2213] = {
    [sym_value_definition] = STATE(17646),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(10371),
    [sym_typed_expression] = STATE(5401),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5401),
    [sym_array_expression] = STATE(5401),
    [sym_record_expression] = STATE(5401),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5401),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5401),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5205),
    [sym_array_get_expression] = STATE(5205),
    [sym_string_get_expression] = STATE(5205),
    [sym_bigarray_get_expression] = STATE(5205),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5401),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5401),
    [sym_package_expression] = STATE(5401),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5401),
    [sym_object_copy_expression] = STATE(5401),
    [sym_method_invocation] = STATE(5401),
    [sym_object_expression] = STATE(5401),
    [sym_parenthesized_expression] = STATE(5401),
    [sym_attribute] = STATE(2213),
    [sym_extension] = STATE(5401),
    [sym_quoted_extension] = STATE(5401),
    [sym__constant] = STATE(5401),
    [sym_number] = STATE(5380),
    [sym_character] = STATE(5380),
    [sym_string] = STATE(5380),
    [sym_quoted_string] = STATE(5380),
    [sym_boolean] = STATE(5380),
    [sym_unit] = STATE(5380),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5400),
    [sym_value_path] = STATE(5401),
    [sym_module_path] = STATE(18005),
    [sym_constructor_path] = STATE(5401),
    [sym__instance_variable_name] = STATE(17611),
    [sym__constructor_name] = STATE(5359),
    [sym_tag] = STATE(5401),
    [sym__identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__capitalized_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2214] = {
    [sym_value_definition] = STATE(17646),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(10381),
    [sym_typed_expression] = STATE(5401),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5401),
    [sym_array_expression] = STATE(5401),
    [sym_record_expression] = STATE(5401),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5401),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5401),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5205),
    [sym_array_get_expression] = STATE(5205),
    [sym_string_get_expression] = STATE(5205),
    [sym_bigarray_get_expression] = STATE(5205),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5401),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5401),
    [sym_package_expression] = STATE(5401),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5401),
    [sym_object_copy_expression] = STATE(5401),
    [sym_method_invocation] = STATE(5401),
    [sym_object_expression] = STATE(5401),
    [sym_parenthesized_expression] = STATE(5401),
    [sym_attribute] = STATE(2214),
    [sym_extension] = STATE(5401),
    [sym_quoted_extension] = STATE(5401),
    [sym__constant] = STATE(5401),
    [sym_number] = STATE(5380),
    [sym_character] = STATE(5380),
    [sym_string] = STATE(5380),
    [sym_quoted_string] = STATE(5380),
    [sym_boolean] = STATE(5380),
    [sym_unit] = STATE(5380),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5400),
    [sym_value_path] = STATE(5401),
    [sym_module_path] = STATE(18005),
    [sym_constructor_path] = STATE(5401),
    [sym__instance_variable_name] = STATE(17611),
    [sym__constructor_name] = STATE(5359),
    [sym_tag] = STATE(5401),
    [sym__identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__capitalized_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2215] = {
    [sym_value_definition] = STATE(17646),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(10406),
    [sym_typed_expression] = STATE(5401),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5401),
    [sym_array_expression] = STATE(5401),
    [sym_record_expression] = STATE(5401),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5401),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5401),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5205),
    [sym_array_get_expression] = STATE(5205),
    [sym_string_get_expression] = STATE(5205),
    [sym_bigarray_get_expression] = STATE(5205),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5401),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5401),
    [sym_package_expression] = STATE(5401),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5401),
    [sym_object_copy_expression] = STATE(5401),
    [sym_method_invocation] = STATE(5401),
    [sym_object_expression] = STATE(5401),
    [sym_parenthesized_expression] = STATE(5401),
    [sym_attribute] = STATE(2215),
    [sym_extension] = STATE(5401),
    [sym_quoted_extension] = STATE(5401),
    [sym__constant] = STATE(5401),
    [sym_number] = STATE(5380),
    [sym_character] = STATE(5380),
    [sym_string] = STATE(5380),
    [sym_quoted_string] = STATE(5380),
    [sym_boolean] = STATE(5380),
    [sym_unit] = STATE(5380),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5400),
    [sym_value_path] = STATE(5401),
    [sym_module_path] = STATE(18005),
    [sym_constructor_path] = STATE(5401),
    [sym__instance_variable_name] = STATE(17611),
    [sym__constructor_name] = STATE(5359),
    [sym_tag] = STATE(5401),
    [sym__identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__capitalized_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2216] = {
    [sym__simple_expression] = STATE(3473),
    [sym_typed_expression] = STATE(3210),
    [sym_list_expression] = STATE(3210),
    [sym_array_expression] = STATE(3210),
    [sym_record_expression] = STATE(3210),
    [sym_labeled_argument] = STATE(4260),
    [sym_prefix_expression] = STATE(3210),
    [sym_hash_expression] = STATE(3210),
    [sym_field_get_expression] = STATE(3210),
    [sym_array_get_expression] = STATE(3210),
    [sym_string_get_expression] = STATE(3210),
    [sym_bigarray_get_expression] = STATE(3210),
    [sym_coercion_expression] = STATE(3210),
    [sym_local_open_expression] = STATE(3210),
    [sym_package_expression] = STATE(3210),
    [sym_new_expression] = STATE(3210),
    [sym_object_copy_expression] = STATE(3210),
    [sym_method_invocation] = STATE(3210),
    [sym_object_expression] = STATE(3210),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_attribute] = STATE(2216),
    [sym_extension] = STATE(3210),
    [sym_quoted_extension] = STATE(3210),
    [sym__constant] = STATE(3210),
    [sym_number] = STATE(3086),
    [sym_character] = STATE(3086),
    [sym_string] = STATE(3086),
    [sym_quoted_string] = STATE(3086),
    [sym_boolean] = STATE(3086),
    [sym_unit] = STATE(3086),
    [sym__value_name] = STATE(3470),
    [sym_parenthesized_operator] = STATE(3336),
    [sym_value_path] = STATE(3210),
    [sym_module_path] = STATE(17735),
    [sym_constructor_path] = STATE(3210),
    [sym__constructor_name] = STATE(3087),
    [sym_tag] = STATE(3210),
    [aux_sym_class_application_repeat1] = STATE(2216),
    [sym__identifier] = ACTIONS(4025),
    [anon_sym_SEMI_SEMI] = ACTIONS(3570),
    [anon_sym_let] = ACTIONS(3572),
    [anon_sym_and] = ACTIONS(3572),
    [anon_sym_TILDE] = ACTIONS(4028),
    [anon_sym_QMARK] = ACTIONS(4028),
    [anon_sym_LPAREN] = ACTIONS(4031),
    [anon_sym_external] = ACTIONS(3572),
    [anon_sym_type] = ACTIONS(3572),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(4034),
    [anon_sym_true] = ACTIONS(4037),
    [anon_sym_false] = ACTIONS(4037),
    [anon_sym_LBRACE] = ACTIONS(4040),
    [anon_sym_SEMI] = ACTIONS(3572),
    [anon_sym_exception] = ACTIONS(3572),
    [anon_sym_module] = ACTIONS(3572),
    [anon_sym_open] = ACTIONS(3572),
    [anon_sym_include] = ACTIONS(3572),
    [anon_sym_class] = ACTIONS(3572),
    [anon_sym_end] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(4043),
    [anon_sym_in] = ACTIONS(3572),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4046),
    [anon_sym_new] = ACTIONS(4049),
    [anon_sym_LBRACE_LT] = ACTIONS(4052),
    [anon_sym_begin] = ACTIONS(4055),
    [sym_ocamlyacc_value] = ACTIONS(4058),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3572),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3570),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4064),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3570),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3570),
    [aux_sym_number_token1] = ACTIONS(4067),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(4070),
    [anon_sym_DQUOTE] = ACTIONS(4073),
    [sym_prefix_operator] = ACTIONS(4076),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym_let_operator] = ACTIONS(3570),
    [sym_let_and_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(4079),
    [aux_sym_directive_token1] = ACTIONS(3570),
    [aux_sym_tag_token1] = ACTIONS(4082),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2217] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(10678),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2217),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2218] = {
    [sym_value_definition] = STATE(17646),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(10568),
    [sym_typed_expression] = STATE(5401),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(5401),
    [sym_array_expression] = STATE(5401),
    [sym_record_expression] = STATE(5401),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(5401),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(5401),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(5205),
    [sym_array_get_expression] = STATE(5205),
    [sym_string_get_expression] = STATE(5205),
    [sym_bigarray_get_expression] = STATE(5205),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(5401),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(5401),
    [sym_package_expression] = STATE(5401),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(5401),
    [sym_object_copy_expression] = STATE(5401),
    [sym_method_invocation] = STATE(5401),
    [sym_object_expression] = STATE(5401),
    [sym_parenthesized_expression] = STATE(5401),
    [sym_attribute] = STATE(2218),
    [sym_extension] = STATE(5401),
    [sym_quoted_extension] = STATE(5401),
    [sym__constant] = STATE(5401),
    [sym_number] = STATE(5380),
    [sym_character] = STATE(5380),
    [sym_string] = STATE(5380),
    [sym_quoted_string] = STATE(5380),
    [sym_boolean] = STATE(5380),
    [sym_unit] = STATE(5380),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5400),
    [sym_value_path] = STATE(5401),
    [sym_module_path] = STATE(18005),
    [sym_constructor_path] = STATE(5401),
    [sym__instance_variable_name] = STATE(17611),
    [sym__constructor_name] = STATE(5359),
    [sym_tag] = STATE(5401),
    [sym__identifier] = ACTIONS(1115),
    [anon_sym_let] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_fun] = ACTIONS(1129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(1135),
    [anon_sym_function] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1161),
    [sym__capitalized_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2219] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12230),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6205),
    [sym_array_get_expression] = STATE(6205),
    [sym_string_get_expression] = STATE(6205),
    [sym_bigarray_get_expression] = STATE(6205),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(2219),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(17945),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2599),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2220] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(10682),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2220),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2221] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12381),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6205),
    [sym_array_get_expression] = STATE(6205),
    [sym_string_get_expression] = STATE(6205),
    [sym_bigarray_get_expression] = STATE(6205),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(2221),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(17945),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2599),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2222] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(10683),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2222),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2223] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12384),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6205),
    [sym_array_get_expression] = STATE(6205),
    [sym_string_get_expression] = STATE(6205),
    [sym_bigarray_get_expression] = STATE(6205),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(2223),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(17945),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2599),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2224] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12386),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6205),
    [sym_array_get_expression] = STATE(6205),
    [sym_string_get_expression] = STATE(6205),
    [sym_bigarray_get_expression] = STATE(6205),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(2224),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(17945),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2599),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2225] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12389),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6205),
    [sym_array_get_expression] = STATE(6205),
    [sym_string_get_expression] = STATE(6205),
    [sym_bigarray_get_expression] = STATE(6205),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(2225),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(17945),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2599),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2226] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12393),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6205),
    [sym_array_get_expression] = STATE(6205),
    [sym_string_get_expression] = STATE(6205),
    [sym_bigarray_get_expression] = STATE(6205),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(2226),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(17945),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2599),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2227] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12396),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6205),
    [sym_array_get_expression] = STATE(6205),
    [sym_string_get_expression] = STATE(6205),
    [sym_bigarray_get_expression] = STATE(6205),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(2227),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(17945),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2599),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2228] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12397),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6205),
    [sym_array_get_expression] = STATE(6205),
    [sym_string_get_expression] = STATE(6205),
    [sym_bigarray_get_expression] = STATE(6205),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(2228),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(17945),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2599),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2229] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12400),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6205),
    [sym_array_get_expression] = STATE(6205),
    [sym_string_get_expression] = STATE(6205),
    [sym_bigarray_get_expression] = STATE(6205),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(2229),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(17945),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2599),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2230] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12402),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6205),
    [sym_array_get_expression] = STATE(6205),
    [sym_string_get_expression] = STATE(6205),
    [sym_bigarray_get_expression] = STATE(6205),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(2230),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(17945),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2599),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2231] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12405),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6205),
    [sym_array_get_expression] = STATE(6205),
    [sym_string_get_expression] = STATE(6205),
    [sym_bigarray_get_expression] = STATE(6205),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(2231),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(17945),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2599),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2232] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12408),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6205),
    [sym_array_get_expression] = STATE(6205),
    [sym_string_get_expression] = STATE(6205),
    [sym_bigarray_get_expression] = STATE(6205),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(2232),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(17945),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2599),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2233] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(10684),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2233),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2234] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(10686),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2234),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2235] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(10688),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2235),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2236] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(10689),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2236),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2237] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(10691),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2237),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2238] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12310),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6205),
    [sym_array_get_expression] = STATE(6205),
    [sym_string_get_expression] = STATE(6205),
    [sym_bigarray_get_expression] = STATE(6205),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(2238),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(17945),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2599),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2239] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(10692),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2239),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2240] = {
    [sym_value_definition] = STATE(18141),
    [sym__simple_expression] = STATE(761),
    [sym__expression] = STATE(8390),
    [sym_typed_expression] = STATE(3546),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3546),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3546),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3342),
    [sym_array_get_expression] = STATE(3342),
    [sym_string_get_expression] = STATE(3342),
    [sym_bigarray_get_expression] = STATE(3342),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3546),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(2240),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym_sign_operator] = STATE(2240),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__instance_variable_name] = STATE(18119),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [sym__identifier] = ACTIONS(753),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3113),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(799),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2241] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(10693),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2241),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2242] = {
    [sym_value_definition] = STATE(18141),
    [sym__simple_expression] = STATE(761),
    [sym__expression] = STATE(8414),
    [sym_typed_expression] = STATE(3546),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3546),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3546),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3342),
    [sym_array_get_expression] = STATE(3342),
    [sym_string_get_expression] = STATE(3342),
    [sym_bigarray_get_expression] = STATE(3342),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3546),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(2242),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym_sign_operator] = STATE(2240),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__instance_variable_name] = STATE(18119),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [sym__identifier] = ACTIONS(753),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3113),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(799),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2243] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(10696),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2243),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2244] = {
    [sym_value_definition] = STATE(18141),
    [sym__simple_expression] = STATE(761),
    [sym__expression] = STATE(8415),
    [sym_typed_expression] = STATE(3546),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3546),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3546),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3342),
    [sym_array_get_expression] = STATE(3342),
    [sym_string_get_expression] = STATE(3342),
    [sym_bigarray_get_expression] = STATE(3342),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3546),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(2244),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym_sign_operator] = STATE(2240),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__instance_variable_name] = STATE(18119),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [sym__identifier] = ACTIONS(753),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3113),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(799),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2245] = {
    [sym_value_definition] = STATE(18141),
    [sym__simple_expression] = STATE(761),
    [sym__expression] = STATE(8385),
    [sym_typed_expression] = STATE(3546),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3546),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3546),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3342),
    [sym_array_get_expression] = STATE(3342),
    [sym_string_get_expression] = STATE(3342),
    [sym_bigarray_get_expression] = STATE(3342),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3546),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(2245),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym_sign_operator] = STATE(2240),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__instance_variable_name] = STATE(18119),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [sym__identifier] = ACTIONS(753),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3113),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(799),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2246] = {
    [sym_value_definition] = STATE(18141),
    [sym__simple_expression] = STATE(761),
    [sym__expression] = STATE(8418),
    [sym_typed_expression] = STATE(3546),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3546),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3546),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3342),
    [sym_array_get_expression] = STATE(3342),
    [sym_string_get_expression] = STATE(3342),
    [sym_bigarray_get_expression] = STATE(3342),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3546),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(2246),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym_sign_operator] = STATE(2240),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__instance_variable_name] = STATE(18119),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [sym__identifier] = ACTIONS(753),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3113),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(799),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2247] = {
    [sym_value_definition] = STATE(18141),
    [sym__simple_expression] = STATE(761),
    [sym__expression] = STATE(8383),
    [sym_typed_expression] = STATE(3546),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3546),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3546),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3342),
    [sym_array_get_expression] = STATE(3342),
    [sym_string_get_expression] = STATE(3342),
    [sym_bigarray_get_expression] = STATE(3342),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3546),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(2247),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym_sign_operator] = STATE(2240),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__instance_variable_name] = STATE(18119),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [sym__identifier] = ACTIONS(753),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3113),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(799),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2248] = {
    [sym_value_definition] = STATE(18141),
    [sym__simple_expression] = STATE(761),
    [sym__expression] = STATE(8408),
    [sym_typed_expression] = STATE(3546),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3546),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3546),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3342),
    [sym_array_get_expression] = STATE(3342),
    [sym_string_get_expression] = STATE(3342),
    [sym_bigarray_get_expression] = STATE(3342),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3546),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(2248),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym_sign_operator] = STATE(2240),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__instance_variable_name] = STATE(18119),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [sym__identifier] = ACTIONS(753),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3113),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(799),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2249] = {
    [sym_value_definition] = STATE(18141),
    [sym__simple_expression] = STATE(761),
    [sym__expression] = STATE(8399),
    [sym_typed_expression] = STATE(3546),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3546),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3546),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3342),
    [sym_array_get_expression] = STATE(3342),
    [sym_string_get_expression] = STATE(3342),
    [sym_bigarray_get_expression] = STATE(3342),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3546),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(2249),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym_sign_operator] = STATE(2240),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__instance_variable_name] = STATE(18119),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [sym__identifier] = ACTIONS(753),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3113),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(799),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2250] = {
    [sym_value_definition] = STATE(18141),
    [sym__simple_expression] = STATE(761),
    [sym__expression] = STATE(8375),
    [sym_typed_expression] = STATE(3546),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3546),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3546),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3342),
    [sym_array_get_expression] = STATE(3342),
    [sym_string_get_expression] = STATE(3342),
    [sym_bigarray_get_expression] = STATE(3342),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3546),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(2250),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym_sign_operator] = STATE(2240),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__instance_variable_name] = STATE(18119),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [sym__identifier] = ACTIONS(753),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3113),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(799),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2251] = {
    [sym_value_definition] = STATE(18141),
    [sym__simple_expression] = STATE(761),
    [sym__expression] = STATE(8364),
    [sym_typed_expression] = STATE(3546),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3546),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3546),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3342),
    [sym_array_get_expression] = STATE(3342),
    [sym_string_get_expression] = STATE(3342),
    [sym_bigarray_get_expression] = STATE(3342),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3546),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(2251),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym_sign_operator] = STATE(2240),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__instance_variable_name] = STATE(18119),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [sym__identifier] = ACTIONS(753),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3113),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(799),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2252] = {
    [sym_value_definition] = STATE(18141),
    [sym__simple_expression] = STATE(761),
    [sym__expression] = STATE(8389),
    [sym_typed_expression] = STATE(3546),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3546),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3546),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3342),
    [sym_array_get_expression] = STATE(3342),
    [sym_string_get_expression] = STATE(3342),
    [sym_bigarray_get_expression] = STATE(3342),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3546),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(2252),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym_sign_operator] = STATE(2240),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__instance_variable_name] = STATE(18119),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [sym__identifier] = ACTIONS(753),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3113),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(799),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2253] = {
    [sym_value_definition] = STATE(18141),
    [sym__simple_expression] = STATE(761),
    [sym__expression] = STATE(8403),
    [sym_typed_expression] = STATE(3546),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3546),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3546),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3342),
    [sym_array_get_expression] = STATE(3342),
    [sym_string_get_expression] = STATE(3342),
    [sym_bigarray_get_expression] = STATE(3342),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3546),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(2253),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym_sign_operator] = STATE(2240),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__instance_variable_name] = STATE(18119),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [sym__identifier] = ACTIONS(753),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3113),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(799),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2254] = {
    [sym_value_definition] = STATE(18141),
    [sym__simple_expression] = STATE(761),
    [sym__expression] = STATE(8412),
    [sym_typed_expression] = STATE(3546),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(3546),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(3546),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3342),
    [sym_array_get_expression] = STATE(3342),
    [sym_string_get_expression] = STATE(3342),
    [sym_bigarray_get_expression] = STATE(3342),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(3546),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(2254),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym_sign_operator] = STATE(2240),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__instance_variable_name] = STATE(18119),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [sym__identifier] = ACTIONS(753),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3113),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(799),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2255] = {
    [sym_value_definition] = STATE(19097),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8610),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(2255),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2256] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(10811),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2256),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2257] = {
    [sym__simple_expression] = STATE(4310),
    [sym_typed_expression] = STATE(4233),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_labeled_argument] = STATE(4647),
    [sym_prefix_expression] = STATE(4233),
    [sym_hash_expression] = STATE(4233),
    [sym_field_get_expression] = STATE(4233),
    [sym_array_get_expression] = STATE(4233),
    [sym_string_get_expression] = STATE(4233),
    [sym_bigarray_get_expression] = STATE(4233),
    [sym_coercion_expression] = STATE(4233),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(2257),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__constructor_name] = STATE(4138),
    [sym_tag] = STATE(4233),
    [aux_sym_class_application_repeat1] = STATE(2422),
    [sym__identifier] = ACTIONS(4085),
    [anon_sym_SEMI_SEMI] = ACTIONS(3081),
    [anon_sym_let] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(4087),
    [anon_sym_QMARK] = ACTIONS(4087),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(3083),
    [anon_sym_type] = ACTIONS(3083),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(4089),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_exception] = ACTIONS(3083),
    [anon_sym_module] = ACTIONS(3083),
    [anon_sym_open] = ACTIONS(3083),
    [anon_sym_include] = ACTIONS(3083),
    [anon_sym_class] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_POUND] = ACTIONS(4091),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3081),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(4093),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym_let_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(3083),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2258] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12138),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2258),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2259] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2259),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2260] = {
    [sym_value_definition] = STATE(18115),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(12097),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6098),
    [sym_array_get_expression] = STATE(6098),
    [sym_string_get_expression] = STATE(6098),
    [sym_bigarray_get_expression] = STATE(6098),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(2260),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2288),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18109),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2261] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2261),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2262] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12218),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2262),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2263] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12219),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2263),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2264] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12220),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2264),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2265] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12221),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2265),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2266] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12222),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2266),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2267] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12225),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2267),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2268] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12231),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2268),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2269] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12238),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2269),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2270] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12240),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2270),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2271] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12246),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2271),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2272] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12248),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2272),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2273] = {
    [sym_value_definition] = STATE(19184),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12260),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6562),
    [sym_array_get_expression] = STATE(6562),
    [sym_string_get_expression] = STATE(6562),
    [sym_bigarray_get_expression] = STATE(6562),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2273),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17947),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2585),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2274] = {
    [sym__simple_expression] = STATE(3198),
    [sym_typed_expression] = STATE(3189),
    [sym_list_expression] = STATE(3189),
    [sym_array_expression] = STATE(3189),
    [sym_record_expression] = STATE(3189),
    [sym_labeled_argument] = STATE(4264),
    [sym_prefix_expression] = STATE(3189),
    [sym_hash_expression] = STATE(3189),
    [sym_field_get_expression] = STATE(3189),
    [sym_array_get_expression] = STATE(3189),
    [sym_string_get_expression] = STATE(3189),
    [sym_bigarray_get_expression] = STATE(3189),
    [sym_coercion_expression] = STATE(3189),
    [sym_local_open_expression] = STATE(3189),
    [sym_package_expression] = STATE(3189),
    [sym_new_expression] = STATE(3189),
    [sym_object_copy_expression] = STATE(3189),
    [sym_method_invocation] = STATE(3189),
    [sym_object_expression] = STATE(3189),
    [sym_parenthesized_expression] = STATE(3189),
    [sym_attribute] = STATE(2274),
    [sym_extension] = STATE(3189),
    [sym_quoted_extension] = STATE(3189),
    [sym__constant] = STATE(3189),
    [sym_number] = STATE(3378),
    [sym_character] = STATE(3378),
    [sym_string] = STATE(3378),
    [sym_quoted_string] = STATE(3378),
    [sym_boolean] = STATE(3378),
    [sym_unit] = STATE(3378),
    [sym__value_name] = STATE(3248),
    [sym_parenthesized_operator] = STATE(3324),
    [sym_value_path] = STATE(3189),
    [sym_module_path] = STATE(18817),
    [sym_constructor_path] = STATE(3189),
    [sym__constructor_name] = STATE(3379),
    [sym_tag] = STATE(3189),
    [aux_sym_class_application_repeat1] = STATE(2318),
    [sym__identifier] = ACTIONS(3219),
    [anon_sym_SEMI_SEMI] = ACTIONS(3503),
    [anon_sym_let] = ACTIONS(3505),
    [anon_sym_and] = ACTIONS(3505),
    [anon_sym_TILDE] = ACTIONS(3221),
    [anon_sym_QMARK] = ACTIONS(3221),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_external] = ACTIONS(3505),
    [anon_sym_type] = ACTIONS(3505),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(3503),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_SEMI] = ACTIONS(3505),
    [anon_sym_exception] = ACTIONS(3505),
    [anon_sym_module] = ACTIONS(3505),
    [anon_sym_open] = ACTIONS(3505),
    [anon_sym_include] = ACTIONS(3505),
    [anon_sym_class] = ACTIONS(3505),
    [anon_sym_object] = ACTIONS(593),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(597),
    [anon_sym_else] = ACTIONS(3505),
    [anon_sym_new] = ACTIONS(607),
    [anon_sym_LBRACE_LT] = ACTIONS(609),
    [anon_sym_begin] = ACTIONS(611),
    [sym_ocamlyacc_value] = ACTIONS(613),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3505),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3503),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(617),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3503),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3503),
    [aux_sym_number_token1] = ACTIONS(619),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_DQUOTE] = ACTIONS(623),
    [sym_prefix_operator] = ACTIONS(625),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym_let_operator] = ACTIONS(3503),
    [sym_let_and_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(629),
    [aux_sym_directive_token1] = ACTIONS(3503),
    [aux_sym_tag_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2275] = {
    [sym_value_definition] = STATE(20211),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11558),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5615),
    [sym_array_get_expression] = STATE(5615),
    [sym_string_get_expression] = STATE(5615),
    [sym_bigarray_get_expression] = STATE(5615),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(2275),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2275),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(18108),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2276] = {
    [sym_value_definition] = STATE(20211),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11419),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5615),
    [sym_array_get_expression] = STATE(5615),
    [sym_string_get_expression] = STATE(5615),
    [sym_bigarray_get_expression] = STATE(5615),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(2276),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2275),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(18108),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2277] = {
    [sym_value_definition] = STATE(20211),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11420),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5615),
    [sym_array_get_expression] = STATE(5615),
    [sym_string_get_expression] = STATE(5615),
    [sym_bigarray_get_expression] = STATE(5615),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(2277),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2275),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(18108),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2278] = {
    [sym_value_definition] = STATE(20211),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11421),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5615),
    [sym_array_get_expression] = STATE(5615),
    [sym_string_get_expression] = STATE(5615),
    [sym_bigarray_get_expression] = STATE(5615),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(2278),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2275),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(18108),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2279] = {
    [sym_value_definition] = STATE(20211),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11422),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5615),
    [sym_array_get_expression] = STATE(5615),
    [sym_string_get_expression] = STATE(5615),
    [sym_bigarray_get_expression] = STATE(5615),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(2279),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2275),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(18108),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2280] = {
    [sym_value_definition] = STATE(20211),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11423),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5615),
    [sym_array_get_expression] = STATE(5615),
    [sym_string_get_expression] = STATE(5615),
    [sym_bigarray_get_expression] = STATE(5615),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(2280),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2275),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(18108),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2281] = {
    [sym_value_definition] = STATE(20211),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11424),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5615),
    [sym_array_get_expression] = STATE(5615),
    [sym_string_get_expression] = STATE(5615),
    [sym_bigarray_get_expression] = STATE(5615),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(2281),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2275),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(18108),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2282] = {
    [sym_value_definition] = STATE(20211),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11425),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5615),
    [sym_array_get_expression] = STATE(5615),
    [sym_string_get_expression] = STATE(5615),
    [sym_bigarray_get_expression] = STATE(5615),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(2282),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2275),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(18108),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2283] = {
    [sym_value_definition] = STATE(20211),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11426),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5615),
    [sym_array_get_expression] = STATE(5615),
    [sym_string_get_expression] = STATE(5615),
    [sym_bigarray_get_expression] = STATE(5615),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(2283),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2275),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(18108),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2284] = {
    [sym_value_definition] = STATE(20211),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11427),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5615),
    [sym_array_get_expression] = STATE(5615),
    [sym_string_get_expression] = STATE(5615),
    [sym_bigarray_get_expression] = STATE(5615),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(2284),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2275),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(18108),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2285] = {
    [sym_value_definition] = STATE(20211),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11428),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5615),
    [sym_array_get_expression] = STATE(5615),
    [sym_string_get_expression] = STATE(5615),
    [sym_bigarray_get_expression] = STATE(5615),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(2285),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2275),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(18108),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2286] = {
    [sym_value_definition] = STATE(20211),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11429),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5615),
    [sym_array_get_expression] = STATE(5615),
    [sym_string_get_expression] = STATE(5615),
    [sym_bigarray_get_expression] = STATE(5615),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(2286),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2275),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(18108),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2287] = {
    [sym_value_definition] = STATE(20211),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11430),
    [sym_typed_expression] = STATE(5798),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5798),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5798),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5615),
    [sym_array_get_expression] = STATE(5615),
    [sym_string_get_expression] = STATE(5615),
    [sym_bigarray_get_expression] = STATE(5615),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5798),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(2287),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym_sign_operator] = STATE(2275),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__instance_variable_name] = STATE(18108),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [sym__identifier] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_fun] = ACTIONS(1351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1383),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2288] = {
    [sym_value_definition] = STATE(18115),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(12122),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6098),
    [sym_array_get_expression] = STATE(6098),
    [sym_string_get_expression] = STATE(6098),
    [sym_bigarray_get_expression] = STATE(6098),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(2288),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2288),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18109),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2289] = {
    [sym_value_definition] = STATE(18115),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(12057),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6098),
    [sym_array_get_expression] = STATE(6098),
    [sym_string_get_expression] = STATE(6098),
    [sym_bigarray_get_expression] = STATE(6098),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(2289),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2288),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18109),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2290] = {
    [sym_value_definition] = STATE(18115),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(12058),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6098),
    [sym_array_get_expression] = STATE(6098),
    [sym_string_get_expression] = STATE(6098),
    [sym_bigarray_get_expression] = STATE(6098),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(2290),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2288),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18109),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2291] = {
    [sym_value_definition] = STATE(18115),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(12059),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6098),
    [sym_array_get_expression] = STATE(6098),
    [sym_string_get_expression] = STATE(6098),
    [sym_bigarray_get_expression] = STATE(6098),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(2291),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2288),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18109),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2292] = {
    [sym_value_definition] = STATE(18115),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(12060),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6098),
    [sym_array_get_expression] = STATE(6098),
    [sym_string_get_expression] = STATE(6098),
    [sym_bigarray_get_expression] = STATE(6098),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(2292),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2288),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18109),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2293] = {
    [sym_value_definition] = STATE(18115),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(12061),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6098),
    [sym_array_get_expression] = STATE(6098),
    [sym_string_get_expression] = STATE(6098),
    [sym_bigarray_get_expression] = STATE(6098),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(2293),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2288),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18109),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2294] = {
    [sym_value_definition] = STATE(18115),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(12062),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6098),
    [sym_array_get_expression] = STATE(6098),
    [sym_string_get_expression] = STATE(6098),
    [sym_bigarray_get_expression] = STATE(6098),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(2294),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2288),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18109),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2295] = {
    [sym_value_definition] = STATE(18115),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(12064),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6098),
    [sym_array_get_expression] = STATE(6098),
    [sym_string_get_expression] = STATE(6098),
    [sym_bigarray_get_expression] = STATE(6098),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(2295),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2288),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18109),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2296] = {
    [sym_value_definition] = STATE(18115),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(12067),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6098),
    [sym_array_get_expression] = STATE(6098),
    [sym_string_get_expression] = STATE(6098),
    [sym_bigarray_get_expression] = STATE(6098),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(2296),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2288),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18109),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2297] = {
    [sym_value_definition] = STATE(18115),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(12069),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6098),
    [sym_array_get_expression] = STATE(6098),
    [sym_string_get_expression] = STATE(6098),
    [sym_bigarray_get_expression] = STATE(6098),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(2297),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2288),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18109),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2298] = {
    [sym_value_definition] = STATE(18115),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(12070),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6098),
    [sym_array_get_expression] = STATE(6098),
    [sym_string_get_expression] = STATE(6098),
    [sym_bigarray_get_expression] = STATE(6098),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(2298),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2288),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18109),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2299] = {
    [sym_value_definition] = STATE(18115),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(12076),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6098),
    [sym_array_get_expression] = STATE(6098),
    [sym_string_get_expression] = STATE(6098),
    [sym_bigarray_get_expression] = STATE(6098),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(2299),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2288),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18109),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2300] = {
    [sym_value_definition] = STATE(18115),
    [sym__simple_expression] = STATE(2425),
    [sym__expression] = STATE(12087),
    [sym_typed_expression] = STATE(4992),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(4992),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(4992),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6098),
    [sym_array_get_expression] = STATE(6098),
    [sym_string_get_expression] = STATE(6098),
    [sym_bigarray_get_expression] = STATE(6098),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(4992),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(2300),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym_sign_operator] = STATE(2288),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__instance_variable_name] = STATE(18109),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [sym__identifier] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2569),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2301] = {
    [sym_value_definition] = STATE(18501),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(10964),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5497),
    [sym_array_get_expression] = STATE(5497),
    [sym_string_get_expression] = STATE(5497),
    [sym_bigarray_get_expression] = STATE(5497),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(2301),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(18138),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2302] = {
    [sym_value_definition] = STATE(18501),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11025),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5497),
    [sym_array_get_expression] = STATE(5497),
    [sym_string_get_expression] = STATE(5497),
    [sym_bigarray_get_expression] = STATE(5497),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(2302),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(18138),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2303] = {
    [sym_value_definition] = STATE(18501),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11036),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5497),
    [sym_array_get_expression] = STATE(5497),
    [sym_string_get_expression] = STATE(5497),
    [sym_bigarray_get_expression] = STATE(5497),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(2303),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(18138),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2304] = {
    [sym_value_definition] = STATE(18501),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11041),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5497),
    [sym_array_get_expression] = STATE(5497),
    [sym_string_get_expression] = STATE(5497),
    [sym_bigarray_get_expression] = STATE(5497),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(2304),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(18138),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2305] = {
    [sym_value_definition] = STATE(18501),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11046),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5497),
    [sym_array_get_expression] = STATE(5497),
    [sym_string_get_expression] = STATE(5497),
    [sym_bigarray_get_expression] = STATE(5497),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(2305),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(18138),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2306] = {
    [sym_value_definition] = STATE(18501),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11049),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5497),
    [sym_array_get_expression] = STATE(5497),
    [sym_string_get_expression] = STATE(5497),
    [sym_bigarray_get_expression] = STATE(5497),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(2306),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(18138),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2307] = {
    [sym_value_definition] = STATE(18501),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11050),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5497),
    [sym_array_get_expression] = STATE(5497),
    [sym_string_get_expression] = STATE(5497),
    [sym_bigarray_get_expression] = STATE(5497),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(2307),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(18138),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2308] = {
    [sym_value_definition] = STATE(18501),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11051),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5497),
    [sym_array_get_expression] = STATE(5497),
    [sym_string_get_expression] = STATE(5497),
    [sym_bigarray_get_expression] = STATE(5497),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(2308),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(18138),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2309] = {
    [sym_value_definition] = STATE(18501),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11052),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5497),
    [sym_array_get_expression] = STATE(5497),
    [sym_string_get_expression] = STATE(5497),
    [sym_bigarray_get_expression] = STATE(5497),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(2309),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(18138),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2310] = {
    [sym_value_definition] = STATE(18501),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11053),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5497),
    [sym_array_get_expression] = STATE(5497),
    [sym_string_get_expression] = STATE(5497),
    [sym_bigarray_get_expression] = STATE(5497),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(2310),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(18138),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2311] = {
    [sym_value_definition] = STATE(18501),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11055),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5497),
    [sym_array_get_expression] = STATE(5497),
    [sym_string_get_expression] = STATE(5497),
    [sym_bigarray_get_expression] = STATE(5497),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(2311),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(18138),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2312] = {
    [sym_value_definition] = STATE(18501),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11056),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5497),
    [sym_array_get_expression] = STATE(5497),
    [sym_string_get_expression] = STATE(5497),
    [sym_bigarray_get_expression] = STATE(5497),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(2312),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(18138),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2313] = {
    [sym_value_definition] = STATE(18501),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11060),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5497),
    [sym_array_get_expression] = STATE(5497),
    [sym_string_get_expression] = STATE(5497),
    [sym_bigarray_get_expression] = STATE(5497),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(2313),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(18138),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2314] = {
    [sym_value_definition] = STATE(18501),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(10955),
    [sym_typed_expression] = STATE(5626),
    [sym_product_expression] = STATE(10542),
    [sym_cons_expression] = STATE(10542),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_application_expression] = STATE(10542),
    [sym_prefix_expression] = STATE(5626),
    [sym_sign_expression] = STATE(10542),
    [sym_hash_expression] = STATE(5626),
    [sym_infix_expression] = STATE(10542),
    [sym_field_get_expression] = STATE(5497),
    [sym_array_get_expression] = STATE(5497),
    [sym_string_get_expression] = STATE(5497),
    [sym_bigarray_get_expression] = STATE(5497),
    [sym_set_expression] = STATE(10542),
    [sym_if_expression] = STATE(10542),
    [sym_while_expression] = STATE(10542),
    [sym_for_expression] = STATE(10542),
    [sym_match_expression] = STATE(10542),
    [sym_function_expression] = STATE(10542),
    [sym_fun_expression] = STATE(10542),
    [sym_try_expression] = STATE(10542),
    [sym_let_expression] = STATE(10542),
    [sym_coercion_expression] = STATE(5626),
    [sym_assert_expression] = STATE(10542),
    [sym_lazy_expression] = STATE(10542),
    [sym_let_module_expression] = STATE(10542),
    [sym_let_open_expression] = STATE(10542),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_let_exception_expression] = STATE(10542),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(2314),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__instance_variable_name] = STATE(18138),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [sym__identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1329),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2315] = {
    [sym__simple_expression] = STATE(3254),
    [sym_typed_expression] = STATE(3246),
    [sym_list_expression] = STATE(3246),
    [sym_array_expression] = STATE(3246),
    [sym_record_expression] = STATE(3246),
    [sym_labeled_argument] = STATE(4069),
    [sym_prefix_expression] = STATE(3246),
    [sym_hash_expression] = STATE(3246),
    [sym_field_get_expression] = STATE(3246),
    [sym_array_get_expression] = STATE(3246),
    [sym_string_get_expression] = STATE(3246),
    [sym_bigarray_get_expression] = STATE(3246),
    [sym_coercion_expression] = STATE(3246),
    [sym_local_open_expression] = STATE(3246),
    [sym_package_expression] = STATE(3246),
    [sym_new_expression] = STATE(3246),
    [sym_object_copy_expression] = STATE(3246),
    [sym_method_invocation] = STATE(3246),
    [sym_object_expression] = STATE(3246),
    [sym_parenthesized_expression] = STATE(3246),
    [sym_attribute] = STATE(2315),
    [sym_extension] = STATE(3246),
    [sym_quoted_extension] = STATE(3246),
    [sym__constant] = STATE(3246),
    [sym_number] = STATE(3390),
    [sym_character] = STATE(3390),
    [sym_string] = STATE(3390),
    [sym_quoted_string] = STATE(3390),
    [sym_boolean] = STATE(3390),
    [sym_unit] = STATE(3390),
    [sym__value_name] = STATE(3293),
    [sym_parenthesized_operator] = STATE(3329),
    [sym_value_path] = STATE(3246),
    [sym_module_path] = STATE(18854),
    [sym_constructor_path] = STATE(3246),
    [sym__constructor_name] = STATE(3391),
    [sym_tag] = STATE(3246),
    [aux_sym_class_application_repeat1] = STATE(2319),
    [sym__identifier] = ACTIONS(3145),
    [anon_sym_SEMI_SEMI] = ACTIONS(3503),
    [anon_sym_let] = ACTIONS(3505),
    [anon_sym_and] = ACTIONS(3505),
    [anon_sym_TILDE] = ACTIONS(3147),
    [anon_sym_QMARK] = ACTIONS(3147),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_external] = ACTIONS(3505),
    [anon_sym_type] = ACTIONS(3505),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_true] = ACTIONS(641),
    [anon_sym_false] = ACTIONS(641),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_SEMI] = ACTIONS(3505),
    [anon_sym_exception] = ACTIONS(3505),
    [anon_sym_module] = ACTIONS(3505),
    [anon_sym_open] = ACTIONS(3505),
    [anon_sym_include] = ACTIONS(3505),
    [anon_sym_class] = ACTIONS(3505),
    [anon_sym_end] = ACTIONS(3505),
    [anon_sym_object] = ACTIONS(645),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(649),
    [anon_sym_else] = ACTIONS(3505),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_LBRACE_LT] = ACTIONS(661),
    [anon_sym_begin] = ACTIONS(663),
    [sym_ocamlyacc_value] = ACTIONS(665),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3505),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3503),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(667),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(669),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3503),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3503),
    [aux_sym_number_token1] = ACTIONS(671),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_prefix_operator] = ACTIONS(677),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym_let_operator] = ACTIONS(3503),
    [sym_let_and_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(681),
    [aux_sym_directive_token1] = ACTIONS(3503),
    [aux_sym_tag_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2316] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12711),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(2316),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2317] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12655),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(2317),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2318] = {
    [sym__simple_expression] = STATE(3198),
    [sym_typed_expression] = STATE(3189),
    [sym_list_expression] = STATE(3189),
    [sym_array_expression] = STATE(3189),
    [sym_record_expression] = STATE(3189),
    [sym_labeled_argument] = STATE(4264),
    [sym_prefix_expression] = STATE(3189),
    [sym_hash_expression] = STATE(3189),
    [sym_field_get_expression] = STATE(3189),
    [sym_array_get_expression] = STATE(3189),
    [sym_string_get_expression] = STATE(3189),
    [sym_bigarray_get_expression] = STATE(3189),
    [sym_coercion_expression] = STATE(3189),
    [sym_local_open_expression] = STATE(3189),
    [sym_package_expression] = STATE(3189),
    [sym_new_expression] = STATE(3189),
    [sym_object_copy_expression] = STATE(3189),
    [sym_method_invocation] = STATE(3189),
    [sym_object_expression] = STATE(3189),
    [sym_parenthesized_expression] = STATE(3189),
    [sym_attribute] = STATE(2318),
    [sym_extension] = STATE(3189),
    [sym_quoted_extension] = STATE(3189),
    [sym__constant] = STATE(3189),
    [sym_number] = STATE(3378),
    [sym_character] = STATE(3378),
    [sym_string] = STATE(3378),
    [sym_quoted_string] = STATE(3378),
    [sym_boolean] = STATE(3378),
    [sym_unit] = STATE(3378),
    [sym__value_name] = STATE(3248),
    [sym_parenthesized_operator] = STATE(3324),
    [sym_value_path] = STATE(3189),
    [sym_module_path] = STATE(18817),
    [sym_constructor_path] = STATE(3189),
    [sym__constructor_name] = STATE(3379),
    [sym_tag] = STATE(3189),
    [aux_sym_class_application_repeat1] = STATE(2318),
    [sym__identifier] = ACTIONS(4095),
    [anon_sym_SEMI_SEMI] = ACTIONS(3570),
    [anon_sym_let] = ACTIONS(3572),
    [anon_sym_and] = ACTIONS(3572),
    [anon_sym_TILDE] = ACTIONS(4098),
    [anon_sym_QMARK] = ACTIONS(4098),
    [anon_sym_LPAREN] = ACTIONS(4101),
    [anon_sym_external] = ACTIONS(3572),
    [anon_sym_type] = ACTIONS(3572),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(4104),
    [anon_sym_RBRACK] = ACTIONS(3570),
    [anon_sym_true] = ACTIONS(4107),
    [anon_sym_false] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4110),
    [anon_sym_SEMI] = ACTIONS(3572),
    [anon_sym_exception] = ACTIONS(3572),
    [anon_sym_module] = ACTIONS(3572),
    [anon_sym_open] = ACTIONS(3572),
    [anon_sym_include] = ACTIONS(3572),
    [anon_sym_class] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(4113),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4116),
    [anon_sym_else] = ACTIONS(3572),
    [anon_sym_new] = ACTIONS(4119),
    [anon_sym_LBRACE_LT] = ACTIONS(4122),
    [anon_sym_begin] = ACTIONS(4125),
    [sym_ocamlyacc_value] = ACTIONS(4128),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3572),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3570),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4131),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4134),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3570),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3570),
    [aux_sym_number_token1] = ACTIONS(4137),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(4140),
    [anon_sym_DQUOTE] = ACTIONS(4143),
    [sym_prefix_operator] = ACTIONS(4146),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym_let_operator] = ACTIONS(3570),
    [sym_let_and_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(4149),
    [aux_sym_directive_token1] = ACTIONS(3570),
    [aux_sym_tag_token1] = ACTIONS(4152),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2319] = {
    [sym__simple_expression] = STATE(3254),
    [sym_typed_expression] = STATE(3246),
    [sym_list_expression] = STATE(3246),
    [sym_array_expression] = STATE(3246),
    [sym_record_expression] = STATE(3246),
    [sym_labeled_argument] = STATE(4069),
    [sym_prefix_expression] = STATE(3246),
    [sym_hash_expression] = STATE(3246),
    [sym_field_get_expression] = STATE(3246),
    [sym_array_get_expression] = STATE(3246),
    [sym_string_get_expression] = STATE(3246),
    [sym_bigarray_get_expression] = STATE(3246),
    [sym_coercion_expression] = STATE(3246),
    [sym_local_open_expression] = STATE(3246),
    [sym_package_expression] = STATE(3246),
    [sym_new_expression] = STATE(3246),
    [sym_object_copy_expression] = STATE(3246),
    [sym_method_invocation] = STATE(3246),
    [sym_object_expression] = STATE(3246),
    [sym_parenthesized_expression] = STATE(3246),
    [sym_attribute] = STATE(2319),
    [sym_extension] = STATE(3246),
    [sym_quoted_extension] = STATE(3246),
    [sym__constant] = STATE(3246),
    [sym_number] = STATE(3390),
    [sym_character] = STATE(3390),
    [sym_string] = STATE(3390),
    [sym_quoted_string] = STATE(3390),
    [sym_boolean] = STATE(3390),
    [sym_unit] = STATE(3390),
    [sym__value_name] = STATE(3293),
    [sym_parenthesized_operator] = STATE(3329),
    [sym_value_path] = STATE(3246),
    [sym_module_path] = STATE(18854),
    [sym_constructor_path] = STATE(3246),
    [sym__constructor_name] = STATE(3391),
    [sym_tag] = STATE(3246),
    [aux_sym_class_application_repeat1] = STATE(2319),
    [sym__identifier] = ACTIONS(4155),
    [anon_sym_SEMI_SEMI] = ACTIONS(3570),
    [anon_sym_let] = ACTIONS(3572),
    [anon_sym_and] = ACTIONS(3572),
    [anon_sym_TILDE] = ACTIONS(4158),
    [anon_sym_QMARK] = ACTIONS(4158),
    [anon_sym_LPAREN] = ACTIONS(4161),
    [anon_sym_external] = ACTIONS(3572),
    [anon_sym_type] = ACTIONS(3572),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(4164),
    [anon_sym_true] = ACTIONS(4167),
    [anon_sym_false] = ACTIONS(4167),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_SEMI] = ACTIONS(3572),
    [anon_sym_exception] = ACTIONS(3572),
    [anon_sym_module] = ACTIONS(3572),
    [anon_sym_open] = ACTIONS(3572),
    [anon_sym_include] = ACTIONS(3572),
    [anon_sym_class] = ACTIONS(3572),
    [anon_sym_end] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(4173),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4176),
    [anon_sym_else] = ACTIONS(3572),
    [anon_sym_new] = ACTIONS(4179),
    [anon_sym_LBRACE_LT] = ACTIONS(4182),
    [anon_sym_begin] = ACTIONS(4185),
    [sym_ocamlyacc_value] = ACTIONS(4188),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3572),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3570),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4191),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4194),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3570),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3570),
    [aux_sym_number_token1] = ACTIONS(4197),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(4200),
    [anon_sym_DQUOTE] = ACTIONS(4203),
    [sym_prefix_operator] = ACTIONS(4206),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym_let_operator] = ACTIONS(3570),
    [sym_let_and_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(4209),
    [aux_sym_directive_token1] = ACTIONS(3570),
    [aux_sym_tag_token1] = ACTIONS(4212),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2320] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12658),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(2320),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2321] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12659),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(2321),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2322] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12661),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(2322),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2323] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12667),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(2323),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2324] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12668),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(2324),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2325] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12670),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(2325),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2326] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12686),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(2326),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2327] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12693),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(2327),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2328] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12694),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(2328),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2329] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12695),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(2329),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2330] = {
    [sym_value_definition] = STATE(19097),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8634),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(2330),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2331] = {
    [sym_value_definition] = STATE(19097),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8769),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(2331),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2332] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12627),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(2332),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2333] = {
    [sym_value_definition] = STATE(18494),
    [sym__simple_expression] = STATE(1632),
    [sym__expression] = STATE(8505),
    [sym_typed_expression] = STATE(4008),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4008),
    [sym_array_expression] = STATE(4008),
    [sym_record_expression] = STATE(4008),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4008),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4008),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3584),
    [sym_array_get_expression] = STATE(3584),
    [sym_string_get_expression] = STATE(3584),
    [sym_bigarray_get_expression] = STATE(3584),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4008),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4008),
    [sym_package_expression] = STATE(4008),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4008),
    [sym_object_copy_expression] = STATE(4008),
    [sym_method_invocation] = STATE(4008),
    [sym_object_expression] = STATE(4008),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_attribute] = STATE(2333),
    [sym_extension] = STATE(4008),
    [sym_quoted_extension] = STATE(4008),
    [sym__constant] = STATE(4008),
    [sym_number] = STATE(3818),
    [sym_character] = STATE(3818),
    [sym_string] = STATE(3818),
    [sym_quoted_string] = STATE(3818),
    [sym_boolean] = STATE(3818),
    [sym_unit] = STATE(3818),
    [sym_sign_operator] = STATE(2119),
    [sym__value_name] = STATE(4039),
    [sym_parenthesized_operator] = STATE(3903),
    [sym_value_path] = STATE(4008),
    [sym_module_path] = STATE(17789),
    [sym_constructor_path] = STATE(4008),
    [sym__instance_variable_name] = STATE(17931),
    [sym__constructor_name] = STATE(3820),
    [sym_tag] = STATE(4008),
    [sym__identifier] = ACTIONS(857),
    [anon_sym_let] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_fun] = ACTIONS(871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(875),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(903),
    [sym__capitalized_identifier] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2334] = {
    [sym_value_definition] = STATE(19911),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12721),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6681),
    [sym_array_get_expression] = STATE(6681),
    [sym_string_get_expression] = STATE(6681),
    [sym_bigarray_get_expression] = STATE(6681),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(2334),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2316),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(19228),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2915),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2335] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12593),
    [sym_typed_expression] = STATE(6172),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6172),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6172),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6205),
    [sym_array_get_expression] = STATE(6205),
    [sym_string_get_expression] = STATE(6205),
    [sym_bigarray_get_expression] = STATE(6205),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6172),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(2335),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__instance_variable_name] = STATE(17945),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [sym__identifier] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2599),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2336] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12707),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(2336),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2337] = {
    [sym_value_definition] = STATE(18480),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12351),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6319),
    [sym_array_get_expression] = STATE(6319),
    [sym_string_get_expression] = STATE(6319),
    [sym_bigarray_get_expression] = STATE(6319),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(2337),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2337),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(18454),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2647),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2338] = {
    [sym_value_definition] = STATE(18480),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12433),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6319),
    [sym_array_get_expression] = STATE(6319),
    [sym_string_get_expression] = STATE(6319),
    [sym_bigarray_get_expression] = STATE(6319),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(2338),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2337),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(18454),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2647),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2339] = {
    [sym_value_definition] = STATE(18480),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12434),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6319),
    [sym_array_get_expression] = STATE(6319),
    [sym_string_get_expression] = STATE(6319),
    [sym_bigarray_get_expression] = STATE(6319),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(2339),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2337),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(18454),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2647),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2340] = {
    [sym_value_definition] = STATE(18480),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12452),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6319),
    [sym_array_get_expression] = STATE(6319),
    [sym_string_get_expression] = STATE(6319),
    [sym_bigarray_get_expression] = STATE(6319),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(2340),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2337),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(18454),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2647),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2341] = {
    [sym_value_definition] = STATE(18480),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12470),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6319),
    [sym_array_get_expression] = STATE(6319),
    [sym_string_get_expression] = STATE(6319),
    [sym_bigarray_get_expression] = STATE(6319),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(2341),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2337),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(18454),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2647),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2342] = {
    [sym_value_definition] = STATE(18480),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12479),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6319),
    [sym_array_get_expression] = STATE(6319),
    [sym_string_get_expression] = STATE(6319),
    [sym_bigarray_get_expression] = STATE(6319),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(2342),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2337),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(18454),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2647),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2343] = {
    [sym_value_definition] = STATE(18480),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12484),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6319),
    [sym_array_get_expression] = STATE(6319),
    [sym_string_get_expression] = STATE(6319),
    [sym_bigarray_get_expression] = STATE(6319),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(2343),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2337),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(18454),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2647),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2344] = {
    [sym_value_definition] = STATE(18480),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12525),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6319),
    [sym_array_get_expression] = STATE(6319),
    [sym_string_get_expression] = STATE(6319),
    [sym_bigarray_get_expression] = STATE(6319),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(2344),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2337),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(18454),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2647),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2345] = {
    [sym_value_definition] = STATE(18480),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12532),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6319),
    [sym_array_get_expression] = STATE(6319),
    [sym_string_get_expression] = STATE(6319),
    [sym_bigarray_get_expression] = STATE(6319),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(2345),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2337),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(18454),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2647),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2346] = {
    [sym_value_definition] = STATE(18480),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12576),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6319),
    [sym_array_get_expression] = STATE(6319),
    [sym_string_get_expression] = STATE(6319),
    [sym_bigarray_get_expression] = STATE(6319),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(2346),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2337),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(18454),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2647),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2347] = {
    [sym_value_definition] = STATE(18480),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12584),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6319),
    [sym_array_get_expression] = STATE(6319),
    [sym_string_get_expression] = STATE(6319),
    [sym_bigarray_get_expression] = STATE(6319),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(2347),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2337),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(18454),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2647),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2348] = {
    [sym_value_definition] = STATE(18480),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12322),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6319),
    [sym_array_get_expression] = STATE(6319),
    [sym_string_get_expression] = STATE(6319),
    [sym_bigarray_get_expression] = STATE(6319),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(2348),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2337),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(18454),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2647),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2349] = {
    [sym_value_definition] = STATE(19097),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8770),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(2349),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2350] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12710),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(2350),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2351] = {
    [sym_value_definition] = STATE(17980),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(5223),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(5223),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(5223),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(5223),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2351),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym_sign_operator] = STATE(2202),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__instance_variable_name] = STATE(17582),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2352] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12730),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(2352),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2353] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12733),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(2353),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2354] = {
    [sym_value_definition] = STATE(18480),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12445),
    [sym_typed_expression] = STATE(7209),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(7209),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(7209),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6319),
    [sym_array_get_expression] = STATE(6319),
    [sym_string_get_expression] = STATE(6319),
    [sym_bigarray_get_expression] = STATE(6319),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(7209),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(2354),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym_sign_operator] = STATE(2337),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__instance_variable_name] = STATE(18454),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [sym__identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2647),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2355] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12740),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(2355),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2356] = {
    [sym_value_definition] = STATE(19266),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12523),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6320),
    [sym_array_get_expression] = STATE(6320),
    [sym_string_get_expression] = STATE(6320),
    [sym_bigarray_get_expression] = STATE(6320),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(2356),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(19218),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2681),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2687),
    [anon_sym_function] = ACTIONS(2689),
    [anon_sym_try] = ACTIONS(2691),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2713),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2357] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12742),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(2357),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2358] = {
    [sym_value_definition] = STATE(19266),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12291),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6320),
    [sym_array_get_expression] = STATE(6320),
    [sym_string_get_expression] = STATE(6320),
    [sym_bigarray_get_expression] = STATE(6320),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(2358),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(19218),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2681),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2687),
    [anon_sym_function] = ACTIONS(2689),
    [anon_sym_try] = ACTIONS(2691),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2713),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2359] = {
    [sym_value_definition] = STATE(19266),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12391),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6320),
    [sym_array_get_expression] = STATE(6320),
    [sym_string_get_expression] = STATE(6320),
    [sym_bigarray_get_expression] = STATE(6320),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(2359),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(19218),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2681),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2687),
    [anon_sym_function] = ACTIONS(2689),
    [anon_sym_try] = ACTIONS(2691),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2713),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2360] = {
    [sym_value_definition] = STATE(19266),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12395),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6320),
    [sym_array_get_expression] = STATE(6320),
    [sym_string_get_expression] = STATE(6320),
    [sym_bigarray_get_expression] = STATE(6320),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(2360),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(19218),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2681),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2687),
    [anon_sym_function] = ACTIONS(2689),
    [anon_sym_try] = ACTIONS(2691),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2713),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2361] = {
    [sym_value_definition] = STATE(19266),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12406),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6320),
    [sym_array_get_expression] = STATE(6320),
    [sym_string_get_expression] = STATE(6320),
    [sym_bigarray_get_expression] = STATE(6320),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(2361),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(19218),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2681),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2687),
    [anon_sym_function] = ACTIONS(2689),
    [anon_sym_try] = ACTIONS(2691),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2713),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2362] = {
    [sym_value_definition] = STATE(19266),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12503),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6320),
    [sym_array_get_expression] = STATE(6320),
    [sym_string_get_expression] = STATE(6320),
    [sym_bigarray_get_expression] = STATE(6320),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(2362),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(19218),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2681),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2687),
    [anon_sym_function] = ACTIONS(2689),
    [anon_sym_try] = ACTIONS(2691),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2713),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2363] = {
    [sym_value_definition] = STATE(19266),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12528),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6320),
    [sym_array_get_expression] = STATE(6320),
    [sym_string_get_expression] = STATE(6320),
    [sym_bigarray_get_expression] = STATE(6320),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(2363),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(19218),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2681),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2687),
    [anon_sym_function] = ACTIONS(2689),
    [anon_sym_try] = ACTIONS(2691),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2713),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2364] = {
    [sym_value_definition] = STATE(19266),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12566),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6320),
    [sym_array_get_expression] = STATE(6320),
    [sym_string_get_expression] = STATE(6320),
    [sym_bigarray_get_expression] = STATE(6320),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(2364),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(19218),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2681),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2687),
    [anon_sym_function] = ACTIONS(2689),
    [anon_sym_try] = ACTIONS(2691),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2713),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2365] = {
    [sym_value_definition] = STATE(19266),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12592),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6320),
    [sym_array_get_expression] = STATE(6320),
    [sym_string_get_expression] = STATE(6320),
    [sym_bigarray_get_expression] = STATE(6320),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(2365),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(19218),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2681),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2687),
    [anon_sym_function] = ACTIONS(2689),
    [anon_sym_try] = ACTIONS(2691),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2713),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2366] = {
    [sym_value_definition] = STATE(19266),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12380),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6320),
    [sym_array_get_expression] = STATE(6320),
    [sym_string_get_expression] = STATE(6320),
    [sym_bigarray_get_expression] = STATE(6320),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(2366),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(19218),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2681),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2687),
    [anon_sym_function] = ACTIONS(2689),
    [anon_sym_try] = ACTIONS(2691),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2713),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2367] = {
    [sym_value_definition] = STATE(19266),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12390),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6320),
    [sym_array_get_expression] = STATE(6320),
    [sym_string_get_expression] = STATE(6320),
    [sym_bigarray_get_expression] = STATE(6320),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(2367),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(19218),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2681),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2687),
    [anon_sym_function] = ACTIONS(2689),
    [anon_sym_try] = ACTIONS(2691),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2713),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2368] = {
    [sym_value_definition] = STATE(19266),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12517),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6320),
    [sym_array_get_expression] = STATE(6320),
    [sym_string_get_expression] = STATE(6320),
    [sym_bigarray_get_expression] = STATE(6320),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(2368),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(19218),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2681),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2687),
    [anon_sym_function] = ACTIONS(2689),
    [anon_sym_try] = ACTIONS(2691),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2713),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2369] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12746),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(2369),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2370] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12785),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(2370),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2371] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12786),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(2371),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2372] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12787),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(2372),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2373] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12788),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(2373),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2374] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12800),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(2374),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2375] = {
    [sym_value_definition] = STATE(19266),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12217),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6320),
    [sym_array_get_expression] = STATE(6320),
    [sym_string_get_expression] = STATE(6320),
    [sym_bigarray_get_expression] = STATE(6320),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(2375),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(19218),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2681),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2687),
    [anon_sym_function] = ACTIONS(2689),
    [anon_sym_try] = ACTIONS(2691),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2713),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2376] = {
    [sym_value_definition] = STATE(19097),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8771),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(2376),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2377] = {
    [sym_value_definition] = STATE(20395),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12250),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(2377),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(20362),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2378] = {
    [sym_value_definition] = STATE(19097),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8773),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(2378),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2379] = {
    [sym_value_definition] = STATE(20395),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12570),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(2379),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(20362),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2380] = {
    [sym_value_definition] = STATE(20395),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12588),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(2380),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(20362),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2381] = {
    [sym_value_definition] = STATE(20395),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12591),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(2381),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(20362),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2382] = {
    [sym_value_definition] = STATE(20395),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12417),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(2382),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(20362),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2383] = {
    [sym_value_definition] = STATE(20395),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12198),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(2383),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(20362),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2384] = {
    [sym_value_definition] = STATE(20395),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12271),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(2384),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(20362),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2385] = {
    [sym_value_definition] = STATE(20395),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12295),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(2385),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(20362),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2386] = {
    [sym_value_definition] = STATE(20395),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12318),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(2386),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(20362),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2387] = {
    [sym_value_definition] = STATE(20395),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12324),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(2387),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(20362),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2388] = {
    [sym_value_definition] = STATE(20395),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12383),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(2388),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(20362),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2389] = {
    [sym_value_definition] = STATE(20395),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12388),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(2389),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(20362),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2390] = {
    [sym_value_definition] = STATE(19097),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8775),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(2390),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2391] = {
    [sym_value_definition] = STATE(19097),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8776),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(2391),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2392] = {
    [sym_value_definition] = STATE(19097),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8784),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(2392),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2393] = {
    [sym_value_definition] = STATE(20395),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12404),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(2393),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(20362),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2394] = {
    [sym_value_definition] = STATE(19779),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12608),
    [sym_typed_expression] = STATE(6984),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6984),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6984),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(7234),
    [sym_array_get_expression] = STATE(7234),
    [sym_string_get_expression] = STATE(7234),
    [sym_bigarray_get_expression] = STATE(7234),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6984),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(2394),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym_sign_operator] = STATE(2336),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__instance_variable_name] = STATE(18832),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [sym__identifier] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2943),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2395] = {
    [sym_value_definition] = STATE(19097),
    [sym__simple_expression] = STATE(2257),
    [sym__expression] = STATE(8786),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8193),
    [sym_cons_expression] = STATE(8193),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8193),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8193),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8193),
    [sym_field_get_expression] = STATE(3852),
    [sym_array_get_expression] = STATE(3852),
    [sym_string_get_expression] = STATE(3852),
    [sym_bigarray_get_expression] = STATE(3852),
    [sym_set_expression] = STATE(8193),
    [sym_if_expression] = STATE(8193),
    [sym_while_expression] = STATE(8193),
    [sym_for_expression] = STATE(8193),
    [sym_match_expression] = STATE(8193),
    [sym_function_expression] = STATE(8193),
    [sym_fun_expression] = STATE(8193),
    [sym_try_expression] = STATE(8193),
    [sym_let_expression] = STATE(8193),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8193),
    [sym_lazy_expression] = STATE(8193),
    [sym_let_module_expression] = STATE(8193),
    [sym_let_open_expression] = STATE(8193),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8193),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(2395),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(19510),
    [sym__constructor_name] = STATE(4138),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3065),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(115),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2396] = {
    [sym_value_definition] = STATE(17916),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12204),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6322),
    [sym_array_get_expression] = STATE(6322),
    [sym_string_get_expression] = STATE(6322),
    [sym_bigarray_get_expression] = STATE(6322),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(2396),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(17899),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2853),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2865),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2871),
    [anon_sym_function] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2397] = {
    [sym_value_definition] = STATE(17916),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12190),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6322),
    [sym_array_get_expression] = STATE(6322),
    [sym_string_get_expression] = STATE(6322),
    [sym_bigarray_get_expression] = STATE(6322),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(2397),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(17899),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2853),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2865),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2871),
    [anon_sym_function] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2398] = {
    [sym_value_definition] = STATE(17916),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12328),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6322),
    [sym_array_get_expression] = STATE(6322),
    [sym_string_get_expression] = STATE(6322),
    [sym_bigarray_get_expression] = STATE(6322),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(2398),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(17899),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2853),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2865),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2871),
    [anon_sym_function] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2399] = {
    [sym_value_definition] = STATE(17916),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12333),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6322),
    [sym_array_get_expression] = STATE(6322),
    [sym_string_get_expression] = STATE(6322),
    [sym_bigarray_get_expression] = STATE(6322),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(2399),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(17899),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2853),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2865),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2871),
    [anon_sym_function] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2400] = {
    [sym_value_definition] = STATE(17916),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12334),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6322),
    [sym_array_get_expression] = STATE(6322),
    [sym_string_get_expression] = STATE(6322),
    [sym_bigarray_get_expression] = STATE(6322),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(2400),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(17899),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2853),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2865),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2871),
    [anon_sym_function] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2401] = {
    [sym_value_definition] = STATE(17916),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12347),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6322),
    [sym_array_get_expression] = STATE(6322),
    [sym_string_get_expression] = STATE(6322),
    [sym_bigarray_get_expression] = STATE(6322),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(2401),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(17899),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2853),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2865),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2871),
    [anon_sym_function] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2402] = {
    [sym_value_definition] = STATE(17916),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12245),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6322),
    [sym_array_get_expression] = STATE(6322),
    [sym_string_get_expression] = STATE(6322),
    [sym_bigarray_get_expression] = STATE(6322),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(2402),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(17899),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2853),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2865),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2871),
    [anon_sym_function] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2403] = {
    [sym_value_definition] = STATE(17916),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12348),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6322),
    [sym_array_get_expression] = STATE(6322),
    [sym_string_get_expression] = STATE(6322),
    [sym_bigarray_get_expression] = STATE(6322),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(2403),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(17899),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2853),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2865),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2871),
    [anon_sym_function] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2404] = {
    [sym_value_definition] = STATE(17916),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12542),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6322),
    [sym_array_get_expression] = STATE(6322),
    [sym_string_get_expression] = STATE(6322),
    [sym_bigarray_get_expression] = STATE(6322),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(2404),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(17899),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2853),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2865),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2871),
    [anon_sym_function] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2405] = {
    [sym_value_definition] = STATE(17916),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12551),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6322),
    [sym_array_get_expression] = STATE(6322),
    [sym_string_get_expression] = STATE(6322),
    [sym_bigarray_get_expression] = STATE(6322),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(2405),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(17899),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2853),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2865),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2871),
    [anon_sym_function] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2406] = {
    [sym_value_definition] = STATE(17916),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12580),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6322),
    [sym_array_get_expression] = STATE(6322),
    [sym_string_get_expression] = STATE(6322),
    [sym_bigarray_get_expression] = STATE(6322),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(2406),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(17899),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2853),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2865),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2871),
    [anon_sym_function] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2407] = {
    [sym_value_definition] = STATE(17916),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12223),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6322),
    [sym_array_get_expression] = STATE(6322),
    [sym_string_get_expression] = STATE(6322),
    [sym_bigarray_get_expression] = STATE(6322),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(2407),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(17899),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2853),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2865),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2871),
    [anon_sym_function] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2408] = {
    [sym_value_definition] = STATE(19700),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(12665),
    [sym_typed_expression] = STATE(6987),
    [sym_product_expression] = STATE(7836),
    [sym_cons_expression] = STATE(7836),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_application_expression] = STATE(7836),
    [sym_prefix_expression] = STATE(6987),
    [sym_sign_expression] = STATE(7836),
    [sym_hash_expression] = STATE(6987),
    [sym_infix_expression] = STATE(7836),
    [sym_field_get_expression] = STATE(6999),
    [sym_array_get_expression] = STATE(6999),
    [sym_string_get_expression] = STATE(6999),
    [sym_bigarray_get_expression] = STATE(6999),
    [sym_set_expression] = STATE(7836),
    [sym_if_expression] = STATE(7836),
    [sym_while_expression] = STATE(7836),
    [sym_for_expression] = STATE(7836),
    [sym_match_expression] = STATE(7836),
    [sym_function_expression] = STATE(7836),
    [sym_fun_expression] = STATE(7836),
    [sym_try_expression] = STATE(7836),
    [sym_let_expression] = STATE(7836),
    [sym_coercion_expression] = STATE(6987),
    [sym_assert_expression] = STATE(7836),
    [sym_lazy_expression] = STATE(7836),
    [sym_let_module_expression] = STATE(7836),
    [sym_let_open_expression] = STATE(7836),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_let_exception_expression] = STATE(7836),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(2408),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__instance_variable_name] = STATE(18775),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [sym__identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_match] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_assert] = ACTIONS(1193),
    [anon_sym_lazy] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2957),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2409] = {
    [sym_value_definition] = STATE(17916),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12264),
    [sym_typed_expression] = STATE(6867),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6867),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6867),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6322),
    [sym_array_get_expression] = STATE(6322),
    [sym_string_get_expression] = STATE(6322),
    [sym_bigarray_get_expression] = STATE(6322),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6867),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(2409),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym_sign_operator] = STATE(2396),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__instance_variable_name] = STATE(17899),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [sym__identifier] = ACTIONS(2851),
    [anon_sym_let] = ACTIONS(2853),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_fun] = ACTIONS(2865),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2871),
    [anon_sym_function] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2410] = {
    [sym_value_definition] = STATE(18989),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11896),
    [sym_typed_expression] = STATE(6315),
    [sym_product_expression] = STATE(8157),
    [sym_cons_expression] = STATE(8157),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_application_expression] = STATE(8157),
    [sym_prefix_expression] = STATE(6315),
    [sym_sign_expression] = STATE(8157),
    [sym_hash_expression] = STATE(6315),
    [sym_infix_expression] = STATE(8157),
    [sym_field_get_expression] = STATE(6009),
    [sym_array_get_expression] = STATE(6009),
    [sym_string_get_expression] = STATE(6009),
    [sym_bigarray_get_expression] = STATE(6009),
    [sym_set_expression] = STATE(8157),
    [sym_if_expression] = STATE(8157),
    [sym_while_expression] = STATE(8157),
    [sym_for_expression] = STATE(8157),
    [sym_match_expression] = STATE(8157),
    [sym_function_expression] = STATE(8157),
    [sym_fun_expression] = STATE(8157),
    [sym_try_expression] = STATE(8157),
    [sym_let_expression] = STATE(8157),
    [sym_coercion_expression] = STATE(6315),
    [sym_assert_expression] = STATE(8157),
    [sym_lazy_expression] = STATE(8157),
    [sym_let_module_expression] = STATE(8157),
    [sym_let_open_expression] = STATE(8157),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_let_exception_expression] = STATE(8157),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(2410),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__instance_variable_name] = STATE(17859),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2047),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_fun] = ACTIONS(2059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2063),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_assert] = ACTIONS(943),
    [anon_sym_lazy] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_let_operator] = ACTIONS(347),
    [sym_match_operator] = ACTIONS(2091),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2411] = {
    [sym__simple_expression] = STATE(3587),
    [sym_typed_expression] = STATE(3668),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_labeled_argument] = STATE(4506),
    [sym_prefix_expression] = STATE(3668),
    [sym_hash_expression] = STATE(3668),
    [sym_field_get_expression] = STATE(3668),
    [sym_array_get_expression] = STATE(3668),
    [sym_string_get_expression] = STATE(3668),
    [sym_bigarray_get_expression] = STATE(3668),
    [sym_coercion_expression] = STATE(3668),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(2411),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [aux_sym_class_application_repeat1] = STATE(2411),
    [sym__identifier] = ACTIONS(4215),
    [anon_sym_SEMI_SEMI] = ACTIONS(3570),
    [anon_sym_let] = ACTIONS(3572),
    [anon_sym_and] = ACTIONS(3572),
    [anon_sym_TILDE] = ACTIONS(4218),
    [anon_sym_QMARK] = ACTIONS(4218),
    [anon_sym_LPAREN] = ACTIONS(4221),
    [anon_sym_external] = ACTIONS(3572),
    [anon_sym_type] = ACTIONS(3572),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(4224),
    [anon_sym_true] = ACTIONS(4227),
    [anon_sym_false] = ACTIONS(4227),
    [anon_sym_LBRACE] = ACTIONS(4230),
    [anon_sym_SEMI] = ACTIONS(3572),
    [anon_sym_exception] = ACTIONS(3572),
    [anon_sym_module] = ACTIONS(3572),
    [anon_sym_open] = ACTIONS(3572),
    [anon_sym_include] = ACTIONS(3572),
    [anon_sym_class] = ACTIONS(3572),
    [anon_sym_end] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(4233),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4236),
    [anon_sym_new] = ACTIONS(4239),
    [anon_sym_LBRACE_LT] = ACTIONS(4242),
    [anon_sym_begin] = ACTIONS(4245),
    [sym_ocamlyacc_value] = ACTIONS(4248),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3572),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3570),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4251),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4254),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3570),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3570),
    [aux_sym_number_token1] = ACTIONS(4257),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(4260),
    [anon_sym_DQUOTE] = ACTIONS(4263),
    [sym_prefix_operator] = ACTIONS(4266),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym_let_operator] = ACTIONS(3570),
    [sym_let_and_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(4269),
    [aux_sym_directive_token1] = ACTIONS(3570),
    [aux_sym_tag_token1] = ACTIONS(4272),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2412] = {
    [sym__simple_expression] = STATE(3550),
    [sym_typed_expression] = STATE(3546),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_labeled_argument] = STATE(4503),
    [sym_prefix_expression] = STATE(3546),
    [sym_hash_expression] = STATE(3546),
    [sym_field_get_expression] = STATE(3546),
    [sym_array_get_expression] = STATE(3546),
    [sym_string_get_expression] = STATE(3546),
    [sym_bigarray_get_expression] = STATE(3546),
    [sym_coercion_expression] = STATE(3546),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(2412),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [aux_sym_class_application_repeat1] = STATE(2414),
    [sym__identifier] = ACTIONS(3271),
    [anon_sym_SEMI_SEMI] = ACTIONS(3503),
    [anon_sym_let] = ACTIONS(3505),
    [anon_sym_and] = ACTIONS(3505),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_QMARK] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_external] = ACTIONS(3505),
    [anon_sym_type] = ACTIONS(3505),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_RBRACK] = ACTIONS(3503),
    [anon_sym_true] = ACTIONS(761),
    [anon_sym_false] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_SEMI] = ACTIONS(3505),
    [anon_sym_exception] = ACTIONS(3505),
    [anon_sym_module] = ACTIONS(3505),
    [anon_sym_open] = ACTIONS(3505),
    [anon_sym_include] = ACTIONS(3505),
    [anon_sym_class] = ACTIONS(3505),
    [anon_sym_object] = ACTIONS(765),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(779),
    [anon_sym_LBRACE_LT] = ACTIONS(781),
    [anon_sym_begin] = ACTIONS(783),
    [sym_ocamlyacc_value] = ACTIONS(785),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3505),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3503),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(787),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(789),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3503),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3503),
    [aux_sym_number_token1] = ACTIONS(791),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [sym_prefix_operator] = ACTIONS(797),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym_let_operator] = ACTIONS(3503),
    [sym_let_and_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(801),
    [aux_sym_directive_token1] = ACTIONS(3503),
    [aux_sym_tag_token1] = ACTIONS(803),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2413] = {
    [sym__simple_expression] = STATE(3587),
    [sym_typed_expression] = STATE(3668),
    [sym_list_expression] = STATE(3668),
    [sym_array_expression] = STATE(3668),
    [sym_record_expression] = STATE(3668),
    [sym_labeled_argument] = STATE(4506),
    [sym_prefix_expression] = STATE(3668),
    [sym_hash_expression] = STATE(3668),
    [sym_field_get_expression] = STATE(3668),
    [sym_array_get_expression] = STATE(3668),
    [sym_string_get_expression] = STATE(3668),
    [sym_bigarray_get_expression] = STATE(3668),
    [sym_coercion_expression] = STATE(3668),
    [sym_local_open_expression] = STATE(3668),
    [sym_package_expression] = STATE(3668),
    [sym_new_expression] = STATE(3668),
    [sym_object_copy_expression] = STATE(3668),
    [sym_method_invocation] = STATE(3668),
    [sym_object_expression] = STATE(3668),
    [sym_parenthesized_expression] = STATE(3668),
    [sym_attribute] = STATE(2413),
    [sym_extension] = STATE(3668),
    [sym_quoted_extension] = STATE(3668),
    [sym__constant] = STATE(3668),
    [sym_number] = STATE(3635),
    [sym_character] = STATE(3635),
    [sym_string] = STATE(3635),
    [sym_quoted_string] = STATE(3635),
    [sym_boolean] = STATE(3635),
    [sym_unit] = STATE(3635),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3708),
    [sym_value_path] = STATE(3668),
    [sym_module_path] = STATE(18393),
    [sym_constructor_path] = STATE(3668),
    [sym__constructor_name] = STATE(3636),
    [sym_tag] = STATE(3668),
    [aux_sym_class_application_repeat1] = STATE(2411),
    [sym__identifier] = ACTIONS(3281),
    [anon_sym_SEMI_SEMI] = ACTIONS(3503),
    [anon_sym_let] = ACTIONS(3505),
    [anon_sym_and] = ACTIONS(3505),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_QMARK] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_external] = ACTIONS(3505),
    [anon_sym_type] = ACTIONS(3505),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_SEMI] = ACTIONS(3505),
    [anon_sym_exception] = ACTIONS(3505),
    [anon_sym_module] = ACTIONS(3505),
    [anon_sym_open] = ACTIONS(3505),
    [anon_sym_include] = ACTIONS(3505),
    [anon_sym_class] = ACTIONS(3505),
    [anon_sym_end] = ACTIONS(3505),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3505),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3503),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(729),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(731),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3503),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3503),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym_let_operator] = ACTIONS(3503),
    [sym_let_and_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(743),
    [aux_sym_directive_token1] = ACTIONS(3503),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2414] = {
    [sym__simple_expression] = STATE(3550),
    [sym_typed_expression] = STATE(3546),
    [sym_list_expression] = STATE(3546),
    [sym_array_expression] = STATE(3546),
    [sym_record_expression] = STATE(3546),
    [sym_labeled_argument] = STATE(4503),
    [sym_prefix_expression] = STATE(3546),
    [sym_hash_expression] = STATE(3546),
    [sym_field_get_expression] = STATE(3546),
    [sym_array_get_expression] = STATE(3546),
    [sym_string_get_expression] = STATE(3546),
    [sym_bigarray_get_expression] = STATE(3546),
    [sym_coercion_expression] = STATE(3546),
    [sym_local_open_expression] = STATE(3546),
    [sym_package_expression] = STATE(3546),
    [sym_new_expression] = STATE(3546),
    [sym_object_copy_expression] = STATE(3546),
    [sym_method_invocation] = STATE(3546),
    [sym_object_expression] = STATE(3546),
    [sym_parenthesized_expression] = STATE(3546),
    [sym_attribute] = STATE(2414),
    [sym_extension] = STATE(3546),
    [sym_quoted_extension] = STATE(3546),
    [sym__constant] = STATE(3546),
    [sym_number] = STATE(3618),
    [sym_character] = STATE(3618),
    [sym_string] = STATE(3618),
    [sym_quoted_string] = STATE(3618),
    [sym_boolean] = STATE(3618),
    [sym_unit] = STATE(3618),
    [sym__value_name] = STATE(3594),
    [sym_parenthesized_operator] = STATE(3621),
    [sym_value_path] = STATE(3546),
    [sym_module_path] = STATE(18313),
    [sym_constructor_path] = STATE(3546),
    [sym__constructor_name] = STATE(3619),
    [sym_tag] = STATE(3546),
    [aux_sym_class_application_repeat1] = STATE(2414),
    [sym__identifier] = ACTIONS(4275),
    [anon_sym_SEMI_SEMI] = ACTIONS(3570),
    [anon_sym_let] = ACTIONS(3572),
    [anon_sym_and] = ACTIONS(3572),
    [anon_sym_TILDE] = ACTIONS(4278),
    [anon_sym_QMARK] = ACTIONS(4278),
    [anon_sym_LPAREN] = ACTIONS(4281),
    [anon_sym_external] = ACTIONS(3572),
    [anon_sym_type] = ACTIONS(3572),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(4284),
    [anon_sym_RBRACK] = ACTIONS(3570),
    [anon_sym_true] = ACTIONS(4287),
    [anon_sym_false] = ACTIONS(4287),
    [anon_sym_LBRACE] = ACTIONS(4290),
    [anon_sym_SEMI] = ACTIONS(3572),
    [anon_sym_exception] = ACTIONS(3572),
    [anon_sym_module] = ACTIONS(3572),
    [anon_sym_open] = ACTIONS(3572),
    [anon_sym_include] = ACTIONS(3572),
    [anon_sym_class] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(4293),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4296),
    [anon_sym_new] = ACTIONS(4299),
    [anon_sym_LBRACE_LT] = ACTIONS(4302),
    [anon_sym_begin] = ACTIONS(4305),
    [sym_ocamlyacc_value] = ACTIONS(4308),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3572),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3570),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4311),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4314),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3570),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3570),
    [aux_sym_number_token1] = ACTIONS(4317),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(4320),
    [anon_sym_DQUOTE] = ACTIONS(4323),
    [sym_prefix_operator] = ACTIONS(4326),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym_let_operator] = ACTIONS(3570),
    [sym_let_and_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(4329),
    [aux_sym_directive_token1] = ACTIONS(3570),
    [aux_sym_tag_token1] = ACTIONS(4332),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2415] = {
    [sym__simple_expression] = STATE(3919),
    [sym_typed_expression] = STATE(4008),
    [sym_list_expression] = STATE(4008),
    [sym_array_expression] = STATE(4008),
    [sym_record_expression] = STATE(4008),
    [sym_labeled_argument] = STATE(4592),
    [sym_prefix_expression] = STATE(4008),
    [sym_hash_expression] = STATE(4008),
    [sym_field_get_expression] = STATE(4008),
    [sym_array_get_expression] = STATE(4008),
    [sym_string_get_expression] = STATE(4008),
    [sym_bigarray_get_expression] = STATE(4008),
    [sym_coercion_expression] = STATE(4008),
    [sym_local_open_expression] = STATE(4008),
    [sym_package_expression] = STATE(4008),
    [sym_new_expression] = STATE(4008),
    [sym_object_copy_expression] = STATE(4008),
    [sym_method_invocation] = STATE(4008),
    [sym_object_expression] = STATE(4008),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_attribute] = STATE(2415),
    [sym_extension] = STATE(4008),
    [sym_quoted_extension] = STATE(4008),
    [sym__constant] = STATE(4008),
    [sym_number] = STATE(3818),
    [sym_character] = STATE(3818),
    [sym_string] = STATE(3818),
    [sym_quoted_string] = STATE(3818),
    [sym_boolean] = STATE(3818),
    [sym_unit] = STATE(3818),
    [sym__value_name] = STATE(4039),
    [sym_parenthesized_operator] = STATE(3903),
    [sym_value_path] = STATE(4008),
    [sym_module_path] = STATE(17789),
    [sym_constructor_path] = STATE(4008),
    [sym__constructor_name] = STATE(3820),
    [sym_tag] = STATE(4008),
    [aux_sym_class_application_repeat1] = STATE(2416),
    [sym__identifier] = ACTIONS(3545),
    [anon_sym_SEMI_SEMI] = ACTIONS(3503),
    [anon_sym_let] = ACTIONS(3505),
    [anon_sym_TILDE] = ACTIONS(3547),
    [anon_sym_QMARK] = ACTIONS(3547),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_external] = ACTIONS(3505),
    [anon_sym_type] = ACTIONS(3505),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_true] = ACTIONS(865),
    [anon_sym_false] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_SEMI] = ACTIONS(3505),
    [anon_sym_exception] = ACTIONS(3505),
    [anon_sym_module] = ACTIONS(3505),
    [anon_sym_open] = ACTIONS(3505),
    [anon_sym_include] = ACTIONS(3505),
    [anon_sym_class] = ACTIONS(3505),
    [anon_sym_end] = ACTIONS(3505),
    [anon_sym_object] = ACTIONS(869),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(873),
    [anon_sym_else] = ACTIONS(3505),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_LBRACE_LT] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(887),
    [sym_ocamlyacc_value] = ACTIONS(889),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3505),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3503),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(891),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(893),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3503),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3503),
    [aux_sym_number_token1] = ACTIONS(895),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(899),
    [sym_prefix_operator] = ACTIONS(901),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym_let_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(905),
    [aux_sym_directive_token1] = ACTIONS(3503),
    [aux_sym_tag_token1] = ACTIONS(907),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2416] = {
    [sym__simple_expression] = STATE(3919),
    [sym_typed_expression] = STATE(4008),
    [sym_list_expression] = STATE(4008),
    [sym_array_expression] = STATE(4008),
    [sym_record_expression] = STATE(4008),
    [sym_labeled_argument] = STATE(4592),
    [sym_prefix_expression] = STATE(4008),
    [sym_hash_expression] = STATE(4008),
    [sym_field_get_expression] = STATE(4008),
    [sym_array_get_expression] = STATE(4008),
    [sym_string_get_expression] = STATE(4008),
    [sym_bigarray_get_expression] = STATE(4008),
    [sym_coercion_expression] = STATE(4008),
    [sym_local_open_expression] = STATE(4008),
    [sym_package_expression] = STATE(4008),
    [sym_new_expression] = STATE(4008),
    [sym_object_copy_expression] = STATE(4008),
    [sym_method_invocation] = STATE(4008),
    [sym_object_expression] = STATE(4008),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_attribute] = STATE(2416),
    [sym_extension] = STATE(4008),
    [sym_quoted_extension] = STATE(4008),
    [sym__constant] = STATE(4008),
    [sym_number] = STATE(3818),
    [sym_character] = STATE(3818),
    [sym_string] = STATE(3818),
    [sym_quoted_string] = STATE(3818),
    [sym_boolean] = STATE(3818),
    [sym_unit] = STATE(3818),
    [sym__value_name] = STATE(4039),
    [sym_parenthesized_operator] = STATE(3903),
    [sym_value_path] = STATE(4008),
    [sym_module_path] = STATE(17789),
    [sym_constructor_path] = STATE(4008),
    [sym__constructor_name] = STATE(3820),
    [sym_tag] = STATE(4008),
    [aux_sym_class_application_repeat1] = STATE(2416),
    [sym__identifier] = ACTIONS(4335),
    [anon_sym_SEMI_SEMI] = ACTIONS(3570),
    [anon_sym_let] = ACTIONS(3572),
    [anon_sym_TILDE] = ACTIONS(4338),
    [anon_sym_QMARK] = ACTIONS(4338),
    [anon_sym_LPAREN] = ACTIONS(4341),
    [anon_sym_external] = ACTIONS(3572),
    [anon_sym_type] = ACTIONS(3572),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(4344),
    [anon_sym_true] = ACTIONS(4347),
    [anon_sym_false] = ACTIONS(4347),
    [anon_sym_LBRACE] = ACTIONS(4350),
    [anon_sym_SEMI] = ACTIONS(3572),
    [anon_sym_exception] = ACTIONS(3572),
    [anon_sym_module] = ACTIONS(3572),
    [anon_sym_open] = ACTIONS(3572),
    [anon_sym_include] = ACTIONS(3572),
    [anon_sym_class] = ACTIONS(3572),
    [anon_sym_end] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(4353),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4356),
    [anon_sym_else] = ACTIONS(3572),
    [anon_sym_new] = ACTIONS(4359),
    [anon_sym_LBRACE_LT] = ACTIONS(4362),
    [anon_sym_begin] = ACTIONS(4365),
    [sym_ocamlyacc_value] = ACTIONS(4368),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3572),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3570),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4374),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3570),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3570),
    [aux_sym_number_token1] = ACTIONS(4377),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(4380),
    [anon_sym_DQUOTE] = ACTIONS(4383),
    [sym_prefix_operator] = ACTIONS(4386),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym_let_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(4389),
    [aux_sym_directive_token1] = ACTIONS(3570),
    [aux_sym_tag_token1] = ACTIONS(4392),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2417] = {
    [sym__simple_expression] = STATE(3898),
    [sym_typed_expression] = STATE(3895),
    [sym_list_expression] = STATE(3895),
    [sym_array_expression] = STATE(3895),
    [sym_record_expression] = STATE(3895),
    [sym_labeled_argument] = STATE(4551),
    [sym_prefix_expression] = STATE(3895),
    [sym_hash_expression] = STATE(3895),
    [sym_field_get_expression] = STATE(3895),
    [sym_array_get_expression] = STATE(3895),
    [sym_string_get_expression] = STATE(3895),
    [sym_bigarray_get_expression] = STATE(3895),
    [sym_coercion_expression] = STATE(3895),
    [sym_local_open_expression] = STATE(3895),
    [sym_package_expression] = STATE(3895),
    [sym_new_expression] = STATE(3895),
    [sym_object_copy_expression] = STATE(3895),
    [sym_method_invocation] = STATE(3895),
    [sym_object_expression] = STATE(3895),
    [sym_parenthesized_expression] = STATE(3895),
    [sym_attribute] = STATE(2417),
    [sym_extension] = STATE(3895),
    [sym_quoted_extension] = STATE(3895),
    [sym__constant] = STATE(3895),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(4006),
    [sym_value_path] = STATE(3895),
    [sym_module_path] = STATE(17569),
    [sym_constructor_path] = STATE(3895),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3895),
    [aux_sym_class_application_repeat1] = STATE(2418),
    [sym__identifier] = ACTIONS(3403),
    [anon_sym_SEMI_SEMI] = ACTIONS(3503),
    [anon_sym_let] = ACTIONS(3505),
    [anon_sym_TILDE] = ACTIONS(3405),
    [anon_sym_QMARK] = ACTIONS(3405),
    [anon_sym_LPAREN] = ACTIONS(809),
    [anon_sym_external] = ACTIONS(3505),
    [anon_sym_type] = ACTIONS(3505),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_RBRACK] = ACTIONS(3503),
    [anon_sym_true] = ACTIONS(813),
    [anon_sym_false] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(3505),
    [anon_sym_exception] = ACTIONS(3505),
    [anon_sym_module] = ACTIONS(3505),
    [anon_sym_open] = ACTIONS(3505),
    [anon_sym_include] = ACTIONS(3505),
    [anon_sym_class] = ACTIONS(3505),
    [anon_sym_object] = ACTIONS(817),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(821),
    [anon_sym_else] = ACTIONS(3505),
    [anon_sym_new] = ACTIONS(831),
    [anon_sym_LBRACE_LT] = ACTIONS(833),
    [anon_sym_begin] = ACTIONS(835),
    [sym_ocamlyacc_value] = ACTIONS(837),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3505),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3503),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(839),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(841),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3503),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3503),
    [aux_sym_number_token1] = ACTIONS(843),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(847),
    [sym_prefix_operator] = ACTIONS(849),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym_let_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(853),
    [aux_sym_directive_token1] = ACTIONS(3503),
    [aux_sym_tag_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2418] = {
    [sym__simple_expression] = STATE(3898),
    [sym_typed_expression] = STATE(3895),
    [sym_list_expression] = STATE(3895),
    [sym_array_expression] = STATE(3895),
    [sym_record_expression] = STATE(3895),
    [sym_labeled_argument] = STATE(4551),
    [sym_prefix_expression] = STATE(3895),
    [sym_hash_expression] = STATE(3895),
    [sym_field_get_expression] = STATE(3895),
    [sym_array_get_expression] = STATE(3895),
    [sym_string_get_expression] = STATE(3895),
    [sym_bigarray_get_expression] = STATE(3895),
    [sym_coercion_expression] = STATE(3895),
    [sym_local_open_expression] = STATE(3895),
    [sym_package_expression] = STATE(3895),
    [sym_new_expression] = STATE(3895),
    [sym_object_copy_expression] = STATE(3895),
    [sym_method_invocation] = STATE(3895),
    [sym_object_expression] = STATE(3895),
    [sym_parenthesized_expression] = STATE(3895),
    [sym_attribute] = STATE(2418),
    [sym_extension] = STATE(3895),
    [sym_quoted_extension] = STATE(3895),
    [sym__constant] = STATE(3895),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym__value_name] = STATE(3861),
    [sym_parenthesized_operator] = STATE(4006),
    [sym_value_path] = STATE(3895),
    [sym_module_path] = STATE(17569),
    [sym_constructor_path] = STATE(3895),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3895),
    [aux_sym_class_application_repeat1] = STATE(2418),
    [sym__identifier] = ACTIONS(4395),
    [anon_sym_SEMI_SEMI] = ACTIONS(3570),
    [anon_sym_let] = ACTIONS(3572),
    [anon_sym_TILDE] = ACTIONS(4398),
    [anon_sym_QMARK] = ACTIONS(4398),
    [anon_sym_LPAREN] = ACTIONS(4401),
    [anon_sym_external] = ACTIONS(3572),
    [anon_sym_type] = ACTIONS(3572),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(4404),
    [anon_sym_RBRACK] = ACTIONS(3570),
    [anon_sym_true] = ACTIONS(4407),
    [anon_sym_false] = ACTIONS(4407),
    [anon_sym_LBRACE] = ACTIONS(4410),
    [anon_sym_SEMI] = ACTIONS(3572),
    [anon_sym_exception] = ACTIONS(3572),
    [anon_sym_module] = ACTIONS(3572),
    [anon_sym_open] = ACTIONS(3572),
    [anon_sym_include] = ACTIONS(3572),
    [anon_sym_class] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(4413),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4416),
    [anon_sym_else] = ACTIONS(3572),
    [anon_sym_new] = ACTIONS(4419),
    [anon_sym_LBRACE_LT] = ACTIONS(4422),
    [anon_sym_begin] = ACTIONS(4425),
    [sym_ocamlyacc_value] = ACTIONS(4428),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3572),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3570),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4431),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4434),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3570),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3570),
    [aux_sym_number_token1] = ACTIONS(4437),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(4440),
    [anon_sym_DQUOTE] = ACTIONS(4443),
    [sym_prefix_operator] = ACTIONS(4446),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym_let_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(4449),
    [aux_sym_directive_token1] = ACTIONS(3570),
    [aux_sym_tag_token1] = ACTIONS(4452),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2419] = {
    [sym__simple_expression] = STATE(4128),
    [sym_typed_expression] = STATE(4083),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_labeled_argument] = STATE(4620),
    [sym_prefix_expression] = STATE(4083),
    [sym_hash_expression] = STATE(4083),
    [sym_field_get_expression] = STATE(4083),
    [sym_array_get_expression] = STATE(4083),
    [sym_string_get_expression] = STATE(4083),
    [sym_bigarray_get_expression] = STATE(4083),
    [sym_coercion_expression] = STATE(4083),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(2419),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__constructor_name] = STATE(4095),
    [sym_tag] = STATE(4083),
    [aux_sym_class_application_repeat1] = STATE(2421),
    [sym__identifier] = ACTIONS(3955),
    [anon_sym_SEMI_SEMI] = ACTIONS(3503),
    [anon_sym_let] = ACTIONS(3505),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_QMARK] = ACTIONS(3957),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_external] = ACTIONS(3505),
    [anon_sym_type] = ACTIONS(3505),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_true] = ACTIONS(523),
    [anon_sym_false] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_SEMI] = ACTIONS(3505),
    [anon_sym_exception] = ACTIONS(3505),
    [anon_sym_module] = ACTIONS(3505),
    [anon_sym_open] = ACTIONS(3505),
    [anon_sym_include] = ACTIONS(3505),
    [anon_sym_class] = ACTIONS(3505),
    [anon_sym_end] = ACTIONS(3505),
    [anon_sym_object] = ACTIONS(535),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(549),
    [anon_sym_LBRACE_LT] = ACTIONS(551),
    [anon_sym_begin] = ACTIONS(553),
    [sym_ocamlyacc_value] = ACTIONS(555),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3505),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3503),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(559),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3503),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3503),
    [aux_sym_number_token1] = ACTIONS(561),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [sym_prefix_operator] = ACTIONS(567),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym_let_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(573),
    [aux_sym_directive_token1] = ACTIONS(3503),
    [aux_sym_tag_token1] = ACTIONS(577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2420] = {
    [sym__simple_expression] = STATE(4310),
    [sym_typed_expression] = STATE(4233),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_labeled_argument] = STATE(4647),
    [sym_prefix_expression] = STATE(4233),
    [sym_hash_expression] = STATE(4233),
    [sym_field_get_expression] = STATE(4233),
    [sym_array_get_expression] = STATE(4233),
    [sym_string_get_expression] = STATE(4233),
    [sym_bigarray_get_expression] = STATE(4233),
    [sym_coercion_expression] = STATE(4233),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(2420),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__constructor_name] = STATE(4138),
    [sym_tag] = STATE(4233),
    [aux_sym_class_application_repeat1] = STATE(2420),
    [sym__identifier] = ACTIONS(4455),
    [anon_sym_SEMI_SEMI] = ACTIONS(3570),
    [anon_sym_let] = ACTIONS(3572),
    [anon_sym_TILDE] = ACTIONS(4458),
    [anon_sym_QMARK] = ACTIONS(4458),
    [anon_sym_LPAREN] = ACTIONS(4461),
    [anon_sym_external] = ACTIONS(3572),
    [anon_sym_type] = ACTIONS(3572),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(4464),
    [anon_sym_RBRACK] = ACTIONS(3570),
    [anon_sym_true] = ACTIONS(4467),
    [anon_sym_false] = ACTIONS(4467),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_SEMI] = ACTIONS(3572),
    [anon_sym_exception] = ACTIONS(3572),
    [anon_sym_module] = ACTIONS(3572),
    [anon_sym_open] = ACTIONS(3572),
    [anon_sym_include] = ACTIONS(3572),
    [anon_sym_class] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(4473),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4476),
    [anon_sym_new] = ACTIONS(4479),
    [anon_sym_LBRACE_LT] = ACTIONS(4482),
    [anon_sym_begin] = ACTIONS(4485),
    [sym_ocamlyacc_value] = ACTIONS(4488),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3572),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3570),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4491),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4494),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3570),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3570),
    [aux_sym_number_token1] = ACTIONS(4497),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(4500),
    [anon_sym_DQUOTE] = ACTIONS(4503),
    [sym_prefix_operator] = ACTIONS(4506),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym_let_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(4509),
    [aux_sym_directive_token1] = ACTIONS(3570),
    [aux_sym_tag_token1] = ACTIONS(4512),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2421] = {
    [sym__simple_expression] = STATE(4128),
    [sym_typed_expression] = STATE(4083),
    [sym_list_expression] = STATE(4083),
    [sym_array_expression] = STATE(4083),
    [sym_record_expression] = STATE(4083),
    [sym_labeled_argument] = STATE(4620),
    [sym_prefix_expression] = STATE(4083),
    [sym_hash_expression] = STATE(4083),
    [sym_field_get_expression] = STATE(4083),
    [sym_array_get_expression] = STATE(4083),
    [sym_string_get_expression] = STATE(4083),
    [sym_bigarray_get_expression] = STATE(4083),
    [sym_coercion_expression] = STATE(4083),
    [sym_local_open_expression] = STATE(4083),
    [sym_package_expression] = STATE(4083),
    [sym_new_expression] = STATE(4083),
    [sym_object_copy_expression] = STATE(4083),
    [sym_method_invocation] = STATE(4083),
    [sym_object_expression] = STATE(4083),
    [sym_parenthesized_expression] = STATE(4083),
    [sym_attribute] = STATE(2421),
    [sym_extension] = STATE(4083),
    [sym_quoted_extension] = STATE(4083),
    [sym__constant] = STATE(4083),
    [sym_number] = STATE(4092),
    [sym_character] = STATE(4092),
    [sym_string] = STATE(4092),
    [sym_quoted_string] = STATE(4092),
    [sym_boolean] = STATE(4092),
    [sym_unit] = STATE(4092),
    [sym__value_name] = STATE(4094),
    [sym_parenthesized_operator] = STATE(4223),
    [sym_value_path] = STATE(4083),
    [sym_module_path] = STATE(19992),
    [sym_constructor_path] = STATE(4083),
    [sym__constructor_name] = STATE(4095),
    [sym_tag] = STATE(4083),
    [aux_sym_class_application_repeat1] = STATE(2421),
    [sym__identifier] = ACTIONS(4515),
    [anon_sym_SEMI_SEMI] = ACTIONS(3570),
    [anon_sym_let] = ACTIONS(3572),
    [anon_sym_TILDE] = ACTIONS(4518),
    [anon_sym_QMARK] = ACTIONS(4518),
    [anon_sym_LPAREN] = ACTIONS(4521),
    [anon_sym_external] = ACTIONS(3572),
    [anon_sym_type] = ACTIONS(3572),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(4524),
    [anon_sym_true] = ACTIONS(4527),
    [anon_sym_false] = ACTIONS(4527),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_SEMI] = ACTIONS(3572),
    [anon_sym_exception] = ACTIONS(3572),
    [anon_sym_module] = ACTIONS(3572),
    [anon_sym_open] = ACTIONS(3572),
    [anon_sym_include] = ACTIONS(3572),
    [anon_sym_class] = ACTIONS(3572),
    [anon_sym_end] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(4533),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4536),
    [anon_sym_new] = ACTIONS(4539),
    [anon_sym_LBRACE_LT] = ACTIONS(4542),
    [anon_sym_begin] = ACTIONS(4545),
    [sym_ocamlyacc_value] = ACTIONS(4548),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3572),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3570),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4554),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3570),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3570),
    [aux_sym_number_token1] = ACTIONS(4557),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(4560),
    [anon_sym_DQUOTE] = ACTIONS(4563),
    [sym_prefix_operator] = ACTIONS(4566),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym_let_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(4569),
    [aux_sym_directive_token1] = ACTIONS(3570),
    [aux_sym_tag_token1] = ACTIONS(4572),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2422] = {
    [sym__simple_expression] = STATE(4310),
    [sym_typed_expression] = STATE(4233),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_labeled_argument] = STATE(4647),
    [sym_prefix_expression] = STATE(4233),
    [sym_hash_expression] = STATE(4233),
    [sym_field_get_expression] = STATE(4233),
    [sym_array_get_expression] = STATE(4233),
    [sym_string_get_expression] = STATE(4233),
    [sym_bigarray_get_expression] = STATE(4233),
    [sym_coercion_expression] = STATE(4233),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(2422),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4130),
    [sym_character] = STATE(4130),
    [sym_string] = STATE(4130),
    [sym_quoted_string] = STATE(4130),
    [sym_boolean] = STATE(4130),
    [sym_unit] = STATE(4130),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4081),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(19420),
    [sym_constructor_path] = STATE(4233),
    [sym__constructor_name] = STATE(4138),
    [sym_tag] = STATE(4233),
    [aux_sym_class_application_repeat1] = STATE(2420),
    [sym__identifier] = ACTIONS(4085),
    [anon_sym_SEMI_SEMI] = ACTIONS(3503),
    [anon_sym_let] = ACTIONS(3505),
    [anon_sym_TILDE] = ACTIONS(4087),
    [anon_sym_QMARK] = ACTIONS(4087),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(3505),
    [anon_sym_type] = ACTIONS(3505),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(3503),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_SEMI] = ACTIONS(3505),
    [anon_sym_exception] = ACTIONS(3505),
    [anon_sym_module] = ACTIONS(3505),
    [anon_sym_open] = ACTIONS(3505),
    [anon_sym_include] = ACTIONS(3505),
    [anon_sym_class] = ACTIONS(3505),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3505),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3503),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(97),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3503),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3503),
    [aux_sym_number_token1] = ACTIONS(101),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(107),
    [sym_prefix_operator] = ACTIONS(109),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym_let_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(117),
    [aux_sym_directive_token1] = ACTIONS(3503),
    [aux_sym_tag_token1] = ACTIONS(121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2423] = {
    [sym__simple_expression] = STATE(4813),
    [sym_typed_expression] = STATE(4804),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_labeled_argument] = STATE(5182),
    [sym_prefix_expression] = STATE(4804),
    [sym_hash_expression] = STATE(4804),
    [sym_field_get_expression] = STATE(4804),
    [sym_array_get_expression] = STATE(4804),
    [sym_string_get_expression] = STATE(4804),
    [sym_bigarray_get_expression] = STATE(4804),
    [sym_coercion_expression] = STATE(4804),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(2423),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [aux_sym_class_application_repeat1] = STATE(2429),
    [sym__identifier] = ACTIONS(4575),
    [anon_sym_TILDE] = ACTIONS(4577),
    [anon_sym_QMARK] = ACTIONS(4577),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DOT] = ACTIONS(4579),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_constraint] = ACTIONS(3083),
    [anon_sym_val] = ACTIONS(3083),
    [anon_sym_end] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_inherit] = ACTIONS(3083),
    [anon_sym_method] = ACTIONS(3083),
    [anon_sym_initializer] = ACTIONS(3083),
    [anon_sym_POUND] = ACTIONS(4581),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(955),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(957),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3081),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(4583),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2424] = {
    [sym__simple_expression] = STATE(4911),
    [sym_typed_expression] = STATE(4950),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_labeled_argument] = STATE(5390),
    [sym_prefix_expression] = STATE(4950),
    [sym_hash_expression] = STATE(4950),
    [sym_field_get_expression] = STATE(4950),
    [sym_array_get_expression] = STATE(4950),
    [sym_string_get_expression] = STATE(4950),
    [sym_bigarray_get_expression] = STATE(4950),
    [sym_coercion_expression] = STATE(4950),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(2424),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [aux_sym_class_application_repeat1] = STATE(2432),
    [sym__identifier] = ACTIONS(4585),
    [anon_sym_TILDE] = ACTIONS(4587),
    [anon_sym_QMARK] = ACTIONS(4587),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_DOT] = ACTIONS(4589),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_constraint] = ACTIONS(3083),
    [anon_sym_val] = ACTIONS(3083),
    [anon_sym_end] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_inherit] = ACTIONS(3083),
    [anon_sym_method] = ACTIONS(3083),
    [anon_sym_initializer] = ACTIONS(3083),
    [anon_sym_POUND] = ACTIONS(4591),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1007),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1009),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3081),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(4593),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2425] = {
    [sym__simple_expression] = STATE(5036),
    [sym_typed_expression] = STATE(4992),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_labeled_argument] = STATE(5499),
    [sym_prefix_expression] = STATE(4992),
    [sym_hash_expression] = STATE(4992),
    [sym_field_get_expression] = STATE(4992),
    [sym_array_get_expression] = STATE(4992),
    [sym_string_get_expression] = STATE(4992),
    [sym_bigarray_get_expression] = STATE(4992),
    [sym_coercion_expression] = STATE(4992),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(2425),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [aux_sym_class_application_repeat1] = STATE(2433),
    [sym__identifier] = ACTIONS(4595),
    [anon_sym_COLON_GT] = ACTIONS(3081),
    [anon_sym_TILDE] = ACTIONS(4597),
    [anon_sym_QMARK] = ACTIONS(4597),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_RPAREN] = ACTIONS(3081),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_RBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_COLON2] = ACTIONS(3083),
    [anon_sym_DOT] = ACTIONS(4599),
    [anon_sym_DASH_GT] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_RBRACE] = ACTIONS(3081),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_POUND] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3081),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_GT_RBRACE] = ACTIONS(3081),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(4603),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2426] = {
    [sym__simple_expression] = STATE(5139),
    [sym_typed_expression] = STATE(5180),
    [sym_list_expression] = STATE(5180),
    [sym_array_expression] = STATE(5180),
    [sym_record_expression] = STATE(5180),
    [sym_labeled_argument] = STATE(5652),
    [sym_prefix_expression] = STATE(5180),
    [sym_hash_expression] = STATE(5180),
    [sym_field_get_expression] = STATE(5180),
    [sym_array_get_expression] = STATE(5180),
    [sym_string_get_expression] = STATE(5180),
    [sym_bigarray_get_expression] = STATE(5180),
    [sym_coercion_expression] = STATE(5180),
    [sym_local_open_expression] = STATE(5180),
    [sym_package_expression] = STATE(5180),
    [sym_new_expression] = STATE(5180),
    [sym_object_copy_expression] = STATE(5180),
    [sym_method_invocation] = STATE(5180),
    [sym_object_expression] = STATE(5180),
    [sym_parenthesized_expression] = STATE(5180),
    [sym_attribute] = STATE(2426),
    [sym_extension] = STATE(5180),
    [sym_quoted_extension] = STATE(5180),
    [sym__constant] = STATE(5180),
    [sym_number] = STATE(5232),
    [sym_character] = STATE(5232),
    [sym_string] = STATE(5232),
    [sym_quoted_string] = STATE(5232),
    [sym_boolean] = STATE(5232),
    [sym_unit] = STATE(5232),
    [sym__value_name] = STATE(5152),
    [sym_parenthesized_operator] = STATE(5171),
    [sym_value_path] = STATE(5180),
    [sym_module_path] = STATE(18780),
    [sym_constructor_path] = STATE(5180),
    [sym__constructor_name] = STATE(5210),
    [sym_tag] = STATE(5180),
    [aux_sym_class_application_repeat1] = STATE(2435),
    [sym__identifier] = ACTIONS(4605),
    [anon_sym_COLON_GT] = ACTIONS(3081),
    [anon_sym_TILDE] = ACTIONS(4607),
    [anon_sym_QMARK] = ACTIONS(4607),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_RPAREN] = ACTIONS(3081),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_RBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_COLON2] = ACTIONS(3083),
    [anon_sym_DOT] = ACTIONS(4609),
    [anon_sym_DASH_GT] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_RBRACE] = ACTIONS(3081),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_POUND] = ACTIONS(4611),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_GT_RBRACE] = ACTIONS(3081),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(4613),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2427] = {
    [sym__simple_expression] = STATE(5262),
    [sym_typed_expression] = STATE(5223),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_labeled_argument] = STATE(5643),
    [sym_prefix_expression] = STATE(5223),
    [sym_hash_expression] = STATE(5223),
    [sym_field_get_expression] = STATE(5223),
    [sym_array_get_expression] = STATE(5223),
    [sym_string_get_expression] = STATE(5223),
    [sym_bigarray_get_expression] = STATE(5223),
    [sym_coercion_expression] = STATE(5223),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2427),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [aux_sym_class_application_repeat1] = STATE(2437),
    [sym__identifier] = ACTIONS(4615),
    [anon_sym_COLON_GT] = ACTIONS(3081),
    [anon_sym_TILDE] = ACTIONS(4617),
    [anon_sym_QMARK] = ACTIONS(4617),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(3081),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_COLON2] = ACTIONS(3083),
    [anon_sym_DOT] = ACTIONS(4619),
    [anon_sym_DASH_GT] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_RBRACE] = ACTIONS(3081),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_POUND] = ACTIONS(4621),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3081),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_GT_RBRACE] = ACTIONS(3081),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(4623),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2428] = {
    [sym__simple_expression] = STATE(4813),
    [sym_typed_expression] = STATE(4804),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_labeled_argument] = STATE(5182),
    [sym_prefix_expression] = STATE(4804),
    [sym_hash_expression] = STATE(4804),
    [sym_field_get_expression] = STATE(4804),
    [sym_array_get_expression] = STATE(4804),
    [sym_string_get_expression] = STATE(4804),
    [sym_bigarray_get_expression] = STATE(4804),
    [sym_coercion_expression] = STATE(4804),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(2428),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [aux_sym_class_application_repeat1] = STATE(2428),
    [sym__identifier] = ACTIONS(4625),
    [anon_sym_TILDE] = ACTIONS(4628),
    [anon_sym_QMARK] = ACTIONS(4628),
    [anon_sym_LPAREN] = ACTIONS(4631),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(4634),
    [anon_sym_true] = ACTIONS(4637),
    [anon_sym_false] = ACTIONS(4637),
    [anon_sym_LBRACE] = ACTIONS(4640),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_constraint] = ACTIONS(3572),
    [anon_sym_val] = ACTIONS(3572),
    [anon_sym_end] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(4643),
    [anon_sym_inherit] = ACTIONS(3572),
    [anon_sym_method] = ACTIONS(3572),
    [anon_sym_initializer] = ACTIONS(3572),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4646),
    [anon_sym_else] = ACTIONS(3572),
    [anon_sym_new] = ACTIONS(4649),
    [anon_sym_LBRACE_LT] = ACTIONS(4652),
    [anon_sym_begin] = ACTIONS(4655),
    [sym_ocamlyacc_value] = ACTIONS(4658),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3572),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3570),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4661),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4664),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3570),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3570),
    [aux_sym_number_token1] = ACTIONS(4667),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(4670),
    [anon_sym_DQUOTE] = ACTIONS(4673),
    [sym_prefix_operator] = ACTIONS(4676),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(4679),
    [aux_sym_tag_token1] = ACTIONS(4682),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2429] = {
    [sym__simple_expression] = STATE(4813),
    [sym_typed_expression] = STATE(4804),
    [sym_list_expression] = STATE(4804),
    [sym_array_expression] = STATE(4804),
    [sym_record_expression] = STATE(4804),
    [sym_labeled_argument] = STATE(5182),
    [sym_prefix_expression] = STATE(4804),
    [sym_hash_expression] = STATE(4804),
    [sym_field_get_expression] = STATE(4804),
    [sym_array_get_expression] = STATE(4804),
    [sym_string_get_expression] = STATE(4804),
    [sym_bigarray_get_expression] = STATE(4804),
    [sym_coercion_expression] = STATE(4804),
    [sym_local_open_expression] = STATE(4804),
    [sym_package_expression] = STATE(4804),
    [sym_new_expression] = STATE(4804),
    [sym_object_copy_expression] = STATE(4804),
    [sym_method_invocation] = STATE(4804),
    [sym_object_expression] = STATE(4804),
    [sym_parenthesized_expression] = STATE(4804),
    [sym_attribute] = STATE(2429),
    [sym_extension] = STATE(4804),
    [sym_quoted_extension] = STATE(4804),
    [sym__constant] = STATE(4804),
    [sym_number] = STATE(4859),
    [sym_character] = STATE(4859),
    [sym_string] = STATE(4859),
    [sym_quoted_string] = STATE(4859),
    [sym_boolean] = STATE(4859),
    [sym_unit] = STATE(4859),
    [sym__value_name] = STATE(4856),
    [sym_parenthesized_operator] = STATE(4865),
    [sym_value_path] = STATE(4804),
    [sym_module_path] = STATE(18552),
    [sym_constructor_path] = STATE(4804),
    [sym__constructor_name] = STATE(4861),
    [sym_tag] = STATE(4804),
    [aux_sym_class_application_repeat1] = STATE(2428),
    [sym__identifier] = ACTIONS(4575),
    [anon_sym_TILDE] = ACTIONS(4577),
    [anon_sym_QMARK] = ACTIONS(4577),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(3503),
    [anon_sym_constraint] = ACTIONS(3505),
    [anon_sym_val] = ACTIONS(3505),
    [anon_sym_end] = ACTIONS(3505),
    [anon_sym_object] = ACTIONS(925),
    [anon_sym_inherit] = ACTIONS(3505),
    [anon_sym_method] = ACTIONS(3505),
    [anon_sym_initializer] = ACTIONS(3505),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(929),
    [anon_sym_else] = ACTIONS(3505),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_LBRACE_LT] = ACTIONS(949),
    [anon_sym_begin] = ACTIONS(951),
    [sym_ocamlyacc_value] = ACTIONS(953),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3505),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3503),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(955),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(957),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3503),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3503),
    [aux_sym_number_token1] = ACTIONS(959),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [sym_prefix_operator] = ACTIONS(965),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(969),
    [aux_sym_tag_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2430] = {
    [sym__simple_expression] = STATE(5370),
    [sym_typed_expression] = STATE(5401),
    [sym_list_expression] = STATE(5401),
    [sym_array_expression] = STATE(5401),
    [sym_record_expression] = STATE(5401),
    [sym_labeled_argument] = STATE(5830),
    [sym_prefix_expression] = STATE(5401),
    [sym_hash_expression] = STATE(5401),
    [sym_field_get_expression] = STATE(5401),
    [sym_array_get_expression] = STATE(5401),
    [sym_string_get_expression] = STATE(5401),
    [sym_bigarray_get_expression] = STATE(5401),
    [sym_coercion_expression] = STATE(5401),
    [sym_local_open_expression] = STATE(5401),
    [sym_package_expression] = STATE(5401),
    [sym_new_expression] = STATE(5401),
    [sym_object_copy_expression] = STATE(5401),
    [sym_method_invocation] = STATE(5401),
    [sym_object_expression] = STATE(5401),
    [sym_parenthesized_expression] = STATE(5401),
    [sym_attribute] = STATE(2430),
    [sym_extension] = STATE(5401),
    [sym_quoted_extension] = STATE(5401),
    [sym__constant] = STATE(5401),
    [sym_number] = STATE(5380),
    [sym_character] = STATE(5380),
    [sym_string] = STATE(5380),
    [sym_quoted_string] = STATE(5380),
    [sym_boolean] = STATE(5380),
    [sym_unit] = STATE(5380),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5400),
    [sym_value_path] = STATE(5401),
    [sym_module_path] = STATE(18005),
    [sym_constructor_path] = STATE(5401),
    [sym__constructor_name] = STATE(5359),
    [sym_tag] = STATE(5401),
    [aux_sym_class_application_repeat1] = STATE(2441),
    [sym__identifier] = ACTIONS(4685),
    [anon_sym_COLON_GT] = ACTIONS(3081),
    [anon_sym_TILDE] = ACTIONS(4687),
    [anon_sym_QMARK] = ACTIONS(4687),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_RPAREN] = ACTIONS(3081),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_RBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_COLON2] = ACTIONS(3083),
    [anon_sym_DOT] = ACTIONS(4689),
    [anon_sym_DASH_GT] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_RBRACE] = ACTIONS(3081),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_POUND] = ACTIONS(4691),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_GT_RBRACE] = ACTIONS(3081),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(4693),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2431] = {
    [sym__simple_expression] = STATE(4911),
    [sym_typed_expression] = STATE(4950),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_labeled_argument] = STATE(5390),
    [sym_prefix_expression] = STATE(4950),
    [sym_hash_expression] = STATE(4950),
    [sym_field_get_expression] = STATE(4950),
    [sym_array_get_expression] = STATE(4950),
    [sym_string_get_expression] = STATE(4950),
    [sym_bigarray_get_expression] = STATE(4950),
    [sym_coercion_expression] = STATE(4950),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(2431),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [aux_sym_class_application_repeat1] = STATE(2431),
    [sym__identifier] = ACTIONS(4695),
    [anon_sym_TILDE] = ACTIONS(4698),
    [anon_sym_QMARK] = ACTIONS(4698),
    [anon_sym_LPAREN] = ACTIONS(4701),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(4704),
    [anon_sym_true] = ACTIONS(4707),
    [anon_sym_false] = ACTIONS(4707),
    [anon_sym_LBRACE] = ACTIONS(4710),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_constraint] = ACTIONS(3572),
    [anon_sym_val] = ACTIONS(3572),
    [anon_sym_end] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(4713),
    [anon_sym_inherit] = ACTIONS(3572),
    [anon_sym_method] = ACTIONS(3572),
    [anon_sym_initializer] = ACTIONS(3572),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4716),
    [anon_sym_new] = ACTIONS(4719),
    [anon_sym_LBRACE_LT] = ACTIONS(4722),
    [anon_sym_begin] = ACTIONS(4725),
    [sym_ocamlyacc_value] = ACTIONS(4728),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3572),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3570),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4731),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4734),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3570),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3570),
    [aux_sym_number_token1] = ACTIONS(4737),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(4740),
    [anon_sym_DQUOTE] = ACTIONS(4743),
    [sym_prefix_operator] = ACTIONS(4746),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(4749),
    [aux_sym_tag_token1] = ACTIONS(4752),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2432] = {
    [sym__simple_expression] = STATE(4911),
    [sym_typed_expression] = STATE(4950),
    [sym_list_expression] = STATE(4950),
    [sym_array_expression] = STATE(4950),
    [sym_record_expression] = STATE(4950),
    [sym_labeled_argument] = STATE(5390),
    [sym_prefix_expression] = STATE(4950),
    [sym_hash_expression] = STATE(4950),
    [sym_field_get_expression] = STATE(4950),
    [sym_array_get_expression] = STATE(4950),
    [sym_string_get_expression] = STATE(4950),
    [sym_bigarray_get_expression] = STATE(4950),
    [sym_coercion_expression] = STATE(4950),
    [sym_local_open_expression] = STATE(4950),
    [sym_package_expression] = STATE(4950),
    [sym_new_expression] = STATE(4950),
    [sym_object_copy_expression] = STATE(4950),
    [sym_method_invocation] = STATE(4950),
    [sym_object_expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4950),
    [sym_attribute] = STATE(2432),
    [sym_extension] = STATE(4950),
    [sym_quoted_extension] = STATE(4950),
    [sym__constant] = STATE(4950),
    [sym_number] = STATE(4917),
    [sym_character] = STATE(4917),
    [sym_string] = STATE(4917),
    [sym_quoted_string] = STATE(4917),
    [sym_boolean] = STATE(4917),
    [sym_unit] = STATE(4917),
    [sym__value_name] = STATE(4902),
    [sym_parenthesized_operator] = STATE(4943),
    [sym_value_path] = STATE(4950),
    [sym_module_path] = STATE(19827),
    [sym_constructor_path] = STATE(4950),
    [sym__constructor_name] = STATE(4947),
    [sym_tag] = STATE(4950),
    [aux_sym_class_application_repeat1] = STATE(2431),
    [sym__identifier] = ACTIONS(4585),
    [anon_sym_TILDE] = ACTIONS(4587),
    [anon_sym_QMARK] = ACTIONS(4587),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_SEMI] = ACTIONS(3503),
    [anon_sym_constraint] = ACTIONS(3505),
    [anon_sym_val] = ACTIONS(3505),
    [anon_sym_end] = ACTIONS(3505),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_inherit] = ACTIONS(3505),
    [anon_sym_method] = ACTIONS(3505),
    [anon_sym_initializer] = ACTIONS(3505),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3505),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3503),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1007),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1009),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3503),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3503),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2433] = {
    [sym__simple_expression] = STATE(5036),
    [sym_typed_expression] = STATE(4992),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_labeled_argument] = STATE(5499),
    [sym_prefix_expression] = STATE(4992),
    [sym_hash_expression] = STATE(4992),
    [sym_field_get_expression] = STATE(4992),
    [sym_array_get_expression] = STATE(4992),
    [sym_string_get_expression] = STATE(4992),
    [sym_bigarray_get_expression] = STATE(4992),
    [sym_coercion_expression] = STATE(4992),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(2433),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [aux_sym_class_application_repeat1] = STATE(2434),
    [sym__identifier] = ACTIONS(4595),
    [anon_sym_COLON_GT] = ACTIONS(3503),
    [anon_sym_TILDE] = ACTIONS(4597),
    [anon_sym_QMARK] = ACTIONS(4597),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_RPAREN] = ACTIONS(3503),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_RBRACK] = ACTIONS(3503),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [anon_sym_COLON2] = ACTIONS(3505),
    [anon_sym_DASH_GT] = ACTIONS(3505),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_SEMI] = ACTIONS(3503),
    [anon_sym_RBRACE] = ACTIONS(3503),
    [anon_sym_object] = ACTIONS(1179),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1183),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3503),
    [anon_sym_else] = ACTIONS(3505),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_GT_RBRACE] = ACTIONS(3503),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2434] = {
    [sym__simple_expression] = STATE(5036),
    [sym_typed_expression] = STATE(4992),
    [sym_list_expression] = STATE(4992),
    [sym_array_expression] = STATE(4992),
    [sym_record_expression] = STATE(4992),
    [sym_labeled_argument] = STATE(5499),
    [sym_prefix_expression] = STATE(4992),
    [sym_hash_expression] = STATE(4992),
    [sym_field_get_expression] = STATE(4992),
    [sym_array_get_expression] = STATE(4992),
    [sym_string_get_expression] = STATE(4992),
    [sym_bigarray_get_expression] = STATE(4992),
    [sym_coercion_expression] = STATE(4992),
    [sym_local_open_expression] = STATE(4992),
    [sym_package_expression] = STATE(4992),
    [sym_new_expression] = STATE(4992),
    [sym_object_copy_expression] = STATE(4992),
    [sym_method_invocation] = STATE(4992),
    [sym_object_expression] = STATE(4992),
    [sym_parenthesized_expression] = STATE(4992),
    [sym_attribute] = STATE(2434),
    [sym_extension] = STATE(4992),
    [sym_quoted_extension] = STATE(4992),
    [sym__constant] = STATE(4992),
    [sym_number] = STATE(5124),
    [sym_character] = STATE(5124),
    [sym_string] = STATE(5124),
    [sym_quoted_string] = STATE(5124),
    [sym_boolean] = STATE(5124),
    [sym_unit] = STATE(5124),
    [sym__value_name] = STATE(5030),
    [sym_parenthesized_operator] = STATE(5050),
    [sym_value_path] = STATE(4992),
    [sym_module_path] = STATE(17951),
    [sym_constructor_path] = STATE(4992),
    [sym__constructor_name] = STATE(5125),
    [sym_tag] = STATE(4992),
    [aux_sym_class_application_repeat1] = STATE(2434),
    [sym__identifier] = ACTIONS(4755),
    [anon_sym_COLON_GT] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(4758),
    [anon_sym_QMARK] = ACTIONS(4758),
    [anon_sym_LPAREN] = ACTIONS(4761),
    [anon_sym_RPAREN] = ACTIONS(3570),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(4764),
    [anon_sym_RBRACK] = ACTIONS(3570),
    [anon_sym_true] = ACTIONS(4767),
    [anon_sym_false] = ACTIONS(4767),
    [anon_sym_COLON2] = ACTIONS(3572),
    [anon_sym_DASH_GT] = ACTIONS(3572),
    [anon_sym_LBRACE] = ACTIONS(4770),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_RBRACE] = ACTIONS(3570),
    [anon_sym_object] = ACTIONS(4773),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4776),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3570),
    [anon_sym_else] = ACTIONS(3572),
    [anon_sym_new] = ACTIONS(4779),
    [anon_sym_LBRACE_LT] = ACTIONS(4782),
    [anon_sym_GT_RBRACE] = ACTIONS(3570),
    [anon_sym_begin] = ACTIONS(4785),
    [sym_ocamlyacc_value] = ACTIONS(4788),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4791),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4794),
    [aux_sym_number_token1] = ACTIONS(4797),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(4800),
    [anon_sym_DQUOTE] = ACTIONS(4803),
    [sym_prefix_operator] = ACTIONS(4806),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(4809),
    [aux_sym_tag_token1] = ACTIONS(4812),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2435] = {
    [sym__simple_expression] = STATE(5139),
    [sym_typed_expression] = STATE(5180),
    [sym_list_expression] = STATE(5180),
    [sym_array_expression] = STATE(5180),
    [sym_record_expression] = STATE(5180),
    [sym_labeled_argument] = STATE(5652),
    [sym_prefix_expression] = STATE(5180),
    [sym_hash_expression] = STATE(5180),
    [sym_field_get_expression] = STATE(5180),
    [sym_array_get_expression] = STATE(5180),
    [sym_string_get_expression] = STATE(5180),
    [sym_bigarray_get_expression] = STATE(5180),
    [sym_coercion_expression] = STATE(5180),
    [sym_local_open_expression] = STATE(5180),
    [sym_package_expression] = STATE(5180),
    [sym_new_expression] = STATE(5180),
    [sym_object_copy_expression] = STATE(5180),
    [sym_method_invocation] = STATE(5180),
    [sym_object_expression] = STATE(5180),
    [sym_parenthesized_expression] = STATE(5180),
    [sym_attribute] = STATE(2435),
    [sym_extension] = STATE(5180),
    [sym_quoted_extension] = STATE(5180),
    [sym__constant] = STATE(5180),
    [sym_number] = STATE(5232),
    [sym_character] = STATE(5232),
    [sym_string] = STATE(5232),
    [sym_quoted_string] = STATE(5232),
    [sym_boolean] = STATE(5232),
    [sym_unit] = STATE(5232),
    [sym__value_name] = STATE(5152),
    [sym_parenthesized_operator] = STATE(5171),
    [sym_value_path] = STATE(5180),
    [sym_module_path] = STATE(18780),
    [sym_constructor_path] = STATE(5180),
    [sym__constructor_name] = STATE(5210),
    [sym_tag] = STATE(5180),
    [aux_sym_class_application_repeat1] = STATE(2436),
    [sym__identifier] = ACTIONS(4605),
    [anon_sym_COLON_GT] = ACTIONS(3503),
    [anon_sym_TILDE] = ACTIONS(4607),
    [anon_sym_QMARK] = ACTIONS(4607),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_RPAREN] = ACTIONS(3503),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_RBRACK] = ACTIONS(3503),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [anon_sym_COLON2] = ACTIONS(3505),
    [anon_sym_DASH_GT] = ACTIONS(3505),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_SEMI] = ACTIONS(3503),
    [anon_sym_RBRACE] = ACTIONS(3503),
    [anon_sym_object] = ACTIONS(1073),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1077),
    [anon_sym_else] = ACTIONS(3505),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_LBRACE_LT] = ACTIONS(1089),
    [anon_sym_GT_RBRACE] = ACTIONS(3503),
    [anon_sym_begin] = ACTIONS(1091),
    [sym_ocamlyacc_value] = ACTIONS(1093),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1099),
    [aux_sym_number_token1] = ACTIONS(1101),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [sym_prefix_operator] = ACTIONS(1107),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(1111),
    [aux_sym_tag_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2436] = {
    [sym__simple_expression] = STATE(5139),
    [sym_typed_expression] = STATE(5180),
    [sym_list_expression] = STATE(5180),
    [sym_array_expression] = STATE(5180),
    [sym_record_expression] = STATE(5180),
    [sym_labeled_argument] = STATE(5652),
    [sym_prefix_expression] = STATE(5180),
    [sym_hash_expression] = STATE(5180),
    [sym_field_get_expression] = STATE(5180),
    [sym_array_get_expression] = STATE(5180),
    [sym_string_get_expression] = STATE(5180),
    [sym_bigarray_get_expression] = STATE(5180),
    [sym_coercion_expression] = STATE(5180),
    [sym_local_open_expression] = STATE(5180),
    [sym_package_expression] = STATE(5180),
    [sym_new_expression] = STATE(5180),
    [sym_object_copy_expression] = STATE(5180),
    [sym_method_invocation] = STATE(5180),
    [sym_object_expression] = STATE(5180),
    [sym_parenthesized_expression] = STATE(5180),
    [sym_attribute] = STATE(2436),
    [sym_extension] = STATE(5180),
    [sym_quoted_extension] = STATE(5180),
    [sym__constant] = STATE(5180),
    [sym_number] = STATE(5232),
    [sym_character] = STATE(5232),
    [sym_string] = STATE(5232),
    [sym_quoted_string] = STATE(5232),
    [sym_boolean] = STATE(5232),
    [sym_unit] = STATE(5232),
    [sym__value_name] = STATE(5152),
    [sym_parenthesized_operator] = STATE(5171),
    [sym_value_path] = STATE(5180),
    [sym_module_path] = STATE(18780),
    [sym_constructor_path] = STATE(5180),
    [sym__constructor_name] = STATE(5210),
    [sym_tag] = STATE(5180),
    [aux_sym_class_application_repeat1] = STATE(2436),
    [sym__identifier] = ACTIONS(4815),
    [anon_sym_COLON_GT] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(4818),
    [anon_sym_QMARK] = ACTIONS(4818),
    [anon_sym_LPAREN] = ACTIONS(4821),
    [anon_sym_RPAREN] = ACTIONS(3570),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(4824),
    [anon_sym_RBRACK] = ACTIONS(3570),
    [anon_sym_true] = ACTIONS(4827),
    [anon_sym_false] = ACTIONS(4827),
    [anon_sym_COLON2] = ACTIONS(3572),
    [anon_sym_DASH_GT] = ACTIONS(3572),
    [anon_sym_LBRACE] = ACTIONS(4830),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_RBRACE] = ACTIONS(3570),
    [anon_sym_object] = ACTIONS(4833),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4836),
    [anon_sym_else] = ACTIONS(3572),
    [anon_sym_new] = ACTIONS(4839),
    [anon_sym_LBRACE_LT] = ACTIONS(4842),
    [anon_sym_GT_RBRACE] = ACTIONS(3570),
    [anon_sym_begin] = ACTIONS(4845),
    [sym_ocamlyacc_value] = ACTIONS(4848),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4851),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4854),
    [aux_sym_number_token1] = ACTIONS(4857),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(4860),
    [anon_sym_DQUOTE] = ACTIONS(4863),
    [sym_prefix_operator] = ACTIONS(4866),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(4869),
    [aux_sym_tag_token1] = ACTIONS(4872),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2437] = {
    [sym__simple_expression] = STATE(5262),
    [sym_typed_expression] = STATE(5223),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_labeled_argument] = STATE(5643),
    [sym_prefix_expression] = STATE(5223),
    [sym_hash_expression] = STATE(5223),
    [sym_field_get_expression] = STATE(5223),
    [sym_array_get_expression] = STATE(5223),
    [sym_string_get_expression] = STATE(5223),
    [sym_bigarray_get_expression] = STATE(5223),
    [sym_coercion_expression] = STATE(5223),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2437),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [aux_sym_class_application_repeat1] = STATE(2438),
    [sym__identifier] = ACTIONS(4615),
    [anon_sym_COLON_GT] = ACTIONS(3503),
    [anon_sym_TILDE] = ACTIONS(4617),
    [anon_sym_QMARK] = ACTIONS(4617),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(3503),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3503),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_COLON2] = ACTIONS(3505),
    [anon_sym_DASH_GT] = ACTIONS(3505),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(3503),
    [anon_sym_RBRACE] = ACTIONS(3503),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3503),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_GT_RBRACE] = ACTIONS(3503),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2438] = {
    [sym__simple_expression] = STATE(5262),
    [sym_typed_expression] = STATE(5223),
    [sym_list_expression] = STATE(5223),
    [sym_array_expression] = STATE(5223),
    [sym_record_expression] = STATE(5223),
    [sym_labeled_argument] = STATE(5643),
    [sym_prefix_expression] = STATE(5223),
    [sym_hash_expression] = STATE(5223),
    [sym_field_get_expression] = STATE(5223),
    [sym_array_get_expression] = STATE(5223),
    [sym_string_get_expression] = STATE(5223),
    [sym_bigarray_get_expression] = STATE(5223),
    [sym_coercion_expression] = STATE(5223),
    [sym_local_open_expression] = STATE(5223),
    [sym_package_expression] = STATE(5223),
    [sym_new_expression] = STATE(5223),
    [sym_object_copy_expression] = STATE(5223),
    [sym_method_invocation] = STATE(5223),
    [sym_object_expression] = STATE(5223),
    [sym_parenthesized_expression] = STATE(5223),
    [sym_attribute] = STATE(2438),
    [sym_extension] = STATE(5223),
    [sym_quoted_extension] = STATE(5223),
    [sym__constant] = STATE(5223),
    [sym_number] = STATE(5194),
    [sym_character] = STATE(5194),
    [sym_string] = STATE(5194),
    [sym_quoted_string] = STATE(5194),
    [sym_boolean] = STATE(5194),
    [sym_unit] = STATE(5194),
    [sym__value_name] = STATE(5234),
    [sym_parenthesized_operator] = STATE(5167),
    [sym_value_path] = STATE(5223),
    [sym_module_path] = STATE(18178),
    [sym_constructor_path] = STATE(5223),
    [sym__constructor_name] = STATE(5195),
    [sym_tag] = STATE(5223),
    [aux_sym_class_application_repeat1] = STATE(2438),
    [sym__identifier] = ACTIONS(4875),
    [anon_sym_COLON_GT] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(4878),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_LPAREN] = ACTIONS(4881),
    [anon_sym_RPAREN] = ACTIONS(3570),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_RBRACK] = ACTIONS(3570),
    [anon_sym_true] = ACTIONS(4887),
    [anon_sym_false] = ACTIONS(4887),
    [anon_sym_COLON2] = ACTIONS(3572),
    [anon_sym_DASH_GT] = ACTIONS(3572),
    [anon_sym_LBRACE] = ACTIONS(4890),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_RBRACE] = ACTIONS(3570),
    [anon_sym_object] = ACTIONS(4893),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4896),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3570),
    [anon_sym_new] = ACTIONS(4899),
    [anon_sym_LBRACE_LT] = ACTIONS(4902),
    [anon_sym_GT_RBRACE] = ACTIONS(3570),
    [anon_sym_begin] = ACTIONS(4905),
    [sym_ocamlyacc_value] = ACTIONS(4908),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4911),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4914),
    [aux_sym_number_token1] = ACTIONS(4917),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(4920),
    [anon_sym_DQUOTE] = ACTIONS(4923),
    [sym_prefix_operator] = ACTIONS(4926),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(4929),
    [aux_sym_tag_token1] = ACTIONS(4932),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2439] = {
    [sym__simple_expression] = STATE(5702),
    [sym_typed_expression] = STATE(5626),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_labeled_argument] = STATE(6636),
    [sym_prefix_expression] = STATE(5626),
    [sym_hash_expression] = STATE(5626),
    [sym_field_get_expression] = STATE(5626),
    [sym_array_get_expression] = STATE(5626),
    [sym_string_get_expression] = STATE(5626),
    [sym_bigarray_get_expression] = STATE(5626),
    [sym_coercion_expression] = STATE(5626),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(2439),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [aux_sym_class_application_repeat1] = STATE(2457),
    [sym__identifier] = ACTIONS(4935),
    [anon_sym_and] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(4937),
    [anon_sym_QMARK] = ACTIONS(4937),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_DOT] = ACTIONS(4939),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_in] = ACTIONS(3083),
    [anon_sym_POUND] = ACTIONS(4941),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(4943),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym_let_and_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2440] = {
    [sym__simple_expression] = STATE(5763),
    [sym_typed_expression] = STATE(5798),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_labeled_argument] = STATE(6659),
    [sym_prefix_expression] = STATE(5798),
    [sym_hash_expression] = STATE(5798),
    [sym_field_get_expression] = STATE(5798),
    [sym_array_get_expression] = STATE(5798),
    [sym_string_get_expression] = STATE(5798),
    [sym_bigarray_get_expression] = STATE(5798),
    [sym_coercion_expression] = STATE(5798),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(2440),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [aux_sym_class_application_repeat1] = STATE(2470),
    [sym__identifier] = ACTIONS(4945),
    [anon_sym_and] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(4947),
    [anon_sym_QMARK] = ACTIONS(4947),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_DOT] = ACTIONS(4949),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_in] = ACTIONS(3083),
    [anon_sym_POUND] = ACTIONS(4951),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(4953),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym_let_and_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2441] = {
    [sym__simple_expression] = STATE(5370),
    [sym_typed_expression] = STATE(5401),
    [sym_list_expression] = STATE(5401),
    [sym_array_expression] = STATE(5401),
    [sym_record_expression] = STATE(5401),
    [sym_labeled_argument] = STATE(5830),
    [sym_prefix_expression] = STATE(5401),
    [sym_hash_expression] = STATE(5401),
    [sym_field_get_expression] = STATE(5401),
    [sym_array_get_expression] = STATE(5401),
    [sym_string_get_expression] = STATE(5401),
    [sym_bigarray_get_expression] = STATE(5401),
    [sym_coercion_expression] = STATE(5401),
    [sym_local_open_expression] = STATE(5401),
    [sym_package_expression] = STATE(5401),
    [sym_new_expression] = STATE(5401),
    [sym_object_copy_expression] = STATE(5401),
    [sym_method_invocation] = STATE(5401),
    [sym_object_expression] = STATE(5401),
    [sym_parenthesized_expression] = STATE(5401),
    [sym_attribute] = STATE(2441),
    [sym_extension] = STATE(5401),
    [sym_quoted_extension] = STATE(5401),
    [sym__constant] = STATE(5401),
    [sym_number] = STATE(5380),
    [sym_character] = STATE(5380),
    [sym_string] = STATE(5380),
    [sym_quoted_string] = STATE(5380),
    [sym_boolean] = STATE(5380),
    [sym_unit] = STATE(5380),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5400),
    [sym_value_path] = STATE(5401),
    [sym_module_path] = STATE(18005),
    [sym_constructor_path] = STATE(5401),
    [sym__constructor_name] = STATE(5359),
    [sym_tag] = STATE(5401),
    [aux_sym_class_application_repeat1] = STATE(2443),
    [sym__identifier] = ACTIONS(4685),
    [anon_sym_COLON_GT] = ACTIONS(3503),
    [anon_sym_TILDE] = ACTIONS(4687),
    [anon_sym_QMARK] = ACTIONS(4687),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_RPAREN] = ACTIONS(3503),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_RBRACK] = ACTIONS(3503),
    [anon_sym_true] = ACTIONS(1123),
    [anon_sym_false] = ACTIONS(1123),
    [anon_sym_COLON2] = ACTIONS(3505),
    [anon_sym_DASH_GT] = ACTIONS(3505),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_SEMI] = ACTIONS(3503),
    [anon_sym_RBRACE] = ACTIONS(3503),
    [anon_sym_object] = ACTIONS(1127),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1131),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_LBRACE_LT] = ACTIONS(1143),
    [anon_sym_GT_RBRACE] = ACTIONS(3503),
    [anon_sym_begin] = ACTIONS(1145),
    [sym_ocamlyacc_value] = ACTIONS(1147),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1151),
    [aux_sym_number_token1] = ACTIONS(1153),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_prefix_operator] = ACTIONS(1159),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1165),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2442] = {
    [sym__binding_pattern] = STATE(5443),
    [sym_alias_binding_pattern] = STATE(5495),
    [sym_typed_binding_pattern] = STATE(5495),
    [sym_or_binding_pattern] = STATE(5495),
    [sym_constructor_binding_pattern] = STATE(5495),
    [sym_tag_binding_pattern] = STATE(5495),
    [sym_polymorphic_variant_pattern] = STATE(5495),
    [sym_tuple_binding_pattern] = STATE(5495),
    [sym_record_binding_pattern] = STATE(5551),
    [sym_list_binding_pattern] = STATE(5533),
    [sym_cons_binding_pattern] = STATE(5495),
    [sym_array_binding_pattern] = STATE(5536),
    [sym_range_pattern] = STATE(5495),
    [sym_lazy_binding_pattern] = STATE(5495),
    [sym_local_open_binding_pattern] = STATE(5495),
    [sym_package_pattern] = STATE(5495),
    [sym_parenthesized_binding_pattern] = STATE(5495),
    [sym_attribute] = STATE(2442),
    [sym_extension] = STATE(5495),
    [sym_quoted_extension] = STATE(5495),
    [sym__constant] = STATE(5388),
    [sym__signed_constant] = STATE(5304),
    [sym_number] = STATE(5374),
    [sym_signed_number] = STATE(5388),
    [sym_character] = STATE(5374),
    [sym_string] = STATE(5374),
    [sym_quoted_string] = STATE(5374),
    [sym_boolean] = STATE(5374),
    [sym_unit] = STATE(5374),
    [sym__value_name] = STATE(5495),
    [sym_parenthesized_operator] = STATE(5534),
    [sym_module_path] = STATE(18636),
    [sym_constructor_path] = STATE(2442),
    [sym__constructor_name] = STATE(5376),
    [sym_tag] = STATE(2446),
    [sym__identifier] = ACTIONS(4955),
    [anon_sym_SEMI_SEMI] = ACTIONS(4957),
    [anon_sym_let] = ACTIONS(4959),
    [anon_sym_and] = ACTIONS(4959),
    [anon_sym_COLON_GT] = ACTIONS(4957),
    [anon_sym_EQ] = ACTIONS(4957),
    [anon_sym_TILDE] = ACTIONS(4957),
    [anon_sym_QMARK] = ACTIONS(4957),
    [anon_sym_LPAREN] = ACTIONS(4961),
    [anon_sym_external] = ACTIONS(4959),
    [anon_sym_type] = ACTIONS(4959),
    [anon_sym_COMMA] = ACTIONS(4957),
    [anon_sym_PIPE] = ACTIONS(4957),
    [anon_sym_LBRACK] = ACTIONS(4963),
    [anon_sym_RBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4965),
    [anon_sym_false] = ACTIONS(4965),
    [anon_sym_COLON2] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4967),
    [anon_sym_exception] = ACTIONS(4959),
    [anon_sym_module] = ACTIONS(4959),
    [anon_sym_open] = ACTIONS(4959),
    [anon_sym_include] = ACTIONS(4959),
    [anon_sym_class] = ACTIONS(4959),
    [anon_sym_in] = ACTIONS(4959),
    [anon_sym_as] = ACTIONS(4959),
    [anon_sym_POUND] = ACTIONS(4969),
    [anon_sym_COLON_COLON] = ACTIONS(4957),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4971),
    [anon_sym_lazy] = ACTIONS(4973),
    [anon_sym_begin] = ACTIONS(4975),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4959),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4957),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4979),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4957),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4957),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(4983),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym_let_operator] = ACTIONS(4957),
    [sym_let_and_operator] = ACTIONS(4957),
    [sym__capitalized_identifier] = ACTIONS(4989),
    [aux_sym_directive_token1] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4991),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2443] = {
    [sym__simple_expression] = STATE(5370),
    [sym_typed_expression] = STATE(5401),
    [sym_list_expression] = STATE(5401),
    [sym_array_expression] = STATE(5401),
    [sym_record_expression] = STATE(5401),
    [sym_labeled_argument] = STATE(5830),
    [sym_prefix_expression] = STATE(5401),
    [sym_hash_expression] = STATE(5401),
    [sym_field_get_expression] = STATE(5401),
    [sym_array_get_expression] = STATE(5401),
    [sym_string_get_expression] = STATE(5401),
    [sym_bigarray_get_expression] = STATE(5401),
    [sym_coercion_expression] = STATE(5401),
    [sym_local_open_expression] = STATE(5401),
    [sym_package_expression] = STATE(5401),
    [sym_new_expression] = STATE(5401),
    [sym_object_copy_expression] = STATE(5401),
    [sym_method_invocation] = STATE(5401),
    [sym_object_expression] = STATE(5401),
    [sym_parenthesized_expression] = STATE(5401),
    [sym_attribute] = STATE(2443),
    [sym_extension] = STATE(5401),
    [sym_quoted_extension] = STATE(5401),
    [sym__constant] = STATE(5401),
    [sym_number] = STATE(5380),
    [sym_character] = STATE(5380),
    [sym_string] = STATE(5380),
    [sym_quoted_string] = STATE(5380),
    [sym_boolean] = STATE(5380),
    [sym_unit] = STATE(5380),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5400),
    [sym_value_path] = STATE(5401),
    [sym_module_path] = STATE(18005),
    [sym_constructor_path] = STATE(5401),
    [sym__constructor_name] = STATE(5359),
    [sym_tag] = STATE(5401),
    [aux_sym_class_application_repeat1] = STATE(2443),
    [sym__identifier] = ACTIONS(4993),
    [anon_sym_COLON_GT] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(4996),
    [anon_sym_QMARK] = ACTIONS(4996),
    [anon_sym_LPAREN] = ACTIONS(4999),
    [anon_sym_RPAREN] = ACTIONS(3570),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(5002),
    [anon_sym_RBRACK] = ACTIONS(3570),
    [anon_sym_true] = ACTIONS(5005),
    [anon_sym_false] = ACTIONS(5005),
    [anon_sym_COLON2] = ACTIONS(3572),
    [anon_sym_DASH_GT] = ACTIONS(3572),
    [anon_sym_LBRACE] = ACTIONS(5008),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_RBRACE] = ACTIONS(3570),
    [anon_sym_object] = ACTIONS(5011),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5014),
    [anon_sym_new] = ACTIONS(5017),
    [anon_sym_LBRACE_LT] = ACTIONS(5020),
    [anon_sym_GT_RBRACE] = ACTIONS(3570),
    [anon_sym_begin] = ACTIONS(5023),
    [sym_ocamlyacc_value] = ACTIONS(5026),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5029),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5032),
    [aux_sym_number_token1] = ACTIONS(5035),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(5038),
    [anon_sym_DQUOTE] = ACTIONS(5041),
    [sym_prefix_operator] = ACTIONS(5044),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(5047),
    [aux_sym_tag_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2444] = {
    [sym__binding_pattern] = STATE(5441),
    [sym_alias_binding_pattern] = STATE(5545),
    [sym_typed_binding_pattern] = STATE(5545),
    [sym_or_binding_pattern] = STATE(5545),
    [sym_constructor_binding_pattern] = STATE(5545),
    [sym_tag_binding_pattern] = STATE(5545),
    [sym_polymorphic_variant_pattern] = STATE(5545),
    [sym_tuple_binding_pattern] = STATE(5545),
    [sym_record_binding_pattern] = STATE(5547),
    [sym_list_binding_pattern] = STATE(5548),
    [sym_cons_binding_pattern] = STATE(5545),
    [sym_array_binding_pattern] = STATE(5412),
    [sym_range_pattern] = STATE(5545),
    [sym_lazy_binding_pattern] = STATE(5545),
    [sym_local_open_binding_pattern] = STATE(5545),
    [sym_package_pattern] = STATE(5545),
    [sym_parenthesized_binding_pattern] = STATE(5545),
    [sym_attribute] = STATE(2444),
    [sym_extension] = STATE(5545),
    [sym_quoted_extension] = STATE(5545),
    [sym__constant] = STATE(5357),
    [sym__signed_constant] = STATE(5332),
    [sym_number] = STATE(5307),
    [sym_signed_number] = STATE(5357),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym__value_name] = STATE(5545),
    [sym_parenthesized_operator] = STATE(5478),
    [sym_module_path] = STATE(20072),
    [sym_constructor_path] = STATE(2445),
    [sym__constructor_name] = STATE(5319),
    [sym_tag] = STATE(2444),
    [sym__identifier] = ACTIONS(5053),
    [anon_sym_SEMI_SEMI] = ACTIONS(4957),
    [anon_sym_let] = ACTIONS(4959),
    [anon_sym_and] = ACTIONS(4959),
    [anon_sym_COLON_GT] = ACTIONS(4957),
    [anon_sym_EQ] = ACTIONS(4957),
    [anon_sym_TILDE] = ACTIONS(4957),
    [anon_sym_QMARK] = ACTIONS(4957),
    [anon_sym_LPAREN] = ACTIONS(5055),
    [anon_sym_external] = ACTIONS(4959),
    [anon_sym_type] = ACTIONS(4959),
    [anon_sym_COMMA] = ACTIONS(4957),
    [anon_sym_PIPE] = ACTIONS(4957),
    [anon_sym_LBRACK] = ACTIONS(5057),
    [anon_sym_true] = ACTIONS(5059),
    [anon_sym_false] = ACTIONS(5059),
    [anon_sym_COLON2] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(5061),
    [anon_sym_exception] = ACTIONS(4959),
    [anon_sym_module] = ACTIONS(4959),
    [anon_sym_open] = ACTIONS(4959),
    [anon_sym_include] = ACTIONS(4959),
    [anon_sym_class] = ACTIONS(4959),
    [anon_sym_end] = ACTIONS(4959),
    [anon_sym_in] = ACTIONS(4959),
    [anon_sym_as] = ACTIONS(4959),
    [anon_sym_POUND] = ACTIONS(5063),
    [anon_sym_COLON_COLON] = ACTIONS(4957),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5065),
    [anon_sym_lazy] = ACTIONS(5067),
    [anon_sym_begin] = ACTIONS(5069),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4959),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4957),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5073),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4957),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4957),
    [aux_sym_number_token1] = ACTIONS(5075),
    [aux_sym_signed_number_token1] = ACTIONS(5077),
    [anon_sym_SQUOTE] = ACTIONS(5079),
    [anon_sym_DQUOTE] = ACTIONS(5081),
    [sym_let_operator] = ACTIONS(4957),
    [sym_let_and_operator] = ACTIONS(4957),
    [sym__capitalized_identifier] = ACTIONS(5083),
    [aux_sym_directive_token1] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(5085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2445] = {
    [sym__binding_pattern] = STATE(5438),
    [sym_alias_binding_pattern] = STATE(5545),
    [sym_typed_binding_pattern] = STATE(5545),
    [sym_or_binding_pattern] = STATE(5545),
    [sym_constructor_binding_pattern] = STATE(5545),
    [sym_tag_binding_pattern] = STATE(5545),
    [sym_polymorphic_variant_pattern] = STATE(5545),
    [sym_tuple_binding_pattern] = STATE(5545),
    [sym_record_binding_pattern] = STATE(5547),
    [sym_list_binding_pattern] = STATE(5548),
    [sym_cons_binding_pattern] = STATE(5545),
    [sym_array_binding_pattern] = STATE(5412),
    [sym_range_pattern] = STATE(5545),
    [sym_lazy_binding_pattern] = STATE(5545),
    [sym_local_open_binding_pattern] = STATE(5545),
    [sym_package_pattern] = STATE(5545),
    [sym_parenthesized_binding_pattern] = STATE(5545),
    [sym_attribute] = STATE(2445),
    [sym_extension] = STATE(5545),
    [sym_quoted_extension] = STATE(5545),
    [sym__constant] = STATE(5357),
    [sym__signed_constant] = STATE(5332),
    [sym_number] = STATE(5307),
    [sym_signed_number] = STATE(5357),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym__value_name] = STATE(5545),
    [sym_parenthesized_operator] = STATE(5478),
    [sym_module_path] = STATE(20072),
    [sym_constructor_path] = STATE(2445),
    [sym__constructor_name] = STATE(5319),
    [sym_tag] = STATE(2444),
    [sym__identifier] = ACTIONS(5053),
    [anon_sym_SEMI_SEMI] = ACTIONS(4957),
    [anon_sym_let] = ACTIONS(4959),
    [anon_sym_and] = ACTIONS(4959),
    [anon_sym_COLON_GT] = ACTIONS(4957),
    [anon_sym_EQ] = ACTIONS(4957),
    [anon_sym_TILDE] = ACTIONS(4957),
    [anon_sym_QMARK] = ACTIONS(4957),
    [anon_sym_LPAREN] = ACTIONS(5055),
    [anon_sym_external] = ACTIONS(4959),
    [anon_sym_type] = ACTIONS(4959),
    [anon_sym_COMMA] = ACTIONS(4957),
    [anon_sym_PIPE] = ACTIONS(4957),
    [anon_sym_LBRACK] = ACTIONS(5057),
    [anon_sym_true] = ACTIONS(5059),
    [anon_sym_false] = ACTIONS(5059),
    [anon_sym_COLON2] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(5061),
    [anon_sym_exception] = ACTIONS(4959),
    [anon_sym_module] = ACTIONS(4959),
    [anon_sym_open] = ACTIONS(4959),
    [anon_sym_include] = ACTIONS(4959),
    [anon_sym_class] = ACTIONS(4959),
    [anon_sym_end] = ACTIONS(4959),
    [anon_sym_in] = ACTIONS(4959),
    [anon_sym_as] = ACTIONS(4959),
    [anon_sym_POUND] = ACTIONS(5063),
    [anon_sym_COLON_COLON] = ACTIONS(4957),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5065),
    [anon_sym_lazy] = ACTIONS(5067),
    [anon_sym_begin] = ACTIONS(5069),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4959),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4957),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5073),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4957),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4957),
    [aux_sym_number_token1] = ACTIONS(5075),
    [aux_sym_signed_number_token1] = ACTIONS(5077),
    [anon_sym_SQUOTE] = ACTIONS(5079),
    [anon_sym_DQUOTE] = ACTIONS(5081),
    [sym_let_operator] = ACTIONS(4957),
    [sym_let_and_operator] = ACTIONS(4957),
    [sym__capitalized_identifier] = ACTIONS(5083),
    [aux_sym_directive_token1] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(5085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2446] = {
    [sym__binding_pattern] = STATE(5450),
    [sym_alias_binding_pattern] = STATE(5495),
    [sym_typed_binding_pattern] = STATE(5495),
    [sym_or_binding_pattern] = STATE(5495),
    [sym_constructor_binding_pattern] = STATE(5495),
    [sym_tag_binding_pattern] = STATE(5495),
    [sym_polymorphic_variant_pattern] = STATE(5495),
    [sym_tuple_binding_pattern] = STATE(5495),
    [sym_record_binding_pattern] = STATE(5551),
    [sym_list_binding_pattern] = STATE(5533),
    [sym_cons_binding_pattern] = STATE(5495),
    [sym_array_binding_pattern] = STATE(5536),
    [sym_range_pattern] = STATE(5495),
    [sym_lazy_binding_pattern] = STATE(5495),
    [sym_local_open_binding_pattern] = STATE(5495),
    [sym_package_pattern] = STATE(5495),
    [sym_parenthesized_binding_pattern] = STATE(5495),
    [sym_attribute] = STATE(2446),
    [sym_extension] = STATE(5495),
    [sym_quoted_extension] = STATE(5495),
    [sym__constant] = STATE(5388),
    [sym__signed_constant] = STATE(5304),
    [sym_number] = STATE(5374),
    [sym_signed_number] = STATE(5388),
    [sym_character] = STATE(5374),
    [sym_string] = STATE(5374),
    [sym_quoted_string] = STATE(5374),
    [sym_boolean] = STATE(5374),
    [sym_unit] = STATE(5374),
    [sym__value_name] = STATE(5495),
    [sym_parenthesized_operator] = STATE(5534),
    [sym_module_path] = STATE(18636),
    [sym_constructor_path] = STATE(2442),
    [sym__constructor_name] = STATE(5376),
    [sym_tag] = STATE(2446),
    [sym__identifier] = ACTIONS(4955),
    [anon_sym_SEMI_SEMI] = ACTIONS(4957),
    [anon_sym_let] = ACTIONS(4959),
    [anon_sym_and] = ACTIONS(4959),
    [anon_sym_COLON_GT] = ACTIONS(4957),
    [anon_sym_EQ] = ACTIONS(4957),
    [anon_sym_TILDE] = ACTIONS(4957),
    [anon_sym_QMARK] = ACTIONS(4957),
    [anon_sym_LPAREN] = ACTIONS(4961),
    [anon_sym_external] = ACTIONS(4959),
    [anon_sym_type] = ACTIONS(4959),
    [anon_sym_COMMA] = ACTIONS(4957),
    [anon_sym_PIPE] = ACTIONS(4957),
    [anon_sym_LBRACK] = ACTIONS(4963),
    [anon_sym_RBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4965),
    [anon_sym_false] = ACTIONS(4965),
    [anon_sym_COLON2] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4967),
    [anon_sym_exception] = ACTIONS(4959),
    [anon_sym_module] = ACTIONS(4959),
    [anon_sym_open] = ACTIONS(4959),
    [anon_sym_include] = ACTIONS(4959),
    [anon_sym_class] = ACTIONS(4959),
    [anon_sym_in] = ACTIONS(4959),
    [anon_sym_as] = ACTIONS(4959),
    [anon_sym_POUND] = ACTIONS(4969),
    [anon_sym_COLON_COLON] = ACTIONS(4957),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4971),
    [anon_sym_lazy] = ACTIONS(4973),
    [anon_sym_begin] = ACTIONS(4975),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4959),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4957),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4979),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4957),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4957),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(4983),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym_let_operator] = ACTIONS(4957),
    [sym_let_and_operator] = ACTIONS(4957),
    [sym__capitalized_identifier] = ACTIONS(4989),
    [aux_sym_directive_token1] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(4991),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2447] = {
    [sym__binding_pattern] = STATE(5554),
    [sym_alias_binding_pattern] = STATE(5678),
    [sym_typed_binding_pattern] = STATE(5678),
    [sym_or_binding_pattern] = STATE(5678),
    [sym_constructor_binding_pattern] = STATE(5678),
    [sym_tag_binding_pattern] = STATE(5678),
    [sym_polymorphic_variant_pattern] = STATE(5678),
    [sym_tuple_binding_pattern] = STATE(5678),
    [sym_record_binding_pattern] = STATE(5679),
    [sym_list_binding_pattern] = STATE(5680),
    [sym_cons_binding_pattern] = STATE(5678),
    [sym_array_binding_pattern] = STATE(5681),
    [sym_range_pattern] = STATE(5678),
    [sym_lazy_binding_pattern] = STATE(5678),
    [sym_local_open_binding_pattern] = STATE(5678),
    [sym_package_pattern] = STATE(5678),
    [sym_parenthesized_binding_pattern] = STATE(5678),
    [sym_attribute] = STATE(2447),
    [sym_extension] = STATE(5678),
    [sym_quoted_extension] = STATE(5678),
    [sym__constant] = STATE(5474),
    [sym__signed_constant] = STATE(5527),
    [sym_number] = STATE(5475),
    [sym_signed_number] = STATE(5474),
    [sym_character] = STATE(5475),
    [sym_string] = STATE(5475),
    [sym_quoted_string] = STATE(5475),
    [sym_boolean] = STATE(5475),
    [sym_unit] = STATE(5475),
    [sym__value_name] = STATE(5678),
    [sym_parenthesized_operator] = STATE(5593),
    [sym_module_path] = STATE(19422),
    [sym_constructor_path] = STATE(2448),
    [sym__constructor_name] = STATE(5476),
    [sym_tag] = STATE(2447),
    [sym__identifier] = ACTIONS(5087),
    [anon_sym_SEMI_SEMI] = ACTIONS(4957),
    [anon_sym_let] = ACTIONS(4959),
    [anon_sym_and] = ACTIONS(4959),
    [anon_sym_COLON_GT] = ACTIONS(4957),
    [anon_sym_EQ] = ACTIONS(4957),
    [anon_sym_TILDE] = ACTIONS(4957),
    [anon_sym_QMARK] = ACTIONS(4957),
    [anon_sym_LPAREN] = ACTIONS(5089),
    [anon_sym_external] = ACTIONS(4959),
    [anon_sym_type] = ACTIONS(4959),
    [anon_sym_COMMA] = ACTIONS(4957),
    [anon_sym_PIPE] = ACTIONS(4957),
    [anon_sym_LBRACK] = ACTIONS(5091),
    [anon_sym_true] = ACTIONS(5093),
    [anon_sym_false] = ACTIONS(5093),
    [anon_sym_COLON2] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(5095),
    [anon_sym_exception] = ACTIONS(4959),
    [anon_sym_module] = ACTIONS(4959),
    [anon_sym_open] = ACTIONS(4959),
    [anon_sym_include] = ACTIONS(4959),
    [anon_sym_class] = ACTIONS(4959),
    [anon_sym_end] = ACTIONS(4959),
    [anon_sym_as] = ACTIONS(4959),
    [anon_sym_POUND] = ACTIONS(5097),
    [anon_sym_COLON_COLON] = ACTIONS(4957),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5099),
    [anon_sym_lazy] = ACTIONS(5101),
    [anon_sym_begin] = ACTIONS(5103),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4959),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4957),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5107),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4957),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4957),
    [aux_sym_number_token1] = ACTIONS(5109),
    [aux_sym_signed_number_token1] = ACTIONS(5111),
    [anon_sym_SQUOTE] = ACTIONS(5113),
    [anon_sym_DQUOTE] = ACTIONS(5115),
    [sym_let_operator] = ACTIONS(4957),
    [sym_let_and_operator] = ACTIONS(4957),
    [sym__capitalized_identifier] = ACTIONS(5117),
    [aux_sym_directive_token1] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(5119),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2448] = {
    [sym__binding_pattern] = STATE(5738),
    [sym_alias_binding_pattern] = STATE(5678),
    [sym_typed_binding_pattern] = STATE(5678),
    [sym_or_binding_pattern] = STATE(5678),
    [sym_constructor_binding_pattern] = STATE(5678),
    [sym_tag_binding_pattern] = STATE(5678),
    [sym_polymorphic_variant_pattern] = STATE(5678),
    [sym_tuple_binding_pattern] = STATE(5678),
    [sym_record_binding_pattern] = STATE(5679),
    [sym_list_binding_pattern] = STATE(5680),
    [sym_cons_binding_pattern] = STATE(5678),
    [sym_array_binding_pattern] = STATE(5681),
    [sym_range_pattern] = STATE(5678),
    [sym_lazy_binding_pattern] = STATE(5678),
    [sym_local_open_binding_pattern] = STATE(5678),
    [sym_package_pattern] = STATE(5678),
    [sym_parenthesized_binding_pattern] = STATE(5678),
    [sym_attribute] = STATE(2448),
    [sym_extension] = STATE(5678),
    [sym_quoted_extension] = STATE(5678),
    [sym__constant] = STATE(5474),
    [sym__signed_constant] = STATE(5527),
    [sym_number] = STATE(5475),
    [sym_signed_number] = STATE(5474),
    [sym_character] = STATE(5475),
    [sym_string] = STATE(5475),
    [sym_quoted_string] = STATE(5475),
    [sym_boolean] = STATE(5475),
    [sym_unit] = STATE(5475),
    [sym__value_name] = STATE(5678),
    [sym_parenthesized_operator] = STATE(5593),
    [sym_module_path] = STATE(19422),
    [sym_constructor_path] = STATE(2448),
    [sym__constructor_name] = STATE(5476),
    [sym_tag] = STATE(2447),
    [sym__identifier] = ACTIONS(5087),
    [anon_sym_SEMI_SEMI] = ACTIONS(4957),
    [anon_sym_let] = ACTIONS(4959),
    [anon_sym_and] = ACTIONS(4959),
    [anon_sym_COLON_GT] = ACTIONS(4957),
    [anon_sym_EQ] = ACTIONS(4957),
    [anon_sym_TILDE] = ACTIONS(4957),
    [anon_sym_QMARK] = ACTIONS(4957),
    [anon_sym_LPAREN] = ACTIONS(5089),
    [anon_sym_external] = ACTIONS(4959),
    [anon_sym_type] = ACTIONS(4959),
    [anon_sym_COMMA] = ACTIONS(4957),
    [anon_sym_PIPE] = ACTIONS(4957),
    [anon_sym_LBRACK] = ACTIONS(5091),
    [anon_sym_true] = ACTIONS(5093),
    [anon_sym_false] = ACTIONS(5093),
    [anon_sym_COLON2] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(5095),
    [anon_sym_exception] = ACTIONS(4959),
    [anon_sym_module] = ACTIONS(4959),
    [anon_sym_open] = ACTIONS(4959),
    [anon_sym_include] = ACTIONS(4959),
    [anon_sym_class] = ACTIONS(4959),
    [anon_sym_end] = ACTIONS(4959),
    [anon_sym_as] = ACTIONS(4959),
    [anon_sym_POUND] = ACTIONS(5097),
    [anon_sym_COLON_COLON] = ACTIONS(4957),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5099),
    [anon_sym_lazy] = ACTIONS(5101),
    [anon_sym_begin] = ACTIONS(5103),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4959),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4957),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5107),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4957),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4957),
    [aux_sym_number_token1] = ACTIONS(5109),
    [aux_sym_signed_number_token1] = ACTIONS(5111),
    [anon_sym_SQUOTE] = ACTIONS(5113),
    [anon_sym_DQUOTE] = ACTIONS(5115),
    [sym_let_operator] = ACTIONS(4957),
    [sym_let_and_operator] = ACTIONS(4957),
    [sym__capitalized_identifier] = ACTIONS(5117),
    [aux_sym_directive_token1] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(5119),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2449] = {
    [sym__binding_pattern] = STATE(5646),
    [sym_alias_binding_pattern] = STATE(5561),
    [sym_typed_binding_pattern] = STATE(5561),
    [sym_or_binding_pattern] = STATE(5561),
    [sym_constructor_binding_pattern] = STATE(5561),
    [sym_tag_binding_pattern] = STATE(5561),
    [sym_polymorphic_variant_pattern] = STATE(5561),
    [sym_tuple_binding_pattern] = STATE(5561),
    [sym_record_binding_pattern] = STATE(5563),
    [sym_list_binding_pattern] = STATE(5565),
    [sym_cons_binding_pattern] = STATE(5561),
    [sym_array_binding_pattern] = STATE(5566),
    [sym_range_pattern] = STATE(5561),
    [sym_lazy_binding_pattern] = STATE(5561),
    [sym_local_open_binding_pattern] = STATE(5561),
    [sym_package_pattern] = STATE(5561),
    [sym_parenthesized_binding_pattern] = STATE(5561),
    [sym_attribute] = STATE(2449),
    [sym_extension] = STATE(5561),
    [sym_quoted_extension] = STATE(5561),
    [sym__constant] = STATE(5506),
    [sym__signed_constant] = STATE(5468),
    [sym_number] = STATE(5458),
    [sym_signed_number] = STATE(5506),
    [sym_character] = STATE(5458),
    [sym_string] = STATE(5458),
    [sym_quoted_string] = STATE(5458),
    [sym_boolean] = STATE(5458),
    [sym_unit] = STATE(5458),
    [sym__value_name] = STATE(5561),
    [sym_parenthesized_operator] = STATE(5606),
    [sym_module_path] = STATE(19187),
    [sym_constructor_path] = STATE(2449),
    [sym__constructor_name] = STATE(5459),
    [sym_tag] = STATE(2450),
    [sym__identifier] = ACTIONS(5121),
    [anon_sym_SEMI_SEMI] = ACTIONS(4957),
    [anon_sym_let] = ACTIONS(4959),
    [anon_sym_and] = ACTIONS(4959),
    [anon_sym_COLON_GT] = ACTIONS(4957),
    [anon_sym_EQ] = ACTIONS(4957),
    [anon_sym_TILDE] = ACTIONS(4957),
    [anon_sym_QMARK] = ACTIONS(4957),
    [anon_sym_LPAREN] = ACTIONS(5123),
    [anon_sym_external] = ACTIONS(4959),
    [anon_sym_type] = ACTIONS(4959),
    [anon_sym_COMMA] = ACTIONS(4957),
    [anon_sym_PIPE] = ACTIONS(4957),
    [anon_sym_LBRACK] = ACTIONS(5125),
    [anon_sym_RBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(5127),
    [anon_sym_false] = ACTIONS(5127),
    [anon_sym_COLON2] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(5129),
    [anon_sym_exception] = ACTIONS(4959),
    [anon_sym_module] = ACTIONS(4959),
    [anon_sym_open] = ACTIONS(4959),
    [anon_sym_include] = ACTIONS(4959),
    [anon_sym_class] = ACTIONS(4959),
    [anon_sym_as] = ACTIONS(4959),
    [anon_sym_POUND] = ACTIONS(5131),
    [anon_sym_COLON_COLON] = ACTIONS(4957),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5133),
    [anon_sym_lazy] = ACTIONS(5135),
    [anon_sym_begin] = ACTIONS(5137),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4959),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4957),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5141),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4957),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4957),
    [aux_sym_number_token1] = ACTIONS(5143),
    [aux_sym_signed_number_token1] = ACTIONS(5145),
    [anon_sym_SQUOTE] = ACTIONS(5147),
    [anon_sym_DQUOTE] = ACTIONS(5149),
    [sym_let_operator] = ACTIONS(4957),
    [sym_let_and_operator] = ACTIONS(4957),
    [sym__capitalized_identifier] = ACTIONS(5151),
    [aux_sym_directive_token1] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(5153),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2450] = {
    [sym__binding_pattern] = STATE(5648),
    [sym_alias_binding_pattern] = STATE(5561),
    [sym_typed_binding_pattern] = STATE(5561),
    [sym_or_binding_pattern] = STATE(5561),
    [sym_constructor_binding_pattern] = STATE(5561),
    [sym_tag_binding_pattern] = STATE(5561),
    [sym_polymorphic_variant_pattern] = STATE(5561),
    [sym_tuple_binding_pattern] = STATE(5561),
    [sym_record_binding_pattern] = STATE(5563),
    [sym_list_binding_pattern] = STATE(5565),
    [sym_cons_binding_pattern] = STATE(5561),
    [sym_array_binding_pattern] = STATE(5566),
    [sym_range_pattern] = STATE(5561),
    [sym_lazy_binding_pattern] = STATE(5561),
    [sym_local_open_binding_pattern] = STATE(5561),
    [sym_package_pattern] = STATE(5561),
    [sym_parenthesized_binding_pattern] = STATE(5561),
    [sym_attribute] = STATE(2450),
    [sym_extension] = STATE(5561),
    [sym_quoted_extension] = STATE(5561),
    [sym__constant] = STATE(5506),
    [sym__signed_constant] = STATE(5468),
    [sym_number] = STATE(5458),
    [sym_signed_number] = STATE(5506),
    [sym_character] = STATE(5458),
    [sym_string] = STATE(5458),
    [sym_quoted_string] = STATE(5458),
    [sym_boolean] = STATE(5458),
    [sym_unit] = STATE(5458),
    [sym__value_name] = STATE(5561),
    [sym_parenthesized_operator] = STATE(5606),
    [sym_module_path] = STATE(19187),
    [sym_constructor_path] = STATE(2449),
    [sym__constructor_name] = STATE(5459),
    [sym_tag] = STATE(2450),
    [sym__identifier] = ACTIONS(5121),
    [anon_sym_SEMI_SEMI] = ACTIONS(4957),
    [anon_sym_let] = ACTIONS(4959),
    [anon_sym_and] = ACTIONS(4959),
    [anon_sym_COLON_GT] = ACTIONS(4957),
    [anon_sym_EQ] = ACTIONS(4957),
    [anon_sym_TILDE] = ACTIONS(4957),
    [anon_sym_QMARK] = ACTIONS(4957),
    [anon_sym_LPAREN] = ACTIONS(5123),
    [anon_sym_external] = ACTIONS(4959),
    [anon_sym_type] = ACTIONS(4959),
    [anon_sym_COMMA] = ACTIONS(4957),
    [anon_sym_PIPE] = ACTIONS(4957),
    [anon_sym_LBRACK] = ACTIONS(5125),
    [anon_sym_RBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(5127),
    [anon_sym_false] = ACTIONS(5127),
    [anon_sym_COLON2] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(5129),
    [anon_sym_exception] = ACTIONS(4959),
    [anon_sym_module] = ACTIONS(4959),
    [anon_sym_open] = ACTIONS(4959),
    [anon_sym_include] = ACTIONS(4959),
    [anon_sym_class] = ACTIONS(4959),
    [anon_sym_as] = ACTIONS(4959),
    [anon_sym_POUND] = ACTIONS(5131),
    [anon_sym_COLON_COLON] = ACTIONS(4957),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5133),
    [anon_sym_lazy] = ACTIONS(5135),
    [anon_sym_begin] = ACTIONS(5137),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4959),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4957),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5141),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4957),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4957),
    [aux_sym_number_token1] = ACTIONS(5143),
    [aux_sym_signed_number_token1] = ACTIONS(5145),
    [anon_sym_SQUOTE] = ACTIONS(5147),
    [anon_sym_DQUOTE] = ACTIONS(5149),
    [sym_let_operator] = ACTIONS(4957),
    [sym_let_and_operator] = ACTIONS(4957),
    [sym__capitalized_identifier] = ACTIONS(5151),
    [aux_sym_directive_token1] = ACTIONS(4959),
    [aux_sym_tag_token1] = ACTIONS(5153),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2451] = {
    [sym__simple_expression] = STATE(6122),
    [sym_typed_expression] = STATE(6116),
    [sym_list_expression] = STATE(6116),
    [sym_array_expression] = STATE(6116),
    [sym_record_expression] = STATE(6116),
    [sym_labeled_argument] = STATE(7415),
    [sym_prefix_expression] = STATE(6116),
    [sym_hash_expression] = STATE(6116),
    [sym_field_get_expression] = STATE(6116),
    [sym_array_get_expression] = STATE(6116),
    [sym_string_get_expression] = STATE(6116),
    [sym_bigarray_get_expression] = STATE(6116),
    [sym_coercion_expression] = STATE(6116),
    [sym_local_open_expression] = STATE(6116),
    [sym_package_expression] = STATE(6116),
    [sym_new_expression] = STATE(6116),
    [sym_object_copy_expression] = STATE(6116),
    [sym_method_invocation] = STATE(6116),
    [sym_object_expression] = STATE(6116),
    [sym_parenthesized_expression] = STATE(6116),
    [sym_attribute] = STATE(2451),
    [sym_extension] = STATE(6116),
    [sym_quoted_extension] = STATE(6116),
    [sym__constant] = STATE(6116),
    [sym_number] = STATE(5848),
    [sym_character] = STATE(5848),
    [sym_string] = STATE(5848),
    [sym_quoted_string] = STATE(5848),
    [sym_boolean] = STATE(5848),
    [sym_unit] = STATE(5848),
    [sym__value_name] = STATE(5908),
    [sym_parenthesized_operator] = STATE(5895),
    [sym_value_path] = STATE(6116),
    [sym_module_path] = STATE(18667),
    [sym_constructor_path] = STATE(6116),
    [sym__constructor_name] = STATE(5849),
    [sym_tag] = STATE(6116),
    [aux_sym_class_application_repeat1] = STATE(2484),
    [sym__identifier] = ACTIONS(5155),
    [anon_sym_TILDE] = ACTIONS(5157),
    [anon_sym_QMARK] = ACTIONS(5157),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_DOT] = ACTIONS(5159),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_POUND] = ACTIONS(5161),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_to] = ACTIONS(3083),
    [anon_sym_downto] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(5163),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2452] = {
    [sym__simple_expression] = STATE(6416),
    [sym_typed_expression] = STATE(6261),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_labeled_argument] = STATE(7549),
    [sym_prefix_expression] = STATE(6261),
    [sym_hash_expression] = STATE(6261),
    [sym_field_get_expression] = STATE(6261),
    [sym_array_get_expression] = STATE(6261),
    [sym_string_get_expression] = STATE(6261),
    [sym_bigarray_get_expression] = STATE(6261),
    [sym_coercion_expression] = STATE(6261),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(2452),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [aux_sym_class_application_repeat1] = STATE(2494),
    [sym__identifier] = ACTIONS(5165),
    [anon_sym_TILDE] = ACTIONS(5167),
    [anon_sym_QMARK] = ACTIONS(5167),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_DOT] = ACTIONS(5169),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_with] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_POUND] = ACTIONS(5171),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(5173),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2453] = {
    [sym__simple_expression] = STATE(6479),
    [sym_typed_expression] = STATE(6315),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_labeled_argument] = STATE(7500),
    [sym_prefix_expression] = STATE(6315),
    [sym_hash_expression] = STATE(6315),
    [sym_field_get_expression] = STATE(6315),
    [sym_array_get_expression] = STATE(6315),
    [sym_string_get_expression] = STATE(6315),
    [sym_bigarray_get_expression] = STATE(6315),
    [sym_coercion_expression] = STATE(6315),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(2453),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [aux_sym_class_application_repeat1] = STATE(2495),
    [sym__identifier] = ACTIONS(5175),
    [anon_sym_TILDE] = ACTIONS(5177),
    [anon_sym_QMARK] = ACTIONS(5177),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_DOT] = ACTIONS(5179),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_end] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_POUND] = ACTIONS(5181),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(5183),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2454] = {
    [sym__simple_expression] = STATE(6331),
    [sym_typed_expression] = STATE(6172),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_labeled_argument] = STATE(7620),
    [sym_prefix_expression] = STATE(6172),
    [sym_hash_expression] = STATE(6172),
    [sym_field_get_expression] = STATE(6172),
    [sym_array_get_expression] = STATE(6172),
    [sym_string_get_expression] = STATE(6172),
    [sym_bigarray_get_expression] = STATE(6172),
    [sym_coercion_expression] = STATE(6172),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(2454),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [aux_sym_class_application_repeat1] = STATE(2498),
    [sym__identifier] = ACTIONS(5185),
    [anon_sym_TILDE] = ACTIONS(5187),
    [anon_sym_QMARK] = ACTIONS(5187),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_DOT] = ACTIONS(5189),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_POUND] = ACTIONS(5191),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_then] = ACTIONS(3083),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(5193),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2455] = {
    [sym__simple_expression] = STATE(5702),
    [sym_typed_expression] = STATE(5626),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_labeled_argument] = STATE(6636),
    [sym_prefix_expression] = STATE(5626),
    [sym_hash_expression] = STATE(5626),
    [sym_field_get_expression] = STATE(5626),
    [sym_array_get_expression] = STATE(5626),
    [sym_string_get_expression] = STATE(5626),
    [sym_bigarray_get_expression] = STATE(5626),
    [sym_coercion_expression] = STATE(5626),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(2455),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [aux_sym_class_application_repeat1] = STATE(2455),
    [sym__identifier] = ACTIONS(5195),
    [anon_sym_and] = ACTIONS(3572),
    [anon_sym_TILDE] = ACTIONS(5198),
    [anon_sym_QMARK] = ACTIONS(5198),
    [anon_sym_LPAREN] = ACTIONS(5201),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(5204),
    [anon_sym_true] = ACTIONS(5207),
    [anon_sym_false] = ACTIONS(5207),
    [anon_sym_LBRACE] = ACTIONS(5210),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_object] = ACTIONS(5213),
    [anon_sym_in] = ACTIONS(3572),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5216),
    [anon_sym_else] = ACTIONS(3572),
    [anon_sym_new] = ACTIONS(5219),
    [anon_sym_LBRACE_LT] = ACTIONS(5222),
    [anon_sym_begin] = ACTIONS(5225),
    [sym_ocamlyacc_value] = ACTIONS(5228),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3570),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5234),
    [aux_sym_number_token1] = ACTIONS(5237),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(5240),
    [anon_sym_DQUOTE] = ACTIONS(5243),
    [sym_prefix_operator] = ACTIONS(5246),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym_let_and_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(5249),
    [aux_sym_tag_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2456] = {
    [sym__simple_expression] = STATE(6152),
    [sym_typed_expression] = STATE(6376),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_labeled_argument] = STATE(7555),
    [sym_prefix_expression] = STATE(6376),
    [sym_hash_expression] = STATE(6376),
    [sym_field_get_expression] = STATE(6376),
    [sym_array_get_expression] = STATE(6376),
    [sym_string_get_expression] = STATE(6376),
    [sym_bigarray_get_expression] = STATE(6376),
    [sym_coercion_expression] = STATE(6376),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(2456),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [aux_sym_class_application_repeat1] = STATE(2505),
    [sym__identifier] = ACTIONS(5255),
    [anon_sym_TILDE] = ACTIONS(5257),
    [anon_sym_QMARK] = ACTIONS(5257),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_DOT] = ACTIONS(5259),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_POUND] = ACTIONS(5261),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_to] = ACTIONS(3083),
    [anon_sym_downto] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(5263),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2457] = {
    [sym__simple_expression] = STATE(5702),
    [sym_typed_expression] = STATE(5626),
    [sym_list_expression] = STATE(5626),
    [sym_array_expression] = STATE(5626),
    [sym_record_expression] = STATE(5626),
    [sym_labeled_argument] = STATE(6636),
    [sym_prefix_expression] = STATE(5626),
    [sym_hash_expression] = STATE(5626),
    [sym_field_get_expression] = STATE(5626),
    [sym_array_get_expression] = STATE(5626),
    [sym_string_get_expression] = STATE(5626),
    [sym_bigarray_get_expression] = STATE(5626),
    [sym_coercion_expression] = STATE(5626),
    [sym_local_open_expression] = STATE(5626),
    [sym_package_expression] = STATE(5626),
    [sym_new_expression] = STATE(5626),
    [sym_object_copy_expression] = STATE(5626),
    [sym_method_invocation] = STATE(5626),
    [sym_object_expression] = STATE(5626),
    [sym_parenthesized_expression] = STATE(5626),
    [sym_attribute] = STATE(2457),
    [sym_extension] = STATE(5626),
    [sym_quoted_extension] = STATE(5626),
    [sym__constant] = STATE(5626),
    [sym_number] = STATE(5592),
    [sym_character] = STATE(5592),
    [sym_string] = STATE(5592),
    [sym_quoted_string] = STATE(5592),
    [sym_boolean] = STATE(5592),
    [sym_unit] = STATE(5592),
    [sym__value_name] = STATE(5671),
    [sym_parenthesized_operator] = STATE(5599),
    [sym_value_path] = STATE(5626),
    [sym_module_path] = STATE(18743),
    [sym_constructor_path] = STATE(5626),
    [sym__constructor_name] = STATE(5594),
    [sym_tag] = STATE(5626),
    [aux_sym_class_application_repeat1] = STATE(2455),
    [sym__identifier] = ACTIONS(4935),
    [anon_sym_and] = ACTIONS(3505),
    [anon_sym_TILDE] = ACTIONS(4937),
    [anon_sym_QMARK] = ACTIONS(4937),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_SEMI] = ACTIONS(3503),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_in] = ACTIONS(3505),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_else] = ACTIONS(3505),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3503),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym_let_and_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2458] = {
    [sym__simple_expression] = STATE(6386),
    [sym_typed_expression] = STATE(6215),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_labeled_argument] = STATE(7691),
    [sym_prefix_expression] = STATE(6215),
    [sym_hash_expression] = STATE(6215),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_coercion_expression] = STATE(6215),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(2458),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [aux_sym_class_application_repeat1] = STATE(2488),
    [sym__identifier] = ACTIONS(5265),
    [anon_sym_TILDE] = ACTIONS(5267),
    [anon_sym_QMARK] = ACTIONS(5267),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_DOT] = ACTIONS(5269),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_POUND] = ACTIONS(5271),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_do] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(5273),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2459] = {
    [sym__simple_expression] = STATE(6585),
    [sym_typed_expression] = STATE(6579),
    [sym_list_expression] = STATE(6579),
    [sym_array_expression] = STATE(6579),
    [sym_record_expression] = STATE(6579),
    [sym_labeled_argument] = STATE(7562),
    [sym_prefix_expression] = STATE(6579),
    [sym_hash_expression] = STATE(6579),
    [sym_field_get_expression] = STATE(6579),
    [sym_array_get_expression] = STATE(6579),
    [sym_string_get_expression] = STATE(6579),
    [sym_bigarray_get_expression] = STATE(6579),
    [sym_coercion_expression] = STATE(6579),
    [sym_local_open_expression] = STATE(6579),
    [sym_package_expression] = STATE(6579),
    [sym_new_expression] = STATE(6579),
    [sym_object_copy_expression] = STATE(6579),
    [sym_method_invocation] = STATE(6579),
    [sym_object_expression] = STATE(6579),
    [sym_parenthesized_expression] = STATE(6579),
    [sym_attribute] = STATE(2459),
    [sym_extension] = STATE(6579),
    [sym_quoted_extension] = STATE(6579),
    [sym__constant] = STATE(6579),
    [sym_number] = STATE(6534),
    [sym_character] = STATE(6534),
    [sym_string] = STATE(6534),
    [sym_quoted_string] = STATE(6534),
    [sym_boolean] = STATE(6534),
    [sym_unit] = STATE(6534),
    [sym__value_name] = STATE(6629),
    [sym_parenthesized_operator] = STATE(6159),
    [sym_value_path] = STATE(6579),
    [sym_module_path] = STATE(18629),
    [sym_constructor_path] = STATE(6579),
    [sym__constructor_name] = STATE(6641),
    [sym_tag] = STATE(6579),
    [aux_sym_class_application_repeat1] = STATE(2499),
    [sym__identifier] = ACTIONS(5275),
    [anon_sym_TILDE] = ACTIONS(5277),
    [anon_sym_QMARK] = ACTIONS(5277),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_true] = ACTIONS(2475),
    [anon_sym_false] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(5279),
    [anon_sym_LBRACE] = ACTIONS(2477),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_object] = ACTIONS(2479),
    [anon_sym_POUND] = ACTIONS(5281),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2483),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_done] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_LBRACE_LT] = ACTIONS(2495),
    [anon_sym_begin] = ACTIONS(2497),
    [sym_ocamlyacc_value] = ACTIONS(2499),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2501),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2503),
    [aux_sym_number_token1] = ACTIONS(2505),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [sym_prefix_operator] = ACTIONS(2511),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(5283),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(2515),
    [aux_sym_tag_token1] = ACTIONS(2517),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2460] = {
    [sym__abstract_type] = STATE(19400),
    [sym__simple_pattern] = STATE(13066),
    [sym__pattern] = STATE(13767),
    [sym_alias_pattern] = STATE(13066),
    [sym_typed_pattern] = STATE(13062),
    [sym_or_pattern] = STATE(13066),
    [sym_constructor_pattern] = STATE(13066),
    [sym_tag_pattern] = STATE(13066),
    [sym_polymorphic_variant_pattern] = STATE(13062),
    [sym_tuple_pattern] = STATE(13066),
    [sym_record_pattern] = STATE(13062),
    [sym_list_pattern] = STATE(13062),
    [sym_cons_pattern] = STATE(13066),
    [sym_array_pattern] = STATE(13062),
    [sym_range_pattern] = STATE(13066),
    [sym_lazy_pattern] = STATE(13066),
    [sym_local_open_pattern] = STATE(13062),
    [sym_package_pattern] = STATE(13062),
    [sym_parenthesized_pattern] = STATE(13062),
    [sym_exception_pattern] = STATE(13066),
    [sym_attribute] = STATE(2460),
    [sym_extension] = STATE(13062),
    [sym_quoted_extension] = STATE(13062),
    [sym__constant] = STATE(12890),
    [sym__signed_constant] = STATE(12883),
    [sym_number] = STATE(12089),
    [sym_signed_number] = STATE(12890),
    [sym_character] = STATE(12089),
    [sym_string] = STATE(12089),
    [sym_quoted_string] = STATE(12089),
    [sym_boolean] = STATE(12089),
    [sym_unit] = STATE(12089),
    [sym__infix_operator] = STATE(20369),
    [sym_add_operator] = STATE(20077),
    [sym__simple_value_pattern] = STATE(13062),
    [sym_parenthesized_operator] = STATE(13062),
    [sym_module_path] = STATE(20052),
    [sym_constructor_path] = STATE(2588),
    [sym__constructor_name] = STATE(8568),
    [sym_tag] = STATE(2593),
    [sym__identifier] = ACTIONS(5285),
    [anon_sym_LPAREN] = ACTIONS(5287),
    [anon_sym_RPAREN] = ACTIONS(5289),
    [anon_sym_type] = ACTIONS(5291),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_true] = ACTIONS(5295),
    [anon_sym_false] = ACTIONS(5295),
    [anon_sym_DOT] = ACTIONS(5297),
    [anon_sym_LBRACE] = ACTIONS(5299),
    [anon_sym_exception] = ACTIONS(5301),
    [anon_sym_module] = ACTIONS(5303),
    [anon_sym_POUND] = ACTIONS(5305),
    [anon_sym_COLON_COLON] = ACTIONS(5307),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5309),
    [anon_sym_lazy] = ACTIONS(5311),
    [anon_sym_begin] = ACTIONS(5313),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5315),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5317),
    [aux_sym_number_token1] = ACTIONS(5319),
    [aux_sym_signed_number_token1] = ACTIONS(5321),
    [anon_sym_SQUOTE] = ACTIONS(5323),
    [anon_sym_DQUOTE] = ACTIONS(5325),
    [sym_prefix_operator] = ACTIONS(5327),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5327),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5327),
    [sym_let_and_operator] = ACTIONS(5327),
    [sym_match_operator] = ACTIONS(5327),
    [sym__capitalized_identifier] = ACTIONS(5329),
    [aux_sym_tag_token1] = ACTIONS(5331),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2461] = {
    [sym__abstract_type] = STATE(20342),
    [sym__simple_pattern] = STATE(13066),
    [sym__pattern] = STATE(13684),
    [sym_alias_pattern] = STATE(13066),
    [sym_typed_pattern] = STATE(13062),
    [sym_or_pattern] = STATE(13066),
    [sym_constructor_pattern] = STATE(13066),
    [sym_tag_pattern] = STATE(13066),
    [sym_polymorphic_variant_pattern] = STATE(13062),
    [sym_tuple_pattern] = STATE(13066),
    [sym_record_pattern] = STATE(13062),
    [sym_list_pattern] = STATE(13062),
    [sym_cons_pattern] = STATE(13066),
    [sym_array_pattern] = STATE(13062),
    [sym_range_pattern] = STATE(13066),
    [sym_lazy_pattern] = STATE(13066),
    [sym_local_open_pattern] = STATE(13062),
    [sym_package_pattern] = STATE(13062),
    [sym_parenthesized_pattern] = STATE(13062),
    [sym_exception_pattern] = STATE(13066),
    [sym_attribute] = STATE(2461),
    [sym_extension] = STATE(13062),
    [sym_quoted_extension] = STATE(13062),
    [sym__constant] = STATE(12890),
    [sym__signed_constant] = STATE(12883),
    [sym_number] = STATE(12089),
    [sym_signed_number] = STATE(12890),
    [sym_character] = STATE(12089),
    [sym_string] = STATE(12089),
    [sym_quoted_string] = STATE(12089),
    [sym_boolean] = STATE(12089),
    [sym_unit] = STATE(12089),
    [sym__infix_operator] = STATE(19236),
    [sym_add_operator] = STATE(20077),
    [sym__simple_value_pattern] = STATE(13062),
    [sym_parenthesized_operator] = STATE(13062),
    [sym_module_path] = STATE(20052),
    [sym_constructor_path] = STATE(2588),
    [sym__constructor_name] = STATE(8568),
    [sym_tag] = STATE(2593),
    [sym__identifier] = ACTIONS(5285),
    [anon_sym_LPAREN] = ACTIONS(5287),
    [anon_sym_RPAREN] = ACTIONS(5333),
    [anon_sym_type] = ACTIONS(5291),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_true] = ACTIONS(5295),
    [anon_sym_false] = ACTIONS(5295),
    [anon_sym_DOT] = ACTIONS(5335),
    [anon_sym_LBRACE] = ACTIONS(5299),
    [anon_sym_exception] = ACTIONS(5301),
    [anon_sym_module] = ACTIONS(5337),
    [anon_sym_POUND] = ACTIONS(5305),
    [anon_sym_COLON_COLON] = ACTIONS(5339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5309),
    [anon_sym_lazy] = ACTIONS(5311),
    [anon_sym_begin] = ACTIONS(5313),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5315),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5317),
    [aux_sym_number_token1] = ACTIONS(5319),
    [aux_sym_signed_number_token1] = ACTIONS(5321),
    [anon_sym_SQUOTE] = ACTIONS(5323),
    [anon_sym_DQUOTE] = ACTIONS(5325),
    [sym_prefix_operator] = ACTIONS(5341),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5341),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5341),
    [sym_let_and_operator] = ACTIONS(5341),
    [sym_match_operator] = ACTIONS(5341),
    [sym__capitalized_identifier] = ACTIONS(5329),
    [aux_sym_tag_token1] = ACTIONS(5331),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2462] = {
    [sym__simple_expression] = STATE(7259),
    [sym_typed_expression] = STATE(6867),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_labeled_argument] = STATE(7767),
    [sym_prefix_expression] = STATE(6867),
    [sym_hash_expression] = STATE(6867),
    [sym_field_get_expression] = STATE(6867),
    [sym_array_get_expression] = STATE(6867),
    [sym_string_get_expression] = STATE(6867),
    [sym_bigarray_get_expression] = STATE(6867),
    [sym_coercion_expression] = STATE(6867),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(2462),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [aux_sym_class_application_repeat1] = STATE(2518),
    [sym__identifier] = ACTIONS(5343),
    [anon_sym_TILDE] = ACTIONS(5345),
    [anon_sym_QMARK] = ACTIONS(5345),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_DOT] = ACTIONS(5347),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_end] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_POUND] = ACTIONS(5349),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(5351),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2463] = {
    [sym__abstract_type] = STATE(20033),
    [sym__simple_pattern] = STATE(13066),
    [sym__pattern] = STATE(13495),
    [sym_alias_pattern] = STATE(13066),
    [sym_typed_pattern] = STATE(13062),
    [sym_or_pattern] = STATE(13066),
    [sym_constructor_pattern] = STATE(13066),
    [sym_tag_pattern] = STATE(13066),
    [sym_polymorphic_variant_pattern] = STATE(13062),
    [sym_tuple_pattern] = STATE(13066),
    [sym_record_pattern] = STATE(13062),
    [sym_list_pattern] = STATE(13062),
    [sym_cons_pattern] = STATE(13066),
    [sym_array_pattern] = STATE(13062),
    [sym_range_pattern] = STATE(13066),
    [sym_lazy_pattern] = STATE(13066),
    [sym_local_open_pattern] = STATE(13062),
    [sym_package_pattern] = STATE(13062),
    [sym_parenthesized_pattern] = STATE(13062),
    [sym_exception_pattern] = STATE(13066),
    [sym_attribute] = STATE(2463),
    [sym_extension] = STATE(13062),
    [sym_quoted_extension] = STATE(13062),
    [sym__constant] = STATE(12890),
    [sym__signed_constant] = STATE(12883),
    [sym_number] = STATE(12089),
    [sym_signed_number] = STATE(12890),
    [sym_character] = STATE(12089),
    [sym_string] = STATE(12089),
    [sym_quoted_string] = STATE(12089),
    [sym_boolean] = STATE(12089),
    [sym_unit] = STATE(12089),
    [sym__infix_operator] = STATE(19289),
    [sym_add_operator] = STATE(20077),
    [sym__simple_value_pattern] = STATE(13062),
    [sym_parenthesized_operator] = STATE(13062),
    [sym_module_path] = STATE(20052),
    [sym_constructor_path] = STATE(2588),
    [sym__constructor_name] = STATE(8568),
    [sym_tag] = STATE(2593),
    [sym__identifier] = ACTIONS(5285),
    [anon_sym_LPAREN] = ACTIONS(5287),
    [anon_sym_RPAREN] = ACTIONS(5353),
    [anon_sym_type] = ACTIONS(5291),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_true] = ACTIONS(5295),
    [anon_sym_false] = ACTIONS(5295),
    [anon_sym_DOT] = ACTIONS(5355),
    [anon_sym_LBRACE] = ACTIONS(5299),
    [anon_sym_exception] = ACTIONS(5301),
    [anon_sym_module] = ACTIONS(5357),
    [anon_sym_POUND] = ACTIONS(5305),
    [anon_sym_COLON_COLON] = ACTIONS(5359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5309),
    [anon_sym_lazy] = ACTIONS(5311),
    [anon_sym_begin] = ACTIONS(5313),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5315),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5317),
    [aux_sym_number_token1] = ACTIONS(5319),
    [aux_sym_signed_number_token1] = ACTIONS(5321),
    [anon_sym_SQUOTE] = ACTIONS(5323),
    [anon_sym_DQUOTE] = ACTIONS(5325),
    [sym_prefix_operator] = ACTIONS(5361),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5361),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5361),
    [sym_let_and_operator] = ACTIONS(5361),
    [sym_match_operator] = ACTIONS(5361),
    [sym__capitalized_identifier] = ACTIONS(5329),
    [aux_sym_tag_token1] = ACTIONS(5331),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2464] = {
    [sym__abstract_type] = STATE(19711),
    [sym__simple_pattern] = STATE(13066),
    [sym__pattern] = STATE(13562),
    [sym_alias_pattern] = STATE(13066),
    [sym_typed_pattern] = STATE(13062),
    [sym_or_pattern] = STATE(13066),
    [sym_constructor_pattern] = STATE(13066),
    [sym_tag_pattern] = STATE(13066),
    [sym_polymorphic_variant_pattern] = STATE(13062),
    [sym_tuple_pattern] = STATE(13066),
    [sym_record_pattern] = STATE(13062),
    [sym_list_pattern] = STATE(13062),
    [sym_cons_pattern] = STATE(13066),
    [sym_array_pattern] = STATE(13062),
    [sym_range_pattern] = STATE(13066),
    [sym_lazy_pattern] = STATE(13066),
    [sym_local_open_pattern] = STATE(13062),
    [sym_package_pattern] = STATE(13062),
    [sym_parenthesized_pattern] = STATE(13062),
    [sym_exception_pattern] = STATE(13066),
    [sym_attribute] = STATE(2464),
    [sym_extension] = STATE(13062),
    [sym_quoted_extension] = STATE(13062),
    [sym__constant] = STATE(12890),
    [sym__signed_constant] = STATE(12883),
    [sym_number] = STATE(12089),
    [sym_signed_number] = STATE(12890),
    [sym_character] = STATE(12089),
    [sym_string] = STATE(12089),
    [sym_quoted_string] = STATE(12089),
    [sym_boolean] = STATE(12089),
    [sym_unit] = STATE(12089),
    [sym__infix_operator] = STATE(17946),
    [sym_add_operator] = STATE(20077),
    [sym__simple_value_pattern] = STATE(13062),
    [sym_parenthesized_operator] = STATE(13062),
    [sym_module_path] = STATE(20052),
    [sym_constructor_path] = STATE(2588),
    [sym__constructor_name] = STATE(8568),
    [sym_tag] = STATE(2593),
    [sym__identifier] = ACTIONS(5285),
    [anon_sym_LPAREN] = ACTIONS(5287),
    [anon_sym_RPAREN] = ACTIONS(5363),
    [anon_sym_type] = ACTIONS(5291),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_true] = ACTIONS(5295),
    [anon_sym_false] = ACTIONS(5295),
    [anon_sym_DOT] = ACTIONS(5365),
    [anon_sym_LBRACE] = ACTIONS(5299),
    [anon_sym_exception] = ACTIONS(5301),
    [anon_sym_module] = ACTIONS(5367),
    [anon_sym_POUND] = ACTIONS(5305),
    [anon_sym_COLON_COLON] = ACTIONS(5369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5309),
    [anon_sym_lazy] = ACTIONS(5311),
    [anon_sym_begin] = ACTIONS(5313),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5315),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5317),
    [aux_sym_number_token1] = ACTIONS(5319),
    [aux_sym_signed_number_token1] = ACTIONS(5321),
    [anon_sym_SQUOTE] = ACTIONS(5323),
    [anon_sym_DQUOTE] = ACTIONS(5325),
    [sym_prefix_operator] = ACTIONS(5371),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5371),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5371),
    [sym_let_and_operator] = ACTIONS(5371),
    [sym_match_operator] = ACTIONS(5371),
    [sym__capitalized_identifier] = ACTIONS(5329),
    [aux_sym_tag_token1] = ACTIONS(5331),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2465] = {
    [sym__simple_expression] = STATE(6716),
    [sym_typed_expression] = STATE(6984),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_labeled_argument] = STATE(7720),
    [sym_prefix_expression] = STATE(6984),
    [sym_hash_expression] = STATE(6984),
    [sym_field_get_expression] = STATE(6984),
    [sym_array_get_expression] = STATE(6984),
    [sym_string_get_expression] = STATE(6984),
    [sym_bigarray_get_expression] = STATE(6984),
    [sym_coercion_expression] = STATE(6984),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(2465),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [aux_sym_class_application_repeat1] = STATE(2521),
    [sym__identifier] = ACTIONS(5373),
    [anon_sym_TILDE] = ACTIONS(5375),
    [anon_sym_QMARK] = ACTIONS(5375),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_DOT] = ACTIONS(5377),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_POUND] = ACTIONS(5379),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_do] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(5381),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2466] = {
    [sym__abstract_type] = STATE(19636),
    [sym__simple_pattern] = STATE(13066),
    [sym__pattern] = STATE(13626),
    [sym_alias_pattern] = STATE(13066),
    [sym_typed_pattern] = STATE(13062),
    [sym_or_pattern] = STATE(13066),
    [sym_constructor_pattern] = STATE(13066),
    [sym_tag_pattern] = STATE(13066),
    [sym_polymorphic_variant_pattern] = STATE(13062),
    [sym_tuple_pattern] = STATE(13066),
    [sym_record_pattern] = STATE(13062),
    [sym_list_pattern] = STATE(13062),
    [sym_cons_pattern] = STATE(13066),
    [sym_array_pattern] = STATE(13062),
    [sym_range_pattern] = STATE(13066),
    [sym_lazy_pattern] = STATE(13066),
    [sym_local_open_pattern] = STATE(13062),
    [sym_package_pattern] = STATE(13062),
    [sym_parenthesized_pattern] = STATE(13062),
    [sym_exception_pattern] = STATE(13066),
    [sym_attribute] = STATE(2466),
    [sym_extension] = STATE(13062),
    [sym_quoted_extension] = STATE(13062),
    [sym__constant] = STATE(12890),
    [sym__signed_constant] = STATE(12883),
    [sym_number] = STATE(12089),
    [sym_signed_number] = STATE(12890),
    [sym_character] = STATE(12089),
    [sym_string] = STATE(12089),
    [sym_quoted_string] = STATE(12089),
    [sym_boolean] = STATE(12089),
    [sym_unit] = STATE(12089),
    [sym__infix_operator] = STATE(18352),
    [sym_add_operator] = STATE(20077),
    [sym__simple_value_pattern] = STATE(13062),
    [sym_parenthesized_operator] = STATE(13062),
    [sym_module_path] = STATE(20052),
    [sym_constructor_path] = STATE(2588),
    [sym__constructor_name] = STATE(8568),
    [sym_tag] = STATE(2593),
    [sym__identifier] = ACTIONS(5285),
    [anon_sym_LPAREN] = ACTIONS(5287),
    [anon_sym_RPAREN] = ACTIONS(5383),
    [anon_sym_type] = ACTIONS(5291),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_true] = ACTIONS(5295),
    [anon_sym_false] = ACTIONS(5295),
    [anon_sym_DOT] = ACTIONS(5385),
    [anon_sym_LBRACE] = ACTIONS(5299),
    [anon_sym_exception] = ACTIONS(5301),
    [anon_sym_module] = ACTIONS(5387),
    [anon_sym_POUND] = ACTIONS(5305),
    [anon_sym_COLON_COLON] = ACTIONS(5389),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5309),
    [anon_sym_lazy] = ACTIONS(5311),
    [anon_sym_begin] = ACTIONS(5313),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5315),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5317),
    [aux_sym_number_token1] = ACTIONS(5319),
    [aux_sym_signed_number_token1] = ACTIONS(5321),
    [anon_sym_SQUOTE] = ACTIONS(5323),
    [anon_sym_DQUOTE] = ACTIONS(5325),
    [sym_prefix_operator] = ACTIONS(5391),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5391),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5391),
    [sym_let_and_operator] = ACTIONS(5391),
    [sym_match_operator] = ACTIONS(5391),
    [sym__capitalized_identifier] = ACTIONS(5329),
    [aux_sym_tag_token1] = ACTIONS(5331),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2467] = {
    [sym__abstract_type] = STATE(18204),
    [sym__simple_pattern] = STATE(13066),
    [sym__pattern] = STATE(13579),
    [sym_alias_pattern] = STATE(13066),
    [sym_typed_pattern] = STATE(13062),
    [sym_or_pattern] = STATE(13066),
    [sym_constructor_pattern] = STATE(13066),
    [sym_tag_pattern] = STATE(13066),
    [sym_polymorphic_variant_pattern] = STATE(13062),
    [sym_tuple_pattern] = STATE(13066),
    [sym_record_pattern] = STATE(13062),
    [sym_list_pattern] = STATE(13062),
    [sym_cons_pattern] = STATE(13066),
    [sym_array_pattern] = STATE(13062),
    [sym_range_pattern] = STATE(13066),
    [sym_lazy_pattern] = STATE(13066),
    [sym_local_open_pattern] = STATE(13062),
    [sym_package_pattern] = STATE(13062),
    [sym_parenthesized_pattern] = STATE(13062),
    [sym_exception_pattern] = STATE(13066),
    [sym_attribute] = STATE(2467),
    [sym_extension] = STATE(13062),
    [sym_quoted_extension] = STATE(13062),
    [sym__constant] = STATE(12890),
    [sym__signed_constant] = STATE(12883),
    [sym_number] = STATE(12089),
    [sym_signed_number] = STATE(12890),
    [sym_character] = STATE(12089),
    [sym_string] = STATE(12089),
    [sym_quoted_string] = STATE(12089),
    [sym_boolean] = STATE(12089),
    [sym_unit] = STATE(12089),
    [sym__infix_operator] = STATE(20426),
    [sym_add_operator] = STATE(20077),
    [sym__simple_value_pattern] = STATE(13062),
    [sym_parenthesized_operator] = STATE(13062),
    [sym_module_path] = STATE(20052),
    [sym_constructor_path] = STATE(2588),
    [sym__constructor_name] = STATE(8568),
    [sym_tag] = STATE(2593),
    [sym__identifier] = ACTIONS(5285),
    [anon_sym_LPAREN] = ACTIONS(5287),
    [anon_sym_RPAREN] = ACTIONS(5393),
    [anon_sym_type] = ACTIONS(5291),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_true] = ACTIONS(5295),
    [anon_sym_false] = ACTIONS(5295),
    [anon_sym_DOT] = ACTIONS(5395),
    [anon_sym_LBRACE] = ACTIONS(5299),
    [anon_sym_exception] = ACTIONS(5301),
    [anon_sym_module] = ACTIONS(5397),
    [anon_sym_POUND] = ACTIONS(5305),
    [anon_sym_COLON_COLON] = ACTIONS(5399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5309),
    [anon_sym_lazy] = ACTIONS(5311),
    [anon_sym_begin] = ACTIONS(5313),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5315),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5317),
    [aux_sym_number_token1] = ACTIONS(5319),
    [aux_sym_signed_number_token1] = ACTIONS(5321),
    [anon_sym_SQUOTE] = ACTIONS(5323),
    [anon_sym_DQUOTE] = ACTIONS(5325),
    [sym_prefix_operator] = ACTIONS(5401),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5401),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5401),
    [sym_let_and_operator] = ACTIONS(5401),
    [sym_match_operator] = ACTIONS(5401),
    [sym__capitalized_identifier] = ACTIONS(5329),
    [aux_sym_tag_token1] = ACTIONS(5331),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2468] = {
    [sym__abstract_type] = STATE(18204),
    [sym__simple_pattern] = STATE(13066),
    [sym__pattern] = STATE(13673),
    [sym_alias_pattern] = STATE(13066),
    [sym_typed_pattern] = STATE(13062),
    [sym_or_pattern] = STATE(13066),
    [sym_constructor_pattern] = STATE(13066),
    [sym_tag_pattern] = STATE(13066),
    [sym_polymorphic_variant_pattern] = STATE(13062),
    [sym_tuple_pattern] = STATE(13066),
    [sym_record_pattern] = STATE(13062),
    [sym_list_pattern] = STATE(13062),
    [sym_cons_pattern] = STATE(13066),
    [sym_array_pattern] = STATE(13062),
    [sym_range_pattern] = STATE(13066),
    [sym_lazy_pattern] = STATE(13066),
    [sym_local_open_pattern] = STATE(13062),
    [sym_package_pattern] = STATE(13062),
    [sym_parenthesized_pattern] = STATE(13062),
    [sym_exception_pattern] = STATE(13066),
    [sym_attribute] = STATE(2468),
    [sym_extension] = STATE(13062),
    [sym_quoted_extension] = STATE(13062),
    [sym__constant] = STATE(12890),
    [sym__signed_constant] = STATE(12883),
    [sym_number] = STATE(12089),
    [sym_signed_number] = STATE(12890),
    [sym_character] = STATE(12089),
    [sym_string] = STATE(12089),
    [sym_quoted_string] = STATE(12089),
    [sym_boolean] = STATE(12089),
    [sym_unit] = STATE(12089),
    [sym__infix_operator] = STATE(20036),
    [sym_add_operator] = STATE(20077),
    [sym__simple_value_pattern] = STATE(13062),
    [sym_parenthesized_operator] = STATE(13062),
    [sym_module_path] = STATE(20052),
    [sym_constructor_path] = STATE(2588),
    [sym__constructor_name] = STATE(8568),
    [sym_tag] = STATE(2593),
    [sym__identifier] = ACTIONS(5285),
    [anon_sym_LPAREN] = ACTIONS(5287),
    [anon_sym_RPAREN] = ACTIONS(2257),
    [anon_sym_type] = ACTIONS(5291),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_true] = ACTIONS(5295),
    [anon_sym_false] = ACTIONS(5295),
    [anon_sym_DOT] = ACTIONS(2259),
    [anon_sym_LBRACE] = ACTIONS(5299),
    [anon_sym_exception] = ACTIONS(5301),
    [anon_sym_module] = ACTIONS(5403),
    [anon_sym_POUND] = ACTIONS(5305),
    [anon_sym_COLON_COLON] = ACTIONS(5405),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5309),
    [anon_sym_lazy] = ACTIONS(5311),
    [anon_sym_begin] = ACTIONS(5313),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5315),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5317),
    [aux_sym_number_token1] = ACTIONS(5319),
    [aux_sym_signed_number_token1] = ACTIONS(5321),
    [anon_sym_SQUOTE] = ACTIONS(5323),
    [anon_sym_DQUOTE] = ACTIONS(5325),
    [sym_prefix_operator] = ACTIONS(2267),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(2267),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2267),
    [sym_let_and_operator] = ACTIONS(2267),
    [sym_match_operator] = ACTIONS(2267),
    [sym__capitalized_identifier] = ACTIONS(5329),
    [aux_sym_tag_token1] = ACTIONS(5331),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2469] = {
    [sym__simple_expression] = STATE(7197),
    [sym_typed_expression] = STATE(7127),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_labeled_argument] = STATE(7794),
    [sym_prefix_expression] = STATE(7127),
    [sym_hash_expression] = STATE(7127),
    [sym_field_get_expression] = STATE(7127),
    [sym_array_get_expression] = STATE(7127),
    [sym_string_get_expression] = STATE(7127),
    [sym_bigarray_get_expression] = STATE(7127),
    [sym_coercion_expression] = STATE(7127),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(2469),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [aux_sym_class_application_repeat1] = STATE(2508),
    [sym__identifier] = ACTIONS(5407),
    [anon_sym_TILDE] = ACTIONS(5409),
    [anon_sym_QMARK] = ACTIONS(5409),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_DOT] = ACTIONS(5411),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_POUND] = ACTIONS(5413),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_done] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(5415),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2470] = {
    [sym__simple_expression] = STATE(5763),
    [sym_typed_expression] = STATE(5798),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_labeled_argument] = STATE(6659),
    [sym_prefix_expression] = STATE(5798),
    [sym_hash_expression] = STATE(5798),
    [sym_field_get_expression] = STATE(5798),
    [sym_array_get_expression] = STATE(5798),
    [sym_string_get_expression] = STATE(5798),
    [sym_bigarray_get_expression] = STATE(5798),
    [sym_coercion_expression] = STATE(5798),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(2470),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [aux_sym_class_application_repeat1] = STATE(2474),
    [sym__identifier] = ACTIONS(4945),
    [anon_sym_and] = ACTIONS(3505),
    [anon_sym_TILDE] = ACTIONS(4947),
    [anon_sym_QMARK] = ACTIONS(4947),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1345),
    [anon_sym_false] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_SEMI] = ACTIONS(3503),
    [anon_sym_object] = ACTIONS(1349),
    [anon_sym_in] = ACTIONS(3505),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1353),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACE_LT] = ACTIONS(1365),
    [anon_sym_begin] = ACTIONS(1367),
    [sym_ocamlyacc_value] = ACTIONS(1369),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3503),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1373),
    [aux_sym_number_token1] = ACTIONS(1375),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [sym_prefix_operator] = ACTIONS(1381),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym_let_and_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2471] = {
    [sym_parameter] = STATE(10231),
    [sym__polymorphic_typed] = STATE(16492),
    [sym__parenthesized_abstract_type] = STATE(10231),
    [sym__simple_pattern] = STATE(10236),
    [sym_typed_pattern] = STATE(10158),
    [sym_polymorphic_variant_pattern] = STATE(10158),
    [sym_record_pattern] = STATE(10158),
    [sym_list_pattern] = STATE(10158),
    [sym_array_pattern] = STATE(10158),
    [sym_local_open_pattern] = STATE(10158),
    [sym_package_pattern] = STATE(10158),
    [sym_parenthesized_pattern] = STATE(10158),
    [sym_attribute] = STATE(2471),
    [sym_item_attribute] = STATE(11106),
    [sym_extension] = STATE(10158),
    [sym_quoted_extension] = STATE(10158),
    [sym__constant] = STATE(10108),
    [sym__signed_constant] = STATE(10158),
    [sym_number] = STATE(10097),
    [sym_signed_number] = STATE(10108),
    [sym_character] = STATE(10097),
    [sym_string] = STATE(10097),
    [sym_quoted_string] = STATE(10097),
    [sym_boolean] = STATE(10097),
    [sym_unit] = STATE(10097),
    [sym__simple_value_pattern] = STATE(10158),
    [sym_parenthesized_operator] = STATE(10158),
    [sym_module_path] = STATE(18203),
    [sym_constructor_path] = STATE(10158),
    [sym__constructor_name] = STATE(8519),
    [sym_tag] = STATE(10158),
    [aux_sym_expression_item_repeat1] = STATE(10316),
    [aux_sym_let_binding_repeat1] = STATE(4637),
    [sym__identifier] = ACTIONS(5417),
    [anon_sym_SEMI_SEMI] = ACTIONS(5419),
    [anon_sym_let] = ACTIONS(5421),
    [anon_sym_and] = ACTIONS(5421),
    [anon_sym_COLON_GT] = ACTIONS(5423),
    [anon_sym_EQ] = ACTIONS(5425),
    [anon_sym_TILDE] = ACTIONS(5427),
    [anon_sym_QMARK] = ACTIONS(5427),
    [anon_sym_LPAREN] = ACTIONS(5429),
    [anon_sym_external] = ACTIONS(5421),
    [anon_sym_type] = ACTIONS(5421),
    [anon_sym_COMMA] = ACTIONS(5431),
    [anon_sym_PIPE] = ACTIONS(5433),
    [anon_sym_LBRACK] = ACTIONS(5435),
    [anon_sym_true] = ACTIONS(5437),
    [anon_sym_false] = ACTIONS(5437),
    [anon_sym_COLON2] = ACTIONS(5439),
    [anon_sym_LBRACE] = ACTIONS(5441),
    [anon_sym_exception] = ACTIONS(5421),
    [anon_sym_module] = ACTIONS(5421),
    [anon_sym_open] = ACTIONS(5421),
    [anon_sym_include] = ACTIONS(5421),
    [anon_sym_class] = ACTIONS(5421),
    [anon_sym_end] = ACTIONS(5421),
    [anon_sym_in] = ACTIONS(5421),
    [anon_sym_as] = ACTIONS(5443),
    [anon_sym_POUND] = ACTIONS(5445),
    [anon_sym_COLON_COLON] = ACTIONS(5447),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5449),
    [anon_sym_begin] = ACTIONS(5451),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5453),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5419),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5455),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5457),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5419),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5419),
    [aux_sym_number_token1] = ACTIONS(5459),
    [aux_sym_signed_number_token1] = ACTIONS(5461),
    [anon_sym_SQUOTE] = ACTIONS(5463),
    [anon_sym_DQUOTE] = ACTIONS(5465),
    [sym_let_operator] = ACTIONS(5419),
    [sym_let_and_operator] = ACTIONS(5419),
    [sym__capitalized_identifier] = ACTIONS(5467),
    [aux_sym_directive_token1] = ACTIONS(5421),
    [aux_sym_tag_token1] = ACTIONS(5469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2472] = {
    [sym_parameter] = STATE(10231),
    [sym__polymorphic_typed] = STATE(16748),
    [sym__parenthesized_abstract_type] = STATE(10231),
    [sym__simple_pattern] = STATE(10236),
    [sym_typed_pattern] = STATE(10158),
    [sym_polymorphic_variant_pattern] = STATE(10158),
    [sym_record_pattern] = STATE(10158),
    [sym_list_pattern] = STATE(10158),
    [sym_array_pattern] = STATE(10158),
    [sym_local_open_pattern] = STATE(10158),
    [sym_package_pattern] = STATE(10158),
    [sym_parenthesized_pattern] = STATE(10158),
    [sym_attribute] = STATE(2472),
    [sym_item_attribute] = STATE(11106),
    [sym_extension] = STATE(10158),
    [sym_quoted_extension] = STATE(10158),
    [sym__constant] = STATE(10108),
    [sym__signed_constant] = STATE(10158),
    [sym_number] = STATE(10097),
    [sym_signed_number] = STATE(10108),
    [sym_character] = STATE(10097),
    [sym_string] = STATE(10097),
    [sym_quoted_string] = STATE(10097),
    [sym_boolean] = STATE(10097),
    [sym_unit] = STATE(10097),
    [sym__simple_value_pattern] = STATE(10158),
    [sym_parenthesized_operator] = STATE(10158),
    [sym_module_path] = STATE(18203),
    [sym_constructor_path] = STATE(10158),
    [sym__constructor_name] = STATE(8519),
    [sym_tag] = STATE(10158),
    [aux_sym_expression_item_repeat1] = STATE(10316),
    [aux_sym_let_binding_repeat1] = STATE(4652),
    [sym__identifier] = ACTIONS(5417),
    [anon_sym_SEMI_SEMI] = ACTIONS(5419),
    [anon_sym_let] = ACTIONS(5421),
    [anon_sym_and] = ACTIONS(5421),
    [anon_sym_COLON_GT] = ACTIONS(5471),
    [anon_sym_EQ] = ACTIONS(5473),
    [anon_sym_TILDE] = ACTIONS(5427),
    [anon_sym_QMARK] = ACTIONS(5427),
    [anon_sym_LPAREN] = ACTIONS(5429),
    [anon_sym_external] = ACTIONS(5421),
    [anon_sym_type] = ACTIONS(5421),
    [anon_sym_COMMA] = ACTIONS(5475),
    [anon_sym_PIPE] = ACTIONS(5477),
    [anon_sym_LBRACK] = ACTIONS(5435),
    [anon_sym_RBRACK] = ACTIONS(5419),
    [anon_sym_true] = ACTIONS(5437),
    [anon_sym_false] = ACTIONS(5437),
    [anon_sym_COLON2] = ACTIONS(5439),
    [anon_sym_LBRACE] = ACTIONS(5441),
    [anon_sym_exception] = ACTIONS(5421),
    [anon_sym_module] = ACTIONS(5421),
    [anon_sym_open] = ACTIONS(5421),
    [anon_sym_include] = ACTIONS(5421),
    [anon_sym_class] = ACTIONS(5421),
    [anon_sym_in] = ACTIONS(5421),
    [anon_sym_as] = ACTIONS(5479),
    [anon_sym_POUND] = ACTIONS(5445),
    [anon_sym_COLON_COLON] = ACTIONS(5481),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5449),
    [anon_sym_begin] = ACTIONS(5451),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5453),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5419),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5455),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5457),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5419),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5419),
    [aux_sym_number_token1] = ACTIONS(5459),
    [aux_sym_signed_number_token1] = ACTIONS(5461),
    [anon_sym_SQUOTE] = ACTIONS(5463),
    [anon_sym_DQUOTE] = ACTIONS(5465),
    [sym_let_operator] = ACTIONS(5419),
    [sym_let_and_operator] = ACTIONS(5419),
    [sym__capitalized_identifier] = ACTIONS(5467),
    [aux_sym_directive_token1] = ACTIONS(5421),
    [aux_sym_tag_token1] = ACTIONS(5469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2473] = {
    [sym__abstract_type] = STATE(19637),
    [sym__simple_pattern] = STATE(13066),
    [sym__pattern] = STATE(13711),
    [sym_alias_pattern] = STATE(13066),
    [sym_typed_pattern] = STATE(13062),
    [sym_or_pattern] = STATE(13066),
    [sym_constructor_pattern] = STATE(13066),
    [sym_tag_pattern] = STATE(13066),
    [sym_polymorphic_variant_pattern] = STATE(13062),
    [sym_tuple_pattern] = STATE(13066),
    [sym_record_pattern] = STATE(13062),
    [sym_list_pattern] = STATE(13062),
    [sym_cons_pattern] = STATE(13066),
    [sym_array_pattern] = STATE(13062),
    [sym_range_pattern] = STATE(13066),
    [sym_lazy_pattern] = STATE(13066),
    [sym_local_open_pattern] = STATE(13062),
    [sym_package_pattern] = STATE(13062),
    [sym_parenthesized_pattern] = STATE(13062),
    [sym_exception_pattern] = STATE(13066),
    [sym_attribute] = STATE(2473),
    [sym_extension] = STATE(13062),
    [sym_quoted_extension] = STATE(13062),
    [sym__constant] = STATE(12890),
    [sym__signed_constant] = STATE(12883),
    [sym_number] = STATE(12089),
    [sym_signed_number] = STATE(12890),
    [sym_character] = STATE(12089),
    [sym_string] = STATE(12089),
    [sym_quoted_string] = STATE(12089),
    [sym_boolean] = STATE(12089),
    [sym_unit] = STATE(12089),
    [sym__infix_operator] = STATE(19221),
    [sym_add_operator] = STATE(20077),
    [sym__simple_value_pattern] = STATE(13062),
    [sym_parenthesized_operator] = STATE(13062),
    [sym_module_path] = STATE(20052),
    [sym_constructor_path] = STATE(2588),
    [sym__constructor_name] = STATE(8568),
    [sym_tag] = STATE(2593),
    [sym__identifier] = ACTIONS(5285),
    [anon_sym_LPAREN] = ACTIONS(5287),
    [anon_sym_RPAREN] = ACTIONS(5483),
    [anon_sym_type] = ACTIONS(5291),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_true] = ACTIONS(5295),
    [anon_sym_false] = ACTIONS(5295),
    [anon_sym_DOT] = ACTIONS(5485),
    [anon_sym_LBRACE] = ACTIONS(5299),
    [anon_sym_exception] = ACTIONS(5301),
    [anon_sym_module] = ACTIONS(5487),
    [anon_sym_POUND] = ACTIONS(5305),
    [anon_sym_COLON_COLON] = ACTIONS(5489),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5309),
    [anon_sym_lazy] = ACTIONS(5311),
    [anon_sym_begin] = ACTIONS(5313),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5315),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5317),
    [aux_sym_number_token1] = ACTIONS(5319),
    [aux_sym_signed_number_token1] = ACTIONS(5321),
    [anon_sym_SQUOTE] = ACTIONS(5323),
    [anon_sym_DQUOTE] = ACTIONS(5325),
    [sym_prefix_operator] = ACTIONS(5491),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5491),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5491),
    [sym_let_and_operator] = ACTIONS(5491),
    [sym_match_operator] = ACTIONS(5491),
    [sym__capitalized_identifier] = ACTIONS(5329),
    [aux_sym_tag_token1] = ACTIONS(5331),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2474] = {
    [sym__simple_expression] = STATE(5763),
    [sym_typed_expression] = STATE(5798),
    [sym_list_expression] = STATE(5798),
    [sym_array_expression] = STATE(5798),
    [sym_record_expression] = STATE(5798),
    [sym_labeled_argument] = STATE(6659),
    [sym_prefix_expression] = STATE(5798),
    [sym_hash_expression] = STATE(5798),
    [sym_field_get_expression] = STATE(5798),
    [sym_array_get_expression] = STATE(5798),
    [sym_string_get_expression] = STATE(5798),
    [sym_bigarray_get_expression] = STATE(5798),
    [sym_coercion_expression] = STATE(5798),
    [sym_local_open_expression] = STATE(5798),
    [sym_package_expression] = STATE(5798),
    [sym_new_expression] = STATE(5798),
    [sym_object_copy_expression] = STATE(5798),
    [sym_method_invocation] = STATE(5798),
    [sym_object_expression] = STATE(5798),
    [sym_parenthesized_expression] = STATE(5798),
    [sym_attribute] = STATE(2474),
    [sym_extension] = STATE(5798),
    [sym_quoted_extension] = STATE(5798),
    [sym__constant] = STATE(5798),
    [sym_number] = STATE(5787),
    [sym_character] = STATE(5787),
    [sym_string] = STATE(5787),
    [sym_quoted_string] = STATE(5787),
    [sym_boolean] = STATE(5787),
    [sym_unit] = STATE(5787),
    [sym__value_name] = STATE(5765),
    [sym_parenthesized_operator] = STATE(5819),
    [sym_value_path] = STATE(5798),
    [sym_module_path] = STATE(17897),
    [sym_constructor_path] = STATE(5798),
    [sym__constructor_name] = STATE(5741),
    [sym_tag] = STATE(5798),
    [aux_sym_class_application_repeat1] = STATE(2474),
    [sym__identifier] = ACTIONS(5493),
    [anon_sym_and] = ACTIONS(3572),
    [anon_sym_TILDE] = ACTIONS(5496),
    [anon_sym_QMARK] = ACTIONS(5496),
    [anon_sym_LPAREN] = ACTIONS(5499),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(5502),
    [anon_sym_true] = ACTIONS(5505),
    [anon_sym_false] = ACTIONS(5505),
    [anon_sym_LBRACE] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_object] = ACTIONS(5511),
    [anon_sym_in] = ACTIONS(3572),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5514),
    [anon_sym_new] = ACTIONS(5517),
    [anon_sym_LBRACE_LT] = ACTIONS(5520),
    [anon_sym_begin] = ACTIONS(5523),
    [sym_ocamlyacc_value] = ACTIONS(5526),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3570),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5532),
    [aux_sym_number_token1] = ACTIONS(5535),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(5538),
    [anon_sym_DQUOTE] = ACTIONS(5541),
    [sym_prefix_operator] = ACTIONS(5544),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym_let_and_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(5547),
    [aux_sym_tag_token1] = ACTIONS(5550),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2475] = {
    [sym__simple_expression] = STATE(6745),
    [sym_typed_expression] = STATE(7209),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_labeled_argument] = STATE(7773),
    [sym_prefix_expression] = STATE(7209),
    [sym_hash_expression] = STATE(7209),
    [sym_field_get_expression] = STATE(7209),
    [sym_array_get_expression] = STATE(7209),
    [sym_string_get_expression] = STATE(7209),
    [sym_bigarray_get_expression] = STATE(7209),
    [sym_coercion_expression] = STATE(7209),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(2475),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [aux_sym_class_application_repeat1] = STATE(2510),
    [sym__identifier] = ACTIONS(5553),
    [anon_sym_TILDE] = ACTIONS(5555),
    [anon_sym_QMARK] = ACTIONS(5555),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_DOT] = ACTIONS(5557),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_POUND] = ACTIONS(5559),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_then] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(5561),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2476] = {
    [sym__simple_expression] = STATE(7076),
    [sym_typed_expression] = STATE(6987),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_labeled_argument] = STATE(7788),
    [sym_prefix_expression] = STATE(6987),
    [sym_hash_expression] = STATE(6987),
    [sym_field_get_expression] = STATE(6987),
    [sym_array_get_expression] = STATE(6987),
    [sym_string_get_expression] = STATE(6987),
    [sym_bigarray_get_expression] = STATE(6987),
    [sym_coercion_expression] = STATE(6987),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(2476),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [aux_sym_class_application_repeat1] = STATE(2524),
    [sym__identifier] = ACTIONS(5563),
    [anon_sym_TILDE] = ACTIONS(5565),
    [anon_sym_QMARK] = ACTIONS(5565),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_DOT] = ACTIONS(5567),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_with] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_POUND] = ACTIONS(5569),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(5571),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2477] = {
    [sym__simple_expression] = STATE(6122),
    [sym_typed_expression] = STATE(6116),
    [sym_list_expression] = STATE(6116),
    [sym_array_expression] = STATE(6116),
    [sym_record_expression] = STATE(6116),
    [sym_labeled_argument] = STATE(7415),
    [sym_prefix_expression] = STATE(6116),
    [sym_hash_expression] = STATE(6116),
    [sym_field_get_expression] = STATE(6116),
    [sym_array_get_expression] = STATE(6116),
    [sym_string_get_expression] = STATE(6116),
    [sym_bigarray_get_expression] = STATE(6116),
    [sym_coercion_expression] = STATE(6116),
    [sym_local_open_expression] = STATE(6116),
    [sym_package_expression] = STATE(6116),
    [sym_new_expression] = STATE(6116),
    [sym_object_copy_expression] = STATE(6116),
    [sym_method_invocation] = STATE(6116),
    [sym_object_expression] = STATE(6116),
    [sym_parenthesized_expression] = STATE(6116),
    [sym_attribute] = STATE(2477),
    [sym_extension] = STATE(6116),
    [sym_quoted_extension] = STATE(6116),
    [sym__constant] = STATE(6116),
    [sym_number] = STATE(5848),
    [sym_character] = STATE(5848),
    [sym_string] = STATE(5848),
    [sym_quoted_string] = STATE(5848),
    [sym_boolean] = STATE(5848),
    [sym_unit] = STATE(5848),
    [sym__value_name] = STATE(5908),
    [sym_parenthesized_operator] = STATE(5895),
    [sym_value_path] = STATE(6116),
    [sym_module_path] = STATE(18667),
    [sym_constructor_path] = STATE(6116),
    [sym__constructor_name] = STATE(5849),
    [sym_tag] = STATE(6116),
    [aux_sym_class_application_repeat1] = STATE(2477),
    [sym__identifier] = ACTIONS(5573),
    [anon_sym_TILDE] = ACTIONS(5576),
    [anon_sym_QMARK] = ACTIONS(5576),
    [anon_sym_LPAREN] = ACTIONS(5579),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(5582),
    [anon_sym_true] = ACTIONS(5585),
    [anon_sym_false] = ACTIONS(5585),
    [anon_sym_LBRACE] = ACTIONS(5588),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_object] = ACTIONS(5591),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5594),
    [anon_sym_else] = ACTIONS(3572),
    [anon_sym_to] = ACTIONS(3572),
    [anon_sym_downto] = ACTIONS(3572),
    [anon_sym_new] = ACTIONS(5597),
    [anon_sym_LBRACE_LT] = ACTIONS(5600),
    [anon_sym_begin] = ACTIONS(5603),
    [sym_ocamlyacc_value] = ACTIONS(5606),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5609),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5612),
    [aux_sym_number_token1] = ACTIONS(5615),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(5618),
    [anon_sym_DQUOTE] = ACTIONS(5621),
    [sym_prefix_operator] = ACTIONS(5624),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(5627),
    [aux_sym_tag_token1] = ACTIONS(5630),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2478] = {
    [sym__simple_expression] = STATE(5996),
    [sym_typed_expression] = STATE(5923),
    [sym_list_expression] = STATE(5923),
    [sym_array_expression] = STATE(5923),
    [sym_record_expression] = STATE(5923),
    [sym_labeled_argument] = STATE(7405),
    [sym_prefix_expression] = STATE(5923),
    [sym_hash_expression] = STATE(5923),
    [sym_field_get_expression] = STATE(5923),
    [sym_array_get_expression] = STATE(5923),
    [sym_string_get_expression] = STATE(5923),
    [sym_bigarray_get_expression] = STATE(5923),
    [sym_coercion_expression] = STATE(5923),
    [sym_local_open_expression] = STATE(5923),
    [sym_package_expression] = STATE(5923),
    [sym_new_expression] = STATE(5923),
    [sym_object_copy_expression] = STATE(5923),
    [sym_method_invocation] = STATE(5923),
    [sym_object_expression] = STATE(5923),
    [sym_parenthesized_expression] = STATE(5923),
    [sym_attribute] = STATE(2478),
    [sym_extension] = STATE(5923),
    [sym_quoted_extension] = STATE(5923),
    [sym__constant] = STATE(5923),
    [sym_number] = STATE(5907),
    [sym_character] = STATE(5907),
    [sym_string] = STATE(5907),
    [sym_quoted_string] = STATE(5907),
    [sym_boolean] = STATE(5907),
    [sym_unit] = STATE(5907),
    [sym__value_name] = STATE(5965),
    [sym_parenthesized_operator] = STATE(6017),
    [sym_value_path] = STATE(5923),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(5923),
    [sym__constructor_name] = STATE(5909),
    [sym_tag] = STATE(5923),
    [aux_sym_class_application_repeat1] = STATE(2480),
    [sym__identifier] = ACTIONS(5633),
    [anon_sym_SEMI_SEMI] = ACTIONS(5635),
    [anon_sym_let] = ACTIONS(5637),
    [anon_sym_and] = ACTIONS(5637),
    [anon_sym_TILDE] = ACTIONS(5639),
    [anon_sym_QMARK] = ACTIONS(5639),
    [anon_sym_LPAREN] = ACTIONS(5641),
    [anon_sym_external] = ACTIONS(5637),
    [anon_sym_type] = ACTIONS(5637),
    [anon_sym_LBRACK] = ACTIONS(5643),
    [anon_sym_RBRACK] = ACTIONS(5635),
    [anon_sym_true] = ACTIONS(5645),
    [anon_sym_false] = ACTIONS(5645),
    [anon_sym_LBRACE] = ACTIONS(5647),
    [anon_sym_exception] = ACTIONS(5637),
    [anon_sym_module] = ACTIONS(5637),
    [anon_sym_open] = ACTIONS(5637),
    [anon_sym_include] = ACTIONS(5637),
    [anon_sym_class] = ACTIONS(5637),
    [anon_sym_object] = ACTIONS(5649),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5651),
    [anon_sym_new] = ACTIONS(5653),
    [anon_sym_LBRACE_LT] = ACTIONS(5655),
    [anon_sym_begin] = ACTIONS(5657),
    [sym_ocamlyacc_value] = ACTIONS(5659),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5637),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5635),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5661),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5663),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5635),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5635),
    [aux_sym_number_token1] = ACTIONS(5665),
    [anon_sym_SQUOTE] = ACTIONS(5667),
    [anon_sym_DQUOTE] = ACTIONS(5669),
    [sym_prefix_operator] = ACTIONS(5671),
    [sym_let_operator] = ACTIONS(5635),
    [sym__capitalized_identifier] = ACTIONS(5673),
    [aux_sym_directive_token1] = ACTIONS(5635),
    [aux_sym_tag_token1] = ACTIONS(5675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2479] = {
    [sym__simple_expression] = STATE(5879),
    [sym_typed_expression] = STATE(6020),
    [sym_list_expression] = STATE(6020),
    [sym_array_expression] = STATE(6020),
    [sym_record_expression] = STATE(6020),
    [sym_labeled_argument] = STATE(7433),
    [sym_prefix_expression] = STATE(6020),
    [sym_hash_expression] = STATE(6020),
    [sym_field_get_expression] = STATE(6020),
    [sym_array_get_expression] = STATE(6020),
    [sym_string_get_expression] = STATE(6020),
    [sym_bigarray_get_expression] = STATE(6020),
    [sym_coercion_expression] = STATE(6020),
    [sym_local_open_expression] = STATE(6020),
    [sym_package_expression] = STATE(6020),
    [sym_new_expression] = STATE(6020),
    [sym_object_copy_expression] = STATE(6020),
    [sym_method_invocation] = STATE(6020),
    [sym_object_expression] = STATE(6020),
    [sym_parenthesized_expression] = STATE(6020),
    [sym_attribute] = STATE(2479),
    [sym_extension] = STATE(6020),
    [sym_quoted_extension] = STATE(6020),
    [sym__constant] = STATE(6020),
    [sym_number] = STATE(6065),
    [sym_character] = STATE(6065),
    [sym_string] = STATE(6065),
    [sym_quoted_string] = STATE(6065),
    [sym_boolean] = STATE(6065),
    [sym_unit] = STATE(6065),
    [sym__value_name] = STATE(6071),
    [sym_parenthesized_operator] = STATE(6102),
    [sym_value_path] = STATE(6020),
    [sym_module_path] = STATE(18353),
    [sym_constructor_path] = STATE(6020),
    [sym__constructor_name] = STATE(6068),
    [sym_tag] = STATE(6020),
    [aux_sym_class_application_repeat1] = STATE(2479),
    [sym__identifier] = ACTIONS(5677),
    [anon_sym_SEMI_SEMI] = ACTIONS(3570),
    [anon_sym_let] = ACTIONS(3572),
    [anon_sym_and] = ACTIONS(3572),
    [anon_sym_TILDE] = ACTIONS(5680),
    [anon_sym_QMARK] = ACTIONS(5680),
    [anon_sym_LPAREN] = ACTIONS(5683),
    [anon_sym_external] = ACTIONS(3572),
    [anon_sym_type] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(5686),
    [anon_sym_true] = ACTIONS(5689),
    [anon_sym_false] = ACTIONS(5689),
    [anon_sym_LBRACE] = ACTIONS(5692),
    [anon_sym_exception] = ACTIONS(3572),
    [anon_sym_module] = ACTIONS(3572),
    [anon_sym_open] = ACTIONS(3572),
    [anon_sym_include] = ACTIONS(3572),
    [anon_sym_class] = ACTIONS(3572),
    [anon_sym_end] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(5695),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5698),
    [anon_sym_new] = ACTIONS(5701),
    [anon_sym_LBRACE_LT] = ACTIONS(5704),
    [anon_sym_begin] = ACTIONS(5707),
    [sym_ocamlyacc_value] = ACTIONS(5710),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3572),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3570),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5713),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5716),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3570),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3570),
    [aux_sym_number_token1] = ACTIONS(5719),
    [anon_sym_SQUOTE] = ACTIONS(5722),
    [anon_sym_DQUOTE] = ACTIONS(5725),
    [sym_prefix_operator] = ACTIONS(5728),
    [sym_let_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(5731),
    [aux_sym_directive_token1] = ACTIONS(3570),
    [aux_sym_tag_token1] = ACTIONS(5734),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2480] = {
    [sym__simple_expression] = STATE(5996),
    [sym_typed_expression] = STATE(5923),
    [sym_list_expression] = STATE(5923),
    [sym_array_expression] = STATE(5923),
    [sym_record_expression] = STATE(5923),
    [sym_labeled_argument] = STATE(7405),
    [sym_prefix_expression] = STATE(5923),
    [sym_hash_expression] = STATE(5923),
    [sym_field_get_expression] = STATE(5923),
    [sym_array_get_expression] = STATE(5923),
    [sym_string_get_expression] = STATE(5923),
    [sym_bigarray_get_expression] = STATE(5923),
    [sym_coercion_expression] = STATE(5923),
    [sym_local_open_expression] = STATE(5923),
    [sym_package_expression] = STATE(5923),
    [sym_new_expression] = STATE(5923),
    [sym_object_copy_expression] = STATE(5923),
    [sym_method_invocation] = STATE(5923),
    [sym_object_expression] = STATE(5923),
    [sym_parenthesized_expression] = STATE(5923),
    [sym_attribute] = STATE(2480),
    [sym_extension] = STATE(5923),
    [sym_quoted_extension] = STATE(5923),
    [sym__constant] = STATE(5923),
    [sym_number] = STATE(5907),
    [sym_character] = STATE(5907),
    [sym_string] = STATE(5907),
    [sym_quoted_string] = STATE(5907),
    [sym_boolean] = STATE(5907),
    [sym_unit] = STATE(5907),
    [sym__value_name] = STATE(5965),
    [sym_parenthesized_operator] = STATE(6017),
    [sym_value_path] = STATE(5923),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(5923),
    [sym__constructor_name] = STATE(5909),
    [sym_tag] = STATE(5923),
    [aux_sym_class_application_repeat1] = STATE(2482),
    [sym__identifier] = ACTIONS(5633),
    [anon_sym_SEMI_SEMI] = ACTIONS(5737),
    [anon_sym_let] = ACTIONS(5739),
    [anon_sym_and] = ACTIONS(5739),
    [anon_sym_TILDE] = ACTIONS(5639),
    [anon_sym_QMARK] = ACTIONS(5639),
    [anon_sym_LPAREN] = ACTIONS(5641),
    [anon_sym_external] = ACTIONS(5739),
    [anon_sym_type] = ACTIONS(5739),
    [anon_sym_LBRACK] = ACTIONS(5643),
    [anon_sym_RBRACK] = ACTIONS(5737),
    [anon_sym_true] = ACTIONS(5645),
    [anon_sym_false] = ACTIONS(5645),
    [anon_sym_LBRACE] = ACTIONS(5647),
    [anon_sym_exception] = ACTIONS(5739),
    [anon_sym_module] = ACTIONS(5739),
    [anon_sym_open] = ACTIONS(5739),
    [anon_sym_include] = ACTIONS(5739),
    [anon_sym_class] = ACTIONS(5739),
    [anon_sym_object] = ACTIONS(5649),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5651),
    [anon_sym_new] = ACTIONS(5653),
    [anon_sym_LBRACE_LT] = ACTIONS(5655),
    [anon_sym_begin] = ACTIONS(5657),
    [sym_ocamlyacc_value] = ACTIONS(5659),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5739),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5737),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5661),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5663),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5737),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5737),
    [aux_sym_number_token1] = ACTIONS(5665),
    [anon_sym_SQUOTE] = ACTIONS(5667),
    [anon_sym_DQUOTE] = ACTIONS(5669),
    [sym_prefix_operator] = ACTIONS(5671),
    [sym_let_operator] = ACTIONS(5737),
    [sym__capitalized_identifier] = ACTIONS(5673),
    [aux_sym_directive_token1] = ACTIONS(5737),
    [aux_sym_tag_token1] = ACTIONS(5675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2481] = {
    [sym__simple_expression] = STATE(5879),
    [sym_typed_expression] = STATE(6020),
    [sym_list_expression] = STATE(6020),
    [sym_array_expression] = STATE(6020),
    [sym_record_expression] = STATE(6020),
    [sym_labeled_argument] = STATE(7433),
    [sym_prefix_expression] = STATE(6020),
    [sym_hash_expression] = STATE(6020),
    [sym_field_get_expression] = STATE(6020),
    [sym_array_get_expression] = STATE(6020),
    [sym_string_get_expression] = STATE(6020),
    [sym_bigarray_get_expression] = STATE(6020),
    [sym_coercion_expression] = STATE(6020),
    [sym_local_open_expression] = STATE(6020),
    [sym_package_expression] = STATE(6020),
    [sym_new_expression] = STATE(6020),
    [sym_object_copy_expression] = STATE(6020),
    [sym_method_invocation] = STATE(6020),
    [sym_object_expression] = STATE(6020),
    [sym_parenthesized_expression] = STATE(6020),
    [sym_attribute] = STATE(2481),
    [sym_extension] = STATE(6020),
    [sym_quoted_extension] = STATE(6020),
    [sym__constant] = STATE(6020),
    [sym_number] = STATE(6065),
    [sym_character] = STATE(6065),
    [sym_string] = STATE(6065),
    [sym_quoted_string] = STATE(6065),
    [sym_boolean] = STATE(6065),
    [sym_unit] = STATE(6065),
    [sym__value_name] = STATE(6071),
    [sym_parenthesized_operator] = STATE(6102),
    [sym_value_path] = STATE(6020),
    [sym_module_path] = STATE(18353),
    [sym_constructor_path] = STATE(6020),
    [sym__constructor_name] = STATE(6068),
    [sym_tag] = STATE(6020),
    [aux_sym_class_application_repeat1] = STATE(2486),
    [sym__identifier] = ACTIONS(5741),
    [anon_sym_SEMI_SEMI] = ACTIONS(5635),
    [anon_sym_let] = ACTIONS(5637),
    [anon_sym_and] = ACTIONS(5637),
    [anon_sym_TILDE] = ACTIONS(5743),
    [anon_sym_QMARK] = ACTIONS(5743),
    [anon_sym_LPAREN] = ACTIONS(5745),
    [anon_sym_external] = ACTIONS(5637),
    [anon_sym_type] = ACTIONS(5637),
    [anon_sym_LBRACK] = ACTIONS(5747),
    [anon_sym_true] = ACTIONS(5749),
    [anon_sym_false] = ACTIONS(5749),
    [anon_sym_LBRACE] = ACTIONS(5751),
    [anon_sym_exception] = ACTIONS(5637),
    [anon_sym_module] = ACTIONS(5637),
    [anon_sym_open] = ACTIONS(5637),
    [anon_sym_include] = ACTIONS(5637),
    [anon_sym_class] = ACTIONS(5637),
    [anon_sym_end] = ACTIONS(5637),
    [anon_sym_object] = ACTIONS(5753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5755),
    [anon_sym_new] = ACTIONS(5757),
    [anon_sym_LBRACE_LT] = ACTIONS(5759),
    [anon_sym_begin] = ACTIONS(5761),
    [sym_ocamlyacc_value] = ACTIONS(5763),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5637),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5635),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5765),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5767),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5635),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5635),
    [aux_sym_number_token1] = ACTIONS(5769),
    [anon_sym_SQUOTE] = ACTIONS(5771),
    [anon_sym_DQUOTE] = ACTIONS(5773),
    [sym_prefix_operator] = ACTIONS(5775),
    [sym_let_operator] = ACTIONS(5635),
    [sym__capitalized_identifier] = ACTIONS(5777),
    [aux_sym_directive_token1] = ACTIONS(5635),
    [aux_sym_tag_token1] = ACTIONS(5779),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2482] = {
    [sym__simple_expression] = STATE(5996),
    [sym_typed_expression] = STATE(5923),
    [sym_list_expression] = STATE(5923),
    [sym_array_expression] = STATE(5923),
    [sym_record_expression] = STATE(5923),
    [sym_labeled_argument] = STATE(7405),
    [sym_prefix_expression] = STATE(5923),
    [sym_hash_expression] = STATE(5923),
    [sym_field_get_expression] = STATE(5923),
    [sym_array_get_expression] = STATE(5923),
    [sym_string_get_expression] = STATE(5923),
    [sym_bigarray_get_expression] = STATE(5923),
    [sym_coercion_expression] = STATE(5923),
    [sym_local_open_expression] = STATE(5923),
    [sym_package_expression] = STATE(5923),
    [sym_new_expression] = STATE(5923),
    [sym_object_copy_expression] = STATE(5923),
    [sym_method_invocation] = STATE(5923),
    [sym_object_expression] = STATE(5923),
    [sym_parenthesized_expression] = STATE(5923),
    [sym_attribute] = STATE(2482),
    [sym_extension] = STATE(5923),
    [sym_quoted_extension] = STATE(5923),
    [sym__constant] = STATE(5923),
    [sym_number] = STATE(5907),
    [sym_character] = STATE(5907),
    [sym_string] = STATE(5907),
    [sym_quoted_string] = STATE(5907),
    [sym_boolean] = STATE(5907),
    [sym_unit] = STATE(5907),
    [sym__value_name] = STATE(5965),
    [sym_parenthesized_operator] = STATE(6017),
    [sym_value_path] = STATE(5923),
    [sym_module_path] = STATE(18059),
    [sym_constructor_path] = STATE(5923),
    [sym__constructor_name] = STATE(5909),
    [sym_tag] = STATE(5923),
    [aux_sym_class_application_repeat1] = STATE(2482),
    [sym__identifier] = ACTIONS(5781),
    [anon_sym_SEMI_SEMI] = ACTIONS(3570),
    [anon_sym_let] = ACTIONS(3572),
    [anon_sym_and] = ACTIONS(3572),
    [anon_sym_TILDE] = ACTIONS(5784),
    [anon_sym_QMARK] = ACTIONS(5784),
    [anon_sym_LPAREN] = ACTIONS(5787),
    [anon_sym_external] = ACTIONS(3572),
    [anon_sym_type] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(5790),
    [anon_sym_RBRACK] = ACTIONS(3570),
    [anon_sym_true] = ACTIONS(5793),
    [anon_sym_false] = ACTIONS(5793),
    [anon_sym_LBRACE] = ACTIONS(5796),
    [anon_sym_exception] = ACTIONS(3572),
    [anon_sym_module] = ACTIONS(3572),
    [anon_sym_open] = ACTIONS(3572),
    [anon_sym_include] = ACTIONS(3572),
    [anon_sym_class] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(5799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5802),
    [anon_sym_new] = ACTIONS(5805),
    [anon_sym_LBRACE_LT] = ACTIONS(5808),
    [anon_sym_begin] = ACTIONS(5811),
    [sym_ocamlyacc_value] = ACTIONS(5814),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3572),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3570),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5817),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5820),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3570),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3570),
    [aux_sym_number_token1] = ACTIONS(5823),
    [anon_sym_SQUOTE] = ACTIONS(5826),
    [anon_sym_DQUOTE] = ACTIONS(5829),
    [sym_prefix_operator] = ACTIONS(5832),
    [sym_let_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(5835),
    [aux_sym_directive_token1] = ACTIONS(3570),
    [aux_sym_tag_token1] = ACTIONS(5838),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2483] = {
    [sym_parameter] = STATE(10231),
    [sym__polymorphic_typed] = STATE(17491),
    [sym__parenthesized_abstract_type] = STATE(10231),
    [sym__simple_pattern] = STATE(10236),
    [sym_typed_pattern] = STATE(10158),
    [sym_polymorphic_variant_pattern] = STATE(10158),
    [sym_record_pattern] = STATE(10158),
    [sym_list_pattern] = STATE(10158),
    [sym_array_pattern] = STATE(10158),
    [sym_local_open_pattern] = STATE(10158),
    [sym_package_pattern] = STATE(10158),
    [sym_parenthesized_pattern] = STATE(10158),
    [sym_attribute] = STATE(2483),
    [sym_item_attribute] = STATE(11106),
    [sym_extension] = STATE(10158),
    [sym_quoted_extension] = STATE(10158),
    [sym__constant] = STATE(10108),
    [sym__signed_constant] = STATE(10158),
    [sym_number] = STATE(10097),
    [sym_signed_number] = STATE(10108),
    [sym_character] = STATE(10097),
    [sym_string] = STATE(10097),
    [sym_quoted_string] = STATE(10097),
    [sym_boolean] = STATE(10097),
    [sym_unit] = STATE(10097),
    [sym__simple_value_pattern] = STATE(10158),
    [sym_parenthesized_operator] = STATE(10158),
    [sym_module_path] = STATE(18203),
    [sym_constructor_path] = STATE(10158),
    [sym__constructor_name] = STATE(8519),
    [sym_tag] = STATE(10158),
    [aux_sym_expression_item_repeat1] = STATE(10316),
    [aux_sym_let_binding_repeat1] = STATE(4635),
    [sym__identifier] = ACTIONS(5417),
    [anon_sym_SEMI_SEMI] = ACTIONS(5419),
    [anon_sym_let] = ACTIONS(5421),
    [anon_sym_and] = ACTIONS(5421),
    [anon_sym_COLON_GT] = ACTIONS(5841),
    [anon_sym_EQ] = ACTIONS(5843),
    [anon_sym_TILDE] = ACTIONS(5427),
    [anon_sym_QMARK] = ACTIONS(5427),
    [anon_sym_LPAREN] = ACTIONS(5429),
    [anon_sym_external] = ACTIONS(5421),
    [anon_sym_type] = ACTIONS(5421),
    [anon_sym_COMMA] = ACTIONS(5845),
    [anon_sym_PIPE] = ACTIONS(5847),
    [anon_sym_LBRACK] = ACTIONS(5435),
    [anon_sym_true] = ACTIONS(5437),
    [anon_sym_false] = ACTIONS(5437),
    [anon_sym_COLON2] = ACTIONS(5439),
    [anon_sym_LBRACE] = ACTIONS(5441),
    [anon_sym_exception] = ACTIONS(5421),
    [anon_sym_module] = ACTIONS(5421),
    [anon_sym_open] = ACTIONS(5421),
    [anon_sym_include] = ACTIONS(5421),
    [anon_sym_class] = ACTIONS(5421),
    [anon_sym_end] = ACTIONS(5421),
    [anon_sym_as] = ACTIONS(5849),
    [anon_sym_POUND] = ACTIONS(5445),
    [anon_sym_COLON_COLON] = ACTIONS(5851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5449),
    [anon_sym_begin] = ACTIONS(5451),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5453),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5419),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5455),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5457),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5419),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5419),
    [aux_sym_number_token1] = ACTIONS(5459),
    [aux_sym_signed_number_token1] = ACTIONS(5461),
    [anon_sym_SQUOTE] = ACTIONS(5463),
    [anon_sym_DQUOTE] = ACTIONS(5465),
    [sym_let_operator] = ACTIONS(5419),
    [sym_let_and_operator] = ACTIONS(5419),
    [sym__capitalized_identifier] = ACTIONS(5467),
    [aux_sym_directive_token1] = ACTIONS(5421),
    [aux_sym_tag_token1] = ACTIONS(5469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2484] = {
    [sym__simple_expression] = STATE(6122),
    [sym_typed_expression] = STATE(6116),
    [sym_list_expression] = STATE(6116),
    [sym_array_expression] = STATE(6116),
    [sym_record_expression] = STATE(6116),
    [sym_labeled_argument] = STATE(7415),
    [sym_prefix_expression] = STATE(6116),
    [sym_hash_expression] = STATE(6116),
    [sym_field_get_expression] = STATE(6116),
    [sym_array_get_expression] = STATE(6116),
    [sym_string_get_expression] = STATE(6116),
    [sym_bigarray_get_expression] = STATE(6116),
    [sym_coercion_expression] = STATE(6116),
    [sym_local_open_expression] = STATE(6116),
    [sym_package_expression] = STATE(6116),
    [sym_new_expression] = STATE(6116),
    [sym_object_copy_expression] = STATE(6116),
    [sym_method_invocation] = STATE(6116),
    [sym_object_expression] = STATE(6116),
    [sym_parenthesized_expression] = STATE(6116),
    [sym_attribute] = STATE(2484),
    [sym_extension] = STATE(6116),
    [sym_quoted_extension] = STATE(6116),
    [sym__constant] = STATE(6116),
    [sym_number] = STATE(5848),
    [sym_character] = STATE(5848),
    [sym_string] = STATE(5848),
    [sym_quoted_string] = STATE(5848),
    [sym_boolean] = STATE(5848),
    [sym_unit] = STATE(5848),
    [sym__value_name] = STATE(5908),
    [sym_parenthesized_operator] = STATE(5895),
    [sym_value_path] = STATE(6116),
    [sym_module_path] = STATE(18667),
    [sym_constructor_path] = STATE(6116),
    [sym__constructor_name] = STATE(5849),
    [sym_tag] = STATE(6116),
    [aux_sym_class_application_repeat1] = STATE(2477),
    [sym__identifier] = ACTIONS(5155),
    [anon_sym_TILDE] = ACTIONS(5157),
    [anon_sym_QMARK] = ACTIONS(5157),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_SEMI] = ACTIONS(3503),
    [anon_sym_object] = ACTIONS(1413),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1417),
    [anon_sym_else] = ACTIONS(3505),
    [anon_sym_to] = ACTIONS(3505),
    [anon_sym_downto] = ACTIONS(3505),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACE_LT] = ACTIONS(1429),
    [anon_sym_begin] = ACTIONS(1431),
    [sym_ocamlyacc_value] = ACTIONS(1433),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1435),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1437),
    [aux_sym_number_token1] = ACTIONS(1439),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_prefix_operator] = ACTIONS(1445),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(1449),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2485] = {
    [sym_parameter] = STATE(10231),
    [sym__polymorphic_typed] = STATE(17258),
    [sym__parenthesized_abstract_type] = STATE(10231),
    [sym__simple_pattern] = STATE(10236),
    [sym_typed_pattern] = STATE(10158),
    [sym_polymorphic_variant_pattern] = STATE(10158),
    [sym_record_pattern] = STATE(10158),
    [sym_list_pattern] = STATE(10158),
    [sym_array_pattern] = STATE(10158),
    [sym_local_open_pattern] = STATE(10158),
    [sym_package_pattern] = STATE(10158),
    [sym_parenthesized_pattern] = STATE(10158),
    [sym_attribute] = STATE(2485),
    [sym_item_attribute] = STATE(11106),
    [sym_extension] = STATE(10158),
    [sym_quoted_extension] = STATE(10158),
    [sym__constant] = STATE(10108),
    [sym__signed_constant] = STATE(10158),
    [sym_number] = STATE(10097),
    [sym_signed_number] = STATE(10108),
    [sym_character] = STATE(10097),
    [sym_string] = STATE(10097),
    [sym_quoted_string] = STATE(10097),
    [sym_boolean] = STATE(10097),
    [sym_unit] = STATE(10097),
    [sym__simple_value_pattern] = STATE(10158),
    [sym_parenthesized_operator] = STATE(10158),
    [sym_module_path] = STATE(18203),
    [sym_constructor_path] = STATE(10158),
    [sym__constructor_name] = STATE(8519),
    [sym_tag] = STATE(10158),
    [aux_sym_expression_item_repeat1] = STATE(10316),
    [aux_sym_let_binding_repeat1] = STATE(4626),
    [sym__identifier] = ACTIONS(5417),
    [anon_sym_SEMI_SEMI] = ACTIONS(5419),
    [anon_sym_let] = ACTIONS(5421),
    [anon_sym_and] = ACTIONS(5421),
    [anon_sym_COLON_GT] = ACTIONS(5853),
    [anon_sym_EQ] = ACTIONS(5855),
    [anon_sym_TILDE] = ACTIONS(5427),
    [anon_sym_QMARK] = ACTIONS(5427),
    [anon_sym_LPAREN] = ACTIONS(5429),
    [anon_sym_external] = ACTIONS(5421),
    [anon_sym_type] = ACTIONS(5421),
    [anon_sym_COMMA] = ACTIONS(5857),
    [anon_sym_PIPE] = ACTIONS(5859),
    [anon_sym_LBRACK] = ACTIONS(5435),
    [anon_sym_RBRACK] = ACTIONS(5419),
    [anon_sym_true] = ACTIONS(5437),
    [anon_sym_false] = ACTIONS(5437),
    [anon_sym_COLON2] = ACTIONS(5439),
    [anon_sym_LBRACE] = ACTIONS(5441),
    [anon_sym_exception] = ACTIONS(5421),
    [anon_sym_module] = ACTIONS(5421),
    [anon_sym_open] = ACTIONS(5421),
    [anon_sym_include] = ACTIONS(5421),
    [anon_sym_class] = ACTIONS(5421),
    [anon_sym_as] = ACTIONS(5861),
    [anon_sym_POUND] = ACTIONS(5445),
    [anon_sym_COLON_COLON] = ACTIONS(5863),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5449),
    [anon_sym_begin] = ACTIONS(5451),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5453),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5419),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5455),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5457),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5419),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5419),
    [aux_sym_number_token1] = ACTIONS(5459),
    [aux_sym_signed_number_token1] = ACTIONS(5461),
    [anon_sym_SQUOTE] = ACTIONS(5463),
    [anon_sym_DQUOTE] = ACTIONS(5465),
    [sym_let_operator] = ACTIONS(5419),
    [sym_let_and_operator] = ACTIONS(5419),
    [sym__capitalized_identifier] = ACTIONS(5467),
    [aux_sym_directive_token1] = ACTIONS(5421),
    [aux_sym_tag_token1] = ACTIONS(5469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2486] = {
    [sym__simple_expression] = STATE(5879),
    [sym_typed_expression] = STATE(6020),
    [sym_list_expression] = STATE(6020),
    [sym_array_expression] = STATE(6020),
    [sym_record_expression] = STATE(6020),
    [sym_labeled_argument] = STATE(7433),
    [sym_prefix_expression] = STATE(6020),
    [sym_hash_expression] = STATE(6020),
    [sym_field_get_expression] = STATE(6020),
    [sym_array_get_expression] = STATE(6020),
    [sym_string_get_expression] = STATE(6020),
    [sym_bigarray_get_expression] = STATE(6020),
    [sym_coercion_expression] = STATE(6020),
    [sym_local_open_expression] = STATE(6020),
    [sym_package_expression] = STATE(6020),
    [sym_new_expression] = STATE(6020),
    [sym_object_copy_expression] = STATE(6020),
    [sym_method_invocation] = STATE(6020),
    [sym_object_expression] = STATE(6020),
    [sym_parenthesized_expression] = STATE(6020),
    [sym_attribute] = STATE(2486),
    [sym_extension] = STATE(6020),
    [sym_quoted_extension] = STATE(6020),
    [sym__constant] = STATE(6020),
    [sym_number] = STATE(6065),
    [sym_character] = STATE(6065),
    [sym_string] = STATE(6065),
    [sym_quoted_string] = STATE(6065),
    [sym_boolean] = STATE(6065),
    [sym_unit] = STATE(6065),
    [sym__value_name] = STATE(6071),
    [sym_parenthesized_operator] = STATE(6102),
    [sym_value_path] = STATE(6020),
    [sym_module_path] = STATE(18353),
    [sym_constructor_path] = STATE(6020),
    [sym__constructor_name] = STATE(6068),
    [sym_tag] = STATE(6020),
    [aux_sym_class_application_repeat1] = STATE(2479),
    [sym__identifier] = ACTIONS(5741),
    [anon_sym_SEMI_SEMI] = ACTIONS(5737),
    [anon_sym_let] = ACTIONS(5739),
    [anon_sym_and] = ACTIONS(5739),
    [anon_sym_TILDE] = ACTIONS(5743),
    [anon_sym_QMARK] = ACTIONS(5743),
    [anon_sym_LPAREN] = ACTIONS(5745),
    [anon_sym_external] = ACTIONS(5739),
    [anon_sym_type] = ACTIONS(5739),
    [anon_sym_LBRACK] = ACTIONS(5747),
    [anon_sym_true] = ACTIONS(5749),
    [anon_sym_false] = ACTIONS(5749),
    [anon_sym_LBRACE] = ACTIONS(5751),
    [anon_sym_exception] = ACTIONS(5739),
    [anon_sym_module] = ACTIONS(5739),
    [anon_sym_open] = ACTIONS(5739),
    [anon_sym_include] = ACTIONS(5739),
    [anon_sym_class] = ACTIONS(5739),
    [anon_sym_end] = ACTIONS(5739),
    [anon_sym_object] = ACTIONS(5753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5755),
    [anon_sym_new] = ACTIONS(5757),
    [anon_sym_LBRACE_LT] = ACTIONS(5759),
    [anon_sym_begin] = ACTIONS(5761),
    [sym_ocamlyacc_value] = ACTIONS(5763),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5739),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5737),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5765),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5767),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5737),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5737),
    [aux_sym_number_token1] = ACTIONS(5769),
    [anon_sym_SQUOTE] = ACTIONS(5771),
    [anon_sym_DQUOTE] = ACTIONS(5773),
    [sym_prefix_operator] = ACTIONS(5775),
    [sym_let_operator] = ACTIONS(5737),
    [sym__capitalized_identifier] = ACTIONS(5777),
    [aux_sym_directive_token1] = ACTIONS(5737),
    [aux_sym_tag_token1] = ACTIONS(5779),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2487] = {
    [sym__simple_pattern] = STATE(13066),
    [sym__pattern] = STATE(13406),
    [sym_alias_pattern] = STATE(13066),
    [sym_typed_pattern] = STATE(13062),
    [sym_or_pattern] = STATE(13066),
    [sym_constructor_pattern] = STATE(13066),
    [sym_tag_pattern] = STATE(13066),
    [sym_polymorphic_variant_pattern] = STATE(13062),
    [sym_tuple_pattern] = STATE(13066),
    [sym_record_pattern] = STATE(13062),
    [sym_list_pattern] = STATE(13062),
    [sym_cons_pattern] = STATE(13066),
    [sym_array_pattern] = STATE(13062),
    [sym_range_pattern] = STATE(13066),
    [sym_lazy_pattern] = STATE(13066),
    [sym_local_open_pattern] = STATE(13062),
    [sym_package_pattern] = STATE(13062),
    [sym_parenthesized_pattern] = STATE(13062),
    [sym_exception_pattern] = STATE(13066),
    [sym_attribute] = STATE(2487),
    [sym_extension] = STATE(13062),
    [sym_quoted_extension] = STATE(13062),
    [sym__constant] = STATE(12890),
    [sym__signed_constant] = STATE(12883),
    [sym_number] = STATE(12089),
    [sym_signed_number] = STATE(12890),
    [sym_character] = STATE(12089),
    [sym_string] = STATE(12089),
    [sym_quoted_string] = STATE(12089),
    [sym_boolean] = STATE(12089),
    [sym_unit] = STATE(12089),
    [sym__infix_operator] = STATE(19236),
    [sym_add_operator] = STATE(20077),
    [sym__simple_value_pattern] = STATE(13062),
    [sym_parenthesized_operator] = STATE(13062),
    [sym_module_path] = STATE(20052),
    [sym_constructor_path] = STATE(2588),
    [sym__constructor_name] = STATE(8568),
    [sym_tag] = STATE(2593),
    [sym__identifier] = ACTIONS(5285),
    [anon_sym_LPAREN] = ACTIONS(5287),
    [anon_sym_RPAREN] = ACTIONS(5333),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_true] = ACTIONS(5295),
    [anon_sym_false] = ACTIONS(5295),
    [anon_sym_DOT] = ACTIONS(5335),
    [anon_sym_LBRACE] = ACTIONS(5299),
    [anon_sym_exception] = ACTIONS(5301),
    [anon_sym_module] = ACTIONS(5337),
    [anon_sym_POUND] = ACTIONS(5305),
    [anon_sym_COLON_COLON] = ACTIONS(5339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5309),
    [anon_sym_lazy] = ACTIONS(5311),
    [anon_sym_begin] = ACTIONS(5313),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5315),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5317),
    [aux_sym_number_token1] = ACTIONS(5319),
    [aux_sym_signed_number_token1] = ACTIONS(5321),
    [anon_sym_SQUOTE] = ACTIONS(5323),
    [anon_sym_DQUOTE] = ACTIONS(5325),
    [sym_prefix_operator] = ACTIONS(5341),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5341),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5341),
    [sym_let_and_operator] = ACTIONS(5341),
    [sym_match_operator] = ACTIONS(5341),
    [sym__capitalized_identifier] = ACTIONS(5329),
    [aux_sym_tag_token1] = ACTIONS(5331),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2488] = {
    [sym__simple_expression] = STATE(6386),
    [sym_typed_expression] = STATE(6215),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_labeled_argument] = STATE(7691),
    [sym_prefix_expression] = STATE(6215),
    [sym_hash_expression] = STATE(6215),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_coercion_expression] = STATE(6215),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(2488),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [aux_sym_class_application_repeat1] = STATE(2497),
    [sym__identifier] = ACTIONS(5265),
    [anon_sym_TILDE] = ACTIONS(5267),
    [anon_sym_QMARK] = ACTIONS(5267),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(1913),
    [anon_sym_false] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_SEMI] = ACTIONS(3503),
    [anon_sym_object] = ACTIONS(1917),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1921),
    [anon_sym_else] = ACTIONS(3505),
    [anon_sym_do] = ACTIONS(3505),
    [anon_sym_new] = ACTIONS(1931),
    [anon_sym_LBRACE_LT] = ACTIONS(1933),
    [anon_sym_begin] = ACTIONS(1935),
    [sym_ocamlyacc_value] = ACTIONS(1937),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1941),
    [aux_sym_number_token1] = ACTIONS(1943),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [sym_prefix_operator] = ACTIONS(1949),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2489] = {
    [sym__simple_pattern] = STATE(13066),
    [sym__pattern] = STATE(13579),
    [sym_alias_pattern] = STATE(13066),
    [sym_typed_pattern] = STATE(13062),
    [sym_or_pattern] = STATE(13066),
    [sym_constructor_pattern] = STATE(13066),
    [sym_tag_pattern] = STATE(13066),
    [sym_polymorphic_variant_pattern] = STATE(13062),
    [sym_tuple_pattern] = STATE(13066),
    [sym_record_pattern] = STATE(13062),
    [sym_list_pattern] = STATE(13062),
    [sym_cons_pattern] = STATE(13066),
    [sym_array_pattern] = STATE(13062),
    [sym_range_pattern] = STATE(13066),
    [sym_lazy_pattern] = STATE(13066),
    [sym_local_open_pattern] = STATE(13062),
    [sym_package_pattern] = STATE(13062),
    [sym_parenthesized_pattern] = STATE(13062),
    [sym_exception_pattern] = STATE(13066),
    [sym_attribute] = STATE(2489),
    [sym_extension] = STATE(13062),
    [sym_quoted_extension] = STATE(13062),
    [sym__constant] = STATE(12890),
    [sym__signed_constant] = STATE(12883),
    [sym_number] = STATE(12089),
    [sym_signed_number] = STATE(12890),
    [sym_character] = STATE(12089),
    [sym_string] = STATE(12089),
    [sym_quoted_string] = STATE(12089),
    [sym_boolean] = STATE(12089),
    [sym_unit] = STATE(12089),
    [sym__infix_operator] = STATE(20426),
    [sym_add_operator] = STATE(20077),
    [sym__simple_value_pattern] = STATE(13062),
    [sym_parenthesized_operator] = STATE(13062),
    [sym_module_path] = STATE(20052),
    [sym_constructor_path] = STATE(2588),
    [sym__constructor_name] = STATE(8568),
    [sym_tag] = STATE(2593),
    [sym__identifier] = ACTIONS(5285),
    [anon_sym_LPAREN] = ACTIONS(5287),
    [anon_sym_RPAREN] = ACTIONS(5393),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_true] = ACTIONS(5295),
    [anon_sym_false] = ACTIONS(5295),
    [anon_sym_DOT] = ACTIONS(5395),
    [anon_sym_LBRACE] = ACTIONS(5299),
    [anon_sym_exception] = ACTIONS(5301),
    [anon_sym_module] = ACTIONS(5397),
    [anon_sym_POUND] = ACTIONS(5305),
    [anon_sym_COLON_COLON] = ACTIONS(5399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5309),
    [anon_sym_lazy] = ACTIONS(5311),
    [anon_sym_begin] = ACTIONS(5313),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5315),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5317),
    [aux_sym_number_token1] = ACTIONS(5319),
    [aux_sym_signed_number_token1] = ACTIONS(5321),
    [anon_sym_SQUOTE] = ACTIONS(5323),
    [anon_sym_DQUOTE] = ACTIONS(5325),
    [sym_prefix_operator] = ACTIONS(5401),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5401),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5401),
    [sym_let_and_operator] = ACTIONS(5401),
    [sym_match_operator] = ACTIONS(5401),
    [sym__capitalized_identifier] = ACTIONS(5329),
    [aux_sym_tag_token1] = ACTIONS(5331),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2490] = {
    [sym__simple_pattern] = STATE(13066),
    [sym__pattern] = STATE(13432),
    [sym_alias_pattern] = STATE(13066),
    [sym_typed_pattern] = STATE(13062),
    [sym_or_pattern] = STATE(13066),
    [sym_constructor_pattern] = STATE(13066),
    [sym_tag_pattern] = STATE(13066),
    [sym_polymorphic_variant_pattern] = STATE(13062),
    [sym_tuple_pattern] = STATE(13066),
    [sym_record_pattern] = STATE(13062),
    [sym_list_pattern] = STATE(13062),
    [sym_cons_pattern] = STATE(13066),
    [sym_array_pattern] = STATE(13062),
    [sym_range_pattern] = STATE(13066),
    [sym_lazy_pattern] = STATE(13066),
    [sym_local_open_pattern] = STATE(13062),
    [sym_package_pattern] = STATE(13062),
    [sym_parenthesized_pattern] = STATE(13062),
    [sym_exception_pattern] = STATE(13066),
    [sym_attribute] = STATE(2490),
    [sym_extension] = STATE(13062),
    [sym_quoted_extension] = STATE(13062),
    [sym__constant] = STATE(12890),
    [sym__signed_constant] = STATE(12883),
    [sym_number] = STATE(12089),
    [sym_signed_number] = STATE(12890),
    [sym_character] = STATE(12089),
    [sym_string] = STATE(12089),
    [sym_quoted_string] = STATE(12089),
    [sym_boolean] = STATE(12089),
    [sym_unit] = STATE(12089),
    [sym__infix_operator] = STATE(20369),
    [sym_add_operator] = STATE(20077),
    [sym__simple_value_pattern] = STATE(13062),
    [sym_parenthesized_operator] = STATE(13062),
    [sym_module_path] = STATE(20052),
    [sym_constructor_path] = STATE(2588),
    [sym__constructor_name] = STATE(8568),
    [sym_tag] = STATE(2593),
    [sym__identifier] = ACTIONS(5285),
    [anon_sym_LPAREN] = ACTIONS(5287),
    [anon_sym_RPAREN] = ACTIONS(5289),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_true] = ACTIONS(5295),
    [anon_sym_false] = ACTIONS(5295),
    [anon_sym_DOT] = ACTIONS(5297),
    [anon_sym_LBRACE] = ACTIONS(5299),
    [anon_sym_exception] = ACTIONS(5301),
    [anon_sym_module] = ACTIONS(5303),
    [anon_sym_POUND] = ACTIONS(5305),
    [anon_sym_COLON_COLON] = ACTIONS(5307),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5309),
    [anon_sym_lazy] = ACTIONS(5311),
    [anon_sym_begin] = ACTIONS(5313),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5315),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5317),
    [aux_sym_number_token1] = ACTIONS(5319),
    [aux_sym_signed_number_token1] = ACTIONS(5321),
    [anon_sym_SQUOTE] = ACTIONS(5323),
    [anon_sym_DQUOTE] = ACTIONS(5325),
    [sym_prefix_operator] = ACTIONS(5327),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5327),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5327),
    [sym_let_and_operator] = ACTIONS(5327),
    [sym_match_operator] = ACTIONS(5327),
    [sym__capitalized_identifier] = ACTIONS(5329),
    [aux_sym_tag_token1] = ACTIONS(5331),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2491] = {
    [sym__simple_pattern] = STATE(13066),
    [sym__pattern] = STATE(13450),
    [sym_alias_pattern] = STATE(13066),
    [sym_typed_pattern] = STATE(13062),
    [sym_or_pattern] = STATE(13066),
    [sym_constructor_pattern] = STATE(13066),
    [sym_tag_pattern] = STATE(13066),
    [sym_polymorphic_variant_pattern] = STATE(13062),
    [sym_tuple_pattern] = STATE(13066),
    [sym_record_pattern] = STATE(13062),
    [sym_list_pattern] = STATE(13062),
    [sym_cons_pattern] = STATE(13066),
    [sym_array_pattern] = STATE(13062),
    [sym_range_pattern] = STATE(13066),
    [sym_lazy_pattern] = STATE(13066),
    [sym_local_open_pattern] = STATE(13062),
    [sym_package_pattern] = STATE(13062),
    [sym_parenthesized_pattern] = STATE(13062),
    [sym_exception_pattern] = STATE(13066),
    [sym_attribute] = STATE(2491),
    [sym_extension] = STATE(13062),
    [sym_quoted_extension] = STATE(13062),
    [sym__constant] = STATE(12890),
    [sym__signed_constant] = STATE(12883),
    [sym_number] = STATE(12089),
    [sym_signed_number] = STATE(12890),
    [sym_character] = STATE(12089),
    [sym_string] = STATE(12089),
    [sym_quoted_string] = STATE(12089),
    [sym_boolean] = STATE(12089),
    [sym_unit] = STATE(12089),
    [sym__infix_operator] = STATE(19221),
    [sym_add_operator] = STATE(20077),
    [sym__simple_value_pattern] = STATE(13062),
    [sym_parenthesized_operator] = STATE(13062),
    [sym_module_path] = STATE(20052),
    [sym_constructor_path] = STATE(2588),
    [sym__constructor_name] = STATE(8568),
    [sym_tag] = STATE(2593),
    [sym__identifier] = ACTIONS(5285),
    [anon_sym_LPAREN] = ACTIONS(5287),
    [anon_sym_RPAREN] = ACTIONS(5483),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_true] = ACTIONS(5295),
    [anon_sym_false] = ACTIONS(5295),
    [anon_sym_DOT] = ACTIONS(5485),
    [anon_sym_LBRACE] = ACTIONS(5299),
    [anon_sym_exception] = ACTIONS(5301),
    [anon_sym_module] = ACTIONS(5487),
    [anon_sym_POUND] = ACTIONS(5305),
    [anon_sym_COLON_COLON] = ACTIONS(5489),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5309),
    [anon_sym_lazy] = ACTIONS(5311),
    [anon_sym_begin] = ACTIONS(5313),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5315),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5317),
    [aux_sym_number_token1] = ACTIONS(5319),
    [aux_sym_signed_number_token1] = ACTIONS(5321),
    [anon_sym_SQUOTE] = ACTIONS(5323),
    [anon_sym_DQUOTE] = ACTIONS(5325),
    [sym_prefix_operator] = ACTIONS(5491),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5491),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5491),
    [sym_let_and_operator] = ACTIONS(5491),
    [sym_match_operator] = ACTIONS(5491),
    [sym__capitalized_identifier] = ACTIONS(5329),
    [aux_sym_tag_token1] = ACTIONS(5331),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2492] = {
    [sym__simple_pattern] = STATE(13066),
    [sym__pattern] = STATE(13673),
    [sym_alias_pattern] = STATE(13066),
    [sym_typed_pattern] = STATE(13062),
    [sym_or_pattern] = STATE(13066),
    [sym_constructor_pattern] = STATE(13066),
    [sym_tag_pattern] = STATE(13066),
    [sym_polymorphic_variant_pattern] = STATE(13062),
    [sym_tuple_pattern] = STATE(13066),
    [sym_record_pattern] = STATE(13062),
    [sym_list_pattern] = STATE(13062),
    [sym_cons_pattern] = STATE(13066),
    [sym_array_pattern] = STATE(13062),
    [sym_range_pattern] = STATE(13066),
    [sym_lazy_pattern] = STATE(13066),
    [sym_local_open_pattern] = STATE(13062),
    [sym_package_pattern] = STATE(13062),
    [sym_parenthesized_pattern] = STATE(13062),
    [sym_exception_pattern] = STATE(13066),
    [sym_attribute] = STATE(2492),
    [sym_extension] = STATE(13062),
    [sym_quoted_extension] = STATE(13062),
    [sym__constant] = STATE(12890),
    [sym__signed_constant] = STATE(12883),
    [sym_number] = STATE(12089),
    [sym_signed_number] = STATE(12890),
    [sym_character] = STATE(12089),
    [sym_string] = STATE(12089),
    [sym_quoted_string] = STATE(12089),
    [sym_boolean] = STATE(12089),
    [sym_unit] = STATE(12089),
    [sym__infix_operator] = STATE(20036),
    [sym_add_operator] = STATE(20077),
    [sym__simple_value_pattern] = STATE(13062),
    [sym_parenthesized_operator] = STATE(13062),
    [sym_module_path] = STATE(20052),
    [sym_constructor_path] = STATE(2588),
    [sym__constructor_name] = STATE(8568),
    [sym_tag] = STATE(2593),
    [sym__identifier] = ACTIONS(5285),
    [anon_sym_LPAREN] = ACTIONS(5287),
    [anon_sym_RPAREN] = ACTIONS(2257),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_true] = ACTIONS(5295),
    [anon_sym_false] = ACTIONS(5295),
    [anon_sym_DOT] = ACTIONS(2259),
    [anon_sym_LBRACE] = ACTIONS(5299),
    [anon_sym_exception] = ACTIONS(5301),
    [anon_sym_module] = ACTIONS(5403),
    [anon_sym_POUND] = ACTIONS(5305),
    [anon_sym_COLON_COLON] = ACTIONS(5405),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5309),
    [anon_sym_lazy] = ACTIONS(5311),
    [anon_sym_begin] = ACTIONS(5313),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5315),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5317),
    [aux_sym_number_token1] = ACTIONS(5319),
    [aux_sym_signed_number_token1] = ACTIONS(5321),
    [anon_sym_SQUOTE] = ACTIONS(5323),
    [anon_sym_DQUOTE] = ACTIONS(5325),
    [sym_prefix_operator] = ACTIONS(2267),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(2267),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2267),
    [sym_let_and_operator] = ACTIONS(2267),
    [sym_match_operator] = ACTIONS(2267),
    [sym__capitalized_identifier] = ACTIONS(5329),
    [aux_sym_tag_token1] = ACTIONS(5331),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2493] = {
    [sym__simple_pattern] = STATE(13066),
    [sym__pattern] = STATE(13425),
    [sym_alias_pattern] = STATE(13066),
    [sym_typed_pattern] = STATE(13062),
    [sym_or_pattern] = STATE(13066),
    [sym_constructor_pattern] = STATE(13066),
    [sym_tag_pattern] = STATE(13066),
    [sym_polymorphic_variant_pattern] = STATE(13062),
    [sym_tuple_pattern] = STATE(13066),
    [sym_record_pattern] = STATE(13062),
    [sym_list_pattern] = STATE(13062),
    [sym_cons_pattern] = STATE(13066),
    [sym_array_pattern] = STATE(13062),
    [sym_range_pattern] = STATE(13066),
    [sym_lazy_pattern] = STATE(13066),
    [sym_local_open_pattern] = STATE(13062),
    [sym_package_pattern] = STATE(13062),
    [sym_parenthesized_pattern] = STATE(13062),
    [sym_exception_pattern] = STATE(13066),
    [sym_attribute] = STATE(2493),
    [sym_extension] = STATE(13062),
    [sym_quoted_extension] = STATE(13062),
    [sym__constant] = STATE(12890),
    [sym__signed_constant] = STATE(12883),
    [sym_number] = STATE(12089),
    [sym_signed_number] = STATE(12890),
    [sym_character] = STATE(12089),
    [sym_string] = STATE(12089),
    [sym_quoted_string] = STATE(12089),
    [sym_boolean] = STATE(12089),
    [sym_unit] = STATE(12089),
    [sym__infix_operator] = STATE(19289),
    [sym_add_operator] = STATE(20077),
    [sym__simple_value_pattern] = STATE(13062),
    [sym_parenthesized_operator] = STATE(13062),
    [sym_module_path] = STATE(20052),
    [sym_constructor_path] = STATE(2588),
    [sym__constructor_name] = STATE(8568),
    [sym_tag] = STATE(2593),
    [sym__identifier] = ACTIONS(5285),
    [anon_sym_LPAREN] = ACTIONS(5287),
    [anon_sym_RPAREN] = ACTIONS(5353),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_true] = ACTIONS(5295),
    [anon_sym_false] = ACTIONS(5295),
    [anon_sym_DOT] = ACTIONS(5355),
    [anon_sym_LBRACE] = ACTIONS(5299),
    [anon_sym_exception] = ACTIONS(5301),
    [anon_sym_module] = ACTIONS(5357),
    [anon_sym_POUND] = ACTIONS(5305),
    [anon_sym_COLON_COLON] = ACTIONS(5359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5309),
    [anon_sym_lazy] = ACTIONS(5311),
    [anon_sym_begin] = ACTIONS(5313),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5315),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5317),
    [aux_sym_number_token1] = ACTIONS(5319),
    [aux_sym_signed_number_token1] = ACTIONS(5321),
    [anon_sym_SQUOTE] = ACTIONS(5323),
    [anon_sym_DQUOTE] = ACTIONS(5325),
    [sym_prefix_operator] = ACTIONS(5361),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5361),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5361),
    [sym_let_and_operator] = ACTIONS(5361),
    [sym_match_operator] = ACTIONS(5361),
    [sym__capitalized_identifier] = ACTIONS(5329),
    [aux_sym_tag_token1] = ACTIONS(5331),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2494] = {
    [sym__simple_expression] = STATE(6416),
    [sym_typed_expression] = STATE(6261),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_labeled_argument] = STATE(7549),
    [sym_prefix_expression] = STATE(6261),
    [sym_hash_expression] = STATE(6261),
    [sym_field_get_expression] = STATE(6261),
    [sym_array_get_expression] = STATE(6261),
    [sym_string_get_expression] = STATE(6261),
    [sym_bigarray_get_expression] = STATE(6261),
    [sym_coercion_expression] = STATE(6261),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(2494),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [aux_sym_class_application_repeat1] = STATE(2500),
    [sym__identifier] = ACTIONS(5165),
    [anon_sym_TILDE] = ACTIONS(5167),
    [anon_sym_QMARK] = ACTIONS(5167),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(1983),
    [anon_sym_false] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_SEMI] = ACTIONS(3503),
    [anon_sym_with] = ACTIONS(3505),
    [anon_sym_object] = ACTIONS(1987),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1991),
    [anon_sym_else] = ACTIONS(3505),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_LBRACE_LT] = ACTIONS(2003),
    [anon_sym_begin] = ACTIONS(2005),
    [sym_ocamlyacc_value] = ACTIONS(2007),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2011),
    [aux_sym_number_token1] = ACTIONS(2013),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [sym_prefix_operator] = ACTIONS(2019),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(2023),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2495] = {
    [sym__simple_expression] = STATE(6479),
    [sym_typed_expression] = STATE(6315),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_labeled_argument] = STATE(7500),
    [sym_prefix_expression] = STATE(6315),
    [sym_hash_expression] = STATE(6315),
    [sym_field_get_expression] = STATE(6315),
    [sym_array_get_expression] = STATE(6315),
    [sym_string_get_expression] = STATE(6315),
    [sym_bigarray_get_expression] = STATE(6315),
    [sym_coercion_expression] = STATE(6315),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(2495),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [aux_sym_class_application_repeat1] = STATE(2503),
    [sym__identifier] = ACTIONS(5175),
    [anon_sym_TILDE] = ACTIONS(5177),
    [anon_sym_QMARK] = ACTIONS(5177),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(3503),
    [anon_sym_end] = ACTIONS(3505),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2061),
    [anon_sym_else] = ACTIONS(3505),
    [anon_sym_new] = ACTIONS(2071),
    [anon_sym_LBRACE_LT] = ACTIONS(2073),
    [anon_sym_begin] = ACTIONS(2075),
    [sym_ocamlyacc_value] = ACTIONS(2077),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2081),
    [aux_sym_number_token1] = ACTIONS(2083),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(2093),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2496] = {
    [sym__simple_expression] = STATE(6331),
    [sym_typed_expression] = STATE(6172),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_labeled_argument] = STATE(7620),
    [sym_prefix_expression] = STATE(6172),
    [sym_hash_expression] = STATE(6172),
    [sym_field_get_expression] = STATE(6172),
    [sym_array_get_expression] = STATE(6172),
    [sym_string_get_expression] = STATE(6172),
    [sym_bigarray_get_expression] = STATE(6172),
    [sym_coercion_expression] = STATE(6172),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(2496),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [aux_sym_class_application_repeat1] = STATE(2496),
    [sym__identifier] = ACTIONS(5865),
    [anon_sym_TILDE] = ACTIONS(5868),
    [anon_sym_QMARK] = ACTIONS(5868),
    [anon_sym_LPAREN] = ACTIONS(5871),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(5874),
    [anon_sym_true] = ACTIONS(5877),
    [anon_sym_false] = ACTIONS(5877),
    [anon_sym_LBRACE] = ACTIONS(5880),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_object] = ACTIONS(5883),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5886),
    [anon_sym_then] = ACTIONS(3572),
    [anon_sym_else] = ACTIONS(3572),
    [anon_sym_new] = ACTIONS(5889),
    [anon_sym_LBRACE_LT] = ACTIONS(5892),
    [anon_sym_begin] = ACTIONS(5895),
    [sym_ocamlyacc_value] = ACTIONS(5898),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5901),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5904),
    [aux_sym_number_token1] = ACTIONS(5907),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(5910),
    [anon_sym_DQUOTE] = ACTIONS(5913),
    [sym_prefix_operator] = ACTIONS(5916),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(5919),
    [aux_sym_tag_token1] = ACTIONS(5922),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2497] = {
    [sym__simple_expression] = STATE(6386),
    [sym_typed_expression] = STATE(6215),
    [sym_list_expression] = STATE(6215),
    [sym_array_expression] = STATE(6215),
    [sym_record_expression] = STATE(6215),
    [sym_labeled_argument] = STATE(7691),
    [sym_prefix_expression] = STATE(6215),
    [sym_hash_expression] = STATE(6215),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_coercion_expression] = STATE(6215),
    [sym_local_open_expression] = STATE(6215),
    [sym_package_expression] = STATE(6215),
    [sym_new_expression] = STATE(6215),
    [sym_object_copy_expression] = STATE(6215),
    [sym_method_invocation] = STATE(6215),
    [sym_object_expression] = STATE(6215),
    [sym_parenthesized_expression] = STATE(6215),
    [sym_attribute] = STATE(2497),
    [sym_extension] = STATE(6215),
    [sym_quoted_extension] = STATE(6215),
    [sym__constant] = STATE(6215),
    [sym_number] = STATE(6526),
    [sym_character] = STATE(6526),
    [sym_string] = STATE(6526),
    [sym_quoted_string] = STATE(6526),
    [sym_boolean] = STATE(6526),
    [sym_unit] = STATE(6526),
    [sym__value_name] = STATE(6262),
    [sym_parenthesized_operator] = STATE(6472),
    [sym_value_path] = STATE(6215),
    [sym_module_path] = STATE(18153),
    [sym_constructor_path] = STATE(6215),
    [sym__constructor_name] = STATE(6530),
    [sym_tag] = STATE(6215),
    [aux_sym_class_application_repeat1] = STATE(2497),
    [sym__identifier] = ACTIONS(5925),
    [anon_sym_TILDE] = ACTIONS(5928),
    [anon_sym_QMARK] = ACTIONS(5928),
    [anon_sym_LPAREN] = ACTIONS(5931),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(5934),
    [anon_sym_true] = ACTIONS(5937),
    [anon_sym_false] = ACTIONS(5937),
    [anon_sym_LBRACE] = ACTIONS(5940),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_object] = ACTIONS(5943),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5946),
    [anon_sym_else] = ACTIONS(3572),
    [anon_sym_do] = ACTIONS(3572),
    [anon_sym_new] = ACTIONS(5949),
    [anon_sym_LBRACE_LT] = ACTIONS(5952),
    [anon_sym_begin] = ACTIONS(5955),
    [sym_ocamlyacc_value] = ACTIONS(5958),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5961),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5964),
    [aux_sym_number_token1] = ACTIONS(5967),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(5970),
    [anon_sym_DQUOTE] = ACTIONS(5973),
    [sym_prefix_operator] = ACTIONS(5976),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(5979),
    [aux_sym_tag_token1] = ACTIONS(5982),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2498] = {
    [sym__simple_expression] = STATE(6331),
    [sym_typed_expression] = STATE(6172),
    [sym_list_expression] = STATE(6172),
    [sym_array_expression] = STATE(6172),
    [sym_record_expression] = STATE(6172),
    [sym_labeled_argument] = STATE(7620),
    [sym_prefix_expression] = STATE(6172),
    [sym_hash_expression] = STATE(6172),
    [sym_field_get_expression] = STATE(6172),
    [sym_array_get_expression] = STATE(6172),
    [sym_string_get_expression] = STATE(6172),
    [sym_bigarray_get_expression] = STATE(6172),
    [sym_coercion_expression] = STATE(6172),
    [sym_local_open_expression] = STATE(6172),
    [sym_package_expression] = STATE(6172),
    [sym_new_expression] = STATE(6172),
    [sym_object_copy_expression] = STATE(6172),
    [sym_method_invocation] = STATE(6172),
    [sym_object_expression] = STATE(6172),
    [sym_parenthesized_expression] = STATE(6172),
    [sym_attribute] = STATE(2498),
    [sym_extension] = STATE(6172),
    [sym_quoted_extension] = STATE(6172),
    [sym__constant] = STATE(6172),
    [sym_number] = STATE(6346),
    [sym_character] = STATE(6346),
    [sym_string] = STATE(6346),
    [sym_quoted_string] = STATE(6346),
    [sym_boolean] = STATE(6346),
    [sym_unit] = STATE(6346),
    [sym__value_name] = STATE(6216),
    [sym_parenthesized_operator] = STATE(6406),
    [sym_value_path] = STATE(6172),
    [sym_module_path] = STATE(18112),
    [sym_constructor_path] = STATE(6172),
    [sym__constructor_name] = STATE(6393),
    [sym_tag] = STATE(6172),
    [aux_sym_class_application_repeat1] = STATE(2496),
    [sym__identifier] = ACTIONS(5185),
    [anon_sym_TILDE] = ACTIONS(5187),
    [anon_sym_QMARK] = ACTIONS(5187),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1843),
    [anon_sym_false] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(3503),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1851),
    [anon_sym_then] = ACTIONS(3505),
    [anon_sym_else] = ACTIONS(3505),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_LBRACE_LT] = ACTIONS(1863),
    [anon_sym_begin] = ACTIONS(1865),
    [sym_ocamlyacc_value] = ACTIONS(1867),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1871),
    [aux_sym_number_token1] = ACTIONS(1873),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(1883),
    [aux_sym_tag_token1] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2499] = {
    [sym__simple_expression] = STATE(6585),
    [sym_typed_expression] = STATE(6579),
    [sym_list_expression] = STATE(6579),
    [sym_array_expression] = STATE(6579),
    [sym_record_expression] = STATE(6579),
    [sym_labeled_argument] = STATE(7562),
    [sym_prefix_expression] = STATE(6579),
    [sym_hash_expression] = STATE(6579),
    [sym_field_get_expression] = STATE(6579),
    [sym_array_get_expression] = STATE(6579),
    [sym_string_get_expression] = STATE(6579),
    [sym_bigarray_get_expression] = STATE(6579),
    [sym_coercion_expression] = STATE(6579),
    [sym_local_open_expression] = STATE(6579),
    [sym_package_expression] = STATE(6579),
    [sym_new_expression] = STATE(6579),
    [sym_object_copy_expression] = STATE(6579),
    [sym_method_invocation] = STATE(6579),
    [sym_object_expression] = STATE(6579),
    [sym_parenthesized_expression] = STATE(6579),
    [sym_attribute] = STATE(2499),
    [sym_extension] = STATE(6579),
    [sym_quoted_extension] = STATE(6579),
    [sym__constant] = STATE(6579),
    [sym_number] = STATE(6534),
    [sym_character] = STATE(6534),
    [sym_string] = STATE(6534),
    [sym_quoted_string] = STATE(6534),
    [sym_boolean] = STATE(6534),
    [sym_unit] = STATE(6534),
    [sym__value_name] = STATE(6629),
    [sym_parenthesized_operator] = STATE(6159),
    [sym_value_path] = STATE(6579),
    [sym_module_path] = STATE(18629),
    [sym_constructor_path] = STATE(6579),
    [sym__constructor_name] = STATE(6641),
    [sym_tag] = STATE(6579),
    [aux_sym_class_application_repeat1] = STATE(2506),
    [sym__identifier] = ACTIONS(5275),
    [anon_sym_TILDE] = ACTIONS(5277),
    [anon_sym_QMARK] = ACTIONS(5277),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_true] = ACTIONS(2475),
    [anon_sym_false] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2477),
    [anon_sym_SEMI] = ACTIONS(3503),
    [anon_sym_object] = ACTIONS(2479),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2483),
    [anon_sym_else] = ACTIONS(3505),
    [anon_sym_done] = ACTIONS(3505),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_LBRACE_LT] = ACTIONS(2495),
    [anon_sym_begin] = ACTIONS(2497),
    [sym_ocamlyacc_value] = ACTIONS(2499),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2501),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2503),
    [aux_sym_number_token1] = ACTIONS(2505),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [sym_prefix_operator] = ACTIONS(2511),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(2515),
    [aux_sym_tag_token1] = ACTIONS(2517),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2500] = {
    [sym__simple_expression] = STATE(6416),
    [sym_typed_expression] = STATE(6261),
    [sym_list_expression] = STATE(6261),
    [sym_array_expression] = STATE(6261),
    [sym_record_expression] = STATE(6261),
    [sym_labeled_argument] = STATE(7549),
    [sym_prefix_expression] = STATE(6261),
    [sym_hash_expression] = STATE(6261),
    [sym_field_get_expression] = STATE(6261),
    [sym_array_get_expression] = STATE(6261),
    [sym_string_get_expression] = STATE(6261),
    [sym_bigarray_get_expression] = STATE(6261),
    [sym_coercion_expression] = STATE(6261),
    [sym_local_open_expression] = STATE(6261),
    [sym_package_expression] = STATE(6261),
    [sym_new_expression] = STATE(6261),
    [sym_object_copy_expression] = STATE(6261),
    [sym_method_invocation] = STATE(6261),
    [sym_object_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_attribute] = STATE(2500),
    [sym_extension] = STATE(6261),
    [sym_quoted_extension] = STATE(6261),
    [sym__constant] = STATE(6261),
    [sym_number] = STATE(6431),
    [sym_character] = STATE(6431),
    [sym_string] = STATE(6431),
    [sym_quoted_string] = STATE(6431),
    [sym_boolean] = STATE(6431),
    [sym_unit] = STATE(6431),
    [sym__value_name] = STATE(6323),
    [sym_parenthesized_operator] = STATE(6497),
    [sym_value_path] = STATE(6261),
    [sym_module_path] = STATE(18233),
    [sym_constructor_path] = STATE(6261),
    [sym__constructor_name] = STATE(6450),
    [sym_tag] = STATE(6261),
    [aux_sym_class_application_repeat1] = STATE(2500),
    [sym__identifier] = ACTIONS(5985),
    [anon_sym_TILDE] = ACTIONS(5988),
    [anon_sym_QMARK] = ACTIONS(5988),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(5994),
    [anon_sym_true] = ACTIONS(5997),
    [anon_sym_false] = ACTIONS(5997),
    [anon_sym_LBRACE] = ACTIONS(6000),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_with] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(6003),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6006),
    [anon_sym_else] = ACTIONS(3572),
    [anon_sym_new] = ACTIONS(6009),
    [anon_sym_LBRACE_LT] = ACTIONS(6012),
    [anon_sym_begin] = ACTIONS(6015),
    [sym_ocamlyacc_value] = ACTIONS(6018),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6024),
    [aux_sym_number_token1] = ACTIONS(6027),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(6030),
    [anon_sym_DQUOTE] = ACTIONS(6033),
    [sym_prefix_operator] = ACTIONS(6036),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(6039),
    [aux_sym_tag_token1] = ACTIONS(6042),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2501] = {
    [sym__simple_pattern] = STATE(13066),
    [sym__pattern] = STATE(13397),
    [sym_alias_pattern] = STATE(13066),
    [sym_typed_pattern] = STATE(13062),
    [sym_or_pattern] = STATE(13066),
    [sym_constructor_pattern] = STATE(13066),
    [sym_tag_pattern] = STATE(13066),
    [sym_polymorphic_variant_pattern] = STATE(13062),
    [sym_tuple_pattern] = STATE(13066),
    [sym_record_pattern] = STATE(13062),
    [sym_list_pattern] = STATE(13062),
    [sym_cons_pattern] = STATE(13066),
    [sym_array_pattern] = STATE(13062),
    [sym_range_pattern] = STATE(13066),
    [sym_lazy_pattern] = STATE(13066),
    [sym_local_open_pattern] = STATE(13062),
    [sym_package_pattern] = STATE(13062),
    [sym_parenthesized_pattern] = STATE(13062),
    [sym_exception_pattern] = STATE(13066),
    [sym_attribute] = STATE(2501),
    [sym_extension] = STATE(13062),
    [sym_quoted_extension] = STATE(13062),
    [sym__constant] = STATE(12890),
    [sym__signed_constant] = STATE(12883),
    [sym_number] = STATE(12089),
    [sym_signed_number] = STATE(12890),
    [sym_character] = STATE(12089),
    [sym_string] = STATE(12089),
    [sym_quoted_string] = STATE(12089),
    [sym_boolean] = STATE(12089),
    [sym_unit] = STATE(12089),
    [sym__infix_operator] = STATE(17946),
    [sym_add_operator] = STATE(20077),
    [sym__simple_value_pattern] = STATE(13062),
    [sym_parenthesized_operator] = STATE(13062),
    [sym_module_path] = STATE(20052),
    [sym_constructor_path] = STATE(2588),
    [sym__constructor_name] = STATE(8568),
    [sym_tag] = STATE(2593),
    [sym__identifier] = ACTIONS(5285),
    [anon_sym_LPAREN] = ACTIONS(5287),
    [anon_sym_RPAREN] = ACTIONS(5363),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_true] = ACTIONS(5295),
    [anon_sym_false] = ACTIONS(5295),
    [anon_sym_DOT] = ACTIONS(5365),
    [anon_sym_LBRACE] = ACTIONS(5299),
    [anon_sym_exception] = ACTIONS(5301),
    [anon_sym_module] = ACTIONS(5367),
    [anon_sym_POUND] = ACTIONS(5305),
    [anon_sym_COLON_COLON] = ACTIONS(5369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5309),
    [anon_sym_lazy] = ACTIONS(5311),
    [anon_sym_begin] = ACTIONS(5313),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5315),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5317),
    [aux_sym_number_token1] = ACTIONS(5319),
    [aux_sym_signed_number_token1] = ACTIONS(5321),
    [anon_sym_SQUOTE] = ACTIONS(5323),
    [anon_sym_DQUOTE] = ACTIONS(5325),
    [sym_prefix_operator] = ACTIONS(5371),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5371),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5371),
    [sym_let_and_operator] = ACTIONS(5371),
    [sym_match_operator] = ACTIONS(5371),
    [sym__capitalized_identifier] = ACTIONS(5329),
    [aux_sym_tag_token1] = ACTIONS(5331),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2502] = {
    [sym__simple_expression] = STATE(6152),
    [sym_typed_expression] = STATE(6376),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_labeled_argument] = STATE(7555),
    [sym_prefix_expression] = STATE(6376),
    [sym_hash_expression] = STATE(6376),
    [sym_field_get_expression] = STATE(6376),
    [sym_array_get_expression] = STATE(6376),
    [sym_string_get_expression] = STATE(6376),
    [sym_bigarray_get_expression] = STATE(6376),
    [sym_coercion_expression] = STATE(6376),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(2502),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [aux_sym_class_application_repeat1] = STATE(2502),
    [sym__identifier] = ACTIONS(6045),
    [anon_sym_TILDE] = ACTIONS(6048),
    [anon_sym_QMARK] = ACTIONS(6048),
    [anon_sym_LPAREN] = ACTIONS(6051),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(6054),
    [anon_sym_true] = ACTIONS(6057),
    [anon_sym_false] = ACTIONS(6057),
    [anon_sym_LBRACE] = ACTIONS(6060),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_object] = ACTIONS(6063),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6066),
    [anon_sym_to] = ACTIONS(3572),
    [anon_sym_downto] = ACTIONS(3572),
    [anon_sym_new] = ACTIONS(6069),
    [anon_sym_LBRACE_LT] = ACTIONS(6072),
    [anon_sym_begin] = ACTIONS(6075),
    [sym_ocamlyacc_value] = ACTIONS(6078),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6081),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6084),
    [aux_sym_number_token1] = ACTIONS(6087),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(6090),
    [anon_sym_DQUOTE] = ACTIONS(6093),
    [sym_prefix_operator] = ACTIONS(6096),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(6099),
    [aux_sym_tag_token1] = ACTIONS(6102),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2503] = {
    [sym__simple_expression] = STATE(6479),
    [sym_typed_expression] = STATE(6315),
    [sym_list_expression] = STATE(6315),
    [sym_array_expression] = STATE(6315),
    [sym_record_expression] = STATE(6315),
    [sym_labeled_argument] = STATE(7500),
    [sym_prefix_expression] = STATE(6315),
    [sym_hash_expression] = STATE(6315),
    [sym_field_get_expression] = STATE(6315),
    [sym_array_get_expression] = STATE(6315),
    [sym_string_get_expression] = STATE(6315),
    [sym_bigarray_get_expression] = STATE(6315),
    [sym_coercion_expression] = STATE(6315),
    [sym_local_open_expression] = STATE(6315),
    [sym_package_expression] = STATE(6315),
    [sym_new_expression] = STATE(6315),
    [sym_object_copy_expression] = STATE(6315),
    [sym_method_invocation] = STATE(6315),
    [sym_object_expression] = STATE(6315),
    [sym_parenthesized_expression] = STATE(6315),
    [sym_attribute] = STATE(2503),
    [sym_extension] = STATE(6315),
    [sym_quoted_extension] = STATE(6315),
    [sym__constant] = STATE(6315),
    [sym_number] = STATE(6444),
    [sym_character] = STATE(6444),
    [sym_string] = STATE(6444),
    [sym_quoted_string] = STATE(6444),
    [sym_boolean] = STATE(6444),
    [sym_unit] = STATE(6444),
    [sym__value_name] = STATE(6383),
    [sym_parenthesized_operator] = STATE(6528),
    [sym_value_path] = STATE(6315),
    [sym_module_path] = STATE(18273),
    [sym_constructor_path] = STATE(6315),
    [sym__constructor_name] = STATE(6446),
    [sym_tag] = STATE(6315),
    [aux_sym_class_application_repeat1] = STATE(2503),
    [sym__identifier] = ACTIONS(6105),
    [anon_sym_TILDE] = ACTIONS(6108),
    [anon_sym_QMARK] = ACTIONS(6108),
    [anon_sym_LPAREN] = ACTIONS(6111),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(6114),
    [anon_sym_true] = ACTIONS(6117),
    [anon_sym_false] = ACTIONS(6117),
    [anon_sym_LBRACE] = ACTIONS(6120),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_end] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(6123),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6126),
    [anon_sym_else] = ACTIONS(3572),
    [anon_sym_new] = ACTIONS(6129),
    [anon_sym_LBRACE_LT] = ACTIONS(6132),
    [anon_sym_begin] = ACTIONS(6135),
    [sym_ocamlyacc_value] = ACTIONS(6138),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6141),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6144),
    [aux_sym_number_token1] = ACTIONS(6147),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(6150),
    [anon_sym_DQUOTE] = ACTIONS(6153),
    [sym_prefix_operator] = ACTIONS(6156),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(6159),
    [aux_sym_tag_token1] = ACTIONS(6162),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2504] = {
    [sym__simple_pattern] = STATE(13066),
    [sym__pattern] = STATE(13456),
    [sym_alias_pattern] = STATE(13066),
    [sym_typed_pattern] = STATE(13062),
    [sym_or_pattern] = STATE(13066),
    [sym_constructor_pattern] = STATE(13066),
    [sym_tag_pattern] = STATE(13066),
    [sym_polymorphic_variant_pattern] = STATE(13062),
    [sym_tuple_pattern] = STATE(13066),
    [sym_record_pattern] = STATE(13062),
    [sym_list_pattern] = STATE(13062),
    [sym_cons_pattern] = STATE(13066),
    [sym_array_pattern] = STATE(13062),
    [sym_range_pattern] = STATE(13066),
    [sym_lazy_pattern] = STATE(13066),
    [sym_local_open_pattern] = STATE(13062),
    [sym_package_pattern] = STATE(13062),
    [sym_parenthesized_pattern] = STATE(13062),
    [sym_exception_pattern] = STATE(13066),
    [sym_attribute] = STATE(2504),
    [sym_extension] = STATE(13062),
    [sym_quoted_extension] = STATE(13062),
    [sym__constant] = STATE(12890),
    [sym__signed_constant] = STATE(12883),
    [sym_number] = STATE(12089),
    [sym_signed_number] = STATE(12890),
    [sym_character] = STATE(12089),
    [sym_string] = STATE(12089),
    [sym_quoted_string] = STATE(12089),
    [sym_boolean] = STATE(12089),
    [sym_unit] = STATE(12089),
    [sym__infix_operator] = STATE(18352),
    [sym_add_operator] = STATE(20077),
    [sym__simple_value_pattern] = STATE(13062),
    [sym_parenthesized_operator] = STATE(13062),
    [sym_module_path] = STATE(20052),
    [sym_constructor_path] = STATE(2588),
    [sym__constructor_name] = STATE(8568),
    [sym_tag] = STATE(2593),
    [sym__identifier] = ACTIONS(5285),
    [anon_sym_LPAREN] = ACTIONS(5287),
    [anon_sym_RPAREN] = ACTIONS(5383),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_true] = ACTIONS(5295),
    [anon_sym_false] = ACTIONS(5295),
    [anon_sym_DOT] = ACTIONS(5385),
    [anon_sym_LBRACE] = ACTIONS(5299),
    [anon_sym_exception] = ACTIONS(5301),
    [anon_sym_module] = ACTIONS(5387),
    [anon_sym_POUND] = ACTIONS(5305),
    [anon_sym_COLON_COLON] = ACTIONS(5389),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5309),
    [anon_sym_lazy] = ACTIONS(5311),
    [anon_sym_begin] = ACTIONS(5313),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5315),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5317),
    [aux_sym_number_token1] = ACTIONS(5319),
    [aux_sym_signed_number_token1] = ACTIONS(5321),
    [anon_sym_SQUOTE] = ACTIONS(5323),
    [anon_sym_DQUOTE] = ACTIONS(5325),
    [sym_prefix_operator] = ACTIONS(5391),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5391),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5391),
    [sym_let_and_operator] = ACTIONS(5391),
    [sym_match_operator] = ACTIONS(5391),
    [sym__capitalized_identifier] = ACTIONS(5329),
    [aux_sym_tag_token1] = ACTIONS(5331),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2505] = {
    [sym__simple_expression] = STATE(6152),
    [sym_typed_expression] = STATE(6376),
    [sym_list_expression] = STATE(6376),
    [sym_array_expression] = STATE(6376),
    [sym_record_expression] = STATE(6376),
    [sym_labeled_argument] = STATE(7555),
    [sym_prefix_expression] = STATE(6376),
    [sym_hash_expression] = STATE(6376),
    [sym_field_get_expression] = STATE(6376),
    [sym_array_get_expression] = STATE(6376),
    [sym_string_get_expression] = STATE(6376),
    [sym_bigarray_get_expression] = STATE(6376),
    [sym_coercion_expression] = STATE(6376),
    [sym_local_open_expression] = STATE(6376),
    [sym_package_expression] = STATE(6376),
    [sym_new_expression] = STATE(6376),
    [sym_object_copy_expression] = STATE(6376),
    [sym_method_invocation] = STATE(6376),
    [sym_object_expression] = STATE(6376),
    [sym_parenthesized_expression] = STATE(6376),
    [sym_attribute] = STATE(2505),
    [sym_extension] = STATE(6376),
    [sym_quoted_extension] = STATE(6376),
    [sym__constant] = STATE(6376),
    [sym_number] = STATE(6501),
    [sym_character] = STATE(6501),
    [sym_string] = STATE(6501),
    [sym_quoted_string] = STATE(6501),
    [sym_boolean] = STATE(6501),
    [sym_unit] = STATE(6501),
    [sym__value_name] = STATE(6148),
    [sym_parenthesized_operator] = STATE(6545),
    [sym_value_path] = STATE(6376),
    [sym_module_path] = STATE(17681),
    [sym_constructor_path] = STATE(6376),
    [sym__constructor_name] = STATE(6503),
    [sym_tag] = STATE(6376),
    [aux_sym_class_application_repeat1] = STATE(2502),
    [sym__identifier] = ACTIONS(5255),
    [anon_sym_TILDE] = ACTIONS(5257),
    [anon_sym_QMARK] = ACTIONS(5257),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_SEMI] = ACTIONS(3503),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1763),
    [anon_sym_to] = ACTIONS(3505),
    [anon_sym_downto] = ACTIONS(3505),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_LBRACE_LT] = ACTIONS(1775),
    [anon_sym_begin] = ACTIONS(1777),
    [sym_ocamlyacc_value] = ACTIONS(1779),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1781),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1783),
    [aux_sym_number_token1] = ACTIONS(1785),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [sym_prefix_operator] = ACTIONS(1791),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(1795),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2506] = {
    [sym__simple_expression] = STATE(6585),
    [sym_typed_expression] = STATE(6579),
    [sym_list_expression] = STATE(6579),
    [sym_array_expression] = STATE(6579),
    [sym_record_expression] = STATE(6579),
    [sym_labeled_argument] = STATE(7562),
    [sym_prefix_expression] = STATE(6579),
    [sym_hash_expression] = STATE(6579),
    [sym_field_get_expression] = STATE(6579),
    [sym_array_get_expression] = STATE(6579),
    [sym_string_get_expression] = STATE(6579),
    [sym_bigarray_get_expression] = STATE(6579),
    [sym_coercion_expression] = STATE(6579),
    [sym_local_open_expression] = STATE(6579),
    [sym_package_expression] = STATE(6579),
    [sym_new_expression] = STATE(6579),
    [sym_object_copy_expression] = STATE(6579),
    [sym_method_invocation] = STATE(6579),
    [sym_object_expression] = STATE(6579),
    [sym_parenthesized_expression] = STATE(6579),
    [sym_attribute] = STATE(2506),
    [sym_extension] = STATE(6579),
    [sym_quoted_extension] = STATE(6579),
    [sym__constant] = STATE(6579),
    [sym_number] = STATE(6534),
    [sym_character] = STATE(6534),
    [sym_string] = STATE(6534),
    [sym_quoted_string] = STATE(6534),
    [sym_boolean] = STATE(6534),
    [sym_unit] = STATE(6534),
    [sym__value_name] = STATE(6629),
    [sym_parenthesized_operator] = STATE(6159),
    [sym_value_path] = STATE(6579),
    [sym_module_path] = STATE(18629),
    [sym_constructor_path] = STATE(6579),
    [sym__constructor_name] = STATE(6641),
    [sym_tag] = STATE(6579),
    [aux_sym_class_application_repeat1] = STATE(2506),
    [sym__identifier] = ACTIONS(6165),
    [anon_sym_TILDE] = ACTIONS(6168),
    [anon_sym_QMARK] = ACTIONS(6168),
    [anon_sym_LPAREN] = ACTIONS(6171),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(6174),
    [anon_sym_true] = ACTIONS(6177),
    [anon_sym_false] = ACTIONS(6177),
    [anon_sym_LBRACE] = ACTIONS(6180),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_object] = ACTIONS(6183),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6186),
    [anon_sym_else] = ACTIONS(3572),
    [anon_sym_done] = ACTIONS(3572),
    [anon_sym_new] = ACTIONS(6189),
    [anon_sym_LBRACE_LT] = ACTIONS(6192),
    [anon_sym_begin] = ACTIONS(6195),
    [sym_ocamlyacc_value] = ACTIONS(6198),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6201),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6204),
    [aux_sym_number_token1] = ACTIONS(6207),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(6210),
    [anon_sym_DQUOTE] = ACTIONS(6213),
    [sym_prefix_operator] = ACTIONS(6216),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(6219),
    [aux_sym_tag_token1] = ACTIONS(6222),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2507] = {
    [sym__simple_expression] = STATE(7259),
    [sym_typed_expression] = STATE(6867),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_labeled_argument] = STATE(7767),
    [sym_prefix_expression] = STATE(6867),
    [sym_hash_expression] = STATE(6867),
    [sym_field_get_expression] = STATE(6867),
    [sym_array_get_expression] = STATE(6867),
    [sym_string_get_expression] = STATE(6867),
    [sym_bigarray_get_expression] = STATE(6867),
    [sym_coercion_expression] = STATE(6867),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(2507),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [aux_sym_class_application_repeat1] = STATE(2507),
    [sym__identifier] = ACTIONS(6225),
    [anon_sym_TILDE] = ACTIONS(6228),
    [anon_sym_QMARK] = ACTIONS(6228),
    [anon_sym_LPAREN] = ACTIONS(6231),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(6234),
    [anon_sym_true] = ACTIONS(6237),
    [anon_sym_false] = ACTIONS(6237),
    [anon_sym_LBRACE] = ACTIONS(6240),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_end] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(6243),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6246),
    [anon_sym_new] = ACTIONS(6249),
    [anon_sym_LBRACE_LT] = ACTIONS(6252),
    [anon_sym_begin] = ACTIONS(6255),
    [sym_ocamlyacc_value] = ACTIONS(6258),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6264),
    [aux_sym_number_token1] = ACTIONS(6267),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(6270),
    [anon_sym_DQUOTE] = ACTIONS(6273),
    [sym_prefix_operator] = ACTIONS(6276),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(6279),
    [aux_sym_tag_token1] = ACTIONS(6282),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2508] = {
    [sym__simple_expression] = STATE(7197),
    [sym_typed_expression] = STATE(7127),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_labeled_argument] = STATE(7794),
    [sym_prefix_expression] = STATE(7127),
    [sym_hash_expression] = STATE(7127),
    [sym_field_get_expression] = STATE(7127),
    [sym_array_get_expression] = STATE(7127),
    [sym_string_get_expression] = STATE(7127),
    [sym_bigarray_get_expression] = STATE(7127),
    [sym_coercion_expression] = STATE(7127),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(2508),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [aux_sym_class_application_repeat1] = STATE(2513),
    [sym__identifier] = ACTIONS(5407),
    [anon_sym_TILDE] = ACTIONS(5409),
    [anon_sym_QMARK] = ACTIONS(5409),
    [anon_sym_LPAREN] = ACTIONS(2737),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [anon_sym_true] = ACTIONS(2741),
    [anon_sym_false] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_SEMI] = ACTIONS(3503),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2749),
    [anon_sym_done] = ACTIONS(3505),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_LBRACE_LT] = ACTIONS(2761),
    [anon_sym_begin] = ACTIONS(2763),
    [sym_ocamlyacc_value] = ACTIONS(2765),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2767),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2769),
    [aux_sym_number_token1] = ACTIONS(2771),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_prefix_operator] = ACTIONS(2777),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2509] = {
    [sym__simple_expression] = STATE(7187),
    [sym_typed_expression] = STATE(6899),
    [sym_list_expression] = STATE(6899),
    [sym_array_expression] = STATE(6899),
    [sym_record_expression] = STATE(6899),
    [sym_labeled_argument] = STATE(7815),
    [sym_prefix_expression] = STATE(6899),
    [sym_hash_expression] = STATE(6899),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_coercion_expression] = STATE(6899),
    [sym_local_open_expression] = STATE(6899),
    [sym_package_expression] = STATE(6899),
    [sym_new_expression] = STATE(6899),
    [sym_object_copy_expression] = STATE(6899),
    [sym_method_invocation] = STATE(6899),
    [sym_object_expression] = STATE(6899),
    [sym_parenthesized_expression] = STATE(6899),
    [sym_attribute] = STATE(2509),
    [sym_extension] = STATE(6899),
    [sym_quoted_extension] = STATE(6899),
    [sym__constant] = STATE(6899),
    [sym_number] = STATE(7252),
    [sym_character] = STATE(7252),
    [sym_string] = STATE(7252),
    [sym_quoted_string] = STATE(7252),
    [sym_boolean] = STATE(7252),
    [sym_unit] = STATE(7252),
    [sym__value_name] = STATE(6989),
    [sym_parenthesized_operator] = STATE(7222),
    [sym_value_path] = STATE(6899),
    [sym_module_path] = STATE(18433),
    [sym_constructor_path] = STATE(6899),
    [sym__constructor_name] = STATE(7254),
    [sym_tag] = STATE(6899),
    [aux_sym_class_application_repeat1] = STATE(2512),
    [sym__identifier] = ACTIONS(6285),
    [anon_sym_SEMI_SEMI] = ACTIONS(5737),
    [anon_sym_and] = ACTIONS(5739),
    [anon_sym_TILDE] = ACTIONS(6287),
    [anon_sym_QMARK] = ACTIONS(6287),
    [anon_sym_LPAREN] = ACTIONS(6289),
    [anon_sym_external] = ACTIONS(5739),
    [anon_sym_type] = ACTIONS(5739),
    [anon_sym_LBRACK] = ACTIONS(6291),
    [anon_sym_true] = ACTIONS(6293),
    [anon_sym_false] = ACTIONS(6293),
    [anon_sym_LBRACE] = ACTIONS(6295),
    [anon_sym_exception] = ACTIONS(5739),
    [anon_sym_module] = ACTIONS(5739),
    [anon_sym_open] = ACTIONS(5739),
    [anon_sym_include] = ACTIONS(5739),
    [anon_sym_class] = ACTIONS(5739),
    [anon_sym_val] = ACTIONS(5739),
    [anon_sym_end] = ACTIONS(5739),
    [anon_sym_object] = ACTIONS(6297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6299),
    [anon_sym_new] = ACTIONS(6301),
    [anon_sym_LBRACE_LT] = ACTIONS(6303),
    [anon_sym_begin] = ACTIONS(6305),
    [sym_ocamlyacc_value] = ACTIONS(6307),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5739),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5737),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6309),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6311),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5737),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5737),
    [aux_sym_number_token1] = ACTIONS(6313),
    [anon_sym_SQUOTE] = ACTIONS(6315),
    [anon_sym_DQUOTE] = ACTIONS(6317),
    [sym_prefix_operator] = ACTIONS(6319),
    [sym__capitalized_identifier] = ACTIONS(6321),
    [aux_sym_tag_token1] = ACTIONS(6323),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2510] = {
    [sym__simple_expression] = STATE(6745),
    [sym_typed_expression] = STATE(7209),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_labeled_argument] = STATE(7773),
    [sym_prefix_expression] = STATE(7209),
    [sym_hash_expression] = STATE(7209),
    [sym_field_get_expression] = STATE(7209),
    [sym_array_get_expression] = STATE(7209),
    [sym_string_get_expression] = STATE(7209),
    [sym_bigarray_get_expression] = STATE(7209),
    [sym_coercion_expression] = STATE(7209),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(2510),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [aux_sym_class_application_repeat1] = STATE(2519),
    [sym__identifier] = ACTIONS(5553),
    [anon_sym_TILDE] = ACTIONS(5555),
    [anon_sym_QMARK] = ACTIONS(5555),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_SEMI] = ACTIONS(3503),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_then] = ACTIONS(3505),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2511] = {
    [sym__simple_expression] = STATE(7187),
    [sym_typed_expression] = STATE(6899),
    [sym_list_expression] = STATE(6899),
    [sym_array_expression] = STATE(6899),
    [sym_record_expression] = STATE(6899),
    [sym_labeled_argument] = STATE(7815),
    [sym_prefix_expression] = STATE(6899),
    [sym_hash_expression] = STATE(6899),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_coercion_expression] = STATE(6899),
    [sym_local_open_expression] = STATE(6899),
    [sym_package_expression] = STATE(6899),
    [sym_new_expression] = STATE(6899),
    [sym_object_copy_expression] = STATE(6899),
    [sym_method_invocation] = STATE(6899),
    [sym_object_expression] = STATE(6899),
    [sym_parenthesized_expression] = STATE(6899),
    [sym_attribute] = STATE(2511),
    [sym_extension] = STATE(6899),
    [sym_quoted_extension] = STATE(6899),
    [sym__constant] = STATE(6899),
    [sym_number] = STATE(7252),
    [sym_character] = STATE(7252),
    [sym_string] = STATE(7252),
    [sym_quoted_string] = STATE(7252),
    [sym_boolean] = STATE(7252),
    [sym_unit] = STATE(7252),
    [sym__value_name] = STATE(6989),
    [sym_parenthesized_operator] = STATE(7222),
    [sym_value_path] = STATE(6899),
    [sym_module_path] = STATE(18433),
    [sym_constructor_path] = STATE(6899),
    [sym__constructor_name] = STATE(7254),
    [sym_tag] = STATE(6899),
    [aux_sym_class_application_repeat1] = STATE(2509),
    [sym__identifier] = ACTIONS(6285),
    [anon_sym_SEMI_SEMI] = ACTIONS(5635),
    [anon_sym_and] = ACTIONS(5637),
    [anon_sym_TILDE] = ACTIONS(6287),
    [anon_sym_QMARK] = ACTIONS(6287),
    [anon_sym_LPAREN] = ACTIONS(6289),
    [anon_sym_external] = ACTIONS(5637),
    [anon_sym_type] = ACTIONS(5637),
    [anon_sym_LBRACK] = ACTIONS(6291),
    [anon_sym_true] = ACTIONS(6293),
    [anon_sym_false] = ACTIONS(6293),
    [anon_sym_LBRACE] = ACTIONS(6295),
    [anon_sym_exception] = ACTIONS(5637),
    [anon_sym_module] = ACTIONS(5637),
    [anon_sym_open] = ACTIONS(5637),
    [anon_sym_include] = ACTIONS(5637),
    [anon_sym_class] = ACTIONS(5637),
    [anon_sym_val] = ACTIONS(5637),
    [anon_sym_end] = ACTIONS(5637),
    [anon_sym_object] = ACTIONS(6297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6299),
    [anon_sym_new] = ACTIONS(6301),
    [anon_sym_LBRACE_LT] = ACTIONS(6303),
    [anon_sym_begin] = ACTIONS(6305),
    [sym_ocamlyacc_value] = ACTIONS(6307),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5637),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5635),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6309),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6311),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5635),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5635),
    [aux_sym_number_token1] = ACTIONS(6313),
    [anon_sym_SQUOTE] = ACTIONS(6315),
    [anon_sym_DQUOTE] = ACTIONS(6317),
    [sym_prefix_operator] = ACTIONS(6319),
    [sym__capitalized_identifier] = ACTIONS(6321),
    [aux_sym_tag_token1] = ACTIONS(6323),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2512] = {
    [sym__simple_expression] = STATE(7187),
    [sym_typed_expression] = STATE(6899),
    [sym_list_expression] = STATE(6899),
    [sym_array_expression] = STATE(6899),
    [sym_record_expression] = STATE(6899),
    [sym_labeled_argument] = STATE(7815),
    [sym_prefix_expression] = STATE(6899),
    [sym_hash_expression] = STATE(6899),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_coercion_expression] = STATE(6899),
    [sym_local_open_expression] = STATE(6899),
    [sym_package_expression] = STATE(6899),
    [sym_new_expression] = STATE(6899),
    [sym_object_copy_expression] = STATE(6899),
    [sym_method_invocation] = STATE(6899),
    [sym_object_expression] = STATE(6899),
    [sym_parenthesized_expression] = STATE(6899),
    [sym_attribute] = STATE(2512),
    [sym_extension] = STATE(6899),
    [sym_quoted_extension] = STATE(6899),
    [sym__constant] = STATE(6899),
    [sym_number] = STATE(7252),
    [sym_character] = STATE(7252),
    [sym_string] = STATE(7252),
    [sym_quoted_string] = STATE(7252),
    [sym_boolean] = STATE(7252),
    [sym_unit] = STATE(7252),
    [sym__value_name] = STATE(6989),
    [sym_parenthesized_operator] = STATE(7222),
    [sym_value_path] = STATE(6899),
    [sym_module_path] = STATE(18433),
    [sym_constructor_path] = STATE(6899),
    [sym__constructor_name] = STATE(7254),
    [sym_tag] = STATE(6899),
    [aux_sym_class_application_repeat1] = STATE(2512),
    [sym__identifier] = ACTIONS(6325),
    [anon_sym_SEMI_SEMI] = ACTIONS(3570),
    [anon_sym_and] = ACTIONS(3572),
    [anon_sym_TILDE] = ACTIONS(6328),
    [anon_sym_QMARK] = ACTIONS(6328),
    [anon_sym_LPAREN] = ACTIONS(6331),
    [anon_sym_external] = ACTIONS(3572),
    [anon_sym_type] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(6334),
    [anon_sym_true] = ACTIONS(6337),
    [anon_sym_false] = ACTIONS(6337),
    [anon_sym_LBRACE] = ACTIONS(6340),
    [anon_sym_exception] = ACTIONS(3572),
    [anon_sym_module] = ACTIONS(3572),
    [anon_sym_open] = ACTIONS(3572),
    [anon_sym_include] = ACTIONS(3572),
    [anon_sym_class] = ACTIONS(3572),
    [anon_sym_val] = ACTIONS(3572),
    [anon_sym_end] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(6343),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6346),
    [anon_sym_new] = ACTIONS(6349),
    [anon_sym_LBRACE_LT] = ACTIONS(6352),
    [anon_sym_begin] = ACTIONS(6355),
    [sym_ocamlyacc_value] = ACTIONS(6358),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3572),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3570),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6361),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6364),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3570),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3570),
    [aux_sym_number_token1] = ACTIONS(6367),
    [anon_sym_SQUOTE] = ACTIONS(6370),
    [anon_sym_DQUOTE] = ACTIONS(6373),
    [sym_prefix_operator] = ACTIONS(6376),
    [sym__capitalized_identifier] = ACTIONS(6379),
    [aux_sym_tag_token1] = ACTIONS(6382),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2513] = {
    [sym__simple_expression] = STATE(7197),
    [sym_typed_expression] = STATE(7127),
    [sym_list_expression] = STATE(7127),
    [sym_array_expression] = STATE(7127),
    [sym_record_expression] = STATE(7127),
    [sym_labeled_argument] = STATE(7794),
    [sym_prefix_expression] = STATE(7127),
    [sym_hash_expression] = STATE(7127),
    [sym_field_get_expression] = STATE(7127),
    [sym_array_get_expression] = STATE(7127),
    [sym_string_get_expression] = STATE(7127),
    [sym_bigarray_get_expression] = STATE(7127),
    [sym_coercion_expression] = STATE(7127),
    [sym_local_open_expression] = STATE(7127),
    [sym_package_expression] = STATE(7127),
    [sym_new_expression] = STATE(7127),
    [sym_object_copy_expression] = STATE(7127),
    [sym_method_invocation] = STATE(7127),
    [sym_object_expression] = STATE(7127),
    [sym_parenthesized_expression] = STATE(7127),
    [sym_attribute] = STATE(2513),
    [sym_extension] = STATE(7127),
    [sym_quoted_extension] = STATE(7127),
    [sym__constant] = STATE(7127),
    [sym_number] = STATE(6837),
    [sym_character] = STATE(6837),
    [sym_string] = STATE(6837),
    [sym_quoted_string] = STATE(6837),
    [sym_boolean] = STATE(6837),
    [sym_unit] = STATE(6837),
    [sym__value_name] = STATE(7158),
    [sym_parenthesized_operator] = STATE(6820),
    [sym_value_path] = STATE(7127),
    [sym_module_path] = STATE(17627),
    [sym_constructor_path] = STATE(7127),
    [sym__constructor_name] = STATE(6839),
    [sym_tag] = STATE(7127),
    [aux_sym_class_application_repeat1] = STATE(2513),
    [sym__identifier] = ACTIONS(6385),
    [anon_sym_TILDE] = ACTIONS(6388),
    [anon_sym_QMARK] = ACTIONS(6388),
    [anon_sym_LPAREN] = ACTIONS(6391),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(6394),
    [anon_sym_true] = ACTIONS(6397),
    [anon_sym_false] = ACTIONS(6397),
    [anon_sym_LBRACE] = ACTIONS(6400),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_object] = ACTIONS(6403),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6406),
    [anon_sym_done] = ACTIONS(3572),
    [anon_sym_new] = ACTIONS(6409),
    [anon_sym_LBRACE_LT] = ACTIONS(6412),
    [anon_sym_begin] = ACTIONS(6415),
    [sym_ocamlyacc_value] = ACTIONS(6418),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6424),
    [aux_sym_number_token1] = ACTIONS(6427),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(6430),
    [anon_sym_DQUOTE] = ACTIONS(6433),
    [sym_prefix_operator] = ACTIONS(6436),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(6439),
    [aux_sym_tag_token1] = ACTIONS(6442),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2514] = {
    [sym__simple_expression] = STATE(7076),
    [sym_typed_expression] = STATE(6987),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_labeled_argument] = STATE(7788),
    [sym_prefix_expression] = STATE(6987),
    [sym_hash_expression] = STATE(6987),
    [sym_field_get_expression] = STATE(6987),
    [sym_array_get_expression] = STATE(6987),
    [sym_string_get_expression] = STATE(6987),
    [sym_bigarray_get_expression] = STATE(6987),
    [sym_coercion_expression] = STATE(6987),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(2514),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [aux_sym_class_application_repeat1] = STATE(2514),
    [sym__identifier] = ACTIONS(6445),
    [anon_sym_TILDE] = ACTIONS(6448),
    [anon_sym_QMARK] = ACTIONS(6448),
    [anon_sym_LPAREN] = ACTIONS(6451),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(6454),
    [anon_sym_true] = ACTIONS(6457),
    [anon_sym_false] = ACTIONS(6457),
    [anon_sym_LBRACE] = ACTIONS(6460),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_with] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(6463),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6466),
    [anon_sym_new] = ACTIONS(6469),
    [anon_sym_LBRACE_LT] = ACTIONS(6472),
    [anon_sym_begin] = ACTIONS(6475),
    [sym_ocamlyacc_value] = ACTIONS(6478),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6481),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6484),
    [aux_sym_number_token1] = ACTIONS(6487),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(6490),
    [anon_sym_DQUOTE] = ACTIONS(6493),
    [sym_prefix_operator] = ACTIONS(6496),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(6499),
    [aux_sym_tag_token1] = ACTIONS(6502),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2515] = {
    [sym__simple_expression] = STATE(6716),
    [sym_typed_expression] = STATE(6984),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_labeled_argument] = STATE(7720),
    [sym_prefix_expression] = STATE(6984),
    [sym_hash_expression] = STATE(6984),
    [sym_field_get_expression] = STATE(6984),
    [sym_array_get_expression] = STATE(6984),
    [sym_string_get_expression] = STATE(6984),
    [sym_bigarray_get_expression] = STATE(6984),
    [sym_coercion_expression] = STATE(6984),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(2515),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [aux_sym_class_application_repeat1] = STATE(2515),
    [sym__identifier] = ACTIONS(6505),
    [anon_sym_TILDE] = ACTIONS(6508),
    [anon_sym_QMARK] = ACTIONS(6508),
    [anon_sym_LPAREN] = ACTIONS(6511),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(6517),
    [anon_sym_false] = ACTIONS(6517),
    [anon_sym_LBRACE] = ACTIONS(6520),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_object] = ACTIONS(6523),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6526),
    [anon_sym_do] = ACTIONS(3572),
    [anon_sym_new] = ACTIONS(6529),
    [anon_sym_LBRACE_LT] = ACTIONS(6532),
    [anon_sym_begin] = ACTIONS(6535),
    [sym_ocamlyacc_value] = ACTIONS(6538),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6544),
    [aux_sym_number_token1] = ACTIONS(6547),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(6550),
    [anon_sym_DQUOTE] = ACTIONS(6553),
    [sym_prefix_operator] = ACTIONS(6556),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(6559),
    [aux_sym_tag_token1] = ACTIONS(6562),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2516] = {
    [sym__simple_expression] = STATE(7087),
    [sym_typed_expression] = STATE(6981),
    [sym_list_expression] = STATE(6981),
    [sym_array_expression] = STATE(6981),
    [sym_record_expression] = STATE(6981),
    [sym_labeled_argument] = STATE(7505),
    [sym_prefix_expression] = STATE(6981),
    [sym_hash_expression] = STATE(6981),
    [sym_field_get_expression] = STATE(6981),
    [sym_array_get_expression] = STATE(6981),
    [sym_string_get_expression] = STATE(6981),
    [sym_bigarray_get_expression] = STATE(6981),
    [sym_coercion_expression] = STATE(6981),
    [sym_local_open_expression] = STATE(6981),
    [sym_package_expression] = STATE(6981),
    [sym_new_expression] = STATE(6981),
    [sym_object_copy_expression] = STATE(6981),
    [sym_method_invocation] = STATE(6981),
    [sym_object_expression] = STATE(6981),
    [sym_parenthesized_expression] = STATE(6981),
    [sym_attribute] = STATE(2516),
    [sym_extension] = STATE(6981),
    [sym_quoted_extension] = STATE(6981),
    [sym__constant] = STATE(6981),
    [sym_number] = STATE(6886),
    [sym_character] = STATE(6886),
    [sym_string] = STATE(6886),
    [sym_quoted_string] = STATE(6886),
    [sym_boolean] = STATE(6886),
    [sym_unit] = STATE(6886),
    [sym__value_name] = STATE(7074),
    [sym_parenthesized_operator] = STATE(7263),
    [sym_value_path] = STATE(6981),
    [sym_module_path] = STATE(18513),
    [sym_constructor_path] = STATE(6981),
    [sym__constructor_name] = STATE(6891),
    [sym_tag] = STATE(6981),
    [aux_sym_class_application_repeat1] = STATE(2522),
    [sym__identifier] = ACTIONS(6565),
    [anon_sym_SEMI_SEMI] = ACTIONS(5635),
    [anon_sym_and] = ACTIONS(5637),
    [anon_sym_TILDE] = ACTIONS(6567),
    [anon_sym_QMARK] = ACTIONS(6567),
    [anon_sym_LPAREN] = ACTIONS(6569),
    [anon_sym_external] = ACTIONS(5637),
    [anon_sym_type] = ACTIONS(5637),
    [anon_sym_LBRACK] = ACTIONS(6571),
    [anon_sym_RBRACK] = ACTIONS(5635),
    [anon_sym_true] = ACTIONS(6573),
    [anon_sym_false] = ACTIONS(6573),
    [anon_sym_LBRACE] = ACTIONS(6575),
    [anon_sym_exception] = ACTIONS(5637),
    [anon_sym_module] = ACTIONS(5637),
    [anon_sym_open] = ACTIONS(5637),
    [anon_sym_include] = ACTIONS(5637),
    [anon_sym_class] = ACTIONS(5637),
    [anon_sym_val] = ACTIONS(5637),
    [anon_sym_object] = ACTIONS(6577),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6579),
    [anon_sym_new] = ACTIONS(6581),
    [anon_sym_LBRACE_LT] = ACTIONS(6583),
    [anon_sym_begin] = ACTIONS(6585),
    [sym_ocamlyacc_value] = ACTIONS(6587),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5637),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5635),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6591),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5635),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5635),
    [aux_sym_number_token1] = ACTIONS(6593),
    [anon_sym_SQUOTE] = ACTIONS(6595),
    [anon_sym_DQUOTE] = ACTIONS(6597),
    [sym_prefix_operator] = ACTIONS(6599),
    [sym__capitalized_identifier] = ACTIONS(6601),
    [aux_sym_tag_token1] = ACTIONS(6603),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2517] = {
    [sym__simple_expression] = STATE(7246),
    [sym_typed_expression] = STATE(6678),
    [sym_list_expression] = STATE(6678),
    [sym_array_expression] = STATE(6678),
    [sym_record_expression] = STATE(6678),
    [sym_labeled_argument] = STATE(7505),
    [sym_prefix_expression] = STATE(6678),
    [sym_hash_expression] = STATE(6678),
    [sym_field_get_expression] = STATE(6678),
    [sym_array_get_expression] = STATE(6678),
    [sym_string_get_expression] = STATE(6678),
    [sym_bigarray_get_expression] = STATE(6678),
    [sym_coercion_expression] = STATE(6678),
    [sym_local_open_expression] = STATE(6678),
    [sym_package_expression] = STATE(6678),
    [sym_new_expression] = STATE(6678),
    [sym_object_copy_expression] = STATE(6678),
    [sym_method_invocation] = STATE(6678),
    [sym_object_expression] = STATE(6678),
    [sym_parenthesized_expression] = STATE(6678),
    [sym_attribute] = STATE(2517),
    [sym_extension] = STATE(6678),
    [sym_quoted_extension] = STATE(6678),
    [sym__constant] = STATE(6678),
    [sym_number] = STATE(6855),
    [sym_character] = STATE(6855),
    [sym_string] = STATE(6855),
    [sym_quoted_string] = STATE(6855),
    [sym_boolean] = STATE(6855),
    [sym_unit] = STATE(6855),
    [sym__value_name] = STATE(6762),
    [sym_parenthesized_operator] = STATE(7082),
    [sym_value_path] = STATE(6678),
    [sym_module_path] = STATE(20005),
    [sym_constructor_path] = STATE(6678),
    [sym__constructor_name] = STATE(6866),
    [sym_tag] = STATE(6678),
    [aux_sym_class_application_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(5737),
    [sym__identifier] = ACTIONS(6605),
    [anon_sym_SEMI_SEMI] = ACTIONS(5737),
    [anon_sym_and] = ACTIONS(5739),
    [anon_sym_TILDE] = ACTIONS(6607),
    [anon_sym_QMARK] = ACTIONS(6607),
    [anon_sym_LPAREN] = ACTIONS(6609),
    [anon_sym_external] = ACTIONS(5739),
    [anon_sym_type] = ACTIONS(5739),
    [anon_sym_LBRACK] = ACTIONS(6611),
    [anon_sym_true] = ACTIONS(6613),
    [anon_sym_false] = ACTIONS(6613),
    [anon_sym_LBRACE] = ACTIONS(6615),
    [anon_sym_exception] = ACTIONS(5739),
    [anon_sym_module] = ACTIONS(5739),
    [anon_sym_open] = ACTIONS(5739),
    [anon_sym_include] = ACTIONS(5739),
    [anon_sym_class] = ACTIONS(5739),
    [anon_sym_val] = ACTIONS(5739),
    [anon_sym_object] = ACTIONS(6617),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6619),
    [anon_sym_new] = ACTIONS(6621),
    [anon_sym_LBRACE_LT] = ACTIONS(6623),
    [anon_sym_begin] = ACTIONS(6625),
    [sym_ocamlyacc_value] = ACTIONS(6627),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5739),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5737),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6631),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5737),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5737),
    [aux_sym_number_token1] = ACTIONS(6633),
    [anon_sym_SQUOTE] = ACTIONS(6635),
    [anon_sym_DQUOTE] = ACTIONS(6637),
    [sym_prefix_operator] = ACTIONS(6639),
    [sym__capitalized_identifier] = ACTIONS(6641),
    [aux_sym_tag_token1] = ACTIONS(6643),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2518] = {
    [sym__simple_expression] = STATE(7259),
    [sym_typed_expression] = STATE(6867),
    [sym_list_expression] = STATE(6867),
    [sym_array_expression] = STATE(6867),
    [sym_record_expression] = STATE(6867),
    [sym_labeled_argument] = STATE(7767),
    [sym_prefix_expression] = STATE(6867),
    [sym_hash_expression] = STATE(6867),
    [sym_field_get_expression] = STATE(6867),
    [sym_array_get_expression] = STATE(6867),
    [sym_string_get_expression] = STATE(6867),
    [sym_bigarray_get_expression] = STATE(6867),
    [sym_coercion_expression] = STATE(6867),
    [sym_local_open_expression] = STATE(6867),
    [sym_package_expression] = STATE(6867),
    [sym_new_expression] = STATE(6867),
    [sym_object_copy_expression] = STATE(6867),
    [sym_method_invocation] = STATE(6867),
    [sym_object_expression] = STATE(6867),
    [sym_parenthesized_expression] = STATE(6867),
    [sym_attribute] = STATE(2518),
    [sym_extension] = STATE(6867),
    [sym_quoted_extension] = STATE(6867),
    [sym__constant] = STATE(6867),
    [sym_number] = STATE(7113),
    [sym_character] = STATE(7113),
    [sym_string] = STATE(7113),
    [sym_quoted_string] = STATE(7113),
    [sym_boolean] = STATE(7113),
    [sym_unit] = STATE(7113),
    [sym__value_name] = STATE(7095),
    [sym_parenthesized_operator] = STATE(6811),
    [sym_value_path] = STATE(6867),
    [sym_module_path] = STATE(19412),
    [sym_constructor_path] = STATE(6867),
    [sym__constructor_name] = STATE(7116),
    [sym_tag] = STATE(6867),
    [aux_sym_class_application_repeat1] = STATE(2507),
    [sym__identifier] = ACTIONS(5343),
    [anon_sym_TILDE] = ACTIONS(5345),
    [anon_sym_QMARK] = ACTIONS(5345),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_true] = ACTIONS(2859),
    [anon_sym_false] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2861),
    [anon_sym_SEMI] = ACTIONS(3503),
    [anon_sym_end] = ACTIONS(3505),
    [anon_sym_object] = ACTIONS(2863),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_LBRACE_LT] = ACTIONS(2879),
    [anon_sym_begin] = ACTIONS(2881),
    [sym_ocamlyacc_value] = ACTIONS(2883),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2887),
    [aux_sym_number_token1] = ACTIONS(2889),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_prefix_operator] = ACTIONS(2895),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(2899),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2519] = {
    [sym__simple_expression] = STATE(6745),
    [sym_typed_expression] = STATE(7209),
    [sym_list_expression] = STATE(7209),
    [sym_array_expression] = STATE(7209),
    [sym_record_expression] = STATE(7209),
    [sym_labeled_argument] = STATE(7773),
    [sym_prefix_expression] = STATE(7209),
    [sym_hash_expression] = STATE(7209),
    [sym_field_get_expression] = STATE(7209),
    [sym_array_get_expression] = STATE(7209),
    [sym_string_get_expression] = STATE(7209),
    [sym_bigarray_get_expression] = STATE(7209),
    [sym_coercion_expression] = STATE(7209),
    [sym_local_open_expression] = STATE(7209),
    [sym_package_expression] = STATE(7209),
    [sym_new_expression] = STATE(7209),
    [sym_object_copy_expression] = STATE(7209),
    [sym_method_invocation] = STATE(7209),
    [sym_object_expression] = STATE(7209),
    [sym_parenthesized_expression] = STATE(7209),
    [sym_attribute] = STATE(2519),
    [sym_extension] = STATE(7209),
    [sym_quoted_extension] = STATE(7209),
    [sym__constant] = STATE(7209),
    [sym_number] = STATE(7092),
    [sym_character] = STATE(7092),
    [sym_string] = STATE(7092),
    [sym_quoted_string] = STATE(7092),
    [sym_boolean] = STATE(7092),
    [sym_unit] = STATE(7092),
    [sym__value_name] = STATE(7260),
    [sym_parenthesized_operator] = STATE(6982),
    [sym_value_path] = STATE(7209),
    [sym_module_path] = STATE(18586),
    [sym_constructor_path] = STATE(7209),
    [sym__constructor_name] = STATE(6907),
    [sym_tag] = STATE(7209),
    [aux_sym_class_application_repeat1] = STATE(2519),
    [sym__identifier] = ACTIONS(6645),
    [anon_sym_TILDE] = ACTIONS(6648),
    [anon_sym_QMARK] = ACTIONS(6648),
    [anon_sym_LPAREN] = ACTIONS(6651),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_PIPE] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(6654),
    [anon_sym_true] = ACTIONS(6657),
    [anon_sym_false] = ACTIONS(6657),
    [anon_sym_LBRACE] = ACTIONS(6660),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_object] = ACTIONS(6663),
    [anon_sym_COLON_COLON] = ACTIONS(3570),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6666),
    [anon_sym_then] = ACTIONS(3572),
    [anon_sym_new] = ACTIONS(6669),
    [anon_sym_LBRACE_LT] = ACTIONS(6672),
    [anon_sym_begin] = ACTIONS(6675),
    [sym_ocamlyacc_value] = ACTIONS(6678),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6681),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6684),
    [aux_sym_number_token1] = ACTIONS(6687),
    [aux_sym_signed_number_token1] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(6690),
    [anon_sym_DQUOTE] = ACTIONS(6693),
    [sym_prefix_operator] = ACTIONS(6696),
    [aux_sym_sign_operator_token1] = ACTIONS(3572),
    [sym_pow_operator] = ACTIONS(3572),
    [sym_mult_operator] = ACTIONS(3572),
    [aux_sym_add_operator_token1] = ACTIONS(3572),
    [sym_concat_operator] = ACTIONS(3570),
    [sym_rel_operator] = ACTIONS(3572),
    [sym_and_operator] = ACTIONS(3572),
    [sym_or_operator] = ACTIONS(3572),
    [sym_assign_operator] = ACTIONS(3570),
    [sym__capitalized_identifier] = ACTIONS(6699),
    [aux_sym_tag_token1] = ACTIONS(6702),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2520] = {
    [sym__simple_expression] = STATE(7246),
    [sym_typed_expression] = STATE(6678),
    [sym_list_expression] = STATE(6678),
    [sym_array_expression] = STATE(6678),
    [sym_record_expression] = STATE(6678),
    [sym_labeled_argument] = STATE(7505),
    [sym_prefix_expression] = STATE(6678),
    [sym_hash_expression] = STATE(6678),
    [sym_field_get_expression] = STATE(6678),
    [sym_array_get_expression] = STATE(6678),
    [sym_string_get_expression] = STATE(6678),
    [sym_bigarray_get_expression] = STATE(6678),
    [sym_coercion_expression] = STATE(6678),
    [sym_local_open_expression] = STATE(6678),
    [sym_package_expression] = STATE(6678),
    [sym_new_expression] = STATE(6678),
    [sym_object_copy_expression] = STATE(6678),
    [sym_method_invocation] = STATE(6678),
    [sym_object_expression] = STATE(6678),
    [sym_parenthesized_expression] = STATE(6678),
    [sym_attribute] = STATE(2520),
    [sym_extension] = STATE(6678),
    [sym_quoted_extension] = STATE(6678),
    [sym__constant] = STATE(6678),
    [sym_number] = STATE(6855),
    [sym_character] = STATE(6855),
    [sym_string] = STATE(6855),
    [sym_quoted_string] = STATE(6855),
    [sym_boolean] = STATE(6855),
    [sym_unit] = STATE(6855),
    [sym__value_name] = STATE(6762),
    [sym_parenthesized_operator] = STATE(7082),
    [sym_value_path] = STATE(6678),
    [sym_module_path] = STATE(20005),
    [sym_constructor_path] = STATE(6678),
    [sym__constructor_name] = STATE(6866),
    [sym_tag] = STATE(6678),
    [aux_sym_class_application_repeat1] = STATE(2517),
    [ts_builtin_sym_end] = ACTIONS(5635),
    [sym__identifier] = ACTIONS(6605),
    [anon_sym_SEMI_SEMI] = ACTIONS(5635),
    [anon_sym_and] = ACTIONS(5637),
    [anon_sym_TILDE] = ACTIONS(6607),
    [anon_sym_QMARK] = ACTIONS(6607),
    [anon_sym_LPAREN] = ACTIONS(6609),
    [anon_sym_external] = ACTIONS(5637),
    [anon_sym_type] = ACTIONS(5637),
    [anon_sym_LBRACK] = ACTIONS(6611),
    [anon_sym_true] = ACTIONS(6613),
    [anon_sym_false] = ACTIONS(6613),
    [anon_sym_LBRACE] = ACTIONS(6615),
    [anon_sym_exception] = ACTIONS(5637),
    [anon_sym_module] = ACTIONS(5637),
    [anon_sym_open] = ACTIONS(5637),
    [anon_sym_include] = ACTIONS(5637),
    [anon_sym_class] = ACTIONS(5637),
    [anon_sym_val] = ACTIONS(5637),
    [anon_sym_object] = ACTIONS(6617),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6619),
    [anon_sym_new] = ACTIONS(6621),
    [anon_sym_LBRACE_LT] = ACTIONS(6623),
    [anon_sym_begin] = ACTIONS(6625),
    [sym_ocamlyacc_value] = ACTIONS(6627),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5637),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5635),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6631),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5635),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5635),
    [aux_sym_number_token1] = ACTIONS(6633),
    [anon_sym_SQUOTE] = ACTIONS(6635),
    [anon_sym_DQUOTE] = ACTIONS(6637),
    [sym_prefix_operator] = ACTIONS(6639),
    [sym__capitalized_identifier] = ACTIONS(6641),
    [aux_sym_tag_token1] = ACTIONS(6643),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2521] = {
    [sym__simple_expression] = STATE(6716),
    [sym_typed_expression] = STATE(6984),
    [sym_list_expression] = STATE(6984),
    [sym_array_expression] = STATE(6984),
    [sym_record_expression] = STATE(6984),
    [sym_labeled_argument] = STATE(7720),
    [sym_prefix_expression] = STATE(6984),
    [sym_hash_expression] = STATE(6984),
    [sym_field_get_expression] = STATE(6984),
    [sym_array_get_expression] = STATE(6984),
    [sym_string_get_expression] = STATE(6984),
    [sym_bigarray_get_expression] = STATE(6984),
    [sym_coercion_expression] = STATE(6984),
    [sym_local_open_expression] = STATE(6984),
    [sym_package_expression] = STATE(6984),
    [sym_new_expression] = STATE(6984),
    [sym_object_copy_expression] = STATE(6984),
    [sym_method_invocation] = STATE(6984),
    [sym_object_expression] = STATE(6984),
    [sym_parenthesized_expression] = STATE(6984),
    [sym_attribute] = STATE(2521),
    [sym_extension] = STATE(6984),
    [sym_quoted_extension] = STATE(6984),
    [sym__constant] = STATE(6984),
    [sym_number] = STATE(6884),
    [sym_character] = STATE(6884),
    [sym_string] = STATE(6884),
    [sym_quoted_string] = STATE(6884),
    [sym_boolean] = STATE(6884),
    [sym_unit] = STATE(6884),
    [sym__value_name] = STATE(7001),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6984),
    [sym_module_path] = STATE(18987),
    [sym_constructor_path] = STATE(6984),
    [sym__constructor_name] = STATE(6703),
    [sym_tag] = STATE(6984),
    [aux_sym_class_application_repeat1] = STATE(2515),
    [sym__identifier] = ACTIONS(5373),
    [anon_sym_TILDE] = ACTIONS(5375),
    [anon_sym_QMARK] = ACTIONS(5375),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_SEMI] = ACTIONS(3503),
    [anon_sym_object] = ACTIONS(2679),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2683),
    [anon_sym_do] = ACTIONS(3505),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_LBRACE_LT] = ACTIONS(2695),
    [anon_sym_begin] = ACTIONS(2697),
    [sym_ocamlyacc_value] = ACTIONS(2699),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2701),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2703),
    [aux_sym_number_token1] = ACTIONS(2705),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2709),
    [sym_prefix_operator] = ACTIONS(2711),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(2715),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2522] = {
    [sym__simple_expression] = STATE(7087),
    [sym_typed_expression] = STATE(6981),
    [sym_list_expression] = STATE(6981),
    [sym_array_expression] = STATE(6981),
    [sym_record_expression] = STATE(6981),
    [sym_labeled_argument] = STATE(7505),
    [sym_prefix_expression] = STATE(6981),
    [sym_hash_expression] = STATE(6981),
    [sym_field_get_expression] = STATE(6981),
    [sym_array_get_expression] = STATE(6981),
    [sym_string_get_expression] = STATE(6981),
    [sym_bigarray_get_expression] = STATE(6981),
    [sym_coercion_expression] = STATE(6981),
    [sym_local_open_expression] = STATE(6981),
    [sym_package_expression] = STATE(6981),
    [sym_new_expression] = STATE(6981),
    [sym_object_copy_expression] = STATE(6981),
    [sym_method_invocation] = STATE(6981),
    [sym_object_expression] = STATE(6981),
    [sym_parenthesized_expression] = STATE(6981),
    [sym_attribute] = STATE(2522),
    [sym_extension] = STATE(6981),
    [sym_quoted_extension] = STATE(6981),
    [sym__constant] = STATE(6981),
    [sym_number] = STATE(6886),
    [sym_character] = STATE(6886),
    [sym_string] = STATE(6886),
    [sym_quoted_string] = STATE(6886),
    [sym_boolean] = STATE(6886),
    [sym_unit] = STATE(6886),
    [sym__value_name] = STATE(7074),
    [sym_parenthesized_operator] = STATE(7263),
    [sym_value_path] = STATE(6981),
    [sym_module_path] = STATE(18513),
    [sym_constructor_path] = STATE(6981),
    [sym__constructor_name] = STATE(6891),
    [sym_tag] = STATE(6981),
    [aux_sym_class_application_repeat1] = STATE(2525),
    [sym__identifier] = ACTIONS(6565),
    [anon_sym_SEMI_SEMI] = ACTIONS(5737),
    [anon_sym_and] = ACTIONS(5739),
    [anon_sym_TILDE] = ACTIONS(6567),
    [anon_sym_QMARK] = ACTIONS(6567),
    [anon_sym_LPAREN] = ACTIONS(6569),
    [anon_sym_external] = ACTIONS(5739),
    [anon_sym_type] = ACTIONS(5739),
    [anon_sym_LBRACK] = ACTIONS(6571),
    [anon_sym_RBRACK] = ACTIONS(5737),
    [anon_sym_true] = ACTIONS(6573),
    [anon_sym_false] = ACTIONS(6573),
    [anon_sym_LBRACE] = ACTIONS(6575),
    [anon_sym_exception] = ACTIONS(5739),
    [anon_sym_module] = ACTIONS(5739),
    [anon_sym_open] = ACTIONS(5739),
    [anon_sym_include] = ACTIONS(5739),
    [anon_sym_class] = ACTIONS(5739),
    [anon_sym_val] = ACTIONS(5739),
    [anon_sym_object] = ACTIONS(6577),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6579),
    [anon_sym_new] = ACTIONS(6581),
    [anon_sym_LBRACE_LT] = ACTIONS(6583),
    [anon_sym_begin] = ACTIONS(6585),
    [sym_ocamlyacc_value] = ACTIONS(6587),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5739),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5737),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6591),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5737),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5737),
    [aux_sym_number_token1] = ACTIONS(6593),
    [anon_sym_SQUOTE] = ACTIONS(6595),
    [anon_sym_DQUOTE] = ACTIONS(6597),
    [sym_prefix_operator] = ACTIONS(6599),
    [sym__capitalized_identifier] = ACTIONS(6601),
    [aux_sym_tag_token1] = ACTIONS(6603),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2523] = {
    [sym__simple_expression] = STATE(7246),
    [sym_typed_expression] = STATE(6678),
    [sym_list_expression] = STATE(6678),
    [sym_array_expression] = STATE(6678),
    [sym_record_expression] = STATE(6678),
    [sym_labeled_argument] = STATE(7505),
    [sym_prefix_expression] = STATE(6678),
    [sym_hash_expression] = STATE(6678),
    [sym_field_get_expression] = STATE(6678),
    [sym_array_get_expression] = STATE(6678),
    [sym_string_get_expression] = STATE(6678),
    [sym_bigarray_get_expression] = STATE(6678),
    [sym_coercion_expression] = STATE(6678),
    [sym_local_open_expression] = STATE(6678),
    [sym_package_expression] = STATE(6678),
    [sym_new_expression] = STATE(6678),
    [sym_object_copy_expression] = STATE(6678),
    [sym_method_invocation] = STATE(6678),
    [sym_object_expression] = STATE(6678),
    [sym_parenthesized_expression] = STATE(6678),
    [sym_attribute] = STATE(2523),
    [sym_extension] = STATE(6678),
    [sym_quoted_extension] = STATE(6678),
    [sym__constant] = STATE(6678),
    [sym_number] = STATE(6855),
    [sym_character] = STATE(6855),
    [sym_string] = STATE(6855),
    [sym_quoted_string] = STATE(6855),
    [sym_boolean] = STATE(6855),
    [sym_unit] = STATE(6855),
    [sym__value_name] = STATE(6762),
    [sym_parenthesized_operator] = STATE(7082),
    [sym_value_path] = STATE(6678),
    [sym_module_path] = STATE(20005),
    [sym_constructor_path] = STATE(6678),
    [sym__constructor_name] = STATE(6866),
    [sym_tag] = STATE(6678),
    [aux_sym_class_application_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(3570),
    [sym__identifier] = ACTIONS(6705),
    [anon_sym_SEMI_SEMI] = ACTIONS(3570),
    [anon_sym_and] = ACTIONS(3572),
    [anon_sym_TILDE] = ACTIONS(6708),
    [anon_sym_QMARK] = ACTIONS(6708),
    [anon_sym_LPAREN] = ACTIONS(6711),
    [anon_sym_external] = ACTIONS(3572),
    [anon_sym_type] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(6714),
    [anon_sym_true] = ACTIONS(6717),
    [anon_sym_false] = ACTIONS(6717),
    [anon_sym_LBRACE] = ACTIONS(6720),
    [anon_sym_exception] = ACTIONS(3572),
    [anon_sym_module] = ACTIONS(3572),
    [anon_sym_open] = ACTIONS(3572),
    [anon_sym_include] = ACTIONS(3572),
    [anon_sym_class] = ACTIONS(3572),
    [anon_sym_val] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(6723),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6726),
    [anon_sym_new] = ACTIONS(6729),
    [anon_sym_LBRACE_LT] = ACTIONS(6732),
    [anon_sym_begin] = ACTIONS(6735),
    [sym_ocamlyacc_value] = ACTIONS(6738),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3572),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3570),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6741),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6744),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3570),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3570),
    [aux_sym_number_token1] = ACTIONS(6747),
    [anon_sym_SQUOTE] = ACTIONS(6750),
    [anon_sym_DQUOTE] = ACTIONS(6753),
    [sym_prefix_operator] = ACTIONS(6756),
    [sym__capitalized_identifier] = ACTIONS(6759),
    [aux_sym_tag_token1] = ACTIONS(6762),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2524] = {
    [sym__simple_expression] = STATE(7076),
    [sym_typed_expression] = STATE(6987),
    [sym_list_expression] = STATE(6987),
    [sym_array_expression] = STATE(6987),
    [sym_record_expression] = STATE(6987),
    [sym_labeled_argument] = STATE(7788),
    [sym_prefix_expression] = STATE(6987),
    [sym_hash_expression] = STATE(6987),
    [sym_field_get_expression] = STATE(6987),
    [sym_array_get_expression] = STATE(6987),
    [sym_string_get_expression] = STATE(6987),
    [sym_bigarray_get_expression] = STATE(6987),
    [sym_coercion_expression] = STATE(6987),
    [sym_local_open_expression] = STATE(6987),
    [sym_package_expression] = STATE(6987),
    [sym_new_expression] = STATE(6987),
    [sym_object_copy_expression] = STATE(6987),
    [sym_method_invocation] = STATE(6987),
    [sym_object_expression] = STATE(6987),
    [sym_parenthesized_expression] = STATE(6987),
    [sym_attribute] = STATE(2524),
    [sym_extension] = STATE(6987),
    [sym_quoted_extension] = STATE(6987),
    [sym__constant] = STATE(6987),
    [sym_number] = STATE(6702),
    [sym_character] = STATE(6702),
    [sym_string] = STATE(6702),
    [sym_quoted_string] = STATE(6702),
    [sym_boolean] = STATE(6702),
    [sym_unit] = STATE(6702),
    [sym__value_name] = STATE(7043),
    [sym_parenthesized_operator] = STATE(6751),
    [sym_value_path] = STATE(6987),
    [sym_module_path] = STATE(19171),
    [sym_constructor_path] = STATE(6987),
    [sym__constructor_name] = STATE(6767),
    [sym_tag] = STATE(6987),
    [aux_sym_class_application_repeat1] = STATE(2514),
    [sym__identifier] = ACTIONS(5563),
    [anon_sym_TILDE] = ACTIONS(5565),
    [anon_sym_QMARK] = ACTIONS(5565),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_PIPE] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_SEMI] = ACTIONS(3503),
    [anon_sym_with] = ACTIONS(3505),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(3505),
    [sym_pow_operator] = ACTIONS(3505),
    [sym_mult_operator] = ACTIONS(3505),
    [aux_sym_add_operator_token1] = ACTIONS(3505),
    [sym_concat_operator] = ACTIONS(3503),
    [sym_rel_operator] = ACTIONS(3505),
    [sym_and_operator] = ACTIONS(3505),
    [sym_or_operator] = ACTIONS(3505),
    [sym_assign_operator] = ACTIONS(3503),
    [sym__capitalized_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2525] = {
    [sym__simple_expression] = STATE(7087),
    [sym_typed_expression] = STATE(6981),
    [sym_list_expression] = STATE(6981),
    [sym_array_expression] = STATE(6981),
    [sym_record_expression] = STATE(6981),
    [sym_labeled_argument] = STATE(7505),
    [sym_prefix_expression] = STATE(6981),
    [sym_hash_expression] = STATE(6981),
    [sym_field_get_expression] = STATE(6981),
    [sym_array_get_expression] = STATE(6981),
    [sym_string_get_expression] = STATE(6981),
    [sym_bigarray_get_expression] = STATE(6981),
    [sym_coercion_expression] = STATE(6981),
    [sym_local_open_expression] = STATE(6981),
    [sym_package_expression] = STATE(6981),
    [sym_new_expression] = STATE(6981),
    [sym_object_copy_expression] = STATE(6981),
    [sym_method_invocation] = STATE(6981),
    [sym_object_expression] = STATE(6981),
    [sym_parenthesized_expression] = STATE(6981),
    [sym_attribute] = STATE(2525),
    [sym_extension] = STATE(6981),
    [sym_quoted_extension] = STATE(6981),
    [sym__constant] = STATE(6981),
    [sym_number] = STATE(6886),
    [sym_character] = STATE(6886),
    [sym_string] = STATE(6886),
    [sym_quoted_string] = STATE(6886),
    [sym_boolean] = STATE(6886),
    [sym_unit] = STATE(6886),
    [sym__value_name] = STATE(7074),
    [sym_parenthesized_operator] = STATE(7263),
    [sym_value_path] = STATE(6981),
    [sym_module_path] = STATE(18513),
    [sym_constructor_path] = STATE(6981),
    [sym__constructor_name] = STATE(6891),
    [sym_tag] = STATE(6981),
    [aux_sym_class_application_repeat1] = STATE(2525),
    [sym__identifier] = ACTIONS(6765),
    [anon_sym_SEMI_SEMI] = ACTIONS(3570),
    [anon_sym_and] = ACTIONS(3572),
    [anon_sym_TILDE] = ACTIONS(6768),
    [anon_sym_QMARK] = ACTIONS(6768),
    [anon_sym_LPAREN] = ACTIONS(6771),
    [anon_sym_external] = ACTIONS(3572),
    [anon_sym_type] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(6774),
    [anon_sym_RBRACK] = ACTIONS(3570),
    [anon_sym_true] = ACTIONS(6777),
    [anon_sym_false] = ACTIONS(6777),
    [anon_sym_LBRACE] = ACTIONS(6780),
    [anon_sym_exception] = ACTIONS(3572),
    [anon_sym_module] = ACTIONS(3572),
    [anon_sym_open] = ACTIONS(3572),
    [anon_sym_include] = ACTIONS(3572),
    [anon_sym_class] = ACTIONS(3572),
    [anon_sym_val] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(6783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6786),
    [anon_sym_new] = ACTIONS(6789),
    [anon_sym_LBRACE_LT] = ACTIONS(6792),
    [anon_sym_begin] = ACTIONS(6795),
    [sym_ocamlyacc_value] = ACTIONS(6798),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3572),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3570),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6801),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6804),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3570),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3570),
    [aux_sym_number_token1] = ACTIONS(6807),
    [anon_sym_SQUOTE] = ACTIONS(6810),
    [anon_sym_DQUOTE] = ACTIONS(6813),
    [sym_prefix_operator] = ACTIONS(6816),
    [sym__capitalized_identifier] = ACTIONS(6819),
    [aux_sym_tag_token1] = ACTIONS(6822),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2526] = {
    [sym__binding_pattern] = STATE(13772),
    [sym_alias_binding_pattern] = STATE(13215),
    [sym_typed_binding_pattern] = STATE(13215),
    [sym_or_binding_pattern] = STATE(13215),
    [sym_constructor_binding_pattern] = STATE(13215),
    [sym_tag_binding_pattern] = STATE(13215),
    [sym_polymorphic_variant_pattern] = STATE(13215),
    [sym_tuple_binding_pattern] = STATE(13215),
    [sym_record_binding_pattern] = STATE(13218),
    [sym_list_binding_pattern] = STATE(13219),
    [sym_cons_binding_pattern] = STATE(13215),
    [sym_array_binding_pattern] = STATE(13220),
    [sym_range_pattern] = STATE(13215),
    [sym_lazy_binding_pattern] = STATE(13215),
    [sym_local_open_binding_pattern] = STATE(13215),
    [sym_package_pattern] = STATE(13215),
    [sym_parenthesized_binding_pattern] = STATE(13215),
    [sym_attribute] = STATE(2526),
    [sym_extension] = STATE(13215),
    [sym_quoted_extension] = STATE(13215),
    [sym__constant] = STATE(12890),
    [sym__signed_constant] = STATE(13168),
    [sym_number] = STATE(12089),
    [sym_signed_number] = STATE(12890),
    [sym_character] = STATE(12089),
    [sym_string] = STATE(12089),
    [sym_quoted_string] = STATE(12089),
    [sym_boolean] = STATE(12089),
    [sym_unit] = STATE(12089),
    [sym__infix_operator] = STATE(20036),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(13215),
    [sym_parenthesized_operator] = STATE(10448),
    [sym_module_path] = STATE(18213),
    [sym_constructor_path] = STATE(3489),
    [sym__constructor_name] = STATE(8519),
    [sym_tag] = STATE(3491),
    [sym__identifier] = ACTIONS(6825),
    [anon_sym_LPAREN] = ACTIONS(6827),
    [anon_sym_RPAREN] = ACTIONS(2257),
    [anon_sym_LBRACK] = ACTIONS(6829),
    [anon_sym_true] = ACTIONS(5295),
    [anon_sym_false] = ACTIONS(5295),
    [anon_sym_DOT] = ACTIONS(2259),
    [anon_sym_LBRACE] = ACTIONS(6831),
    [anon_sym_module] = ACTIONS(5403),
    [anon_sym_POUND] = ACTIONS(5305),
    [anon_sym_COLON_COLON] = ACTIONS(5359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6833),
    [anon_sym_lazy] = ACTIONS(6835),
    [anon_sym_begin] = ACTIONS(5313),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5315),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5317),
    [aux_sym_number_token1] = ACTIONS(5319),
    [aux_sym_signed_number_token1] = ACTIONS(5321),
    [anon_sym_SQUOTE] = ACTIONS(5323),
    [anon_sym_DQUOTE] = ACTIONS(5325),
    [sym_prefix_operator] = ACTIONS(2267),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(2267),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2267),
    [sym_let_and_operator] = ACTIONS(2267),
    [sym_match_operator] = ACTIONS(2267),
    [sym__capitalized_identifier] = ACTIONS(5467),
    [aux_sym_tag_token1] = ACTIONS(5469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2527] = {
    [sym__binding_pattern] = STATE(13570),
    [sym_alias_binding_pattern] = STATE(13215),
    [sym_typed_binding_pattern] = STATE(13215),
    [sym_or_binding_pattern] = STATE(13215),
    [sym_constructor_binding_pattern] = STATE(13215),
    [sym_tag_binding_pattern] = STATE(13215),
    [sym_polymorphic_variant_pattern] = STATE(13215),
    [sym_tuple_binding_pattern] = STATE(13215),
    [sym_record_binding_pattern] = STATE(13218),
    [sym_list_binding_pattern] = STATE(13219),
    [sym_cons_binding_pattern] = STATE(13215),
    [sym_array_binding_pattern] = STATE(13220),
    [sym_range_pattern] = STATE(13215),
    [sym_lazy_binding_pattern] = STATE(13215),
    [sym_local_open_binding_pattern] = STATE(13215),
    [sym_package_pattern] = STATE(13215),
    [sym_parenthesized_binding_pattern] = STATE(13215),
    [sym_attribute] = STATE(2527),
    [sym_extension] = STATE(13215),
    [sym_quoted_extension] = STATE(13215),
    [sym__constant] = STATE(12890),
    [sym__signed_constant] = STATE(13168),
    [sym_number] = STATE(12089),
    [sym_signed_number] = STATE(12890),
    [sym_character] = STATE(12089),
    [sym_string] = STATE(12089),
    [sym_quoted_string] = STATE(12089),
    [sym_boolean] = STATE(12089),
    [sym_unit] = STATE(12089),
    [sym__infix_operator] = STATE(18692),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(13215),
    [sym_parenthesized_operator] = STATE(10448),
    [sym_module_path] = STATE(18213),
    [sym_constructor_path] = STATE(3489),
    [sym__constructor_name] = STATE(8519),
    [sym_tag] = STATE(3491),
    [sym__identifier] = ACTIONS(6825),
    [anon_sym_LPAREN] = ACTIONS(6827),
    [anon_sym_RPAREN] = ACTIONS(6837),
    [anon_sym_LBRACK] = ACTIONS(6829),
    [anon_sym_true] = ACTIONS(5295),
    [anon_sym_false] = ACTIONS(5295),
    [anon_sym_DOT] = ACTIONS(6839),
    [anon_sym_LBRACE] = ACTIONS(6831),
    [anon_sym_module] = ACTIONS(6841),
    [anon_sym_POUND] = ACTIONS(5305),
    [anon_sym_COLON_COLON] = ACTIONS(6843),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6833),
    [anon_sym_lazy] = ACTIONS(6835),
    [anon_sym_begin] = ACTIONS(5313),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5315),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5317),
    [aux_sym_number_token1] = ACTIONS(5319),
    [aux_sym_signed_number_token1] = ACTIONS(5321),
    [anon_sym_SQUOTE] = ACTIONS(5323),
    [anon_sym_DQUOTE] = ACTIONS(5325),
    [sym_prefix_operator] = ACTIONS(6845),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(6845),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(6845),
    [sym_let_and_operator] = ACTIONS(6845),
    [sym_match_operator] = ACTIONS(6845),
    [sym__capitalized_identifier] = ACTIONS(5467),
    [aux_sym_tag_token1] = ACTIONS(5469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2528] = {
    [sym__binding_pattern] = STATE(13600),
    [sym_alias_binding_pattern] = STATE(13215),
    [sym_typed_binding_pattern] = STATE(13215),
    [sym_or_binding_pattern] = STATE(13215),
    [sym_constructor_binding_pattern] = STATE(13215),
    [sym_tag_binding_pattern] = STATE(13215),
    [sym_polymorphic_variant_pattern] = STATE(13215),
    [sym_tuple_binding_pattern] = STATE(13215),
    [sym_record_binding_pattern] = STATE(13218),
    [sym_list_binding_pattern] = STATE(13219),
    [sym_cons_binding_pattern] = STATE(13215),
    [sym_array_binding_pattern] = STATE(13220),
    [sym_range_pattern] = STATE(13215),
    [sym_lazy_binding_pattern] = STATE(13215),
    [sym_local_open_binding_pattern] = STATE(13215),
    [sym_package_pattern] = STATE(13215),
    [sym_parenthesized_binding_pattern] = STATE(13215),
    [sym_attribute] = STATE(2528),
    [sym_extension] = STATE(13215),
    [sym_quoted_extension] = STATE(13215),
    [sym__constant] = STATE(12890),
    [sym__signed_constant] = STATE(13168),
    [sym_number] = STATE(12089),
    [sym_signed_number] = STATE(12890),
    [sym_character] = STATE(12089),
    [sym_string] = STATE(12089),
    [sym_quoted_string] = STATE(12089),
    [sym_boolean] = STATE(12089),
    [sym_unit] = STATE(12089),
    [sym__infix_operator] = STATE(19785),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(13215),
    [sym_parenthesized_operator] = STATE(10448),
    [sym_module_path] = STATE(18213),
    [sym_constructor_path] = STATE(3489),
    [sym__constructor_name] = STATE(8519),
    [sym_tag] = STATE(3491),
    [sym__identifier] = ACTIONS(6825),
    [anon_sym_LPAREN] = ACTIONS(6827),
    [anon_sym_RPAREN] = ACTIONS(6847),
    [anon_sym_LBRACK] = ACTIONS(6829),
    [anon_sym_true] = ACTIONS(5295),
    [anon_sym_false] = ACTIONS(5295),
    [anon_sym_DOT] = ACTIONS(6849),
    [anon_sym_LBRACE] = ACTIONS(6831),
    [anon_sym_module] = ACTIONS(6851),
    [anon_sym_POUND] = ACTIONS(5305),
    [anon_sym_COLON_COLON] = ACTIONS(6853),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6833),
    [anon_sym_lazy] = ACTIONS(6835),
    [anon_sym_begin] = ACTIONS(5313),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5315),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5317),
    [aux_sym_number_token1] = ACTIONS(5319),
    [aux_sym_signed_number_token1] = ACTIONS(5321),
    [anon_sym_SQUOTE] = ACTIONS(5323),
    [anon_sym_DQUOTE] = ACTIONS(5325),
    [sym_prefix_operator] = ACTIONS(6855),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(6855),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(6855),
    [sym_let_and_operator] = ACTIONS(6855),
    [sym_match_operator] = ACTIONS(6855),
    [sym__capitalized_identifier] = ACTIONS(5467),
    [aux_sym_tag_token1] = ACTIONS(5469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2529] = {
    [sym__binding_pattern] = STATE(13770),
    [sym_alias_binding_pattern] = STATE(13215),
    [sym_typed_binding_pattern] = STATE(13215),
    [sym_or_binding_pattern] = STATE(13215),
    [sym_constructor_binding_pattern] = STATE(13215),
    [sym_tag_binding_pattern] = STATE(13215),
    [sym_polymorphic_variant_pattern] = STATE(13215),
    [sym_tuple_binding_pattern] = STATE(13215),
    [sym_record_binding_pattern] = STATE(13218),
    [sym_list_binding_pattern] = STATE(13219),
    [sym_cons_binding_pattern] = STATE(13215),
    [sym_array_binding_pattern] = STATE(13220),
    [sym_range_pattern] = STATE(13215),
    [sym_lazy_binding_pattern] = STATE(13215),
    [sym_local_open_binding_pattern] = STATE(13215),
    [sym_package_pattern] = STATE(13215),
    [sym_parenthesized_binding_pattern] = STATE(13215),
    [sym_attribute] = STATE(2529),
    [sym_extension] = STATE(13215),
    [sym_quoted_extension] = STATE(13215),
    [sym__constant] = STATE(12890),
    [sym__signed_constant] = STATE(13168),
    [sym_number] = STATE(12089),
    [sym_signed_number] = STATE(12890),
    [sym_character] = STATE(12089),
    [sym_string] = STATE(12089),
    [sym_quoted_string] = STATE(12089),
    [sym_boolean] = STATE(12089),
    [sym_unit] = STATE(12089),
    [sym__infix_operator] = STATE(18833),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(13215),
    [sym_parenthesized_operator] = STATE(10448),
    [sym_module_path] = STATE(18213),
    [sym_constructor_path] = STATE(3489),
    [sym__constructor_name] = STATE(8519),
    [sym_tag] = STATE(3491),
    [sym__identifier] = ACTIONS(6825),
    [anon_sym_LPAREN] = ACTIONS(6827),
    [anon_sym_RPAREN] = ACTIONS(6857),
    [anon_sym_LBRACK] = ACTIONS(6829),
    [anon_sym_true] = ACTIONS(5295),
    [anon_sym_false] = ACTIONS(5295),
    [anon_sym_DOT] = ACTIONS(6859),
    [anon_sym_LBRACE] = ACTIONS(6831),
    [anon_sym_module] = ACTIONS(6861),
    [anon_sym_POUND] = ACTIONS(5305),
    [anon_sym_COLON_COLON] = ACTIONS(6863),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6833),
    [anon_sym_lazy] = ACTIONS(6835),
    [anon_sym_begin] = ACTIONS(5313),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5315),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5317),
    [aux_sym_number_token1] = ACTIONS(5319),
    [aux_sym_signed_number_token1] = ACTIONS(5321),
    [anon_sym_SQUOTE] = ACTIONS(5323),
    [anon_sym_DQUOTE] = ACTIONS(5325),
    [sym_prefix_operator] = ACTIONS(6865),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(6865),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(6865),
    [sym_let_and_operator] = ACTIONS(6865),
    [sym_match_operator] = ACTIONS(6865),
    [sym__capitalized_identifier] = ACTIONS(5467),
    [aux_sym_tag_token1] = ACTIONS(5469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2530] = {
    [sym__binding_pattern] = STATE(13678),
    [sym_alias_binding_pattern] = STATE(13215),
    [sym_typed_binding_pattern] = STATE(13215),
    [sym_or_binding_pattern] = STATE(13215),
    [sym_constructor_binding_pattern] = STATE(13215),
    [sym_tag_binding_pattern] = STATE(13215),
    [sym_polymorphic_variant_pattern] = STATE(13215),
    [sym_tuple_binding_pattern] = STATE(13215),
    [sym_record_binding_pattern] = STATE(13218),
    [sym_list_binding_pattern] = STATE(13219),
    [sym_cons_binding_pattern] = STATE(13215),
    [sym_array_binding_pattern] = STATE(13220),
    [sym_range_pattern] = STATE(13215),
    [sym_lazy_binding_pattern] = STATE(13215),
    [sym_local_open_binding_pattern] = STATE(13215),
    [sym_package_pattern] = STATE(13215),
    [sym_parenthesized_binding_pattern] = STATE(13215),
    [sym_attribute] = STATE(2530),
    [sym_extension] = STATE(13215),
    [sym_quoted_extension] = STATE(13215),
    [sym__constant] = STATE(12890),
    [sym__signed_constant] = STATE(13168),
    [sym_number] = STATE(12089),
    [sym_signed_number] = STATE(12890),
    [sym_character] = STATE(12089),
    [sym_string] = STATE(12089),
    [sym_quoted_string] = STATE(12089),
    [sym_boolean] = STATE(12089),
    [sym_unit] = STATE(12089),
    [sym__infix_operator] = STATE(17935),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(13215),
    [sym_parenthesized_operator] = STATE(10448),
    [sym_module_path] = STATE(18213),
    [sym_constructor_path] = STATE(3489),
    [sym__constructor_name] = STATE(8519),
    [sym_tag] = STATE(3491),
    [sym__identifier] = ACTIONS(6825),
    [anon_sym_LPAREN] = ACTIONS(6827),
    [anon_sym_RPAREN] = ACTIONS(6867),
    [anon_sym_LBRACK] = ACTIONS(6829),
    [anon_sym_true] = ACTIONS(5295),
    [anon_sym_false] = ACTIONS(5295),
    [anon_sym_DOT] = ACTIONS(6869),
    [anon_sym_LBRACE] = ACTIONS(6831),
    [anon_sym_module] = ACTIONS(6871),
    [anon_sym_POUND] = ACTIONS(5305),
    [anon_sym_COLON_COLON] = ACTIONS(6873),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6833),
    [anon_sym_lazy] = ACTIONS(6835),
    [anon_sym_begin] = ACTIONS(5313),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5315),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5317),
    [aux_sym_number_token1] = ACTIONS(5319),
    [aux_sym_signed_number_token1] = ACTIONS(5321),
    [anon_sym_SQUOTE] = ACTIONS(5323),
    [anon_sym_DQUOTE] = ACTIONS(5325),
    [sym_prefix_operator] = ACTIONS(6875),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(6875),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(6875),
    [sym_let_and_operator] = ACTIONS(6875),
    [sym_match_operator] = ACTIONS(6875),
    [sym__capitalized_identifier] = ACTIONS(5467),
    [aux_sym_tag_token1] = ACTIONS(5469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2531] = {
    [sym__binding_pattern] = STATE(13463),
    [sym_alias_binding_pattern] = STATE(13215),
    [sym_typed_binding_pattern] = STATE(13215),
    [sym_or_binding_pattern] = STATE(13215),
    [sym_constructor_binding_pattern] = STATE(13215),
    [sym_tag_binding_pattern] = STATE(13215),
    [sym_polymorphic_variant_pattern] = STATE(13215),
    [sym_tuple_binding_pattern] = STATE(13215),
    [sym_record_binding_pattern] = STATE(13218),
    [sym_list_binding_pattern] = STATE(13219),
    [sym_cons_binding_pattern] = STATE(13215),
    [sym_array_binding_pattern] = STATE(13220),
    [sym_range_pattern] = STATE(13215),
    [sym_lazy_binding_pattern] = STATE(13215),
    [sym_local_open_binding_pattern] = STATE(13215),
    [sym_package_pattern] = STATE(13215),
    [sym_parenthesized_binding_pattern] = STATE(13215),
    [sym_attribute] = STATE(2531),
    [sym_extension] = STATE(13215),
    [sym_quoted_extension] = STATE(13215),
    [sym__constant] = STATE(12890),
    [sym__signed_constant] = STATE(13168),
    [sym_number] = STATE(12089),
    [sym_signed_number] = STATE(12890),
    [sym_character] = STATE(12089),
    [sym_string] = STATE(12089),
    [sym_quoted_string] = STATE(12089),
    [sym_boolean] = STATE(12089),
    [sym_unit] = STATE(12089),
    [sym__infix_operator] = STATE(20426),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(13215),
    [sym_parenthesized_operator] = STATE(10448),
    [sym_module_path] = STATE(18213),
    [sym_constructor_path] = STATE(3489),
    [sym__constructor_name] = STATE(8519),
    [sym_tag] = STATE(3491),
    [sym__identifier] = ACTIONS(6825),
    [anon_sym_LPAREN] = ACTIONS(6827),
    [anon_sym_RPAREN] = ACTIONS(5393),
    [anon_sym_LBRACK] = ACTIONS(6829),
    [anon_sym_true] = ACTIONS(5295),
    [anon_sym_false] = ACTIONS(5295),
    [anon_sym_DOT] = ACTIONS(5395),
    [anon_sym_LBRACE] = ACTIONS(6831),
    [anon_sym_module] = ACTIONS(5397),
    [anon_sym_POUND] = ACTIONS(5305),
    [anon_sym_COLON_COLON] = ACTIONS(1609),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6833),
    [anon_sym_lazy] = ACTIONS(6835),
    [anon_sym_begin] = ACTIONS(5313),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5315),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5317),
    [aux_sym_number_token1] = ACTIONS(5319),
    [aux_sym_signed_number_token1] = ACTIONS(5321),
    [anon_sym_SQUOTE] = ACTIONS(5323),
    [anon_sym_DQUOTE] = ACTIONS(5325),
    [sym_prefix_operator] = ACTIONS(5401),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5401),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5401),
    [sym_let_and_operator] = ACTIONS(5401),
    [sym_match_operator] = ACTIONS(5401),
    [sym__capitalized_identifier] = ACTIONS(5467),
    [aux_sym_tag_token1] = ACTIONS(5469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2532] = {
    [sym__binding_pattern] = STATE(13715),
    [sym_alias_binding_pattern] = STATE(13215),
    [sym_typed_binding_pattern] = STATE(13215),
    [sym_or_binding_pattern] = STATE(13215),
    [sym_constructor_binding_pattern] = STATE(13215),
    [sym_tag_binding_pattern] = STATE(13215),
    [sym_polymorphic_variant_pattern] = STATE(13215),
    [sym_tuple_binding_pattern] = STATE(13215),
    [sym_record_binding_pattern] = STATE(13218),
    [sym_list_binding_pattern] = STATE(13219),
    [sym_cons_binding_pattern] = STATE(13215),
    [sym_array_binding_pattern] = STATE(13220),
    [sym_range_pattern] = STATE(13215),
    [sym_lazy_binding_pattern] = STATE(13215),
    [sym_local_open_binding_pattern] = STATE(13215),
    [sym_package_pattern] = STATE(13215),
    [sym_parenthesized_binding_pattern] = STATE(13215),
    [sym_attribute] = STATE(2532),
    [sym_extension] = STATE(13215),
    [sym_quoted_extension] = STATE(13215),
    [sym__constant] = STATE(12890),
    [sym__signed_constant] = STATE(13168),
    [sym_number] = STATE(12089),
    [sym_signed_number] = STATE(12890),
    [sym_character] = STATE(12089),
    [sym_string] = STATE(12089),
    [sym_quoted_string] = STATE(12089),
    [sym_boolean] = STATE(12089),
    [sym_unit] = STATE(12089),
    [sym__infix_operator] = STATE(18909),
    [sym_add_operator] = STATE(20077),
    [sym__value_name] = STATE(13215),
    [sym_parenthesized_operator] = STATE(10448),
    [sym_module_path] = STATE(18213),
    [sym_constructor_path] = STATE(3489),
    [sym__constructor_name] = STATE(8519),
    [sym_tag] = STATE(3491),
    [sym__identifier] = ACTIONS(6825),
    [anon_sym_LPAREN] = ACTIONS(6827),
    [anon_sym_RPAREN] = ACTIONS(6877),
    [anon_sym_LBRACK] = ACTIONS(6829),
    [anon_sym_true] = ACTIONS(5295),
    [anon_sym_false] = ACTIONS(5295),
    [anon_sym_DOT] = ACTIONS(6879),
    [anon_sym_LBRACE] = ACTIONS(6831),
    [anon_sym_module] = ACTIONS(6881),
    [anon_sym_POUND] = ACTIONS(5305),
    [anon_sym_COLON_COLON] = ACTIONS(6883),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6833),
    [anon_sym_lazy] = ACTIONS(6835),
    [anon_sym_begin] = ACTIONS(5313),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5315),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5317),
    [aux_sym_number_token1] = ACTIONS(5319),
    [aux_sym_signed_number_token1] = ACTIONS(5321),
    [anon_sym_SQUOTE] = ACTIONS(5323),
    [anon_sym_DQUOTE] = ACTIONS(5325),
    [sym_prefix_operator] = ACTIONS(6885),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(6885),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(6885),
    [sym_let_and_operator] = ACTIONS(6885),
    [sym_match_operator] = ACTIONS(6885),
    [sym__capitalized_identifier] = ACTIONS(5467),
    [aux_sym_tag_token1] = ACTIONS(5469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2533] = {
    [sym_parameter] = STATE(7488),
    [sym__class_typed] = STATE(10927),
    [sym__parenthesized_abstract_type] = STATE(7488),
    [sym__simple_pattern] = STATE(7534),
    [sym_typed_pattern] = STATE(7491),
    [sym_polymorphic_variant_pattern] = STATE(7491),
    [sym_record_pattern] = STATE(7491),
    [sym_list_pattern] = STATE(7491),
    [sym_array_pattern] = STATE(7491),
    [sym_local_open_pattern] = STATE(7491),
    [sym_package_pattern] = STATE(7491),
    [sym_parenthesized_pattern] = STATE(7491),
    [sym_attribute] = STATE(2533),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7491),
    [sym_quoted_extension] = STATE(7491),
    [sym__constant] = STATE(7591),
    [sym__signed_constant] = STATE(7491),
    [sym_number] = STATE(7515),
    [sym_signed_number] = STATE(7591),
    [sym_character] = STATE(7515),
    [sym_string] = STATE(7515),
    [sym_quoted_string] = STATE(7515),
    [sym_boolean] = STATE(7515),
    [sym_unit] = STATE(7515),
    [sym__simple_value_pattern] = STATE(7491),
    [sym_parenthesized_operator] = STATE(7491),
    [sym_module_path] = STATE(18995),
    [sym_constructor_path] = STATE(7491),
    [sym__constructor_name] = STATE(7517),
    [sym_tag] = STATE(7491),
    [aux_sym_expression_item_repeat1] = STATE(10418),
    [aux_sym_let_binding_repeat1] = STATE(2586),
    [sym__identifier] = ACTIONS(6887),
    [anon_sym_SEMI_SEMI] = ACTIONS(6889),
    [anon_sym_let] = ACTIONS(6891),
    [anon_sym_and] = ACTIONS(6891),
    [anon_sym_EQ] = ACTIONS(6893),
    [anon_sym_TILDE] = ACTIONS(6895),
    [anon_sym_QMARK] = ACTIONS(6895),
    [anon_sym_LPAREN] = ACTIONS(6897),
    [anon_sym_external] = ACTIONS(6891),
    [anon_sym_type] = ACTIONS(6891),
    [anon_sym_LBRACK] = ACTIONS(6899),
    [anon_sym_RBRACK] = ACTIONS(6889),
    [anon_sym_true] = ACTIONS(6901),
    [anon_sym_false] = ACTIONS(6901),
    [anon_sym_COLON2] = ACTIONS(6903),
    [anon_sym_LBRACE] = ACTIONS(6905),
    [anon_sym_exception] = ACTIONS(6891),
    [anon_sym_module] = ACTIONS(6891),
    [anon_sym_open] = ACTIONS(6891),
    [anon_sym_include] = ACTIONS(6891),
    [anon_sym_class] = ACTIONS(6891),
    [anon_sym_POUND] = ACTIONS(6907),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6909),
    [anon_sym_begin] = ACTIONS(6911),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6889),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6915),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6917),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6889),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6889),
    [aux_sym_number_token1] = ACTIONS(6919),
    [aux_sym_signed_number_token1] = ACTIONS(6921),
    [anon_sym_SQUOTE] = ACTIONS(6923),
    [anon_sym_DQUOTE] = ACTIONS(6925),
    [sym_let_operator] = ACTIONS(6889),
    [sym__capitalized_identifier] = ACTIONS(6927),
    [aux_sym_directive_token1] = ACTIONS(6891),
    [aux_sym_tag_token1] = ACTIONS(6929),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2534] = {
    [sym_parameter] = STATE(7617),
    [sym__class_typed] = STATE(10922),
    [sym__parenthesized_abstract_type] = STATE(7617),
    [sym__simple_pattern] = STATE(7623),
    [sym_typed_pattern] = STATE(7529),
    [sym_polymorphic_variant_pattern] = STATE(7529),
    [sym_record_pattern] = STATE(7529),
    [sym_list_pattern] = STATE(7529),
    [sym_array_pattern] = STATE(7529),
    [sym_local_open_pattern] = STATE(7529),
    [sym_package_pattern] = STATE(7529),
    [sym_parenthesized_pattern] = STATE(7529),
    [sym_attribute] = STATE(2534),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7529),
    [sym_quoted_extension] = STATE(7529),
    [sym__constant] = STATE(7514),
    [sym__signed_constant] = STATE(7529),
    [sym_number] = STATE(7592),
    [sym_signed_number] = STATE(7514),
    [sym_character] = STATE(7592),
    [sym_string] = STATE(7592),
    [sym_quoted_string] = STATE(7592),
    [sym_boolean] = STATE(7592),
    [sym_unit] = STATE(7592),
    [sym__simple_value_pattern] = STATE(7529),
    [sym_parenthesized_operator] = STATE(7529),
    [sym_module_path] = STATE(19182),
    [sym_constructor_path] = STATE(7529),
    [sym__constructor_name] = STATE(7595),
    [sym_tag] = STATE(7529),
    [aux_sym_expression_item_repeat1] = STATE(10466),
    [aux_sym_let_binding_repeat1] = STATE(2587),
    [sym__identifier] = ACTIONS(6931),
    [anon_sym_SEMI_SEMI] = ACTIONS(6933),
    [anon_sym_let] = ACTIONS(6935),
    [anon_sym_and] = ACTIONS(6935),
    [anon_sym_EQ] = ACTIONS(6937),
    [anon_sym_TILDE] = ACTIONS(6939),
    [anon_sym_QMARK] = ACTIONS(6939),
    [anon_sym_LPAREN] = ACTIONS(6941),
    [anon_sym_external] = ACTIONS(6935),
    [anon_sym_type] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6943),
    [anon_sym_true] = ACTIONS(6945),
    [anon_sym_false] = ACTIONS(6945),
    [anon_sym_COLON2] = ACTIONS(6947),
    [anon_sym_LBRACE] = ACTIONS(6949),
    [anon_sym_exception] = ACTIONS(6935),
    [anon_sym_module] = ACTIONS(6935),
    [anon_sym_open] = ACTIONS(6935),
    [anon_sym_include] = ACTIONS(6935),
    [anon_sym_class] = ACTIONS(6935),
    [anon_sym_end] = ACTIONS(6935),
    [anon_sym_POUND] = ACTIONS(6951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6953),
    [anon_sym_begin] = ACTIONS(6955),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6933),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6957),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6959),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6933),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6933),
    [aux_sym_number_token1] = ACTIONS(6961),
    [aux_sym_signed_number_token1] = ACTIONS(6963),
    [anon_sym_SQUOTE] = ACTIONS(6965),
    [anon_sym_DQUOTE] = ACTIONS(6967),
    [sym_let_operator] = ACTIONS(6933),
    [sym__capitalized_identifier] = ACTIONS(6969),
    [aux_sym_directive_token1] = ACTIONS(6935),
    [aux_sym_tag_token1] = ACTIONS(6971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2535] = {
    [sym_parameter] = STATE(7617),
    [sym__class_typed] = STATE(11033),
    [sym__parenthesized_abstract_type] = STATE(7617),
    [sym__simple_pattern] = STATE(7623),
    [sym_typed_pattern] = STATE(7529),
    [sym_polymorphic_variant_pattern] = STATE(7529),
    [sym_record_pattern] = STATE(7529),
    [sym_list_pattern] = STATE(7529),
    [sym_array_pattern] = STATE(7529),
    [sym_local_open_pattern] = STATE(7529),
    [sym_package_pattern] = STATE(7529),
    [sym_parenthesized_pattern] = STATE(7529),
    [sym_attribute] = STATE(2535),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7529),
    [sym_quoted_extension] = STATE(7529),
    [sym__constant] = STATE(7514),
    [sym__signed_constant] = STATE(7529),
    [sym_number] = STATE(7592),
    [sym_signed_number] = STATE(7514),
    [sym_character] = STATE(7592),
    [sym_string] = STATE(7592),
    [sym_quoted_string] = STATE(7592),
    [sym_boolean] = STATE(7592),
    [sym_unit] = STATE(7592),
    [sym__simple_value_pattern] = STATE(7529),
    [sym_parenthesized_operator] = STATE(7529),
    [sym_module_path] = STATE(19182),
    [sym_constructor_path] = STATE(7529),
    [sym__constructor_name] = STATE(7595),
    [sym_tag] = STATE(7529),
    [aux_sym_expression_item_repeat1] = STATE(10505),
    [aux_sym_let_binding_repeat1] = STATE(2551),
    [sym__identifier] = ACTIONS(6931),
    [anon_sym_SEMI_SEMI] = ACTIONS(6973),
    [anon_sym_let] = ACTIONS(6975),
    [anon_sym_and] = ACTIONS(6975),
    [anon_sym_EQ] = ACTIONS(6977),
    [anon_sym_TILDE] = ACTIONS(6939),
    [anon_sym_QMARK] = ACTIONS(6939),
    [anon_sym_LPAREN] = ACTIONS(6941),
    [anon_sym_external] = ACTIONS(6975),
    [anon_sym_type] = ACTIONS(6975),
    [anon_sym_LBRACK] = ACTIONS(6943),
    [anon_sym_true] = ACTIONS(6945),
    [anon_sym_false] = ACTIONS(6945),
    [anon_sym_COLON2] = ACTIONS(6947),
    [anon_sym_LBRACE] = ACTIONS(6949),
    [anon_sym_exception] = ACTIONS(6975),
    [anon_sym_module] = ACTIONS(6975),
    [anon_sym_open] = ACTIONS(6975),
    [anon_sym_include] = ACTIONS(6975),
    [anon_sym_class] = ACTIONS(6975),
    [anon_sym_end] = ACTIONS(6975),
    [anon_sym_POUND] = ACTIONS(6951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6953),
    [anon_sym_begin] = ACTIONS(6955),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6973),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6957),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6959),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6973),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6973),
    [aux_sym_number_token1] = ACTIONS(6961),
    [aux_sym_signed_number_token1] = ACTIONS(6963),
    [anon_sym_SQUOTE] = ACTIONS(6965),
    [anon_sym_DQUOTE] = ACTIONS(6967),
    [sym_let_operator] = ACTIONS(6973),
    [sym__capitalized_identifier] = ACTIONS(6969),
    [aux_sym_directive_token1] = ACTIONS(6975),
    [aux_sym_tag_token1] = ACTIONS(6971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2536] = {
    [sym_parameter] = STATE(7617),
    [sym__class_typed] = STATE(10943),
    [sym__parenthesized_abstract_type] = STATE(7617),
    [sym__simple_pattern] = STATE(7623),
    [sym_typed_pattern] = STATE(7529),
    [sym_polymorphic_variant_pattern] = STATE(7529),
    [sym_record_pattern] = STATE(7529),
    [sym_list_pattern] = STATE(7529),
    [sym_array_pattern] = STATE(7529),
    [sym_local_open_pattern] = STATE(7529),
    [sym_package_pattern] = STATE(7529),
    [sym_parenthesized_pattern] = STATE(7529),
    [sym_attribute] = STATE(2536),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7529),
    [sym_quoted_extension] = STATE(7529),
    [sym__constant] = STATE(7514),
    [sym__signed_constant] = STATE(7529),
    [sym_number] = STATE(7592),
    [sym_signed_number] = STATE(7514),
    [sym_character] = STATE(7592),
    [sym_string] = STATE(7592),
    [sym_quoted_string] = STATE(7592),
    [sym_boolean] = STATE(7592),
    [sym_unit] = STATE(7592),
    [sym__simple_value_pattern] = STATE(7529),
    [sym_parenthesized_operator] = STATE(7529),
    [sym_module_path] = STATE(19182),
    [sym_constructor_path] = STATE(7529),
    [sym__constructor_name] = STATE(7595),
    [sym_tag] = STATE(7529),
    [aux_sym_expression_item_repeat1] = STATE(10347),
    [aux_sym_let_binding_repeat1] = STATE(2537),
    [sym__identifier] = ACTIONS(6931),
    [anon_sym_SEMI_SEMI] = ACTIONS(6979),
    [anon_sym_let] = ACTIONS(6981),
    [anon_sym_and] = ACTIONS(6981),
    [anon_sym_EQ] = ACTIONS(6983),
    [anon_sym_TILDE] = ACTIONS(6939),
    [anon_sym_QMARK] = ACTIONS(6939),
    [anon_sym_LPAREN] = ACTIONS(6941),
    [anon_sym_external] = ACTIONS(6981),
    [anon_sym_type] = ACTIONS(6981),
    [anon_sym_LBRACK] = ACTIONS(6943),
    [anon_sym_true] = ACTIONS(6945),
    [anon_sym_false] = ACTIONS(6945),
    [anon_sym_COLON2] = ACTIONS(6947),
    [anon_sym_LBRACE] = ACTIONS(6949),
    [anon_sym_exception] = ACTIONS(6981),
    [anon_sym_module] = ACTIONS(6981),
    [anon_sym_open] = ACTIONS(6981),
    [anon_sym_include] = ACTIONS(6981),
    [anon_sym_class] = ACTIONS(6981),
    [anon_sym_end] = ACTIONS(6981),
    [anon_sym_POUND] = ACTIONS(6951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6953),
    [anon_sym_begin] = ACTIONS(6955),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6979),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6957),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6959),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6979),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6979),
    [aux_sym_number_token1] = ACTIONS(6961),
    [aux_sym_signed_number_token1] = ACTIONS(6963),
    [anon_sym_SQUOTE] = ACTIONS(6965),
    [anon_sym_DQUOTE] = ACTIONS(6967),
    [sym_let_operator] = ACTIONS(6979),
    [sym__capitalized_identifier] = ACTIONS(6969),
    [aux_sym_directive_token1] = ACTIONS(6981),
    [aux_sym_tag_token1] = ACTIONS(6971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2537] = {
    [sym_parameter] = STATE(7617),
    [sym__class_typed] = STATE(10948),
    [sym__parenthesized_abstract_type] = STATE(7617),
    [sym__simple_pattern] = STATE(7623),
    [sym_typed_pattern] = STATE(7529),
    [sym_polymorphic_variant_pattern] = STATE(7529),
    [sym_record_pattern] = STATE(7529),
    [sym_list_pattern] = STATE(7529),
    [sym_array_pattern] = STATE(7529),
    [sym_local_open_pattern] = STATE(7529),
    [sym_package_pattern] = STATE(7529),
    [sym_parenthesized_pattern] = STATE(7529),
    [sym_attribute] = STATE(2537),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7529),
    [sym_quoted_extension] = STATE(7529),
    [sym__constant] = STATE(7514),
    [sym__signed_constant] = STATE(7529),
    [sym_number] = STATE(7592),
    [sym_signed_number] = STATE(7514),
    [sym_character] = STATE(7592),
    [sym_string] = STATE(7592),
    [sym_quoted_string] = STATE(7592),
    [sym_boolean] = STATE(7592),
    [sym_unit] = STATE(7592),
    [sym__simple_value_pattern] = STATE(7529),
    [sym_parenthesized_operator] = STATE(7529),
    [sym_module_path] = STATE(19182),
    [sym_constructor_path] = STATE(7529),
    [sym__constructor_name] = STATE(7595),
    [sym_tag] = STATE(7529),
    [aux_sym_expression_item_repeat1] = STATE(10418),
    [aux_sym_let_binding_repeat1] = STATE(2587),
    [sym__identifier] = ACTIONS(6931),
    [anon_sym_SEMI_SEMI] = ACTIONS(6889),
    [anon_sym_let] = ACTIONS(6891),
    [anon_sym_and] = ACTIONS(6891),
    [anon_sym_EQ] = ACTIONS(6985),
    [anon_sym_TILDE] = ACTIONS(6939),
    [anon_sym_QMARK] = ACTIONS(6939),
    [anon_sym_LPAREN] = ACTIONS(6941),
    [anon_sym_external] = ACTIONS(6891),
    [anon_sym_type] = ACTIONS(6891),
    [anon_sym_LBRACK] = ACTIONS(6943),
    [anon_sym_true] = ACTIONS(6945),
    [anon_sym_false] = ACTIONS(6945),
    [anon_sym_COLON2] = ACTIONS(6947),
    [anon_sym_LBRACE] = ACTIONS(6949),
    [anon_sym_exception] = ACTIONS(6891),
    [anon_sym_module] = ACTIONS(6891),
    [anon_sym_open] = ACTIONS(6891),
    [anon_sym_include] = ACTIONS(6891),
    [anon_sym_class] = ACTIONS(6891),
    [anon_sym_end] = ACTIONS(6891),
    [anon_sym_POUND] = ACTIONS(6951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6953),
    [anon_sym_begin] = ACTIONS(6955),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6889),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6957),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6959),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6889),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6889),
    [aux_sym_number_token1] = ACTIONS(6961),
    [aux_sym_signed_number_token1] = ACTIONS(6963),
    [anon_sym_SQUOTE] = ACTIONS(6965),
    [anon_sym_DQUOTE] = ACTIONS(6967),
    [sym_let_operator] = ACTIONS(6889),
    [sym__capitalized_identifier] = ACTIONS(6969),
    [aux_sym_directive_token1] = ACTIONS(6891),
    [aux_sym_tag_token1] = ACTIONS(6971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2538] = {
    [sym__simple_expression] = STATE(8043),
    [sym_typed_expression] = STATE(7970),
    [sym_list_expression] = STATE(7970),
    [sym_array_expression] = STATE(7970),
    [sym_record_expression] = STATE(7970),
    [sym_labeled_argument] = STATE(8362),
    [sym_prefix_expression] = STATE(7970),
    [sym_hash_expression] = STATE(7970),
    [sym_field_get_expression] = STATE(7970),
    [sym_array_get_expression] = STATE(7970),
    [sym_string_get_expression] = STATE(7970),
    [sym_bigarray_get_expression] = STATE(7970),
    [sym_coercion_expression] = STATE(7970),
    [sym_local_open_expression] = STATE(7970),
    [sym_package_expression] = STATE(7970),
    [sym_new_expression] = STATE(7970),
    [sym_object_copy_expression] = STATE(7970),
    [sym_method_invocation] = STATE(7970),
    [sym_object_expression] = STATE(7970),
    [sym_parenthesized_expression] = STATE(7970),
    [sym_attribute] = STATE(2538),
    [sym_extension] = STATE(7970),
    [sym_quoted_extension] = STATE(7970),
    [sym__constant] = STATE(7970),
    [sym_number] = STATE(7962),
    [sym_character] = STATE(7962),
    [sym_string] = STATE(7962),
    [sym_quoted_string] = STATE(7962),
    [sym_boolean] = STATE(7962),
    [sym_unit] = STATE(7962),
    [sym__value_name] = STATE(8083),
    [sym_parenthesized_operator] = STATE(7873),
    [sym_value_path] = STATE(7970),
    [sym_module_path] = STATE(20381),
    [sym_constructor_path] = STATE(7970),
    [sym__constructor_name] = STATE(7969),
    [sym_tag] = STATE(7970),
    [aux_sym_class_application_repeat1] = STATE(2549),
    [sym__identifier] = ACTIONS(6987),
    [anon_sym_TILDE] = ACTIONS(6989),
    [anon_sym_QMARK] = ACTIONS(6989),
    [anon_sym_LPAREN] = ACTIONS(6991),
    [anon_sym_LBRACK] = ACTIONS(6993),
    [anon_sym_true] = ACTIONS(6995),
    [anon_sym_false] = ACTIONS(6995),
    [anon_sym_LBRACE] = ACTIONS(6997),
    [anon_sym_constraint] = ACTIONS(5739),
    [anon_sym_val] = ACTIONS(5739),
    [anon_sym_end] = ACTIONS(5739),
    [anon_sym_object] = ACTIONS(6999),
    [anon_sym_inherit] = ACTIONS(5739),
    [anon_sym_method] = ACTIONS(5739),
    [anon_sym_as] = ACTIONS(5739),
    [anon_sym_initializer] = ACTIONS(5739),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7001),
    [anon_sym_new] = ACTIONS(7003),
    [anon_sym_LBRACE_LT] = ACTIONS(7005),
    [anon_sym_begin] = ACTIONS(7007),
    [sym_ocamlyacc_value] = ACTIONS(7009),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5739),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5737),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7011),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7013),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5737),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5737),
    [aux_sym_number_token1] = ACTIONS(7015),
    [anon_sym_SQUOTE] = ACTIONS(7017),
    [anon_sym_DQUOTE] = ACTIONS(7019),
    [sym_prefix_operator] = ACTIONS(7021),
    [sym__capitalized_identifier] = ACTIONS(7023),
    [aux_sym_tag_token1] = ACTIONS(7025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2539] = {
    [sym_parameter] = STATE(7617),
    [sym__class_typed] = STATE(11035),
    [sym__parenthesized_abstract_type] = STATE(7617),
    [sym__simple_pattern] = STATE(7623),
    [sym_typed_pattern] = STATE(7529),
    [sym_polymorphic_variant_pattern] = STATE(7529),
    [sym_record_pattern] = STATE(7529),
    [sym_list_pattern] = STATE(7529),
    [sym_array_pattern] = STATE(7529),
    [sym_local_open_pattern] = STATE(7529),
    [sym_package_pattern] = STATE(7529),
    [sym_parenthesized_pattern] = STATE(7529),
    [sym_attribute] = STATE(2539),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7529),
    [sym_quoted_extension] = STATE(7529),
    [sym__constant] = STATE(7514),
    [sym__signed_constant] = STATE(7529),
    [sym_number] = STATE(7592),
    [sym_signed_number] = STATE(7514),
    [sym_character] = STATE(7592),
    [sym_string] = STATE(7592),
    [sym_quoted_string] = STATE(7592),
    [sym_boolean] = STATE(7592),
    [sym_unit] = STATE(7592),
    [sym__simple_value_pattern] = STATE(7529),
    [sym_parenthesized_operator] = STATE(7529),
    [sym_module_path] = STATE(19182),
    [sym_constructor_path] = STATE(7529),
    [sym__constructor_name] = STATE(7595),
    [sym_tag] = STATE(7529),
    [aux_sym_expression_item_repeat1] = STATE(10508),
    [aux_sym_let_binding_repeat1] = STATE(2587),
    [sym__identifier] = ACTIONS(6931),
    [anon_sym_SEMI_SEMI] = ACTIONS(7027),
    [anon_sym_let] = ACTIONS(7029),
    [anon_sym_and] = ACTIONS(7029),
    [anon_sym_EQ] = ACTIONS(7031),
    [anon_sym_TILDE] = ACTIONS(6939),
    [anon_sym_QMARK] = ACTIONS(6939),
    [anon_sym_LPAREN] = ACTIONS(6941),
    [anon_sym_external] = ACTIONS(7029),
    [anon_sym_type] = ACTIONS(7029),
    [anon_sym_LBRACK] = ACTIONS(6943),
    [anon_sym_true] = ACTIONS(6945),
    [anon_sym_false] = ACTIONS(6945),
    [anon_sym_COLON2] = ACTIONS(6947),
    [anon_sym_LBRACE] = ACTIONS(6949),
    [anon_sym_exception] = ACTIONS(7029),
    [anon_sym_module] = ACTIONS(7029),
    [anon_sym_open] = ACTIONS(7029),
    [anon_sym_include] = ACTIONS(7029),
    [anon_sym_class] = ACTIONS(7029),
    [anon_sym_end] = ACTIONS(7029),
    [anon_sym_POUND] = ACTIONS(6951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6953),
    [anon_sym_begin] = ACTIONS(6955),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7027),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6957),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6959),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7027),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7027),
    [aux_sym_number_token1] = ACTIONS(6961),
    [aux_sym_signed_number_token1] = ACTIONS(6963),
    [anon_sym_SQUOTE] = ACTIONS(6965),
    [anon_sym_DQUOTE] = ACTIONS(6967),
    [sym_let_operator] = ACTIONS(7027),
    [sym__capitalized_identifier] = ACTIONS(6969),
    [aux_sym_directive_token1] = ACTIONS(7029),
    [aux_sym_tag_token1] = ACTIONS(6971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2540] = {
    [sym_parameter] = STATE(7488),
    [sym__class_typed] = STATE(11074),
    [sym__parenthesized_abstract_type] = STATE(7488),
    [sym__simple_pattern] = STATE(7534),
    [sym_typed_pattern] = STATE(7491),
    [sym_polymorphic_variant_pattern] = STATE(7491),
    [sym_record_pattern] = STATE(7491),
    [sym_list_pattern] = STATE(7491),
    [sym_array_pattern] = STATE(7491),
    [sym_local_open_pattern] = STATE(7491),
    [sym_package_pattern] = STATE(7491),
    [sym_parenthesized_pattern] = STATE(7491),
    [sym_attribute] = STATE(2540),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7491),
    [sym_quoted_extension] = STATE(7491),
    [sym__constant] = STATE(7591),
    [sym__signed_constant] = STATE(7491),
    [sym_number] = STATE(7515),
    [sym_signed_number] = STATE(7591),
    [sym_character] = STATE(7515),
    [sym_string] = STATE(7515),
    [sym_quoted_string] = STATE(7515),
    [sym_boolean] = STATE(7515),
    [sym_unit] = STATE(7515),
    [sym__simple_value_pattern] = STATE(7491),
    [sym_parenthesized_operator] = STATE(7491),
    [sym_module_path] = STATE(18995),
    [sym_constructor_path] = STATE(7491),
    [sym__constructor_name] = STATE(7517),
    [sym_tag] = STATE(7491),
    [aux_sym_expression_item_repeat1] = STATE(10662),
    [aux_sym_let_binding_repeat1] = STATE(2545),
    [sym__identifier] = ACTIONS(6887),
    [anon_sym_SEMI_SEMI] = ACTIONS(7033),
    [anon_sym_let] = ACTIONS(7035),
    [anon_sym_and] = ACTIONS(7035),
    [anon_sym_EQ] = ACTIONS(7037),
    [anon_sym_TILDE] = ACTIONS(6895),
    [anon_sym_QMARK] = ACTIONS(6895),
    [anon_sym_LPAREN] = ACTIONS(6897),
    [anon_sym_external] = ACTIONS(7035),
    [anon_sym_type] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(6899),
    [anon_sym_RBRACK] = ACTIONS(7033),
    [anon_sym_true] = ACTIONS(6901),
    [anon_sym_false] = ACTIONS(6901),
    [anon_sym_COLON2] = ACTIONS(6903),
    [anon_sym_LBRACE] = ACTIONS(6905),
    [anon_sym_exception] = ACTIONS(7035),
    [anon_sym_module] = ACTIONS(7035),
    [anon_sym_open] = ACTIONS(7035),
    [anon_sym_include] = ACTIONS(7035),
    [anon_sym_class] = ACTIONS(7035),
    [anon_sym_POUND] = ACTIONS(6907),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6909),
    [anon_sym_begin] = ACTIONS(6911),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7033),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6915),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6917),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7033),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7033),
    [aux_sym_number_token1] = ACTIONS(6919),
    [aux_sym_signed_number_token1] = ACTIONS(6921),
    [anon_sym_SQUOTE] = ACTIONS(6923),
    [anon_sym_DQUOTE] = ACTIONS(6925),
    [sym_let_operator] = ACTIONS(7033),
    [sym__capitalized_identifier] = ACTIONS(6927),
    [aux_sym_directive_token1] = ACTIONS(7035),
    [aux_sym_tag_token1] = ACTIONS(6929),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2541] = {
    [sym_parameter] = STATE(7617),
    [sym__class_typed] = STATE(11110),
    [sym__parenthesized_abstract_type] = STATE(7617),
    [sym__simple_pattern] = STATE(7623),
    [sym_typed_pattern] = STATE(7529),
    [sym_polymorphic_variant_pattern] = STATE(7529),
    [sym_record_pattern] = STATE(7529),
    [sym_list_pattern] = STATE(7529),
    [sym_array_pattern] = STATE(7529),
    [sym_local_open_pattern] = STATE(7529),
    [sym_package_pattern] = STATE(7529),
    [sym_parenthesized_pattern] = STATE(7529),
    [sym_attribute] = STATE(2541),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7529),
    [sym_quoted_extension] = STATE(7529),
    [sym__constant] = STATE(7514),
    [sym__signed_constant] = STATE(7529),
    [sym_number] = STATE(7592),
    [sym_signed_number] = STATE(7514),
    [sym_character] = STATE(7592),
    [sym_string] = STATE(7592),
    [sym_quoted_string] = STATE(7592),
    [sym_boolean] = STATE(7592),
    [sym_unit] = STATE(7592),
    [sym__simple_value_pattern] = STATE(7529),
    [sym_parenthesized_operator] = STATE(7529),
    [sym_module_path] = STATE(19182),
    [sym_constructor_path] = STATE(7529),
    [sym__constructor_name] = STATE(7595),
    [sym_tag] = STATE(7529),
    [aux_sym_expression_item_repeat1] = STATE(10661),
    [aux_sym_let_binding_repeat1] = STATE(2539),
    [sym__identifier] = ACTIONS(6931),
    [anon_sym_SEMI_SEMI] = ACTIONS(7039),
    [anon_sym_let] = ACTIONS(7041),
    [anon_sym_and] = ACTIONS(7041),
    [anon_sym_EQ] = ACTIONS(7043),
    [anon_sym_TILDE] = ACTIONS(6939),
    [anon_sym_QMARK] = ACTIONS(6939),
    [anon_sym_LPAREN] = ACTIONS(6941),
    [anon_sym_external] = ACTIONS(7041),
    [anon_sym_type] = ACTIONS(7041),
    [anon_sym_LBRACK] = ACTIONS(6943),
    [anon_sym_true] = ACTIONS(6945),
    [anon_sym_false] = ACTIONS(6945),
    [anon_sym_COLON2] = ACTIONS(6947),
    [anon_sym_LBRACE] = ACTIONS(6949),
    [anon_sym_exception] = ACTIONS(7041),
    [anon_sym_module] = ACTIONS(7041),
    [anon_sym_open] = ACTIONS(7041),
    [anon_sym_include] = ACTIONS(7041),
    [anon_sym_class] = ACTIONS(7041),
    [anon_sym_end] = ACTIONS(7041),
    [anon_sym_POUND] = ACTIONS(6951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6953),
    [anon_sym_begin] = ACTIONS(6955),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7039),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6957),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6959),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7039),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7039),
    [aux_sym_number_token1] = ACTIONS(6961),
    [aux_sym_signed_number_token1] = ACTIONS(6963),
    [anon_sym_SQUOTE] = ACTIONS(6965),
    [anon_sym_DQUOTE] = ACTIONS(6967),
    [sym_let_operator] = ACTIONS(7039),
    [sym__capitalized_identifier] = ACTIONS(6969),
    [aux_sym_directive_token1] = ACTIONS(7041),
    [aux_sym_tag_token1] = ACTIONS(6971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2542] = {
    [sym_parameter] = STATE(7617),
    [sym__class_typed] = STATE(11027),
    [sym__parenthesized_abstract_type] = STATE(7617),
    [sym__simple_pattern] = STATE(7623),
    [sym_typed_pattern] = STATE(7529),
    [sym_polymorphic_variant_pattern] = STATE(7529),
    [sym_record_pattern] = STATE(7529),
    [sym_list_pattern] = STATE(7529),
    [sym_array_pattern] = STATE(7529),
    [sym_local_open_pattern] = STATE(7529),
    [sym_package_pattern] = STATE(7529),
    [sym_parenthesized_pattern] = STATE(7529),
    [sym_attribute] = STATE(2542),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7529),
    [sym_quoted_extension] = STATE(7529),
    [sym__constant] = STATE(7514),
    [sym__signed_constant] = STATE(7529),
    [sym_number] = STATE(7592),
    [sym_signed_number] = STATE(7514),
    [sym_character] = STATE(7592),
    [sym_string] = STATE(7592),
    [sym_quoted_string] = STATE(7592),
    [sym_boolean] = STATE(7592),
    [sym_unit] = STATE(7592),
    [sym__simple_value_pattern] = STATE(7529),
    [sym_parenthesized_operator] = STATE(7529),
    [sym_module_path] = STATE(19182),
    [sym_constructor_path] = STATE(7529),
    [sym__constructor_name] = STATE(7595),
    [sym_tag] = STATE(7529),
    [aux_sym_expression_item_repeat1] = STATE(10611),
    [aux_sym_let_binding_repeat1] = STATE(2534),
    [sym__identifier] = ACTIONS(6931),
    [anon_sym_SEMI_SEMI] = ACTIONS(7045),
    [anon_sym_let] = ACTIONS(7047),
    [anon_sym_and] = ACTIONS(7047),
    [anon_sym_EQ] = ACTIONS(7049),
    [anon_sym_TILDE] = ACTIONS(6939),
    [anon_sym_QMARK] = ACTIONS(6939),
    [anon_sym_LPAREN] = ACTIONS(6941),
    [anon_sym_external] = ACTIONS(7047),
    [anon_sym_type] = ACTIONS(7047),
    [anon_sym_LBRACK] = ACTIONS(6943),
    [anon_sym_true] = ACTIONS(6945),
    [anon_sym_false] = ACTIONS(6945),
    [anon_sym_COLON2] = ACTIONS(6947),
    [anon_sym_LBRACE] = ACTIONS(6949),
    [anon_sym_exception] = ACTIONS(7047),
    [anon_sym_module] = ACTIONS(7047),
    [anon_sym_open] = ACTIONS(7047),
    [anon_sym_include] = ACTIONS(7047),
    [anon_sym_class] = ACTIONS(7047),
    [anon_sym_end] = ACTIONS(7047),
    [anon_sym_POUND] = ACTIONS(6951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6953),
    [anon_sym_begin] = ACTIONS(6955),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7045),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6957),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6959),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7045),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7045),
    [aux_sym_number_token1] = ACTIONS(6961),
    [aux_sym_signed_number_token1] = ACTIONS(6963),
    [anon_sym_SQUOTE] = ACTIONS(6965),
    [anon_sym_DQUOTE] = ACTIONS(6967),
    [sym_let_operator] = ACTIONS(7045),
    [sym__capitalized_identifier] = ACTIONS(6969),
    [aux_sym_directive_token1] = ACTIONS(7047),
    [aux_sym_tag_token1] = ACTIONS(6971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2543] = {
    [sym_parameter] = STATE(7488),
    [sym__class_typed] = STATE(11086),
    [sym__parenthesized_abstract_type] = STATE(7488),
    [sym__simple_pattern] = STATE(7534),
    [sym_typed_pattern] = STATE(7491),
    [sym_polymorphic_variant_pattern] = STATE(7491),
    [sym_record_pattern] = STATE(7491),
    [sym_list_pattern] = STATE(7491),
    [sym_array_pattern] = STATE(7491),
    [sym_local_open_pattern] = STATE(7491),
    [sym_package_pattern] = STATE(7491),
    [sym_parenthesized_pattern] = STATE(7491),
    [sym_attribute] = STATE(2543),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7491),
    [sym_quoted_extension] = STATE(7491),
    [sym__constant] = STATE(7591),
    [sym__signed_constant] = STATE(7491),
    [sym_number] = STATE(7515),
    [sym_signed_number] = STATE(7591),
    [sym_character] = STATE(7515),
    [sym_string] = STATE(7515),
    [sym_quoted_string] = STATE(7515),
    [sym_boolean] = STATE(7515),
    [sym_unit] = STATE(7515),
    [sym__simple_value_pattern] = STATE(7491),
    [sym_parenthesized_operator] = STATE(7491),
    [sym_module_path] = STATE(18995),
    [sym_constructor_path] = STATE(7491),
    [sym__constructor_name] = STATE(7517),
    [sym_tag] = STATE(7491),
    [aux_sym_expression_item_repeat1] = STATE(10313),
    [aux_sym_let_binding_repeat1] = STATE(2586),
    [sym__identifier] = ACTIONS(6887),
    [anon_sym_SEMI_SEMI] = ACTIONS(7051),
    [anon_sym_let] = ACTIONS(7053),
    [anon_sym_and] = ACTIONS(7053),
    [anon_sym_EQ] = ACTIONS(7055),
    [anon_sym_TILDE] = ACTIONS(6895),
    [anon_sym_QMARK] = ACTIONS(6895),
    [anon_sym_LPAREN] = ACTIONS(6897),
    [anon_sym_external] = ACTIONS(7053),
    [anon_sym_type] = ACTIONS(7053),
    [anon_sym_LBRACK] = ACTIONS(6899),
    [anon_sym_RBRACK] = ACTIONS(7051),
    [anon_sym_true] = ACTIONS(6901),
    [anon_sym_false] = ACTIONS(6901),
    [anon_sym_COLON2] = ACTIONS(6903),
    [anon_sym_LBRACE] = ACTIONS(6905),
    [anon_sym_exception] = ACTIONS(7053),
    [anon_sym_module] = ACTIONS(7053),
    [anon_sym_open] = ACTIONS(7053),
    [anon_sym_include] = ACTIONS(7053),
    [anon_sym_class] = ACTIONS(7053),
    [anon_sym_POUND] = ACTIONS(6907),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6909),
    [anon_sym_begin] = ACTIONS(6911),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7051),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6915),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6917),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7051),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7051),
    [aux_sym_number_token1] = ACTIONS(6919),
    [aux_sym_signed_number_token1] = ACTIONS(6921),
    [anon_sym_SQUOTE] = ACTIONS(6923),
    [anon_sym_DQUOTE] = ACTIONS(6925),
    [sym_let_operator] = ACTIONS(7051),
    [sym__capitalized_identifier] = ACTIONS(6927),
    [aux_sym_directive_token1] = ACTIONS(7053),
    [aux_sym_tag_token1] = ACTIONS(6929),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2544] = {
    [sym_parameter] = STATE(7488),
    [sym__class_typed] = STATE(10961),
    [sym__parenthesized_abstract_type] = STATE(7488),
    [sym__simple_pattern] = STATE(7534),
    [sym_typed_pattern] = STATE(7491),
    [sym_polymorphic_variant_pattern] = STATE(7491),
    [sym_record_pattern] = STATE(7491),
    [sym_list_pattern] = STATE(7491),
    [sym_array_pattern] = STATE(7491),
    [sym_local_open_pattern] = STATE(7491),
    [sym_package_pattern] = STATE(7491),
    [sym_parenthesized_pattern] = STATE(7491),
    [sym_attribute] = STATE(2544),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7491),
    [sym_quoted_extension] = STATE(7491),
    [sym__constant] = STATE(7591),
    [sym__signed_constant] = STATE(7491),
    [sym_number] = STATE(7515),
    [sym_signed_number] = STATE(7591),
    [sym_character] = STATE(7515),
    [sym_string] = STATE(7515),
    [sym_quoted_string] = STATE(7515),
    [sym_boolean] = STATE(7515),
    [sym_unit] = STATE(7515),
    [sym__simple_value_pattern] = STATE(7491),
    [sym_parenthesized_operator] = STATE(7491),
    [sym_module_path] = STATE(18995),
    [sym_constructor_path] = STATE(7491),
    [sym__constructor_name] = STATE(7517),
    [sym_tag] = STATE(7491),
    [aux_sym_expression_item_repeat1] = STATE(10661),
    [aux_sym_let_binding_repeat1] = STATE(2553),
    [sym__identifier] = ACTIONS(6887),
    [anon_sym_SEMI_SEMI] = ACTIONS(7039),
    [anon_sym_let] = ACTIONS(7041),
    [anon_sym_and] = ACTIONS(7041),
    [anon_sym_EQ] = ACTIONS(7057),
    [anon_sym_TILDE] = ACTIONS(6895),
    [anon_sym_QMARK] = ACTIONS(6895),
    [anon_sym_LPAREN] = ACTIONS(6897),
    [anon_sym_external] = ACTIONS(7041),
    [anon_sym_type] = ACTIONS(7041),
    [anon_sym_LBRACK] = ACTIONS(6899),
    [anon_sym_RBRACK] = ACTIONS(7039),
    [anon_sym_true] = ACTIONS(6901),
    [anon_sym_false] = ACTIONS(6901),
    [anon_sym_COLON2] = ACTIONS(6903),
    [anon_sym_LBRACE] = ACTIONS(6905),
    [anon_sym_exception] = ACTIONS(7041),
    [anon_sym_module] = ACTIONS(7041),
    [anon_sym_open] = ACTIONS(7041),
    [anon_sym_include] = ACTIONS(7041),
    [anon_sym_class] = ACTIONS(7041),
    [anon_sym_POUND] = ACTIONS(6907),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6909),
    [anon_sym_begin] = ACTIONS(6911),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7039),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6915),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6917),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7039),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7039),
    [aux_sym_number_token1] = ACTIONS(6919),
    [aux_sym_signed_number_token1] = ACTIONS(6921),
    [anon_sym_SQUOTE] = ACTIONS(6923),
    [anon_sym_DQUOTE] = ACTIONS(6925),
    [sym_let_operator] = ACTIONS(7039),
    [sym__capitalized_identifier] = ACTIONS(6927),
    [aux_sym_directive_token1] = ACTIONS(7041),
    [aux_sym_tag_token1] = ACTIONS(6929),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2545] = {
    [sym_parameter] = STATE(7488),
    [sym__class_typed] = STATE(10889),
    [sym__parenthesized_abstract_type] = STATE(7488),
    [sym__simple_pattern] = STATE(7534),
    [sym_typed_pattern] = STATE(7491),
    [sym_polymorphic_variant_pattern] = STATE(7491),
    [sym_record_pattern] = STATE(7491),
    [sym_list_pattern] = STATE(7491),
    [sym_array_pattern] = STATE(7491),
    [sym_local_open_pattern] = STATE(7491),
    [sym_package_pattern] = STATE(7491),
    [sym_parenthesized_pattern] = STATE(7491),
    [sym_attribute] = STATE(2545),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7491),
    [sym_quoted_extension] = STATE(7491),
    [sym__constant] = STATE(7591),
    [sym__signed_constant] = STATE(7491),
    [sym_number] = STATE(7515),
    [sym_signed_number] = STATE(7591),
    [sym_character] = STATE(7515),
    [sym_string] = STATE(7515),
    [sym_quoted_string] = STATE(7515),
    [sym_boolean] = STATE(7515),
    [sym_unit] = STATE(7515),
    [sym__simple_value_pattern] = STATE(7491),
    [sym_parenthesized_operator] = STATE(7491),
    [sym_module_path] = STATE(18995),
    [sym_constructor_path] = STATE(7491),
    [sym__constructor_name] = STATE(7517),
    [sym_tag] = STATE(7491),
    [aux_sym_expression_item_repeat1] = STATE(10340),
    [aux_sym_let_binding_repeat1] = STATE(2586),
    [sym__identifier] = ACTIONS(6887),
    [anon_sym_SEMI_SEMI] = ACTIONS(7059),
    [anon_sym_let] = ACTIONS(7061),
    [anon_sym_and] = ACTIONS(7061),
    [anon_sym_EQ] = ACTIONS(7063),
    [anon_sym_TILDE] = ACTIONS(6895),
    [anon_sym_QMARK] = ACTIONS(6895),
    [anon_sym_LPAREN] = ACTIONS(6897),
    [anon_sym_external] = ACTIONS(7061),
    [anon_sym_type] = ACTIONS(7061),
    [anon_sym_LBRACK] = ACTIONS(6899),
    [anon_sym_RBRACK] = ACTIONS(7059),
    [anon_sym_true] = ACTIONS(6901),
    [anon_sym_false] = ACTIONS(6901),
    [anon_sym_COLON2] = ACTIONS(6903),
    [anon_sym_LBRACE] = ACTIONS(6905),
    [anon_sym_exception] = ACTIONS(7061),
    [anon_sym_module] = ACTIONS(7061),
    [anon_sym_open] = ACTIONS(7061),
    [anon_sym_include] = ACTIONS(7061),
    [anon_sym_class] = ACTIONS(7061),
    [anon_sym_POUND] = ACTIONS(6907),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6909),
    [anon_sym_begin] = ACTIONS(6911),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7059),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6915),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6917),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7059),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7059),
    [aux_sym_number_token1] = ACTIONS(6919),
    [aux_sym_signed_number_token1] = ACTIONS(6921),
    [anon_sym_SQUOTE] = ACTIONS(6923),
    [anon_sym_DQUOTE] = ACTIONS(6925),
    [sym_let_operator] = ACTIONS(7059),
    [sym__capitalized_identifier] = ACTIONS(6927),
    [aux_sym_directive_token1] = ACTIONS(7061),
    [aux_sym_tag_token1] = ACTIONS(6929),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2546] = {
    [sym_parameter] = STATE(7488),
    [sym__class_typed] = STATE(11068),
    [sym__parenthesized_abstract_type] = STATE(7488),
    [sym__simple_pattern] = STATE(7534),
    [sym_typed_pattern] = STATE(7491),
    [sym_polymorphic_variant_pattern] = STATE(7491),
    [sym_record_pattern] = STATE(7491),
    [sym_list_pattern] = STATE(7491),
    [sym_array_pattern] = STATE(7491),
    [sym_local_open_pattern] = STATE(7491),
    [sym_package_pattern] = STATE(7491),
    [sym_parenthesized_pattern] = STATE(7491),
    [sym_attribute] = STATE(2546),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7491),
    [sym_quoted_extension] = STATE(7491),
    [sym__constant] = STATE(7591),
    [sym__signed_constant] = STATE(7491),
    [sym_number] = STATE(7515),
    [sym_signed_number] = STATE(7591),
    [sym_character] = STATE(7515),
    [sym_string] = STATE(7515),
    [sym_quoted_string] = STATE(7515),
    [sym_boolean] = STATE(7515),
    [sym_unit] = STATE(7515),
    [sym__simple_value_pattern] = STATE(7491),
    [sym_parenthesized_operator] = STATE(7491),
    [sym_module_path] = STATE(18995),
    [sym_constructor_path] = STATE(7491),
    [sym__constructor_name] = STATE(7517),
    [sym_tag] = STATE(7491),
    [aux_sym_expression_item_repeat1] = STATE(10505),
    [aux_sym_let_binding_repeat1] = STATE(2543),
    [sym__identifier] = ACTIONS(6887),
    [anon_sym_SEMI_SEMI] = ACTIONS(6973),
    [anon_sym_let] = ACTIONS(6975),
    [anon_sym_and] = ACTIONS(6975),
    [anon_sym_EQ] = ACTIONS(7065),
    [anon_sym_TILDE] = ACTIONS(6895),
    [anon_sym_QMARK] = ACTIONS(6895),
    [anon_sym_LPAREN] = ACTIONS(6897),
    [anon_sym_external] = ACTIONS(6975),
    [anon_sym_type] = ACTIONS(6975),
    [anon_sym_LBRACK] = ACTIONS(6899),
    [anon_sym_RBRACK] = ACTIONS(6973),
    [anon_sym_true] = ACTIONS(6901),
    [anon_sym_false] = ACTIONS(6901),
    [anon_sym_COLON2] = ACTIONS(6903),
    [anon_sym_LBRACE] = ACTIONS(6905),
    [anon_sym_exception] = ACTIONS(6975),
    [anon_sym_module] = ACTIONS(6975),
    [anon_sym_open] = ACTIONS(6975),
    [anon_sym_include] = ACTIONS(6975),
    [anon_sym_class] = ACTIONS(6975),
    [anon_sym_POUND] = ACTIONS(6907),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6909),
    [anon_sym_begin] = ACTIONS(6911),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6973),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6915),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6917),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6973),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6973),
    [aux_sym_number_token1] = ACTIONS(6919),
    [aux_sym_signed_number_token1] = ACTIONS(6921),
    [anon_sym_SQUOTE] = ACTIONS(6923),
    [anon_sym_DQUOTE] = ACTIONS(6925),
    [sym_let_operator] = ACTIONS(6973),
    [sym__capitalized_identifier] = ACTIONS(6927),
    [aux_sym_directive_token1] = ACTIONS(6975),
    [aux_sym_tag_token1] = ACTIONS(6929),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2547] = {
    [sym__simple_expression] = STATE(8043),
    [sym_typed_expression] = STATE(7970),
    [sym_list_expression] = STATE(7970),
    [sym_array_expression] = STATE(7970),
    [sym_record_expression] = STATE(7970),
    [sym_labeled_argument] = STATE(8362),
    [sym_prefix_expression] = STATE(7970),
    [sym_hash_expression] = STATE(7970),
    [sym_field_get_expression] = STATE(7970),
    [sym_array_get_expression] = STATE(7970),
    [sym_string_get_expression] = STATE(7970),
    [sym_bigarray_get_expression] = STATE(7970),
    [sym_coercion_expression] = STATE(7970),
    [sym_local_open_expression] = STATE(7970),
    [sym_package_expression] = STATE(7970),
    [sym_new_expression] = STATE(7970),
    [sym_object_copy_expression] = STATE(7970),
    [sym_method_invocation] = STATE(7970),
    [sym_object_expression] = STATE(7970),
    [sym_parenthesized_expression] = STATE(7970),
    [sym_attribute] = STATE(2547),
    [sym_extension] = STATE(7970),
    [sym_quoted_extension] = STATE(7970),
    [sym__constant] = STATE(7970),
    [sym_number] = STATE(7962),
    [sym_character] = STATE(7962),
    [sym_string] = STATE(7962),
    [sym_quoted_string] = STATE(7962),
    [sym_boolean] = STATE(7962),
    [sym_unit] = STATE(7962),
    [sym__value_name] = STATE(8083),
    [sym_parenthesized_operator] = STATE(7873),
    [sym_value_path] = STATE(7970),
    [sym_module_path] = STATE(20381),
    [sym_constructor_path] = STATE(7970),
    [sym__constructor_name] = STATE(7969),
    [sym_tag] = STATE(7970),
    [aux_sym_class_application_repeat1] = STATE(2538),
    [sym__identifier] = ACTIONS(6987),
    [anon_sym_TILDE] = ACTIONS(6989),
    [anon_sym_QMARK] = ACTIONS(6989),
    [anon_sym_LPAREN] = ACTIONS(6991),
    [anon_sym_LBRACK] = ACTIONS(6993),
    [anon_sym_true] = ACTIONS(6995),
    [anon_sym_false] = ACTIONS(6995),
    [anon_sym_LBRACE] = ACTIONS(6997),
    [anon_sym_constraint] = ACTIONS(5637),
    [anon_sym_val] = ACTIONS(5637),
    [anon_sym_end] = ACTIONS(5637),
    [anon_sym_object] = ACTIONS(6999),
    [anon_sym_inherit] = ACTIONS(5637),
    [anon_sym_method] = ACTIONS(5637),
    [anon_sym_as] = ACTIONS(5637),
    [anon_sym_initializer] = ACTIONS(5637),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7001),
    [anon_sym_new] = ACTIONS(7003),
    [anon_sym_LBRACE_LT] = ACTIONS(7005),
    [anon_sym_begin] = ACTIONS(7007),
    [sym_ocamlyacc_value] = ACTIONS(7009),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5637),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5635),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7011),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7013),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5635),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5635),
    [aux_sym_number_token1] = ACTIONS(7015),
    [anon_sym_SQUOTE] = ACTIONS(7017),
    [anon_sym_DQUOTE] = ACTIONS(7019),
    [sym_prefix_operator] = ACTIONS(7021),
    [sym__capitalized_identifier] = ACTIONS(7023),
    [aux_sym_tag_token1] = ACTIONS(7025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2548] = {
    [sym_parameter] = STATE(7617),
    [sym__class_typed] = STATE(10898),
    [sym__parenthesized_abstract_type] = STATE(7617),
    [sym__simple_pattern] = STATE(7623),
    [sym_typed_pattern] = STATE(7529),
    [sym_polymorphic_variant_pattern] = STATE(7529),
    [sym_record_pattern] = STATE(7529),
    [sym_list_pattern] = STATE(7529),
    [sym_array_pattern] = STATE(7529),
    [sym_local_open_pattern] = STATE(7529),
    [sym_package_pattern] = STATE(7529),
    [sym_parenthesized_pattern] = STATE(7529),
    [sym_attribute] = STATE(2548),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7529),
    [sym_quoted_extension] = STATE(7529),
    [sym__constant] = STATE(7514),
    [sym__signed_constant] = STATE(7529),
    [sym_number] = STATE(7592),
    [sym_signed_number] = STATE(7514),
    [sym_character] = STATE(7592),
    [sym_string] = STATE(7592),
    [sym_quoted_string] = STATE(7592),
    [sym_boolean] = STATE(7592),
    [sym_unit] = STATE(7592),
    [sym__simple_value_pattern] = STATE(7529),
    [sym_parenthesized_operator] = STATE(7529),
    [sym_module_path] = STATE(19182),
    [sym_constructor_path] = STATE(7529),
    [sym__constructor_name] = STATE(7595),
    [sym_tag] = STATE(7529),
    [aux_sym_expression_item_repeat1] = STATE(10662),
    [aux_sym_let_binding_repeat1] = STATE(2550),
    [sym__identifier] = ACTIONS(6931),
    [anon_sym_SEMI_SEMI] = ACTIONS(7033),
    [anon_sym_let] = ACTIONS(7035),
    [anon_sym_and] = ACTIONS(7035),
    [anon_sym_EQ] = ACTIONS(7067),
    [anon_sym_TILDE] = ACTIONS(6939),
    [anon_sym_QMARK] = ACTIONS(6939),
    [anon_sym_LPAREN] = ACTIONS(6941),
    [anon_sym_external] = ACTIONS(7035),
    [anon_sym_type] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(6943),
    [anon_sym_true] = ACTIONS(6945),
    [anon_sym_false] = ACTIONS(6945),
    [anon_sym_COLON2] = ACTIONS(6947),
    [anon_sym_LBRACE] = ACTIONS(6949),
    [anon_sym_exception] = ACTIONS(7035),
    [anon_sym_module] = ACTIONS(7035),
    [anon_sym_open] = ACTIONS(7035),
    [anon_sym_include] = ACTIONS(7035),
    [anon_sym_class] = ACTIONS(7035),
    [anon_sym_end] = ACTIONS(7035),
    [anon_sym_POUND] = ACTIONS(6951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6953),
    [anon_sym_begin] = ACTIONS(6955),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7033),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6957),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6959),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7033),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7033),
    [aux_sym_number_token1] = ACTIONS(6961),
    [aux_sym_signed_number_token1] = ACTIONS(6963),
    [anon_sym_SQUOTE] = ACTIONS(6965),
    [anon_sym_DQUOTE] = ACTIONS(6967),
    [sym_let_operator] = ACTIONS(7033),
    [sym__capitalized_identifier] = ACTIONS(6969),
    [aux_sym_directive_token1] = ACTIONS(7035),
    [aux_sym_tag_token1] = ACTIONS(6971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2549] = {
    [sym__simple_expression] = STATE(8043),
    [sym_typed_expression] = STATE(7970),
    [sym_list_expression] = STATE(7970),
    [sym_array_expression] = STATE(7970),
    [sym_record_expression] = STATE(7970),
    [sym_labeled_argument] = STATE(8362),
    [sym_prefix_expression] = STATE(7970),
    [sym_hash_expression] = STATE(7970),
    [sym_field_get_expression] = STATE(7970),
    [sym_array_get_expression] = STATE(7970),
    [sym_string_get_expression] = STATE(7970),
    [sym_bigarray_get_expression] = STATE(7970),
    [sym_coercion_expression] = STATE(7970),
    [sym_local_open_expression] = STATE(7970),
    [sym_package_expression] = STATE(7970),
    [sym_new_expression] = STATE(7970),
    [sym_object_copy_expression] = STATE(7970),
    [sym_method_invocation] = STATE(7970),
    [sym_object_expression] = STATE(7970),
    [sym_parenthesized_expression] = STATE(7970),
    [sym_attribute] = STATE(2549),
    [sym_extension] = STATE(7970),
    [sym_quoted_extension] = STATE(7970),
    [sym__constant] = STATE(7970),
    [sym_number] = STATE(7962),
    [sym_character] = STATE(7962),
    [sym_string] = STATE(7962),
    [sym_quoted_string] = STATE(7962),
    [sym_boolean] = STATE(7962),
    [sym_unit] = STATE(7962),
    [sym__value_name] = STATE(8083),
    [sym_parenthesized_operator] = STATE(7873),
    [sym_value_path] = STATE(7970),
    [sym_module_path] = STATE(20381),
    [sym_constructor_path] = STATE(7970),
    [sym__constructor_name] = STATE(7969),
    [sym_tag] = STATE(7970),
    [aux_sym_class_application_repeat1] = STATE(2549),
    [sym__identifier] = ACTIONS(7069),
    [anon_sym_TILDE] = ACTIONS(7072),
    [anon_sym_QMARK] = ACTIONS(7072),
    [anon_sym_LPAREN] = ACTIONS(7075),
    [anon_sym_LBRACK] = ACTIONS(7078),
    [anon_sym_true] = ACTIONS(7081),
    [anon_sym_false] = ACTIONS(7081),
    [anon_sym_LBRACE] = ACTIONS(7084),
    [anon_sym_constraint] = ACTIONS(3572),
    [anon_sym_val] = ACTIONS(3572),
    [anon_sym_end] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(7087),
    [anon_sym_inherit] = ACTIONS(3572),
    [anon_sym_method] = ACTIONS(3572),
    [anon_sym_as] = ACTIONS(3572),
    [anon_sym_initializer] = ACTIONS(3572),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7090),
    [anon_sym_new] = ACTIONS(7093),
    [anon_sym_LBRACE_LT] = ACTIONS(7096),
    [anon_sym_begin] = ACTIONS(7099),
    [sym_ocamlyacc_value] = ACTIONS(7102),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3572),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3570),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7108),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3570),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3570),
    [aux_sym_number_token1] = ACTIONS(7111),
    [anon_sym_SQUOTE] = ACTIONS(7114),
    [anon_sym_DQUOTE] = ACTIONS(7117),
    [sym_prefix_operator] = ACTIONS(7120),
    [sym__capitalized_identifier] = ACTIONS(7123),
    [aux_sym_tag_token1] = ACTIONS(7126),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2550] = {
    [sym_parameter] = STATE(7617),
    [sym__class_typed] = STATE(10925),
    [sym__parenthesized_abstract_type] = STATE(7617),
    [sym__simple_pattern] = STATE(7623),
    [sym_typed_pattern] = STATE(7529),
    [sym_polymorphic_variant_pattern] = STATE(7529),
    [sym_record_pattern] = STATE(7529),
    [sym_list_pattern] = STATE(7529),
    [sym_array_pattern] = STATE(7529),
    [sym_local_open_pattern] = STATE(7529),
    [sym_package_pattern] = STATE(7529),
    [sym_parenthesized_pattern] = STATE(7529),
    [sym_attribute] = STATE(2550),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7529),
    [sym_quoted_extension] = STATE(7529),
    [sym__constant] = STATE(7514),
    [sym__signed_constant] = STATE(7529),
    [sym_number] = STATE(7592),
    [sym_signed_number] = STATE(7514),
    [sym_character] = STATE(7592),
    [sym_string] = STATE(7592),
    [sym_quoted_string] = STATE(7592),
    [sym_boolean] = STATE(7592),
    [sym_unit] = STATE(7592),
    [sym__simple_value_pattern] = STATE(7529),
    [sym_parenthesized_operator] = STATE(7529),
    [sym_module_path] = STATE(19182),
    [sym_constructor_path] = STATE(7529),
    [sym__constructor_name] = STATE(7595),
    [sym_tag] = STATE(7529),
    [aux_sym_expression_item_repeat1] = STATE(10340),
    [aux_sym_let_binding_repeat1] = STATE(2587),
    [sym__identifier] = ACTIONS(6931),
    [anon_sym_SEMI_SEMI] = ACTIONS(7059),
    [anon_sym_let] = ACTIONS(7061),
    [anon_sym_and] = ACTIONS(7061),
    [anon_sym_EQ] = ACTIONS(7129),
    [anon_sym_TILDE] = ACTIONS(6939),
    [anon_sym_QMARK] = ACTIONS(6939),
    [anon_sym_LPAREN] = ACTIONS(6941),
    [anon_sym_external] = ACTIONS(7061),
    [anon_sym_type] = ACTIONS(7061),
    [anon_sym_LBRACK] = ACTIONS(6943),
    [anon_sym_true] = ACTIONS(6945),
    [anon_sym_false] = ACTIONS(6945),
    [anon_sym_COLON2] = ACTIONS(6947),
    [anon_sym_LBRACE] = ACTIONS(6949),
    [anon_sym_exception] = ACTIONS(7061),
    [anon_sym_module] = ACTIONS(7061),
    [anon_sym_open] = ACTIONS(7061),
    [anon_sym_include] = ACTIONS(7061),
    [anon_sym_class] = ACTIONS(7061),
    [anon_sym_end] = ACTIONS(7061),
    [anon_sym_POUND] = ACTIONS(6951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6953),
    [anon_sym_begin] = ACTIONS(6955),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7059),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6957),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6959),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7059),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7059),
    [aux_sym_number_token1] = ACTIONS(6961),
    [aux_sym_signed_number_token1] = ACTIONS(6963),
    [anon_sym_SQUOTE] = ACTIONS(6965),
    [anon_sym_DQUOTE] = ACTIONS(6967),
    [sym_let_operator] = ACTIONS(7059),
    [sym__capitalized_identifier] = ACTIONS(6969),
    [aux_sym_directive_token1] = ACTIONS(7061),
    [aux_sym_tag_token1] = ACTIONS(6971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2551] = {
    [sym_parameter] = STATE(7617),
    [sym__class_typed] = STATE(11118),
    [sym__parenthesized_abstract_type] = STATE(7617),
    [sym__simple_pattern] = STATE(7623),
    [sym_typed_pattern] = STATE(7529),
    [sym_polymorphic_variant_pattern] = STATE(7529),
    [sym_record_pattern] = STATE(7529),
    [sym_list_pattern] = STATE(7529),
    [sym_array_pattern] = STATE(7529),
    [sym_local_open_pattern] = STATE(7529),
    [sym_package_pattern] = STATE(7529),
    [sym_parenthesized_pattern] = STATE(7529),
    [sym_attribute] = STATE(2551),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7529),
    [sym_quoted_extension] = STATE(7529),
    [sym__constant] = STATE(7514),
    [sym__signed_constant] = STATE(7529),
    [sym_number] = STATE(7592),
    [sym_signed_number] = STATE(7514),
    [sym_character] = STATE(7592),
    [sym_string] = STATE(7592),
    [sym_quoted_string] = STATE(7592),
    [sym_boolean] = STATE(7592),
    [sym_unit] = STATE(7592),
    [sym__simple_value_pattern] = STATE(7529),
    [sym_parenthesized_operator] = STATE(7529),
    [sym_module_path] = STATE(19182),
    [sym_constructor_path] = STATE(7529),
    [sym__constructor_name] = STATE(7595),
    [sym_tag] = STATE(7529),
    [aux_sym_expression_item_repeat1] = STATE(10313),
    [aux_sym_let_binding_repeat1] = STATE(2587),
    [sym__identifier] = ACTIONS(6931),
    [anon_sym_SEMI_SEMI] = ACTIONS(7051),
    [anon_sym_let] = ACTIONS(7053),
    [anon_sym_and] = ACTIONS(7053),
    [anon_sym_EQ] = ACTIONS(7131),
    [anon_sym_TILDE] = ACTIONS(6939),
    [anon_sym_QMARK] = ACTIONS(6939),
    [anon_sym_LPAREN] = ACTIONS(6941),
    [anon_sym_external] = ACTIONS(7053),
    [anon_sym_type] = ACTIONS(7053),
    [anon_sym_LBRACK] = ACTIONS(6943),
    [anon_sym_true] = ACTIONS(6945),
    [anon_sym_false] = ACTIONS(6945),
    [anon_sym_COLON2] = ACTIONS(6947),
    [anon_sym_LBRACE] = ACTIONS(6949),
    [anon_sym_exception] = ACTIONS(7053),
    [anon_sym_module] = ACTIONS(7053),
    [anon_sym_open] = ACTIONS(7053),
    [anon_sym_include] = ACTIONS(7053),
    [anon_sym_class] = ACTIONS(7053),
    [anon_sym_end] = ACTIONS(7053),
    [anon_sym_POUND] = ACTIONS(6951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6953),
    [anon_sym_begin] = ACTIONS(6955),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7051),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6957),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6959),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7051),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7051),
    [aux_sym_number_token1] = ACTIONS(6961),
    [aux_sym_signed_number_token1] = ACTIONS(6963),
    [anon_sym_SQUOTE] = ACTIONS(6965),
    [anon_sym_DQUOTE] = ACTIONS(6967),
    [sym_let_operator] = ACTIONS(7051),
    [sym__capitalized_identifier] = ACTIONS(6969),
    [aux_sym_directive_token1] = ACTIONS(7053),
    [aux_sym_tag_token1] = ACTIONS(6971),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2552] = {
    [sym_parameter] = STATE(7488),
    [sym__class_typed] = STATE(11065),
    [sym__parenthesized_abstract_type] = STATE(7488),
    [sym__simple_pattern] = STATE(7534),
    [sym_typed_pattern] = STATE(7491),
    [sym_polymorphic_variant_pattern] = STATE(7491),
    [sym_record_pattern] = STATE(7491),
    [sym_list_pattern] = STATE(7491),
    [sym_array_pattern] = STATE(7491),
    [sym_local_open_pattern] = STATE(7491),
    [sym_package_pattern] = STATE(7491),
    [sym_parenthesized_pattern] = STATE(7491),
    [sym_attribute] = STATE(2552),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7491),
    [sym_quoted_extension] = STATE(7491),
    [sym__constant] = STATE(7591),
    [sym__signed_constant] = STATE(7491),
    [sym_number] = STATE(7515),
    [sym_signed_number] = STATE(7591),
    [sym_character] = STATE(7515),
    [sym_string] = STATE(7515),
    [sym_quoted_string] = STATE(7515),
    [sym_boolean] = STATE(7515),
    [sym_unit] = STATE(7515),
    [sym__simple_value_pattern] = STATE(7491),
    [sym_parenthesized_operator] = STATE(7491),
    [sym_module_path] = STATE(18995),
    [sym_constructor_path] = STATE(7491),
    [sym__constructor_name] = STATE(7517),
    [sym_tag] = STATE(7491),
    [aux_sym_expression_item_repeat1] = STATE(10611),
    [aux_sym_let_binding_repeat1] = STATE(2555),
    [sym__identifier] = ACTIONS(6887),
    [anon_sym_SEMI_SEMI] = ACTIONS(7045),
    [anon_sym_let] = ACTIONS(7047),
    [anon_sym_and] = ACTIONS(7047),
    [anon_sym_EQ] = ACTIONS(7133),
    [anon_sym_TILDE] = ACTIONS(6895),
    [anon_sym_QMARK] = ACTIONS(6895),
    [anon_sym_LPAREN] = ACTIONS(6897),
    [anon_sym_external] = ACTIONS(7047),
    [anon_sym_type] = ACTIONS(7047),
    [anon_sym_LBRACK] = ACTIONS(6899),
    [anon_sym_RBRACK] = ACTIONS(7045),
    [anon_sym_true] = ACTIONS(6901),
    [anon_sym_false] = ACTIONS(6901),
    [anon_sym_COLON2] = ACTIONS(6903),
    [anon_sym_LBRACE] = ACTIONS(6905),
    [anon_sym_exception] = ACTIONS(7047),
    [anon_sym_module] = ACTIONS(7047),
    [anon_sym_open] = ACTIONS(7047),
    [anon_sym_include] = ACTIONS(7047),
    [anon_sym_class] = ACTIONS(7047),
    [anon_sym_POUND] = ACTIONS(6907),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6909),
    [anon_sym_begin] = ACTIONS(6911),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7045),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6915),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6917),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7045),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7045),
    [aux_sym_number_token1] = ACTIONS(6919),
    [aux_sym_signed_number_token1] = ACTIONS(6921),
    [anon_sym_SQUOTE] = ACTIONS(6923),
    [anon_sym_DQUOTE] = ACTIONS(6925),
    [sym_let_operator] = ACTIONS(7045),
    [sym__capitalized_identifier] = ACTIONS(6927),
    [aux_sym_directive_token1] = ACTIONS(7047),
    [aux_sym_tag_token1] = ACTIONS(6929),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2553] = {
    [sym_parameter] = STATE(7488),
    [sym__class_typed] = STATE(11058),
    [sym__parenthesized_abstract_type] = STATE(7488),
    [sym__simple_pattern] = STATE(7534),
    [sym_typed_pattern] = STATE(7491),
    [sym_polymorphic_variant_pattern] = STATE(7491),
    [sym_record_pattern] = STATE(7491),
    [sym_list_pattern] = STATE(7491),
    [sym_array_pattern] = STATE(7491),
    [sym_local_open_pattern] = STATE(7491),
    [sym_package_pattern] = STATE(7491),
    [sym_parenthesized_pattern] = STATE(7491),
    [sym_attribute] = STATE(2553),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7491),
    [sym_quoted_extension] = STATE(7491),
    [sym__constant] = STATE(7591),
    [sym__signed_constant] = STATE(7491),
    [sym_number] = STATE(7515),
    [sym_signed_number] = STATE(7591),
    [sym_character] = STATE(7515),
    [sym_string] = STATE(7515),
    [sym_quoted_string] = STATE(7515),
    [sym_boolean] = STATE(7515),
    [sym_unit] = STATE(7515),
    [sym__simple_value_pattern] = STATE(7491),
    [sym_parenthesized_operator] = STATE(7491),
    [sym_module_path] = STATE(18995),
    [sym_constructor_path] = STATE(7491),
    [sym__constructor_name] = STATE(7517),
    [sym_tag] = STATE(7491),
    [aux_sym_expression_item_repeat1] = STATE(10508),
    [aux_sym_let_binding_repeat1] = STATE(2586),
    [sym__identifier] = ACTIONS(6887),
    [anon_sym_SEMI_SEMI] = ACTIONS(7027),
    [anon_sym_let] = ACTIONS(7029),
    [anon_sym_and] = ACTIONS(7029),
    [anon_sym_EQ] = ACTIONS(7135),
    [anon_sym_TILDE] = ACTIONS(6895),
    [anon_sym_QMARK] = ACTIONS(6895),
    [anon_sym_LPAREN] = ACTIONS(6897),
    [anon_sym_external] = ACTIONS(7029),
    [anon_sym_type] = ACTIONS(7029),
    [anon_sym_LBRACK] = ACTIONS(6899),
    [anon_sym_RBRACK] = ACTIONS(7027),
    [anon_sym_true] = ACTIONS(6901),
    [anon_sym_false] = ACTIONS(6901),
    [anon_sym_COLON2] = ACTIONS(6903),
    [anon_sym_LBRACE] = ACTIONS(6905),
    [anon_sym_exception] = ACTIONS(7029),
    [anon_sym_module] = ACTIONS(7029),
    [anon_sym_open] = ACTIONS(7029),
    [anon_sym_include] = ACTIONS(7029),
    [anon_sym_class] = ACTIONS(7029),
    [anon_sym_POUND] = ACTIONS(6907),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6909),
    [anon_sym_begin] = ACTIONS(6911),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7027),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6915),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6917),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7027),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7027),
    [aux_sym_number_token1] = ACTIONS(6919),
    [aux_sym_signed_number_token1] = ACTIONS(6921),
    [anon_sym_SQUOTE] = ACTIONS(6923),
    [anon_sym_DQUOTE] = ACTIONS(6925),
    [sym_let_operator] = ACTIONS(7027),
    [sym__capitalized_identifier] = ACTIONS(6927),
    [aux_sym_directive_token1] = ACTIONS(7029),
    [aux_sym_tag_token1] = ACTIONS(6929),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2554] = {
    [sym_parameter] = STATE(7488),
    [sym__class_typed] = STATE(10902),
    [sym__parenthesized_abstract_type] = STATE(7488),
    [sym__simple_pattern] = STATE(7534),
    [sym_typed_pattern] = STATE(7491),
    [sym_polymorphic_variant_pattern] = STATE(7491),
    [sym_record_pattern] = STATE(7491),
    [sym_list_pattern] = STATE(7491),
    [sym_array_pattern] = STATE(7491),
    [sym_local_open_pattern] = STATE(7491),
    [sym_package_pattern] = STATE(7491),
    [sym_parenthesized_pattern] = STATE(7491),
    [sym_attribute] = STATE(2554),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7491),
    [sym_quoted_extension] = STATE(7491),
    [sym__constant] = STATE(7591),
    [sym__signed_constant] = STATE(7491),
    [sym_number] = STATE(7515),
    [sym_signed_number] = STATE(7591),
    [sym_character] = STATE(7515),
    [sym_string] = STATE(7515),
    [sym_quoted_string] = STATE(7515),
    [sym_boolean] = STATE(7515),
    [sym_unit] = STATE(7515),
    [sym__simple_value_pattern] = STATE(7491),
    [sym_parenthesized_operator] = STATE(7491),
    [sym_module_path] = STATE(18995),
    [sym_constructor_path] = STATE(7491),
    [sym__constructor_name] = STATE(7517),
    [sym_tag] = STATE(7491),
    [aux_sym_expression_item_repeat1] = STATE(10347),
    [aux_sym_let_binding_repeat1] = STATE(2533),
    [sym__identifier] = ACTIONS(6887),
    [anon_sym_SEMI_SEMI] = ACTIONS(6979),
    [anon_sym_let] = ACTIONS(6981),
    [anon_sym_and] = ACTIONS(6981),
    [anon_sym_EQ] = ACTIONS(7137),
    [anon_sym_TILDE] = ACTIONS(6895),
    [anon_sym_QMARK] = ACTIONS(6895),
    [anon_sym_LPAREN] = ACTIONS(6897),
    [anon_sym_external] = ACTIONS(6981),
    [anon_sym_type] = ACTIONS(6981),
    [anon_sym_LBRACK] = ACTIONS(6899),
    [anon_sym_RBRACK] = ACTIONS(6979),
    [anon_sym_true] = ACTIONS(6901),
    [anon_sym_false] = ACTIONS(6901),
    [anon_sym_COLON2] = ACTIONS(6903),
    [anon_sym_LBRACE] = ACTIONS(6905),
    [anon_sym_exception] = ACTIONS(6981),
    [anon_sym_module] = ACTIONS(6981),
    [anon_sym_open] = ACTIONS(6981),
    [anon_sym_include] = ACTIONS(6981),
    [anon_sym_class] = ACTIONS(6981),
    [anon_sym_POUND] = ACTIONS(6907),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6909),
    [anon_sym_begin] = ACTIONS(6911),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6979),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6915),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6917),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6979),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6979),
    [aux_sym_number_token1] = ACTIONS(6919),
    [aux_sym_signed_number_token1] = ACTIONS(6921),
    [anon_sym_SQUOTE] = ACTIONS(6923),
    [anon_sym_DQUOTE] = ACTIONS(6925),
    [sym_let_operator] = ACTIONS(6979),
    [sym__capitalized_identifier] = ACTIONS(6927),
    [aux_sym_directive_token1] = ACTIONS(6981),
    [aux_sym_tag_token1] = ACTIONS(6929),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2555] = {
    [sym_parameter] = STATE(7488),
    [sym__class_typed] = STATE(10951),
    [sym__parenthesized_abstract_type] = STATE(7488),
    [sym__simple_pattern] = STATE(7534),
    [sym_typed_pattern] = STATE(7491),
    [sym_polymorphic_variant_pattern] = STATE(7491),
    [sym_record_pattern] = STATE(7491),
    [sym_list_pattern] = STATE(7491),
    [sym_array_pattern] = STATE(7491),
    [sym_local_open_pattern] = STATE(7491),
    [sym_package_pattern] = STATE(7491),
    [sym_parenthesized_pattern] = STATE(7491),
    [sym_attribute] = STATE(2555),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7491),
    [sym_quoted_extension] = STATE(7491),
    [sym__constant] = STATE(7591),
    [sym__signed_constant] = STATE(7491),
    [sym_number] = STATE(7515),
    [sym_signed_number] = STATE(7591),
    [sym_character] = STATE(7515),
    [sym_string] = STATE(7515),
    [sym_quoted_string] = STATE(7515),
    [sym_boolean] = STATE(7515),
    [sym_unit] = STATE(7515),
    [sym__simple_value_pattern] = STATE(7491),
    [sym_parenthesized_operator] = STATE(7491),
    [sym_module_path] = STATE(18995),
    [sym_constructor_path] = STATE(7491),
    [sym__constructor_name] = STATE(7517),
    [sym_tag] = STATE(7491),
    [aux_sym_expression_item_repeat1] = STATE(10466),
    [aux_sym_let_binding_repeat1] = STATE(2586),
    [sym__identifier] = ACTIONS(6887),
    [anon_sym_SEMI_SEMI] = ACTIONS(6933),
    [anon_sym_let] = ACTIONS(6935),
    [anon_sym_and] = ACTIONS(6935),
    [anon_sym_EQ] = ACTIONS(7139),
    [anon_sym_TILDE] = ACTIONS(6895),
    [anon_sym_QMARK] = ACTIONS(6895),
    [anon_sym_LPAREN] = ACTIONS(6897),
    [anon_sym_external] = ACTIONS(6935),
    [anon_sym_type] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6899),
    [anon_sym_RBRACK] = ACTIONS(6933),
    [anon_sym_true] = ACTIONS(6901),
    [anon_sym_false] = ACTIONS(6901),
    [anon_sym_COLON2] = ACTIONS(6903),
    [anon_sym_LBRACE] = ACTIONS(6905),
    [anon_sym_exception] = ACTIONS(6935),
    [anon_sym_module] = ACTIONS(6935),
    [anon_sym_open] = ACTIONS(6935),
    [anon_sym_include] = ACTIONS(6935),
    [anon_sym_class] = ACTIONS(6935),
    [anon_sym_POUND] = ACTIONS(6907),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6909),
    [anon_sym_begin] = ACTIONS(6911),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6933),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6915),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6917),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6933),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6933),
    [aux_sym_number_token1] = ACTIONS(6919),
    [aux_sym_signed_number_token1] = ACTIONS(6921),
    [anon_sym_SQUOTE] = ACTIONS(6923),
    [anon_sym_DQUOTE] = ACTIONS(6925),
    [sym_let_operator] = ACTIONS(6933),
    [sym__capitalized_identifier] = ACTIONS(6927),
    [aux_sym_directive_token1] = ACTIONS(6935),
    [aux_sym_tag_token1] = ACTIONS(6929),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2556] = {
    [sym_parameter] = STATE(7730),
    [sym__class_typed] = STATE(11727),
    [sym__parenthesized_abstract_type] = STATE(7730),
    [sym__simple_pattern] = STATE(7728),
    [sym_typed_pattern] = STATE(7724),
    [sym_polymorphic_variant_pattern] = STATE(7724),
    [sym_record_pattern] = STATE(7724),
    [sym_list_pattern] = STATE(7724),
    [sym_array_pattern] = STATE(7724),
    [sym_local_open_pattern] = STATE(7724),
    [sym_package_pattern] = STATE(7724),
    [sym_parenthesized_pattern] = STATE(7724),
    [sym_attribute] = STATE(2556),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7724),
    [sym_quoted_extension] = STATE(7724),
    [sym__constant] = STATE(7721),
    [sym__signed_constant] = STATE(7724),
    [sym_number] = STATE(7731),
    [sym_signed_number] = STATE(7721),
    [sym_character] = STATE(7731),
    [sym_string] = STATE(7731),
    [sym_quoted_string] = STATE(7731),
    [sym_boolean] = STATE(7731),
    [sym_unit] = STATE(7731),
    [sym__simple_value_pattern] = STATE(7724),
    [sym_parenthesized_operator] = STATE(7724),
    [sym_module_path] = STATE(18613),
    [sym_constructor_path] = STATE(7724),
    [sym__constructor_name] = STATE(7776),
    [sym_tag] = STATE(7724),
    [aux_sym_expression_item_repeat1] = STATE(10508),
    [aux_sym_let_binding_repeat1] = STATE(2589),
    [ts_builtin_sym_end] = ACTIONS(7027),
    [sym__identifier] = ACTIONS(7141),
    [anon_sym_SEMI_SEMI] = ACTIONS(7027),
    [anon_sym_and] = ACTIONS(7029),
    [anon_sym_EQ] = ACTIONS(7143),
    [anon_sym_TILDE] = ACTIONS(7145),
    [anon_sym_QMARK] = ACTIONS(7145),
    [anon_sym_LPAREN] = ACTIONS(7147),
    [anon_sym_external] = ACTIONS(7029),
    [anon_sym_type] = ACTIONS(7029),
    [anon_sym_LBRACK] = ACTIONS(7149),
    [anon_sym_true] = ACTIONS(7151),
    [anon_sym_false] = ACTIONS(7151),
    [anon_sym_COLON2] = ACTIONS(7153),
    [anon_sym_LBRACE] = ACTIONS(7155),
    [anon_sym_exception] = ACTIONS(7029),
    [anon_sym_module] = ACTIONS(7029),
    [anon_sym_open] = ACTIONS(7029),
    [anon_sym_include] = ACTIONS(7029),
    [anon_sym_class] = ACTIONS(7029),
    [anon_sym_val] = ACTIONS(7029),
    [anon_sym_POUND] = ACTIONS(7157),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7159),
    [anon_sym_begin] = ACTIONS(7161),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7027),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7163),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7165),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7027),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7027),
    [aux_sym_number_token1] = ACTIONS(7167),
    [aux_sym_signed_number_token1] = ACTIONS(7169),
    [anon_sym_SQUOTE] = ACTIONS(7171),
    [anon_sym_DQUOTE] = ACTIONS(7173),
    [sym__capitalized_identifier] = ACTIONS(7175),
    [aux_sym_tag_token1] = ACTIONS(7177),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2557] = {
    [sym_parameter] = STATE(7730),
    [sym__class_typed] = STATE(11732),
    [sym__parenthesized_abstract_type] = STATE(7730),
    [sym__simple_pattern] = STATE(7728),
    [sym_typed_pattern] = STATE(7724),
    [sym_polymorphic_variant_pattern] = STATE(7724),
    [sym_record_pattern] = STATE(7724),
    [sym_list_pattern] = STATE(7724),
    [sym_array_pattern] = STATE(7724),
    [sym_local_open_pattern] = STATE(7724),
    [sym_package_pattern] = STATE(7724),
    [sym_parenthesized_pattern] = STATE(7724),
    [sym_attribute] = STATE(2557),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7724),
    [sym_quoted_extension] = STATE(7724),
    [sym__constant] = STATE(7721),
    [sym__signed_constant] = STATE(7724),
    [sym_number] = STATE(7731),
    [sym_signed_number] = STATE(7721),
    [sym_character] = STATE(7731),
    [sym_string] = STATE(7731),
    [sym_quoted_string] = STATE(7731),
    [sym_boolean] = STATE(7731),
    [sym_unit] = STATE(7731),
    [sym__simple_value_pattern] = STATE(7724),
    [sym_parenthesized_operator] = STATE(7724),
    [sym_module_path] = STATE(18613),
    [sym_constructor_path] = STATE(7724),
    [sym__constructor_name] = STATE(7776),
    [sym_tag] = STATE(7724),
    [aux_sym_expression_item_repeat1] = STATE(10418),
    [aux_sym_let_binding_repeat1] = STATE(2589),
    [sym__identifier] = ACTIONS(7141),
    [anon_sym_SEMI_SEMI] = ACTIONS(6889),
    [anon_sym_and] = ACTIONS(6891),
    [anon_sym_EQ] = ACTIONS(7179),
    [anon_sym_TILDE] = ACTIONS(7145),
    [anon_sym_QMARK] = ACTIONS(7145),
    [anon_sym_LPAREN] = ACTIONS(7147),
    [anon_sym_external] = ACTIONS(6891),
    [anon_sym_type] = ACTIONS(6891),
    [anon_sym_LBRACK] = ACTIONS(7149),
    [anon_sym_RBRACK] = ACTIONS(6889),
    [anon_sym_true] = ACTIONS(7151),
    [anon_sym_false] = ACTIONS(7151),
    [anon_sym_COLON2] = ACTIONS(7153),
    [anon_sym_LBRACE] = ACTIONS(7155),
    [anon_sym_exception] = ACTIONS(6891),
    [anon_sym_module] = ACTIONS(6891),
    [anon_sym_open] = ACTIONS(6891),
    [anon_sym_include] = ACTIONS(6891),
    [anon_sym_class] = ACTIONS(6891),
    [anon_sym_val] = ACTIONS(6891),
    [anon_sym_POUND] = ACTIONS(7157),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7159),
    [anon_sym_begin] = ACTIONS(7161),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6889),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7163),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7165),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6889),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6889),
    [aux_sym_number_token1] = ACTIONS(7167),
    [aux_sym_signed_number_token1] = ACTIONS(7169),
    [anon_sym_SQUOTE] = ACTIONS(7171),
    [anon_sym_DQUOTE] = ACTIONS(7173),
    [sym__capitalized_identifier] = ACTIONS(7175),
    [aux_sym_tag_token1] = ACTIONS(7177),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2558] = {
    [sym_parameter] = STATE(7730),
    [sym__class_typed] = STATE(11722),
    [sym__parenthesized_abstract_type] = STATE(7730),
    [sym__simple_pattern] = STATE(7728),
    [sym_typed_pattern] = STATE(7724),
    [sym_polymorphic_variant_pattern] = STATE(7724),
    [sym_record_pattern] = STATE(7724),
    [sym_list_pattern] = STATE(7724),
    [sym_array_pattern] = STATE(7724),
    [sym_local_open_pattern] = STATE(7724),
    [sym_package_pattern] = STATE(7724),
    [sym_parenthesized_pattern] = STATE(7724),
    [sym_attribute] = STATE(2558),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7724),
    [sym_quoted_extension] = STATE(7724),
    [sym__constant] = STATE(7721),
    [sym__signed_constant] = STATE(7724),
    [sym_number] = STATE(7731),
    [sym_signed_number] = STATE(7721),
    [sym_character] = STATE(7731),
    [sym_string] = STATE(7731),
    [sym_quoted_string] = STATE(7731),
    [sym_boolean] = STATE(7731),
    [sym_unit] = STATE(7731),
    [sym__simple_value_pattern] = STATE(7724),
    [sym_parenthesized_operator] = STATE(7724),
    [sym_module_path] = STATE(18613),
    [sym_constructor_path] = STATE(7724),
    [sym__constructor_name] = STATE(7776),
    [sym_tag] = STATE(7724),
    [aux_sym_expression_item_repeat1] = STATE(10466),
    [aux_sym_let_binding_repeat1] = STATE(2589),
    [sym__identifier] = ACTIONS(7141),
    [anon_sym_SEMI_SEMI] = ACTIONS(6933),
    [anon_sym_and] = ACTIONS(6935),
    [anon_sym_EQ] = ACTIONS(7181),
    [anon_sym_TILDE] = ACTIONS(7145),
    [anon_sym_QMARK] = ACTIONS(7145),
    [anon_sym_LPAREN] = ACTIONS(7147),
    [anon_sym_external] = ACTIONS(6935),
    [anon_sym_type] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(7149),
    [anon_sym_RBRACK] = ACTIONS(6933),
    [anon_sym_true] = ACTIONS(7151),
    [anon_sym_false] = ACTIONS(7151),
    [anon_sym_COLON2] = ACTIONS(7153),
    [anon_sym_LBRACE] = ACTIONS(7155),
    [anon_sym_exception] = ACTIONS(6935),
    [anon_sym_module] = ACTIONS(6935),
    [anon_sym_open] = ACTIONS(6935),
    [anon_sym_include] = ACTIONS(6935),
    [anon_sym_class] = ACTIONS(6935),
    [anon_sym_val] = ACTIONS(6935),
    [anon_sym_POUND] = ACTIONS(7157),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7159),
    [anon_sym_begin] = ACTIONS(7161),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6933),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7163),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7165),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6933),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6933),
    [aux_sym_number_token1] = ACTIONS(7167),
    [aux_sym_signed_number_token1] = ACTIONS(7169),
    [anon_sym_SQUOTE] = ACTIONS(7171),
    [anon_sym_DQUOTE] = ACTIONS(7173),
    [sym__capitalized_identifier] = ACTIONS(7175),
    [aux_sym_tag_token1] = ACTIONS(7177),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2559] = {
    [sym_parameter] = STATE(7730),
    [sym__class_typed] = STATE(11702),
    [sym__parenthesized_abstract_type] = STATE(7730),
    [sym__simple_pattern] = STATE(7728),
    [sym_typed_pattern] = STATE(7724),
    [sym_polymorphic_variant_pattern] = STATE(7724),
    [sym_record_pattern] = STATE(7724),
    [sym_list_pattern] = STATE(7724),
    [sym_array_pattern] = STATE(7724),
    [sym_local_open_pattern] = STATE(7724),
    [sym_package_pattern] = STATE(7724),
    [sym_parenthesized_pattern] = STATE(7724),
    [sym_attribute] = STATE(2559),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7724),
    [sym_quoted_extension] = STATE(7724),
    [sym__constant] = STATE(7721),
    [sym__signed_constant] = STATE(7724),
    [sym_number] = STATE(7731),
    [sym_signed_number] = STATE(7721),
    [sym_character] = STATE(7731),
    [sym_string] = STATE(7731),
    [sym_quoted_string] = STATE(7731),
    [sym_boolean] = STATE(7731),
    [sym_unit] = STATE(7731),
    [sym__simple_value_pattern] = STATE(7724),
    [sym_parenthesized_operator] = STATE(7724),
    [sym_module_path] = STATE(18613),
    [sym_constructor_path] = STATE(7724),
    [sym__constructor_name] = STATE(7776),
    [sym_tag] = STATE(7724),
    [aux_sym_expression_item_repeat1] = STATE(10661),
    [aux_sym_let_binding_repeat1] = STATE(2556),
    [ts_builtin_sym_end] = ACTIONS(7039),
    [sym__identifier] = ACTIONS(7141),
    [anon_sym_SEMI_SEMI] = ACTIONS(7039),
    [anon_sym_and] = ACTIONS(7041),
    [anon_sym_EQ] = ACTIONS(7183),
    [anon_sym_TILDE] = ACTIONS(7145),
    [anon_sym_QMARK] = ACTIONS(7145),
    [anon_sym_LPAREN] = ACTIONS(7147),
    [anon_sym_external] = ACTIONS(7041),
    [anon_sym_type] = ACTIONS(7041),
    [anon_sym_LBRACK] = ACTIONS(7149),
    [anon_sym_true] = ACTIONS(7151),
    [anon_sym_false] = ACTIONS(7151),
    [anon_sym_COLON2] = ACTIONS(7153),
    [anon_sym_LBRACE] = ACTIONS(7155),
    [anon_sym_exception] = ACTIONS(7041),
    [anon_sym_module] = ACTIONS(7041),
    [anon_sym_open] = ACTIONS(7041),
    [anon_sym_include] = ACTIONS(7041),
    [anon_sym_class] = ACTIONS(7041),
    [anon_sym_val] = ACTIONS(7041),
    [anon_sym_POUND] = ACTIONS(7157),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7159),
    [anon_sym_begin] = ACTIONS(7161),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7039),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7163),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7165),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7039),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7039),
    [aux_sym_number_token1] = ACTIONS(7167),
    [aux_sym_signed_number_token1] = ACTIONS(7169),
    [anon_sym_SQUOTE] = ACTIONS(7171),
    [anon_sym_DQUOTE] = ACTIONS(7173),
    [sym__capitalized_identifier] = ACTIONS(7175),
    [aux_sym_tag_token1] = ACTIONS(7177),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2560] = {
    [sym_parameter] = STATE(8067),
    [sym__class_typed] = STATE(11667),
    [sym__parenthesized_abstract_type] = STATE(8067),
    [sym__simple_pattern] = STATE(8078),
    [sym_typed_pattern] = STATE(7936),
    [sym_polymorphic_variant_pattern] = STATE(7936),
    [sym_record_pattern] = STATE(7936),
    [sym_list_pattern] = STATE(7936),
    [sym_array_pattern] = STATE(7936),
    [sym_local_open_pattern] = STATE(7936),
    [sym_package_pattern] = STATE(7936),
    [sym_parenthesized_pattern] = STATE(7936),
    [sym_attribute] = STATE(2560),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7936),
    [sym_quoted_extension] = STATE(7936),
    [sym__constant] = STATE(7978),
    [sym__signed_constant] = STATE(7936),
    [sym_number] = STATE(7910),
    [sym_signed_number] = STATE(7978),
    [sym_character] = STATE(7910),
    [sym_string] = STATE(7910),
    [sym_quoted_string] = STATE(7910),
    [sym_boolean] = STATE(7910),
    [sym_unit] = STATE(7910),
    [sym__simple_value_pattern] = STATE(7936),
    [sym_parenthesized_operator] = STATE(7936),
    [sym_module_path] = STATE(19418),
    [sym_constructor_path] = STATE(7936),
    [sym__constructor_name] = STATE(7912),
    [sym_tag] = STATE(7936),
    [aux_sym_expression_item_repeat1] = STATE(10611),
    [aux_sym_let_binding_repeat1] = STATE(2581),
    [sym__identifier] = ACTIONS(7185),
    [anon_sym_SEMI_SEMI] = ACTIONS(7045),
    [anon_sym_and] = ACTIONS(7047),
    [anon_sym_EQ] = ACTIONS(7187),
    [anon_sym_TILDE] = ACTIONS(7189),
    [anon_sym_QMARK] = ACTIONS(7189),
    [anon_sym_LPAREN] = ACTIONS(7191),
    [anon_sym_external] = ACTIONS(7047),
    [anon_sym_type] = ACTIONS(7047),
    [anon_sym_LBRACK] = ACTIONS(7193),
    [anon_sym_true] = ACTIONS(7195),
    [anon_sym_false] = ACTIONS(7195),
    [anon_sym_COLON2] = ACTIONS(7197),
    [anon_sym_LBRACE] = ACTIONS(7199),
    [anon_sym_exception] = ACTIONS(7047),
    [anon_sym_module] = ACTIONS(7047),
    [anon_sym_open] = ACTIONS(7047),
    [anon_sym_include] = ACTIONS(7047),
    [anon_sym_class] = ACTIONS(7047),
    [anon_sym_val] = ACTIONS(7047),
    [anon_sym_end] = ACTIONS(7047),
    [anon_sym_POUND] = ACTIONS(7201),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7203),
    [anon_sym_begin] = ACTIONS(7205),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7045),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7209),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7045),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7045),
    [aux_sym_number_token1] = ACTIONS(7211),
    [aux_sym_signed_number_token1] = ACTIONS(7213),
    [anon_sym_SQUOTE] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(7217),
    [sym__capitalized_identifier] = ACTIONS(7219),
    [aux_sym_tag_token1] = ACTIONS(7221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2561] = {
    [sym_parameter] = STATE(7730),
    [sym__class_typed] = STATE(11723),
    [sym__parenthesized_abstract_type] = STATE(7730),
    [sym__simple_pattern] = STATE(7728),
    [sym_typed_pattern] = STATE(7724),
    [sym_polymorphic_variant_pattern] = STATE(7724),
    [sym_record_pattern] = STATE(7724),
    [sym_list_pattern] = STATE(7724),
    [sym_array_pattern] = STATE(7724),
    [sym_local_open_pattern] = STATE(7724),
    [sym_package_pattern] = STATE(7724),
    [sym_parenthesized_pattern] = STATE(7724),
    [sym_attribute] = STATE(2561),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7724),
    [sym_quoted_extension] = STATE(7724),
    [sym__constant] = STATE(7721),
    [sym__signed_constant] = STATE(7724),
    [sym_number] = STATE(7731),
    [sym_signed_number] = STATE(7721),
    [sym_character] = STATE(7731),
    [sym_string] = STATE(7731),
    [sym_quoted_string] = STATE(7731),
    [sym_boolean] = STATE(7731),
    [sym_unit] = STATE(7731),
    [sym__simple_value_pattern] = STATE(7724),
    [sym_parenthesized_operator] = STATE(7724),
    [sym_module_path] = STATE(18613),
    [sym_constructor_path] = STATE(7724),
    [sym__constructor_name] = STATE(7776),
    [sym_tag] = STATE(7724),
    [aux_sym_expression_item_repeat1] = STATE(10508),
    [aux_sym_let_binding_repeat1] = STATE(2589),
    [sym__identifier] = ACTIONS(7141),
    [anon_sym_SEMI_SEMI] = ACTIONS(7027),
    [anon_sym_and] = ACTIONS(7029),
    [anon_sym_EQ] = ACTIONS(7223),
    [anon_sym_TILDE] = ACTIONS(7145),
    [anon_sym_QMARK] = ACTIONS(7145),
    [anon_sym_LPAREN] = ACTIONS(7147),
    [anon_sym_external] = ACTIONS(7029),
    [anon_sym_type] = ACTIONS(7029),
    [anon_sym_LBRACK] = ACTIONS(7149),
    [anon_sym_RBRACK] = ACTIONS(7027),
    [anon_sym_true] = ACTIONS(7151),
    [anon_sym_false] = ACTIONS(7151),
    [anon_sym_COLON2] = ACTIONS(7153),
    [anon_sym_LBRACE] = ACTIONS(7155),
    [anon_sym_exception] = ACTIONS(7029),
    [anon_sym_module] = ACTIONS(7029),
    [anon_sym_open] = ACTIONS(7029),
    [anon_sym_include] = ACTIONS(7029),
    [anon_sym_class] = ACTIONS(7029),
    [anon_sym_val] = ACTIONS(7029),
    [anon_sym_POUND] = ACTIONS(7157),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7159),
    [anon_sym_begin] = ACTIONS(7161),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7027),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7163),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7165),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7027),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7027),
    [aux_sym_number_token1] = ACTIONS(7167),
    [aux_sym_signed_number_token1] = ACTIONS(7169),
    [anon_sym_SQUOTE] = ACTIONS(7171),
    [anon_sym_DQUOTE] = ACTIONS(7173),
    [sym__capitalized_identifier] = ACTIONS(7175),
    [aux_sym_tag_token1] = ACTIONS(7177),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2562] = {
    [sym_parameter] = STATE(7730),
    [sym__class_typed] = STATE(11719),
    [sym__parenthesized_abstract_type] = STATE(7730),
    [sym__simple_pattern] = STATE(7728),
    [sym_typed_pattern] = STATE(7724),
    [sym_polymorphic_variant_pattern] = STATE(7724),
    [sym_record_pattern] = STATE(7724),
    [sym_list_pattern] = STATE(7724),
    [sym_array_pattern] = STATE(7724),
    [sym_local_open_pattern] = STATE(7724),
    [sym_package_pattern] = STATE(7724),
    [sym_parenthesized_pattern] = STATE(7724),
    [sym_attribute] = STATE(2562),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7724),
    [sym_quoted_extension] = STATE(7724),
    [sym__constant] = STATE(7721),
    [sym__signed_constant] = STATE(7724),
    [sym_number] = STATE(7731),
    [sym_signed_number] = STATE(7721),
    [sym_character] = STATE(7731),
    [sym_string] = STATE(7731),
    [sym_quoted_string] = STATE(7731),
    [sym_boolean] = STATE(7731),
    [sym_unit] = STATE(7731),
    [sym__simple_value_pattern] = STATE(7724),
    [sym_parenthesized_operator] = STATE(7724),
    [sym_module_path] = STATE(18613),
    [sym_constructor_path] = STATE(7724),
    [sym__constructor_name] = STATE(7776),
    [sym_tag] = STATE(7724),
    [aux_sym_expression_item_repeat1] = STATE(10611),
    [aux_sym_let_binding_repeat1] = STATE(2558),
    [sym__identifier] = ACTIONS(7141),
    [anon_sym_SEMI_SEMI] = ACTIONS(7045),
    [anon_sym_and] = ACTIONS(7047),
    [anon_sym_EQ] = ACTIONS(7225),
    [anon_sym_TILDE] = ACTIONS(7145),
    [anon_sym_QMARK] = ACTIONS(7145),
    [anon_sym_LPAREN] = ACTIONS(7147),
    [anon_sym_external] = ACTIONS(7047),
    [anon_sym_type] = ACTIONS(7047),
    [anon_sym_LBRACK] = ACTIONS(7149),
    [anon_sym_RBRACK] = ACTIONS(7045),
    [anon_sym_true] = ACTIONS(7151),
    [anon_sym_false] = ACTIONS(7151),
    [anon_sym_COLON2] = ACTIONS(7153),
    [anon_sym_LBRACE] = ACTIONS(7155),
    [anon_sym_exception] = ACTIONS(7047),
    [anon_sym_module] = ACTIONS(7047),
    [anon_sym_open] = ACTIONS(7047),
    [anon_sym_include] = ACTIONS(7047),
    [anon_sym_class] = ACTIONS(7047),
    [anon_sym_val] = ACTIONS(7047),
    [anon_sym_POUND] = ACTIONS(7157),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7159),
    [anon_sym_begin] = ACTIONS(7161),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7045),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7163),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7165),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7045),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7045),
    [aux_sym_number_token1] = ACTIONS(7167),
    [aux_sym_signed_number_token1] = ACTIONS(7169),
    [anon_sym_SQUOTE] = ACTIONS(7171),
    [anon_sym_DQUOTE] = ACTIONS(7173),
    [sym__capitalized_identifier] = ACTIONS(7175),
    [aux_sym_tag_token1] = ACTIONS(7177),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2563] = {
    [sym_parameter] = STATE(7730),
    [sym__class_typed] = STATE(11721),
    [sym__parenthesized_abstract_type] = STATE(7730),
    [sym__simple_pattern] = STATE(7728),
    [sym_typed_pattern] = STATE(7724),
    [sym_polymorphic_variant_pattern] = STATE(7724),
    [sym_record_pattern] = STATE(7724),
    [sym_list_pattern] = STATE(7724),
    [sym_array_pattern] = STATE(7724),
    [sym_local_open_pattern] = STATE(7724),
    [sym_package_pattern] = STATE(7724),
    [sym_parenthesized_pattern] = STATE(7724),
    [sym_attribute] = STATE(2563),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7724),
    [sym_quoted_extension] = STATE(7724),
    [sym__constant] = STATE(7721),
    [sym__signed_constant] = STATE(7724),
    [sym_number] = STATE(7731),
    [sym_signed_number] = STATE(7721),
    [sym_character] = STATE(7731),
    [sym_string] = STATE(7731),
    [sym_quoted_string] = STATE(7731),
    [sym_boolean] = STATE(7731),
    [sym_unit] = STATE(7731),
    [sym__simple_value_pattern] = STATE(7724),
    [sym_parenthesized_operator] = STATE(7724),
    [sym_module_path] = STATE(18613),
    [sym_constructor_path] = STATE(7724),
    [sym__constructor_name] = STATE(7776),
    [sym_tag] = STATE(7724),
    [aux_sym_expression_item_repeat1] = STATE(10661),
    [aux_sym_let_binding_repeat1] = STATE(2561),
    [sym__identifier] = ACTIONS(7141),
    [anon_sym_SEMI_SEMI] = ACTIONS(7039),
    [anon_sym_and] = ACTIONS(7041),
    [anon_sym_EQ] = ACTIONS(7227),
    [anon_sym_TILDE] = ACTIONS(7145),
    [anon_sym_QMARK] = ACTIONS(7145),
    [anon_sym_LPAREN] = ACTIONS(7147),
    [anon_sym_external] = ACTIONS(7041),
    [anon_sym_type] = ACTIONS(7041),
    [anon_sym_LBRACK] = ACTIONS(7149),
    [anon_sym_RBRACK] = ACTIONS(7039),
    [anon_sym_true] = ACTIONS(7151),
    [anon_sym_false] = ACTIONS(7151),
    [anon_sym_COLON2] = ACTIONS(7153),
    [anon_sym_LBRACE] = ACTIONS(7155),
    [anon_sym_exception] = ACTIONS(7041),
    [anon_sym_module] = ACTIONS(7041),
    [anon_sym_open] = ACTIONS(7041),
    [anon_sym_include] = ACTIONS(7041),
    [anon_sym_class] = ACTIONS(7041),
    [anon_sym_val] = ACTIONS(7041),
    [anon_sym_POUND] = ACTIONS(7157),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7159),
    [anon_sym_begin] = ACTIONS(7161),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7039),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7163),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7165),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7039),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7039),
    [aux_sym_number_token1] = ACTIONS(7167),
    [aux_sym_signed_number_token1] = ACTIONS(7169),
    [anon_sym_SQUOTE] = ACTIONS(7171),
    [anon_sym_DQUOTE] = ACTIONS(7173),
    [sym__capitalized_identifier] = ACTIONS(7175),
    [aux_sym_tag_token1] = ACTIONS(7177),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2564] = {
    [sym_parameter] = STATE(8067),
    [sym__class_typed] = STATE(11679),
    [sym__parenthesized_abstract_type] = STATE(8067),
    [sym__simple_pattern] = STATE(8078),
    [sym_typed_pattern] = STATE(7936),
    [sym_polymorphic_variant_pattern] = STATE(7936),
    [sym_record_pattern] = STATE(7936),
    [sym_list_pattern] = STATE(7936),
    [sym_array_pattern] = STATE(7936),
    [sym_local_open_pattern] = STATE(7936),
    [sym_package_pattern] = STATE(7936),
    [sym_parenthesized_pattern] = STATE(7936),
    [sym_attribute] = STATE(2564),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7936),
    [sym_quoted_extension] = STATE(7936),
    [sym__constant] = STATE(7978),
    [sym__signed_constant] = STATE(7936),
    [sym_number] = STATE(7910),
    [sym_signed_number] = STATE(7978),
    [sym_character] = STATE(7910),
    [sym_string] = STATE(7910),
    [sym_quoted_string] = STATE(7910),
    [sym_boolean] = STATE(7910),
    [sym_unit] = STATE(7910),
    [sym__simple_value_pattern] = STATE(7936),
    [sym_parenthesized_operator] = STATE(7936),
    [sym_module_path] = STATE(19418),
    [sym_constructor_path] = STATE(7936),
    [sym__constructor_name] = STATE(7912),
    [sym_tag] = STATE(7936),
    [aux_sym_expression_item_repeat1] = STATE(10508),
    [aux_sym_let_binding_repeat1] = STATE(2590),
    [sym__identifier] = ACTIONS(7185),
    [anon_sym_SEMI_SEMI] = ACTIONS(7027),
    [anon_sym_and] = ACTIONS(7029),
    [anon_sym_EQ] = ACTIONS(7229),
    [anon_sym_TILDE] = ACTIONS(7189),
    [anon_sym_QMARK] = ACTIONS(7189),
    [anon_sym_LPAREN] = ACTIONS(7191),
    [anon_sym_external] = ACTIONS(7029),
    [anon_sym_type] = ACTIONS(7029),
    [anon_sym_LBRACK] = ACTIONS(7193),
    [anon_sym_true] = ACTIONS(7195),
    [anon_sym_false] = ACTIONS(7195),
    [anon_sym_COLON2] = ACTIONS(7197),
    [anon_sym_LBRACE] = ACTIONS(7199),
    [anon_sym_exception] = ACTIONS(7029),
    [anon_sym_module] = ACTIONS(7029),
    [anon_sym_open] = ACTIONS(7029),
    [anon_sym_include] = ACTIONS(7029),
    [anon_sym_class] = ACTIONS(7029),
    [anon_sym_val] = ACTIONS(7029),
    [anon_sym_end] = ACTIONS(7029),
    [anon_sym_POUND] = ACTIONS(7201),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7203),
    [anon_sym_begin] = ACTIONS(7205),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7027),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7209),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7027),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7027),
    [aux_sym_number_token1] = ACTIONS(7211),
    [aux_sym_signed_number_token1] = ACTIONS(7213),
    [anon_sym_SQUOTE] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(7217),
    [sym__capitalized_identifier] = ACTIONS(7219),
    [aux_sym_tag_token1] = ACTIONS(7221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2565] = {
    [sym_parameter] = STATE(7730),
    [sym__class_typed] = STATE(11774),
    [sym__parenthesized_abstract_type] = STATE(7730),
    [sym__simple_pattern] = STATE(7728),
    [sym_typed_pattern] = STATE(7724),
    [sym_polymorphic_variant_pattern] = STATE(7724),
    [sym_record_pattern] = STATE(7724),
    [sym_list_pattern] = STATE(7724),
    [sym_array_pattern] = STATE(7724),
    [sym_local_open_pattern] = STATE(7724),
    [sym_package_pattern] = STATE(7724),
    [sym_parenthesized_pattern] = STATE(7724),
    [sym_attribute] = STATE(2565),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7724),
    [sym_quoted_extension] = STATE(7724),
    [sym__constant] = STATE(7721),
    [sym__signed_constant] = STATE(7724),
    [sym_number] = STATE(7731),
    [sym_signed_number] = STATE(7721),
    [sym_character] = STATE(7731),
    [sym_string] = STATE(7731),
    [sym_quoted_string] = STATE(7731),
    [sym_boolean] = STATE(7731),
    [sym_unit] = STATE(7731),
    [sym__simple_value_pattern] = STATE(7724),
    [sym_parenthesized_operator] = STATE(7724),
    [sym_module_path] = STATE(18613),
    [sym_constructor_path] = STATE(7724),
    [sym__constructor_name] = STATE(7776),
    [sym_tag] = STATE(7724),
    [aux_sym_expression_item_repeat1] = STATE(10611),
    [aux_sym_let_binding_repeat1] = STATE(2583),
    [ts_builtin_sym_end] = ACTIONS(7045),
    [sym__identifier] = ACTIONS(7141),
    [anon_sym_SEMI_SEMI] = ACTIONS(7045),
    [anon_sym_and] = ACTIONS(7047),
    [anon_sym_EQ] = ACTIONS(7231),
    [anon_sym_TILDE] = ACTIONS(7145),
    [anon_sym_QMARK] = ACTIONS(7145),
    [anon_sym_LPAREN] = ACTIONS(7147),
    [anon_sym_external] = ACTIONS(7047),
    [anon_sym_type] = ACTIONS(7047),
    [anon_sym_LBRACK] = ACTIONS(7149),
    [anon_sym_true] = ACTIONS(7151),
    [anon_sym_false] = ACTIONS(7151),
    [anon_sym_COLON2] = ACTIONS(7153),
    [anon_sym_LBRACE] = ACTIONS(7155),
    [anon_sym_exception] = ACTIONS(7047),
    [anon_sym_module] = ACTIONS(7047),
    [anon_sym_open] = ACTIONS(7047),
    [anon_sym_include] = ACTIONS(7047),
    [anon_sym_class] = ACTIONS(7047),
    [anon_sym_val] = ACTIONS(7047),
    [anon_sym_POUND] = ACTIONS(7157),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7159),
    [anon_sym_begin] = ACTIONS(7161),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7045),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7163),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7165),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7045),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7045),
    [aux_sym_number_token1] = ACTIONS(7167),
    [aux_sym_signed_number_token1] = ACTIONS(7169),
    [anon_sym_SQUOTE] = ACTIONS(7171),
    [anon_sym_DQUOTE] = ACTIONS(7173),
    [sym__capitalized_identifier] = ACTIONS(7175),
    [aux_sym_tag_token1] = ACTIONS(7177),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2566] = {
    [sym_parameter] = STATE(7730),
    [sym__class_typed] = STATE(11777),
    [sym__parenthesized_abstract_type] = STATE(7730),
    [sym__simple_pattern] = STATE(7728),
    [sym_typed_pattern] = STATE(7724),
    [sym_polymorphic_variant_pattern] = STATE(7724),
    [sym_record_pattern] = STATE(7724),
    [sym_list_pattern] = STATE(7724),
    [sym_array_pattern] = STATE(7724),
    [sym_local_open_pattern] = STATE(7724),
    [sym_package_pattern] = STATE(7724),
    [sym_parenthesized_pattern] = STATE(7724),
    [sym_attribute] = STATE(2566),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7724),
    [sym_quoted_extension] = STATE(7724),
    [sym__constant] = STATE(7721),
    [sym__signed_constant] = STATE(7724),
    [sym_number] = STATE(7731),
    [sym_signed_number] = STATE(7721),
    [sym_character] = STATE(7731),
    [sym_string] = STATE(7731),
    [sym_quoted_string] = STATE(7731),
    [sym_boolean] = STATE(7731),
    [sym_unit] = STATE(7731),
    [sym__simple_value_pattern] = STATE(7724),
    [sym_parenthesized_operator] = STATE(7724),
    [sym_module_path] = STATE(18613),
    [sym_constructor_path] = STATE(7724),
    [sym__constructor_name] = STATE(7776),
    [sym_tag] = STATE(7724),
    [aux_sym_expression_item_repeat1] = STATE(10313),
    [aux_sym_let_binding_repeat1] = STATE(2589),
    [ts_builtin_sym_end] = ACTIONS(7051),
    [sym__identifier] = ACTIONS(7141),
    [anon_sym_SEMI_SEMI] = ACTIONS(7051),
    [anon_sym_and] = ACTIONS(7053),
    [anon_sym_EQ] = ACTIONS(7233),
    [anon_sym_TILDE] = ACTIONS(7145),
    [anon_sym_QMARK] = ACTIONS(7145),
    [anon_sym_LPAREN] = ACTIONS(7147),
    [anon_sym_external] = ACTIONS(7053),
    [anon_sym_type] = ACTIONS(7053),
    [anon_sym_LBRACK] = ACTIONS(7149),
    [anon_sym_true] = ACTIONS(7151),
    [anon_sym_false] = ACTIONS(7151),
    [anon_sym_COLON2] = ACTIONS(7153),
    [anon_sym_LBRACE] = ACTIONS(7155),
    [anon_sym_exception] = ACTIONS(7053),
    [anon_sym_module] = ACTIONS(7053),
    [anon_sym_open] = ACTIONS(7053),
    [anon_sym_include] = ACTIONS(7053),
    [anon_sym_class] = ACTIONS(7053),
    [anon_sym_val] = ACTIONS(7053),
    [anon_sym_POUND] = ACTIONS(7157),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7159),
    [anon_sym_begin] = ACTIONS(7161),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7051),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7163),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7165),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7051),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7051),
    [aux_sym_number_token1] = ACTIONS(7167),
    [aux_sym_signed_number_token1] = ACTIONS(7169),
    [anon_sym_SQUOTE] = ACTIONS(7171),
    [anon_sym_DQUOTE] = ACTIONS(7173),
    [sym__capitalized_identifier] = ACTIONS(7175),
    [aux_sym_tag_token1] = ACTIONS(7177),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2567] = {
    [sym_parameter] = STATE(7730),
    [sym__class_typed] = STATE(11785),
    [sym__parenthesized_abstract_type] = STATE(7730),
    [sym__simple_pattern] = STATE(7728),
    [sym_typed_pattern] = STATE(7724),
    [sym_polymorphic_variant_pattern] = STATE(7724),
    [sym_record_pattern] = STATE(7724),
    [sym_list_pattern] = STATE(7724),
    [sym_array_pattern] = STATE(7724),
    [sym_local_open_pattern] = STATE(7724),
    [sym_package_pattern] = STATE(7724),
    [sym_parenthesized_pattern] = STATE(7724),
    [sym_attribute] = STATE(2567),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7724),
    [sym_quoted_extension] = STATE(7724),
    [sym__constant] = STATE(7721),
    [sym__signed_constant] = STATE(7724),
    [sym_number] = STATE(7731),
    [sym_signed_number] = STATE(7721),
    [sym_character] = STATE(7731),
    [sym_string] = STATE(7731),
    [sym_quoted_string] = STATE(7731),
    [sym_boolean] = STATE(7731),
    [sym_unit] = STATE(7731),
    [sym__simple_value_pattern] = STATE(7724),
    [sym_parenthesized_operator] = STATE(7724),
    [sym_module_path] = STATE(18613),
    [sym_constructor_path] = STATE(7724),
    [sym__constructor_name] = STATE(7776),
    [sym_tag] = STATE(7724),
    [aux_sym_expression_item_repeat1] = STATE(10662),
    [aux_sym_let_binding_repeat1] = STATE(2572),
    [ts_builtin_sym_end] = ACTIONS(7033),
    [sym__identifier] = ACTIONS(7141),
    [anon_sym_SEMI_SEMI] = ACTIONS(7033),
    [anon_sym_and] = ACTIONS(7035),
    [anon_sym_EQ] = ACTIONS(7235),
    [anon_sym_TILDE] = ACTIONS(7145),
    [anon_sym_QMARK] = ACTIONS(7145),
    [anon_sym_LPAREN] = ACTIONS(7147),
    [anon_sym_external] = ACTIONS(7035),
    [anon_sym_type] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(7149),
    [anon_sym_true] = ACTIONS(7151),
    [anon_sym_false] = ACTIONS(7151),
    [anon_sym_COLON2] = ACTIONS(7153),
    [anon_sym_LBRACE] = ACTIONS(7155),
    [anon_sym_exception] = ACTIONS(7035),
    [anon_sym_module] = ACTIONS(7035),
    [anon_sym_open] = ACTIONS(7035),
    [anon_sym_include] = ACTIONS(7035),
    [anon_sym_class] = ACTIONS(7035),
    [anon_sym_val] = ACTIONS(7035),
    [anon_sym_POUND] = ACTIONS(7157),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7159),
    [anon_sym_begin] = ACTIONS(7161),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7033),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7163),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7165),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7033),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7033),
    [aux_sym_number_token1] = ACTIONS(7167),
    [aux_sym_signed_number_token1] = ACTIONS(7169),
    [anon_sym_SQUOTE] = ACTIONS(7171),
    [anon_sym_DQUOTE] = ACTIONS(7173),
    [sym__capitalized_identifier] = ACTIONS(7175),
    [aux_sym_tag_token1] = ACTIONS(7177),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2568] = {
    [sym_parameter] = STATE(7730),
    [sym__class_typed] = STATE(11725),
    [sym__parenthesized_abstract_type] = STATE(7730),
    [sym__simple_pattern] = STATE(7728),
    [sym_typed_pattern] = STATE(7724),
    [sym_polymorphic_variant_pattern] = STATE(7724),
    [sym_record_pattern] = STATE(7724),
    [sym_list_pattern] = STATE(7724),
    [sym_array_pattern] = STATE(7724),
    [sym_local_open_pattern] = STATE(7724),
    [sym_package_pattern] = STATE(7724),
    [sym_parenthesized_pattern] = STATE(7724),
    [sym_attribute] = STATE(2568),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7724),
    [sym_quoted_extension] = STATE(7724),
    [sym__constant] = STATE(7721),
    [sym__signed_constant] = STATE(7724),
    [sym_number] = STATE(7731),
    [sym_signed_number] = STATE(7721),
    [sym_character] = STATE(7731),
    [sym_string] = STATE(7731),
    [sym_quoted_string] = STATE(7731),
    [sym_boolean] = STATE(7731),
    [sym_unit] = STATE(7731),
    [sym__simple_value_pattern] = STATE(7724),
    [sym_parenthesized_operator] = STATE(7724),
    [sym_module_path] = STATE(18613),
    [sym_constructor_path] = STATE(7724),
    [sym__constructor_name] = STATE(7776),
    [sym_tag] = STATE(7724),
    [aux_sym_expression_item_repeat1] = STATE(10505),
    [aux_sym_let_binding_repeat1] = STATE(2571),
    [sym__identifier] = ACTIONS(7141),
    [anon_sym_SEMI_SEMI] = ACTIONS(6973),
    [anon_sym_and] = ACTIONS(6975),
    [anon_sym_EQ] = ACTIONS(7237),
    [anon_sym_TILDE] = ACTIONS(7145),
    [anon_sym_QMARK] = ACTIONS(7145),
    [anon_sym_LPAREN] = ACTIONS(7147),
    [anon_sym_external] = ACTIONS(6975),
    [anon_sym_type] = ACTIONS(6975),
    [anon_sym_LBRACK] = ACTIONS(7149),
    [anon_sym_RBRACK] = ACTIONS(6973),
    [anon_sym_true] = ACTIONS(7151),
    [anon_sym_false] = ACTIONS(7151),
    [anon_sym_COLON2] = ACTIONS(7153),
    [anon_sym_LBRACE] = ACTIONS(7155),
    [anon_sym_exception] = ACTIONS(6975),
    [anon_sym_module] = ACTIONS(6975),
    [anon_sym_open] = ACTIONS(6975),
    [anon_sym_include] = ACTIONS(6975),
    [anon_sym_class] = ACTIONS(6975),
    [anon_sym_val] = ACTIONS(6975),
    [anon_sym_POUND] = ACTIONS(7157),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7159),
    [anon_sym_begin] = ACTIONS(7161),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6973),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7163),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7165),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6973),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6973),
    [aux_sym_number_token1] = ACTIONS(7167),
    [aux_sym_signed_number_token1] = ACTIONS(7169),
    [anon_sym_SQUOTE] = ACTIONS(7171),
    [anon_sym_DQUOTE] = ACTIONS(7173),
    [sym__capitalized_identifier] = ACTIONS(7175),
    [aux_sym_tag_token1] = ACTIONS(7177),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2569] = {
    [sym_parameter] = STATE(7730),
    [sym__class_typed] = STATE(11709),
    [sym__parenthesized_abstract_type] = STATE(7730),
    [sym__simple_pattern] = STATE(7728),
    [sym_typed_pattern] = STATE(7724),
    [sym_polymorphic_variant_pattern] = STATE(7724),
    [sym_record_pattern] = STATE(7724),
    [sym_list_pattern] = STATE(7724),
    [sym_array_pattern] = STATE(7724),
    [sym_local_open_pattern] = STATE(7724),
    [sym_package_pattern] = STATE(7724),
    [sym_parenthesized_pattern] = STATE(7724),
    [sym_attribute] = STATE(2569),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7724),
    [sym_quoted_extension] = STATE(7724),
    [sym__constant] = STATE(7721),
    [sym__signed_constant] = STATE(7724),
    [sym_number] = STATE(7731),
    [sym_signed_number] = STATE(7721),
    [sym_character] = STATE(7731),
    [sym_string] = STATE(7731),
    [sym_quoted_string] = STATE(7731),
    [sym_boolean] = STATE(7731),
    [sym_unit] = STATE(7731),
    [sym__simple_value_pattern] = STATE(7724),
    [sym_parenthesized_operator] = STATE(7724),
    [sym_module_path] = STATE(18613),
    [sym_constructor_path] = STATE(7724),
    [sym__constructor_name] = STATE(7776),
    [sym_tag] = STATE(7724),
    [aux_sym_expression_item_repeat1] = STATE(10505),
    [aux_sym_let_binding_repeat1] = STATE(2566),
    [ts_builtin_sym_end] = ACTIONS(6973),
    [sym__identifier] = ACTIONS(7141),
    [anon_sym_SEMI_SEMI] = ACTIONS(6973),
    [anon_sym_and] = ACTIONS(6975),
    [anon_sym_EQ] = ACTIONS(7239),
    [anon_sym_TILDE] = ACTIONS(7145),
    [anon_sym_QMARK] = ACTIONS(7145),
    [anon_sym_LPAREN] = ACTIONS(7147),
    [anon_sym_external] = ACTIONS(6975),
    [anon_sym_type] = ACTIONS(6975),
    [anon_sym_LBRACK] = ACTIONS(7149),
    [anon_sym_true] = ACTIONS(7151),
    [anon_sym_false] = ACTIONS(7151),
    [anon_sym_COLON2] = ACTIONS(7153),
    [anon_sym_LBRACE] = ACTIONS(7155),
    [anon_sym_exception] = ACTIONS(6975),
    [anon_sym_module] = ACTIONS(6975),
    [anon_sym_open] = ACTIONS(6975),
    [anon_sym_include] = ACTIONS(6975),
    [anon_sym_class] = ACTIONS(6975),
    [anon_sym_val] = ACTIONS(6975),
    [anon_sym_POUND] = ACTIONS(7157),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7159),
    [anon_sym_begin] = ACTIONS(7161),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6973),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7163),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7165),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6973),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6973),
    [aux_sym_number_token1] = ACTIONS(7167),
    [aux_sym_signed_number_token1] = ACTIONS(7169),
    [anon_sym_SQUOTE] = ACTIONS(7171),
    [anon_sym_DQUOTE] = ACTIONS(7173),
    [sym__capitalized_identifier] = ACTIONS(7175),
    [aux_sym_tag_token1] = ACTIONS(7177),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2570] = {
    [sym_parameter] = STATE(8067),
    [sym__class_typed] = STATE(11681),
    [sym__parenthesized_abstract_type] = STATE(8067),
    [sym__simple_pattern] = STATE(8078),
    [sym_typed_pattern] = STATE(7936),
    [sym_polymorphic_variant_pattern] = STATE(7936),
    [sym_record_pattern] = STATE(7936),
    [sym_list_pattern] = STATE(7936),
    [sym_array_pattern] = STATE(7936),
    [sym_local_open_pattern] = STATE(7936),
    [sym_package_pattern] = STATE(7936),
    [sym_parenthesized_pattern] = STATE(7936),
    [sym_attribute] = STATE(2570),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7936),
    [sym_quoted_extension] = STATE(7936),
    [sym__constant] = STATE(7978),
    [sym__signed_constant] = STATE(7936),
    [sym_number] = STATE(7910),
    [sym_signed_number] = STATE(7978),
    [sym_character] = STATE(7910),
    [sym_string] = STATE(7910),
    [sym_quoted_string] = STATE(7910),
    [sym_boolean] = STATE(7910),
    [sym_unit] = STATE(7910),
    [sym__simple_value_pattern] = STATE(7936),
    [sym_parenthesized_operator] = STATE(7936),
    [sym_module_path] = STATE(19418),
    [sym_constructor_path] = STATE(7936),
    [sym__constructor_name] = STATE(7912),
    [sym_tag] = STATE(7936),
    [aux_sym_expression_item_repeat1] = STATE(10505),
    [aux_sym_let_binding_repeat1] = STATE(2574),
    [sym__identifier] = ACTIONS(7185),
    [anon_sym_SEMI_SEMI] = ACTIONS(6973),
    [anon_sym_and] = ACTIONS(6975),
    [anon_sym_EQ] = ACTIONS(7241),
    [anon_sym_TILDE] = ACTIONS(7189),
    [anon_sym_QMARK] = ACTIONS(7189),
    [anon_sym_LPAREN] = ACTIONS(7191),
    [anon_sym_external] = ACTIONS(6975),
    [anon_sym_type] = ACTIONS(6975),
    [anon_sym_LBRACK] = ACTIONS(7193),
    [anon_sym_true] = ACTIONS(7195),
    [anon_sym_false] = ACTIONS(7195),
    [anon_sym_COLON2] = ACTIONS(7197),
    [anon_sym_LBRACE] = ACTIONS(7199),
    [anon_sym_exception] = ACTIONS(6975),
    [anon_sym_module] = ACTIONS(6975),
    [anon_sym_open] = ACTIONS(6975),
    [anon_sym_include] = ACTIONS(6975),
    [anon_sym_class] = ACTIONS(6975),
    [anon_sym_val] = ACTIONS(6975),
    [anon_sym_end] = ACTIONS(6975),
    [anon_sym_POUND] = ACTIONS(7201),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7203),
    [anon_sym_begin] = ACTIONS(7205),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6973),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7209),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6973),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6973),
    [aux_sym_number_token1] = ACTIONS(7211),
    [aux_sym_signed_number_token1] = ACTIONS(7213),
    [anon_sym_SQUOTE] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(7217),
    [sym__capitalized_identifier] = ACTIONS(7219),
    [aux_sym_tag_token1] = ACTIONS(7221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2571] = {
    [sym_parameter] = STATE(7730),
    [sym__class_typed] = STATE(11728),
    [sym__parenthesized_abstract_type] = STATE(7730),
    [sym__simple_pattern] = STATE(7728),
    [sym_typed_pattern] = STATE(7724),
    [sym_polymorphic_variant_pattern] = STATE(7724),
    [sym_record_pattern] = STATE(7724),
    [sym_list_pattern] = STATE(7724),
    [sym_array_pattern] = STATE(7724),
    [sym_local_open_pattern] = STATE(7724),
    [sym_package_pattern] = STATE(7724),
    [sym_parenthesized_pattern] = STATE(7724),
    [sym_attribute] = STATE(2571),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7724),
    [sym_quoted_extension] = STATE(7724),
    [sym__constant] = STATE(7721),
    [sym__signed_constant] = STATE(7724),
    [sym_number] = STATE(7731),
    [sym_signed_number] = STATE(7721),
    [sym_character] = STATE(7731),
    [sym_string] = STATE(7731),
    [sym_quoted_string] = STATE(7731),
    [sym_boolean] = STATE(7731),
    [sym_unit] = STATE(7731),
    [sym__simple_value_pattern] = STATE(7724),
    [sym_parenthesized_operator] = STATE(7724),
    [sym_module_path] = STATE(18613),
    [sym_constructor_path] = STATE(7724),
    [sym__constructor_name] = STATE(7776),
    [sym_tag] = STATE(7724),
    [aux_sym_expression_item_repeat1] = STATE(10313),
    [aux_sym_let_binding_repeat1] = STATE(2589),
    [sym__identifier] = ACTIONS(7141),
    [anon_sym_SEMI_SEMI] = ACTIONS(7051),
    [anon_sym_and] = ACTIONS(7053),
    [anon_sym_EQ] = ACTIONS(7243),
    [anon_sym_TILDE] = ACTIONS(7145),
    [anon_sym_QMARK] = ACTIONS(7145),
    [anon_sym_LPAREN] = ACTIONS(7147),
    [anon_sym_external] = ACTIONS(7053),
    [anon_sym_type] = ACTIONS(7053),
    [anon_sym_LBRACK] = ACTIONS(7149),
    [anon_sym_RBRACK] = ACTIONS(7051),
    [anon_sym_true] = ACTIONS(7151),
    [anon_sym_false] = ACTIONS(7151),
    [anon_sym_COLON2] = ACTIONS(7153),
    [anon_sym_LBRACE] = ACTIONS(7155),
    [anon_sym_exception] = ACTIONS(7053),
    [anon_sym_module] = ACTIONS(7053),
    [anon_sym_open] = ACTIONS(7053),
    [anon_sym_include] = ACTIONS(7053),
    [anon_sym_class] = ACTIONS(7053),
    [anon_sym_val] = ACTIONS(7053),
    [anon_sym_POUND] = ACTIONS(7157),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7159),
    [anon_sym_begin] = ACTIONS(7161),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7051),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7163),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7165),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7051),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7051),
    [aux_sym_number_token1] = ACTIONS(7167),
    [aux_sym_signed_number_token1] = ACTIONS(7169),
    [anon_sym_SQUOTE] = ACTIONS(7171),
    [anon_sym_DQUOTE] = ACTIONS(7173),
    [sym__capitalized_identifier] = ACTIONS(7175),
    [aux_sym_tag_token1] = ACTIONS(7177),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2572] = {
    [sym_parameter] = STATE(7730),
    [sym__class_typed] = STATE(11670),
    [sym__parenthesized_abstract_type] = STATE(7730),
    [sym__simple_pattern] = STATE(7728),
    [sym_typed_pattern] = STATE(7724),
    [sym_polymorphic_variant_pattern] = STATE(7724),
    [sym_record_pattern] = STATE(7724),
    [sym_list_pattern] = STATE(7724),
    [sym_array_pattern] = STATE(7724),
    [sym_local_open_pattern] = STATE(7724),
    [sym_package_pattern] = STATE(7724),
    [sym_parenthesized_pattern] = STATE(7724),
    [sym_attribute] = STATE(2572),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7724),
    [sym_quoted_extension] = STATE(7724),
    [sym__constant] = STATE(7721),
    [sym__signed_constant] = STATE(7724),
    [sym_number] = STATE(7731),
    [sym_signed_number] = STATE(7721),
    [sym_character] = STATE(7731),
    [sym_string] = STATE(7731),
    [sym_quoted_string] = STATE(7731),
    [sym_boolean] = STATE(7731),
    [sym_unit] = STATE(7731),
    [sym__simple_value_pattern] = STATE(7724),
    [sym_parenthesized_operator] = STATE(7724),
    [sym_module_path] = STATE(18613),
    [sym_constructor_path] = STATE(7724),
    [sym__constructor_name] = STATE(7776),
    [sym_tag] = STATE(7724),
    [aux_sym_expression_item_repeat1] = STATE(10340),
    [aux_sym_let_binding_repeat1] = STATE(2589),
    [ts_builtin_sym_end] = ACTIONS(7059),
    [sym__identifier] = ACTIONS(7141),
    [anon_sym_SEMI_SEMI] = ACTIONS(7059),
    [anon_sym_and] = ACTIONS(7061),
    [anon_sym_EQ] = ACTIONS(7245),
    [anon_sym_TILDE] = ACTIONS(7145),
    [anon_sym_QMARK] = ACTIONS(7145),
    [anon_sym_LPAREN] = ACTIONS(7147),
    [anon_sym_external] = ACTIONS(7061),
    [anon_sym_type] = ACTIONS(7061),
    [anon_sym_LBRACK] = ACTIONS(7149),
    [anon_sym_true] = ACTIONS(7151),
    [anon_sym_false] = ACTIONS(7151),
    [anon_sym_COLON2] = ACTIONS(7153),
    [anon_sym_LBRACE] = ACTIONS(7155),
    [anon_sym_exception] = ACTIONS(7061),
    [anon_sym_module] = ACTIONS(7061),
    [anon_sym_open] = ACTIONS(7061),
    [anon_sym_include] = ACTIONS(7061),
    [anon_sym_class] = ACTIONS(7061),
    [anon_sym_val] = ACTIONS(7061),
    [anon_sym_POUND] = ACTIONS(7157),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7159),
    [anon_sym_begin] = ACTIONS(7161),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7059),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7163),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7165),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7059),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7059),
    [aux_sym_number_token1] = ACTIONS(7167),
    [aux_sym_signed_number_token1] = ACTIONS(7169),
    [anon_sym_SQUOTE] = ACTIONS(7171),
    [anon_sym_DQUOTE] = ACTIONS(7173),
    [sym__capitalized_identifier] = ACTIONS(7175),
    [aux_sym_tag_token1] = ACTIONS(7177),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2573] = {
    [sym_parameter] = STATE(7730),
    [sym__class_typed] = STATE(11729),
    [sym__parenthesized_abstract_type] = STATE(7730),
    [sym__simple_pattern] = STATE(7728),
    [sym_typed_pattern] = STATE(7724),
    [sym_polymorphic_variant_pattern] = STATE(7724),
    [sym_record_pattern] = STATE(7724),
    [sym_list_pattern] = STATE(7724),
    [sym_array_pattern] = STATE(7724),
    [sym_local_open_pattern] = STATE(7724),
    [sym_package_pattern] = STATE(7724),
    [sym_parenthesized_pattern] = STATE(7724),
    [sym_attribute] = STATE(2573),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7724),
    [sym_quoted_extension] = STATE(7724),
    [sym__constant] = STATE(7721),
    [sym__signed_constant] = STATE(7724),
    [sym_number] = STATE(7731),
    [sym_signed_number] = STATE(7721),
    [sym_character] = STATE(7731),
    [sym_string] = STATE(7731),
    [sym_quoted_string] = STATE(7731),
    [sym_boolean] = STATE(7731),
    [sym_unit] = STATE(7731),
    [sym__simple_value_pattern] = STATE(7724),
    [sym_parenthesized_operator] = STATE(7724),
    [sym_module_path] = STATE(18613),
    [sym_constructor_path] = STATE(7724),
    [sym__constructor_name] = STATE(7776),
    [sym_tag] = STATE(7724),
    [aux_sym_expression_item_repeat1] = STATE(10662),
    [aux_sym_let_binding_repeat1] = STATE(2580),
    [sym__identifier] = ACTIONS(7141),
    [anon_sym_SEMI_SEMI] = ACTIONS(7033),
    [anon_sym_and] = ACTIONS(7035),
    [anon_sym_EQ] = ACTIONS(7247),
    [anon_sym_TILDE] = ACTIONS(7145),
    [anon_sym_QMARK] = ACTIONS(7145),
    [anon_sym_LPAREN] = ACTIONS(7147),
    [anon_sym_external] = ACTIONS(7035),
    [anon_sym_type] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(7149),
    [anon_sym_RBRACK] = ACTIONS(7033),
    [anon_sym_true] = ACTIONS(7151),
    [anon_sym_false] = ACTIONS(7151),
    [anon_sym_COLON2] = ACTIONS(7153),
    [anon_sym_LBRACE] = ACTIONS(7155),
    [anon_sym_exception] = ACTIONS(7035),
    [anon_sym_module] = ACTIONS(7035),
    [anon_sym_open] = ACTIONS(7035),
    [anon_sym_include] = ACTIONS(7035),
    [anon_sym_class] = ACTIONS(7035),
    [anon_sym_val] = ACTIONS(7035),
    [anon_sym_POUND] = ACTIONS(7157),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7159),
    [anon_sym_begin] = ACTIONS(7161),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7033),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7163),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7165),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7033),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7033),
    [aux_sym_number_token1] = ACTIONS(7167),
    [aux_sym_signed_number_token1] = ACTIONS(7169),
    [anon_sym_SQUOTE] = ACTIONS(7171),
    [anon_sym_DQUOTE] = ACTIONS(7173),
    [sym__capitalized_identifier] = ACTIONS(7175),
    [aux_sym_tag_token1] = ACTIONS(7177),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2574] = {
    [sym_parameter] = STATE(8067),
    [sym__class_typed] = STATE(11684),
    [sym__parenthesized_abstract_type] = STATE(8067),
    [sym__simple_pattern] = STATE(8078),
    [sym_typed_pattern] = STATE(7936),
    [sym_polymorphic_variant_pattern] = STATE(7936),
    [sym_record_pattern] = STATE(7936),
    [sym_list_pattern] = STATE(7936),
    [sym_array_pattern] = STATE(7936),
    [sym_local_open_pattern] = STATE(7936),
    [sym_package_pattern] = STATE(7936),
    [sym_parenthesized_pattern] = STATE(7936),
    [sym_attribute] = STATE(2574),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7936),
    [sym_quoted_extension] = STATE(7936),
    [sym__constant] = STATE(7978),
    [sym__signed_constant] = STATE(7936),
    [sym_number] = STATE(7910),
    [sym_signed_number] = STATE(7978),
    [sym_character] = STATE(7910),
    [sym_string] = STATE(7910),
    [sym_quoted_string] = STATE(7910),
    [sym_boolean] = STATE(7910),
    [sym_unit] = STATE(7910),
    [sym__simple_value_pattern] = STATE(7936),
    [sym_parenthesized_operator] = STATE(7936),
    [sym_module_path] = STATE(19418),
    [sym_constructor_path] = STATE(7936),
    [sym__constructor_name] = STATE(7912),
    [sym_tag] = STATE(7936),
    [aux_sym_expression_item_repeat1] = STATE(10313),
    [aux_sym_let_binding_repeat1] = STATE(2590),
    [sym__identifier] = ACTIONS(7185),
    [anon_sym_SEMI_SEMI] = ACTIONS(7051),
    [anon_sym_and] = ACTIONS(7053),
    [anon_sym_EQ] = ACTIONS(7249),
    [anon_sym_TILDE] = ACTIONS(7189),
    [anon_sym_QMARK] = ACTIONS(7189),
    [anon_sym_LPAREN] = ACTIONS(7191),
    [anon_sym_external] = ACTIONS(7053),
    [anon_sym_type] = ACTIONS(7053),
    [anon_sym_LBRACK] = ACTIONS(7193),
    [anon_sym_true] = ACTIONS(7195),
    [anon_sym_false] = ACTIONS(7195),
    [anon_sym_COLON2] = ACTIONS(7197),
    [anon_sym_LBRACE] = ACTIONS(7199),
    [anon_sym_exception] = ACTIONS(7053),
    [anon_sym_module] = ACTIONS(7053),
    [anon_sym_open] = ACTIONS(7053),
    [anon_sym_include] = ACTIONS(7053),
    [anon_sym_class] = ACTIONS(7053),
    [anon_sym_val] = ACTIONS(7053),
    [anon_sym_end] = ACTIONS(7053),
    [anon_sym_POUND] = ACTIONS(7201),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7203),
    [anon_sym_begin] = ACTIONS(7205),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7051),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7209),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7051),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7051),
    [aux_sym_number_token1] = ACTIONS(7211),
    [aux_sym_signed_number_token1] = ACTIONS(7213),
    [anon_sym_SQUOTE] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(7217),
    [sym__capitalized_identifier] = ACTIONS(7219),
    [aux_sym_tag_token1] = ACTIONS(7221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2575] = {
    [sym_parameter] = STATE(8067),
    [sym__class_typed] = STATE(11685),
    [sym__parenthesized_abstract_type] = STATE(8067),
    [sym__simple_pattern] = STATE(8078),
    [sym_typed_pattern] = STATE(7936),
    [sym_polymorphic_variant_pattern] = STATE(7936),
    [sym_record_pattern] = STATE(7936),
    [sym_list_pattern] = STATE(7936),
    [sym_array_pattern] = STATE(7936),
    [sym_local_open_pattern] = STATE(7936),
    [sym_package_pattern] = STATE(7936),
    [sym_parenthesized_pattern] = STATE(7936),
    [sym_attribute] = STATE(2575),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7936),
    [sym_quoted_extension] = STATE(7936),
    [sym__constant] = STATE(7978),
    [sym__signed_constant] = STATE(7936),
    [sym_number] = STATE(7910),
    [sym_signed_number] = STATE(7978),
    [sym_character] = STATE(7910),
    [sym_string] = STATE(7910),
    [sym_quoted_string] = STATE(7910),
    [sym_boolean] = STATE(7910),
    [sym_unit] = STATE(7910),
    [sym__simple_value_pattern] = STATE(7936),
    [sym_parenthesized_operator] = STATE(7936),
    [sym_module_path] = STATE(19418),
    [sym_constructor_path] = STATE(7936),
    [sym__constructor_name] = STATE(7912),
    [sym_tag] = STATE(7936),
    [aux_sym_expression_item_repeat1] = STATE(10662),
    [aux_sym_let_binding_repeat1] = STATE(2576),
    [sym__identifier] = ACTIONS(7185),
    [anon_sym_SEMI_SEMI] = ACTIONS(7033),
    [anon_sym_and] = ACTIONS(7035),
    [anon_sym_EQ] = ACTIONS(7251),
    [anon_sym_TILDE] = ACTIONS(7189),
    [anon_sym_QMARK] = ACTIONS(7189),
    [anon_sym_LPAREN] = ACTIONS(7191),
    [anon_sym_external] = ACTIONS(7035),
    [anon_sym_type] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(7193),
    [anon_sym_true] = ACTIONS(7195),
    [anon_sym_false] = ACTIONS(7195),
    [anon_sym_COLON2] = ACTIONS(7197),
    [anon_sym_LBRACE] = ACTIONS(7199),
    [anon_sym_exception] = ACTIONS(7035),
    [anon_sym_module] = ACTIONS(7035),
    [anon_sym_open] = ACTIONS(7035),
    [anon_sym_include] = ACTIONS(7035),
    [anon_sym_class] = ACTIONS(7035),
    [anon_sym_val] = ACTIONS(7035),
    [anon_sym_end] = ACTIONS(7035),
    [anon_sym_POUND] = ACTIONS(7201),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7203),
    [anon_sym_begin] = ACTIONS(7205),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7033),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7209),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7033),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7033),
    [aux_sym_number_token1] = ACTIONS(7211),
    [aux_sym_signed_number_token1] = ACTIONS(7213),
    [anon_sym_SQUOTE] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(7217),
    [sym__capitalized_identifier] = ACTIONS(7219),
    [aux_sym_tag_token1] = ACTIONS(7221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2576] = {
    [sym_parameter] = STATE(8067),
    [sym__class_typed] = STATE(11687),
    [sym__parenthesized_abstract_type] = STATE(8067),
    [sym__simple_pattern] = STATE(8078),
    [sym_typed_pattern] = STATE(7936),
    [sym_polymorphic_variant_pattern] = STATE(7936),
    [sym_record_pattern] = STATE(7936),
    [sym_list_pattern] = STATE(7936),
    [sym_array_pattern] = STATE(7936),
    [sym_local_open_pattern] = STATE(7936),
    [sym_package_pattern] = STATE(7936),
    [sym_parenthesized_pattern] = STATE(7936),
    [sym_attribute] = STATE(2576),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7936),
    [sym_quoted_extension] = STATE(7936),
    [sym__constant] = STATE(7978),
    [sym__signed_constant] = STATE(7936),
    [sym_number] = STATE(7910),
    [sym_signed_number] = STATE(7978),
    [sym_character] = STATE(7910),
    [sym_string] = STATE(7910),
    [sym_quoted_string] = STATE(7910),
    [sym_boolean] = STATE(7910),
    [sym_unit] = STATE(7910),
    [sym__simple_value_pattern] = STATE(7936),
    [sym_parenthesized_operator] = STATE(7936),
    [sym_module_path] = STATE(19418),
    [sym_constructor_path] = STATE(7936),
    [sym__constructor_name] = STATE(7912),
    [sym_tag] = STATE(7936),
    [aux_sym_expression_item_repeat1] = STATE(10340),
    [aux_sym_let_binding_repeat1] = STATE(2590),
    [sym__identifier] = ACTIONS(7185),
    [anon_sym_SEMI_SEMI] = ACTIONS(7059),
    [anon_sym_and] = ACTIONS(7061),
    [anon_sym_EQ] = ACTIONS(7253),
    [anon_sym_TILDE] = ACTIONS(7189),
    [anon_sym_QMARK] = ACTIONS(7189),
    [anon_sym_LPAREN] = ACTIONS(7191),
    [anon_sym_external] = ACTIONS(7061),
    [anon_sym_type] = ACTIONS(7061),
    [anon_sym_LBRACK] = ACTIONS(7193),
    [anon_sym_true] = ACTIONS(7195),
    [anon_sym_false] = ACTIONS(7195),
    [anon_sym_COLON2] = ACTIONS(7197),
    [anon_sym_LBRACE] = ACTIONS(7199),
    [anon_sym_exception] = ACTIONS(7061),
    [anon_sym_module] = ACTIONS(7061),
    [anon_sym_open] = ACTIONS(7061),
    [anon_sym_include] = ACTIONS(7061),
    [anon_sym_class] = ACTIONS(7061),
    [anon_sym_val] = ACTIONS(7061),
    [anon_sym_end] = ACTIONS(7061),
    [anon_sym_POUND] = ACTIONS(7201),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7203),
    [anon_sym_begin] = ACTIONS(7205),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7059),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7209),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7059),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7059),
    [aux_sym_number_token1] = ACTIONS(7211),
    [aux_sym_signed_number_token1] = ACTIONS(7213),
    [anon_sym_SQUOTE] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(7217),
    [sym__capitalized_identifier] = ACTIONS(7219),
    [aux_sym_tag_token1] = ACTIONS(7221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2577] = {
    [sym_parameter] = STATE(8067),
    [sym__class_typed] = STATE(11688),
    [sym__parenthesized_abstract_type] = STATE(8067),
    [sym__simple_pattern] = STATE(8078),
    [sym_typed_pattern] = STATE(7936),
    [sym_polymorphic_variant_pattern] = STATE(7936),
    [sym_record_pattern] = STATE(7936),
    [sym_list_pattern] = STATE(7936),
    [sym_array_pattern] = STATE(7936),
    [sym_local_open_pattern] = STATE(7936),
    [sym_package_pattern] = STATE(7936),
    [sym_parenthesized_pattern] = STATE(7936),
    [sym_attribute] = STATE(2577),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7936),
    [sym_quoted_extension] = STATE(7936),
    [sym__constant] = STATE(7978),
    [sym__signed_constant] = STATE(7936),
    [sym_number] = STATE(7910),
    [sym_signed_number] = STATE(7978),
    [sym_character] = STATE(7910),
    [sym_string] = STATE(7910),
    [sym_quoted_string] = STATE(7910),
    [sym_boolean] = STATE(7910),
    [sym_unit] = STATE(7910),
    [sym__simple_value_pattern] = STATE(7936),
    [sym_parenthesized_operator] = STATE(7936),
    [sym_module_path] = STATE(19418),
    [sym_constructor_path] = STATE(7936),
    [sym__constructor_name] = STATE(7912),
    [sym_tag] = STATE(7936),
    [aux_sym_expression_item_repeat1] = STATE(10347),
    [aux_sym_let_binding_repeat1] = STATE(2578),
    [sym__identifier] = ACTIONS(7185),
    [anon_sym_SEMI_SEMI] = ACTIONS(6979),
    [anon_sym_and] = ACTIONS(6981),
    [anon_sym_EQ] = ACTIONS(7255),
    [anon_sym_TILDE] = ACTIONS(7189),
    [anon_sym_QMARK] = ACTIONS(7189),
    [anon_sym_LPAREN] = ACTIONS(7191),
    [anon_sym_external] = ACTIONS(6981),
    [anon_sym_type] = ACTIONS(6981),
    [anon_sym_LBRACK] = ACTIONS(7193),
    [anon_sym_true] = ACTIONS(7195),
    [anon_sym_false] = ACTIONS(7195),
    [anon_sym_COLON2] = ACTIONS(7197),
    [anon_sym_LBRACE] = ACTIONS(7199),
    [anon_sym_exception] = ACTIONS(6981),
    [anon_sym_module] = ACTIONS(6981),
    [anon_sym_open] = ACTIONS(6981),
    [anon_sym_include] = ACTIONS(6981),
    [anon_sym_class] = ACTIONS(6981),
    [anon_sym_val] = ACTIONS(6981),
    [anon_sym_end] = ACTIONS(6981),
    [anon_sym_POUND] = ACTIONS(7201),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7203),
    [anon_sym_begin] = ACTIONS(7205),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6979),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7209),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6979),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6979),
    [aux_sym_number_token1] = ACTIONS(7211),
    [aux_sym_signed_number_token1] = ACTIONS(7213),
    [anon_sym_SQUOTE] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(7217),
    [sym__capitalized_identifier] = ACTIONS(7219),
    [aux_sym_tag_token1] = ACTIONS(7221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2578] = {
    [sym_parameter] = STATE(8067),
    [sym__class_typed] = STATE(11691),
    [sym__parenthesized_abstract_type] = STATE(8067),
    [sym__simple_pattern] = STATE(8078),
    [sym_typed_pattern] = STATE(7936),
    [sym_polymorphic_variant_pattern] = STATE(7936),
    [sym_record_pattern] = STATE(7936),
    [sym_list_pattern] = STATE(7936),
    [sym_array_pattern] = STATE(7936),
    [sym_local_open_pattern] = STATE(7936),
    [sym_package_pattern] = STATE(7936),
    [sym_parenthesized_pattern] = STATE(7936),
    [sym_attribute] = STATE(2578),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7936),
    [sym_quoted_extension] = STATE(7936),
    [sym__constant] = STATE(7978),
    [sym__signed_constant] = STATE(7936),
    [sym_number] = STATE(7910),
    [sym_signed_number] = STATE(7978),
    [sym_character] = STATE(7910),
    [sym_string] = STATE(7910),
    [sym_quoted_string] = STATE(7910),
    [sym_boolean] = STATE(7910),
    [sym_unit] = STATE(7910),
    [sym__simple_value_pattern] = STATE(7936),
    [sym_parenthesized_operator] = STATE(7936),
    [sym_module_path] = STATE(19418),
    [sym_constructor_path] = STATE(7936),
    [sym__constructor_name] = STATE(7912),
    [sym_tag] = STATE(7936),
    [aux_sym_expression_item_repeat1] = STATE(10418),
    [aux_sym_let_binding_repeat1] = STATE(2590),
    [sym__identifier] = ACTIONS(7185),
    [anon_sym_SEMI_SEMI] = ACTIONS(6889),
    [anon_sym_and] = ACTIONS(6891),
    [anon_sym_EQ] = ACTIONS(7257),
    [anon_sym_TILDE] = ACTIONS(7189),
    [anon_sym_QMARK] = ACTIONS(7189),
    [anon_sym_LPAREN] = ACTIONS(7191),
    [anon_sym_external] = ACTIONS(6891),
    [anon_sym_type] = ACTIONS(6891),
    [anon_sym_LBRACK] = ACTIONS(7193),
    [anon_sym_true] = ACTIONS(7195),
    [anon_sym_false] = ACTIONS(7195),
    [anon_sym_COLON2] = ACTIONS(7197),
    [anon_sym_LBRACE] = ACTIONS(7199),
    [anon_sym_exception] = ACTIONS(6891),
    [anon_sym_module] = ACTIONS(6891),
    [anon_sym_open] = ACTIONS(6891),
    [anon_sym_include] = ACTIONS(6891),
    [anon_sym_class] = ACTIONS(6891),
    [anon_sym_val] = ACTIONS(6891),
    [anon_sym_end] = ACTIONS(6891),
    [anon_sym_POUND] = ACTIONS(7201),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7203),
    [anon_sym_begin] = ACTIONS(7205),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6889),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7209),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6889),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6889),
    [aux_sym_number_token1] = ACTIONS(7211),
    [aux_sym_signed_number_token1] = ACTIONS(7213),
    [anon_sym_SQUOTE] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(7217),
    [sym__capitalized_identifier] = ACTIONS(7219),
    [aux_sym_tag_token1] = ACTIONS(7221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2579] = {
    [sym_parameter] = STATE(8067),
    [sym__class_typed] = STATE(11673),
    [sym__parenthesized_abstract_type] = STATE(8067),
    [sym__simple_pattern] = STATE(8078),
    [sym_typed_pattern] = STATE(7936),
    [sym_polymorphic_variant_pattern] = STATE(7936),
    [sym_record_pattern] = STATE(7936),
    [sym_list_pattern] = STATE(7936),
    [sym_array_pattern] = STATE(7936),
    [sym_local_open_pattern] = STATE(7936),
    [sym_package_pattern] = STATE(7936),
    [sym_parenthesized_pattern] = STATE(7936),
    [sym_attribute] = STATE(2579),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7936),
    [sym_quoted_extension] = STATE(7936),
    [sym__constant] = STATE(7978),
    [sym__signed_constant] = STATE(7936),
    [sym_number] = STATE(7910),
    [sym_signed_number] = STATE(7978),
    [sym_character] = STATE(7910),
    [sym_string] = STATE(7910),
    [sym_quoted_string] = STATE(7910),
    [sym_boolean] = STATE(7910),
    [sym_unit] = STATE(7910),
    [sym__simple_value_pattern] = STATE(7936),
    [sym_parenthesized_operator] = STATE(7936),
    [sym_module_path] = STATE(19418),
    [sym_constructor_path] = STATE(7936),
    [sym__constructor_name] = STATE(7912),
    [sym_tag] = STATE(7936),
    [aux_sym_expression_item_repeat1] = STATE(10661),
    [aux_sym_let_binding_repeat1] = STATE(2564),
    [sym__identifier] = ACTIONS(7185),
    [anon_sym_SEMI_SEMI] = ACTIONS(7039),
    [anon_sym_and] = ACTIONS(7041),
    [anon_sym_EQ] = ACTIONS(7259),
    [anon_sym_TILDE] = ACTIONS(7189),
    [anon_sym_QMARK] = ACTIONS(7189),
    [anon_sym_LPAREN] = ACTIONS(7191),
    [anon_sym_external] = ACTIONS(7041),
    [anon_sym_type] = ACTIONS(7041),
    [anon_sym_LBRACK] = ACTIONS(7193),
    [anon_sym_true] = ACTIONS(7195),
    [anon_sym_false] = ACTIONS(7195),
    [anon_sym_COLON2] = ACTIONS(7197),
    [anon_sym_LBRACE] = ACTIONS(7199),
    [anon_sym_exception] = ACTIONS(7041),
    [anon_sym_module] = ACTIONS(7041),
    [anon_sym_open] = ACTIONS(7041),
    [anon_sym_include] = ACTIONS(7041),
    [anon_sym_class] = ACTIONS(7041),
    [anon_sym_val] = ACTIONS(7041),
    [anon_sym_end] = ACTIONS(7041),
    [anon_sym_POUND] = ACTIONS(7201),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7203),
    [anon_sym_begin] = ACTIONS(7205),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7039),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7209),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7039),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7039),
    [aux_sym_number_token1] = ACTIONS(7211),
    [aux_sym_signed_number_token1] = ACTIONS(7213),
    [anon_sym_SQUOTE] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(7217),
    [sym__capitalized_identifier] = ACTIONS(7219),
    [aux_sym_tag_token1] = ACTIONS(7221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2580] = {
    [sym_parameter] = STATE(7730),
    [sym__class_typed] = STATE(11730),
    [sym__parenthesized_abstract_type] = STATE(7730),
    [sym__simple_pattern] = STATE(7728),
    [sym_typed_pattern] = STATE(7724),
    [sym_polymorphic_variant_pattern] = STATE(7724),
    [sym_record_pattern] = STATE(7724),
    [sym_list_pattern] = STATE(7724),
    [sym_array_pattern] = STATE(7724),
    [sym_local_open_pattern] = STATE(7724),
    [sym_package_pattern] = STATE(7724),
    [sym_parenthesized_pattern] = STATE(7724),
    [sym_attribute] = STATE(2580),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7724),
    [sym_quoted_extension] = STATE(7724),
    [sym__constant] = STATE(7721),
    [sym__signed_constant] = STATE(7724),
    [sym_number] = STATE(7731),
    [sym_signed_number] = STATE(7721),
    [sym_character] = STATE(7731),
    [sym_string] = STATE(7731),
    [sym_quoted_string] = STATE(7731),
    [sym_boolean] = STATE(7731),
    [sym_unit] = STATE(7731),
    [sym__simple_value_pattern] = STATE(7724),
    [sym_parenthesized_operator] = STATE(7724),
    [sym_module_path] = STATE(18613),
    [sym_constructor_path] = STATE(7724),
    [sym__constructor_name] = STATE(7776),
    [sym_tag] = STATE(7724),
    [aux_sym_expression_item_repeat1] = STATE(10340),
    [aux_sym_let_binding_repeat1] = STATE(2589),
    [sym__identifier] = ACTIONS(7141),
    [anon_sym_SEMI_SEMI] = ACTIONS(7059),
    [anon_sym_and] = ACTIONS(7061),
    [anon_sym_EQ] = ACTIONS(7261),
    [anon_sym_TILDE] = ACTIONS(7145),
    [anon_sym_QMARK] = ACTIONS(7145),
    [anon_sym_LPAREN] = ACTIONS(7147),
    [anon_sym_external] = ACTIONS(7061),
    [anon_sym_type] = ACTIONS(7061),
    [anon_sym_LBRACK] = ACTIONS(7149),
    [anon_sym_RBRACK] = ACTIONS(7059),
    [anon_sym_true] = ACTIONS(7151),
    [anon_sym_false] = ACTIONS(7151),
    [anon_sym_COLON2] = ACTIONS(7153),
    [anon_sym_LBRACE] = ACTIONS(7155),
    [anon_sym_exception] = ACTIONS(7061),
    [anon_sym_module] = ACTIONS(7061),
    [anon_sym_open] = ACTIONS(7061),
    [anon_sym_include] = ACTIONS(7061),
    [anon_sym_class] = ACTIONS(7061),
    [anon_sym_val] = ACTIONS(7061),
    [anon_sym_POUND] = ACTIONS(7157),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7159),
    [anon_sym_begin] = ACTIONS(7161),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7059),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7163),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7165),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7059),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7059),
    [aux_sym_number_token1] = ACTIONS(7167),
    [aux_sym_signed_number_token1] = ACTIONS(7169),
    [anon_sym_SQUOTE] = ACTIONS(7171),
    [anon_sym_DQUOTE] = ACTIONS(7173),
    [sym__capitalized_identifier] = ACTIONS(7175),
    [aux_sym_tag_token1] = ACTIONS(7177),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2581] = {
    [sym_parameter] = STATE(8067),
    [sym__class_typed] = STATE(11674),
    [sym__parenthesized_abstract_type] = STATE(8067),
    [sym__simple_pattern] = STATE(8078),
    [sym_typed_pattern] = STATE(7936),
    [sym_polymorphic_variant_pattern] = STATE(7936),
    [sym_record_pattern] = STATE(7936),
    [sym_list_pattern] = STATE(7936),
    [sym_array_pattern] = STATE(7936),
    [sym_local_open_pattern] = STATE(7936),
    [sym_package_pattern] = STATE(7936),
    [sym_parenthesized_pattern] = STATE(7936),
    [sym_attribute] = STATE(2581),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7936),
    [sym_quoted_extension] = STATE(7936),
    [sym__constant] = STATE(7978),
    [sym__signed_constant] = STATE(7936),
    [sym_number] = STATE(7910),
    [sym_signed_number] = STATE(7978),
    [sym_character] = STATE(7910),
    [sym_string] = STATE(7910),
    [sym_quoted_string] = STATE(7910),
    [sym_boolean] = STATE(7910),
    [sym_unit] = STATE(7910),
    [sym__simple_value_pattern] = STATE(7936),
    [sym_parenthesized_operator] = STATE(7936),
    [sym_module_path] = STATE(19418),
    [sym_constructor_path] = STATE(7936),
    [sym__constructor_name] = STATE(7912),
    [sym_tag] = STATE(7936),
    [aux_sym_expression_item_repeat1] = STATE(10466),
    [aux_sym_let_binding_repeat1] = STATE(2590),
    [sym__identifier] = ACTIONS(7185),
    [anon_sym_SEMI_SEMI] = ACTIONS(6933),
    [anon_sym_and] = ACTIONS(6935),
    [anon_sym_EQ] = ACTIONS(7263),
    [anon_sym_TILDE] = ACTIONS(7189),
    [anon_sym_QMARK] = ACTIONS(7189),
    [anon_sym_LPAREN] = ACTIONS(7191),
    [anon_sym_external] = ACTIONS(6935),
    [anon_sym_type] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(7193),
    [anon_sym_true] = ACTIONS(7195),
    [anon_sym_false] = ACTIONS(7195),
    [anon_sym_COLON2] = ACTIONS(7197),
    [anon_sym_LBRACE] = ACTIONS(7199),
    [anon_sym_exception] = ACTIONS(6935),
    [anon_sym_module] = ACTIONS(6935),
    [anon_sym_open] = ACTIONS(6935),
    [anon_sym_include] = ACTIONS(6935),
    [anon_sym_class] = ACTIONS(6935),
    [anon_sym_val] = ACTIONS(6935),
    [anon_sym_end] = ACTIONS(6935),
    [anon_sym_POUND] = ACTIONS(7201),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7203),
    [anon_sym_begin] = ACTIONS(7205),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6933),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7209),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6933),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6933),
    [aux_sym_number_token1] = ACTIONS(7211),
    [aux_sym_signed_number_token1] = ACTIONS(7213),
    [anon_sym_SQUOTE] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(7217),
    [sym__capitalized_identifier] = ACTIONS(7219),
    [aux_sym_tag_token1] = ACTIONS(7221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2582] = {
    [sym_parameter] = STATE(7730),
    [sym__class_typed] = STATE(11731),
    [sym__parenthesized_abstract_type] = STATE(7730),
    [sym__simple_pattern] = STATE(7728),
    [sym_typed_pattern] = STATE(7724),
    [sym_polymorphic_variant_pattern] = STATE(7724),
    [sym_record_pattern] = STATE(7724),
    [sym_list_pattern] = STATE(7724),
    [sym_array_pattern] = STATE(7724),
    [sym_local_open_pattern] = STATE(7724),
    [sym_package_pattern] = STATE(7724),
    [sym_parenthesized_pattern] = STATE(7724),
    [sym_attribute] = STATE(2582),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7724),
    [sym_quoted_extension] = STATE(7724),
    [sym__constant] = STATE(7721),
    [sym__signed_constant] = STATE(7724),
    [sym_number] = STATE(7731),
    [sym_signed_number] = STATE(7721),
    [sym_character] = STATE(7731),
    [sym_string] = STATE(7731),
    [sym_quoted_string] = STATE(7731),
    [sym_boolean] = STATE(7731),
    [sym_unit] = STATE(7731),
    [sym__simple_value_pattern] = STATE(7724),
    [sym_parenthesized_operator] = STATE(7724),
    [sym_module_path] = STATE(18613),
    [sym_constructor_path] = STATE(7724),
    [sym__constructor_name] = STATE(7776),
    [sym_tag] = STATE(7724),
    [aux_sym_expression_item_repeat1] = STATE(10347),
    [aux_sym_let_binding_repeat1] = STATE(2557),
    [sym__identifier] = ACTIONS(7141),
    [anon_sym_SEMI_SEMI] = ACTIONS(6979),
    [anon_sym_and] = ACTIONS(6981),
    [anon_sym_EQ] = ACTIONS(7265),
    [anon_sym_TILDE] = ACTIONS(7145),
    [anon_sym_QMARK] = ACTIONS(7145),
    [anon_sym_LPAREN] = ACTIONS(7147),
    [anon_sym_external] = ACTIONS(6981),
    [anon_sym_type] = ACTIONS(6981),
    [anon_sym_LBRACK] = ACTIONS(7149),
    [anon_sym_RBRACK] = ACTIONS(6979),
    [anon_sym_true] = ACTIONS(7151),
    [anon_sym_false] = ACTIONS(7151),
    [anon_sym_COLON2] = ACTIONS(7153),
    [anon_sym_LBRACE] = ACTIONS(7155),
    [anon_sym_exception] = ACTIONS(6981),
    [anon_sym_module] = ACTIONS(6981),
    [anon_sym_open] = ACTIONS(6981),
    [anon_sym_include] = ACTIONS(6981),
    [anon_sym_class] = ACTIONS(6981),
    [anon_sym_val] = ACTIONS(6981),
    [anon_sym_POUND] = ACTIONS(7157),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7159),
    [anon_sym_begin] = ACTIONS(7161),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6979),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7163),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7165),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6979),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6979),
    [aux_sym_number_token1] = ACTIONS(7167),
    [aux_sym_signed_number_token1] = ACTIONS(7169),
    [anon_sym_SQUOTE] = ACTIONS(7171),
    [anon_sym_DQUOTE] = ACTIONS(7173),
    [sym__capitalized_identifier] = ACTIONS(7175),
    [aux_sym_tag_token1] = ACTIONS(7177),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2583] = {
    [sym_parameter] = STATE(7730),
    [sym__class_typed] = STATE(11831),
    [sym__parenthesized_abstract_type] = STATE(7730),
    [sym__simple_pattern] = STATE(7728),
    [sym_typed_pattern] = STATE(7724),
    [sym_polymorphic_variant_pattern] = STATE(7724),
    [sym_record_pattern] = STATE(7724),
    [sym_list_pattern] = STATE(7724),
    [sym_array_pattern] = STATE(7724),
    [sym_local_open_pattern] = STATE(7724),
    [sym_package_pattern] = STATE(7724),
    [sym_parenthesized_pattern] = STATE(7724),
    [sym_attribute] = STATE(2583),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7724),
    [sym_quoted_extension] = STATE(7724),
    [sym__constant] = STATE(7721),
    [sym__signed_constant] = STATE(7724),
    [sym_number] = STATE(7731),
    [sym_signed_number] = STATE(7721),
    [sym_character] = STATE(7731),
    [sym_string] = STATE(7731),
    [sym_quoted_string] = STATE(7731),
    [sym_boolean] = STATE(7731),
    [sym_unit] = STATE(7731),
    [sym__simple_value_pattern] = STATE(7724),
    [sym_parenthesized_operator] = STATE(7724),
    [sym_module_path] = STATE(18613),
    [sym_constructor_path] = STATE(7724),
    [sym__constructor_name] = STATE(7776),
    [sym_tag] = STATE(7724),
    [aux_sym_expression_item_repeat1] = STATE(10466),
    [aux_sym_let_binding_repeat1] = STATE(2589),
    [ts_builtin_sym_end] = ACTIONS(6933),
    [sym__identifier] = ACTIONS(7141),
    [anon_sym_SEMI_SEMI] = ACTIONS(6933),
    [anon_sym_and] = ACTIONS(6935),
    [anon_sym_EQ] = ACTIONS(7267),
    [anon_sym_TILDE] = ACTIONS(7145),
    [anon_sym_QMARK] = ACTIONS(7145),
    [anon_sym_LPAREN] = ACTIONS(7147),
    [anon_sym_external] = ACTIONS(6935),
    [anon_sym_type] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(7149),
    [anon_sym_true] = ACTIONS(7151),
    [anon_sym_false] = ACTIONS(7151),
    [anon_sym_COLON2] = ACTIONS(7153),
    [anon_sym_LBRACE] = ACTIONS(7155),
    [anon_sym_exception] = ACTIONS(6935),
    [anon_sym_module] = ACTIONS(6935),
    [anon_sym_open] = ACTIONS(6935),
    [anon_sym_include] = ACTIONS(6935),
    [anon_sym_class] = ACTIONS(6935),
    [anon_sym_val] = ACTIONS(6935),
    [anon_sym_POUND] = ACTIONS(7157),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7159),
    [anon_sym_begin] = ACTIONS(7161),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6933),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7163),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7165),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6933),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6933),
    [aux_sym_number_token1] = ACTIONS(7167),
    [aux_sym_signed_number_token1] = ACTIONS(7169),
    [anon_sym_SQUOTE] = ACTIONS(7171),
    [anon_sym_DQUOTE] = ACTIONS(7173),
    [sym__capitalized_identifier] = ACTIONS(7175),
    [aux_sym_tag_token1] = ACTIONS(7177),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2584] = {
    [sym_parameter] = STATE(7730),
    [sym__class_typed] = STATE(11843),
    [sym__parenthesized_abstract_type] = STATE(7730),
    [sym__simple_pattern] = STATE(7728),
    [sym_typed_pattern] = STATE(7724),
    [sym_polymorphic_variant_pattern] = STATE(7724),
    [sym_record_pattern] = STATE(7724),
    [sym_list_pattern] = STATE(7724),
    [sym_array_pattern] = STATE(7724),
    [sym_local_open_pattern] = STATE(7724),
    [sym_package_pattern] = STATE(7724),
    [sym_parenthesized_pattern] = STATE(7724),
    [sym_attribute] = STATE(2584),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7724),
    [sym_quoted_extension] = STATE(7724),
    [sym__constant] = STATE(7721),
    [sym__signed_constant] = STATE(7724),
    [sym_number] = STATE(7731),
    [sym_signed_number] = STATE(7721),
    [sym_character] = STATE(7731),
    [sym_string] = STATE(7731),
    [sym_quoted_string] = STATE(7731),
    [sym_boolean] = STATE(7731),
    [sym_unit] = STATE(7731),
    [sym__simple_value_pattern] = STATE(7724),
    [sym_parenthesized_operator] = STATE(7724),
    [sym_module_path] = STATE(18613),
    [sym_constructor_path] = STATE(7724),
    [sym__constructor_name] = STATE(7776),
    [sym_tag] = STATE(7724),
    [aux_sym_expression_item_repeat1] = STATE(10418),
    [aux_sym_let_binding_repeat1] = STATE(2589),
    [ts_builtin_sym_end] = ACTIONS(6889),
    [sym__identifier] = ACTIONS(7141),
    [anon_sym_SEMI_SEMI] = ACTIONS(6889),
    [anon_sym_and] = ACTIONS(6891),
    [anon_sym_EQ] = ACTIONS(7269),
    [anon_sym_TILDE] = ACTIONS(7145),
    [anon_sym_QMARK] = ACTIONS(7145),
    [anon_sym_LPAREN] = ACTIONS(7147),
    [anon_sym_external] = ACTIONS(6891),
    [anon_sym_type] = ACTIONS(6891),
    [anon_sym_LBRACK] = ACTIONS(7149),
    [anon_sym_true] = ACTIONS(7151),
    [anon_sym_false] = ACTIONS(7151),
    [anon_sym_COLON2] = ACTIONS(7153),
    [anon_sym_LBRACE] = ACTIONS(7155),
    [anon_sym_exception] = ACTIONS(6891),
    [anon_sym_module] = ACTIONS(6891),
    [anon_sym_open] = ACTIONS(6891),
    [anon_sym_include] = ACTIONS(6891),
    [anon_sym_class] = ACTIONS(6891),
    [anon_sym_val] = ACTIONS(6891),
    [anon_sym_POUND] = ACTIONS(7157),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7159),
    [anon_sym_begin] = ACTIONS(7161),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6889),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7163),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7165),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6889),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6889),
    [aux_sym_number_token1] = ACTIONS(7167),
    [aux_sym_signed_number_token1] = ACTIONS(7169),
    [anon_sym_SQUOTE] = ACTIONS(7171),
    [anon_sym_DQUOTE] = ACTIONS(7173),
    [sym__capitalized_identifier] = ACTIONS(7175),
    [aux_sym_tag_token1] = ACTIONS(7177),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2585] = {
    [sym_parameter] = STATE(7730),
    [sym__class_typed] = STATE(11672),
    [sym__parenthesized_abstract_type] = STATE(7730),
    [sym__simple_pattern] = STATE(7728),
    [sym_typed_pattern] = STATE(7724),
    [sym_polymorphic_variant_pattern] = STATE(7724),
    [sym_record_pattern] = STATE(7724),
    [sym_list_pattern] = STATE(7724),
    [sym_array_pattern] = STATE(7724),
    [sym_local_open_pattern] = STATE(7724),
    [sym_package_pattern] = STATE(7724),
    [sym_parenthesized_pattern] = STATE(7724),
    [sym_attribute] = STATE(2585),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(7724),
    [sym_quoted_extension] = STATE(7724),
    [sym__constant] = STATE(7721),
    [sym__signed_constant] = STATE(7724),
    [sym_number] = STATE(7731),
    [sym_signed_number] = STATE(7721),
    [sym_character] = STATE(7731),
    [sym_string] = STATE(7731),
    [sym_quoted_string] = STATE(7731),
    [sym_boolean] = STATE(7731),
    [sym_unit] = STATE(7731),
    [sym__simple_value_pattern] = STATE(7724),
    [sym_parenthesized_operator] = STATE(7724),
    [sym_module_path] = STATE(18613),
    [sym_constructor_path] = STATE(7724),
    [sym__constructor_name] = STATE(7776),
    [sym_tag] = STATE(7724),
    [aux_sym_expression_item_repeat1] = STATE(10347),
    [aux_sym_let_binding_repeat1] = STATE(2584),
    [ts_builtin_sym_end] = ACTIONS(6979),
    [sym__identifier] = ACTIONS(7141),
    [anon_sym_SEMI_SEMI] = ACTIONS(6979),
    [anon_sym_and] = ACTIONS(6981),
    [anon_sym_EQ] = ACTIONS(7271),
    [anon_sym_TILDE] = ACTIONS(7145),
    [anon_sym_QMARK] = ACTIONS(7145),
    [anon_sym_LPAREN] = ACTIONS(7147),
    [anon_sym_external] = ACTIONS(6981),
    [anon_sym_type] = ACTIONS(6981),
    [anon_sym_LBRACK] = ACTIONS(7149),
    [anon_sym_true] = ACTIONS(7151),
    [anon_sym_false] = ACTIONS(7151),
    [anon_sym_COLON2] = ACTIONS(7153),
    [anon_sym_LBRACE] = ACTIONS(7155),
    [anon_sym_exception] = ACTIONS(6981),
    [anon_sym_module] = ACTIONS(6981),
    [anon_sym_open] = ACTIONS(6981),
    [anon_sym_include] = ACTIONS(6981),
    [anon_sym_class] = ACTIONS(6981),
    [anon_sym_val] = ACTIONS(6981),
    [anon_sym_POUND] = ACTIONS(7157),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7159),
    [anon_sym_begin] = ACTIONS(7161),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6979),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7163),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7165),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6979),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6979),
    [aux_sym_number_token1] = ACTIONS(7167),
    [aux_sym_signed_number_token1] = ACTIONS(7169),
    [anon_sym_SQUOTE] = ACTIONS(7171),
    [anon_sym_DQUOTE] = ACTIONS(7173),
    [sym__capitalized_identifier] = ACTIONS(7175),
    [aux_sym_tag_token1] = ACTIONS(7177),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2586] = {
    [sym_parameter] = STATE(7488),
    [sym__parenthesized_abstract_type] = STATE(7488),
    [sym__simple_pattern] = STATE(7534),
    [sym_typed_pattern] = STATE(7491),
    [sym_polymorphic_variant_pattern] = STATE(7491),
    [sym_record_pattern] = STATE(7491),
    [sym_list_pattern] = STATE(7491),
    [sym_array_pattern] = STATE(7491),
    [sym_local_open_pattern] = STATE(7491),
    [sym_package_pattern] = STATE(7491),
    [sym_parenthesized_pattern] = STATE(7491),
    [sym_attribute] = STATE(2586),
    [sym_extension] = STATE(7491),
    [sym_quoted_extension] = STATE(7491),
    [sym__constant] = STATE(7591),
    [sym__signed_constant] = STATE(7491),
    [sym_number] = STATE(7515),
    [sym_signed_number] = STATE(7591),
    [sym_character] = STATE(7515),
    [sym_string] = STATE(7515),
    [sym_quoted_string] = STATE(7515),
    [sym_boolean] = STATE(7515),
    [sym_unit] = STATE(7515),
    [sym__simple_value_pattern] = STATE(7491),
    [sym_parenthesized_operator] = STATE(7491),
    [sym_module_path] = STATE(18995),
    [sym_constructor_path] = STATE(7491),
    [sym__constructor_name] = STATE(7517),
    [sym_tag] = STATE(7491),
    [aux_sym_let_binding_repeat1] = STATE(2586),
    [sym__identifier] = ACTIONS(7273),
    [anon_sym_SEMI_SEMI] = ACTIONS(7276),
    [anon_sym_let] = ACTIONS(7278),
    [anon_sym_and] = ACTIONS(7278),
    [anon_sym_EQ] = ACTIONS(7276),
    [anon_sym_TILDE] = ACTIONS(7280),
    [anon_sym_QMARK] = ACTIONS(7280),
    [anon_sym_LPAREN] = ACTIONS(7283),
    [anon_sym_external] = ACTIONS(7278),
    [anon_sym_type] = ACTIONS(7278),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_RBRACK] = ACTIONS(7276),
    [anon_sym_true] = ACTIONS(7289),
    [anon_sym_false] = ACTIONS(7289),
    [anon_sym_COLON2] = ACTIONS(7276),
    [anon_sym_LBRACE] = ACTIONS(7292),
    [anon_sym_exception] = ACTIONS(7278),
    [anon_sym_module] = ACTIONS(7278),
    [anon_sym_open] = ACTIONS(7278),
    [anon_sym_include] = ACTIONS(7278),
    [anon_sym_class] = ACTIONS(7278),
    [anon_sym_POUND] = ACTIONS(7295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7298),
    [anon_sym_begin] = ACTIONS(7301),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7278),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7276),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7304),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7307),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7276),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7276),
    [aux_sym_number_token1] = ACTIONS(7310),
    [aux_sym_signed_number_token1] = ACTIONS(7313),
    [anon_sym_SQUOTE] = ACTIONS(7316),
    [anon_sym_DQUOTE] = ACTIONS(7319),
    [sym_let_operator] = ACTIONS(7276),
    [sym__capitalized_identifier] = ACTIONS(7322),
    [aux_sym_directive_token1] = ACTIONS(7278),
    [aux_sym_tag_token1] = ACTIONS(7325),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2587] = {
    [sym_parameter] = STATE(7617),
    [sym__parenthesized_abstract_type] = STATE(7617),
    [sym__simple_pattern] = STATE(7623),
    [sym_typed_pattern] = STATE(7529),
    [sym_polymorphic_variant_pattern] = STATE(7529),
    [sym_record_pattern] = STATE(7529),
    [sym_list_pattern] = STATE(7529),
    [sym_array_pattern] = STATE(7529),
    [sym_local_open_pattern] = STATE(7529),
    [sym_package_pattern] = STATE(7529),
    [sym_parenthesized_pattern] = STATE(7529),
    [sym_attribute] = STATE(2587),
    [sym_extension] = STATE(7529),
    [sym_quoted_extension] = STATE(7529),
    [sym__constant] = STATE(7514),
    [sym__signed_constant] = STATE(7529),
    [sym_number] = STATE(7592),
    [sym_signed_number] = STATE(7514),
    [sym_character] = STATE(7592),
    [sym_string] = STATE(7592),
    [sym_quoted_string] = STATE(7592),
    [sym_boolean] = STATE(7592),
    [sym_unit] = STATE(7592),
    [sym__simple_value_pattern] = STATE(7529),
    [sym_parenthesized_operator] = STATE(7529),
    [sym_module_path] = STATE(19182),
    [sym_constructor_path] = STATE(7529),
    [sym__constructor_name] = STATE(7595),
    [sym_tag] = STATE(7529),
    [aux_sym_let_binding_repeat1] = STATE(2587),
    [sym__identifier] = ACTIONS(7328),
    [anon_sym_SEMI_SEMI] = ACTIONS(7276),
    [anon_sym_let] = ACTIONS(7278),
    [anon_sym_and] = ACTIONS(7278),
    [anon_sym_EQ] = ACTIONS(7276),
    [anon_sym_TILDE] = ACTIONS(7331),
    [anon_sym_QMARK] = ACTIONS(7331),
    [anon_sym_LPAREN] = ACTIONS(7334),
    [anon_sym_external] = ACTIONS(7278),
    [anon_sym_type] = ACTIONS(7278),
    [anon_sym_LBRACK] = ACTIONS(7337),
    [anon_sym_true] = ACTIONS(7340),
    [anon_sym_false] = ACTIONS(7340),
    [anon_sym_COLON2] = ACTIONS(7276),
    [anon_sym_LBRACE] = ACTIONS(7343),
    [anon_sym_exception] = ACTIONS(7278),
    [anon_sym_module] = ACTIONS(7278),
    [anon_sym_open] = ACTIONS(7278),
    [anon_sym_include] = ACTIONS(7278),
    [anon_sym_class] = ACTIONS(7278),
    [anon_sym_end] = ACTIONS(7278),
    [anon_sym_POUND] = ACTIONS(7346),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7349),
    [anon_sym_begin] = ACTIONS(7352),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7278),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7276),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7358),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7276),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7276),
    [aux_sym_number_token1] = ACTIONS(7361),
    [aux_sym_signed_number_token1] = ACTIONS(7364),
    [anon_sym_SQUOTE] = ACTIONS(7367),
    [anon_sym_DQUOTE] = ACTIONS(7370),
    [sym_let_operator] = ACTIONS(7276),
    [sym__capitalized_identifier] = ACTIONS(7373),
    [aux_sym_directive_token1] = ACTIONS(7278),
    [aux_sym_tag_token1] = ACTIONS(7376),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2588] = {
    [sym__parenthesized_abstract_type] = STATE(4103),
    [sym__simple_pattern] = STATE(13066),
    [sym__pattern] = STATE(13103),
    [sym_alias_pattern] = STATE(13066),
    [sym_typed_pattern] = STATE(13062),
    [sym_or_pattern] = STATE(13066),
    [sym_constructor_pattern] = STATE(13066),
    [sym_tag_pattern] = STATE(13066),
    [sym_polymorphic_variant_pattern] = STATE(13062),
    [sym_tuple_pattern] = STATE(13066),
    [sym_record_pattern] = STATE(13062),
    [sym_list_pattern] = STATE(13062),
    [sym_cons_pattern] = STATE(13066),
    [sym_array_pattern] = STATE(13062),
    [sym_range_pattern] = STATE(13066),
    [sym_lazy_pattern] = STATE(13066),
    [sym_local_open_pattern] = STATE(13062),
    [sym_package_pattern] = STATE(13062),
    [sym_parenthesized_pattern] = STATE(13062),
    [sym_exception_pattern] = STATE(13066),
    [sym_attribute] = STATE(2588),
    [sym_extension] = STATE(13062),
    [sym_quoted_extension] = STATE(13062),
    [sym__constant] = STATE(12890),
    [sym__signed_constant] = STATE(12883),
    [sym_number] = STATE(12089),
    [sym_signed_number] = STATE(12890),
    [sym_character] = STATE(12089),
    [sym_string] = STATE(12089),
    [sym_quoted_string] = STATE(12089),
    [sym_boolean] = STATE(12089),
    [sym_unit] = STATE(12089),
    [sym__simple_value_pattern] = STATE(13062),
    [sym_parenthesized_operator] = STATE(13062),
    [sym_module_path] = STATE(20052),
    [sym_constructor_path] = STATE(2588),
    [sym__constructor_name] = STATE(8568),
    [sym_tag] = STATE(2593),
    [sym__identifier] = ACTIONS(5285),
    [anon_sym_EQ] = ACTIONS(7379),
    [anon_sym_LPAREN] = ACTIONS(7381),
    [anon_sym_RPAREN] = ACTIONS(7379),
    [anon_sym_COMMA] = ACTIONS(7379),
    [anon_sym_PIPE] = ACTIONS(7379),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_RBRACK] = ACTIONS(7379),
    [anon_sym_true] = ACTIONS(5295),
    [anon_sym_false] = ACTIONS(5295),
    [anon_sym_COLON2] = ACTIONS(7383),
    [anon_sym_DASH_GT] = ACTIONS(7379),
    [anon_sym_LBRACE] = ACTIONS(5299),
    [anon_sym_exception] = ACTIONS(5301),
    [anon_sym_as] = ACTIONS(7383),
    [anon_sym_POUND] = ACTIONS(7385),
    [anon_sym_COLON_COLON] = ACTIONS(7379),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5309),
    [anon_sym_when] = ACTIONS(7383),
    [anon_sym_lazy] = ACTIONS(5311),
    [anon_sym_begin] = ACTIONS(5313),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5315),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5317),
    [aux_sym_number_token1] = ACTIONS(5319),
    [aux_sym_signed_number_token1] = ACTIONS(7387),
    [anon_sym_SQUOTE] = ACTIONS(5323),
    [anon_sym_DQUOTE] = ACTIONS(5325),
    [sym__capitalized_identifier] = ACTIONS(5329),
    [aux_sym_tag_token1] = ACTIONS(5331),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2589] = {
    [sym_parameter] = STATE(7730),
    [sym__parenthesized_abstract_type] = STATE(7730),
    [sym__simple_pattern] = STATE(7728),
    [sym_typed_pattern] = STATE(7724),
    [sym_polymorphic_variant_pattern] = STATE(7724),
    [sym_record_pattern] = STATE(7724),
    [sym_list_pattern] = STATE(7724),
    [sym_array_pattern] = STATE(7724),
    [sym_local_open_pattern] = STATE(7724),
    [sym_package_pattern] = STATE(7724),
    [sym_parenthesized_pattern] = STATE(7724),
    [sym_attribute] = STATE(2589),
    [sym_extension] = STATE(7724),
    [sym_quoted_extension] = STATE(7724),
    [sym__constant] = STATE(7721),
    [sym__signed_constant] = STATE(7724),
    [sym_number] = STATE(7731),
    [sym_signed_number] = STATE(7721),
    [sym_character] = STATE(7731),
    [sym_string] = STATE(7731),
    [sym_quoted_string] = STATE(7731),
    [sym_boolean] = STATE(7731),
    [sym_unit] = STATE(7731),
    [sym__simple_value_pattern] = STATE(7724),
    [sym_parenthesized_operator] = STATE(7724),
    [sym_module_path] = STATE(18613),
    [sym_constructor_path] = STATE(7724),
    [sym__constructor_name] = STATE(7776),
    [sym_tag] = STATE(7724),
    [aux_sym_let_binding_repeat1] = STATE(2589),
    [ts_builtin_sym_end] = ACTIONS(7276),
    [sym__identifier] = ACTIONS(7389),
    [anon_sym_SEMI_SEMI] = ACTIONS(7276),
    [anon_sym_and] = ACTIONS(7278),
    [anon_sym_EQ] = ACTIONS(7276),
    [anon_sym_TILDE] = ACTIONS(7392),
    [anon_sym_QMARK] = ACTIONS(7392),
    [anon_sym_LPAREN] = ACTIONS(7395),
    [anon_sym_external] = ACTIONS(7278),
    [anon_sym_type] = ACTIONS(7278),
    [anon_sym_LBRACK] = ACTIONS(7398),
    [anon_sym_RBRACK] = ACTIONS(7276),
    [anon_sym_true] = ACTIONS(7401),
    [anon_sym_false] = ACTIONS(7401),
    [anon_sym_COLON2] = ACTIONS(7276),
    [anon_sym_LBRACE] = ACTIONS(7404),
    [anon_sym_exception] = ACTIONS(7278),
    [anon_sym_module] = ACTIONS(7278),
    [anon_sym_open] = ACTIONS(7278),
    [anon_sym_include] = ACTIONS(7278),
    [anon_sym_class] = ACTIONS(7278),
    [anon_sym_val] = ACTIONS(7278),
    [anon_sym_POUND] = ACTIONS(7407),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7410),
    [anon_sym_begin] = ACTIONS(7413),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7278),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7276),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7416),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7419),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7276),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7276),
    [aux_sym_number_token1] = ACTIONS(7422),
    [aux_sym_signed_number_token1] = ACTIONS(7425),
    [anon_sym_SQUOTE] = ACTIONS(7428),
    [anon_sym_DQUOTE] = ACTIONS(7431),
    [sym__capitalized_identifier] = ACTIONS(7434),
    [aux_sym_tag_token1] = ACTIONS(7437),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2590] = {
    [sym_parameter] = STATE(8067),
    [sym__parenthesized_abstract_type] = STATE(8067),
    [sym__simple_pattern] = STATE(8078),
    [sym_typed_pattern] = STATE(7936),
    [sym_polymorphic_variant_pattern] = STATE(7936),
    [sym_record_pattern] = STATE(7936),
    [sym_list_pattern] = STATE(7936),
    [sym_array_pattern] = STATE(7936),
    [sym_local_open_pattern] = STATE(7936),
    [sym_package_pattern] = STATE(7936),
    [sym_parenthesized_pattern] = STATE(7936),
    [sym_attribute] = STATE(2590),
    [sym_extension] = STATE(7936),
    [sym_quoted_extension] = STATE(7936),
    [sym__constant] = STATE(7978),
    [sym__signed_constant] = STATE(7936),
    [sym_number] = STATE(7910),
    [sym_signed_number] = STATE(7978),
    [sym_character] = STATE(7910),
    [sym_string] = STATE(7910),
    [sym_quoted_string] = STATE(7910),
    [sym_boolean] = STATE(7910),
    [sym_unit] = STATE(7910),
    [sym__simple_value_pattern] = STATE(7936),
    [sym_parenthesized_operator] = STATE(7936),
    [sym_module_path] = STATE(19418),
    [sym_constructor_path] = STATE(7936),
    [sym__constructor_name] = STATE(7912),
    [sym_tag] = STATE(7936),
    [aux_sym_let_binding_repeat1] = STATE(2590),
    [sym__identifier] = ACTIONS(7440),
    [anon_sym_SEMI_SEMI] = ACTIONS(7276),
    [anon_sym_and] = ACTIONS(7278),
    [anon_sym_EQ] = ACTIONS(7276),
    [anon_sym_TILDE] = ACTIONS(7443),
    [anon_sym_QMARK] = ACTIONS(7443),
    [anon_sym_LPAREN] = ACTIONS(7446),
    [anon_sym_external] = ACTIONS(7278),
    [anon_sym_type] = ACTIONS(7278),
    [anon_sym_LBRACK] = ACTIONS(7449),
    [anon_sym_true] = ACTIONS(7452),
    [anon_sym_false] = ACTIONS(7452),
    [anon_sym_COLON2] = ACTIONS(7276),
    [anon_sym_LBRACE] = ACTIONS(7455),
    [anon_sym_exception] = ACTIONS(7278),
    [anon_sym_module] = ACTIONS(7278),
    [anon_sym_open] = ACTIONS(7278),
    [anon_sym_include] = ACTIONS(7278),
    [anon_sym_class] = ACTIONS(7278),
    [anon_sym_val] = ACTIONS(7278),
    [anon_sym_end] = ACTIONS(7278),
    [anon_sym_POUND] = ACTIONS(7458),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7461),
    [anon_sym_begin] = ACTIONS(7464),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7278),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7276),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7467),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7470),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7276),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7276),
    [aux_sym_number_token1] = ACTIONS(7473),
    [aux_sym_signed_number_token1] = ACTIONS(7476),
    [anon_sym_SQUOTE] = ACTIONS(7479),
    [anon_sym_DQUOTE] = ACTIONS(7482),
    [sym__capitalized_identifier] = ACTIONS(7485),
    [aux_sym_tag_token1] = ACTIONS(7488),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2591] = {
    [sym__binding_pattern] = STATE(8895),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2591),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_and] = ACTIONS(4959),
    [anon_sym_COLON_GT] = ACTIONS(4957),
    [anon_sym_EQ] = ACTIONS(4957),
    [anon_sym_TILDE] = ACTIONS(4957),
    [anon_sym_QMARK] = ACTIONS(4957),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_COMMA] = ACTIONS(4957),
    [anon_sym_PIPE] = ACTIONS(4957),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_COLON2] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_in] = ACTIONS(4959),
    [anon_sym_as] = ACTIONS(4959),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_COLON_COLON] = ACTIONS(4957),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4957),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym_let_and_operator] = ACTIONS(4957),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2592] = {
    [sym__binding_pattern] = STATE(8894),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2592),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_and] = ACTIONS(4959),
    [anon_sym_COLON_GT] = ACTIONS(4957),
    [anon_sym_EQ] = ACTIONS(4957),
    [anon_sym_TILDE] = ACTIONS(4957),
    [anon_sym_QMARK] = ACTIONS(4957),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_COMMA] = ACTIONS(4957),
    [anon_sym_PIPE] = ACTIONS(4957),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_COLON2] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_in] = ACTIONS(4959),
    [anon_sym_as] = ACTIONS(4959),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_COLON_COLON] = ACTIONS(4957),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4957),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym_let_and_operator] = ACTIONS(4957),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2593] = {
    [sym__simple_pattern] = STATE(13066),
    [sym__pattern] = STATE(12903),
    [sym_alias_pattern] = STATE(13066),
    [sym_typed_pattern] = STATE(13062),
    [sym_or_pattern] = STATE(13066),
    [sym_constructor_pattern] = STATE(13066),
    [sym_tag_pattern] = STATE(13066),
    [sym_polymorphic_variant_pattern] = STATE(13062),
    [sym_tuple_pattern] = STATE(13066),
    [sym_record_pattern] = STATE(13062),
    [sym_list_pattern] = STATE(13062),
    [sym_cons_pattern] = STATE(13066),
    [sym_array_pattern] = STATE(13062),
    [sym_range_pattern] = STATE(13066),
    [sym_lazy_pattern] = STATE(13066),
    [sym_local_open_pattern] = STATE(13062),
    [sym_package_pattern] = STATE(13062),
    [sym_parenthesized_pattern] = STATE(13062),
    [sym_exception_pattern] = STATE(13066),
    [sym_attribute] = STATE(2593),
    [sym_extension] = STATE(13062),
    [sym_quoted_extension] = STATE(13062),
    [sym__constant] = STATE(12890),
    [sym__signed_constant] = STATE(12883),
    [sym_number] = STATE(12089),
    [sym_signed_number] = STATE(12890),
    [sym_character] = STATE(12089),
    [sym_string] = STATE(12089),
    [sym_quoted_string] = STATE(12089),
    [sym_boolean] = STATE(12089),
    [sym_unit] = STATE(12089),
    [sym__simple_value_pattern] = STATE(13062),
    [sym_parenthesized_operator] = STATE(13062),
    [sym_module_path] = STATE(20052),
    [sym_constructor_path] = STATE(2588),
    [sym__constructor_name] = STATE(8568),
    [sym_tag] = STATE(2593),
    [sym__identifier] = ACTIONS(5285),
    [anon_sym_EQ] = ACTIONS(7379),
    [anon_sym_LPAREN] = ACTIONS(5287),
    [anon_sym_RPAREN] = ACTIONS(7379),
    [anon_sym_COMMA] = ACTIONS(7379),
    [anon_sym_PIPE] = ACTIONS(7379),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_RBRACK] = ACTIONS(7379),
    [anon_sym_true] = ACTIONS(5295),
    [anon_sym_false] = ACTIONS(5295),
    [anon_sym_COLON2] = ACTIONS(7383),
    [anon_sym_DASH_GT] = ACTIONS(7379),
    [anon_sym_LBRACE] = ACTIONS(5299),
    [anon_sym_exception] = ACTIONS(5301),
    [anon_sym_as] = ACTIONS(7383),
    [anon_sym_POUND] = ACTIONS(7385),
    [anon_sym_COLON_COLON] = ACTIONS(7379),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5309),
    [anon_sym_when] = ACTIONS(7383),
    [anon_sym_lazy] = ACTIONS(5311),
    [anon_sym_begin] = ACTIONS(5313),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5315),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5317),
    [aux_sym_number_token1] = ACTIONS(5319),
    [aux_sym_signed_number_token1] = ACTIONS(7387),
    [anon_sym_SQUOTE] = ACTIONS(5323),
    [anon_sym_DQUOTE] = ACTIONS(5325),
    [sym__capitalized_identifier] = ACTIONS(5329),
    [aux_sym_tag_token1] = ACTIONS(5331),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2594] = {
    [sym_parameter] = STATE(8588),
    [sym__polymorphic_typed] = STATE(12881),
    [sym__parenthesized_abstract_type] = STATE(8588),
    [sym__simple_pattern] = STATE(8589),
    [sym_typed_pattern] = STATE(8636),
    [sym_polymorphic_variant_pattern] = STATE(8636),
    [sym_record_pattern] = STATE(8636),
    [sym_list_pattern] = STATE(8636),
    [sym_array_pattern] = STATE(8636),
    [sym_local_open_pattern] = STATE(8636),
    [sym_package_pattern] = STATE(8636),
    [sym_parenthesized_pattern] = STATE(8636),
    [sym_attribute] = STATE(2594),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(8636),
    [sym_quoted_extension] = STATE(8636),
    [sym__constant] = STATE(8712),
    [sym__signed_constant] = STATE(8636),
    [sym_number] = STATE(8614),
    [sym_signed_number] = STATE(8712),
    [sym_character] = STATE(8614),
    [sym_string] = STATE(8614),
    [sym_quoted_string] = STATE(8614),
    [sym_boolean] = STATE(8614),
    [sym_unit] = STATE(8614),
    [sym__simple_value_pattern] = STATE(8636),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_module_path] = STATE(19653),
    [sym_constructor_path] = STATE(8636),
    [sym__constructor_name] = STATE(8615),
    [sym_tag] = STATE(8636),
    [aux_sym_expression_item_repeat1] = STATE(12982),
    [aux_sym_let_binding_repeat1] = STATE(2599),
    [sym__identifier] = ACTIONS(7525),
    [anon_sym_EQ] = ACTIONS(7527),
    [anon_sym_TILDE] = ACTIONS(7529),
    [anon_sym_QMARK] = ACTIONS(7529),
    [anon_sym_LPAREN] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(7533),
    [anon_sym_true] = ACTIONS(7535),
    [anon_sym_false] = ACTIONS(7535),
    [anon_sym_COLON2] = ACTIONS(7537),
    [anon_sym_LBRACE] = ACTIONS(7539),
    [anon_sym_constraint] = ACTIONS(7541),
    [anon_sym_val] = ACTIONS(7541),
    [anon_sym_end] = ACTIONS(7541),
    [anon_sym_inherit] = ACTIONS(7541),
    [anon_sym_method] = ACTIONS(7541),
    [anon_sym_initializer] = ACTIONS(7541),
    [anon_sym_POUND] = ACTIONS(7543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7545),
    [anon_sym_begin] = ACTIONS(7547),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7549),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7553),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7549),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7549),
    [aux_sym_number_token1] = ACTIONS(7555),
    [aux_sym_signed_number_token1] = ACTIONS(7557),
    [anon_sym_SQUOTE] = ACTIONS(7559),
    [anon_sym_DQUOTE] = ACTIONS(7561),
    [sym__capitalized_identifier] = ACTIONS(7563),
    [aux_sym_tag_token1] = ACTIONS(7565),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2595] = {
    [sym_parameter] = STATE(8588),
    [sym__polymorphic_typed] = STATE(12831),
    [sym__parenthesized_abstract_type] = STATE(8588),
    [sym__simple_pattern] = STATE(8589),
    [sym_typed_pattern] = STATE(8636),
    [sym_polymorphic_variant_pattern] = STATE(8636),
    [sym_record_pattern] = STATE(8636),
    [sym_list_pattern] = STATE(8636),
    [sym_array_pattern] = STATE(8636),
    [sym_local_open_pattern] = STATE(8636),
    [sym_package_pattern] = STATE(8636),
    [sym_parenthesized_pattern] = STATE(8636),
    [sym_attribute] = STATE(2595),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(8636),
    [sym_quoted_extension] = STATE(8636),
    [sym__constant] = STATE(8712),
    [sym__signed_constant] = STATE(8636),
    [sym_number] = STATE(8614),
    [sym_signed_number] = STATE(8712),
    [sym_character] = STATE(8614),
    [sym_string] = STATE(8614),
    [sym_quoted_string] = STATE(8614),
    [sym_boolean] = STATE(8614),
    [sym_unit] = STATE(8614),
    [sym__simple_value_pattern] = STATE(8636),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_module_path] = STATE(19653),
    [sym_constructor_path] = STATE(8636),
    [sym__constructor_name] = STATE(8615),
    [sym_tag] = STATE(8636),
    [aux_sym_expression_item_repeat1] = STATE(12990),
    [aux_sym_let_binding_repeat1] = STATE(2707),
    [sym__identifier] = ACTIONS(7525),
    [anon_sym_EQ] = ACTIONS(7567),
    [anon_sym_TILDE] = ACTIONS(7529),
    [anon_sym_QMARK] = ACTIONS(7529),
    [anon_sym_LPAREN] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(7533),
    [anon_sym_true] = ACTIONS(7535),
    [anon_sym_false] = ACTIONS(7535),
    [anon_sym_COLON2] = ACTIONS(7537),
    [anon_sym_LBRACE] = ACTIONS(7539),
    [anon_sym_constraint] = ACTIONS(7569),
    [anon_sym_val] = ACTIONS(7569),
    [anon_sym_end] = ACTIONS(7569),
    [anon_sym_inherit] = ACTIONS(7569),
    [anon_sym_method] = ACTIONS(7569),
    [anon_sym_initializer] = ACTIONS(7569),
    [anon_sym_POUND] = ACTIONS(7543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7545),
    [anon_sym_begin] = ACTIONS(7547),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7571),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7553),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7571),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7571),
    [aux_sym_number_token1] = ACTIONS(7555),
    [aux_sym_signed_number_token1] = ACTIONS(7557),
    [anon_sym_SQUOTE] = ACTIONS(7559),
    [anon_sym_DQUOTE] = ACTIONS(7561),
    [sym__capitalized_identifier] = ACTIONS(7563),
    [aux_sym_tag_token1] = ACTIONS(7565),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2596] = {
    [sym_parameter] = STATE(8588),
    [sym__polymorphic_typed] = STATE(12834),
    [sym__parenthesized_abstract_type] = STATE(8588),
    [sym__simple_pattern] = STATE(8589),
    [sym_typed_pattern] = STATE(8636),
    [sym_polymorphic_variant_pattern] = STATE(8636),
    [sym_record_pattern] = STATE(8636),
    [sym_list_pattern] = STATE(8636),
    [sym_array_pattern] = STATE(8636),
    [sym_local_open_pattern] = STATE(8636),
    [sym_package_pattern] = STATE(8636),
    [sym_parenthesized_pattern] = STATE(8636),
    [sym_attribute] = STATE(2596),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(8636),
    [sym_quoted_extension] = STATE(8636),
    [sym__constant] = STATE(8712),
    [sym__signed_constant] = STATE(8636),
    [sym_number] = STATE(8614),
    [sym_signed_number] = STATE(8712),
    [sym_character] = STATE(8614),
    [sym_string] = STATE(8614),
    [sym_quoted_string] = STATE(8614),
    [sym_boolean] = STATE(8614),
    [sym_unit] = STATE(8614),
    [sym__simple_value_pattern] = STATE(8636),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_module_path] = STATE(19653),
    [sym_constructor_path] = STATE(8636),
    [sym__constructor_name] = STATE(8615),
    [sym_tag] = STATE(8636),
    [aux_sym_expression_item_repeat1] = STATE(12925),
    [aux_sym_let_binding_repeat1] = STATE(2595),
    [sym__identifier] = ACTIONS(7525),
    [anon_sym_EQ] = ACTIONS(7573),
    [anon_sym_TILDE] = ACTIONS(7529),
    [anon_sym_QMARK] = ACTIONS(7529),
    [anon_sym_LPAREN] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(7533),
    [anon_sym_true] = ACTIONS(7535),
    [anon_sym_false] = ACTIONS(7535),
    [anon_sym_COLON2] = ACTIONS(7537),
    [anon_sym_LBRACE] = ACTIONS(7539),
    [anon_sym_constraint] = ACTIONS(7575),
    [anon_sym_val] = ACTIONS(7575),
    [anon_sym_end] = ACTIONS(7575),
    [anon_sym_inherit] = ACTIONS(7575),
    [anon_sym_method] = ACTIONS(7575),
    [anon_sym_initializer] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7545),
    [anon_sym_begin] = ACTIONS(7547),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7577),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7553),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7577),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7555),
    [aux_sym_signed_number_token1] = ACTIONS(7557),
    [anon_sym_SQUOTE] = ACTIONS(7559),
    [anon_sym_DQUOTE] = ACTIONS(7561),
    [sym__capitalized_identifier] = ACTIONS(7563),
    [aux_sym_tag_token1] = ACTIONS(7565),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2597] = {
    [sym__parenthesized_abstract_type] = STATE(4359),
    [sym__simple_pattern] = STATE(13066),
    [sym__pattern] = STATE(13103),
    [sym_alias_pattern] = STATE(13066),
    [sym_typed_pattern] = STATE(13062),
    [sym_or_pattern] = STATE(13066),
    [sym_constructor_pattern] = STATE(13066),
    [sym_tag_pattern] = STATE(13066),
    [sym_polymorphic_variant_pattern] = STATE(13062),
    [sym_tuple_pattern] = STATE(13066),
    [sym_record_pattern] = STATE(13062),
    [sym_list_pattern] = STATE(13062),
    [sym_cons_pattern] = STATE(13066),
    [sym_array_pattern] = STATE(13062),
    [sym_range_pattern] = STATE(13066),
    [sym_lazy_pattern] = STATE(13066),
    [sym_local_open_pattern] = STATE(13062),
    [sym_package_pattern] = STATE(13062),
    [sym_parenthesized_pattern] = STATE(13062),
    [sym_exception_pattern] = STATE(13066),
    [sym_attribute] = STATE(2597),
    [sym_extension] = STATE(13062),
    [sym_quoted_extension] = STATE(13062),
    [sym__constant] = STATE(12890),
    [sym__signed_constant] = STATE(12883),
    [sym_number] = STATE(12089),
    [sym_signed_number] = STATE(12890),
    [sym_character] = STATE(12089),
    [sym_string] = STATE(12089),
    [sym_quoted_string] = STATE(12089),
    [sym_boolean] = STATE(12089),
    [sym_unit] = STATE(12089),
    [sym__simple_value_pattern] = STATE(13062),
    [sym_parenthesized_operator] = STATE(13062),
    [sym_module_path] = STATE(20052),
    [sym_constructor_path] = STATE(2597),
    [sym__constructor_name] = STATE(8568),
    [sym_tag] = STATE(2607),
    [sym__identifier] = ACTIONS(5285),
    [anon_sym_LPAREN] = ACTIONS(7381),
    [anon_sym_COMMA] = ACTIONS(7379),
    [anon_sym_PIPE] = ACTIONS(7379),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_RBRACK] = ACTIONS(7379),
    [anon_sym_true] = ACTIONS(5295),
    [anon_sym_false] = ACTIONS(5295),
    [anon_sym_LBRACE] = ACTIONS(5299),
    [anon_sym_SEMI] = ACTIONS(7379),
    [anon_sym_RBRACE] = ACTIONS(7379),
    [anon_sym_exception] = ACTIONS(7579),
    [anon_sym_as] = ACTIONS(7383),
    [anon_sym_POUND] = ACTIONS(7581),
    [anon_sym_COLON_COLON] = ACTIONS(7379),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5309),
    [anon_sym_lazy] = ACTIONS(7583),
    [anon_sym_begin] = ACTIONS(5313),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7587),
    [aux_sym_number_token1] = ACTIONS(5319),
    [aux_sym_signed_number_token1] = ACTIONS(7589),
    [anon_sym_SQUOTE] = ACTIONS(5323),
    [anon_sym_DQUOTE] = ACTIONS(5325),
    [sym__capitalized_identifier] = ACTIONS(5329),
    [aux_sym_tag_token1] = ACTIONS(5331),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2598] = {
    [sym_parameter] = STATE(8588),
    [sym__polymorphic_typed] = STATE(12882),
    [sym__parenthesized_abstract_type] = STATE(8588),
    [sym__simple_pattern] = STATE(8589),
    [sym_typed_pattern] = STATE(8636),
    [sym_polymorphic_variant_pattern] = STATE(8636),
    [sym_record_pattern] = STATE(8636),
    [sym_list_pattern] = STATE(8636),
    [sym_array_pattern] = STATE(8636),
    [sym_local_open_pattern] = STATE(8636),
    [sym_package_pattern] = STATE(8636),
    [sym_parenthesized_pattern] = STATE(8636),
    [sym_attribute] = STATE(2598),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(8636),
    [sym_quoted_extension] = STATE(8636),
    [sym__constant] = STATE(8712),
    [sym__signed_constant] = STATE(8636),
    [sym_number] = STATE(8614),
    [sym_signed_number] = STATE(8712),
    [sym_character] = STATE(8614),
    [sym_string] = STATE(8614),
    [sym_quoted_string] = STATE(8614),
    [sym_boolean] = STATE(8614),
    [sym_unit] = STATE(8614),
    [sym__simple_value_pattern] = STATE(8636),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_module_path] = STATE(19653),
    [sym_constructor_path] = STATE(8636),
    [sym__constructor_name] = STATE(8615),
    [sym_tag] = STATE(8636),
    [aux_sym_expression_item_repeat1] = STATE(13096),
    [aux_sym_let_binding_repeat1] = STATE(2707),
    [sym__identifier] = ACTIONS(7525),
    [anon_sym_EQ] = ACTIONS(7591),
    [anon_sym_TILDE] = ACTIONS(7529),
    [anon_sym_QMARK] = ACTIONS(7529),
    [anon_sym_LPAREN] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(7533),
    [anon_sym_true] = ACTIONS(7535),
    [anon_sym_false] = ACTIONS(7535),
    [anon_sym_COLON2] = ACTIONS(7537),
    [anon_sym_LBRACE] = ACTIONS(7539),
    [anon_sym_constraint] = ACTIONS(7593),
    [anon_sym_val] = ACTIONS(7593),
    [anon_sym_end] = ACTIONS(7593),
    [anon_sym_inherit] = ACTIONS(7593),
    [anon_sym_method] = ACTIONS(7593),
    [anon_sym_initializer] = ACTIONS(7593),
    [anon_sym_POUND] = ACTIONS(7543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7545),
    [anon_sym_begin] = ACTIONS(7547),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7595),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7553),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7595),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7595),
    [aux_sym_number_token1] = ACTIONS(7555),
    [aux_sym_signed_number_token1] = ACTIONS(7557),
    [anon_sym_SQUOTE] = ACTIONS(7559),
    [anon_sym_DQUOTE] = ACTIONS(7561),
    [sym__capitalized_identifier] = ACTIONS(7563),
    [aux_sym_tag_token1] = ACTIONS(7565),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2599] = {
    [sym_parameter] = STATE(8588),
    [sym__polymorphic_typed] = STATE(12893),
    [sym__parenthesized_abstract_type] = STATE(8588),
    [sym__simple_pattern] = STATE(8589),
    [sym_typed_pattern] = STATE(8636),
    [sym_polymorphic_variant_pattern] = STATE(8636),
    [sym_record_pattern] = STATE(8636),
    [sym_list_pattern] = STATE(8636),
    [sym_array_pattern] = STATE(8636),
    [sym_local_open_pattern] = STATE(8636),
    [sym_package_pattern] = STATE(8636),
    [sym_parenthesized_pattern] = STATE(8636),
    [sym_attribute] = STATE(2599),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(8636),
    [sym_quoted_extension] = STATE(8636),
    [sym__constant] = STATE(8712),
    [sym__signed_constant] = STATE(8636),
    [sym_number] = STATE(8614),
    [sym_signed_number] = STATE(8712),
    [sym_character] = STATE(8614),
    [sym_string] = STATE(8614),
    [sym_quoted_string] = STATE(8614),
    [sym_boolean] = STATE(8614),
    [sym_unit] = STATE(8614),
    [sym__simple_value_pattern] = STATE(8636),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_module_path] = STATE(19653),
    [sym_constructor_path] = STATE(8636),
    [sym__constructor_name] = STATE(8615),
    [sym_tag] = STATE(8636),
    [aux_sym_expression_item_repeat1] = STATE(12983),
    [aux_sym_let_binding_repeat1] = STATE(2707),
    [sym__identifier] = ACTIONS(7525),
    [anon_sym_EQ] = ACTIONS(7597),
    [anon_sym_TILDE] = ACTIONS(7529),
    [anon_sym_QMARK] = ACTIONS(7529),
    [anon_sym_LPAREN] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(7533),
    [anon_sym_true] = ACTIONS(7535),
    [anon_sym_false] = ACTIONS(7535),
    [anon_sym_COLON2] = ACTIONS(7537),
    [anon_sym_LBRACE] = ACTIONS(7539),
    [anon_sym_constraint] = ACTIONS(7599),
    [anon_sym_val] = ACTIONS(7599),
    [anon_sym_end] = ACTIONS(7599),
    [anon_sym_inherit] = ACTIONS(7599),
    [anon_sym_method] = ACTIONS(7599),
    [anon_sym_initializer] = ACTIONS(7599),
    [anon_sym_POUND] = ACTIONS(7543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7545),
    [anon_sym_begin] = ACTIONS(7547),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7601),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7553),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7601),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7601),
    [aux_sym_number_token1] = ACTIONS(7555),
    [aux_sym_signed_number_token1] = ACTIONS(7557),
    [anon_sym_SQUOTE] = ACTIONS(7559),
    [anon_sym_DQUOTE] = ACTIONS(7561),
    [sym__capitalized_identifier] = ACTIONS(7563),
    [aux_sym_tag_token1] = ACTIONS(7565),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2600] = {
    [sym_parameter] = STATE(8588),
    [sym__polymorphic_typed] = STATE(12868),
    [sym__parenthesized_abstract_type] = STATE(8588),
    [sym__simple_pattern] = STATE(8589),
    [sym_typed_pattern] = STATE(8636),
    [sym_polymorphic_variant_pattern] = STATE(8636),
    [sym_record_pattern] = STATE(8636),
    [sym_list_pattern] = STATE(8636),
    [sym_array_pattern] = STATE(8636),
    [sym_local_open_pattern] = STATE(8636),
    [sym_package_pattern] = STATE(8636),
    [sym_parenthesized_pattern] = STATE(8636),
    [sym_attribute] = STATE(2600),
    [sym_item_attribute] = STATE(9992),
    [sym_extension] = STATE(8636),
    [sym_quoted_extension] = STATE(8636),
    [sym__constant] = STATE(8712),
    [sym__signed_constant] = STATE(8636),
    [sym_number] = STATE(8614),
    [sym_signed_number] = STATE(8712),
    [sym_character] = STATE(8614),
    [sym_string] = STATE(8614),
    [sym_quoted_string] = STATE(8614),
    [sym_boolean] = STATE(8614),
    [sym_unit] = STATE(8614),
    [sym__simple_value_pattern] = STATE(8636),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_module_path] = STATE(19653),
    [sym_constructor_path] = STATE(8636),
    [sym__constructor_name] = STATE(8615),
    [sym_tag] = STATE(8636),
    [aux_sym_expression_item_repeat1] = STATE(13064),
    [aux_sym_let_binding_repeat1] = STATE(2598),
    [sym__identifier] = ACTIONS(7525),
    [anon_sym_EQ] = ACTIONS(7603),
    [anon_sym_TILDE] = ACTIONS(7529),
    [anon_sym_QMARK] = ACTIONS(7529),
    [anon_sym_LPAREN] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(7533),
    [anon_sym_true] = ACTIONS(7535),
    [anon_sym_false] = ACTIONS(7535),
    [anon_sym_COLON2] = ACTIONS(7537),
    [anon_sym_LBRACE] = ACTIONS(7539),
    [anon_sym_constraint] = ACTIONS(7605),
    [anon_sym_val] = ACTIONS(7605),
    [anon_sym_end] = ACTIONS(7605),
    [anon_sym_inherit] = ACTIONS(7605),
    [anon_sym_method] = ACTIONS(7605),
    [anon_sym_initializer] = ACTIONS(7605),
    [anon_sym_POUND] = ACTIONS(7543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7545),
    [anon_sym_begin] = ACTIONS(7547),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7607),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7553),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7607),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7607),
    [aux_sym_number_token1] = ACTIONS(7555),
    [aux_sym_signed_number_token1] = ACTIONS(7557),
    [anon_sym_SQUOTE] = ACTIONS(7559),
    [anon_sym_DQUOTE] = ACTIONS(7561),
    [sym__capitalized_identifier] = ACTIONS(7563),
    [aux_sym_tag_token1] = ACTIONS(7565),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2601] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(18923),
    [sym_module_definition] = STATE(18924),
    [sym_open_module] = STATE(18926),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2601),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2602] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(17628),
    [sym_module_definition] = STATE(17629),
    [sym_open_module] = STATE(17631),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2602),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2603] = {
    [sym_let_binding] = STATE(11410),
    [sym_exception_definition] = STATE(19886),
    [sym_module_definition] = STATE(19888),
    [sym_open_module] = STATE(19895),
    [sym__binding_pattern] = STATE(2471),
    [sym_alias_binding_pattern] = STATE(5545),
    [sym_typed_binding_pattern] = STATE(5545),
    [sym_or_binding_pattern] = STATE(5545),
    [sym_constructor_binding_pattern] = STATE(5545),
    [sym_tag_binding_pattern] = STATE(5545),
    [sym_polymorphic_variant_pattern] = STATE(5545),
    [sym_tuple_binding_pattern] = STATE(5545),
    [sym_record_binding_pattern] = STATE(5547),
    [sym_list_binding_pattern] = STATE(5548),
    [sym_cons_binding_pattern] = STATE(5545),
    [sym_array_binding_pattern] = STATE(5412),
    [sym_range_pattern] = STATE(5545),
    [sym_lazy_binding_pattern] = STATE(5545),
    [sym_local_open_binding_pattern] = STATE(5545),
    [sym_package_pattern] = STATE(5545),
    [sym_parenthesized_binding_pattern] = STATE(5545),
    [sym_attribute] = STATE(2603),
    [sym_extension] = STATE(5545),
    [sym_quoted_extension] = STATE(5545),
    [sym__attribute] = STATE(4527),
    [sym__constant] = STATE(5357),
    [sym__signed_constant] = STATE(5332),
    [sym_number] = STATE(5307),
    [sym_signed_number] = STATE(5357),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym__value_name] = STATE(5545),
    [sym_parenthesized_operator] = STATE(5478),
    [sym_module_path] = STATE(20072),
    [sym_constructor_path] = STATE(2445),
    [sym__constructor_name] = STATE(5319),
    [sym_tag] = STATE(2444),
    [sym__identifier] = ACTIONS(5053),
    [anon_sym_rec] = ACTIONS(7619),
    [anon_sym_LPAREN] = ACTIONS(5055),
    [anon_sym_LBRACK] = ACTIONS(5057),
    [anon_sym_true] = ACTIONS(5059),
    [anon_sym_false] = ACTIONS(5059),
    [anon_sym_LBRACE] = ACTIONS(5061),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(5063),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5065),
    [anon_sym_lazy] = ACTIONS(5067),
    [anon_sym_begin] = ACTIONS(5069),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7621),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7623),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(5075),
    [aux_sym_signed_number_token1] = ACTIONS(5077),
    [anon_sym_SQUOTE] = ACTIONS(5079),
    [anon_sym_DQUOTE] = ACTIONS(5081),
    [sym__capitalized_identifier] = ACTIONS(5083),
    [aux_sym_tag_token1] = ACTIONS(5085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2604] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(19800),
    [sym_module_definition] = STATE(19808),
    [sym_open_module] = STATE(19809),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2604),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2605] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(19647),
    [sym_module_definition] = STATE(19651),
    [sym_open_module] = STATE(19656),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2605),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2606] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(20380),
    [sym_module_definition] = STATE(20385),
    [sym_open_module] = STATE(20387),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2606),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2607] = {
    [sym__simple_pattern] = STATE(13066),
    [sym__pattern] = STATE(12903),
    [sym_alias_pattern] = STATE(13066),
    [sym_typed_pattern] = STATE(13062),
    [sym_or_pattern] = STATE(13066),
    [sym_constructor_pattern] = STATE(13066),
    [sym_tag_pattern] = STATE(13066),
    [sym_polymorphic_variant_pattern] = STATE(13062),
    [sym_tuple_pattern] = STATE(13066),
    [sym_record_pattern] = STATE(13062),
    [sym_list_pattern] = STATE(13062),
    [sym_cons_pattern] = STATE(13066),
    [sym_array_pattern] = STATE(13062),
    [sym_range_pattern] = STATE(13066),
    [sym_lazy_pattern] = STATE(13066),
    [sym_local_open_pattern] = STATE(13062),
    [sym_package_pattern] = STATE(13062),
    [sym_parenthesized_pattern] = STATE(13062),
    [sym_exception_pattern] = STATE(13066),
    [sym_attribute] = STATE(2607),
    [sym_extension] = STATE(13062),
    [sym_quoted_extension] = STATE(13062),
    [sym__constant] = STATE(12890),
    [sym__signed_constant] = STATE(12883),
    [sym_number] = STATE(12089),
    [sym_signed_number] = STATE(12890),
    [sym_character] = STATE(12089),
    [sym_string] = STATE(12089),
    [sym_quoted_string] = STATE(12089),
    [sym_boolean] = STATE(12089),
    [sym_unit] = STATE(12089),
    [sym__simple_value_pattern] = STATE(13062),
    [sym_parenthesized_operator] = STATE(13062),
    [sym_module_path] = STATE(20052),
    [sym_constructor_path] = STATE(2597),
    [sym__constructor_name] = STATE(8568),
    [sym_tag] = STATE(2607),
    [sym__identifier] = ACTIONS(5285),
    [anon_sym_LPAREN] = ACTIONS(5287),
    [anon_sym_COMMA] = ACTIONS(7379),
    [anon_sym_PIPE] = ACTIONS(7379),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_RBRACK] = ACTIONS(7379),
    [anon_sym_true] = ACTIONS(5295),
    [anon_sym_false] = ACTIONS(5295),
    [anon_sym_LBRACE] = ACTIONS(5299),
    [anon_sym_SEMI] = ACTIONS(7379),
    [anon_sym_RBRACE] = ACTIONS(7379),
    [anon_sym_exception] = ACTIONS(7579),
    [anon_sym_as] = ACTIONS(7383),
    [anon_sym_POUND] = ACTIONS(7581),
    [anon_sym_COLON_COLON] = ACTIONS(7379),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5309),
    [anon_sym_lazy] = ACTIONS(7583),
    [anon_sym_begin] = ACTIONS(5313),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7587),
    [aux_sym_number_token1] = ACTIONS(5319),
    [aux_sym_signed_number_token1] = ACTIONS(7589),
    [anon_sym_SQUOTE] = ACTIONS(5323),
    [anon_sym_DQUOTE] = ACTIONS(5325),
    [sym__capitalized_identifier] = ACTIONS(5329),
    [aux_sym_tag_token1] = ACTIONS(5331),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2608] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(17695),
    [sym_module_definition] = STATE(17696),
    [sym_open_module] = STATE(17697),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2608),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2609] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(17909),
    [sym_module_definition] = STATE(17910),
    [sym_open_module] = STATE(17911),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2609),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2610] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(18128),
    [sym_module_definition] = STATE(18130),
    [sym_open_module] = STATE(18135),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2610),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2611] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(18362),
    [sym_module_definition] = STATE(18363),
    [sym_open_module] = STATE(18364),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2611),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2612] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(18580),
    [sym_module_definition] = STATE(18585),
    [sym_open_module] = STATE(18587),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2612),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2613] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(17964),
    [sym_module_definition] = STATE(17969),
    [sym_open_module] = STATE(17973),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2613),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2614] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(18802),
    [sym_module_definition] = STATE(18804),
    [sym_open_module] = STATE(18805),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2614),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2615] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(19179),
    [sym_module_definition] = STATE(19180),
    [sym_open_module] = STATE(19181),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2615),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2616] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(19309),
    [sym_module_definition] = STATE(19310),
    [sym_open_module] = STATE(19311),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2616),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2617] = {
    [sym_parameter] = STATE(10231),
    [sym__polymorphic_typed] = STATE(17373),
    [sym__parenthesized_abstract_type] = STATE(10231),
    [sym__simple_pattern] = STATE(10236),
    [sym_typed_pattern] = STATE(10158),
    [sym_polymorphic_variant_pattern] = STATE(10158),
    [sym_record_pattern] = STATE(10158),
    [sym_list_pattern] = STATE(10158),
    [sym_array_pattern] = STATE(10158),
    [sym_local_open_pattern] = STATE(10158),
    [sym_package_pattern] = STATE(10158),
    [sym_parenthesized_pattern] = STATE(10158),
    [sym_attribute] = STATE(2617),
    [sym_item_attribute] = STATE(14981),
    [sym_extension] = STATE(10158),
    [sym_quoted_extension] = STATE(10158),
    [sym__constant] = STATE(10108),
    [sym__signed_constant] = STATE(10158),
    [sym_number] = STATE(10097),
    [sym_signed_number] = STATE(10108),
    [sym_character] = STATE(10097),
    [sym_string] = STATE(10097),
    [sym_quoted_string] = STATE(10097),
    [sym_boolean] = STATE(10097),
    [sym_unit] = STATE(10097),
    [sym__simple_value_pattern] = STATE(10158),
    [sym_parenthesized_operator] = STATE(10158),
    [sym_module_path] = STATE(18203),
    [sym_constructor_path] = STATE(10158),
    [sym__constructor_name] = STATE(8519),
    [sym_tag] = STATE(10158),
    [aux_sym_expression_item_repeat1] = STATE(13907),
    [aux_sym_let_binding_repeat1] = STATE(4650),
    [sym__identifier] = ACTIONS(5417),
    [anon_sym_and] = ACTIONS(5421),
    [anon_sym_COLON_GT] = ACTIONS(7625),
    [anon_sym_EQ] = ACTIONS(7627),
    [anon_sym_TILDE] = ACTIONS(5427),
    [anon_sym_QMARK] = ACTIONS(5427),
    [anon_sym_LPAREN] = ACTIONS(5429),
    [anon_sym_COMMA] = ACTIONS(7629),
    [anon_sym_PIPE] = ACTIONS(7631),
    [anon_sym_LBRACK] = ACTIONS(5435),
    [anon_sym_true] = ACTIONS(5437),
    [anon_sym_false] = ACTIONS(5437),
    [anon_sym_COLON2] = ACTIONS(5439),
    [anon_sym_LBRACE] = ACTIONS(5441),
    [anon_sym_in] = ACTIONS(5421),
    [anon_sym_as] = ACTIONS(7633),
    [anon_sym_POUND] = ACTIONS(5445),
    [anon_sym_COLON_COLON] = ACTIONS(7635),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5449),
    [anon_sym_begin] = ACTIONS(5451),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7637),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7639),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7641),
    [aux_sym_number_token1] = ACTIONS(5459),
    [aux_sym_signed_number_token1] = ACTIONS(5461),
    [anon_sym_SQUOTE] = ACTIONS(5463),
    [anon_sym_DQUOTE] = ACTIONS(5465),
    [sym_let_and_operator] = ACTIONS(5419),
    [sym__capitalized_identifier] = ACTIONS(5467),
    [aux_sym_tag_token1] = ACTIONS(5469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2618] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(19440),
    [sym_module_definition] = STATE(19441),
    [sym_open_module] = STATE(19442),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2618),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2619] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(18467),
    [sym_module_definition] = STATE(18468),
    [sym_open_module] = STATE(18471),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2619),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2620] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(19632),
    [sym_module_definition] = STATE(19633),
    [sym_open_module] = STATE(19634),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2620),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2621] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(19868),
    [sym_module_definition] = STATE(19869),
    [sym_open_module] = STATE(19873),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2621),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2622] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(20203),
    [sym_module_definition] = STATE(20204),
    [sym_open_module] = STATE(20205),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2622),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2623] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(19685),
    [sym_module_definition] = STATE(19730),
    [sym_open_module] = STATE(18612),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2623),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2624] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(20375),
    [sym_module_definition] = STATE(20376),
    [sym_open_module] = STATE(20377),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2624),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2625] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(17949),
    [sym_module_definition] = STATE(17950),
    [sym_open_module] = STATE(17952),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2625),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2626] = {
    [sym_let_binding] = STATE(11455),
    [sym_exception_definition] = STATE(19685),
    [sym_module_definition] = STATE(19730),
    [sym_open_module] = STATE(18612),
    [sym__binding_pattern] = STATE(2472),
    [sym_alias_binding_pattern] = STATE(5495),
    [sym_typed_binding_pattern] = STATE(5495),
    [sym_or_binding_pattern] = STATE(5495),
    [sym_constructor_binding_pattern] = STATE(5495),
    [sym_tag_binding_pattern] = STATE(5495),
    [sym_polymorphic_variant_pattern] = STATE(5495),
    [sym_tuple_binding_pattern] = STATE(5495),
    [sym_record_binding_pattern] = STATE(5551),
    [sym_list_binding_pattern] = STATE(5533),
    [sym_cons_binding_pattern] = STATE(5495),
    [sym_array_binding_pattern] = STATE(5536),
    [sym_range_pattern] = STATE(5495),
    [sym_lazy_binding_pattern] = STATE(5495),
    [sym_local_open_binding_pattern] = STATE(5495),
    [sym_package_pattern] = STATE(5495),
    [sym_parenthesized_binding_pattern] = STATE(5495),
    [sym_attribute] = STATE(2626),
    [sym_extension] = STATE(5495),
    [sym_quoted_extension] = STATE(5495),
    [sym__attribute] = STATE(4540),
    [sym__constant] = STATE(5388),
    [sym__signed_constant] = STATE(5304),
    [sym_number] = STATE(5374),
    [sym_signed_number] = STATE(5388),
    [sym_character] = STATE(5374),
    [sym_string] = STATE(5374),
    [sym_quoted_string] = STATE(5374),
    [sym_boolean] = STATE(5374),
    [sym_unit] = STATE(5374),
    [sym__value_name] = STATE(5495),
    [sym_parenthesized_operator] = STATE(5534),
    [sym_module_path] = STATE(18636),
    [sym_constructor_path] = STATE(2442),
    [sym__constructor_name] = STATE(5376),
    [sym_tag] = STATE(2446),
    [sym__identifier] = ACTIONS(4955),
    [anon_sym_rec] = ACTIONS(7643),
    [anon_sym_LPAREN] = ACTIONS(4961),
    [anon_sym_LBRACK] = ACTIONS(4963),
    [anon_sym_true] = ACTIONS(4965),
    [anon_sym_false] = ACTIONS(4965),
    [anon_sym_LBRACE] = ACTIONS(4967),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(4969),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4971),
    [anon_sym_lazy] = ACTIONS(4973),
    [anon_sym_begin] = ACTIONS(4975),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7645),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7647),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(4983),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__capitalized_identifier] = ACTIONS(4989),
    [aux_sym_tag_token1] = ACTIONS(4991),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2627] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(18762),
    [sym_module_definition] = STATE(18764),
    [sym_open_module] = STATE(18769),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2627),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2628] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(17884),
    [sym_module_definition] = STATE(17890),
    [sym_open_module] = STATE(17894),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2628),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2629] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(19192),
    [sym_module_definition] = STATE(19193),
    [sym_open_module] = STATE(19222),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2629),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2630] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(18888),
    [sym_module_definition] = STATE(18897),
    [sym_open_module] = STATE(18910),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2630),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2631] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(18968),
    [sym_module_definition] = STATE(18969),
    [sym_open_module] = STATE(19020),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2631),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2632] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(19886),
    [sym_module_definition] = STATE(19888),
    [sym_open_module] = STATE(19895),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2632),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2633] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(20180),
    [sym_module_definition] = STATE(20181),
    [sym_open_module] = STATE(20195),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2633),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2634] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(19421),
    [sym_module_definition] = STATE(19424),
    [sym_open_module] = STATE(19425),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2634),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2635] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(18161),
    [sym_module_definition] = STATE(18172),
    [sym_open_module] = STATE(18173),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2635),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2636] = {
    [sym__parenthesized_abstract_type] = STATE(4102),
    [sym__simple_pattern] = STATE(14041),
    [sym__pattern] = STATE(13924),
    [sym_alias_pattern] = STATE(14041),
    [sym_typed_pattern] = STATE(13799),
    [sym_or_pattern] = STATE(14041),
    [sym_constructor_pattern] = STATE(14041),
    [sym_tag_pattern] = STATE(14041),
    [sym_polymorphic_variant_pattern] = STATE(13799),
    [sym_tuple_pattern] = STATE(14041),
    [sym_record_pattern] = STATE(13799),
    [sym_list_pattern] = STATE(13799),
    [sym_cons_pattern] = STATE(14041),
    [sym_array_pattern] = STATE(13799),
    [sym_range_pattern] = STATE(14041),
    [sym_lazy_pattern] = STATE(14041),
    [sym_local_open_pattern] = STATE(13799),
    [sym_package_pattern] = STATE(13799),
    [sym_parenthesized_pattern] = STATE(13799),
    [sym_exception_pattern] = STATE(14041),
    [sym_attribute] = STATE(2636),
    [sym_extension] = STATE(13799),
    [sym_quoted_extension] = STATE(13799),
    [sym__constant] = STATE(13623),
    [sym__signed_constant] = STATE(13786),
    [sym_number] = STATE(13551),
    [sym_signed_number] = STATE(13623),
    [sym_character] = STATE(13551),
    [sym_string] = STATE(13551),
    [sym_quoted_string] = STATE(13551),
    [sym_boolean] = STATE(13551),
    [sym_unit] = STATE(13551),
    [sym__simple_value_pattern] = STATE(13799),
    [sym_parenthesized_operator] = STATE(13799),
    [sym_module_path] = STATE(18617),
    [sym_constructor_path] = STATE(2636),
    [sym__constructor_name] = STATE(9759),
    [sym_tag] = STATE(2654),
    [sym__identifier] = ACTIONS(7649),
    [anon_sym_LPAREN] = ACTIONS(7651),
    [anon_sym_COMMA] = ACTIONS(7379),
    [anon_sym_PIPE] = ACTIONS(7383),
    [anon_sym_LBRACK] = ACTIONS(7653),
    [anon_sym_true] = ACTIONS(7655),
    [anon_sym_false] = ACTIONS(7655),
    [anon_sym_LBRACE] = ACTIONS(7657),
    [anon_sym_SEMI] = ACTIONS(7379),
    [anon_sym_exception] = ACTIONS(7659),
    [anon_sym_as] = ACTIONS(7383),
    [anon_sym_POUND] = ACTIONS(7661),
    [anon_sym_COLON_COLON] = ACTIONS(7379),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7663),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7379),
    [anon_sym_lazy] = ACTIONS(7665),
    [anon_sym_begin] = ACTIONS(7667),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7669),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7671),
    [aux_sym_number_token1] = ACTIONS(7673),
    [aux_sym_signed_number_token1] = ACTIONS(7675),
    [anon_sym_SQUOTE] = ACTIONS(7677),
    [anon_sym_DQUOTE] = ACTIONS(7679),
    [sym__capitalized_identifier] = ACTIONS(7681),
    [aux_sym_tag_token1] = ACTIONS(7683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2637] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(17747),
    [sym_module_definition] = STATE(17753),
    [sym_open_module] = STATE(17754),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2637),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2638] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(18429),
    [sym_module_definition] = STATE(18430),
    [sym_open_module] = STATE(18432),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2638),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2639] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(18106),
    [sym_module_definition] = STATE(18107),
    [sym_open_module] = STATE(18122),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2639),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2640] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(19758),
    [sym_module_definition] = STATE(19759),
    [sym_open_module] = STATE(19778),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2640),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2641] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(18482),
    [sym_module_definition] = STATE(18489),
    [sym_open_module] = STATE(18492),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2641),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2642] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(19431),
    [sym_module_definition] = STATE(19543),
    [sym_open_module] = STATE(19556),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2642),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2643] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(18073),
    [sym_module_definition] = STATE(18075),
    [sym_open_module] = STATE(18077),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2643),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2644] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(19046),
    [sym_module_definition] = STATE(19056),
    [sym_open_module] = STATE(19066),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2644),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2645] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(19824),
    [sym_module_definition] = STATE(19826),
    [sym_open_module] = STATE(19828),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2645),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2646] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(18111),
    [sym_module_definition] = STATE(18113),
    [sym_open_module] = STATE(18114),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2646),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2647] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(18340),
    [sym_module_definition] = STATE(18354),
    [sym_open_module] = STATE(18388),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2647),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2648] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(19250),
    [sym_module_definition] = STATE(19251),
    [sym_open_module] = STATE(19252),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2648),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2649] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(17538),
    [sym_module_definition] = STATE(17543),
    [sym_open_module] = STATE(17547),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2649),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2650] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(18730),
    [sym_module_definition] = STATE(18744),
    [sym_open_module] = STATE(18768),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2650),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2651] = {
    [sym_let_binding] = STATE(14612),
    [sym_exception_definition] = STATE(18085),
    [sym_module_definition] = STATE(18095),
    [sym_open_module] = STATE(18133),
    [sym__binding_pattern] = STATE(2617),
    [sym_alias_binding_pattern] = STATE(8879),
    [sym_typed_binding_pattern] = STATE(8879),
    [sym_or_binding_pattern] = STATE(8879),
    [sym_constructor_binding_pattern] = STATE(8879),
    [sym_tag_binding_pattern] = STATE(8879),
    [sym_polymorphic_variant_pattern] = STATE(8879),
    [sym_tuple_binding_pattern] = STATE(8879),
    [sym_record_binding_pattern] = STATE(8880),
    [sym_list_binding_pattern] = STATE(8881),
    [sym_cons_binding_pattern] = STATE(8879),
    [sym_array_binding_pattern] = STATE(8882),
    [sym_range_pattern] = STATE(8879),
    [sym_lazy_binding_pattern] = STATE(8879),
    [sym_local_open_binding_pattern] = STATE(8879),
    [sym_package_pattern] = STATE(8879),
    [sym_parenthesized_binding_pattern] = STATE(8879),
    [sym_attribute] = STATE(2651),
    [sym_extension] = STATE(8879),
    [sym_quoted_extension] = STATE(8879),
    [sym__attribute] = STATE(4511),
    [sym__constant] = STATE(8625),
    [sym__signed_constant] = STATE(8572),
    [sym_number] = STATE(8781),
    [sym_signed_number] = STATE(8625),
    [sym_character] = STATE(8781),
    [sym_string] = STATE(8781),
    [sym_quoted_string] = STATE(8781),
    [sym_boolean] = STATE(8781),
    [sym_unit] = STATE(8781),
    [sym__value_name] = STATE(8879),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(18998),
    [sym_constructor_path] = STATE(2592),
    [sym__constructor_name] = STATE(8836),
    [sym_tag] = STATE(2591),
    [sym__identifier] = ACTIONS(7491),
    [anon_sym_rec] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(7495),
    [anon_sym_true] = ACTIONS(7497),
    [anon_sym_false] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7499),
    [anon_sym_exception] = ACTIONS(7611),
    [anon_sym_module] = ACTIONS(7613),
    [anon_sym_open] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_lazy] = ACTIONS(7505),
    [anon_sym_begin] = ACTIONS(7507),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7511),
    [anon_sym_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7513),
    [aux_sym_signed_number_token1] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7517),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym__capitalized_identifier] = ACTIONS(7521),
    [aux_sym_tag_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2652] = {
    [sym__simple_expression] = STATE(9105),
    [sym_typed_expression] = STATE(9106),
    [sym_list_expression] = STATE(9106),
    [sym_array_expression] = STATE(9106),
    [sym_record_expression] = STATE(9106),
    [sym_labeled_argument] = STATE(9979),
    [sym_prefix_expression] = STATE(9106),
    [sym_hash_expression] = STATE(9106),
    [sym_field_get_expression] = STATE(9106),
    [sym_array_get_expression] = STATE(9106),
    [sym_string_get_expression] = STATE(9106),
    [sym_bigarray_get_expression] = STATE(9106),
    [sym_coercion_expression] = STATE(9106),
    [sym_local_open_expression] = STATE(9106),
    [sym_package_expression] = STATE(9106),
    [sym_new_expression] = STATE(9106),
    [sym_object_copy_expression] = STATE(9106),
    [sym_method_invocation] = STATE(9106),
    [sym_object_expression] = STATE(9106),
    [sym_parenthesized_expression] = STATE(9106),
    [sym_attribute] = STATE(2652),
    [sym_extension] = STATE(9106),
    [sym_quoted_extension] = STATE(9106),
    [sym__constant] = STATE(9106),
    [sym_number] = STATE(9059),
    [sym_character] = STATE(9059),
    [sym_string] = STATE(9059),
    [sym_quoted_string] = STATE(9059),
    [sym_boolean] = STATE(9059),
    [sym_unit] = STATE(9059),
    [sym__value_name] = STATE(9268),
    [sym_parenthesized_operator] = STATE(9278),
    [sym_value_path] = STATE(9106),
    [sym_module_path] = STATE(17843),
    [sym_constructor_path] = STATE(9106),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(9106),
    [aux_sym_class_application_repeat1] = STATE(2652),
    [sym__identifier] = ACTIONS(7685),
    [anon_sym_TILDE] = ACTIONS(7688),
    [anon_sym_QMARK] = ACTIONS(7688),
    [anon_sym_LPAREN] = ACTIONS(7691),
    [anon_sym_RPAREN] = ACTIONS(3570),
    [anon_sym_LBRACK] = ACTIONS(7694),
    [anon_sym_true] = ACTIONS(7697),
    [anon_sym_false] = ACTIONS(7697),
    [anon_sym_COLON2] = ACTIONS(3570),
    [anon_sym_LBRACE] = ACTIONS(7700),
    [anon_sym_object] = ACTIONS(7703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7706),
    [anon_sym_new] = ACTIONS(7709),
    [anon_sym_LBRACE_LT] = ACTIONS(7712),
    [anon_sym_begin] = ACTIONS(7715),
    [sym_ocamlyacc_value] = ACTIONS(7718),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7724),
    [aux_sym_number_token1] = ACTIONS(7727),
    [anon_sym_SQUOTE] = ACTIONS(7730),
    [anon_sym_DQUOTE] = ACTIONS(7733),
    [sym_prefix_operator] = ACTIONS(7736),
    [sym__capitalized_identifier] = ACTIONS(7739),
    [aux_sym_tag_token1] = ACTIONS(7742),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2653] = {
    [sym__simple_expression] = STATE(9105),
    [sym_typed_expression] = STATE(9106),
    [sym_list_expression] = STATE(9106),
    [sym_array_expression] = STATE(9106),
    [sym_record_expression] = STATE(9106),
    [sym_labeled_argument] = STATE(9979),
    [sym_prefix_expression] = STATE(9106),
    [sym_hash_expression] = STATE(9106),
    [sym_field_get_expression] = STATE(9106),
    [sym_array_get_expression] = STATE(9106),
    [sym_string_get_expression] = STATE(9106),
    [sym_bigarray_get_expression] = STATE(9106),
    [sym_coercion_expression] = STATE(9106),
    [sym_local_open_expression] = STATE(9106),
    [sym_package_expression] = STATE(9106),
    [sym_new_expression] = STATE(9106),
    [sym_object_copy_expression] = STATE(9106),
    [sym_method_invocation] = STATE(9106),
    [sym_object_expression] = STATE(9106),
    [sym_parenthesized_expression] = STATE(9106),
    [sym_attribute] = STATE(2653),
    [sym_extension] = STATE(9106),
    [sym_quoted_extension] = STATE(9106),
    [sym__constant] = STATE(9106),
    [sym_number] = STATE(9059),
    [sym_character] = STATE(9059),
    [sym_string] = STATE(9059),
    [sym_quoted_string] = STATE(9059),
    [sym_boolean] = STATE(9059),
    [sym_unit] = STATE(9059),
    [sym__value_name] = STATE(9268),
    [sym_parenthesized_operator] = STATE(9278),
    [sym_value_path] = STATE(9106),
    [sym_module_path] = STATE(17843),
    [sym_constructor_path] = STATE(9106),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(9106),
    [aux_sym_class_application_repeat1] = STATE(2656),
    [sym__identifier] = ACTIONS(7745),
    [anon_sym_TILDE] = ACTIONS(7747),
    [anon_sym_QMARK] = ACTIONS(7747),
    [anon_sym_LPAREN] = ACTIONS(7749),
    [anon_sym_RPAREN] = ACTIONS(5635),
    [anon_sym_LBRACK] = ACTIONS(7751),
    [anon_sym_true] = ACTIONS(7753),
    [anon_sym_false] = ACTIONS(7753),
    [anon_sym_COLON2] = ACTIONS(5635),
    [anon_sym_LBRACE] = ACTIONS(7755),
    [anon_sym_object] = ACTIONS(7757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7759),
    [anon_sym_new] = ACTIONS(7761),
    [anon_sym_LBRACE_LT] = ACTIONS(7763),
    [anon_sym_begin] = ACTIONS(7765),
    [sym_ocamlyacc_value] = ACTIONS(7767),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7769),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7771),
    [aux_sym_number_token1] = ACTIONS(7773),
    [anon_sym_SQUOTE] = ACTIONS(7775),
    [anon_sym_DQUOTE] = ACTIONS(7777),
    [sym_prefix_operator] = ACTIONS(7779),
    [sym__capitalized_identifier] = ACTIONS(7781),
    [aux_sym_tag_token1] = ACTIONS(7783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2654] = {
    [sym__simple_pattern] = STATE(14041),
    [sym__pattern] = STATE(13925),
    [sym_alias_pattern] = STATE(14041),
    [sym_typed_pattern] = STATE(13799),
    [sym_or_pattern] = STATE(14041),
    [sym_constructor_pattern] = STATE(14041),
    [sym_tag_pattern] = STATE(14041),
    [sym_polymorphic_variant_pattern] = STATE(13799),
    [sym_tuple_pattern] = STATE(14041),
    [sym_record_pattern] = STATE(13799),
    [sym_list_pattern] = STATE(13799),
    [sym_cons_pattern] = STATE(14041),
    [sym_array_pattern] = STATE(13799),
    [sym_range_pattern] = STATE(14041),
    [sym_lazy_pattern] = STATE(14041),
    [sym_local_open_pattern] = STATE(13799),
    [sym_package_pattern] = STATE(13799),
    [sym_parenthesized_pattern] = STATE(13799),
    [sym_exception_pattern] = STATE(14041),
    [sym_attribute] = STATE(2654),
    [sym_extension] = STATE(13799),
    [sym_quoted_extension] = STATE(13799),
    [sym__constant] = STATE(13623),
    [sym__signed_constant] = STATE(13786),
    [sym_number] = STATE(13551),
    [sym_signed_number] = STATE(13623),
    [sym_character] = STATE(13551),
    [sym_string] = STATE(13551),
    [sym_quoted_string] = STATE(13551),
    [sym_boolean] = STATE(13551),
    [sym_unit] = STATE(13551),
    [sym__simple_value_pattern] = STATE(13799),
    [sym_parenthesized_operator] = STATE(13799),
    [sym_module_path] = STATE(18617),
    [sym_constructor_path] = STATE(2636),
    [sym__constructor_name] = STATE(9759),
    [sym_tag] = STATE(2654),
    [sym__identifier] = ACTIONS(7649),
    [anon_sym_LPAREN] = ACTIONS(7785),
    [anon_sym_COMMA] = ACTIONS(7379),
    [anon_sym_PIPE] = ACTIONS(7383),
    [anon_sym_LBRACK] = ACTIONS(7653),
    [anon_sym_true] = ACTIONS(7655),
    [anon_sym_false] = ACTIONS(7655),
    [anon_sym_LBRACE] = ACTIONS(7657),
    [anon_sym_SEMI] = ACTIONS(7379),
    [anon_sym_exception] = ACTIONS(7659),
    [anon_sym_as] = ACTIONS(7383),
    [anon_sym_POUND] = ACTIONS(7661),
    [anon_sym_COLON_COLON] = ACTIONS(7379),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7663),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7379),
    [anon_sym_lazy] = ACTIONS(7665),
    [anon_sym_begin] = ACTIONS(7667),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7669),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7671),
    [aux_sym_number_token1] = ACTIONS(7673),
    [aux_sym_signed_number_token1] = ACTIONS(7675),
    [anon_sym_SQUOTE] = ACTIONS(7677),
    [anon_sym_DQUOTE] = ACTIONS(7679),
    [sym__capitalized_identifier] = ACTIONS(7681),
    [aux_sym_tag_token1] = ACTIONS(7683),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2655] = {
    [sym__signature] = STATE(18880),
    [sym_external] = STATE(12622),
    [sym_type_definition] = STATE(12622),
    [sym_exception_definition] = STATE(12622),
    [sym_module_definition] = STATE(12622),
    [sym_module_type_definition] = STATE(12622),
    [sym_open_module] = STATE(12622),
    [sym_class_definition] = STATE(12622),
    [sym_class_type_definition] = STATE(12622),
    [sym__signature_item] = STATE(12666),
    [sym_value_specification] = STATE(12622),
    [sym_include_module_type] = STATE(12622),
    [sym__simple_type] = STATE(11821),
    [sym__tuple_type] = STATE(13147),
    [sym__type] = STATE(15609),
    [sym_function_type] = STATE(8169),
    [sym_typed_label] = STATE(20267),
    [sym_tuple_type] = STATE(7992),
    [sym_constructed_type] = STATE(12365),
    [sym_aliased_type] = STATE(8169),
    [sym_local_open_type] = STATE(12365),
    [sym_polymorphic_variant_type] = STATE(12365),
    [sym_package_type] = STATE(12365),
    [sym_object_type] = STATE(12365),
    [sym_hash_type] = STATE(12365),
    [sym_parenthesized_type] = STATE(12365),
    [sym_attribute] = STATE(2655),
    [sym_floating_attribute] = STATE(12622),
    [sym_extension] = STATE(12365),
    [sym_quoted_extension] = STATE(12365),
    [sym_item_extension] = STATE(12622),
    [sym_quoted_item_extension] = STATE(12622),
    [sym_extended_module_path] = STATE(16670),
    [sym_type_constructor_path] = STATE(12365),
    [sym_type_variable] = STATE(12365),
    [aux_sym__structure_repeat1] = STATE(8971),
    [aux_sym__signature_repeat1] = STATE(8935),
    [sym__identifier] = ACTIONS(7787),
    [anon_sym_SEMI_SEMI] = ACTIONS(9),
    [anon_sym_QMARK] = ACTIONS(7789),
    [anon_sym_LPAREN] = ACTIONS(7791),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(7793),
    [anon_sym_LBRACK] = ACTIONS(7795),
    [anon_sym_RBRACK] = ACTIONS(7797),
    [anon_sym_exception] = ACTIONS(7799),
    [anon_sym_module] = ACTIONS(7801),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(7803),
    [anon_sym_class] = ACTIONS(7805),
    [anon_sym_val] = ACTIONS(7807),
    [anon_sym_LBRACK_GT] = ACTIONS(7809),
    [anon_sym_LBRACK_LT] = ACTIONS(7811),
    [anon_sym_LT] = ACTIONS(7813),
    [anon_sym_POUND] = ACTIONS(7815),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(27),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7817),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7819),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(29),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(31),
    [sym__capitalized_identifier] = ACTIONS(7821),
    [aux_sym_type_variable_token1] = ACTIONS(7823),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2656] = {
    [sym__simple_expression] = STATE(9105),
    [sym_typed_expression] = STATE(9106),
    [sym_list_expression] = STATE(9106),
    [sym_array_expression] = STATE(9106),
    [sym_record_expression] = STATE(9106),
    [sym_labeled_argument] = STATE(9979),
    [sym_prefix_expression] = STATE(9106),
    [sym_hash_expression] = STATE(9106),
    [sym_field_get_expression] = STATE(9106),
    [sym_array_get_expression] = STATE(9106),
    [sym_string_get_expression] = STATE(9106),
    [sym_bigarray_get_expression] = STATE(9106),
    [sym_coercion_expression] = STATE(9106),
    [sym_local_open_expression] = STATE(9106),
    [sym_package_expression] = STATE(9106),
    [sym_new_expression] = STATE(9106),
    [sym_object_copy_expression] = STATE(9106),
    [sym_method_invocation] = STATE(9106),
    [sym_object_expression] = STATE(9106),
    [sym_parenthesized_expression] = STATE(9106),
    [sym_attribute] = STATE(2656),
    [sym_extension] = STATE(9106),
    [sym_quoted_extension] = STATE(9106),
    [sym__constant] = STATE(9106),
    [sym_number] = STATE(9059),
    [sym_character] = STATE(9059),
    [sym_string] = STATE(9059),
    [sym_quoted_string] = STATE(9059),
    [sym_boolean] = STATE(9059),
    [sym_unit] = STATE(9059),
    [sym__value_name] = STATE(9268),
    [sym_parenthesized_operator] = STATE(9278),
    [sym_value_path] = STATE(9106),
    [sym_module_path] = STATE(17843),
    [sym_constructor_path] = STATE(9106),
    [sym__constructor_name] = STATE(8166),
    [sym_tag] = STATE(9106),
    [aux_sym_class_application_repeat1] = STATE(2652),
    [sym__identifier] = ACTIONS(7745),
    [anon_sym_TILDE] = ACTIONS(7747),
    [anon_sym_QMARK] = ACTIONS(7747),
    [anon_sym_LPAREN] = ACTIONS(7749),
    [anon_sym_RPAREN] = ACTIONS(5737),
    [anon_sym_LBRACK] = ACTIONS(7751),
    [anon_sym_true] = ACTIONS(7753),
    [anon_sym_false] = ACTIONS(7753),
    [anon_sym_COLON2] = ACTIONS(5737),
    [anon_sym_LBRACE] = ACTIONS(7755),
    [anon_sym_object] = ACTIONS(7757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7759),
    [anon_sym_new] = ACTIONS(7761),
    [anon_sym_LBRACE_LT] = ACTIONS(7763),
    [anon_sym_begin] = ACTIONS(7765),
    [sym_ocamlyacc_value] = ACTIONS(7767),
    [aux_sym_attribute_token1] = ACTIONS(1095),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7769),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7771),
    [aux_sym_number_token1] = ACTIONS(7773),
    [anon_sym_SQUOTE] = ACTIONS(7775),
    [anon_sym_DQUOTE] = ACTIONS(7777),
    [sym_prefix_operator] = ACTIONS(7779),
    [sym__capitalized_identifier] = ACTIONS(7781),
    [aux_sym_tag_token1] = ACTIONS(7783),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(2657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [77] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [152] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7835), 1,
      anon_sym_PIPE,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2659), 1,
      sym_attribute,
    STATE(3142), 1,
      sym__attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10463), 1,
      sym__match_cases,
    STATE(12036), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13586), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [289] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2660), 1,
      sym_attribute,
    STATE(3467), 1,
      sym__attribute,
    STATE(8105), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10586), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13595), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [426] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7841), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2661), 1,
      sym_attribute,
    STATE(3334), 1,
      sym__attribute,
    STATE(7909), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12448), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13558), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [563] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7843), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2662), 1,
      sym_attribute,
    STATE(3006), 1,
      sym__attribute,
    STATE(8105), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11951), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13729), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [700] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7845), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2663), 1,
      sym_attribute,
    STATE(2979), 1,
      sym__attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10463), 1,
      sym__match_cases,
    STATE(11694), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13749), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [837] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7847), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2664), 1,
      sym_attribute,
    STATE(3029), 1,
      sym__attribute,
    STATE(8105), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11972), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13765), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [974] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7849), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2665), 1,
      sym_attribute,
    STATE(3346), 1,
      sym__attribute,
    STATE(8212), 1,
      sym__match_cases,
    STATE(8460), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13573), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1111] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7851), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2666), 1,
      sym_attribute,
    STATE(3180), 1,
      sym__attribute,
    STATE(7909), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(9600), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13582), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1248] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7853), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2667), 1,
      sym_attribute,
    STATE(3127), 1,
      sym__attribute,
    STATE(7909), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12578), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13751), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1385] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7855), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2668), 1,
      sym_attribute,
    STATE(3423), 1,
      sym__attribute,
    STATE(8105), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12205), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13504), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1522] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7857), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2669), 1,
      sym_attribute,
    STATE(2994), 1,
      sym__attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10463), 1,
      sym__match_cases,
    STATE(10933), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13681), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1659] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7859), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2670), 1,
      sym_attribute,
    STATE(3355), 1,
      sym__attribute,
    STATE(8212), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(8609), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13497), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1796] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7861), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2671), 1,
      sym_attribute,
    STATE(3056), 1,
      sym__attribute,
    STATE(8105), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(9460), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13758), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1933] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7855), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2672), 1,
      sym_attribute,
    STATE(3077), 1,
      sym__attribute,
    STATE(7909), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12205), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13504), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2070] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7863), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2673), 1,
      sym_attribute,
    STATE(2989), 1,
      sym__attribute,
    STATE(8212), 1,
      sym__match_cases,
    STATE(8287), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13581), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2207] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7865), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2674), 1,
      sym_attribute,
    STATE(3281), 1,
      sym__attribute,
    STATE(8212), 1,
      sym__match_cases,
    STATE(8382), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13602), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2344] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7851), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2675), 1,
      sym_attribute,
    STATE(3362), 1,
      sym__attribute,
    STATE(8105), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(9600), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13582), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [2556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [2631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [2706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [2781] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7883), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2680), 1,
      sym_attribute,
    STATE(3113), 1,
      sym__attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10463), 1,
      sym__match_cases,
    STATE(12410), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [2993] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7889), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2682), 1,
      sym_attribute,
    STATE(3453), 1,
      sym__attribute,
    STATE(7909), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10129), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13687), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [3205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [3280] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7899), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2685), 1,
      sym_attribute,
    STATE(3318), 1,
      sym__attribute,
    STATE(8212), 1,
      sym__match_cases,
    STATE(8396), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13525), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3417] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7841), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2686), 1,
      sym_attribute,
    STATE(3220), 1,
      sym__attribute,
    STATE(8105), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12448), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13558), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [3629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [3704] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7905), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2689), 1,
      sym_attribute,
    STATE(3424), 1,
      sym__attribute,
    STATE(8212), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(8673), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13657), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3841] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7843), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2690), 1,
      sym_attribute,
    STATE(3490), 1,
      sym__attribute,
    STATE(7909), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11951), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13729), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3978] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7907), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2691), 1,
      sym_attribute,
    STATE(3156), 1,
      sym__attribute,
    STATE(7909), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12537), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13496), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4115] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7909), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2692), 1,
      sym_attribute,
    STATE(3457), 1,
      sym__attribute,
    STATE(8143), 1,
      sym_match_case,
    STATE(8212), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13467), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4252] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7907), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2693), 1,
      sym_attribute,
    STATE(3131), 1,
      sym__attribute,
    STATE(8105), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12537), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13496), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [4464] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7915), 1,
      anon_sym_LT_DASH,
    STATE(2695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [4541] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2696), 1,
      sym_attribute,
    STATE(3099), 1,
      sym__attribute,
    STATE(7909), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10586), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13595), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4678] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2697), 1,
      sym_attribute,
    STATE(3434), 1,
      sym__attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10463), 1,
      sym__match_cases,
    STATE(11472), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13668), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4815] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7919), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2698), 1,
      sym_attribute,
    STATE(3122), 1,
      sym__attribute,
    STATE(7909), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11959), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13574), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4952] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7919), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2699), 1,
      sym_attribute,
    STATE(3016), 1,
      sym__attribute,
    STATE(8105), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11959), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13574), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5089] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7921), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2700), 1,
      sym_attribute,
    STATE(2988), 1,
      sym__attribute,
    STATE(8161), 1,
      sym_match_case,
    STATE(8212), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13714), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5226] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7923), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2701), 1,
      sym_attribute,
    STATE(3091), 1,
      sym__attribute,
    STATE(8212), 1,
      sym__match_cases,
    STATE(8476), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13708), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [5438] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7925), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2703), 1,
      sym_attribute,
    STATE(3151), 1,
      sym__attribute,
    STATE(7909), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11966), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13545), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5575] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7889), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2704), 1,
      sym_attribute,
    STATE(3001), 1,
      sym__attribute,
    STATE(8105), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10129), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13687), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5712] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7927), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2705), 1,
      sym_attribute,
    STATE(3038), 1,
      sym__attribute,
    STATE(8212), 1,
      sym__match_cases,
    STATE(8281), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13481), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5849] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7847), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2706), 1,
      sym_attribute,
    STATE(3181), 1,
      sym__attribute,
    STATE(7909), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11972), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13765), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5986] = 29,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7929), 1,
      sym__identifier,
    ACTIONS(7935), 1,
      anon_sym_LPAREN,
    ACTIONS(7938), 1,
      anon_sym_LBRACK,
    ACTIONS(7944), 1,
      anon_sym_LBRACE,
    ACTIONS(7947), 1,
      anon_sym_POUND,
    ACTIONS(7950), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7953), 1,
      anon_sym_begin,
    ACTIONS(7956), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7959), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7962), 1,
      aux_sym_number_token1,
    ACTIONS(7965), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7968), 1,
      anon_sym_SQUOTE,
    ACTIONS(7971), 1,
      anon_sym_DQUOTE,
    ACTIONS(7974), 1,
      sym__capitalized_identifier,
    ACTIONS(7977), 1,
      aux_sym_tag_token1,
    STATE(8589), 1,
      sym__simple_pattern,
    STATE(8615), 1,
      sym__constructor_name,
    STATE(19653), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(7941), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2707), 2,
      sym_attribute,
      aux_sym_let_binding_repeat1,
    STATE(8588), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(8712), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(7276), 5,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    STATE(8614), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    ACTIONS(7278), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
    STATE(8636), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [6109] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7980), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2708), 1,
      sym_attribute,
    STATE(3047), 1,
      sym__attribute,
    STATE(8212), 1,
      sym__match_cases,
    STATE(8303), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13760), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6246] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7861), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2709), 1,
      sym_attribute,
    STATE(3335), 1,
      sym__attribute,
    STATE(7909), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(9460), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13758), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6383] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7982), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2710), 1,
      sym_attribute,
    STATE(3474), 1,
      sym__attribute,
    STATE(7909), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12007), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13471), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6520] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7984), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2711), 1,
      sym_attribute,
    STATE(3121), 1,
      sym__attribute,
    STATE(7909), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12213), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13664), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6657] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7986), 1,
      anon_sym_LT_DASH,
    STATE(2712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [6734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [6809] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7984), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2714), 1,
      sym_attribute,
    STATE(3169), 1,
      sym__attribute,
    STATE(8105), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12213), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13664), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6946] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7988), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2715), 1,
      sym_attribute,
    STATE(2966), 1,
      sym__attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10463), 1,
      sym__match_cases,
    STATE(12147), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13585), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7083] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7925), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2716), 1,
      sym_attribute,
    STATE(3023), 1,
      sym__attribute,
    STATE(8105), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11966), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13545), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [7295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [7370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [7445] = 36,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    ACTIONS(7990), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2720), 1,
      sym_attribute,
    STATE(3263), 1,
      sym__attribute,
    STATE(8212), 1,
      sym__match_cases,
    STATE(8292), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13483), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [7657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [7732] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(2723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [7809] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2724), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14764), 1,
      sym__simple_expression,
    STATE(15233), 1,
      sym_field_expression,
    STATE(19935), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [7939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [8013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [8087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [8161] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8024), 1,
      anon_sym_LT_DASH,
    STATE(2728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [8237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [8311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [8385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [8459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [8533] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(2733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [8609] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8026), 1,
      anon_sym_LT_DASH,
    STATE(2734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [8685] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2735), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14375), 1,
      sym__simple_expression,
    STATE(16269), 1,
      sym_field_expression,
    STATE(19930), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [8815] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(2736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [8891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [8965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [9039] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8028), 1,
      anon_sym_LT_DASH,
    STATE(2739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [9115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [9189] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2741), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14456), 1,
      sym__simple_expression,
    STATE(15625), 1,
      sym_field_expression,
    STATE(19150), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [9319] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2742), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14517), 1,
      sym__simple_expression,
    STATE(16235), 1,
      sym_field_expression,
    STATE(19314), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [9449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [9523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [9597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [9671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [9745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [9819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [9893] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3087), 1,
      anon_sym_DOT,
    ACTIONS(3089), 1,
      anon_sym_POUND,
    ACTIONS(3091), 1,
      sym_hash_operator,
    STATE(2749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [9973] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2750), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14567), 1,
      sym__simple_expression,
    STATE(16083), 1,
      sym_field_expression,
    STATE(18498), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [10103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [10177] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [10251] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [10325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [10399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [10473] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [10547] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [10621] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3087), 1,
      anon_sym_DOT,
    STATE(2758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [10697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [10771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [10845] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2761), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14591), 1,
      sym__simple_expression,
    STATE(15526), 1,
      sym_field_expression,
    STATE(18481), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [10975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [11049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [11123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [11197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [11271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [11345] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [11419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [11493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [11567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [11641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [11715] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [11789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [11863] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [11937] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2775), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14610), 1,
      sym__simple_expression,
    STATE(16140), 1,
      sym_field_expression,
    STATE(19880), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [12067] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3087), 1,
      anon_sym_DOT,
    ACTIONS(3089), 1,
      anon_sym_POUND,
    ACTIONS(3091), 1,
      sym_hash_operator,
    STATE(2776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [12147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [12221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [12295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [12369] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [12443] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2781), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14517), 1,
      sym__simple_expression,
    STATE(16235), 1,
      sym_field_expression,
    STATE(18125), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [12573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [12647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [12721] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2784), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14627), 1,
      sym__simple_expression,
    STATE(15216), 1,
      sym_field_expression,
    STATE(19172), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [12851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [12925] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [12999] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [13073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [13147] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2789), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14643), 1,
      sym__simple_expression,
    STATE(15412), 1,
      sym_field_expression,
    STATE(17661), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [13277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [13351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [13425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [13499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [13573] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2794), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14653), 1,
      sym__simple_expression,
    STATE(15590), 1,
      sym_field_expression,
    STATE(18499), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [13703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [13777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [13851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [13925] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [13999] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [14073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [14147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [14221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [14295] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2803), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14660), 1,
      sym__simple_expression,
    STATE(15816), 1,
      sym_field_expression,
    STATE(17713), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [14425] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3105), 1,
      anon_sym_DOT,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3109), 1,
      sym_hash_operator,
    STATE(2804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [14505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [14579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [14653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [14727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [14801] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [14875] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [14949] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2811), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14669), 1,
      sym__simple_expression,
    STATE(16051), 1,
      sym_field_expression,
    STATE(17926), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [15079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [15153] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3105), 1,
      anon_sym_DOT,
    STATE(2813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [15229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [15303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [15377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [15451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [15525] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2818), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14677), 1,
      sym__simple_expression,
    STATE(16255), 1,
      sym_field_expression,
    STATE(18151), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [15655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [15729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [15803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [15877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [15951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [16025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [16099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [16173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [16247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [16321] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2828), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14685), 1,
      sym__simple_expression,
    STATE(15064), 1,
      sym_field_expression,
    STATE(18601), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [16451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [16525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [16599] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [16673] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3105), 1,
      anon_sym_DOT,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    ACTIONS(3109), 1,
      sym_hash_operator,
    STATE(2832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [16753] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [16827] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2834), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14693), 1,
      sym__simple_expression,
    STATE(15156), 1,
      sym_field_expression,
    STATE(18820), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [16957] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [17031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [17105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [17179] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [17253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [17327] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2840), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14701), 1,
      sym__simple_expression,
    STATE(15223), 1,
      sym_field_expression,
    STATE(19191), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [17457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [17531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [17605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [17679] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2844), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14709), 1,
      sym__simple_expression,
    STATE(15303), 1,
      sym_field_expression,
    STATE(19319), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [17809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [17883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [17957] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2847), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14717), 1,
      sym__simple_expression,
    STATE(15355), 1,
      sym_field_expression,
    STATE(19457), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [18087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [18161] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2849), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14725), 1,
      sym__simple_expression,
    STATE(15416), 1,
      sym_field_expression,
    STATE(19650), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [18291] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [18365] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(2851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [18441] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(2852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [18517] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [18591] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [18665] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2855), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14736), 1,
      sym__simple_expression,
    STATE(15532), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    STATE(20215), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [18795] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2856), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14742), 1,
      sym__simple_expression,
    STATE(15589), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    STATE(20388), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [18925] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [18999] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19221] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2861), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14750), 1,
      sym__simple_expression,
    STATE(15656), 1,
      sym_field_expression,
    STATE(18493), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [19351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19573] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2865), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14756), 1,
      sym__simple_expression,
    STATE(15712), 1,
      sym_field_expression,
    STATE(19230), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [19703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19925] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2869), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14761), 1,
      sym__simple_expression,
    STATE(15768), 1,
      sym_field_expression,
    STATE(17934), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [20055] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2870), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14767), 1,
      sym__simple_expression,
    STATE(15819), 1,
      sym_field_expression,
    STATE(19049), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [20185] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [20259] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2872), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14773), 1,
      sym__simple_expression,
    STATE(15857), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    STATE(20249), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [20389] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2873), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14776), 1,
      sym__simple_expression,
    STATE(15908), 1,
      sym_field_expression,
    STATE(17774), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [20519] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2874), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14782), 1,
      sym__simple_expression,
    STATE(15954), 1,
      sym_field_expression,
    STATE(18155), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [20649] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [20723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [20797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [20871] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2878), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14788), 1,
      sym__simple_expression,
    STATE(16054), 1,
      sym_field_expression,
    STATE(18506), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [21001] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [21075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [21149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [21223] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2882), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14792), 1,
      sym__simple_expression,
    STATE(16086), 1,
      sym_field_expression,
    STATE(18663), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [21353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [21427] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2884), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14799), 1,
      sym__simple_expression,
    STATE(16127), 1,
      sym_field_expression,
    STATE(18750), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [21557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [21631] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_LT_DASH,
    STATE(2886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [21707] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2887), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14805), 1,
      sym__simple_expression,
    STATE(16178), 1,
      sym_field_expression,
    STATE(18788), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [21837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [21911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [21985] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2890), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14810), 1,
      sym__simple_expression,
    STATE(16259), 1,
      sym_field_expression,
    STATE(18869), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [22115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [22189] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2892), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14815), 1,
      sym__simple_expression,
    STATE(16389), 1,
      sym_field_expression,
    STATE(18946), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [22319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [22393] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2894), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14819), 1,
      sym__simple_expression,
    STATE(16429), 1,
      sym_field_expression,
    STATE(19007), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [22523] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2895), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14825), 1,
      sym__simple_expression,
    STATE(15043), 1,
      sym_field_expression,
    STATE(19050), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [22653] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2896), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14832), 1,
      sym__simple_expression,
    STATE(15065), 1,
      sym_field_expression,
    STATE(19089), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [22783] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2897), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14837), 1,
      sym__simple_expression,
    STATE(15091), 1,
      sym_field_expression,
    STATE(19119), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [22913] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2898), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14841), 1,
      sym__simple_expression,
    STATE(15119), 1,
      sym_field_expression,
    STATE(19156), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [23043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [23117] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [23191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [23265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [23339] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2903), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14846), 1,
      sym__simple_expression,
    STATE(15144), 1,
      sym_field_expression,
    STATE(19255), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [23469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [23543] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [23617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [23691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [23765] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(2908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [23841] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2909), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14853), 1,
      sym__simple_expression,
    STATE(15162), 1,
      sym_field_expression,
    STATE(19316), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [23971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24415] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2916), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14859), 1,
      sym__simple_expression,
    STATE(15192), 1,
      sym_field_expression,
    STATE(19389), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [24545] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24619] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(2918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24769] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24843] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24917] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25065] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25361] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25435] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(2929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25511] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25955] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(2936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26179] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26401] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26919] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4959), 1,
      anon_sym_as,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8312), 1,
      sym__identifier,
    ACTIONS(8314), 1,
      anon_sym_lazy,
    STATE(2950), 1,
      sym_tag,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13318), 1,
      sym__binding_pattern,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2949), 2,
      sym_attribute,
      sym_constructor_path,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(4957), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [27051] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4959), 1,
      anon_sym_as,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8312), 1,
      sym__identifier,
    ACTIONS(8314), 1,
      anon_sym_lazy,
    STATE(2949), 1,
      sym_constructor_path,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13319), 1,
      sym__binding_pattern,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2950), 2,
      sym_attribute,
      sym_tag,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(4957), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [27183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [27257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [27331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [27405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [27479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [27553] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [27627] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(2957), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14731), 1,
      sym__simple_expression,
    STATE(15481), 1,
      sym_field_expression,
    STATE(19898), 1,
      sym__quoted_string,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [27757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [27830] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7909), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2959), 1,
      sym_attribute,
    STATE(8143), 1,
      sym_match_case,
    STATE(8263), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13467), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [27961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [28034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [28107] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7909), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2962), 1,
      sym_attribute,
    STATE(8143), 1,
      sym_match_case,
    STATE(8244), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13467), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [28238] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7909), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2963), 1,
      sym_attribute,
    STATE(8112), 1,
      sym__match_cases,
    STATE(8143), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13467), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [28369] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(2964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [28444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [28517] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7988), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2966), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10405), 1,
      sym__match_cases,
    STATE(12147), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13585), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [28648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [28721] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [28794] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7988), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2969), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10384), 1,
      sym__match_cases,
    STATE(12147), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13585), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [28925] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7988), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2970), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10456), 1,
      sym__match_cases,
    STATE(12147), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13585), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [29056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [29129] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7988), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2972), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10388), 1,
      sym__match_cases,
    STATE(12147), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13585), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [29260] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7988), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2973), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10404), 1,
      sym__match_cases,
    STATE(12147), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13585), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [29391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [29464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [29537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [29610] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(2977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [29685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [29758] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7845), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2979), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10405), 1,
      sym__match_cases,
    STATE(11694), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13749), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [29889] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7845), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2980), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10384), 1,
      sym__match_cases,
    STATE(11694), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13749), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [30020] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7845), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2981), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10456), 1,
      sym__match_cases,
    STATE(11694), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13749), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [30151] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7845), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2982), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10388), 1,
      sym__match_cases,
    STATE(11694), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13749), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [30282] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7845), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2983), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10404), 1,
      sym__match_cases,
    STATE(11694), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13749), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [30413] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7859), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2984), 1,
      sym_attribute,
    STATE(8244), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(8609), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13497), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [30544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [30617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [30690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [30763] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7921), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2988), 1,
      sym_attribute,
    STATE(8161), 1,
      sym_match_case,
    STATE(8229), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13714), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [30894] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7863), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2989), 1,
      sym_attribute,
    STATE(8229), 1,
      sym__match_cases,
    STATE(8287), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13581), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [31025] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7921), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2990), 1,
      sym_attribute,
    STATE(8161), 1,
      sym_match_case,
    STATE(8251), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13714), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [31156] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7921), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2991), 1,
      sym_attribute,
    STATE(8161), 1,
      sym_match_case,
    STATE(8263), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13714), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [31287] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7921), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2992), 1,
      sym_attribute,
    STATE(8161), 1,
      sym_match_case,
    STATE(8244), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13714), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [31418] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7921), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2993), 1,
      sym_attribute,
    STATE(8112), 1,
      sym__match_cases,
    STATE(8161), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13714), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [31549] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7857), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2994), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10405), 1,
      sym__match_cases,
    STATE(10933), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13681), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [31680] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7857), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2995), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10384), 1,
      sym__match_cases,
    STATE(10933), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13681), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [31811] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7857), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2996), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10456), 1,
      sym__match_cases,
    STATE(10933), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13681), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [31942] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7857), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2997), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10388), 1,
      sym__match_cases,
    STATE(10933), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13681), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [32073] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7857), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(2998), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10404), 1,
      sym__match_cases,
    STATE(10933), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13681), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [32204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [32277] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7863), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3000), 1,
      sym_attribute,
    STATE(8251), 1,
      sym__match_cases,
    STATE(8287), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13581), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [32408] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7889), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3001), 1,
      sym_attribute,
    STATE(8098), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10129), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13687), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [32539] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7889), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3002), 1,
      sym_attribute,
    STATE(8100), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10129), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13687), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [32670] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7889), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3003), 1,
      sym_attribute,
    STATE(8104), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10129), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13687), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [32801] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7889), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3004), 1,
      sym_attribute,
    STATE(8196), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10129), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13687), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [32932] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7889), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3005), 1,
      sym_attribute,
    STATE(8197), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10129), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13687), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [33063] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7843), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3006), 1,
      sym_attribute,
    STATE(8098), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11951), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13729), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [33194] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7843), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3007), 1,
      sym_attribute,
    STATE(8100), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11951), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13729), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [33325] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7843), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3008), 1,
      sym_attribute,
    STATE(8104), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11951), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13729), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [33456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [33529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [33602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [33675] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7843), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3012), 1,
      sym_attribute,
    STATE(8196), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11951), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13729), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [33806] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7843), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3013), 1,
      sym_attribute,
    STATE(8197), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11951), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13729), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [33937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [34010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [34083] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7919), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3016), 1,
      sym_attribute,
    STATE(8098), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11959), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13574), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [34214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [34287] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7919), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3018), 1,
      sym_attribute,
    STATE(8100), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11959), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13574), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [34418] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7919), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3019), 1,
      sym_attribute,
    STATE(8104), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11959), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13574), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [34549] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7919), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3020), 1,
      sym_attribute,
    STATE(8196), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11959), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13574), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [34680] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7919), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3021), 1,
      sym_attribute,
    STATE(8197), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11959), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13574), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [34811] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7863), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3022), 1,
      sym_attribute,
    STATE(8263), 1,
      sym__match_cases,
    STATE(8287), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13581), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [34942] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7925), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3023), 1,
      sym_attribute,
    STATE(8098), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11966), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13545), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [35073] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7925), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3024), 1,
      sym_attribute,
    STATE(8100), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11966), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13545), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [35204] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7925), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3025), 1,
      sym_attribute,
    STATE(8104), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11966), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13545), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [35335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [35408] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7925), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3027), 1,
      sym_attribute,
    STATE(8196), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11966), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13545), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [35539] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7925), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3028), 1,
      sym_attribute,
    STATE(8197), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11966), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13545), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [35670] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7847), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3029), 1,
      sym_attribute,
    STATE(8098), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11972), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13765), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [35801] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [35874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [35947] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7847), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3032), 1,
      sym_attribute,
    STATE(8100), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11972), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13765), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [36078] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7847), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3033), 1,
      sym_attribute,
    STATE(8104), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11972), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13765), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [36209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [36282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [36355] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7847), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3036), 1,
      sym_attribute,
    STATE(8196), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11972), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13765), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [36486] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7847), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3037), 1,
      sym_attribute,
    STATE(8197), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11972), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13765), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [36617] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7927), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3038), 1,
      sym_attribute,
    STATE(8229), 1,
      sym__match_cases,
    STATE(8281), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13481), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [36748] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7859), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3039), 1,
      sym_attribute,
    STATE(8112), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(8609), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13497), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [36879] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7927), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3040), 1,
      sym_attribute,
    STATE(8251), 1,
      sym__match_cases,
    STATE(8281), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13481), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [37010] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7927), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3041), 1,
      sym_attribute,
    STATE(8263), 1,
      sym__match_cases,
    STATE(8281), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13481), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [37141] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7863), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3042), 1,
      sym_attribute,
    STATE(8244), 1,
      sym__match_cases,
    STATE(8287), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13581), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [37272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [37345] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7927), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3044), 1,
      sym_attribute,
    STATE(8244), 1,
      sym__match_cases,
    STATE(8281), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13481), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [37476] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7927), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3045), 1,
      sym_attribute,
    STATE(8112), 1,
      sym__match_cases,
    STATE(8281), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13481), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [37607] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [37680] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7980), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3047), 1,
      sym_attribute,
    STATE(8229), 1,
      sym__match_cases,
    STATE(8303), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13760), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [37811] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7980), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3048), 1,
      sym_attribute,
    STATE(8251), 1,
      sym__match_cases,
    STATE(8303), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13760), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [37942] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7980), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3049), 1,
      sym_attribute,
    STATE(8263), 1,
      sym__match_cases,
    STATE(8303), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13760), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [38146] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7980), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3051), 1,
      sym_attribute,
    STATE(8244), 1,
      sym__match_cases,
    STATE(8303), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13760), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38277] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7980), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3052), 1,
      sym_attribute,
    STATE(8112), 1,
      sym__match_cases,
    STATE(8303), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13760), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38408] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7863), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3053), 1,
      sym_attribute,
    STATE(8112), 1,
      sym__match_cases,
    STATE(8287), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13581), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [38612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [38685] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7861), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3056), 1,
      sym_attribute,
    STATE(8098), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(9460), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13758), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38816] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7861), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3057), 1,
      sym_attribute,
    STATE(8100), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(9460), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13758), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38947] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7861), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3058), 1,
      sym_attribute,
    STATE(8104), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(9460), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13758), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [39078] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7861), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3059), 1,
      sym_attribute,
    STATE(8196), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(9460), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13758), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [39209] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7861), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3060), 1,
      sym_attribute,
    STATE(8197), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(9460), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13758), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [39340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [39413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [39486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [39559] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [39632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [39705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [39778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [39851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [39924] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7855), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3069), 1,
      sym_attribute,
    STATE(8100), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12205), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13504), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [40055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [40128] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7855), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3071), 1,
      sym_attribute,
    STATE(8104), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12205), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13504), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [40259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [40332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [40405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [40478] = 39,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    ACTIONS(7609), 1,
      anon_sym_rec,
    ACTIONS(7615), 1,
      anon_sym_open,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(3075), 1,
      sym_attribute,
    STATE(4511), 1,
      sym__attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18733), 1,
      sym_open_module,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [40619] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [40692] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7855), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3077), 1,
      sym_attribute,
    STATE(7902), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12205), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13504), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [40823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [40896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [40969] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3080), 1,
      sym_attribute,
    STATE(7938), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10586), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13595), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [41100] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(3081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [41175] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3082), 1,
      sym_attribute,
    STATE(7914), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10586), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13595), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [41306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [41379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [41452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [41525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [41598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [41671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [41744] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7855), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3089), 1,
      sym_attribute,
    STATE(8196), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12205), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13504), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [41875] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [41948] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7923), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3091), 1,
      sym_attribute,
    STATE(8229), 1,
      sym__match_cases,
    STATE(8476), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13708), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [42079] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7855), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3092), 1,
      sym_attribute,
    STATE(8005), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12205), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13504), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [42210] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7923), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3093), 1,
      sym_attribute,
    STATE(8251), 1,
      sym__match_cases,
    STATE(8476), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13708), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [42341] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7923), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3094), 1,
      sym_attribute,
    STATE(8263), 1,
      sym__match_cases,
    STATE(8476), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13708), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [42472] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7855), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3095), 1,
      sym_attribute,
    STATE(8017), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12205), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13504), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [42603] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7923), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3096), 1,
      sym_attribute,
    STATE(8244), 1,
      sym__match_cases,
    STATE(8476), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13708), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [42734] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7923), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3097), 1,
      sym_attribute,
    STATE(8112), 1,
      sym__match_cases,
    STATE(8476), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13708), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [42865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [42938] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3099), 1,
      sym_attribute,
    STATE(7902), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10586), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13595), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [43069] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7855), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3100), 1,
      sym_attribute,
    STATE(7938), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12205), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13504), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [43200] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7855), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3101), 1,
      sym_attribute,
    STATE(7914), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12205), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13504), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [43331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [43404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [43477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [43550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [43623] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3213), 1,
      anon_sym_DOT,
    ACTIONS(3215), 1,
      anon_sym_POUND,
    ACTIONS(3217), 1,
      sym_hash_operator,
    STATE(3106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [43702] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(3107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [43777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [43850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [43923] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7859), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3110), 1,
      sym_attribute,
    STATE(8251), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(8609), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13497), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [44054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [44127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [44200] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7883), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3113), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10405), 1,
      sym__match_cases,
    STATE(12410), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [44331] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7855), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3114), 1,
      sym_attribute,
    STATE(8197), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12205), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13504), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [44462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [44535] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7883), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3116), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10384), 1,
      sym__match_cases,
    STATE(12410), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [44666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [44739] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7883), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3118), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10456), 1,
      sym__match_cases,
    STATE(12410), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [44870] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7883), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3119), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10388), 1,
      sym__match_cases,
    STATE(12410), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [45001] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7883), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3120), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10404), 1,
      sym__match_cases,
    STATE(12410), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [45132] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7984), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3121), 1,
      sym_attribute,
    STATE(7902), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12213), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13664), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [45263] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7919), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3122), 1,
      sym_attribute,
    STATE(7902), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11959), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13574), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [45394] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7984), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3123), 1,
      sym_attribute,
    STATE(8005), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12213), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13664), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [45525] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7919), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3124), 1,
      sym_attribute,
    STATE(8005), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11959), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13574), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [45656] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7919), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3125), 1,
      sym_attribute,
    STATE(8017), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11959), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13574), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [45787] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7984), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3126), 1,
      sym_attribute,
    STATE(8017), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12213), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13664), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [45918] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7853), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3127), 1,
      sym_attribute,
    STATE(7902), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12578), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13751), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [46049] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7919), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3128), 1,
      sym_attribute,
    STATE(7938), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11959), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13574), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [46180] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7919), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3129), 1,
      sym_attribute,
    STATE(7914), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11959), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13574), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [46311] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3179), 1,
      anon_sym_DOT,
    ACTIONS(3181), 1,
      anon_sym_POUND,
    ACTIONS(3183), 1,
      sym_hash_operator,
    STATE(3130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [46390] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7907), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3131), 1,
      sym_attribute,
    STATE(8098), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12537), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13496), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [46521] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3132), 1,
      sym_attribute,
    STATE(8005), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10586), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13595), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [46652] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7984), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3133), 1,
      sym_attribute,
    STATE(7938), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12213), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13664), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [46783] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7984), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3134), 1,
      sym_attribute,
    STATE(7914), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12213), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13664), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [46914] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7907), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3135), 1,
      sym_attribute,
    STATE(8100), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12537), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13496), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [47045] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7859), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3136), 1,
      sym_attribute,
    STATE(8263), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(8609), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13497), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [47176] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7907), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3137), 1,
      sym_attribute,
    STATE(8104), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12537), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13496), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [47307] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7907), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3138), 1,
      sym_attribute,
    STATE(8196), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12537), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13496), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [47438] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7907), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3139), 1,
      sym_attribute,
    STATE(8197), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12537), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13496), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [47569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [47642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [47715] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7835), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3142), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10405), 1,
      sym__match_cases,
    STATE(12036), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13586), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [47846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [47919] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    ACTIONS(8316), 1,
      sym__identifier,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    ACTIONS(8320), 1,
      anon_sym_LBRACK,
    ACTIONS(8322), 1,
      anon_sym_LBRACE,
    ACTIONS(8324), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8326), 1,
      anon_sym_lazy,
    STATE(3148), 1,
      sym_tag,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(13722), 1,
      sym__signed_constant,
    STATE(13811), 1,
      sym__binding_pattern,
    STATE(13845), 1,
      sym_parenthesized_operator,
    STATE(13873), 1,
      sym_record_binding_pattern,
    STATE(13878), 1,
      sym_list_binding_pattern,
    STATE(13879), 1,
      sym_array_binding_pattern,
    STATE(18628), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_PIPE,
      anon_sym_as,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3144), 2,
      sym_attribute,
      sym_constructor_path,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(4957), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13861), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [48050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [48123] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3146), 1,
      sym_attribute,
    STATE(8017), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10586), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13595), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [48254] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7835), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3147), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10384), 1,
      sym__match_cases,
    STATE(12036), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13586), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [48385] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    ACTIONS(8316), 1,
      sym__identifier,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    ACTIONS(8320), 1,
      anon_sym_LBRACK,
    ACTIONS(8322), 1,
      anon_sym_LBRACE,
    ACTIONS(8324), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8326), 1,
      anon_sym_lazy,
    STATE(3144), 1,
      sym_constructor_path,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(13722), 1,
      sym__signed_constant,
    STATE(13815), 1,
      sym__binding_pattern,
    STATE(13845), 1,
      sym_parenthesized_operator,
    STATE(13873), 1,
      sym_record_binding_pattern,
    STATE(13878), 1,
      sym_list_binding_pattern,
    STATE(13879), 1,
      sym_array_binding_pattern,
    STATE(18628), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_PIPE,
      anon_sym_as,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3148), 2,
      sym_attribute,
      sym_tag,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(4957), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13861), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [48516] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7835), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3149), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10456), 1,
      sym__match_cases,
    STATE(12036), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13586), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [48647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [48720] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7925), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3151), 1,
      sym_attribute,
    STATE(7902), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11966), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13545), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [48851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [48924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [48997] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7925), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3154), 1,
      sym_attribute,
    STATE(8005), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11966), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13545), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [49128] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7925), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3155), 1,
      sym_attribute,
    STATE(8017), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11966), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13545), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [49259] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7907), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3156), 1,
      sym_attribute,
    STATE(7902), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12537), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13496), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [49390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [49463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [49536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [49609] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7835), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3160), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10388), 1,
      sym__match_cases,
    STATE(12036), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13586), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [49740] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7925), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3161), 1,
      sym_attribute,
    STATE(7938), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11966), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13545), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [49871] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7925), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3162), 1,
      sym_attribute,
    STATE(7914), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11966), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13545), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [50002] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7835), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3163), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10404), 1,
      sym__match_cases,
    STATE(12036), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13586), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [50133] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [50206] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7907), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3165), 1,
      sym_attribute,
    STATE(8005), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12537), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13496), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [50337] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7907), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3166), 1,
      sym_attribute,
    STATE(8017), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12537), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13496), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [50468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [50541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [50614] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7984), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3169), 1,
      sym_attribute,
    STATE(8098), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12213), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13664), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [50745] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7984), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3170), 1,
      sym_attribute,
    STATE(8100), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12213), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13664), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [50876] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7984), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3171), 1,
      sym_attribute,
    STATE(8104), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12213), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13664), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [51007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [51080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [51153] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7984), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3174), 1,
      sym_attribute,
    STATE(8196), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12213), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13664), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [51284] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7984), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3175), 1,
      sym_attribute,
    STATE(8197), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12213), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13664), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [51415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [51488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [51561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [51634] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7853), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3179), 1,
      sym_attribute,
    STATE(8005), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12578), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13751), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [51765] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7851), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3180), 1,
      sym_attribute,
    STATE(7902), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(9600), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13582), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [51896] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7847), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3181), 1,
      sym_attribute,
    STATE(7902), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11972), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13765), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [52027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [52100] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7847), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3183), 1,
      sym_attribute,
    STATE(8005), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11972), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13765), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [52231] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7853), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3184), 1,
      sym_attribute,
    STATE(8017), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12578), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13751), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [52362] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7847), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3185), 1,
      sym_attribute,
    STATE(8017), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11972), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13765), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [52493] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3213), 1,
      anon_sym_DOT,
    ACTIONS(3215), 1,
      anon_sym_POUND,
    ACTIONS(3217), 1,
      sym_hash_operator,
    STATE(3186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [52572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [52645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [52718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [52791] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [52864] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7847), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3191), 1,
      sym_attribute,
    STATE(7938), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11972), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13765), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [52995] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7847), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3192), 1,
      sym_attribute,
    STATE(7914), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11972), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13765), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [53126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [53199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [53272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [53345] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [53418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [53491] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3223), 1,
      anon_sym_DOT,
    ACTIONS(3225), 1,
      anon_sym_POUND,
    ACTIONS(3227), 1,
      sym_hash_operator,
    STATE(3198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [53570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [53643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [53716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [53789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [53862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [53935] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7851), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3204), 1,
      sym_attribute,
    STATE(8005), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(9600), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13582), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [54066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [54139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [54212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [54285] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [54358] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3223), 1,
      anon_sym_DOT,
    STATE(3209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [54433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [54506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [54579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [54652] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7851), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3213), 1,
      sym_attribute,
    STATE(8017), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(9600), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13582), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [54783] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [54856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [54929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [55002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [55075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [55148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [55221] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7841), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3220), 1,
      sym_attribute,
    STATE(8098), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12448), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13558), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [55352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [55425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [55498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [55571] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [55644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [55717] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [55790] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [55863] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [55936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [56009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [56082] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7841), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3231), 1,
      sym_attribute,
    STATE(8100), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12448), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13558), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [56213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [56286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [56359] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3223), 1,
      anon_sym_DOT,
    ACTIONS(3225), 1,
      anon_sym_POUND,
    ACTIONS(3227), 1,
      sym_hash_operator,
    STATE(3234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [56438] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7841), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3235), 1,
      sym_attribute,
    STATE(8104), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12448), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13558), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [56569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [56642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [56715] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [56788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [56861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [56934] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7851), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3241), 1,
      sym_attribute,
    STATE(7938), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(9600), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13582), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [57065] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7851), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3242), 1,
      sym_attribute,
    STATE(7914), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(9600), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13582), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [57196] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7841), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3243), 1,
      sym_attribute,
    STATE(8196), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12448), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13558), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [57327] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7841), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3244), 1,
      sym_attribute,
    STATE(8197), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12448), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13558), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [57458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [57531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [57604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [57677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [57750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [57823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [57896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [57969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [58042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [58115] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3149), 1,
      anon_sym_DOT,
    ACTIONS(3151), 1,
      anon_sym_POUND,
    ACTIONS(3153), 1,
      sym_hash_operator,
    STATE(3254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [58194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [58267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [58340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [58413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [58486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [58559] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [58632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [58705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [58778] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7990), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3263), 1,
      sym_attribute,
    STATE(8229), 1,
      sym__match_cases,
    STATE(8292), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13483), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [58909] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3149), 1,
      anon_sym_DOT,
    STATE(3264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [58984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59057] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59203] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59422] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59495] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59787] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [60006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [60079] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7990), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3280), 1,
      sym_attribute,
    STATE(8251), 1,
      sym__match_cases,
    STATE(8292), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13483), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [60210] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7865), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3281), 1,
      sym_attribute,
    STATE(8229), 1,
      sym__match_cases,
    STATE(8382), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13602), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [60341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [60414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [60487] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3149), 1,
      anon_sym_DOT,
    ACTIONS(3151), 1,
      anon_sym_POUND,
    ACTIONS(3153), 1,
      sym_hash_operator,
    STATE(3284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [60566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [60639] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7865), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3286), 1,
      sym_attribute,
    STATE(8251), 1,
      sym__match_cases,
    STATE(8382), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13602), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [60770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [60843] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [60916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [60989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [61062] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7865), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3291), 1,
      sym_attribute,
    STATE(8263), 1,
      sym__match_cases,
    STATE(8382), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13602), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [61193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [61266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [61339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [61412] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7990), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3295), 1,
      sym_attribute,
    STATE(8263), 1,
      sym__match_cases,
    STATE(8292), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13483), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [61543] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [61616] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [61689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [61762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [61835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [61908] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [61981] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7865), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3302), 1,
      sym_attribute,
    STATE(8244), 1,
      sym__match_cases,
    STATE(8382), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13602), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [62112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [62185] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7865), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3304), 1,
      sym_attribute,
    STATE(8112), 1,
      sym__match_cases,
    STATE(8382), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13602), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [62316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [62389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [62462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [62535] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7907), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3308), 1,
      sym_attribute,
    STATE(7938), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12537), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13496), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [62666] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7907), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3309), 1,
      sym_attribute,
    STATE(7914), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12537), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13496), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [62797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [62870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [62943] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [63016] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7990), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3313), 1,
      sym_attribute,
    STATE(8244), 1,
      sym__match_cases,
    STATE(8292), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13483), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [63147] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7990), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3314), 1,
      sym_attribute,
    STATE(8112), 1,
      sym__match_cases,
    STATE(8292), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13483), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [63278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [63351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [63424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [63497] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7899), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3318), 1,
      sym_attribute,
    STATE(8229), 1,
      sym__match_cases,
    STATE(8396), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13525), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [63628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [63701] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [63774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [63847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [63920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [63993] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [64066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [64139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [64212] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7899), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3327), 1,
      sym_attribute,
    STATE(8251), 1,
      sym__match_cases,
    STATE(8396), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13525), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [64343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [64416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [64489] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7899), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3330), 1,
      sym_attribute,
    STATE(8263), 1,
      sym__match_cases,
    STATE(8396), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13525), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [64620] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7899), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3331), 1,
      sym_attribute,
    STATE(8244), 1,
      sym__match_cases,
    STATE(8396), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13525), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [64751] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7899), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3332), 1,
      sym_attribute,
    STATE(8112), 1,
      sym__match_cases,
    STATE(8396), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13525), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [64882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [64955] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7841), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3334), 1,
      sym_attribute,
    STATE(7902), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12448), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13558), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [65086] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7861), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3335), 1,
      sym_attribute,
    STATE(7902), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(9460), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13758), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [65217] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [65290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [65363] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(3338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [65438] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7861), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3339), 1,
      sym_attribute,
    STATE(8005), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(9460), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13758), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [65569] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7861), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3340), 1,
      sym_attribute,
    STATE(8017), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(9460), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13758), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [65700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [65773] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8328), 1,
      anon_sym_LT_DASH,
    STATE(3342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [65848] = 39,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    ACTIONS(7609), 1,
      anon_sym_rec,
    ACTIONS(7615), 1,
      anon_sym_open,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(3343), 1,
      sym_attribute,
    STATE(4511), 1,
      sym__attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    STATE(20444), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [65989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [66062] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7861), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3345), 1,
      sym_attribute,
    STATE(7938), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(9460), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13758), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [66193] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7849), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3346), 1,
      sym_attribute,
    STATE(8229), 1,
      sym__match_cases,
    STATE(8460), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13573), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [66324] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7861), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3347), 1,
      sym_attribute,
    STATE(7914), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(9460), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13758), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [66455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [66528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [66601] = 39,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    ACTIONS(7609), 1,
      anon_sym_rec,
    ACTIONS(7615), 1,
      anon_sym_open,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(3350), 1,
      sym_attribute,
    STATE(4511), 1,
      sym__attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18348), 1,
      sym_open_module,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [66742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [66815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [66888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [66961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [67034] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7859), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3355), 1,
      sym_attribute,
    STATE(8229), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(8609), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13497), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [67165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [67238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [67311] = 39,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    ACTIONS(7609), 1,
      anon_sym_rec,
    ACTIONS(7615), 1,
      anon_sym_open,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(3358), 1,
      sym_attribute,
    STATE(4511), 1,
      sym__attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18752), 1,
      sym_open_module,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [67452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [67525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [67598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [67671] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7851), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3362), 1,
      sym_attribute,
    STATE(8098), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(9600), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13582), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [67802] = 39,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    ACTIONS(7609), 1,
      anon_sym_rec,
    ACTIONS(7615), 1,
      anon_sym_open,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(3363), 1,
      sym_attribute,
    STATE(4511), 1,
      sym__attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    STATE(19071), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [67943] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [68016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [68089] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7851), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3366), 1,
      sym_attribute,
    STATE(8100), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(9600), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13582), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [68220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [68293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [68366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [68439] = 39,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    ACTIONS(7609), 1,
      anon_sym_rec,
    ACTIONS(7615), 1,
      anon_sym_open,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(3370), 1,
      sym_attribute,
    STATE(4511), 1,
      sym__attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    STATE(19282), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [68580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [68653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [68726] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7851), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3373), 1,
      sym_attribute,
    STATE(8104), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(9600), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13582), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [68857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [68930] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [69003] = 39,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    ACTIONS(7609), 1,
      anon_sym_rec,
    ACTIONS(7615), 1,
      anon_sym_open,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(3376), 1,
      sym_attribute,
    STATE(4511), 1,
      sym__attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    STATE(19520), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [69144] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(3377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [69219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [69292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [69365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [69438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [69511] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [69584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [69657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [69730] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(3385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [69805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [69878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [69951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [70024] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(3389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [70099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [70172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [70245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [70318] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [70391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [70464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [70537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [70610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [70683] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(3398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [70758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [70831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [70904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [70977] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(3402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [71052] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7851), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3403), 1,
      sym_attribute,
    STATE(8196), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(9600), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13582), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71183] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7851), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3404), 1,
      sym_attribute,
    STATE(8197), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(9600), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13582), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71314] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8330), 1,
      anon_sym_LT_DASH,
    STATE(3405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [71389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [71462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [71535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [71608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [71681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [71754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [71827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [71900] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [71973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [72046] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7841), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3415), 1,
      sym_attribute,
    STATE(8005), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12448), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13558), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72177] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7849), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3416), 1,
      sym_attribute,
    STATE(8251), 1,
      sym__match_cases,
    STATE(8460), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13573), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72308] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7849), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3417), 1,
      sym_attribute,
    STATE(8263), 1,
      sym__match_cases,
    STATE(8460), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13573), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [72512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [72585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [72658] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7849), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3421), 1,
      sym_attribute,
    STATE(8244), 1,
      sym__match_cases,
    STATE(8460), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13573), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72789] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7849), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3422), 1,
      sym_attribute,
    STATE(8112), 1,
      sym__match_cases,
    STATE(8460), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13573), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72920] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7855), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3423), 1,
      sym_attribute,
    STATE(8098), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12205), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13504), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73051] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7905), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3424), 1,
      sym_attribute,
    STATE(8229), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(8673), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13657), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [73255] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3179), 1,
      anon_sym_DOT,
    STATE(3426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [73330] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7841), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3427), 1,
      sym_attribute,
    STATE(8017), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12448), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13558), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73461] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [73534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [73607] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [73680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [73753] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7905), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3432), 1,
      sym_attribute,
    STATE(8251), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(8673), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13657), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73884] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7905), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3433), 1,
      sym_attribute,
    STATE(8263), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(8673), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13657), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [74015] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3434), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10405), 1,
      sym__match_cases,
    STATE(11472), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13668), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [74146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [74219] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3213), 1,
      anon_sym_DOT,
    STATE(3436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [74294] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3437), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10384), 1,
      sym__match_cases,
    STATE(11472), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13668), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [74425] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7905), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3438), 1,
      sym_attribute,
    STATE(8244), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(8673), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13657), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [74556] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7905), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3439), 1,
      sym_attribute,
    STATE(8112), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(8673), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13657), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [74687] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3440), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10456), 1,
      sym__match_cases,
    STATE(11472), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13668), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [74818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [74891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [74964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [75037] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3444), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10388), 1,
      sym__match_cases,
    STATE(11472), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13668), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [75168] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3445), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10404), 1,
      sym__match_cases,
    STATE(11472), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13668), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [75299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [75372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [75445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [75518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [75591] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [75664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [75737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [75810] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7889), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3453), 1,
      sym_attribute,
    STATE(7902), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10129), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13687), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [75941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [76014] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7889), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3455), 1,
      sym_attribute,
    STATE(8005), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10129), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13687), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [76145] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7889), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3456), 1,
      sym_attribute,
    STATE(8017), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10129), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13687), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [76276] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7909), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3457), 1,
      sym_attribute,
    STATE(8143), 1,
      sym_match_case,
    STATE(8229), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13467), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [76407] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7889), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3458), 1,
      sym_attribute,
    STATE(7938), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10129), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13687), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [76538] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7889), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3459), 1,
      sym_attribute,
    STATE(7914), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10129), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13687), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [76669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [76742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [76815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [76888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [76961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [77034] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7909), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3465), 1,
      sym_attribute,
    STATE(8143), 1,
      sym_match_case,
    STATE(8251), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13467), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [77165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [77238] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3467), 1,
      sym_attribute,
    STATE(8098), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10586), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13595), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [77369] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3468), 1,
      sym_attribute,
    STATE(8100), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10586), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13595), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [77500] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3469), 1,
      sym_attribute,
    STATE(8104), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10586), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13595), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [77631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [77704] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3471), 1,
      sym_attribute,
    STATE(8196), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10586), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13595), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [77835] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3472), 1,
      sym_attribute,
    STATE(8197), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10586), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13595), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [77966] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3179), 1,
      anon_sym_DOT,
    ACTIONS(3181), 1,
      anon_sym_POUND,
    ACTIONS(3183), 1,
      sym_hash_operator,
    STATE(3473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [78045] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7982), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3474), 1,
      sym_attribute,
    STATE(7902), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12007), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13471), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [78176] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7841), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3475), 1,
      sym_attribute,
    STATE(7938), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12448), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13558), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [78307] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7841), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3476), 1,
      sym_attribute,
    STATE(7914), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12448), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13558), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [78438] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7982), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3477), 1,
      sym_attribute,
    STATE(8005), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12007), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13471), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [78569] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7982), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3478), 1,
      sym_attribute,
    STATE(8017), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12007), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13471), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [78700] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7853), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3479), 1,
      sym_attribute,
    STATE(7938), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12578), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13751), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [78831] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7982), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3480), 1,
      sym_attribute,
    STATE(7938), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12007), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13471), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [78962] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7982), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3481), 1,
      sym_attribute,
    STATE(7914), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12007), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13471), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [79093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [79166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [79239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [79312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [79385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [79458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [79531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [79604] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6825), 1,
      sym__identifier,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6835), 1,
      anon_sym_lazy,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(3491), 1,
      sym_tag,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10448), 1,
      sym_parenthesized_operator,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13318), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_COLON2,
      anon_sym_as,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3489), 2,
      sym_attribute,
      sym_constructor_path,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(4957), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_COLON_COLON,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [79735] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7843), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3490), 1,
      sym_attribute,
    STATE(7902), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11951), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13729), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [79866] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6825), 1,
      sym__identifier,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6835), 1,
      anon_sym_lazy,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(3489), 1,
      sym_constructor_path,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10448), 1,
      sym_parenthesized_operator,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13319), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_COLON2,
      anon_sym_as,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3491), 2,
      sym_attribute,
      sym_tag,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(4957), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_COLON_COLON,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [79997] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7853), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3492), 1,
      sym_attribute,
    STATE(7914), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12578), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13751), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [80128] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7843), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3493), 1,
      sym_attribute,
    STATE(8005), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11951), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13729), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [80259] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7843), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3494), 1,
      sym_attribute,
    STATE(8017), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11951), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13729), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [80390] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7843), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3495), 1,
      sym_attribute,
    STATE(7938), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11951), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13729), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [80521] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7843), 1,
      anon_sym_PIPE,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3496), 1,
      sym_attribute,
    STATE(7914), 1,
      sym__match_cases,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11951), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13729), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [80652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [80725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [80798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [80870] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3500), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14859), 1,
      sym__simple_expression,
    STATE(15192), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [80994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81066] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3285), 1,
      anon_sym_DOT,
    STATE(3502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81140] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3503), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14825), 1,
      sym__simple_expression,
    STATE(15043), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [81264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81912] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3513), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14761), 1,
      sym__simple_expression,
    STATE(15768), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [82036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [82108] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3515), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14591), 1,
      sym__simple_expression,
    STATE(15526), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [82232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [82304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [82376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [82448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [82520] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8332), 1,
      anon_sym_LT_DASH,
    STATE(3520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [82594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [82666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [82738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [82810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [82882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [82954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [83026] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3527), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14456), 1,
      sym__simple_expression,
    STATE(15625), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [83150] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3528), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14517), 1,
      sym__simple_expression,
    STATE(16235), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [83274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [83346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [83418] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3531), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14767), 1,
      sym__simple_expression,
    STATE(15819), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [83542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [83614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [83686] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [83758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [83830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [83902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [83974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [84046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [84118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [84190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [84262] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [84334] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3543), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14764), 1,
      sym__simple_expression,
    STATE(15233), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [84458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [84530] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3545), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14832), 1,
      sym__simple_expression,
    STATE(15065), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [84654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [84726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [84798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [84870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [84942] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3275), 1,
      anon_sym_DOT,
    ACTIONS(3277), 1,
      anon_sym_POUND,
    ACTIONS(3279), 1,
      sym_hash_operator,
    STATE(3550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [85020] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(3551), 1,
      sym_attribute,
    STATE(4354), 1,
      sym__attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13636), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [85148] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(3552), 1,
      sym_attribute,
    STATE(4355), 1,
      sym__attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13038), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [85276] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3553), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14805), 1,
      sym__simple_expression,
    STATE(16178), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [85400] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3554), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14643), 1,
      sym__simple_expression,
    STATE(15412), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [85524] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(5359), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8334), 1,
      anon_sym_RPAREN,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3555), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(14199), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [85652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [85724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [85796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [85868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [85940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [86012] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [86084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [86156] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3275), 1,
      anon_sym_DOT,
    ACTIONS(3277), 1,
      anon_sym_POUND,
    ACTIONS(3279), 1,
      sym_hash_operator,
    STATE(3563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [86234] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8336), 1,
      sym__identifier,
    ACTIONS(8338), 1,
      anon_sym_LPAREN,
    ACTIONS(8340), 1,
      anon_sym_LBRACK,
    ACTIONS(8344), 1,
      anon_sym_LBRACE,
    ACTIONS(8346), 1,
      anon_sym_object,
    ACTIONS(8348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8350), 1,
      anon_sym_new,
    ACTIONS(8352), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8354), 1,
      anon_sym_begin,
    ACTIONS(8356), 1,
      sym_ocamlyacc_value,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8362), 1,
      anon_sym_PERCENT,
    ACTIONS(8364), 1,
      aux_sym_number_token1,
    ACTIONS(8366), 1,
      anon_sym_SQUOTE,
    ACTIONS(8368), 1,
      anon_sym_DQUOTE,
    ACTIONS(8370), 1,
      sym_prefix_operator,
    ACTIONS(8372), 1,
      sym__capitalized_identifier,
    ACTIONS(8374), 1,
      aux_sym_tag_token1,
    STATE(3564), 1,
      sym_attribute,
    STATE(4119), 1,
      sym__attribute,
    STATE(7292), 1,
      sym_parenthesized_operator,
    STATE(7316), 1,
      sym__value_name,
    STATE(7378), 1,
      sym__constructor_name,
    STATE(8870), 1,
      sym__simple_expression,
    STATE(19646), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7299), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7319), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [86358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [86430] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3566), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14773), 1,
      sym__simple_expression,
    STATE(15857), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [86554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [86626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [86698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [86770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [86842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [86914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [86986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [87058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [87130] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3575), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14815), 1,
      sym__simple_expression,
    STATE(16389), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [87254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [87326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [87398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [87470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [87542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [87614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [87686] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [87758] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(3583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [87832] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8376), 1,
      anon_sym_LT_DASH,
    STATE(3584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [87906] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3585), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14736), 1,
      sym__simple_expression,
    STATE(15532), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [88030] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3586), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14837), 1,
      sym__simple_expression,
    STATE(15091), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [88154] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3285), 1,
      anon_sym_DOT,
    ACTIONS(3287), 1,
      anon_sym_POUND,
    ACTIONS(3289), 1,
      sym_hash_operator,
    STATE(3587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [88232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [88304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [88376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [88448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [88520] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3592), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14660), 1,
      sym__simple_expression,
    STATE(15816), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [88644] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3593), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14567), 1,
      sym__simple_expression,
    STATE(16083), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [88768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [88840] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(5489), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8378), 1,
      anon_sym_RPAREN,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3595), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(14202), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [88968] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(5369), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8380), 1,
      anon_sym_RPAREN,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3596), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(14321), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [89096] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3597), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14653), 1,
      sym__simple_expression,
    STATE(15590), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [89220] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3598), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14776), 1,
      sym__simple_expression,
    STATE(15908), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [89344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [89416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [89488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [89560] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3602), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14841), 1,
      sym__simple_expression,
    STATE(15119), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [89684] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8386), 1,
      anon_sym_COLON,
    STATE(3603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8382), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [89758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [89830] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3605), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14685), 1,
      sym__simple_expression,
    STATE(15064), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [89954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [90026] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [90098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [90170] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3285), 1,
      anon_sym_DOT,
    ACTIONS(3287), 1,
      anon_sym_POUND,
    ACTIONS(3289), 1,
      sym_hash_operator,
    STATE(3609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [90248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [90320] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8362), 1,
      anon_sym_PERCENT,
    ACTIONS(8388), 1,
      sym__identifier,
    ACTIONS(8390), 1,
      anon_sym_LPAREN,
    ACTIONS(8392), 1,
      anon_sym_LBRACK,
    ACTIONS(8396), 1,
      anon_sym_LBRACE,
    ACTIONS(8398), 1,
      anon_sym_object,
    ACTIONS(8400), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8402), 1,
      anon_sym_new,
    ACTIONS(8404), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8406), 1,
      anon_sym_begin,
    ACTIONS(8408), 1,
      sym_ocamlyacc_value,
    ACTIONS(8410), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8412), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8414), 1,
      aux_sym_number_token1,
    ACTIONS(8416), 1,
      anon_sym_SQUOTE,
    ACTIONS(8418), 1,
      anon_sym_DQUOTE,
    ACTIONS(8420), 1,
      sym_prefix_operator,
    ACTIONS(8422), 1,
      sym__capitalized_identifier,
    ACTIONS(8424), 1,
      aux_sym_tag_token1,
    STATE(3611), 1,
      sym_attribute,
    STATE(4143), 1,
      sym__attribute,
    STATE(7541), 1,
      sym_parenthesized_operator,
    STATE(7638), 1,
      sym__constructor_name,
    STATE(7654), 1,
      sym__simple_expression,
    STATE(7704), 1,
      sym__value_name,
    STATE(18473), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8394), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7579), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7576), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [90444] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8362), 1,
      anon_sym_PERCENT,
    ACTIONS(8388), 1,
      sym__identifier,
    ACTIONS(8390), 1,
      anon_sym_LPAREN,
    ACTIONS(8392), 1,
      anon_sym_LBRACK,
    ACTIONS(8396), 1,
      anon_sym_LBRACE,
    ACTIONS(8398), 1,
      anon_sym_object,
    ACTIONS(8400), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8402), 1,
      anon_sym_new,
    ACTIONS(8404), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8406), 1,
      anon_sym_begin,
    ACTIONS(8408), 1,
      sym_ocamlyacc_value,
    ACTIONS(8410), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8412), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8414), 1,
      aux_sym_number_token1,
    ACTIONS(8416), 1,
      anon_sym_SQUOTE,
    ACTIONS(8418), 1,
      anon_sym_DQUOTE,
    ACTIONS(8420), 1,
      sym_prefix_operator,
    ACTIONS(8422), 1,
      sym__capitalized_identifier,
    ACTIONS(8424), 1,
      aux_sym_tag_token1,
    STATE(3612), 1,
      sym_attribute,
    STATE(4144), 1,
      sym__attribute,
    STATE(7468), 1,
      sym__simple_expression,
    STATE(7541), 1,
      sym_parenthesized_operator,
    STATE(7638), 1,
      sym__constructor_name,
    STATE(7704), 1,
      sym__value_name,
    STATE(18473), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8394), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7579), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7576), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [90568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [90640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [90712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [90784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [90856] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(3617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [90930] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [91002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [91074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [91146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [91218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [91290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [91362] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [91434] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(3625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [91508] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3626), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14731), 1,
      sym__simple_expression,
    STATE(15481), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [91632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [91704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [91776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [91848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [91920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [91992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [92064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [92136] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(3634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [92210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [92282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [92354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [92426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [92498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [92570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [92642] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(5339), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8426), 1,
      anon_sym_RPAREN,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3641), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(14268), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [92770] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(3642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [92844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [92916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [92988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [93060] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3646), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14782), 1,
      sym__simple_expression,
    STATE(15954), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [93184] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [93256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [93328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [93400] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3650), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14788), 1,
      sym__simple_expression,
    STATE(16054), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [93524] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8336), 1,
      sym__identifier,
    ACTIONS(8338), 1,
      anon_sym_LPAREN,
    ACTIONS(8340), 1,
      anon_sym_LBRACK,
    ACTIONS(8344), 1,
      anon_sym_LBRACE,
    ACTIONS(8346), 1,
      anon_sym_object,
    ACTIONS(8348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8350), 1,
      anon_sym_new,
    ACTIONS(8352), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8354), 1,
      anon_sym_begin,
    ACTIONS(8356), 1,
      sym_ocamlyacc_value,
    ACTIONS(8362), 1,
      anon_sym_PERCENT,
    ACTIONS(8364), 1,
      aux_sym_number_token1,
    ACTIONS(8366), 1,
      anon_sym_SQUOTE,
    ACTIONS(8368), 1,
      anon_sym_DQUOTE,
    ACTIONS(8372), 1,
      sym__capitalized_identifier,
    ACTIONS(8374), 1,
      aux_sym_tag_token1,
    ACTIONS(8410), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8412), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8428), 1,
      sym_prefix_operator,
    STATE(3651), 1,
      sym_attribute,
    STATE(4381), 1,
      sym__attribute,
    STATE(7292), 1,
      sym_parenthesized_operator,
    STATE(7316), 1,
      sym__value_name,
    STATE(7378), 1,
      sym__constructor_name,
    STATE(9313), 1,
      sym__simple_expression,
    STATE(19646), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7299), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7319), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [93648] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8336), 1,
      sym__identifier,
    ACTIONS(8338), 1,
      anon_sym_LPAREN,
    ACTIONS(8340), 1,
      anon_sym_LBRACK,
    ACTIONS(8344), 1,
      anon_sym_LBRACE,
    ACTIONS(8346), 1,
      anon_sym_object,
    ACTIONS(8348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8350), 1,
      anon_sym_new,
    ACTIONS(8352), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8354), 1,
      anon_sym_begin,
    ACTIONS(8356), 1,
      sym_ocamlyacc_value,
    ACTIONS(8362), 1,
      anon_sym_PERCENT,
    ACTIONS(8364), 1,
      aux_sym_number_token1,
    ACTIONS(8366), 1,
      anon_sym_SQUOTE,
    ACTIONS(8368), 1,
      anon_sym_DQUOTE,
    ACTIONS(8372), 1,
      sym__capitalized_identifier,
    ACTIONS(8374), 1,
      aux_sym_tag_token1,
    ACTIONS(8410), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8412), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8428), 1,
      sym_prefix_operator,
    STATE(3652), 1,
      sym_attribute,
    STATE(4382), 1,
      sym__attribute,
    STATE(7292), 1,
      sym_parenthesized_operator,
    STATE(7316), 1,
      sym__value_name,
    STATE(7378), 1,
      sym__constructor_name,
    STATE(9314), 1,
      sym__simple_expression,
    STATE(19646), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7299), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7319), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [93772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [93844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [93916] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3655), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14669), 1,
      sym__simple_expression,
    STATE(16051), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [94040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [94112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [94184] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [94256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [94328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [94400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [94472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [94544] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8336), 1,
      sym__identifier,
    ACTIONS(8338), 1,
      anon_sym_LPAREN,
    ACTIONS(8340), 1,
      anon_sym_LBRACK,
    ACTIONS(8344), 1,
      anon_sym_LBRACE,
    ACTIONS(8346), 1,
      anon_sym_object,
    ACTIONS(8348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8350), 1,
      anon_sym_new,
    ACTIONS(8352), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8354), 1,
      anon_sym_begin,
    ACTIONS(8356), 1,
      sym_ocamlyacc_value,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8362), 1,
      anon_sym_PERCENT,
    ACTIONS(8364), 1,
      aux_sym_number_token1,
    ACTIONS(8366), 1,
      anon_sym_SQUOTE,
    ACTIONS(8368), 1,
      anon_sym_DQUOTE,
    ACTIONS(8370), 1,
      sym_prefix_operator,
    ACTIONS(8372), 1,
      sym__capitalized_identifier,
    ACTIONS(8374), 1,
      aux_sym_tag_token1,
    STATE(3663), 1,
      sym_attribute,
    STATE(4118), 1,
      sym__attribute,
    STATE(7292), 1,
      sym_parenthesized_operator,
    STATE(7316), 1,
      sym__value_name,
    STATE(7378), 1,
      sym__constructor_name,
    STATE(8869), 1,
      sym__simple_expression,
    STATE(19646), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7299), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7319), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [94668] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3664), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14819), 1,
      sym__simple_expression,
    STATE(16429), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [94792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [94864] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3666), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14846), 1,
      sym__simple_expression,
    STATE(15144), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [94988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [95060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [95132] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3669), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14742), 1,
      sym__simple_expression,
    STATE(15589), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [95256] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3670), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14810), 1,
      sym__simple_expression,
    STATE(16259), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [95380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [95452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [95524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [95596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [95668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [95740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [95812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [95884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [95956] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3679), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14792), 1,
      sym__simple_expression,
    STATE(16086), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [96080] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3680), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14610), 1,
      sym__simple_expression,
    STATE(16140), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [96204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [96276] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5307), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8430), 1,
      anon_sym_RPAREN,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3682), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(14322), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [96404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [96476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [96548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [96620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [96692] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3687), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14693), 1,
      sym__simple_expression,
    STATE(15156), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [96816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [96888] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(3689), 1,
      sym_attribute,
    STATE(4097), 1,
      sym__attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(13921), 1,
      sym__pattern,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [97016] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(3690), 1,
      sym_attribute,
    STATE(4098), 1,
      sym__attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(13923), 1,
      sym__pattern,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [97144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [97216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [97288] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3693), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14375), 1,
      sym__simple_expression,
    STATE(16269), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [97412] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3694), 1,
      sym_attribute,
    STATE(4087), 1,
      sym__attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13175), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [97540] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(5405), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8432), 1,
      anon_sym_RPAREN,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3695), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(14225), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [97668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [97740] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3697), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14750), 1,
      sym__simple_expression,
    STATE(15656), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [97864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [97936] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7837), 1,
      anon_sym_PERCENT,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3699), 1,
      sym_attribute,
    STATE(4089), 1,
      sym__attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13038), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [98064] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3700), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14701), 1,
      sym__simple_expression,
    STATE(15223), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [98188] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8362), 1,
      anon_sym_PERCENT,
    ACTIONS(8434), 1,
      sym__identifier,
    ACTIONS(8436), 1,
      anon_sym_LPAREN,
    ACTIONS(8438), 1,
      anon_sym_LBRACK,
    ACTIONS(8442), 1,
      anon_sym_LBRACE,
    ACTIONS(8444), 1,
      anon_sym_object,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8448), 1,
      anon_sym_new,
    ACTIONS(8450), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8452), 1,
      anon_sym_begin,
    ACTIONS(8454), 1,
      sym_ocamlyacc_value,
    ACTIONS(8456), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8458), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8460), 1,
      aux_sym_number_token1,
    ACTIONS(8462), 1,
      anon_sym_SQUOTE,
    ACTIONS(8464), 1,
      anon_sym_DQUOTE,
    ACTIONS(8466), 1,
      sym_prefix_operator,
    ACTIONS(8468), 1,
      sym__capitalized_identifier,
    ACTIONS(8470), 1,
      aux_sym_tag_token1,
    STATE(3701), 1,
      sym_attribute,
    STATE(4106), 1,
      sym__attribute,
    STATE(9720), 1,
      sym__value_name,
    STATE(9749), 1,
      sym__simple_expression,
    STATE(9770), 1,
      sym_parenthesized_operator,
    STATE(9802), 1,
      sym__constructor_name,
    STATE(18193), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8440), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9801), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9667), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [98312] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8362), 1,
      anon_sym_PERCENT,
    ACTIONS(8434), 1,
      sym__identifier,
    ACTIONS(8436), 1,
      anon_sym_LPAREN,
    ACTIONS(8438), 1,
      anon_sym_LBRACK,
    ACTIONS(8442), 1,
      anon_sym_LBRACE,
    ACTIONS(8444), 1,
      anon_sym_object,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8448), 1,
      anon_sym_new,
    ACTIONS(8450), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8452), 1,
      anon_sym_begin,
    ACTIONS(8454), 1,
      sym_ocamlyacc_value,
    ACTIONS(8456), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8458), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8460), 1,
      aux_sym_number_token1,
    ACTIONS(8462), 1,
      anon_sym_SQUOTE,
    ACTIONS(8464), 1,
      anon_sym_DQUOTE,
    ACTIONS(8466), 1,
      sym_prefix_operator,
    ACTIONS(8468), 1,
      sym__capitalized_identifier,
    ACTIONS(8470), 1,
      aux_sym_tag_token1,
    STATE(3702), 1,
      sym_attribute,
    STATE(4107), 1,
      sym__attribute,
    STATE(9720), 1,
      sym__value_name,
    STATE(9761), 1,
      sym__simple_expression,
    STATE(9770), 1,
      sym_parenthesized_operator,
    STATE(9802), 1,
      sym__constructor_name,
    STATE(18193), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8440), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9801), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9667), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [98436] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3703), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14627), 1,
      sym__simple_expression,
    STATE(15216), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [98560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [98632] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(3705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [98706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [98778] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3275), 1,
      anon_sym_DOT,
    STATE(3707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [98852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [98924] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3709), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14799), 1,
      sym__simple_expression,
    STATE(16127), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [99048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [99120] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8472), 1,
      anon_sym_COLON,
    STATE(3711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8382), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [99194] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3712), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14853), 1,
      sym__simple_expression,
    STATE(15162), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [99318] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3713), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14709), 1,
      sym__simple_expression,
    STATE(15303), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [99442] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [99514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [99586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [99658] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8362), 1,
      anon_sym_PERCENT,
    ACTIONS(8474), 1,
      sym__identifier,
    ACTIONS(8476), 1,
      anon_sym_LPAREN,
    ACTIONS(8480), 1,
      anon_sym_LBRACE,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      aux_sym_number_token1,
    ACTIONS(8486), 1,
      anon_sym_SQUOTE,
    ACTIONS(8488), 1,
      anon_sym_DQUOTE,
    ACTIONS(8490), 1,
      sym_prefix_operator,
    STATE(3717), 1,
      sym_attribute,
    STATE(4471), 1,
      sym__attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(7530), 1,
      sym__simple_expression,
    STATE(19794), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8478), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [99782] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(5389), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_RPAREN,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3718), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(14282), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [99910] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3719), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14717), 1,
      sym__simple_expression,
    STATE(15355), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [100034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [100106] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3721), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14756), 1,
      sym__simple_expression,
    STATE(15712), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [100230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [100302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [100374] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3724), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14725), 1,
      sym__simple_expression,
    STATE(15416), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [100498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [100570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [100642] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7992), 1,
      sym__identifier,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(3727), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14305), 1,
      sym_field_path,
    STATE(14677), 1,
      sym__simple_expression,
    STATE(16255), 1,
      sym_field_expression,
    STATE(20097), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [100766] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [100838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [100910] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8362), 1,
      anon_sym_PERCENT,
    ACTIONS(8474), 1,
      sym__identifier,
    ACTIONS(8476), 1,
      anon_sym_LPAREN,
    ACTIONS(8480), 1,
      anon_sym_LBRACE,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      aux_sym_number_token1,
    ACTIONS(8486), 1,
      anon_sym_SQUOTE,
    ACTIONS(8488), 1,
      anon_sym_DQUOTE,
    ACTIONS(8490), 1,
      sym_prefix_operator,
    STATE(3730), 1,
      sym_attribute,
    STATE(4271), 1,
      sym__attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(7581), 1,
      sym__simple_expression,
    STATE(19794), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8478), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [101034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [101106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [101178] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(5399), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8494), 1,
      anon_sym_RPAREN,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3733), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(14336), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [101306] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3734), 1,
      sym_attribute,
    STATE(8258), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13760), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [101431] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8496), 1,
      anon_sym_COLON,
    STATE(3735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8382), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [101504] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8498), 1,
      anon_sym_RBRACK,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(3736), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13563), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [101629] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3407), 1,
      anon_sym_DOT,
    STATE(3737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [101702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [101773] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3549), 1,
      anon_sym_DOT,
    ACTIONS(3551), 1,
      anon_sym_POUND,
    ACTIONS(3553), 1,
      sym_hash_operator,
    STATE(3739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [101850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [101921] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3197), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3741), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8500), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [102113] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8504), 1,
      anon_sym_COLON,
    STATE(3743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8382), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [102186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [102257] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    ACTIONS(8506), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(3745), 1,
      sym_attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13462), 1,
      sym__pattern,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [102382] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3269), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3746), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102503] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3229), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3747), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102624] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3748), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12039), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13586), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [102749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [102820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [102891] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3751), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10396), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13585), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [103016] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3752), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(9461), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13758), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [103141] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8508), 1,
      anon_sym_RBRACK,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(3753), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13851), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [103266] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(3754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [103339] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8510), 1,
      anon_sym_RBRACK,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(3755), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13851), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [103464] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8512), 1,
      anon_sym_RBRACK,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(3756), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13851), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [103589] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3171), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3757), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [103710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [103781] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8514), 1,
      anon_sym_RBRACK,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(3759), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13577), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [103906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [103977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [104048] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    ACTIONS(8516), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(3762), 1,
      sym_attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13637), 1,
      sym__pattern,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [104173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [104244] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3764), 1,
      sym_attribute,
    STATE(8305), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13760), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [104369] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [104440] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8518), 1,
      anon_sym_RBRACK,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(3766), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13851), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [104565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [104636] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3155), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3768), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [104757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [104828] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    ACTIONS(8520), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(3770), 1,
      sym_attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [104953] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8522), 1,
      anon_sym_RBRACK,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(3771), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13666), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [105078] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3193), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3772), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [105199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [105270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [105341] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8524), 1,
      anon_sym_RBRACK,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(3775), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13499), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [105466] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3207), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3776), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [105587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [105658] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3205), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3778), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [105779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [105850] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3261), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3780), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [105971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [106042] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    ACTIONS(8526), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(3782), 1,
      sym_attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [106167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [106238] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    ACTIONS(8528), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(3784), 1,
      sym_attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [106363] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3199), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3785), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [106484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [106555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [106626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [106697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [106768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [106839] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3407), 1,
      anon_sym_DOT,
    ACTIONS(3409), 1,
      anon_sym_POUND,
    ACTIONS(3411), 1,
      sym_hash_operator,
    STATE(3791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [106916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [106987] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8530), 1,
      anon_sym_RBRACK,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(3793), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13633), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [107112] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3794), 1,
      sym_attribute,
    STATE(8258), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13714), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [107237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [107308] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    ACTIONS(8532), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(3796), 1,
      sym_attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13638), 1,
      sym__pattern,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [107433] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(3797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [107506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [107577] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    ACTIONS(8534), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(3799), 1,
      sym_attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [107702] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3165), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3800), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [107823] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3801), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(8746), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13497), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [107948] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3159), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3802), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [108069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [108140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [108211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [108282] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(3806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [108355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [108426] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    ACTIONS(8536), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(3808), 1,
      sym_attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [108551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [108622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [108693] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    ACTIONS(8538), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(3811), 1,
      sym_attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13568), 1,
      sym__pattern,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [108818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [108889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [108960] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3241), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3814), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [109081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [109152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [109223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [109294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [109365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [109436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [109507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [109578] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3247), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3822), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [109699] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3823), 1,
      sym_attribute,
    STATE(8294), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13581), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [109824] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3824), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10396), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13681), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [109949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110233] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3169), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3829), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [110354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110567] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3833), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10396), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [110692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [111047] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3839), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12259), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13751), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [111172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [111243] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(3841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [111316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [111387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [111458] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3844), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12538), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13496), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [111583] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [111654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [111725] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3847), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11473), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13668), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [111850] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3265), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3848), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [111971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112042] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3139), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3850), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [112163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112234] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8540), 1,
      anon_sym_LT_DASH,
    STATE(3852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112591] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3857), 1,
      sym_attribute,
    STATE(8488), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13708), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [112716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112787] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [113000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [113071] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [113142] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3864), 1,
      sym_attribute,
    STATE(8258), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13481), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [113267] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8542), 1,
      anon_sym_RBRACK,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(3865), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13712), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [113392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [113463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [113534] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3253), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3868), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [113655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [113726] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3237), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3870), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [113847] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8544), 1,
      anon_sym_RBRACK,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(3871), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13609), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [113972] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [114043] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3873), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12227), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13664), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [114168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [114239] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    ACTIONS(8546), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(3875), 1,
      sym_attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13669), 1,
      sym__pattern,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [114364] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3876), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12148), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13585), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [114489] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3877), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12265), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [114614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [114685] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3239), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3879), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [114806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [114877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [114948] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3882), 1,
      sym_attribute,
    STATE(8301), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13483), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [115073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [115144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [115215] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3885), 1,
      sym_attribute,
    STATE(8178), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13765), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [115340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [115411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [115482] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3888), 1,
      sym_attribute,
    STATE(8178), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13664), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [115607] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [115678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [115749] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3891), 1,
      sym_attribute,
    STATE(8258), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13581), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [115874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [115945] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [116016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [116087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [116158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8050), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [116229] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3255), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3897), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [116350] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3407), 1,
      anon_sym_DOT,
    ACTIONS(3409), 1,
      anon_sym_POUND,
    ACTIONS(3411), 1,
      sym_hash_operator,
    STATE(3898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [116427] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3899), 1,
      sym_attribute,
    STATE(8178), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13582), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [116552] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3900), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11973), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13765), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [116677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [116748] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3902), 1,
      sym_attribute,
    STATE(8178), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13545), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [116873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [116944] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(3904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [117017] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3905), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12449), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13558), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [117142] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3549), 1,
      anon_sym_DOT,
    STATE(3906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [117215] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3907), 1,
      sym_attribute,
    STATE(8178), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13504), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [117340] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8548), 1,
      anon_sym_RBRACK,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(3908), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13851), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [117465] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3909), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11695), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13749), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [117590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [117661] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    ACTIONS(8550), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(3911), 1,
      sym_attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [117786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [117857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [117928] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3914), 1,
      sym_attribute,
    STATE(8258), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13708), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [118053] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    ACTIONS(8552), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(3915), 1,
      sym_attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13713), 1,
      sym__pattern,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [118178] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3916), 1,
      sym_attribute,
    STATE(8501), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13573), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [118303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [118374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [118445] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3549), 1,
      anon_sym_DOT,
    ACTIONS(3551), 1,
      anon_sym_POUND,
    ACTIONS(3553), 1,
      sym_hash_operator,
    STATE(3919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [118522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [118593] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3921), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12373), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13751), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [118718] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3922), 1,
      sym_attribute,
    STATE(8258), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13573), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [118843] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3263), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3923), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118964] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8554), 1,
      anon_sym_RBRACK,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(3924), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13851), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [119089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [119160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [119231] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3243), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3927), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [119352] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8556), 1,
      anon_sym_RBRACK,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(3928), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13674), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [119477] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    ACTIONS(8558), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(3929), 1,
      sym_attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13675), 1,
      sym__pattern,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [119602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [119673] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [119744] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3141), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3932), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [119865] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8560), 1,
      anon_sym_RBRACK,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(3933), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13851), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [119990] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3163), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3934), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120111] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3935), 1,
      sym_attribute,
    STATE(8178), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13558), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [120236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [120307] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3937), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10659), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13595), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [120432] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3938), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(9601), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13582), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [120557] = 37,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5087), 1,
      sym__identifier,
    ACTIONS(5089), 1,
      anon_sym_LPAREN,
    ACTIONS(5091), 1,
      anon_sym_LBRACK,
    ACTIONS(5095), 1,
      anon_sym_LBRACE,
    ACTIONS(5097), 1,
      anon_sym_POUND,
    ACTIONS(5099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5101), 1,
      anon_sym_lazy,
    ACTIONS(5103), 1,
      anon_sym_begin,
    ACTIONS(5109), 1,
      aux_sym_number_token1,
    ACTIONS(5111), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5113), 1,
      anon_sym_SQUOTE,
    ACTIONS(5115), 1,
      anon_sym_DQUOTE,
    ACTIONS(5117), 1,
      sym__capitalized_identifier,
    ACTIONS(5119), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(8562), 1,
      anon_sym_rec,
    ACTIONS(8564), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8566), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2447), 1,
      sym_tag,
    STATE(2448), 1,
      sym_constructor_path,
    STATE(2483), 1,
      sym__binding_pattern,
    STATE(3939), 1,
      sym_attribute,
    STATE(4516), 1,
      sym__attribute,
    STATE(5476), 1,
      sym__constructor_name,
    STATE(5527), 1,
      sym__signed_constant,
    STATE(5593), 1,
      sym_parenthesized_operator,
    STATE(5679), 1,
      sym_record_binding_pattern,
    STATE(5680), 1,
      sym_list_binding_pattern,
    STATE(5681), 1,
      sym_array_binding_pattern,
    STATE(11669), 1,
      sym_let_binding,
    STATE(19422), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5093), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5474), 2,
      sym__constant,
      sym_signed_number,
    STATE(5475), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5678), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [120692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [120763] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3191), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3941), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120884] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3942), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10936), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13681), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [121009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [121080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [121151] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3267), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3945), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [121272] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3946), 1,
      sym_attribute,
    STATE(8258), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13602), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [121397] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8568), 1,
      anon_sym_RBRACK,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(3947), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13851), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [121522] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    ACTIONS(8570), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(3948), 1,
      sym_attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [121647] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3949), 1,
      sym_attribute,
    STATE(8258), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13657), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [121772] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3950), 1,
      sym_attribute,
    STATE(8401), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13602), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [121897] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3251), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3951), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [122018] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8572), 1,
      anon_sym_RBRACK,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(3952), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13851), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [122143] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    ACTIONS(8574), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(3953), 1,
      sym_attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [122268] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3189), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3954), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [122389] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8576), 1,
      anon_sym_RBRACK,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(3955), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13851), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [122514] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    ACTIONS(8578), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(3956), 1,
      sym_attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [122639] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    ACTIONS(8580), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(3957), 1,
      sym_attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [122764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [122835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [122906] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    ACTIONS(8582), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(3960), 1,
      sym_attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [123031] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3961), 1,
      sym_attribute,
    STATE(8258), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13483), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [123156] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3962), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10396), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13749), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [123281] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3963), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10396), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13668), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [123406] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8584), 1,
      anon_sym_RBRACK,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(3964), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13851), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [123531] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    ACTIONS(8586), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(3965), 1,
      sym_attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [123656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [123727] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8588), 1,
      anon_sym_COLON,
    STATE(3967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8382), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [123800] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3185), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3968), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [123992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [124063] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3249), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3971), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124184] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [124255] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3973), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10130), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13687), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [124380] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3974), 1,
      sym_attribute,
    STATE(8178), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13595), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [124505] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8590), 1,
      anon_sym_RBRACK,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(3975), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13851), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [124630] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    ACTIONS(8592), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(3976), 1,
      sym_attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [124755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [124826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [124897] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3979), 1,
      sym_attribute,
    STATE(8411), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13525), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [125022] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    ACTIONS(8594), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(3980), 1,
      sym_attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13700), 1,
      sym__pattern,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [125147] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3195), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3981), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [125339] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3161), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3983), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8050), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [125531] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8596), 1,
      anon_sym_RBRACK,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(3985), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13851), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [125656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [125727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [125798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [125869] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3143), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3989), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125990] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3990), 1,
      sym_attribute,
    STATE(8178), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13687), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [126115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [126186] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3257), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(3992), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [126307] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8598), 1,
      anon_sym_COLON,
    STATE(3993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8382), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [126380] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(3994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [126453] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(3995), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11952), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13729), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [126578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [126649] = 37,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5121), 1,
      sym__identifier,
    ACTIONS(5123), 1,
      anon_sym_LPAREN,
    ACTIONS(5125), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_LBRACE,
    ACTIONS(5131), 1,
      anon_sym_POUND,
    ACTIONS(5133), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5135), 1,
      anon_sym_lazy,
    ACTIONS(5137), 1,
      anon_sym_begin,
    ACTIONS(5143), 1,
      aux_sym_number_token1,
    ACTIONS(5145), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5147), 1,
      anon_sym_SQUOTE,
    ACTIONS(5149), 1,
      anon_sym_DQUOTE,
    ACTIONS(5151), 1,
      sym__capitalized_identifier,
    ACTIONS(5153), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(8600), 1,
      anon_sym_rec,
    ACTIONS(8602), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8604), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2449), 1,
      sym_constructor_path,
    STATE(2450), 1,
      sym_tag,
    STATE(2485), 1,
      sym__binding_pattern,
    STATE(3997), 1,
      sym_attribute,
    STATE(4484), 1,
      sym__attribute,
    STATE(5459), 1,
      sym__constructor_name,
    STATE(5468), 1,
      sym__signed_constant,
    STATE(5563), 1,
      sym_record_binding_pattern,
    STATE(5565), 1,
      sym_list_binding_pattern,
    STATE(5566), 1,
      sym_array_binding_pattern,
    STATE(5606), 1,
      sym_parenthesized_operator,
    STATE(11824), 1,
      sym_let_binding,
    STATE(19187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5127), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5506), 2,
      sym__constant,
      sym_signed_number,
    STATE(5458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5561), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [126784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [126855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [126926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8500), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [126997] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4001), 1,
      sym_attribute,
    STATE(8147), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13467), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [127122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [127193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [127264] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3187), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(4004), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127385] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3233), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(4005), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [127577] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4007), 1,
      sym_attribute,
    STATE(8258), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13497), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [127702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [127773] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    ACTIONS(8606), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(4009), 1,
      sym_attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [127898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [127969] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4011), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12373), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13471), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [128094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [128165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [128236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [128307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [128378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [128449] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8608), 1,
      anon_sym_LT_DASH,
    STATE(4017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [128522] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4018), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11960), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13574), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [128647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [128718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [128789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [128860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [128931] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [129002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [129073] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3201), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(4025), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129194] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    ACTIONS(8610), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(4026), 1,
      sym_attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [129319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [129390] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3235), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(4028), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129511] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4029), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12206), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13504), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [129636] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4030), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(10396), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13586), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [129761] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [129832] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4032), 1,
      sym_attribute,
    STATE(8178), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13729), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [129957] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4033), 1,
      sym_attribute,
    STATE(8165), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13714), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [130082] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8612), 1,
      anon_sym_RBRACK,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(4034), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13851), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [130207] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4035), 1,
      sym_attribute,
    STATE(8178), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13758), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [130332] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    ACTIONS(8614), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(4036), 1,
      sym_attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [130457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [130528] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3137), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(4038), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130649] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [130720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [130791] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4041), 1,
      sym_attribute,
    STATE(8258), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13467), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [130916] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3157), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(4042), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131037] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3203), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(4043), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [131229] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4045), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(11967), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13545), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [131354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [131425] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3231), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(4047), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131546] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4048), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(8685), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13657), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [131671] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8616), 1,
      anon_sym_RBRACK,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(4049), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13851), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [131796] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4050), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12009), 1,
      sym_match_case,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13471), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [131921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [131992] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3259), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(4052), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132113] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4053), 1,
      sym_attribute,
    STATE(8285), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13481), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [132238] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4054), 1,
      sym_attribute,
    STATE(8178), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13574), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [132363] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8618), 1,
      anon_sym_RBRACK,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(4055), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13851), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [132488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [132559] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4057), 1,
      sym_attribute,
    STATE(8178), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13496), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [132684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [132755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [132826] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4060), 1,
      sym_attribute,
    STATE(8258), 1,
      sym_match_case,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13525), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [132951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [133022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [133093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [133164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [133235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [133306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [133376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [133446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8500), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [133516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8050), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [133586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8500), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [133656] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    ACTIONS(2791), 1,
      anon_sym_LBRACK,
    ACTIONS(2795), 1,
      anon_sym_LBRACE,
    ACTIONS(2797), 1,
      anon_sym_object,
    ACTIONS(2801), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2811), 1,
      anon_sym_new,
    ACTIONS(2813), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2815), 1,
      anon_sym_begin,
    ACTIONS(2817), 1,
      sym_ocamlyacc_value,
    ACTIONS(2819), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2821), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2823), 1,
      aux_sym_number_token1,
    ACTIONS(2825), 1,
      anon_sym_SQUOTE,
    ACTIONS(2827), 1,
      anon_sym_DQUOTE,
    ACTIONS(2829), 1,
      sym_prefix_operator,
    ACTIONS(2833), 1,
      sym__capitalized_identifier,
    ACTIONS(2835), 1,
      aux_sym_tag_token1,
    ACTIONS(5563), 1,
      sym__identifier,
    STATE(4071), 1,
      sym_attribute,
    STATE(6751), 1,
      sym_parenthesized_operator,
    STATE(6767), 1,
      sym__constructor_name,
    STATE(7043), 1,
      sym__value_name,
    STATE(7240), 1,
      sym__simple_expression,
    STATE(19171), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2793), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6702), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6987), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [133774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [133844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [133914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [133984] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    ACTIONS(2791), 1,
      anon_sym_LBRACK,
    ACTIONS(2795), 1,
      anon_sym_LBRACE,
    ACTIONS(2797), 1,
      anon_sym_object,
    ACTIONS(2801), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2811), 1,
      anon_sym_new,
    ACTIONS(2813), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2815), 1,
      anon_sym_begin,
    ACTIONS(2817), 1,
      sym_ocamlyacc_value,
    ACTIONS(2819), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2821), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2823), 1,
      aux_sym_number_token1,
    ACTIONS(2825), 1,
      anon_sym_SQUOTE,
    ACTIONS(2827), 1,
      anon_sym_DQUOTE,
    ACTIONS(2829), 1,
      sym_prefix_operator,
    ACTIONS(2833), 1,
      sym__capitalized_identifier,
    ACTIONS(2835), 1,
      aux_sym_tag_token1,
    ACTIONS(5563), 1,
      sym__identifier,
    STATE(4075), 1,
      sym_attribute,
    STATE(6751), 1,
      sym_parenthesized_operator,
    STATE(6767), 1,
      sym__constructor_name,
    STATE(6825), 1,
      sym__simple_expression,
    STATE(7043), 1,
      sym__value_name,
    STATE(19171), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2793), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6702), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6987), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [134102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134242] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2855), 1,
      anon_sym_LPAREN,
    ACTIONS(2857), 1,
      anon_sym_LBRACK,
    ACTIONS(2861), 1,
      anon_sym_LBRACE,
    ACTIONS(2863), 1,
      anon_sym_object,
    ACTIONS(2867), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2877), 1,
      anon_sym_new,
    ACTIONS(2879), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2881), 1,
      anon_sym_begin,
    ACTIONS(2883), 1,
      sym_ocamlyacc_value,
    ACTIONS(2885), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2887), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2889), 1,
      aux_sym_number_token1,
    ACTIONS(2891), 1,
      anon_sym_SQUOTE,
    ACTIONS(2893), 1,
      anon_sym_DQUOTE,
    ACTIONS(2895), 1,
      sym_prefix_operator,
    ACTIONS(2899), 1,
      sym__capitalized_identifier,
    ACTIONS(2901), 1,
      aux_sym_tag_token1,
    ACTIONS(5343), 1,
      sym__identifier,
    STATE(4078), 1,
      sym_attribute,
    STATE(6811), 1,
      sym_parenthesized_operator,
    STATE(7095), 1,
      sym__value_name,
    STATE(7116), 1,
      sym__constructor_name,
    STATE(7189), 1,
      sym__simple_expression,
    STATE(19412), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2859), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7113), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6867), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [134360] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2855), 1,
      anon_sym_LPAREN,
    ACTIONS(2857), 1,
      anon_sym_LBRACK,
    ACTIONS(2861), 1,
      anon_sym_LBRACE,
    ACTIONS(2863), 1,
      anon_sym_object,
    ACTIONS(2867), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2877), 1,
      anon_sym_new,
    ACTIONS(2879), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2881), 1,
      anon_sym_begin,
    ACTIONS(2883), 1,
      sym_ocamlyacc_value,
    ACTIONS(2885), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2887), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2889), 1,
      aux_sym_number_token1,
    ACTIONS(2891), 1,
      anon_sym_SQUOTE,
    ACTIONS(2893), 1,
      anon_sym_DQUOTE,
    ACTIONS(2895), 1,
      sym_prefix_operator,
    ACTIONS(2899), 1,
      sym__capitalized_identifier,
    ACTIONS(2901), 1,
      aux_sym_tag_token1,
    ACTIONS(5343), 1,
      sym__identifier,
    STATE(4079), 1,
      sym_attribute,
    STATE(6705), 1,
      sym__simple_expression,
    STATE(6811), 1,
      sym_parenthesized_operator,
    STATE(7095), 1,
      sym__value_name,
    STATE(7116), 1,
      sym__constructor_name,
    STATE(19412), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2859), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7113), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6867), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [134478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134758] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8336), 1,
      sym__identifier,
    ACTIONS(8338), 1,
      anon_sym_LPAREN,
    ACTIONS(8340), 1,
      anon_sym_LBRACK,
    ACTIONS(8344), 1,
      anon_sym_LBRACE,
    ACTIONS(8346), 1,
      anon_sym_object,
    ACTIONS(8348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8350), 1,
      anon_sym_new,
    ACTIONS(8352), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8354), 1,
      anon_sym_begin,
    ACTIONS(8356), 1,
      sym_ocamlyacc_value,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8364), 1,
      aux_sym_number_token1,
    ACTIONS(8366), 1,
      anon_sym_SQUOTE,
    ACTIONS(8368), 1,
      anon_sym_DQUOTE,
    ACTIONS(8370), 1,
      sym_prefix_operator,
    ACTIONS(8372), 1,
      sym__capitalized_identifier,
    ACTIONS(8374), 1,
      aux_sym_tag_token1,
    STATE(4084), 1,
      sym_attribute,
    STATE(7292), 1,
      sym_parenthesized_operator,
    STATE(7316), 1,
      sym__value_name,
    STATE(7332), 1,
      sym__simple_expression,
    STATE(7378), 1,
      sym__constructor_name,
    STATE(19646), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7299), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7319), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [134876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134946] = 29,
    ACTIONS(517), 1,
      anon_sym_LPAREN,
    ACTIONS(521), 1,
      anon_sym_LBRACK,
    ACTIONS(525), 1,
      anon_sym_LBRACE,
    ACTIONS(535), 1,
      anon_sym_object,
    ACTIONS(539), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(549), 1,
      anon_sym_new,
    ACTIONS(551), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(553), 1,
      anon_sym_begin,
    ACTIONS(555), 1,
      sym_ocamlyacc_value,
    ACTIONS(561), 1,
      aux_sym_number_token1,
    ACTIONS(563), 1,
      anon_sym_SQUOTE,
    ACTIONS(565), 1,
      anon_sym_DQUOTE,
    ACTIONS(567), 1,
      sym_prefix_operator,
    ACTIONS(573), 1,
      sym__capitalized_identifier,
    ACTIONS(577), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3093), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3095), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3955), 1,
      sym__identifier,
    STATE(4086), 1,
      sym_attribute,
    STATE(4094), 1,
      sym__value_name,
    STATE(4095), 1,
      sym__constructor_name,
    STATE(4124), 1,
      sym__simple_expression,
    STATE(4223), 1,
      sym_parenthesized_operator,
    STATE(19992), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(523), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4092), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4083), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135064] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4087), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13193), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [135186] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(4088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [135258] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4089), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(12923), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [135380] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8336), 1,
      sym__identifier,
    ACTIONS(8338), 1,
      anon_sym_LPAREN,
    ACTIONS(8340), 1,
      anon_sym_LBRACK,
    ACTIONS(8344), 1,
      anon_sym_LBRACE,
    ACTIONS(8346), 1,
      anon_sym_object,
    ACTIONS(8348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8350), 1,
      anon_sym_new,
    ACTIONS(8352), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8354), 1,
      anon_sym_begin,
    ACTIONS(8356), 1,
      sym_ocamlyacc_value,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8364), 1,
      aux_sym_number_token1,
    ACTIONS(8366), 1,
      anon_sym_SQUOTE,
    ACTIONS(8368), 1,
      anon_sym_DQUOTE,
    ACTIONS(8370), 1,
      sym_prefix_operator,
    ACTIONS(8372), 1,
      sym__capitalized_identifier,
    ACTIONS(8374), 1,
      aux_sym_tag_token1,
    STATE(4090), 1,
      sym_attribute,
    STATE(7292), 1,
      sym_parenthesized_operator,
    STATE(7316), 1,
      sym__value_name,
    STATE(7352), 1,
      sym__simple_expression,
    STATE(7378), 1,
      sym__constructor_name,
    STATE(19646), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7299), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7319), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135498] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4091), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13199), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [135620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [135690] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4093), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13167), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [135812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [135882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [135952] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4096), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13186), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [136074] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(4097), 1,
      sym_attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(14095), 1,
      sym__pattern,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [136196] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(4098), 1,
      sym_attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(14096), 1,
      sym__pattern,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [136318] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(4099), 1,
      sym_attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(14099), 1,
      sym__pattern,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [136440] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(4100), 1,
      sym_attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(14100), 1,
      sym__pattern,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [136562] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(4101), 1,
      sym_attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(14102), 1,
      sym__pattern,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [136684] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(4102), 1,
      sym_attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(14103), 1,
      sym__pattern,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [136806] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4103), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13087), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [136928] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [136998] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7649), 1,
      sym__identifier,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_LBRACE,
    ACTIONS(7659), 1,
      anon_sym_exception,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7665), 1,
      anon_sym_lazy,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7681), 1,
      sym__capitalized_identifier,
    ACTIONS(7683), 1,
      aux_sym_tag_token1,
    ACTIONS(7785), 1,
      anon_sym_LPAREN,
    STATE(2636), 1,
      sym_constructor_path,
    STATE(2654), 1,
      sym_tag,
    STATE(4105), 1,
      sym_attribute,
    STATE(9759), 1,
      sym__constructor_name,
    STATE(13786), 1,
      sym__signed_constant,
    STATE(13896), 1,
      sym__pattern,
    STATE(18617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14041), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13799), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [137120] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8434), 1,
      sym__identifier,
    ACTIONS(8436), 1,
      anon_sym_LPAREN,
    ACTIONS(8438), 1,
      anon_sym_LBRACK,
    ACTIONS(8442), 1,
      anon_sym_LBRACE,
    ACTIONS(8444), 1,
      anon_sym_object,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8448), 1,
      anon_sym_new,
    ACTIONS(8450), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8452), 1,
      anon_sym_begin,
    ACTIONS(8454), 1,
      sym_ocamlyacc_value,
    ACTIONS(8456), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8458), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8460), 1,
      aux_sym_number_token1,
    ACTIONS(8462), 1,
      anon_sym_SQUOTE,
    ACTIONS(8464), 1,
      anon_sym_DQUOTE,
    ACTIONS(8466), 1,
      sym_prefix_operator,
    ACTIONS(8468), 1,
      sym__capitalized_identifier,
    ACTIONS(8470), 1,
      aux_sym_tag_token1,
    STATE(4106), 1,
      sym_attribute,
    STATE(9615), 1,
      sym__simple_expression,
    STATE(9720), 1,
      sym__value_name,
    STATE(9770), 1,
      sym_parenthesized_operator,
    STATE(9802), 1,
      sym__constructor_name,
    STATE(18193), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8440), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9801), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9667), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137238] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8434), 1,
      sym__identifier,
    ACTIONS(8436), 1,
      anon_sym_LPAREN,
    ACTIONS(8438), 1,
      anon_sym_LBRACK,
    ACTIONS(8442), 1,
      anon_sym_LBRACE,
    ACTIONS(8444), 1,
      anon_sym_object,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8448), 1,
      anon_sym_new,
    ACTIONS(8450), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8452), 1,
      anon_sym_begin,
    ACTIONS(8454), 1,
      sym_ocamlyacc_value,
    ACTIONS(8456), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8458), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8460), 1,
      aux_sym_number_token1,
    ACTIONS(8462), 1,
      anon_sym_SQUOTE,
    ACTIONS(8464), 1,
      anon_sym_DQUOTE,
    ACTIONS(8466), 1,
      sym_prefix_operator,
    ACTIONS(8468), 1,
      sym__capitalized_identifier,
    ACTIONS(8470), 1,
      aux_sym_tag_token1,
    STATE(4107), 1,
      sym_attribute,
    STATE(9644), 1,
      sym__simple_expression,
    STATE(9720), 1,
      sym__value_name,
    STATE(9770), 1,
      sym_parenthesized_operator,
    STATE(9802), 1,
      sym__constructor_name,
    STATE(18193), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8440), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9801), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9667), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [137426] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8474), 1,
      sym__identifier,
    ACTIONS(8476), 1,
      anon_sym_LPAREN,
    ACTIONS(8480), 1,
      anon_sym_LBRACE,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      aux_sym_number_token1,
    ACTIONS(8486), 1,
      anon_sym_SQUOTE,
    ACTIONS(8488), 1,
      anon_sym_DQUOTE,
    ACTIONS(8490), 1,
      sym_prefix_operator,
    STATE(4109), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(7430), 1,
      sym__simple_expression,
    STATE(19794), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8478), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137544] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8474), 1,
      sym__identifier,
    ACTIONS(8476), 1,
      anon_sym_LPAREN,
    ACTIONS(8480), 1,
      anon_sym_LBRACE,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      aux_sym_number_token1,
    ACTIONS(8486), 1,
      anon_sym_SQUOTE,
    ACTIONS(8488), 1,
      anon_sym_DQUOTE,
    ACTIONS(8490), 1,
      sym_prefix_operator,
    STATE(4110), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(7516), 1,
      sym__simple_expression,
    STATE(19794), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8478), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137662] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2671), 1,
      anon_sym_LPAREN,
    ACTIONS(2673), 1,
      anon_sym_LBRACK,
    ACTIONS(2677), 1,
      anon_sym_LBRACE,
    ACTIONS(2679), 1,
      anon_sym_object,
    ACTIONS(2683), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2693), 1,
      anon_sym_new,
    ACTIONS(2695), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2697), 1,
      anon_sym_begin,
    ACTIONS(2699), 1,
      sym_ocamlyacc_value,
    ACTIONS(2701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2705), 1,
      aux_sym_number_token1,
    ACTIONS(2707), 1,
      anon_sym_SQUOTE,
    ACTIONS(2709), 1,
      anon_sym_DQUOTE,
    ACTIONS(2711), 1,
      sym_prefix_operator,
    ACTIONS(2715), 1,
      sym__capitalized_identifier,
    ACTIONS(2717), 1,
      aux_sym_tag_token1,
    ACTIONS(5373), 1,
      sym__identifier,
    STATE(4111), 1,
      sym_attribute,
    STATE(6703), 1,
      sym__constructor_name,
    STATE(6880), 1,
      sym__simple_expression,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7001), 1,
      sym__value_name,
    STATE(18987), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2675), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6884), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6984), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137780] = 29,
    ACTIONS(977), 1,
      anon_sym_LPAREN,
    ACTIONS(979), 1,
      anon_sym_LBRACK,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    ACTIONS(985), 1,
      anon_sym_object,
    ACTIONS(989), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(999), 1,
      anon_sym_new,
    ACTIONS(1001), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1003), 1,
      anon_sym_begin,
    ACTIONS(1005), 1,
      sym_ocamlyacc_value,
    ACTIONS(1011), 1,
      aux_sym_number_token1,
    ACTIONS(1013), 1,
      anon_sym_SQUOTE,
    ACTIONS(1015), 1,
      anon_sym_DQUOTE,
    ACTIONS(1017), 1,
      sym_prefix_operator,
    ACTIONS(1021), 1,
      sym__capitalized_identifier,
    ACTIONS(1023), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3115), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3117), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4585), 1,
      sym__identifier,
    STATE(4112), 1,
      sym_attribute,
    STATE(4902), 1,
      sym__value_name,
    STATE(4906), 1,
      sym__simple_expression,
    STATE(4943), 1,
      sym_parenthesized_operator,
    STATE(4947), 1,
      sym__constructor_name,
    STATE(19827), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4917), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4950), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [137968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [138038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [138108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [138178] = 29,
    ACTIONS(977), 1,
      anon_sym_LPAREN,
    ACTIONS(979), 1,
      anon_sym_LBRACK,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    ACTIONS(985), 1,
      anon_sym_object,
    ACTIONS(989), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(999), 1,
      anon_sym_new,
    ACTIONS(1001), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1003), 1,
      anon_sym_begin,
    ACTIONS(1005), 1,
      sym_ocamlyacc_value,
    ACTIONS(1011), 1,
      aux_sym_number_token1,
    ACTIONS(1013), 1,
      anon_sym_SQUOTE,
    ACTIONS(1015), 1,
      anon_sym_DQUOTE,
    ACTIONS(1017), 1,
      sym_prefix_operator,
    ACTIONS(1021), 1,
      sym__capitalized_identifier,
    ACTIONS(1023), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3115), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3117), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4585), 1,
      sym__identifier,
    STATE(4117), 1,
      sym_attribute,
    STATE(4902), 1,
      sym__value_name,
    STATE(4921), 1,
      sym__simple_expression,
    STATE(4943), 1,
      sym_parenthesized_operator,
    STATE(4947), 1,
      sym__constructor_name,
    STATE(19827), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4917), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4950), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138296] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8336), 1,
      sym__identifier,
    ACTIONS(8338), 1,
      anon_sym_LPAREN,
    ACTIONS(8340), 1,
      anon_sym_LBRACK,
    ACTIONS(8344), 1,
      anon_sym_LBRACE,
    ACTIONS(8346), 1,
      anon_sym_object,
    ACTIONS(8348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8350), 1,
      anon_sym_new,
    ACTIONS(8352), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8354), 1,
      anon_sym_begin,
    ACTIONS(8356), 1,
      sym_ocamlyacc_value,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8364), 1,
      aux_sym_number_token1,
    ACTIONS(8366), 1,
      anon_sym_SQUOTE,
    ACTIONS(8368), 1,
      anon_sym_DQUOTE,
    ACTIONS(8370), 1,
      sym_prefix_operator,
    ACTIONS(8372), 1,
      sym__capitalized_identifier,
    ACTIONS(8374), 1,
      aux_sym_tag_token1,
    STATE(4118), 1,
      sym_attribute,
    STATE(7292), 1,
      sym_parenthesized_operator,
    STATE(7316), 1,
      sym__value_name,
    STATE(7378), 1,
      sym__constructor_name,
    STATE(8875), 1,
      sym__simple_expression,
    STATE(19646), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7299), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7319), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138414] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8336), 1,
      sym__identifier,
    ACTIONS(8338), 1,
      anon_sym_LPAREN,
    ACTIONS(8340), 1,
      anon_sym_LBRACK,
    ACTIONS(8344), 1,
      anon_sym_LBRACE,
    ACTIONS(8346), 1,
      anon_sym_object,
    ACTIONS(8348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8350), 1,
      anon_sym_new,
    ACTIONS(8352), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8354), 1,
      anon_sym_begin,
    ACTIONS(8356), 1,
      sym_ocamlyacc_value,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8364), 1,
      aux_sym_number_token1,
    ACTIONS(8366), 1,
      anon_sym_SQUOTE,
    ACTIONS(8368), 1,
      anon_sym_DQUOTE,
    ACTIONS(8370), 1,
      sym_prefix_operator,
    ACTIONS(8372), 1,
      sym__capitalized_identifier,
    ACTIONS(8374), 1,
      aux_sym_tag_token1,
    STATE(4119), 1,
      sym_attribute,
    STATE(7292), 1,
      sym_parenthesized_operator,
    STATE(7316), 1,
      sym__value_name,
    STATE(7378), 1,
      sym__constructor_name,
    STATE(8877), 1,
      sym__simple_expression,
    STATE(19646), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7299), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7319), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [138602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [138672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [138742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [138812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [138882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [138952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [139022] = 29,
    ACTIONS(517), 1,
      anon_sym_LPAREN,
    ACTIONS(521), 1,
      anon_sym_LBRACK,
    ACTIONS(525), 1,
      anon_sym_LBRACE,
    ACTIONS(535), 1,
      anon_sym_object,
    ACTIONS(539), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(549), 1,
      anon_sym_new,
    ACTIONS(551), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(553), 1,
      anon_sym_begin,
    ACTIONS(555), 1,
      sym_ocamlyacc_value,
    ACTIONS(561), 1,
      aux_sym_number_token1,
    ACTIONS(563), 1,
      anon_sym_SQUOTE,
    ACTIONS(565), 1,
      anon_sym_DQUOTE,
    ACTIONS(567), 1,
      sym_prefix_operator,
    ACTIONS(573), 1,
      sym__capitalized_identifier,
    ACTIONS(577), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3093), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3095), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3955), 1,
      sym__identifier,
    STATE(4094), 1,
      sym__value_name,
    STATE(4095), 1,
      sym__constructor_name,
    STATE(4127), 1,
      sym_attribute,
    STATE(4162), 1,
      sym__simple_expression,
    STATE(4223), 1,
      sym_parenthesized_operator,
    STATE(19992), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(523), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4092), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4083), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139140] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3959), 1,
      anon_sym_DOT,
    ACTIONS(3961), 1,
      anon_sym_POUND,
    ACTIONS(3963), 1,
      sym_hash_operator,
    STATE(4128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [139216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [139286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [139356] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6605), 1,
      sym__identifier,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_LBRACK,
    ACTIONS(6615), 1,
      anon_sym_LBRACE,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(6619), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6621), 1,
      anon_sym_new,
    ACTIONS(6623), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6625), 1,
      anon_sym_begin,
    ACTIONS(6627), 1,
      sym_ocamlyacc_value,
    ACTIONS(6633), 1,
      aux_sym_number_token1,
    ACTIONS(6635), 1,
      anon_sym_SQUOTE,
    ACTIONS(6637), 1,
      anon_sym_DQUOTE,
    ACTIONS(6639), 1,
      sym_prefix_operator,
    ACTIONS(6641), 1,
      sym__capitalized_identifier,
    ACTIONS(6643), 1,
      aux_sym_tag_token1,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4131), 1,
      sym_attribute,
    STATE(6760), 1,
      sym__simple_expression,
    STATE(6762), 1,
      sym__value_name,
    STATE(6866), 1,
      sym__constructor_name,
    STATE(7082), 1,
      sym_parenthesized_operator,
    STATE(20005), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6613), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6855), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6678), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139474] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6605), 1,
      sym__identifier,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_LBRACK,
    ACTIONS(6615), 1,
      anon_sym_LBRACE,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(6619), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6621), 1,
      anon_sym_new,
    ACTIONS(6623), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6625), 1,
      anon_sym_begin,
    ACTIONS(6627), 1,
      sym_ocamlyacc_value,
    ACTIONS(6633), 1,
      aux_sym_number_token1,
    ACTIONS(6635), 1,
      anon_sym_SQUOTE,
    ACTIONS(6637), 1,
      anon_sym_DQUOTE,
    ACTIONS(6639), 1,
      sym_prefix_operator,
    ACTIONS(6641), 1,
      sym__capitalized_identifier,
    ACTIONS(6643), 1,
      aux_sym_tag_token1,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4132), 1,
      sym_attribute,
    STATE(6762), 1,
      sym__value_name,
    STATE(6866), 1,
      sym__constructor_name,
    STATE(6881), 1,
      sym__simple_expression,
    STATE(7082), 1,
      sym_parenthesized_operator,
    STATE(20005), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6613), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6855), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6678), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139592] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4133), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13747), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [139714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [139784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [139854] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [139924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [139994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [140064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [140134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [140204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [140274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [140344] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8388), 1,
      sym__identifier,
    ACTIONS(8390), 1,
      anon_sym_LPAREN,
    ACTIONS(8392), 1,
      anon_sym_LBRACK,
    ACTIONS(8396), 1,
      anon_sym_LBRACE,
    ACTIONS(8398), 1,
      anon_sym_object,
    ACTIONS(8400), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8402), 1,
      anon_sym_new,
    ACTIONS(8404), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8406), 1,
      anon_sym_begin,
    ACTIONS(8408), 1,
      sym_ocamlyacc_value,
    ACTIONS(8410), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8412), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8414), 1,
      aux_sym_number_token1,
    ACTIONS(8416), 1,
      anon_sym_SQUOTE,
    ACTIONS(8418), 1,
      anon_sym_DQUOTE,
    ACTIONS(8420), 1,
      sym_prefix_operator,
    ACTIONS(8422), 1,
      sym__capitalized_identifier,
    ACTIONS(8424), 1,
      aux_sym_tag_token1,
    STATE(4143), 1,
      sym_attribute,
    STATE(7541), 1,
      sym_parenthesized_operator,
    STATE(7563), 1,
      sym__simple_expression,
    STATE(7638), 1,
      sym__constructor_name,
    STATE(7704), 1,
      sym__value_name,
    STATE(18473), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8394), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7579), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7576), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [140462] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8388), 1,
      sym__identifier,
    ACTIONS(8390), 1,
      anon_sym_LPAREN,
    ACTIONS(8392), 1,
      anon_sym_LBRACK,
    ACTIONS(8396), 1,
      anon_sym_LBRACE,
    ACTIONS(8398), 1,
      anon_sym_object,
    ACTIONS(8400), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8402), 1,
      anon_sym_new,
    ACTIONS(8404), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8406), 1,
      anon_sym_begin,
    ACTIONS(8408), 1,
      sym_ocamlyacc_value,
    ACTIONS(8410), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8412), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8414), 1,
      aux_sym_number_token1,
    ACTIONS(8416), 1,
      anon_sym_SQUOTE,
    ACTIONS(8418), 1,
      anon_sym_DQUOTE,
    ACTIONS(8420), 1,
      sym_prefix_operator,
    ACTIONS(8422), 1,
      sym__capitalized_identifier,
    ACTIONS(8424), 1,
      aux_sym_tag_token1,
    STATE(4144), 1,
      sym_attribute,
    STATE(7541), 1,
      sym_parenthesized_operator,
    STATE(7564), 1,
      sym__simple_expression,
    STATE(7638), 1,
      sym__constructor_name,
    STATE(7704), 1,
      sym__value_name,
    STATE(18473), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8394), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7579), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7576), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [140580] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    ACTIONS(2791), 1,
      anon_sym_LBRACK,
    ACTIONS(2795), 1,
      anon_sym_LBRACE,
    ACTIONS(2797), 1,
      anon_sym_object,
    ACTIONS(2801), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2811), 1,
      anon_sym_new,
    ACTIONS(2813), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2815), 1,
      anon_sym_begin,
    ACTIONS(2817), 1,
      sym_ocamlyacc_value,
    ACTIONS(2819), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2821), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2823), 1,
      aux_sym_number_token1,
    ACTIONS(2825), 1,
      anon_sym_SQUOTE,
    ACTIONS(2827), 1,
      anon_sym_DQUOTE,
    ACTIONS(2829), 1,
      sym_prefix_operator,
    ACTIONS(2833), 1,
      sym__capitalized_identifier,
    ACTIONS(2835), 1,
      aux_sym_tag_token1,
    ACTIONS(5563), 1,
      sym__identifier,
    STATE(4145), 1,
      sym_attribute,
    STATE(6751), 1,
      sym_parenthesized_operator,
    STATE(6767), 1,
      sym__constructor_name,
    STATE(6890), 1,
      sym__simple_expression,
    STATE(7043), 1,
      sym__value_name,
    STATE(19171), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2793), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6702), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6987), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [140698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [140768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [140838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [140908] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [140978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [141048] = 29,
    ACTIONS(411), 1,
      anon_sym_LPAREN,
    ACTIONS(413), 1,
      anon_sym_LBRACK,
    ACTIONS(417), 1,
      anon_sym_LBRACE,
    ACTIONS(419), 1,
      anon_sym_object,
    ACTIONS(423), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(433), 1,
      anon_sym_new,
    ACTIONS(435), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(437), 1,
      anon_sym_begin,
    ACTIONS(439), 1,
      sym_ocamlyacc_value,
    ACTIONS(445), 1,
      aux_sym_number_token1,
    ACTIONS(447), 1,
      anon_sym_SQUOTE,
    ACTIONS(449), 1,
      anon_sym_DQUOTE,
    ACTIONS(451), 1,
      sym_prefix_operator,
    ACTIONS(455), 1,
      sym__capitalized_identifier,
    ACTIONS(457), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3061), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3063), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3209), 1,
      sym__identifier,
    STATE(2967), 1,
      sym__constructor_name,
    STATE(3102), 1,
      sym__value_name,
    STATE(3164), 1,
      sym__simple_expression,
    STATE(3200), 1,
      sym_parenthesized_operator,
    STATE(4151), 1,
      sym_attribute,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(415), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2965), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3337), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [141166] = 29,
    ACTIONS(411), 1,
      anon_sym_LPAREN,
    ACTIONS(413), 1,
      anon_sym_LBRACK,
    ACTIONS(417), 1,
      anon_sym_LBRACE,
    ACTIONS(419), 1,
      anon_sym_object,
    ACTIONS(423), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(433), 1,
      anon_sym_new,
    ACTIONS(435), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(437), 1,
      anon_sym_begin,
    ACTIONS(439), 1,
      sym_ocamlyacc_value,
    ACTIONS(445), 1,
      aux_sym_number_token1,
    ACTIONS(447), 1,
      anon_sym_SQUOTE,
    ACTIONS(449), 1,
      anon_sym_DQUOTE,
    ACTIONS(451), 1,
      sym_prefix_operator,
    ACTIONS(455), 1,
      sym__capitalized_identifier,
    ACTIONS(457), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3061), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3063), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3209), 1,
      sym__identifier,
    STATE(2967), 1,
      sym__constructor_name,
    STATE(3102), 1,
      sym__value_name,
    STATE(3200), 1,
      sym_parenthesized_operator,
    STATE(3436), 1,
      sym__simple_expression,
    STATE(4152), 1,
      sym_attribute,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(415), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2965), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3337), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [141284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [141354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [141424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [141494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [141564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [141634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [141704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [141774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [141844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [141914] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3959), 1,
      anon_sym_DOT,
    STATE(4162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [141986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [142056] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(4164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [142128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [142198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [142268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [142338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [142408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [142478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8050), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [142548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [142618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [142688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [142758] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2855), 1,
      anon_sym_LPAREN,
    ACTIONS(2857), 1,
      anon_sym_LBRACK,
    ACTIONS(2861), 1,
      anon_sym_LBRACE,
    ACTIONS(2863), 1,
      anon_sym_object,
    ACTIONS(2867), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2877), 1,
      anon_sym_new,
    ACTIONS(2879), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2881), 1,
      anon_sym_begin,
    ACTIONS(2883), 1,
      sym_ocamlyacc_value,
    ACTIONS(2885), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2887), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2889), 1,
      aux_sym_number_token1,
    ACTIONS(2891), 1,
      anon_sym_SQUOTE,
    ACTIONS(2893), 1,
      anon_sym_DQUOTE,
    ACTIONS(2895), 1,
      sym_prefix_operator,
    ACTIONS(2899), 1,
      sym__capitalized_identifier,
    ACTIONS(2901), 1,
      aux_sym_tag_token1,
    ACTIONS(5343), 1,
      sym__identifier,
    STATE(4174), 1,
      sym_attribute,
    STATE(6811), 1,
      sym_parenthesized_operator,
    STATE(7095), 1,
      sym__value_name,
    STATE(7116), 1,
      sym__constructor_name,
    STATE(7199), 1,
      sym__simple_expression,
    STATE(19412), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2859), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7113), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6867), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [142876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [142946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [143016] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6987), 1,
      sym__identifier,
    ACTIONS(6991), 1,
      anon_sym_LPAREN,
    ACTIONS(6993), 1,
      anon_sym_LBRACK,
    ACTIONS(6997), 1,
      anon_sym_LBRACE,
    ACTIONS(6999), 1,
      anon_sym_object,
    ACTIONS(7001), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7003), 1,
      anon_sym_new,
    ACTIONS(7005), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7007), 1,
      anon_sym_begin,
    ACTIONS(7009), 1,
      sym_ocamlyacc_value,
    ACTIONS(7015), 1,
      aux_sym_number_token1,
    ACTIONS(7017), 1,
      anon_sym_SQUOTE,
    ACTIONS(7019), 1,
      anon_sym_DQUOTE,
    ACTIONS(7021), 1,
      sym_prefix_operator,
    ACTIONS(7023), 1,
      sym__capitalized_identifier,
    ACTIONS(7025), 1,
      aux_sym_tag_token1,
    ACTIONS(8624), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8626), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4177), 1,
      sym_attribute,
    STATE(7873), 1,
      sym_parenthesized_operator,
    STATE(7969), 1,
      sym__constructor_name,
    STATE(7984), 1,
      sym__simple_expression,
    STATE(8083), 1,
      sym__value_name,
    STATE(20381), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6995), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7962), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7970), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [143134] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6987), 1,
      sym__identifier,
    ACTIONS(6991), 1,
      anon_sym_LPAREN,
    ACTIONS(6993), 1,
      anon_sym_LBRACK,
    ACTIONS(6997), 1,
      anon_sym_LBRACE,
    ACTIONS(6999), 1,
      anon_sym_object,
    ACTIONS(7001), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7003), 1,
      anon_sym_new,
    ACTIONS(7005), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7007), 1,
      anon_sym_begin,
    ACTIONS(7009), 1,
      sym_ocamlyacc_value,
    ACTIONS(7015), 1,
      aux_sym_number_token1,
    ACTIONS(7017), 1,
      anon_sym_SQUOTE,
    ACTIONS(7019), 1,
      anon_sym_DQUOTE,
    ACTIONS(7021), 1,
      sym_prefix_operator,
    ACTIONS(7023), 1,
      sym__capitalized_identifier,
    ACTIONS(7025), 1,
      aux_sym_tag_token1,
    ACTIONS(8624), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8626), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4178), 1,
      sym_attribute,
    STATE(7873), 1,
      sym_parenthesized_operator,
    STATE(7969), 1,
      sym__constructor_name,
    STATE(8015), 1,
      sym__simple_expression,
    STATE(8083), 1,
      sym__value_name,
    STATE(20381), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6995), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7962), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7970), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [143252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [143322] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4180), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13683), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [143444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [143514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [143584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [143654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [143724] = 29,
    ACTIONS(517), 1,
      anon_sym_LPAREN,
    ACTIONS(521), 1,
      anon_sym_LBRACK,
    ACTIONS(525), 1,
      anon_sym_LBRACE,
    ACTIONS(535), 1,
      anon_sym_object,
    ACTIONS(539), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(549), 1,
      anon_sym_new,
    ACTIONS(551), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(553), 1,
      anon_sym_begin,
    ACTIONS(555), 1,
      sym_ocamlyacc_value,
    ACTIONS(561), 1,
      aux_sym_number_token1,
    ACTIONS(563), 1,
      anon_sym_SQUOTE,
    ACTIONS(565), 1,
      anon_sym_DQUOTE,
    ACTIONS(567), 1,
      sym_prefix_operator,
    ACTIONS(573), 1,
      sym__capitalized_identifier,
    ACTIONS(577), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3093), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3095), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3955), 1,
      sym__identifier,
    STATE(4094), 1,
      sym__value_name,
    STATE(4095), 1,
      sym__constructor_name,
    STATE(4185), 1,
      sym_attribute,
    STATE(4202), 1,
      sym__simple_expression,
    STATE(4223), 1,
      sym_parenthesized_operator,
    STATE(19992), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(523), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4092), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4083), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [143842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8500), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [143912] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6605), 1,
      sym__identifier,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_LBRACK,
    ACTIONS(6615), 1,
      anon_sym_LBRACE,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(6619), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6621), 1,
      anon_sym_new,
    ACTIONS(6623), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6625), 1,
      anon_sym_begin,
    ACTIONS(6627), 1,
      sym_ocamlyacc_value,
    ACTIONS(6633), 1,
      aux_sym_number_token1,
    ACTIONS(6635), 1,
      anon_sym_SQUOTE,
    ACTIONS(6637), 1,
      anon_sym_DQUOTE,
    ACTIONS(6639), 1,
      sym_prefix_operator,
    ACTIONS(6641), 1,
      sym__capitalized_identifier,
    ACTIONS(6643), 1,
      aux_sym_tag_token1,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4187), 1,
      sym_attribute,
    STATE(6762), 1,
      sym__value_name,
    STATE(6866), 1,
      sym__constructor_name,
    STATE(7082), 1,
      sym_parenthesized_operator,
    STATE(7105), 1,
      sym__simple_expression,
    STATE(20005), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6613), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6855), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6678), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [144030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [144100] = 29,
    ACTIONS(809), 1,
      anon_sym_LPAREN,
    ACTIONS(811), 1,
      anon_sym_LBRACK,
    ACTIONS(815), 1,
      anon_sym_LBRACE,
    ACTIONS(817), 1,
      anon_sym_object,
    ACTIONS(821), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(831), 1,
      anon_sym_new,
    ACTIONS(833), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(835), 1,
      anon_sym_begin,
    ACTIONS(837), 1,
      sym_ocamlyacc_value,
    ACTIONS(843), 1,
      aux_sym_number_token1,
    ACTIONS(845), 1,
      anon_sym_SQUOTE,
    ACTIONS(847), 1,
      anon_sym_DQUOTE,
    ACTIONS(849), 1,
      sym_prefix_operator,
    ACTIONS(853), 1,
      sym__capitalized_identifier,
    ACTIONS(855), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3123), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3125), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3403), 1,
      sym__identifier,
    STATE(3816), 1,
      sym__simple_expression,
    STATE(3861), 1,
      sym__value_name,
    STATE(3940), 1,
      sym__constructor_name,
    STATE(4006), 1,
      sym_parenthesized_operator,
    STATE(4189), 1,
      sym_attribute,
    STATE(17569), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(813), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3920), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3895), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [144218] = 29,
    ACTIONS(809), 1,
      anon_sym_LPAREN,
    ACTIONS(811), 1,
      anon_sym_LBRACK,
    ACTIONS(815), 1,
      anon_sym_LBRACE,
    ACTIONS(817), 1,
      anon_sym_object,
    ACTIONS(821), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(831), 1,
      anon_sym_new,
    ACTIONS(833), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(835), 1,
      anon_sym_begin,
    ACTIONS(837), 1,
      sym_ocamlyacc_value,
    ACTIONS(843), 1,
      aux_sym_number_token1,
    ACTIONS(845), 1,
      anon_sym_SQUOTE,
    ACTIONS(847), 1,
      anon_sym_DQUOTE,
    ACTIONS(849), 1,
      sym_prefix_operator,
    ACTIONS(853), 1,
      sym__capitalized_identifier,
    ACTIONS(855), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3123), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3125), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3403), 1,
      sym__identifier,
    STATE(3737), 1,
      sym__simple_expression,
    STATE(3861), 1,
      sym__value_name,
    STATE(3940), 1,
      sym__constructor_name,
    STATE(4006), 1,
      sym_parenthesized_operator,
    STATE(4190), 1,
      sym_attribute,
    STATE(17569), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(813), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3920), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3895), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [144336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [144406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [144476] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4089), 1,
      anon_sym_DOT,
    STATE(4193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [144548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [144618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [144688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [144758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [144828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [144898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [144968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [145038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [145108] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3959), 1,
      anon_sym_DOT,
    ACTIONS(3961), 1,
      anon_sym_POUND,
    ACTIONS(3963), 1,
      sym_hash_operator,
    STATE(4202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [145184] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [145254] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(4204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [145326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [145396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [145466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [145536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [145606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [145676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [145746] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [145816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [145886] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6987), 1,
      sym__identifier,
    ACTIONS(6991), 1,
      anon_sym_LPAREN,
    ACTIONS(6993), 1,
      anon_sym_LBRACK,
    ACTIONS(6997), 1,
      anon_sym_LBRACE,
    ACTIONS(6999), 1,
      anon_sym_object,
    ACTIONS(7001), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7003), 1,
      anon_sym_new,
    ACTIONS(7005), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7007), 1,
      anon_sym_begin,
    ACTIONS(7009), 1,
      sym_ocamlyacc_value,
    ACTIONS(7015), 1,
      aux_sym_number_token1,
    ACTIONS(7017), 1,
      anon_sym_SQUOTE,
    ACTIONS(7019), 1,
      anon_sym_DQUOTE,
    ACTIONS(7021), 1,
      sym_prefix_operator,
    ACTIONS(7023), 1,
      sym__capitalized_identifier,
    ACTIONS(7025), 1,
      aux_sym_tag_token1,
    ACTIONS(8624), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8626), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4213), 1,
      sym_attribute,
    STATE(7834), 1,
      sym__simple_expression,
    STATE(7873), 1,
      sym_parenthesized_operator,
    STATE(7969), 1,
      sym__constructor_name,
    STATE(8083), 1,
      sym__value_name,
    STATE(20381), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6995), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7962), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7970), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [146004] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2737), 1,
      anon_sym_LPAREN,
    ACTIONS(2739), 1,
      anon_sym_LBRACK,
    ACTIONS(2743), 1,
      anon_sym_LBRACE,
    ACTIONS(2745), 1,
      anon_sym_object,
    ACTIONS(2749), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2759), 1,
      anon_sym_new,
    ACTIONS(2761), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2763), 1,
      anon_sym_begin,
    ACTIONS(2765), 1,
      sym_ocamlyacc_value,
    ACTIONS(2767), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2769), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2771), 1,
      aux_sym_number_token1,
    ACTIONS(2773), 1,
      anon_sym_SQUOTE,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      sym_prefix_operator,
    ACTIONS(2781), 1,
      sym__capitalized_identifier,
    ACTIONS(2783), 1,
      aux_sym_tag_token1,
    ACTIONS(5407), 1,
      sym__identifier,
    STATE(4214), 1,
      sym_attribute,
    STATE(6820), 1,
      sym_parenthesized_operator,
    STATE(6839), 1,
      sym__constructor_name,
    STATE(7158), 1,
      sym__value_name,
    STATE(7207), 1,
      sym__simple_expression,
    STATE(17627), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2741), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6837), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7127), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [146122] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2737), 1,
      anon_sym_LPAREN,
    ACTIONS(2739), 1,
      anon_sym_LBRACK,
    ACTIONS(2743), 1,
      anon_sym_LBRACE,
    ACTIONS(2745), 1,
      anon_sym_object,
    ACTIONS(2749), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2759), 1,
      anon_sym_new,
    ACTIONS(2761), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2763), 1,
      anon_sym_begin,
    ACTIONS(2765), 1,
      sym_ocamlyacc_value,
    ACTIONS(2767), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2769), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2771), 1,
      aux_sym_number_token1,
    ACTIONS(2773), 1,
      anon_sym_SQUOTE,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      sym_prefix_operator,
    ACTIONS(2781), 1,
      sym__capitalized_identifier,
    ACTIONS(2783), 1,
      aux_sym_tag_token1,
    ACTIONS(5407), 1,
      sym__identifier,
    STATE(4215), 1,
      sym_attribute,
    STATE(6725), 1,
      sym__simple_expression,
    STATE(6820), 1,
      sym_parenthesized_operator,
    STATE(6839), 1,
      sym__constructor_name,
    STATE(7158), 1,
      sym__value_name,
    STATE(17627), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2741), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6837), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7127), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [146240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [146310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [146380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [146450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [146520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [146590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [146660] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [146730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [146800] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(4224), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5261), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [146918] = 29,
    ACTIONS(977), 1,
      anon_sym_LPAREN,
    ACTIONS(979), 1,
      anon_sym_LBRACK,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    ACTIONS(985), 1,
      anon_sym_object,
    ACTIONS(989), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(999), 1,
      anon_sym_new,
    ACTIONS(1001), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1003), 1,
      anon_sym_begin,
    ACTIONS(1005), 1,
      sym_ocamlyacc_value,
    ACTIONS(1011), 1,
      aux_sym_number_token1,
    ACTIONS(1013), 1,
      anon_sym_SQUOTE,
    ACTIONS(1015), 1,
      anon_sym_DQUOTE,
    ACTIONS(1017), 1,
      sym_prefix_operator,
    ACTIONS(1021), 1,
      sym__capitalized_identifier,
    ACTIONS(1023), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3115), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3117), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4585), 1,
      sym__identifier,
    STATE(4225), 1,
      sym_attribute,
    STATE(4902), 1,
      sym__value_name,
    STATE(4943), 1,
      sym_parenthesized_operator,
    STATE(4947), 1,
      sym__constructor_name,
    STATE(4969), 1,
      sym__simple_expression,
    STATE(19827), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4917), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4950), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [147036] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1751), 1,
      anon_sym_LPAREN,
    ACTIONS(1753), 1,
      anon_sym_LBRACK,
    ACTIONS(1757), 1,
      anon_sym_LBRACE,
    ACTIONS(1759), 1,
      anon_sym_object,
    ACTIONS(1763), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1773), 1,
      anon_sym_new,
    ACTIONS(1775), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1777), 1,
      anon_sym_begin,
    ACTIONS(1779), 1,
      sym_ocamlyacc_value,
    ACTIONS(1781), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1783), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1785), 1,
      aux_sym_number_token1,
    ACTIONS(1787), 1,
      anon_sym_SQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1791), 1,
      sym_prefix_operator,
    ACTIONS(1795), 1,
      sym__capitalized_identifier,
    ACTIONS(1797), 1,
      aux_sym_tag_token1,
    ACTIONS(5255), 1,
      sym__identifier,
    STATE(4226), 1,
      sym_attribute,
    STATE(6148), 1,
      sym__value_name,
    STATE(6425), 1,
      sym__simple_expression,
    STATE(6503), 1,
      sym__constructor_name,
    STATE(6545), 1,
      sym_parenthesized_operator,
    STATE(17681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1755), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6501), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6376), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [147154] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1751), 1,
      anon_sym_LPAREN,
    ACTIONS(1753), 1,
      anon_sym_LBRACK,
    ACTIONS(1757), 1,
      anon_sym_LBRACE,
    ACTIONS(1759), 1,
      anon_sym_object,
    ACTIONS(1763), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1773), 1,
      anon_sym_new,
    ACTIONS(1775), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1777), 1,
      anon_sym_begin,
    ACTIONS(1779), 1,
      sym_ocamlyacc_value,
    ACTIONS(1781), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1783), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1785), 1,
      aux_sym_number_token1,
    ACTIONS(1787), 1,
      anon_sym_SQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1791), 1,
      sym_prefix_operator,
    ACTIONS(1795), 1,
      sym__capitalized_identifier,
    ACTIONS(1797), 1,
      aux_sym_tag_token1,
    ACTIONS(5255), 1,
      sym__identifier,
    STATE(4227), 1,
      sym_attribute,
    STATE(6148), 1,
      sym__value_name,
    STATE(6503), 1,
      sym__constructor_name,
    STATE(6538), 1,
      sym__simple_expression,
    STATE(6545), 1,
      sym_parenthesized_operator,
    STATE(17681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1755), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6501), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6376), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [147272] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7745), 1,
      sym__identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN,
    ACTIONS(7751), 1,
      anon_sym_LBRACK,
    ACTIONS(7755), 1,
      anon_sym_LBRACE,
    ACTIONS(7757), 1,
      anon_sym_object,
    ACTIONS(7759), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7761), 1,
      anon_sym_new,
    ACTIONS(7763), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7765), 1,
      anon_sym_begin,
    ACTIONS(7767), 1,
      sym_ocamlyacc_value,
    ACTIONS(7769), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7771), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7773), 1,
      aux_sym_number_token1,
    ACTIONS(7775), 1,
      anon_sym_SQUOTE,
    ACTIONS(7777), 1,
      anon_sym_DQUOTE,
    ACTIONS(7779), 1,
      sym_prefix_operator,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    STATE(4228), 1,
      sym_attribute,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(9116), 1,
      sym__simple_expression,
    STATE(9268), 1,
      sym__value_name,
    STATE(9278), 1,
      sym_parenthesized_operator,
    STATE(17843), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9059), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9106), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [147390] = 29,
    ACTIONS(463), 1,
      anon_sym_LPAREN,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(471), 1,
      anon_sym_object,
    ACTIONS(475), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(485), 1,
      anon_sym_new,
    ACTIONS(487), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(489), 1,
      anon_sym_begin,
    ACTIONS(491), 1,
      sym_ocamlyacc_value,
    ACTIONS(497), 1,
      aux_sym_number_token1,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(503), 1,
      sym_prefix_operator,
    ACTIONS(507), 1,
      sym__capitalized_identifier,
    ACTIONS(509), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3075), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3077), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3175), 1,
      sym__identifier,
    STATE(3087), 1,
      sym__constructor_name,
    STATE(3265), 1,
      sym__simple_expression,
    STATE(3336), 1,
      sym_parenthesized_operator,
    STATE(3470), 1,
      sym__value_name,
    STATE(4229), 1,
      sym_attribute,
    STATE(17735), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(467), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3086), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3210), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [147508] = 29,
    ACTIONS(463), 1,
      anon_sym_LPAREN,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(471), 1,
      anon_sym_object,
    ACTIONS(475), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(485), 1,
      anon_sym_new,
    ACTIONS(487), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(489), 1,
      anon_sym_begin,
    ACTIONS(491), 1,
      sym_ocamlyacc_value,
    ACTIONS(497), 1,
      aux_sym_number_token1,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(503), 1,
      sym_prefix_operator,
    ACTIONS(507), 1,
      sym__capitalized_identifier,
    ACTIONS(509), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3075), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3077), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3175), 1,
      sym__identifier,
    STATE(3087), 1,
      sym__constructor_name,
    STATE(3336), 1,
      sym_parenthesized_operator,
    STATE(3426), 1,
      sym__simple_expression,
    STATE(3470), 1,
      sym__value_name,
    STATE(4230), 1,
      sym_attribute,
    STATE(17735), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(467), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3086), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3210), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [147626] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(4231), 1,
      sym_attribute,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(5281), 1,
      sym__simple_expression,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [147744] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(4232), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13948), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [147866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [147936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [148006] = 29,
    ACTIONS(411), 1,
      anon_sym_LPAREN,
    ACTIONS(413), 1,
      anon_sym_LBRACK,
    ACTIONS(417), 1,
      anon_sym_LBRACE,
    ACTIONS(419), 1,
      anon_sym_object,
    ACTIONS(423), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(433), 1,
      anon_sym_new,
    ACTIONS(435), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(437), 1,
      anon_sym_begin,
    ACTIONS(439), 1,
      sym_ocamlyacc_value,
    ACTIONS(445), 1,
      aux_sym_number_token1,
    ACTIONS(447), 1,
      anon_sym_SQUOTE,
    ACTIONS(449), 1,
      anon_sym_DQUOTE,
    ACTIONS(451), 1,
      sym_prefix_operator,
    ACTIONS(455), 1,
      sym__capitalized_identifier,
    ACTIONS(457), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3061), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3063), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3209), 1,
      sym__identifier,
    STATE(2967), 1,
      sym__constructor_name,
    STATE(3102), 1,
      sym__value_name,
    STATE(3186), 1,
      sym__simple_expression,
    STATE(3200), 1,
      sym_parenthesized_operator,
    STATE(4235), 1,
      sym_attribute,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(415), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2965), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3337), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [148124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [148194] = 29,
    ACTIONS(861), 1,
      anon_sym_LPAREN,
    ACTIONS(863), 1,
      anon_sym_LBRACK,
    ACTIONS(867), 1,
      anon_sym_LBRACE,
    ACTIONS(869), 1,
      anon_sym_object,
    ACTIONS(873), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(883), 1,
      anon_sym_new,
    ACTIONS(885), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(887), 1,
      anon_sym_begin,
    ACTIONS(889), 1,
      sym_ocamlyacc_value,
    ACTIONS(895), 1,
      aux_sym_number_token1,
    ACTIONS(897), 1,
      anon_sym_SQUOTE,
    ACTIONS(899), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym_prefix_operator,
    ACTIONS(905), 1,
      sym__capitalized_identifier,
    ACTIONS(907), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3097), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3099), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3545), 1,
      sym__identifier,
    STATE(3820), 1,
      sym__constructor_name,
    STATE(3903), 1,
      sym_parenthesized_operator,
    STATE(4023), 1,
      sym__simple_expression,
    STATE(4039), 1,
      sym__value_name,
    STATE(4237), 1,
      sym_attribute,
    STATE(17789), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(865), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3818), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4008), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [148312] = 29,
    ACTIONS(861), 1,
      anon_sym_LPAREN,
    ACTIONS(863), 1,
      anon_sym_LBRACK,
    ACTIONS(867), 1,
      anon_sym_LBRACE,
    ACTIONS(869), 1,
      anon_sym_object,
    ACTIONS(873), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(883), 1,
      anon_sym_new,
    ACTIONS(885), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(887), 1,
      anon_sym_begin,
    ACTIONS(889), 1,
      sym_ocamlyacc_value,
    ACTIONS(895), 1,
      aux_sym_number_token1,
    ACTIONS(897), 1,
      anon_sym_SQUOTE,
    ACTIONS(899), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym_prefix_operator,
    ACTIONS(905), 1,
      sym__capitalized_identifier,
    ACTIONS(907), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3097), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3099), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3545), 1,
      sym__identifier,
    STATE(3820), 1,
      sym__constructor_name,
    STATE(3903), 1,
      sym_parenthesized_operator,
    STATE(3906), 1,
      sym__simple_expression,
    STATE(4039), 1,
      sym__value_name,
    STATE(4238), 1,
      sym_attribute,
    STATE(17789), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(865), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3818), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4008), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [148430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [148500] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5633), 1,
      sym__identifier,
    ACTIONS(5641), 1,
      anon_sym_LPAREN,
    ACTIONS(5643), 1,
      anon_sym_LBRACK,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    ACTIONS(5649), 1,
      anon_sym_object,
    ACTIONS(5651), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5653), 1,
      anon_sym_new,
    ACTIONS(5655), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5657), 1,
      anon_sym_begin,
    ACTIONS(5659), 1,
      sym_ocamlyacc_value,
    ACTIONS(5665), 1,
      aux_sym_number_token1,
    ACTIONS(5667), 1,
      anon_sym_SQUOTE,
    ACTIONS(5669), 1,
      anon_sym_DQUOTE,
    ACTIONS(5671), 1,
      sym_prefix_operator,
    ACTIONS(5673), 1,
      sym__capitalized_identifier,
    ACTIONS(5675), 1,
      aux_sym_tag_token1,
    ACTIONS(8628), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8630), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4240), 1,
      sym_attribute,
    STATE(5836), 1,
      sym__simple_expression,
    STATE(5909), 1,
      sym__constructor_name,
    STATE(5965), 1,
      sym__value_name,
    STATE(6017), 1,
      sym_parenthesized_operator,
    STATE(18059), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5645), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5907), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5923), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [148618] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7745), 1,
      sym__identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN,
    ACTIONS(7751), 1,
      anon_sym_LBRACK,
    ACTIONS(7755), 1,
      anon_sym_LBRACE,
    ACTIONS(7757), 1,
      anon_sym_object,
    ACTIONS(7759), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7761), 1,
      anon_sym_new,
    ACTIONS(7763), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7765), 1,
      anon_sym_begin,
    ACTIONS(7767), 1,
      sym_ocamlyacc_value,
    ACTIONS(7769), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7771), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7773), 1,
      aux_sym_number_token1,
    ACTIONS(7775), 1,
      anon_sym_SQUOTE,
    ACTIONS(7777), 1,
      anon_sym_DQUOTE,
    ACTIONS(7779), 1,
      sym_prefix_operator,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    STATE(4241), 1,
      sym_attribute,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(9158), 1,
      sym__simple_expression,
    STATE(9268), 1,
      sym__value_name,
    STATE(9278), 1,
      sym_parenthesized_operator,
    STATE(17843), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9059), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9106), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [148736] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7745), 1,
      sym__identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN,
    ACTIONS(7751), 1,
      anon_sym_LBRACK,
    ACTIONS(7755), 1,
      anon_sym_LBRACE,
    ACTIONS(7757), 1,
      anon_sym_object,
    ACTIONS(7759), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7761), 1,
      anon_sym_new,
    ACTIONS(7763), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7765), 1,
      anon_sym_begin,
    ACTIONS(7767), 1,
      sym_ocamlyacc_value,
    ACTIONS(7769), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7771), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7773), 1,
      aux_sym_number_token1,
    ACTIONS(7775), 1,
      anon_sym_SQUOTE,
    ACTIONS(7777), 1,
      anon_sym_DQUOTE,
    ACTIONS(7779), 1,
      sym_prefix_operator,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    STATE(4242), 1,
      sym_attribute,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(9268), 1,
      sym__value_name,
    STATE(9269), 1,
      sym__simple_expression,
    STATE(9278), 1,
      sym_parenthesized_operator,
    STATE(17843), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9059), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9106), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [148854] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [148924] = 29,
    ACTIONS(809), 1,
      anon_sym_LPAREN,
    ACTIONS(811), 1,
      anon_sym_LBRACK,
    ACTIONS(815), 1,
      anon_sym_LBRACE,
    ACTIONS(817), 1,
      anon_sym_object,
    ACTIONS(821), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(831), 1,
      anon_sym_new,
    ACTIONS(833), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(835), 1,
      anon_sym_begin,
    ACTIONS(837), 1,
      sym_ocamlyacc_value,
    ACTIONS(843), 1,
      aux_sym_number_token1,
    ACTIONS(845), 1,
      anon_sym_SQUOTE,
    ACTIONS(847), 1,
      anon_sym_DQUOTE,
    ACTIONS(849), 1,
      sym_prefix_operator,
    ACTIONS(853), 1,
      sym__capitalized_identifier,
    ACTIONS(855), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3123), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3125), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3403), 1,
      sym__identifier,
    STATE(3791), 1,
      sym__simple_expression,
    STATE(3861), 1,
      sym__value_name,
    STATE(3940), 1,
      sym__constructor_name,
    STATE(4006), 1,
      sym_parenthesized_operator,
    STATE(4244), 1,
      sym_attribute,
    STATE(17569), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(813), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3920), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3895), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [149042] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1343), 1,
      anon_sym_LBRACK,
    ACTIONS(1347), 1,
      anon_sym_LBRACE,
    ACTIONS(1349), 1,
      anon_sym_object,
    ACTIONS(1353), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1363), 1,
      anon_sym_new,
    ACTIONS(1365), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1367), 1,
      anon_sym_begin,
    ACTIONS(1369), 1,
      sym_ocamlyacc_value,
    ACTIONS(1371), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1373), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1375), 1,
      aux_sym_number_token1,
    ACTIONS(1377), 1,
      anon_sym_SQUOTE,
    ACTIONS(1379), 1,
      anon_sym_DQUOTE,
    ACTIONS(1381), 1,
      sym_prefix_operator,
    ACTIONS(1385), 1,
      sym__capitalized_identifier,
    ACTIONS(1387), 1,
      aux_sym_tag_token1,
    ACTIONS(4945), 1,
      sym__identifier,
    STATE(4245), 1,
      sym_attribute,
    STATE(5741), 1,
      sym__constructor_name,
    STATE(5765), 1,
      sym__value_name,
    STATE(5805), 1,
      sym__simple_expression,
    STATE(5819), 1,
      sym_parenthesized_operator,
    STATE(17897), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1345), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5798), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [149160] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1343), 1,
      anon_sym_LBRACK,
    ACTIONS(1347), 1,
      anon_sym_LBRACE,
    ACTIONS(1349), 1,
      anon_sym_object,
    ACTIONS(1353), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1363), 1,
      anon_sym_new,
    ACTIONS(1365), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1367), 1,
      anon_sym_begin,
    ACTIONS(1369), 1,
      sym_ocamlyacc_value,
    ACTIONS(1371), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1373), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1375), 1,
      aux_sym_number_token1,
    ACTIONS(1377), 1,
      anon_sym_SQUOTE,
    ACTIONS(1379), 1,
      anon_sym_DQUOTE,
    ACTIONS(1381), 1,
      sym_prefix_operator,
    ACTIONS(1385), 1,
      sym__capitalized_identifier,
    ACTIONS(1387), 1,
      aux_sym_tag_token1,
    ACTIONS(4945), 1,
      sym__identifier,
    STATE(4246), 1,
      sym_attribute,
    STATE(5741), 1,
      sym__constructor_name,
    STATE(5753), 1,
      sym__simple_expression,
    STATE(5765), 1,
      sym__value_name,
    STATE(5819), 1,
      sym_parenthesized_operator,
    STATE(17897), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1345), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5798), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [149278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [149348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [149418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [149488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [149558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [149628] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2737), 1,
      anon_sym_LPAREN,
    ACTIONS(2739), 1,
      anon_sym_LBRACK,
    ACTIONS(2743), 1,
      anon_sym_LBRACE,
    ACTIONS(2745), 1,
      anon_sym_object,
    ACTIONS(2749), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2759), 1,
      anon_sym_new,
    ACTIONS(2761), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2763), 1,
      anon_sym_begin,
    ACTIONS(2765), 1,
      sym_ocamlyacc_value,
    ACTIONS(2767), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2769), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2771), 1,
      aux_sym_number_token1,
    ACTIONS(2773), 1,
      anon_sym_SQUOTE,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      sym_prefix_operator,
    ACTIONS(2781), 1,
      sym__capitalized_identifier,
    ACTIONS(2783), 1,
      aux_sym_tag_token1,
    ACTIONS(5407), 1,
      sym__identifier,
    STATE(4252), 1,
      sym_attribute,
    STATE(6773), 1,
      sym__simple_expression,
    STATE(6820), 1,
      sym_parenthesized_operator,
    STATE(6839), 1,
      sym__constructor_name,
    STATE(7158), 1,
      sym__value_name,
    STATE(17627), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2741), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6837), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7127), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [149746] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1171), 1,
      anon_sym_LPAREN,
    ACTIONS(1173), 1,
      anon_sym_LBRACK,
    ACTIONS(1177), 1,
      anon_sym_LBRACE,
    ACTIONS(1179), 1,
      anon_sym_object,
    ACTIONS(1183), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1197), 1,
      anon_sym_new,
    ACTIONS(1199), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1201), 1,
      anon_sym_begin,
    ACTIONS(1203), 1,
      sym_ocamlyacc_value,
    ACTIONS(1205), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1207), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1209), 1,
      aux_sym_number_token1,
    ACTIONS(1211), 1,
      anon_sym_SQUOTE,
    ACTIONS(1213), 1,
      anon_sym_DQUOTE,
    ACTIONS(1215), 1,
      sym_prefix_operator,
    ACTIONS(1219), 1,
      sym__capitalized_identifier,
    ACTIONS(1221), 1,
      aux_sym_tag_token1,
    ACTIONS(4595), 1,
      sym__identifier,
    STATE(4253), 1,
      sym_attribute,
    STATE(4997), 1,
      sym__simple_expression,
    STATE(5030), 1,
      sym__value_name,
    STATE(5050), 1,
      sym_parenthesized_operator,
    STATE(5125), 1,
      sym__constructor_name,
    STATE(17951), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1175), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5124), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4992), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [149864] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1171), 1,
      anon_sym_LPAREN,
    ACTIONS(1173), 1,
      anon_sym_LBRACK,
    ACTIONS(1177), 1,
      anon_sym_LBRACE,
    ACTIONS(1179), 1,
      anon_sym_object,
    ACTIONS(1183), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1197), 1,
      anon_sym_new,
    ACTIONS(1199), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1201), 1,
      anon_sym_begin,
    ACTIONS(1203), 1,
      sym_ocamlyacc_value,
    ACTIONS(1205), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1207), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1209), 1,
      aux_sym_number_token1,
    ACTIONS(1211), 1,
      anon_sym_SQUOTE,
    ACTIONS(1213), 1,
      anon_sym_DQUOTE,
    ACTIONS(1215), 1,
      sym_prefix_operator,
    ACTIONS(1219), 1,
      sym__capitalized_identifier,
    ACTIONS(1221), 1,
      aux_sym_tag_token1,
    ACTIONS(4595), 1,
      sym__identifier,
    STATE(4254), 1,
      sym_attribute,
    STATE(5006), 1,
      sym__simple_expression,
    STATE(5030), 1,
      sym__value_name,
    STATE(5050), 1,
      sym_parenthesized_operator,
    STATE(5125), 1,
      sym__constructor_name,
    STATE(17951), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1175), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5124), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4992), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [149982] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(4615), 1,
      sym__identifier,
    STATE(4255), 1,
      sym_attribute,
    STATE(5164), 1,
      sym__simple_expression,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5195), 1,
      sym__constructor_name,
    STATE(5234), 1,
      sym__value_name,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5194), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5223), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [150100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [150170] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1751), 1,
      anon_sym_LPAREN,
    ACTIONS(1753), 1,
      anon_sym_LBRACK,
    ACTIONS(1757), 1,
      anon_sym_LBRACE,
    ACTIONS(1759), 1,
      anon_sym_object,
    ACTIONS(1763), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1773), 1,
      anon_sym_new,
    ACTIONS(1775), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1777), 1,
      anon_sym_begin,
    ACTIONS(1779), 1,
      sym_ocamlyacc_value,
    ACTIONS(1781), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1783), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1785), 1,
      aux_sym_number_token1,
    ACTIONS(1787), 1,
      anon_sym_SQUOTE,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1791), 1,
      sym_prefix_operator,
    ACTIONS(1795), 1,
      sym__capitalized_identifier,
    ACTIONS(1797), 1,
      aux_sym_tag_token1,
    ACTIONS(5255), 1,
      sym__identifier,
    STATE(4257), 1,
      sym_attribute,
    STATE(6148), 1,
      sym__value_name,
    STATE(6168), 1,
      sym__simple_expression,
    STATE(6503), 1,
      sym__constructor_name,
    STATE(6545), 1,
      sym_parenthesized_operator,
    STATE(17681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1755), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6501), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6376), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [150288] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1119), 1,
      anon_sym_LPAREN,
    ACTIONS(1121), 1,
      anon_sym_LBRACK,
    ACTIONS(1125), 1,
      anon_sym_LBRACE,
    ACTIONS(1127), 1,
      anon_sym_object,
    ACTIONS(1131), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1141), 1,
      anon_sym_new,
    ACTIONS(1143), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1145), 1,
      anon_sym_begin,
    ACTIONS(1147), 1,
      sym_ocamlyacc_value,
    ACTIONS(1149), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1151), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1153), 1,
      aux_sym_number_token1,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym_prefix_operator,
    ACTIONS(1163), 1,
      sym__capitalized_identifier,
    ACTIONS(1165), 1,
      aux_sym_tag_token1,
    ACTIONS(4685), 1,
      sym__identifier,
    STATE(4258), 1,
      sym_attribute,
    STATE(5326), 1,
      sym__simple_expression,
    STATE(5341), 1,
      sym__value_name,
    STATE(5359), 1,
      sym__constructor_name,
    STATE(5400), 1,
      sym_parenthesized_operator,
    STATE(18005), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1123), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5380), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5401), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [150406] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1119), 1,
      anon_sym_LPAREN,
    ACTIONS(1121), 1,
      anon_sym_LBRACK,
    ACTIONS(1125), 1,
      anon_sym_LBRACE,
    ACTIONS(1127), 1,
      anon_sym_object,
    ACTIONS(1131), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1141), 1,
      anon_sym_new,
    ACTIONS(1143), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1145), 1,
      anon_sym_begin,
    ACTIONS(1147), 1,
      sym_ocamlyacc_value,
    ACTIONS(1149), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1151), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1153), 1,
      aux_sym_number_token1,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym_prefix_operator,
    ACTIONS(1163), 1,
      sym__capitalized_identifier,
    ACTIONS(1165), 1,
      aux_sym_tag_token1,
    ACTIONS(4685), 1,
      sym__identifier,
    STATE(4259), 1,
      sym_attribute,
    STATE(5341), 1,
      sym__value_name,
    STATE(5359), 1,
      sym__constructor_name,
    STATE(5392), 1,
      sym__simple_expression,
    STATE(5400), 1,
      sym_parenthesized_operator,
    STATE(18005), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1123), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5380), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5401), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [150524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8050), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [150594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [150664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [150734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [150804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8050), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [150874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [150944] = 29,
    ACTIONS(463), 1,
      anon_sym_LPAREN,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(471), 1,
      anon_sym_object,
    ACTIONS(475), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(485), 1,
      anon_sym_new,
    ACTIONS(487), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(489), 1,
      anon_sym_begin,
    ACTIONS(491), 1,
      sym_ocamlyacc_value,
    ACTIONS(497), 1,
      aux_sym_number_token1,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(503), 1,
      sym_prefix_operator,
    ACTIONS(507), 1,
      sym__capitalized_identifier,
    ACTIONS(509), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3075), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3077), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3175), 1,
      sym__identifier,
    STATE(3087), 1,
      sym__constructor_name,
    STATE(3130), 1,
      sym__simple_expression,
    STATE(3336), 1,
      sym_parenthesized_operator,
    STATE(3470), 1,
      sym__value_name,
    STATE(4266), 1,
      sym_attribute,
    STATE(17735), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(467), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3086), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3210), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [151062] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5633), 1,
      sym__identifier,
    ACTIONS(5641), 1,
      anon_sym_LPAREN,
    ACTIONS(5643), 1,
      anon_sym_LBRACK,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    ACTIONS(5649), 1,
      anon_sym_object,
    ACTIONS(5651), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5653), 1,
      anon_sym_new,
    ACTIONS(5655), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5657), 1,
      anon_sym_begin,
    ACTIONS(5659), 1,
      sym_ocamlyacc_value,
    ACTIONS(5665), 1,
      aux_sym_number_token1,
    ACTIONS(5667), 1,
      anon_sym_SQUOTE,
    ACTIONS(5669), 1,
      anon_sym_DQUOTE,
    ACTIONS(5671), 1,
      sym_prefix_operator,
    ACTIONS(5673), 1,
      sym__capitalized_identifier,
    ACTIONS(5675), 1,
      aux_sym_tag_token1,
    ACTIONS(8628), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8630), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4267), 1,
      sym_attribute,
    STATE(5909), 1,
      sym__constructor_name,
    STATE(5928), 1,
      sym__simple_expression,
    STATE(5965), 1,
      sym__value_name,
    STATE(6017), 1,
      sym_parenthesized_operator,
    STATE(18059), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5645), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5907), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5923), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [151180] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5633), 1,
      sym__identifier,
    ACTIONS(5641), 1,
      anon_sym_LPAREN,
    ACTIONS(5643), 1,
      anon_sym_LBRACK,
    ACTIONS(5647), 1,
      anon_sym_LBRACE,
    ACTIONS(5649), 1,
      anon_sym_object,
    ACTIONS(5651), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5653), 1,
      anon_sym_new,
    ACTIONS(5655), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5657), 1,
      anon_sym_begin,
    ACTIONS(5659), 1,
      sym_ocamlyacc_value,
    ACTIONS(5665), 1,
      aux_sym_number_token1,
    ACTIONS(5667), 1,
      anon_sym_SQUOTE,
    ACTIONS(5669), 1,
      anon_sym_DQUOTE,
    ACTIONS(5671), 1,
      sym_prefix_operator,
    ACTIONS(5673), 1,
      sym__capitalized_identifier,
    ACTIONS(5675), 1,
      aux_sym_tag_token1,
    ACTIONS(8628), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8630), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4268), 1,
      sym_attribute,
    STATE(5909), 1,
      sym__constructor_name,
    STATE(5937), 1,
      sym__simple_expression,
    STATE(5965), 1,
      sym__value_name,
    STATE(6017), 1,
      sym_parenthesized_operator,
    STATE(18059), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5645), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5907), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5923), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [151298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [151368] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8474), 1,
      sym__identifier,
    STATE(4270), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(7430), 1,
      sym__simple_expression,
    STATE(17936), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [151486] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8474), 1,
      sym__identifier,
    ACTIONS(8476), 1,
      anon_sym_LPAREN,
    ACTIONS(8480), 1,
      anon_sym_LBRACE,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      aux_sym_number_token1,
    ACTIONS(8486), 1,
      anon_sym_SQUOTE,
    ACTIONS(8488), 1,
      anon_sym_DQUOTE,
    ACTIONS(8490), 1,
      sym_prefix_operator,
    STATE(4271), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(7520), 1,
      sym__simple_expression,
    STATE(19794), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8478), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [151604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [151674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [151744] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5741), 1,
      sym__identifier,
    ACTIONS(5745), 1,
      anon_sym_LPAREN,
    ACTIONS(5747), 1,
      anon_sym_LBRACK,
    ACTIONS(5751), 1,
      anon_sym_LBRACE,
    ACTIONS(5753), 1,
      anon_sym_object,
    ACTIONS(5755), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5757), 1,
      anon_sym_new,
    ACTIONS(5759), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5761), 1,
      anon_sym_begin,
    ACTIONS(5763), 1,
      sym_ocamlyacc_value,
    ACTIONS(5769), 1,
      aux_sym_number_token1,
    ACTIONS(5771), 1,
      anon_sym_SQUOTE,
    ACTIONS(5773), 1,
      anon_sym_DQUOTE,
    ACTIONS(5775), 1,
      sym_prefix_operator,
    ACTIONS(5777), 1,
      sym__capitalized_identifier,
    ACTIONS(5779), 1,
      aux_sym_tag_token1,
    ACTIONS(8632), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8634), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4274), 1,
      sym_attribute,
    STATE(5887), 1,
      sym__simple_expression,
    STATE(6068), 1,
      sym__constructor_name,
    STATE(6071), 1,
      sym__value_name,
    STATE(6102), 1,
      sym_parenthesized_operator,
    STATE(18353), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5749), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6065), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6020), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [151862] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1839), 1,
      anon_sym_LPAREN,
    ACTIONS(1841), 1,
      anon_sym_LBRACK,
    ACTIONS(1845), 1,
      anon_sym_LBRACE,
    ACTIONS(1847), 1,
      anon_sym_object,
    ACTIONS(1851), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1861), 1,
      anon_sym_new,
    ACTIONS(1863), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1865), 1,
      anon_sym_begin,
    ACTIONS(1867), 1,
      sym_ocamlyacc_value,
    ACTIONS(1869), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1871), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1873), 1,
      aux_sym_number_token1,
    ACTIONS(1875), 1,
      anon_sym_SQUOTE,
    ACTIONS(1877), 1,
      anon_sym_DQUOTE,
    ACTIONS(1879), 1,
      sym_prefix_operator,
    ACTIONS(1883), 1,
      sym__capitalized_identifier,
    ACTIONS(1885), 1,
      aux_sym_tag_token1,
    ACTIONS(5185), 1,
      sym__identifier,
    STATE(4275), 1,
      sym_attribute,
    STATE(6178), 1,
      sym__simple_expression,
    STATE(6216), 1,
      sym__value_name,
    STATE(6393), 1,
      sym__constructor_name,
    STATE(6406), 1,
      sym_parenthesized_operator,
    STATE(18112), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1843), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6346), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [151980] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1839), 1,
      anon_sym_LPAREN,
    ACTIONS(1841), 1,
      anon_sym_LBRACK,
    ACTIONS(1845), 1,
      anon_sym_LBRACE,
    ACTIONS(1847), 1,
      anon_sym_object,
    ACTIONS(1851), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1861), 1,
      anon_sym_new,
    ACTIONS(1863), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1865), 1,
      anon_sym_begin,
    ACTIONS(1867), 1,
      sym_ocamlyacc_value,
    ACTIONS(1869), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1871), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1873), 1,
      aux_sym_number_token1,
    ACTIONS(1875), 1,
      anon_sym_SQUOTE,
    ACTIONS(1877), 1,
      anon_sym_DQUOTE,
    ACTIONS(1879), 1,
      sym_prefix_operator,
    ACTIONS(1883), 1,
      sym__capitalized_identifier,
    ACTIONS(1885), 1,
      aux_sym_tag_token1,
    ACTIONS(5185), 1,
      sym__identifier,
    STATE(4276), 1,
      sym_attribute,
    STATE(6187), 1,
      sym__simple_expression,
    STATE(6216), 1,
      sym__value_name,
    STATE(6393), 1,
      sym__constructor_name,
    STATE(6406), 1,
      sym_parenthesized_operator,
    STATE(18112), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1843), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6346), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [152098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [152168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [152238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [152308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8500), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [152378] = 29,
    ACTIONS(861), 1,
      anon_sym_LPAREN,
    ACTIONS(863), 1,
      anon_sym_LBRACK,
    ACTIONS(867), 1,
      anon_sym_LBRACE,
    ACTIONS(869), 1,
      anon_sym_object,
    ACTIONS(873), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(883), 1,
      anon_sym_new,
    ACTIONS(885), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(887), 1,
      anon_sym_begin,
    ACTIONS(889), 1,
      sym_ocamlyacc_value,
    ACTIONS(895), 1,
      aux_sym_number_token1,
    ACTIONS(897), 1,
      anon_sym_SQUOTE,
    ACTIONS(899), 1,
      anon_sym_DQUOTE,
    ACTIONS(901), 1,
      sym_prefix_operator,
    ACTIONS(905), 1,
      sym__capitalized_identifier,
    ACTIONS(907), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3097), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3099), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3545), 1,
      sym__identifier,
    STATE(3739), 1,
      sym__simple_expression,
    STATE(3820), 1,
      sym__constructor_name,
    STATE(3903), 1,
      sym_parenthesized_operator,
    STATE(4039), 1,
      sym__value_name,
    STATE(4281), 1,
      sym_attribute,
    STATE(17789), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(865), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3818), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4008), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [152496] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1909), 1,
      anon_sym_LPAREN,
    ACTIONS(1911), 1,
      anon_sym_LBRACK,
    ACTIONS(1915), 1,
      anon_sym_LBRACE,
    ACTIONS(1917), 1,
      anon_sym_object,
    ACTIONS(1921), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1931), 1,
      anon_sym_new,
    ACTIONS(1933), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1935), 1,
      anon_sym_begin,
    ACTIONS(1937), 1,
      sym_ocamlyacc_value,
    ACTIONS(1939), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1941), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1943), 1,
      aux_sym_number_token1,
    ACTIONS(1945), 1,
      anon_sym_SQUOTE,
    ACTIONS(1947), 1,
      anon_sym_DQUOTE,
    ACTIONS(1949), 1,
      sym_prefix_operator,
    ACTIONS(1953), 1,
      sym__capitalized_identifier,
    ACTIONS(1955), 1,
      aux_sym_tag_token1,
    ACTIONS(5265), 1,
      sym__identifier,
    STATE(4282), 1,
      sym_attribute,
    STATE(6221), 1,
      sym__simple_expression,
    STATE(6262), 1,
      sym__value_name,
    STATE(6472), 1,
      sym_parenthesized_operator,
    STATE(6530), 1,
      sym__constructor_name,
    STATE(18153), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1913), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6526), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6215), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [152614] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1909), 1,
      anon_sym_LPAREN,
    ACTIONS(1911), 1,
      anon_sym_LBRACK,
    ACTIONS(1915), 1,
      anon_sym_LBRACE,
    ACTIONS(1917), 1,
      anon_sym_object,
    ACTIONS(1921), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1931), 1,
      anon_sym_new,
    ACTIONS(1933), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1935), 1,
      anon_sym_begin,
    ACTIONS(1937), 1,
      sym_ocamlyacc_value,
    ACTIONS(1939), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1941), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1943), 1,
      aux_sym_number_token1,
    ACTIONS(1945), 1,
      anon_sym_SQUOTE,
    ACTIONS(1947), 1,
      anon_sym_DQUOTE,
    ACTIONS(1949), 1,
      sym_prefix_operator,
    ACTIONS(1953), 1,
      sym__capitalized_identifier,
    ACTIONS(1955), 1,
      aux_sym_tag_token1,
    ACTIONS(5265), 1,
      sym__identifier,
    STATE(4283), 1,
      sym_attribute,
    STATE(6231), 1,
      sym__simple_expression,
    STATE(6262), 1,
      sym__value_name,
    STATE(6472), 1,
      sym_parenthesized_operator,
    STATE(6530), 1,
      sym__constructor_name,
    STATE(18153), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1913), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6526), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6215), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [152732] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7994), 1,
      anon_sym_LPAREN,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(7998), 1,
      anon_sym_LBRACE,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8008), 1,
      anon_sym_begin,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 1,
      sym_prefix_operator,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8474), 1,
      sym__identifier,
    STATE(4284), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(14636), 1,
      sym__simple_expression,
    STATE(17936), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [152850] = 29,
    ACTIONS(41), 1,
      anon_sym_LPAREN,
    ACTIONS(47), 1,
      anon_sym_LBRACK,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_object,
    ACTIONS(71), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(89), 1,
      anon_sym_new,
    ACTIONS(91), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(93), 1,
      anon_sym_begin,
    ACTIONS(95), 1,
      sym_ocamlyacc_value,
    ACTIONS(101), 1,
      aux_sym_number_token1,
    ACTIONS(105), 1,
      anon_sym_SQUOTE,
    ACTIONS(107), 1,
      anon_sym_DQUOTE,
    ACTIONS(109), 1,
      sym_prefix_operator,
    ACTIONS(117), 1,
      sym__capitalized_identifier,
    ACTIONS(121), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3065), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3067), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4085), 1,
      sym__identifier,
    STATE(4081), 1,
      sym_parenthesized_operator,
    STATE(4135), 1,
      sym__value_name,
    STATE(4138), 1,
      sym__constructor_name,
    STATE(4285), 1,
      sym_attribute,
    STATE(4290), 1,
      sym__simple_expression,
    STATE(19420), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(51), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4130), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4233), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [152968] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6285), 1,
      sym__identifier,
    ACTIONS(6289), 1,
      anon_sym_LPAREN,
    ACTIONS(6291), 1,
      anon_sym_LBRACK,
    ACTIONS(6295), 1,
      anon_sym_LBRACE,
    ACTIONS(6297), 1,
      anon_sym_object,
    ACTIONS(6299), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6301), 1,
      anon_sym_new,
    ACTIONS(6303), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6305), 1,
      anon_sym_begin,
    ACTIONS(6307), 1,
      sym_ocamlyacc_value,
    ACTIONS(6313), 1,
      aux_sym_number_token1,
    ACTIONS(6315), 1,
      anon_sym_SQUOTE,
    ACTIONS(6317), 1,
      anon_sym_DQUOTE,
    ACTIONS(6319), 1,
      sym_prefix_operator,
    ACTIONS(6321), 1,
      sym__capitalized_identifier,
    ACTIONS(6323), 1,
      aux_sym_tag_token1,
    ACTIONS(8636), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8638), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4286), 1,
      sym_attribute,
    STATE(6989), 1,
      sym__value_name,
    STATE(7215), 1,
      sym__simple_expression,
    STATE(7222), 1,
      sym_parenthesized_operator,
    STATE(7254), 1,
      sym__constructor_name,
    STATE(18433), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6293), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7252), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6899), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [153086] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8434), 1,
      sym__identifier,
    ACTIONS(8436), 1,
      anon_sym_LPAREN,
    ACTIONS(8438), 1,
      anon_sym_LBRACK,
    ACTIONS(8442), 1,
      anon_sym_LBRACE,
    ACTIONS(8444), 1,
      anon_sym_object,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8448), 1,
      anon_sym_new,
    ACTIONS(8450), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8452), 1,
      anon_sym_begin,
    ACTIONS(8454), 1,
      sym_ocamlyacc_value,
    ACTIONS(8456), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8458), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8460), 1,
      aux_sym_number_token1,
    ACTIONS(8462), 1,
      anon_sym_SQUOTE,
    ACTIONS(8464), 1,
      anon_sym_DQUOTE,
    ACTIONS(8466), 1,
      sym_prefix_operator,
    ACTIONS(8468), 1,
      sym__capitalized_identifier,
    ACTIONS(8470), 1,
      aux_sym_tag_token1,
    STATE(4287), 1,
      sym_attribute,
    STATE(9676), 1,
      sym__simple_expression,
    STATE(9720), 1,
      sym__value_name,
    STATE(9770), 1,
      sym_parenthesized_operator,
    STATE(9802), 1,
      sym__constructor_name,
    STATE(18193), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8440), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9801), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9667), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [153204] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8434), 1,
      sym__identifier,
    ACTIONS(8436), 1,
      anon_sym_LPAREN,
    ACTIONS(8438), 1,
      anon_sym_LBRACK,
    ACTIONS(8442), 1,
      anon_sym_LBRACE,
    ACTIONS(8444), 1,
      anon_sym_object,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8448), 1,
      anon_sym_new,
    ACTIONS(8450), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8452), 1,
      anon_sym_begin,
    ACTIONS(8454), 1,
      sym_ocamlyacc_value,
    ACTIONS(8456), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8458), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8460), 1,
      aux_sym_number_token1,
    ACTIONS(8462), 1,
      anon_sym_SQUOTE,
    ACTIONS(8464), 1,
      anon_sym_DQUOTE,
    ACTIONS(8466), 1,
      sym_prefix_operator,
    ACTIONS(8468), 1,
      sym__capitalized_identifier,
    ACTIONS(8470), 1,
      aux_sym_tag_token1,
    STATE(4288), 1,
      sym_attribute,
    STATE(9689), 1,
      sym__simple_expression,
    STATE(9720), 1,
      sym__value_name,
    STATE(9770), 1,
      sym_parenthesized_operator,
    STATE(9802), 1,
      sym__constructor_name,
    STATE(18193), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8440), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9801), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9667), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [153322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [153392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [153462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [153532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [153602] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1341), 1,
      anon_sym_LPAREN,
    ACTIONS(1343), 1,
      anon_sym_LBRACK,
    ACTIONS(1347), 1,
      anon_sym_LBRACE,
    ACTIONS(1349), 1,
      anon_sym_object,
    ACTIONS(1353), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1363), 1,
      anon_sym_new,
    ACTIONS(1365), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1367), 1,
      anon_sym_begin,
    ACTIONS(1369), 1,
      sym_ocamlyacc_value,
    ACTIONS(1371), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1373), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1375), 1,
      aux_sym_number_token1,
    ACTIONS(1377), 1,
      anon_sym_SQUOTE,
    ACTIONS(1379), 1,
      anon_sym_DQUOTE,
    ACTIONS(1381), 1,
      sym_prefix_operator,
    ACTIONS(1385), 1,
      sym__capitalized_identifier,
    ACTIONS(1387), 1,
      aux_sym_tag_token1,
    ACTIONS(4945), 1,
      sym__identifier,
    STATE(4293), 1,
      sym_attribute,
    STATE(5741), 1,
      sym__constructor_name,
    STATE(5765), 1,
      sym__value_name,
    STATE(5795), 1,
      sym__simple_expression,
    STATE(5819), 1,
      sym_parenthesized_operator,
    STATE(17897), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1345), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5798), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [153720] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1979), 1,
      anon_sym_LPAREN,
    ACTIONS(1981), 1,
      anon_sym_LBRACK,
    ACTIONS(1985), 1,
      anon_sym_LBRACE,
    ACTIONS(1987), 1,
      anon_sym_object,
    ACTIONS(1991), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2001), 1,
      anon_sym_new,
    ACTIONS(2003), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2005), 1,
      anon_sym_begin,
    ACTIONS(2007), 1,
      sym_ocamlyacc_value,
    ACTIONS(2009), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2011), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2013), 1,
      aux_sym_number_token1,
    ACTIONS(2015), 1,
      anon_sym_SQUOTE,
    ACTIONS(2017), 1,
      anon_sym_DQUOTE,
    ACTIONS(2019), 1,
      sym_prefix_operator,
    ACTIONS(2023), 1,
      sym__capitalized_identifier,
    ACTIONS(2025), 1,
      aux_sym_tag_token1,
    ACTIONS(5165), 1,
      sym__identifier,
    STATE(4294), 1,
      sym_attribute,
    STATE(6269), 1,
      sym__simple_expression,
    STATE(6323), 1,
      sym__value_name,
    STATE(6450), 1,
      sym__constructor_name,
    STATE(6497), 1,
      sym_parenthesized_operator,
    STATE(18233), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1983), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6431), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6261), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [153838] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1979), 1,
      anon_sym_LPAREN,
    ACTIONS(1981), 1,
      anon_sym_LBRACK,
    ACTIONS(1985), 1,
      anon_sym_LBRACE,
    ACTIONS(1987), 1,
      anon_sym_object,
    ACTIONS(1991), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2001), 1,
      anon_sym_new,
    ACTIONS(2003), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2005), 1,
      anon_sym_begin,
    ACTIONS(2007), 1,
      sym_ocamlyacc_value,
    ACTIONS(2009), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2011), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2013), 1,
      aux_sym_number_token1,
    ACTIONS(2015), 1,
      anon_sym_SQUOTE,
    ACTIONS(2017), 1,
      anon_sym_DQUOTE,
    ACTIONS(2019), 1,
      sym_prefix_operator,
    ACTIONS(2023), 1,
      sym__capitalized_identifier,
    ACTIONS(2025), 1,
      aux_sym_tag_token1,
    ACTIONS(5165), 1,
      sym__identifier,
    STATE(4295), 1,
      sym_attribute,
    STATE(6280), 1,
      sym__simple_expression,
    STATE(6323), 1,
      sym__value_name,
    STATE(6450), 1,
      sym__constructor_name,
    STATE(6497), 1,
      sym_parenthesized_operator,
    STATE(18233), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1983), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6431), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6261), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [153956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [154026] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [154096] = 29,
    ACTIONS(41), 1,
      anon_sym_LPAREN,
    ACTIONS(47), 1,
      anon_sym_LBRACK,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_object,
    ACTIONS(71), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(89), 1,
      anon_sym_new,
    ACTIONS(91), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(93), 1,
      anon_sym_begin,
    ACTIONS(95), 1,
      sym_ocamlyacc_value,
    ACTIONS(101), 1,
      aux_sym_number_token1,
    ACTIONS(105), 1,
      anon_sym_SQUOTE,
    ACTIONS(107), 1,
      anon_sym_DQUOTE,
    ACTIONS(109), 1,
      sym_prefix_operator,
    ACTIONS(117), 1,
      sym__capitalized_identifier,
    ACTIONS(121), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3065), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3067), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4085), 1,
      sym__identifier,
    STATE(4081), 1,
      sym_parenthesized_operator,
    STATE(4135), 1,
      sym__value_name,
    STATE(4138), 1,
      sym__constructor_name,
    STATE(4298), 1,
      sym_attribute,
    STATE(4377), 1,
      sym__simple_expression,
    STATE(19420), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(51), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4130), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4233), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [154214] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1171), 1,
      anon_sym_LPAREN,
    ACTIONS(1173), 1,
      anon_sym_LBRACK,
    ACTIONS(1177), 1,
      anon_sym_LBRACE,
    ACTIONS(1179), 1,
      anon_sym_object,
    ACTIONS(1183), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1197), 1,
      anon_sym_new,
    ACTIONS(1199), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1201), 1,
      anon_sym_begin,
    ACTIONS(1203), 1,
      sym_ocamlyacc_value,
    ACTIONS(1205), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1207), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1209), 1,
      aux_sym_number_token1,
    ACTIONS(1211), 1,
      anon_sym_SQUOTE,
    ACTIONS(1213), 1,
      anon_sym_DQUOTE,
    ACTIONS(1215), 1,
      sym_prefix_operator,
    ACTIONS(1219), 1,
      sym__capitalized_identifier,
    ACTIONS(1221), 1,
      aux_sym_tag_token1,
    ACTIONS(4595), 1,
      sym__identifier,
    STATE(4299), 1,
      sym_attribute,
    STATE(5030), 1,
      sym__value_name,
    STATE(5039), 1,
      sym__simple_expression,
    STATE(5050), 1,
      sym_parenthesized_operator,
    STATE(5125), 1,
      sym__constructor_name,
    STATE(17951), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1175), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5124), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4992), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [154332] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2049), 1,
      anon_sym_LPAREN,
    ACTIONS(2051), 1,
      anon_sym_LBRACK,
    ACTIONS(2055), 1,
      anon_sym_LBRACE,
    ACTIONS(2057), 1,
      anon_sym_object,
    ACTIONS(2061), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2071), 1,
      anon_sym_new,
    ACTIONS(2073), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2075), 1,
      anon_sym_begin,
    ACTIONS(2077), 1,
      sym_ocamlyacc_value,
    ACTIONS(2079), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2081), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2083), 1,
      aux_sym_number_token1,
    ACTIONS(2085), 1,
      anon_sym_SQUOTE,
    ACTIONS(2087), 1,
      anon_sym_DQUOTE,
    ACTIONS(2089), 1,
      sym_prefix_operator,
    ACTIONS(2093), 1,
      sym__capitalized_identifier,
    ACTIONS(2095), 1,
      aux_sym_tag_token1,
    ACTIONS(5175), 1,
      sym__identifier,
    STATE(4300), 1,
      sym_attribute,
    STATE(6330), 1,
      sym__simple_expression,
    STATE(6383), 1,
      sym__value_name,
    STATE(6446), 1,
      sym__constructor_name,
    STATE(6528), 1,
      sym_parenthesized_operator,
    STATE(18273), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2053), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6444), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6315), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [154450] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2049), 1,
      anon_sym_LPAREN,
    ACTIONS(2051), 1,
      anon_sym_LBRACK,
    ACTIONS(2055), 1,
      anon_sym_LBRACE,
    ACTIONS(2057), 1,
      anon_sym_object,
    ACTIONS(2061), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2071), 1,
      anon_sym_new,
    ACTIONS(2073), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2075), 1,
      anon_sym_begin,
    ACTIONS(2077), 1,
      sym_ocamlyacc_value,
    ACTIONS(2079), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2081), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2083), 1,
      aux_sym_number_token1,
    ACTIONS(2085), 1,
      anon_sym_SQUOTE,
    ACTIONS(2087), 1,
      anon_sym_DQUOTE,
    ACTIONS(2089), 1,
      sym_prefix_operator,
    ACTIONS(2093), 1,
      sym__capitalized_identifier,
    ACTIONS(2095), 1,
      aux_sym_tag_token1,
    ACTIONS(5175), 1,
      sym__identifier,
    STATE(4301), 1,
      sym_attribute,
    STATE(6342), 1,
      sym__simple_expression,
    STATE(6383), 1,
      sym__value_name,
    STATE(6446), 1,
      sym__constructor_name,
    STATE(6528), 1,
      sym_parenthesized_operator,
    STATE(18273), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2053), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6444), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6315), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [154568] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1119), 1,
      anon_sym_LPAREN,
    ACTIONS(1121), 1,
      anon_sym_LBRACK,
    ACTIONS(1125), 1,
      anon_sym_LBRACE,
    ACTIONS(1127), 1,
      anon_sym_object,
    ACTIONS(1131), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1141), 1,
      anon_sym_new,
    ACTIONS(1143), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1145), 1,
      anon_sym_begin,
    ACTIONS(1147), 1,
      sym_ocamlyacc_value,
    ACTIONS(1149), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1151), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1153), 1,
      aux_sym_number_token1,
    ACTIONS(1155), 1,
      anon_sym_SQUOTE,
    ACTIONS(1157), 1,
      anon_sym_DQUOTE,
    ACTIONS(1159), 1,
      sym_prefix_operator,
    ACTIONS(1163), 1,
      sym__capitalized_identifier,
    ACTIONS(1165), 1,
      aux_sym_tag_token1,
    ACTIONS(4685), 1,
      sym__identifier,
    STATE(4302), 1,
      sym_attribute,
    STATE(5341), 1,
      sym__value_name,
    STATE(5359), 1,
      sym__constructor_name,
    STATE(5381), 1,
      sym__simple_expression,
    STATE(5400), 1,
      sym_parenthesized_operator,
    STATE(18005), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1123), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5380), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5401), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [154686] = 29,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(763), 1,
      anon_sym_LBRACE,
    ACTIONS(765), 1,
      anon_sym_object,
    ACTIONS(769), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(779), 1,
      anon_sym_new,
    ACTIONS(781), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(783), 1,
      anon_sym_begin,
    ACTIONS(785), 1,
      sym_ocamlyacc_value,
    ACTIONS(791), 1,
      aux_sym_number_token1,
    ACTIONS(793), 1,
      anon_sym_SQUOTE,
    ACTIONS(795), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym_prefix_operator,
    ACTIONS(801), 1,
      sym__capitalized_identifier,
    ACTIONS(803), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3111), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3113), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3271), 1,
      sym__identifier,
    STATE(3589), 1,
      sym__simple_expression,
    STATE(3594), 1,
      sym__value_name,
    STATE(3619), 1,
      sym__constructor_name,
    STATE(3621), 1,
      sym_parenthesized_operator,
    STATE(4303), 1,
      sym_attribute,
    STATE(18313), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(761), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3618), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3546), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [154804] = 29,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(763), 1,
      anon_sym_LBRACE,
    ACTIONS(765), 1,
      anon_sym_object,
    ACTIONS(769), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(779), 1,
      anon_sym_new,
    ACTIONS(781), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(783), 1,
      anon_sym_begin,
    ACTIONS(785), 1,
      sym_ocamlyacc_value,
    ACTIONS(791), 1,
      aux_sym_number_token1,
    ACTIONS(793), 1,
      anon_sym_SQUOTE,
    ACTIONS(795), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym_prefix_operator,
    ACTIONS(801), 1,
      sym__capitalized_identifier,
    ACTIONS(803), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3111), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3113), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3271), 1,
      sym__identifier,
    STATE(3594), 1,
      sym__value_name,
    STATE(3619), 1,
      sym__constructor_name,
    STATE(3621), 1,
      sym_parenthesized_operator,
    STATE(3707), 1,
      sym__simple_expression,
    STATE(4304), 1,
      sym_attribute,
    STATE(18313), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(761), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3618), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3546), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [154922] = 29,
    ACTIONS(41), 1,
      anon_sym_LPAREN,
    ACTIONS(47), 1,
      anon_sym_LBRACK,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_object,
    ACTIONS(71), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(89), 1,
      anon_sym_new,
    ACTIONS(91), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(93), 1,
      anon_sym_begin,
    ACTIONS(95), 1,
      sym_ocamlyacc_value,
    ACTIONS(101), 1,
      aux_sym_number_token1,
    ACTIONS(105), 1,
      anon_sym_SQUOTE,
    ACTIONS(107), 1,
      anon_sym_DQUOTE,
    ACTIONS(109), 1,
      sym_prefix_operator,
    ACTIONS(117), 1,
      sym__capitalized_identifier,
    ACTIONS(121), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3065), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3067), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4085), 1,
      sym__identifier,
    STATE(4081), 1,
      sym_parenthesized_operator,
    STATE(4135), 1,
      sym__value_name,
    STATE(4138), 1,
      sym__constructor_name,
    STATE(4193), 1,
      sym__simple_expression,
    STATE(4305), 1,
      sym_attribute,
    STATE(19420), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(51), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4130), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4233), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [155040] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6565), 1,
      sym__identifier,
    ACTIONS(6569), 1,
      anon_sym_LPAREN,
    ACTIONS(6571), 1,
      anon_sym_LBRACK,
    ACTIONS(6575), 1,
      anon_sym_LBRACE,
    ACTIONS(6577), 1,
      anon_sym_object,
    ACTIONS(6579), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6581), 1,
      anon_sym_new,
    ACTIONS(6583), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6585), 1,
      anon_sym_begin,
    ACTIONS(6587), 1,
      sym_ocamlyacc_value,
    ACTIONS(6593), 1,
      aux_sym_number_token1,
    ACTIONS(6595), 1,
      anon_sym_SQUOTE,
    ACTIONS(6597), 1,
      anon_sym_DQUOTE,
    ACTIONS(6599), 1,
      sym_prefix_operator,
    ACTIONS(6601), 1,
      sym__capitalized_identifier,
    ACTIONS(6603), 1,
      aux_sym_tag_token1,
    ACTIONS(8640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8642), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4306), 1,
      sym_attribute,
    STATE(6891), 1,
      sym__constructor_name,
    STATE(7074), 1,
      sym__value_name,
    STATE(7194), 1,
      sym__simple_expression,
    STATE(7263), 1,
      sym_parenthesized_operator,
    STATE(18513), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6573), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6886), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6981), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [155158] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5741), 1,
      sym__identifier,
    ACTIONS(5745), 1,
      anon_sym_LPAREN,
    ACTIONS(5747), 1,
      anon_sym_LBRACK,
    ACTIONS(5751), 1,
      anon_sym_LBRACE,
    ACTIONS(5753), 1,
      anon_sym_object,
    ACTIONS(5755), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5757), 1,
      anon_sym_new,
    ACTIONS(5759), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5761), 1,
      anon_sym_begin,
    ACTIONS(5763), 1,
      sym_ocamlyacc_value,
    ACTIONS(5769), 1,
      aux_sym_number_token1,
    ACTIONS(5771), 1,
      anon_sym_SQUOTE,
    ACTIONS(5773), 1,
      anon_sym_DQUOTE,
    ACTIONS(5775), 1,
      sym_prefix_operator,
    ACTIONS(5777), 1,
      sym__capitalized_identifier,
    ACTIONS(5779), 1,
      aux_sym_tag_token1,
    ACTIONS(8632), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8634), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4307), 1,
      sym_attribute,
    STATE(6025), 1,
      sym__simple_expression,
    STATE(6068), 1,
      sym__constructor_name,
    STATE(6071), 1,
      sym__value_name,
    STATE(6102), 1,
      sym_parenthesized_operator,
    STATE(18353), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5749), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6065), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6020), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [155276] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5741), 1,
      sym__identifier,
    ACTIONS(5745), 1,
      anon_sym_LPAREN,
    ACTIONS(5747), 1,
      anon_sym_LBRACK,
    ACTIONS(5751), 1,
      anon_sym_LBRACE,
    ACTIONS(5753), 1,
      anon_sym_object,
    ACTIONS(5755), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5757), 1,
      anon_sym_new,
    ACTIONS(5759), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5761), 1,
      anon_sym_begin,
    ACTIONS(5763), 1,
      sym_ocamlyacc_value,
    ACTIONS(5769), 1,
      aux_sym_number_token1,
    ACTIONS(5771), 1,
      anon_sym_SQUOTE,
    ACTIONS(5773), 1,
      anon_sym_DQUOTE,
    ACTIONS(5775), 1,
      sym_prefix_operator,
    ACTIONS(5777), 1,
      sym__capitalized_identifier,
    ACTIONS(5779), 1,
      aux_sym_tag_token1,
    ACTIONS(8632), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8634), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4308), 1,
      sym_attribute,
    STATE(6037), 1,
      sym__simple_expression,
    STATE(6068), 1,
      sym__constructor_name,
    STATE(6071), 1,
      sym__value_name,
    STATE(6102), 1,
      sym_parenthesized_operator,
    STATE(18353), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5749), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6065), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6020), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [155394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [155464] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4089), 1,
      anon_sym_DOT,
    ACTIONS(4091), 1,
      anon_sym_POUND,
    ACTIONS(4093), 1,
      sym_hash_operator,
    STATE(4310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [155540] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1839), 1,
      anon_sym_LPAREN,
    ACTIONS(1841), 1,
      anon_sym_LBRACK,
    ACTIONS(1845), 1,
      anon_sym_LBRACE,
    ACTIONS(1847), 1,
      anon_sym_object,
    ACTIONS(1851), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1861), 1,
      anon_sym_new,
    ACTIONS(1863), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1865), 1,
      anon_sym_begin,
    ACTIONS(1867), 1,
      sym_ocamlyacc_value,
    ACTIONS(1869), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1871), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1873), 1,
      aux_sym_number_token1,
    ACTIONS(1875), 1,
      anon_sym_SQUOTE,
    ACTIONS(1877), 1,
      anon_sym_DQUOTE,
    ACTIONS(1879), 1,
      sym_prefix_operator,
    ACTIONS(1883), 1,
      sym__capitalized_identifier,
    ACTIONS(1885), 1,
      aux_sym_tag_token1,
    ACTIONS(5185), 1,
      sym__identifier,
    STATE(4311), 1,
      sym_attribute,
    STATE(6216), 1,
      sym__value_name,
    STATE(6367), 1,
      sym__simple_expression,
    STATE(6393), 1,
      sym__constructor_name,
    STATE(6406), 1,
      sym_parenthesized_operator,
    STATE(18112), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1843), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6346), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [155658] = 29,
    ACTIONS(699), 1,
      anon_sym_LPAREN,
    ACTIONS(701), 1,
      anon_sym_LBRACK,
    ACTIONS(705), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_object,
    ACTIONS(711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(721), 1,
      anon_sym_new,
    ACTIONS(723), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(725), 1,
      anon_sym_begin,
    ACTIONS(727), 1,
      sym_ocamlyacc_value,
    ACTIONS(733), 1,
      aux_sym_number_token1,
    ACTIONS(735), 1,
      anon_sym_SQUOTE,
    ACTIONS(737), 1,
      anon_sym_DQUOTE,
    ACTIONS(739), 1,
      sym_prefix_operator,
    ACTIONS(743), 1,
      sym__capitalized_identifier,
    ACTIONS(745), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3119), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3121), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3281), 1,
      sym__identifier,
    STATE(3547), 1,
      sym__value_name,
    STATE(3636), 1,
      sym__constructor_name,
    STATE(3692), 1,
      sym__simple_expression,
    STATE(3708), 1,
      sym_parenthesized_operator,
    STATE(4312), 1,
      sym_attribute,
    STATE(18393), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(703), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3635), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3668), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [155776] = 29,
    ACTIONS(699), 1,
      anon_sym_LPAREN,
    ACTIONS(701), 1,
      anon_sym_LBRACK,
    ACTIONS(705), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_object,
    ACTIONS(711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(721), 1,
      anon_sym_new,
    ACTIONS(723), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(725), 1,
      anon_sym_begin,
    ACTIONS(727), 1,
      sym_ocamlyacc_value,
    ACTIONS(733), 1,
      aux_sym_number_token1,
    ACTIONS(735), 1,
      anon_sym_SQUOTE,
    ACTIONS(737), 1,
      anon_sym_DQUOTE,
    ACTIONS(739), 1,
      sym_prefix_operator,
    ACTIONS(743), 1,
      sym__capitalized_identifier,
    ACTIONS(745), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3119), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3121), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3281), 1,
      sym__identifier,
    STATE(3502), 1,
      sym__simple_expression,
    STATE(3547), 1,
      sym__value_name,
    STATE(3636), 1,
      sym__constructor_name,
    STATE(3708), 1,
      sym_parenthesized_operator,
    STATE(4313), 1,
      sym_attribute,
    STATE(18393), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(703), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3635), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3668), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [155894] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1909), 1,
      anon_sym_LPAREN,
    ACTIONS(1911), 1,
      anon_sym_LBRACK,
    ACTIONS(1915), 1,
      anon_sym_LBRACE,
    ACTIONS(1917), 1,
      anon_sym_object,
    ACTIONS(1921), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1931), 1,
      anon_sym_new,
    ACTIONS(1933), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1935), 1,
      anon_sym_begin,
    ACTIONS(1937), 1,
      sym_ocamlyacc_value,
    ACTIONS(1939), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1941), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1943), 1,
      aux_sym_number_token1,
    ACTIONS(1945), 1,
      anon_sym_SQUOTE,
    ACTIONS(1947), 1,
      anon_sym_DQUOTE,
    ACTIONS(1949), 1,
      sym_prefix_operator,
    ACTIONS(1953), 1,
      sym__capitalized_identifier,
    ACTIONS(1955), 1,
      aux_sym_tag_token1,
    ACTIONS(5265), 1,
      sym__identifier,
    STATE(4314), 1,
      sym_attribute,
    STATE(6262), 1,
      sym__value_name,
    STATE(6395), 1,
      sym__simple_expression,
    STATE(6472), 1,
      sym_parenthesized_operator,
    STATE(6530), 1,
      sym__constructor_name,
    STATE(18153), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1913), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6526), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6215), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [156012] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6285), 1,
      sym__identifier,
    ACTIONS(6289), 1,
      anon_sym_LPAREN,
    ACTIONS(6291), 1,
      anon_sym_LBRACK,
    ACTIONS(6295), 1,
      anon_sym_LBRACE,
    ACTIONS(6297), 1,
      anon_sym_object,
    ACTIONS(6299), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6301), 1,
      anon_sym_new,
    ACTIONS(6303), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6305), 1,
      anon_sym_begin,
    ACTIONS(6307), 1,
      sym_ocamlyacc_value,
    ACTIONS(6313), 1,
      aux_sym_number_token1,
    ACTIONS(6315), 1,
      anon_sym_SQUOTE,
    ACTIONS(6317), 1,
      anon_sym_DQUOTE,
    ACTIONS(6319), 1,
      sym_prefix_operator,
    ACTIONS(6321), 1,
      sym__capitalized_identifier,
    ACTIONS(6323), 1,
      aux_sym_tag_token1,
    ACTIONS(8636), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8638), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4315), 1,
      sym_attribute,
    STATE(6918), 1,
      sym__simple_expression,
    STATE(6989), 1,
      sym__value_name,
    STATE(7222), 1,
      sym_parenthesized_operator,
    STATE(7254), 1,
      sym__constructor_name,
    STATE(18433), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6293), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7252), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6899), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [156130] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6285), 1,
      sym__identifier,
    ACTIONS(6289), 1,
      anon_sym_LPAREN,
    ACTIONS(6291), 1,
      anon_sym_LBRACK,
    ACTIONS(6295), 1,
      anon_sym_LBRACE,
    ACTIONS(6297), 1,
      anon_sym_object,
    ACTIONS(6299), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6301), 1,
      anon_sym_new,
    ACTIONS(6303), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6305), 1,
      anon_sym_begin,
    ACTIONS(6307), 1,
      sym_ocamlyacc_value,
    ACTIONS(6313), 1,
      aux_sym_number_token1,
    ACTIONS(6315), 1,
      anon_sym_SQUOTE,
    ACTIONS(6317), 1,
      anon_sym_DQUOTE,
    ACTIONS(6319), 1,
      sym_prefix_operator,
    ACTIONS(6321), 1,
      sym__capitalized_identifier,
    ACTIONS(6323), 1,
      aux_sym_tag_token1,
    ACTIONS(8636), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8638), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4316), 1,
      sym_attribute,
    STATE(6939), 1,
      sym__simple_expression,
    STATE(6989), 1,
      sym__value_name,
    STATE(7222), 1,
      sym_parenthesized_operator,
    STATE(7254), 1,
      sym__constructor_name,
    STATE(18433), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6293), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7252), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6899), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [156248] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1979), 1,
      anon_sym_LPAREN,
    ACTIONS(1981), 1,
      anon_sym_LBRACK,
    ACTIONS(1985), 1,
      anon_sym_LBRACE,
    ACTIONS(1987), 1,
      anon_sym_object,
    ACTIONS(1991), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2001), 1,
      anon_sym_new,
    ACTIONS(2003), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2005), 1,
      anon_sym_begin,
    ACTIONS(2007), 1,
      sym_ocamlyacc_value,
    ACTIONS(2009), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2011), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2013), 1,
      aux_sym_number_token1,
    ACTIONS(2015), 1,
      anon_sym_SQUOTE,
    ACTIONS(2017), 1,
      anon_sym_DQUOTE,
    ACTIONS(2019), 1,
      sym_prefix_operator,
    ACTIONS(2023), 1,
      sym__capitalized_identifier,
    ACTIONS(2025), 1,
      aux_sym_tag_token1,
    ACTIONS(5165), 1,
      sym__identifier,
    STATE(4317), 1,
      sym_attribute,
    STATE(6323), 1,
      sym__value_name,
    STATE(6450), 1,
      sym__constructor_name,
    STATE(6452), 1,
      sym__simple_expression,
    STATE(6497), 1,
      sym_parenthesized_operator,
    STATE(18233), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1983), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6431), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6261), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [156366] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8388), 1,
      sym__identifier,
    ACTIONS(8390), 1,
      anon_sym_LPAREN,
    ACTIONS(8392), 1,
      anon_sym_LBRACK,
    ACTIONS(8396), 1,
      anon_sym_LBRACE,
    ACTIONS(8398), 1,
      anon_sym_object,
    ACTIONS(8400), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8402), 1,
      anon_sym_new,
    ACTIONS(8404), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8406), 1,
      anon_sym_begin,
    ACTIONS(8408), 1,
      sym_ocamlyacc_value,
    ACTIONS(8410), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8412), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8414), 1,
      aux_sym_number_token1,
    ACTIONS(8416), 1,
      anon_sym_SQUOTE,
    ACTIONS(8418), 1,
      anon_sym_DQUOTE,
    ACTIONS(8420), 1,
      sym_prefix_operator,
    ACTIONS(8422), 1,
      sym__capitalized_identifier,
    ACTIONS(8424), 1,
      aux_sym_tag_token1,
    STATE(4318), 1,
      sym_attribute,
    STATE(7541), 1,
      sym_parenthesized_operator,
    STATE(7590), 1,
      sym__simple_expression,
    STATE(7638), 1,
      sym__constructor_name,
    STATE(7704), 1,
      sym__value_name,
    STATE(18473), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8394), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7579), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7576), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [156484] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8388), 1,
      sym__identifier,
    ACTIONS(8390), 1,
      anon_sym_LPAREN,
    ACTIONS(8392), 1,
      anon_sym_LBRACK,
    ACTIONS(8396), 1,
      anon_sym_LBRACE,
    ACTIONS(8398), 1,
      anon_sym_object,
    ACTIONS(8400), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8402), 1,
      anon_sym_new,
    ACTIONS(8404), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8406), 1,
      anon_sym_begin,
    ACTIONS(8408), 1,
      sym_ocamlyacc_value,
    ACTIONS(8410), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8412), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8414), 1,
      aux_sym_number_token1,
    ACTIONS(8416), 1,
      anon_sym_SQUOTE,
    ACTIONS(8418), 1,
      anon_sym_DQUOTE,
    ACTIONS(8420), 1,
      sym_prefix_operator,
    ACTIONS(8422), 1,
      sym__capitalized_identifier,
    ACTIONS(8424), 1,
      aux_sym_tag_token1,
    STATE(4319), 1,
      sym_attribute,
    STATE(7541), 1,
      sym_parenthesized_operator,
    STATE(7611), 1,
      sym__simple_expression,
    STATE(7638), 1,
      sym__constructor_name,
    STATE(7704), 1,
      sym__value_name,
    STATE(18473), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8394), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7579), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7576), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [156602] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4320), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13528), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [156724] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2049), 1,
      anon_sym_LPAREN,
    ACTIONS(2051), 1,
      anon_sym_LBRACK,
    ACTIONS(2055), 1,
      anon_sym_LBRACE,
    ACTIONS(2057), 1,
      anon_sym_object,
    ACTIONS(2061), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2071), 1,
      anon_sym_new,
    ACTIONS(2073), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2075), 1,
      anon_sym_begin,
    ACTIONS(2077), 1,
      sym_ocamlyacc_value,
    ACTIONS(2079), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2081), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2083), 1,
      aux_sym_number_token1,
    ACTIONS(2085), 1,
      anon_sym_SQUOTE,
    ACTIONS(2087), 1,
      anon_sym_DQUOTE,
    ACTIONS(2089), 1,
      sym_prefix_operator,
    ACTIONS(2093), 1,
      sym__capitalized_identifier,
    ACTIONS(2095), 1,
      aux_sym_tag_token1,
    ACTIONS(5175), 1,
      sym__identifier,
    STATE(4321), 1,
      sym_attribute,
    STATE(6383), 1,
      sym__value_name,
    STATE(6446), 1,
      sym__constructor_name,
    STATE(6491), 1,
      sym__simple_expression,
    STATE(6528), 1,
      sym_parenthesized_operator,
    STATE(18273), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2053), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6444), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6315), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [156842] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6565), 1,
      sym__identifier,
    ACTIONS(6569), 1,
      anon_sym_LPAREN,
    ACTIONS(6571), 1,
      anon_sym_LBRACK,
    ACTIONS(6575), 1,
      anon_sym_LBRACE,
    ACTIONS(6577), 1,
      anon_sym_object,
    ACTIONS(6579), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6581), 1,
      anon_sym_new,
    ACTIONS(6583), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6585), 1,
      anon_sym_begin,
    ACTIONS(6587), 1,
      sym_ocamlyacc_value,
    ACTIONS(6593), 1,
      aux_sym_number_token1,
    ACTIONS(6595), 1,
      anon_sym_SQUOTE,
    ACTIONS(6597), 1,
      anon_sym_DQUOTE,
    ACTIONS(6599), 1,
      sym_prefix_operator,
    ACTIONS(6601), 1,
      sym__capitalized_identifier,
    ACTIONS(6603), 1,
      aux_sym_tag_token1,
    ACTIONS(8640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8642), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4322), 1,
      sym_attribute,
    STATE(6891), 1,
      sym__constructor_name,
    STATE(6998), 1,
      sym__simple_expression,
    STATE(7074), 1,
      sym__value_name,
    STATE(7263), 1,
      sym_parenthesized_operator,
    STATE(18513), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6573), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6886), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6981), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [156960] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6565), 1,
      sym__identifier,
    ACTIONS(6569), 1,
      anon_sym_LPAREN,
    ACTIONS(6571), 1,
      anon_sym_LBRACK,
    ACTIONS(6575), 1,
      anon_sym_LBRACE,
    ACTIONS(6577), 1,
      anon_sym_object,
    ACTIONS(6579), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6581), 1,
      anon_sym_new,
    ACTIONS(6583), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6585), 1,
      anon_sym_begin,
    ACTIONS(6587), 1,
      sym_ocamlyacc_value,
    ACTIONS(6593), 1,
      aux_sym_number_token1,
    ACTIONS(6595), 1,
      anon_sym_SQUOTE,
    ACTIONS(6597), 1,
      anon_sym_DQUOTE,
    ACTIONS(6599), 1,
      sym_prefix_operator,
    ACTIONS(6601), 1,
      sym__capitalized_identifier,
    ACTIONS(6603), 1,
      aux_sym_tag_token1,
    ACTIONS(8640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8642), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4323), 1,
      sym_attribute,
    STATE(6891), 1,
      sym__constructor_name,
    STATE(7019), 1,
      sym__simple_expression,
    STATE(7074), 1,
      sym__value_name,
    STATE(7263), 1,
      sym_parenthesized_operator,
    STATE(18513), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6573), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6886), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6981), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [157078] = 29,
    ACTIONS(757), 1,
      anon_sym_LPAREN,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(763), 1,
      anon_sym_LBRACE,
    ACTIONS(765), 1,
      anon_sym_object,
    ACTIONS(769), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(779), 1,
      anon_sym_new,
    ACTIONS(781), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(783), 1,
      anon_sym_begin,
    ACTIONS(785), 1,
      sym_ocamlyacc_value,
    ACTIONS(791), 1,
      aux_sym_number_token1,
    ACTIONS(793), 1,
      anon_sym_SQUOTE,
    ACTIONS(795), 1,
      anon_sym_DQUOTE,
    ACTIONS(797), 1,
      sym_prefix_operator,
    ACTIONS(801), 1,
      sym__capitalized_identifier,
    ACTIONS(803), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3111), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3113), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3271), 1,
      sym__identifier,
    STATE(3563), 1,
      sym__simple_expression,
    STATE(3594), 1,
      sym__value_name,
    STATE(3619), 1,
      sym__constructor_name,
    STATE(3621), 1,
      sym_parenthesized_operator,
    STATE(4324), 1,
      sym_attribute,
    STATE(18313), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(761), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3618), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3546), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [157196] = 29,
    ACTIONS(917), 1,
      anon_sym_LPAREN,
    ACTIONS(919), 1,
      anon_sym_LBRACK,
    ACTIONS(923), 1,
      anon_sym_LBRACE,
    ACTIONS(925), 1,
      anon_sym_object,
    ACTIONS(929), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(947), 1,
      anon_sym_new,
    ACTIONS(949), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(951), 1,
      anon_sym_begin,
    ACTIONS(953), 1,
      sym_ocamlyacc_value,
    ACTIONS(959), 1,
      aux_sym_number_token1,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(965), 1,
      sym_prefix_operator,
    ACTIONS(969), 1,
      sym__capitalized_identifier,
    ACTIONS(971), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3073), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4575), 1,
      sym__identifier,
    STATE(4325), 1,
      sym_attribute,
    STATE(4812), 1,
      sym__simple_expression,
    STATE(4856), 1,
      sym__value_name,
    STATE(4861), 1,
      sym__constructor_name,
    STATE(4865), 1,
      sym_parenthesized_operator,
    STATE(18552), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(921), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4859), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4804), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [157314] = 29,
    ACTIONS(917), 1,
      anon_sym_LPAREN,
    ACTIONS(919), 1,
      anon_sym_LBRACK,
    ACTIONS(923), 1,
      anon_sym_LBRACE,
    ACTIONS(925), 1,
      anon_sym_object,
    ACTIONS(929), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(947), 1,
      anon_sym_new,
    ACTIONS(949), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(951), 1,
      anon_sym_begin,
    ACTIONS(953), 1,
      sym_ocamlyacc_value,
    ACTIONS(959), 1,
      aux_sym_number_token1,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(965), 1,
      sym_prefix_operator,
    ACTIONS(969), 1,
      sym__capitalized_identifier,
    ACTIONS(971), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3073), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4575), 1,
      sym__identifier,
    STATE(4326), 1,
      sym_attribute,
    STATE(4825), 1,
      sym__simple_expression,
    STATE(4856), 1,
      sym__value_name,
    STATE(4861), 1,
      sym__constructor_name,
    STATE(4865), 1,
      sym_parenthesized_operator,
    STATE(18552), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(921), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4859), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4804), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [157432] = 29,
    ACTIONS(699), 1,
      anon_sym_LPAREN,
    ACTIONS(701), 1,
      anon_sym_LBRACK,
    ACTIONS(705), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_object,
    ACTIONS(711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(721), 1,
      anon_sym_new,
    ACTIONS(723), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(725), 1,
      anon_sym_begin,
    ACTIONS(727), 1,
      sym_ocamlyacc_value,
    ACTIONS(733), 1,
      aux_sym_number_token1,
    ACTIONS(735), 1,
      anon_sym_SQUOTE,
    ACTIONS(737), 1,
      anon_sym_DQUOTE,
    ACTIONS(739), 1,
      sym_prefix_operator,
    ACTIONS(743), 1,
      sym__capitalized_identifier,
    ACTIONS(745), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3119), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3121), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3281), 1,
      sym__identifier,
    STATE(3547), 1,
      sym__value_name,
    STATE(3609), 1,
      sym__simple_expression,
    STATE(3636), 1,
      sym__constructor_name,
    STATE(3708), 1,
      sym_parenthesized_operator,
    STATE(4327), 1,
      sym_attribute,
    STATE(18393), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(703), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3635), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3668), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [157550] = 29,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(309), 1,
      anon_sym_LBRACE,
    ACTIONS(311), 1,
      anon_sym_object,
    ACTIONS(315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(325), 1,
      anon_sym_new,
    ACTIONS(327), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(329), 1,
      anon_sym_begin,
    ACTIONS(331), 1,
      sym_ocamlyacc_value,
    ACTIONS(339), 1,
      aux_sym_number_token1,
    ACTIONS(341), 1,
      anon_sym_SQUOTE,
    ACTIONS(343), 1,
      anon_sym_DQUOTE,
    ACTIONS(345), 1,
      sym_prefix_operator,
    ACTIONS(351), 1,
      sym__capitalized_identifier,
    ACTIONS(353), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3079), 1,
      sym__identifier,
    ACTIONS(3127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3129), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2748), 1,
      sym__simple_expression,
    STATE(2783), 1,
      sym__value_name,
    STATE(2843), 1,
      sym_parenthesized_operator,
    STATE(2911), 1,
      sym__constructor_name,
    STATE(4328), 1,
      sym_attribute,
    STATE(18591), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(307), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2910), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(2743), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [157668] = 29,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(309), 1,
      anon_sym_LBRACE,
    ACTIONS(311), 1,
      anon_sym_object,
    ACTIONS(315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(325), 1,
      anon_sym_new,
    ACTIONS(327), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(329), 1,
      anon_sym_begin,
    ACTIONS(331), 1,
      sym_ocamlyacc_value,
    ACTIONS(339), 1,
      aux_sym_number_token1,
    ACTIONS(341), 1,
      anon_sym_SQUOTE,
    ACTIONS(343), 1,
      anon_sym_DQUOTE,
    ACTIONS(345), 1,
      sym_prefix_operator,
    ACTIONS(351), 1,
      sym__capitalized_identifier,
    ACTIONS(353), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3079), 1,
      sym__identifier,
    ACTIONS(3127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3129), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2758), 1,
      sym__simple_expression,
    STATE(2783), 1,
      sym__value_name,
    STATE(2843), 1,
      sym_parenthesized_operator,
    STATE(2911), 1,
      sym__constructor_name,
    STATE(4329), 1,
      sym_attribute,
    STATE(18591), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(307), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2910), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(2743), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [157786] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2607), 1,
      anon_sym_LBRACK,
    ACTIONS(2611), 1,
      anon_sym_LBRACE,
    ACTIONS(2613), 1,
      anon_sym_object,
    ACTIONS(2617), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2627), 1,
      anon_sym_new,
    ACTIONS(2629), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2631), 1,
      anon_sym_begin,
    ACTIONS(2633), 1,
      sym_ocamlyacc_value,
    ACTIONS(2635), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2637), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2639), 1,
      aux_sym_number_token1,
    ACTIONS(2641), 1,
      anon_sym_SQUOTE,
    ACTIONS(2643), 1,
      anon_sym_DQUOTE,
    ACTIONS(2645), 1,
      sym_prefix_operator,
    ACTIONS(2649), 1,
      sym__capitalized_identifier,
    ACTIONS(2651), 1,
      aux_sym_tag_token1,
    ACTIONS(5553), 1,
      sym__identifier,
    STATE(4330), 1,
      sym_attribute,
    STATE(6761), 1,
      sym__simple_expression,
    STATE(6907), 1,
      sym__constructor_name,
    STATE(6982), 1,
      sym_parenthesized_operator,
    STATE(7260), 1,
      sym__value_name,
    STATE(18586), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2609), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7092), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7209), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [157904] = 29,
    ACTIONS(917), 1,
      anon_sym_LPAREN,
    ACTIONS(919), 1,
      anon_sym_LBRACK,
    ACTIONS(923), 1,
      anon_sym_LBRACE,
    ACTIONS(925), 1,
      anon_sym_object,
    ACTIONS(929), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(947), 1,
      anon_sym_new,
    ACTIONS(949), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(951), 1,
      anon_sym_begin,
    ACTIONS(953), 1,
      sym_ocamlyacc_value,
    ACTIONS(959), 1,
      aux_sym_number_token1,
    ACTIONS(961), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      anon_sym_DQUOTE,
    ACTIONS(965), 1,
      sym_prefix_operator,
    ACTIONS(969), 1,
      sym__capitalized_identifier,
    ACTIONS(971), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3073), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4575), 1,
      sym__identifier,
    STATE(4331), 1,
      sym_attribute,
    STATE(4846), 1,
      sym__simple_expression,
    STATE(4856), 1,
      sym__value_name,
    STATE(4861), 1,
      sym__constructor_name,
    STATE(4865), 1,
      sym_parenthesized_operator,
    STATE(18552), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(921), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4859), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4804), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [158022] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2471), 1,
      anon_sym_LPAREN,
    ACTIONS(2473), 1,
      anon_sym_LBRACK,
    ACTIONS(2477), 1,
      anon_sym_LBRACE,
    ACTIONS(2479), 1,
      anon_sym_object,
    ACTIONS(2483), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2493), 1,
      anon_sym_new,
    ACTIONS(2495), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2497), 1,
      anon_sym_begin,
    ACTIONS(2499), 1,
      sym_ocamlyacc_value,
    ACTIONS(2501), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2503), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2505), 1,
      aux_sym_number_token1,
    ACTIONS(2507), 1,
      anon_sym_SQUOTE,
    ACTIONS(2509), 1,
      anon_sym_DQUOTE,
    ACTIONS(2511), 1,
      sym_prefix_operator,
    ACTIONS(2515), 1,
      sym__capitalized_identifier,
    ACTIONS(2517), 1,
      aux_sym_tag_token1,
    ACTIONS(5275), 1,
      sym__identifier,
    STATE(4332), 1,
      sym_attribute,
    STATE(6159), 1,
      sym_parenthesized_operator,
    STATE(6584), 1,
      sym__simple_expression,
    STATE(6629), 1,
      sym__value_name,
    STATE(6641), 1,
      sym__constructor_name,
    STATE(18629), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2475), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6534), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6579), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [158140] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2471), 1,
      anon_sym_LPAREN,
    ACTIONS(2473), 1,
      anon_sym_LBRACK,
    ACTIONS(2477), 1,
      anon_sym_LBRACE,
    ACTIONS(2479), 1,
      anon_sym_object,
    ACTIONS(2483), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2493), 1,
      anon_sym_new,
    ACTIONS(2495), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2497), 1,
      anon_sym_begin,
    ACTIONS(2499), 1,
      sym_ocamlyacc_value,
    ACTIONS(2501), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2503), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2505), 1,
      aux_sym_number_token1,
    ACTIONS(2507), 1,
      anon_sym_SQUOTE,
    ACTIONS(2509), 1,
      anon_sym_DQUOTE,
    ACTIONS(2511), 1,
      sym_prefix_operator,
    ACTIONS(2515), 1,
      sym__capitalized_identifier,
    ACTIONS(2517), 1,
      aux_sym_tag_token1,
    ACTIONS(5275), 1,
      sym__identifier,
    STATE(4333), 1,
      sym_attribute,
    STATE(6159), 1,
      sym_parenthesized_operator,
    STATE(6595), 1,
      sym__simple_expression,
    STATE(6629), 1,
      sym__value_name,
    STATE(6641), 1,
      sym__constructor_name,
    STATE(18629), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2475), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6534), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6579), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [158258] = 29,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(309), 1,
      anon_sym_LBRACE,
    ACTIONS(311), 1,
      anon_sym_object,
    ACTIONS(315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(325), 1,
      anon_sym_new,
    ACTIONS(327), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(329), 1,
      anon_sym_begin,
    ACTIONS(331), 1,
      sym_ocamlyacc_value,
    ACTIONS(339), 1,
      aux_sym_number_token1,
    ACTIONS(341), 1,
      anon_sym_SQUOTE,
    ACTIONS(343), 1,
      anon_sym_DQUOTE,
    ACTIONS(345), 1,
      sym_prefix_operator,
    ACTIONS(351), 1,
      sym__capitalized_identifier,
    ACTIONS(353), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3079), 1,
      sym__identifier,
    ACTIONS(3127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3129), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2776), 1,
      sym__simple_expression,
    STATE(2783), 1,
      sym__value_name,
    STATE(2843), 1,
      sym_parenthesized_operator,
    STATE(2911), 1,
      sym__constructor_name,
    STATE(4334), 1,
      sym_attribute,
    STATE(18591), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(307), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2910), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(2743), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [158376] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1405), 1,
      anon_sym_LPAREN,
    ACTIONS(1407), 1,
      anon_sym_LBRACK,
    ACTIONS(1411), 1,
      anon_sym_LBRACE,
    ACTIONS(1413), 1,
      anon_sym_object,
    ACTIONS(1417), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1427), 1,
      anon_sym_new,
    ACTIONS(1429), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1431), 1,
      anon_sym_begin,
    ACTIONS(1433), 1,
      sym_ocamlyacc_value,
    ACTIONS(1435), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1437), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1439), 1,
      aux_sym_number_token1,
    ACTIONS(1441), 1,
      anon_sym_SQUOTE,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1445), 1,
      sym_prefix_operator,
    ACTIONS(1449), 1,
      sym__capitalized_identifier,
    ACTIONS(1451), 1,
      aux_sym_tag_token1,
    ACTIONS(5155), 1,
      sym__identifier,
    STATE(4335), 1,
      sym_attribute,
    STATE(5849), 1,
      sym__constructor_name,
    STATE(5895), 1,
      sym_parenthesized_operator,
    STATE(5908), 1,
      sym__value_name,
    STATE(6120), 1,
      sym__simple_expression,
    STATE(18667), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5848), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6116), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [158494] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1405), 1,
      anon_sym_LPAREN,
    ACTIONS(1407), 1,
      anon_sym_LBRACK,
    ACTIONS(1411), 1,
      anon_sym_LBRACE,
    ACTIONS(1413), 1,
      anon_sym_object,
    ACTIONS(1417), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1427), 1,
      anon_sym_new,
    ACTIONS(1429), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1431), 1,
      anon_sym_begin,
    ACTIONS(1433), 1,
      sym_ocamlyacc_value,
    ACTIONS(1435), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1437), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1439), 1,
      aux_sym_number_token1,
    ACTIONS(1441), 1,
      anon_sym_SQUOTE,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1445), 1,
      sym_prefix_operator,
    ACTIONS(1449), 1,
      sym__capitalized_identifier,
    ACTIONS(1451), 1,
      aux_sym_tag_token1,
    ACTIONS(5155), 1,
      sym__identifier,
    STATE(4336), 1,
      sym_attribute,
    STATE(5849), 1,
      sym__constructor_name,
    STATE(5895), 1,
      sym_parenthesized_operator,
    STATE(5908), 1,
      sym__value_name,
    STATE(6131), 1,
      sym__simple_expression,
    STATE(18667), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5848), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6116), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [158612] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2471), 1,
      anon_sym_LPAREN,
    ACTIONS(2473), 1,
      anon_sym_LBRACK,
    ACTIONS(2477), 1,
      anon_sym_LBRACE,
    ACTIONS(2479), 1,
      anon_sym_object,
    ACTIONS(2483), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2493), 1,
      anon_sym_new,
    ACTIONS(2495), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2497), 1,
      anon_sym_begin,
    ACTIONS(2499), 1,
      sym_ocamlyacc_value,
    ACTIONS(2501), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2503), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2505), 1,
      aux_sym_number_token1,
    ACTIONS(2507), 1,
      anon_sym_SQUOTE,
    ACTIONS(2509), 1,
      anon_sym_DQUOTE,
    ACTIONS(2511), 1,
      sym_prefix_operator,
    ACTIONS(2515), 1,
      sym__capitalized_identifier,
    ACTIONS(2517), 1,
      aux_sym_tag_token1,
    ACTIONS(5275), 1,
      sym__identifier,
    STATE(4337), 1,
      sym_attribute,
    STATE(6159), 1,
      sym_parenthesized_operator,
    STATE(6611), 1,
      sym__simple_expression,
    STATE(6629), 1,
      sym__value_name,
    STATE(6641), 1,
      sym__constructor_name,
    STATE(18629), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2475), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6534), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6579), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [158730] = 29,
    ACTIONS(359), 1,
      anon_sym_LPAREN,
    ACTIONS(361), 1,
      anon_sym_LBRACK,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_object,
    ACTIONS(371), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(381), 1,
      anon_sym_new,
    ACTIONS(383), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(385), 1,
      anon_sym_begin,
    ACTIONS(387), 1,
      sym_ocamlyacc_value,
    ACTIONS(393), 1,
      aux_sym_number_token1,
    ACTIONS(395), 1,
      anon_sym_SQUOTE,
    ACTIONS(397), 1,
      anon_sym_DQUOTE,
    ACTIONS(399), 1,
      sym_prefix_operator,
    ACTIONS(403), 1,
      sym__capitalized_identifier,
    ACTIONS(405), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3101), 1,
      sym__identifier,
    ACTIONS(3131), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3133), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2802), 1,
      sym__simple_expression,
    STATE(2839), 1,
      sym__value_name,
    STATE(2889), 1,
      sym_parenthesized_operator,
    STATE(2931), 1,
      sym__constructor_name,
    STATE(4338), 1,
      sym_attribute,
    STATE(18705), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(363), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(2797), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [158848] = 29,
    ACTIONS(359), 1,
      anon_sym_LPAREN,
    ACTIONS(361), 1,
      anon_sym_LBRACK,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_object,
    ACTIONS(371), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(381), 1,
      anon_sym_new,
    ACTIONS(383), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(385), 1,
      anon_sym_begin,
    ACTIONS(387), 1,
      sym_ocamlyacc_value,
    ACTIONS(393), 1,
      aux_sym_number_token1,
    ACTIONS(395), 1,
      anon_sym_SQUOTE,
    ACTIONS(397), 1,
      anon_sym_DQUOTE,
    ACTIONS(399), 1,
      sym_prefix_operator,
    ACTIONS(403), 1,
      sym__capitalized_identifier,
    ACTIONS(405), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3101), 1,
      sym__identifier,
    ACTIONS(3131), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3133), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2813), 1,
      sym__simple_expression,
    STATE(2839), 1,
      sym__value_name,
    STATE(2889), 1,
      sym_parenthesized_operator,
    STATE(2931), 1,
      sym__constructor_name,
    STATE(4339), 1,
      sym_attribute,
    STATE(18705), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(363), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(2797), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [158966] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1405), 1,
      anon_sym_LPAREN,
    ACTIONS(1407), 1,
      anon_sym_LBRACK,
    ACTIONS(1411), 1,
      anon_sym_LBRACE,
    ACTIONS(1413), 1,
      anon_sym_object,
    ACTIONS(1417), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1427), 1,
      anon_sym_new,
    ACTIONS(1429), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1431), 1,
      anon_sym_begin,
    ACTIONS(1433), 1,
      sym_ocamlyacc_value,
    ACTIONS(1435), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1437), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1439), 1,
      aux_sym_number_token1,
    ACTIONS(1441), 1,
      anon_sym_SQUOTE,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1445), 1,
      sym_prefix_operator,
    ACTIONS(1449), 1,
      sym__capitalized_identifier,
    ACTIONS(1451), 1,
      aux_sym_tag_token1,
    ACTIONS(5155), 1,
      sym__identifier,
    STATE(4340), 1,
      sym_attribute,
    STATE(5835), 1,
      sym__simple_expression,
    STATE(5849), 1,
      sym__constructor_name,
    STATE(5895), 1,
      sym_parenthesized_operator,
    STATE(5908), 1,
      sym__value_name,
    STATE(18667), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5848), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6116), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [159084] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1279), 1,
      anon_sym_LPAREN,
    ACTIONS(1281), 1,
      anon_sym_LBRACK,
    ACTIONS(1285), 1,
      anon_sym_LBRACE,
    ACTIONS(1287), 1,
      anon_sym_object,
    ACTIONS(1291), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1309), 1,
      anon_sym_new,
    ACTIONS(1311), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1313), 1,
      anon_sym_begin,
    ACTIONS(1315), 1,
      sym_ocamlyacc_value,
    ACTIONS(1317), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1319), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1321), 1,
      aux_sym_number_token1,
    ACTIONS(1323), 1,
      anon_sym_SQUOTE,
    ACTIONS(1325), 1,
      anon_sym_DQUOTE,
    ACTIONS(1327), 1,
      sym_prefix_operator,
    ACTIONS(1331), 1,
      sym__capitalized_identifier,
    ACTIONS(1333), 1,
      aux_sym_tag_token1,
    ACTIONS(4935), 1,
      sym__identifier,
    STATE(4341), 1,
      sym_attribute,
    STATE(5594), 1,
      sym__constructor_name,
    STATE(5599), 1,
      sym_parenthesized_operator,
    STATE(5671), 1,
      sym__value_name,
    STATE(5692), 1,
      sym__simple_expression,
    STATE(18743), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1283), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5592), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5626), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [159202] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1279), 1,
      anon_sym_LPAREN,
    ACTIONS(1281), 1,
      anon_sym_LBRACK,
    ACTIONS(1285), 1,
      anon_sym_LBRACE,
    ACTIONS(1287), 1,
      anon_sym_object,
    ACTIONS(1291), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1309), 1,
      anon_sym_new,
    ACTIONS(1311), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1313), 1,
      anon_sym_begin,
    ACTIONS(1315), 1,
      sym_ocamlyacc_value,
    ACTIONS(1317), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1319), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1321), 1,
      aux_sym_number_token1,
    ACTIONS(1323), 1,
      anon_sym_SQUOTE,
    ACTIONS(1325), 1,
      anon_sym_DQUOTE,
    ACTIONS(1327), 1,
      sym_prefix_operator,
    ACTIONS(1331), 1,
      sym__capitalized_identifier,
    ACTIONS(1333), 1,
      aux_sym_tag_token1,
    ACTIONS(4935), 1,
      sym__identifier,
    STATE(4342), 1,
      sym_attribute,
    STATE(5594), 1,
      sym__constructor_name,
    STATE(5599), 1,
      sym_parenthesized_operator,
    STATE(5671), 1,
      sym__value_name,
    STATE(5734), 1,
      sym__simple_expression,
    STATE(18743), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1283), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5592), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5626), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [159320] = 29,
    ACTIONS(359), 1,
      anon_sym_LPAREN,
    ACTIONS(361), 1,
      anon_sym_LBRACK,
    ACTIONS(365), 1,
      anon_sym_LBRACE,
    ACTIONS(367), 1,
      anon_sym_object,
    ACTIONS(371), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(381), 1,
      anon_sym_new,
    ACTIONS(383), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(385), 1,
      anon_sym_begin,
    ACTIONS(387), 1,
      sym_ocamlyacc_value,
    ACTIONS(393), 1,
      aux_sym_number_token1,
    ACTIONS(395), 1,
      anon_sym_SQUOTE,
    ACTIONS(397), 1,
      anon_sym_DQUOTE,
    ACTIONS(399), 1,
      sym_prefix_operator,
    ACTIONS(403), 1,
      sym__capitalized_identifier,
    ACTIONS(405), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3101), 1,
      sym__identifier,
    ACTIONS(3131), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3133), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2832), 1,
      sym__simple_expression,
    STATE(2839), 1,
      sym__value_name,
    STATE(2889), 1,
      sym_parenthesized_operator,
    STATE(2931), 1,
      sym__constructor_name,
    STATE(4343), 1,
      sym_attribute,
    STATE(18705), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(363), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(2797), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [159438] = 29,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      anon_sym_LBRACE,
    ACTIONS(1073), 1,
      anon_sym_object,
    ACTIONS(1077), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1087), 1,
      anon_sym_new,
    ACTIONS(1089), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1091), 1,
      anon_sym_begin,
    ACTIONS(1093), 1,
      sym_ocamlyacc_value,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1097), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1099), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1101), 1,
      aux_sym_number_token1,
    ACTIONS(1103), 1,
      anon_sym_SQUOTE,
    ACTIONS(1105), 1,
      anon_sym_DQUOTE,
    ACTIONS(1107), 1,
      sym_prefix_operator,
    ACTIONS(1111), 1,
      sym__capitalized_identifier,
    ACTIONS(1113), 1,
      aux_sym_tag_token1,
    ACTIONS(4605), 1,
      sym__identifier,
    STATE(4344), 1,
      sym_attribute,
    STATE(5152), 1,
      sym__value_name,
    STATE(5171), 1,
      sym_parenthesized_operator,
    STATE(5186), 1,
      sym__simple_expression,
    STATE(5210), 1,
      sym__constructor_name,
    STATE(18780), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1069), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5232), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5180), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [159556] = 29,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      anon_sym_LBRACE,
    ACTIONS(1073), 1,
      anon_sym_object,
    ACTIONS(1077), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1087), 1,
      anon_sym_new,
    ACTIONS(1089), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1091), 1,
      anon_sym_begin,
    ACTIONS(1093), 1,
      sym_ocamlyacc_value,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1097), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1099), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1101), 1,
      aux_sym_number_token1,
    ACTIONS(1103), 1,
      anon_sym_SQUOTE,
    ACTIONS(1105), 1,
      anon_sym_DQUOTE,
    ACTIONS(1107), 1,
      sym_prefix_operator,
    ACTIONS(1111), 1,
      sym__capitalized_identifier,
    ACTIONS(1113), 1,
      aux_sym_tag_token1,
    ACTIONS(4605), 1,
      sym__identifier,
    STATE(4345), 1,
      sym_attribute,
    STATE(5152), 1,
      sym__value_name,
    STATE(5171), 1,
      sym_parenthesized_operator,
    STATE(5210), 1,
      sym__constructor_name,
    STATE(5246), 1,
      sym__simple_expression,
    STATE(18780), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1069), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5232), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5180), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [159674] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1279), 1,
      anon_sym_LPAREN,
    ACTIONS(1281), 1,
      anon_sym_LBRACK,
    ACTIONS(1285), 1,
      anon_sym_LBRACE,
    ACTIONS(1287), 1,
      anon_sym_object,
    ACTIONS(1291), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1309), 1,
      anon_sym_new,
    ACTIONS(1311), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1313), 1,
      anon_sym_begin,
    ACTIONS(1315), 1,
      sym_ocamlyacc_value,
    ACTIONS(1317), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1319), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1321), 1,
      aux_sym_number_token1,
    ACTIONS(1323), 1,
      anon_sym_SQUOTE,
    ACTIONS(1325), 1,
      anon_sym_DQUOTE,
    ACTIONS(1327), 1,
      sym_prefix_operator,
    ACTIONS(1331), 1,
      sym__capitalized_identifier,
    ACTIONS(1333), 1,
      aux_sym_tag_token1,
    ACTIONS(4935), 1,
      sym__identifier,
    STATE(4346), 1,
      sym_attribute,
    STATE(5594), 1,
      sym__constructor_name,
    STATE(5599), 1,
      sym_parenthesized_operator,
    STATE(5644), 1,
      sym__simple_expression,
    STATE(5671), 1,
      sym__value_name,
    STATE(18743), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1283), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5592), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5626), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [159792] = 29,
    ACTIONS(585), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(593), 1,
      anon_sym_object,
    ACTIONS(597), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(607), 1,
      anon_sym_new,
    ACTIONS(609), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(611), 1,
      anon_sym_begin,
    ACTIONS(613), 1,
      sym_ocamlyacc_value,
    ACTIONS(619), 1,
      aux_sym_number_token1,
    ACTIONS(621), 1,
      anon_sym_SQUOTE,
    ACTIONS(623), 1,
      anon_sym_DQUOTE,
    ACTIONS(625), 1,
      sym_prefix_operator,
    ACTIONS(629), 1,
      sym__capitalized_identifier,
    ACTIONS(631), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3051), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3053), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3219), 1,
      sym__identifier,
    STATE(3197), 1,
      sym__simple_expression,
    STATE(3248), 1,
      sym__value_name,
    STATE(3324), 1,
      sym_parenthesized_operator,
    STATE(3379), 1,
      sym__constructor_name,
    STATE(4347), 1,
      sym_attribute,
    STATE(18817), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(589), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3378), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3189), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [159910] = 29,
    ACTIONS(585), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(593), 1,
      anon_sym_object,
    ACTIONS(597), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(607), 1,
      anon_sym_new,
    ACTIONS(609), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(611), 1,
      anon_sym_begin,
    ACTIONS(613), 1,
      sym_ocamlyacc_value,
    ACTIONS(619), 1,
      aux_sym_number_token1,
    ACTIONS(621), 1,
      anon_sym_SQUOTE,
    ACTIONS(623), 1,
      anon_sym_DQUOTE,
    ACTIONS(625), 1,
      sym_prefix_operator,
    ACTIONS(629), 1,
      sym__capitalized_identifier,
    ACTIONS(631), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3051), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3053), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3219), 1,
      sym__identifier,
    STATE(3209), 1,
      sym__simple_expression,
    STATE(3248), 1,
      sym__value_name,
    STATE(3324), 1,
      sym_parenthesized_operator,
    STATE(3379), 1,
      sym__constructor_name,
    STATE(4348), 1,
      sym_attribute,
    STATE(18817), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(589), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3378), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3189), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [160028] = 29,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      anon_sym_LBRACE,
    ACTIONS(1073), 1,
      anon_sym_object,
    ACTIONS(1077), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1087), 1,
      anon_sym_new,
    ACTIONS(1089), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1091), 1,
      anon_sym_begin,
    ACTIONS(1093), 1,
      sym_ocamlyacc_value,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1097), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1099), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1101), 1,
      aux_sym_number_token1,
    ACTIONS(1103), 1,
      anon_sym_SQUOTE,
    ACTIONS(1105), 1,
      anon_sym_DQUOTE,
    ACTIONS(1107), 1,
      sym_prefix_operator,
    ACTIONS(1111), 1,
      sym__capitalized_identifier,
    ACTIONS(1113), 1,
      aux_sym_tag_token1,
    ACTIONS(4605), 1,
      sym__identifier,
    STATE(4349), 1,
      sym_attribute,
    STATE(5152), 1,
      sym__value_name,
    STATE(5168), 1,
      sym__simple_expression,
    STATE(5171), 1,
      sym_parenthesized_operator,
    STATE(5210), 1,
      sym__constructor_name,
    STATE(18780), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1069), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5232), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5180), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [160146] = 29,
    ACTIONS(637), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_object,
    ACTIONS(649), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(659), 1,
      anon_sym_new,
    ACTIONS(661), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(663), 1,
      anon_sym_begin,
    ACTIONS(665), 1,
      sym_ocamlyacc_value,
    ACTIONS(671), 1,
      aux_sym_number_token1,
    ACTIONS(673), 1,
      anon_sym_SQUOTE,
    ACTIONS(675), 1,
      anon_sym_DQUOTE,
    ACTIONS(677), 1,
      sym_prefix_operator,
    ACTIONS(681), 1,
      sym__capitalized_identifier,
    ACTIONS(683), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3057), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3059), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3145), 1,
      sym__identifier,
    STATE(3253), 1,
      sym__simple_expression,
    STATE(3293), 1,
      sym__value_name,
    STATE(3329), 1,
      sym_parenthesized_operator,
    STATE(3391), 1,
      sym__constructor_name,
    STATE(4350), 1,
      sym_attribute,
    STATE(18854), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(641), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3390), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [160264] = 29,
    ACTIONS(637), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_object,
    ACTIONS(649), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(659), 1,
      anon_sym_new,
    ACTIONS(661), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(663), 1,
      anon_sym_begin,
    ACTIONS(665), 1,
      sym_ocamlyacc_value,
    ACTIONS(671), 1,
      aux_sym_number_token1,
    ACTIONS(673), 1,
      anon_sym_SQUOTE,
    ACTIONS(675), 1,
      anon_sym_DQUOTE,
    ACTIONS(677), 1,
      sym_prefix_operator,
    ACTIONS(681), 1,
      sym__capitalized_identifier,
    ACTIONS(683), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3057), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3059), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3145), 1,
      sym__identifier,
    STATE(3264), 1,
      sym__simple_expression,
    STATE(3293), 1,
      sym__value_name,
    STATE(3329), 1,
      sym_parenthesized_operator,
    STATE(3391), 1,
      sym__constructor_name,
    STATE(4351), 1,
      sym_attribute,
    STATE(18854), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(641), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3390), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [160382] = 29,
    ACTIONS(585), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(593), 1,
      anon_sym_object,
    ACTIONS(597), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(607), 1,
      anon_sym_new,
    ACTIONS(609), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(611), 1,
      anon_sym_begin,
    ACTIONS(613), 1,
      sym_ocamlyacc_value,
    ACTIONS(619), 1,
      aux_sym_number_token1,
    ACTIONS(621), 1,
      anon_sym_SQUOTE,
    ACTIONS(623), 1,
      anon_sym_DQUOTE,
    ACTIONS(625), 1,
      sym_prefix_operator,
    ACTIONS(629), 1,
      sym__capitalized_identifier,
    ACTIONS(631), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3051), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3053), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3219), 1,
      sym__identifier,
    STATE(3234), 1,
      sym__simple_expression,
    STATE(3248), 1,
      sym__value_name,
    STATE(3324), 1,
      sym_parenthesized_operator,
    STATE(3379), 1,
      sym__constructor_name,
    STATE(4352), 1,
      sym_attribute,
    STATE(18817), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(589), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3378), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3189), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [160500] = 29,
    ACTIONS(637), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_object,
    ACTIONS(649), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(659), 1,
      anon_sym_new,
    ACTIONS(661), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(663), 1,
      anon_sym_begin,
    ACTIONS(665), 1,
      sym_ocamlyacc_value,
    ACTIONS(671), 1,
      aux_sym_number_token1,
    ACTIONS(673), 1,
      anon_sym_SQUOTE,
    ACTIONS(675), 1,
      anon_sym_DQUOTE,
    ACTIONS(677), 1,
      sym_prefix_operator,
    ACTIONS(681), 1,
      sym__capitalized_identifier,
    ACTIONS(683), 1,
      aux_sym_tag_token1,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3057), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3059), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3145), 1,
      sym__identifier,
    STATE(3284), 1,
      sym__simple_expression,
    STATE(3293), 1,
      sym__value_name,
    STATE(3329), 1,
      sym_parenthesized_operator,
    STATE(3391), 1,
      sym__constructor_name,
    STATE(4353), 1,
      sym_attribute,
    STATE(18854), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(641), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3390), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [160618] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(4354), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13553), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [160740] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(4355), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(12923), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [160862] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(4356), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13621), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [160984] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(4357), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13647), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [161106] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(4358), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13658), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [161228] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(4359), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13087), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [161350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [161420] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2607), 1,
      anon_sym_LBRACK,
    ACTIONS(2611), 1,
      anon_sym_LBRACE,
    ACTIONS(2613), 1,
      anon_sym_object,
    ACTIONS(2617), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2627), 1,
      anon_sym_new,
    ACTIONS(2629), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2631), 1,
      anon_sym_begin,
    ACTIONS(2633), 1,
      sym_ocamlyacc_value,
    ACTIONS(2635), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2637), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2639), 1,
      aux_sym_number_token1,
    ACTIONS(2641), 1,
      anon_sym_SQUOTE,
    ACTIONS(2643), 1,
      anon_sym_DQUOTE,
    ACTIONS(2645), 1,
      sym_prefix_operator,
    ACTIONS(2649), 1,
      sym__capitalized_identifier,
    ACTIONS(2651), 1,
      aux_sym_tag_token1,
    ACTIONS(5553), 1,
      sym__identifier,
    STATE(4361), 1,
      sym_attribute,
    STATE(6715), 1,
      sym__simple_expression,
    STATE(6907), 1,
      sym__constructor_name,
    STATE(6982), 1,
      sym_parenthesized_operator,
    STATE(7260), 1,
      sym__value_name,
    STATE(18586), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2609), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7092), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7209), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [161538] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(4362), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(14019), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [161660] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2607), 1,
      anon_sym_LBRACK,
    ACTIONS(2611), 1,
      anon_sym_LBRACE,
    ACTIONS(2613), 1,
      anon_sym_object,
    ACTIONS(2617), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2627), 1,
      anon_sym_new,
    ACTIONS(2629), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2631), 1,
      anon_sym_begin,
    ACTIONS(2633), 1,
      sym_ocamlyacc_value,
    ACTIONS(2635), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2637), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2639), 1,
      aux_sym_number_token1,
    ACTIONS(2641), 1,
      anon_sym_SQUOTE,
    ACTIONS(2643), 1,
      anon_sym_DQUOTE,
    ACTIONS(2645), 1,
      sym_prefix_operator,
    ACTIONS(2649), 1,
      sym__capitalized_identifier,
    ACTIONS(2651), 1,
      aux_sym_tag_token1,
    ACTIONS(5553), 1,
      sym__identifier,
    STATE(4363), 1,
      sym_attribute,
    STATE(6785), 1,
      sym__simple_expression,
    STATE(6907), 1,
      sym__constructor_name,
    STATE(6982), 1,
      sym_parenthesized_operator,
    STATE(7260), 1,
      sym__value_name,
    STATE(18586), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2609), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7092), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7209), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [161778] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4364), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13709), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [161900] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [161970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [162040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [162110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [162180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [162250] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(4370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [162322] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8644), 1,
      anon_sym_COLON,
    STATE(4371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8382), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [162394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [162464] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8646), 1,
      anon_sym_COLON,
    STATE(4373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8382), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [162536] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2671), 1,
      anon_sym_LPAREN,
    ACTIONS(2673), 1,
      anon_sym_LBRACK,
    ACTIONS(2677), 1,
      anon_sym_LBRACE,
    ACTIONS(2679), 1,
      anon_sym_object,
    ACTIONS(2683), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2693), 1,
      anon_sym_new,
    ACTIONS(2695), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2697), 1,
      anon_sym_begin,
    ACTIONS(2699), 1,
      sym_ocamlyacc_value,
    ACTIONS(2701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2705), 1,
      aux_sym_number_token1,
    ACTIONS(2707), 1,
      anon_sym_SQUOTE,
    ACTIONS(2709), 1,
      anon_sym_DQUOTE,
    ACTIONS(2711), 1,
      sym_prefix_operator,
    ACTIONS(2715), 1,
      sym__capitalized_identifier,
    ACTIONS(2717), 1,
      aux_sym_tag_token1,
    ACTIONS(5373), 1,
      sym__identifier,
    STATE(4374), 1,
      sym_attribute,
    STATE(6703), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7001), 1,
      sym__value_name,
    STATE(7075), 1,
      sym__simple_expression,
    STATE(18987), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2675), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6884), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6984), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [162654] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2671), 1,
      anon_sym_LPAREN,
    ACTIONS(2673), 1,
      anon_sym_LBRACK,
    ACTIONS(2677), 1,
      anon_sym_LBRACE,
    ACTIONS(2679), 1,
      anon_sym_object,
    ACTIONS(2683), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2693), 1,
      anon_sym_new,
    ACTIONS(2695), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2697), 1,
      anon_sym_begin,
    ACTIONS(2699), 1,
      sym_ocamlyacc_value,
    ACTIONS(2701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2705), 1,
      aux_sym_number_token1,
    ACTIONS(2707), 1,
      anon_sym_SQUOTE,
    ACTIONS(2709), 1,
      anon_sym_DQUOTE,
    ACTIONS(2711), 1,
      sym_prefix_operator,
    ACTIONS(2715), 1,
      sym__capitalized_identifier,
    ACTIONS(2717), 1,
      aux_sym_tag_token1,
    ACTIONS(5373), 1,
      sym__identifier,
    STATE(4375), 1,
      sym_attribute,
    STATE(6703), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7001), 1,
      sym__value_name,
    STATE(7151), 1,
      sym__simple_expression,
    STATE(18987), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2675), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6884), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6984), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [162772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [162842] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4089), 1,
      anon_sym_DOT,
    ACTIONS(4091), 1,
      anon_sym_POUND,
    ACTIONS(4093), 1,
      sym_hash_operator,
    STATE(4377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [162918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [162988] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4379), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13565), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [163110] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4380), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13768), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [163232] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8336), 1,
      sym__identifier,
    ACTIONS(8338), 1,
      anon_sym_LPAREN,
    ACTIONS(8340), 1,
      anon_sym_LBRACK,
    ACTIONS(8344), 1,
      anon_sym_LBRACE,
    ACTIONS(8346), 1,
      anon_sym_object,
    ACTIONS(8348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8350), 1,
      anon_sym_new,
    ACTIONS(8352), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8354), 1,
      anon_sym_begin,
    ACTIONS(8356), 1,
      sym_ocamlyacc_value,
    ACTIONS(8364), 1,
      aux_sym_number_token1,
    ACTIONS(8366), 1,
      anon_sym_SQUOTE,
    ACTIONS(8368), 1,
      anon_sym_DQUOTE,
    ACTIONS(8372), 1,
      sym__capitalized_identifier,
    ACTIONS(8374), 1,
      aux_sym_tag_token1,
    ACTIONS(8410), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8412), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8428), 1,
      sym_prefix_operator,
    STATE(4381), 1,
      sym_attribute,
    STATE(7292), 1,
      sym_parenthesized_operator,
    STATE(7316), 1,
      sym__value_name,
    STATE(7378), 1,
      sym__constructor_name,
    STATE(9315), 1,
      sym__simple_expression,
    STATE(19646), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7299), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7319), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [163350] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8336), 1,
      sym__identifier,
    ACTIONS(8338), 1,
      anon_sym_LPAREN,
    ACTIONS(8340), 1,
      anon_sym_LBRACK,
    ACTIONS(8344), 1,
      anon_sym_LBRACE,
    ACTIONS(8346), 1,
      anon_sym_object,
    ACTIONS(8348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8350), 1,
      anon_sym_new,
    ACTIONS(8352), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8354), 1,
      anon_sym_begin,
    ACTIONS(8356), 1,
      sym_ocamlyacc_value,
    ACTIONS(8364), 1,
      aux_sym_number_token1,
    ACTIONS(8366), 1,
      anon_sym_SQUOTE,
    ACTIONS(8368), 1,
      anon_sym_DQUOTE,
    ACTIONS(8372), 1,
      sym__capitalized_identifier,
    ACTIONS(8374), 1,
      aux_sym_tag_token1,
    ACTIONS(8410), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8412), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8428), 1,
      sym_prefix_operator,
    STATE(4382), 1,
      sym_attribute,
    STATE(7292), 1,
      sym_parenthesized_operator,
    STATE(7316), 1,
      sym__value_name,
    STATE(7378), 1,
      sym__constructor_name,
    STATE(9316), 1,
      sym__simple_expression,
    STATE(19646), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7299), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7319), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [163468] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8336), 1,
      sym__identifier,
    ACTIONS(8338), 1,
      anon_sym_LPAREN,
    ACTIONS(8340), 1,
      anon_sym_LBRACK,
    ACTIONS(8344), 1,
      anon_sym_LBRACE,
    ACTIONS(8346), 1,
      anon_sym_object,
    ACTIONS(8348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8350), 1,
      anon_sym_new,
    ACTIONS(8352), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8354), 1,
      anon_sym_begin,
    ACTIONS(8356), 1,
      sym_ocamlyacc_value,
    ACTIONS(8364), 1,
      aux_sym_number_token1,
    ACTIONS(8366), 1,
      anon_sym_SQUOTE,
    ACTIONS(8368), 1,
      anon_sym_DQUOTE,
    ACTIONS(8372), 1,
      sym__capitalized_identifier,
    ACTIONS(8374), 1,
      aux_sym_tag_token1,
    ACTIONS(8410), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8412), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8428), 1,
      sym_prefix_operator,
    STATE(4383), 1,
      sym_attribute,
    STATE(7292), 1,
      sym_parenthesized_operator,
    STATE(7316), 1,
      sym__value_name,
    STATE(7332), 1,
      sym__simple_expression,
    STATE(7378), 1,
      sym__constructor_name,
    STATE(19646), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7299), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7319), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [163586] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8336), 1,
      sym__identifier,
    ACTIONS(8338), 1,
      anon_sym_LPAREN,
    ACTIONS(8340), 1,
      anon_sym_LBRACK,
    ACTIONS(8344), 1,
      anon_sym_LBRACE,
    ACTIONS(8346), 1,
      anon_sym_object,
    ACTIONS(8348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8350), 1,
      anon_sym_new,
    ACTIONS(8352), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8354), 1,
      anon_sym_begin,
    ACTIONS(8356), 1,
      sym_ocamlyacc_value,
    ACTIONS(8364), 1,
      aux_sym_number_token1,
    ACTIONS(8366), 1,
      anon_sym_SQUOTE,
    ACTIONS(8368), 1,
      anon_sym_DQUOTE,
    ACTIONS(8372), 1,
      sym__capitalized_identifier,
    ACTIONS(8374), 1,
      aux_sym_tag_token1,
    ACTIONS(8410), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8412), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8428), 1,
      sym_prefix_operator,
    STATE(4384), 1,
      sym_attribute,
    STATE(7292), 1,
      sym_parenthesized_operator,
    STATE(7316), 1,
      sym__value_name,
    STATE(7352), 1,
      sym__simple_expression,
    STATE(7378), 1,
      sym__constructor_name,
    STATE(19646), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7299), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7319), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [163704] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4385), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13531), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [163826] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4386), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13589), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [163948] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4387), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13571), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [164070] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4388), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13612), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [164192] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4389), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13759), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [164314] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4390), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13774), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [164436] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4391), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13778), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [164558] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4392), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13706), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [164680] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4393), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13617), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [164802] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4394), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13721), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [164924] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4395), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13608), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [165046] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4396), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13639), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [165168] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4397), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13469), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [165290] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7579), 1,
      anon_sym_exception,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7583), 1,
      anon_sym_lazy,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2597), 1,
      sym_constructor_path,
    STATE(2607), 1,
      sym_tag,
    STATE(4398), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13851), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [165412] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4399), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13502), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [165534] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4400), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13629), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [165656] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4401), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13663), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [165778] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4402), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13489), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [165900] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4403), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13517), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [166022] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4404), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13590), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [166144] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4405), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13603), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [166266] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4406), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13688), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [166388] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4407), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13704), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [166510] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4408), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13735), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [166632] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4409), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13763), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [166754] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4410), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13744), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [166876] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4411), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13521), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [166998] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4412), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13656), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [167120] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4413), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13739), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [167242] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4414), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13505), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [167364] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4415), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13556), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [167486] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4416), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13619), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [167608] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4417), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13650), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [167730] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4418), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13689), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [167852] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4419), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13710), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [167974] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4420), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13776), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [168096] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4421), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13466), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [168218] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4422), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13486), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [168340] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4423), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13493), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [168462] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4424), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13510), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [168584] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4425), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13520), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [168706] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4426), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13539), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [168828] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4427), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13546), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [168950] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4428), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13561), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [169072] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4429), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13569), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [169194] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4430), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13583), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [169316] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4431), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13588), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [169438] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4432), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13605), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [169560] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4433), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13607), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [169682] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4434), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13628), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [169804] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4435), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13631), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [169926] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4436), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13642), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [170048] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4437), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13643), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [170170] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4438), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13655), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [170292] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4439), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13661), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [170414] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4440), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13686), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [170536] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4441), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13691), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [170658] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4442), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13707), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [170780] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4443), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13718), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [170902] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4444), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [171024] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4445), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13743), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [171146] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4446), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13753), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [171268] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4447), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13757), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [171390] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4448), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13773), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [171512] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4449), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13781), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [171634] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4450), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13777), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [171756] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4451), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13550), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [171878] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4452), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13515), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [172000] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4453), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13537), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [172122] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4454), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13692), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [172244] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4455), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13748), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [172366] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4456), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13474), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [172488] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4457), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13513), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [172610] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4458), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13552), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [172732] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4459), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13564), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [172854] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4460), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13618), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [172976] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4461), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13652), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [173098] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4462), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13720), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [173220] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4463), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13736), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [173342] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4464), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13785), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [173464] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4465), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13464), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [173586] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4466), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13485), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [173708] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4467), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13500), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [173830] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4468), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13516), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [173952] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4469), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13518), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [174074] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5285), 1,
      sym__identifier,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5299), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_exception,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5311), 1,
      anon_sym_lazy,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5329), 1,
      sym__capitalized_identifier,
    ACTIONS(5331), 1,
      aux_sym_tag_token1,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(2588), 1,
      sym_constructor_path,
    STATE(2593), 1,
      sym_tag,
    STATE(4470), 1,
      sym_attribute,
    STATE(8568), 1,
      sym__constructor_name,
    STATE(12883), 1,
      sym__signed_constant,
    STATE(13524), 1,
      sym__pattern,
    STATE(20052), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13066), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13062), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [174196] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(8000), 1,
      anon_sym_object,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8004), 1,
      anon_sym_new,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8010), 1,
      sym_ocamlyacc_value,
    ACTIONS(8012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(8474), 1,
      sym__identifier,
    ACTIONS(8476), 1,
      anon_sym_LPAREN,
    ACTIONS(8480), 1,
      anon_sym_LBRACE,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      aux_sym_number_token1,
    ACTIONS(8486), 1,
      anon_sym_SQUOTE,
    ACTIONS(8488), 1,
      anon_sym_DQUOTE,
    ACTIONS(8490), 1,
      sym_prefix_operator,
    STATE(4471), 1,
      sym_attribute,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7414), 1,
      sym__value_name,
    STATE(7504), 1,
      sym__simple_expression,
    STATE(19794), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8478), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7548), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7407), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [174314] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6825), 1,
      sym__identifier,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6835), 1,
      anon_sym_lazy,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    STATE(3489), 1,
      sym_constructor_path,
    STATE(3491), 1,
      sym_tag,
    STATE(4472), 1,
      sym_attribute,
    STATE(4655), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10448), 1,
      sym_parenthesized_operator,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13312), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [174443] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3185), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4473), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [174572] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5121), 1,
      sym__identifier,
    ACTIONS(5123), 1,
      anon_sym_LPAREN,
    ACTIONS(5125), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_LBRACE,
    ACTIONS(5131), 1,
      anon_sym_POUND,
    ACTIONS(5133), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5135), 1,
      anon_sym_lazy,
    ACTIONS(5137), 1,
      anon_sym_begin,
    ACTIONS(5143), 1,
      aux_sym_number_token1,
    ACTIONS(5145), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5147), 1,
      anon_sym_SQUOTE,
    ACTIONS(5149), 1,
      anon_sym_DQUOTE,
    ACTIONS(5151), 1,
      sym__capitalized_identifier,
    ACTIONS(5153), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(8602), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8604), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2449), 1,
      sym_constructor_path,
    STATE(2450), 1,
      sym_tag,
    STATE(4474), 1,
      sym_attribute,
    STATE(4622), 1,
      sym__attribute,
    STATE(5459), 1,
      sym__constructor_name,
    STATE(5468), 1,
      sym__signed_constant,
    STATE(5563), 1,
      sym_record_binding_pattern,
    STATE(5565), 1,
      sym_list_binding_pattern,
    STATE(5566), 1,
      sym_array_binding_pattern,
    STATE(5606), 1,
      sym_parenthesized_operator,
    STATE(5642), 1,
      sym__binding_pattern,
    STATE(19187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5127), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5506), 2,
      sym__constant,
      sym_signed_number,
    STATE(5458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5561), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [174701] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3239), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4475), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [174830] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3265), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4476), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [174959] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3269), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4477), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [175088] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3241), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4478), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [175217] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6825), 1,
      sym__identifier,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6835), 1,
      anon_sym_lazy,
    ACTIONS(6853), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8648), 1,
      anon_sym_RPAREN,
    STATE(3489), 1,
      sym_constructor_path,
    STATE(3491), 1,
      sym_tag,
    STATE(4479), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10448), 1,
      sym_parenthesized_operator,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(14331), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [175346] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3139), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4480), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [175475] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(8312), 1,
      sym__identifier,
    ACTIONS(8314), 1,
      anon_sym_lazy,
    STATE(2949), 1,
      sym_constructor_path,
    STATE(2950), 1,
      sym_tag,
    STATE(4481), 1,
      sym_attribute,
    STATE(4623), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13312), 1,
      sym__binding_pattern,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [175604] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8650), 1,
      anon_sym_COLON,
    STATE(4482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8382), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [175675] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3257), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4483), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [175804] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5121), 1,
      sym__identifier,
    ACTIONS(5123), 1,
      anon_sym_LPAREN,
    ACTIONS(5125), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_LBRACE,
    ACTIONS(5131), 1,
      anon_sym_POUND,
    ACTIONS(5133), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5135), 1,
      anon_sym_lazy,
    ACTIONS(5137), 1,
      anon_sym_begin,
    ACTIONS(5143), 1,
      aux_sym_number_token1,
    ACTIONS(5145), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5147), 1,
      anon_sym_SQUOTE,
    ACTIONS(5149), 1,
      anon_sym_DQUOTE,
    ACTIONS(5151), 1,
      sym__capitalized_identifier,
    ACTIONS(5153), 1,
      aux_sym_tag_token1,
    ACTIONS(8602), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8604), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8652), 1,
      anon_sym_rec,
    STATE(2449), 1,
      sym_constructor_path,
    STATE(2450), 1,
      sym_tag,
    STATE(2485), 1,
      sym__binding_pattern,
    STATE(4484), 1,
      sym_attribute,
    STATE(5459), 1,
      sym__constructor_name,
    STATE(5468), 1,
      sym__signed_constant,
    STATE(5563), 1,
      sym_record_binding_pattern,
    STATE(5565), 1,
      sym_list_binding_pattern,
    STATE(5566), 1,
      sym_array_binding_pattern,
    STATE(5606), 1,
      sym_parenthesized_operator,
    STATE(11835), 1,
      sym_let_binding,
    STATE(19187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5127), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5506), 2,
      sym__constant,
      sym_signed_number,
    STATE(5458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5561), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [175933] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3237), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4485), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [176062] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5087), 1,
      sym__identifier,
    ACTIONS(5089), 1,
      anon_sym_LPAREN,
    ACTIONS(5091), 1,
      anon_sym_LBRACK,
    ACTIONS(5095), 1,
      anon_sym_LBRACE,
    ACTIONS(5097), 1,
      anon_sym_POUND,
    ACTIONS(5099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5101), 1,
      anon_sym_lazy,
    ACTIONS(5103), 1,
      anon_sym_begin,
    ACTIONS(5109), 1,
      aux_sym_number_token1,
    ACTIONS(5111), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5113), 1,
      anon_sym_SQUOTE,
    ACTIONS(5115), 1,
      anon_sym_DQUOTE,
    ACTIONS(5117), 1,
      sym__capitalized_identifier,
    ACTIONS(5119), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(8564), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8566), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2447), 1,
      sym_tag,
    STATE(2448), 1,
      sym_constructor_path,
    STATE(4486), 1,
      sym_attribute,
    STATE(4621), 1,
      sym__attribute,
    STATE(5476), 1,
      sym__constructor_name,
    STATE(5527), 1,
      sym__signed_constant,
    STATE(5593), 1,
      sym_parenthesized_operator,
    STATE(5679), 1,
      sym_record_binding_pattern,
    STATE(5680), 1,
      sym_list_binding_pattern,
    STATE(5681), 1,
      sym_array_binding_pattern,
    STATE(5736), 1,
      sym__binding_pattern,
    STATE(19422), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5093), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5474), 2,
      sym__constant,
      sym_signed_number,
    STATE(5475), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5678), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [176191] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3189), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4487), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [176320] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3159), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4488), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [176449] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3251), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4489), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [176578] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3199), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4490), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [176707] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3195), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4491), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [176836] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3233), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4492), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [176965] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3249), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4493), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [177094] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3261), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4494), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [177223] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3141), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4495), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [177352] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3169), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4496), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [177481] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3191), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4497), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [177610] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3203), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4498), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [177739] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3229), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4499), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [177868] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3193), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4500), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [177997] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1609), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6825), 1,
      sym__identifier,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6835), 1,
      anon_sym_lazy,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8654), 1,
      anon_sym_RPAREN,
    STATE(3489), 1,
      sym_constructor_path,
    STATE(3491), 1,
      sym_tag,
    STATE(4501), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10448), 1,
      sym_parenthesized_operator,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(14357), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [178126] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3197), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4502), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [178255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8050), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [178324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8500), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [178393] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4955), 1,
      sym__identifier,
    ACTIONS(4961), 1,
      anon_sym_LPAREN,
    ACTIONS(4963), 1,
      anon_sym_LBRACK,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    ACTIONS(4969), 1,
      anon_sym_POUND,
    ACTIONS(4971), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4973), 1,
      anon_sym_lazy,
    ACTIONS(4975), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4983), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4989), 1,
      sym__capitalized_identifier,
    ACTIONS(4991), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7645), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7647), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2442), 1,
      sym_constructor_path,
    STATE(2446), 1,
      sym_tag,
    STATE(4505), 1,
      sym_attribute,
    STATE(4653), 1,
      sym__attribute,
    STATE(5304), 1,
      sym__signed_constant,
    STATE(5376), 1,
      sym__constructor_name,
    STATE(5465), 1,
      sym__binding_pattern,
    STATE(5533), 1,
      sym_list_binding_pattern,
    STATE(5534), 1,
      sym_parenthesized_operator,
    STATE(5536), 1,
      sym_array_binding_pattern,
    STATE(5551), 1,
      sym_record_binding_pattern,
    STATE(18636), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4965), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5388), 2,
      sym__constant,
      sym_signed_number,
    STATE(5374), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5495), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [178522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8050), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [178591] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3155), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4507), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [178720] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3165), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4508), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [178849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8500), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [178918] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6825), 1,
      sym__identifier,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6835), 1,
      anon_sym_lazy,
    ACTIONS(6863), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8656), 1,
      anon_sym_RPAREN,
    STATE(3489), 1,
      sym_constructor_path,
    STATE(3491), 1,
      sym_tag,
    STATE(4510), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10448), 1,
      sym_parenthesized_operator,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(14204), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [179047] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    ACTIONS(8658), 1,
      anon_sym_rec,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4511), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14515), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [179176] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3259), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4512), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [179305] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3207), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4513), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [179434] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3143), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4514), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [179563] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    ACTIONS(8316), 1,
      sym__identifier,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    ACTIONS(8320), 1,
      anon_sym_LBRACK,
    ACTIONS(8322), 1,
      anon_sym_LBRACE,
    ACTIONS(8324), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8326), 1,
      anon_sym_lazy,
    STATE(3144), 1,
      sym_constructor_path,
    STATE(3148), 1,
      sym_tag,
    STATE(4515), 1,
      sym_attribute,
    STATE(4642), 1,
      sym__attribute,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(13722), 1,
      sym__signed_constant,
    STATE(13845), 1,
      sym_parenthesized_operator,
    STATE(13873), 1,
      sym_record_binding_pattern,
    STATE(13878), 1,
      sym_list_binding_pattern,
    STATE(13879), 1,
      sym_array_binding_pattern,
    STATE(14043), 1,
      sym__binding_pattern,
    STATE(18628), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13861), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [179692] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5087), 1,
      sym__identifier,
    ACTIONS(5089), 1,
      anon_sym_LPAREN,
    ACTIONS(5091), 1,
      anon_sym_LBRACK,
    ACTIONS(5095), 1,
      anon_sym_LBRACE,
    ACTIONS(5097), 1,
      anon_sym_POUND,
    ACTIONS(5099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5101), 1,
      anon_sym_lazy,
    ACTIONS(5103), 1,
      anon_sym_begin,
    ACTIONS(5109), 1,
      aux_sym_number_token1,
    ACTIONS(5111), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5113), 1,
      anon_sym_SQUOTE,
    ACTIONS(5115), 1,
      anon_sym_DQUOTE,
    ACTIONS(5117), 1,
      sym__capitalized_identifier,
    ACTIONS(5119), 1,
      aux_sym_tag_token1,
    ACTIONS(8564), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8566), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8660), 1,
      anon_sym_rec,
    STATE(2447), 1,
      sym_tag,
    STATE(2448), 1,
      sym_constructor_path,
    STATE(2483), 1,
      sym__binding_pattern,
    STATE(4516), 1,
      sym_attribute,
    STATE(5476), 1,
      sym__constructor_name,
    STATE(5527), 1,
      sym__signed_constant,
    STATE(5593), 1,
      sym_parenthesized_operator,
    STATE(5679), 1,
      sym_record_binding_pattern,
    STATE(5680), 1,
      sym_list_binding_pattern,
    STATE(5681), 1,
      sym_array_binding_pattern,
    STATE(11677), 1,
      sym_let_binding,
    STATE(19422), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5093), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5474), 2,
      sym__constant,
      sym_signed_number,
    STATE(5475), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5678), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [179821] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3171), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4517), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [179950] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3205), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4518), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [180079] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3157), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4519), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [180208] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3247), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4520), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [180337] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6825), 1,
      sym__identifier,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6835), 1,
      anon_sym_lazy,
    ACTIONS(6843), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8662), 1,
      anon_sym_RPAREN,
    STATE(3489), 1,
      sym_constructor_path,
    STATE(3491), 1,
      sym_tag,
    STATE(4521), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10448), 1,
      sym_parenthesized_operator,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(14237), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [180466] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5359), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6825), 1,
      sym__identifier,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6835), 1,
      anon_sym_lazy,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8664), 1,
      anon_sym_RPAREN,
    STATE(3489), 1,
      sym_constructor_path,
    STATE(3491), 1,
      sym_tag,
    STATE(4522), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10448), 1,
      sym_parenthesized_operator,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(14248), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [180595] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3267), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4523), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [180724] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3161), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4524), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [180853] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3187), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4525), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [180982] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5053), 1,
      sym__identifier,
    ACTIONS(5055), 1,
      anon_sym_LPAREN,
    ACTIONS(5057), 1,
      anon_sym_LBRACK,
    ACTIONS(5061), 1,
      anon_sym_LBRACE,
    ACTIONS(5063), 1,
      anon_sym_POUND,
    ACTIONS(5065), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5067), 1,
      anon_sym_lazy,
    ACTIONS(5069), 1,
      anon_sym_begin,
    ACTIONS(5075), 1,
      aux_sym_number_token1,
    ACTIONS(5077), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5079), 1,
      anon_sym_SQUOTE,
    ACTIONS(5081), 1,
      anon_sym_DQUOTE,
    ACTIONS(5083), 1,
      sym__capitalized_identifier,
    ACTIONS(5085), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7621), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7623), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2444), 1,
      sym_tag,
    STATE(2445), 1,
      sym_constructor_path,
    STATE(4526), 1,
      sym_attribute,
    STATE(4640), 1,
      sym__attribute,
    STATE(5319), 1,
      sym__constructor_name,
    STATE(5332), 1,
      sym__signed_constant,
    STATE(5412), 1,
      sym_array_binding_pattern,
    STATE(5419), 1,
      sym__binding_pattern,
    STATE(5478), 1,
      sym_parenthesized_operator,
    STATE(5547), 1,
      sym_record_binding_pattern,
    STATE(5548), 1,
      sym_list_binding_pattern,
    STATE(20072), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5059), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5357), 2,
      sym__constant,
      sym_signed_number,
    STATE(5307), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5545), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [181111] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5053), 1,
      sym__identifier,
    ACTIONS(5055), 1,
      anon_sym_LPAREN,
    ACTIONS(5057), 1,
      anon_sym_LBRACK,
    ACTIONS(5061), 1,
      anon_sym_LBRACE,
    ACTIONS(5063), 1,
      anon_sym_POUND,
    ACTIONS(5065), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5067), 1,
      anon_sym_lazy,
    ACTIONS(5069), 1,
      anon_sym_begin,
    ACTIONS(5075), 1,
      aux_sym_number_token1,
    ACTIONS(5077), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5079), 1,
      anon_sym_SQUOTE,
    ACTIONS(5081), 1,
      anon_sym_DQUOTE,
    ACTIONS(5083), 1,
      sym__capitalized_identifier,
    ACTIONS(5085), 1,
      aux_sym_tag_token1,
    ACTIONS(7621), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7623), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8666), 1,
      anon_sym_rec,
    STATE(2444), 1,
      sym_tag,
    STATE(2445), 1,
      sym_constructor_path,
    STATE(2471), 1,
      sym__binding_pattern,
    STATE(4527), 1,
      sym_attribute,
    STATE(5319), 1,
      sym__constructor_name,
    STATE(5332), 1,
      sym__signed_constant,
    STATE(5412), 1,
      sym_array_binding_pattern,
    STATE(5478), 1,
      sym_parenthesized_operator,
    STATE(5547), 1,
      sym_record_binding_pattern,
    STATE(5548), 1,
      sym_list_binding_pattern,
    STATE(11412), 1,
      sym_let_binding,
    STATE(20072), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5059), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5357), 2,
      sym__constant,
      sym_signed_number,
    STATE(5307), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5545), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [181240] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3201), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4528), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [181369] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(4529), 1,
      sym_attribute,
    STATE(4627), 1,
      sym__attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(8892), 1,
      sym__binding_pattern,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [181498] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3235), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4530), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [181627] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3231), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4531), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [181756] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3243), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4532), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [181885] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6825), 1,
      sym__identifier,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6835), 1,
      anon_sym_lazy,
    ACTIONS(6883), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8668), 1,
      anon_sym_RPAREN,
    STATE(3489), 1,
      sym_constructor_path,
    STATE(3491), 1,
      sym_tag,
    STATE(4533), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10448), 1,
      sym_parenthesized_operator,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(14240), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [182014] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3253), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4534), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [182143] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8670), 1,
      anon_sym_COLON,
    STATE(4535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8382), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [182214] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6825), 1,
      sym__identifier,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6835), 1,
      anon_sym_lazy,
    ACTIONS(6873), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8672), 1,
      anon_sym_RPAREN,
    STATE(3489), 1,
      sym_constructor_path,
    STATE(3491), 1,
      sym_tag,
    STATE(4536), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10448), 1,
      sym_parenthesized_operator,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(14164), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [182343] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3263), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4537), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [182472] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3137), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4538), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [182601] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3163), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4539), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [182730] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4955), 1,
      sym__identifier,
    ACTIONS(4961), 1,
      anon_sym_LPAREN,
    ACTIONS(4963), 1,
      anon_sym_LBRACK,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    ACTIONS(4969), 1,
      anon_sym_POUND,
    ACTIONS(4971), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4973), 1,
      anon_sym_lazy,
    ACTIONS(4975), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4983), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4989), 1,
      sym__capitalized_identifier,
    ACTIONS(4991), 1,
      aux_sym_tag_token1,
    ACTIONS(7645), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7647), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8674), 1,
      anon_sym_rec,
    STATE(2442), 1,
      sym_constructor_path,
    STATE(2446), 1,
      sym_tag,
    STATE(2472), 1,
      sym__binding_pattern,
    STATE(4540), 1,
      sym_attribute,
    STATE(5304), 1,
      sym__signed_constant,
    STATE(5376), 1,
      sym__constructor_name,
    STATE(5533), 1,
      sym_list_binding_pattern,
    STATE(5534), 1,
      sym_parenthesized_operator,
    STATE(5536), 1,
      sym_array_binding_pattern,
    STATE(5551), 1,
      sym_record_binding_pattern,
    STATE(11439), 1,
      sym_let_binding,
    STATE(18636), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4965), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5388), 2,
      sym__constant,
      sym_signed_number,
    STATE(5374), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5495), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [182859] = 35,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3255), 1,
      anon_sym_RPAREN,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4541), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [182988] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4542), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14515), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [183114] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4543), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14612), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [183240] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4955), 1,
      sym__identifier,
    ACTIONS(4961), 1,
      anon_sym_LPAREN,
    ACTIONS(4963), 1,
      anon_sym_LBRACK,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    ACTIONS(4969), 1,
      anon_sym_POUND,
    ACTIONS(4971), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4973), 1,
      anon_sym_lazy,
    ACTIONS(4975), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4983), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4989), 1,
      sym__capitalized_identifier,
    ACTIONS(4991), 1,
      aux_sym_tag_token1,
    ACTIONS(7645), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7647), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2442), 1,
      sym_constructor_path,
    STATE(2446), 1,
      sym_tag,
    STATE(2472), 1,
      sym__binding_pattern,
    STATE(4544), 1,
      sym_attribute,
    STATE(5304), 1,
      sym__signed_constant,
    STATE(5376), 1,
      sym__constructor_name,
    STATE(5533), 1,
      sym_list_binding_pattern,
    STATE(5534), 1,
      sym_parenthesized_operator,
    STATE(5536), 1,
      sym_array_binding_pattern,
    STATE(5551), 1,
      sym_record_binding_pattern,
    STATE(11439), 1,
      sym_let_binding,
    STATE(18636), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4965), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5388), 2,
      sym__constant,
      sym_signed_number,
    STATE(5374), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5495), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [183366] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8312), 1,
      sym__identifier,
    ACTIONS(8314), 1,
      anon_sym_lazy,
    ACTIONS(8676), 1,
      anon_sym_RBRACK,
    STATE(2949), 1,
      sym_constructor_path,
    STATE(2950), 1,
      sym_tag,
    STATE(4545), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13492), 1,
      sym__binding_pattern,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [183492] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    ACTIONS(8316), 1,
      sym__identifier,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    ACTIONS(8320), 1,
      anon_sym_LBRACK,
    ACTIONS(8322), 1,
      anon_sym_LBRACE,
    ACTIONS(8324), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8326), 1,
      anon_sym_lazy,
    ACTIONS(8678), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3144), 1,
      sym_constructor_path,
    STATE(3148), 1,
      sym_tag,
    STATE(4546), 1,
      sym_attribute,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(13722), 1,
      sym__signed_constant,
    STATE(13762), 1,
      sym__binding_pattern,
    STATE(13845), 1,
      sym_parenthesized_operator,
    STATE(13873), 1,
      sym_record_binding_pattern,
    STATE(13878), 1,
      sym_list_binding_pattern,
    STATE(13879), 1,
      sym_array_binding_pattern,
    STATE(18628), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13861), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [183618] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8312), 1,
      sym__identifier,
    ACTIONS(8314), 1,
      anon_sym_lazy,
    ACTIONS(8680), 1,
      anon_sym_RBRACK,
    STATE(2949), 1,
      sym_constructor_path,
    STATE(2950), 1,
      sym_tag,
    STATE(4547), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(13775), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [183744] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    ACTIONS(8316), 1,
      sym__identifier,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    ACTIONS(8320), 1,
      anon_sym_LBRACK,
    ACTIONS(8322), 1,
      anon_sym_LBRACE,
    ACTIONS(8324), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8326), 1,
      anon_sym_lazy,
    ACTIONS(8682), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3144), 1,
      sym_constructor_path,
    STATE(3148), 1,
      sym_tag,
    STATE(4548), 1,
      sym_attribute,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(13614), 1,
      sym__binding_pattern,
    STATE(13722), 1,
      sym__signed_constant,
    STATE(13845), 1,
      sym_parenthesized_operator,
    STATE(13873), 1,
      sym_record_binding_pattern,
    STATE(13878), 1,
      sym_list_binding_pattern,
    STATE(13879), 1,
      sym_array_binding_pattern,
    STATE(18628), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13861), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [183870] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8312), 1,
      sym__identifier,
    ACTIONS(8314), 1,
      anon_sym_lazy,
    ACTIONS(8684), 1,
      anon_sym_RBRACK,
    STATE(2949), 1,
      sym_constructor_path,
    STATE(2950), 1,
      sym_tag,
    STATE(4549), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(13959), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [183996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8500), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [184064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8050), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [184132] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    ACTIONS(8316), 1,
      sym__identifier,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    ACTIONS(8320), 1,
      anon_sym_LBRACK,
    ACTIONS(8322), 1,
      anon_sym_LBRACE,
    ACTIONS(8324), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8326), 1,
      anon_sym_lazy,
    ACTIONS(8686), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3144), 1,
      sym_constructor_path,
    STATE(3148), 1,
      sym_tag,
    STATE(4552), 1,
      sym_attribute,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(13722), 1,
      sym__signed_constant,
    STATE(13845), 1,
      sym_parenthesized_operator,
    STATE(13873), 1,
      sym_record_binding_pattern,
    STATE(13878), 1,
      sym_list_binding_pattern,
    STATE(13879), 1,
      sym_array_binding_pattern,
    STATE(13914), 1,
      sym__binding_pattern,
    STATE(18628), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13861), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [184258] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4553), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(15336), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [184384] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5121), 1,
      sym__identifier,
    ACTIONS(5123), 1,
      anon_sym_LPAREN,
    ACTIONS(5125), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_LBRACE,
    ACTIONS(5131), 1,
      anon_sym_POUND,
    ACTIONS(5133), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5135), 1,
      anon_sym_lazy,
    ACTIONS(5137), 1,
      anon_sym_begin,
    ACTIONS(5143), 1,
      aux_sym_number_token1,
    ACTIONS(5145), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5147), 1,
      anon_sym_SQUOTE,
    ACTIONS(5149), 1,
      anon_sym_DQUOTE,
    ACTIONS(5151), 1,
      sym__capitalized_identifier,
    ACTIONS(5153), 1,
      aux_sym_tag_token1,
    ACTIONS(8602), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8604), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2449), 1,
      sym_constructor_path,
    STATE(2450), 1,
      sym_tag,
    STATE(2485), 1,
      sym__binding_pattern,
    STATE(4554), 1,
      sym_attribute,
    STATE(5459), 1,
      sym__constructor_name,
    STATE(5468), 1,
      sym__signed_constant,
    STATE(5563), 1,
      sym_record_binding_pattern,
    STATE(5565), 1,
      sym_list_binding_pattern,
    STATE(5566), 1,
      sym_array_binding_pattern,
    STATE(5606), 1,
      sym_parenthesized_operator,
    STATE(11595), 1,
      sym_let_binding,
    STATE(19187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5127), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5506), 2,
      sym__constant,
      sym_signed_number,
    STATE(5458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5561), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [184510] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(2617), 1,
      sym__binding_pattern,
    STATE(4555), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(14923), 1,
      sym_let_binding,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [184636] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5087), 1,
      sym__identifier,
    ACTIONS(5089), 1,
      anon_sym_LPAREN,
    ACTIONS(5091), 1,
      anon_sym_LBRACK,
    ACTIONS(5095), 1,
      anon_sym_LBRACE,
    ACTIONS(5097), 1,
      anon_sym_POUND,
    ACTIONS(5099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5101), 1,
      anon_sym_lazy,
    ACTIONS(5103), 1,
      anon_sym_begin,
    ACTIONS(5109), 1,
      aux_sym_number_token1,
    ACTIONS(5111), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5113), 1,
      anon_sym_SQUOTE,
    ACTIONS(5115), 1,
      anon_sym_DQUOTE,
    ACTIONS(5117), 1,
      sym__capitalized_identifier,
    ACTIONS(5119), 1,
      aux_sym_tag_token1,
    ACTIONS(8564), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8566), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2447), 1,
      sym_tag,
    STATE(2448), 1,
      sym_constructor_path,
    STATE(2483), 1,
      sym__binding_pattern,
    STATE(4556), 1,
      sym_attribute,
    STATE(5476), 1,
      sym__constructor_name,
    STATE(5527), 1,
      sym__signed_constant,
    STATE(5593), 1,
      sym_parenthesized_operator,
    STATE(5679), 1,
      sym_record_binding_pattern,
    STATE(5680), 1,
      sym_list_binding_pattern,
    STATE(5681), 1,
      sym_array_binding_pattern,
    STATE(11669), 1,
      sym_let_binding,
    STATE(19422), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5093), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5474), 2,
      sym__constant,
      sym_signed_number,
    STATE(5475), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5678), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [184762] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5087), 1,
      sym__identifier,
    ACTIONS(5089), 1,
      anon_sym_LPAREN,
    ACTIONS(5091), 1,
      anon_sym_LBRACK,
    ACTIONS(5095), 1,
      anon_sym_LBRACE,
    ACTIONS(5097), 1,
      anon_sym_POUND,
    ACTIONS(5099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5101), 1,
      anon_sym_lazy,
    ACTIONS(5103), 1,
      anon_sym_begin,
    ACTIONS(5109), 1,
      aux_sym_number_token1,
    ACTIONS(5111), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5113), 1,
      anon_sym_SQUOTE,
    ACTIONS(5115), 1,
      anon_sym_DQUOTE,
    ACTIONS(5117), 1,
      sym__capitalized_identifier,
    ACTIONS(5119), 1,
      aux_sym_tag_token1,
    ACTIONS(8564), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8566), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2447), 1,
      sym_tag,
    STATE(2448), 1,
      sym_constructor_path,
    STATE(2483), 1,
      sym__binding_pattern,
    STATE(4557), 1,
      sym_attribute,
    STATE(5476), 1,
      sym__constructor_name,
    STATE(5527), 1,
      sym__signed_constant,
    STATE(5593), 1,
      sym_parenthesized_operator,
    STATE(5679), 1,
      sym_record_binding_pattern,
    STATE(5680), 1,
      sym_list_binding_pattern,
    STATE(5681), 1,
      sym_array_binding_pattern,
    STATE(11677), 1,
      sym_let_binding,
    STATE(19422), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5093), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5474), 2,
      sym__constant,
      sym_signed_number,
    STATE(5475), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5678), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [184888] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8312), 1,
      sym__identifier,
    ACTIONS(8314), 1,
      anon_sym_lazy,
    ACTIONS(8688), 1,
      anon_sym_RBRACK,
    STATE(2949), 1,
      sym_constructor_path,
    STATE(2950), 1,
      sym_tag,
    STATE(4558), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(13572), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [185014] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8312), 1,
      sym__identifier,
    ACTIONS(8314), 1,
      anon_sym_lazy,
    ACTIONS(8690), 1,
      anon_sym_RBRACK,
    STATE(2949), 1,
      sym_constructor_path,
    STATE(2950), 1,
      sym_tag,
    STATE(4559), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13477), 1,
      sym__binding_pattern,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [185140] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    ACTIONS(8316), 1,
      sym__identifier,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    ACTIONS(8320), 1,
      anon_sym_LBRACK,
    ACTIONS(8322), 1,
      anon_sym_LBRACE,
    ACTIONS(8324), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8326), 1,
      anon_sym_lazy,
    ACTIONS(8692), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3144), 1,
      sym_constructor_path,
    STATE(3148), 1,
      sym_tag,
    STATE(4560), 1,
      sym_attribute,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(13580), 1,
      sym__binding_pattern,
    STATE(13722), 1,
      sym__signed_constant,
    STATE(13845), 1,
      sym_parenthesized_operator,
    STATE(13873), 1,
      sym_record_binding_pattern,
    STATE(13878), 1,
      sym_list_binding_pattern,
    STATE(13879), 1,
      sym_array_binding_pattern,
    STATE(18628), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13861), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [185266] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8312), 1,
      sym__identifier,
    ACTIONS(8314), 1,
      anon_sym_lazy,
    ACTIONS(8694), 1,
      anon_sym_RBRACK,
    STATE(2949), 1,
      sym_constructor_path,
    STATE(2950), 1,
      sym_tag,
    STATE(4561), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(13959), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [185392] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    ACTIONS(8316), 1,
      sym__identifier,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    ACTIONS(8320), 1,
      anon_sym_LBRACK,
    ACTIONS(8322), 1,
      anon_sym_LBRACE,
    ACTIONS(8324), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8326), 1,
      anon_sym_lazy,
    ACTIONS(8696), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3144), 1,
      sym_constructor_path,
    STATE(3148), 1,
      sym_tag,
    STATE(4562), 1,
      sym_attribute,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(13482), 1,
      sym__binding_pattern,
    STATE(13722), 1,
      sym__signed_constant,
    STATE(13845), 1,
      sym_parenthesized_operator,
    STATE(13873), 1,
      sym_record_binding_pattern,
    STATE(13878), 1,
      sym_list_binding_pattern,
    STATE(13879), 1,
      sym_array_binding_pattern,
    STATE(18628), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13861), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [185518] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    ACTIONS(8316), 1,
      sym__identifier,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    ACTIONS(8320), 1,
      anon_sym_LBRACK,
    ACTIONS(8322), 1,
      anon_sym_LBRACE,
    ACTIONS(8324), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8326), 1,
      anon_sym_lazy,
    ACTIONS(8698), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3144), 1,
      sym_constructor_path,
    STATE(3148), 1,
      sym_tag,
    STATE(4563), 1,
      sym_attribute,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(13722), 1,
      sym__signed_constant,
    STATE(13845), 1,
      sym_parenthesized_operator,
    STATE(13873), 1,
      sym_record_binding_pattern,
    STATE(13878), 1,
      sym_list_binding_pattern,
    STATE(13879), 1,
      sym_array_binding_pattern,
    STATE(13914), 1,
      sym__binding_pattern,
    STATE(18628), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13861), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [185644] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5121), 1,
      sym__identifier,
    ACTIONS(5123), 1,
      anon_sym_LPAREN,
    ACTIONS(5125), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_LBRACE,
    ACTIONS(5131), 1,
      anon_sym_POUND,
    ACTIONS(5133), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5135), 1,
      anon_sym_lazy,
    ACTIONS(5137), 1,
      anon_sym_begin,
    ACTIONS(5143), 1,
      aux_sym_number_token1,
    ACTIONS(5145), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5147), 1,
      anon_sym_SQUOTE,
    ACTIONS(5149), 1,
      anon_sym_DQUOTE,
    ACTIONS(5151), 1,
      sym__capitalized_identifier,
    ACTIONS(5153), 1,
      aux_sym_tag_token1,
    ACTIONS(8602), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8604), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2449), 1,
      sym_constructor_path,
    STATE(2450), 1,
      sym_tag,
    STATE(2485), 1,
      sym__binding_pattern,
    STATE(4564), 1,
      sym_attribute,
    STATE(5459), 1,
      sym__constructor_name,
    STATE(5468), 1,
      sym__signed_constant,
    STATE(5563), 1,
      sym_record_binding_pattern,
    STATE(5565), 1,
      sym_list_binding_pattern,
    STATE(5566), 1,
      sym_array_binding_pattern,
    STATE(5606), 1,
      sym_parenthesized_operator,
    STATE(11835), 1,
      sym_let_binding,
    STATE(19187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5127), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5506), 2,
      sym__constant,
      sym_signed_number,
    STATE(5458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5561), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [185770] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5087), 1,
      sym__identifier,
    ACTIONS(5089), 1,
      anon_sym_LPAREN,
    ACTIONS(5091), 1,
      anon_sym_LBRACK,
    ACTIONS(5095), 1,
      anon_sym_LBRACE,
    ACTIONS(5097), 1,
      anon_sym_POUND,
    ACTIONS(5099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5101), 1,
      anon_sym_lazy,
    ACTIONS(5103), 1,
      anon_sym_begin,
    ACTIONS(5109), 1,
      aux_sym_number_token1,
    ACTIONS(5111), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5113), 1,
      anon_sym_SQUOTE,
    ACTIONS(5115), 1,
      anon_sym_DQUOTE,
    ACTIONS(5117), 1,
      sym__capitalized_identifier,
    ACTIONS(5119), 1,
      aux_sym_tag_token1,
    ACTIONS(8564), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8566), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2447), 1,
      sym_tag,
    STATE(2448), 1,
      sym_constructor_path,
    STATE(2483), 1,
      sym__binding_pattern,
    STATE(4565), 1,
      sym_attribute,
    STATE(5476), 1,
      sym__constructor_name,
    STATE(5527), 1,
      sym__signed_constant,
    STATE(5593), 1,
      sym_parenthesized_operator,
    STATE(5679), 1,
      sym_record_binding_pattern,
    STATE(5680), 1,
      sym_list_binding_pattern,
    STATE(5681), 1,
      sym_array_binding_pattern,
    STATE(11595), 1,
      sym_let_binding,
    STATE(19422), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5093), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5474), 2,
      sym__constant,
      sym_signed_number,
    STATE(5475), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5678), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [185896] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5087), 1,
      sym__identifier,
    ACTIONS(5089), 1,
      anon_sym_LPAREN,
    ACTIONS(5091), 1,
      anon_sym_LBRACK,
    ACTIONS(5095), 1,
      anon_sym_LBRACE,
    ACTIONS(5097), 1,
      anon_sym_POUND,
    ACTIONS(5099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5101), 1,
      anon_sym_lazy,
    ACTIONS(5103), 1,
      anon_sym_begin,
    ACTIONS(5109), 1,
      aux_sym_number_token1,
    ACTIONS(5111), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5113), 1,
      anon_sym_SQUOTE,
    ACTIONS(5115), 1,
      anon_sym_DQUOTE,
    ACTIONS(5117), 1,
      sym__capitalized_identifier,
    ACTIONS(5119), 1,
      aux_sym_tag_token1,
    ACTIONS(8564), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8566), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2447), 1,
      sym_tag,
    STATE(2448), 1,
      sym_constructor_path,
    STATE(2483), 1,
      sym__binding_pattern,
    STATE(4566), 1,
      sym_attribute,
    STATE(5476), 1,
      sym__constructor_name,
    STATE(5527), 1,
      sym__signed_constant,
    STATE(5593), 1,
      sym_parenthesized_operator,
    STATE(5679), 1,
      sym_record_binding_pattern,
    STATE(5680), 1,
      sym_list_binding_pattern,
    STATE(5681), 1,
      sym_array_binding_pattern,
    STATE(11782), 1,
      sym_let_binding,
    STATE(19422), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5093), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5474), 2,
      sym__constant,
      sym_signed_number,
    STATE(5475), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5678), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [186022] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8312), 1,
      sym__identifier,
    ACTIONS(8314), 1,
      anon_sym_lazy,
    ACTIONS(8700), 1,
      anon_sym_RBRACK,
    STATE(2949), 1,
      sym_constructor_path,
    STATE(2950), 1,
      sym_tag,
    STATE(4567), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13478), 1,
      sym__binding_pattern,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [186148] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8312), 1,
      sym__identifier,
    ACTIONS(8314), 1,
      anon_sym_lazy,
    ACTIONS(8702), 1,
      anon_sym_RBRACK,
    STATE(2949), 1,
      sym_constructor_path,
    STATE(2950), 1,
      sym_tag,
    STATE(4568), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(13959), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [186274] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    ACTIONS(8316), 1,
      sym__identifier,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    ACTIONS(8320), 1,
      anon_sym_LBRACK,
    ACTIONS(8322), 1,
      anon_sym_LBRACE,
    ACTIONS(8324), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8326), 1,
      anon_sym_lazy,
    ACTIONS(8704), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3144), 1,
      sym_constructor_path,
    STATE(3148), 1,
      sym_tag,
    STATE(4569), 1,
      sym_attribute,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(13494), 1,
      sym__binding_pattern,
    STATE(13722), 1,
      sym__signed_constant,
    STATE(13845), 1,
      sym_parenthesized_operator,
    STATE(13873), 1,
      sym_record_binding_pattern,
    STATE(13878), 1,
      sym_list_binding_pattern,
    STATE(13879), 1,
      sym_array_binding_pattern,
    STATE(18628), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13861), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [186400] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    ACTIONS(8316), 1,
      sym__identifier,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    ACTIONS(8320), 1,
      anon_sym_LBRACK,
    ACTIONS(8322), 1,
      anon_sym_LBRACE,
    ACTIONS(8324), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8326), 1,
      anon_sym_lazy,
    ACTIONS(8706), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3144), 1,
      sym_constructor_path,
    STATE(3148), 1,
      sym_tag,
    STATE(4570), 1,
      sym_attribute,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(13722), 1,
      sym__signed_constant,
    STATE(13845), 1,
      sym_parenthesized_operator,
    STATE(13873), 1,
      sym_record_binding_pattern,
    STATE(13878), 1,
      sym_list_binding_pattern,
    STATE(13879), 1,
      sym_array_binding_pattern,
    STATE(13914), 1,
      sym__binding_pattern,
    STATE(18628), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13861), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [186526] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5053), 1,
      sym__identifier,
    ACTIONS(5055), 1,
      anon_sym_LPAREN,
    ACTIONS(5057), 1,
      anon_sym_LBRACK,
    ACTIONS(5061), 1,
      anon_sym_LBRACE,
    ACTIONS(5063), 1,
      anon_sym_POUND,
    ACTIONS(5065), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5067), 1,
      anon_sym_lazy,
    ACTIONS(5069), 1,
      anon_sym_begin,
    ACTIONS(5075), 1,
      aux_sym_number_token1,
    ACTIONS(5077), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5079), 1,
      anon_sym_SQUOTE,
    ACTIONS(5081), 1,
      anon_sym_DQUOTE,
    ACTIONS(5083), 1,
      sym__capitalized_identifier,
    ACTIONS(5085), 1,
      aux_sym_tag_token1,
    ACTIONS(7621), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7623), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2444), 1,
      sym_tag,
    STATE(2445), 1,
      sym_constructor_path,
    STATE(2471), 1,
      sym__binding_pattern,
    STATE(4571), 1,
      sym_attribute,
    STATE(5319), 1,
      sym__constructor_name,
    STATE(5332), 1,
      sym__signed_constant,
    STATE(5412), 1,
      sym_array_binding_pattern,
    STATE(5478), 1,
      sym_parenthesized_operator,
    STATE(5547), 1,
      sym_record_binding_pattern,
    STATE(5548), 1,
      sym_list_binding_pattern,
    STATE(11595), 1,
      sym_let_binding,
    STATE(20072), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5059), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5357), 2,
      sym__constant,
      sym_signed_number,
    STATE(5307), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5545), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [186652] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8312), 1,
      sym__identifier,
    ACTIONS(8314), 1,
      anon_sym_lazy,
    ACTIONS(8708), 1,
      anon_sym_RBRACK,
    STATE(2949), 1,
      sym_constructor_path,
    STATE(2950), 1,
      sym_tag,
    STATE(4572), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(13959), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [186778] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    ACTIONS(8316), 1,
      sym__identifier,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    ACTIONS(8320), 1,
      anon_sym_LBRACK,
    ACTIONS(8322), 1,
      anon_sym_LBRACE,
    ACTIONS(8324), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8326), 1,
      anon_sym_lazy,
    ACTIONS(8710), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3144), 1,
      sym_constructor_path,
    STATE(3148), 1,
      sym_tag,
    STATE(4573), 1,
      sym_attribute,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(13722), 1,
      sym__signed_constant,
    STATE(13845), 1,
      sym_parenthesized_operator,
    STATE(13873), 1,
      sym_record_binding_pattern,
    STATE(13878), 1,
      sym_list_binding_pattern,
    STATE(13879), 1,
      sym_array_binding_pattern,
    STATE(13914), 1,
      sym__binding_pattern,
    STATE(18628), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13861), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [186904] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8312), 1,
      sym__identifier,
    ACTIONS(8314), 1,
      anon_sym_lazy,
    ACTIONS(8712), 1,
      anon_sym_RBRACK,
    STATE(2949), 1,
      sym_constructor_path,
    STATE(2950), 1,
      sym_tag,
    STATE(4574), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(13959), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187030] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    ACTIONS(8316), 1,
      sym__identifier,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    ACTIONS(8320), 1,
      anon_sym_LBRACK,
    ACTIONS(8322), 1,
      anon_sym_LBRACE,
    ACTIONS(8324), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8326), 1,
      anon_sym_lazy,
    ACTIONS(8714), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3144), 1,
      sym_constructor_path,
    STATE(3148), 1,
      sym_tag,
    STATE(4575), 1,
      sym_attribute,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(13722), 1,
      sym__signed_constant,
    STATE(13845), 1,
      sym_parenthesized_operator,
    STATE(13873), 1,
      sym_record_binding_pattern,
    STATE(13878), 1,
      sym_list_binding_pattern,
    STATE(13879), 1,
      sym_array_binding_pattern,
    STATE(13914), 1,
      sym__binding_pattern,
    STATE(18628), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13861), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187156] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8312), 1,
      sym__identifier,
    ACTIONS(8314), 1,
      anon_sym_lazy,
    ACTIONS(8716), 1,
      anon_sym_RBRACK,
    STATE(2949), 1,
      sym_constructor_path,
    STATE(2950), 1,
      sym_tag,
    STATE(4576), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(13959), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187282] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    ACTIONS(8316), 1,
      sym__identifier,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    ACTIONS(8320), 1,
      anon_sym_LBRACK,
    ACTIONS(8322), 1,
      anon_sym_LBRACE,
    ACTIONS(8324), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8326), 1,
      anon_sym_lazy,
    ACTIONS(8718), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3144), 1,
      sym_constructor_path,
    STATE(3148), 1,
      sym_tag,
    STATE(4577), 1,
      sym_attribute,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(13722), 1,
      sym__signed_constant,
    STATE(13845), 1,
      sym_parenthesized_operator,
    STATE(13873), 1,
      sym_record_binding_pattern,
    STATE(13878), 1,
      sym_list_binding_pattern,
    STATE(13879), 1,
      sym_array_binding_pattern,
    STATE(13914), 1,
      sym__binding_pattern,
    STATE(18628), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13861), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187408] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4955), 1,
      sym__identifier,
    ACTIONS(4961), 1,
      anon_sym_LPAREN,
    ACTIONS(4963), 1,
      anon_sym_LBRACK,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    ACTIONS(4969), 1,
      anon_sym_POUND,
    ACTIONS(4971), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4973), 1,
      anon_sym_lazy,
    ACTIONS(4975), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4983), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4989), 1,
      sym__capitalized_identifier,
    ACTIONS(4991), 1,
      aux_sym_tag_token1,
    ACTIONS(7645), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7647), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2442), 1,
      sym_constructor_path,
    STATE(2446), 1,
      sym_tag,
    STATE(2472), 1,
      sym__binding_pattern,
    STATE(4578), 1,
      sym_attribute,
    STATE(5304), 1,
      sym__signed_constant,
    STATE(5376), 1,
      sym__constructor_name,
    STATE(5533), 1,
      sym_list_binding_pattern,
    STATE(5534), 1,
      sym_parenthesized_operator,
    STATE(5536), 1,
      sym_array_binding_pattern,
    STATE(5551), 1,
      sym_record_binding_pattern,
    STATE(11595), 1,
      sym_let_binding,
    STATE(18636), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4965), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5388), 2,
      sym__constant,
      sym_signed_number,
    STATE(5374), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5495), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187534] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5053), 1,
      sym__identifier,
    ACTIONS(5055), 1,
      anon_sym_LPAREN,
    ACTIONS(5057), 1,
      anon_sym_LBRACK,
    ACTIONS(5061), 1,
      anon_sym_LBRACE,
    ACTIONS(5063), 1,
      anon_sym_POUND,
    ACTIONS(5065), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5067), 1,
      anon_sym_lazy,
    ACTIONS(5069), 1,
      anon_sym_begin,
    ACTIONS(5075), 1,
      aux_sym_number_token1,
    ACTIONS(5077), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5079), 1,
      anon_sym_SQUOTE,
    ACTIONS(5081), 1,
      anon_sym_DQUOTE,
    ACTIONS(5083), 1,
      sym__capitalized_identifier,
    ACTIONS(5085), 1,
      aux_sym_tag_token1,
    ACTIONS(7621), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7623), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2444), 1,
      sym_tag,
    STATE(2445), 1,
      sym_constructor_path,
    STATE(2471), 1,
      sym__binding_pattern,
    STATE(4579), 1,
      sym_attribute,
    STATE(5319), 1,
      sym__constructor_name,
    STATE(5332), 1,
      sym__signed_constant,
    STATE(5412), 1,
      sym_array_binding_pattern,
    STATE(5478), 1,
      sym_parenthesized_operator,
    STATE(5547), 1,
      sym_record_binding_pattern,
    STATE(5548), 1,
      sym_list_binding_pattern,
    STATE(11435), 1,
      sym_let_binding,
    STATE(20072), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5059), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5357), 2,
      sym__constant,
      sym_signed_number,
    STATE(5307), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5545), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187660] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5053), 1,
      sym__identifier,
    ACTIONS(5055), 1,
      anon_sym_LPAREN,
    ACTIONS(5057), 1,
      anon_sym_LBRACK,
    ACTIONS(5061), 1,
      anon_sym_LBRACE,
    ACTIONS(5063), 1,
      anon_sym_POUND,
    ACTIONS(5065), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5067), 1,
      anon_sym_lazy,
    ACTIONS(5069), 1,
      anon_sym_begin,
    ACTIONS(5075), 1,
      aux_sym_number_token1,
    ACTIONS(5077), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5079), 1,
      anon_sym_SQUOTE,
    ACTIONS(5081), 1,
      anon_sym_DQUOTE,
    ACTIONS(5083), 1,
      sym__capitalized_identifier,
    ACTIONS(5085), 1,
      aux_sym_tag_token1,
    ACTIONS(7621), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7623), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2444), 1,
      sym_tag,
    STATE(2445), 1,
      sym_constructor_path,
    STATE(2471), 1,
      sym__binding_pattern,
    STATE(4580), 1,
      sym_attribute,
    STATE(5319), 1,
      sym__constructor_name,
    STATE(5332), 1,
      sym__signed_constant,
    STATE(5412), 1,
      sym_array_binding_pattern,
    STATE(5478), 1,
      sym_parenthesized_operator,
    STATE(5547), 1,
      sym_record_binding_pattern,
    STATE(5548), 1,
      sym_list_binding_pattern,
    STATE(11410), 1,
      sym_let_binding,
    STATE(20072), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5059), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5357), 2,
      sym__constant,
      sym_signed_number,
    STATE(5307), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5545), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187786] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5053), 1,
      sym__identifier,
    ACTIONS(5055), 1,
      anon_sym_LPAREN,
    ACTIONS(5057), 1,
      anon_sym_LBRACK,
    ACTIONS(5061), 1,
      anon_sym_LBRACE,
    ACTIONS(5063), 1,
      anon_sym_POUND,
    ACTIONS(5065), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5067), 1,
      anon_sym_lazy,
    ACTIONS(5069), 1,
      anon_sym_begin,
    ACTIONS(5075), 1,
      aux_sym_number_token1,
    ACTIONS(5077), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5079), 1,
      anon_sym_SQUOTE,
    ACTIONS(5081), 1,
      anon_sym_DQUOTE,
    ACTIONS(5083), 1,
      sym__capitalized_identifier,
    ACTIONS(5085), 1,
      aux_sym_tag_token1,
    ACTIONS(7621), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7623), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2444), 1,
      sym_tag,
    STATE(2445), 1,
      sym_constructor_path,
    STATE(2471), 1,
      sym__binding_pattern,
    STATE(4581), 1,
      sym_attribute,
    STATE(5319), 1,
      sym__constructor_name,
    STATE(5332), 1,
      sym__signed_constant,
    STATE(5412), 1,
      sym_array_binding_pattern,
    STATE(5478), 1,
      sym_parenthesized_operator,
    STATE(5547), 1,
      sym_record_binding_pattern,
    STATE(5548), 1,
      sym_list_binding_pattern,
    STATE(11412), 1,
      sym_let_binding,
    STATE(20072), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5059), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5357), 2,
      sym__constant,
      sym_signed_number,
    STATE(5307), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5545), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187912] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8312), 1,
      sym__identifier,
    ACTIONS(8314), 1,
      anon_sym_lazy,
    ACTIONS(8720), 1,
      anon_sym_RBRACK,
    STATE(2949), 1,
      sym_constructor_path,
    STATE(2950), 1,
      sym_tag,
    STATE(4582), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(13679), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188038] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    ACTIONS(8316), 1,
      sym__identifier,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    ACTIONS(8320), 1,
      anon_sym_LBRACK,
    ACTIONS(8322), 1,
      anon_sym_LBRACE,
    ACTIONS(8324), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8326), 1,
      anon_sym_lazy,
    ACTIONS(8722), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3144), 1,
      sym_constructor_path,
    STATE(3148), 1,
      sym_tag,
    STATE(4583), 1,
      sym_attribute,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(13680), 1,
      sym__binding_pattern,
    STATE(13722), 1,
      sym__signed_constant,
    STATE(13845), 1,
      sym_parenthesized_operator,
    STATE(13873), 1,
      sym_record_binding_pattern,
    STATE(13878), 1,
      sym_list_binding_pattern,
    STATE(13879), 1,
      sym_array_binding_pattern,
    STATE(18628), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13861), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188164] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4955), 1,
      sym__identifier,
    ACTIONS(4961), 1,
      anon_sym_LPAREN,
    ACTIONS(4963), 1,
      anon_sym_LBRACK,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    ACTIONS(4969), 1,
      anon_sym_POUND,
    ACTIONS(4971), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4973), 1,
      anon_sym_lazy,
    ACTIONS(4975), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4983), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4989), 1,
      sym__capitalized_identifier,
    ACTIONS(4991), 1,
      aux_sym_tag_token1,
    ACTIONS(7645), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7647), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2442), 1,
      sym_constructor_path,
    STATE(2446), 1,
      sym_tag,
    STATE(2472), 1,
      sym__binding_pattern,
    STATE(4584), 1,
      sym_attribute,
    STATE(5304), 1,
      sym__signed_constant,
    STATE(5376), 1,
      sym__constructor_name,
    STATE(5533), 1,
      sym_list_binding_pattern,
    STATE(5534), 1,
      sym_parenthesized_operator,
    STATE(5536), 1,
      sym_array_binding_pattern,
    STATE(5551), 1,
      sym_record_binding_pattern,
    STATE(11455), 1,
      sym_let_binding,
    STATE(18636), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4965), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5388), 2,
      sym__constant,
      sym_signed_number,
    STATE(5374), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5495), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188290] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5121), 1,
      sym__identifier,
    ACTIONS(5123), 1,
      anon_sym_LPAREN,
    ACTIONS(5125), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_LBRACE,
    ACTIONS(5131), 1,
      anon_sym_POUND,
    ACTIONS(5133), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5135), 1,
      anon_sym_lazy,
    ACTIONS(5137), 1,
      anon_sym_begin,
    ACTIONS(5143), 1,
      aux_sym_number_token1,
    ACTIONS(5145), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5147), 1,
      anon_sym_SQUOTE,
    ACTIONS(5149), 1,
      anon_sym_DQUOTE,
    ACTIONS(5151), 1,
      sym__capitalized_identifier,
    ACTIONS(5153), 1,
      aux_sym_tag_token1,
    ACTIONS(8602), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8604), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2449), 1,
      sym_constructor_path,
    STATE(2450), 1,
      sym_tag,
    STATE(2485), 1,
      sym__binding_pattern,
    STATE(4585), 1,
      sym_attribute,
    STATE(5459), 1,
      sym__constructor_name,
    STATE(5468), 1,
      sym__signed_constant,
    STATE(5563), 1,
      sym_record_binding_pattern,
    STATE(5565), 1,
      sym_list_binding_pattern,
    STATE(5566), 1,
      sym_array_binding_pattern,
    STATE(5606), 1,
      sym_parenthesized_operator,
    STATE(11869), 1,
      sym_let_binding,
    STATE(19187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5127), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5506), 2,
      sym__constant,
      sym_signed_number,
    STATE(5458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5561), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188416] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8312), 1,
      sym__identifier,
    ACTIONS(8314), 1,
      anon_sym_lazy,
    ACTIONS(8724), 1,
      anon_sym_RBRACK,
    STATE(2949), 1,
      sym_constructor_path,
    STATE(2950), 1,
      sym_tag,
    STATE(4586), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(13959), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188542] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8312), 1,
      sym__identifier,
    ACTIONS(8314), 1,
      anon_sym_lazy,
    ACTIONS(8726), 1,
      anon_sym_RBRACK,
    STATE(2949), 1,
      sym_constructor_path,
    STATE(2950), 1,
      sym_tag,
    STATE(4587), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(13959), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188668] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    ACTIONS(8316), 1,
      sym__identifier,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    ACTIONS(8320), 1,
      anon_sym_LBRACK,
    ACTIONS(8322), 1,
      anon_sym_LBRACE,
    ACTIONS(8324), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8326), 1,
      anon_sym_lazy,
    ACTIONS(8728), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3144), 1,
      sym_constructor_path,
    STATE(3148), 1,
      sym_tag,
    STATE(4588), 1,
      sym_attribute,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(13722), 1,
      sym__signed_constant,
    STATE(13845), 1,
      sym_parenthesized_operator,
    STATE(13873), 1,
      sym_record_binding_pattern,
    STATE(13878), 1,
      sym_list_binding_pattern,
    STATE(13879), 1,
      sym_array_binding_pattern,
    STATE(13914), 1,
      sym__binding_pattern,
    STATE(18628), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13861), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188794] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8312), 1,
      sym__identifier,
    ACTIONS(8314), 1,
      anon_sym_lazy,
    ACTIONS(8730), 1,
      anon_sym_RBRACK,
    STATE(2949), 1,
      sym_constructor_path,
    STATE(2950), 1,
      sym_tag,
    STATE(4589), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(13716), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188920] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    ACTIONS(8316), 1,
      sym__identifier,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    ACTIONS(8320), 1,
      anon_sym_LBRACK,
    ACTIONS(8322), 1,
      anon_sym_LBRACE,
    ACTIONS(8324), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8326), 1,
      anon_sym_lazy,
    ACTIONS(8732), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3144), 1,
      sym_constructor_path,
    STATE(3148), 1,
      sym_tag,
    STATE(4590), 1,
      sym_attribute,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(13719), 1,
      sym__binding_pattern,
    STATE(13722), 1,
      sym__signed_constant,
    STATE(13845), 1,
      sym_parenthesized_operator,
    STATE(13873), 1,
      sym_record_binding_pattern,
    STATE(13878), 1,
      sym_list_binding_pattern,
    STATE(13879), 1,
      sym_array_binding_pattern,
    STATE(18628), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13861), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [189046] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    ACTIONS(8316), 1,
      sym__identifier,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    ACTIONS(8320), 1,
      anon_sym_LBRACK,
    ACTIONS(8322), 1,
      anon_sym_LBRACE,
    ACTIONS(8324), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8326), 1,
      anon_sym_lazy,
    ACTIONS(8734), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3144), 1,
      sym_constructor_path,
    STATE(3148), 1,
      sym_tag,
    STATE(4591), 1,
      sym_attribute,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(13722), 1,
      sym__signed_constant,
    STATE(13845), 1,
      sym_parenthesized_operator,
    STATE(13873), 1,
      sym_record_binding_pattern,
    STATE(13878), 1,
      sym_list_binding_pattern,
    STATE(13879), 1,
      sym_array_binding_pattern,
    STATE(13914), 1,
      sym__binding_pattern,
    STATE(18628), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13861), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [189172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8050), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [189240] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8312), 1,
      sym__identifier,
    ACTIONS(8314), 1,
      anon_sym_lazy,
    ACTIONS(8736), 1,
      anon_sym_RBRACK,
    STATE(2949), 1,
      sym_constructor_path,
    STATE(2950), 1,
      sym_tag,
    STATE(4593), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(13959), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [189366] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8312), 1,
      sym__identifier,
    ACTIONS(8314), 1,
      anon_sym_lazy,
    ACTIONS(8738), 1,
      anon_sym_RBRACK,
    STATE(2949), 1,
      sym_constructor_path,
    STATE(2950), 1,
      sym_tag,
    STATE(4594), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(13959), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [189492] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    ACTIONS(8316), 1,
      sym__identifier,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    ACTIONS(8320), 1,
      anon_sym_LBRACK,
    ACTIONS(8322), 1,
      anon_sym_LBRACE,
    ACTIONS(8324), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8326), 1,
      anon_sym_lazy,
    ACTIONS(8740), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3144), 1,
      sym_constructor_path,
    STATE(3148), 1,
      sym_tag,
    STATE(4595), 1,
      sym_attribute,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(13722), 1,
      sym__signed_constant,
    STATE(13845), 1,
      sym_parenthesized_operator,
    STATE(13873), 1,
      sym_record_binding_pattern,
    STATE(13878), 1,
      sym_list_binding_pattern,
    STATE(13879), 1,
      sym_array_binding_pattern,
    STATE(13914), 1,
      sym__binding_pattern,
    STATE(18628), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13861), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [189618] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    ACTIONS(8316), 1,
      sym__identifier,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    ACTIONS(8320), 1,
      anon_sym_LBRACK,
    ACTIONS(8322), 1,
      anon_sym_LBRACE,
    ACTIONS(8324), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8326), 1,
      anon_sym_lazy,
    ACTIONS(8742), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3144), 1,
      sym_constructor_path,
    STATE(3148), 1,
      sym_tag,
    STATE(4596), 1,
      sym_attribute,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(13722), 1,
      sym__signed_constant,
    STATE(13845), 1,
      sym_parenthesized_operator,
    STATE(13873), 1,
      sym_record_binding_pattern,
    STATE(13878), 1,
      sym_list_binding_pattern,
    STATE(13879), 1,
      sym_array_binding_pattern,
    STATE(13914), 1,
      sym__binding_pattern,
    STATE(18628), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13861), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [189744] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8312), 1,
      sym__identifier,
    ACTIONS(8314), 1,
      anon_sym_lazy,
    ACTIONS(8744), 1,
      anon_sym_RBRACK,
    STATE(2949), 1,
      sym_constructor_path,
    STATE(2950), 1,
      sym_tag,
    STATE(4597), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(13959), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [189870] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8312), 1,
      sym__identifier,
    ACTIONS(8314), 1,
      anon_sym_lazy,
    ACTIONS(8746), 1,
      anon_sym_RBRACK,
    STATE(2949), 1,
      sym_constructor_path,
    STATE(2950), 1,
      sym_tag,
    STATE(4598), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(13959), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [189996] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    ACTIONS(8316), 1,
      sym__identifier,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    ACTIONS(8320), 1,
      anon_sym_LBRACK,
    ACTIONS(8322), 1,
      anon_sym_LBRACE,
    ACTIONS(8324), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8326), 1,
      anon_sym_lazy,
    ACTIONS(8748), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3144), 1,
      sym_constructor_path,
    STATE(3148), 1,
      sym_tag,
    STATE(4599), 1,
      sym_attribute,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(13722), 1,
      sym__signed_constant,
    STATE(13845), 1,
      sym_parenthesized_operator,
    STATE(13873), 1,
      sym_record_binding_pattern,
    STATE(13878), 1,
      sym_list_binding_pattern,
    STATE(13879), 1,
      sym_array_binding_pattern,
    STATE(13914), 1,
      sym__binding_pattern,
    STATE(18628), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13861), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [190122] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8750), 1,
      anon_sym_COLON,
    STATE(4600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8382), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [190192] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8312), 1,
      sym__identifier,
    ACTIONS(8314), 1,
      anon_sym_lazy,
    ACTIONS(8752), 1,
      anon_sym_RBRACK,
    STATE(2949), 1,
      sym_constructor_path,
    STATE(2950), 1,
      sym_tag,
    STATE(4601), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(13959), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [190318] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    ACTIONS(8316), 1,
      sym__identifier,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    ACTIONS(8320), 1,
      anon_sym_LBRACK,
    ACTIONS(8322), 1,
      anon_sym_LBRACE,
    ACTIONS(8324), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8326), 1,
      anon_sym_lazy,
    ACTIONS(8754), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3144), 1,
      sym_constructor_path,
    STATE(3148), 1,
      sym_tag,
    STATE(4602), 1,
      sym_attribute,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(13722), 1,
      sym__signed_constant,
    STATE(13845), 1,
      sym_parenthesized_operator,
    STATE(13873), 1,
      sym_record_binding_pattern,
    STATE(13878), 1,
      sym_list_binding_pattern,
    STATE(13879), 1,
      sym_array_binding_pattern,
    STATE(13914), 1,
      sym__binding_pattern,
    STATE(18628), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13861), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [190444] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    ACTIONS(8316), 1,
      sym__identifier,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    ACTIONS(8320), 1,
      anon_sym_LBRACK,
    ACTIONS(8322), 1,
      anon_sym_LBRACE,
    ACTIONS(8324), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8326), 1,
      anon_sym_lazy,
    ACTIONS(8756), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3144), 1,
      sym_constructor_path,
    STATE(3148), 1,
      sym_tag,
    STATE(4603), 1,
      sym_attribute,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(13722), 1,
      sym__signed_constant,
    STATE(13845), 1,
      sym_parenthesized_operator,
    STATE(13873), 1,
      sym_record_binding_pattern,
    STATE(13878), 1,
      sym_list_binding_pattern,
    STATE(13879), 1,
      sym_array_binding_pattern,
    STATE(13914), 1,
      sym__binding_pattern,
    STATE(18628), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13861), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [190570] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4955), 1,
      sym__identifier,
    ACTIONS(4961), 1,
      anon_sym_LPAREN,
    ACTIONS(4963), 1,
      anon_sym_LBRACK,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    ACTIONS(4969), 1,
      anon_sym_POUND,
    ACTIONS(4971), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4973), 1,
      anon_sym_lazy,
    ACTIONS(4975), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4983), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4989), 1,
      sym__capitalized_identifier,
    ACTIONS(4991), 1,
      aux_sym_tag_token1,
    ACTIONS(7645), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7647), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2442), 1,
      sym_constructor_path,
    STATE(2446), 1,
      sym_tag,
    STATE(2472), 1,
      sym__binding_pattern,
    STATE(4604), 1,
      sym_attribute,
    STATE(5304), 1,
      sym__signed_constant,
    STATE(5376), 1,
      sym__constructor_name,
    STATE(5533), 1,
      sym_list_binding_pattern,
    STATE(5534), 1,
      sym_parenthesized_operator,
    STATE(5536), 1,
      sym_array_binding_pattern,
    STATE(5551), 1,
      sym_record_binding_pattern,
    STATE(11370), 1,
      sym_let_binding,
    STATE(18636), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4965), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5388), 2,
      sym__constant,
      sym_signed_number,
    STATE(5374), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5495), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [190696] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8312), 1,
      sym__identifier,
    ACTIONS(8314), 1,
      anon_sym_lazy,
    ACTIONS(8758), 1,
      anon_sym_RBRACK,
    STATE(2949), 1,
      sym_constructor_path,
    STATE(2950), 1,
      sym_tag,
    STATE(4605), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(13959), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [190822] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    ACTIONS(8316), 1,
      sym__identifier,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    ACTIONS(8320), 1,
      anon_sym_LBRACK,
    ACTIONS(8322), 1,
      anon_sym_LBRACE,
    ACTIONS(8324), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8326), 1,
      anon_sym_lazy,
    ACTIONS(8760), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3144), 1,
      sym_constructor_path,
    STATE(3148), 1,
      sym_tag,
    STATE(4606), 1,
      sym_attribute,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(13722), 1,
      sym__signed_constant,
    STATE(13845), 1,
      sym_parenthesized_operator,
    STATE(13873), 1,
      sym_record_binding_pattern,
    STATE(13878), 1,
      sym_list_binding_pattern,
    STATE(13879), 1,
      sym_array_binding_pattern,
    STATE(13914), 1,
      sym__binding_pattern,
    STATE(18628), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13861), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [190948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8500), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [191016] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8762), 1,
      anon_sym_COLON,
    STATE(4608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8382), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [191086] = 34,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5121), 1,
      sym__identifier,
    ACTIONS(5123), 1,
      anon_sym_LPAREN,
    ACTIONS(5125), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_LBRACE,
    ACTIONS(5131), 1,
      anon_sym_POUND,
    ACTIONS(5133), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5135), 1,
      anon_sym_lazy,
    ACTIONS(5137), 1,
      anon_sym_begin,
    ACTIONS(5143), 1,
      aux_sym_number_token1,
    ACTIONS(5145), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5147), 1,
      anon_sym_SQUOTE,
    ACTIONS(5149), 1,
      anon_sym_DQUOTE,
    ACTIONS(5151), 1,
      sym__capitalized_identifier,
    ACTIONS(5153), 1,
      aux_sym_tag_token1,
    ACTIONS(8602), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8604), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2449), 1,
      sym_constructor_path,
    STATE(2450), 1,
      sym_tag,
    STATE(2485), 1,
      sym__binding_pattern,
    STATE(4609), 1,
      sym_attribute,
    STATE(5459), 1,
      sym__constructor_name,
    STATE(5468), 1,
      sym__signed_constant,
    STATE(5563), 1,
      sym_record_binding_pattern,
    STATE(5565), 1,
      sym_list_binding_pattern,
    STATE(5566), 1,
      sym_array_binding_pattern,
    STATE(5606), 1,
      sym_parenthesized_operator,
    STATE(11824), 1,
      sym_let_binding,
    STATE(19187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5127), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5506), 2,
      sym__constant,
      sym_signed_number,
    STATE(5458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5561), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [191212] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(4610), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(8902), 1,
      sym__binding_pattern,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [191335] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    ACTIONS(8316), 1,
      sym__identifier,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    ACTIONS(8320), 1,
      anon_sym_LBRACK,
    ACTIONS(8322), 1,
      anon_sym_LBRACE,
    ACTIONS(8324), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8326), 1,
      anon_sym_lazy,
    STATE(3144), 1,
      sym_constructor_path,
    STATE(3148), 1,
      sym_tag,
    STATE(4611), 1,
      sym_attribute,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(13722), 1,
      sym__signed_constant,
    STATE(13813), 1,
      sym__binding_pattern,
    STATE(13845), 1,
      sym_parenthesized_operator,
    STATE(13873), 1,
      sym_record_binding_pattern,
    STATE(13878), 1,
      sym_list_binding_pattern,
    STATE(13879), 1,
      sym_array_binding_pattern,
    STATE(18628), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13861), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [191458] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8312), 1,
      sym__identifier,
    ACTIONS(8314), 1,
      anon_sym_lazy,
    STATE(2949), 1,
      sym_constructor_path,
    STATE(2950), 1,
      sym_tag,
    STATE(4612), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13491), 1,
      sym__binding_pattern,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [191581] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    ACTIONS(8316), 1,
      sym__identifier,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    ACTIONS(8320), 1,
      anon_sym_LBRACK,
    ACTIONS(8322), 1,
      anon_sym_LBRACE,
    ACTIONS(8324), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8326), 1,
      anon_sym_lazy,
    STATE(3144), 1,
      sym_constructor_path,
    STATE(3148), 1,
      sym_tag,
    STATE(4613), 1,
      sym_attribute,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(13722), 1,
      sym__signed_constant,
    STATE(13819), 1,
      sym__binding_pattern,
    STATE(13845), 1,
      sym_parenthesized_operator,
    STATE(13873), 1,
      sym_record_binding_pattern,
    STATE(13878), 1,
      sym_list_binding_pattern,
    STATE(13879), 1,
      sym_array_binding_pattern,
    STATE(18628), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13861), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [191704] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6825), 1,
      sym__identifier,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6835), 1,
      anon_sym_lazy,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(3489), 1,
      sym_constructor_path,
    STATE(3491), 1,
      sym_tag,
    STATE(4614), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10448), 1,
      sym_parenthesized_operator,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13903), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [191827] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5087), 1,
      sym__identifier,
    ACTIONS(5089), 1,
      anon_sym_LPAREN,
    ACTIONS(5091), 1,
      anon_sym_LBRACK,
    ACTIONS(5095), 1,
      anon_sym_LBRACE,
    ACTIONS(5097), 1,
      anon_sym_POUND,
    ACTIONS(5099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5101), 1,
      anon_sym_lazy,
    ACTIONS(5103), 1,
      anon_sym_begin,
    ACTIONS(5109), 1,
      aux_sym_number_token1,
    ACTIONS(5111), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5113), 1,
      anon_sym_SQUOTE,
    ACTIONS(5115), 1,
      anon_sym_DQUOTE,
    ACTIONS(5117), 1,
      sym__capitalized_identifier,
    ACTIONS(5119), 1,
      aux_sym_tag_token1,
    ACTIONS(8564), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8566), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2447), 1,
      sym_tag,
    STATE(2448), 1,
      sym_constructor_path,
    STATE(4615), 1,
      sym_attribute,
    STATE(5476), 1,
      sym__constructor_name,
    STATE(5527), 1,
      sym__signed_constant,
    STATE(5593), 1,
      sym_parenthesized_operator,
    STATE(5655), 1,
      sym__binding_pattern,
    STATE(5679), 1,
      sym_record_binding_pattern,
    STATE(5680), 1,
      sym_list_binding_pattern,
    STATE(5681), 1,
      sym_array_binding_pattern,
    STATE(19422), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5093), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5474), 2,
      sym__constant,
      sym_signed_number,
    STATE(5475), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5678), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [191950] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5121), 1,
      sym__identifier,
    ACTIONS(5123), 1,
      anon_sym_LPAREN,
    ACTIONS(5125), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_LBRACE,
    ACTIONS(5131), 1,
      anon_sym_POUND,
    ACTIONS(5133), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5135), 1,
      anon_sym_lazy,
    ACTIONS(5137), 1,
      anon_sym_begin,
    ACTIONS(5143), 1,
      aux_sym_number_token1,
    ACTIONS(5145), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5147), 1,
      anon_sym_SQUOTE,
    ACTIONS(5149), 1,
      anon_sym_DQUOTE,
    ACTIONS(5151), 1,
      sym__capitalized_identifier,
    ACTIONS(5153), 1,
      aux_sym_tag_token1,
    ACTIONS(8602), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8604), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2449), 1,
      sym_constructor_path,
    STATE(2450), 1,
      sym_tag,
    STATE(4616), 1,
      sym_attribute,
    STATE(5459), 1,
      sym__constructor_name,
    STATE(5468), 1,
      sym__signed_constant,
    STATE(5563), 1,
      sym_record_binding_pattern,
    STATE(5565), 1,
      sym_list_binding_pattern,
    STATE(5566), 1,
      sym_array_binding_pattern,
    STATE(5606), 1,
      sym_parenthesized_operator,
    STATE(5685), 1,
      sym__binding_pattern,
    STATE(19187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5127), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5506), 2,
      sym__constant,
      sym_signed_number,
    STATE(5458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5561), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [192073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8500), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [192140] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4955), 1,
      sym__identifier,
    ACTIONS(4961), 1,
      anon_sym_LPAREN,
    ACTIONS(4963), 1,
      anon_sym_LBRACK,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    ACTIONS(4969), 1,
      anon_sym_POUND,
    ACTIONS(4971), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4973), 1,
      anon_sym_lazy,
    ACTIONS(4975), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4983), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4989), 1,
      sym__capitalized_identifier,
    ACTIONS(4991), 1,
      aux_sym_tag_token1,
    ACTIONS(7645), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7647), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2442), 1,
      sym_constructor_path,
    STATE(2446), 1,
      sym_tag,
    STATE(4618), 1,
      sym_attribute,
    STATE(5304), 1,
      sym__signed_constant,
    STATE(5376), 1,
      sym__constructor_name,
    STATE(5529), 1,
      sym__binding_pattern,
    STATE(5533), 1,
      sym_list_binding_pattern,
    STATE(5534), 1,
      sym_parenthesized_operator,
    STATE(5536), 1,
      sym_array_binding_pattern,
    STATE(5551), 1,
      sym_record_binding_pattern,
    STATE(18636), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4965), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5388), 2,
      sym__constant,
      sym_signed_number,
    STATE(5374), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5495), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [192263] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5121), 1,
      sym__identifier,
    ACTIONS(5123), 1,
      anon_sym_LPAREN,
    ACTIONS(5125), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_LBRACE,
    ACTIONS(5131), 1,
      anon_sym_POUND,
    ACTIONS(5133), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5135), 1,
      anon_sym_lazy,
    ACTIONS(5137), 1,
      anon_sym_begin,
    ACTIONS(5143), 1,
      aux_sym_number_token1,
    ACTIONS(5145), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5147), 1,
      anon_sym_SQUOTE,
    ACTIONS(5149), 1,
      anon_sym_DQUOTE,
    ACTIONS(5151), 1,
      sym__capitalized_identifier,
    ACTIONS(5153), 1,
      aux_sym_tag_token1,
    ACTIONS(8602), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8604), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2449), 1,
      sym_constructor_path,
    STATE(2450), 1,
      sym_tag,
    STATE(4619), 1,
      sym_attribute,
    STATE(5459), 1,
      sym__constructor_name,
    STATE(5468), 1,
      sym__signed_constant,
    STATE(5563), 1,
      sym_record_binding_pattern,
    STATE(5565), 1,
      sym_list_binding_pattern,
    STATE(5566), 1,
      sym_array_binding_pattern,
    STATE(5606), 1,
      sym_parenthesized_operator,
    STATE(5695), 1,
      sym__binding_pattern,
    STATE(19187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5127), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5506), 2,
      sym__constant,
      sym_signed_number,
    STATE(5458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5561), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [192386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8050), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [192453] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5087), 1,
      sym__identifier,
    ACTIONS(5089), 1,
      anon_sym_LPAREN,
    ACTIONS(5091), 1,
      anon_sym_LBRACK,
    ACTIONS(5095), 1,
      anon_sym_LBRACE,
    ACTIONS(5097), 1,
      anon_sym_POUND,
    ACTIONS(5099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5101), 1,
      anon_sym_lazy,
    ACTIONS(5103), 1,
      anon_sym_begin,
    ACTIONS(5109), 1,
      aux_sym_number_token1,
    ACTIONS(5111), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5113), 1,
      anon_sym_SQUOTE,
    ACTIONS(5115), 1,
      anon_sym_DQUOTE,
    ACTIONS(5117), 1,
      sym__capitalized_identifier,
    ACTIONS(5119), 1,
      aux_sym_tag_token1,
    ACTIONS(8564), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8566), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2447), 1,
      sym_tag,
    STATE(2448), 1,
      sym_constructor_path,
    STATE(4621), 1,
      sym_attribute,
    STATE(5476), 1,
      sym__constructor_name,
    STATE(5527), 1,
      sym__signed_constant,
    STATE(5593), 1,
      sym_parenthesized_operator,
    STATE(5602), 1,
      sym__binding_pattern,
    STATE(5679), 1,
      sym_record_binding_pattern,
    STATE(5680), 1,
      sym_list_binding_pattern,
    STATE(5681), 1,
      sym_array_binding_pattern,
    STATE(19422), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5093), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5474), 2,
      sym__constant,
      sym_signed_number,
    STATE(5475), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5678), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [192576] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5121), 1,
      sym__identifier,
    ACTIONS(5123), 1,
      anon_sym_LPAREN,
    ACTIONS(5125), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_LBRACE,
    ACTIONS(5131), 1,
      anon_sym_POUND,
    ACTIONS(5133), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5135), 1,
      anon_sym_lazy,
    ACTIONS(5137), 1,
      anon_sym_begin,
    ACTIONS(5143), 1,
      aux_sym_number_token1,
    ACTIONS(5145), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5147), 1,
      anon_sym_SQUOTE,
    ACTIONS(5149), 1,
      anon_sym_DQUOTE,
    ACTIONS(5151), 1,
      sym__capitalized_identifier,
    ACTIONS(5153), 1,
      aux_sym_tag_token1,
    ACTIONS(8602), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8604), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2449), 1,
      sym_constructor_path,
    STATE(2450), 1,
      sym_tag,
    STATE(4622), 1,
      sym_attribute,
    STATE(5459), 1,
      sym__constructor_name,
    STATE(5468), 1,
      sym__signed_constant,
    STATE(5563), 1,
      sym_record_binding_pattern,
    STATE(5565), 1,
      sym_list_binding_pattern,
    STATE(5566), 1,
      sym_array_binding_pattern,
    STATE(5606), 1,
      sym_parenthesized_operator,
    STATE(5676), 1,
      sym__binding_pattern,
    STATE(19187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5127), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5506), 2,
      sym__constant,
      sym_signed_number,
    STATE(5458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5561), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [192699] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8312), 1,
      sym__identifier,
    ACTIONS(8314), 1,
      anon_sym_lazy,
    STATE(2949), 1,
      sym_constructor_path,
    STATE(2950), 1,
      sym_tag,
    STATE(4623), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13380), 1,
      sym__binding_pattern,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [192822] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8312), 1,
      sym__identifier,
    ACTIONS(8314), 1,
      anon_sym_lazy,
    STATE(2949), 1,
      sym_constructor_path,
    STATE(2950), 1,
      sym_tag,
    STATE(4624), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(14002), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [192945] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5087), 1,
      sym__identifier,
    ACTIONS(5089), 1,
      anon_sym_LPAREN,
    ACTIONS(5091), 1,
      anon_sym_LBRACK,
    ACTIONS(5095), 1,
      anon_sym_LBRACE,
    ACTIONS(5097), 1,
      anon_sym_POUND,
    ACTIONS(5099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5101), 1,
      anon_sym_lazy,
    ACTIONS(5103), 1,
      anon_sym_begin,
    ACTIONS(5109), 1,
      aux_sym_number_token1,
    ACTIONS(5111), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5113), 1,
      anon_sym_SQUOTE,
    ACTIONS(5115), 1,
      anon_sym_DQUOTE,
    ACTIONS(5117), 1,
      sym__capitalized_identifier,
    ACTIONS(5119), 1,
      aux_sym_tag_token1,
    ACTIONS(8564), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8566), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2447), 1,
      sym_tag,
    STATE(2448), 1,
      sym_constructor_path,
    STATE(4625), 1,
      sym_attribute,
    STATE(5476), 1,
      sym__constructor_name,
    STATE(5527), 1,
      sym__signed_constant,
    STATE(5593), 1,
      sym_parenthesized_operator,
    STATE(5609), 1,
      sym__binding_pattern,
    STATE(5679), 1,
      sym_record_binding_pattern,
    STATE(5680), 1,
      sym_list_binding_pattern,
    STATE(5681), 1,
      sym_array_binding_pattern,
    STATE(19422), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5093), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5474), 2,
      sym__constant,
      sym_signed_number,
    STATE(5475), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5678), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193068] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_COLON2,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8764), 1,
      anon_sym_COLON_GT,
    ACTIONS(8766), 1,
      anon_sym_EQ,
    STATE(4626), 1,
      sym_attribute,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(17288), 1,
      sym__polymorphic_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [193189] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(4627), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(8900), 1,
      sym__binding_pattern,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193312] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(4628), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(8901), 1,
      sym__binding_pattern,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193435] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5121), 1,
      sym__identifier,
    ACTIONS(5123), 1,
      anon_sym_LPAREN,
    ACTIONS(5125), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_LBRACE,
    ACTIONS(5131), 1,
      anon_sym_POUND,
    ACTIONS(5133), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5135), 1,
      anon_sym_lazy,
    ACTIONS(5137), 1,
      anon_sym_begin,
    ACTIONS(5143), 1,
      aux_sym_number_token1,
    ACTIONS(5145), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5147), 1,
      anon_sym_SQUOTE,
    ACTIONS(5149), 1,
      anon_sym_DQUOTE,
    ACTIONS(5151), 1,
      sym__capitalized_identifier,
    ACTIONS(5153), 1,
      aux_sym_tag_token1,
    ACTIONS(8602), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8604), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2449), 1,
      sym_constructor_path,
    STATE(2450), 1,
      sym_tag,
    STATE(4629), 1,
      sym_attribute,
    STATE(5459), 1,
      sym__constructor_name,
    STATE(5468), 1,
      sym__signed_constant,
    STATE(5563), 1,
      sym_record_binding_pattern,
    STATE(5565), 1,
      sym_list_binding_pattern,
    STATE(5566), 1,
      sym_array_binding_pattern,
    STATE(5606), 1,
      sym_parenthesized_operator,
    STATE(5686), 1,
      sym__binding_pattern,
    STATE(19187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5127), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5506), 2,
      sym__constant,
      sym_signed_number,
    STATE(5458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5561), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193558] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    ACTIONS(8316), 1,
      sym__identifier,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    ACTIONS(8320), 1,
      anon_sym_LBRACK,
    ACTIONS(8322), 1,
      anon_sym_LBRACE,
    ACTIONS(8324), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8326), 1,
      anon_sym_lazy,
    STATE(3144), 1,
      sym_constructor_path,
    STATE(3148), 1,
      sym_tag,
    STATE(4630), 1,
      sym_attribute,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(13722), 1,
      sym__signed_constant,
    STATE(13803), 1,
      sym__binding_pattern,
    STATE(13845), 1,
      sym_parenthesized_operator,
    STATE(13873), 1,
      sym_record_binding_pattern,
    STATE(13878), 1,
      sym_list_binding_pattern,
    STATE(13879), 1,
      sym_array_binding_pattern,
    STATE(18628), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13861), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193681] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4955), 1,
      sym__identifier,
    ACTIONS(4961), 1,
      anon_sym_LPAREN,
    ACTIONS(4963), 1,
      anon_sym_LBRACK,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    ACTIONS(4969), 1,
      anon_sym_POUND,
    ACTIONS(4971), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4973), 1,
      anon_sym_lazy,
    ACTIONS(4975), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4983), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4989), 1,
      sym__capitalized_identifier,
    ACTIONS(4991), 1,
      aux_sym_tag_token1,
    ACTIONS(7645), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7647), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2442), 1,
      sym_constructor_path,
    STATE(2446), 1,
      sym_tag,
    STATE(4631), 1,
      sym_attribute,
    STATE(5304), 1,
      sym__signed_constant,
    STATE(5376), 1,
      sym__constructor_name,
    STATE(5525), 1,
      sym__binding_pattern,
    STATE(5533), 1,
      sym_list_binding_pattern,
    STATE(5534), 1,
      sym_parenthesized_operator,
    STATE(5536), 1,
      sym_array_binding_pattern,
    STATE(5551), 1,
      sym_record_binding_pattern,
    STATE(18636), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4965), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5388), 2,
      sym__constant,
      sym_signed_number,
    STATE(5374), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5495), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193804] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7491), 1,
      sym__identifier,
    ACTIONS(7493), 1,
      anon_sym_LPAREN,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    ACTIONS(7501), 1,
      anon_sym_POUND,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7505), 1,
      anon_sym_lazy,
    ACTIONS(7507), 1,
      anon_sym_begin,
    ACTIONS(7509), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(7521), 1,
      sym__capitalized_identifier,
    ACTIONS(7523), 1,
      aux_sym_tag_token1,
    STATE(2591), 1,
      sym_tag,
    STATE(2592), 1,
      sym_constructor_path,
    STATE(4632), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__signed_constant,
    STATE(8836), 1,
      sym__constructor_name,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8880), 1,
      sym_record_binding_pattern,
    STATE(8881), 1,
      sym_list_binding_pattern,
    STATE(8882), 1,
      sym_array_binding_pattern,
    STATE(8904), 1,
      sym__binding_pattern,
    STATE(18998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8879), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193927] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8312), 1,
      sym__identifier,
    ACTIONS(8314), 1,
      anon_sym_lazy,
    STATE(2949), 1,
      sym_constructor_path,
    STATE(2950), 1,
      sym_tag,
    STATE(4633), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(13959), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [194050] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4955), 1,
      sym__identifier,
    ACTIONS(4961), 1,
      anon_sym_LPAREN,
    ACTIONS(4963), 1,
      anon_sym_LBRACK,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    ACTIONS(4969), 1,
      anon_sym_POUND,
    ACTIONS(4971), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4973), 1,
      anon_sym_lazy,
    ACTIONS(4975), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4983), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4989), 1,
      sym__capitalized_identifier,
    ACTIONS(4991), 1,
      aux_sym_tag_token1,
    ACTIONS(7645), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7647), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2442), 1,
      sym_constructor_path,
    STATE(2446), 1,
      sym_tag,
    STATE(4634), 1,
      sym_attribute,
    STATE(5304), 1,
      sym__signed_constant,
    STATE(5376), 1,
      sym__constructor_name,
    STATE(5526), 1,
      sym__binding_pattern,
    STATE(5533), 1,
      sym_list_binding_pattern,
    STATE(5534), 1,
      sym_parenthesized_operator,
    STATE(5536), 1,
      sym_array_binding_pattern,
    STATE(5551), 1,
      sym_record_binding_pattern,
    STATE(18636), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4965), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5388), 2,
      sym__constant,
      sym_signed_number,
    STATE(5374), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5495), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [194173] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_COLON2,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8768), 1,
      anon_sym_COLON_GT,
    ACTIONS(8770), 1,
      anon_sym_EQ,
    STATE(4635), 1,
      sym_attribute,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(17064), 1,
      sym__polymorphic_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194294] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7278), 1,
      anon_sym_COLON2,
    ACTIONS(8772), 1,
      sym__identifier,
    ACTIONS(8778), 1,
      anon_sym_LPAREN,
    ACTIONS(8781), 1,
      anon_sym_LBRACK,
    ACTIONS(8787), 1,
      anon_sym_LBRACE,
    ACTIONS(8790), 1,
      anon_sym_POUND,
    ACTIONS(8793), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8796), 1,
      anon_sym_begin,
    ACTIONS(8799), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8805), 1,
      aux_sym_number_token1,
    ACTIONS(8808), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8811), 1,
      anon_sym_SQUOTE,
    ACTIONS(8814), 1,
      anon_sym_DQUOTE,
    ACTIONS(8817), 1,
      sym__capitalized_identifier,
    ACTIONS(8820), 1,
      aux_sym_tag_token1,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8775), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(8784), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4636), 2,
      sym_attribute,
      aux_sym_let_binding_repeat1,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    ACTIONS(7276), 3,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194409] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_COLON2,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8823), 1,
      anon_sym_COLON_GT,
    ACTIONS(8825), 1,
      anon_sym_EQ,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4637), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(16596), 1,
      sym__polymorphic_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194530] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6825), 1,
      sym__identifier,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6835), 1,
      anon_sym_lazy,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(3489), 1,
      sym_constructor_path,
    STATE(3491), 1,
      sym_tag,
    STATE(4638), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10448), 1,
      sym_parenthesized_operator,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13900), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [194653] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8312), 1,
      sym__identifier,
    ACTIONS(8314), 1,
      anon_sym_lazy,
    STATE(2949), 1,
      sym_constructor_path,
    STATE(2950), 1,
      sym_tag,
    STATE(4639), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13479), 1,
      sym__binding_pattern,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [194776] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5053), 1,
      sym__identifier,
    ACTIONS(5055), 1,
      anon_sym_LPAREN,
    ACTIONS(5057), 1,
      anon_sym_LBRACK,
    ACTIONS(5061), 1,
      anon_sym_LBRACE,
    ACTIONS(5063), 1,
      anon_sym_POUND,
    ACTIONS(5065), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5067), 1,
      anon_sym_lazy,
    ACTIONS(5069), 1,
      anon_sym_begin,
    ACTIONS(5075), 1,
      aux_sym_number_token1,
    ACTIONS(5077), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5079), 1,
      anon_sym_SQUOTE,
    ACTIONS(5081), 1,
      anon_sym_DQUOTE,
    ACTIONS(5083), 1,
      sym__capitalized_identifier,
    ACTIONS(5085), 1,
      aux_sym_tag_token1,
    ACTIONS(7621), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7623), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2444), 1,
      sym_tag,
    STATE(2445), 1,
      sym_constructor_path,
    STATE(4640), 1,
      sym_attribute,
    STATE(5319), 1,
      sym__constructor_name,
    STATE(5332), 1,
      sym__signed_constant,
    STATE(5412), 1,
      sym_array_binding_pattern,
    STATE(5478), 1,
      sym_parenthesized_operator,
    STATE(5492), 1,
      sym__binding_pattern,
    STATE(5547), 1,
      sym_record_binding_pattern,
    STATE(5548), 1,
      sym_list_binding_pattern,
    STATE(20072), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5059), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5357), 2,
      sym__constant,
      sym_signed_number,
    STATE(5307), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5545), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [194899] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8312), 1,
      sym__identifier,
    ACTIONS(8314), 1,
      anon_sym_lazy,
    STATE(2949), 1,
      sym_constructor_path,
    STATE(2950), 1,
      sym_tag,
    STATE(4641), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(14029), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [195022] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    ACTIONS(8316), 1,
      sym__identifier,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    ACTIONS(8320), 1,
      anon_sym_LBRACK,
    ACTIONS(8322), 1,
      anon_sym_LBRACE,
    ACTIONS(8324), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8326), 1,
      anon_sym_lazy,
    STATE(3144), 1,
      sym_constructor_path,
    STATE(3148), 1,
      sym_tag,
    STATE(4642), 1,
      sym_attribute,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(13722), 1,
      sym__signed_constant,
    STATE(13845), 1,
      sym_parenthesized_operator,
    STATE(13864), 1,
      sym__binding_pattern,
    STATE(13873), 1,
      sym_record_binding_pattern,
    STATE(13878), 1,
      sym_list_binding_pattern,
    STATE(13879), 1,
      sym_array_binding_pattern,
    STATE(18628), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13861), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [195145] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5053), 1,
      sym__identifier,
    ACTIONS(5055), 1,
      anon_sym_LPAREN,
    ACTIONS(5057), 1,
      anon_sym_LBRACK,
    ACTIONS(5061), 1,
      anon_sym_LBRACE,
    ACTIONS(5063), 1,
      anon_sym_POUND,
    ACTIONS(5065), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5067), 1,
      anon_sym_lazy,
    ACTIONS(5069), 1,
      anon_sym_begin,
    ACTIONS(5075), 1,
      aux_sym_number_token1,
    ACTIONS(5077), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5079), 1,
      anon_sym_SQUOTE,
    ACTIONS(5081), 1,
      anon_sym_DQUOTE,
    ACTIONS(5083), 1,
      sym__capitalized_identifier,
    ACTIONS(5085), 1,
      aux_sym_tag_token1,
    ACTIONS(7621), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7623), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2444), 1,
      sym_tag,
    STATE(2445), 1,
      sym_constructor_path,
    STATE(4643), 1,
      sym_attribute,
    STATE(5319), 1,
      sym__constructor_name,
    STATE(5332), 1,
      sym__signed_constant,
    STATE(5412), 1,
      sym_array_binding_pattern,
    STATE(5478), 1,
      sym_parenthesized_operator,
    STATE(5500), 1,
      sym__binding_pattern,
    STATE(5547), 1,
      sym_record_binding_pattern,
    STATE(5548), 1,
      sym_list_binding_pattern,
    STATE(20072), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5059), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5357), 2,
      sym__constant,
      sym_signed_number,
    STATE(5307), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5545), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [195268] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5053), 1,
      sym__identifier,
    ACTIONS(5055), 1,
      anon_sym_LPAREN,
    ACTIONS(5057), 1,
      anon_sym_LBRACK,
    ACTIONS(5061), 1,
      anon_sym_LBRACE,
    ACTIONS(5063), 1,
      anon_sym_POUND,
    ACTIONS(5065), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5067), 1,
      anon_sym_lazy,
    ACTIONS(5069), 1,
      anon_sym_begin,
    ACTIONS(5075), 1,
      aux_sym_number_token1,
    ACTIONS(5077), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5079), 1,
      anon_sym_SQUOTE,
    ACTIONS(5081), 1,
      anon_sym_DQUOTE,
    ACTIONS(5083), 1,
      sym__capitalized_identifier,
    ACTIONS(5085), 1,
      aux_sym_tag_token1,
    ACTIONS(7621), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7623), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2444), 1,
      sym_tag,
    STATE(2445), 1,
      sym_constructor_path,
    STATE(4644), 1,
      sym_attribute,
    STATE(5319), 1,
      sym__constructor_name,
    STATE(5332), 1,
      sym__signed_constant,
    STATE(5412), 1,
      sym_array_binding_pattern,
    STATE(5478), 1,
      sym_parenthesized_operator,
    STATE(5501), 1,
      sym__binding_pattern,
    STATE(5547), 1,
      sym_record_binding_pattern,
    STATE(5548), 1,
      sym_list_binding_pattern,
    STATE(20072), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5059), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5357), 2,
      sym__constant,
      sym_signed_number,
    STATE(5307), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5545), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [195391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8500), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [195458] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7581), 1,
      anon_sym_POUND,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8312), 1,
      sym__identifier,
    ACTIONS(8314), 1,
      anon_sym_lazy,
    STATE(2949), 1,
      sym_constructor_path,
    STATE(2950), 1,
      sym_tag,
    STATE(4646), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13490), 1,
      sym__binding_pattern,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [195581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8050), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [195648] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7661), 1,
      anon_sym_POUND,
    ACTIONS(7667), 1,
      anon_sym_begin,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(7781), 1,
      sym__capitalized_identifier,
    ACTIONS(7783), 1,
      aux_sym_tag_token1,
    ACTIONS(8316), 1,
      sym__identifier,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    ACTIONS(8320), 1,
      anon_sym_LBRACK,
    ACTIONS(8322), 1,
      anon_sym_LBRACE,
    ACTIONS(8324), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8326), 1,
      anon_sym_lazy,
    STATE(3144), 1,
      sym_constructor_path,
    STATE(3148), 1,
      sym_tag,
    STATE(4648), 1,
      sym_attribute,
    STATE(8166), 1,
      sym__constructor_name,
    STATE(13722), 1,
      sym__signed_constant,
    STATE(13845), 1,
      sym_parenthesized_operator,
    STATE(13873), 1,
      sym_record_binding_pattern,
    STATE(13878), 1,
      sym_list_binding_pattern,
    STATE(13879), 1,
      sym_array_binding_pattern,
    STATE(13914), 1,
      sym__binding_pattern,
    STATE(18628), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7655), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13861), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [195771] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5053), 1,
      sym__identifier,
    ACTIONS(5055), 1,
      anon_sym_LPAREN,
    ACTIONS(5057), 1,
      anon_sym_LBRACK,
    ACTIONS(5061), 1,
      anon_sym_LBRACE,
    ACTIONS(5063), 1,
      anon_sym_POUND,
    ACTIONS(5065), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5067), 1,
      anon_sym_lazy,
    ACTIONS(5069), 1,
      anon_sym_begin,
    ACTIONS(5075), 1,
      aux_sym_number_token1,
    ACTIONS(5077), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5079), 1,
      anon_sym_SQUOTE,
    ACTIONS(5081), 1,
      anon_sym_DQUOTE,
    ACTIONS(5083), 1,
      sym__capitalized_identifier,
    ACTIONS(5085), 1,
      aux_sym_tag_token1,
    ACTIONS(7621), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7623), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2444), 1,
      sym_tag,
    STATE(2445), 1,
      sym_constructor_path,
    STATE(4649), 1,
      sym_attribute,
    STATE(5319), 1,
      sym__constructor_name,
    STATE(5332), 1,
      sym__signed_constant,
    STATE(5412), 1,
      sym_array_binding_pattern,
    STATE(5478), 1,
      sym_parenthesized_operator,
    STATE(5504), 1,
      sym__binding_pattern,
    STATE(5547), 1,
      sym_record_binding_pattern,
    STATE(5548), 1,
      sym_list_binding_pattern,
    STATE(20072), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5059), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5357), 2,
      sym__constant,
      sym_signed_number,
    STATE(5307), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5545), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [195894] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_COLON2,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8827), 1,
      anon_sym_COLON_GT,
    ACTIONS(8829), 1,
      anon_sym_EQ,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4650), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(16727), 1,
      sym__polymorphic_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [196015] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6825), 1,
      sym__identifier,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6835), 1,
      anon_sym_lazy,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(3489), 1,
      sym_constructor_path,
    STATE(3491), 1,
      sym_tag,
    STATE(4651), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10448), 1,
      sym_parenthesized_operator,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13901), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [196138] = 32,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_COLON2,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8831), 1,
      anon_sym_COLON_GT,
    ACTIONS(8833), 1,
      anon_sym_EQ,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4652), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(16527), 1,
      sym__polymorphic_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [196259] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4955), 1,
      sym__identifier,
    ACTIONS(4961), 1,
      anon_sym_LPAREN,
    ACTIONS(4963), 1,
      anon_sym_LBRACK,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    ACTIONS(4969), 1,
      anon_sym_POUND,
    ACTIONS(4971), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4973), 1,
      anon_sym_lazy,
    ACTIONS(4975), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4983), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4989), 1,
      sym__capitalized_identifier,
    ACTIONS(4991), 1,
      aux_sym_tag_token1,
    ACTIONS(7645), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7647), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2442), 1,
      sym_constructor_path,
    STATE(2446), 1,
      sym_tag,
    STATE(4653), 1,
      sym_attribute,
    STATE(5304), 1,
      sym__signed_constant,
    STATE(5376), 1,
      sym__constructor_name,
    STATE(5516), 1,
      sym__binding_pattern,
    STATE(5533), 1,
      sym_list_binding_pattern,
    STATE(5534), 1,
      sym_parenthesized_operator,
    STATE(5536), 1,
      sym_array_binding_pattern,
    STATE(5551), 1,
      sym_record_binding_pattern,
    STATE(18636), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4965), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5388), 2,
      sym__constant,
      sym_signed_number,
    STATE(5374), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5495), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [196382] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5087), 1,
      sym__identifier,
    ACTIONS(5089), 1,
      anon_sym_LPAREN,
    ACTIONS(5091), 1,
      anon_sym_LBRACK,
    ACTIONS(5095), 1,
      anon_sym_LBRACE,
    ACTIONS(5097), 1,
      anon_sym_POUND,
    ACTIONS(5099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5101), 1,
      anon_sym_lazy,
    ACTIONS(5103), 1,
      anon_sym_begin,
    ACTIONS(5109), 1,
      aux_sym_number_token1,
    ACTIONS(5111), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5113), 1,
      anon_sym_SQUOTE,
    ACTIONS(5115), 1,
      anon_sym_DQUOTE,
    ACTIONS(5117), 1,
      sym__capitalized_identifier,
    ACTIONS(5119), 1,
      aux_sym_tag_token1,
    ACTIONS(8564), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8566), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2447), 1,
      sym_tag,
    STATE(2448), 1,
      sym_constructor_path,
    STATE(4654), 1,
      sym_attribute,
    STATE(5476), 1,
      sym__constructor_name,
    STATE(5527), 1,
      sym__signed_constant,
    STATE(5593), 1,
      sym_parenthesized_operator,
    STATE(5633), 1,
      sym__binding_pattern,
    STATE(5679), 1,
      sym_record_binding_pattern,
    STATE(5680), 1,
      sym_list_binding_pattern,
    STATE(5681), 1,
      sym_array_binding_pattern,
    STATE(19422), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5093), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5474), 2,
      sym__constant,
      sym_signed_number,
    STATE(5475), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5678), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [196505] = 33,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5313), 1,
      anon_sym_begin,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(6825), 1,
      sym__identifier,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_LBRACE,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6835), 1,
      anon_sym_lazy,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    STATE(3489), 1,
      sym_constructor_path,
    STATE(3491), 1,
      sym_tag,
    STATE(4655), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10448), 1,
      sym_parenthesized_operator,
    STATE(13168), 1,
      sym__signed_constant,
    STATE(13218), 1,
      sym_record_binding_pattern,
    STATE(13219), 1,
      sym_list_binding_pattern,
    STATE(13220), 1,
      sym_array_binding_pattern,
    STATE(13380), 1,
      sym__binding_pattern,
    STATE(18213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13215), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [196628] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8837), 1,
      anon_sym_DASH_GT,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4656), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18024), 1,
      sym__simple_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [196746] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8841), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4657), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(18917), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [196864] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8843), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4658), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(18324), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [196982] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8845), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4659), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(18466), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [197100] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8847), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4660), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(19223), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [197218] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8849), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4661), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(19254), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [197336] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8851), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4662), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(19355), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [197454] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8853), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4663), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(19379), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [197572] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8855), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4664), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(17846), 1,
      sym__simple_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [197690] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8857), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4665), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(19291), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [197808] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8859), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4666), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(19495), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [197926] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8861), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4667), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(19532), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [198044] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8863), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4668), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(19368), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [198162] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8865), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4669), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(19699), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [198280] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8867), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4670), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(19748), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [198398] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8869), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4671), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(19970), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [198516] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8871), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4672), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(20017), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [198634] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8873), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4673), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(20193), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [198752] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8875), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4674), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(20339), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [198870] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8877), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4675), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(17867), 1,
      sym__simple_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [198988] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8879), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4676), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(20250), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [199106] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8881), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4677), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(20323), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [199224] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8883), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4678), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(20418), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [199342] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8885), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4679), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(17718), 1,
      sym__simple_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [199460] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8887), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4680), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(20361), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [199578] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8889), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4681), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(17907), 1,
      sym__simple_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [199696] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8891), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4682), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(20010), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [199814] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8893), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4683), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(20436), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [199932] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8895), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4684), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(18214), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [200050] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8897), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4685), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(18349), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [200168] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(4686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [200236] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8899), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4687), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(19887), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [200354] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8901), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4688), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(19349), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [200472] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8903), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4689), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(19853), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [200590] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8905), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4690), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(17783), 1,
      sym__simple_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [200708] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8907), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4691), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(17540), 1,
      sym__simple_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [200826] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8909), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4692), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(17586), 1,
      sym__simple_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [200944] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8911), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4693), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(17866), 1,
      sym__simple_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [201062] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8913), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4694), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(17930), 1,
      sym__simple_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [201180] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8915), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4695), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(18379), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [201298] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8917), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4696), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(18260), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [201416] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8919), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4697), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(18337), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [201534] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8921), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4698), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(18559), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [201652] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8923), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4699), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(18572), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [201770] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8925), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4700), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(17794), 1,
      sym__simple_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [201888] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8927), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4701), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(17893), 1,
      sym__simple_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [202006] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8929), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4702), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18148), 1,
      sym__simple_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [202124] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8931), 1,
      anon_sym_LT_DASH,
    STATE(4703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [202192] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8933), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4704), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(17968), 1,
      sym__simple_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [202310] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8935), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4705), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(17979), 1,
      sym__simple_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [202428] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8937), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4706), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18123), 1,
      sym__simple_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [202546] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8939), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4707), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18132), 1,
      sym__simple_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [202664] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8941), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4708), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(20051), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [202782] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8943), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4709), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(19943), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [202900] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8945), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4710), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(20165), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [203018] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8951), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4711), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8949), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8947), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__identifier,
  [203086] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8954), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4712), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(18704), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [203204] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8956), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4713), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(17802), 1,
      sym__simple_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [203322] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8958), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4714), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18120), 1,
      sym__simple_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [203440] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8964), 1,
      aux_sym_attribute_id_token1,
    STATE(4711), 1,
      aux_sym_attribute_id_repeat1,
    STATE(4715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8962), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8960), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__identifier,
  [203510] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8966), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4716), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(19196), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [203628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [203694] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8968), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4718), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18098), 1,
      sym__simple_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [203812] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8970), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4719), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(17768), 1,
      sym__simple_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [203930] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8972), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4720), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(18218), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [204048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [204114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [204180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [204246] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8974), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4724), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(19881), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [204364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [204430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [204496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [204562] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8976), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4728), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(17775), 1,
      sym__simple_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [204680] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8978), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4729), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(18600), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [204798] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8980), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4730), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(18700), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [204916] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8982), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4731), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(19045), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [205034] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8984), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4732), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(19111), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [205152] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8986), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4733), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(18669), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [205270] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8988), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4734), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(19410), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [205388] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8990), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4735), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(19546), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [205506] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8992), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4736), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(20099), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [205624] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8994), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4737), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(17650), 1,
      sym__simple_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [205742] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8996), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4738), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(20003), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [205860] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8998), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4739), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(20119), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [205978] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9000), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4740), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(20240), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [206096] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9002), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4741), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(17901), 1,
      sym__simple_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [206214] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9004), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4742), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(17562), 1,
      sym__simple_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [206332] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9006), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4743), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(17596), 1,
      sym__simple_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [206450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [206516] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9008), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4745), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(18806), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [206634] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9010), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4746), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(18963), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [206752] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9012), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4747), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(17769), 1,
      sym__simple_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [206870] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9014), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4748), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(17808), 1,
      sym__simple_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [206988] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9016), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4749), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(19999), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [207106] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9018), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4750), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(17985), 1,
      sym__simple_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [207224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [207290] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9020), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4752), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(18205), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [207408] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9022), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4753), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(18250), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [207526] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9024), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4754), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(18879), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [207644] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9026), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4755), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(20259), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [207762] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9028), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4756), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(17574), 1,
      sym__simple_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [207880] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9030), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4757), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(18442), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [207998] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9032), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4758), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(18483), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [208116] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8964), 1,
      aux_sym_attribute_id_token1,
    STATE(4715), 1,
      aux_sym_attribute_id_repeat1,
    STATE(4759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9034), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__identifier,
  [208186] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9038), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4760), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    STATE(18664), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [208304] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8835), 1,
      anon_sym_COLON2,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9040), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4761), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(17752), 1,
      sym__simple_typed,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [208422] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [208487] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4740), 1,
      aux_sym_let_binding_repeat1,
    STATE(4763), 1,
      sym_attribute,
    STATE(5055), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [208602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [208667] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4687), 1,
      aux_sym_let_binding_repeat1,
    STATE(4765), 1,
      sym_attribute,
    STATE(5056), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [208782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
    ACTIONS(8947), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__identifier,
  [208847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [208912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [208977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [209042] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4724), 1,
      aux_sym_let_binding_repeat1,
    STATE(4770), 1,
      sym_attribute,
    STATE(5058), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [209157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [209222] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4736), 1,
      aux_sym_let_binding_repeat1,
    STATE(4772), 1,
      sym_attribute,
    STATE(5061), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [209337] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4745), 1,
      aux_sym_let_binding_repeat1,
    STATE(4773), 1,
      sym_attribute,
    STATE(5064), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [209452] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4755), 1,
      aux_sym_let_binding_repeat1,
    STATE(4774), 1,
      sym_attribute,
    STATE(5065), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [209567] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(4775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [209634] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4658), 1,
      aux_sym_let_binding_repeat1,
    STATE(4776), 1,
      sym_attribute,
    STATE(5066), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [209749] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4665), 1,
      aux_sym_let_binding_repeat1,
    STATE(4777), 1,
      sym_attribute,
    STATE(5068), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [209864] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4673), 1,
      aux_sym_let_binding_repeat1,
    STATE(4778), 1,
      sym_attribute,
    STATE(5069), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [209979] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4690), 1,
      aux_sym_let_binding_repeat1,
    STATE(4779), 1,
      sym_attribute,
    STATE(5070), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [210094] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4701), 1,
      aux_sym_let_binding_repeat1,
    STATE(4780), 1,
      sym_attribute,
    STATE(5071), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [210209] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4709), 1,
      aux_sym_let_binding_repeat1,
    STATE(4781), 1,
      sym_attribute,
    STATE(5072), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [210324] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4761), 1,
      aux_sym_let_binding_repeat1,
    STATE(4782), 1,
      sym_attribute,
    STATE(5073), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [210439] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4706), 1,
      aux_sym_let_binding_repeat1,
    STATE(4783), 1,
      sym_attribute,
    STATE(5074), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [210554] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4718), 1,
      aux_sym_let_binding_repeat1,
    STATE(4784), 1,
      sym_attribute,
    STATE(5075), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [210669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [210734] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4729), 1,
      aux_sym_let_binding_repeat1,
    STATE(4786), 1,
      sym_attribute,
    STATE(5076), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [210849] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4731), 1,
      aux_sym_let_binding_repeat1,
    STATE(4787), 1,
      sym_attribute,
    STATE(5077), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [210964] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4734), 1,
      aux_sym_let_binding_repeat1,
    STATE(4788), 1,
      sym_attribute,
    STATE(5078), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211079] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4738), 1,
      aux_sym_let_binding_repeat1,
    STATE(4789), 1,
      sym_attribute,
    STATE(5079), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211194] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4742), 1,
      aux_sym_let_binding_repeat1,
    STATE(4790), 1,
      sym_attribute,
    STATE(5081), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211309] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4747), 1,
      aux_sym_let_binding_repeat1,
    STATE(4791), 1,
      sym_attribute,
    STATE(5082), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211424] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4750), 1,
      aux_sym_let_binding_repeat1,
    STATE(4792), 1,
      sym_attribute,
    STATE(5083), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211539] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4752), 1,
      aux_sym_let_binding_repeat1,
    STATE(4793), 1,
      sym_attribute,
    STATE(5084), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211654] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4757), 1,
      aux_sym_let_binding_repeat1,
    STATE(4794), 1,
      sym_attribute,
    STATE(5085), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211769] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4760), 1,
      aux_sym_let_binding_repeat1,
    STATE(4795), 1,
      sym_attribute,
    STATE(5086), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211884] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4754), 1,
      aux_sym_let_binding_repeat1,
    STATE(4796), 1,
      sym_attribute,
    STATE(5087), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211999] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4660), 1,
      aux_sym_let_binding_repeat1,
    STATE(4797), 1,
      sym_attribute,
    STATE(5088), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212114] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4662), 1,
      aux_sym_let_binding_repeat1,
    STATE(4798), 1,
      sym_attribute,
    STATE(5089), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212229] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4666), 1,
      aux_sym_let_binding_repeat1,
    STATE(4799), 1,
      sym_attribute,
    STATE(5090), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212344] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4669), 1,
      aux_sym_let_binding_repeat1,
    STATE(4800), 1,
      sym_attribute,
    STATE(5091), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212459] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4671), 1,
      aux_sym_let_binding_repeat1,
    STATE(4801), 1,
      sym_attribute,
    STATE(5092), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212574] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4676), 1,
      aux_sym_let_binding_repeat1,
    STATE(4802), 1,
      sym_attribute,
    STATE(5093), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212689] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4678), 1,
      aux_sym_let_binding_repeat1,
    STATE(4803), 1,
      sym_attribute,
    STATE(5094), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [212869] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4680), 1,
      aux_sym_let_binding_repeat1,
    STATE(4805), 1,
      sym_attribute,
    STATE(5095), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [213049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [213114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [213179] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4682), 1,
      aux_sym_let_binding_repeat1,
    STATE(4809), 1,
      sym_attribute,
    STATE(5096), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [213359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [213424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [213489] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4579), 1,
      anon_sym_DOT,
    ACTIONS(4581), 1,
      anon_sym_POUND,
    ACTIONS(4583), 1,
      sym_hash_operator,
    STATE(4813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [213560] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4684), 1,
      aux_sym_let_binding_repeat1,
    STATE(4814), 1,
      sym_attribute,
    STATE(5097), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [213740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [213805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [213870] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4688), 1,
      aux_sym_let_binding_repeat1,
    STATE(4818), 1,
      sym_attribute,
    STATE(5099), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [214050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [214115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [214180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [214245] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9042), 1,
      anon_sym_LT_DASH,
    STATE(4823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [214312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [214377] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4579), 1,
      anon_sym_DOT,
    STATE(4825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [214444] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4691), 1,
      aux_sym_let_binding_repeat1,
    STATE(4826), 1,
      sym_attribute,
    STATE(5101), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [214559] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [214624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [214689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [214754] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4693), 1,
      aux_sym_let_binding_repeat1,
    STATE(4830), 1,
      sym_attribute,
    STATE(5103), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [214869] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4696), 1,
      aux_sym_let_binding_repeat1,
    STATE(4831), 1,
      sym_attribute,
    STATE(5104), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [214984] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4698), 1,
      aux_sym_let_binding_repeat1,
    STATE(4832), 1,
      sym_attribute,
    STATE(4983), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [215099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [215164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [215229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [215294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [215359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [215424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [215489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [215554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [215619] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [215684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [215749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [215814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [215879] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [215944] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4579), 1,
      anon_sym_DOT,
    ACTIONS(4581), 1,
      anon_sym_POUND,
    ACTIONS(4583), 1,
      sym_hash_operator,
    STATE(4846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [216015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [216080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [216145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [216210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [216275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [216340] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(4852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [216407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [216472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [216537] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(4855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [216604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [216669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [216734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [216799] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [216864] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4675), 1,
      aux_sym_let_binding_repeat1,
    STATE(4860), 1,
      sym_attribute,
    STATE(5049), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [216979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [217044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [217109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [217174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [217239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [217304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [217369] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [217434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [217499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [217564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [217629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [217694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [217759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [217824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [217889] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9044), 1,
      anon_sym_LT_DASH,
    STATE(4875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [217956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [218021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [218086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [218151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [218216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [218281] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4733), 1,
      aux_sym_let_binding_repeat1,
    STATE(4881), 1,
      sym_attribute,
    STATE(5051), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [218396] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4664), 1,
      aux_sym_let_binding_repeat1,
    STATE(4882), 1,
      sym_attribute,
    STATE(5057), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [218511] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [218576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [218641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [218706] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4704), 1,
      aux_sym_let_binding_repeat1,
    STATE(4886), 1,
      sym_attribute,
    STATE(5052), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [218821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [218886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [218951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [219016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [219081] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7617), 1,
      anon_sym_PERCENT,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4708), 1,
      aux_sym_let_binding_repeat1,
    STATE(4891), 1,
      sym_attribute,
    STATE(5053), 1,
      sym__attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [219196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [219261] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(4893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [219327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [219391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [219455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [219519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [219583] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [219647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [219711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [219775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [219839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [219903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [219967] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7871), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7873), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [220031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [220095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [220159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [220223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [220287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [220351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [220415] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4589), 1,
      anon_sym_DOT,
    ACTIONS(4591), 1,
      anon_sym_POUND,
    ACTIONS(4593), 1,
      sym_hash_operator,
    STATE(4911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [220485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [220549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [220613] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(4914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [220679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [220743] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [220807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [220871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [220935] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9046), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4919), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [221047] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [221111] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4589), 1,
      anon_sym_DOT,
    STATE(4921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [221177] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9048), 1,
      anon_sym_LT_DASH,
    STATE(4922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [221243] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9050), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4923), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [221355] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9052), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4924), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [221467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [221531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [221595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [221659] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7897), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [221723] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7901), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7903), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [221787] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7891), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7893), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [221851] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9054), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4931), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [221963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [222027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [222091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [222155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [222219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [222283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [222347] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [222411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [222475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [222539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [222603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [222667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [222731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [222795] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [222859] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [222923] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [222987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [223051] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [223115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [223179] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [223243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [223307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [223371] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9056), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4954), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [223483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [223547] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [223611] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [223675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [223739] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9058), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4959), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [223851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [223915] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7885), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7887), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [223979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [224043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [224107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [224171] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7831), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7833), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [224235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [224299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [224363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [224427] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4589), 1,
      anon_sym_DOT,
    ACTIONS(4591), 1,
      anon_sym_POUND,
    ACTIONS(4593), 1,
      sym_hash_operator,
    STATE(4969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [224497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [224561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [224625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [224689] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8839), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9060), 1,
      anon_sym_DASH_GT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4973), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [224801] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [224865] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7867), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7869), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [224929] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7875), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7877), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [224993] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [225057] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(4978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7825), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7827), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [225123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [225187] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7879), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7881), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [225251] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [225315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [225379] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4699), 1,
      aux_sym_let_binding_repeat1,
    STATE(4983), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [225488] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7867), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7869), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [225551] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7875), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7877), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [225614] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7879), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7881), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [225677] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7885), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7887), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [225740] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7897), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [225803] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7901), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7903), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [225866] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8294), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [225929] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7871), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7873), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [225992] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7913), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [226055] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8030), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8032), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [226118] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8036), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [226181] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8040), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [226244] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8044), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [226307] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8048), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [226370] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8056), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [226433] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8060), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [226496] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8064), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [226559] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8068), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [226622] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8072), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [226685] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8076), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [226748] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7831), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7833), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [226811] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8080), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [226874] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4599), 1,
      anon_sym_DOT,
    STATE(5006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8084), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [226939] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8088), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [227002] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8092), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [227065] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8096), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [227128] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8100), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [227191] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8104), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [227254] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8108), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [227317] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8112), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [227380] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8116), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [227443] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8120), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [227506] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8124), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [227569] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8128), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [227632] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8132), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [227695] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8136), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [227758] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8140), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [227821] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8144), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [227884] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8152), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [227947] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8156), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [228010] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8160), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [228073] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8164), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [228136] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8168), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [228199] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7867), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7869), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [228262] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7875), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7877), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [228325] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7879), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7881), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [228388] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8172), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [228451] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7891), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7893), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [228514] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8176), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [228577] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7885), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7887), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [228640] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7897), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [228703] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7901), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7903), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [228766] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4599), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_POUND,
    ACTIONS(4603), 1,
      sym_hash_operator,
    STATE(5036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8052), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [228835] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7871), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7873), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [228898] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7891), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7893), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [228961] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4599), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_POUND,
    ACTIONS(4603), 1,
      sym_hash_operator,
    STATE(5039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8148), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [229030] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8180), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [229093] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8184), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [229156] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8188), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [229219] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8192), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [229282] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8194), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8196), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [229345] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8198), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8200), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [229408] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8204), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [229471] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8208), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [229534] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8212), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [229597] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4716), 1,
      aux_sym_let_binding_repeat1,
    STATE(5049), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [229706] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8216), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [229769] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4741), 1,
      aux_sym_let_binding_repeat1,
    STATE(5051), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [229878] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4705), 1,
      aux_sym_let_binding_repeat1,
    STATE(5052), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [229987] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4714), 1,
      aux_sym_let_binding_repeat1,
    STATE(5053), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [230096] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9064), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5054), 2,
      sym_attribute,
      aux_sym__structure_repeat1,
    ACTIONS(9067), 18,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9062), 28,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__identifier,
  [230161] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4749), 1,
      aux_sym_let_binding_repeat1,
    STATE(5055), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [230270] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4700), 1,
      aux_sym_let_binding_repeat1,
    STATE(5056), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [230379] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4719), 1,
      aux_sym_let_binding_repeat1,
    STATE(5057), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [230488] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4728), 1,
      aux_sym_let_binding_repeat1,
    STATE(5058), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [230597] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8298), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [230660] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8302), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [230723] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4737), 1,
      aux_sym_let_binding_repeat1,
    STATE(5061), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [230832] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8306), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [230895] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8284), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8286), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [230958] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4746), 1,
      aux_sym_let_binding_repeat1,
    STATE(5064), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231067] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4756), 1,
      aux_sym_let_binding_repeat1,
    STATE(5065), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231176] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4659), 1,
      aux_sym_let_binding_repeat1,
    STATE(5066), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231285] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7825), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7827), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [231348] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4668), 1,
      aux_sym_let_binding_repeat1,
    STATE(5068), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231457] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4674), 1,
      aux_sym_let_binding_repeat1,
    STATE(5069), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231566] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4695), 1,
      aux_sym_let_binding_repeat1,
    STATE(5070), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231675] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4702), 1,
      aux_sym_let_binding_repeat1,
    STATE(5071), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231784] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4710), 1,
      aux_sym_let_binding_repeat1,
    STATE(5072), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231893] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4713), 1,
      aux_sym_let_binding_repeat1,
    STATE(5073), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [232002] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4707), 1,
      aux_sym_let_binding_repeat1,
    STATE(5074), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [232111] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4720), 1,
      aux_sym_let_binding_repeat1,
    STATE(5075), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [232220] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4730), 1,
      aux_sym_let_binding_repeat1,
    STATE(5076), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [232329] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4732), 1,
      aux_sym_let_binding_repeat1,
    STATE(5077), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [232438] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4735), 1,
      aux_sym_let_binding_repeat1,
    STATE(5078), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [232547] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4739), 1,
      aux_sym_let_binding_repeat1,
    STATE(5079), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [232656] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9069), 1,
      anon_sym_COLON,
    STATE(5080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8382), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [232721] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4743), 1,
      aux_sym_let_binding_repeat1,
    STATE(5081), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [232830] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4748), 1,
      aux_sym_let_binding_repeat1,
    STATE(5082), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [232939] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4656), 1,
      aux_sym_let_binding_repeat1,
    STATE(5083), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [233048] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4753), 1,
      aux_sym_let_binding_repeat1,
    STATE(5084), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [233157] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4758), 1,
      aux_sym_let_binding_repeat1,
    STATE(5085), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [233266] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4712), 1,
      aux_sym_let_binding_repeat1,
    STATE(5086), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [233375] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4657), 1,
      aux_sym_let_binding_repeat1,
    STATE(5087), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [233484] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4661), 1,
      aux_sym_let_binding_repeat1,
    STATE(5088), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [233593] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4663), 1,
      aux_sym_let_binding_repeat1,
    STATE(5089), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [233702] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4667), 1,
      aux_sym_let_binding_repeat1,
    STATE(5090), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [233811] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4670), 1,
      aux_sym_let_binding_repeat1,
    STATE(5091), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [233920] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4672), 1,
      aux_sym_let_binding_repeat1,
    STATE(5092), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [234029] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4677), 1,
      aux_sym_let_binding_repeat1,
    STATE(5093), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [234138] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4679), 1,
      aux_sym_let_binding_repeat1,
    STATE(5094), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [234247] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4681), 1,
      aux_sym_let_binding_repeat1,
    STATE(5095), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [234356] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4683), 1,
      aux_sym_let_binding_repeat1,
    STATE(5096), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [234465] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4685), 1,
      aux_sym_let_binding_repeat1,
    STATE(5097), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [234574] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8222), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [234637] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4689), 1,
      aux_sym_let_binding_repeat1,
    STATE(5099), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [234746] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9071), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5100), 2,
      sym_attribute,
      aux_sym__structure_repeat1,
    ACTIONS(9067), 17,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9062), 29,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__identifier,
  [234811] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4692), 1,
      aux_sym_let_binding_repeat1,
    STATE(5101), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [234920] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(5102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7825), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7827), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [234985] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4694), 1,
      aux_sym_let_binding_repeat1,
    STATE(5103), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [235094] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4697), 1,
      aux_sym_let_binding_repeat1,
    STATE(5104), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [235203] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4924), 1,
      aux_sym_let_binding_repeat1,
    STATE(5105), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [235312] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4954), 1,
      aux_sym_let_binding_repeat1,
    STATE(5106), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [235421] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8226), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [235484] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4959), 1,
      aux_sym_let_binding_repeat1,
    STATE(5108), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [235593] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8230), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [235656] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4973), 1,
      aux_sym_let_binding_repeat1,
    STATE(5110), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [235765] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8234), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [235828] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8238), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [235891] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(5113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7825), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7827), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [235956] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4919), 1,
      aux_sym_let_binding_repeat1,
    STATE(5114), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [236065] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9074), 1,
      anon_sym_LT_DASH,
    STATE(5115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7913), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [236130] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4923), 1,
      aux_sym_let_binding_repeat1,
    STATE(5116), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [236239] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8288), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8290), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [236302] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8242), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [236365] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5429), 1,
      anon_sym_LPAREN,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4931), 1,
      aux_sym_let_binding_repeat1,
    STATE(5119), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10236), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10231), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [236474] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7831), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7833), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [236537] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8246), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [236600] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8250), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [236663] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(5123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8254), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [236728] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8260), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [236791] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8264), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [236854] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8268), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [236917] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8272), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [236980] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8276), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237043] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8280), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237106] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(5130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8254), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237171] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8310), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237234] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8092), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237296] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8112), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237358] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8112), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237420] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8116), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237482] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8120), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237544] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7891), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7893), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237606] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8124), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237668] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4609), 1,
      anon_sym_DOT,
    ACTIONS(4611), 1,
      anon_sym_POUND,
    ACTIONS(4613), 1,
      sym_hash_operator,
    STATE(5139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8052), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237736] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8128), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237798] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8132), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237860] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8136), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237922] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8140), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237984] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8144), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238046] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8152), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238108] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8156), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238170] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8160), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238232] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8164), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238294] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7831), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7833), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238356] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8168), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238418] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8230), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238480] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8172), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238542] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8176), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238604] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8234), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238666] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8180), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238728] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8184), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238790] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8188), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238852] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8192), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238914] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8194), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8196), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238976] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8198), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8200), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [239038] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8204), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [239100] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8208), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [239162] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8212), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [239224] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4619), 1,
      anon_sym_DOT,
    ACTIONS(4621), 1,
      anon_sym_POUND,
    ACTIONS(4623), 1,
      sym_hash_operator,
    STATE(5164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8148), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [239292] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8238), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [239354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9076), 28,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__identifier,
  [239416] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8216), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [239478] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4609), 1,
      anon_sym_DOT,
    ACTIONS(4611), 1,
      anon_sym_POUND,
    ACTIONS(4613), 1,
      sym_hash_operator,
    STATE(5168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8148), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [239546] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9080), 1,
      anon_sym_COLON,
    STATE(5169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8382), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [239610] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7825), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7827), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [239672] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8216), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [239734] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7867), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7869), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [239796] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8310), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [239858] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7875), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7877), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [239920] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7879), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7881), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [239982] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7885), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7887), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [240044] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7897), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [240106] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7901), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7903), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [240168] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(5179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8254), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [240232] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7913), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [240294] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8030), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8032), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [240356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [240418] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8036), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [240480] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8040), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [240542] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8044), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [240604] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8048), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [240666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8500), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [240728] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7871), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7873), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [240790] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8246), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [240852] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8250), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [240914] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8120), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [240976] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(5192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8254), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [241040] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8060), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [241102] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8260), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [241164] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8264), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [241226] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8064), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [241288] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8124), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [241350] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8068), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [241412] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8268), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [241474] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8128), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [241536] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8072), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [241598] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8132), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [241660] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(5203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7825), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7827), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [241724] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8076), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [241786] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9082), 1,
      anon_sym_LT_DASH,
    STATE(5205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7913), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [241850] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8290), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [241912] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8242), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [241974] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(5208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8254), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [242038] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8152), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [242100] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8264), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [242162] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8242), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [242224] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8222), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [242286] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8156), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [242348] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8160), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [242410] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(5215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8254), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [242474] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8284), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8286), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [242536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9076), 29,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__identifier,
  [242598] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8164), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [242660] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8226), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [242722] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8230), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [242784] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8234), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [242846] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8204), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [242908] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7913), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [242970] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(5224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [243034] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8238), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [243096] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8136), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [243158] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8194), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8196), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [243220] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8246), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [243282] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8200), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [243344] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8140), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [243406] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8250), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [243468] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8260), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [243530] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8268), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [243592] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8172), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [243654] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8272), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [243716] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8276), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [243778] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8280), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [243840] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8288), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8290), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [243902] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8294), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [243964] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8030), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8032), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [244026] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8180), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [244088] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8036), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [244150] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8168), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [244212] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(5244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [244276] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8080), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [244338] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4609), 1,
      anon_sym_DOT,
    STATE(5246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8084), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [244402] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8298), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [244464] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8040), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [244526] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8208), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [244588] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8044), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [244650] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8222), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [244712] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8212), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [244774] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8302), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [244836] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8298), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [244898] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8306), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [244960] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8088), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [245022] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8092), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [245084] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8310), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [245146] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8096), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [245208] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(5260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8254), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [245272] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8048), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [245334] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4619), 1,
      anon_sym_DOT,
    ACTIONS(4621), 1,
      anon_sym_POUND,
    ACTIONS(4623), 1,
      sym_hash_operator,
    STATE(5262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8052), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [245402] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8276), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [245464] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8280), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [245526] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8294), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [245588] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(5266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8254), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [245652] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8286), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [245714] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8302), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [245776] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8306), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [245838] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7825), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7827), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [245900] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8056), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [245962] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8060), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246024] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9084), 1,
      anon_sym_LT_DASH,
    STATE(5273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7913), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246088] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8064), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246150] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8188), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246212] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8068), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246274] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8072), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246336] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8076), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246398] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8100), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246460] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8080), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246522] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4619), 1,
      anon_sym_DOT,
    STATE(5281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8084), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246586] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8272), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246648] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8088), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246710] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8176), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246772] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8104), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246834] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8144), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246896] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8226), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246958] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8116), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [247020] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8108), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [247082] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8096), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [247144] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8100), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [247206] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8104), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [247268] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8192), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [247330] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8108), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [247392] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8184), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [247454] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8056), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [247516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8250), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [247577] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8208), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [247638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8246), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [247699] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8290), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [247760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8250), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [247821] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8212), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [247882] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8060), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [247943] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9086), 1,
      anon_sym_DOT_DOT,
    STATE(5304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(4957), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [248006] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8294), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [248067] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8064), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [248128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8260), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [248189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8268), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [248250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8272), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [248311] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(5310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8254), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [248374] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(5311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [248437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9088), 34,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [248498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9094), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [248559] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8068), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [248620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8288), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8290), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [248681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [248742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8276), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [248803] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8088), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [248864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [248925] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8152), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [248986] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9096), 1,
      anon_sym_LT_DASH,
    STATE(5321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7913), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [249049] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8156), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [249110] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8160), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [249171] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8164), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [249232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8500), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [249293] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8048), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [249354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8280), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [249415] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8072), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [249476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8294), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [249537] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9098), 1,
      anon_sym_COLON,
    STATE(5330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8382), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8384), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [249600] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8168), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [249661] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9100), 1,
      anon_sym_DOT_DOT,
    STATE(5332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4957), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(4959), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [249724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8276), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [249785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [249846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9102), 34,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [249907] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8092), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [249968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8280), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [250029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8284), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8286), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [250090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8294), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [250151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [250212] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8172), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [250273] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8298), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [250334] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8176), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [250395] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8302), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [250456] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8306), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [250517] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8310), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [250578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8242), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [250639] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8076), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [250700] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8180), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [250761] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(5350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8254), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [250824] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8200), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [250885] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8242), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [250946] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8096), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [251007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8246), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [251068] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(5355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8254), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [251131] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8040), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [251192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9108), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [251253] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8194), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8196), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [251314] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8264), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [251375] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8100), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [251436] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8272), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [251497] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8204), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [251558] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(5363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8254), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [251621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9094), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [251682] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(5365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [251745] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8286), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [251806] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8044), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [251867] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8104), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [251928] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8108), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [251989] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4689), 1,
      anon_sym_DOT,
    ACTIONS(4691), 1,
      anon_sym_POUND,
    ACTIONS(4693), 1,
      sym_hash_operator,
    STATE(5370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8052), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [252056] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8246), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [252117] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8112), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [252178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9110), 34,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [252239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8260), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [252300] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8250), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [252361] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8264), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [252422] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8116), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [252483] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8120), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [252544] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8124), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [252605] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8260), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [252666] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4689), 1,
      anon_sym_DOT,
    ACTIONS(4691), 1,
      anon_sym_POUND,
    ACTIONS(4693), 1,
      sym_hash_operator,
    STATE(5381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8148), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [252733] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8128), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [252794] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8188), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [252855] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8080), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [252916] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8132), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [252977] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8268), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [253038] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8136), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [253099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9108), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [253160] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8222), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [253221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [253282] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8276), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [253343] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4689), 1,
      anon_sym_DOT,
    STATE(5392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8084), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [253406] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8192), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [253467] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8280), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [253528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8268), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [253589] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8056), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [253650] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8226), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [253711] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8140), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [253772] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7825), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7827), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [253833] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8216), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [253894] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7913), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [253955] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8144), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [254016] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8030), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8032), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [254077] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8230), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [254138] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8234), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [254199] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8238), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [254260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8288), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8290), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [254321] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8036), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [254382] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8184), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [254443] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8298), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [254503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [254563] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [254623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7825), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7827), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [254683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [254743] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [254803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [254863] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9124), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [254923] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [254983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9126), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [255043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9132), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [255103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9136), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [255163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9140), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [255223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9144), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [255283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9148), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [255343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8222), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [255403] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [255463] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9154), 1,
      anon_sym_COLON,
    STATE(5427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8382), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8384), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [255525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [255585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9158), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [255645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [255705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9130), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [255765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9136), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [255825] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9140), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9138), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [255885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [255945] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9142), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [256005] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9146), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [256065] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9094), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [256125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [256185] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8302), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [256245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8306), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [256305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [256365] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(5442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [256427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9166), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [256487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8310), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [256547] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [256607] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8246), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [256667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9174), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [256727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8226), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [256787] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [256847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9170), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [256907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [256967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8250), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [257027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9178), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [257087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9182), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [257147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8230), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [257207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [257267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [257327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8260), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [257387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8264), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [257447] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8268), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [257507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8234), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [257567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8288), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8290), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [257627] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8238), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [257687] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [257747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9128), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [257807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8272), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [257867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [257927] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9196), 1,
      anon_sym_DOT_DOT,
    STATE(5468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(4957), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [257989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [258049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [258109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8276), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [258169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8246), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [258229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8250), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [258289] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9108), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [258349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8260), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [258409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [258469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8268), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [258529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [258589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8280), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [258649] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8294), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [258709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9186), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [258769] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [258829] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [258889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9206), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [258949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9210), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [259009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8276), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [259069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8280), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [259129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [259189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9218), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [259249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [259309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [259369] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [259429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8242), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [259489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9204), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [259549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(4957), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [259609] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8284), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8286), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [259669] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      anon_sym_LT_DASH,
    STATE(5497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [259731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8288), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8290), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [259791] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8052), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [259851] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5447), 1,
      anon_sym_COLON_COLON,
    STATE(5500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [259913] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5431), 1,
      anon_sym_COMMA,
    ACTIONS(5447), 1,
      anon_sym_COLON_COLON,
    STATE(5501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [259977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [260037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8294), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [260097] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5447), 1,
      anon_sym_COLON_COLON,
    STATE(5504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [260159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [260219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9108), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [260279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [260339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [260399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [260459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9208), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [260519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9216), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [260579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9220), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [260639] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8500), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8502), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [260699] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9190), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [260759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9224), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [260819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9228), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [260879] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [260939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [260999] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [261059] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9194), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [261119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9152), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [261179] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [261239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9212), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [261299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9254), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [261359] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5481), 1,
      anon_sym_COLON_COLON,
    STATE(5525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [261421] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5475), 1,
      anon_sym_COMMA,
    ACTIONS(5481), 1,
      anon_sym_COLON_COLON,
    STATE(5526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [261485] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9256), 1,
      anon_sym_DOT_DOT,
    STATE(5527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4957), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(4959), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [261547] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9242), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [261607] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5481), 1,
      anon_sym_COLON_COLON,
    STATE(5529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9246), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [261669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9162), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [261729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [261789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9260), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [261849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9264), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [261909] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8216), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [261969] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9266), 1,
      anon_sym_COLON,
    STATE(5535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8382), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8384), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [262031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9120), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [262091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [262151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9124), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [262211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9250), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [262271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9252), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [262331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9094), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [262391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9258), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [262451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [262511] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [262571] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4957), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(4959), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [262631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9200), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [262691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [262751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [262811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [262871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [262931] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9270), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [262991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [263051] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [263110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9170), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [263169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8234), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [263228] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9140), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [263287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9144), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [263346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [263405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9186), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [263464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9190), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [263523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(4957), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [263582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [263641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9270), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [263700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9194), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [263759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9264), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [263818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9120), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [263877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9136), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [263936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9148), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [263995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [264054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9194), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [264113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [264172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [264231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9200), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [264290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9204), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [264349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9152), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [264408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [264467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9152), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [264526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9182), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [264585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [264644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7825), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7827), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [264703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [264762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [264821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [264880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9158), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [264939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [264998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [265057] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [265116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9190), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [265175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9178), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [265234] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(5590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [265295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8230), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [265354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [265413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [265472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [265531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9212), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [265590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [265649] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [265708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9186), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [265767] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [265826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [265885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8238), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [265944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9228), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [266003] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9200), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [266062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9204), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [266121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [266180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8216), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [266239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [266298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7825), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7827), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [266357] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5851), 1,
      anon_sym_COLON_COLON,
    STATE(5609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [266418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9182), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [266477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [266536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [266595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [266654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [266713] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9272), 1,
      anon_sym_LT_DASH,
    STATE(5615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [266774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [266833] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [266892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [266951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [267010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [267069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [267128] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9274), 1,
      anon_sym_LT_DASH,
    STATE(5622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [267189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [267248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [267307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [267366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [267425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8226), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [267484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [267543] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8230), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [267602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [267661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [267720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [267779] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5845), 1,
      anon_sym_COMMA,
    ACTIONS(5851), 1,
      anon_sym_COLON_COLON,
    STATE(5633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [267842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [267901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [267960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8238), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [268019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [268078] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(5638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [268139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9124), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [268198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [268257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [268316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9128), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [268375] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8052), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [268434] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4939), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_POUND,
    ACTIONS(4943), 1,
      sym_hash_operator,
    STATE(5644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [268499] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(5645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [268560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9166), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [268619] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8500), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8502), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [268678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9170), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [268737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [268796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [268855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [268914] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8052), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [268973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [269032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [269091] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5851), 1,
      anon_sym_COLON_COLON,
    STATE(5655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [269152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [269211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [269270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9254), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [269329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9132), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [269388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9242), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [269447] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [269506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8298), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [269565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9260), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [269624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [269683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [269742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [269801] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9208), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [269860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9216), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [269919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [269978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9220), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [270037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9136), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [270155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9140), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [270214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9224), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [270273] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9228), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [270391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4957), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(4959), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [270509] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9270), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [270568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [270627] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [270686] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270804] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8500), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8502), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [270863] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5863), 1,
      anon_sym_COLON_COLON,
    STATE(5685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [270924] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5857), 1,
      anon_sym_COMMA,
    ACTIONS(5863), 1,
      anon_sym_COLON_COLON,
    STATE(5686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9238), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [270987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9144), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [271105] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9276), 1,
      anon_sym_COLON,
    STATE(5689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8382), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8384), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [271166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9254), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [271225] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9242), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [271402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8302), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [271461] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5863), 1,
      anon_sym_COLON_COLON,
    STATE(5695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9246), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [271522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9260), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [271581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8298), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [271699] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [271817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9148), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [271876] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4939), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_POUND,
    ACTIONS(4943), 1,
      sym_hash_operator,
    STATE(5702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8226), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [272000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272059] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9212), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [272118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8302), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [272177] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8222), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [272295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8306), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [272354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9250), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [272413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [272590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9124), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [272649] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9162), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [272708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272767] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8310), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [272826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9208), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [272885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [273003] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [273062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [273121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [273180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [273239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9132), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [273298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [273357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9220), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [273416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9174), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [273475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9250), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [273534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9178), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [273593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [273652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [273711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [273770] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4939), 1,
      anon_sym_DOT,
    STATE(5734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [273831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9224), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [273890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9128), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [273949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8222), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [274008] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9166), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [274067] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274184] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274474] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(5746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274708] = 25,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7185), 1,
      sym__identifier,
    ACTIONS(7193), 1,
      anon_sym_LBRACK,
    ACTIONS(7199), 1,
      anon_sym_LBRACE,
    ACTIONS(7201), 1,
      anon_sym_POUND,
    ACTIONS(7203), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7205), 1,
      anon_sym_begin,
    ACTIONS(7211), 1,
      aux_sym_number_token1,
    ACTIONS(7213), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7215), 1,
      anon_sym_SQUOTE,
    ACTIONS(7217), 1,
      anon_sym_DQUOTE,
    ACTIONS(7219), 1,
      sym__capitalized_identifier,
    ACTIONS(7221), 1,
      aux_sym_tag_token1,
    ACTIONS(9278), 1,
      anon_sym_LPAREN,
    ACTIONS(9280), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9282), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5750), 1,
      sym_attribute,
    STATE(7820), 1,
      sym__simple_pattern,
    STATE(7912), 1,
      sym__constructor_name,
    STATE(19418), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7195), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7978), 2,
      sym__constant,
      sym_signed_number,
    STATE(7910), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7936), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [274806] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9284), 1,
      anon_sym_LT_DASH,
    STATE(5751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7913), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [274866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274924] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4949), 1,
      anon_sym_DOT,
    STATE(5753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275332] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9286), 1,
      anon_sym_LT_DASH,
    STATE(5760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275508] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4949), 1,
      anon_sym_DOT,
    ACTIONS(4951), 1,
      anon_sym_POUND,
    ACTIONS(4953), 1,
      sym_hash_operator,
    STATE(5763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275688] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275746] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(5767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275922] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276038] = 25,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6931), 1,
      sym__identifier,
    ACTIONS(6943), 1,
      anon_sym_LBRACK,
    ACTIONS(6949), 1,
      anon_sym_LBRACE,
    ACTIONS(6951), 1,
      anon_sym_POUND,
    ACTIONS(6953), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6955), 1,
      anon_sym_begin,
    ACTIONS(6961), 1,
      aux_sym_number_token1,
    ACTIONS(6963), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6965), 1,
      anon_sym_SQUOTE,
    ACTIONS(6967), 1,
      anon_sym_DQUOTE,
    ACTIONS(6969), 1,
      sym__capitalized_identifier,
    ACTIONS(6971), 1,
      aux_sym_tag_token1,
    ACTIONS(9288), 1,
      anon_sym_LPAREN,
    ACTIONS(9290), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9292), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5772), 1,
      sym_attribute,
    STATE(7479), 1,
      sym__simple_pattern,
    STATE(7595), 1,
      sym__constructor_name,
    STATE(19182), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6945), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7514), 2,
      sym__constant,
      sym_signed_number,
    STATE(7592), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7529), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [276136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276368] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276484] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276542] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276832] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277064] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277238] = 25,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5417), 1,
      sym__identifier,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5441), 1,
      anon_sym_LBRACE,
    ACTIONS(5445), 1,
      anon_sym_POUND,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5451), 1,
      anon_sym_begin,
    ACTIONS(5459), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5463), 1,
      anon_sym_SQUOTE,
    ACTIONS(5465), 1,
      anon_sym_DQUOTE,
    ACTIONS(5467), 1,
      sym__capitalized_identifier,
    ACTIONS(5469), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9294), 1,
      anon_sym_LPAREN,
    STATE(5792), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(10120), 1,
      sym__simple_pattern,
    STATE(18203), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5437), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym__constant,
      sym_signed_number,
    STATE(10097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10158), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [277336] = 25,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7141), 1,
      sym__identifier,
    ACTIONS(7149), 1,
      anon_sym_LBRACK,
    ACTIONS(7155), 1,
      anon_sym_LBRACE,
    ACTIONS(7157), 1,
      anon_sym_POUND,
    ACTIONS(7159), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7161), 1,
      anon_sym_begin,
    ACTIONS(7167), 1,
      aux_sym_number_token1,
    ACTIONS(7169), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7171), 1,
      anon_sym_SQUOTE,
    ACTIONS(7173), 1,
      anon_sym_DQUOTE,
    ACTIONS(7175), 1,
      sym__capitalized_identifier,
    ACTIONS(7177), 1,
      aux_sym_tag_token1,
    ACTIONS(9296), 1,
      anon_sym_LPAREN,
    ACTIONS(9298), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9300), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5793), 1,
      sym_attribute,
    STATE(7755), 1,
      sym__simple_pattern,
    STATE(7776), 1,
      sym__constructor_name,
    STATE(18613), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7151), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7721), 2,
      sym__constant,
      sym_signed_number,
    STATE(7731), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7724), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [277434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277492] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4949), 1,
      anon_sym_DOT,
    ACTIONS(4951), 1,
      anon_sym_POUND,
    ACTIONS(4953), 1,
      sym_hash_operator,
    STATE(5795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277962] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [278020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [278078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [278136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [278194] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [278252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [278310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [278368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [278426] = 25,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7525), 1,
      sym__identifier,
    ACTIONS(7533), 1,
      anon_sym_LBRACK,
    ACTIONS(7539), 1,
      anon_sym_LBRACE,
    ACTIONS(7543), 1,
      anon_sym_POUND,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7547), 1,
      anon_sym_begin,
    ACTIONS(7555), 1,
      aux_sym_number_token1,
    ACTIONS(7557), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7559), 1,
      anon_sym_SQUOTE,
    ACTIONS(7561), 1,
      anon_sym_DQUOTE,
    ACTIONS(7563), 1,
      sym__capitalized_identifier,
    ACTIONS(7565), 1,
      aux_sym_tag_token1,
    ACTIONS(9302), 1,
      anon_sym_LPAREN,
    ACTIONS(9304), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9306), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5811), 1,
      sym_attribute,
    STATE(8608), 1,
      sym__simple_pattern,
    STATE(8615), 1,
      sym__constructor_name,
    STATE(19653), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7535), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8712), 2,
      sym__constant,
      sym_signed_number,
    STATE(8614), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8636), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [278524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [278582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [278640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [278698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [278756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [278814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [278872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [278930] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [278988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [279046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [279104] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [279162] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [279220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [279278] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [279336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [279394] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8500), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8502), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [279452] = 25,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6887), 1,
      sym__identifier,
    ACTIONS(6899), 1,
      anon_sym_LBRACK,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    ACTIONS(6907), 1,
      anon_sym_POUND,
    ACTIONS(6909), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6911), 1,
      anon_sym_begin,
    ACTIONS(6919), 1,
      aux_sym_number_token1,
    ACTIONS(6921), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6923), 1,
      anon_sym_SQUOTE,
    ACTIONS(6925), 1,
      anon_sym_DQUOTE,
    ACTIONS(6927), 1,
      sym__capitalized_identifier,
    ACTIONS(6929), 1,
      aux_sym_tag_token1,
    ACTIONS(9308), 1,
      anon_sym_LPAREN,
    ACTIONS(9310), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9312), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5828), 1,
      sym_attribute,
    STATE(7497), 1,
      sym__simple_pattern,
    STATE(7517), 1,
      sym__constructor_name,
    STATE(18995), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7591), 2,
      sym__constant,
      sym_signed_number,
    STATE(7515), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7491), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [279550] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(5829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [279610] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8052), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [279668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [279726] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [279783] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [279840] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [279897] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5159), 1,
      anon_sym_DOT,
    ACTIONS(5161), 1,
      anon_sym_POUND,
    ACTIONS(5163), 1,
      sym_hash_operator,
    STATE(5835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [279960] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9314), 1,
      anon_sym_DOT,
    ACTIONS(9316), 1,
      anon_sym_POUND,
    ACTIONS(9318), 1,
      sym_hash_operator,
    STATE(5836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [280023] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [280080] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [280137] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [280194] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [280251] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [280308] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [280365] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [280422] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [280479] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [280536] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [280593] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(5847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [280652] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [280709] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [280766] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [280823] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [280880] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [280937] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [280994] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(5854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [281053] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [281110] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [281167] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [281224] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [281281] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [281338] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [281395] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [281452] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [281509] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [281566] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [281623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [281680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [281737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [281794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [281851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [281908] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(5870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [281967] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [282024] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [282081] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [282138] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [282195] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [282252] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [282309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [282366] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(5878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [282425] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9320), 1,
      anon_sym_DOT,
    ACTIONS(9322), 1,
      anon_sym_POUND,
    ACTIONS(9324), 1,
      sym_hash_operator,
    STATE(5879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [282488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [282545] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [282602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [282659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [282716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [282773] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [282830] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [282887] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9320), 1,
      anon_sym_DOT,
    ACTIONS(9322), 1,
      anon_sym_POUND,
    ACTIONS(9324), 1,
      sym_hash_operator,
    STATE(5887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [282950] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [283007] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [283064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [283121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [283178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [283235] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [283292] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(5894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [283351] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [283408] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [283465] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [283522] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [283579] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [283636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [283693] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [283750] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [283807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [283864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [283921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [283978] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(5906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [284037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [284094] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [284151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [284208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [284265] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(5911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [284324] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [284381] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [284438] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [284495] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [284552] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [284609] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [284666] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [284723] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [284780] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [284837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [284894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [284951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285008] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285065] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285179] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285635] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285749] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9314), 1,
      anon_sym_DOT,
    STATE(5937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285808] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285922] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [285979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286321] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [287005] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [287062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [287119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [287176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [287233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [287290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [287347] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [287404] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [287461] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [287518] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [287575] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [287632] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [287689] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [287746] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [287803] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [287860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [287917] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [287974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [288031] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [288088] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [288145] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [288202] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [288259] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [288316] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [288373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [288430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [288487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [288544] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [288601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [288658] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [288715] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [288772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [288829] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [288886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [288943] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [289000] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [289057] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [289114] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9314), 1,
      anon_sym_DOT,
    ACTIONS(9316), 1,
      anon_sym_POUND,
    ACTIONS(9318), 1,
      sym_hash_operator,
    STATE(5996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [289177] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [289234] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [289291] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [289348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [289405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [289462] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(6002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [289521] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9326), 1,
      anon_sym_LT_DASH,
    STATE(6003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [289580] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [289637] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [289694] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9328), 1,
      anon_sym_LT_DASH,
    STATE(6006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [289753] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9330), 1,
      anon_sym_LT_DASH,
    STATE(6007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [289812] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_LT_DASH,
    STATE(6008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [289871] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9334), 1,
      anon_sym_LT_DASH,
    STATE(6009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [289930] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [289987] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [290044] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [290101] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [290158] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [290215] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [290272] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [290329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [290386] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [290443] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [290500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [290557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [290614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [290671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [290728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [290785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [290842] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [290899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [290956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [291013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [291070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [291127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [291184] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [291241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [291298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [291355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [291412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [291469] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9320), 1,
      anon_sym_DOT,
    STATE(6037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [291528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [291585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [291642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [291699] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [291756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [291813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [291870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [291927] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [291984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [292041] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [292098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [292155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [292212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [292269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [292326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [292383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [292440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [292497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [292554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [292611] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [292668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [292725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [292782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [292839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [292896] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(6062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [292955] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [293012] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [293069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [293126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [293183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [293240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [293297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [293354] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [293411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [293468] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [293525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [293582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [293639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [293696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [293753] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [293810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [293867] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [293924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [293981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [294038] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(6082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [294097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [294154] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [294211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [294268] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(6086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [294327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [294384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [294441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [294498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [294555] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [294612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [294669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [294726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [294783] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [294840] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [294897] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [294954] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9336), 1,
      anon_sym_LT_DASH,
    STATE(6098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [295013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [295070] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(6100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [295129] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9338), 1,
      anon_sym_LT_DASH,
    STATE(6101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [295188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [295245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [295302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [295359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [295416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [295473] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [295530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [295587] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [295644] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [295701] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [295758] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [295815] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [295872] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [295929] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [295986] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296043] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296100] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296157] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296214] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [296328] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5159), 1,
      anon_sym_DOT,
    ACTIONS(5161), 1,
      anon_sym_POUND,
    ACTIONS(5163), 1,
      sym_hash_operator,
    STATE(6122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296391] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296448] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296505] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296562] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296619] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296676] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296733] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9340), 1,
      anon_sym_COLON,
    STATE(6129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8382), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296792] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296849] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5159), 1,
      anon_sym_DOT,
    STATE(6131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296908] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [297022] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297078] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [297190] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297246] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297302] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297358] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9342), 1,
      anon_sym_COLON,
    STATE(6140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8382), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [297472] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297528] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297584] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297640] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297696] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297752] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297808] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297864] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297920] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297976] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(6151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298034] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5259), 1,
      anon_sym_DOT,
    ACTIONS(5261), 1,
      anon_sym_POUND,
    ACTIONS(5263), 1,
      sym_hash_operator,
    STATE(6152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298096] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298152] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298208] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298264] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298320] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298376] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298432] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298488] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298544] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298600] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298656] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298712] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [298824] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298880] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298936] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5259), 1,
      anon_sym_DOT,
    ACTIONS(5261), 1,
      anon_sym_POUND,
    ACTIONS(5263), 1,
      sym_hash_operator,
    STATE(6168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298998] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299054] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299110] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299166] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299222] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299278] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299334] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299390] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299446] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299502] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299558] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299614] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299670] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299726] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299782] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299838] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299894] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299950] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300006] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5189), 1,
      anon_sym_DOT,
    STATE(6187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300064] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300120] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300176] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300232] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300288] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300344] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300400] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300456] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300512] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300568] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300624] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300680] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300736] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300792] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300848] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300904] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300960] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301016] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9344), 1,
      anon_sym_LT_DASH,
    STATE(6205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301074] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301130] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301186] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301242] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301298] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301354] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301410] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(6212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301468] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301524] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301580] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301636] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301692] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301748] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301804] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301860] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301916] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301972] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302028] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302084] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302140] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302196] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302252] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302308] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302364] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302420] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302476] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5269), 1,
      anon_sym_DOT,
    STATE(6231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302534] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302590] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302646] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302702] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302758] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302814] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302870] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302926] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302982] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303038] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303094] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303150] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303206] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303262] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303318] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303374] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303430] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303486] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303542] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303598] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303654] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303710] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303766] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303822] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [303934] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303990] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [304046] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [304102] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [304158] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [304214] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [304270] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [304326] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [304382] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [304438] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [304494] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [304550] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [304606] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [304662] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [304718] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [304774] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [304830] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [304886] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [304942] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [304998] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305054] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305110] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305166] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305222] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5169), 1,
      anon_sym_DOT,
    STATE(6280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305280] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305336] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305392] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305448] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305504] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305560] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305616] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305672] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305728] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305784] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305840] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305896] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305952] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306008] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306064] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306120] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306176] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306232] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306288] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306344] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306400] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [306512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [306568] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306624] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306680] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306736] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306792] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306848] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306904] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306960] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(6311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307018] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307074] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [307186] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307242] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307298] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(6317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307356] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307412] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_LT_DASH,
    STATE(6319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307470] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9348), 1,
      anon_sym_LT_DASH,
    STATE(6320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307528] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9350), 1,
      anon_sym_LT_DASH,
    STATE(6321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307586] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9352), 1,
      anon_sym_LT_DASH,
    STATE(6322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307644] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307700] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307756] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307812] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307868] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307924] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307980] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308036] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308092] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5189), 1,
      anon_sym_DOT,
    ACTIONS(5191), 1,
      anon_sym_POUND,
    ACTIONS(5193), 1,
      sym_hash_operator,
    STATE(6331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308154] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308210] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308266] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308322] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308378] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308434] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308490] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308546] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308602] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308658] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308714] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5179), 1,
      anon_sym_DOT,
    STATE(6342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308772] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308828] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308884] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(6345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308942] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308998] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309054] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309110] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309166] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309222] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309278] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309334] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309390] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309446] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309502] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309558] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309614] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309670] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309726] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309782] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309838] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309894] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309950] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310006] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310062] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310118] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5189), 1,
      anon_sym_DOT,
    ACTIONS(5191), 1,
      anon_sym_POUND,
    ACTIONS(5193), 1,
      sym_hash_operator,
    STATE(6367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310180] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(6368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310238] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310294] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310350] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310406] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310462] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310518] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310574] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310630] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310686] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9354), 1,
      anon_sym_LT_DASH,
    STATE(6377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310744] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310800] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310856] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310912] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310968] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311024] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311080] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311136] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311192] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5269), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_POUND,
    ACTIONS(5273), 1,
      sym_hash_operator,
    STATE(6386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311254] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311310] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311366] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311422] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311478] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311534] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311590] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311646] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311702] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5269), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_POUND,
    ACTIONS(5273), 1,
      sym_hash_operator,
    STATE(6395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311764] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(6396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311822] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311878] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(9356), 1,
      sym__identifier,
    ACTIONS(9358), 1,
      anon_sym_LPAREN,
    ACTIONS(9360), 1,
      anon_sym_private,
    ACTIONS(9362), 1,
      anon_sym_DOT_DOT,
    ACTIONS(9364), 1,
      anon_sym_PIPE,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      sym__capitalized_identifier,
    ACTIONS(9386), 1,
      aux_sym_type_variable_token1,
    STATE(6398), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(9160), 1,
      sym__simple_type,
    STATE(10358), 1,
      sym__constructor_name,
    STATE(10518), 1,
      sym__tuple_type,
    STATE(10675), 1,
      sym__type,
    STATE(11097), 1,
      sym_constructor_declaration,
    STATE(17138), 1,
      sym_extended_module_path,
    STATE(19297), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10567), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9411), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [311986] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312042] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312098] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312154] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312210] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312266] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312322] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312378] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312434] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9388), 1,
      anon_sym_LT_DASH,
    STATE(6407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312492] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312548] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312604] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312660] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312716] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312772] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312828] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312884] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312940] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5169), 1,
      anon_sym_DOT,
    ACTIONS(5171), 1,
      anon_sym_POUND,
    ACTIONS(5173), 1,
      sym_hash_operator,
    STATE(6416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313002] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313058] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313114] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313170] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313226] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313282] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313338] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313394] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313450] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313506] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313562] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313618] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313674] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313730] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313786] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8500), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313898] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9384), 1,
      sym__capitalized_identifier,
    ACTIONS(9390), 1,
      sym__identifier,
    ACTIONS(9392), 1,
      anon_sym_LPAREN,
    ACTIONS(9394), 1,
      anon_sym_private,
    ACTIONS(9396), 1,
      anon_sym_DOT_DOT,
    ACTIONS(9398), 1,
      anon_sym_PIPE,
    ACTIONS(9400), 1,
      anon_sym_LBRACK,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    STATE(6433), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(9357), 1,
      sym__simple_type,
    STATE(10666), 1,
      sym__constructor_name,
    STATE(10832), 1,
      sym__tuple_type,
    STATE(11003), 1,
      sym__type,
    STATE(11261), 1,
      sym_constructor_declaration,
    STATE(17308), 1,
      sym_extended_module_path,
    STATE(19926), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10859), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9835), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [314006] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314062] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314118] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314174] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314230] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314286] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314342] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9418), 1,
      anon_sym_LT_DASH,
    STATE(6440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314400] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314456] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314512] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(6443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314570] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314626] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314682] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314738] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314794] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314850] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(6449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314908] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314964] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(9356), 1,
      sym__identifier,
    ACTIONS(9358), 1,
      anon_sym_LPAREN,
    ACTIONS(9364), 1,
      anon_sym_PIPE,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      sym__capitalized_identifier,
    ACTIONS(9386), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9420), 1,
      anon_sym_private,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT,
    STATE(6451), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(9160), 1,
      sym__simple_type,
    STATE(10358), 1,
      sym__constructor_name,
    STATE(10518), 1,
      sym__tuple_type,
    STATE(10675), 1,
      sym__type,
    STATE(11097), 1,
      sym_constructor_declaration,
    STATE(17138), 1,
      sym_extended_module_path,
    STATE(19297), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10574), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9411), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [315072] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5169), 1,
      anon_sym_DOT,
    ACTIONS(5171), 1,
      anon_sym_POUND,
    ACTIONS(5173), 1,
      sym_hash_operator,
    STATE(6452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [315134] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [315190] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [315246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [315302] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [315358] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [315414] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9384), 1,
      sym__capitalized_identifier,
    ACTIONS(9424), 1,
      sym__identifier,
    ACTIONS(9426), 1,
      anon_sym_LPAREN,
    ACTIONS(9428), 1,
      anon_sym_private,
    ACTIONS(9430), 1,
      anon_sym_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_PIPE,
    ACTIONS(9434), 1,
      anon_sym_LBRACK,
    ACTIONS(9438), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9440), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9442), 1,
      anon_sym_LT,
    ACTIONS(9444), 1,
      anon_sym_POUND,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9450), 1,
      aux_sym_type_variable_token1,
    STATE(6458), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(9037), 1,
      sym__simple_type,
    STATE(10333), 1,
      sym__constructor_name,
    STATE(10486), 1,
      sym__tuple_type,
    STATE(10858), 1,
      sym__type,
    STATE(11082), 1,
      sym_constructor_declaration,
    STATE(17261), 1,
      sym_extended_module_path,
    STATE(19806), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9436), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10544), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9434), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [315522] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [315578] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [315634] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [315690] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [315746] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [315802] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [315858] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [315914] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [315970] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316026] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316082] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316138] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316194] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316250] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316306] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316362] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316418] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316474] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316530] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316586] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316642] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5179), 1,
      anon_sym_DOT,
    ACTIONS(5181), 1,
      anon_sym_POUND,
    ACTIONS(5183), 1,
      sym_hash_operator,
    STATE(6479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316704] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316760] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316816] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316872] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316928] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316984] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317040] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317096] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317152] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9384), 1,
      sym__capitalized_identifier,
    ACTIONS(9424), 1,
      sym__identifier,
    ACTIONS(9426), 1,
      anon_sym_LPAREN,
    ACTIONS(9432), 1,
      anon_sym_PIPE,
    ACTIONS(9434), 1,
      anon_sym_LBRACK,
    ACTIONS(9438), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9440), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9442), 1,
      anon_sym_LT,
    ACTIONS(9444), 1,
      anon_sym_POUND,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9450), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9452), 1,
      anon_sym_private,
    ACTIONS(9454), 1,
      anon_sym_DOT_DOT,
    STATE(6488), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(9037), 1,
      sym__simple_type,
    STATE(10333), 1,
      sym__constructor_name,
    STATE(10486), 1,
      sym__tuple_type,
    STATE(10858), 1,
      sym__type,
    STATE(11082), 1,
      sym_constructor_declaration,
    STATE(17261), 1,
      sym_extended_module_path,
    STATE(19806), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9436), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10553), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9434), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [317260] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317316] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317372] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5179), 1,
      anon_sym_DOT,
    ACTIONS(5181), 1,
      anon_sym_POUND,
    ACTIONS(5183), 1,
      sym_hash_operator,
    STATE(6491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317434] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317490] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317546] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317602] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317658] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317714] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317770] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317826] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317882] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(6500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317940] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317996] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318052] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318108] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318164] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318220] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318276] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318332] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318388] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318444] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318500] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(6511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318558] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318614] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318670] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318726] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318782] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318838] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318894] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(6518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318952] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319008] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319064] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319120] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319176] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319232] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319288] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(6525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319346] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319402] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319458] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319514] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319570] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319626] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319682] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(6532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319740] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319796] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319852] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319908] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319964] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7829), 1,
      anon_sym_LT_DASH,
    STATE(6537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320022] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5259), 1,
      anon_sym_DOT,
    STATE(6538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320080] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(6539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320138] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320194] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320250] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320306] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320362] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320418] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320474] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320530] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320586] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320642] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9456), 1,
      anon_sym_LT_DASH,
    STATE(6549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320700] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320756] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320812] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320868] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320924] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320980] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321036] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321092] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321148] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9384), 1,
      sym__capitalized_identifier,
    ACTIONS(9458), 1,
      sym__identifier,
    ACTIONS(9460), 1,
      anon_sym_LPAREN,
    ACTIONS(9462), 1,
      anon_sym_private,
    ACTIONS(9464), 1,
      anon_sym_DOT_DOT,
    ACTIONS(9466), 1,
      anon_sym_PIPE,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9476), 1,
      anon_sym_LT,
    ACTIONS(9478), 1,
      anon_sym_POUND,
    ACTIONS(9480), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9482), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9484), 1,
      aux_sym_type_variable_token1,
    STATE(6558), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(9775), 1,
      sym__simple_type,
    STATE(10896), 1,
      sym__tuple_type,
    STATE(10926), 1,
      sym__constructor_name,
    STATE(11477), 1,
      sym__type,
    STATE(11844), 1,
      sym_constructor_declaration,
    STATE(17356), 1,
      sym_extended_module_path,
    STATE(19145), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9470), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10895), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9938), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [321256] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9384), 1,
      sym__capitalized_identifier,
    ACTIONS(9390), 1,
      sym__identifier,
    ACTIONS(9392), 1,
      anon_sym_LPAREN,
    ACTIONS(9398), 1,
      anon_sym_PIPE,
    ACTIONS(9400), 1,
      anon_sym_LBRACK,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9486), 1,
      anon_sym_private,
    ACTIONS(9488), 1,
      anon_sym_DOT_DOT,
    STATE(6559), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(9357), 1,
      sym__simple_type,
    STATE(10666), 1,
      sym__constructor_name,
    STATE(10832), 1,
      sym__tuple_type,
    STATE(11003), 1,
      sym__type,
    STATE(11261), 1,
      sym_constructor_declaration,
    STATE(17308), 1,
      sym_extended_module_path,
    STATE(19926), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10803), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9835), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [321364] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(6560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321422] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321478] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9490), 1,
      anon_sym_LT_DASH,
    STATE(6562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7913), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [321536] = 31,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9384), 1,
      sym__capitalized_identifier,
    ACTIONS(9458), 1,
      sym__identifier,
    ACTIONS(9460), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_PIPE,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9476), 1,
      anon_sym_LT,
    ACTIONS(9478), 1,
      anon_sym_POUND,
    ACTIONS(9480), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9482), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9484), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9492), 1,
      anon_sym_private,
    ACTIONS(9494), 1,
      anon_sym_DOT_DOT,
    STATE(6563), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(9775), 1,
      sym__simple_type,
    STATE(10896), 1,
      sym__tuple_type,
    STATE(10926), 1,
      sym__constructor_name,
    STATE(11477), 1,
      sym__type,
    STATE(11844), 1,
      sym_constructor_declaration,
    STATE(17356), 1,
      sym_extended_module_path,
    STATE(19145), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9470), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10907), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9938), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [321644] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321700] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321756] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [321868] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321924] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321980] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322036] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322092] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322148] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322204] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322260] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322316] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322372] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322428] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322484] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322540] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322596] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322652] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322708] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322764] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322820] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5279), 1,
      anon_sym_DOT,
    ACTIONS(5281), 1,
      anon_sym_POUND,
    ACTIONS(5283), 1,
      sym_hash_operator,
    STATE(6585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322882] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322938] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322994] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323050] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323106] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323162] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323218] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323274] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323330] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323386] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5279), 1,
      anon_sym_DOT,
    STATE(6595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323444] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323500] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323556] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323612] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323668] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323724] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323780] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323836] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323892] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323948] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324004] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324060] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324116] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324172] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324228] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324284] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5279), 1,
      anon_sym_DOT,
    ACTIONS(5281), 1,
      anon_sym_POUND,
    ACTIONS(5283), 1,
      sym_hash_operator,
    STATE(6611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324346] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324402] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324458] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324514] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324570] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324626] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324682] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324738] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324794] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [324906] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324962] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325018] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325074] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325130] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325186] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325242] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325298] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325354] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325410] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [325522] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325578] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325634] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325746] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325802] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [325858] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325914] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325970] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [326026] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [326082] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [326138] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [326194] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [326250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [326306] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [326362] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [326418] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [326474] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [326529] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [326584] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [326639] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [326694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [326749] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [326804] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [326859] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [326914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [326969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [327024] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [327079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [327134] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [327189] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [327244] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [327299] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [327354] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [327409] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(6667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [327466] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [327521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [327576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [327631] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [327686] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [327741] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [327796] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [327851] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [327906] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [327961] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [328016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [328071] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [328126] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [328181] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9496), 1,
      anon_sym_LT_DASH,
    STATE(6681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [328238] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(6682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [328295] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [328350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [328405] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [328460] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [328515] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [328570] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [328625] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [328680] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [328735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [328790] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [328845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [328900] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(6694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [328957] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329012] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329067] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9384), 1,
      sym__capitalized_identifier,
    ACTIONS(9390), 1,
      sym__identifier,
    ACTIONS(9392), 1,
      anon_sym_LPAREN,
    ACTIONS(9398), 1,
      anon_sym_PIPE,
    ACTIONS(9400), 1,
      anon_sym_LBRACK,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9498), 1,
      anon_sym_DOT_DOT,
    STATE(6697), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(9357), 1,
      sym__simple_type,
    STATE(10666), 1,
      sym__constructor_name,
    STATE(10832), 1,
      sym__tuple_type,
    STATE(10957), 1,
      sym__type,
    STATE(11261), 1,
      sym_constructor_declaration,
    STATE(17308), 1,
      sym_extended_module_path,
    STATE(19926), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10721), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9835), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [329172] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329227] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329282] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [329392] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329447] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329502] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [329557] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    STATE(6705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329614] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329669] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329724] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [329834] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329889] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [329999] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330054] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330109] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330164] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_POUND,
    ACTIONS(5381), 1,
      sym_hash_operator,
    STATE(6716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330225] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [330335] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [330445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [330500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [330555] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [330665] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5411), 1,
      anon_sym_DOT,
    STATE(6725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330722] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330777] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330832] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330887] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330942] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330997] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [331107] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331162] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331217] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [331327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [331382] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(6738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331439] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [331549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8500), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331604] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331659] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331714] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331769] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5557), 1,
      anon_sym_DOT,
    ACTIONS(5559), 1,
      anon_sym_POUND,
    ACTIONS(5561), 1,
      sym_hash_operator,
    STATE(6745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331830] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [331940] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331995] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332050] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332105] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332160] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332215] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [332270] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [332380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [332435] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [332545] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [332655] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5557), 1,
      anon_sym_DOT,
    ACTIONS(5559), 1,
      anon_sym_POUND,
    ACTIONS(5561), 1,
      sym_hash_operator,
    STATE(6761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [332771] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332826] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332881] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332936] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332991] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333046] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333101] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333156] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333211] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333266] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333321] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5411), 1,
      anon_sym_DOT,
    ACTIONS(5413), 1,
      anon_sym_POUND,
    ACTIONS(5415), 1,
      sym_hash_operator,
    STATE(6773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333382] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333437] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333492] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333547] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333602] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [333712] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333767] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [333877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [333932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [333987] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5557), 1,
      anon_sym_DOT,
    STATE(6785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [334099] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334154] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334209] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334264] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(9356), 1,
      sym__identifier,
    ACTIONS(9358), 1,
      anon_sym_LPAREN,
    ACTIONS(9364), 1,
      anon_sym_PIPE,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      sym__capitalized_identifier,
    ACTIONS(9386), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9500), 1,
      anon_sym_DOT_DOT,
    STATE(6790), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(9160), 1,
      sym__simple_type,
    STATE(10358), 1,
      sym__constructor_name,
    STATE(10518), 1,
      sym__tuple_type,
    STATE(10768), 1,
      sym__type,
    STATE(11097), 1,
      sym_constructor_declaration,
    STATE(17138), 1,
      sym_extended_module_path,
    STATE(19297), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10572), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9411), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [334369] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334424] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9502), 1,
      anon_sym_COLON,
    STATE(6792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8382), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [334481] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334536] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334591] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334646] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334701] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334756] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334811] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334866] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334921] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334976] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [335086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [335141] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335196] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335251] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335306] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335361] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [335471] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [335581] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335636] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [335746] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335801] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [335856] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335911] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335966] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336021] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(6821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [336078] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336133] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336188] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336243] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5567), 1,
      anon_sym_DOT,
    STATE(6825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336300] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336355] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336410] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [336520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [336575] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [336685] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336740] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(6834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336797] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336852] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336907] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336962] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337017] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337072] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [337182] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(6842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [337294] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(6844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [337351] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337406] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337461] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337516] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337571] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337626] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [337736] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337791] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337846] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [337956] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [338011] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [338066] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [338121] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [338176] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [338231] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(9356), 1,
      sym__identifier,
    ACTIONS(9358), 1,
      anon_sym_LPAREN,
    ACTIONS(9364), 1,
      anon_sym_PIPE,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      sym__capitalized_identifier,
    ACTIONS(9386), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9504), 1,
      anon_sym_DOT_DOT,
    STATE(6861), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(9160), 1,
      sym__simple_type,
    STATE(10358), 1,
      sym__constructor_name,
    STATE(10518), 1,
      sym__tuple_type,
    STATE(10768), 1,
      sym__type,
    STATE(11097), 1,
      sym_constructor_declaration,
    STATE(17138), 1,
      sym_extended_module_path,
    STATE(19297), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10578), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9411), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [338336] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(6862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [338393] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [338448] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [338503] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [338558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [338613] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [338668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [338723] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [338778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [338833] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [338888] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [338943] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [338998] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [339053] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [339108] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [339163] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [339218] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [339273] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [339328] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    ACTIONS(5379), 1,
      anon_sym_POUND,
    ACTIONS(5381), 1,
      sym_hash_operator,
    STATE(6880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [339389] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9506), 1,
      anon_sym_DOT,
    STATE(6881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [339446] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [339501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [339556] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [339611] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [339666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [339721] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [339776] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [339831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [339886] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5567), 1,
      anon_sym_DOT,
    ACTIONS(5569), 1,
      anon_sym_POUND,
    ACTIONS(5571), 1,
      sym_hash_operator,
    STATE(6890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [339947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [340002] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9508), 1,
      anon_sym_COLON,
    STATE(6892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8382), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [340059] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [340114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [340169] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [340224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [340279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7825), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7827), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [340334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [340389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [340444] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [340499] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [340554] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [340609] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [340664] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [340719] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [340774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [340829] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [340884] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [340939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [340994] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [341049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [341104] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(6912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [341161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [341216] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [341271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [341326] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(6916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8254), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [341383] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [341438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [341493] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [341548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [341603] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [341658] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [341713] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [341768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [341823] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [341878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [341933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [341988] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [342043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [342098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [342153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [342208] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(6932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [342265] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [342320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [342375] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [342430] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [342485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [342540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [342595] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9510), 1,
      anon_sym_DOT,
    STATE(6939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [342652] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [342707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [342762] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [342817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [342872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [342927] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [342982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [343037] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [343092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [343147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [343202] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [343257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [343312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [343367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [343422] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [343477] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [343532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [343587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8284), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8286), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [343642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [343697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [343752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [343807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [343862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [343917] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [343972] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [344027] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [344082] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [344137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [344192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [344247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [344302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [344357] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [344412] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [344467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [344522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [344577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [344632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [344687] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [344742] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [344797] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [344852] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [344907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [344962] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [345017] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [345072] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [345127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [345182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [345237] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [345292] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [345347] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [345402] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [345457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [345512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [345567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [345622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [345677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [345732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [345787] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [345842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [345897] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9512), 1,
      anon_sym_LT_DASH,
    STATE(6999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [345954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [346009] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [346064] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(7002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8254), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [346121] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9384), 1,
      sym__capitalized_identifier,
    ACTIONS(9424), 1,
      sym__identifier,
    ACTIONS(9426), 1,
      anon_sym_LPAREN,
    ACTIONS(9432), 1,
      anon_sym_PIPE,
    ACTIONS(9434), 1,
      anon_sym_LBRACK,
    ACTIONS(9438), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9440), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9442), 1,
      anon_sym_LT,
    ACTIONS(9444), 1,
      anon_sym_POUND,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9450), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9514), 1,
      anon_sym_DOT_DOT,
    STATE(7003), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(9037), 1,
      sym__simple_type,
    STATE(10333), 1,
      sym__constructor_name,
    STATE(10486), 1,
      sym__tuple_type,
    STATE(10703), 1,
      sym__type,
    STATE(11082), 1,
      sym_constructor_declaration,
    STATE(17261), 1,
      sym_extended_module_path,
    STATE(19806), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9436), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10551), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9434), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [346226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [346281] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [346336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [346391] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(7007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [346448] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [346503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [346558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [346613] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [346668] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9516), 1,
      anon_sym_LT_DASH,
    STATE(7012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [346725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [346780] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [346835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [346890] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [346945] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [347000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [347055] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9518), 1,
      anon_sym_DOT,
    STATE(7019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [347112] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [347167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [347222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [347277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [347332] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [347387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [347442] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [347497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [347552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [347607] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [347662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [347717] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [347772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [347827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [347882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [347937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [347992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [348047] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [348102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [348157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [348212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [348267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [348322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [348377] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [348432] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [348487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8264), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [348542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [348597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [348652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [348707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [348762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [348817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [348872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [348927] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [348982] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [349037] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [349092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [349147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [349202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [349257] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [349312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [349367] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [349422] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [349477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [349532] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [349587] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [349642] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [349697] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [349752] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [349807] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [349862] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [349917] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [349972] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [350027] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [350082] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [350137] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [350192] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5567), 1,
      anon_sym_DOT,
    ACTIONS(5569), 1,
      anon_sym_POUND,
    ACTIONS(5571), 1,
      sym_hash_operator,
    STATE(7076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [350253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [350308] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [350363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [350418] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9384), 1,
      sym__capitalized_identifier,
    ACTIONS(9390), 1,
      sym__identifier,
    ACTIONS(9392), 1,
      anon_sym_LPAREN,
    ACTIONS(9398), 1,
      anon_sym_PIPE,
    ACTIONS(9400), 1,
      anon_sym_LBRACK,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9520), 1,
      anon_sym_DOT_DOT,
    STATE(7080), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(9357), 1,
      sym__simple_type,
    STATE(10666), 1,
      sym__constructor_name,
    STATE(10832), 1,
      sym__tuple_type,
    STATE(10957), 1,
      sym__type,
    STATE(11261), 1,
      sym_constructor_declaration,
    STATE(17308), 1,
      sym_extended_module_path,
    STATE(19926), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10738), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9835), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [350523] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [350578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [350633] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [350688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [350743] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [350798] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [350853] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9518), 1,
      anon_sym_DOT,
    ACTIONS(9522), 1,
      anon_sym_POUND,
    ACTIONS(9524), 1,
      sym_hash_operator,
    STATE(7087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [350914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [350969] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [351024] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [351079] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [351134] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [351189] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [351244] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [351299] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [351354] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [351409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8216), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [351464] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [351519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [351574] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9384), 1,
      sym__capitalized_identifier,
    ACTIONS(9458), 1,
      sym__identifier,
    ACTIONS(9460), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_PIPE,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9476), 1,
      anon_sym_LT,
    ACTIONS(9478), 1,
      anon_sym_POUND,
    ACTIONS(9480), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9482), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9484), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9526), 1,
      anon_sym_DOT_DOT,
    STATE(7100), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(9775), 1,
      sym__simple_type,
    STATE(10896), 1,
      sym__tuple_type,
    STATE(10926), 1,
      sym__constructor_name,
    STATE(11495), 1,
      sym__type,
    STATE(11844), 1,
      sym_constructor_declaration,
    STATE(17356), 1,
      sym_extended_module_path,
    STATE(19145), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9470), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10905), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9938), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [351679] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [351734] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [351789] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [351844] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [351899] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9506), 1,
      anon_sym_DOT,
    ACTIONS(9528), 1,
      anon_sym_POUND,
    ACTIONS(9530), 1,
      sym_hash_operator,
    STATE(7105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [351960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [352015] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352070] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352125] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352180] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(7110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352237] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [352347] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352402] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352457] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9384), 1,
      sym__capitalized_identifier,
    ACTIONS(9458), 1,
      sym__identifier,
    ACTIONS(9460), 1,
      anon_sym_LPAREN,
    ACTIONS(9466), 1,
      anon_sym_PIPE,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9476), 1,
      anon_sym_LT,
    ACTIONS(9478), 1,
      anon_sym_POUND,
    ACTIONS(9480), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9482), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9484), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9532), 1,
      anon_sym_DOT_DOT,
    STATE(7115), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(9775), 1,
      sym__simple_type,
    STATE(10896), 1,
      sym__tuple_type,
    STATE(10926), 1,
      sym__constructor_name,
    STATE(11495), 1,
      sym__type,
    STATE(11844), 1,
      sym_constructor_declaration,
    STATE(17356), 1,
      sym_extended_module_path,
    STATE(19145), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9470), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10913), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9938), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [352562] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352617] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352672] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352727] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352782] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [352892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [352947] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [353002] = 30,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9384), 1,
      sym__capitalized_identifier,
    ACTIONS(9424), 1,
      sym__identifier,
    ACTIONS(9426), 1,
      anon_sym_LPAREN,
    ACTIONS(9432), 1,
      anon_sym_PIPE,
    ACTIONS(9434), 1,
      anon_sym_LBRACK,
    ACTIONS(9438), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9440), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9442), 1,
      anon_sym_LT,
    ACTIONS(9444), 1,
      anon_sym_POUND,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9450), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9534), 1,
      anon_sym_DOT_DOT,
    STATE(7124), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(9037), 1,
      sym__simple_type,
    STATE(10333), 1,
      sym__constructor_name,
    STATE(10486), 1,
      sym__tuple_type,
    STATE(10703), 1,
      sym__type,
    STATE(11082), 1,
      sym_constructor_declaration,
    STATE(17261), 1,
      sym_extended_module_path,
    STATE(19806), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9436), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10557), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9434), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [353107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [353162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [353217] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [353272] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [353327] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [353382] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [353437] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [353492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [353547] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [353602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [353657] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [353712] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [353767] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [353822] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [353877] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9536), 1,
      anon_sym_COLON,
    STATE(7139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8382), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [353934] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [353989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [354044] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [354099] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [354154] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [354209] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [354264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [354319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [354374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [354429] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [354484] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [354539] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5377), 1,
      anon_sym_DOT,
    STATE(7151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [354596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [354651] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [354706] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [354761] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [354816] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [354871] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [354926] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [354981] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(7159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [355038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [355093] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [355148] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [355203] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [355258] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [355313] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [355368] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [355423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [355478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [355533] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [355588] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [355643] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [355698] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [355753] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [355808] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [355863] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [355918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [355973] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [356028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [356083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [356138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [356193] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [356248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [356303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [356358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [356413] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [356468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [356523] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9510), 1,
      anon_sym_DOT,
    ACTIONS(9538), 1,
      anon_sym_POUND,
    ACTIONS(9540), 1,
      sym_hash_operator,
    STATE(7187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [356584] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [356639] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [356694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [356749] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [356804] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [356859] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [356914] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9518), 1,
      anon_sym_DOT,
    ACTIONS(9522), 1,
      anon_sym_POUND,
    ACTIONS(9524), 1,
      sym_hash_operator,
    STATE(7194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [356975] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357030] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357085] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5411), 1,
      anon_sym_DOT,
    ACTIONS(5413), 1,
      anon_sym_POUND,
    ACTIONS(5415), 1,
      sym_hash_operator,
    STATE(7197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357146] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357201] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5349), 1,
      anon_sym_POUND,
    ACTIONS(5351), 1,
      sym_hash_operator,
    STATE(7199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357262] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357317] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357372] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357427] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357482] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357537] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(7205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357594] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357649] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357704] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357759] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [357869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [357924] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357979] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [358034] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [358089] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9510), 1,
      anon_sym_DOT,
    ACTIONS(9538), 1,
      anon_sym_POUND,
    ACTIONS(9540), 1,
      sym_hash_operator,
    STATE(7215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [358150] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [358205] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [358260] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [358315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [358370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [358425] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [358480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [358535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [358590] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [358645] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [358700] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [358755] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [358810] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [358865] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [358920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [358975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [359030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [359085] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [359140] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_LT_DASH,
    STATE(7234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [359197] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [359252] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [359307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [359362] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [359417] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [359472] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [359527] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [359582] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [359637] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [359692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8242), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_tag_token1,
  [359747] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [359802] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9506), 1,
      anon_sym_DOT,
    ACTIONS(9528), 1,
      anon_sym_POUND,
    ACTIONS(9530), 1,
      sym_hash_operator,
    STATE(7246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [359863] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [359918] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [359973] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [360028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [360083] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(7251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [360140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [360195] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [360250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [360305] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [360360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [360415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [360470] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [360525] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5347), 1,
      anon_sym_DOT,
    ACTIONS(5349), 1,
      anon_sym_POUND,
    ACTIONS(5351), 1,
      sym_hash_operator,
    STATE(7259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [360586] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [360641] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [360696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [360751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [360806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8180), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [360860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7891), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7893), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [360914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9544), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [360968] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9552), 1,
      anon_sym_COLON,
    STATE(7267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9550), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9548), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [361024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8056), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [361078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8500), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [361132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8060), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [361186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8064), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [361240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8272), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [361294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7885), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7887), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [361348] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_COLON,
    STATE(7274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9550), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9548), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [361404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8298), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [361458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8188), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [361512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8178), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [361566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7897), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [361620] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9556), 1,
      anon_sym_COLON,
    STATE(7279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8382), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [361676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8068), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [361730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8072), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [361784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8076), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [361838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7831), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7833), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [361892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8080), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [361946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8088), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [362000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8176), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [362054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8186), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [362108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7825), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7827), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [362162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8302), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [362216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8306), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [362270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8186), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [362324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8216), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [362378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8184), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [362432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8246), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [362486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8250), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [362540] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9558), 1,
      anon_sym_COLON,
    STATE(7296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8382), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [362596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7901), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7903), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [362650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8190), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [362704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8260), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [362758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8268), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [362812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8092), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [362866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9544), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [362920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8198), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [362974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8096), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [363028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8288), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8290), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [363082] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8100), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [363136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8168), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [363190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8202), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [363244] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8206), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [363298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8210), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [363352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8104), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [363406] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(7312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [363462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8192), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [363516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8108), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [363570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8276), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [363624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8172), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [363678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8112), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [363732] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(7318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [363788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7913), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [363842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8116), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [363896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8280), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [363950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8294), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [364004] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9560), 1,
      anon_sym_COLON,
    STATE(7323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8382), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [364060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8030), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8032), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [364114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8194), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8196), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [364168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8036), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [364222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9564), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9562), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [364276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8040), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [364330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8310), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [364384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8044), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [364438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8190), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [364492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8048), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [364546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8120), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [364600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8296), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [364654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8056), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [364708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9568), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9566), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [364762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9572), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9570), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [364816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9564), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9562), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [364870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8060), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [364924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8064), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [364978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8194), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [365032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8068), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [365086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8072), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [365140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8076), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [365194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8124), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [365248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8128), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [365302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8132), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [365356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7831), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7833), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [365410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9576), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9574), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [365464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8080), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [365518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8222), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [365572] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9578), 1,
      anon_sym_DOT,
    STATE(7352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8084), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [365628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8136), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [365682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8088), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [365736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8198), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8200), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [365790] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8300), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [365844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8304), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [365898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8198), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [365952] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(7359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8254), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [366008] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8176), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [366062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8226), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [366116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8230), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [366170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8234), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [366224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8212), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [366278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8242), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [366332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8140), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [366386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8144), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [366440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7867), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7869), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [366494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7875), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7877), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [366548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7879), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7881), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [366602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8092), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [366656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8152), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [366710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8096), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [366764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8100), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [366818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8104), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [366872] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(7376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8254), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [366928] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8108), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [366982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8264), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [367036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8112), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [367090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8116), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [367144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8120), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [367198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8308), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [367252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8202), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [367306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8124), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [367360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8128), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [367414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8132), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [367468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8136), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [367522] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(7388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8254), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [367578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8284), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8286), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [367632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7871), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7873), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [367686] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8500), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [367740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8206), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [367794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8140), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [367848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8144), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [367902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8296), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [367956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7867), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7869), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [368010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8210), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [368064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7875), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7877), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [368118] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_COLON,
    STATE(7399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8382), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [368174] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(7400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8254), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [368230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8300), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [368284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8304), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [368338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8308), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [368392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7879), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7881), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [368446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8050), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [368500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8184), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [368554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7913), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [368608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8272), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [368662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9568), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9566), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [368716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8152), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [368770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9572), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9570), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [368824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8182), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [368878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8188), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [368932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8172), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [368986] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [369040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8156), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [369094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8156), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [369148] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9582), 1,
      anon_sym_COLON,
    STATE(7418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8382), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [369204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8030), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8032), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [369258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8160), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [369312] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8500), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [369366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8180), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [369420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8036), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [369474] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8040), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [369528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8192), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [369582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8160), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [369636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8194), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [369690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8044), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [369744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8194), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8196), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [369798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8048), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [369852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8198), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8200), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [369906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8164), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [369960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8050), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [370014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8164), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [370068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8204), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [370122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7885), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7887), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [370176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7897), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [370230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7901), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7903), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [370284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9576), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9574), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [370338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8204), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [370392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8178), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [370446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8168), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [370500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8208), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [370554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8208), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [370608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8212), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [370662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8182), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [370716] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9584), 1,
      anon_sym_COLON,
    STATE(7447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8382), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [370772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8238), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [370826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8272), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [370879] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9586), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9588), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [370932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8310), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [370985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8310), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [371038] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9590), 1,
      anon_sym_COLON,
    STATE(7453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8382), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [371093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8198), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8200), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [371146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9594), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9592), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [371199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8222), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [371252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8204), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [371305] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9596), 1,
      anon_sym_COLON,
    STATE(7458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8382), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [371360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9252), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [371413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [371466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9598), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9600), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [371519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9604), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [371572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9606), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9608), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [371625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9610), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9612), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [371678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9158), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [371731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9614), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9616), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [371784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7891), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7893), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [371837] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9622), 1,
      anon_sym_DOT,
    ACTIONS(9624), 1,
      anon_sym_POUND,
    ACTIONS(9626), 1,
      sym_hash_operator,
    STATE(7468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9620), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9618), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [371896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9564), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9562), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [371949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [372002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8188), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [372055] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8500), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [372108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [372161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9628), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [372214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9632), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9634), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [372267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9636), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9638), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [372320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9640), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9642), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [372373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9644), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9646), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [372426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9650), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9648), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [372479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [372532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9604), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9602), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [372585] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8500), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [372638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9654), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9652), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [372691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9658), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9656), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [372744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [372797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8208), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [372850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9608), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9606), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [372903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9660), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9662), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [372956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [373009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9548), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9550), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [373062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7379), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7383), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [373115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8212), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [373168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9102), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [373221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9576), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9574), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [373274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [373327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9628), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9630), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [373380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9650), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [373433] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8500), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [373486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9656), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9658), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [373539] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [373592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9152), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [373645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9174), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [373698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9178), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [373751] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9668), 1,
      anon_sym_DOT,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(9672), 1,
      sym_hash_operator,
    STATE(7504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9666), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9664), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [373810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [373863] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8246), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [373916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8302), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [373969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8250), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [374022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9674), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9676), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [374075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9110), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [374128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7871), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7873), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [374181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9162), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [374234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8306), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [374287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [374340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8260), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [374393] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9668), 1,
      anon_sym_DOT,
    STATE(7516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8084), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [374448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8264), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [374501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8276), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [374554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8268), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [374607] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9668), 1,
      anon_sym_DOT,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(9672), 1,
      sym_hash_operator,
    STATE(7520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9680), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9678), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [374666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8288), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8290), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [374719] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9652), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9654), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [374772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9682), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9684), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [374825] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8280), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [374878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8294), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [374931] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [374984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8226), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [375037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9550), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9548), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [375090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7379), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7383), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [375143] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9668), 1,
      anon_sym_DOT,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(9672), 1,
      sym_hash_operator,
    STATE(7530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9688), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9686), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [375202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7825), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7827), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [375255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8246), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [375308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9690), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9692), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [375361] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9694), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9696), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [375414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8250), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [375467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9612), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9610), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [375520] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9698), 1,
      anon_sym_COLON,
    STATE(7537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8382), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [375575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9700), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9702), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [375628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [375681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8272), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [375734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8216), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [375787] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8500), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [375840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9704), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9706), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [375893] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9708), 1,
      anon_sym_COLON,
    STATE(7544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8382), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [375948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9094), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [376001] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8242), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [376054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9646), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9644), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [376107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8260), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [376160] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [376213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8276), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [376266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9254), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [376319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8230), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [376372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8192), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [376425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [376478] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [376531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [376584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9710), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9712), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [376637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8234), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [376690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8280), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [376743] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8294), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [376796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [376849] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [376902] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9622), 1,
      anon_sym_DOT,
    ACTIONS(9624), 1,
      anon_sym_POUND,
    ACTIONS(9626), 1,
      sym_hash_operator,
    STATE(7563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9666), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9664), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [376961] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9622), 1,
      anon_sym_DOT,
    ACTIONS(9624), 1,
      anon_sym_POUND,
    ACTIONS(9626), 1,
      sym_hash_operator,
    STATE(7564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9680), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9678), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [377020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9714), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9716), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [377073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8238), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [377126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9634), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9632), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [377179] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8246), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [377232] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9718), 1,
      anon_sym_COLON,
    STATE(7569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8382), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [377287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8250), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [377340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8298), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [377393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8298), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [377446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9720), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9722), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [377499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9568), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9566), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [377552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [377605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7913), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [377658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8176), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [377711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9592), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9594), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [377764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8260), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [377817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9572), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9570), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [377870] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9668), 1,
      anon_sym_DOT,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(9672), 1,
      sym_hash_operator,
    STATE(7581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9620), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9618), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [377929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8030), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8032), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [377982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [378035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [378088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8036), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [378141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8268), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [378194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8040), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [378247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8044), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [378300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9616), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9614), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [378353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8048), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [378406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9108), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [378459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [378512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8276), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [378565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7871), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7873), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [378618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [378671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8268), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [378724] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8500), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [378777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8056), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [378830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8060), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [378883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8064), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [378936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [378989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8280), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [379042] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9724), 1,
      anon_sym_COLON,
    STATE(7603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9550), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9548), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [379097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8310), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [379150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8068), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [379203] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8072), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [379256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8076), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [379309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9600), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9598), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [379362] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7831), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7833), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [379415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8080), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [379468] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9622), 1,
      anon_sym_DOT,
    STATE(7611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8084), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [379523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9702), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9700), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [379576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8222), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [379629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9706), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9704), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [379682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8088), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [379735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9638), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9636), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [379788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9662), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9660), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [379841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9692), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9690), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [379894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8092), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [379947] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [380000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9088), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [380053] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(7622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8254), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [380108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9696), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9694), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [380161] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      anon_sym_COLON,
    STATE(7624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8382), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [380216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [380269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8180), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [380322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8096), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [380375] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9730), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9728), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [380428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [380481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9734), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9732), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [380534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9738), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9736), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [380587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9742), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9740), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [380640] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(7633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8254), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [380695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8298), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [380748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8100), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [380801] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9588), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9586), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [380854] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8194), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8196), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [380907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8264), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [380960] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(7639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8254), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [381015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8104), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [381121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8226), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [381174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8230), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [381227] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [381280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [381333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [381386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8108), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8234), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [381492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8288), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8290), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381545] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8242), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8222), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9676), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9674), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [381704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8112), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381757] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9622), 1,
      anon_sym_DOT,
    ACTIONS(9624), 1,
      anon_sym_POUND,
    ACTIONS(9626), 1,
      sym_hash_operator,
    STATE(7654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9688), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9686), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8116), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8120), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7891), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7893), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8124), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8294), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382081] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(7660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8254), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8284), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8286), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8128), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8500), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [382295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8132), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8136), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382401] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8238), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [382454] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8500), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [382507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8226), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8140), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382613] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8230), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8144), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382719] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7867), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7869), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8234), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382825] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7875), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7877), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [382931] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8238), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7879), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7881), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383037] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9744), 1,
      anon_sym_COLON,
    STATE(7678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8382), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [383092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8302), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [383198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8302), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [383251] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8152), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8306), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [383357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8156), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8160), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8164), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9684), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9682), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [383569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7885), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7887), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7897), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7901), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7903), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383728] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [383781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9712), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9710), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [383834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8168), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383887] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9746), 1,
      anon_sym_COLON,
    STATE(7694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8382), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [383942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8306), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9728), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9730), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [384048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [384101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9732), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9734), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [384154] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8184), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8288), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8290), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [384260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9716), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9714), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [384313] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9736), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9738), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [384366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9186), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [384419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8172), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9740), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9742), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [384525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9642), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9640), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [384578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9722), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9720), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [384631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [384684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [384737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8284), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8286), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [384790] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9652), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9654), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [384842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8276), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [384894] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9750), 1,
      anon_sym_PIPE,
    ACTIONS(9752), 1,
      anon_sym_RBRACK,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7713), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15234), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [384994] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9756), 1,
      anon_sym_COLON,
    STATE(7714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9550), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9548), 20,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [385048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9610), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9612), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [385100] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9758), 1,
      anon_sym_PIPE,
    ACTIONS(9760), 1,
      anon_sym_RBRACK,
    STATE(7716), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15611), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [385200] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9762), 1,
      anon_sym_PIPE,
    ACTIONS(9764), 1,
      anon_sym_RBRACK,
    STATE(7717), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(15902), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [385300] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8500), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [385352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9710), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9712), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [385404] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [385456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9108), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [385508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9740), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9742), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [385560] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9766), 1,
      anon_sym_PIPE,
    ACTIONS(9768), 1,
      anon_sym_RBRACK,
    STATE(7723), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15444), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [385660] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7383), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7379), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [385712] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9770), 1,
      anon_sym_PIPE,
    ACTIONS(9772), 1,
      anon_sym_RBRACK,
    STATE(7725), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16231), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [385812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8226), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [385864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8288), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8290), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [385916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9694), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9696), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [385968] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9774), 1,
      anon_sym_PIPE,
    ACTIONS(9776), 1,
      anon_sym_RBRACK,
    STATE(7729), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15215), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [386068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9660), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9662), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [386120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8260), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [386172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8284), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8286), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [386224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9564), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9562), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [386276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9586), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9588), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [386328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9674), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9676), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [386380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9604), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [386432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9606), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9608), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [386484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8280), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [386536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8306), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [386588] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9778), 1,
      anon_sym_PIPE,
    ACTIONS(9780), 1,
      anon_sym_RBRACK,
    STATE(7740), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15423), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [386688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9656), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9658), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [386740] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9782), 1,
      anon_sym_PIPE,
    ACTIONS(9784), 1,
      anon_sym_RBRACK,
    STATE(7742), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15580), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [386840] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8500), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [386892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8246), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [386944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9614), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9616), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [386996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9690), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9692), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [387048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9628), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9630), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [387100] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9786), 1,
      anon_sym_PIPE,
    ACTIONS(9788), 1,
      anon_sym_RBRACK,
    STATE(7748), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15165), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [387200] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9790), 1,
      anon_sym_PIPE,
    ACTIONS(9792), 1,
      anon_sym_RBRACK,
    STATE(7749), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15082), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [387300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8294), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [387352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8242), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [387404] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9794), 1,
      anon_sym_PIPE,
    ACTIONS(9796), 1,
      anon_sym_RBRACK,
    STATE(7752), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16290), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [387504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9714), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9716), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [387556] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9798), 1,
      anon_sym_PIPE,
    ACTIONS(9800), 1,
      anon_sym_RBRACK,
    STATE(7754), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15309), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [387656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9650), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [387708] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(7756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [387762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9174), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [387814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9704), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9706), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [387866] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8500), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [387918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8302), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [387970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8268), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [388022] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9802), 1,
      anon_sym_PIPE,
    ACTIONS(9804), 1,
      anon_sym_RBRACK,
    STATE(7762), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17493), 1,
      sym_tag_specification,
    STATE(19547), 1,
      sym__tag_spec,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [388122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9254), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [388174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9682), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9684), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [388226] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9806), 1,
      anon_sym_PIPE,
    ACTIONS(9808), 1,
      anon_sym_RBRACK,
    STATE(7765), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15602), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [388326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9548), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9550), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [388378] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [388430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9178), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [388482] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9810), 1,
      anon_sym_PIPE,
    ACTIONS(9812), 1,
      anon_sym_RBRACK,
    STATE(7769), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(15840), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [388582] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9814), 1,
      anon_sym_PIPE,
    ACTIONS(9816), 1,
      anon_sym_RBRACK,
    STATE(7770), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15489), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [388682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9598), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9600), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [388734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [388786] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [388838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9732), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9734), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [388890] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8500), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [388942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8264), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [388994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8250), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [389046] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8500), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [389098] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9818), 1,
      anon_sym_PIPE,
    ACTIONS(9820), 1,
      anon_sym_RBRACK,
    STATE(7779), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16350), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [389198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8230), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [389250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9158), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [389302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9736), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9738), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [389354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8298), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [389406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9568), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9566), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [389458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8500), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [389510] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9822), 1,
      anon_sym_PIPE,
    ACTIONS(9824), 1,
      anon_sym_RBRACK,
    STATE(7786), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(16868), 1,
      sym_tag_specification,
    STATE(19378), 1,
      sym__tag_spec,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [389610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9152), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [389662] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [389714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9572), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9570), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [389766] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9632), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9634), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [389818] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(7791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [389872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9720), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9722), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [389924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9592), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9594), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [389976] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [390028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9576), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9574), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [390080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9728), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9730), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [390132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9636), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9638), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [390184] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_RBRACK,
    STATE(7798), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15541), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [390284] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9830), 1,
      anon_sym_PIPE,
    ACTIONS(9832), 1,
      anon_sym_RBRACK,
    STATE(7799), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16071), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [390384] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9834), 1,
      anon_sym_PIPE,
    ACTIONS(9836), 1,
      anon_sym_RBRACK,
    STATE(7800), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17461), 1,
      sym_tag_specification,
    STATE(19209), 1,
      sym__tag_spec,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [390484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8234), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [390536] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9838), 1,
      anon_sym_PIPE,
    ACTIONS(9840), 1,
      anon_sym_RBRACK,
    STATE(7802), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15364), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [390636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9186), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [390688] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9842), 1,
      anon_sym_PIPE,
    ACTIONS(9844), 1,
      anon_sym_RBRACK,
    STATE(7804), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15238), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [390788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9700), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9702), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [390840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9162), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [390892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9640), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9642), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [390944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9094), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [390996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9644), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9646), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [391048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8238), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [391100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8222), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [391152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8310), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [391204] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9846), 1,
      anon_sym_PIPE,
    ACTIONS(9848), 1,
      anon_sym_RBRACK,
    STATE(7813), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16324), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [391304] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9850), 1,
      anon_sym_PIPE,
    ACTIONS(9852), 1,
      anon_sym_RBRACK,
    STATE(7814), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(15637), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [391404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [391456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8272), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [391508] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9854), 1,
      anon_sym_PIPE,
    ACTIONS(9856), 1,
      anon_sym_RBRACK,
    STATE(7817), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17256), 1,
      sym_tag_specification,
    STATE(19496), 1,
      sym__tag_spec,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [391608] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9858), 1,
      anon_sym_RBRACK,
    STATE(7818), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15291), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [391705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9628), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [391756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9650), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9648), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [391807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [391858] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9860), 1,
      anon_sym_RBRACK,
    STATE(7822), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(15665), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [391955] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9862), 1,
      anon_sym_PIPE,
    STATE(7823), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(16808), 1,
      sym_tag_specification,
    STATE(19687), 1,
      sym__tag_spec,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [392052] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9864), 1,
      anon_sym_PIPE,
    STATE(7824), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15008), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [392149] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9822), 1,
      anon_sym_PIPE,
    STATE(7825), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(16868), 1,
      sym_tag_specification,
    STATE(19378), 1,
      sym__tag_spec,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [392246] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9866), 1,
      anon_sym_PIPE,
    STATE(7826), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14455), 1,
      sym__tag_spec,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [392343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [392394] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9868), 1,
      anon_sym_PIPE,
    STATE(7828), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14124), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17034), 1,
      sym_tag_specification,
    STATE(19913), 1,
      sym__tag_spec,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [392491] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9870), 1,
      anon_sym_PIPE,
    STATE(7829), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17123), 1,
      sym_tag_specification,
    STATE(19703), 1,
      sym__tag_spec,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [392588] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9872), 1,
      anon_sym_PIPE,
    STATE(7830), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(14811), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [392685] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9874), 1,
      anon_sym_RBRACK,
    STATE(7831), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15345), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [392782] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9876), 1,
      anon_sym_PIPE,
    STATE(7832), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17402), 1,
      sym_tag_specification,
    STATE(19719), 1,
      sym__tag_spec,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [392879] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9878), 1,
      anon_sym_PIPE,
    STATE(7833), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(14893), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [392976] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9880), 1,
      anon_sym_DOT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      sym_hash_operator,
    STATE(7834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8146), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [393033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [393084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3083), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3081), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [393135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9692), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9690), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [393186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8298), 25,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [393237] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9886), 1,
      anon_sym_PIPE,
    STATE(7839), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(16594), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(19735), 1,
      sym__tag_spec,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [393334] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9888), 1,
      anon_sym_PIPE,
    STATE(7840), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(14732), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [393431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8302), 25,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [393482] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9890), 1,
      sym__identifier,
    ACTIONS(9892), 1,
      anon_sym_let,
    ACTIONS(9894), 1,
      anon_sym_QMARK,
    ACTIONS(9896), 1,
      anon_sym_LBRACK,
    ACTIONS(9898), 1,
      anon_sym_object,
    STATE(7842), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(10366), 1,
      sym__class_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(16609), 1,
      sym_extended_module_path,
    STATE(17192), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10403), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(14122), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9541), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12365), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [393575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8306), 25,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [393626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [393677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [393728] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9900), 1,
      anon_sym_RBRACK,
    STATE(7846), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16093), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [393825] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8310), 25,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [393876] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9902), 1,
      anon_sym_PIPE,
    STATE(7848), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(16806), 1,
      sym_tag_specification,
    STATE(19751), 1,
      sym__tag_spec,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [393973] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9904), 1,
      anon_sym_PIPE,
    STATE(7849), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(14822), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [394070] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9868), 1,
      anon_sym_PIPE,
    STATE(7850), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17034), 1,
      sym_tag_specification,
    STATE(19913), 1,
      sym__tag_spec,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [394167] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9906), 1,
      anon_sym_PIPE,
    STATE(7851), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17058), 1,
      sym_tag_specification,
    STATE(19767), 1,
      sym__tag_spec,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [394264] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9908), 1,
      anon_sym_PIPE,
    STATE(7852), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14416), 1,
      sym__tag_spec,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [394361] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [394412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [394463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8296), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [394514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [394565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [394616] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9712), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9710), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [394667] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9910), 1,
      anon_sym_PIPE,
    STATE(7859), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17310), 1,
      sym_tag_specification,
    STATE(19434), 1,
      sym__tag_spec,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [394764] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9898), 1,
      anon_sym_object,
    ACTIONS(9912), 1,
      sym__identifier,
    ACTIONS(9914), 1,
      anon_sym_let,
    ACTIONS(9916), 1,
      anon_sym_QMARK,
    ACTIONS(9918), 1,
      anon_sym_LBRACK,
    ACTIONS(9920), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9922), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7860), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(10423), 1,
      sym__class_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(16964), 1,
      sym__tuple_type,
    STATE(16983), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10403), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10422), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9541), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12365), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [394857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7891), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [394908] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9924), 1,
      anon_sym_PIPE,
    STATE(7862), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(14913), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [395005] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9734), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9732), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [395056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [395107] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9890), 1,
      sym__identifier,
    ACTIONS(9892), 1,
      anon_sym_let,
    ACTIONS(9894), 1,
      anon_sym_QMARK,
    ACTIONS(9896), 1,
      anon_sym_LBRACK,
    ACTIONS(9898), 1,
      anon_sym_object,
    STATE(7865), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(10423), 1,
      sym__class_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(16609), 1,
      sym_extended_module_path,
    STATE(17192), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10403), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(14122), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9541), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12365), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [395200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [395251] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [395302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9928), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9926), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [395353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9658), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9656), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [395404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [395455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [395506] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(9936), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9938), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7872), 1,
      sym_attribute,
    STATE(8893), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9932), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(9930), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [395567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [395618] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9898), 1,
      anon_sym_object,
    ACTIONS(9914), 1,
      anon_sym_let,
    ACTIONS(9918), 1,
      anon_sym_LBRACK,
    ACTIONS(9940), 1,
      sym__identifier,
    ACTIONS(9942), 1,
      anon_sym_QMARK,
    ACTIONS(9944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7874), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(10352), 1,
      sym__class_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(16819), 1,
      sym__tuple_type,
    STATE(17483), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10403), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10752), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9541), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12365), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [395711] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9948), 1,
      aux_sym_attribute_id_token1,
    STATE(7875), 1,
      sym_attribute,
    STATE(7937), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8962), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8960), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
  [395766] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [395817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [395868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9716), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9714), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [395919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [395970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [396021] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6825), 1,
      sym__identifier,
    ACTIONS(9954), 1,
      anon_sym_LPAREN,
    ACTIONS(9958), 1,
      anon_sym_LBRACE,
    ACTIONS(9960), 1,
      anon_sym_begin,
    ACTIONS(9962), 1,
      aux_sym_number_token1,
    ACTIONS(9964), 1,
      anon_sym_SQUOTE,
    ACTIONS(9966), 1,
      anon_sym_DQUOTE,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    STATE(7881), 1,
      sym_attribute,
    STATE(10448), 1,
      sym_parenthesized_operator,
    STATE(11937), 1,
      sym_module_path,
    STATE(12497), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9956), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12387), 2,
      sym__constant,
      sym_value_path,
    ACTIONS(9950), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
    STATE(12341), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    ACTIONS(9952), 9,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
  [396100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9972), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9970), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [396151] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(7883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [396204] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9974), 1,
      anon_sym_RBRACK,
    STATE(7884), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16404), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396301] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9976), 1,
      anon_sym_PIPE,
    STATE(7885), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14553), 1,
      sym__tag_spec,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [396449] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9978), 1,
      anon_sym_PIPE,
    STATE(7887), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(16971), 1,
      sym_tag_specification,
    STATE(19468), 1,
      sym__tag_spec,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9722), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9720), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [396597] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9980), 1,
      anon_sym_PIPE,
    STATE(7889), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(14838), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [396745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9594), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9592), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [396796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9702), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9700), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [396847] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5291), 1,
      anon_sym_type,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9982), 1,
      sym__identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN,
    ACTIONS(9986), 1,
      anon_sym_LBRACK,
    ACTIONS(9988), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9990), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9992), 1,
      anon_sym_LT,
    ACTIONS(9994), 1,
      anon_sym_POUND,
    ACTIONS(9996), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9998), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10000), 1,
      aux_sym_type_variable_token1,
    STATE(7893), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(10346), 1,
      sym__simple_type,
    STATE(10390), 1,
      sym__polymorphic_type,
    STATE(10391), 1,
      sym_polymorphic_type,
    STATE(10438), 1,
      sym_type_variable,
    STATE(11934), 1,
      sym__tuple_type,
    STATE(12197), 1,
      sym__type,
    STATE(14471), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17008), 1,
      sym_extended_module_path,
    STATE(17872), 1,
      sym__abstract_type,
    STATE(19494), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10929), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [396946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9738), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9736), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [396997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9742), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9740), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [397048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9588), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9586), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [397099] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9898), 1,
      anon_sym_object,
    ACTIONS(9914), 1,
      anon_sym_let,
    ACTIONS(9918), 1,
      anon_sym_LBRACK,
    ACTIONS(10002), 1,
      sym__identifier,
    ACTIONS(10004), 1,
      anon_sym_QMARK,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10008), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7897), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(10423), 1,
      sym__class_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(16478), 1,
      sym_extended_module_path,
    STATE(17354), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10293), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10403), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9541), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12365), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [397192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9616), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9614), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [397243] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5291), 1,
      anon_sym_type,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    STATE(7899), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(10390), 1,
      sym__polymorphic_type,
    STATE(10391), 1,
      sym_polymorphic_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(12829), 1,
      sym_type_variable,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14541), 1,
      sym__type,
    STATE(14800), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17667), 1,
      sym__abstract_type,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [397342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10012), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10010), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [397393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [397444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10016), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10014), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [397495] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9654), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9652), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [397546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8244), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [397597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8248), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [397648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [397699] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9604), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9602), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [397750] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10018), 1,
      anon_sym_RBRACK,
    STATE(7908), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15554), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10022), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10020), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [397898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [397949] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9898), 1,
      anon_sym_object,
    ACTIONS(9914), 1,
      anon_sym_let,
    ACTIONS(9918), 1,
      anon_sym_LBRACK,
    ACTIONS(10024), 1,
      sym__identifier,
    ACTIONS(10026), 1,
      anon_sym_QMARK,
    ACTIONS(10028), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10030), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7911), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(10366), 1,
      sym__class_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(16547), 1,
      sym__tuple_type,
    STATE(17250), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10177), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10403), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9541), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12365), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [398042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [398093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [398144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10034), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10032), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [398195] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(7915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8252), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [398248] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9898), 1,
      anon_sym_object,
    ACTIONS(9912), 1,
      sym__identifier,
    ACTIONS(9914), 1,
      anon_sym_let,
    ACTIONS(9916), 1,
      anon_sym_QMARK,
    ACTIONS(9918), 1,
      anon_sym_LBRACK,
    ACTIONS(9920), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9922), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7916), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(10352), 1,
      sym__class_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(16964), 1,
      sym__tuple_type,
    STATE(16983), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10403), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10422), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9541), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12365), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [398341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9706), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9704), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [398392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [398443] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9252), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [398494] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9898), 1,
      anon_sym_object,
    ACTIONS(9914), 1,
      anon_sym_let,
    ACTIONS(9918), 1,
      anon_sym_LBRACK,
    ACTIONS(10024), 1,
      sym__identifier,
    ACTIONS(10026), 1,
      anon_sym_QMARK,
    ACTIONS(10028), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10030), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7920), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(10411), 1,
      sym__class_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(16547), 1,
      sym__tuple_type,
    STATE(17250), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10177), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10403), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9541), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12365), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [398587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10038), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10036), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [398638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [398689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [398740] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9854), 1,
      anon_sym_PIPE,
    STATE(7924), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17256), 1,
      sym_tag_specification,
    STATE(19496), 1,
      sym__tag_spec,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398837] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10040), 1,
      anon_sym_PIPE,
    STATE(7925), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(14849), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9676), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9674), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [398985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10044), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10042), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [399036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [399087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [399138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9550), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9548), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [399189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10048), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10046), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [399240] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10050), 1,
      anon_sym_PIPE,
    STATE(7932), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(14651), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399337] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10052), 1,
      anon_sym_RBRACK,
    STATE(7933), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16325), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [399485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [399536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7379), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7383), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [399587] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10054), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7937), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8949), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8947), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
  [399640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10059), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10057), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [399691] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10061), 1,
      anon_sym_RBRACK,
    STATE(7939), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15098), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [399839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [399890] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9898), 1,
      anon_sym_object,
    ACTIONS(9914), 1,
      anon_sym_let,
    ACTIONS(9918), 1,
      anon_sym_LBRACK,
    ACTIONS(10024), 1,
      sym__identifier,
    ACTIONS(10026), 1,
      anon_sym_QMARK,
    ACTIONS(10028), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10030), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7942), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(10423), 1,
      sym__class_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(16547), 1,
      sym__tuple_type,
    STATE(17250), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10177), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10403), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9541), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12365), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [399983] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9898), 1,
      anon_sym_object,
    ACTIONS(9912), 1,
      sym__identifier,
    ACTIONS(9914), 1,
      anon_sym_let,
    ACTIONS(9916), 1,
      anon_sym_QMARK,
    ACTIONS(9918), 1,
      anon_sym_LBRACK,
    ACTIONS(9920), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9922), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7943), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(10411), 1,
      sym__class_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(16964), 1,
      sym__tuple_type,
    STATE(16983), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10403), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10422), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9541), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12365), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [400076] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9898), 1,
      anon_sym_object,
    ACTIONS(9914), 1,
      anon_sym_let,
    ACTIONS(9918), 1,
      anon_sym_LBRACK,
    ACTIONS(10002), 1,
      sym__identifier,
    ACTIONS(10004), 1,
      anon_sym_QMARK,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10008), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7944), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(10352), 1,
      sym__class_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(16478), 1,
      sym_extended_module_path,
    STATE(17354), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10293), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10403), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9541), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12365), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [400169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7871), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [400220] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10063), 1,
      anon_sym_PIPE,
    STATE(7946), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17388), 1,
      sym_tag_specification,
    STATE(19522), 1,
      sym__tag_spec,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [400317] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10065), 1,
      anon_sym_PIPE,
    STATE(7947), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14451), 1,
      sym__tag_spec,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [400414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [400465] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10067), 1,
      anon_sym_RBRACK,
    STATE(7949), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15435), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [400562] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9948), 1,
      aux_sym_attribute_id_token1,
    STATE(7875), 1,
      aux_sym_attribute_id_repeat1,
    STATE(7950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9034), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
  [400617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7825), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [400668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10069), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [400719] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [400770] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5291), 1,
      anon_sym_type,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    STATE(7954), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(12829), 1,
      sym_type_variable,
    STATE(12860), 1,
      sym_tuple_type,
    STATE(13701), 1,
      sym__tuple_type,
    STATE(14206), 1,
      sym__type,
    STATE(14405), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(15089), 1,
      sym__polymorphic_type,
    STATE(15090), 1,
      sym_polymorphic_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20098), 1,
      sym_typed_label,
    STATE(20159), 1,
      sym__abstract_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12922), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [400869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10075), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10073), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [400920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [400971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10079), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10077), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [401022] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9898), 1,
      anon_sym_object,
    ACTIONS(9914), 1,
      anon_sym_let,
    ACTIONS(9918), 1,
      anon_sym_LBRACK,
    ACTIONS(9940), 1,
      sym__identifier,
    ACTIONS(9942), 1,
      anon_sym_QMARK,
    ACTIONS(9944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7958), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(10411), 1,
      sym__class_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(16819), 1,
      sym__tuple_type,
    STATE(17483), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10403), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10752), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9541), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12365), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [401115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10083), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10081), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [401166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [401217] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10085), 1,
      anon_sym_RBRACK,
    STATE(7961), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(15867), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [401365] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9802), 1,
      anon_sym_PIPE,
    STATE(7963), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17493), 1,
      sym_tag_specification,
    STATE(19547), 1,
      sym__tag_spec,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [401513] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10087), 1,
      anon_sym_PIPE,
    STATE(7965), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14449), 1,
      sym__tag_spec,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [401661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9608), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9606), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [401712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [401763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [401814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7911), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [401865] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10089), 1,
      anon_sym_RBRACK,
    STATE(7971), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15360), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401962] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [402013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [402064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [402115] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5291), 1,
      anon_sym_type,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10091), 1,
      sym__identifier,
    ACTIONS(10093), 1,
      anon_sym_LPAREN,
    ACTIONS(10095), 1,
      anon_sym_LBRACK,
    ACTIONS(10097), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10099), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10101), 1,
      anon_sym_LT,
    ACTIONS(10103), 1,
      anon_sym_POUND,
    ACTIONS(10105), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10107), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10109), 1,
      aux_sym_type_variable_token1,
    STATE(7975), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(10390), 1,
      sym__polymorphic_type,
    STATE(10391), 1,
      sym_polymorphic_type,
    STATE(11988), 1,
      sym__simple_type,
    STATE(12127), 1,
      sym_type_variable,
    STATE(12979), 1,
      sym__tuple_type,
    STATE(13123), 1,
      sym__type,
    STATE(14613), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17083), 1,
      sym_extended_module_path,
    STATE(18110), 1,
      sym_typed_label,
    STATE(19527), 1,
      sym__abstract_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12617), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [402214] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10111), 1,
      anon_sym_RBRACK,
    STATE(7976), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15507), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402311] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10113), 1,
      anon_sym_RBRACK,
    STATE(7977), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15186), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [402459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [402510] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9898), 1,
      anon_sym_object,
    ACTIONS(9914), 1,
      anon_sym_let,
    ACTIONS(9918), 1,
      anon_sym_LBRACK,
    ACTIONS(10002), 1,
      sym__identifier,
    ACTIONS(10004), 1,
      anon_sym_QMARK,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10008), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7980), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(10411), 1,
      sym__class_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(16478), 1,
      sym_extended_module_path,
    STATE(17354), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10293), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10403), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9541), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12365), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [402603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [402654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [402705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [402756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [402807] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10115), 1,
      anon_sym_PIPE,
    STATE(7985), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17135), 1,
      sym_tag_specification,
    STATE(19567), 1,
      sym__tag_spec,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402904] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    STATE(7986), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(14816), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403001] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10119), 1,
      anon_sym_RBRACK,
    STATE(7987), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15615), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403098] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10121), 1,
      anon_sym_RBRACK,
    STATE(7988), 1,
      sym_attribute,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(15721), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10125), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [403246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [403297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8288), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [403348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10133), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10131), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [403399] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9898), 1,
      anon_sym_object,
    ACTIONS(9912), 1,
      sym__identifier,
    ACTIONS(9914), 1,
      anon_sym_let,
    ACTIONS(9916), 1,
      anon_sym_QMARK,
    ACTIONS(9918), 1,
      anon_sym_LBRACK,
    ACTIONS(9920), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9922), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(7993), 1,
      sym_attribute,
    STATE(10366), 1,
      sym__class_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(16964), 1,
      sym__tuple_type,
    STATE(16983), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10403), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10422), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9541), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12365), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [403492] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10135), 1,
      anon_sym_PIPE,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(7994), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(16671), 1,
      sym_tag_specification,
    STATE(19304), 1,
      sym__tag_spec,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10139), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10137), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [403640] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10141), 1,
      anon_sym_PIPE,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(7996), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(14719), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10145), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10143), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [403788] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9898), 1,
      anon_sym_object,
    ACTIONS(9914), 1,
      anon_sym_let,
    ACTIONS(9918), 1,
      anon_sym_LBRACK,
    ACTIONS(9940), 1,
      sym__identifier,
    ACTIONS(9942), 1,
      anon_sym_QMARK,
    ACTIONS(9944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(7998), 1,
      sym_attribute,
    STATE(10366), 1,
      sym__class_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(16819), 1,
      sym__tuple_type,
    STATE(17483), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10403), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10752), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9541), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12365), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [403881] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10147), 1,
      anon_sym_PIPE,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(7999), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(16535), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(19586), 1,
      sym__tag_spec,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403978] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10149), 1,
      anon_sym_PIPE,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8000), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14447), 1,
      sym__tag_spec,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404075] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10151), 1,
      anon_sym_RBRACK,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8001), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16437), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [404223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [404274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10155), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10153), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [404325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10159), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10157), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [404376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [404427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [404478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [404529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [404580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [404631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [404682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8292), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [404733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7833), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7831), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [404784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [404835] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9880), 1,
      anon_sym_DOT,
    STATE(8015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [404888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9684), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9682), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [404939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10163), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10161), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [404990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [405041] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9730), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9728), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [405092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9634), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9632), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [405143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [405194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [405245] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10165), 1,
      anon_sym_RBRACK,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8023), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15250), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [405393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [405444] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10167), 1,
      anon_sym_PIPE,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8026), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17029), 1,
      sym_tag_specification,
    STATE(19605), 1,
      sym__tag_spec,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405541] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10169), 1,
      anon_sym_PIPE,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8027), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14374), 1,
      sym__tag_spec,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [405689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9612), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9610), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [405740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9638), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9636), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [405791] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [405842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [405893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [405944] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5291), 1,
      anon_sym_type,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10171), 1,
      sym__identifier,
    ACTIONS(10173), 1,
      anon_sym_LPAREN,
    ACTIONS(10175), 1,
      anon_sym_LBRACK,
    ACTIONS(10177), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10179), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10181), 1,
      anon_sym_LT,
    ACTIONS(10183), 1,
      anon_sym_POUND,
    ACTIONS(10185), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10187), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10189), 1,
      aux_sym_type_variable_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8034), 1,
      sym_attribute,
    STATE(10390), 1,
      sym__polymorphic_type,
    STATE(10391), 1,
      sym_polymorphic_type,
    STATE(10992), 1,
      sym__simple_type,
    STATE(11257), 1,
      sym_type_variable,
    STATE(12613), 1,
      sym__tuple_type,
    STATE(12896), 1,
      sym__type,
    STATE(14747), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16995), 1,
      sym_extended_module_path,
    STATE(18435), 1,
      sym__abstract_type,
    STATE(18452), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11663), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [406043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [406094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [406145] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9890), 1,
      sym__identifier,
    ACTIONS(9892), 1,
      anon_sym_let,
    ACTIONS(9894), 1,
      anon_sym_QMARK,
    ACTIONS(9896), 1,
      anon_sym_LBRACK,
    ACTIONS(9898), 1,
      anon_sym_object,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8037), 1,
      sym_attribute,
    STATE(10411), 1,
      sym__class_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(16609), 1,
      sym_extended_module_path,
    STATE(17192), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10403), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(14122), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9541), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12365), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [406238] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10191), 1,
      anon_sym_RBRACK,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8038), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15477), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [406386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8130), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [406437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9642), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9640), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [406488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8134), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [406539] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9880), 1,
      anon_sym_DOT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      sym_hash_operator,
    STATE(8043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [406596] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10193), 1,
      anon_sym_RBRACK,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8044), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16392), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406693] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10195), 1,
      anon_sym_PIPE,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8045), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17377), 1,
      sym_tag_specification,
    STATE(19623), 1,
      sym__tag_spec,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406790] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10197), 1,
      anon_sym_PIPE,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8046), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14383), 1,
      sym__tag_spec,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [406938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [406989] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10199), 1,
      anon_sym_RBRACK,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8049), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15323), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [407137] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9890), 1,
      sym__identifier,
    ACTIONS(9892), 1,
      anon_sym_let,
    ACTIONS(9894), 1,
      anon_sym_QMARK,
    ACTIONS(9896), 1,
      anon_sym_LBRACK,
    ACTIONS(9898), 1,
      anon_sym_object,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8051), 1,
      sym_attribute,
    STATE(10352), 1,
      sym__class_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(16609), 1,
      sym_extended_module_path,
    STATE(17192), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10403), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(14122), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9541), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12365), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [407230] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10201), 1,
      anon_sym_RBRACK,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8052), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15129), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407327] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10203), 1,
      anon_sym_PIPE,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8053), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(16490), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(19639), 1,
      sym__tag_spec,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407424] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10205), 1,
      anon_sym_PIPE,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8054), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14547), 1,
      sym__tag_spec,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7869), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7867), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [407572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7877), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7875), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [407623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7881), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7879), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [407674] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9834), 1,
      anon_sym_PIPE,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8058), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17461), 1,
      sym_tag_specification,
    STATE(19209), 1,
      sym__tag_spec,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8150), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [407822] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9898), 1,
      anon_sym_object,
    ACTIONS(9914), 1,
      anon_sym_let,
    ACTIONS(9918), 1,
      anon_sym_LBRACK,
    ACTIONS(10024), 1,
      sym__identifier,
    ACTIONS(10026), 1,
      anon_sym_QMARK,
    ACTIONS(10028), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10030), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8060), 1,
      sym_attribute,
    STATE(10352), 1,
      sym__class_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(16547), 1,
      sym__tuple_type,
    STATE(17250), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10177), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10403), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9541), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12365), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [407915] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9646), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9644), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [407966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [408017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [408068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [408119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [408170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [408221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9662), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9660), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [408272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7887), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7885), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [408323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7895), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [408374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7901), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [408425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9600), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9598), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [408476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [408527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [408578] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10207), 1,
      anon_sym_PIPE,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8074), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17532), 1,
      sym_tag_specification,
    STATE(19655), 1,
      sym__tag_spec,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408675] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10209), 1,
      anon_sym_PIPE,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8075), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(14684), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8240), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [408823] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9898), 1,
      anon_sym_object,
    ACTIONS(9914), 1,
      anon_sym_let,
    ACTIONS(9918), 1,
      anon_sym_LBRACK,
    ACTIONS(9940), 1,
      sym__identifier,
    ACTIONS(9942), 1,
      anon_sym_QMARK,
    ACTIONS(9944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8077), 1,
      sym_attribute,
    STATE(10423), 1,
      sym__class_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(16819), 1,
      sym__tuple_type,
    STATE(17483), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10403), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10752), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9541), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12365), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [408916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9696), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9694), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [408967] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10211), 1,
      anon_sym_RBRACK,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8079), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15376), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409064] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(9868), 1,
      anon_sym_PIPE,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8080), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14013), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17034), 1,
      sym_tag_specification,
    STATE(19913), 1,
      sym__tag_spec,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409161] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10213), 1,
      anon_sym_PIPE,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8081), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17363), 1,
      sym_tag_specification,
    STATE(19671), 1,
      sym__tag_spec,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409258] = 28,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    ACTIONS(10215), 1,
      anon_sym_PIPE,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8082), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(14856), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [409406] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6825), 1,
      sym__identifier,
    ACTIONS(9954), 1,
      anon_sym_LPAREN,
    ACTIONS(9958), 1,
      anon_sym_LBRACE,
    ACTIONS(9960), 1,
      anon_sym_begin,
    ACTIONS(9962), 1,
      aux_sym_number_token1,
    ACTIONS(9964), 1,
      anon_sym_SQUOTE,
    ACTIONS(9966), 1,
      anon_sym_DQUOTE,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    STATE(8084), 1,
      sym_attribute,
    STATE(10448), 1,
      sym_parenthesized_operator,
    STATE(11937), 1,
      sym_module_path,
    STATE(12497), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9956), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12387), 2,
      sym__constant,
      sym_value_path,
    STATE(12341), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    ACTIONS(9950), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
    ACTIONS(9952), 8,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
  [409485] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9898), 1,
      anon_sym_object,
    ACTIONS(9914), 1,
      anon_sym_let,
    ACTIONS(9918), 1,
      anon_sym_LBRACK,
    ACTIONS(10002), 1,
      sym__identifier,
    ACTIONS(10004), 1,
      anon_sym_QMARK,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10008), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8085), 1,
      sym_attribute,
    STATE(10366), 1,
      sym__class_type,
    STATE(11821), 1,
      sym__simple_type,
    STATE(16478), 1,
      sym_extended_module_path,
    STATE(17354), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10293), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10403), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9541), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12365), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [409578] = 29,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5291), 1,
      anon_sym_type,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10217), 1,
      sym__identifier,
    ACTIONS(10219), 1,
      anon_sym_LPAREN,
    ACTIONS(10221), 1,
      anon_sym_LBRACK,
    ACTIONS(10223), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10225), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10227), 1,
      anon_sym_LT,
    ACTIONS(10229), 1,
      anon_sym_POUND,
    ACTIONS(10231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10235), 1,
      aux_sym_type_variable_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8086), 1,
      sym_attribute,
    STATE(10161), 1,
      sym__simple_type,
    STATE(10283), 1,
      sym_type_variable,
    STATE(10390), 1,
      sym__polymorphic_type,
    STATE(10391), 1,
      sym_polymorphic_type,
    STATE(11820), 1,
      sym__tuple_type,
    STATE(12137), 1,
      sym__type,
    STATE(14824), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17086), 1,
      sym_extended_module_path,
    STATE(19985), 1,
      sym__abstract_type,
    STATE(20022), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10730), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [409677] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8087), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16325), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409771] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8088), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14493), 1,
      sym__tag_spec,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409865] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8089), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(14900), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10155), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10153), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [410009] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8091), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15615), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410103] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10241), 1,
      anon_sym_COMMA,
    ACTIONS(10243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10247), 1,
      sym_pow_operator,
    ACTIONS(10249), 1,
      sym_mult_operator,
    ACTIONS(10251), 1,
      sym_concat_operator,
    ACTIONS(10253), 1,
      sym_rel_operator,
    ACTIONS(10255), 1,
      sym_and_operator,
    ACTIONS(10257), 1,
      sym_or_operator,
    ACTIONS(10259), 1,
      sym_assign_operator,
    STATE(1952), 1,
      sym_add_operator,
    STATE(8092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10239), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10237), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [410175] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8093), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14548), 1,
      sym__tag_spec,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410269] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8094), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15360), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410363] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8095), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16437), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410457] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8096), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14365), 1,
      sym__tag_spec,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410551] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8097), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(15631), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10016), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10014), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [410695] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8099), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(15949), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10159), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10157), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [410839] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8101), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15062), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410933] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8102), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15575), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411027] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 16,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
    ACTIONS(8947), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
  [411077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10163), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10161), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [411127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10022), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10020), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [411177] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10265), 1,
      anon_sym_PIPE,
    STATE(8106), 1,
      sym_attribute,
    STATE(8108), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [411231] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10265), 1,
      anon_sym_PIPE,
    STATE(8107), 1,
      sym_attribute,
    STATE(8108), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [411285] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10275), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8108), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [411337] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8109), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(14720), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10044), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10042), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [411481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10038), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10036), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [411531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10034), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10032), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [411581] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8113), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15391), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411675] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10284), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      sym_mult_operator,
    ACTIONS(10288), 1,
      sym_concat_operator,
    ACTIONS(10290), 1,
      sym_rel_operator,
    ACTIONS(10292), 1,
      sym_and_operator,
    ACTIONS(10294), 1,
      sym_or_operator,
    STATE(1900), 1,
      sym_add_operator,
    STATE(8114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10280), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10278), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [411743] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10284), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      sym_mult_operator,
    STATE(1900), 1,
      sym_add_operator,
    STATE(8115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [411803] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10284), 1,
      sym_pow_operator,
    STATE(1900), 1,
      sym_add_operator,
    STATE(8116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [411857] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10284), 1,
      sym_pow_operator,
    STATE(1900), 1,
      sym_add_operator,
    STATE(8117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [411911] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10284), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      sym_mult_operator,
    ACTIONS(10288), 1,
      sym_concat_operator,
    STATE(1900), 1,
      sym_add_operator,
    STATE(8118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [411973] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10284), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      sym_mult_operator,
    ACTIONS(10288), 1,
      sym_concat_operator,
    STATE(1900), 1,
      sym_add_operator,
    STATE(8119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [412035] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8242), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [412085] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10284), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      sym_mult_operator,
    ACTIONS(10288), 1,
      sym_concat_operator,
    ACTIONS(10290), 1,
      sym_rel_operator,
    ACTIONS(10292), 1,
      sym_and_operator,
    STATE(1900), 1,
      sym_add_operator,
    STATE(8121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10300), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [412151] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10284), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      sym_mult_operator,
    ACTIONS(10288), 1,
      sym_concat_operator,
    ACTIONS(10290), 1,
      sym_rel_operator,
    ACTIONS(10292), 1,
      sym_and_operator,
    ACTIONS(10294), 1,
      sym_or_operator,
    STATE(1900), 1,
      sym_add_operator,
    STATE(8122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [412219] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10284), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      sym_mult_operator,
    ACTIONS(10288), 1,
      sym_concat_operator,
    ACTIONS(10290), 1,
      sym_rel_operator,
    ACTIONS(10292), 1,
      sym_and_operator,
    ACTIONS(10294), 1,
      sym_or_operator,
    ACTIONS(10304), 1,
      anon_sym_COMMA,
    ACTIONS(10306), 1,
      sym_assign_operator,
    STATE(1900), 1,
      sym_add_operator,
    STATE(8123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [412291] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10284), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      sym_mult_operator,
    STATE(1900), 1,
      sym_add_operator,
    STATE(8124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [412347] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10284), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      sym_mult_operator,
    ACTIONS(10288), 1,
      sym_concat_operator,
    ACTIONS(10290), 1,
      sym_rel_operator,
    ACTIONS(10292), 1,
      sym_and_operator,
    ACTIONS(10294), 1,
      sym_or_operator,
    ACTIONS(10304), 1,
      anon_sym_COMMA,
    ACTIONS(10306), 1,
      sym_assign_operator,
    STATE(1900), 1,
      sym_add_operator,
    STATE(8125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10310), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10308), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [412419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9972), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9970), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [412469] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10316), 1,
      anon_sym_else,
    STATE(8126), 1,
      sym_else_clause,
    STATE(8127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [412523] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10284), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      sym_mult_operator,
    ACTIONS(10288), 1,
      sym_concat_operator,
    ACTIONS(10290), 1,
      sym_rel_operator,
    ACTIONS(10292), 1,
      sym_and_operator,
    ACTIONS(10294), 1,
      sym_or_operator,
    ACTIONS(10304), 1,
      anon_sym_COMMA,
    ACTIONS(10306), 1,
      sym_assign_operator,
    STATE(1900), 1,
      sym_add_operator,
    STATE(8128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10320), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10318), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [412595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10048), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10046), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [412645] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8130), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15291), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412739] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8131), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(14884), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412833] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8132), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15317), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412927] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10322), 1,
      anon_sym_else,
    STATE(8126), 1,
      sym_else_clause,
    STATE(8133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [412981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10083), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10081), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [413031] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8135), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15323), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413125] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10324), 1,
      anon_sym_PIPE,
    STATE(8136), 1,
      sym_attribute,
    STATE(8139), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [413179] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8137), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14559), 1,
      sym__tag_spec,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413273] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10324), 1,
      anon_sym_PIPE,
    STATE(8138), 1,
      sym_attribute,
    STATE(8139), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [413327] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10326), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8139), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [413379] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8140), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(15649), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413473] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8141), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15129), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413567] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8142), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(14760), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413661] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10265), 1,
      anon_sym_PIPE,
    STATE(8106), 1,
      aux_sym__match_cases_repeat1,
    STATE(8143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [413715] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10284), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      sym_mult_operator,
    ACTIONS(10288), 1,
      sym_concat_operator,
    ACTIONS(10290), 1,
      sym_rel_operator,
    ACTIONS(10292), 1,
      sym_and_operator,
    ACTIONS(10294), 1,
      sym_or_operator,
    ACTIONS(10304), 1,
      anon_sym_COMMA,
    ACTIONS(10306), 1,
      sym_assign_operator,
    ACTIONS(10333), 1,
      anon_sym_SEMI,
    STATE(1900), 1,
      sym_add_operator,
    STATE(8144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9112), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9110), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [413789] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8145), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15477), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413883] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8146), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14509), 1,
      sym__tag_spec,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413977] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10265), 1,
      anon_sym_PIPE,
    STATE(8107), 1,
      aux_sym__match_cases_repeat1,
    STATE(8147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [414031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10044), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10042), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [414081] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8149), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15501), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10337), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10335), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [414225] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8151), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15435), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10012), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10010), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [414369] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8153), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15183), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414463] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8154), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(14917), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10038), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10036), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [414607] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8156), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(14604), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414701] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3083), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3081), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [414751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [414801] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9110), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [414851] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8160), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15453), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414945] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10324), 1,
      anon_sym_PIPE,
    STATE(8136), 1,
      aux_sym__match_cases_repeat1,
    STATE(8161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [414999] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(8162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8254), 19,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [415051] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8163), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(15665), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415145] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8164), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(14871), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415239] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10324), 1,
      anon_sym_PIPE,
    STATE(8138), 1,
      aux_sym__match_cases_repeat1,
    STATE(8165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [415293] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8264), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [415343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10341), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10339), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [415393] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8168), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(15703), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10345), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10343), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [415537] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8170), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15472), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415631] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8272), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [415681] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8172), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15334), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9928), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9926), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [415825] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(8174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8254), 19,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [415877] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10284), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      sym_mult_operator,
    ACTIONS(10288), 1,
      sym_concat_operator,
    ACTIONS(10290), 1,
      sym_rel_operator,
    ACTIONS(10292), 1,
      sym_and_operator,
    ACTIONS(10294), 1,
      sym_or_operator,
    ACTIONS(10304), 1,
      anon_sym_COMMA,
    ACTIONS(10306), 1,
      sym_assign_operator,
    STATE(1900), 1,
      sym_add_operator,
    STATE(8175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10239), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10237), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [415949] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8284), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8286), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [415999] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [416049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10273), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [416099] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10351), 1,
      anon_sym_RPAREN,
    STATE(8179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10349), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10347), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
  [416151] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1952), 1,
      sym_add_operator,
    STATE(8180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [416203] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10241), 1,
      anon_sym_COMMA,
    ACTIONS(10243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10247), 1,
      sym_pow_operator,
    ACTIONS(10249), 1,
      sym_mult_operator,
    ACTIONS(10251), 1,
      sym_concat_operator,
    ACTIONS(10253), 1,
      sym_rel_operator,
    ACTIONS(10255), 1,
      sym_and_operator,
    ACTIONS(10257), 1,
      sym_or_operator,
    ACTIONS(10259), 1,
      sym_assign_operator,
    ACTIONS(10357), 1,
      anon_sym_SEMI,
    STATE(1952), 1,
      sym_add_operator,
    STATE(8181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9112), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9110), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [416277] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8182), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(15867), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10341), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10339), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [416421] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10125), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [416471] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8185), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(14680), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10361), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10359), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [416615] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8187), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15507), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416709] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8188), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(14809), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416803] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8189), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(15900), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416897] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10075), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10073), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [416947] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8191), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16392), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417041] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8192), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(14888), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3083), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3081), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [417185] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9972), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9970), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [417235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10069), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [417285] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10059), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10057), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [417335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10034), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10032), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [417385] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10247), 1,
      sym_pow_operator,
    ACTIONS(10249), 1,
      sym_mult_operator,
    ACTIONS(10251), 1,
      sym_concat_operator,
    ACTIONS(10253), 1,
      sym_rel_operator,
    ACTIONS(10255), 1,
      sym_and_operator,
    ACTIONS(10257), 1,
      sym_or_operator,
    STATE(1952), 1,
      sym_add_operator,
    STATE(8198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10280), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10278), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [417453] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10247), 1,
      sym_pow_operator,
    ACTIONS(10249), 1,
      sym_mult_operator,
    STATE(1952), 1,
      sym_add_operator,
    STATE(8199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [417513] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10247), 1,
      sym_pow_operator,
    STATE(1952), 1,
      sym_add_operator,
    STATE(8200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [417567] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10247), 1,
      sym_pow_operator,
    STATE(1952), 1,
      sym_add_operator,
    STATE(8201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [417621] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10247), 1,
      sym_pow_operator,
    ACTIONS(10249), 1,
      sym_mult_operator,
    ACTIONS(10251), 1,
      sym_concat_operator,
    STATE(1952), 1,
      sym_add_operator,
    STATE(8202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [417683] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10247), 1,
      sym_pow_operator,
    ACTIONS(10249), 1,
      sym_mult_operator,
    ACTIONS(10251), 1,
      sym_concat_operator,
    STATE(1952), 1,
      sym_add_operator,
    STATE(8203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [417745] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10247), 1,
      sym_pow_operator,
    ACTIONS(10249), 1,
      sym_mult_operator,
    ACTIONS(10251), 1,
      sym_concat_operator,
    ACTIONS(10253), 1,
      sym_rel_operator,
    ACTIONS(10255), 1,
      sym_and_operator,
    STATE(1952), 1,
      sym_add_operator,
    STATE(8204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10300), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [417811] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10247), 1,
      sym_pow_operator,
    ACTIONS(10249), 1,
      sym_mult_operator,
    ACTIONS(10251), 1,
      sym_concat_operator,
    ACTIONS(10253), 1,
      sym_rel_operator,
    ACTIONS(10255), 1,
      sym_and_operator,
    ACTIONS(10257), 1,
      sym_or_operator,
    STATE(1952), 1,
      sym_add_operator,
    STATE(8205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [417879] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10241), 1,
      anon_sym_COMMA,
    ACTIONS(10243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10247), 1,
      sym_pow_operator,
    ACTIONS(10249), 1,
      sym_mult_operator,
    ACTIONS(10251), 1,
      sym_concat_operator,
    ACTIONS(10253), 1,
      sym_rel_operator,
    ACTIONS(10255), 1,
      sym_and_operator,
    ACTIONS(10257), 1,
      sym_or_operator,
    ACTIONS(10259), 1,
      sym_assign_operator,
    STATE(1952), 1,
      sym_add_operator,
    STATE(8206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [417951] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10247), 1,
      sym_pow_operator,
    ACTIONS(10249), 1,
      sym_mult_operator,
    STATE(1952), 1,
      sym_add_operator,
    STATE(8207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [418007] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10241), 1,
      anon_sym_COMMA,
    ACTIONS(10243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10247), 1,
      sym_pow_operator,
    ACTIONS(10249), 1,
      sym_mult_operator,
    ACTIONS(10251), 1,
      sym_concat_operator,
    ACTIONS(10253), 1,
      sym_rel_operator,
    ACTIONS(10255), 1,
      sym_and_operator,
    ACTIONS(10257), 1,
      sym_or_operator,
    ACTIONS(10259), 1,
      sym_assign_operator,
    STATE(1952), 1,
      sym_add_operator,
    STATE(8208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10310), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10308), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [418079] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8209), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15521), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418173] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10363), 1,
      anon_sym_else,
    STATE(8126), 1,
      sym_else_clause,
    STATE(8210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [418227] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10241), 1,
      anon_sym_COMMA,
    ACTIONS(10243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10247), 1,
      sym_pow_operator,
    ACTIONS(10249), 1,
      sym_mult_operator,
    ACTIONS(10251), 1,
      sym_concat_operator,
    ACTIONS(10253), 1,
      sym_rel_operator,
    ACTIONS(10255), 1,
      sym_and_operator,
    ACTIONS(10257), 1,
      sym_or_operator,
    ACTIONS(10259), 1,
      sym_assign_operator,
    STATE(1952), 1,
      sym_add_operator,
    STATE(8211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10320), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10318), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [418299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10022), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10020), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [418349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10069), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [418399] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10363), 1,
      anon_sym_else,
    STATE(8214), 1,
      sym_attribute,
    STATE(8240), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [418453] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(9936), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9938), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8215), 1,
      sym_attribute,
    STATE(8893), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10371), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10369), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [418513] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8216), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16093), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418607] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8217), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14425), 1,
      sym__tag_spec,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418701] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8218), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15321), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418795] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8219), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(15721), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418889] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8220), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16120), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418983] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1900), 1,
      sym_add_operator,
    STATE(8221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [419035] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8222), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(14728), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419129] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8223), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16404), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419223] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10316), 1,
      anon_sym_else,
    STATE(8224), 1,
      sym_attribute,
    STATE(8240), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [419277] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8225), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14412), 1,
      sym__tag_spec,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10048), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10046), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [419421] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8227), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16428), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419515] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8228), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(15779), 1,
      sym__tag_spec,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419609] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10016), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10014), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [419659] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10373), 1,
      anon_sym_else,
    STATE(8230), 1,
      sym_attribute,
    STATE(8240), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [419713] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8231), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15554), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419807] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10322), 1,
      anon_sym_else,
    STATE(8232), 1,
      sym_attribute,
    STATE(8240), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [419861] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8233), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14489), 1,
      sym__tag_spec,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419955] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8234), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15098), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420049] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8235), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14565), 1,
      sym__tag_spec,
    STATE(14574), 1,
      sym_tag,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10079), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10077), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [420193] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8237), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15117), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420287] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8238), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15568), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10012), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10010), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [420431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10139), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10137), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [420481] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8241), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15266), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10139), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10137), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [420625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10075), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10073), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [420675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10059), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10057), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [420725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10145), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10143), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [420775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10155), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10153), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [420825] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10079), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10077), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [420875] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9928), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9926), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [420925] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9088), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [420975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10145), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10143), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [421025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10159), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10157), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [421075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10083), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10081), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [421125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9102), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [421175] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8254), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15186), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421269] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8255), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(14706), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10125), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [421413] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8257), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15203), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10273), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [421557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10377), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10375), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [421607] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10361), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10359), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [421657] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8261), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15345), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421751] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10373), 1,
      anon_sym_else,
    STATE(8126), 1,
      sym_else_clause,
    STATE(8262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [421805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10163), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10161), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [421855] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8264), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15250), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421949] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8265), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(14892), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422043] = 27,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(9754), 1,
      aux_sym_tag_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8266), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(14574), 1,
      sym_tag,
    STATE(15376), 1,
      sym__tag_spec,
    STATE(15621), 1,
      sym_tag_specification,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10377), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10375), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [422187] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10349), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10347), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
  [422236] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10379), 1,
      anon_sym_PIPE,
    STATE(8269), 1,
      sym_attribute,
    STATE(8271), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [422289] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10379), 1,
      anon_sym_PIPE,
    STATE(8270), 1,
      sym_attribute,
    STATE(8271), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [422342] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10381), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8271), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [422393] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10384), 1,
      anon_sym_else,
    STATE(8240), 1,
      sym_else_clause,
    STATE(8272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [422446] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10386), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10388), 1,
      sym_pow_operator,
    ACTIONS(10390), 1,
      sym_mult_operator,
    ACTIONS(10392), 1,
      sym_concat_operator,
    ACTIONS(10394), 1,
      sym_rel_operator,
    ACTIONS(10396), 1,
      sym_and_operator,
    ACTIONS(10398), 1,
      sym_or_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(8273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [422513] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10388), 1,
      sym_pow_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(8274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [422566] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10400), 1,
      anon_sym_COMMA,
    ACTIONS(10402), 1,
      anon_sym_SEMI,
    ACTIONS(10404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10406), 1,
      sym_pow_operator,
    ACTIONS(10408), 1,
      sym_mult_operator,
    ACTIONS(10410), 1,
      sym_concat_operator,
    ACTIONS(10412), 1,
      sym_rel_operator,
    ACTIONS(10414), 1,
      sym_and_operator,
    ACTIONS(10416), 1,
      sym_or_operator,
    ACTIONS(10418), 1,
      sym_assign_operator,
    STATE(1906), 1,
      sym_add_operator,
    STATE(8275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9112), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9110), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [422639] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9824), 1,
      anon_sym_RPAREN,
    ACTIONS(10420), 1,
      anon_sym_module,
    ACTIONS(10422), 1,
      anon_sym_COLON_COLON,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8276), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14341), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422730] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10386), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10388), 1,
      sym_pow_operator,
    ACTIONS(10390), 1,
      sym_mult_operator,
    ACTIONS(10392), 1,
      sym_concat_operator,
    ACTIONS(10394), 1,
      sym_rel_operator,
    ACTIONS(10396), 1,
      sym_and_operator,
    ACTIONS(10398), 1,
      sym_or_operator,
    ACTIONS(10424), 1,
      anon_sym_COMMA,
    ACTIONS(10426), 1,
      sym_assign_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(8277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [422801] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1998), 1,
      sym_add_operator,
    STATE(8278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [422852] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10386), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10388), 1,
      sym_pow_operator,
    ACTIONS(10390), 1,
      sym_mult_operator,
    ACTIONS(10392), 1,
      sym_concat_operator,
    ACTIONS(10394), 1,
      sym_rel_operator,
    ACTIONS(10396), 1,
      sym_and_operator,
    ACTIONS(10398), 1,
      sym_or_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(8279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10280), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10278), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [422919] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2031), 1,
      sym_add_operator,
    STATE(8280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [422970] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10428), 1,
      anon_sym_PIPE,
    STATE(8281), 1,
      sym_attribute,
    STATE(8334), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [423023] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10386), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10388), 1,
      sym_pow_operator,
    ACTIONS(10390), 1,
      sym_mult_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(8282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [423082] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10430), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10432), 1,
      sym_pow_operator,
    ACTIONS(10434), 1,
      sym_mult_operator,
    ACTIONS(10436), 1,
      sym_concat_operator,
    ACTIONS(10438), 1,
      sym_rel_operator,
    ACTIONS(10440), 1,
      sym_and_operator,
    ACTIONS(10442), 1,
      sym_or_operator,
    STATE(2031), 1,
      sym_add_operator,
    STATE(8283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10280), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10278), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [423149] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10430), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10432), 1,
      sym_pow_operator,
    ACTIONS(10434), 1,
      sym_mult_operator,
    STATE(2031), 1,
      sym_add_operator,
    STATE(8284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [423208] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10428), 1,
      anon_sym_PIPE,
    STATE(8285), 1,
      sym_attribute,
    STATE(8335), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [423261] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10444), 1,
      anon_sym_PIPE,
    STATE(8286), 1,
      sym_attribute,
    STATE(8293), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [423314] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10444), 1,
      anon_sym_PIPE,
    STATE(8287), 1,
      sym_attribute,
    STATE(8355), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [423367] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10386), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10388), 1,
      sym_pow_operator,
    ACTIONS(10390), 1,
      sym_mult_operator,
    ACTIONS(10392), 1,
      sym_concat_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(8288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [423428] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10446), 1,
      anon_sym_COMMA,
    ACTIONS(10448), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10450), 1,
      sym_pow_operator,
    ACTIONS(10452), 1,
      sym_mult_operator,
    ACTIONS(10454), 1,
      sym_concat_operator,
    ACTIONS(10456), 1,
      sym_rel_operator,
    ACTIONS(10458), 1,
      sym_and_operator,
    ACTIONS(10460), 1,
      sym_or_operator,
    ACTIONS(10462), 1,
      sym_assign_operator,
    STATE(1998), 1,
      sym_add_operator,
    STATE(8289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10320), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10318), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [423499] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10464), 1,
      anon_sym_COLON,
    STATE(8290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8384), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8382), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [423550] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9856), 1,
      anon_sym_RPAREN,
    ACTIONS(10422), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10466), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8291), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14196), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [423641] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10468), 1,
      anon_sym_PIPE,
    STATE(8292), 1,
      sym_attribute,
    STATE(8344), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [423694] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10470), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8293), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [423745] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10444), 1,
      anon_sym_PIPE,
    STATE(8286), 1,
      aux_sym__match_cases_repeat1,
    STATE(8294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [423798] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10386), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10388), 1,
      sym_pow_operator,
    ACTIONS(10390), 1,
      sym_mult_operator,
    ACTIONS(10392), 1,
      sym_concat_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(8295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [423859] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10384), 1,
      anon_sym_else,
    STATE(8126), 1,
      sym_else_clause,
    STATE(8296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [423912] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10406), 1,
      sym_pow_operator,
    ACTIONS(10408), 1,
      sym_mult_operator,
    ACTIONS(10410), 1,
      sym_concat_operator,
    ACTIONS(10412), 1,
      sym_rel_operator,
    ACTIONS(10414), 1,
      sym_and_operator,
    ACTIONS(10416), 1,
      sym_or_operator,
    STATE(1906), 1,
      sym_add_operator,
    STATE(8297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10280), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10278), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [423979] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10386), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10388), 1,
      sym_pow_operator,
    ACTIONS(10390), 1,
      sym_mult_operator,
    ACTIONS(10392), 1,
      sym_concat_operator,
    ACTIONS(10394), 1,
      sym_rel_operator,
    ACTIONS(10396), 1,
      sym_and_operator,
    ACTIONS(10398), 1,
      sym_or_operator,
    ACTIONS(10424), 1,
      anon_sym_COMMA,
    ACTIONS(10426), 1,
      sym_assign_operator,
    ACTIONS(10473), 1,
      anon_sym_SEMI,
    STATE(2086), 1,
      sym_add_operator,
    STATE(8298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9112), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9110), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [424052] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10475), 1,
      anon_sym_else,
    STATE(8240), 1,
      sym_else_clause,
    STATE(8299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [424105] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10450), 1,
      sym_pow_operator,
    STATE(1998), 1,
      sym_add_operator,
    STATE(8300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [424158] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10468), 1,
      anon_sym_PIPE,
    STATE(8301), 1,
      sym_attribute,
    STATE(8346), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [424211] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10432), 1,
      sym_pow_operator,
    STATE(2031), 1,
      sym_add_operator,
    STATE(8302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [424264] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10379), 1,
      anon_sym_PIPE,
    STATE(8269), 1,
      aux_sym__match_cases_repeat1,
    STATE(8303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [424317] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9804), 1,
      anon_sym_RPAREN,
    ACTIONS(10422), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10477), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8304), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14337), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424408] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10379), 1,
      anon_sym_PIPE,
    STATE(8270), 1,
      aux_sym__match_cases_repeat1,
    STATE(8305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [424461] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10406), 1,
      sym_pow_operator,
    ACTIONS(10408), 1,
      sym_mult_operator,
    STATE(1906), 1,
      sym_add_operator,
    STATE(8306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [424520] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10450), 1,
      sym_pow_operator,
    ACTIONS(10452), 1,
      sym_mult_operator,
    STATE(1998), 1,
      sym_add_operator,
    STATE(8307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [424575] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10446), 1,
      anon_sym_COMMA,
    ACTIONS(10448), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10450), 1,
      sym_pow_operator,
    ACTIONS(10452), 1,
      sym_mult_operator,
    ACTIONS(10454), 1,
      sym_concat_operator,
    ACTIONS(10456), 1,
      sym_rel_operator,
    ACTIONS(10458), 1,
      sym_and_operator,
    ACTIONS(10460), 1,
      sym_or_operator,
    ACTIONS(10462), 1,
      sym_assign_operator,
    STATE(1998), 1,
      sym_add_operator,
    STATE(8308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10310), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10308), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [424646] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10432), 1,
      sym_pow_operator,
    STATE(2031), 1,
      sym_add_operator,
    STATE(8309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [424699] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10406), 1,
      sym_pow_operator,
    STATE(1906), 1,
      sym_add_operator,
    STATE(8310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [424752] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10406), 1,
      sym_pow_operator,
    STATE(1906), 1,
      sym_add_operator,
    STATE(8311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [424805] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10386), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10388), 1,
      sym_pow_operator,
    ACTIONS(10390), 1,
      sym_mult_operator,
    ACTIONS(10392), 1,
      sym_concat_operator,
    ACTIONS(10394), 1,
      sym_rel_operator,
    ACTIONS(10396), 1,
      sym_and_operator,
    ACTIONS(10398), 1,
      sym_or_operator,
    ACTIONS(10424), 1,
      anon_sym_COMMA,
    ACTIONS(10426), 1,
      sym_assign_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(8312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10320), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10318), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [424876] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10406), 1,
      sym_pow_operator,
    ACTIONS(10408), 1,
      sym_mult_operator,
    ACTIONS(10410), 1,
      sym_concat_operator,
    STATE(1906), 1,
      sym_add_operator,
    STATE(8313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [424937] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10446), 1,
      anon_sym_COMMA,
    ACTIONS(10448), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10450), 1,
      sym_pow_operator,
    ACTIONS(10452), 1,
      sym_mult_operator,
    ACTIONS(10454), 1,
      sym_concat_operator,
    ACTIONS(10456), 1,
      sym_rel_operator,
    ACTIONS(10458), 1,
      sym_and_operator,
    ACTIONS(10460), 1,
      sym_or_operator,
    ACTIONS(10462), 1,
      sym_assign_operator,
    ACTIONS(10479), 1,
      anon_sym_SEMI,
    STATE(1998), 1,
      sym_add_operator,
    STATE(8314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9112), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9110), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [425010] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10430), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10432), 1,
      sym_pow_operator,
    ACTIONS(10434), 1,
      sym_mult_operator,
    ACTIONS(10436), 1,
      sym_concat_operator,
    STATE(2031), 1,
      sym_add_operator,
    STATE(8315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [425071] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10448), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10450), 1,
      sym_pow_operator,
    ACTIONS(10452), 1,
      sym_mult_operator,
    ACTIONS(10454), 1,
      sym_concat_operator,
    STATE(1998), 1,
      sym_add_operator,
    STATE(8316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [425132] = 26,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9836), 1,
      anon_sym_RPAREN,
    ACTIONS(10422), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10481), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8317), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14307), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [425223] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10406), 1,
      sym_pow_operator,
    ACTIONS(10408), 1,
      sym_mult_operator,
    ACTIONS(10410), 1,
      sym_concat_operator,
    STATE(1906), 1,
      sym_add_operator,
    STATE(8318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [425284] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10406), 1,
      sym_pow_operator,
    ACTIONS(10408), 1,
      sym_mult_operator,
    ACTIONS(10410), 1,
      sym_concat_operator,
    ACTIONS(10412), 1,
      sym_rel_operator,
    ACTIONS(10414), 1,
      sym_and_operator,
    STATE(1906), 1,
      sym_add_operator,
    STATE(8319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10300), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [425349] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10388), 1,
      sym_pow_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(8320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [425402] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2086), 1,
      sym_add_operator,
    STATE(8321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [425453] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10448), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10450), 1,
      sym_pow_operator,
    ACTIONS(10452), 1,
      sym_mult_operator,
    ACTIONS(10454), 1,
      sym_concat_operator,
    ACTIONS(10456), 1,
      sym_rel_operator,
    ACTIONS(10458), 1,
      sym_and_operator,
    STATE(1998), 1,
      sym_add_operator,
    STATE(8322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10300), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [425518] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10430), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10432), 1,
      sym_pow_operator,
    ACTIONS(10434), 1,
      sym_mult_operator,
    ACTIONS(10436), 1,
      sym_concat_operator,
    STATE(2031), 1,
      sym_add_operator,
    STATE(8323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [425579] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10400), 1,
      anon_sym_COMMA,
    ACTIONS(10404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10406), 1,
      sym_pow_operator,
    ACTIONS(10408), 1,
      sym_mult_operator,
    ACTIONS(10410), 1,
      sym_concat_operator,
    ACTIONS(10412), 1,
      sym_rel_operator,
    ACTIONS(10414), 1,
      sym_and_operator,
    ACTIONS(10416), 1,
      sym_or_operator,
    ACTIONS(10418), 1,
      sym_assign_operator,
    STATE(1906), 1,
      sym_add_operator,
    STATE(8324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10320), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10318), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [425650] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10406), 1,
      sym_pow_operator,
    ACTIONS(10408), 1,
      sym_mult_operator,
    ACTIONS(10410), 1,
      sym_concat_operator,
    ACTIONS(10412), 1,
      sym_rel_operator,
    ACTIONS(10414), 1,
      sym_and_operator,
    ACTIONS(10416), 1,
      sym_or_operator,
    STATE(1906), 1,
      sym_add_operator,
    STATE(8325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [425717] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10400), 1,
      anon_sym_COMMA,
    ACTIONS(10404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10406), 1,
      sym_pow_operator,
    ACTIONS(10408), 1,
      sym_mult_operator,
    ACTIONS(10410), 1,
      sym_concat_operator,
    ACTIONS(10412), 1,
      sym_rel_operator,
    ACTIONS(10414), 1,
      sym_and_operator,
    ACTIONS(10416), 1,
      sym_or_operator,
    ACTIONS(10418), 1,
      sym_assign_operator,
    STATE(1906), 1,
      sym_add_operator,
    STATE(8326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [425788] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10406), 1,
      sym_pow_operator,
    ACTIONS(10408), 1,
      sym_mult_operator,
    STATE(1906), 1,
      sym_add_operator,
    STATE(8327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [425843] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10430), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10432), 1,
      sym_pow_operator,
    ACTIONS(10434), 1,
      sym_mult_operator,
    ACTIONS(10436), 1,
      sym_concat_operator,
    ACTIONS(10438), 1,
      sym_rel_operator,
    ACTIONS(10440), 1,
      sym_and_operator,
    STATE(2031), 1,
      sym_add_operator,
    STATE(8328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10300), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [425908] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10485), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10483), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
  [425957] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10400), 1,
      anon_sym_COMMA,
    ACTIONS(10404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10406), 1,
      sym_pow_operator,
    ACTIONS(10408), 1,
      sym_mult_operator,
    ACTIONS(10410), 1,
      sym_concat_operator,
    ACTIONS(10412), 1,
      sym_rel_operator,
    ACTIONS(10414), 1,
      sym_and_operator,
    ACTIONS(10416), 1,
      sym_or_operator,
    ACTIONS(10418), 1,
      sym_assign_operator,
    STATE(1906), 1,
      sym_add_operator,
    STATE(8330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10310), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10308), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [426028] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10388), 1,
      sym_pow_operator,
    ACTIONS(10390), 1,
      sym_mult_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(8331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [426083] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10430), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10432), 1,
      sym_pow_operator,
    ACTIONS(10434), 1,
      sym_mult_operator,
    ACTIONS(10436), 1,
      sym_concat_operator,
    ACTIONS(10438), 1,
      sym_rel_operator,
    ACTIONS(10440), 1,
      sym_and_operator,
    ACTIONS(10442), 1,
      sym_or_operator,
    STATE(2031), 1,
      sym_add_operator,
    STATE(8332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [426150] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10430), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10432), 1,
      sym_pow_operator,
    ACTIONS(10434), 1,
      sym_mult_operator,
    ACTIONS(10436), 1,
      sym_concat_operator,
    ACTIONS(10438), 1,
      sym_rel_operator,
    ACTIONS(10440), 1,
      sym_and_operator,
    ACTIONS(10442), 1,
      sym_or_operator,
    ACTIONS(10487), 1,
      anon_sym_COMMA,
    ACTIONS(10489), 1,
      sym_assign_operator,
    STATE(2031), 1,
      sym_add_operator,
    STATE(8333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [426221] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10428), 1,
      anon_sym_PIPE,
    STATE(8334), 1,
      sym_attribute,
    STATE(8336), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [426274] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10428), 1,
      anon_sym_PIPE,
    STATE(8335), 1,
      sym_attribute,
    STATE(8336), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [426327] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10491), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8336), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [426378] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10386), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10388), 1,
      sym_pow_operator,
    ACTIONS(10390), 1,
      sym_mult_operator,
    ACTIONS(10392), 1,
      sym_concat_operator,
    ACTIONS(10394), 1,
      sym_rel_operator,
    ACTIONS(10396), 1,
      sym_and_operator,
    ACTIONS(10398), 1,
      sym_or_operator,
    ACTIONS(10424), 1,
      anon_sym_COMMA,
    ACTIONS(10426), 1,
      sym_assign_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(8337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10310), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10308), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [426449] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10450), 1,
      sym_pow_operator,
    STATE(1998), 1,
      sym_add_operator,
    STATE(8338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [426502] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1906), 1,
      sym_add_operator,
    STATE(8339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [426553] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10448), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10450), 1,
      sym_pow_operator,
    ACTIONS(10452), 1,
      sym_mult_operator,
    ACTIONS(10454), 1,
      sym_concat_operator,
    ACTIONS(10456), 1,
      sym_rel_operator,
    ACTIONS(10458), 1,
      sym_and_operator,
    ACTIONS(10460), 1,
      sym_or_operator,
    STATE(1998), 1,
      sym_add_operator,
    STATE(8340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [426620] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10432), 1,
      sym_pow_operator,
    ACTIONS(10434), 1,
      sym_mult_operator,
    STATE(2031), 1,
      sym_add_operator,
    STATE(8341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [426675] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10448), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10450), 1,
      sym_pow_operator,
    ACTIONS(10452), 1,
      sym_mult_operator,
    ACTIONS(10454), 1,
      sym_concat_operator,
    STATE(1998), 1,
      sym_add_operator,
    STATE(8342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [426736] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10494), 1,
      anon_sym_else,
    STATE(8240), 1,
      sym_else_clause,
    STATE(8343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [426789] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10468), 1,
      anon_sym_PIPE,
    STATE(8344), 1,
      sym_attribute,
    STATE(8352), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [426842] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10446), 1,
      anon_sym_COMMA,
    ACTIONS(10448), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10450), 1,
      sym_pow_operator,
    ACTIONS(10452), 1,
      sym_mult_operator,
    ACTIONS(10454), 1,
      sym_concat_operator,
    ACTIONS(10456), 1,
      sym_rel_operator,
    ACTIONS(10458), 1,
      sym_and_operator,
    ACTIONS(10460), 1,
      sym_or_operator,
    ACTIONS(10462), 1,
      sym_assign_operator,
    STATE(1998), 1,
      sym_add_operator,
    STATE(8345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10239), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10237), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [426913] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10468), 1,
      anon_sym_PIPE,
    STATE(8346), 1,
      sym_attribute,
    STATE(8352), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [426966] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10386), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10388), 1,
      sym_pow_operator,
    ACTIONS(10390), 1,
      sym_mult_operator,
    ACTIONS(10392), 1,
      sym_concat_operator,
    ACTIONS(10394), 1,
      sym_rel_operator,
    ACTIONS(10396), 1,
      sym_and_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(8347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10300), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [427031] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10430), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10432), 1,
      sym_pow_operator,
    ACTIONS(10434), 1,
      sym_mult_operator,
    ACTIONS(10436), 1,
      sym_concat_operator,
    ACTIONS(10438), 1,
      sym_rel_operator,
    ACTIONS(10440), 1,
      sym_and_operator,
    ACTIONS(10442), 1,
      sym_or_operator,
    ACTIONS(10487), 1,
      anon_sym_COMMA,
    ACTIONS(10489), 1,
      sym_assign_operator,
    STATE(2031), 1,
      sym_add_operator,
    STATE(8348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10310), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10308), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [427102] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10446), 1,
      anon_sym_COMMA,
    ACTIONS(10448), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10450), 1,
      sym_pow_operator,
    ACTIONS(10452), 1,
      sym_mult_operator,
    ACTIONS(10454), 1,
      sym_concat_operator,
    ACTIONS(10456), 1,
      sym_rel_operator,
    ACTIONS(10458), 1,
      sym_and_operator,
    ACTIONS(10460), 1,
      sym_or_operator,
    ACTIONS(10462), 1,
      sym_assign_operator,
    STATE(1998), 1,
      sym_add_operator,
    STATE(8349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [427173] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10351), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10496), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
  [427222] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10475), 1,
      anon_sym_else,
    STATE(8126), 1,
      sym_else_clause,
    STATE(8351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [427275] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10498), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8352), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [427326] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10430), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10432), 1,
      sym_pow_operator,
    ACTIONS(10434), 1,
      sym_mult_operator,
    ACTIONS(10436), 1,
      sym_concat_operator,
    ACTIONS(10438), 1,
      sym_rel_operator,
    ACTIONS(10440), 1,
      sym_and_operator,
    ACTIONS(10442), 1,
      sym_or_operator,
    ACTIONS(10487), 1,
      anon_sym_COMMA,
    ACTIONS(10489), 1,
      sym_assign_operator,
    ACTIONS(10501), 1,
      anon_sym_SEMI,
    STATE(2031), 1,
      sym_add_operator,
    STATE(8353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9112), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9110), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [427399] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10494), 1,
      anon_sym_else,
    STATE(8126), 1,
      sym_else_clause,
    STATE(8354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [427452] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10444), 1,
      anon_sym_PIPE,
    STATE(8293), 1,
      aux_sym__match_cases_repeat1,
    STATE(8355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [427505] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10430), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10432), 1,
      sym_pow_operator,
    ACTIONS(10434), 1,
      sym_mult_operator,
    ACTIONS(10436), 1,
      sym_concat_operator,
    ACTIONS(10438), 1,
      sym_rel_operator,
    ACTIONS(10440), 1,
      sym_and_operator,
    ACTIONS(10442), 1,
      sym_or_operator,
    ACTIONS(10487), 1,
      anon_sym_COMMA,
    ACTIONS(10489), 1,
      sym_assign_operator,
    STATE(2031), 1,
      sym_add_operator,
    STATE(8356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10320), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10318), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [427576] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10448), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10450), 1,
      sym_pow_operator,
    ACTIONS(10452), 1,
      sym_mult_operator,
    ACTIONS(10454), 1,
      sym_concat_operator,
    ACTIONS(10456), 1,
      sym_rel_operator,
    ACTIONS(10458), 1,
      sym_and_operator,
    ACTIONS(10460), 1,
      sym_or_operator,
    STATE(1998), 1,
      sym_add_operator,
    STATE(8357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10280), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10278), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [427643] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10448), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10450), 1,
      sym_pow_operator,
    ACTIONS(10452), 1,
      sym_mult_operator,
    STATE(1998), 1,
      sym_add_operator,
    STATE(8358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [427702] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10430), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10432), 1,
      sym_pow_operator,
    ACTIONS(10434), 1,
      sym_mult_operator,
    ACTIONS(10436), 1,
      sym_concat_operator,
    ACTIONS(10438), 1,
      sym_rel_operator,
    ACTIONS(10440), 1,
      sym_and_operator,
    ACTIONS(10442), 1,
      sym_or_operator,
    ACTIONS(10487), 1,
      anon_sym_COMMA,
    ACTIONS(10489), 1,
      sym_assign_operator,
    STATE(2031), 1,
      sym_add_operator,
    STATE(8359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10239), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10237), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [427773] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10503), 1,
      anon_sym_else,
    STATE(8126), 1,
      sym_else_clause,
    STATE(8360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [427826] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10503), 1,
      anon_sym_else,
    STATE(8240), 1,
      sym_else_clause,
    STATE(8361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [427879] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [427927] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10386), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10388), 1,
      sym_pow_operator,
    ACTIONS(10390), 1,
      sym_mult_operator,
    ACTIONS(10392), 1,
      sym_concat_operator,
    ACTIONS(10394), 1,
      sym_rel_operator,
    ACTIONS(10396), 1,
      sym_and_operator,
    ACTIONS(10398), 1,
      sym_or_operator,
    ACTIONS(10424), 1,
      anon_sym_COMMA,
    ACTIONS(10426), 1,
      sym_assign_operator,
    ACTIONS(10505), 1,
      anon_sym_SEMI,
    STATE(2086), 1,
      sym_add_operator,
    STATE(8363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9112), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9110), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [427999] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10507), 1,
      anon_sym_COMMA,
    ACTIONS(10509), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10511), 1,
      sym_pow_operator,
    ACTIONS(10513), 1,
      sym_mult_operator,
    ACTIONS(10515), 1,
      sym_concat_operator,
    ACTIONS(10517), 1,
      sym_rel_operator,
    ACTIONS(10519), 1,
      sym_and_operator,
    ACTIONS(10521), 1,
      sym_or_operator,
    ACTIONS(10523), 1,
      sym_assign_operator,
    STATE(2252), 1,
      sym_add_operator,
    STATE(8364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [428069] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10525), 1,
      anon_sym_COMMA,
    ACTIONS(10527), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10529), 1,
      sym_pow_operator,
    ACTIONS(10531), 1,
      sym_mult_operator,
    ACTIONS(10533), 1,
      sym_concat_operator,
    ACTIONS(10535), 1,
      sym_rel_operator,
    ACTIONS(10537), 1,
      sym_and_operator,
    ACTIONS(10539), 1,
      sym_or_operator,
    ACTIONS(10541), 1,
      sym_assign_operator,
    STATE(1842), 1,
      sym_add_operator,
    STATE(8365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10320), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10318), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [428139] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(35), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(119), 1,
      aux_sym_directive_token1,
    ACTIONS(687), 1,
      anon_sym_RBRACK,
    ACTIONS(10543), 1,
      anon_sym_let,
    ACTIONS(10545), 1,
      anon_sym_type,
    ACTIONS(10547), 1,
      anon_sym_exception,
    ACTIONS(10549), 1,
      anon_sym_module,
    ACTIONS(10551), 1,
      anon_sym_include,
    ACTIONS(10553), 1,
      anon_sym_class,
    ACTIONS(10555), 1,
      sym_let_operator,
    STATE(103), 1,
      aux_sym__structure_repeat1,
    STATE(8084), 1,
      sym_directive,
    STATE(8366), 1,
      sym_attribute,
    STATE(8402), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12466), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12418), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [428223] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10529), 1,
      sym_pow_operator,
    STATE(1842), 1,
      sym_add_operator,
    STATE(8367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [428275] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(8368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8254), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [428325] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10527), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10529), 1,
      sym_pow_operator,
    ACTIONS(10531), 1,
      sym_mult_operator,
    ACTIONS(10533), 1,
      sym_concat_operator,
    STATE(1842), 1,
      sym_add_operator,
    STATE(8369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [428385] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10400), 1,
      anon_sym_COMMA,
    ACTIONS(10404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10406), 1,
      sym_pow_operator,
    ACTIONS(10408), 1,
      sym_mult_operator,
    ACTIONS(10410), 1,
      sym_concat_operator,
    ACTIONS(10412), 1,
      sym_rel_operator,
    ACTIONS(10414), 1,
      sym_and_operator,
    ACTIONS(10416), 1,
      sym_or_operator,
    ACTIONS(10418), 1,
      sym_assign_operator,
    ACTIONS(10557), 1,
      anon_sym_SEMI,
    STATE(1906), 1,
      sym_add_operator,
    STATE(8370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9112), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9110), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [428457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9576), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9574), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [428505] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(513), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(575), 1,
      aux_sym_directive_token1,
    ACTIONS(687), 1,
      anon_sym_end,
    ACTIONS(10551), 1,
      anon_sym_include,
    ACTIONS(10559), 1,
      anon_sym_let,
    ACTIONS(10561), 1,
      anon_sym_type,
    ACTIONS(10563), 1,
      anon_sym_exception,
    ACTIONS(10565), 1,
      anon_sym_module,
    ACTIONS(10567), 1,
      anon_sym_class,
    ACTIONS(10569), 1,
      sym_let_operator,
    STATE(100), 1,
      aux_sym__structure_repeat1,
    STATE(7881), 1,
      sym_directive,
    STATE(8372), 1,
      sym_attribute,
    STATE(8420), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12466), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12418), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [428589] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10571), 1,
      anon_sym_PIPE,
    STATE(8373), 1,
      sym_attribute,
    STATE(8387), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [428641] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10527), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10529), 1,
      sym_pow_operator,
    ACTIONS(10531), 1,
      sym_mult_operator,
    STATE(1842), 1,
      sym_add_operator,
    STATE(8374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [428699] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10509), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10511), 1,
      sym_pow_operator,
    ACTIONS(10513), 1,
      sym_mult_operator,
    ACTIONS(10515), 1,
      sym_concat_operator,
    ACTIONS(10517), 1,
      sym_rel_operator,
    ACTIONS(10519), 1,
      sym_and_operator,
    ACTIONS(10521), 1,
      sym_or_operator,
    STATE(2252), 1,
      sym_add_operator,
    STATE(8375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [428765] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10527), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10529), 1,
      sym_pow_operator,
    ACTIONS(10531), 1,
      sym_mult_operator,
    ACTIONS(10533), 1,
      sym_concat_operator,
    ACTIONS(10535), 1,
      sym_rel_operator,
    ACTIONS(10537), 1,
      sym_and_operator,
    ACTIONS(10539), 1,
      sym_or_operator,
    STATE(1842), 1,
      sym_add_operator,
    STATE(8376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10280), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10278), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [428831] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1842), 1,
      sym_add_operator,
    STATE(8377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [428881] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10529), 1,
      sym_pow_operator,
    STATE(1842), 1,
      sym_add_operator,
    STATE(8378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [428933] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10525), 1,
      anon_sym_COMMA,
    ACTIONS(10527), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10529), 1,
      sym_pow_operator,
    ACTIONS(10531), 1,
      sym_mult_operator,
    ACTIONS(10533), 1,
      sym_concat_operator,
    ACTIONS(10535), 1,
      sym_rel_operator,
    ACTIONS(10537), 1,
      sym_and_operator,
    ACTIONS(10539), 1,
      sym_or_operator,
    ACTIONS(10541), 1,
      sym_assign_operator,
    STATE(1842), 1,
      sym_add_operator,
    STATE(8379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10310), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10308), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [429003] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(513), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(575), 1,
      aux_sym_directive_token1,
    ACTIONS(693), 1,
      anon_sym_end,
    ACTIONS(10551), 1,
      anon_sym_include,
    ACTIONS(10559), 1,
      anon_sym_let,
    ACTIONS(10561), 1,
      anon_sym_type,
    ACTIONS(10563), 1,
      anon_sym_exception,
    ACTIONS(10565), 1,
      anon_sym_module,
    ACTIONS(10567), 1,
      anon_sym_class,
    ACTIONS(10569), 1,
      sym_let_operator,
    STATE(97), 1,
      aux_sym__structure_repeat1,
    STATE(7881), 1,
      sym_directive,
    STATE(8372), 1,
      aux_sym__structure_repeat2,
    STATE(8380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12466), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12418), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [429087] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10527), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10529), 1,
      sym_pow_operator,
    ACTIONS(10531), 1,
      sym_mult_operator,
    ACTIONS(10533), 1,
      sym_concat_operator,
    ACTIONS(10535), 1,
      sym_rel_operator,
    ACTIONS(10537), 1,
      sym_and_operator,
    STATE(1842), 1,
      sym_add_operator,
    STATE(8381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10300), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [429151] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10571), 1,
      anon_sym_PIPE,
    STATE(8373), 1,
      aux_sym__match_cases_repeat1,
    STATE(8382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [429203] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10509), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10511), 1,
      sym_pow_operator,
    ACTIONS(10513), 1,
      sym_mult_operator,
    ACTIONS(10515), 1,
      sym_concat_operator,
    STATE(2252), 1,
      sym_add_operator,
    STATE(8383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [429263] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10571), 1,
      anon_sym_PIPE,
    STATE(8384), 1,
      sym_attribute,
    STATE(8387), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [429315] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10511), 1,
      sym_pow_operator,
    STATE(2252), 1,
      sym_add_operator,
    STATE(8385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [429367] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10527), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10529), 1,
      sym_pow_operator,
    ACTIONS(10531), 1,
      sym_mult_operator,
    ACTIONS(10533), 1,
      sym_concat_operator,
    STATE(1842), 1,
      sym_add_operator,
    STATE(8386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [429427] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10573), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8387), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [429477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9572), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9570), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [429525] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10511), 1,
      sym_pow_operator,
    ACTIONS(10513), 1,
      sym_mult_operator,
    STATE(2252), 1,
      sym_add_operator,
    STATE(8389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [429579] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2252), 1,
      sym_add_operator,
    STATE(8390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [429629] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10576), 1,
      anon_sym_PIPE,
    STATE(8391), 1,
      sym_attribute,
    STATE(8395), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [429681] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10525), 1,
      anon_sym_COMMA,
    ACTIONS(10527), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10529), 1,
      sym_pow_operator,
    ACTIONS(10531), 1,
      sym_mult_operator,
    ACTIONS(10533), 1,
      sym_concat_operator,
    ACTIONS(10535), 1,
      sym_rel_operator,
    ACTIONS(10537), 1,
      sym_and_operator,
    ACTIONS(10539), 1,
      sym_or_operator,
    ACTIONS(10541), 1,
      sym_assign_operator,
    STATE(1842), 1,
      sym_add_operator,
    STATE(8392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [429751] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10576), 1,
      anon_sym_PIPE,
    STATE(8393), 1,
      sym_attribute,
    STATE(8395), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [429803] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10529), 1,
      sym_pow_operator,
    ACTIONS(10531), 1,
      sym_mult_operator,
    STATE(1842), 1,
      sym_add_operator,
    STATE(8394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [429857] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10578), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8395), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [429907] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10576), 1,
      anon_sym_PIPE,
    STATE(8391), 1,
      aux_sym__match_cases_repeat1,
    STATE(8396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [429959] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(513), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(575), 1,
      aux_sym_directive_token1,
    ACTIONS(747), 1,
      anon_sym_end,
    ACTIONS(10551), 1,
      anon_sym_include,
    ACTIONS(10559), 1,
      anon_sym_let,
    ACTIONS(10561), 1,
      anon_sym_type,
    ACTIONS(10563), 1,
      anon_sym_exception,
    ACTIONS(10565), 1,
      anon_sym_module,
    ACTIONS(10567), 1,
      anon_sym_class,
    ACTIONS(10569), 1,
      sym_let_operator,
    STATE(99), 1,
      aux_sym__structure_repeat1,
    STATE(7881), 1,
      sym_directive,
    STATE(8397), 1,
      sym_attribute,
    STATE(8420), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12466), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12418), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [430043] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10525), 1,
      anon_sym_COMMA,
    ACTIONS(10527), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10529), 1,
      sym_pow_operator,
    ACTIONS(10531), 1,
      sym_mult_operator,
    ACTIONS(10533), 1,
      sym_concat_operator,
    ACTIONS(10535), 1,
      sym_rel_operator,
    ACTIONS(10537), 1,
      sym_and_operator,
    ACTIONS(10539), 1,
      sym_or_operator,
    ACTIONS(10541), 1,
      sym_assign_operator,
    ACTIONS(10581), 1,
      anon_sym_SEMI,
    STATE(1842), 1,
      sym_add_operator,
    STATE(8398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9112), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9110), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [430115] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10509), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10511), 1,
      sym_pow_operator,
    ACTIONS(10513), 1,
      sym_mult_operator,
    ACTIONS(10515), 1,
      sym_concat_operator,
    ACTIONS(10517), 1,
      sym_rel_operator,
    ACTIONS(10519), 1,
      sym_and_operator,
    STATE(2252), 1,
      sym_add_operator,
    STATE(8399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10300), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [430179] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8502), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8500), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [430227] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10571), 1,
      anon_sym_PIPE,
    STATE(8384), 1,
      aux_sym__match_cases_repeat1,
    STATE(8401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [430279] = 22,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10583), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10586), 1,
      anon_sym_let,
    ACTIONS(10589), 1,
      anon_sym_external,
    ACTIONS(10592), 1,
      anon_sym_type,
    ACTIONS(10595), 1,
      anon_sym_RBRACK,
    ACTIONS(10597), 1,
      anon_sym_exception,
    ACTIONS(10600), 1,
      anon_sym_module,
    ACTIONS(10603), 1,
      anon_sym_open,
    ACTIONS(10606), 1,
      anon_sym_include,
    ACTIONS(10609), 1,
      anon_sym_class,
    ACTIONS(10612), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(10615), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(10618), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10621), 1,
      sym_let_operator,
    ACTIONS(10624), 1,
      aux_sym_directive_token1,
    STATE(110), 1,
      aux_sym__structure_repeat1,
    STATE(8084), 1,
      sym_directive,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8402), 2,
      sym_attribute,
      aux_sym__structure_repeat2,
    STATE(12466), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12418), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [430361] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10507), 1,
      anon_sym_COMMA,
    ACTIONS(10509), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10511), 1,
      sym_pow_operator,
    ACTIONS(10513), 1,
      sym_mult_operator,
    ACTIONS(10515), 1,
      sym_concat_operator,
    ACTIONS(10517), 1,
      sym_rel_operator,
    ACTIONS(10519), 1,
      sym_and_operator,
    ACTIONS(10521), 1,
      sym_or_operator,
    ACTIONS(10523), 1,
      sym_assign_operator,
    STATE(2252), 1,
      sym_add_operator,
    STATE(8403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10310), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10308), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [430431] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(35), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(119), 1,
      aux_sym_directive_token1,
    ACTIONS(687), 1,
      anon_sym_RBRACK,
    ACTIONS(10543), 1,
      anon_sym_let,
    ACTIONS(10545), 1,
      anon_sym_type,
    ACTIONS(10547), 1,
      anon_sym_exception,
    ACTIONS(10549), 1,
      anon_sym_module,
    ACTIONS(10551), 1,
      anon_sym_include,
    ACTIONS(10553), 1,
      anon_sym_class,
    ACTIONS(10555), 1,
      sym_let_operator,
    STATE(103), 1,
      aux_sym__structure_repeat1,
    STATE(8084), 1,
      sym_directive,
    STATE(8404), 1,
      sym_attribute,
    STATE(8417), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12466), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12418), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [430515] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10507), 1,
      anon_sym_COMMA,
    ACTIONS(10509), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10511), 1,
      sym_pow_operator,
    ACTIONS(10513), 1,
      sym_mult_operator,
    ACTIONS(10515), 1,
      sym_concat_operator,
    ACTIONS(10517), 1,
      sym_rel_operator,
    ACTIONS(10519), 1,
      sym_and_operator,
    ACTIONS(10521), 1,
      sym_or_operator,
    ACTIONS(10523), 1,
      sym_assign_operator,
    ACTIONS(10627), 1,
      anon_sym_SEMI,
    STATE(2252), 1,
      sym_add_operator,
    STATE(8405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9112), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9110), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [430587] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(35), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(119), 1,
      aux_sym_directive_token1,
    ACTIONS(693), 1,
      anon_sym_RBRACK,
    ACTIONS(10543), 1,
      anon_sym_let,
    ACTIONS(10545), 1,
      anon_sym_type,
    ACTIONS(10547), 1,
      anon_sym_exception,
    ACTIONS(10549), 1,
      anon_sym_module,
    ACTIONS(10551), 1,
      anon_sym_include,
    ACTIONS(10553), 1,
      anon_sym_class,
    ACTIONS(10555), 1,
      sym_let_operator,
    STATE(98), 1,
      aux_sym__structure_repeat1,
    STATE(8084), 1,
      sym_directive,
    STATE(8366), 1,
      aux_sym__structure_repeat2,
    STATE(8406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12466), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12418), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [430671] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10527), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10529), 1,
      sym_pow_operator,
    ACTIONS(10531), 1,
      sym_mult_operator,
    ACTIONS(10533), 1,
      sym_concat_operator,
    ACTIONS(10535), 1,
      sym_rel_operator,
    ACTIONS(10537), 1,
      sym_and_operator,
    ACTIONS(10539), 1,
      sym_or_operator,
    STATE(1842), 1,
      sym_add_operator,
    STATE(8407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [430737] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10509), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10511), 1,
      sym_pow_operator,
    ACTIONS(10513), 1,
      sym_mult_operator,
    ACTIONS(10515), 1,
      sym_concat_operator,
    STATE(2252), 1,
      sym_add_operator,
    STATE(8408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [430797] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(8409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8254), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [430847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9568), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9566), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [430895] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10576), 1,
      anon_sym_PIPE,
    STATE(8393), 1,
      aux_sym__match_cases_repeat1,
    STATE(8411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [430947] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10507), 1,
      anon_sym_COMMA,
    ACTIONS(10509), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10511), 1,
      sym_pow_operator,
    ACTIONS(10513), 1,
      sym_mult_operator,
    ACTIONS(10515), 1,
      sym_concat_operator,
    ACTIONS(10517), 1,
      sym_rel_operator,
    ACTIONS(10519), 1,
      sym_and_operator,
    ACTIONS(10521), 1,
      sym_or_operator,
    ACTIONS(10523), 1,
      sym_assign_operator,
    STATE(2252), 1,
      sym_add_operator,
    STATE(8412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10320), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10318), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [431017] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(513), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(575), 1,
      aux_sym_directive_token1,
    ACTIONS(687), 1,
      anon_sym_end,
    ACTIONS(10551), 1,
      anon_sym_include,
    ACTIONS(10559), 1,
      anon_sym_let,
    ACTIONS(10561), 1,
      anon_sym_type,
    ACTIONS(10563), 1,
      anon_sym_exception,
    ACTIONS(10565), 1,
      anon_sym_module,
    ACTIONS(10567), 1,
      anon_sym_class,
    ACTIONS(10569), 1,
      sym_let_operator,
    STATE(100), 1,
      aux_sym__structure_repeat1,
    STATE(7881), 1,
      sym_directive,
    STATE(8397), 1,
      aux_sym__structure_repeat2,
    STATE(8413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12466), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12418), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [431101] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10509), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10511), 1,
      sym_pow_operator,
    ACTIONS(10513), 1,
      sym_mult_operator,
    ACTIONS(10515), 1,
      sym_concat_operator,
    ACTIONS(10517), 1,
      sym_rel_operator,
    ACTIONS(10519), 1,
      sym_and_operator,
    ACTIONS(10521), 1,
      sym_or_operator,
    STATE(2252), 1,
      sym_add_operator,
    STATE(8414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10280), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10278), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [431167] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10509), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10511), 1,
      sym_pow_operator,
    ACTIONS(10513), 1,
      sym_mult_operator,
    STATE(2252), 1,
      sym_add_operator,
    STATE(8415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [431225] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9564), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9562), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [431273] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(35), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(119), 1,
      aux_sym_directive_token1,
    ACTIONS(747), 1,
      anon_sym_RBRACK,
    ACTIONS(10543), 1,
      anon_sym_let,
    ACTIONS(10545), 1,
      anon_sym_type,
    ACTIONS(10547), 1,
      anon_sym_exception,
    ACTIONS(10549), 1,
      anon_sym_module,
    ACTIONS(10551), 1,
      anon_sym_include,
    ACTIONS(10553), 1,
      anon_sym_class,
    ACTIONS(10555), 1,
      sym_let_operator,
    STATE(104), 1,
      aux_sym__structure_repeat1,
    STATE(8084), 1,
      sym_directive,
    STATE(8402), 1,
      aux_sym__structure_repeat2,
    STATE(8417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12466), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12418), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [431357] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10511), 1,
      sym_pow_operator,
    STATE(2252), 1,
      sym_add_operator,
    STATE(8418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [431409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [431457] = 22,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10583), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10589), 1,
      anon_sym_external,
    ACTIONS(10595), 1,
      anon_sym_end,
    ACTIONS(10603), 1,
      anon_sym_open,
    ACTIONS(10606), 1,
      anon_sym_include,
    ACTIONS(10612), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(10615), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(10618), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10629), 1,
      anon_sym_let,
    ACTIONS(10632), 1,
      anon_sym_type,
    ACTIONS(10635), 1,
      anon_sym_exception,
    ACTIONS(10638), 1,
      anon_sym_module,
    ACTIONS(10641), 1,
      anon_sym_class,
    ACTIONS(10644), 1,
      sym_let_operator,
    ACTIONS(10647), 1,
      aux_sym_directive_token1,
    STATE(107), 1,
      aux_sym__structure_repeat1,
    STATE(7881), 1,
      sym_directive,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8420), 2,
      sym_attribute,
      aux_sym__structure_repeat2,
    STATE(12466), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12418), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [431539] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10481), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8421), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14307), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [431624] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10652), 1,
      sym_pow_operator,
    ACTIONS(10654), 1,
      sym_mult_operator,
    ACTIONS(10656), 1,
      sym_concat_operator,
    STATE(1924), 1,
      sym_add_operator,
    STATE(8422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [431683] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10658), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8423), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15269), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [431768] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10652), 1,
      sym_pow_operator,
    ACTIONS(10654), 1,
      sym_mult_operator,
    STATE(1924), 1,
      sym_add_operator,
    STATE(8424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [431821] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10660), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8425), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14342), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [431906] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10662), 1,
      sym__identifier,
    ACTIONS(10664), 1,
      anon_sym_LPAREN,
    ACTIONS(10666), 1,
      anon_sym_private,
    ACTIONS(10668), 1,
      anon_sym_LBRACK,
    ACTIONS(10670), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10672), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10674), 1,
      anon_sym_LT,
    ACTIONS(10676), 1,
      anon_sym_POUND,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10680), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10682), 1,
      aux_sym_type_variable_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8426), 1,
      sym_attribute,
    STATE(9119), 1,
      sym__simple_type,
    STATE(10374), 1,
      sym__tuple_type,
    STATE(10820), 1,
      sym__type,
    STATE(17370), 1,
      sym_extended_module_path,
    STATE(19167), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9755), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [431991] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10652), 1,
      sym_pow_operator,
    ACTIONS(10654), 1,
      sym_mult_operator,
    ACTIONS(10656), 1,
      sym_concat_operator,
    ACTIONS(10684), 1,
      anon_sym_COMMA,
    ACTIONS(10686), 1,
      sym_rel_operator,
    ACTIONS(10688), 1,
      sym_and_operator,
    ACTIONS(10690), 1,
      sym_or_operator,
    ACTIONS(10692), 1,
      sym_assign_operator,
    STATE(1924), 1,
      sym_add_operator,
    STATE(8427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10239), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10237), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [432060] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10466), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8428), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14196), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432145] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9458), 1,
      sym__identifier,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9476), 1,
      anon_sym_LT,
    ACTIONS(9478), 1,
      anon_sym_POUND,
    ACTIONS(9480), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9482), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9484), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10694), 1,
      anon_sym_LPAREN,
    ACTIONS(10696), 1,
      anon_sym_private,
    ACTIONS(10698), 1,
      anon_sym_LBRACK,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8429), 1,
      sym_attribute,
    STATE(9775), 1,
      sym__simple_type,
    STATE(10896), 1,
      sym__tuple_type,
    STATE(11477), 1,
      sym__type,
    STATE(17356), 1,
      sym_extended_module_path,
    STATE(19145), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9938), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432230] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10652), 1,
      sym_pow_operator,
    ACTIONS(10654), 1,
      sym_mult_operator,
    ACTIONS(10656), 1,
      sym_concat_operator,
    ACTIONS(10684), 1,
      anon_sym_COMMA,
    ACTIONS(10686), 1,
      sym_rel_operator,
    ACTIONS(10688), 1,
      sym_and_operator,
    ACTIONS(10690), 1,
      sym_or_operator,
    ACTIONS(10692), 1,
      sym_assign_operator,
    STATE(1924), 1,
      sym_add_operator,
    STATE(8430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10310), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10308), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [432299] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10700), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8431), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14312), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432384] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10702), 1,
      anon_sym_COMMA,
    ACTIONS(10704), 1,
      anon_sym_SEMI,
    ACTIONS(10706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10708), 1,
      sym_pow_operator,
    ACTIONS(10710), 1,
      sym_mult_operator,
    ACTIONS(10712), 1,
      sym_concat_operator,
    ACTIONS(10714), 1,
      sym_rel_operator,
    ACTIONS(10716), 1,
      sym_and_operator,
    ACTIONS(10718), 1,
      sym_or_operator,
    ACTIONS(10720), 1,
      sym_assign_operator,
    STATE(2142), 1,
      sym_add_operator,
    STATE(8432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9110), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [432455] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10722), 1,
      anon_sym_PIPE,
    STATE(8433), 1,
      sym_attribute,
    STATE(8467), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [432506] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10652), 1,
      sym_pow_operator,
    ACTIONS(10654), 1,
      sym_mult_operator,
    ACTIONS(10656), 1,
      sym_concat_operator,
    ACTIONS(10686), 1,
      sym_rel_operator,
    ACTIONS(10688), 1,
      sym_and_operator,
    STATE(1924), 1,
      sym_add_operator,
    STATE(8434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10300), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [432569] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10724), 1,
      anon_sym_PIPE,
    STATE(8435), 1,
      sym_attribute,
    STATE(8459), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [432620] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10726), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8436), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(16431), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432705] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10728), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8437), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14191), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432790] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10708), 1,
      sym_pow_operator,
    STATE(2142), 1,
      sym_add_operator,
    STATE(8438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [432841] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1924), 1,
      sym_add_operator,
    STATE(8439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [432890] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10708), 1,
      sym_pow_operator,
    ACTIONS(10710), 1,
      sym_mult_operator,
    ACTIONS(10712), 1,
      sym_concat_operator,
    ACTIONS(10714), 1,
      sym_rel_operator,
    ACTIONS(10716), 1,
      sym_and_operator,
    ACTIONS(10718), 1,
      sym_or_operator,
    STATE(2142), 1,
      sym_add_operator,
    STATE(8440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10280), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10278), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [432955] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8272), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [433002] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_else,
    STATE(8126), 1,
      sym_else_clause,
    STATE(8442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [433053] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(8443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 12,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8254), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [433102] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10732), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8444), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14263), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433187] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(8445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8254), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [433236] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10734), 1,
      sym__identifier,
    ACTIONS(10736), 1,
      anon_sym_LPAREN,
    ACTIONS(10738), 1,
      anon_sym_private,
    ACTIONS(10740), 1,
      anon_sym_LBRACK,
    ACTIONS(10742), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10744), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10746), 1,
      anon_sym_LT,
    ACTIONS(10748), 1,
      anon_sym_POUND,
    ACTIONS(10750), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10752), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10754), 1,
      aux_sym_type_variable_token1,
    STATE(8446), 1,
      sym_attribute,
    STATE(12698), 1,
      sym__simple_type,
    STATE(12860), 1,
      sym_tuple_type,
    STATE(13207), 1,
      sym__tuple_type,
    STATE(13335), 1,
      sym__type,
    STATE(17004), 1,
      sym_extended_module_path,
    STATE(17588), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12922), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12874), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433321] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(8447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8254), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [433370] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10756), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8448), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15753), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433455] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10758), 1,
      anon_sym_else,
    STATE(8126), 1,
      sym_else_clause,
    STATE(8449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [433506] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10760), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8450), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14160), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433591] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10762), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8451), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15787), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433676] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10764), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8452), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14295), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433761] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10766), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8453), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14186), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433846] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10768), 1,
      anon_sym_else,
    STATE(8126), 1,
      sym_else_clause,
    STATE(8454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [433897] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10770), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8455), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15393), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433982] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10652), 1,
      sym_pow_operator,
    ACTIONS(10654), 1,
      sym_mult_operator,
    ACTIONS(10656), 1,
      sym_concat_operator,
    ACTIONS(10684), 1,
      anon_sym_COMMA,
    ACTIONS(10686), 1,
      sym_rel_operator,
    ACTIONS(10688), 1,
      sym_and_operator,
    ACTIONS(10690), 1,
      sym_or_operator,
    ACTIONS(10692), 1,
      sym_assign_operator,
    STATE(1924), 1,
      sym_add_operator,
    STATE(8456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10320), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10318), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [434051] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10772), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8457), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15522), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434136] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10702), 1,
      anon_sym_COMMA,
    ACTIONS(10706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10708), 1,
      sym_pow_operator,
    ACTIONS(10710), 1,
      sym_mult_operator,
    ACTIONS(10712), 1,
      sym_concat_operator,
    ACTIONS(10714), 1,
      sym_rel_operator,
    ACTIONS(10716), 1,
      sym_and_operator,
    ACTIONS(10718), 1,
      sym_or_operator,
    ACTIONS(10720), 1,
      sym_assign_operator,
    STATE(2142), 1,
      sym_add_operator,
    STATE(8458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10320), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10318), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [434205] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8459), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [434254] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10722), 1,
      anon_sym_PIPE,
    STATE(8460), 1,
      sym_attribute,
    STATE(8465), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [434305] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9356), 1,
      sym__identifier,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9386), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10777), 1,
      anon_sym_LPAREN,
    ACTIONS(10779), 1,
      anon_sym_private,
    ACTIONS(10781), 1,
      anon_sym_LBRACK,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8461), 1,
      sym_attribute,
    STATE(9160), 1,
      sym__simple_type,
    STATE(10518), 1,
      sym__tuple_type,
    STATE(10675), 1,
      sym__type,
    STATE(17138), 1,
      sym_extended_module_path,
    STATE(19297), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9411), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434390] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9424), 1,
      sym__identifier,
    ACTIONS(9438), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9440), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9442), 1,
      anon_sym_LT,
    ACTIONS(9444), 1,
      anon_sym_POUND,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9450), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10783), 1,
      anon_sym_LPAREN,
    ACTIONS(10785), 1,
      anon_sym_private,
    ACTIONS(10787), 1,
      anon_sym_LBRACK,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8462), 1,
      sym_attribute,
    STATE(9037), 1,
      sym__simple_type,
    STATE(10486), 1,
      sym__tuple_type,
    STATE(10858), 1,
      sym__type,
    STATE(17261), 1,
      sym_extended_module_path,
    STATE(19806), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9434), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434475] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10764), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8463), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15204), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434560] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10702), 1,
      anon_sym_COMMA,
    ACTIONS(10706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10708), 1,
      sym_pow_operator,
    ACTIONS(10710), 1,
      sym_mult_operator,
    ACTIONS(10712), 1,
      sym_concat_operator,
    ACTIONS(10714), 1,
      sym_rel_operator,
    ACTIONS(10716), 1,
      sym_and_operator,
    ACTIONS(10718), 1,
      sym_or_operator,
    ACTIONS(10720), 1,
      sym_assign_operator,
    STATE(2142), 1,
      sym_add_operator,
    STATE(8464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10310), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10308), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [434629] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10722), 1,
      anon_sym_PIPE,
    STATE(8465), 1,
      sym_attribute,
    STATE(8467), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [434680] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10652), 1,
      sym_pow_operator,
    ACTIONS(10654), 1,
      sym_mult_operator,
    STATE(1924), 1,
      sym_add_operator,
    STATE(8466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [434737] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10789), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8467), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [434786] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9390), 1,
      sym__identifier,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10792), 1,
      anon_sym_LPAREN,
    ACTIONS(10794), 1,
      anon_sym_private,
    ACTIONS(10796), 1,
      anon_sym_LBRACK,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8468), 1,
      sym_attribute,
    STATE(9357), 1,
      sym__simple_type,
    STATE(10832), 1,
      sym__tuple_type,
    STATE(11003), 1,
      sym__type,
    STATE(17308), 1,
      sym_extended_module_path,
    STATE(19926), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9835), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434871] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10762), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8469), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14272), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434956] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10760), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8470), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15120), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435041] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10660), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8471), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15570), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435126] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10798), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8472), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15325), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435211] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10798), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8473), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14193), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435296] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2142), 1,
      sym_add_operator,
    STATE(8474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [435345] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_else,
    STATE(8240), 1,
      sym_else_clause,
    STATE(8475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [435396] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10724), 1,
      anon_sym_PIPE,
    STATE(8476), 1,
      sym_attribute,
    STATE(8524), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [435447] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10708), 1,
      sym_pow_operator,
    ACTIONS(10710), 1,
      sym_mult_operator,
    STATE(2142), 1,
      sym_add_operator,
    STATE(8477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [435500] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10800), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8478), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15634), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435585] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8479), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15482), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435670] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(8480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 12,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8254), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [435719] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8284), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8286), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [435766] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10802), 1,
      sym__identifier,
    ACTIONS(10804), 1,
      anon_sym_LPAREN,
    ACTIONS(10806), 1,
      anon_sym_private,
    ACTIONS(10808), 1,
      anon_sym_LBRACK,
    ACTIONS(10810), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10812), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10814), 1,
      anon_sym_LT,
    ACTIONS(10816), 1,
      anon_sym_POUND,
    ACTIONS(10818), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10820), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10822), 1,
      aux_sym_type_variable_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8482), 1,
      sym_attribute,
    STATE(8930), 1,
      sym__simple_type,
    STATE(9873), 1,
      sym__tuple_type,
    STATE(10150), 1,
      sym__type,
    STATE(16766), 1,
      sym_extended_module_path,
    STATE(18966), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9186), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435851] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    ACTIONS(10824), 1,
      anon_sym_AMP,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8483), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(13549), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435936] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10826), 1,
      sym__identifier,
    ACTIONS(10828), 1,
      anon_sym_LPAREN,
    ACTIONS(10830), 1,
      anon_sym_private,
    ACTIONS(10832), 1,
      anon_sym_LBRACK,
    ACTIONS(10834), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10836), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10838), 1,
      anon_sym_LT,
    ACTIONS(10840), 1,
      anon_sym_POUND,
    ACTIONS(10842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10844), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10846), 1,
      aux_sym_type_variable_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8484), 1,
      sym_attribute,
    STATE(8940), 1,
      sym__simple_type,
    STATE(10136), 1,
      sym__tuple_type,
    STATE(10407), 1,
      sym__type,
    STATE(17290), 1,
      sym_extended_module_path,
    STATE(18472), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9416), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436021] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10848), 1,
      sym__identifier,
    ACTIONS(10850), 1,
      anon_sym_LPAREN,
    ACTIONS(10852), 1,
      anon_sym_private,
    ACTIONS(10854), 1,
      anon_sym_LBRACK,
    ACTIONS(10856), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10858), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10860), 1,
      anon_sym_LT,
    ACTIONS(10862), 1,
      anon_sym_POUND,
    ACTIONS(10864), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10866), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10868), 1,
      aux_sym_type_variable_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8485), 1,
      sym_attribute,
    STATE(12855), 1,
      sym__simple_type,
    STATE(13436), 1,
      sym__tuple_type,
    STATE(13653), 1,
      sym__type,
    STATE(17190), 1,
      sym_extended_module_path,
    STATE(19845), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13113), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436106] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10870), 1,
      anon_sym_else,
    STATE(8126), 1,
      sym_else_clause,
    STATE(8486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [436157] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(8487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8254), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [436206] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10724), 1,
      anon_sym_PIPE,
    STATE(8435), 1,
      aux_sym__match_cases_repeat1,
    STATE(8488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [436257] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10477), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8489), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15511), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436342] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10708), 1,
      sym_pow_operator,
    STATE(2142), 1,
      sym_add_operator,
    STATE(8490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [436393] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10872), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8491), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14219), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436478] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8492), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14341), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436563] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10708), 1,
      sym_pow_operator,
    ACTIONS(10710), 1,
      sym_mult_operator,
    ACTIONS(10712), 1,
      sym_concat_operator,
    STATE(2142), 1,
      sym_add_operator,
    STATE(8493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [436622] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8494), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15903), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436707] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10758), 1,
      anon_sym_else,
    STATE(8240), 1,
      sym_else_clause,
    STATE(8495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [436758] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10708), 1,
      sym_pow_operator,
    ACTIONS(10710), 1,
      sym_mult_operator,
    ACTIONS(10712), 1,
      sym_concat_operator,
    STATE(2142), 1,
      sym_add_operator,
    STATE(8496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [436817] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10728), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8497), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(16123), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436902] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10481), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8498), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(16080), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436987] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10768), 1,
      anon_sym_else,
    STATE(8240), 1,
      sym_else_clause,
    STATE(8499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [437038] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10525), 1,
      anon_sym_COMMA,
    ACTIONS(10527), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10529), 1,
      sym_pow_operator,
    ACTIONS(10531), 1,
      sym_mult_operator,
    ACTIONS(10533), 1,
      sym_concat_operator,
    ACTIONS(10535), 1,
      sym_rel_operator,
    ACTIONS(10537), 1,
      sym_and_operator,
    ACTIONS(10539), 1,
      sym_or_operator,
    ACTIONS(10541), 1,
      sym_assign_operator,
    ACTIONS(10876), 1,
      anon_sym_SEMI,
    STATE(1842), 1,
      sym_add_operator,
    STATE(8500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9110), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [437109] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10722), 1,
      anon_sym_PIPE,
    STATE(8433), 1,
      aux_sym__match_cases_repeat1,
    STATE(8501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [437160] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10766), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8502), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15346), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437245] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10732), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8503), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15335), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437330] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8504), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14293), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437415] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10702), 1,
      anon_sym_COMMA,
    ACTIONS(10706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10708), 1,
      sym_pow_operator,
    ACTIONS(10710), 1,
      sym_mult_operator,
    ACTIONS(10712), 1,
      sym_concat_operator,
    ACTIONS(10714), 1,
      sym_rel_operator,
    ACTIONS(10716), 1,
      sym_and_operator,
    ACTIONS(10718), 1,
      sym_or_operator,
    ACTIONS(10720), 1,
      sym_assign_operator,
    STATE(2142), 1,
      sym_add_operator,
    STATE(8505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10239), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10237), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [437484] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10872), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8506), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15207), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437569] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10700), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8507), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15457), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437654] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10772), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8508), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14233), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437739] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10652), 1,
      sym_pow_operator,
    STATE(1924), 1,
      sym_add_operator,
    STATE(8509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [437790] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8242), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [437837] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10878), 1,
      anon_sym_COLON,
    STATE(8511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9550), 15,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9548), 16,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [437886] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(8512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8254), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [437935] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10652), 1,
      sym_pow_operator,
    STATE(1924), 1,
      sym_add_operator,
    STATE(8513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [437986] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10507), 1,
      anon_sym_COMMA,
    ACTIONS(10509), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10511), 1,
      sym_pow_operator,
    ACTIONS(10513), 1,
      sym_mult_operator,
    ACTIONS(10515), 1,
      sym_concat_operator,
    ACTIONS(10517), 1,
      sym_rel_operator,
    ACTIONS(10519), 1,
      sym_and_operator,
    ACTIONS(10521), 1,
      sym_or_operator,
    ACTIONS(10523), 1,
      sym_assign_operator,
    ACTIONS(10880), 1,
      anon_sym_SEMI,
    STATE(2252), 1,
      sym_add_operator,
    STATE(8514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9110), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [438057] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10870), 1,
      anon_sym_else,
    STATE(8240), 1,
      sym_else_clause,
    STATE(8515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [438108] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10652), 1,
      sym_pow_operator,
    ACTIONS(10654), 1,
      sym_mult_operator,
    ACTIONS(10656), 1,
      sym_concat_operator,
    STATE(1924), 1,
      sym_add_operator,
    STATE(8516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [438167] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10702), 1,
      anon_sym_COMMA,
    ACTIONS(10706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10708), 1,
      sym_pow_operator,
    ACTIONS(10710), 1,
      sym_mult_operator,
    ACTIONS(10712), 1,
      sym_concat_operator,
    ACTIONS(10714), 1,
      sym_rel_operator,
    ACTIONS(10716), 1,
      sym_and_operator,
    ACTIONS(10718), 1,
      sym_or_operator,
    ACTIONS(10720), 1,
      sym_assign_operator,
    STATE(2142), 1,
      sym_add_operator,
    STATE(8517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [438236] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10882), 1,
      sym__identifier,
    ACTIONS(10884), 1,
      anon_sym_LPAREN,
    ACTIONS(10886), 1,
      anon_sym_private,
    ACTIONS(10888), 1,
      anon_sym_LBRACK,
    ACTIONS(10890), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10892), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10894), 1,
      anon_sym_LT,
    ACTIONS(10896), 1,
      anon_sym_POUND,
    ACTIONS(10898), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10900), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10902), 1,
      aux_sym_type_variable_token1,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8518), 1,
      sym_attribute,
    STATE(8928), 1,
      sym__simple_type,
    STATE(9850), 1,
      sym__tuple_type,
    STATE(10122), 1,
      sym__type,
    STATE(16558), 1,
      sym_extended_module_path,
    STATE(19882), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9103), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438321] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8264), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [438368] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10708), 1,
      sym_pow_operator,
    ACTIONS(10710), 1,
      sym_mult_operator,
    STATE(2142), 1,
      sym_add_operator,
    STATE(8520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [438425] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10652), 1,
      sym_pow_operator,
    ACTIONS(10654), 1,
      sym_mult_operator,
    ACTIONS(10656), 1,
      sym_concat_operator,
    ACTIONS(10684), 1,
      anon_sym_COMMA,
    ACTIONS(10686), 1,
      sym_rel_operator,
    ACTIONS(10688), 1,
      sym_and_operator,
    ACTIONS(10690), 1,
      sym_or_operator,
    ACTIONS(10692), 1,
      sym_assign_operator,
    ACTIONS(10904), 1,
      anon_sym_SEMI,
    STATE(1924), 1,
      sym_add_operator,
    STATE(8521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9110), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [438496] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10658), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8522), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14280), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438581] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10652), 1,
      sym_pow_operator,
    ACTIONS(10654), 1,
      sym_mult_operator,
    ACTIONS(10656), 1,
      sym_concat_operator,
    ACTIONS(10686), 1,
      sym_rel_operator,
    ACTIONS(10688), 1,
      sym_and_operator,
    ACTIONS(10690), 1,
      sym_or_operator,
    STATE(1924), 1,
      sym_add_operator,
    STATE(8523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [438646] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10724), 1,
      anon_sym_PIPE,
    STATE(8459), 1,
      aux_sym__match_cases_repeat1,
    STATE(8524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [438697] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10906), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8525), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15708), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438782] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10477), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8526), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14337), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438867] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10800), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8527), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14317), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438952] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10466), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8528), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15066), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439037] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10726), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8529), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14301), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439122] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10708), 1,
      sym_pow_operator,
    ACTIONS(10710), 1,
      sym_mult_operator,
    ACTIONS(10712), 1,
      sym_concat_operator,
    ACTIONS(10714), 1,
      sym_rel_operator,
    ACTIONS(10716), 1,
      sym_and_operator,
    STATE(2142), 1,
      sym_add_operator,
    STATE(8530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10300), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [439185] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10770), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8531), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14178), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439270] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10756), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8532), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14169), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439355] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10652), 1,
      sym_pow_operator,
    ACTIONS(10654), 1,
      sym_mult_operator,
    ACTIONS(10656), 1,
      sym_concat_operator,
    ACTIONS(10684), 1,
      anon_sym_COMMA,
    ACTIONS(10686), 1,
      sym_rel_operator,
    ACTIONS(10688), 1,
      sym_and_operator,
    ACTIONS(10690), 1,
      sym_or_operator,
    ACTIONS(10692), 1,
      sym_assign_operator,
    STATE(1924), 1,
      sym_add_operator,
    STATE(8533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [439424] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10708), 1,
      sym_pow_operator,
    ACTIONS(10710), 1,
      sym_mult_operator,
    ACTIONS(10712), 1,
      sym_concat_operator,
    ACTIONS(10714), 1,
      sym_rel_operator,
    ACTIONS(10716), 1,
      sym_and_operator,
    ACTIONS(10718), 1,
      sym_or_operator,
    STATE(2142), 1,
      sym_add_operator,
    STATE(8534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [439489] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10652), 1,
      sym_pow_operator,
    ACTIONS(10654), 1,
      sym_mult_operator,
    ACTIONS(10656), 1,
      sym_concat_operator,
    ACTIONS(10686), 1,
      sym_rel_operator,
    ACTIONS(10688), 1,
      sym_and_operator,
    ACTIONS(10690), 1,
      sym_or_operator,
    STATE(1924), 1,
      sym_add_operator,
    STATE(8535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10280), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10278), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [439554] = 24,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7787), 1,
      sym__identifier,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10906), 1,
      anon_sym_module,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8536), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14265), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439639] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8537), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15403), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439721] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(8538), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(12860), 1,
      sym_tuple_type,
    STATE(13701), 1,
      sym__tuple_type,
    STATE(14188), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20098), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12922), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439803] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(8539), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(12860), 1,
      sym_tuple_type,
    STATE(13701), 1,
      sym__tuple_type,
    STATE(14253), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20098), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12922), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439885] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9438), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9440), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9442), 1,
      anon_sym_LT,
    ACTIONS(9444), 1,
      anon_sym_POUND,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9450), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10783), 1,
      anon_sym_LPAREN,
    ACTIONS(10787), 1,
      anon_sym_LBRACK,
    ACTIONS(10908), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8540), 1,
      sym_attribute,
    STATE(9037), 1,
      sym__simple_type,
    STATE(10486), 1,
      sym__tuple_type,
    STATE(10952), 1,
      sym__type,
    STATE(17261), 1,
      sym_extended_module_path,
    STATE(19806), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9434), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439967] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10093), 1,
      anon_sym_LPAREN,
    ACTIONS(10095), 1,
      anon_sym_LBRACK,
    ACTIONS(10097), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10099), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10101), 1,
      anon_sym_LT,
    ACTIONS(10103), 1,
      anon_sym_POUND,
    ACTIONS(10105), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10107), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10109), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10910), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8541), 1,
      sym_attribute,
    STATE(11988), 1,
      sym__simple_type,
    STATE(12842), 1,
      sym__type,
    STATE(12979), 1,
      sym__tuple_type,
    STATE(17083), 1,
      sym_extended_module_path,
    STATE(18110), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12617), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440049] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10912), 1,
      anon_sym_PIPE,
    STATE(8542), 1,
      sym_attribute,
    STATE(8543), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [440099] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10914), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8543), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [440147] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8544), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14246), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440229] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10093), 1,
      anon_sym_LPAREN,
    ACTIONS(10095), 1,
      anon_sym_LBRACK,
    ACTIONS(10097), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10099), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10101), 1,
      anon_sym_LT,
    ACTIONS(10103), 1,
      anon_sym_POUND,
    ACTIONS(10105), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10107), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10109), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10910), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8545), 1,
      sym_attribute,
    STATE(11988), 1,
      sym__simple_type,
    STATE(12979), 1,
      sym__tuple_type,
    STATE(13157), 1,
      sym__type,
    STATE(17083), 1,
      sym_extended_module_path,
    STATE(18110), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12617), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440311] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN,
    ACTIONS(9986), 1,
      anon_sym_LBRACK,
    ACTIONS(9988), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9990), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9992), 1,
      anon_sym_LT,
    ACTIONS(9994), 1,
      anon_sym_POUND,
    ACTIONS(9996), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9998), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10000), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10917), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8546), 1,
      sym_attribute,
    STATE(10346), 1,
      sym__simple_type,
    STATE(11934), 1,
      sym__tuple_type,
    STATE(12344), 1,
      sym__type,
    STATE(17008), 1,
      sym_extended_module_path,
    STATE(19494), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10929), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440393] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN,
    ACTIONS(9986), 1,
      anon_sym_LBRACK,
    ACTIONS(9988), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9990), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9992), 1,
      anon_sym_LT,
    ACTIONS(9994), 1,
      anon_sym_POUND,
    ACTIONS(9996), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9998), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10000), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10917), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8547), 1,
      sym_attribute,
    STATE(10346), 1,
      sym__simple_type,
    STATE(11934), 1,
      sym__tuple_type,
    STATE(12306), 1,
      sym__type,
    STATE(17008), 1,
      sym_extended_module_path,
    STATE(19494), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10929), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440475] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8548), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15356), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10919), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8256), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [440603] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9438), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9440), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9442), 1,
      anon_sym_LT,
    ACTIONS(9444), 1,
      anon_sym_POUND,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9450), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10783), 1,
      anon_sym_LPAREN,
    ACTIONS(10787), 1,
      anon_sym_LBRACK,
    ACTIONS(10908), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8550), 1,
      sym_attribute,
    STATE(9037), 1,
      sym__simple_type,
    STATE(10486), 1,
      sym__tuple_type,
    STATE(10762), 1,
      sym__type,
    STATE(17261), 1,
      sym_extended_module_path,
    STATE(19806), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9434), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440685] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10921), 1,
      anon_sym_COMMA,
    ACTIONS(10923), 1,
      anon_sym_SEMI,
    ACTIONS(10925), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10927), 1,
      sym_pow_operator,
    ACTIONS(10929), 1,
      sym_mult_operator,
    ACTIONS(10931), 1,
      sym_concat_operator,
    ACTIONS(10933), 1,
      sym_rel_operator,
    ACTIONS(10935), 1,
      sym_and_operator,
    ACTIONS(10937), 1,
      sym_or_operator,
    ACTIONS(10939), 1,
      sym_assign_operator,
    STATE(1797), 1,
      sym_add_operator,
    STATE(8551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9110), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [440755] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9386), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10777), 1,
      anon_sym_LPAREN,
    ACTIONS(10781), 1,
      anon_sym_LBRACK,
    ACTIONS(10941), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8552), 1,
      sym_attribute,
    STATE(9160), 1,
      sym__simple_type,
    STATE(10518), 1,
      sym__tuple_type,
    STATE(10768), 1,
      sym__type,
    STATE(17138), 1,
      sym_extended_module_path,
    STATE(19297), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9411), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440837] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9386), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10777), 1,
      anon_sym_LPAREN,
    ACTIONS(10781), 1,
      anon_sym_LBRACK,
    ACTIONS(10941), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8553), 1,
      sym_attribute,
    STATE(9160), 1,
      sym__simple_type,
    STATE(10518), 1,
      sym__tuple_type,
    STATE(11119), 1,
      sym__type,
    STATE(17138), 1,
      sym_extended_module_path,
    STATE(19297), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9411), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440919] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10173), 1,
      anon_sym_LPAREN,
    ACTIONS(10175), 1,
      anon_sym_LBRACK,
    ACTIONS(10177), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10179), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10181), 1,
      anon_sym_LT,
    ACTIONS(10183), 1,
      anon_sym_POUND,
    ACTIONS(10185), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10187), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10189), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10943), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8554), 1,
      sym_attribute,
    STATE(10992), 1,
      sym__simple_type,
    STATE(12613), 1,
      sym__tuple_type,
    STATE(12861), 1,
      sym__type,
    STATE(16995), 1,
      sym_extended_module_path,
    STATE(18452), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11663), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441001] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10173), 1,
      anon_sym_LPAREN,
    ACTIONS(10175), 1,
      anon_sym_LBRACK,
    ACTIONS(10177), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10179), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10181), 1,
      anon_sym_LT,
    ACTIONS(10183), 1,
      anon_sym_POUND,
    ACTIONS(10185), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10187), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10189), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10943), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8555), 1,
      sym_attribute,
    STATE(10992), 1,
      sym__simple_type,
    STATE(12613), 1,
      sym__tuple_type,
    STATE(12900), 1,
      sym__type,
    STATE(16995), 1,
      sym_extended_module_path,
    STATE(18452), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11663), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441083] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8556), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15538), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441165] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10949), 1,
      anon_sym_DOT,
    STATE(8557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10947), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10945), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [441213] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(8558), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(12860), 1,
      sym_tuple_type,
    STATE(13701), 1,
      sym__tuple_type,
    STATE(13941), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20098), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12922), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441295] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10951), 1,
      anon_sym_COMMA,
    ACTIONS(10953), 1,
      anon_sym_SEMI,
    ACTIONS(10955), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10957), 1,
      sym_pow_operator,
    ACTIONS(10959), 1,
      sym_mult_operator,
    ACTIONS(10961), 1,
      sym_concat_operator,
    ACTIONS(10963), 1,
      sym_rel_operator,
    ACTIONS(10965), 1,
      sym_and_operator,
    ACTIONS(10967), 1,
      sym_or_operator,
    ACTIONS(10969), 1,
      sym_assign_operator,
    STATE(2002), 1,
      sym_add_operator,
    STATE(8559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9110), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [441365] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8560), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15550), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441447] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9476), 1,
      anon_sym_LT,
    ACTIONS(9478), 1,
      anon_sym_POUND,
    ACTIONS(9480), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9482), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9484), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10694), 1,
      anon_sym_LPAREN,
    ACTIONS(10698), 1,
      anon_sym_LBRACK,
    ACTIONS(10971), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8561), 1,
      sym_attribute,
    STATE(9775), 1,
      sym__simple_type,
    STATE(10896), 1,
      sym__tuple_type,
    STATE(11495), 1,
      sym__type,
    STATE(17356), 1,
      sym_extended_module_path,
    STATE(19145), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9938), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441529] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8562), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(16879), 1,
      sym__type,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441611] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8563), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14221), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441693] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9476), 1,
      anon_sym_LT,
    ACTIONS(9478), 1,
      anon_sym_POUND,
    ACTIONS(9480), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9482), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9484), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10694), 1,
      anon_sym_LPAREN,
    ACTIONS(10698), 1,
      anon_sym_LBRACK,
    ACTIONS(10971), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8564), 1,
      sym_attribute,
    STATE(9775), 1,
      sym__simple_type,
    STATE(10896), 1,
      sym__tuple_type,
    STATE(11654), 1,
      sym__type,
    STATE(17356), 1,
      sym_extended_module_path,
    STATE(19145), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9938), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441775] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10093), 1,
      anon_sym_LPAREN,
    ACTIONS(10095), 1,
      anon_sym_LBRACK,
    ACTIONS(10097), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10099), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10101), 1,
      anon_sym_LT,
    ACTIONS(10103), 1,
      anon_sym_POUND,
    ACTIONS(10105), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10107), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10109), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10910), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8565), 1,
      sym_attribute,
    STATE(11988), 1,
      sym__simple_type,
    STATE(12979), 1,
      sym__tuple_type,
    STATE(13139), 1,
      sym__type,
    STATE(17083), 1,
      sym_extended_module_path,
    STATE(18110), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12617), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441857] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10093), 1,
      anon_sym_LPAREN,
    ACTIONS(10095), 1,
      anon_sym_LBRACK,
    ACTIONS(10097), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10099), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10101), 1,
      anon_sym_LT,
    ACTIONS(10103), 1,
      anon_sym_POUND,
    ACTIONS(10105), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10107), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10109), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10910), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8566), 1,
      sym_attribute,
    STATE(11988), 1,
      sym__simple_type,
    STATE(12979), 1,
      sym__tuple_type,
    STATE(13111), 1,
      sym__type,
    STATE(17083), 1,
      sym_extended_module_path,
    STATE(18110), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12617), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9254), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [441985] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 12,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8264), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [442031] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10173), 1,
      anon_sym_LPAREN,
    ACTIONS(10175), 1,
      anon_sym_LBRACK,
    ACTIONS(10177), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10179), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10181), 1,
      anon_sym_LT,
    ACTIONS(10183), 1,
      anon_sym_POUND,
    ACTIONS(10185), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10187), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10189), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10943), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8569), 1,
      sym_attribute,
    STATE(10992), 1,
      sym__simple_type,
    STATE(12613), 1,
      sym__tuple_type,
    STATE(12813), 1,
      sym__type,
    STATE(16995), 1,
      sym_extended_module_path,
    STATE(18452), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11663), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442113] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10173), 1,
      anon_sym_LPAREN,
    ACTIONS(10175), 1,
      anon_sym_LBRACK,
    ACTIONS(10177), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10179), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10181), 1,
      anon_sym_LT,
    ACTIONS(10183), 1,
      anon_sym_POUND,
    ACTIONS(10185), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10187), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10189), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10943), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8570), 1,
      sym_attribute,
    STATE(10992), 1,
      sym__simple_type,
    STATE(12613), 1,
      sym__tuple_type,
    STATE(12654), 1,
      sym__type,
    STATE(16995), 1,
      sym_extended_module_path,
    STATE(18452), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11663), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442195] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10828), 1,
      anon_sym_LPAREN,
    ACTIONS(10832), 1,
      anon_sym_LBRACK,
    ACTIONS(10834), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10836), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10838), 1,
      anon_sym_LT,
    ACTIONS(10840), 1,
      anon_sym_POUND,
    ACTIONS(10842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10844), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10846), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10973), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8571), 1,
      sym_attribute,
    STATE(8940), 1,
      sym__simple_type,
    STATE(10136), 1,
      sym__tuple_type,
    STATE(10434), 1,
      sym__type,
    STATE(17290), 1,
      sym_extended_module_path,
    STATE(18472), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9416), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442277] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10975), 1,
      anon_sym_DOT_DOT,
    STATE(8572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(4957), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [442325] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10828), 1,
      anon_sym_LPAREN,
    ACTIONS(10832), 1,
      anon_sym_LBRACK,
    ACTIONS(10834), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10836), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10838), 1,
      anon_sym_LT,
    ACTIONS(10840), 1,
      anon_sym_POUND,
    ACTIONS(10842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10844), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10846), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10973), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8573), 1,
      sym_attribute,
    STATE(8940), 1,
      sym__simple_type,
    STATE(10136), 1,
      sym__tuple_type,
    STATE(10470), 1,
      sym__type,
    STATE(17290), 1,
      sym_extended_module_path,
    STATE(18472), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9416), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442407] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 12,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8242), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [442453] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10977), 1,
      anon_sym_PIPE,
    STATE(8575), 1,
      sym_attribute,
    STATE(8576), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [442503] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8576), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [442551] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9386), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10777), 1,
      anon_sym_LPAREN,
    ACTIONS(10781), 1,
      anon_sym_LBRACK,
    ACTIONS(10941), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8577), 1,
      sym_attribute,
    STATE(9160), 1,
      sym__simple_type,
    STATE(10518), 1,
      sym__tuple_type,
    STATE(10840), 1,
      sym__type,
    STATE(17138), 1,
      sym_extended_module_path,
    STATE(19297), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9411), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442633] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10850), 1,
      anon_sym_LPAREN,
    ACTIONS(10854), 1,
      anon_sym_LBRACK,
    ACTIONS(10856), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10858), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10860), 1,
      anon_sym_LT,
    ACTIONS(10862), 1,
      anon_sym_POUND,
    ACTIONS(10864), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10866), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10868), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10982), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8578), 1,
      sym_attribute,
    STATE(12855), 1,
      sym__simple_type,
    STATE(13436), 1,
      sym__tuple_type,
    STATE(13606), 1,
      sym__type,
    STATE(17190), 1,
      sym_extended_module_path,
    STATE(19845), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13113), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442715] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8284), 12,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8286), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [442761] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10850), 1,
      anon_sym_LPAREN,
    ACTIONS(10854), 1,
      anon_sym_LBRACK,
    ACTIONS(10856), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10858), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10860), 1,
      anon_sym_LT,
    ACTIONS(10862), 1,
      anon_sym_POUND,
    ACTIONS(10864), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10866), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10868), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10982), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8580), 1,
      sym_attribute,
    STATE(12855), 1,
      sym__simple_type,
    STATE(13436), 1,
      sym__tuple_type,
    STATE(13519), 1,
      sym__type,
    STATE(17190), 1,
      sym_extended_module_path,
    STATE(19845), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13113), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442843] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10664), 1,
      anon_sym_LPAREN,
    ACTIONS(10668), 1,
      anon_sym_LBRACK,
    ACTIONS(10670), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10672), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10674), 1,
      anon_sym_LT,
    ACTIONS(10676), 1,
      anon_sym_POUND,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10680), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10682), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10984), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8581), 1,
      sym_attribute,
    STATE(9119), 1,
      sym__simple_type,
    STATE(10374), 1,
      sym__tuple_type,
    STATE(10670), 1,
      sym__type,
    STATE(17370), 1,
      sym_extended_module_path,
    STATE(19167), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9755), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442925] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(9936), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9938), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10988), 1,
      anon_sym_let,
    STATE(8582), 1,
      sym_attribute,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10399), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10986), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [442987] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10664), 1,
      anon_sym_LPAREN,
    ACTIONS(10668), 1,
      anon_sym_LBRACK,
    ACTIONS(10670), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10672), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10674), 1,
      anon_sym_LT,
    ACTIONS(10676), 1,
      anon_sym_POUND,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10680), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10682), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10984), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8583), 1,
      sym_attribute,
    STATE(9119), 1,
      sym__simple_type,
    STATE(10374), 1,
      sym__tuple_type,
    STATE(10765), 1,
      sym__type,
    STATE(17370), 1,
      sym_extended_module_path,
    STATE(19167), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9755), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8222), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [443115] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10884), 1,
      anon_sym_LPAREN,
    ACTIONS(10888), 1,
      anon_sym_LBRACK,
    ACTIONS(10890), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10892), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10894), 1,
      anon_sym_LT,
    ACTIONS(10896), 1,
      anon_sym_POUND,
    ACTIONS(10898), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10900), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10902), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10990), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8585), 1,
      sym_attribute,
    STATE(8928), 1,
      sym__simple_type,
    STATE(9850), 1,
      sym__tuple_type,
    STATE(10125), 1,
      sym__type,
    STATE(16558), 1,
      sym_extended_module_path,
    STATE(19882), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9103), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443197] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10884), 1,
      anon_sym_LPAREN,
    ACTIONS(10888), 1,
      anon_sym_LBRACK,
    ACTIONS(10890), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10892), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10894), 1,
      anon_sym_LT,
    ACTIONS(10896), 1,
      anon_sym_POUND,
    ACTIONS(10898), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10900), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10902), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10990), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8586), 1,
      sym_attribute,
    STATE(8928), 1,
      sym__simple_type,
    STATE(9850), 1,
      sym__tuple_type,
    STATE(10128), 1,
      sym__type,
    STATE(16558), 1,
      sym_extended_module_path,
    STATE(19882), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9103), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10994), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10992), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [443325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9660), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9662), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [443371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9694), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9696), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [443417] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8226), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [443463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8230), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [443509] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8234), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [443555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8238), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [443601] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8594), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15684), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443683] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10804), 1,
      anon_sym_LPAREN,
    ACTIONS(10808), 1,
      anon_sym_LBRACK,
    ACTIONS(10810), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10812), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10814), 1,
      anon_sym_LT,
    ACTIONS(10816), 1,
      anon_sym_POUND,
    ACTIONS(10818), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10820), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10822), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10996), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8595), 1,
      sym_attribute,
    STATE(8930), 1,
      sym__simple_type,
    STATE(9873), 1,
      sym__tuple_type,
    STATE(10155), 1,
      sym__type,
    STATE(16766), 1,
      sym_extended_module_path,
    STATE(18966), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9186), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443765] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 12,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8272), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [443811] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10804), 1,
      anon_sym_LPAREN,
    ACTIONS(10808), 1,
      anon_sym_LBRACK,
    ACTIONS(10810), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10812), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10814), 1,
      anon_sym_LT,
    ACTIONS(10816), 1,
      anon_sym_POUND,
    ACTIONS(10818), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10820), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10822), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10996), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8597), 1,
      sym_attribute,
    STATE(8930), 1,
      sym__simple_type,
    STATE(9873), 1,
      sym__tuple_type,
    STATE(10159), 1,
      sym__type,
    STATE(16766), 1,
      sym_extended_module_path,
    STATE(18966), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9186), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9652), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9654), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [443939] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8599), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15172), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444021] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9476), 1,
      anon_sym_LT,
    ACTIONS(9478), 1,
      anon_sym_POUND,
    ACTIONS(9480), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9482), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9484), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10694), 1,
      anon_sym_LPAREN,
    ACTIONS(10698), 1,
      anon_sym_LBRACK,
    ACTIONS(10971), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8600), 1,
      sym_attribute,
    STATE(9775), 1,
      sym__simple_type,
    STATE(10896), 1,
      sym__tuple_type,
    STATE(11531), 1,
      sym__type,
    STATE(17356), 1,
      sym_extended_module_path,
    STATE(19145), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9938), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444103] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8601), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(13625), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444185] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10736), 1,
      anon_sym_LPAREN,
    ACTIONS(10740), 1,
      anon_sym_LBRACK,
    ACTIONS(10742), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10744), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10746), 1,
      anon_sym_LT,
    ACTIONS(10748), 1,
      anon_sym_POUND,
    ACTIONS(10750), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10752), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10754), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10998), 1,
      sym__identifier,
    STATE(8602), 1,
      sym_attribute,
    STATE(12698), 1,
      sym__simple_type,
    STATE(12860), 1,
      sym_tuple_type,
    STATE(13207), 1,
      sym__tuple_type,
    STATE(13386), 1,
      sym__type,
    STATE(17004), 1,
      sym_extended_module_path,
    STATE(17588), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12922), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12874), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444267] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10736), 1,
      anon_sym_LPAREN,
    ACTIONS(10740), 1,
      anon_sym_LBRACK,
    ACTIONS(10742), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10744), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10746), 1,
      anon_sym_LT,
    ACTIONS(10748), 1,
      anon_sym_POUND,
    ACTIONS(10750), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10752), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10754), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10998), 1,
      sym__identifier,
    STATE(8603), 1,
      sym_attribute,
    STATE(12698), 1,
      sym__simple_type,
    STATE(12860), 1,
      sym_tuple_type,
    STATE(13207), 1,
      sym__tuple_type,
    STATE(13295), 1,
      sym__type,
    STATE(17004), 1,
      sym_extended_module_path,
    STATE(17588), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12922), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12874), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444349] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10173), 1,
      anon_sym_LPAREN,
    ACTIONS(10175), 1,
      anon_sym_LBRACK,
    ACTIONS(10177), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10179), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10181), 1,
      anon_sym_LT,
    ACTIONS(10183), 1,
      anon_sym_POUND,
    ACTIONS(10185), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10187), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10189), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10943), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8604), 1,
      sym_attribute,
    STATE(10992), 1,
      sym__simple_type,
    STATE(12613), 1,
      sym__tuple_type,
    STATE(12790), 1,
      sym__type,
    STATE(16995), 1,
      sym_extended_module_path,
    STATE(18452), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11663), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8242), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [444477] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10173), 1,
      anon_sym_LPAREN,
    ACTIONS(10175), 1,
      anon_sym_LBRACK,
    ACTIONS(10177), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10179), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10181), 1,
      anon_sym_LT,
    ACTIONS(10183), 1,
      anon_sym_POUND,
    ACTIONS(10185), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10187), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10189), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10943), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8606), 1,
      sym_attribute,
    STATE(10992), 1,
      sym__simple_type,
    STATE(12605), 1,
      sym__type,
    STATE(12613), 1,
      sym__tuple_type,
    STATE(16995), 1,
      sym_extended_module_path,
    STATE(18452), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11663), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444559] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9628), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9630), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [444605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9650), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [444651] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10977), 1,
      anon_sym_PIPE,
    STATE(8609), 1,
      sym_attribute,
    STATE(8748), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [444701] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10921), 1,
      anon_sym_COMMA,
    ACTIONS(10925), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10927), 1,
      sym_pow_operator,
    ACTIONS(10929), 1,
      sym_mult_operator,
    ACTIONS(10931), 1,
      sym_concat_operator,
    ACTIONS(10933), 1,
      sym_rel_operator,
    ACTIONS(10935), 1,
      sym_and_operator,
    ACTIONS(10937), 1,
      sym_or_operator,
    ACTIONS(10939), 1,
      sym_assign_operator,
    STATE(1797), 1,
      sym_add_operator,
    STATE(8610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10320), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10318), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [444769] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9690), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9692), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [444815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8246), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [444861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8250), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [444907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8260), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [444953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8264), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [444999] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8268), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [445045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8272), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [445091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9710), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9712), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [445137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8276), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [445183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8280), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [445229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9714), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9716), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [445275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8284), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8286), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [445321] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9720), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9722), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [445367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9592), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9594), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [445413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9108), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [445459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8288), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8290), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [445505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8294), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [445551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9094), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [445597] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN,
    ACTIONS(9986), 1,
      anon_sym_LBRACK,
    ACTIONS(9988), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9990), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9992), 1,
      anon_sym_LT,
    ACTIONS(9994), 1,
      anon_sym_POUND,
    ACTIONS(9996), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9998), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10000), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10917), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8629), 1,
      sym_attribute,
    STATE(10346), 1,
      sym__simple_type,
    STATE(11934), 1,
      sym__tuple_type,
    STATE(12492), 1,
      sym__type,
    STATE(17008), 1,
      sym_extended_module_path,
    STATE(19494), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10929), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445679] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8630), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(13949), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445761] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9682), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9684), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [445807] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10173), 1,
      anon_sym_LPAREN,
    ACTIONS(10175), 1,
      anon_sym_LBRACK,
    ACTIONS(10177), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10179), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10181), 1,
      anon_sym_LT,
    ACTIONS(10183), 1,
      anon_sym_POUND,
    ACTIONS(10185), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10187), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10189), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10943), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8632), 1,
      sym_attribute,
    STATE(10992), 1,
      sym__simple_type,
    STATE(12606), 1,
      sym__type,
    STATE(12613), 1,
      sym__tuple_type,
    STATE(16995), 1,
      sym_extended_module_path,
    STATE(18452), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11663), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445889] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10173), 1,
      anon_sym_LPAREN,
    ACTIONS(10175), 1,
      anon_sym_LBRACK,
    ACTIONS(10177), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10179), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10181), 1,
      anon_sym_LT,
    ACTIONS(10183), 1,
      anon_sym_POUND,
    ACTIONS(10185), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10187), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10189), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10943), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8633), 1,
      sym_attribute,
    STATE(10992), 1,
      sym__simple_type,
    STATE(12607), 1,
      sym__type,
    STATE(12613), 1,
      sym__tuple_type,
    STATE(16995), 1,
      sym_extended_module_path,
    STATE(18452), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11663), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445971] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1797), 1,
      sym_add_operator,
    STATE(8634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [446019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9548), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9550), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [446065] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7383), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7379), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [446111] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10173), 1,
      anon_sym_LPAREN,
    ACTIONS(10175), 1,
      anon_sym_LBRACK,
    ACTIONS(10177), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10179), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10181), 1,
      anon_sym_LT,
    ACTIONS(10183), 1,
      anon_sym_POUND,
    ACTIONS(10185), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10187), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10189), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10943), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8637), 1,
      sym_attribute,
    STATE(10992), 1,
      sym__simple_type,
    STATE(12613), 1,
      sym__tuple_type,
    STATE(12736), 1,
      sym__type,
    STATE(16995), 1,
      sym_extended_module_path,
    STATE(18452), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11663), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9700), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9702), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [446239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9704), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9706), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [446285] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10173), 1,
      anon_sym_LPAREN,
    ACTIONS(10175), 1,
      anon_sym_LBRACK,
    ACTIONS(10177), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10179), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10181), 1,
      anon_sym_LT,
    ACTIONS(10183), 1,
      anon_sym_POUND,
    ACTIONS(10185), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10187), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10189), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10943), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8640), 1,
      sym_attribute,
    STATE(10992), 1,
      sym__simple_type,
    STATE(12613), 1,
      sym__tuple_type,
    STATE(12811), 1,
      sym__type,
    STATE(16995), 1,
      sym_extended_module_path,
    STATE(18452), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11663), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9728), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9730), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [446413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9732), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9734), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [446459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9736), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9738), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [446505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9740), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9742), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [446551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9586), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9588), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [446597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9598), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9600), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [446643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9604), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [446689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9606), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9608), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [446735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9610), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9612), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [446781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9614), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9616), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [446827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9632), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9634), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [446873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9636), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9638), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [446919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9640), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9642), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [446965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9644), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9646), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [447011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9656), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9658), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [447057] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9674), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9676), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [447103] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10792), 1,
      anon_sym_LPAREN,
    ACTIONS(10796), 1,
      anon_sym_LBRACK,
    ACTIONS(11000), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8657), 1,
      sym_attribute,
    STATE(9357), 1,
      sym__simple_type,
    STATE(10832), 1,
      sym__tuple_type,
    STATE(10957), 1,
      sym__type,
    STATE(17308), 1,
      sym_extended_module_path,
    STATE(19926), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9835), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447185] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10828), 1,
      anon_sym_LPAREN,
    ACTIONS(10832), 1,
      anon_sym_LBRACK,
    ACTIONS(10834), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10836), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10838), 1,
      anon_sym_LT,
    ACTIONS(10840), 1,
      anon_sym_POUND,
    ACTIONS(10842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10844), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10846), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10973), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8658), 1,
      sym_attribute,
    STATE(8940), 1,
      sym__simple_type,
    STATE(10136), 1,
      sym__tuple_type,
    STATE(10512), 1,
      sym__type,
    STATE(17290), 1,
      sym_extended_module_path,
    STATE(18472), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9416), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 11,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9110), 20,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [447313] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8298), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [447359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8302), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [447405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8306), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [447451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8310), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [447497] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(9936), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9938), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      anon_sym_let,
    STATE(8664), 1,
      sym_attribute,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10640), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11002), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [447559] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10850), 1,
      anon_sym_LPAREN,
    ACTIONS(10854), 1,
      anon_sym_LBRACK,
    ACTIONS(10856), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10858), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10860), 1,
      anon_sym_LT,
    ACTIONS(10862), 1,
      anon_sym_POUND,
    ACTIONS(10864), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10866), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10868), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10982), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8665), 1,
      sym_attribute,
    STATE(12855), 1,
      sym__simple_type,
    STATE(13436), 1,
      sym__tuple_type,
    STATE(13506), 1,
      sym__type,
    STATE(17190), 1,
      sym_extended_module_path,
    STATE(19845), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13113), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11006), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8282), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [447687] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10173), 1,
      anon_sym_LPAREN,
    ACTIONS(10175), 1,
      anon_sym_LBRACK,
    ACTIONS(10177), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10179), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10181), 1,
      anon_sym_LT,
    ACTIONS(10183), 1,
      anon_sym_POUND,
    ACTIONS(10185), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10187), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10189), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10943), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8667), 1,
      sym_attribute,
    STATE(10992), 1,
      sym__simple_type,
    STATE(12613), 1,
      sym__tuple_type,
    STATE(12815), 1,
      sym__type,
    STATE(16995), 1,
      sym_extended_module_path,
    STATE(18452), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11663), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447769] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10792), 1,
      anon_sym_LPAREN,
    ACTIONS(10796), 1,
      anon_sym_LBRACK,
    ACTIONS(11000), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8668), 1,
      sym_attribute,
    STATE(9357), 1,
      sym__simple_type,
    STATE(10832), 1,
      sym__tuple_type,
    STATE(11088), 1,
      sym__type,
    STATE(17308), 1,
      sym_extended_module_path,
    STATE(19926), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9835), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447851] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8669), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14134), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447933] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10955), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10957), 1,
      sym_pow_operator,
    ACTIONS(10959), 1,
      sym_mult_operator,
    ACTIONS(10961), 1,
      sym_concat_operator,
    ACTIONS(10963), 1,
      sym_rel_operator,
    ACTIONS(10965), 1,
      sym_and_operator,
    ACTIONS(10967), 1,
      sym_or_operator,
    STATE(2002), 1,
      sym_add_operator,
    STATE(8670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10280), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10278), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [447997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 11,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9088), 20,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [448043] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10955), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10957), 1,
      sym_pow_operator,
    ACTIONS(10959), 1,
      sym_mult_operator,
    STATE(2002), 1,
      sym_add_operator,
    STATE(8672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [448099] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10912), 1,
      anon_sym_PIPE,
    STATE(8673), 1,
      sym_attribute,
    STATE(8709), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [448149] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10957), 1,
      sym_pow_operator,
    STATE(2002), 1,
      sym_add_operator,
    STATE(8674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [448199] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10957), 1,
      sym_pow_operator,
    STATE(2002), 1,
      sym_add_operator,
    STATE(8675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [448249] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10955), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10957), 1,
      sym_pow_operator,
    ACTIONS(10959), 1,
      sym_mult_operator,
    ACTIONS(10961), 1,
      sym_concat_operator,
    STATE(2002), 1,
      sym_add_operator,
    STATE(8676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [448307] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10955), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10957), 1,
      sym_pow_operator,
    ACTIONS(10959), 1,
      sym_mult_operator,
    ACTIONS(10961), 1,
      sym_concat_operator,
    STATE(2002), 1,
      sym_add_operator,
    STATE(8677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [448365] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10955), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10957), 1,
      sym_pow_operator,
    ACTIONS(10959), 1,
      sym_mult_operator,
    ACTIONS(10961), 1,
      sym_concat_operator,
    ACTIONS(10963), 1,
      sym_rel_operator,
    ACTIONS(10965), 1,
      sym_and_operator,
    STATE(2002), 1,
      sym_add_operator,
    STATE(8678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10300), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [448427] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8679), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15918), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448509] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10955), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10957), 1,
      sym_pow_operator,
    ACTIONS(10959), 1,
      sym_mult_operator,
    ACTIONS(10961), 1,
      sym_concat_operator,
    ACTIONS(10963), 1,
      sym_rel_operator,
    ACTIONS(10965), 1,
      sym_and_operator,
    ACTIONS(10967), 1,
      sym_or_operator,
    STATE(2002), 1,
      sym_add_operator,
    STATE(8680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [448573] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10951), 1,
      anon_sym_COMMA,
    ACTIONS(10955), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10957), 1,
      sym_pow_operator,
    ACTIONS(10959), 1,
      sym_mult_operator,
    ACTIONS(10961), 1,
      sym_concat_operator,
    ACTIONS(10963), 1,
      sym_rel_operator,
    ACTIONS(10965), 1,
      sym_and_operator,
    ACTIONS(10967), 1,
      sym_or_operator,
    ACTIONS(10969), 1,
      sym_assign_operator,
    STATE(2002), 1,
      sym_add_operator,
    STATE(8681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [448641] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10957), 1,
      sym_pow_operator,
    ACTIONS(10959), 1,
      sym_mult_operator,
    STATE(2002), 1,
      sym_add_operator,
    STATE(8682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [448693] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10951), 1,
      anon_sym_COMMA,
    ACTIONS(10955), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10957), 1,
      sym_pow_operator,
    ACTIONS(10959), 1,
      sym_mult_operator,
    ACTIONS(10961), 1,
      sym_concat_operator,
    ACTIONS(10963), 1,
      sym_rel_operator,
    ACTIONS(10965), 1,
      sym_and_operator,
    ACTIONS(10967), 1,
      sym_or_operator,
    ACTIONS(10969), 1,
      sym_assign_operator,
    STATE(2002), 1,
      sym_add_operator,
    STATE(8683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10310), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10308), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [448761] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8684), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(16133), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448843] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10912), 1,
      anon_sym_PIPE,
    STATE(8542), 1,
      aux_sym__match_cases_repeat1,
    STATE(8685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [448893] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10219), 1,
      anon_sym_LPAREN,
    ACTIONS(10221), 1,
      anon_sym_LBRACK,
    ACTIONS(10223), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10225), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10227), 1,
      anon_sym_LT,
    ACTIONS(10229), 1,
      anon_sym_POUND,
    ACTIONS(10231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10235), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11008), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8686), 1,
      sym_attribute,
    STATE(10161), 1,
      sym__simple_type,
    STATE(11820), 1,
      sym__tuple_type,
    STATE(12183), 1,
      sym__type,
    STATE(17086), 1,
      sym_extended_module_path,
    STATE(20022), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10730), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448975] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10219), 1,
      anon_sym_LPAREN,
    ACTIONS(10221), 1,
      anon_sym_LBRACK,
    ACTIONS(10223), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10225), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10227), 1,
      anon_sym_LT,
    ACTIONS(10229), 1,
      anon_sym_POUND,
    ACTIONS(10231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10235), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11008), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8687), 1,
      sym_attribute,
    STATE(10161), 1,
      sym__simple_type,
    STATE(11820), 1,
      sym__tuple_type,
    STATE(12187), 1,
      sym__type,
    STATE(17086), 1,
      sym_extended_module_path,
    STATE(20022), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10730), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449057] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8688), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14218), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449139] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8689), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15923), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449221] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8690), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15933), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449303] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8691), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15218), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449385] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10093), 1,
      anon_sym_LPAREN,
    ACTIONS(10095), 1,
      anon_sym_LBRACK,
    ACTIONS(10097), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10099), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10101), 1,
      anon_sym_LT,
    ACTIONS(10103), 1,
      anon_sym_POUND,
    ACTIONS(10105), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10107), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10109), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10910), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8692), 1,
      sym_attribute,
    STATE(11988), 1,
      sym__simple_type,
    STATE(12979), 1,
      sym__tuple_type,
    STATE(13112), 1,
      sym__type,
    STATE(17083), 1,
      sym_extended_module_path,
    STATE(18110), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12617), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449467] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8693), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(16315), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449549] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8694), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15301), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 11,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9102), 20,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [449677] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8696), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15357), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9152), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [449805] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8698), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15467), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449887] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8699), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(16118), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449969] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10664), 1,
      anon_sym_LPAREN,
    ACTIONS(10668), 1,
      anon_sym_LBRACK,
    ACTIONS(10670), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10672), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10674), 1,
      anon_sym_LT,
    ACTIONS(10676), 1,
      anon_sym_POUND,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10680), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10682), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10984), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8700), 1,
      sym_attribute,
    STATE(9119), 1,
      sym__simple_type,
    STATE(10374), 1,
      sym__tuple_type,
    STATE(10789), 1,
      sym__type,
    STATE(17370), 1,
      sym_extended_module_path,
    STATE(19167), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9755), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450051] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8701), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15122), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450133] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8702), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15175), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450215] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8703), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15726), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450297] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8704), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15711), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450379] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8705), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15772), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450461] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10951), 1,
      anon_sym_COMMA,
    ACTIONS(10955), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10957), 1,
      sym_pow_operator,
    ACTIONS(10959), 1,
      sym_mult_operator,
    ACTIONS(10961), 1,
      sym_concat_operator,
    ACTIONS(10963), 1,
      sym_rel_operator,
    ACTIONS(10965), 1,
      sym_and_operator,
    ACTIONS(10967), 1,
      sym_or_operator,
    ACTIONS(10969), 1,
      sym_assign_operator,
    STATE(2002), 1,
      sym_add_operator,
    STATE(8706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10320), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10318), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [450529] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8707), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(16430), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450611] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8708), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15058), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450693] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10912), 1,
      anon_sym_PIPE,
    STATE(8543), 1,
      aux_sym__match_cases_repeat1,
    STATE(8709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [450743] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8710), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(16165), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450825] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8711), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15312), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9108), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [450953] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8713), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14309), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451035] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8714), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15474), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451117] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8715), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15495), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9162), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [451245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9094), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [451291] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8718), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15659), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451373] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10884), 1,
      anon_sym_LPAREN,
    ACTIONS(10888), 1,
      anon_sym_LBRACK,
    ACTIONS(10890), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10892), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10894), 1,
      anon_sym_LT,
    ACTIONS(10896), 1,
      anon_sym_POUND,
    ACTIONS(10898), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10900), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10902), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10990), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8719), 1,
      sym_attribute,
    STATE(8928), 1,
      sym__simple_type,
    STATE(9850), 1,
      sym__tuple_type,
    STATE(10152), 1,
      sym__type,
    STATE(16558), 1,
      sym_extended_module_path,
    STATE(19882), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9103), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451455] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8720), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15698), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451537] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8721), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15863), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451619] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8722), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(16493), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451701] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8723), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15895), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451783] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8724), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(13172), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451865] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8725), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(16090), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451947] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8726), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(16115), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9158), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [452075] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8728), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(16401), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452157] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8729), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(16423), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9174), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [452285] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9178), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [452331] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8732), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15094), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452413] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8733), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15113), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452495] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9186), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [452541] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8735), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15184), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452623] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8736), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15197), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452705] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8737), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15248), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452787] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8738), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15263), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452869] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8739), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15320), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452951] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8740), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15331), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [453033] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8741), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15373), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [453115] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8742), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15386), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [453197] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8743), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15433), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [453279] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8744), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15448), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [453361] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8745), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15505), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [453443] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10977), 1,
      anon_sym_PIPE,
    STATE(8575), 1,
      aux_sym__match_cases_repeat1,
    STATE(8746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [453493] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8747), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15518), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [453575] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10977), 1,
      anon_sym_PIPE,
    STATE(8576), 1,
      aux_sym__match_cases_repeat1,
    STATE(8748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [453625] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8749), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15552), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [453707] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10804), 1,
      anon_sym_LPAREN,
    ACTIONS(10808), 1,
      anon_sym_LBRACK,
    ACTIONS(10810), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10812), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10814), 1,
      anon_sym_LT,
    ACTIONS(10816), 1,
      anon_sym_POUND,
    ACTIONS(10818), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10820), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10822), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10996), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8750), 1,
      sym_attribute,
    STATE(8930), 1,
      sym__simple_type,
    STATE(9873), 1,
      sym__tuple_type,
    STATE(10183), 1,
      sym__type,
    STATE(16766), 1,
      sym_extended_module_path,
    STATE(18966), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9186), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [453789] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8751), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15565), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [453871] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8752), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15613), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [453953] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8753), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15627), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [454035] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8754), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15681), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [454117] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8755), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15695), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [454199] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8756), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15739), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [454281] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8757), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15748), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [454363] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8758), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15795), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [454445] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8759), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15803), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [454527] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8760), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15832), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [454609] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8761), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15839), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [454691] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10219), 1,
      anon_sym_LPAREN,
    ACTIONS(10221), 1,
      anon_sym_LBRACK,
    ACTIONS(10223), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10225), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10227), 1,
      anon_sym_LT,
    ACTIONS(10229), 1,
      anon_sym_POUND,
    ACTIONS(10231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10235), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11008), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8762), 1,
      sym_attribute,
    STATE(10161), 1,
      sym__simple_type,
    STATE(11820), 1,
      sym__tuple_type,
    STATE(12053), 1,
      sym__type,
    STATE(17086), 1,
      sym_extended_module_path,
    STATE(20022), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10730), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [454773] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8763), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15880), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [454855] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8764), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15889), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [454937] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8765), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15926), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [455019] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8766), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15932), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [455101] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8767), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15967), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [455183] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8768), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15977), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [455265] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10925), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10927), 1,
      sym_pow_operator,
    ACTIONS(10929), 1,
      sym_mult_operator,
    ACTIONS(10931), 1,
      sym_concat_operator,
    ACTIONS(10933), 1,
      sym_rel_operator,
    ACTIONS(10935), 1,
      sym_and_operator,
    ACTIONS(10937), 1,
      sym_or_operator,
    STATE(1797), 1,
      sym_add_operator,
    STATE(8769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10280), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10278), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [455329] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10925), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10927), 1,
      sym_pow_operator,
    ACTIONS(10929), 1,
      sym_mult_operator,
    STATE(1797), 1,
      sym_add_operator,
    STATE(8770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [455385] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10927), 1,
      sym_pow_operator,
    STATE(1797), 1,
      sym_add_operator,
    STATE(8771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [455435] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8772), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(16065), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [455517] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10927), 1,
      sym_pow_operator,
    STATE(1797), 1,
      sym_add_operator,
    STATE(8773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [455567] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8774), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(16074), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [455649] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10925), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10927), 1,
      sym_pow_operator,
    ACTIONS(10929), 1,
      sym_mult_operator,
    ACTIONS(10931), 1,
      sym_concat_operator,
    STATE(1797), 1,
      sym_add_operator,
    STATE(8775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [455707] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10925), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10927), 1,
      sym_pow_operator,
    ACTIONS(10929), 1,
      sym_mult_operator,
    ACTIONS(10931), 1,
      sym_concat_operator,
    STATE(1797), 1,
      sym_add_operator,
    STATE(8776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [455765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8246), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [455811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8250), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [455857] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8779), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(16106), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [455939] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8780), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(16112), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [456021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8260), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [456067] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8268), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [456113] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8783), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(16146), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [456195] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10925), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10927), 1,
      sym_pow_operator,
    ACTIONS(10929), 1,
      sym_mult_operator,
    ACTIONS(10931), 1,
      sym_concat_operator,
    ACTIONS(10933), 1,
      sym_rel_operator,
    ACTIONS(10935), 1,
      sym_and_operator,
    STATE(1797), 1,
      sym_add_operator,
    STATE(8784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10300), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [456257] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8785), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(16155), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [456339] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10925), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10927), 1,
      sym_pow_operator,
    ACTIONS(10929), 1,
      sym_mult_operator,
    ACTIONS(10931), 1,
      sym_concat_operator,
    ACTIONS(10933), 1,
      sym_rel_operator,
    ACTIONS(10935), 1,
      sym_and_operator,
    ACTIONS(10937), 1,
      sym_or_operator,
    STATE(1797), 1,
      sym_add_operator,
    STATE(8786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [456403] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10921), 1,
      anon_sym_COMMA,
    ACTIONS(10925), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10927), 1,
      sym_pow_operator,
    ACTIONS(10929), 1,
      sym_mult_operator,
    ACTIONS(10931), 1,
      sym_concat_operator,
    ACTIONS(10933), 1,
      sym_rel_operator,
    ACTIONS(10935), 1,
      sym_and_operator,
    ACTIONS(10937), 1,
      sym_or_operator,
    ACTIONS(10939), 1,
      sym_assign_operator,
    STATE(1797), 1,
      sym_add_operator,
    STATE(8787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [456471] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10927), 1,
      sym_pow_operator,
    ACTIONS(10929), 1,
      sym_mult_operator,
    STATE(1797), 1,
      sym_add_operator,
    STATE(8788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [456523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8288), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8290), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [456569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8242), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [456615] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10921), 1,
      anon_sym_COMMA,
    ACTIONS(10925), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10927), 1,
      sym_pow_operator,
    ACTIONS(10929), 1,
      sym_mult_operator,
    ACTIONS(10931), 1,
      sym_concat_operator,
    ACTIONS(10933), 1,
      sym_rel_operator,
    ACTIONS(10935), 1,
      sym_and_operator,
    ACTIONS(10937), 1,
      sym_or_operator,
    ACTIONS(10939), 1,
      sym_assign_operator,
    STATE(1797), 1,
      sym_add_operator,
    STATE(8791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10310), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10308), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [456683] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8792), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(16210), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [456765] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8793), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(16223), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [456847] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8794), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(16295), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [456929] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8795), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(16309), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [457011] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8796), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(16406), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [457093] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8797), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(16415), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [457175] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10736), 1,
      anon_sym_LPAREN,
    ACTIONS(10740), 1,
      anon_sym_LBRACK,
    ACTIONS(10742), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10744), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10746), 1,
      anon_sym_LT,
    ACTIONS(10748), 1,
      anon_sym_POUND,
    ACTIONS(10750), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10752), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10754), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10998), 1,
      sym__identifier,
    STATE(8798), 1,
      sym_attribute,
    STATE(12698), 1,
      sym__simple_type,
    STATE(12860), 1,
      sym_tuple_type,
    STATE(13207), 1,
      sym__tuple_type,
    STATE(13228), 1,
      sym__type,
    STATE(17004), 1,
      sym_extended_module_path,
    STATE(17588), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12922), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12874), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [457257] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8799), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(16447), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [457339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8276), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [457385] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8801), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15034), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [457467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8280), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [457513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8294), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [457559] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8804), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15051), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [457641] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8805), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15056), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [457723] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8806), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15076), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [457805] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8807), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15080), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [457887] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8808), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15103), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [457969] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8809), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15109), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [458051] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8810), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15132), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [458133] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8811), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14361), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [458215] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8812), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15137), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [458297] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8813), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15153), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [458379] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8814), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14381), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [458461] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8815), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15158), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [458543] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8816), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15174), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [458625] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8817), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15180), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [458707] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8818), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15205), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [458789] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8819), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15211), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [458871] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8820), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15258), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [458953] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8821), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15271), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [459035] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8822), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14133), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [459117] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8823), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15276), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [459199] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8824), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15290), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [459281] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8825), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15296), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [459363] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10792), 1,
      anon_sym_LPAREN,
    ACTIONS(10796), 1,
      anon_sym_LBRACK,
    ACTIONS(11000), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8826), 1,
      sym_attribute,
    STATE(9357), 1,
      sym__simple_type,
    STATE(10832), 1,
      sym__tuple_type,
    STATE(11325), 1,
      sym__type,
    STATE(17308), 1,
      sym_extended_module_path,
    STATE(19926), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9835), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [459445] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8827), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15385), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [459527] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8828), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14149), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [459609] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8829), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15398), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [459691] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8830), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15407), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [459773] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8831), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15436), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [459855] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8832), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14185), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [459937] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8833), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15451), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [460019] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8834), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15461), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [460101] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8835), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15463), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [460183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8264), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [460229] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8837), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15490), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [460311] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8838), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14180), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [460393] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8839), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15529), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [460475] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8840), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(14277), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [460557] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8841), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15551), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [460639] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8842), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15576), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [460721] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8843), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15591), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [460803] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8844), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15612), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [460885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8272), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [460931] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8284), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8286), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [460977] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(9936), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9938), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11012), 1,
      anon_sym_let,
    STATE(8847), 1,
      sym_attribute,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10645), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11010), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [461039] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2002), 1,
      sym_add_operator,
    STATE(8848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [461087] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9438), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9440), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9442), 1,
      anon_sym_LT,
    ACTIONS(9444), 1,
      anon_sym_POUND,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9450), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10783), 1,
      anon_sym_LPAREN,
    ACTIONS(10787), 1,
      anon_sym_LBRACK,
    ACTIONS(10908), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8849), 1,
      sym_attribute,
    STATE(9037), 1,
      sym__simple_type,
    STATE(10486), 1,
      sym__tuple_type,
    STATE(10703), 1,
      sym__type,
    STATE(17261), 1,
      sym_extended_module_path,
    STATE(19806), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9434), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461169] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(8850), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(12860), 1,
      sym_tuple_type,
    STATE(13701), 1,
      sym__tuple_type,
    STATE(14215), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20098), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12922), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461251] = 23,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7789), 1,
      anon_sym_QMARK,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9748), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(8851), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(13147), 1,
      sym__tuple_type,
    STATE(15284), 1,
      sym__type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(20267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8169), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8298), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [461378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9152), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [461423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11016), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11014), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [461468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9162), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [461513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9158), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [461558] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10921), 1,
      anon_sym_COMMA,
    ACTIONS(10925), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10927), 1,
      sym_pow_operator,
    ACTIONS(10929), 1,
      sym_mult_operator,
    ACTIONS(10931), 1,
      sym_concat_operator,
    ACTIONS(10933), 1,
      sym_rel_operator,
    ACTIONS(10935), 1,
      sym_and_operator,
    ACTIONS(10937), 1,
      sym_or_operator,
    ACTIONS(10939), 1,
      sym_assign_operator,
    ACTIONS(11018), 1,
      anon_sym_SEMI,
    STATE(1797), 1,
      sym_add_operator,
    STATE(8857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9110), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [461627] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9174), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [461672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9178), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [461717] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11022), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11020), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [461762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9186), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [461807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10947), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10945), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [461852] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(9936), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9938), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11026), 1,
      anon_sym_let,
    STATE(8863), 1,
      sym_attribute,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10852), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11024), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [461913] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11030), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11028), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [461958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9254), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [462003] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8302), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [462048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8306), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [462093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8310), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [462138] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9578), 1,
      anon_sym_DOT,
    ACTIONS(11032), 1,
      anon_sym_POUND,
    ACTIONS(11034), 1,
      sym_hash_operator,
    STATE(8869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9688), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9686), 17,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [462189] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9578), 1,
      anon_sym_DOT,
    ACTIONS(11032), 1,
      anon_sym_POUND,
    ACTIONS(11034), 1,
      sym_hash_operator,
    STATE(8870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9620), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9618), 17,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [462240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11038), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11036), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [462285] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(9936), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9938), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11042), 1,
      anon_sym_let,
    STATE(8872), 1,
      sym_attribute,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10867), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11040), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [462346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11046), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11044), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [462391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11050), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11048), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [462436] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9578), 1,
      anon_sym_DOT,
    ACTIONS(11032), 1,
      anon_sym_POUND,
    ACTIONS(11034), 1,
      sym_hash_operator,
    STATE(8875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9666), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9664), 17,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [462487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8216), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [462532] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9578), 1,
      anon_sym_DOT,
    ACTIONS(11032), 1,
      anon_sym_POUND,
    ACTIONS(11034), 1,
      sym_hash_operator,
    STATE(8877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9680), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9678), 17,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [462583] = 21,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11052), 1,
      anon_sym_type,
    ACTIONS(11054), 1,
      anon_sym_exception,
    ACTIONS(11056), 1,
      anon_sym_module,
    ACTIONS(11058), 1,
      anon_sym_include,
    ACTIONS(11060), 1,
      anon_sym_class,
    ACTIONS(11062), 1,
      anon_sym_val,
    ACTIONS(11064), 1,
      anon_sym_end,
    STATE(8878), 1,
      sym_attribute,
    STATE(8931), 1,
      aux_sym__signature_repeat1,
    STATE(8986), 1,
      aux_sym__structure_repeat1,
    STATE(12666), 1,
      sym__signature_item,
    STATE(18306), 1,
      sym__signature,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12622), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [462660] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(4957), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [462705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9270), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [462750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9264), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [462795] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9120), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [462840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8222), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [462885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8226), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [462930] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8230), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [462975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8234), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [463020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11068), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11066), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [463065] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(9936), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9938), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11072), 1,
      anon_sym_let,
    STATE(8888), 1,
      sym_attribute,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10791), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11070), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [463126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9124), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [463171] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9116), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [463216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11076), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11074), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [463261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9128), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [463306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11080), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11078), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [463351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9166), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [463396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9170), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [463441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9208), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [463486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9216), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [463531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9220), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [463576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9224), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [463621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9228), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [463666] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7635), 1,
      anon_sym_COLON_COLON,
    STATE(8901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9234), 19,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [463713] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7629), 1,
      anon_sym_COMMA,
    ACTIONS(7635), 1,
      anon_sym_COLON_COLON,
    STATE(8902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9238), 18,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [463762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9242), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [463807] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7635), 1,
      anon_sym_COLON_COLON,
    STATE(8904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9246), 19,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [463854] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9260), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [463899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9250), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [463944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9132), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [463989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9136), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [464034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9140), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [464079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9144), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [464124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9148), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [464169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11084), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11082), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [464214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9190), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [464259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9194), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [464304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9200), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [464349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9204), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [464394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9182), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [464439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9212), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [464484] = 21,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11052), 1,
      anon_sym_type,
    ACTIONS(11054), 1,
      anon_sym_exception,
    ACTIONS(11056), 1,
      anon_sym_module,
    ACTIONS(11058), 1,
      anon_sym_include,
    ACTIONS(11060), 1,
      anon_sym_class,
    ACTIONS(11062), 1,
      anon_sym_val,
    ACTIONS(11086), 1,
      anon_sym_end,
    STATE(8919), 1,
      sym_attribute,
    STATE(8931), 1,
      aux_sym__signature_repeat1,
    STATE(8986), 1,
      aux_sym__structure_repeat1,
    STATE(12666), 1,
      sym__signature_item,
    STATE(19850), 1,
      sym__signature,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12622), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [464561] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10951), 1,
      anon_sym_COMMA,
    ACTIONS(10955), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10957), 1,
      sym_pow_operator,
    ACTIONS(10959), 1,
      sym_mult_operator,
    ACTIONS(10961), 1,
      sym_concat_operator,
    ACTIONS(10963), 1,
      sym_rel_operator,
    ACTIONS(10965), 1,
      sym_and_operator,
    ACTIONS(10967), 1,
      sym_or_operator,
    ACTIONS(10969), 1,
      sym_assign_operator,
    ACTIONS(11088), 1,
      anon_sym_SEMI,
    STATE(2002), 1,
      sym_add_operator,
    STATE(8920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9110), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [464630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7825), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7827), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [464675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11092), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11090), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [464720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8238), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [464765] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11094), 1,
      sym__identifier,
    ACTIONS(11100), 1,
      anon_sym_POUND,
    STATE(8924), 1,
      sym_attribute,
    STATE(9194), 1,
      sym_type_constructor_path,
    STATE(16632), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11096), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11098), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [464819] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11094), 1,
      sym__identifier,
    ACTIONS(11106), 1,
      anon_sym_POUND,
    STATE(8925), 1,
      sym_attribute,
    STATE(9217), 1,
      sym_type_constructor_path,
    STATE(16632), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11102), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11104), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [464873] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11108), 1,
      sym__identifier,
    ACTIONS(11110), 1,
      anon_sym_POUND,
    STATE(8926), 1,
      sym_attribute,
    STATE(9140), 1,
      sym_type_constructor_path,
    STATE(16610), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11102), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11104), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [464927] = 20,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(13), 1,
      anon_sym_type,
    ACTIONS(15), 1,
      anon_sym_exception,
    ACTIONS(17), 1,
      anon_sym_module,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(21), 1,
      anon_sym_include,
    ACTIONS(23), 1,
      anon_sym_class,
    ACTIONS(25), 1,
      anon_sym_val,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11112), 1,
      ts_builtin_sym_end,
    STATE(8927), 1,
      sym_attribute,
    STATE(8929), 1,
      aux_sym__signature_repeat1,
    STATE(8943), 1,
      aux_sym__structure_repeat1,
    STATE(12666), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12622), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [465001] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11108), 1,
      sym__identifier,
    ACTIONS(11114), 1,
      anon_sym_POUND,
    STATE(8928), 1,
      sym_attribute,
    STATE(9111), 1,
      sym_type_constructor_path,
    STATE(16610), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10131), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10133), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [465055] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11116), 1,
      ts_builtin_sym_end,
    ACTIONS(11118), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11121), 1,
      anon_sym_external,
    ACTIONS(11124), 1,
      anon_sym_type,
    ACTIONS(11127), 1,
      anon_sym_exception,
    ACTIONS(11130), 1,
      anon_sym_module,
    ACTIONS(11133), 1,
      anon_sym_open,
    ACTIONS(11136), 1,
      anon_sym_include,
    ACTIONS(11139), 1,
      anon_sym_class,
    ACTIONS(11142), 1,
      anon_sym_val,
    ACTIONS(11145), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(11148), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(11151), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    STATE(9206), 1,
      aux_sym__structure_repeat1,
    STATE(12666), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8929), 2,
      sym_attribute,
      aux_sym__signature_repeat1,
    STATE(12622), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [465127] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11094), 1,
      sym__identifier,
    ACTIONS(11100), 1,
      anon_sym_POUND,
    STATE(8930), 1,
      sym_attribute,
    STATE(9194), 1,
      sym_type_constructor_path,
    STATE(16632), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10131), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10133), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [465181] = 20,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11052), 1,
      anon_sym_type,
    ACTIONS(11054), 1,
      anon_sym_exception,
    ACTIONS(11056), 1,
      anon_sym_module,
    ACTIONS(11058), 1,
      anon_sym_include,
    ACTIONS(11060), 1,
      anon_sym_class,
    ACTIONS(11062), 1,
      anon_sym_val,
    ACTIONS(11112), 1,
      anon_sym_end,
    STATE(8931), 1,
      sym_attribute,
    STATE(8933), 1,
      aux_sym__signature_repeat1,
    STATE(8989), 1,
      aux_sym__structure_repeat1,
    STATE(12666), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12622), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [465255] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11108), 1,
      sym__identifier,
    ACTIONS(11114), 1,
      anon_sym_POUND,
    STATE(8932), 1,
      sym_attribute,
    STATE(9111), 1,
      sym_type_constructor_path,
    STATE(16610), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11096), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11098), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [465309] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11116), 1,
      anon_sym_end,
    ACTIONS(11118), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11121), 1,
      anon_sym_external,
    ACTIONS(11133), 1,
      anon_sym_open,
    ACTIONS(11145), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(11148), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(11151), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11154), 1,
      anon_sym_type,
    ACTIONS(11157), 1,
      anon_sym_exception,
    ACTIONS(11160), 1,
      anon_sym_module,
    ACTIONS(11163), 1,
      anon_sym_include,
    ACTIONS(11166), 1,
      anon_sym_class,
    ACTIONS(11169), 1,
      anon_sym_val,
    STATE(9306), 1,
      aux_sym__structure_repeat1,
    STATE(12666), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8933), 2,
      sym_attribute,
      aux_sym__signature_repeat1,
    STATE(12622), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [465381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 13,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON2,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(9254), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [465425] = 20,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(13), 1,
      anon_sym_type,
    ACTIONS(17), 1,
      anon_sym_module,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(21), 1,
      anon_sym_include,
    ACTIONS(25), 1,
      anon_sym_val,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11112), 1,
      anon_sym_RBRACK,
    ACTIONS(11172), 1,
      anon_sym_exception,
    ACTIONS(11174), 1,
      anon_sym_class,
    STATE(8935), 1,
      sym_attribute,
    STATE(8936), 1,
      aux_sym__signature_repeat1,
    STATE(8973), 1,
      aux_sym__structure_repeat1,
    STATE(12666), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12622), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [465499] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11116), 1,
      anon_sym_RBRACK,
    ACTIONS(11118), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11121), 1,
      anon_sym_external,
    ACTIONS(11124), 1,
      anon_sym_type,
    ACTIONS(11130), 1,
      anon_sym_module,
    ACTIONS(11133), 1,
      anon_sym_open,
    ACTIONS(11136), 1,
      anon_sym_include,
    ACTIONS(11142), 1,
      anon_sym_val,
    ACTIONS(11145), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(11148), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(11151), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11176), 1,
      anon_sym_exception,
    ACTIONS(11179), 1,
      anon_sym_class,
    STATE(9264), 1,
      aux_sym__structure_repeat1,
    STATE(12666), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8936), 2,
      sym_attribute,
      aux_sym__signature_repeat1,
    STATE(12622), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [465571] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(11182), 1,
      sym__identifier,
    ACTIONS(11184), 1,
      anon_sym_LPAREN,
    ACTIONS(11186), 1,
      anon_sym_LBRACK,
    ACTIONS(11188), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11190), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11192), 1,
      anon_sym_LT,
    ACTIONS(11194), 1,
      anon_sym_POUND,
    ACTIONS(11196), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11198), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11200), 1,
      aux_sym_type_variable_token1,
    STATE(8937), 1,
      sym_attribute,
    STATE(10062), 1,
      sym__simple_type,
    STATE(10174), 1,
      sym_type_variable,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(14835), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17052), 1,
      sym_extended_module_path,
    STATE(20008), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10735), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [465648] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9920), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9922), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11202), 1,
      sym__identifier,
    ACTIONS(11204), 1,
      anon_sym_LPAREN,
    ACTIONS(11206), 1,
      anon_sym_LBRACK,
    ACTIONS(11208), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11210), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11212), 1,
      anon_sym_LT,
    ACTIONS(11214), 1,
      anon_sym_POUND,
    ACTIONS(11216), 1,
      aux_sym_type_variable_token1,
    STATE(8938), 1,
      sym_attribute,
    STATE(9786), 1,
      sym__simple_type,
    STATE(9849), 1,
      sym_type_variable,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(14890), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16697), 1,
      sym_extended_module_path,
    STATE(18554), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10348), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [465725] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9476), 1,
      anon_sym_LT,
    ACTIONS(9478), 1,
      anon_sym_POUND,
    ACTIONS(9480), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9482), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9484), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10694), 1,
      anon_sym_LPAREN,
    ACTIONS(10698), 1,
      anon_sym_LBRACK,
    ACTIONS(11218), 1,
      sym__identifier,
    STATE(8939), 1,
      sym_attribute,
    STATE(9579), 1,
      sym__simple_type,
    STATE(10041), 1,
      sym_type_variable,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(14419), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17356), 1,
      sym_extended_module_path,
    STATE(19317), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9938), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [465802] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11220), 1,
      sym__identifier,
    ACTIONS(11222), 1,
      anon_sym_POUND,
    STATE(8940), 1,
      sym_attribute,
    STATE(9433), 1,
      sym_type_constructor_path,
    STATE(16489), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10131), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10133), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [465855] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11220), 1,
      sym__identifier,
    ACTIONS(11222), 1,
      anon_sym_POUND,
    STATE(8941), 1,
      sym_attribute,
    STATE(9433), 1,
      sym_type_constructor_path,
    STATE(16489), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11096), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11098), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [465908] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9920), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9922), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11202), 1,
      sym__identifier,
    ACTIONS(11204), 1,
      anon_sym_LPAREN,
    ACTIONS(11206), 1,
      anon_sym_LBRACK,
    ACTIONS(11208), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11210), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11212), 1,
      anon_sym_LT,
    ACTIONS(11214), 1,
      anon_sym_POUND,
    ACTIONS(11216), 1,
      aux_sym_type_variable_token1,
    STATE(8942), 1,
      sym_attribute,
    STATE(9726), 1,
      sym__simple_type,
    STATE(9849), 1,
      sym_type_variable,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(14606), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16697), 1,
      sym_extended_module_path,
    STATE(17680), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10348), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [465985] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(13), 1,
      anon_sym_type,
    ACTIONS(15), 1,
      anon_sym_exception,
    ACTIONS(17), 1,
      anon_sym_module,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(21), 1,
      anon_sym_include,
    ACTIONS(23), 1,
      anon_sym_class,
    ACTIONS(25), 1,
      anon_sym_val,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11224), 1,
      ts_builtin_sym_end,
    STATE(8943), 1,
      sym_attribute,
    STATE(12597), 1,
      aux_sym__structure_repeat1,
    STATE(12664), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12622), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [466056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11228), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11226), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [466099] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(10219), 1,
      anon_sym_LPAREN,
    ACTIONS(10221), 1,
      anon_sym_LBRACK,
    ACTIONS(10223), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10225), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10227), 1,
      anon_sym_LT,
    ACTIONS(10229), 1,
      anon_sym_POUND,
    ACTIONS(10231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10235), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11230), 1,
      sym__identifier,
    STATE(8945), 1,
      sym_attribute,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10283), 1,
      sym_type_variable,
    STATE(10287), 1,
      sym__simple_type,
    STATE(14657), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17086), 1,
      sym_extended_module_path,
    STATE(19565), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [466176] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11232), 1,
      sym__identifier,
    ACTIONS(11234), 1,
      anon_sym_POUND,
    STATE(8946), 1,
      sym_attribute,
    STATE(9413), 1,
      sym_type_constructor_path,
    STATE(17311), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11102), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11104), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [466229] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11236), 1,
      sym__identifier,
    ACTIONS(11238), 1,
      anon_sym_LPAREN,
    ACTIONS(11240), 1,
      anon_sym_LBRACK,
    ACTIONS(11242), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11246), 1,
      anon_sym_LT,
    ACTIONS(11248), 1,
      anon_sym_POUND,
    ACTIONS(11250), 1,
      aux_sym_type_variable_token1,
    STATE(8947), 1,
      sym_attribute,
    STATE(9994), 1,
      sym__simple_type,
    STATE(10225), 1,
      sym_type_variable,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(14376), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16735), 1,
      sym_extended_module_path,
    STATE(20015), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10770), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [466306] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11236), 1,
      sym__identifier,
    ACTIONS(11238), 1,
      anon_sym_LPAREN,
    ACTIONS(11240), 1,
      anon_sym_LBRACK,
    ACTIONS(11242), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11246), 1,
      anon_sym_LT,
    ACTIONS(11248), 1,
      anon_sym_POUND,
    ACTIONS(11250), 1,
      aux_sym_type_variable_token1,
    STATE(8948), 1,
      sym_attribute,
    STATE(9995), 1,
      sym__simple_type,
    STATE(10225), 1,
      sym_type_variable,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(14377), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16735), 1,
      sym_extended_module_path,
    STATE(20019), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10770), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [466383] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10008), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(8949), 1,
      sym_attribute,
    STATE(9448), 1,
      sym__simple_type,
    STATE(9532), 1,
      sym_type_variable,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(14434), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16669), 1,
      sym_extended_module_path,
    STATE(18625), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10162), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [466460] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9984), 1,
      anon_sym_LPAREN,
    ACTIONS(9986), 1,
      anon_sym_LBRACK,
    ACTIONS(9988), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9990), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9992), 1,
      anon_sym_LT,
    ACTIONS(9994), 1,
      anon_sym_POUND,
    ACTIONS(9996), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9998), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10000), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11268), 1,
      sym__identifier,
    STATE(8950), 1,
      sym_attribute,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10389), 1,
      sym__simple_type,
    STATE(10438), 1,
      sym_type_variable,
    STATE(14663), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17008), 1,
      sym_extended_module_path,
    STATE(19339), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10929), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [466537] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9984), 1,
      anon_sym_LPAREN,
    ACTIONS(9986), 1,
      anon_sym_LBRACK,
    ACTIONS(9988), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9990), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9992), 1,
      anon_sym_LT,
    ACTIONS(9994), 1,
      anon_sym_POUND,
    ACTIONS(9996), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9998), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10000), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11268), 1,
      sym__identifier,
    STATE(8951), 1,
      sym_attribute,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10392), 1,
      sym__simple_type,
    STATE(10438), 1,
      sym_type_variable,
    STATE(14700), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17008), 1,
      sym_extended_module_path,
    STATE(19357), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10929), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [466614] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9984), 1,
      anon_sym_LPAREN,
    ACTIONS(9986), 1,
      anon_sym_LBRACK,
    ACTIONS(9988), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9990), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9992), 1,
      anon_sym_LT,
    ACTIONS(9994), 1,
      anon_sym_POUND,
    ACTIONS(9996), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9998), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10000), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11268), 1,
      sym__identifier,
    STATE(8952), 1,
      sym_attribute,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10437), 1,
      sym__simple_type,
    STATE(10438), 1,
      sym_type_variable,
    STATE(14880), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17008), 1,
      sym_extended_module_path,
    STATE(20182), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10929), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [466691] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11236), 1,
      sym__identifier,
    ACTIONS(11238), 1,
      anon_sym_LPAREN,
    ACTIONS(11240), 1,
      anon_sym_LBRACK,
    ACTIONS(11242), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11246), 1,
      anon_sym_LT,
    ACTIONS(11248), 1,
      anon_sym_POUND,
    ACTIONS(11250), 1,
      aux_sym_type_variable_token1,
    STATE(8953), 1,
      sym_attribute,
    STATE(10057), 1,
      sym__simple_type,
    STATE(10225), 1,
      sym_type_variable,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(14403), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16735), 1,
      sym_extended_module_path,
    STATE(20237), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10770), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [466768] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(11276), 1,
      anon_sym_DOT,
    STATE(8954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11272), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11270), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [466815] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10008), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(8955), 1,
      sym_attribute,
    STATE(9486), 1,
      sym__simple_type,
    STATE(9532), 1,
      sym_type_variable,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(14502), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16669), 1,
      sym_extended_module_path,
    STATE(18887), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10162), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [466892] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11226), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(11280), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11278), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [466937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11284), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11282), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [466980] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11286), 1,
      sym__identifier,
    ACTIONS(11288), 1,
      anon_sym_POUND,
    STATE(8958), 1,
      sym_attribute,
    STATE(9499), 1,
      sym_type_constructor_path,
    STATE(17431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11102), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11104), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [467033] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10792), 1,
      anon_sym_LPAREN,
    ACTIONS(10796), 1,
      anon_sym_LBRACK,
    ACTIONS(11290), 1,
      sym__identifier,
    STATE(8959), 1,
      sym_attribute,
    STATE(9343), 1,
      sym__simple_type,
    STATE(9766), 1,
      sym_type_variable,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(14521), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17308), 1,
      sym_extended_module_path,
    STATE(17990), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9835), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [467110] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9386), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10777), 1,
      anon_sym_LPAREN,
    ACTIONS(10781), 1,
      anon_sym_LBRACK,
    ACTIONS(11292), 1,
      sym__identifier,
    STATE(8960), 1,
      sym_attribute,
    STATE(9083), 1,
      sym__simple_type,
    STATE(9356), 1,
      sym_type_variable,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(14806), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17138), 1,
      sym_extended_module_path,
    STATE(20063), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9411), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [467187] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11282), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(11296), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11294), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [467232] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9386), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10777), 1,
      anon_sym_LPAREN,
    ACTIONS(10781), 1,
      anon_sym_LBRACK,
    ACTIONS(11292), 1,
      sym__identifier,
    STATE(8962), 1,
      sym_attribute,
    STATE(9084), 1,
      sym__simple_type,
    STATE(9356), 1,
      sym_type_variable,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(14808), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17138), 1,
      sym_extended_module_path,
    STATE(20078), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9411), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [467309] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9438), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9440), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9442), 1,
      anon_sym_LT,
    ACTIONS(9444), 1,
      anon_sym_POUND,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9450), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10783), 1,
      anon_sym_LPAREN,
    ACTIONS(10787), 1,
      anon_sym_LBRACK,
    ACTIONS(11298), 1,
      sym__identifier,
    STATE(8963), 1,
      sym_attribute,
    STATE(9038), 1,
      sym__simple_type,
    STATE(9389), 1,
      sym_type_variable,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(14715), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17261), 1,
      sym_extended_module_path,
    STATE(20428), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9434), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [467386] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(11300), 1,
      sym__identifier,
    ACTIONS(11302), 1,
      anon_sym_LPAREN,
    ACTIONS(11304), 1,
      anon_sym_LBRACK,
    ACTIONS(11306), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11308), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11310), 1,
      anon_sym_LT,
    ACTIONS(11312), 1,
      anon_sym_POUND,
    ACTIONS(11314), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11316), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11318), 1,
      aux_sym_type_variable_token1,
    STATE(8964), 1,
      sym_attribute,
    STATE(9947), 1,
      sym__simple_type,
    STATE(10149), 1,
      sym_type_variable,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(14647), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16941), 1,
      sym_extended_module_path,
    STATE(19599), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10747), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [467463] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10792), 1,
      anon_sym_LPAREN,
    ACTIONS(10796), 1,
      anon_sym_LBRACK,
    ACTIONS(11290), 1,
      sym__identifier,
    STATE(8965), 1,
      sym_attribute,
    STATE(9342), 1,
      sym__simple_type,
    STATE(9766), 1,
      sym_type_variable,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(14406), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17308), 1,
      sym_extended_module_path,
    STATE(17967), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9835), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [467540] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9386), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10777), 1,
      anon_sym_LPAREN,
    ACTIONS(10781), 1,
      anon_sym_LBRACK,
    ACTIONS(11292), 1,
      sym__identifier,
    STATE(8966), 1,
      sym_attribute,
    STATE(9087), 1,
      sym__simple_type,
    STATE(9356), 1,
      sym_type_variable,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(14864), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17138), 1,
      sym_extended_module_path,
    STATE(20402), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9411), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [467617] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11320), 1,
      anon_sym_COLON2,
    STATE(8967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9252), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [467662] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10792), 1,
      anon_sym_LPAREN,
    ACTIONS(10796), 1,
      anon_sym_LBRACK,
    ACTIONS(11290), 1,
      sym__identifier,
    STATE(8968), 1,
      sym_attribute,
    STATE(9387), 1,
      sym__simple_type,
    STATE(9766), 1,
      sym_type_variable,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(14959), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17308), 1,
      sym_extended_module_path,
    STATE(18965), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9835), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [467739] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(11322), 1,
      sym__identifier,
    ACTIONS(11324), 1,
      anon_sym_LPAREN,
    ACTIONS(11326), 1,
      anon_sym_LBRACK,
    ACTIONS(11328), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11332), 1,
      anon_sym_LT,
    ACTIONS(11334), 1,
      anon_sym_POUND,
    ACTIONS(11336), 1,
      aux_sym_type_variable_token1,
    STATE(8969), 1,
      sym_attribute,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(13205), 1,
      sym__simple_type,
    STATE(13349), 1,
      sym_type_variable,
    STATE(14573), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16476), 1,
      sym_extended_module_path,
    STATE(19603), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13649), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [467816] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(11322), 1,
      sym__identifier,
    ACTIONS(11324), 1,
      anon_sym_LPAREN,
    ACTIONS(11326), 1,
      anon_sym_LBRACK,
    ACTIONS(11328), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11332), 1,
      anon_sym_LT,
    ACTIONS(11334), 1,
      anon_sym_POUND,
    ACTIONS(11336), 1,
      aux_sym_type_variable_token1,
    STATE(8970), 1,
      sym_attribute,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(13169), 1,
      sym__simple_type,
    STATE(13349), 1,
      sym_type_variable,
    STATE(14581), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16476), 1,
      sym_extended_module_path,
    STATE(19615), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13649), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [467893] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(13), 1,
      anon_sym_type,
    ACTIONS(17), 1,
      anon_sym_module,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(21), 1,
      anon_sym_include,
    ACTIONS(25), 1,
      anon_sym_val,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11112), 1,
      anon_sym_RBRACK,
    ACTIONS(11172), 1,
      anon_sym_exception,
    ACTIONS(11174), 1,
      anon_sym_class,
    STATE(8971), 1,
      sym_attribute,
    STATE(12597), 1,
      aux_sym__structure_repeat1,
    STATE(12664), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12622), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [467964] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(10028), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10030), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11338), 1,
      sym__identifier,
    ACTIONS(11340), 1,
      anon_sym_LPAREN,
    ACTIONS(11342), 1,
      anon_sym_LBRACK,
    ACTIONS(11344), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11346), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11348), 1,
      anon_sym_LT,
    ACTIONS(11350), 1,
      anon_sym_POUND,
    ACTIONS(11352), 1,
      aux_sym_type_variable_token1,
    STATE(8972), 1,
      sym_attribute,
    STATE(9323), 1,
      sym__simple_type,
    STATE(9626), 1,
      sym_type_variable,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(14393), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17381), 1,
      sym_extended_module_path,
    STATE(18217), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10211), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [468041] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(13), 1,
      anon_sym_type,
    ACTIONS(17), 1,
      anon_sym_module,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(21), 1,
      anon_sym_include,
    ACTIONS(25), 1,
      anon_sym_val,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11172), 1,
      anon_sym_exception,
    ACTIONS(11174), 1,
      anon_sym_class,
    ACTIONS(11224), 1,
      anon_sym_RBRACK,
    STATE(8973), 1,
      sym_attribute,
    STATE(12597), 1,
      aux_sym__structure_repeat1,
    STATE(12664), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12622), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [468112] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(10219), 1,
      anon_sym_LPAREN,
    ACTIONS(10221), 1,
      anon_sym_LBRACK,
    ACTIONS(10223), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10225), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10227), 1,
      anon_sym_LT,
    ACTIONS(10229), 1,
      anon_sym_POUND,
    ACTIONS(10231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10235), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11230), 1,
      sym__identifier,
    STATE(8974), 1,
      sym_attribute,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10276), 1,
      sym__simple_type,
    STATE(10283), 1,
      sym_type_variable,
    STATE(14840), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17086), 1,
      sym_extended_module_path,
    STATE(17920), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [468189] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(11322), 1,
      sym__identifier,
    ACTIONS(11324), 1,
      anon_sym_LPAREN,
    ACTIONS(11326), 1,
      anon_sym_LBRACK,
    ACTIONS(11328), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11332), 1,
      anon_sym_LT,
    ACTIONS(11334), 1,
      anon_sym_POUND,
    ACTIONS(11336), 1,
      aux_sym_type_variable_token1,
    STATE(8975), 1,
      sym_attribute,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(13181), 1,
      sym__simple_type,
    STATE(13349), 1,
      sym_type_variable,
    STATE(14953), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16476), 1,
      sym_extended_module_path,
    STATE(20085), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13649), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [468266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10992), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [468309] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(10028), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10030), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11338), 1,
      sym__identifier,
    ACTIONS(11340), 1,
      anon_sym_LPAREN,
    ACTIONS(11342), 1,
      anon_sym_LBRACK,
    ACTIONS(11344), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11346), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11348), 1,
      anon_sym_LT,
    ACTIONS(11350), 1,
      anon_sym_POUND,
    ACTIONS(11352), 1,
      aux_sym_type_variable_token1,
    STATE(8977), 1,
      sym_attribute,
    STATE(9324), 1,
      sym__simple_type,
    STATE(9626), 1,
      sym_type_variable,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(14404), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17381), 1,
      sym_extended_module_path,
    STATE(18226), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10211), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [468386] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(10028), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10030), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11338), 1,
      sym__identifier,
    ACTIONS(11340), 1,
      anon_sym_LPAREN,
    ACTIONS(11342), 1,
      anon_sym_LBRACK,
    ACTIONS(11344), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11346), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11348), 1,
      anon_sym_LT,
    ACTIONS(11350), 1,
      anon_sym_POUND,
    ACTIONS(11352), 1,
      aux_sym_type_variable_token1,
    STATE(8978), 1,
      sym_attribute,
    STATE(9328), 1,
      sym__simple_type,
    STATE(9626), 1,
      sym_type_variable,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(14639), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17381), 1,
      sym_extended_module_path,
    STATE(18386), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10211), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [468463] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(11300), 1,
      sym__identifier,
    ACTIONS(11302), 1,
      anon_sym_LPAREN,
    ACTIONS(11304), 1,
      anon_sym_LBRACK,
    ACTIONS(11306), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11308), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11310), 1,
      anon_sym_LT,
    ACTIONS(11312), 1,
      anon_sym_POUND,
    ACTIONS(11314), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11316), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11318), 1,
      aux_sym_type_variable_token1,
    STATE(8979), 1,
      sym_attribute,
    STATE(9903), 1,
      sym__simple_type,
    STATE(10149), 1,
      sym_type_variable,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(14688), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16941), 1,
      sym_extended_module_path,
    STATE(19946), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10747), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [468540] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11220), 1,
      sym__identifier,
    ACTIONS(11354), 1,
      anon_sym_POUND,
    STATE(8980), 1,
      sym_attribute,
    STATE(9467), 1,
      sym_type_constructor_path,
    STATE(16489), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11102), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11104), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [468593] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(13), 1,
      anon_sym_type,
    ACTIONS(15), 1,
      anon_sym_exception,
    ACTIONS(17), 1,
      anon_sym_module,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(21), 1,
      anon_sym_include,
    ACTIONS(23), 1,
      anon_sym_class,
    ACTIONS(25), 1,
      anon_sym_val,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11112), 1,
      ts_builtin_sym_end,
    STATE(8981), 1,
      sym_attribute,
    STATE(12597), 1,
      aux_sym__structure_repeat1,
    STATE(12664), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12622), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [468664] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9438), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9440), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9442), 1,
      anon_sym_LT,
    ACTIONS(9444), 1,
      anon_sym_POUND,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9450), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10783), 1,
      anon_sym_LPAREN,
    ACTIONS(10787), 1,
      anon_sym_LBRACK,
    ACTIONS(11298), 1,
      sym__identifier,
    STATE(8982), 1,
      sym_attribute,
    STATE(9035), 1,
      sym__simple_type,
    STATE(9389), 1,
      sym_type_variable,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(14665), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17261), 1,
      sym_extended_module_path,
    STATE(18850), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9434), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [468741] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11358), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11356), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [468784] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9438), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9440), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9442), 1,
      anon_sym_LT,
    ACTIONS(9444), 1,
      anon_sym_POUND,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9450), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10783), 1,
      anon_sym_LPAREN,
    ACTIONS(10787), 1,
      anon_sym_LBRACK,
    ACTIONS(11298), 1,
      sym__identifier,
    STATE(8984), 1,
      sym_attribute,
    STATE(9036), 1,
      sym__simple_type,
    STATE(9389), 1,
      sym_type_variable,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(14683), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17261), 1,
      sym_extended_module_path,
    STATE(18928), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9434), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [468861] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(10219), 1,
      anon_sym_LPAREN,
    ACTIONS(10221), 1,
      anon_sym_LBRACK,
    ACTIONS(10223), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10225), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10227), 1,
      anon_sym_LT,
    ACTIONS(10229), 1,
      anon_sym_POUND,
    ACTIONS(10231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10235), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11230), 1,
      sym__identifier,
    STATE(8985), 1,
      sym_attribute,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10280), 1,
      sym__simple_type,
    STATE(10283), 1,
      sym_type_variable,
    STATE(14898), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17086), 1,
      sym_extended_module_path,
    STATE(17572), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [468938] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11052), 1,
      anon_sym_type,
    ACTIONS(11054), 1,
      anon_sym_exception,
    ACTIONS(11056), 1,
      anon_sym_module,
    ACTIONS(11058), 1,
      anon_sym_include,
    ACTIONS(11060), 1,
      anon_sym_class,
    ACTIONS(11062), 1,
      anon_sym_val,
    ACTIONS(11112), 1,
      anon_sym_end,
    STATE(8986), 1,
      sym_attribute,
    STATE(12597), 1,
      aux_sym__structure_repeat1,
    STATE(12664), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12622), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [469009] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(9936), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9938), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11362), 1,
      anon_sym_let,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(8987), 1,
      sym_attribute,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(11589), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11360), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [469068] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10008), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(8988), 1,
      sym_attribute,
    STATE(9440), 1,
      sym__simple_type,
    STATE(9532), 1,
      sym_type_variable,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(14422), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16669), 1,
      sym_extended_module_path,
    STATE(18607), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10162), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [469145] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11052), 1,
      anon_sym_type,
    ACTIONS(11054), 1,
      anon_sym_exception,
    ACTIONS(11056), 1,
      anon_sym_module,
    ACTIONS(11058), 1,
      anon_sym_include,
    ACTIONS(11060), 1,
      anon_sym_class,
    ACTIONS(11062), 1,
      anon_sym_val,
    ACTIONS(11224), 1,
      anon_sym_end,
    STATE(8989), 1,
      sym_attribute,
    STATE(12597), 1,
      aux_sym__structure_repeat1,
    STATE(12664), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12622), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [469216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10992), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [469259] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9476), 1,
      anon_sym_LT,
    ACTIONS(9478), 1,
      anon_sym_POUND,
    ACTIONS(9480), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9482), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9484), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10694), 1,
      anon_sym_LPAREN,
    ACTIONS(10698), 1,
      anon_sym_LBRACK,
    ACTIONS(11218), 1,
      sym__identifier,
    STATE(8991), 1,
      sym_attribute,
    STATE(9568), 1,
      sym__simple_type,
    STATE(10041), 1,
      sym_type_variable,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(14995), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17356), 1,
      sym_extended_module_path,
    STATE(19224), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9938), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [469336] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(9936), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9938), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11366), 1,
      anon_sym_let,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(8992), 1,
      sym_attribute,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(11509), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11364), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [469395] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(11182), 1,
      sym__identifier,
    ACTIONS(11184), 1,
      anon_sym_LPAREN,
    ACTIONS(11186), 1,
      anon_sym_LBRACK,
    ACTIONS(11188), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11190), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11192), 1,
      anon_sym_LT,
    ACTIONS(11194), 1,
      anon_sym_POUND,
    ACTIONS(11196), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11198), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11200), 1,
      aux_sym_type_variable_token1,
    STATE(8993), 1,
      sym_attribute,
    STATE(10063), 1,
      sym__simple_type,
    STATE(10174), 1,
      sym_type_variable,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(14836), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17052), 1,
      sym_extended_module_path,
    STATE(20016), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10735), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [469472] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9476), 1,
      anon_sym_LT,
    ACTIONS(9478), 1,
      anon_sym_POUND,
    ACTIONS(9480), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9482), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9484), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10694), 1,
      anon_sym_LPAREN,
    ACTIONS(10698), 1,
      anon_sym_LBRACK,
    ACTIONS(11218), 1,
      sym__identifier,
    STATE(8994), 1,
      sym_attribute,
    STATE(9569), 1,
      sym__simple_type,
    STATE(10041), 1,
      sym_type_variable,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(15012), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17356), 1,
      sym_extended_module_path,
    STATE(19234), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9938), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [469549] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(11182), 1,
      sym__identifier,
    ACTIONS(11184), 1,
      anon_sym_LPAREN,
    ACTIONS(11186), 1,
      anon_sym_LBRACK,
    ACTIONS(11188), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11190), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11192), 1,
      anon_sym_LT,
    ACTIONS(11194), 1,
      anon_sym_POUND,
    ACTIONS(11196), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11198), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11200), 1,
      aux_sym_type_variable_token1,
    STATE(8995), 1,
      sym_attribute,
    STATE(10064), 1,
      sym__simple_type,
    STATE(10174), 1,
      sym_type_variable,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(14952), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17052), 1,
      sym_extended_module_path,
    STATE(18443), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10735), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [469626] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11320), 1,
      anon_sym_COLON2,
    STATE(8996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9252), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [469671] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9920), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9922), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11202), 1,
      sym__identifier,
    ACTIONS(11204), 1,
      anon_sym_LPAREN,
    ACTIONS(11206), 1,
      anon_sym_LBRACK,
    ACTIONS(11208), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11210), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11212), 1,
      anon_sym_LT,
    ACTIONS(11214), 1,
      anon_sym_POUND,
    ACTIONS(11216), 1,
      aux_sym_type_variable_token1,
    STATE(8997), 1,
      sym_attribute,
    STATE(9767), 1,
      sym__simple_type,
    STATE(9849), 1,
      sym_type_variable,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(14883), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16697), 1,
      sym_extended_module_path,
    STATE(18215), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10348), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [469748] = 22,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(11300), 1,
      sym__identifier,
    ACTIONS(11302), 1,
      anon_sym_LPAREN,
    ACTIONS(11304), 1,
      anon_sym_LBRACK,
    ACTIONS(11306), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11308), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11310), 1,
      anon_sym_LT,
    ACTIONS(11312), 1,
      anon_sym_POUND,
    ACTIONS(11314), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11316), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11318), 1,
      aux_sym_type_variable_token1,
    STATE(8998), 1,
      sym_attribute,
    STATE(9976), 1,
      sym__simple_type,
    STATE(10149), 1,
      sym_type_variable,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(14650), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16941), 1,
      sym_extended_module_path,
    STATE(19601), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10747), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [469825] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(11300), 1,
      sym__identifier,
    ACTIONS(11302), 1,
      anon_sym_LPAREN,
    ACTIONS(11304), 1,
      anon_sym_LBRACK,
    ACTIONS(11306), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11308), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11310), 1,
      anon_sym_LT,
    ACTIONS(11312), 1,
      anon_sym_POUND,
    ACTIONS(11314), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11316), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11318), 1,
      aux_sym_type_variable_token1,
    STATE(8999), 1,
      sym_attribute,
    STATE(10091), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10535), 1,
      sym__constructor_argument,
    STATE(16941), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10747), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469897] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11370), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11372), 1,
      anon_sym_GT,
    STATE(9000), 1,
      sym_attribute,
    STATE(13441), 1,
      sym__simple_type,
    STATE(15310), 1,
      sym_method_type,
    STATE(16670), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469969] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11374), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11376), 1,
      anon_sym_GT,
    STATE(9001), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470041] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11378), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11380), 1,
      anon_sym_GT,
    STATE(9002), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470113] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8120), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [470155] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11382), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11384), 1,
      anon_sym_GT,
    STATE(9004), 1,
      sym_attribute,
    STATE(13460), 1,
      sym__simple_type,
    STATE(15365), 1,
      sym_method_type,
    STATE(16670), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470227] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11386), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11388), 1,
      anon_sym_GT,
    STATE(9005), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470299] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11390), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11392), 1,
      anon_sym_GT,
    STATE(9006), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470371] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11394), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11396), 1,
      anon_sym_GT,
    STATE(9007), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470443] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8124), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [470485] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11398), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11400), 1,
      anon_sym_GT,
    STATE(9009), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470557] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11402), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11404), 1,
      anon_sym_GT,
    STATE(9010), 1,
      sym_attribute,
    STATE(13401), 1,
      sym__simple_type,
    STATE(15425), 1,
      sym_method_type,
    STATE(16670), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470629] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9386), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10777), 1,
      anon_sym_LPAREN,
    ACTIONS(10781), 1,
      anon_sym_LBRACK,
    ACTIONS(11292), 1,
      sym__identifier,
    STATE(9011), 1,
      sym_attribute,
    STATE(9088), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(17138), 1,
      sym_extended_module_path,
    STATE(17630), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9411), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470701] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11406), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11408), 1,
      anon_sym_GT,
    STATE(9012), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470773] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11410), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11412), 1,
      anon_sym_GT,
    STATE(9013), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470845] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9386), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10777), 1,
      anon_sym_LPAREN,
    ACTIONS(10781), 1,
      anon_sym_LBRACK,
    ACTIONS(11292), 1,
      sym__identifier,
    STATE(9014), 1,
      sym_attribute,
    STATE(9089), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(17138), 1,
      sym_extended_module_path,
    STATE(17632), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9411), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470917] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11416), 1,
      anon_sym_GT,
    STATE(9015), 1,
      sym_attribute,
    STATE(13439), 1,
      sym__simple_type,
    STATE(15491), 1,
      sym_method_type,
    STATE(16670), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470989] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8222), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [471031] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11418), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11420), 1,
      anon_sym_GT,
    STATE(9017), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471103] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11422), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11424), 1,
      anon_sym_GT,
    STATE(9018), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471175] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9920), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9922), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11202), 1,
      sym__identifier,
    ACTIONS(11204), 1,
      anon_sym_LPAREN,
    ACTIONS(11206), 1,
      anon_sym_LBRACK,
    ACTIONS(11208), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11210), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11212), 1,
      anon_sym_LT,
    ACTIONS(11214), 1,
      anon_sym_POUND,
    ACTIONS(11216), 1,
      aux_sym_type_variable_token1,
    STATE(9019), 1,
      sym_attribute,
    STATE(9549), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(16697), 1,
      sym_extended_module_path,
    STATE(19173), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10348), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471247] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11426), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11428), 1,
      anon_sym_GT,
    STATE(9020), 1,
      sym_attribute,
    STATE(13415), 1,
      sym__simple_type,
    STATE(15542), 1,
      sym_method_type,
    STATE(16670), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471319] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9386), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10777), 1,
      anon_sym_LPAREN,
    ACTIONS(10781), 1,
      anon_sym_LBRACK,
    ACTIONS(11292), 1,
      sym__identifier,
    STATE(9021), 1,
      sym_attribute,
    STATE(9091), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(17138), 1,
      sym_extended_module_path,
    STATE(17717), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9411), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471391] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8128), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [471433] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8132), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [471475] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11430), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11432), 1,
      anon_sym_GT,
    STATE(9024), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471547] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11434), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11436), 1,
      anon_sym_GT,
    STATE(9025), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471619] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8226), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [471661] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11438), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11440), 1,
      anon_sym_GT,
    STATE(9027), 1,
      sym_attribute,
    STATE(13424), 1,
      sym__simple_type,
    STATE(15604), 1,
      sym_method_type,
    STATE(16670), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471733] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8230), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [471775] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8234), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [471817] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8238), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [471859] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11442), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11444), 1,
      anon_sym_GT,
    STATE(9031), 1,
      sym_attribute,
    STATE(13427), 1,
      sym__simple_type,
    STATE(15910), 1,
      sym_method_type,
    STATE(16670), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471931] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11446), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11448), 1,
      anon_sym_GT,
    STATE(9032), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472003] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11450), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11452), 1,
      anon_sym_GT,
    STATE(9033), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472075] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9386), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10777), 1,
      anon_sym_LPAREN,
    ACTIONS(10781), 1,
      anon_sym_LBRACK,
    ACTIONS(11292), 1,
      sym__identifier,
    STATE(9034), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10535), 1,
      sym__constructor_argument,
    STATE(17138), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9411), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472147] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11232), 1,
      sym__identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11462), 1,
      anon_sym_POUND,
    STATE(9035), 1,
      sym_attribute,
    STATE(9438), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17311), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11456), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [472205] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11232), 1,
      sym__identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11462), 1,
      anon_sym_POUND,
    STATE(9036), 1,
      sym_attribute,
    STATE(9438), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17311), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11466), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [472263] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11232), 1,
      sym__identifier,
    ACTIONS(11462), 1,
      anon_sym_POUND,
    STATE(9037), 1,
      sym_attribute,
    STATE(9438), 1,
      sym_type_constructor_path,
    STATE(17311), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10131), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10133), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [472315] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11232), 1,
      sym__identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11462), 1,
      anon_sym_POUND,
    STATE(9038), 1,
      sym_attribute,
    STATE(9438), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17311), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11468), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11470), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [472373] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11472), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11474), 1,
      anon_sym_GT,
    STATE(9039), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472445] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11232), 1,
      sym__identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11462), 1,
      anon_sym_POUND,
    STATE(9040), 1,
      sym_attribute,
    STATE(9438), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17311), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11476), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11478), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [472503] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11232), 1,
      sym__identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11462), 1,
      anon_sym_POUND,
    STATE(9041), 1,
      sym_attribute,
    STATE(9438), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17311), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11480), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11482), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [472561] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8176), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [472603] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9386), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10777), 1,
      anon_sym_LPAREN,
    ACTIONS(10781), 1,
      anon_sym_LBRACK,
    ACTIONS(11292), 1,
      sym__identifier,
    STATE(9043), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10589), 1,
      sym__constructor_argument,
    STATE(17138), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9411), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472675] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10008), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(9044), 1,
      sym_attribute,
    STATE(9326), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(16669), 1,
      sym_extended_module_path,
    STATE(19029), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10162), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472747] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11484), 1,
      sym__identifier,
    ACTIONS(11486), 1,
      anon_sym_POUND,
    STATE(9045), 1,
      sym_attribute,
    STATE(9544), 1,
      sym_type_constructor_path,
    STATE(16591), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11102), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11104), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [472799] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9150), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [472841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9252), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [472883] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11232), 1,
      sym__identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11462), 1,
      anon_sym_POUND,
    STATE(9048), 1,
      sym_attribute,
    STATE(9438), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17311), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11488), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11490), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [472941] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9920), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9922), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11202), 1,
      sym__identifier,
    ACTIONS(11204), 1,
      anon_sym_LPAREN,
    ACTIONS(11206), 1,
      anon_sym_LBRACK,
    ACTIONS(11208), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11210), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11212), 1,
      anon_sym_LT,
    ACTIONS(11214), 1,
      anon_sym_POUND,
    ACTIONS(11216), 1,
      aux_sym_type_variable_token1,
    STATE(9049), 1,
      sym_attribute,
    STATE(9912), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10535), 1,
      sym__constructor_argument,
    STATE(16697), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10348), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473013] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11492), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11494), 1,
      anon_sym_GT,
    STATE(9050), 1,
      sym_attribute,
    STATE(13390), 1,
      sym__simple_type,
    STATE(15639), 1,
      sym_method_type,
    STATE(16670), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473085] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9920), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9922), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11202), 1,
      sym__identifier,
    ACTIONS(11204), 1,
      anon_sym_LPAREN,
    ACTIONS(11206), 1,
      anon_sym_LBRACK,
    ACTIONS(11208), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11210), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11212), 1,
      anon_sym_LT,
    ACTIONS(11214), 1,
      anon_sym_POUND,
    ACTIONS(11216), 1,
      aux_sym_type_variable_token1,
    STATE(9051), 1,
      sym_attribute,
    STATE(9912), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10589), 1,
      sym__constructor_argument,
    STATE(16697), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10348), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473157] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8136), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [473199] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7825), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7827), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [473241] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9386), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10777), 1,
      anon_sym_LPAREN,
    ACTIONS(10781), 1,
      anon_sym_LBRACK,
    ACTIONS(11292), 1,
      sym__identifier,
    STATE(9054), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10614), 1,
      sym__constructor_argument,
    STATE(17138), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9411), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473313] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8246), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [473355] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8250), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [473397] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11320), 1,
      anon_sym_COLON2,
    STATE(9057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9252), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [473441] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10008), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(9058), 1,
      sym_attribute,
    STATE(9330), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(16669), 1,
      sym_extended_module_path,
    STATE(19038), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10162), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473513] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8260), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [473555] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8268), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [473597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9150), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [473639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9252), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [473681] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8276), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [473723] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8280), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [473765] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11282), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(8254), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [473809] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11496), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11498), 1,
      anon_sym_GT,
    STATE(9066), 1,
      sym_attribute,
    STATE(13393), 1,
      sym__simple_type,
    STATE(15222), 1,
      sym_method_type,
    STATE(16670), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473881] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9920), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9922), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11202), 1,
      sym__identifier,
    ACTIONS(11204), 1,
      anon_sym_LPAREN,
    ACTIONS(11206), 1,
      anon_sym_LBRACK,
    ACTIONS(11208), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11210), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11212), 1,
      anon_sym_LT,
    ACTIONS(11214), 1,
      anon_sym_POUND,
    ACTIONS(11216), 1,
      aux_sym_type_variable_token1,
    STATE(9067), 1,
      sym_attribute,
    STATE(9912), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10614), 1,
      sym__constructor_argument,
    STATE(16697), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10348), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10994), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(10992), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
  [473995] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8288), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8290), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [474037] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10792), 1,
      anon_sym_LPAREN,
    ACTIONS(10796), 1,
      anon_sym_LBRACK,
    ACTIONS(11290), 1,
      sym__identifier,
    STATE(9070), 1,
      sym_attribute,
    STATE(9426), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(17308), 1,
      sym_extended_module_path,
    STATE(17675), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9835), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474109] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11500), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11502), 1,
      anon_sym_GT,
    STATE(9071), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474181] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8294), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [474223] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11506), 1,
      anon_sym_GT,
    STATE(9073), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474295] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(10219), 1,
      anon_sym_LPAREN,
    ACTIONS(10221), 1,
      anon_sym_LBRACK,
    ACTIONS(10223), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10225), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10227), 1,
      anon_sym_LT,
    ACTIONS(10229), 1,
      anon_sym_POUND,
    ACTIONS(10231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10235), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11230), 1,
      sym__identifier,
    STATE(9074), 1,
      sym_attribute,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10559), 1,
      sym__simple_type,
    STATE(10614), 1,
      sym__constructor_argument,
    STATE(17086), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474367] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(10028), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10030), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11338), 1,
      sym__identifier,
    ACTIONS(11340), 1,
      anon_sym_LPAREN,
    ACTIONS(11342), 1,
      anon_sym_LBRACK,
    ACTIONS(11344), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11346), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11348), 1,
      anon_sym_LT,
    ACTIONS(11350), 1,
      anon_sym_POUND,
    ACTIONS(11352), 1,
      aux_sym_type_variable_token1,
    STATE(9075), 1,
      sym_attribute,
    STATE(9331), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(17381), 1,
      sym_extended_module_path,
    STATE(18516), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10211), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474439] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(10028), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10030), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11338), 1,
      sym__identifier,
    ACTIONS(11340), 1,
      anon_sym_LPAREN,
    ACTIONS(11342), 1,
      anon_sym_LBRACK,
    ACTIONS(11344), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11346), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11348), 1,
      anon_sym_LT,
    ACTIONS(11350), 1,
      anon_sym_POUND,
    ACTIONS(11352), 1,
      aux_sym_type_variable_token1,
    STATE(9076), 1,
      sym_attribute,
    STATE(9332), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(17381), 1,
      sym_extended_module_path,
    STATE(18529), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10211), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474511] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(10028), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10030), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11338), 1,
      sym__identifier,
    ACTIONS(11340), 1,
      anon_sym_LPAREN,
    ACTIONS(11342), 1,
      anon_sym_LBRACK,
    ACTIONS(11344), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11346), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11348), 1,
      anon_sym_LT,
    ACTIONS(11350), 1,
      anon_sym_POUND,
    ACTIONS(11352), 1,
      aux_sym_type_variable_token1,
    STATE(9077), 1,
      sym_attribute,
    STATE(9334), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(17381), 1,
      sym_extended_module_path,
    STATE(18603), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10211), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474583] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11508), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11510), 1,
      anon_sym_GT,
    STATE(9078), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474655] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11516), 1,
      anon_sym_LPAREN,
    STATE(9686), 1,
      sym_module_parameter,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9079), 2,
      sym_attribute,
      aux_sym_module_binding_repeat1,
    ACTIONS(11514), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11512), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [474701] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10792), 1,
      anon_sym_LPAREN,
    ACTIONS(10796), 1,
      anon_sym_LBRACK,
    ACTIONS(11290), 1,
      sym__identifier,
    STATE(9080), 1,
      sym_attribute,
    STATE(9728), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10614), 1,
      sym__constructor_argument,
    STATE(17308), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9835), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474773] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10008), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(9081), 1,
      sym_attribute,
    STATE(9354), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(16669), 1,
      sym_extended_module_path,
    STATE(19129), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10162), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474845] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8140), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [474887] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11286), 1,
      sym__identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11519), 1,
      anon_sym_POUND,
    STATE(9083), 1,
      sym_attribute,
    STATE(9455), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11456), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [474945] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11286), 1,
      sym__identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11519), 1,
      anon_sym_POUND,
    STATE(9084), 1,
      sym_attribute,
    STATE(9455), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11466), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [475003] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(10028), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10030), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11338), 1,
      sym__identifier,
    ACTIONS(11340), 1,
      anon_sym_LPAREN,
    ACTIONS(11342), 1,
      anon_sym_LBRACK,
    ACTIONS(11344), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11346), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11348), 1,
      anon_sym_LT,
    ACTIONS(11350), 1,
      anon_sym_POUND,
    ACTIONS(11352), 1,
      aux_sym_type_variable_token1,
    STATE(9085), 1,
      sym_attribute,
    STATE(9533), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10535), 1,
      sym__constructor_argument,
    STATE(17381), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10211), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475075] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11521), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11523), 1,
      anon_sym_GT,
    STATE(9086), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475147] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11286), 1,
      sym__identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11519), 1,
      anon_sym_POUND,
    STATE(9087), 1,
      sym_attribute,
    STATE(9455), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11468), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11470), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [475205] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11286), 1,
      sym__identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11519), 1,
      anon_sym_POUND,
    STATE(9088), 1,
      sym_attribute,
    STATE(9455), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11476), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11478), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [475263] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11286), 1,
      sym__identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11519), 1,
      anon_sym_POUND,
    STATE(9089), 1,
      sym_attribute,
    STATE(9455), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11480), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11482), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [475321] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8100), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [475363] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11286), 1,
      sym__identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11519), 1,
      anon_sym_POUND,
    STATE(9091), 1,
      sym_attribute,
    STATE(9455), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11488), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11490), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [475421] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(10028), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10030), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11338), 1,
      sym__identifier,
    ACTIONS(11340), 1,
      anon_sym_LPAREN,
    ACTIONS(11342), 1,
      anon_sym_LBRACK,
    ACTIONS(11344), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11346), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11348), 1,
      anon_sym_LT,
    ACTIONS(11350), 1,
      anon_sym_POUND,
    ACTIONS(11352), 1,
      aux_sym_type_variable_token1,
    STATE(9092), 1,
      sym_attribute,
    STATE(9533), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10589), 1,
      sym__constructor_argument,
    STATE(17381), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10211), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475493] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10792), 1,
      anon_sym_LPAREN,
    ACTIONS(10796), 1,
      anon_sym_LBRACK,
    ACTIONS(11290), 1,
      sym__identifier,
    STATE(9093), 1,
      sym_attribute,
    STATE(9728), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10589), 1,
      sym__constructor_argument,
    STATE(17308), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9835), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475565] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11525), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11527), 1,
      anon_sym_GT,
    STATE(9094), 1,
      sym_attribute,
    STATE(13412), 1,
      sym__simple_type,
    STATE(15843), 1,
      sym_method_type,
    STATE(16670), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5637), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(5635), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [475679] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11529), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11531), 1,
      anon_sym_GT,
    STATE(9096), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475751] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(10028), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10030), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11338), 1,
      sym__identifier,
    ACTIONS(11340), 1,
      anon_sym_LPAREN,
    ACTIONS(11342), 1,
      anon_sym_LBRACK,
    ACTIONS(11344), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11346), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11348), 1,
      anon_sym_LT,
    ACTIONS(11350), 1,
      anon_sym_POUND,
    ACTIONS(11352), 1,
      aux_sym_type_variable_token1,
    STATE(9097), 1,
      sym_attribute,
    STATE(9533), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10614), 1,
      sym__constructor_argument,
    STATE(17381), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10211), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475823] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8184), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [475865] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11533), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11535), 1,
      anon_sym_GT,
    STATE(9099), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475937] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(11300), 1,
      sym__identifier,
    ACTIONS(11302), 1,
      anon_sym_LPAREN,
    ACTIONS(11304), 1,
      anon_sym_LBRACK,
    ACTIONS(11306), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11308), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11310), 1,
      anon_sym_LT,
    ACTIONS(11312), 1,
      anon_sym_POUND,
    ACTIONS(11314), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11316), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11318), 1,
      aux_sym_type_variable_token1,
    STATE(9100), 1,
      sym_attribute,
    STATE(9864), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(16941), 1,
      sym_extended_module_path,
    STATE(20244), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10747), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476009] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(11300), 1,
      sym__identifier,
    ACTIONS(11302), 1,
      anon_sym_LPAREN,
    ACTIONS(11304), 1,
      anon_sym_LBRACK,
    ACTIONS(11306), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11308), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11310), 1,
      anon_sym_LT,
    ACTIONS(11312), 1,
      anon_sym_POUND,
    ACTIONS(11314), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11316), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11318), 1,
      aux_sym_type_variable_token1,
    STATE(9101), 1,
      sym_attribute,
    STATE(9865), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(16941), 1,
      sym_extended_module_path,
    STATE(20253), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10747), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476081] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(11300), 1,
      sym__identifier,
    ACTIONS(11302), 1,
      anon_sym_LPAREN,
    ACTIONS(11304), 1,
      anon_sym_LBRACK,
    ACTIONS(11306), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11308), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11310), 1,
      anon_sym_LT,
    ACTIONS(11312), 1,
      anon_sym_POUND,
    ACTIONS(11314), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11316), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11318), 1,
      aux_sym_type_variable_token1,
    STATE(9102), 1,
      sym_attribute,
    STATE(9917), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(16941), 1,
      sym_extended_module_path,
    STATE(18560), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10747), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11539), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11537), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [476195] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11541), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11543), 1,
      anon_sym_GT,
    STATE(9104), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476267] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11545), 1,
      anon_sym_DOT,
    ACTIONS(11547), 1,
      anon_sym_POUND,
    ACTIONS(11549), 1,
      sym_hash_operator,
    STATE(9105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8052), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [476315] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7913), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [476357] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7871), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7873), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [476399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11553), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11551), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [476441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11557), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11555), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [476483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11561), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11559), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [476525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11563), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [476567] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(11182), 1,
      sym__identifier,
    ACTIONS(11184), 1,
      anon_sym_LPAREN,
    ACTIONS(11186), 1,
      anon_sym_LBRACK,
    ACTIONS(11188), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11190), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11192), 1,
      anon_sym_LT,
    ACTIONS(11194), 1,
      anon_sym_POUND,
    ACTIONS(11196), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11198), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11200), 1,
      aux_sym_type_variable_token1,
    STATE(9112), 1,
      sym_attribute,
    STATE(9925), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(17052), 1,
      sym_extended_module_path,
    STATE(17912), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10735), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476639] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(11182), 1,
      sym__identifier,
    ACTIONS(11184), 1,
      anon_sym_LPAREN,
    ACTIONS(11186), 1,
      anon_sym_LBRACK,
    ACTIONS(11188), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11190), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11192), 1,
      anon_sym_LT,
    ACTIONS(11194), 1,
      anon_sym_POUND,
    ACTIONS(11196), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11198), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11200), 1,
      aux_sym_type_variable_token1,
    STATE(9113), 1,
      sym_attribute,
    STATE(9927), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(17052), 1,
      sym_extended_module_path,
    STATE(17913), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10735), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476711] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11567), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11569), 1,
      anon_sym_GT,
    STATE(9114), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476783] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8194), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8196), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [476825] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11545), 1,
      anon_sym_DOT,
    ACTIONS(11547), 1,
      anon_sym_POUND,
    ACTIONS(11549), 1,
      sym_hash_operator,
    STATE(9116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8148), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [476873] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11571), 1,
      sym__identifier,
    ACTIONS(11573), 1,
      anon_sym_POUND,
    STATE(9117), 1,
      sym_attribute,
    STATE(9592), 1,
      sym_type_constructor_path,
    STATE(16564), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11102), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11104), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [476925] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8144), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [476967] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11484), 1,
      sym__identifier,
    ACTIONS(11575), 1,
      anon_sym_POUND,
    STATE(9119), 1,
      sym_attribute,
    STATE(9782), 1,
      sym_type_constructor_path,
    STATE(16591), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10131), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10133), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [477019] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8180), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [477061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11577), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [477103] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(11182), 1,
      sym__identifier,
    ACTIONS(11184), 1,
      anon_sym_LPAREN,
    ACTIONS(11186), 1,
      anon_sym_LBRACK,
    ACTIONS(11188), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11190), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11192), 1,
      anon_sym_LT,
    ACTIONS(11194), 1,
      anon_sym_POUND,
    ACTIONS(11196), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11198), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11200), 1,
      aux_sym_type_variable_token1,
    STATE(9122), 1,
      sym_attribute,
    STATE(9934), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(17052), 1,
      sym_extended_module_path,
    STATE(19852), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10735), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11583), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11581), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [477217] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11587), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11585), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [477259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11591), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11589), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [477301] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8030), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8032), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [477343] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7867), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7869), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [477385] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8188), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [477427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11595), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11593), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [477469] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8104), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [477511] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(11300), 1,
      sym__identifier,
    ACTIONS(11302), 1,
      anon_sym_LPAREN,
    ACTIONS(11304), 1,
      anon_sym_LBRACK,
    ACTIONS(11306), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11308), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11310), 1,
      anon_sym_LT,
    ACTIONS(11312), 1,
      anon_sym_POUND,
    ACTIONS(11314), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11316), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11318), 1,
      aux_sym_type_variable_token1,
    STATE(9131), 1,
      sym_attribute,
    STATE(10091), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10589), 1,
      sym__constructor_argument,
    STATE(16941), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10747), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477583] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7875), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7877), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [477625] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11484), 1,
      sym__identifier,
    ACTIONS(11575), 1,
      anon_sym_POUND,
    STATE(9133), 1,
      sym_attribute,
    STATE(9782), 1,
      sym_type_constructor_path,
    STATE(16591), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11096), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11098), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [477677] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8192), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [477719] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8036), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [477761] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8040), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [477803] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7891), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7893), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [477845] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8198), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8200), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [477887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11599), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11597), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [477929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11601), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [477971] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8208), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [478013] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8212), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [478055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11607), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11605), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [478097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11611), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11609), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [478139] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11613), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11615), 1,
      anon_sym_GT,
    STATE(9145), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478211] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11617), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11619), 1,
      anon_sym_GT,
    STATE(9146), 1,
      sym_attribute,
    STATE(13428), 1,
      sym__simple_type,
    STATE(16319), 1,
      sym_method_type,
    STATE(16670), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478283] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(10219), 1,
      anon_sym_LPAREN,
    ACTIONS(10221), 1,
      anon_sym_LBRACK,
    ACTIONS(10223), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10225), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10227), 1,
      anon_sym_LT,
    ACTIONS(10229), 1,
      anon_sym_POUND,
    ACTIONS(10231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10235), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11230), 1,
      sym__identifier,
    STATE(9147), 1,
      sym_attribute,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10535), 1,
      sym__constructor_argument,
    STATE(10559), 1,
      sym__simple_type,
    STATE(17086), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478355] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11621), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11623), 1,
      anon_sym_GT,
    STATE(9148), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478427] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8108), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [478469] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9476), 1,
      anon_sym_LT,
    ACTIONS(9478), 1,
      anon_sym_POUND,
    ACTIONS(9480), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9482), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9484), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10694), 1,
      anon_sym_LPAREN,
    ACTIONS(10698), 1,
      anon_sym_LBRACK,
    ACTIONS(11218), 1,
      sym__identifier,
    STATE(9150), 1,
      sym_attribute,
    STATE(9597), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(17356), 1,
      sym_extended_module_path,
    STATE(19401), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9938), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478541] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9476), 1,
      anon_sym_LT,
    ACTIONS(9478), 1,
      anon_sym_POUND,
    ACTIONS(9480), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9482), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9484), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10694), 1,
      anon_sym_LPAREN,
    ACTIONS(10698), 1,
      anon_sym_LBRACK,
    ACTIONS(11218), 1,
      sym__identifier,
    STATE(9151), 1,
      sym_attribute,
    STATE(9598), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(17356), 1,
      sym_extended_module_path,
    STATE(19402), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9938), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478613] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9476), 1,
      anon_sym_LT,
    ACTIONS(9478), 1,
      anon_sym_POUND,
    ACTIONS(9480), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9482), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9484), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10694), 1,
      anon_sym_LPAREN,
    ACTIONS(10698), 1,
      anon_sym_LBRACK,
    ACTIONS(11218), 1,
      sym__identifier,
    STATE(9152), 1,
      sym_attribute,
    STATE(9609), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(17356), 1,
      sym_extended_module_path,
    STATE(19460), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9938), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478685] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7879), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7881), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [478727] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8152), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [478769] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8044), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [478811] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(11300), 1,
      sym__identifier,
    ACTIONS(11302), 1,
      anon_sym_LPAREN,
    ACTIONS(11304), 1,
      anon_sym_LBRACK,
    ACTIONS(11306), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11308), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11310), 1,
      anon_sym_LT,
    ACTIONS(11312), 1,
      anon_sym_POUND,
    ACTIONS(11314), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11316), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11318), 1,
      aux_sym_type_variable_token1,
    STATE(9156), 1,
      sym_attribute,
    STATE(10091), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10614), 1,
      sym__constructor_argument,
    STATE(16941), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10747), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478883] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9476), 1,
      anon_sym_LT,
    ACTIONS(9478), 1,
      anon_sym_POUND,
    ACTIONS(9480), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9482), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9484), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10694), 1,
      anon_sym_LPAREN,
    ACTIONS(10698), 1,
      anon_sym_LBRACK,
    ACTIONS(11218), 1,
      sym__identifier,
    STATE(9157), 1,
      sym_attribute,
    STATE(9946), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10535), 1,
      sym__constructor_argument,
    STATE(17356), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9938), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478955] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8048), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [478997] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(10219), 1,
      anon_sym_LPAREN,
    ACTIONS(10221), 1,
      anon_sym_LBRACK,
    ACTIONS(10223), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10225), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10227), 1,
      anon_sym_LT,
    ACTIONS(10229), 1,
      anon_sym_POUND,
    ACTIONS(10231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10235), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11230), 1,
      sym__identifier,
    STATE(9159), 1,
      sym_attribute,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10559), 1,
      sym__simple_type,
    STATE(10589), 1,
      sym__constructor_argument,
    STATE(17086), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479069] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11286), 1,
      sym__identifier,
    ACTIONS(11519), 1,
      anon_sym_POUND,
    STATE(9160), 1,
      sym_attribute,
    STATE(9455), 1,
      sym_type_constructor_path,
    STATE(17431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10131), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10133), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [479121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11627), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11625), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [479163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11631), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11629), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [479205] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9476), 1,
      anon_sym_LT,
    ACTIONS(9478), 1,
      anon_sym_POUND,
    ACTIONS(9480), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9482), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9484), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10694), 1,
      anon_sym_LPAREN,
    ACTIONS(10698), 1,
      anon_sym_LBRACK,
    ACTIONS(11218), 1,
      sym__identifier,
    STATE(9163), 1,
      sym_attribute,
    STATE(9946), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10589), 1,
      sym__constructor_argument,
    STATE(17356), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9938), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11635), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11633), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [479319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11639), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11637), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [479361] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10008), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(9166), 1,
      sym_attribute,
    STATE(9500), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10535), 1,
      sym__constructor_argument,
    STATE(16669), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10162), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11643), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11641), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [479475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11647), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11645), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [479517] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8156), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [479559] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11651), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11649), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [479601] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8160), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [479643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11655), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11653), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [479685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11659), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11657), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [479727] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11661), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11663), 1,
      anon_sym_GT,
    STATE(9174), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479799] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8056), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [479841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11667), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11665), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [479883] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11671), 1,
      anon_sym_GT,
    STATE(9177), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479955] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11673), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11675), 1,
      anon_sym_GT,
    STATE(9178), 1,
      sym_attribute,
    STATE(13414), 1,
      sym__simple_type,
    STATE(16077), 1,
      sym_method_type,
    STATE(16670), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480027] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8164), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [480069] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9984), 1,
      anon_sym_LPAREN,
    ACTIONS(9986), 1,
      anon_sym_LBRACK,
    ACTIONS(9988), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9990), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9992), 1,
      anon_sym_LT,
    ACTIONS(9994), 1,
      anon_sym_POUND,
    ACTIONS(9996), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9998), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10000), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11268), 1,
      sym__identifier,
    STATE(9180), 1,
      sym_attribute,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10500), 1,
      sym__simple_type,
    STATE(17008), 1,
      sym_extended_module_path,
    STATE(17856), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10929), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480141] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9984), 1,
      anon_sym_LPAREN,
    ACTIONS(9986), 1,
      anon_sym_LBRACK,
    ACTIONS(9988), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9990), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9992), 1,
      anon_sym_LT,
    ACTIONS(9994), 1,
      anon_sym_POUND,
    ACTIONS(9996), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9998), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10000), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11268), 1,
      sym__identifier,
    STATE(9181), 1,
      sym_attribute,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10502), 1,
      sym__simple_type,
    STATE(17008), 1,
      sym_extended_module_path,
    STATE(17857), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10929), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480213] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9476), 1,
      anon_sym_LT,
    ACTIONS(9478), 1,
      anon_sym_POUND,
    ACTIONS(9480), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9482), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9484), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10694), 1,
      anon_sym_LPAREN,
    ACTIONS(10698), 1,
      anon_sym_LBRACK,
    ACTIONS(11218), 1,
      sym__identifier,
    STATE(9182), 1,
      sym_attribute,
    STATE(9946), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10614), 1,
      sym__constructor_argument,
    STATE(17356), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9938), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480285] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11677), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11679), 1,
      anon_sym_GT,
    STATE(9183), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480357] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9984), 1,
      anon_sym_LPAREN,
    ACTIONS(9986), 1,
      anon_sym_LBRACK,
    ACTIONS(9988), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9990), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9992), 1,
      anon_sym_LT,
    ACTIONS(9994), 1,
      anon_sym_POUND,
    ACTIONS(9996), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9998), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10000), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11268), 1,
      sym__identifier,
    STATE(9184), 1,
      sym_attribute,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10530), 1,
      sym__simple_type,
    STATE(17008), 1,
      sym_extended_module_path,
    STATE(18058), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10929), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10992), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(10994), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [480471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11539), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11537), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [480513] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8060), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [480555] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8064), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [480597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11553), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11551), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [480639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11557), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11555), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [480681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11683), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11681), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [480723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11561), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11559), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [480765] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10792), 1,
      anon_sym_LPAREN,
    ACTIONS(10796), 1,
      anon_sym_LBRACK,
    ACTIONS(11290), 1,
      sym__identifier,
    STATE(9193), 1,
      sym_attribute,
    STATE(9432), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(17308), 1,
      sym_extended_module_path,
    STATE(17684), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9835), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11563), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [480879] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7885), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7887), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [480921] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11685), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11687), 1,
      anon_sym_GT,
    STATE(9196), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480993] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11689), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11691), 1,
      anon_sym_GT,
    STATE(9197), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481065] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11236), 1,
      sym__identifier,
    ACTIONS(11238), 1,
      anon_sym_LPAREN,
    ACTIONS(11240), 1,
      anon_sym_LBRACK,
    ACTIONS(11242), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11246), 1,
      anon_sym_LT,
    ACTIONS(11248), 1,
      anon_sym_POUND,
    ACTIONS(11250), 1,
      aux_sym_type_variable_token1,
    STATE(9198), 1,
      sym_attribute,
    STATE(9861), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(16735), 1,
      sym_extended_module_path,
    STATE(20366), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10770), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481137] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11236), 1,
      sym__identifier,
    ACTIONS(11238), 1,
      anon_sym_LPAREN,
    ACTIONS(11240), 1,
      anon_sym_LBRACK,
    ACTIONS(11242), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11246), 1,
      anon_sym_LT,
    ACTIONS(11248), 1,
      anon_sym_POUND,
    ACTIONS(11250), 1,
      aux_sym_type_variable_token1,
    STATE(9199), 1,
      sym_attribute,
    STATE(9862), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(16735), 1,
      sym_extended_module_path,
    STATE(20367), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10770), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481209] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11236), 1,
      sym__identifier,
    ACTIONS(11238), 1,
      anon_sym_LPAREN,
    ACTIONS(11240), 1,
      anon_sym_LBRACK,
    ACTIONS(11242), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11246), 1,
      anon_sym_LT,
    ACTIONS(11248), 1,
      anon_sym_POUND,
    ACTIONS(11250), 1,
      aux_sym_type_variable_token1,
    STATE(9200), 1,
      sym_attribute,
    STATE(9879), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(16735), 1,
      sym_extended_module_path,
    STATE(20425), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10770), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481281] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7897), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [481323] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7901), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7903), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [481365] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8168), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [481407] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8068), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [481449] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11693), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11695), 1,
      anon_sym_GT,
    STATE(9205), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481521] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(13), 1,
      anon_sym_type,
    ACTIONS(15), 1,
      anon_sym_exception,
    ACTIONS(17), 1,
      anon_sym_module,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(21), 1,
      anon_sym_include,
    ACTIONS(23), 1,
      anon_sym_class,
    ACTIONS(25), 1,
      anon_sym_val,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    STATE(9206), 1,
      sym_attribute,
    STATE(12597), 1,
      aux_sym__structure_repeat1,
    STATE(12664), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12622), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [481589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11577), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [481631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11583), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11581), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [481673] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11587), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11585), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [481715] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11591), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11589), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [481757] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11697), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11699), 1,
      anon_sym_GT,
    STATE(9211), 1,
      sym_attribute,
    STATE(13434), 1,
      sym__simple_type,
    STATE(15635), 1,
      sym_method_type,
    STATE(16670), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481829] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9984), 1,
      anon_sym_LPAREN,
    ACTIONS(9986), 1,
      anon_sym_LBRACK,
    ACTIONS(9988), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9990), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9992), 1,
      anon_sym_LT,
    ACTIONS(9994), 1,
      anon_sym_POUND,
    ACTIONS(9996), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9998), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10000), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11268), 1,
      sym__identifier,
    STATE(9212), 1,
      sym_attribute,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10535), 1,
      sym__constructor_argument,
    STATE(10831), 1,
      sym__simple_type,
    STATE(17008), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10929), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481901] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10008), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(9213), 1,
      sym_attribute,
    STATE(9500), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10589), 1,
      sym__constructor_argument,
    STATE(16669), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10162), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481973] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9984), 1,
      anon_sym_LPAREN,
    ACTIONS(9986), 1,
      anon_sym_LBRACK,
    ACTIONS(9988), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9990), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9992), 1,
      anon_sym_LT,
    ACTIONS(9994), 1,
      anon_sym_POUND,
    ACTIONS(9996), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9998), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10000), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11268), 1,
      sym__identifier,
    STATE(9214), 1,
      sym_attribute,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10589), 1,
      sym__constructor_argument,
    STATE(10831), 1,
      sym__simple_type,
    STATE(17008), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10929), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482045] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11701), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11703), 1,
      anon_sym_GT,
    STATE(9215), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482117] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11599), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11597), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [482159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11601), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [482201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11607), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11605), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [482243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11611), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11609), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [482285] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11707), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11705), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [482327] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11709), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11711), 1,
      anon_sym_GT,
    STATE(9221), 1,
      sym_attribute,
    STATE(13458), 1,
      sym__simple_type,
    STATE(15584), 1,
      sym_method_type,
    STATE(16670), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482399] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8072), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [482441] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9984), 1,
      anon_sym_LPAREN,
    ACTIONS(9986), 1,
      anon_sym_LBRACK,
    ACTIONS(9988), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9990), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9992), 1,
      anon_sym_LT,
    ACTIONS(9994), 1,
      anon_sym_POUND,
    ACTIONS(9996), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9998), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10000), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11268), 1,
      sym__identifier,
    STATE(9223), 1,
      sym_attribute,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10614), 1,
      sym__constructor_argument,
    STATE(10831), 1,
      sym__simple_type,
    STATE(17008), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10929), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11627), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11625), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [482555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11631), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11629), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [482597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11635), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11633), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [482639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11639), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11637), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [482681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11643), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11641), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [482723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11647), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11645), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [482765] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8076), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [482807] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7831), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7833), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [482849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11651), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11649), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [482891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11655), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11653), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [482933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11659), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11657), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [482975] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11713), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11715), 1,
      anon_sym_GT,
    STATE(9235), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483047] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11667), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11665), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [483089] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11717), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11719), 1,
      anon_sym_GT,
    STATE(9237), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483161] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11236), 1,
      sym__identifier,
    ACTIONS(11238), 1,
      anon_sym_LPAREN,
    ACTIONS(11240), 1,
      anon_sym_LBRACK,
    ACTIONS(11242), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11246), 1,
      anon_sym_LT,
    ACTIONS(11248), 1,
      anon_sym_POUND,
    ACTIONS(11250), 1,
      aux_sym_type_variable_token1,
    STATE(9238), 1,
      sym_attribute,
    STATE(10142), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10535), 1,
      sym__constructor_argument,
    STATE(16735), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10770), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483233] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(11322), 1,
      sym__identifier,
    ACTIONS(11324), 1,
      anon_sym_LPAREN,
    ACTIONS(11326), 1,
      anon_sym_LBRACK,
    ACTIONS(11328), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11332), 1,
      anon_sym_LT,
    ACTIONS(11334), 1,
      anon_sym_POUND,
    ACTIONS(11336), 1,
      aux_sym_type_variable_token1,
    STATE(9239), 1,
      sym_attribute,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(13165), 1,
      sym__simple_type,
    STATE(16476), 1,
      sym_extended_module_path,
    STATE(18150), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13649), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483305] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(11322), 1,
      sym__identifier,
    ACTIONS(11324), 1,
      anon_sym_LPAREN,
    ACTIONS(11326), 1,
      anon_sym_LBRACK,
    ACTIONS(11328), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11332), 1,
      anon_sym_LT,
    ACTIONS(11334), 1,
      anon_sym_POUND,
    ACTIONS(11336), 1,
      aux_sym_type_variable_token1,
    STATE(9240), 1,
      sym_attribute,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(13196), 1,
      sym__simple_type,
    STATE(16476), 1,
      sym_extended_module_path,
    STATE(18230), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13649), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483377] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(11322), 1,
      sym__identifier,
    ACTIONS(11324), 1,
      anon_sym_LPAREN,
    ACTIONS(11326), 1,
      anon_sym_LBRACK,
    ACTIONS(11328), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11332), 1,
      anon_sym_LT,
    ACTIONS(11334), 1,
      anon_sym_POUND,
    ACTIONS(11336), 1,
      aux_sym_type_variable_token1,
    STATE(9241), 1,
      sym_attribute,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(13208), 1,
      sym__simple_type,
    STATE(16476), 1,
      sym_extended_module_path,
    STATE(17606), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13649), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483449] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11236), 1,
      sym__identifier,
    ACTIONS(11238), 1,
      anon_sym_LPAREN,
    ACTIONS(11240), 1,
      anon_sym_LBRACK,
    ACTIONS(11242), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11246), 1,
      anon_sym_LT,
    ACTIONS(11248), 1,
      anon_sym_POUND,
    ACTIONS(11250), 1,
      aux_sym_type_variable_token1,
    STATE(9242), 1,
      sym_attribute,
    STATE(10142), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10589), 1,
      sym__constructor_argument,
    STATE(16735), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10770), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483521] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11721), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11723), 1,
      anon_sym_GT,
    STATE(9243), 1,
      sym_attribute,
    STATE(13411), 1,
      sym__simple_type,
    STATE(15450), 1,
      sym_method_type,
    STATE(16670), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483593] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8112), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [483635] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11725), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11727), 1,
      anon_sym_GT,
    STATE(9245), 1,
      sym_attribute,
    STATE(13405), 1,
      sym__simple_type,
    STATE(16326), 1,
      sym_method_type,
    STATE(16670), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483707] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11236), 1,
      sym__identifier,
    ACTIONS(11238), 1,
      anon_sym_LPAREN,
    ACTIONS(11240), 1,
      anon_sym_LBRACK,
    ACTIONS(11242), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11246), 1,
      anon_sym_LT,
    ACTIONS(11248), 1,
      anon_sym_POUND,
    ACTIONS(11250), 1,
      aux_sym_type_variable_token1,
    STATE(9246), 1,
      sym_attribute,
    STATE(10142), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10614), 1,
      sym__constructor_argument,
    STATE(16735), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10770), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483779] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10008), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(9247), 1,
      sym_attribute,
    STATE(9500), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10614), 1,
      sym__constructor_argument,
    STATE(16669), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10162), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483851] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10792), 1,
      anon_sym_LPAREN,
    ACTIONS(10796), 1,
      anon_sym_LBRACK,
    ACTIONS(11290), 1,
      sym__identifier,
    STATE(9248), 1,
      sym_attribute,
    STATE(9728), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10535), 1,
      sym__constructor_argument,
    STATE(17308), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9835), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483923] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10992), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(10994), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [483965] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11729), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11731), 1,
      anon_sym_GT,
    STATE(9250), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484037] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11286), 1,
      sym__identifier,
    ACTIONS(11519), 1,
      anon_sym_POUND,
    STATE(9251), 1,
      sym_attribute,
    STATE(9455), 1,
      sym_type_constructor_path,
    STATE(17431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11096), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11098), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [484089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11683), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11681), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [484131] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11733), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11735), 1,
      anon_sym_GT,
    STATE(9253), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484203] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11739), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11737), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [484245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11743), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11741), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [484287] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(10219), 1,
      anon_sym_LPAREN,
    ACTIONS(10221), 1,
      anon_sym_LBRACK,
    ACTIONS(10223), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10225), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10227), 1,
      anon_sym_LT,
    ACTIONS(10229), 1,
      anon_sym_POUND,
    ACTIONS(10231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10235), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11230), 1,
      sym__identifier,
    STATE(9256), 1,
      sym_attribute,
    STATE(10205), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(17086), 1,
      sym_extended_module_path,
    STATE(19680), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484359] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11322), 1,
      sym__identifier,
    ACTIONS(11324), 1,
      anon_sym_LPAREN,
    ACTIONS(11326), 1,
      anon_sym_LBRACK,
    ACTIONS(11328), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11332), 1,
      anon_sym_LT,
    ACTIONS(11334), 1,
      anon_sym_POUND,
    ACTIONS(11336), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11745), 1,
      anon_sym_LBRACE,
    STATE(9257), 1,
      sym_attribute,
    STATE(13294), 1,
      sym__simple_type,
    STATE(16476), 1,
      sym_extended_module_path,
    STATE(16486), 1,
      sym_record_declaration,
    STATE(17309), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13649), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484431] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11747), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11749), 1,
      anon_sym_GT,
    STATE(9258), 1,
      sym_attribute,
    STATE(13449), 1,
      sym__simple_type,
    STATE(15083), 1,
      sym_method_type,
    STATE(16670), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484503] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11322), 1,
      sym__identifier,
    ACTIONS(11324), 1,
      anon_sym_LPAREN,
    ACTIONS(11326), 1,
      anon_sym_LBRACK,
    ACTIONS(11328), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11332), 1,
      anon_sym_LT,
    ACTIONS(11334), 1,
      anon_sym_POUND,
    ACTIONS(11336), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11745), 1,
      anon_sym_LBRACE,
    STATE(9259), 1,
      sym_attribute,
    STATE(13294), 1,
      sym__simple_type,
    STATE(16476), 1,
      sym_extended_module_path,
    STATE(16486), 1,
      sym_record_declaration,
    STATE(16559), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13649), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484575] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8298), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [484617] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11751), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11753), 1,
      anon_sym_GT,
    STATE(9261), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484689] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11755), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11757), 1,
      anon_sym_GT,
    STATE(9262), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484761] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11707), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11705), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [484803] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(13), 1,
      anon_sym_type,
    ACTIONS(17), 1,
      anon_sym_module,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(21), 1,
      anon_sym_include,
    ACTIONS(25), 1,
      anon_sym_val,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11172), 1,
      anon_sym_exception,
    ACTIONS(11174), 1,
      anon_sym_class,
    STATE(9264), 1,
      sym_attribute,
    STATE(12597), 1,
      aux_sym__structure_repeat1,
    STATE(12664), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12622), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [484871] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11759), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11761), 1,
      anon_sym_GT,
    STATE(9265), 1,
      sym_attribute,
    STATE(13407), 1,
      sym__simple_type,
    STATE(16240), 1,
      sym_method_type,
    STATE(16670), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484943] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8080), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [484985] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11322), 1,
      sym__identifier,
    ACTIONS(11324), 1,
      anon_sym_LPAREN,
    ACTIONS(11326), 1,
      anon_sym_LBRACK,
    ACTIONS(11328), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11332), 1,
      anon_sym_LT,
    ACTIONS(11334), 1,
      anon_sym_POUND,
    ACTIONS(11336), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11745), 1,
      anon_sym_LBRACE,
    STATE(9267), 1,
      sym_attribute,
    STATE(13294), 1,
      sym__simple_type,
    STATE(16476), 1,
      sym_extended_module_path,
    STATE(16486), 1,
      sym_record_declaration,
    STATE(16636), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13649), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485057] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8172), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [485099] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11545), 1,
      anon_sym_DOT,
    STATE(9269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8084), 15,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [485143] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8088), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [485185] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11232), 1,
      sym__identifier,
    ACTIONS(11462), 1,
      anon_sym_POUND,
    STATE(9271), 1,
      sym_attribute,
    STATE(9438), 1,
      sym_type_constructor_path,
    STATE(17311), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11096), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11098), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [485237] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11763), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11765), 1,
      anon_sym_GT,
    STATE(9272), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485309] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11767), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11769), 1,
      anon_sym_GT,
    STATE(9273), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485381] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8302), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [485423] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9438), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9440), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9442), 1,
      anon_sym_LT,
    ACTIONS(9444), 1,
      anon_sym_POUND,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9450), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10783), 1,
      anon_sym_LPAREN,
    ACTIONS(10787), 1,
      anon_sym_LBRACK,
    ACTIONS(11298), 1,
      sym__identifier,
    STATE(9040), 1,
      sym__simple_type,
    STATE(9275), 1,
      sym_attribute,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(17261), 1,
      sym_extended_module_path,
    STATE(17707), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9434), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485495] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9438), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9440), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9442), 1,
      anon_sym_LT,
    ACTIONS(9444), 1,
      anon_sym_POUND,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9450), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10783), 1,
      anon_sym_LPAREN,
    ACTIONS(10787), 1,
      anon_sym_LBRACK,
    ACTIONS(11298), 1,
      sym__identifier,
    STATE(9041), 1,
      sym__simple_type,
    STATE(9276), 1,
      sym_attribute,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(17261), 1,
      sym_extended_module_path,
    STATE(17709), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9434), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485567] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9438), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9440), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9442), 1,
      anon_sym_LT,
    ACTIONS(9444), 1,
      anon_sym_POUND,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9450), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10783), 1,
      anon_sym_LPAREN,
    ACTIONS(10787), 1,
      anon_sym_LBRACK,
    ACTIONS(11298), 1,
      sym__identifier,
    STATE(9048), 1,
      sym__simple_type,
    STATE(9277), 1,
      sym_attribute,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(17261), 1,
      sym_extended_module_path,
    STATE(17838), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9434), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485639] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8216), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [485681] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8306), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [485723] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8092), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [485765] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9438), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9440), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9442), 1,
      anon_sym_LT,
    ACTIONS(9444), 1,
      anon_sym_POUND,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9450), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10783), 1,
      anon_sym_LPAREN,
    ACTIONS(10787), 1,
      anon_sym_LBRACK,
    ACTIONS(11298), 1,
      sym__identifier,
    STATE(9281), 1,
      sym_attribute,
    STATE(9420), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10535), 1,
      sym__constructor_argument,
    STATE(17261), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9434), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485837] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11771), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11773), 1,
      anon_sym_GT,
    STATE(9282), 1,
      sym_attribute,
    STATE(13430), 1,
      sym__simple_type,
    STATE(15168), 1,
      sym_method_type,
    STATE(16670), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485909] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9438), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9440), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9442), 1,
      anon_sym_LT,
    ACTIONS(9444), 1,
      anon_sym_POUND,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9450), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10783), 1,
      anon_sym_LPAREN,
    ACTIONS(10787), 1,
      anon_sym_LBRACK,
    ACTIONS(11298), 1,
      sym__identifier,
    STATE(9283), 1,
      sym_attribute,
    STATE(9420), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10589), 1,
      sym__constructor_argument,
    STATE(17261), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9434), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485981] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10792), 1,
      anon_sym_LPAREN,
    ACTIONS(10796), 1,
      anon_sym_LBRACK,
    ACTIONS(11290), 1,
      sym__identifier,
    STATE(9284), 1,
      sym_attribute,
    STATE(9457), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(17308), 1,
      sym_extended_module_path,
    STATE(18051), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9835), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486053] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8310), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [486095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8296), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [486137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8300), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [486179] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8304), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [486221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8308), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [486263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8296), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [486305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8300), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [486347] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8304), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [486389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8308), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [486431] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(10219), 1,
      anon_sym_LPAREN,
    ACTIONS(10221), 1,
      anon_sym_LBRACK,
    ACTIONS(10223), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10225), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10227), 1,
      anon_sym_LT,
    ACTIONS(10229), 1,
      anon_sym_POUND,
    ACTIONS(10231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10235), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11230), 1,
      sym__identifier,
    STATE(9294), 1,
      sym_attribute,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10289), 1,
      sym__simple_type,
    STATE(17086), 1,
      sym_extended_module_path,
    STATE(19485), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486503] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11775), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11777), 1,
      anon_sym_GT,
    STATE(9295), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486575] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11779), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11781), 1,
      anon_sym_GT,
    STATE(9296), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486647] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11783), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11785), 1,
      anon_sym_GT,
    STATE(9297), 1,
      sym_attribute,
    STATE(13409), 1,
      sym__simple_type,
    STATE(15236), 1,
      sym_method_type,
    STATE(16670), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486719] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9920), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9922), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11202), 1,
      sym__identifier,
    ACTIONS(11204), 1,
      anon_sym_LPAREN,
    ACTIONS(11206), 1,
      anon_sym_LBRACK,
    ACTIONS(11208), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11210), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11212), 1,
      anon_sym_LT,
    ACTIONS(11214), 1,
      anon_sym_POUND,
    ACTIONS(11216), 1,
      aux_sym_type_variable_token1,
    STATE(9298), 1,
      sym_attribute,
    STATE(9773), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(16697), 1,
      sym_extended_module_path,
    STATE(18365), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10348), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486791] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11787), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11789), 1,
      anon_sym_GT,
    STATE(9299), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486863] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11791), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11793), 1,
      anon_sym_GT,
    STATE(9300), 1,
      sym_attribute,
    STATE(13410), 1,
      sym__simple_type,
    STATE(15243), 1,
      sym_method_type,
    STATE(16670), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486935] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(11182), 1,
      sym__identifier,
    ACTIONS(11184), 1,
      anon_sym_LPAREN,
    ACTIONS(11186), 1,
      anon_sym_LBRACK,
    ACTIONS(11188), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11190), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11192), 1,
      anon_sym_LT,
    ACTIONS(11194), 1,
      anon_sym_POUND,
    ACTIONS(11196), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11198), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11200), 1,
      aux_sym_type_variable_token1,
    STATE(9301), 1,
      sym_attribute,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10286), 1,
      sym__simple_type,
    STATE(10535), 1,
      sym__constructor_argument,
    STATE(17052), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10735), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487007] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11795), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11797), 1,
      anon_sym_GT,
    STATE(9302), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487079] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(11182), 1,
      sym__identifier,
    ACTIONS(11184), 1,
      anon_sym_LPAREN,
    ACTIONS(11186), 1,
      anon_sym_LBRACK,
    ACTIONS(11188), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11190), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11192), 1,
      anon_sym_LT,
    ACTIONS(11194), 1,
      anon_sym_POUND,
    ACTIONS(11196), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11198), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11200), 1,
      aux_sym_type_variable_token1,
    STATE(9303), 1,
      sym_attribute,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10286), 1,
      sym__simple_type,
    STATE(10589), 1,
      sym__constructor_argument,
    STATE(17052), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10735), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487151] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9920), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9922), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11202), 1,
      sym__identifier,
    ACTIONS(11204), 1,
      anon_sym_LPAREN,
    ACTIONS(11206), 1,
      anon_sym_LBRACK,
    ACTIONS(11208), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11210), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11212), 1,
      anon_sym_LT,
    ACTIONS(11214), 1,
      anon_sym_POUND,
    ACTIONS(11216), 1,
      aux_sym_type_variable_token1,
    STATE(9304), 1,
      sym_attribute,
    STATE(9776), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(16697), 1,
      sym_extended_module_path,
    STATE(18387), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10348), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487223] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(10219), 1,
      anon_sym_LPAREN,
    ACTIONS(10221), 1,
      anon_sym_LBRACK,
    ACTIONS(10223), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10225), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10227), 1,
      anon_sym_LT,
    ACTIONS(10229), 1,
      anon_sym_POUND,
    ACTIONS(10231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10235), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11230), 1,
      sym__identifier,
    STATE(9305), 1,
      sym_attribute,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10298), 1,
      sym__simple_type,
    STATE(17086), 1,
      sym_extended_module_path,
    STATE(19597), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487295] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11), 1,
      anon_sym_external,
    ACTIONS(19), 1,
      anon_sym_open,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11052), 1,
      anon_sym_type,
    ACTIONS(11054), 1,
      anon_sym_exception,
    ACTIONS(11056), 1,
      anon_sym_module,
    ACTIONS(11058), 1,
      anon_sym_include,
    ACTIONS(11060), 1,
      anon_sym_class,
    ACTIONS(11062), 1,
      anon_sym_val,
    STATE(9306), 1,
      sym_attribute,
    STATE(12597), 1,
      aux_sym__structure_repeat1,
    STATE(12664), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12622), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [487363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11801), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11799), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [487405] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    ACTIONS(11803), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11805), 1,
      anon_sym_GT,
    STATE(9308), 1,
      sym_attribute,
    STATE(13421), 1,
      sym__simple_type,
    STATE(15914), 1,
      sym_method_type,
    STATE(16670), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487477] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8096), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [487519] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(11182), 1,
      sym__identifier,
    ACTIONS(11184), 1,
      anon_sym_LPAREN,
    ACTIONS(11186), 1,
      anon_sym_LBRACK,
    ACTIONS(11188), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11190), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11192), 1,
      anon_sym_LT,
    ACTIONS(11194), 1,
      anon_sym_POUND,
    ACTIONS(11196), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11198), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11200), 1,
      aux_sym_type_variable_token1,
    STATE(9310), 1,
      sym_attribute,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10286), 1,
      sym__simple_type,
    STATE(10614), 1,
      sym__constructor_argument,
    STATE(17052), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10735), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487591] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8116), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [487633] = 20,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9370), 1,
      anon_sym_LBRACE,
    ACTIONS(9438), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9440), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9442), 1,
      anon_sym_LT,
    ACTIONS(9444), 1,
      anon_sym_POUND,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9450), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10783), 1,
      anon_sym_LPAREN,
    ACTIONS(10787), 1,
      anon_sym_LBRACK,
    ACTIONS(11298), 1,
      sym__identifier,
    STATE(9312), 1,
      sym_attribute,
    STATE(9420), 1,
      sym__simple_type,
    STATE(10258), 1,
      sym_record_declaration,
    STATE(10614), 1,
      sym__constructor_argument,
    STATE(17261), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9434), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487705] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9578), 1,
      anon_sym_DOT,
    ACTIONS(11032), 1,
      anon_sym_POUND,
    ACTIONS(11807), 1,
      sym_hash_operator,
    STATE(9313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9688), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9686), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [487753] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9578), 1,
      anon_sym_DOT,
    ACTIONS(11032), 1,
      anon_sym_POUND,
    ACTIONS(11807), 1,
      sym_hash_operator,
    STATE(9314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9620), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9618), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [487801] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9578), 1,
      anon_sym_DOT,
    ACTIONS(11032), 1,
      anon_sym_POUND,
    ACTIONS(11807), 1,
      sym_hash_operator,
    STATE(9315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9666), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9664), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [487849] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9578), 1,
      anon_sym_DOT,
    ACTIONS(11032), 1,
      anon_sym_POUND,
    ACTIONS(11807), 1,
      sym_hash_operator,
    STATE(9316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9680), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9678), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [487897] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8204), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [487939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11587), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11585), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [487980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11607), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11605), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [488021] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11809), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(9320), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(16885), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11296), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11294), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [488131] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10992), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10994), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [488172] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11811), 1,
      sym__identifier,
    ACTIONS(11813), 1,
      anon_sym_POUND,
    STATE(9323), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16521), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11456), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [488229] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11811), 1,
      sym__identifier,
    ACTIONS(11813), 1,
      anon_sym_POUND,
    STATE(9324), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16521), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11466), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [488286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11611), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11609), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [488327] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11815), 1,
      sym__identifier,
    ACTIONS(11817), 1,
      anon_sym_POUND,
    STATE(9326), 1,
      sym_attribute,
    STATE(10172), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16506), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11476), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11478), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [488384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8304), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [488425] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11811), 1,
      sym__identifier,
    ACTIONS(11813), 1,
      anon_sym_POUND,
    STATE(9328), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16521), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11468), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11470), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [488482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9252), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [488523] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11815), 1,
      sym__identifier,
    ACTIONS(11817), 1,
      anon_sym_POUND,
    STATE(9330), 1,
      sym_attribute,
    STATE(10172), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16506), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11480), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11482), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [488580] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11811), 1,
      sym__identifier,
    ACTIONS(11813), 1,
      anon_sym_POUND,
    STATE(9331), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16521), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11476), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11478), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [488637] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11811), 1,
      sym__identifier,
    ACTIONS(11813), 1,
      anon_sym_POUND,
    STATE(9332), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16521), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11480), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11482), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [488694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11627), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11625), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [488735] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11811), 1,
      sym__identifier,
    ACTIONS(11813), 1,
      anon_sym_POUND,
    STATE(9334), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16521), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11488), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11490), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [488792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11553), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11551), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [488833] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11571), 1,
      sym__identifier,
    ACTIONS(11819), 1,
      anon_sym_POUND,
    STATE(9336), 1,
      sym_attribute,
    STATE(9508), 1,
      sym_type_constructor_path,
    STATE(16564), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11096), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11098), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [488884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11683), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11681), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [488925] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9254), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(11823), 1,
      anon_sym_let,
    ACTIONS(11825), 1,
      anon_sym_EQ,
    ACTIONS(11827), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11829), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9338), 1,
      sym_attribute,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10268), 1,
      sym__type_equation,
    STATE(10565), 1,
      aux_sym_type_binding_repeat1,
    STATE(10618), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11821), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [488986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8296), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [489027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11833), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11831), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [489068] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11809), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(9341), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17328), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489137] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11571), 1,
      sym__identifier,
    ACTIONS(11819), 1,
      anon_sym_POUND,
    STATE(9342), 1,
      sym_attribute,
    STATE(9508), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16564), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11456), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [489194] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11571), 1,
      sym__identifier,
    ACTIONS(11819), 1,
      anon_sym_POUND,
    STATE(9343), 1,
      sym_attribute,
    STATE(9508), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16564), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11466), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [489251] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11557), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11555), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [489292] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11809), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(9345), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17189), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489361] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8300), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [489402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8304), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [489443] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11320), 1,
      anon_sym_COLON2,
    STATE(9348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9252), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [489486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11683), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11681), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [489527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11561), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11559), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [489568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11631), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11629), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [489609] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11635), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11633), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [489650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8308), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [489691] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11815), 1,
      sym__identifier,
    ACTIONS(11817), 1,
      anon_sym_POUND,
    STATE(9354), 1,
      sym_attribute,
    STATE(10172), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16506), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11488), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11490), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [489748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11639), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11637), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [489789] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11835), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11539), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11537), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [489832] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11571), 1,
      sym__identifier,
    ACTIONS(11819), 1,
      anon_sym_POUND,
    STATE(9357), 1,
      sym_attribute,
    STATE(9508), 1,
      sym_type_constructor_path,
    STATE(16564), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10131), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10133), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [489883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11707), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11705), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [489924] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11809), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(9359), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17380), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489993] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11839), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11837), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [490034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8308), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [490075] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11809), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(9362), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(16757), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490144] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11809), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(9363), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17131), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10992), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [490254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11627), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11625), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [490295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11707), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11705), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [490336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11591), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11589), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [490377] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11809), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(9368), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17434), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11643), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11641), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [490487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11647), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11645), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [490528] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11809), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(9371), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17032), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11577), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [490638] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11841), 1,
      anon_sym_COMMA,
    ACTIONS(11843), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11845), 1,
      sym_pow_operator,
    ACTIONS(11847), 1,
      sym_mult_operator,
    ACTIONS(11849), 1,
      sym_concat_operator,
    ACTIONS(11851), 1,
      sym_rel_operator,
    ACTIONS(11853), 1,
      sym_and_operator,
    ACTIONS(11855), 1,
      sym_or_operator,
    ACTIONS(11857), 1,
      sym_assign_operator,
    STATE(2184), 1,
      sym_add_operator,
    STATE(9373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10239), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10237), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [490701] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11843), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11845), 1,
      sym_pow_operator,
    ACTIONS(11847), 1,
      sym_mult_operator,
    ACTIONS(11849), 1,
      sym_concat_operator,
    ACTIONS(11851), 1,
      sym_rel_operator,
    ACTIONS(11853), 1,
      sym_and_operator,
    ACTIONS(11855), 1,
      sym_or_operator,
    STATE(2184), 1,
      sym_add_operator,
    STATE(9374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10280), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [490760] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11843), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11845), 1,
      sym_pow_operator,
    ACTIONS(11847), 1,
      sym_mult_operator,
    STATE(2184), 1,
      sym_add_operator,
    STATE(9375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [490811] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(9376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 10,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8254), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [490854] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11845), 1,
      sym_pow_operator,
    STATE(2184), 1,
      sym_add_operator,
    STATE(9377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [490899] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11845), 1,
      sym_pow_operator,
    STATE(2184), 1,
      sym_add_operator,
    STATE(9378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [490944] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11843), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11845), 1,
      sym_pow_operator,
    ACTIONS(11847), 1,
      sym_mult_operator,
    ACTIONS(11849), 1,
      sym_concat_operator,
    STATE(2184), 1,
      sym_add_operator,
    STATE(9379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [490997] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11843), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11845), 1,
      sym_pow_operator,
    ACTIONS(11847), 1,
      sym_mult_operator,
    ACTIONS(11849), 1,
      sym_concat_operator,
    STATE(2184), 1,
      sym_add_operator,
    STATE(9380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [491050] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11843), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11845), 1,
      sym_pow_operator,
    ACTIONS(11847), 1,
      sym_mult_operator,
    ACTIONS(11849), 1,
      sym_concat_operator,
    ACTIONS(11851), 1,
      sym_rel_operator,
    ACTIONS(11853), 1,
      sym_and_operator,
    STATE(2184), 1,
      sym_add_operator,
    STATE(9381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10300), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [491107] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11843), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11845), 1,
      sym_pow_operator,
    ACTIONS(11847), 1,
      sym_mult_operator,
    ACTIONS(11849), 1,
      sym_concat_operator,
    ACTIONS(11851), 1,
      sym_rel_operator,
    ACTIONS(11853), 1,
      sym_and_operator,
    ACTIONS(11855), 1,
      sym_or_operator,
    STATE(2184), 1,
      sym_add_operator,
    STATE(9382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [491166] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11841), 1,
      anon_sym_COMMA,
    ACTIONS(11843), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11845), 1,
      sym_pow_operator,
    ACTIONS(11847), 1,
      sym_mult_operator,
    ACTIONS(11849), 1,
      sym_concat_operator,
    ACTIONS(11851), 1,
      sym_rel_operator,
    ACTIONS(11853), 1,
      sym_and_operator,
    ACTIONS(11855), 1,
      sym_or_operator,
    ACTIONS(11857), 1,
      sym_assign_operator,
    STATE(2184), 1,
      sym_add_operator,
    STATE(9383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [491229] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11845), 1,
      sym_pow_operator,
    ACTIONS(11847), 1,
      sym_mult_operator,
    STATE(2184), 1,
      sym_add_operator,
    STATE(9384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 7,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [491276] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11841), 1,
      anon_sym_COMMA,
    ACTIONS(11843), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11845), 1,
      sym_pow_operator,
    ACTIONS(11847), 1,
      sym_mult_operator,
    ACTIONS(11849), 1,
      sym_concat_operator,
    ACTIONS(11851), 1,
      sym_rel_operator,
    ACTIONS(11853), 1,
      sym_and_operator,
    ACTIONS(11855), 1,
      sym_or_operator,
    ACTIONS(11857), 1,
      sym_assign_operator,
    STATE(2184), 1,
      sym_add_operator,
    STATE(9385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10310), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10308), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [491339] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11859), 1,
      anon_sym_else,
    STATE(8194), 1,
      sym_else_clause,
    STATE(9386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [491384] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11571), 1,
      sym__identifier,
    ACTIONS(11819), 1,
      anon_sym_POUND,
    STATE(9387), 1,
      sym_attribute,
    STATE(9508), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16564), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11468), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11470), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [491441] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11841), 1,
      anon_sym_COMMA,
    ACTIONS(11843), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11845), 1,
      sym_pow_operator,
    ACTIONS(11847), 1,
      sym_mult_operator,
    ACTIONS(11849), 1,
      sym_concat_operator,
    ACTIONS(11851), 1,
      sym_rel_operator,
    ACTIONS(11853), 1,
      sym_and_operator,
    ACTIONS(11855), 1,
      sym_or_operator,
    ACTIONS(11857), 1,
      sym_assign_operator,
    STATE(2184), 1,
      sym_add_operator,
    STATE(9388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10320), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [491504] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11835), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11539), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11537), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [491547] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11286), 1,
      sym__identifier,
    ACTIONS(11519), 1,
      anon_sym_POUND,
    ACTIONS(11863), 1,
      anon_sym_STAR,
    STATE(9390), 1,
      sym_attribute,
    STATE(9455), 1,
      sym_type_constructor_path,
    STATE(10709), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11458), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11861), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [491602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8230), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [491643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8222), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [491684] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11865), 1,
      anon_sym_else,
    STATE(8242), 1,
      sym_else_clause,
    STATE(9393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [491729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9150), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [491770] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9254), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(11827), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11829), 1,
      anon_sym_constraint,
    ACTIONS(11869), 1,
      anon_sym_let,
    ACTIONS(11871), 1,
      anon_sym_EQ,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9395), 1,
      sym_attribute,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10272), 1,
      sym__type_equation,
    STATE(10504), 1,
      aux_sym_expression_item_repeat1,
    STATE(10570), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11867), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [491831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11631), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11629), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [491872] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2184), 1,
      sym_add_operator,
    STATE(9397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [491915] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11859), 1,
      anon_sym_else,
    STATE(8242), 1,
      sym_else_clause,
    STATE(9398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [491960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11587), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11585), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [492001] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11651), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11649), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [492042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11583), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11581), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [492083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8238), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [492124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11875), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11873), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [492165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11879), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11877), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [492206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11583), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11581), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [492247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11655), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11653), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [492288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11599), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11597), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [492329] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(9408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 10,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8254), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [492372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11280), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11278), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [492413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11659), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11657), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [492454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11539), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11537), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [492495] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11635), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11633), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [492536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11601), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [492577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11667), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11665), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [492618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11639), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11637), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [492659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11539), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11537), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [492700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8296), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [492741] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9252), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [492782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11707), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11705), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [492823] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11232), 1,
      sym__identifier,
    ACTIONS(11462), 1,
      anon_sym_POUND,
    ACTIONS(11881), 1,
      anon_sym_STAR,
    STATE(9420), 1,
      sym_attribute,
    STATE(9438), 1,
      sym_type_constructor_path,
    STATE(10676), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17311), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11458), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11861), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [492878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11667), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11665), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [492919] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9254), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(11823), 1,
      anon_sym_let,
    ACTIONS(11883), 1,
      anon_sym_EQ,
    ACTIONS(11885), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11887), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9422), 1,
      sym_attribute,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10249), 1,
      sym__type_equation,
    STATE(10539), 1,
      aux_sym_type_binding_repeat1,
    STATE(10618), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11821), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [492980] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11809), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(9423), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(16848), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11643), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11641), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [493090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11607), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11605), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [493131] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11571), 1,
      sym__identifier,
    ACTIONS(11819), 1,
      anon_sym_POUND,
    STATE(9426), 1,
      sym_attribute,
    STATE(9508), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16564), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11476), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11478), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [493188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11647), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11645), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [493229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11553), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11551), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [493270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11611), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11609), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [493311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11557), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11555), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [493352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11561), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11559), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [493393] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11571), 1,
      sym__identifier,
    ACTIONS(11819), 1,
      anon_sym_POUND,
    STATE(9432), 1,
      sym_attribute,
    STATE(9508), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16564), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11480), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11482), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [493450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11563), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [493491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11539), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11537), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [493532] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11889), 1,
      anon_sym_COLON2,
    STATE(9435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9252), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [493575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11893), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11891), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [493616] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11683), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11681), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [493657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11563), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [493698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9252), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [493739] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11815), 1,
      sym__identifier,
    ACTIONS(11817), 1,
      anon_sym_POUND,
    STATE(9440), 1,
      sym_attribute,
    STATE(10172), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16506), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11456), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [493796] = 20,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6999), 1,
      anon_sym_object,
    ACTIONS(8624), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8626), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11895), 1,
      sym__identifier,
    ACTIONS(11897), 1,
      anon_sym_let,
    ACTIONS(11899), 1,
      anon_sym_LPAREN,
    ACTIONS(11901), 1,
      anon_sym_BANG,
    ACTIONS(11903), 1,
      anon_sym_LBRACK,
    ACTIONS(11905), 1,
      anon_sym_fun,
    STATE(2547), 1,
      sym__simple_class_expression,
    STATE(9441), 1,
      sym_attribute,
    STATE(12837), 1,
      sym__class_expression,
    STATE(19220), 1,
      sym_module_path,
    STATE(20220), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8419), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [493867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11577), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [493908] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11583), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11581), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [493949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11553), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11551), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [493990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11557), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11555), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [494031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11587), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11585), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [494072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11561), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11559), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [494113] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11815), 1,
      sym__identifier,
    ACTIONS(11817), 1,
      anon_sym_POUND,
    STATE(9448), 1,
      sym_attribute,
    STATE(10172), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16506), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11466), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [494170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8296), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [494211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8300), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [494252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8304), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [494293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8308), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [494334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11591), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11589), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [494375] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8234), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [494416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11563), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [494457] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11841), 1,
      anon_sym_COMMA,
    ACTIONS(11843), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11845), 1,
      sym_pow_operator,
    ACTIONS(11847), 1,
      sym_mult_operator,
    ACTIONS(11849), 1,
      sym_concat_operator,
    ACTIONS(11851), 1,
      sym_rel_operator,
    ACTIONS(11853), 1,
      sym_and_operator,
    ACTIONS(11855), 1,
      sym_or_operator,
    ACTIONS(11857), 1,
      sym_assign_operator,
    ACTIONS(11907), 1,
      anon_sym_SEMI,
    STATE(2184), 1,
      sym_add_operator,
    STATE(9456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9110), 10,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [494522] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11571), 1,
      sym__identifier,
    ACTIONS(11819), 1,
      anon_sym_POUND,
    STATE(9457), 1,
      sym_attribute,
    STATE(9508), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16564), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11488), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11490), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [494579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11911), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11909), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [494620] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11865), 1,
      anon_sym_else,
    STATE(8194), 1,
      sym_else_clause,
    STATE(9459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [494665] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11913), 1,
      anon_sym_PIPE,
    STATE(9460), 1,
      sym_attribute,
    STATE(9462), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [494710] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11913), 1,
      anon_sym_PIPE,
    STATE(9461), 1,
      sym_attribute,
    STATE(9463), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [494755] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11913), 1,
      anon_sym_PIPE,
    STATE(9462), 1,
      sym_attribute,
    STATE(9464), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [494800] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11913), 1,
      anon_sym_PIPE,
    STATE(9463), 1,
      sym_attribute,
    STATE(9464), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [494845] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11915), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9464), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [494888] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11920), 1,
      anon_sym_let,
    ACTIONS(11922), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
    ACTIONS(11918), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [494933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11599), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11597), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [494974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11601), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [495015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11607), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11605), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [495056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11611), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11609), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [495097] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11889), 1,
      anon_sym_COLON2,
    STATE(9470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9252), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [495140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9150), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [495181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11651), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11649), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [495222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11655), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11653), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [495263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11659), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11657), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [495304] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9254), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(11869), 1,
      anon_sym_let,
    ACTIONS(11885), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11887), 1,
      anon_sym_constraint,
    ACTIONS(11925), 1,
      anon_sym_EQ,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9475), 1,
      sym_attribute,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10254), 1,
      sym__type_equation,
    STATE(10504), 1,
      aux_sym_expression_item_repeat1,
    STATE(10547), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11867), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [495365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8300), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [495406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11599), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11597), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [495447] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11627), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11625), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [495488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11631), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11629), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [495529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11667), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11665), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [495570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11635), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11633), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [495611] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11639), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11637), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [495652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11643), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11641), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [495693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11591), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11589), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [495734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11647), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11645), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [495775] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11815), 1,
      sym__identifier,
    ACTIONS(11817), 1,
      anon_sym_POUND,
    STATE(9486), 1,
      sym_attribute,
    STATE(10172), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16506), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11468), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11470), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [495832] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8226), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [495873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9150), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [495914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11577), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [495955] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11927), 1,
      sym__identifier,
    ACTIONS(11929), 1,
      anon_sym_POUND,
    STATE(9490), 1,
      sym_attribute,
    STATE(10001), 1,
      sym_type_constructor_path,
    STATE(17499), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11102), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11104), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [496006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11651), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11649), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [496047] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11655), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11653), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [496088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11659), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11657), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [496129] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11809), 1,
      sym__identifier,
    STATE(7992), 1,
      sym_tuple_type,
    STATE(9494), 1,
      sym_attribute,
    STATE(11821), 1,
      sym__simple_type,
    STATE(16615), 1,
      sym__tuple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [496198] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11933), 1,
      anon_sym_let,
    ACTIONS(11937), 1,
      anon_sym_LPAREN,
    ACTIONS(11939), 1,
      anon_sym_COLON2,
    STATE(9079), 1,
      aux_sym_module_binding_repeat1,
    STATE(9495), 1,
      sym_attribute,
    STATE(9686), 1,
      sym_module_parameter,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10051), 1,
      sym__module_typed,
    STATE(10593), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11935), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11931), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [496257] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11937), 1,
      anon_sym_LPAREN,
    ACTIONS(11939), 1,
      anon_sym_COLON2,
    ACTIONS(11943), 1,
      anon_sym_let,
    STATE(9495), 1,
      aux_sym_module_binding_repeat1,
    STATE(9496), 1,
      sym_attribute,
    STATE(9686), 1,
      sym_module_parameter,
    STATE(9982), 1,
      sym__module_typed,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10431), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11945), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11941), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [496316] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11933), 1,
      anon_sym_let,
    ACTIONS(11937), 1,
      anon_sym_LPAREN,
    ACTIONS(11947), 1,
      anon_sym_COLON2,
    STATE(9079), 1,
      aux_sym_module_binding_repeat1,
    STATE(9497), 1,
      sym_attribute,
    STATE(9686), 1,
      sym_module_parameter,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10051), 1,
      sym__module_typed,
    STATE(10593), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11935), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11931), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [496375] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11937), 1,
      anon_sym_LPAREN,
    ACTIONS(11943), 1,
      anon_sym_let,
    ACTIONS(11947), 1,
      anon_sym_COLON2,
    STATE(9497), 1,
      aux_sym_module_binding_repeat1,
    STATE(9498), 1,
      sym_attribute,
    STATE(9686), 1,
      sym_module_parameter,
    STATE(9982), 1,
      sym__module_typed,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10431), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11945), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11941), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [496434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11601), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [496475] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11815), 1,
      sym__identifier,
    ACTIONS(11817), 1,
      anon_sym_POUND,
    ACTIONS(11949), 1,
      anon_sym_STAR,
    STATE(9500), 1,
      sym_attribute,
    STATE(10172), 1,
      sym_type_constructor_path,
    STATE(10968), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16506), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11458), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11861), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [496529] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11937), 1,
      anon_sym_LPAREN,
    ACTIONS(11951), 1,
      anon_sym_COLON2,
    STATE(9501), 1,
      sym_attribute,
    STATE(9686), 1,
      sym_module_parameter,
    STATE(9696), 1,
      aux_sym_module_binding_repeat1,
    STATE(9982), 1,
      sym__module_typed,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10431), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11945), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11941), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [496585] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11955), 1,
      sym_pow_operator,
    ACTIONS(11957), 1,
      sym_mult_operator,
    ACTIONS(11959), 1,
      sym_concat_operator,
    STATE(1783), 1,
      sym_add_operator,
    STATE(9502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [496637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11583), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11581), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [496677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11553), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11551), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [496717] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11557), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11555), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [496757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11683), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11681), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [496797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11561), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11559), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [496837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11563), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [496877] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11963), 1,
      anon_sym_let,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11969), 1,
      anon_sym_fun,
    STATE(2520), 1,
      sym__simple_class_expression,
    STATE(9509), 1,
      sym_attribute,
    STATE(10319), 1,
      sym__class_expression,
    STATE(18252), 1,
      sym_module_path,
    STATE(19977), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [496945] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7757), 1,
      anon_sym_object,
    ACTIONS(7769), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7771), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11971), 1,
      sym__identifier,
    ACTIONS(11973), 1,
      anon_sym_let,
    ACTIONS(11975), 1,
      anon_sym_LPAREN,
    ACTIONS(11977), 1,
      anon_sym_LBRACK,
    ACTIONS(11979), 1,
      anon_sym_fun,
    STATE(2653), 1,
      sym__simple_class_expression,
    STATE(9510), 1,
      sym_attribute,
    STATE(15940), 1,
      sym__class_expression,
    STATE(18282), 1,
      sym_value_definition,
    STATE(20188), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9855), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [497013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11587), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11585), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [497053] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11981), 1,
      anon_sym_let,
    ACTIONS(11983), 1,
      anon_sym_fun,
    STATE(2516), 1,
      sym__simple_class_expression,
    STATE(9512), 1,
      sym_attribute,
    STATE(10440), 1,
      sym__class_expression,
    STATE(18252), 1,
      sym_module_path,
    STATE(19481), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [497121] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11927), 1,
      sym__identifier,
    ACTIONS(11985), 1,
      anon_sym_POUND,
    STATE(9513), 1,
      sym_attribute,
    STATE(9960), 1,
      sym_type_constructor_path,
    STATE(17499), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11096), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11098), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [497171] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11591), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11589), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [497211] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10280), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11987), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11989), 1,
      sym_pow_operator,
    ACTIONS(11991), 1,
      sym_mult_operator,
    ACTIONS(11993), 1,
      sym_concat_operator,
    ACTIONS(11995), 1,
      sym_rel_operator,
    ACTIONS(11997), 1,
      sym_and_operator,
    ACTIONS(11999), 1,
      sym_or_operator,
    STATE(1984), 1,
      sym_add_operator,
    STATE(9515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [497269] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11987), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11989), 1,
      sym_pow_operator,
    ACTIONS(11991), 1,
      sym_mult_operator,
    STATE(1984), 1,
      sym_add_operator,
    STATE(9516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [497319] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11989), 1,
      sym_pow_operator,
    STATE(1984), 1,
      sym_add_operator,
    STATE(9517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [497363] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11989), 1,
      sym_pow_operator,
    STATE(1984), 1,
      sym_add_operator,
    STATE(9518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [497407] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11987), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11989), 1,
      sym_pow_operator,
    ACTIONS(11991), 1,
      sym_mult_operator,
    ACTIONS(11993), 1,
      sym_concat_operator,
    STATE(1984), 1,
      sym_add_operator,
    STATE(9519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [497459] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11987), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11989), 1,
      sym_pow_operator,
    ACTIONS(11991), 1,
      sym_mult_operator,
    ACTIONS(11993), 1,
      sym_concat_operator,
    STATE(1984), 1,
      sym_add_operator,
    STATE(9520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [497511] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11987), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11989), 1,
      sym_pow_operator,
    ACTIONS(11991), 1,
      sym_mult_operator,
    ACTIONS(11993), 1,
      sym_concat_operator,
    ACTIONS(11995), 1,
      sym_rel_operator,
    ACTIONS(11997), 1,
      sym_and_operator,
    STATE(1984), 1,
      sym_add_operator,
    STATE(9521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [497567] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7757), 1,
      anon_sym_object,
    ACTIONS(7769), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7771), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11971), 1,
      sym__identifier,
    ACTIONS(11973), 1,
      anon_sym_let,
    ACTIONS(11975), 1,
      anon_sym_LPAREN,
    ACTIONS(11977), 1,
      anon_sym_LBRACK,
    ACTIONS(11979), 1,
      anon_sym_fun,
    STATE(2653), 1,
      sym__simple_class_expression,
    STATE(9522), 1,
      sym_attribute,
    STATE(15420), 1,
      sym__class_expression,
    STATE(18282), 1,
      sym_value_definition,
    STATE(20188), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9855), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [497635] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11987), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11989), 1,
      sym_pow_operator,
    ACTIONS(11991), 1,
      sym_mult_operator,
    ACTIONS(11993), 1,
      sym_concat_operator,
    ACTIONS(11995), 1,
      sym_rel_operator,
    ACTIONS(11997), 1,
      sym_and_operator,
    ACTIONS(11999), 1,
      sym_or_operator,
    STATE(1984), 1,
      sym_add_operator,
    STATE(9523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [497693] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11987), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11989), 1,
      sym_pow_operator,
    ACTIONS(11991), 1,
      sym_mult_operator,
    ACTIONS(11993), 1,
      sym_concat_operator,
    ACTIONS(11995), 1,
      sym_rel_operator,
    ACTIONS(11997), 1,
      sym_and_operator,
    ACTIONS(11999), 1,
      sym_or_operator,
    ACTIONS(12001), 1,
      anon_sym_COMMA,
    ACTIONS(12003), 1,
      sym_assign_operator,
    STATE(1984), 1,
      sym_add_operator,
    STATE(9524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [497755] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11989), 1,
      sym_pow_operator,
    ACTIONS(11991), 1,
      sym_mult_operator,
    STATE(1984), 1,
      sym_add_operator,
    STATE(9525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [497801] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10310), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11987), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11989), 1,
      sym_pow_operator,
    ACTIONS(11991), 1,
      sym_mult_operator,
    ACTIONS(11993), 1,
      sym_concat_operator,
    ACTIONS(11995), 1,
      sym_rel_operator,
    ACTIONS(11997), 1,
      sym_and_operator,
    ACTIONS(11999), 1,
      sym_or_operator,
    ACTIONS(12001), 1,
      anon_sym_COMMA,
    ACTIONS(12003), 1,
      sym_assign_operator,
    STATE(1984), 1,
      sym_add_operator,
    STATE(9526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10308), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [497863] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12005), 1,
      anon_sym_else,
    STATE(7882), 1,
      sym_else_clause,
    STATE(9527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [497907] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10320), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11987), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11989), 1,
      sym_pow_operator,
    ACTIONS(11991), 1,
      sym_mult_operator,
    ACTIONS(11993), 1,
      sym_concat_operator,
    ACTIONS(11995), 1,
      sym_rel_operator,
    ACTIONS(11997), 1,
      sym_and_operator,
    ACTIONS(11999), 1,
      sym_or_operator,
    ACTIONS(12001), 1,
      anon_sym_COMMA,
    ACTIONS(12003), 1,
      sym_assign_operator,
    STATE(1984), 1,
      sym_add_operator,
    STATE(9528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [497969] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11955), 1,
      sym_pow_operator,
    ACTIONS(11957), 1,
      sym_mult_operator,
    ACTIONS(11959), 1,
      sym_concat_operator,
    ACTIONS(12007), 1,
      sym_rel_operator,
    ACTIONS(12009), 1,
      sym_and_operator,
    STATE(1783), 1,
      sym_add_operator,
    STATE(9529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10300), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [498025] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11955), 1,
      sym_pow_operator,
    ACTIONS(11957), 1,
      sym_mult_operator,
    ACTIONS(11959), 1,
      sym_concat_operator,
    ACTIONS(12007), 1,
      sym_rel_operator,
    ACTIONS(12009), 1,
      sym_and_operator,
    ACTIONS(12011), 1,
      sym_or_operator,
    STATE(1783), 1,
      sym_add_operator,
    STATE(9530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [498083] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11955), 1,
      sym_pow_operator,
    ACTIONS(11957), 1,
      sym_mult_operator,
    ACTIONS(11959), 1,
      sym_concat_operator,
    ACTIONS(12007), 1,
      sym_rel_operator,
    ACTIONS(12009), 1,
      sym_and_operator,
    ACTIONS(12011), 1,
      sym_or_operator,
    ACTIONS(12013), 1,
      anon_sym_COMMA,
    ACTIONS(12015), 1,
      sym_assign_operator,
    STATE(1783), 1,
      sym_add_operator,
    STATE(9531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [498145] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11835), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11539), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11537), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [498187] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11811), 1,
      sym__identifier,
    ACTIONS(11813), 1,
      anon_sym_POUND,
    ACTIONS(12017), 1,
      anon_sym_STAR,
    STATE(9533), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_type_constructor_path,
    STATE(11083), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16521), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11458), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11861), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [498241] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11955), 1,
      sym_pow_operator,
    ACTIONS(11957), 1,
      sym_mult_operator,
    STATE(1783), 1,
      sym_add_operator,
    STATE(9534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 7,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [498287] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6297), 1,
      anon_sym_object,
    ACTIONS(8636), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8638), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12019), 1,
      sym__identifier,
    ACTIONS(12021), 1,
      anon_sym_let,
    ACTIONS(12023), 1,
      anon_sym_LPAREN,
    ACTIONS(12025), 1,
      anon_sym_LBRACK,
    ACTIONS(12027), 1,
      anon_sym_fun,
    STATE(2511), 1,
      sym__simple_class_expression,
    STATE(9535), 1,
      sym_attribute,
    STATE(10440), 1,
      sym__class_expression,
    STATE(17744), 1,
      sym_module_path,
    STATE(19239), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7772), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [498355] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11955), 1,
      sym_pow_operator,
    ACTIONS(11957), 1,
      sym_mult_operator,
    ACTIONS(11959), 1,
      sym_concat_operator,
    ACTIONS(12007), 1,
      sym_rel_operator,
    ACTIONS(12009), 1,
      sym_and_operator,
    ACTIONS(12011), 1,
      sym_or_operator,
    ACTIONS(12013), 1,
      anon_sym_COMMA,
    ACTIONS(12015), 1,
      sym_assign_operator,
    STATE(1783), 1,
      sym_add_operator,
    STATE(9536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10310), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10308), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [498417] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12029), 1,
      sym__identifier,
    ACTIONS(12031), 1,
      anon_sym_let,
    ACTIONS(12033), 1,
      anon_sym_LPAREN,
    ACTIONS(12035), 1,
      anon_sym_LBRACK,
    ACTIONS(12037), 1,
      anon_sym_object,
    ACTIONS(12039), 1,
      anon_sym_fun,
    ACTIONS(12041), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12043), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2478), 1,
      sym__simple_class_expression,
    STATE(9537), 1,
      sym_attribute,
    STATE(10449), 1,
      sym__class_expression,
    STATE(17580), 1,
      sym_module_path,
    STATE(18679), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7266), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [498485] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12045), 1,
      anon_sym_COLON,
    STATE(9538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8382), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8384), 13,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [498527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8254), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [498567] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11955), 1,
      sym_pow_operator,
    ACTIONS(11957), 1,
      sym_mult_operator,
    ACTIONS(11959), 1,
      sym_concat_operator,
    ACTIONS(12007), 1,
      sym_rel_operator,
    ACTIONS(12009), 1,
      sym_and_operator,
    ACTIONS(12011), 1,
      sym_or_operator,
    ACTIONS(12013), 1,
      anon_sym_COMMA,
    ACTIONS(12015), 1,
      sym_assign_operator,
    STATE(1783), 1,
      sym_add_operator,
    STATE(9540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10320), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [498629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12049), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12047), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [498669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11599), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11597), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [498709] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11286), 1,
      sym__identifier,
    ACTIONS(11519), 1,
      anon_sym_POUND,
    STATE(9455), 1,
      sym_type_constructor_path,
    STATE(9543), 1,
      sym_attribute,
    STATE(17431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12051), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12053), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [498759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11601), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [498799] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11607), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11605), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [498839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11611), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11609), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [498879] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12029), 1,
      sym__identifier,
    ACTIONS(12031), 1,
      anon_sym_let,
    ACTIONS(12033), 1,
      anon_sym_LPAREN,
    ACTIONS(12035), 1,
      anon_sym_LBRACK,
    ACTIONS(12037), 1,
      anon_sym_object,
    ACTIONS(12039), 1,
      anon_sym_fun,
    ACTIONS(12041), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12043), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2478), 1,
      sym__simple_class_expression,
    STATE(9547), 1,
      sym_attribute,
    STATE(10453), 1,
      sym__class_expression,
    STATE(17580), 1,
      sym_module_path,
    STATE(18679), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7266), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [498947] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11963), 1,
      anon_sym_let,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11969), 1,
      anon_sym_fun,
    STATE(2520), 1,
      sym__simple_class_expression,
    STATE(9548), 1,
      sym_attribute,
    STATE(10507), 1,
      sym__class_expression,
    STATE(18252), 1,
      sym_module_path,
    STATE(19977), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [499015] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12055), 1,
      sym__identifier,
    ACTIONS(12057), 1,
      anon_sym_POUND,
    STATE(9549), 1,
      sym_attribute,
    STATE(10425), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17405), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11488), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11490), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [499071] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11577), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [499111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11583), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11581), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [499151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11587), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11585), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [499191] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12059), 1,
      sym__identifier,
    ACTIONS(12061), 1,
      anon_sym_let,
    ACTIONS(12063), 1,
      anon_sym_LPAREN,
    ACTIONS(12065), 1,
      anon_sym_LBRACK,
    ACTIONS(12067), 1,
      anon_sym_object,
    ACTIONS(12069), 1,
      anon_sym_fun,
    ACTIONS(12071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12073), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2481), 1,
      sym__simple_class_expression,
    STATE(9553), 1,
      sym_attribute,
    STATE(10319), 1,
      sym__class_expression,
    STATE(17690), 1,
      sym_module_path,
    STATE(19030), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7302), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [499259] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12059), 1,
      sym__identifier,
    ACTIONS(12061), 1,
      anon_sym_let,
    ACTIONS(12063), 1,
      anon_sym_LPAREN,
    ACTIONS(12065), 1,
      anon_sym_LBRACK,
    ACTIONS(12067), 1,
      anon_sym_object,
    ACTIONS(12069), 1,
      anon_sym_fun,
    ACTIONS(12071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12073), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2481), 1,
      sym__simple_class_expression,
    STATE(9554), 1,
      sym_attribute,
    STATE(10507), 1,
      sym__class_expression,
    STATE(17690), 1,
      sym_module_path,
    STATE(19030), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7302), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [499327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11591), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11589), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [499367] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6297), 1,
      anon_sym_object,
    ACTIONS(8636), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8638), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12019), 1,
      sym__identifier,
    ACTIONS(12021), 1,
      anon_sym_let,
    ACTIONS(12023), 1,
      anon_sym_LPAREN,
    ACTIONS(12025), 1,
      anon_sym_LBRACK,
    ACTIONS(12027), 1,
      anon_sym_fun,
    STATE(2511), 1,
      sym__simple_class_expression,
    STATE(9556), 1,
      sym_attribute,
    STATE(10319), 1,
      sym__class_expression,
    STATE(17744), 1,
      sym_module_path,
    STATE(19239), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7772), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [499435] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7757), 1,
      anon_sym_object,
    ACTIONS(7769), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7771), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11971), 1,
      sym__identifier,
    ACTIONS(11973), 1,
      anon_sym_let,
    ACTIONS(11975), 1,
      anon_sym_LPAREN,
    ACTIONS(11977), 1,
      anon_sym_LBRACK,
    ACTIONS(11979), 1,
      anon_sym_fun,
    STATE(2653), 1,
      sym__simple_class_expression,
    STATE(9557), 1,
      sym_attribute,
    STATE(16053), 1,
      sym__class_expression,
    STATE(18282), 1,
      sym_value_definition,
    STATE(20188), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9855), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [499503] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6297), 1,
      anon_sym_object,
    ACTIONS(8636), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8638), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12019), 1,
      sym__identifier,
    ACTIONS(12021), 1,
      anon_sym_let,
    ACTIONS(12023), 1,
      anon_sym_LPAREN,
    ACTIONS(12025), 1,
      anon_sym_LBRACK,
    ACTIONS(12027), 1,
      anon_sym_fun,
    STATE(2511), 1,
      sym__simple_class_expression,
    STATE(9558), 1,
      sym_attribute,
    STATE(10507), 1,
      sym__class_expression,
    STATE(17744), 1,
      sym_module_path,
    STATE(19239), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7772), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [499571] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12077), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9559), 1,
      sym_attribute,
    STATE(9992), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12075), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [499617] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12077), 1,
      anon_sym_let,
    STATE(9560), 1,
      sym_attribute,
    STATE(9611), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12075), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [499663] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12029), 1,
      sym__identifier,
    ACTIONS(12031), 1,
      anon_sym_let,
    ACTIONS(12033), 1,
      anon_sym_LPAREN,
    ACTIONS(12035), 1,
      anon_sym_LBRACK,
    ACTIONS(12037), 1,
      anon_sym_object,
    ACTIONS(12039), 1,
      anon_sym_fun,
    ACTIONS(12041), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12043), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2478), 1,
      sym__simple_class_expression,
    STATE(9561), 1,
      sym_attribute,
    STATE(10467), 1,
      sym__class_expression,
    STATE(17580), 1,
      sym_module_path,
    STATE(18679), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7266), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [499731] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12081), 1,
      anon_sym_let,
    STATE(9562), 1,
      sym_attribute,
    STATE(9654), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12079), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [499777] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1984), 1,
      sym_add_operator,
    STATE(9563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [499819] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12005), 1,
      anon_sym_else,
    STATE(7995), 1,
      sym_else_clause,
    STATE(9564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [499863] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11627), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11625), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [499903] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7757), 1,
      anon_sym_object,
    ACTIONS(7769), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7771), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11971), 1,
      sym__identifier,
    ACTIONS(11973), 1,
      anon_sym_let,
    ACTIONS(11975), 1,
      anon_sym_LPAREN,
    ACTIONS(11977), 1,
      anon_sym_LBRACK,
    ACTIONS(11979), 1,
      anon_sym_fun,
    STATE(2653), 1,
      sym__simple_class_expression,
    STATE(9566), 1,
      sym_attribute,
    STATE(15319), 1,
      sym__class_expression,
    STATE(18282), 1,
      sym_value_definition,
    STATE(20188), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9855), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [499971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11631), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11629), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [500011] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11927), 1,
      sym__identifier,
    ACTIONS(11985), 1,
      anon_sym_POUND,
    STATE(9568), 1,
      sym_attribute,
    STATE(9960), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17499), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11456), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [500067] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11927), 1,
      sym__identifier,
    ACTIONS(11985), 1,
      anon_sym_POUND,
    STATE(9569), 1,
      sym_attribute,
    STATE(9960), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17499), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11466), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [500123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11635), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11633), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [500163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11639), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11637), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [500203] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11643), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11641), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [500243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11647), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11645), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [500283] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12029), 1,
      sym__identifier,
    ACTIONS(12031), 1,
      anon_sym_let,
    ACTIONS(12033), 1,
      anon_sym_LPAREN,
    ACTIONS(12035), 1,
      anon_sym_LBRACK,
    ACTIONS(12037), 1,
      anon_sym_object,
    ACTIONS(12039), 1,
      anon_sym_fun,
    ACTIONS(12041), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12043), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2478), 1,
      sym__simple_class_expression,
    STATE(9574), 1,
      sym_attribute,
    STATE(10364), 1,
      sym__class_expression,
    STATE(17580), 1,
      sym_module_path,
    STATE(18679), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7266), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [500351] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7757), 1,
      anon_sym_object,
    ACTIONS(7769), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7771), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11971), 1,
      sym__identifier,
    ACTIONS(11973), 1,
      anon_sym_let,
    ACTIONS(11975), 1,
      anon_sym_LPAREN,
    ACTIONS(11977), 1,
      anon_sym_LBRACK,
    ACTIONS(11979), 1,
      anon_sym_fun,
    STATE(2653), 1,
      sym__simple_class_expression,
    STATE(9575), 1,
      sym_attribute,
    STATE(15052), 1,
      sym__class_expression,
    STATE(18282), 1,
      sym_value_definition,
    STATE(20188), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9855), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [500419] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6297), 1,
      anon_sym_object,
    ACTIONS(8636), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8638), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12019), 1,
      sym__identifier,
    ACTIONS(12021), 1,
      anon_sym_let,
    ACTIONS(12023), 1,
      anon_sym_LPAREN,
    ACTIONS(12025), 1,
      anon_sym_LBRACK,
    ACTIONS(12027), 1,
      anon_sym_fun,
    STATE(2511), 1,
      sym__simple_class_expression,
    STATE(9576), 1,
      sym_attribute,
    STATE(10517), 1,
      sym__class_expression,
    STATE(17744), 1,
      sym_module_path,
    STATE(19239), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7772), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [500487] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12029), 1,
      sym__identifier,
    ACTIONS(12031), 1,
      anon_sym_let,
    ACTIONS(12033), 1,
      anon_sym_LPAREN,
    ACTIONS(12035), 1,
      anon_sym_LBRACK,
    ACTIONS(12037), 1,
      anon_sym_object,
    ACTIONS(12039), 1,
      anon_sym_fun,
    ACTIONS(12041), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12043), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2478), 1,
      sym__simple_class_expression,
    STATE(9307), 1,
      sym__class_expression,
    STATE(9577), 1,
      sym_attribute,
    STATE(17580), 1,
      sym_module_path,
    STATE(18679), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7266), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [500555] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6297), 1,
      anon_sym_object,
    ACTIONS(8636), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8638), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12019), 1,
      sym__identifier,
    ACTIONS(12021), 1,
      anon_sym_let,
    ACTIONS(12023), 1,
      anon_sym_LPAREN,
    ACTIONS(12025), 1,
      anon_sym_LBRACK,
    ACTIONS(12027), 1,
      anon_sym_fun,
    STATE(2511), 1,
      sym__simple_class_expression,
    STATE(9578), 1,
      sym_attribute,
    STATE(10364), 1,
      sym__class_expression,
    STATE(17744), 1,
      sym_module_path,
    STATE(19239), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7772), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [500623] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11927), 1,
      sym__identifier,
    ACTIONS(11985), 1,
      anon_sym_POUND,
    STATE(9579), 1,
      sym_attribute,
    STATE(9960), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17499), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11468), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11470), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [500679] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12029), 1,
      sym__identifier,
    ACTIONS(12031), 1,
      anon_sym_let,
    ACTIONS(12033), 1,
      anon_sym_LPAREN,
    ACTIONS(12035), 1,
      anon_sym_LBRACK,
    ACTIONS(12037), 1,
      anon_sym_object,
    ACTIONS(12039), 1,
      anon_sym_fun,
    ACTIONS(12041), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12043), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2478), 1,
      sym__simple_class_expression,
    STATE(9580), 1,
      sym_attribute,
    STATE(10548), 1,
      sym__class_expression,
    STATE(17580), 1,
      sym_module_path,
    STATE(18679), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7266), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [500747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11651), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11649), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [500787] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11655), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11653), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [500827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11659), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11657), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [500867] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12029), 1,
      sym__identifier,
    ACTIONS(12031), 1,
      anon_sym_let,
    ACTIONS(12033), 1,
      anon_sym_LPAREN,
    ACTIONS(12035), 1,
      anon_sym_LBRACK,
    ACTIONS(12037), 1,
      anon_sym_object,
    ACTIONS(12039), 1,
      anon_sym_fun,
    ACTIONS(12041), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12043), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2478), 1,
      sym__simple_class_expression,
    STATE(9584), 1,
      sym_attribute,
    STATE(10337), 1,
      sym__class_expression,
    STATE(17580), 1,
      sym_module_path,
    STATE(18679), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7266), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [500935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11667), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11665), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [500975] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11963), 1,
      anon_sym_let,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11969), 1,
      anon_sym_fun,
    STATE(2520), 1,
      sym__simple_class_expression,
    STATE(9586), 1,
      sym_attribute,
    STATE(10325), 1,
      sym__class_expression,
    STATE(18252), 1,
      sym_module_path,
    STATE(19977), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [501043] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6297), 1,
      anon_sym_object,
    ACTIONS(8636), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8638), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12019), 1,
      sym__identifier,
    ACTIONS(12021), 1,
      anon_sym_let,
    ACTIONS(12023), 1,
      anon_sym_LPAREN,
    ACTIONS(12025), 1,
      anon_sym_LBRACK,
    ACTIONS(12027), 1,
      anon_sym_fun,
    STATE(2511), 1,
      sym__simple_class_expression,
    STATE(9587), 1,
      sym_attribute,
    STATE(10548), 1,
      sym__class_expression,
    STATE(17744), 1,
      sym_module_path,
    STATE(19239), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7772), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [501111] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6297), 1,
      anon_sym_object,
    ACTIONS(8636), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8638), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12019), 1,
      sym__identifier,
    ACTIONS(12021), 1,
      anon_sym_let,
    ACTIONS(12023), 1,
      anon_sym_LPAREN,
    ACTIONS(12025), 1,
      anon_sym_LBRACK,
    ACTIONS(12027), 1,
      anon_sym_fun,
    STATE(2511), 1,
      sym__simple_class_expression,
    STATE(9588), 1,
      sym_attribute,
    STATE(10337), 1,
      sym__class_expression,
    STATE(17744), 1,
      sym_module_path,
    STATE(19239), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7772), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [501179] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6297), 1,
      anon_sym_object,
    ACTIONS(8636), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8638), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12019), 1,
      sym__identifier,
    ACTIONS(12021), 1,
      anon_sym_let,
    ACTIONS(12023), 1,
      anon_sym_LPAREN,
    ACTIONS(12025), 1,
      anon_sym_LBRACK,
    ACTIONS(12027), 1,
      anon_sym_fun,
    STATE(2511), 1,
      sym__simple_class_expression,
    STATE(9307), 1,
      sym__class_expression,
    STATE(9589), 1,
      sym_attribute,
    STATE(17744), 1,
      sym_module_path,
    STATE(19239), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7772), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [501247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11599), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11597), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [501287] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11963), 1,
      anon_sym_let,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11969), 1,
      anon_sym_fun,
    STATE(2520), 1,
      sym__simple_class_expression,
    STATE(9591), 1,
      sym_attribute,
    STATE(10327), 1,
      sym__class_expression,
    STATE(18252), 1,
      sym_module_path,
    STATE(19977), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [501355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11601), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [501395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11607), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11605), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [501435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11611), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11609), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [501475] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7757), 1,
      anon_sym_object,
    ACTIONS(7769), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7771), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11971), 1,
      sym__identifier,
    ACTIONS(11973), 1,
      anon_sym_let,
    ACTIONS(11975), 1,
      anon_sym_LPAREN,
    ACTIONS(11977), 1,
      anon_sym_LBRACK,
    ACTIONS(11979), 1,
      anon_sym_fun,
    STATE(2653), 1,
      sym__simple_class_expression,
    STATE(9595), 1,
      sym_attribute,
    STATE(15640), 1,
      sym__class_expression,
    STATE(18282), 1,
      sym_value_definition,
    STATE(20188), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9855), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [501543] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11707), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11705), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [501583] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11927), 1,
      sym__identifier,
    ACTIONS(11985), 1,
      anon_sym_POUND,
    STATE(9597), 1,
      sym_attribute,
    STATE(9960), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17499), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11476), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11478), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [501639] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11927), 1,
      sym__identifier,
    ACTIONS(11985), 1,
      anon_sym_POUND,
    STATE(9598), 1,
      sym_attribute,
    STATE(9960), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17499), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11480), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11482), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [501695] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12029), 1,
      sym__identifier,
    ACTIONS(12031), 1,
      anon_sym_let,
    ACTIONS(12033), 1,
      anon_sym_LPAREN,
    ACTIONS(12035), 1,
      anon_sym_LBRACK,
    ACTIONS(12037), 1,
      anon_sym_object,
    ACTIONS(12039), 1,
      anon_sym_fun,
    ACTIONS(12041), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12043), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2478), 1,
      sym__simple_class_expression,
    STATE(9254), 1,
      sym__class_expression,
    STATE(9599), 1,
      sym_attribute,
    STATE(17580), 1,
      sym_module_path,
    STATE(18679), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7266), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [501763] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12083), 1,
      anon_sym_PIPE,
    STATE(9600), 1,
      sym_attribute,
    STATE(9602), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [501807] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12083), 1,
      anon_sym_PIPE,
    STATE(9601), 1,
      sym_attribute,
    STATE(9603), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [501851] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12083), 1,
      anon_sym_PIPE,
    STATE(9602), 1,
      sym_attribute,
    STATE(9604), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [501895] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12083), 1,
      anon_sym_PIPE,
    STATE(9603), 1,
      sym_attribute,
    STATE(9604), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [501939] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12085), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9604), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [501981] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12029), 1,
      sym__identifier,
    ACTIONS(12031), 1,
      anon_sym_let,
    ACTIONS(12033), 1,
      anon_sym_LPAREN,
    ACTIONS(12035), 1,
      anon_sym_LBRACK,
    ACTIONS(12037), 1,
      anon_sym_object,
    ACTIONS(12039), 1,
      anon_sym_fun,
    ACTIONS(12041), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12043), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2478), 1,
      sym__simple_class_expression,
    STATE(9255), 1,
      sym__class_expression,
    STATE(9605), 1,
      sym_attribute,
    STATE(17580), 1,
      sym_module_path,
    STATE(18679), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7266), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [502049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12090), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12088), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [502089] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9254), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(12092), 1,
      anon_sym_EQ,
    ACTIONS(12094), 1,
      anon_sym_COLON_EQ,
    ACTIONS(12096), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9607), 1,
      sym_attribute,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10503), 1,
      sym__type_equation,
    STATE(10504), 1,
      aux_sym_expression_item_repeat1,
    STATE(10697), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11867), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [502147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12100), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12098), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [502187] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11927), 1,
      sym__identifier,
    ACTIONS(11985), 1,
      anon_sym_POUND,
    STATE(9609), 1,
      sym_attribute,
    STATE(9960), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17499), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11488), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11490), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [502243] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11963), 1,
      anon_sym_let,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11969), 1,
      anon_sym_fun,
    STATE(2520), 1,
      sym__simple_class_expression,
    STATE(9610), 1,
      sym_attribute,
    STATE(10364), 1,
      sym__class_expression,
    STATE(18252), 1,
      sym_module_path,
    STATE(19977), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [502311] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12104), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9611), 1,
      sym_attribute,
    STATE(9992), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12102), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [502357] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6297), 1,
      anon_sym_object,
    ACTIONS(8636), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8638), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12019), 1,
      sym__identifier,
    ACTIONS(12021), 1,
      anon_sym_let,
    ACTIONS(12023), 1,
      anon_sym_LPAREN,
    ACTIONS(12025), 1,
      anon_sym_LBRACK,
    ACTIONS(12027), 1,
      anon_sym_fun,
    STATE(2511), 1,
      sym__simple_class_expression,
    STATE(9254), 1,
      sym__class_expression,
    STATE(9612), 1,
      sym_attribute,
    STATE(17744), 1,
      sym_module_path,
    STATE(19239), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7772), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [502425] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6297), 1,
      anon_sym_object,
    ACTIONS(8636), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8638), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12019), 1,
      sym__identifier,
    ACTIONS(12021), 1,
      anon_sym_let,
    ACTIONS(12023), 1,
      anon_sym_LPAREN,
    ACTIONS(12025), 1,
      anon_sym_LBRACK,
    ACTIONS(12027), 1,
      anon_sym_fun,
    STATE(2511), 1,
      sym__simple_class_expression,
    STATE(9255), 1,
      sym__class_expression,
    STATE(9613), 1,
      sym_attribute,
    STATE(17744), 1,
      sym_module_path,
    STATE(19239), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7772), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [502493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12108), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
    ACTIONS(12106), 13,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      sym__identifier,
  [502533] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12110), 1,
      anon_sym_DOT,
    ACTIONS(12112), 1,
      anon_sym_POUND,
    ACTIONS(12114), 1,
      sym_hash_operator,
    STATE(9615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9666), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9664), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [502579] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6297), 1,
      anon_sym_object,
    ACTIONS(8636), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8638), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12019), 1,
      sym__identifier,
    ACTIONS(12021), 1,
      anon_sym_let,
    ACTIONS(12023), 1,
      anon_sym_LPAREN,
    ACTIONS(12025), 1,
      anon_sym_LBRACK,
    ACTIONS(12027), 1,
      anon_sym_fun,
    STATE(2511), 1,
      sym__simple_class_expression,
    STATE(9616), 1,
      sym_attribute,
    STATE(10325), 1,
      sym__class_expression,
    STATE(17744), 1,
      sym_module_path,
    STATE(19239), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7772), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [502647] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12116), 1,
      anon_sym_else,
    STATE(7995), 1,
      sym_else_clause,
    STATE(9617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [502691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11627), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11625), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [502731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11631), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11629), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [502771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11635), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11633), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [502811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11639), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11637), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [502851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11643), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11641), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [502891] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6297), 1,
      anon_sym_object,
    ACTIONS(8636), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8638), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12019), 1,
      sym__identifier,
    ACTIONS(12021), 1,
      anon_sym_let,
    ACTIONS(12023), 1,
      anon_sym_LPAREN,
    ACTIONS(12025), 1,
      anon_sym_LBRACK,
    ACTIONS(12027), 1,
      anon_sym_fun,
    STATE(2511), 1,
      sym__simple_class_expression,
    STATE(9623), 1,
      sym_attribute,
    STATE(10327), 1,
      sym__class_expression,
    STATE(17744), 1,
      sym_module_path,
    STATE(19239), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7772), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [502959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11647), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11645), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [502999] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6999), 1,
      anon_sym_object,
    ACTIONS(8624), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8626), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11895), 1,
      sym__identifier,
    ACTIONS(11897), 1,
      anon_sym_let,
    ACTIONS(11899), 1,
      anon_sym_LPAREN,
    ACTIONS(11903), 1,
      anon_sym_LBRACK,
    ACTIONS(11905), 1,
      anon_sym_fun,
    STATE(2547), 1,
      sym__simple_class_expression,
    STATE(9254), 1,
      sym__class_expression,
    STATE(9625), 1,
      sym_attribute,
    STATE(19220), 1,
      sym_module_path,
    STATE(20220), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8419), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [503067] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11835), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11539), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11537), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [503109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9150), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [503149] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10239), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11987), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11989), 1,
      sym_pow_operator,
    ACTIONS(11991), 1,
      sym_mult_operator,
    ACTIONS(11993), 1,
      sym_concat_operator,
    ACTIONS(11995), 1,
      sym_rel_operator,
    ACTIONS(11997), 1,
      sym_and_operator,
    ACTIONS(11999), 1,
      sym_or_operator,
    ACTIONS(12001), 1,
      anon_sym_COMMA,
    ACTIONS(12003), 1,
      sym_assign_operator,
    STATE(1984), 1,
      sym_add_operator,
    STATE(9628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10237), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [503211] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6297), 1,
      anon_sym_object,
    ACTIONS(8636), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8638), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12019), 1,
      sym__identifier,
    ACTIONS(12021), 1,
      anon_sym_let,
    ACTIONS(12023), 1,
      anon_sym_LPAREN,
    ACTIONS(12025), 1,
      anon_sym_LBRACK,
    ACTIONS(12027), 1,
      anon_sym_fun,
    STATE(2511), 1,
      sym__simple_class_expression,
    STATE(9629), 1,
      sym_attribute,
    STATE(10401), 1,
      sym__class_expression,
    STATE(17744), 1,
      sym_module_path,
    STATE(19239), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7772), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [503279] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1783), 1,
      sym_add_operator,
    STATE(9630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [503321] = 18,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11368), 1,
      sym__identifier,
    STATE(9631), 1,
      sym_attribute,
    STATE(13734), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    STATE(17372), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [503387] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6297), 1,
      anon_sym_object,
    ACTIONS(8636), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8638), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12019), 1,
      sym__identifier,
    ACTIONS(12021), 1,
      anon_sym_let,
    ACTIONS(12023), 1,
      anon_sym_LPAREN,
    ACTIONS(12025), 1,
      anon_sym_LBRACK,
    ACTIONS(12027), 1,
      anon_sym_fun,
    STATE(2511), 1,
      sym__simple_class_expression,
    STATE(9632), 1,
      sym_attribute,
    STATE(10410), 1,
      sym__class_expression,
    STATE(17744), 1,
      sym_module_path,
    STATE(19239), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7772), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [503455] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6297), 1,
      anon_sym_object,
    ACTIONS(8636), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8638), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12019), 1,
      sym__identifier,
    ACTIONS(12021), 1,
      anon_sym_let,
    ACTIONS(12023), 1,
      anon_sym_LPAREN,
    ACTIONS(12025), 1,
      anon_sym_LBRACK,
    ACTIONS(12027), 1,
      anon_sym_fun,
    STATE(2511), 1,
      sym__simple_class_expression,
    STATE(9633), 1,
      sym_attribute,
    STATE(10414), 1,
      sym__class_expression,
    STATE(17744), 1,
      sym_module_path,
    STATE(19239), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7772), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [503523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11651), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11649), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [503563] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11655), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11653), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [503603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11659), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11657), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [503643] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6297), 1,
      anon_sym_object,
    ACTIONS(8636), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8638), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12019), 1,
      sym__identifier,
    ACTIONS(12021), 1,
      anon_sym_let,
    ACTIONS(12023), 1,
      anon_sym_LPAREN,
    ACTIONS(12025), 1,
      anon_sym_LBRACK,
    ACTIONS(12027), 1,
      anon_sym_fun,
    STATE(2511), 1,
      sym__simple_class_expression,
    STATE(9637), 1,
      sym_attribute,
    STATE(10449), 1,
      sym__class_expression,
    STATE(17744), 1,
      sym_module_path,
    STATE(19239), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7772), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [503711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11667), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11665), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [503751] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9254), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(12094), 1,
      anon_sym_COLON_EQ,
    ACTIONS(12096), 1,
      anon_sym_constraint,
    ACTIONS(12118), 1,
      anon_sym_EQ,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9639), 1,
      sym_attribute,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10585), 1,
      sym__type_equation,
    STATE(10618), 1,
      aux_sym_expression_item_repeat1,
    STATE(10821), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11821), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [503809] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6297), 1,
      anon_sym_object,
    ACTIONS(8636), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8638), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12019), 1,
      sym__identifier,
    ACTIONS(12021), 1,
      anon_sym_let,
    ACTIONS(12023), 1,
      anon_sym_LPAREN,
    ACTIONS(12025), 1,
      anon_sym_LBRACK,
    ACTIONS(12027), 1,
      anon_sym_fun,
    STATE(2511), 1,
      sym__simple_class_expression,
    STATE(9640), 1,
      sym_attribute,
    STATE(10453), 1,
      sym__class_expression,
    STATE(17744), 1,
      sym_module_path,
    STATE(19239), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7772), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [503877] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6297), 1,
      anon_sym_object,
    ACTIONS(8636), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8638), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12019), 1,
      sym__identifier,
    ACTIONS(12021), 1,
      anon_sym_let,
    ACTIONS(12023), 1,
      anon_sym_LPAREN,
    ACTIONS(12025), 1,
      anon_sym_LBRACK,
    ACTIONS(12027), 1,
      anon_sym_fun,
    STATE(2511), 1,
      sym__simple_class_expression,
    STATE(9641), 1,
      sym_attribute,
    STATE(10467), 1,
      sym__class_expression,
    STATE(17744), 1,
      sym_module_path,
    STATE(19239), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7772), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [503945] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12059), 1,
      sym__identifier,
    ACTIONS(12061), 1,
      anon_sym_let,
    ACTIONS(12063), 1,
      anon_sym_LPAREN,
    ACTIONS(12065), 1,
      anon_sym_LBRACK,
    ACTIONS(12067), 1,
      anon_sym_object,
    ACTIONS(12069), 1,
      anon_sym_fun,
    ACTIONS(12071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12073), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2481), 1,
      sym__simple_class_expression,
    STATE(9642), 1,
      sym_attribute,
    STATE(10517), 1,
      sym__class_expression,
    STATE(17690), 1,
      sym_module_path,
    STATE(19030), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7302), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [504013] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7757), 1,
      anon_sym_object,
    ACTIONS(7769), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7771), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11971), 1,
      sym__identifier,
    ACTIONS(11973), 1,
      anon_sym_let,
    ACTIONS(11975), 1,
      anon_sym_LPAREN,
    ACTIONS(11977), 1,
      anon_sym_LBRACK,
    ACTIONS(11979), 1,
      anon_sym_fun,
    STATE(2653), 1,
      sym__simple_class_expression,
    STATE(9307), 1,
      sym__class_expression,
    STATE(9643), 1,
      sym_attribute,
    STATE(18282), 1,
      sym_value_definition,
    STATE(20188), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9855), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [504081] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12110), 1,
      anon_sym_DOT,
    ACTIONS(12112), 1,
      anon_sym_POUND,
    ACTIONS(12114), 1,
      sym_hash_operator,
    STATE(9644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9680), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9678), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [504127] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12059), 1,
      sym__identifier,
    ACTIONS(12061), 1,
      anon_sym_let,
    ACTIONS(12063), 1,
      anon_sym_LPAREN,
    ACTIONS(12065), 1,
      anon_sym_LBRACK,
    ACTIONS(12067), 1,
      anon_sym_object,
    ACTIONS(12069), 1,
      anon_sym_fun,
    ACTIONS(12071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12073), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2481), 1,
      sym__simple_class_expression,
    STATE(9645), 1,
      sym_attribute,
    STATE(10364), 1,
      sym__class_expression,
    STATE(17690), 1,
      sym_module_path,
    STATE(19030), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7302), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [504195] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6999), 1,
      anon_sym_object,
    ACTIONS(8624), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8626), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11895), 1,
      sym__identifier,
    ACTIONS(11897), 1,
      anon_sym_let,
    ACTIONS(11899), 1,
      anon_sym_LPAREN,
    ACTIONS(11903), 1,
      anon_sym_LBRACK,
    ACTIONS(11905), 1,
      anon_sym_fun,
    STATE(2547), 1,
      sym__simple_class_expression,
    STATE(9255), 1,
      sym__class_expression,
    STATE(9646), 1,
      sym_attribute,
    STATE(19220), 1,
      sym_module_path,
    STATE(20220), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8419), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [504263] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9112), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11987), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11989), 1,
      sym_pow_operator,
    ACTIONS(11991), 1,
      sym_mult_operator,
    ACTIONS(11993), 1,
      sym_concat_operator,
    ACTIONS(11995), 1,
      sym_rel_operator,
    ACTIONS(11997), 1,
      sym_and_operator,
    ACTIONS(11999), 1,
      sym_or_operator,
    ACTIONS(12001), 1,
      anon_sym_COMMA,
    ACTIONS(12003), 1,
      sym_assign_operator,
    ACTIONS(12120), 1,
      anon_sym_SEMI,
    STATE(1984), 1,
      sym_add_operator,
    STATE(9647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9110), 10,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [504327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10992), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10994), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [504367] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12059), 1,
      sym__identifier,
    ACTIONS(12061), 1,
      anon_sym_let,
    ACTIONS(12063), 1,
      anon_sym_LPAREN,
    ACTIONS(12065), 1,
      anon_sym_LBRACK,
    ACTIONS(12067), 1,
      anon_sym_object,
    ACTIONS(12069), 1,
      anon_sym_fun,
    ACTIONS(12071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12073), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2481), 1,
      sym__simple_class_expression,
    STATE(9649), 1,
      sym_attribute,
    STATE(10548), 1,
      sym__class_expression,
    STATE(17690), 1,
      sym_module_path,
    STATE(19030), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7302), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [504435] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12059), 1,
      sym__identifier,
    ACTIONS(12061), 1,
      anon_sym_let,
    ACTIONS(12063), 1,
      anon_sym_LPAREN,
    ACTIONS(12065), 1,
      anon_sym_LBRACK,
    ACTIONS(12067), 1,
      anon_sym_object,
    ACTIONS(12069), 1,
      anon_sym_fun,
    ACTIONS(12071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12073), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2481), 1,
      sym__simple_class_expression,
    STATE(9650), 1,
      sym_attribute,
    STATE(10337), 1,
      sym__class_expression,
    STATE(17690), 1,
      sym_module_path,
    STATE(19030), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7302), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [504503] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7757), 1,
      anon_sym_object,
    ACTIONS(7769), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7771), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11971), 1,
      sym__identifier,
    ACTIONS(11973), 1,
      anon_sym_let,
    ACTIONS(11975), 1,
      anon_sym_LPAREN,
    ACTIONS(11977), 1,
      anon_sym_LBRACK,
    ACTIONS(11979), 1,
      anon_sym_fun,
    STATE(2653), 1,
      sym__simple_class_expression,
    STATE(9254), 1,
      sym__class_expression,
    STATE(9651), 1,
      sym_attribute,
    STATE(18282), 1,
      sym_value_definition,
    STATE(20188), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9855), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [504571] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7757), 1,
      anon_sym_object,
    ACTIONS(7769), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7771), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11971), 1,
      sym__identifier,
    ACTIONS(11973), 1,
      anon_sym_let,
    ACTIONS(11975), 1,
      anon_sym_LPAREN,
    ACTIONS(11977), 1,
      anon_sym_LBRACK,
    ACTIONS(11979), 1,
      anon_sym_fun,
    STATE(2653), 1,
      sym__simple_class_expression,
    STATE(9255), 1,
      sym__class_expression,
    STATE(9652), 1,
      sym_attribute,
    STATE(18282), 1,
      sym_value_definition,
    STATE(20188), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9855), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [504639] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12124), 1,
      anon_sym_let,
    STATE(9653), 1,
      sym_attribute,
    STATE(9787), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12122), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [504685] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12124), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9654), 1,
      sym_attribute,
    STATE(9992), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12122), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [504731] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12029), 1,
      sym__identifier,
    ACTIONS(12031), 1,
      anon_sym_let,
    ACTIONS(12033), 1,
      anon_sym_LPAREN,
    ACTIONS(12035), 1,
      anon_sym_LBRACK,
    ACTIONS(12037), 1,
      anon_sym_object,
    ACTIONS(12039), 1,
      anon_sym_fun,
    ACTIONS(12041), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12043), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2478), 1,
      sym__simple_class_expression,
    STATE(9655), 1,
      sym_attribute,
    STATE(10517), 1,
      sym__class_expression,
    STATE(17580), 1,
      sym_module_path,
    STATE(18679), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7266), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [504799] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12059), 1,
      sym__identifier,
    ACTIONS(12061), 1,
      anon_sym_let,
    ACTIONS(12063), 1,
      anon_sym_LPAREN,
    ACTIONS(12065), 1,
      anon_sym_LBRACK,
    ACTIONS(12067), 1,
      anon_sym_object,
    ACTIONS(12069), 1,
      anon_sym_fun,
    ACTIONS(12071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12073), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2481), 1,
      sym__simple_class_expression,
    STATE(9656), 1,
      sym_attribute,
    STATE(10325), 1,
      sym__class_expression,
    STATE(17690), 1,
      sym_module_path,
    STATE(19030), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7302), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [504867] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12059), 1,
      sym__identifier,
    ACTIONS(12061), 1,
      anon_sym_let,
    ACTIONS(12063), 1,
      anon_sym_LPAREN,
    ACTIONS(12065), 1,
      anon_sym_LBRACK,
    ACTIONS(12067), 1,
      anon_sym_object,
    ACTIONS(12069), 1,
      anon_sym_fun,
    ACTIONS(12071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12073), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2481), 1,
      sym__simple_class_expression,
    STATE(9657), 1,
      sym_attribute,
    STATE(10327), 1,
      sym__class_expression,
    STATE(17690), 1,
      sym_module_path,
    STATE(19030), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7302), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [504935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12128), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12126), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [504975] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6999), 1,
      anon_sym_object,
    ACTIONS(8624), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8626), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11895), 1,
      sym__identifier,
    ACTIONS(11897), 1,
      anon_sym_let,
    ACTIONS(11899), 1,
      anon_sym_LPAREN,
    ACTIONS(11903), 1,
      anon_sym_LBRACK,
    ACTIONS(11905), 1,
      anon_sym_fun,
    STATE(2547), 1,
      sym__simple_class_expression,
    STATE(9659), 1,
      sym_attribute,
    STATE(12828), 1,
      sym__class_expression,
    STATE(19220), 1,
      sym_module_path,
    STATE(20220), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8419), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [505043] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11963), 1,
      anon_sym_let,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11969), 1,
      anon_sym_fun,
    STATE(2520), 1,
      sym__simple_class_expression,
    STATE(9660), 1,
      sym_attribute,
    STATE(10401), 1,
      sym__class_expression,
    STATE(18252), 1,
      sym_module_path,
    STATE(19977), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [505111] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11963), 1,
      anon_sym_let,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11969), 1,
      anon_sym_fun,
    STATE(2520), 1,
      sym__simple_class_expression,
    STATE(9661), 1,
      sym_attribute,
    STATE(10410), 1,
      sym__class_expression,
    STATE(18252), 1,
      sym_module_path,
    STATE(19977), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [505179] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11683), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11681), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [505219] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11981), 1,
      anon_sym_let,
    ACTIONS(11983), 1,
      anon_sym_fun,
    STATE(2516), 1,
      sym__simple_class_expression,
    STATE(9307), 1,
      sym__class_expression,
    STATE(9663), 1,
      sym_attribute,
    STATE(18252), 1,
      sym_module_path,
    STATE(19481), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [505287] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11963), 1,
      anon_sym_let,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11969), 1,
      anon_sym_fun,
    STATE(2520), 1,
      sym__simple_class_expression,
    STATE(9664), 1,
      sym_attribute,
    STATE(10414), 1,
      sym__class_expression,
    STATE(18252), 1,
      sym_module_path,
    STATE(19977), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [505355] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12059), 1,
      sym__identifier,
    ACTIONS(12061), 1,
      anon_sym_let,
    ACTIONS(12063), 1,
      anon_sym_LPAREN,
    ACTIONS(12065), 1,
      anon_sym_LBRACK,
    ACTIONS(12067), 1,
      anon_sym_object,
    ACTIONS(12069), 1,
      anon_sym_fun,
    ACTIONS(12071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12073), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2481), 1,
      sym__simple_class_expression,
    STATE(9665), 1,
      sym_attribute,
    STATE(10401), 1,
      sym__class_expression,
    STATE(17690), 1,
      sym_module_path,
    STATE(19030), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7302), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [505423] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12059), 1,
      sym__identifier,
    ACTIONS(12061), 1,
      anon_sym_let,
    ACTIONS(12063), 1,
      anon_sym_LPAREN,
    ACTIONS(12065), 1,
      anon_sym_LBRACK,
    ACTIONS(12067), 1,
      anon_sym_object,
    ACTIONS(12069), 1,
      anon_sym_fun,
    ACTIONS(12071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12073), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2481), 1,
      sym__simple_class_expression,
    STATE(9666), 1,
      sym_attribute,
    STATE(10410), 1,
      sym__class_expression,
    STATE(17690), 1,
      sym_module_path,
    STATE(19030), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7302), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [505491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7913), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [505531] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11981), 1,
      anon_sym_let,
    ACTIONS(11983), 1,
      anon_sym_fun,
    STATE(2516), 1,
      sym__simple_class_expression,
    STATE(9254), 1,
      sym__class_expression,
    STATE(9668), 1,
      sym_attribute,
    STATE(18252), 1,
      sym_module_path,
    STATE(19481), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [505599] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11981), 1,
      anon_sym_let,
    ACTIONS(11983), 1,
      anon_sym_fun,
    STATE(2516), 1,
      sym__simple_class_expression,
    STATE(9255), 1,
      sym__class_expression,
    STATE(9669), 1,
      sym_attribute,
    STATE(18252), 1,
      sym_module_path,
    STATE(19481), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [505667] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12059), 1,
      sym__identifier,
    ACTIONS(12061), 1,
      anon_sym_let,
    ACTIONS(12063), 1,
      anon_sym_LPAREN,
    ACTIONS(12065), 1,
      anon_sym_LBRACK,
    ACTIONS(12067), 1,
      anon_sym_object,
    ACTIONS(12069), 1,
      anon_sym_fun,
    ACTIONS(12071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12073), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2481), 1,
      sym__simple_class_expression,
    STATE(9670), 1,
      sym_attribute,
    STATE(10414), 1,
      sym__class_expression,
    STATE(17690), 1,
      sym_module_path,
    STATE(19030), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7302), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [505735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12132), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12130), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8030), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8032), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [505815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8036), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [505855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8040), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [505895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8044), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [505935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8048), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [505975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12136), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12134), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506015] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 10,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8242), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [506055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8056), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [506095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8060), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [506135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8064), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [506175] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12059), 1,
      sym__identifier,
    ACTIONS(12061), 1,
      anon_sym_let,
    ACTIONS(12063), 1,
      anon_sym_LPAREN,
    ACTIONS(12065), 1,
      anon_sym_LBRACK,
    ACTIONS(12067), 1,
      anon_sym_object,
    ACTIONS(12069), 1,
      anon_sym_fun,
    ACTIONS(12071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12073), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2481), 1,
      sym__simple_class_expression,
    STATE(9682), 1,
      sym_attribute,
    STATE(10449), 1,
      sym__class_expression,
    STATE(17690), 1,
      sym_module_path,
    STATE(19030), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7302), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [506243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8068), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [506283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8072), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [506323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8076), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [506363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12140), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12138), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506403] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7831), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7833), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [506443] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8080), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [506483] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12110), 1,
      anon_sym_DOT,
    STATE(9689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8084), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [506525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8088), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [506565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8092), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [506605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8096), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [506645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8100), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [506685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8104), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [506725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8108), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [506765] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11937), 1,
      anon_sym_LPAREN,
    ACTIONS(11951), 1,
      anon_sym_COLON2,
    STATE(9079), 1,
      aux_sym_module_binding_repeat1,
    STATE(9686), 1,
      sym_module_parameter,
    STATE(9696), 1,
      sym_attribute,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10051), 1,
      sym__module_typed,
    STATE(10593), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11935), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11931), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [506821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8112), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [506861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8116), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [506901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8120), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [506941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8124), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [506981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8128), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [507021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8132), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [507061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8136), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [507101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8140), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [507141] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12059), 1,
      sym__identifier,
    ACTIONS(12061), 1,
      anon_sym_let,
    ACTIONS(12063), 1,
      anon_sym_LPAREN,
    ACTIONS(12065), 1,
      anon_sym_LBRACK,
    ACTIONS(12067), 1,
      anon_sym_object,
    ACTIONS(12069), 1,
      anon_sym_fun,
    ACTIONS(12071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12073), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2481), 1,
      sym__simple_class_expression,
    STATE(9705), 1,
      sym_attribute,
    STATE(10453), 1,
      sym__class_expression,
    STATE(17690), 1,
      sym_module_path,
    STATE(19030), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7302), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [507209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8144), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [507249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7867), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7869), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [507289] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7875), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7877), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [507329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7879), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7881), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [507369] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8152), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [507409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8156), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [507449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8160), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [507489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8164), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [507529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7885), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7887), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [507569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7897), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [507609] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7901), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7903), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [507649] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8168), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [507689] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12059), 1,
      sym__identifier,
    ACTIONS(12061), 1,
      anon_sym_let,
    ACTIONS(12063), 1,
      anon_sym_LPAREN,
    ACTIONS(12065), 1,
      anon_sym_LBRACK,
    ACTIONS(12067), 1,
      anon_sym_object,
    ACTIONS(12069), 1,
      anon_sym_fun,
    ACTIONS(12071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12073), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2481), 1,
      sym__simple_class_expression,
    STATE(9718), 1,
      sym_attribute,
    STATE(10467), 1,
      sym__class_expression,
    STATE(17690), 1,
      sym_module_path,
    STATE(19030), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7302), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [507757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8296), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [507797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8172), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [507837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7871), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7873), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [507877] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11963), 1,
      anon_sym_let,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11969), 1,
      anon_sym_fun,
    STATE(2520), 1,
      sym__simple_class_expression,
    STATE(9722), 1,
      sym_attribute,
    STATE(10517), 1,
      sym__class_expression,
    STATE(18252), 1,
      sym_module_path,
    STATE(19977), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [507945] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12029), 1,
      sym__identifier,
    ACTIONS(12031), 1,
      anon_sym_let,
    ACTIONS(12033), 1,
      anon_sym_LPAREN,
    ACTIONS(12035), 1,
      anon_sym_LBRACK,
    ACTIONS(12037), 1,
      anon_sym_object,
    ACTIONS(12039), 1,
      anon_sym_fun,
    ACTIONS(12041), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12043), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2478), 1,
      sym__simple_class_expression,
    STATE(9723), 1,
      sym_attribute,
    STATE(10325), 1,
      sym__class_expression,
    STATE(17580), 1,
      sym_module_path,
    STATE(18679), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7266), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [508013] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12029), 1,
      sym__identifier,
    ACTIONS(12031), 1,
      anon_sym_let,
    ACTIONS(12033), 1,
      anon_sym_LPAREN,
    ACTIONS(12035), 1,
      anon_sym_LBRACK,
    ACTIONS(12037), 1,
      anon_sym_object,
    ACTIONS(12039), 1,
      anon_sym_fun,
    ACTIONS(12041), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12043), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2478), 1,
      sym__simple_class_expression,
    STATE(9724), 1,
      sym_attribute,
    STATE(10327), 1,
      sym__class_expression,
    STATE(17580), 1,
      sym_module_path,
    STATE(18679), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7266), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [508081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8176), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [508121] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12055), 1,
      sym__identifier,
    ACTIONS(12057), 1,
      anon_sym_POUND,
    STATE(9726), 1,
      sym_attribute,
    STATE(10425), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17405), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11468), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11470), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [508177] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7891), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7893), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [508217] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11571), 1,
      sym__identifier,
    ACTIONS(11819), 1,
      anon_sym_POUND,
    ACTIONS(12142), 1,
      anon_sym_STAR,
    STATE(9508), 1,
      sym_type_constructor_path,
    STATE(9728), 1,
      sym_attribute,
    STATE(10903), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16564), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11458), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11861), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [508271] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11963), 1,
      anon_sym_let,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11969), 1,
      anon_sym_fun,
    STATE(2520), 1,
      sym__simple_class_expression,
    STATE(9729), 1,
      sym_attribute,
    STATE(10548), 1,
      sym__class_expression,
    STATE(18252), 1,
      sym_module_path,
    STATE(19977), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [508339] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11963), 1,
      anon_sym_let,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11969), 1,
      anon_sym_fun,
    STATE(2520), 1,
      sym__simple_class_expression,
    STATE(9730), 1,
      sym_attribute,
    STATE(10337), 1,
      sym__class_expression,
    STATE(18252), 1,
      sym_module_path,
    STATE(19977), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [508407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8180), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [508447] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8184), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [508487] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12146), 1,
      anon_sym_let,
    STATE(9559), 1,
      aux_sym_expression_item_repeat1,
    STATE(9733), 1,
      sym_attribute,
    STATE(9992), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12144), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [508533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8188), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [508573] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6999), 1,
      anon_sym_object,
    ACTIONS(8624), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8626), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11895), 1,
      sym__identifier,
    ACTIONS(11897), 1,
      anon_sym_let,
    ACTIONS(11899), 1,
      anon_sym_LPAREN,
    ACTIONS(11903), 1,
      anon_sym_LBRACK,
    ACTIONS(11905), 1,
      anon_sym_fun,
    STATE(2547), 1,
      sym__simple_class_expression,
    STATE(9307), 1,
      sym__class_expression,
    STATE(9735), 1,
      sym_attribute,
    STATE(19220), 1,
      sym_module_path,
    STATE(20220), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8419), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [508641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8300), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [508681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8304), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [508721] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8192), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [508761] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8194), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8196), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [508801] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11963), 1,
      anon_sym_let,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11969), 1,
      anon_sym_fun,
    STATE(2520), 1,
      sym__simple_class_expression,
    STATE(9307), 1,
      sym__class_expression,
    STATE(9740), 1,
      sym_attribute,
    STATE(18252), 1,
      sym_module_path,
    STATE(19977), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [508869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8198), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8200), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [508909] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8204), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [508949] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11963), 1,
      anon_sym_let,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11969), 1,
      anon_sym_fun,
    STATE(2520), 1,
      sym__simple_class_expression,
    STATE(9254), 1,
      sym__class_expression,
    STATE(9743), 1,
      sym_attribute,
    STATE(18252), 1,
      sym_module_path,
    STATE(19977), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [509017] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11815), 1,
      sym__identifier,
    ACTIONS(12148), 1,
      anon_sym_POUND,
    STATE(9744), 1,
      sym_attribute,
    STATE(10188), 1,
      sym_type_constructor_path,
    STATE(16506), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11102), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11104), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [509067] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8208), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [509107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8212), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [509147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9150), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [509187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9252), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [509227] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12110), 1,
      anon_sym_DOT,
    ACTIONS(12112), 1,
      anon_sym_POUND,
    ACTIONS(12114), 1,
      sym_hash_operator,
    STATE(9749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9688), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9686), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [509273] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8308), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [509313] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11963), 1,
      anon_sym_let,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11969), 1,
      anon_sym_fun,
    STATE(2520), 1,
      sym__simple_class_expression,
    STATE(9255), 1,
      sym__class_expression,
    STATE(9751), 1,
      sym_attribute,
    STATE(18252), 1,
      sym_module_path,
    STATE(19977), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [509381] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11963), 1,
      anon_sym_let,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11969), 1,
      anon_sym_fun,
    STATE(2520), 1,
      sym__simple_class_expression,
    STATE(9752), 1,
      sym_attribute,
    STATE(10449), 1,
      sym__class_expression,
    STATE(18252), 1,
      sym_module_path,
    STATE(19977), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [509449] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11963), 1,
      anon_sym_let,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11969), 1,
      anon_sym_fun,
    STATE(2520), 1,
      sym__simple_class_expression,
    STATE(9753), 1,
      sym_attribute,
    STATE(10453), 1,
      sym__class_expression,
    STATE(18252), 1,
      sym_module_path,
    STATE(19977), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [509517] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11707), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11705), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [509557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11539), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11537), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [509597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12152), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12150), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [509637] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12116), 1,
      anon_sym_else,
    STATE(7882), 1,
      sym_else_clause,
    STATE(9757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [509681] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11955), 1,
      sym_pow_operator,
    ACTIONS(11957), 1,
      sym_mult_operator,
    ACTIONS(11959), 1,
      sym_concat_operator,
    ACTIONS(12007), 1,
      sym_rel_operator,
    ACTIONS(12009), 1,
      sym_and_operator,
    ACTIONS(12011), 1,
      sym_or_operator,
    ACTIONS(12013), 1,
      anon_sym_COMMA,
    ACTIONS(12015), 1,
      sym_assign_operator,
    ACTIONS(12154), 1,
      anon_sym_SEMI,
    STATE(1783), 1,
      sym_add_operator,
    STATE(9758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9110), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [509745] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 10,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8264), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [509785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10994), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10992), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
  [509825] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12110), 1,
      anon_sym_DOT,
    ACTIONS(12112), 1,
      anon_sym_POUND,
    ACTIONS(12114), 1,
      sym_hash_operator,
    STATE(9761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9620), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9618), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [509871] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12029), 1,
      sym__identifier,
    ACTIONS(12031), 1,
      anon_sym_let,
    ACTIONS(12033), 1,
      anon_sym_LPAREN,
    ACTIONS(12035), 1,
      anon_sym_LBRACK,
    ACTIONS(12037), 1,
      anon_sym_object,
    ACTIONS(12039), 1,
      anon_sym_fun,
    ACTIONS(12041), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12043), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2478), 1,
      sym__simple_class_expression,
    STATE(9762), 1,
      sym_attribute,
    STATE(10401), 1,
      sym__class_expression,
    STATE(17580), 1,
      sym_module_path,
    STATE(18679), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7266), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [509939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12158), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12156), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [509979] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12029), 1,
      sym__identifier,
    ACTIONS(12031), 1,
      anon_sym_let,
    ACTIONS(12033), 1,
      anon_sym_LPAREN,
    ACTIONS(12035), 1,
      anon_sym_LBRACK,
    ACTIONS(12037), 1,
      anon_sym_object,
    ACTIONS(12039), 1,
      anon_sym_fun,
    ACTIONS(12041), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12043), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2478), 1,
      sym__simple_class_expression,
    STATE(9764), 1,
      sym_attribute,
    STATE(10410), 1,
      sym__class_expression,
    STATE(17580), 1,
      sym_module_path,
    STATE(18679), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7266), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [510047] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11981), 1,
      anon_sym_let,
    ACTIONS(11983), 1,
      anon_sym_fun,
    STATE(2516), 1,
      sym__simple_class_expression,
    STATE(9765), 1,
      sym_attribute,
    STATE(10507), 1,
      sym__class_expression,
    STATE(18252), 1,
      sym_module_path,
    STATE(19481), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [510115] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11835), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11539), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11537), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [510157] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12055), 1,
      sym__identifier,
    ACTIONS(12057), 1,
      anon_sym_POUND,
    STATE(9767), 1,
      sym_attribute,
    STATE(10425), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17405), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11456), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [510213] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 10,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8272), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [510253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7825), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7827), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [510293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8216), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [510333] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11963), 1,
      anon_sym_let,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11969), 1,
      anon_sym_fun,
    STATE(2520), 1,
      sym__simple_class_expression,
    STATE(9771), 1,
      sym_attribute,
    STATE(10440), 1,
      sym__class_expression,
    STATE(18252), 1,
      sym_module_path,
    STATE(19977), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [510401] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11963), 1,
      anon_sym_let,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11969), 1,
      anon_sym_fun,
    STATE(2520), 1,
      sym__simple_class_expression,
    STATE(9772), 1,
      sym_attribute,
    STATE(10467), 1,
      sym__class_expression,
    STATE(18252), 1,
      sym_module_path,
    STATE(19977), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [510469] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12055), 1,
      sym__identifier,
    ACTIONS(12057), 1,
      anon_sym_POUND,
    STATE(9773), 1,
      sym_attribute,
    STATE(10425), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17405), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11476), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11478), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [510525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12162), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12160), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510565] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11927), 1,
      sym__identifier,
    ACTIONS(11985), 1,
      anon_sym_POUND,
    STATE(9775), 1,
      sym_attribute,
    STATE(9960), 1,
      sym_type_constructor_path,
    STATE(17499), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10131), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10133), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [510615] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12055), 1,
      sym__identifier,
    ACTIONS(12057), 1,
      anon_sym_POUND,
    STATE(9776), 1,
      sym_attribute,
    STATE(10425), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17405), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11480), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11482), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [510671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11553), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11551), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [510711] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8284), 10,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8286), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [510751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11557), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11555), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [510791] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11811), 1,
      sym__identifier,
    ACTIONS(12164), 1,
      anon_sym_POUND,
    STATE(9780), 1,
      sym_attribute,
    STATE(10245), 1,
      sym_type_constructor_path,
    STATE(16521), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11102), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11104), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [510841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11561), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11559), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [510881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11563), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [510921] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11981), 1,
      anon_sym_let,
    ACTIONS(11983), 1,
      anon_sym_fun,
    STATE(2516), 1,
      sym__simple_class_expression,
    STATE(9783), 1,
      sym_attribute,
    STATE(10517), 1,
      sym__class_expression,
    STATE(18252), 1,
      sym_module_path,
    STATE(19481), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [510989] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12059), 1,
      sym__identifier,
    ACTIONS(12061), 1,
      anon_sym_let,
    ACTIONS(12063), 1,
      anon_sym_LPAREN,
    ACTIONS(12065), 1,
      anon_sym_LBRACK,
    ACTIONS(12067), 1,
      anon_sym_object,
    ACTIONS(12069), 1,
      anon_sym_fun,
    ACTIONS(12071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12073), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2481), 1,
      sym__simple_class_expression,
    STATE(9307), 1,
      sym__class_expression,
    STATE(9784), 1,
      sym_attribute,
    STATE(17690), 1,
      sym_module_path,
    STATE(19030), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7302), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [511057] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11981), 1,
      anon_sym_let,
    ACTIONS(11983), 1,
      anon_sym_fun,
    STATE(2516), 1,
      sym__simple_class_expression,
    STATE(9785), 1,
      sym_attribute,
    STATE(10364), 1,
      sym__class_expression,
    STATE(18252), 1,
      sym_module_path,
    STATE(19481), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [511125] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12055), 1,
      sym__identifier,
    ACTIONS(12057), 1,
      anon_sym_POUND,
    STATE(9786), 1,
      sym_attribute,
    STATE(10425), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17405), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11466), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [511181] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12168), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9787), 1,
      sym_attribute,
    STATE(9992), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12166), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511227] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12029), 1,
      sym__identifier,
    ACTIONS(12031), 1,
      anon_sym_let,
    ACTIONS(12033), 1,
      anon_sym_LPAREN,
    ACTIONS(12035), 1,
      anon_sym_LBRACK,
    ACTIONS(12037), 1,
      anon_sym_object,
    ACTIONS(12039), 1,
      anon_sym_fun,
    ACTIONS(12041), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12043), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2478), 1,
      sym__simple_class_expression,
    STATE(9788), 1,
      sym_attribute,
    STATE(10414), 1,
      sym__class_expression,
    STATE(17580), 1,
      sym_module_path,
    STATE(18679), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7266), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [511295] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11955), 1,
      sym_pow_operator,
    ACTIONS(11957), 1,
      sym_mult_operator,
    ACTIONS(11959), 1,
      sym_concat_operator,
    ACTIONS(12007), 1,
      sym_rel_operator,
    ACTIONS(12009), 1,
      sym_and_operator,
    ACTIONS(12011), 1,
      sym_or_operator,
    STATE(1783), 1,
      sym_add_operator,
    STATE(9789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10280), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [511353] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11955), 1,
      sym_pow_operator,
    ACTIONS(11957), 1,
      sym_mult_operator,
    STATE(1783), 1,
      sym_add_operator,
    STATE(9790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [511403] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11981), 1,
      anon_sym_let,
    ACTIONS(11983), 1,
      anon_sym_fun,
    STATE(2516), 1,
      sym__simple_class_expression,
    STATE(9791), 1,
      sym_attribute,
    STATE(10548), 1,
      sym__class_expression,
    STATE(18252), 1,
      sym_module_path,
    STATE(19481), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [511471] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11981), 1,
      anon_sym_let,
    ACTIONS(11983), 1,
      anon_sym_fun,
    STATE(2516), 1,
      sym__simple_class_expression,
    STATE(9792), 1,
      sym_attribute,
    STATE(10337), 1,
      sym__class_expression,
    STATE(18252), 1,
      sym_module_path,
    STATE(19481), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [511539] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12174), 1,
      anon_sym_LPAREN,
    ACTIONS(12176), 1,
      anon_sym_LBRACK,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    STATE(9793), 1,
      sym_attribute,
    STATE(10333), 1,
      sym__constructor_name,
    STATE(11085), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12172), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12178), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(12170), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511591] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9252), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [511631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8246), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [511671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8250), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [511711] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12059), 1,
      sym__identifier,
    ACTIONS(12061), 1,
      anon_sym_let,
    ACTIONS(12063), 1,
      anon_sym_LPAREN,
    ACTIONS(12065), 1,
      anon_sym_LBRACK,
    ACTIONS(12067), 1,
      anon_sym_object,
    ACTIONS(12069), 1,
      anon_sym_fun,
    ACTIONS(12071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12073), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2481), 1,
      sym__simple_class_expression,
    STATE(9254), 1,
      sym__class_expression,
    STATE(9797), 1,
      sym_attribute,
    STATE(17690), 1,
      sym_module_path,
    STATE(19030), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7302), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [511779] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(9798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8254), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [511821] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11232), 1,
      sym__identifier,
    ACTIONS(11462), 1,
      anon_sym_POUND,
    STATE(9438), 1,
      sym_type_constructor_path,
    STATE(9799), 1,
      sym_attribute,
    STATE(17311), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12051), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12053), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [511871] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12059), 1,
      sym__identifier,
    ACTIONS(12061), 1,
      anon_sym_let,
    ACTIONS(12063), 1,
      anon_sym_LPAREN,
    ACTIONS(12065), 1,
      anon_sym_LBRACK,
    ACTIONS(12067), 1,
      anon_sym_object,
    ACTIONS(12069), 1,
      anon_sym_fun,
    ACTIONS(12071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12073), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2481), 1,
      sym__simple_class_expression,
    STATE(9255), 1,
      sym__class_expression,
    STATE(9800), 1,
      sym_attribute,
    STATE(17690), 1,
      sym_module_path,
    STATE(19030), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7302), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [511939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8260), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [511979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8264), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [512019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8268), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [512059] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12059), 1,
      sym__identifier,
    ACTIONS(12061), 1,
      anon_sym_let,
    ACTIONS(12063), 1,
      anon_sym_LPAREN,
    ACTIONS(12065), 1,
      anon_sym_LBRACK,
    ACTIONS(12067), 1,
      anon_sym_object,
    ACTIONS(12069), 1,
      anon_sym_fun,
    ACTIONS(12071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12073), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2481), 1,
      sym__simple_class_expression,
    STATE(9804), 1,
      sym_attribute,
    STATE(10440), 1,
      sym__class_expression,
    STATE(17690), 1,
      sym_module_path,
    STATE(19030), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7302), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [512127] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11955), 1,
      sym_pow_operator,
    STATE(1783), 1,
      sym_add_operator,
    STATE(9805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [512171] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8242), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [512211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8222), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [512251] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10992), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [512291] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12182), 1,
      anon_sym_LPAREN,
    ACTIONS(12184), 1,
      anon_sym_LBRACK,
    STATE(9809), 1,
      sym_attribute,
    STATE(10358), 1,
      sym__constructor_name,
    STATE(11100), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12172), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12186), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(12170), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512343] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11981), 1,
      anon_sym_let,
    ACTIONS(11983), 1,
      anon_sym_fun,
    STATE(2516), 1,
      sym__simple_class_expression,
    STATE(9810), 1,
      sym_attribute,
    STATE(10325), 1,
      sym__class_expression,
    STATE(18252), 1,
      sym_module_path,
    STATE(19481), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [512411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8276), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [512451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8280), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [512491] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(9813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8254), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [512533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8284), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8286), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [512573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8226), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [512613] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8230), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [512653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8234), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [512693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8238), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [512733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8288), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8290), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [512773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8272), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [512813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8294), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [512853] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11981), 1,
      anon_sym_let,
    ACTIONS(11983), 1,
      anon_sym_fun,
    STATE(2516), 1,
      sym__simple_class_expression,
    STATE(9822), 1,
      sym_attribute,
    STATE(10327), 1,
      sym__class_expression,
    STATE(18252), 1,
      sym_module_path,
    STATE(19481), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [512921] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11981), 1,
      anon_sym_let,
    ACTIONS(11983), 1,
      anon_sym_fun,
    STATE(2516), 1,
      sym__simple_class_expression,
    STATE(9823), 1,
      sym_attribute,
    STATE(10401), 1,
      sym__class_expression,
    STATE(18252), 1,
      sym_module_path,
    STATE(19481), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [512989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8272), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8296), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [513069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8300), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [513109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8304), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [513149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8308), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [513189] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11981), 1,
      anon_sym_let,
    ACTIONS(11983), 1,
      anon_sym_fun,
    STATE(2516), 1,
      sym__simple_class_expression,
    STATE(9829), 1,
      sym_attribute,
    STATE(10410), 1,
      sym__class_expression,
    STATE(18252), 1,
      sym_module_path,
    STATE(19481), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [513257] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11889), 1,
      anon_sym_COLON2,
    STATE(9830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9252), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [513299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8298), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [513339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8302), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [513379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8306), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [513419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8310), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [513459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11539), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11537), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [513499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12108), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
    ACTIONS(12106), 14,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      sym__identifier,
  [513539] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11981), 1,
      anon_sym_let,
    ACTIONS(11983), 1,
      anon_sym_fun,
    STATE(2516), 1,
      sym__simple_class_expression,
    STATE(9837), 1,
      sym_attribute,
    STATE(10414), 1,
      sym__class_expression,
    STATE(18252), 1,
      sym_module_path,
    STATE(19481), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [513607] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11981), 1,
      anon_sym_let,
    ACTIONS(11983), 1,
      anon_sym_fun,
    STATE(2516), 1,
      sym__simple_class_expression,
    STATE(9838), 1,
      sym_attribute,
    STATE(10449), 1,
      sym__class_expression,
    STATE(18252), 1,
      sym_module_path,
    STATE(19481), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [513675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12190), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12188), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513715] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11981), 1,
      anon_sym_let,
    ACTIONS(11983), 1,
      anon_sym_fun,
    STATE(2516), 1,
      sym__simple_class_expression,
    STATE(9840), 1,
      sym_attribute,
    STATE(10453), 1,
      sym__class_expression,
    STATE(18252), 1,
      sym_module_path,
    STATE(19481), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [513783] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11981), 1,
      anon_sym_let,
    ACTIONS(11983), 1,
      anon_sym_fun,
    STATE(2516), 1,
      sym__simple_class_expression,
    STATE(9841), 1,
      sym_attribute,
    STATE(10467), 1,
      sym__class_expression,
    STATE(18252), 1,
      sym_module_path,
    STATE(19481), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [513851] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12029), 1,
      sym__identifier,
    ACTIONS(12031), 1,
      anon_sym_let,
    ACTIONS(12033), 1,
      anon_sym_LPAREN,
    ACTIONS(12035), 1,
      anon_sym_LBRACK,
    ACTIONS(12037), 1,
      anon_sym_object,
    ACTIONS(12039), 1,
      anon_sym_fun,
    ACTIONS(12041), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12043), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2478), 1,
      sym__simple_class_expression,
    STATE(9842), 1,
      sym_attribute,
    STATE(10440), 1,
      sym__class_expression,
    STATE(17580), 1,
      sym_module_path,
    STATE(18679), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7266), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [513919] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11955), 1,
      sym_pow_operator,
    STATE(1783), 1,
      sym_add_operator,
    STATE(9843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [513963] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11955), 1,
      sym_pow_operator,
    ACTIONS(11957), 1,
      sym_mult_operator,
    ACTIONS(11959), 1,
      sym_concat_operator,
    STATE(1783), 1,
      sym_add_operator,
    STATE(9844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [514015] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12029), 1,
      sym__identifier,
    ACTIONS(12031), 1,
      anon_sym_let,
    ACTIONS(12033), 1,
      anon_sym_LPAREN,
    ACTIONS(12035), 1,
      anon_sym_LBRACK,
    ACTIONS(12037), 1,
      anon_sym_object,
    ACTIONS(12039), 1,
      anon_sym_fun,
    ACTIONS(12041), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12043), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2478), 1,
      sym__simple_class_expression,
    STATE(9845), 1,
      sym_attribute,
    STATE(10319), 1,
      sym__class_expression,
    STATE(17580), 1,
      sym_module_path,
    STATE(18679), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7266), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [514083] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(12029), 1,
      sym__identifier,
    ACTIONS(12031), 1,
      anon_sym_let,
    ACTIONS(12033), 1,
      anon_sym_LPAREN,
    ACTIONS(12035), 1,
      anon_sym_LBRACK,
    ACTIONS(12037), 1,
      anon_sym_object,
    ACTIONS(12039), 1,
      anon_sym_fun,
    ACTIONS(12041), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12043), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2478), 1,
      sym__simple_class_expression,
    STATE(9846), 1,
      sym_attribute,
    STATE(10507), 1,
      sym__class_expression,
    STATE(17580), 1,
      sym_module_path,
    STATE(18679), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7266), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [514151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11577), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [514191] = 19,
    ACTIONS(347), 1,
      sym_let_operator,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6617), 1,
      anon_sym_object,
    ACTIONS(8620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(11961), 1,
      sym__identifier,
    ACTIONS(11965), 1,
      anon_sym_LPAREN,
    ACTIONS(11967), 1,
      anon_sym_LBRACK,
    ACTIONS(11981), 1,
      anon_sym_let,
    ACTIONS(11983), 1,
      anon_sym_fun,
    STATE(2516), 1,
      sym__simple_class_expression,
    STATE(9848), 1,
      sym_attribute,
    STATE(10319), 1,
      sym__class_expression,
    STATE(18252), 1,
      sym_module_path,
    STATE(19481), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9095), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7470), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [514259] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11835), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11537), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11539), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [514300] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12192), 1,
      anon_sym_STAR,
    STATE(9850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10345), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10343), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514341] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11809), 1,
      sym__identifier,
    STATE(9851), 1,
      sym_attribute,
    STATE(11745), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514404] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10792), 1,
      anon_sym_LPAREN,
    ACTIONS(10796), 1,
      anon_sym_LBRACK,
    ACTIONS(11290), 1,
      sym__identifier,
    STATE(9852), 1,
      sym_attribute,
    STATE(9922), 1,
      sym__simple_type,
    STATE(17308), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9835), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514467] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9920), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9922), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11202), 1,
      sym__identifier,
    ACTIONS(11204), 1,
      anon_sym_LPAREN,
    ACTIONS(11206), 1,
      anon_sym_LBRACK,
    ACTIONS(11208), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11210), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11212), 1,
      anon_sym_LT,
    ACTIONS(11214), 1,
      anon_sym_POUND,
    ACTIONS(11216), 1,
      aux_sym_type_variable_token1,
    STATE(9853), 1,
      sym_attribute,
    STATE(10550), 1,
      sym__simple_type,
    STATE(16697), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10348), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514530] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11300), 1,
      sym__identifier,
    ACTIONS(11302), 1,
      anon_sym_LPAREN,
    ACTIONS(11304), 1,
      anon_sym_LBRACK,
    ACTIONS(11306), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11308), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11310), 1,
      anon_sym_LT,
    ACTIONS(11312), 1,
      anon_sym_POUND,
    ACTIONS(11314), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11316), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11318), 1,
      aux_sym_type_variable_token1,
    STATE(9854), 1,
      sym_attribute,
    STATE(10711), 1,
      sym__simple_type,
    STATE(16941), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10747), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514593] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9546), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [514632] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10792), 1,
      anon_sym_LPAREN,
    ACTIONS(10796), 1,
      anon_sym_LBRACK,
    ACTIONS(11290), 1,
      sym__identifier,
    STATE(9856), 1,
      sym_attribute,
    STATE(10260), 1,
      sym__simple_type,
    STATE(17308), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9835), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514695] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11300), 1,
      sym__identifier,
    ACTIONS(11302), 1,
      anon_sym_LPAREN,
    ACTIONS(11304), 1,
      anon_sym_LBRACK,
    ACTIONS(11306), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11308), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11310), 1,
      anon_sym_LT,
    ACTIONS(11312), 1,
      anon_sym_POUND,
    ACTIONS(11314), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11316), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11318), 1,
      aux_sym_type_variable_token1,
    STATE(9857), 1,
      sym_attribute,
    STATE(10681), 1,
      sym__simple_type,
    STATE(16941), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10747), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514758] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(12194), 1,
      anon_sym_COLON2,
    STATE(9858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(11683), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11681), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [514803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9252), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [514842] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9920), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9922), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11202), 1,
      sym__identifier,
    ACTIONS(11204), 1,
      anon_sym_LPAREN,
    ACTIONS(11206), 1,
      anon_sym_LBRACK,
    ACTIONS(11208), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11210), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11212), 1,
      anon_sym_LT,
    ACTIONS(11214), 1,
      anon_sym_POUND,
    ACTIONS(11216), 1,
      aux_sym_type_variable_token1,
    STATE(9860), 1,
      sym_attribute,
    STATE(10606), 1,
      sym__simple_type,
    STATE(16697), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10348), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514905] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12196), 1,
      sym__identifier,
    ACTIONS(12198), 1,
      anon_sym_POUND,
    STATE(9861), 1,
      sym_attribute,
    STATE(10724), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16553), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11476), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11478), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [514960] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12196), 1,
      sym__identifier,
    ACTIONS(12198), 1,
      anon_sym_POUND,
    STATE(9862), 1,
      sym_attribute,
    STATE(10724), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16553), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11480), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11482), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [515015] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9476), 1,
      anon_sym_LT,
    ACTIONS(9478), 1,
      anon_sym_POUND,
    ACTIONS(9480), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9482), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9484), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10694), 1,
      anon_sym_LPAREN,
    ACTIONS(10698), 1,
      anon_sym_LBRACK,
    ACTIONS(11218), 1,
      sym__identifier,
    STATE(9863), 1,
      sym_attribute,
    STATE(10330), 1,
      sym__simple_type,
    STATE(17356), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9938), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515078] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12200), 1,
      sym__identifier,
    ACTIONS(12202), 1,
      anon_sym_POUND,
    STATE(9864), 1,
      sym_attribute,
    STATE(10875), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17469), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11476), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11478), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [515133] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12200), 1,
      sym__identifier,
    ACTIONS(12202), 1,
      anon_sym_POUND,
    STATE(9865), 1,
      sym_attribute,
    STATE(10875), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17469), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11480), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11482), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [515188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12206), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12204), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515227] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10219), 1,
      anon_sym_LPAREN,
    ACTIONS(10221), 1,
      anon_sym_LBRACK,
    ACTIONS(10223), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10225), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10227), 1,
      anon_sym_LT,
    ACTIONS(10229), 1,
      anon_sym_POUND,
    ACTIONS(10231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10235), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11230), 1,
      sym__identifier,
    STATE(9867), 1,
      sym_attribute,
    STATE(11094), 1,
      sym__simple_type,
    STATE(17086), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515290] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11300), 1,
      sym__identifier,
    ACTIONS(11302), 1,
      anon_sym_LPAREN,
    ACTIONS(11304), 1,
      anon_sym_LBRACK,
    ACTIONS(11306), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11308), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11310), 1,
      anon_sym_LT,
    ACTIONS(11312), 1,
      anon_sym_POUND,
    ACTIONS(11314), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11316), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11318), 1,
      aux_sym_type_variable_token1,
    STATE(9868), 1,
      sym_attribute,
    STATE(10699), 1,
      sym__simple_type,
    STATE(16941), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10747), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515353] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11300), 1,
      sym__identifier,
    ACTIONS(11302), 1,
      anon_sym_LPAREN,
    ACTIONS(11304), 1,
      anon_sym_LBRACK,
    ACTIONS(11306), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11308), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11310), 1,
      anon_sym_LT,
    ACTIONS(11312), 1,
      anon_sym_POUND,
    ACTIONS(11314), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11316), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11318), 1,
      aux_sym_type_variable_token1,
    STATE(9869), 1,
      sym_attribute,
    STATE(10702), 1,
      sym__simple_type,
    STATE(16941), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10747), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515416] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11300), 1,
      sym__identifier,
    ACTIONS(11302), 1,
      anon_sym_LPAREN,
    ACTIONS(11304), 1,
      anon_sym_LBRACK,
    ACTIONS(11306), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11308), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11310), 1,
      anon_sym_LT,
    ACTIONS(11312), 1,
      anon_sym_POUND,
    ACTIONS(11314), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11316), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11318), 1,
      aux_sym_type_variable_token1,
    STATE(9870), 1,
      sym_attribute,
    STATE(10784), 1,
      sym__simple_type,
    STATE(16941), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10747), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515479] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9476), 1,
      anon_sym_LT,
    ACTIONS(9478), 1,
      anon_sym_POUND,
    ACTIONS(9480), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9482), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9484), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10694), 1,
      anon_sym_LPAREN,
    ACTIONS(10698), 1,
      anon_sym_LBRACK,
    ACTIONS(11218), 1,
      sym__identifier,
    STATE(9871), 1,
      sym_attribute,
    STATE(10331), 1,
      sym__simple_type,
    STATE(17356), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9938), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515542] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10884), 1,
      anon_sym_LPAREN,
    ACTIONS(10888), 1,
      anon_sym_LBRACK,
    ACTIONS(10890), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10892), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10894), 1,
      anon_sym_LT,
    ACTIONS(10896), 1,
      anon_sym_POUND,
    ACTIONS(10898), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10900), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10902), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12208), 1,
      sym__identifier,
    STATE(8932), 1,
      sym__simple_type,
    STATE(9872), 1,
      sym_attribute,
    STATE(16558), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9103), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515605] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12210), 1,
      anon_sym_STAR,
    STATE(9873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10345), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10343), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515646] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9920), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9922), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11202), 1,
      sym__identifier,
    ACTIONS(11204), 1,
      anon_sym_LPAREN,
    ACTIONS(11206), 1,
      anon_sym_LBRACK,
    ACTIONS(11208), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11210), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11212), 1,
      anon_sym_LT,
    ACTIONS(11214), 1,
      anon_sym_POUND,
    ACTIONS(11216), 1,
      aux_sym_type_variable_token1,
    STATE(9874), 1,
      sym_attribute,
    STATE(10416), 1,
      sym__simple_type,
    STATE(16697), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10348), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515709] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9476), 1,
      anon_sym_LT,
    ACTIONS(9478), 1,
      anon_sym_POUND,
    ACTIONS(9480), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9482), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9484), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10694), 1,
      anon_sym_LPAREN,
    ACTIONS(10698), 1,
      anon_sym_LBRACK,
    ACTIONS(11218), 1,
      sym__identifier,
    STATE(9875), 1,
      sym_attribute,
    STATE(10334), 1,
      sym__simple_type,
    STATE(17356), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9938), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515772] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10792), 1,
      anon_sym_LPAREN,
    ACTIONS(10796), 1,
      anon_sym_LBRACK,
    ACTIONS(11290), 1,
      sym__identifier,
    STATE(9876), 1,
      sym_attribute,
    STATE(10288), 1,
      sym__simple_type,
    STATE(17308), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9835), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515835] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11286), 1,
      sym__identifier,
    ACTIONS(11519), 1,
      anon_sym_POUND,
    STATE(9455), 1,
      sym_type_constructor_path,
    STATE(9877), 1,
      sym_attribute,
    STATE(17431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12212), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12214), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [515884] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10219), 1,
      anon_sym_LPAREN,
    ACTIONS(10221), 1,
      anon_sym_LBRACK,
    ACTIONS(10223), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10225), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10227), 1,
      anon_sym_LT,
    ACTIONS(10229), 1,
      anon_sym_POUND,
    ACTIONS(10231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10235), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11230), 1,
      sym__identifier,
    STATE(9878), 1,
      sym_attribute,
    STATE(11089), 1,
      sym__simple_type,
    STATE(17086), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515947] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12196), 1,
      sym__identifier,
    ACTIONS(12198), 1,
      anon_sym_POUND,
    STATE(9879), 1,
      sym_attribute,
    STATE(10724), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16553), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11488), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11490), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [516002] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10280), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12218), 1,
      sym_pow_operator,
    ACTIONS(12220), 1,
      sym_mult_operator,
    ACTIONS(12222), 1,
      sym_concat_operator,
    ACTIONS(12224), 1,
      sym_rel_operator,
    ACTIONS(12226), 1,
      sym_and_operator,
    ACTIONS(12228), 1,
      sym_or_operator,
    STATE(1865), 1,
      sym_add_operator,
    STATE(9880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [516059] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12218), 1,
      sym_pow_operator,
    ACTIONS(12220), 1,
      sym_mult_operator,
    STATE(1865), 1,
      sym_add_operator,
    STATE(9881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [516108] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12218), 1,
      sym_pow_operator,
    STATE(1865), 1,
      sym_add_operator,
    STATE(9882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [516151] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12218), 1,
      sym_pow_operator,
    STATE(1865), 1,
      sym_add_operator,
    STATE(9883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [516194] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12218), 1,
      sym_pow_operator,
    ACTIONS(12220), 1,
      sym_mult_operator,
    ACTIONS(12222), 1,
      sym_concat_operator,
    STATE(1865), 1,
      sym_add_operator,
    STATE(9884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [516245] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12218), 1,
      sym_pow_operator,
    ACTIONS(12220), 1,
      sym_mult_operator,
    ACTIONS(12222), 1,
      sym_concat_operator,
    STATE(1865), 1,
      sym_add_operator,
    STATE(9885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [516296] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12218), 1,
      sym_pow_operator,
    ACTIONS(12220), 1,
      sym_mult_operator,
    ACTIONS(12222), 1,
      sym_concat_operator,
    ACTIONS(12224), 1,
      sym_rel_operator,
    ACTIONS(12226), 1,
      sym_and_operator,
    STATE(1865), 1,
      sym_add_operator,
    STATE(9886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [516351] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12218), 1,
      sym_pow_operator,
    ACTIONS(12220), 1,
      sym_mult_operator,
    ACTIONS(12222), 1,
      sym_concat_operator,
    ACTIONS(12224), 1,
      sym_rel_operator,
    ACTIONS(12226), 1,
      sym_and_operator,
    ACTIONS(12228), 1,
      sym_or_operator,
    STATE(1865), 1,
      sym_add_operator,
    STATE(9887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [516408] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12218), 1,
      sym_pow_operator,
    ACTIONS(12220), 1,
      sym_mult_operator,
    ACTIONS(12222), 1,
      sym_concat_operator,
    ACTIONS(12224), 1,
      sym_rel_operator,
    ACTIONS(12226), 1,
      sym_and_operator,
    ACTIONS(12228), 1,
      sym_or_operator,
    ACTIONS(12230), 1,
      anon_sym_COMMA,
    ACTIONS(12232), 1,
      sym_assign_operator,
    STATE(1865), 1,
      sym_add_operator,
    STATE(9888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [516469] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12218), 1,
      sym_pow_operator,
    ACTIONS(12220), 1,
      sym_mult_operator,
    STATE(1865), 1,
      sym_add_operator,
    STATE(9889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [516514] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10310), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12218), 1,
      sym_pow_operator,
    ACTIONS(12220), 1,
      sym_mult_operator,
    ACTIONS(12222), 1,
      sym_concat_operator,
    ACTIONS(12224), 1,
      sym_rel_operator,
    ACTIONS(12226), 1,
      sym_and_operator,
    ACTIONS(12228), 1,
      sym_or_operator,
    ACTIONS(12230), 1,
      anon_sym_COMMA,
    ACTIONS(12232), 1,
      sym_assign_operator,
    STATE(1865), 1,
      sym_add_operator,
    STATE(9890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10308), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [516575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11681), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11683), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [516614] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9920), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9922), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11202), 1,
      sym__identifier,
    ACTIONS(11204), 1,
      anon_sym_LPAREN,
    ACTIONS(11206), 1,
      anon_sym_LBRACK,
    ACTIONS(11208), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11210), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11212), 1,
      anon_sym_LT,
    ACTIONS(11214), 1,
      anon_sym_POUND,
    ACTIONS(11216), 1,
      aux_sym_type_variable_token1,
    STATE(9892), 1,
      sym_attribute,
    STATE(10498), 1,
      sym__simple_type,
    STATE(16697), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10348), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [516677] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11236), 1,
      sym__identifier,
    ACTIONS(11238), 1,
      anon_sym_LPAREN,
    ACTIONS(11240), 1,
      anon_sym_LBRACK,
    ACTIONS(11242), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11246), 1,
      anon_sym_LT,
    ACTIONS(11248), 1,
      anon_sym_POUND,
    ACTIONS(11250), 1,
      aux_sym_type_variable_token1,
    STATE(9893), 1,
      sym_attribute,
    STATE(10479), 1,
      sym__simple_type,
    STATE(16735), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10770), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [516740] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9112), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12218), 1,
      sym_pow_operator,
    ACTIONS(12220), 1,
      sym_mult_operator,
    ACTIONS(12222), 1,
      sym_concat_operator,
    ACTIONS(12224), 1,
      sym_rel_operator,
    ACTIONS(12226), 1,
      sym_and_operator,
    ACTIONS(12228), 1,
      sym_or_operator,
    ACTIONS(12230), 1,
      anon_sym_COMMA,
    ACTIONS(12232), 1,
      sym_assign_operator,
    ACTIONS(12234), 1,
      anon_sym_SEMI,
    STATE(1865), 1,
      sym_add_operator,
    STATE(9894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9110), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [516803] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9920), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9922), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11202), 1,
      sym__identifier,
    ACTIONS(11204), 1,
      anon_sym_LPAREN,
    ACTIONS(11206), 1,
      anon_sym_LBRACK,
    ACTIONS(11208), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11210), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11212), 1,
      anon_sym_LT,
    ACTIONS(11214), 1,
      anon_sym_POUND,
    ACTIONS(11216), 1,
      aux_sym_type_variable_token1,
    STATE(9895), 1,
      sym_attribute,
    STATE(10515), 1,
      sym__simple_type,
    STATE(16697), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10348), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [516866] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9920), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9922), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11202), 1,
      sym__identifier,
    ACTIONS(11204), 1,
      anon_sym_LPAREN,
    ACTIONS(11206), 1,
      anon_sym_LBRACK,
    ACTIONS(11208), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11210), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11212), 1,
      anon_sym_LT,
    ACTIONS(11214), 1,
      anon_sym_POUND,
    ACTIONS(11216), 1,
      aux_sym_type_variable_token1,
    STATE(9896), 1,
      sym_attribute,
    STATE(10629), 1,
      sym__simple_type,
    STATE(16697), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10348), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [516929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9150), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [516968] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10828), 1,
      anon_sym_LPAREN,
    ACTIONS(10832), 1,
      anon_sym_LBRACK,
    ACTIONS(10834), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10836), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10838), 1,
      anon_sym_LT,
    ACTIONS(10840), 1,
      anon_sym_POUND,
    ACTIONS(10842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10844), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10846), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12236), 1,
      sym__identifier,
    STATE(8941), 1,
      sym__simple_type,
    STATE(9898), 1,
      sym_attribute,
    STATE(17290), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9416), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [517031] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11811), 1,
      sym__identifier,
    ACTIONS(11813), 1,
      anon_sym_POUND,
    STATE(9899), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_type_constructor_path,
    STATE(16521), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12051), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12053), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [517080] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11182), 1,
      sym__identifier,
    ACTIONS(11184), 1,
      anon_sym_LPAREN,
    ACTIONS(11186), 1,
      anon_sym_LBRACK,
    ACTIONS(11188), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11190), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11192), 1,
      anon_sym_LT,
    ACTIONS(11194), 1,
      anon_sym_POUND,
    ACTIONS(11196), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11198), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11200), 1,
      aux_sym_type_variable_token1,
    STATE(9900), 1,
      sym_attribute,
    STATE(10727), 1,
      sym__simple_type,
    STATE(17052), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10735), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [517143] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11232), 1,
      sym__identifier,
    ACTIONS(11462), 1,
      anon_sym_POUND,
    STATE(9438), 1,
      sym_type_constructor_path,
    STATE(9901), 1,
      sym_attribute,
    STATE(17311), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11476), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11478), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [517192] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10028), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10030), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11338), 1,
      sym__identifier,
    ACTIONS(11340), 1,
      anon_sym_LPAREN,
    ACTIONS(11342), 1,
      anon_sym_LBRACK,
    ACTIONS(11344), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11346), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11348), 1,
      anon_sym_LT,
    ACTIONS(11350), 1,
      anon_sym_POUND,
    ACTIONS(11352), 1,
      aux_sym_type_variable_token1,
    STATE(9902), 1,
      sym_attribute,
    STATE(10110), 1,
      sym__simple_type,
    STATE(17381), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10211), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [517255] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12200), 1,
      sym__identifier,
    ACTIONS(12202), 1,
      anon_sym_POUND,
    STATE(9903), 1,
      sym_attribute,
    STATE(10875), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17469), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11468), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11470), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [517310] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9476), 1,
      anon_sym_LT,
    ACTIONS(9478), 1,
      anon_sym_POUND,
    ACTIONS(9480), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9482), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9484), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10694), 1,
      anon_sym_LPAREN,
    ACTIONS(10698), 1,
      anon_sym_LBRACK,
    ACTIONS(11218), 1,
      sym__identifier,
    STATE(9904), 1,
      sym_attribute,
    STATE(10154), 1,
      sym__simple_type,
    STATE(17356), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9938), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [517373] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11232), 1,
      sym__identifier,
    ACTIONS(11462), 1,
      anon_sym_POUND,
    STATE(9438), 1,
      sym_type_constructor_path,
    STATE(9905), 1,
      sym_attribute,
    STATE(17311), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11480), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11482), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [517422] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11236), 1,
      sym__identifier,
    ACTIONS(11238), 1,
      anon_sym_LPAREN,
    ACTIONS(11240), 1,
      anon_sym_LBRACK,
    ACTIONS(11242), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11246), 1,
      anon_sym_LT,
    ACTIONS(11248), 1,
      anon_sym_POUND,
    ACTIONS(11250), 1,
      aux_sym_type_variable_token1,
    STATE(9906), 1,
      sym_attribute,
    STATE(10834), 1,
      sym__simple_type,
    STATE(16735), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10770), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [517485] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9386), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10777), 1,
      anon_sym_LPAREN,
    ACTIONS(10781), 1,
      anon_sym_LBRACK,
    ACTIONS(11292), 1,
      sym__identifier,
    STATE(9251), 1,
      sym__simple_type,
    STATE(9907), 1,
      sym_attribute,
    STATE(17138), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9411), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [517548] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11236), 1,
      sym__identifier,
    ACTIONS(11238), 1,
      anon_sym_LPAREN,
    ACTIONS(11240), 1,
      anon_sym_LBRACK,
    ACTIONS(11242), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11246), 1,
      anon_sym_LT,
    ACTIONS(11248), 1,
      anon_sym_POUND,
    ACTIONS(11250), 1,
      aux_sym_type_variable_token1,
    STATE(9908), 1,
      sym_attribute,
    STATE(10835), 1,
      sym__simple_type,
    STATE(16735), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10770), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [517611] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9254), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(12238), 1,
      anon_sym_EQ,
    ACTIONS(12240), 1,
      anon_sym_COLON_EQ,
    ACTIONS(12242), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9909), 1,
      sym_attribute,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10618), 1,
      aux_sym_expression_item_repeat1,
    STATE(10780), 1,
      sym__type_equation,
    STATE(10893), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11821), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [517668] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11182), 1,
      sym__identifier,
    ACTIONS(11184), 1,
      anon_sym_LPAREN,
    ACTIONS(11186), 1,
      anon_sym_LBRACK,
    ACTIONS(11188), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11190), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11192), 1,
      anon_sym_LT,
    ACTIONS(11194), 1,
      anon_sym_POUND,
    ACTIONS(11196), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11198), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11200), 1,
      aux_sym_type_variable_token1,
    STATE(9910), 1,
      sym_attribute,
    STATE(10823), 1,
      sym__simple_type,
    STATE(17052), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10735), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [517731] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10173), 1,
      anon_sym_LPAREN,
    ACTIONS(10175), 1,
      anon_sym_LBRACK,
    ACTIONS(10177), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10179), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10181), 1,
      anon_sym_LT,
    ACTIONS(10183), 1,
      anon_sym_POUND,
    ACTIONS(10185), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10187), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10189), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12244), 1,
      sym__identifier,
    STATE(9911), 1,
      sym_attribute,
    STATE(10976), 1,
      sym__simple_type,
    STATE(16995), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11663), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [517794] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12055), 1,
      sym__identifier,
    ACTIONS(12057), 1,
      anon_sym_POUND,
    ACTIONS(12246), 1,
      anon_sym_STAR,
    STATE(9912), 1,
      sym_attribute,
    STATE(10425), 1,
      sym_type_constructor_path,
    STATE(11551), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17405), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11458), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11861), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [517847] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9438), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9440), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9442), 1,
      anon_sym_LT,
    ACTIONS(9444), 1,
      anon_sym_POUND,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9450), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10783), 1,
      anon_sym_LPAREN,
    ACTIONS(10787), 1,
      anon_sym_LBRACK,
    ACTIONS(11298), 1,
      sym__identifier,
    STATE(9799), 1,
      sym__simple_type,
    STATE(9913), 1,
      sym_attribute,
    STATE(17261), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9434), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [517910] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10320), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12218), 1,
      sym_pow_operator,
    ACTIONS(12220), 1,
      sym_mult_operator,
    ACTIONS(12222), 1,
      sym_concat_operator,
    ACTIONS(12224), 1,
      sym_rel_operator,
    ACTIONS(12226), 1,
      sym_and_operator,
    ACTIONS(12228), 1,
      sym_or_operator,
    ACTIONS(12230), 1,
      anon_sym_COMMA,
    ACTIONS(12232), 1,
      sym_assign_operator,
    STATE(1865), 1,
      sym_add_operator,
    STATE(9914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [517971] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10008), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(9915), 1,
      sym_attribute,
    STATE(10232), 1,
      sym__simple_type,
    STATE(16669), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10162), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518034] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11232), 1,
      sym__identifier,
    ACTIONS(11462), 1,
      anon_sym_POUND,
    STATE(9438), 1,
      sym_type_constructor_path,
    STATE(9916), 1,
      sym_attribute,
    STATE(17311), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11488), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11490), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [518083] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12200), 1,
      sym__identifier,
    ACTIONS(12202), 1,
      anon_sym_POUND,
    STATE(9917), 1,
      sym_attribute,
    STATE(10875), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17469), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11488), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11490), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [518138] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10008), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(9918), 1,
      sym_attribute,
    STATE(10233), 1,
      sym__simple_type,
    STATE(16669), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10162), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518201] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9476), 1,
      anon_sym_LT,
    ACTIONS(9478), 1,
      anon_sym_POUND,
    ACTIONS(9480), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9482), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9484), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10694), 1,
      anon_sym_LPAREN,
    ACTIONS(10698), 1,
      anon_sym_LBRACK,
    ACTIONS(11218), 1,
      sym__identifier,
    STATE(9513), 1,
      sym__simple_type,
    STATE(9919), 1,
      sym_attribute,
    STATE(17356), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9938), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518264] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10008), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(9920), 1,
      sym_attribute,
    STATE(10243), 1,
      sym__simple_type,
    STATE(16669), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10162), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518327] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10792), 1,
      anon_sym_LPAREN,
    ACTIONS(10796), 1,
      anon_sym_LBRACK,
    ACTIONS(11290), 1,
      sym__identifier,
    STATE(9921), 1,
      sym_attribute,
    STATE(10299), 1,
      sym__simple_type,
    STATE(17308), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9835), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518390] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11571), 1,
      sym__identifier,
    ACTIONS(11819), 1,
      anon_sym_POUND,
    STATE(9508), 1,
      sym_type_constructor_path,
    STATE(9922), 1,
      sym_attribute,
    STATE(16564), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12051), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12053), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [518439] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10008), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(9923), 1,
      sym_attribute,
    STATE(10264), 1,
      sym__simple_type,
    STATE(16669), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10162), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518502] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11182), 1,
      sym__identifier,
    ACTIONS(11184), 1,
      anon_sym_LPAREN,
    ACTIONS(11186), 1,
      anon_sym_LBRACK,
    ACTIONS(11188), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11190), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11192), 1,
      anon_sym_LT,
    ACTIONS(11194), 1,
      anon_sym_POUND,
    ACTIONS(11196), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11198), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11200), 1,
      aux_sym_type_variable_token1,
    STATE(9924), 1,
      sym_attribute,
    STATE(10728), 1,
      sym__simple_type,
    STATE(17052), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10735), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518565] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12248), 1,
      sym__identifier,
    ACTIONS(12250), 1,
      anon_sym_POUND,
    STATE(9925), 1,
      sym_attribute,
    STATE(10674), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17339), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11476), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11478), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [518620] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11232), 1,
      sym__identifier,
    ACTIONS(11462), 1,
      anon_sym_POUND,
    STATE(9438), 1,
      sym_type_constructor_path,
    STATE(9926), 1,
      sym_attribute,
    STATE(17311), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12252), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12254), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [518669] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12248), 1,
      sym__identifier,
    ACTIONS(12250), 1,
      anon_sym_POUND,
    STATE(9927), 1,
      sym_attribute,
    STATE(10674), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17339), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11480), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11482), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [518724] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11232), 1,
      sym__identifier,
    ACTIONS(11462), 1,
      anon_sym_POUND,
    STATE(9438), 1,
      sym_type_constructor_path,
    STATE(9928), 1,
      sym_attribute,
    STATE(17311), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12256), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12258), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [518773] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10008), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(9929), 1,
      sym_attribute,
    STATE(10267), 1,
      sym__simple_type,
    STATE(16669), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10162), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518836] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10028), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10030), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11338), 1,
      sym__identifier,
    ACTIONS(11340), 1,
      anon_sym_LPAREN,
    ACTIONS(11342), 1,
      anon_sym_LBRACK,
    ACTIONS(11344), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11346), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11348), 1,
      anon_sym_LT,
    ACTIONS(11350), 1,
      anon_sym_POUND,
    ACTIONS(11352), 1,
      aux_sym_type_variable_token1,
    STATE(9930), 1,
      sym_attribute,
    STATE(10105), 1,
      sym__simple_type,
    STATE(17381), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10211), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518899] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11232), 1,
      sym__identifier,
    ACTIONS(11462), 1,
      anon_sym_POUND,
    STATE(9438), 1,
      sym_type_constructor_path,
    STATE(9931), 1,
      sym_attribute,
    STATE(17311), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12212), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12214), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [518948] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10008), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(9932), 1,
      sym_attribute,
    STATE(10277), 1,
      sym__simple_type,
    STATE(16669), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10162), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [519011] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11236), 1,
      sym__identifier,
    ACTIONS(11238), 1,
      anon_sym_LPAREN,
    ACTIONS(11240), 1,
      anon_sym_LBRACK,
    ACTIONS(11242), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11246), 1,
      anon_sym_LT,
    ACTIONS(11248), 1,
      anon_sym_POUND,
    ACTIONS(11250), 1,
      aux_sym_type_variable_token1,
    STATE(9933), 1,
      sym_attribute,
    STATE(10672), 1,
      sym__simple_type,
    STATE(16735), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10770), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [519074] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12248), 1,
      sym__identifier,
    ACTIONS(12250), 1,
      anon_sym_POUND,
    STATE(9934), 1,
      sym_attribute,
    STATE(10674), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17339), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11488), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11490), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [519129] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11889), 1,
      anon_sym_COLON2,
    STATE(9935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9252), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [519170] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10028), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10030), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11338), 1,
      sym__identifier,
    ACTIONS(11340), 1,
      anon_sym_LPAREN,
    ACTIONS(11342), 1,
      anon_sym_LBRACK,
    ACTIONS(11344), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11346), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11348), 1,
      anon_sym_LT,
    ACTIONS(11350), 1,
      anon_sym_POUND,
    ACTIONS(11352), 1,
      aux_sym_type_variable_token1,
    STATE(9936), 1,
      sym_attribute,
    STATE(10111), 1,
      sym__simple_type,
    STATE(17381), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10211), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [519233] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11182), 1,
      sym__identifier,
    ACTIONS(11184), 1,
      anon_sym_LPAREN,
    ACTIONS(11186), 1,
      anon_sym_LBRACK,
    ACTIONS(11188), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11190), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11192), 1,
      anon_sym_LT,
    ACTIONS(11194), 1,
      anon_sym_POUND,
    ACTIONS(11196), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11198), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11200), 1,
      aux_sym_type_variable_token1,
    STATE(9937), 1,
      sym_attribute,
    STATE(10700), 1,
      sym__simple_type,
    STATE(17052), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10735), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [519296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11539), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11537), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [519335] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10792), 1,
      anon_sym_LPAREN,
    ACTIONS(10796), 1,
      anon_sym_LBRACK,
    ACTIONS(11290), 1,
      sym__identifier,
    STATE(9939), 1,
      sym_attribute,
    STATE(10300), 1,
      sym__simple_type,
    STATE(17308), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9835), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [519398] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11236), 1,
      sym__identifier,
    ACTIONS(11238), 1,
      anon_sym_LPAREN,
    ACTIONS(11240), 1,
      anon_sym_LBRACK,
    ACTIONS(11242), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11246), 1,
      anon_sym_LT,
    ACTIONS(11248), 1,
      anon_sym_POUND,
    ACTIONS(11250), 1,
      aux_sym_type_variable_token1,
    STATE(9940), 1,
      sym_attribute,
    STATE(10695), 1,
      sym__simple_type,
    STATE(16735), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10770), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [519461] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12172), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12260), 1,
      anon_sym_LPAREN,
    ACTIONS(12262), 1,
      anon_sym_LBRACK,
    STATE(9941), 1,
      sym_attribute,
    STATE(10666), 1,
      sym__constructor_name,
    STATE(11591), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12264), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(12170), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [519512] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10736), 1,
      anon_sym_LPAREN,
    ACTIONS(10740), 1,
      anon_sym_LBRACK,
    ACTIONS(10742), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10744), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10746), 1,
      anon_sym_LT,
    ACTIONS(10748), 1,
      anon_sym_POUND,
    ACTIONS(10750), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10752), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10754), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12266), 1,
      sym__identifier,
    STATE(9942), 1,
      sym_attribute,
    STATE(12801), 1,
      sym__simple_type,
    STATE(17004), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12874), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [519575] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11182), 1,
      sym__identifier,
    ACTIONS(11184), 1,
      anon_sym_LPAREN,
    ACTIONS(11186), 1,
      anon_sym_LBRACK,
    ACTIONS(11188), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11190), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11192), 1,
      anon_sym_LT,
    ACTIONS(11194), 1,
      anon_sym_POUND,
    ACTIONS(11196), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11198), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11200), 1,
      aux_sym_type_variable_token1,
    STATE(9943), 1,
      sym_attribute,
    STATE(10701), 1,
      sym__simple_type,
    STATE(17052), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10735), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [519638] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10792), 1,
      anon_sym_LPAREN,
    ACTIONS(10796), 1,
      anon_sym_LBRACK,
    ACTIONS(11290), 1,
      sym__identifier,
    STATE(9944), 1,
      sym_attribute,
    STATE(10250), 1,
      sym__simple_type,
    STATE(17308), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9835), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [519701] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8298), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
  [519740] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11927), 1,
      sym__identifier,
    ACTIONS(11985), 1,
      anon_sym_POUND,
    ACTIONS(12268), 1,
      anon_sym_STAR,
    STATE(9946), 1,
      sym_attribute,
    STATE(9960), 1,
      sym_type_constructor_path,
    STATE(11479), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17499), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11458), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11861), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [519793] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12200), 1,
      sym__identifier,
    ACTIONS(12202), 1,
      anon_sym_POUND,
    STATE(9947), 1,
      sym_attribute,
    STATE(10875), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17469), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11456), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [519848] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10792), 1,
      anon_sym_LPAREN,
    ACTIONS(10796), 1,
      anon_sym_LBRACK,
    ACTIONS(11290), 1,
      sym__identifier,
    STATE(9336), 1,
      sym__simple_type,
    STATE(9948), 1,
      sym_attribute,
    STATE(17308), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9835), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [519911] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12272), 1,
      anon_sym_let,
    ACTIONS(12274), 1,
      anon_sym_DQUOTE,
    STATE(9949), 1,
      sym_attribute,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10451), 1,
      aux_sym_external_repeat1,
    STATE(10883), 1,
      aux_sym_expression_item_repeat1,
    STATE(10942), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12270), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519962] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8296), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [520001] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12274), 1,
      anon_sym_DQUOTE,
    ACTIONS(12278), 1,
      anon_sym_let,
    STATE(9951), 1,
      sym_attribute,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10451), 1,
      aux_sym_external_repeat1,
    STATE(10663), 1,
      aux_sym_expression_item_repeat1,
    STATE(10942), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12276), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8302), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
  [520091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8306), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
  [520130] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10664), 1,
      anon_sym_LPAREN,
    ACTIONS(10668), 1,
      anon_sym_LBRACK,
    ACTIONS(10670), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10672), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10674), 1,
      anon_sym_LT,
    ACTIONS(10676), 1,
      anon_sym_POUND,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10680), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10682), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12280), 1,
      sym__identifier,
    STATE(9133), 1,
      sym__simple_type,
    STATE(9954), 1,
      sym_attribute,
    STATE(17370), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9755), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520193] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11236), 1,
      sym__identifier,
    ACTIONS(11238), 1,
      anon_sym_LPAREN,
    ACTIONS(11240), 1,
      anon_sym_LBRACK,
    ACTIONS(11242), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11246), 1,
      anon_sym_LT,
    ACTIONS(11248), 1,
      anon_sym_POUND,
    ACTIONS(11250), 1,
      aux_sym_type_variable_token1,
    STATE(9955), 1,
      sym_attribute,
    STATE(10698), 1,
      sym__simple_type,
    STATE(16735), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10770), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11553), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11551), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [520295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11557), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11555), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [520334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8310), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
  [520373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11561), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11559), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [520412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11563), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [520451] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9112), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12218), 1,
      sym_pow_operator,
    ACTIONS(12220), 1,
      sym_mult_operator,
    ACTIONS(12222), 1,
      sym_concat_operator,
    ACTIONS(12224), 1,
      sym_rel_operator,
    ACTIONS(12226), 1,
      sym_and_operator,
    ACTIONS(12228), 1,
      sym_or_operator,
    ACTIONS(12230), 1,
      anon_sym_COMMA,
    ACTIONS(12232), 1,
      sym_assign_operator,
    ACTIONS(12282), 1,
      anon_sym_SEMI,
    STATE(1865), 1,
      sym_add_operator,
    STATE(9961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9110), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [520514] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1865), 1,
      sym_add_operator,
    STATE(9962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [520555] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9944), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11236), 1,
      sym__identifier,
    ACTIONS(11238), 1,
      anon_sym_LPAREN,
    ACTIONS(11240), 1,
      anon_sym_LBRACK,
    ACTIONS(11242), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11246), 1,
      anon_sym_LT,
    ACTIONS(11248), 1,
      anon_sym_POUND,
    ACTIONS(11250), 1,
      aux_sym_type_variable_token1,
    STATE(9963), 1,
      sym_attribute,
    STATE(10707), 1,
      sym__simple_type,
    STATE(16735), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10770), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11705), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11707), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520657] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10028), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10030), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11338), 1,
      sym__identifier,
    ACTIONS(11340), 1,
      anon_sym_LPAREN,
    ACTIONS(11342), 1,
      anon_sym_LBRACK,
    ACTIONS(11344), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11346), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11348), 1,
      anon_sym_LT,
    ACTIONS(11350), 1,
      anon_sym_POUND,
    ACTIONS(11352), 1,
      aux_sym_type_variable_token1,
    STATE(9965), 1,
      sym_attribute,
    STATE(10106), 1,
      sym__simple_type,
    STATE(17381), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10211), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520720] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9562), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9564), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [520759] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN,
    ACTIONS(9986), 1,
      anon_sym_LBRACK,
    ACTIONS(9988), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9990), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9992), 1,
      anon_sym_LT,
    ACTIONS(9994), 1,
      anon_sym_POUND,
    ACTIONS(9996), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9998), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10000), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11268), 1,
      sym__identifier,
    STATE(9967), 1,
      sym_attribute,
    STATE(10979), 1,
      sym__simple_type,
    STATE(17008), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10929), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11577), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [520861] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11322), 1,
      sym__identifier,
    ACTIONS(11324), 1,
      anon_sym_LPAREN,
    ACTIONS(11326), 1,
      anon_sym_LBRACK,
    ACTIONS(11328), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11332), 1,
      anon_sym_LT,
    ACTIONS(11334), 1,
      anon_sym_POUND,
    ACTIONS(11336), 1,
      aux_sym_type_variable_token1,
    STATE(9969), 1,
      sym_attribute,
    STATE(13507), 1,
      sym__simple_type,
    STATE(16476), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13649), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12286), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12284), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11583), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11581), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [521002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11587), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11585), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [521041] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10850), 1,
      anon_sym_LPAREN,
    ACTIONS(10854), 1,
      anon_sym_LBRACK,
    ACTIONS(10856), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10858), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10860), 1,
      anon_sym_LT,
    ACTIONS(10862), 1,
      anon_sym_POUND,
    ACTIONS(10864), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10866), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10868), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12288), 1,
      sym__identifier,
    STATE(9973), 1,
      sym_attribute,
    STATE(12862), 1,
      sym__simple_type,
    STATE(17190), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13113), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521104] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11809), 1,
      sym__identifier,
    STATE(9974), 1,
      sym_attribute,
    STATE(13908), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521167] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12290), 1,
      anon_sym_LPAREN,
    ACTIONS(12292), 1,
      anon_sym_LBRACK,
    STATE(9975), 1,
      sym_attribute,
    STATE(10795), 1,
      sym__constructor_name,
    STATE(11638), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12172), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12294), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(12170), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521218] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12200), 1,
      sym__identifier,
    ACTIONS(12202), 1,
      anon_sym_POUND,
    STATE(9976), 1,
      sym_attribute,
    STATE(10875), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17469), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11466), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [521273] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11286), 1,
      sym__identifier,
    ACTIONS(11519), 1,
      anon_sym_POUND,
    STATE(9455), 1,
      sym_type_constructor_path,
    STATE(9977), 1,
      sym_attribute,
    STATE(17431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12256), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12258), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [521322] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11286), 1,
      sym__identifier,
    ACTIONS(11519), 1,
      anon_sym_POUND,
    STATE(9455), 1,
      sym_type_constructor_path,
    STATE(9978), 1,
      sym_attribute,
    STATE(17431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11488), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11490), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [521371] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8052), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [521410] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11286), 1,
      sym__identifier,
    ACTIONS(11519), 1,
      anon_sym_POUND,
    STATE(9455), 1,
      sym_type_constructor_path,
    STATE(9980), 1,
      sym_attribute,
    STATE(17431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11480), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11482), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [521459] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9254), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(12240), 1,
      anon_sym_COLON_EQ,
    ACTIONS(12242), 1,
      anon_sym_constraint,
    ACTIONS(12296), 1,
      anon_sym_EQ,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9981), 1,
      sym_attribute,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10504), 1,
      aux_sym_expression_item_repeat1,
    STATE(10781), 1,
      sym__type_equation,
    STATE(10899), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11867), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [521516] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11933), 1,
      anon_sym_let,
    STATE(9982), 1,
      sym_attribute,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10593), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11935), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11931), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521563] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8300), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [521602] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11322), 1,
      sym__identifier,
    ACTIONS(11324), 1,
      anon_sym_LPAREN,
    ACTIONS(11326), 1,
      anon_sym_LBRACK,
    ACTIONS(11328), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11332), 1,
      anon_sym_LT,
    ACTIONS(11334), 1,
      anon_sym_POUND,
    ACTIONS(11336), 1,
      aux_sym_type_variable_token1,
    STATE(9984), 1,
      sym_attribute,
    STATE(13403), 1,
      sym__simple_type,
    STATE(16476), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13649), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8304), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [521704] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12055), 1,
      sym__identifier,
    ACTIONS(12298), 1,
      anon_sym_POUND,
    STATE(9986), 1,
      sym_attribute,
    STATE(10526), 1,
      sym_type_constructor_path,
    STATE(17405), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11102), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11104), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [521753] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10219), 1,
      anon_sym_LPAREN,
    ACTIONS(10221), 1,
      anon_sym_LBRACK,
    ACTIONS(10223), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10225), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10227), 1,
      anon_sym_LT,
    ACTIONS(10229), 1,
      anon_sym_POUND,
    ACTIONS(10231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10235), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11230), 1,
      sym__identifier,
    STATE(9987), 1,
      sym_attribute,
    STATE(11042), 1,
      sym__simple_type,
    STATE(17086), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521816] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11322), 1,
      sym__identifier,
    ACTIONS(11324), 1,
      anon_sym_LPAREN,
    ACTIONS(11326), 1,
      anon_sym_LBRACK,
    ACTIONS(11328), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11332), 1,
      anon_sym_LT,
    ACTIONS(11334), 1,
      anon_sym_POUND,
    ACTIONS(11336), 1,
      aux_sym_type_variable_token1,
    STATE(9988), 1,
      sym_attribute,
    STATE(13472), 1,
      sym__simple_type,
    STATE(16476), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13649), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521879] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10219), 1,
      anon_sym_LPAREN,
    ACTIONS(10221), 1,
      anon_sym_LBRACK,
    ACTIONS(10223), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10225), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10227), 1,
      anon_sym_LT,
    ACTIONS(10229), 1,
      anon_sym_POUND,
    ACTIONS(10231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10235), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11230), 1,
      sym__identifier,
    STATE(9989), 1,
      sym_attribute,
    STATE(11031), 1,
      sym__simple_type,
    STATE(17086), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521942] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9438), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9440), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9442), 1,
      anon_sym_LT,
    ACTIONS(9444), 1,
      anon_sym_POUND,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9450), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10783), 1,
      anon_sym_LPAREN,
    ACTIONS(10787), 1,
      anon_sym_LBRACK,
    ACTIONS(11298), 1,
      sym__identifier,
    STATE(9901), 1,
      sym__simple_type,
    STATE(9990), 1,
      sym_attribute,
    STATE(17261), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9434), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522005] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11707), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11705), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [522044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12302), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12300), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [522083] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11182), 1,
      sym__identifier,
    ACTIONS(11184), 1,
      anon_sym_LPAREN,
    ACTIONS(11186), 1,
      anon_sym_LBRACK,
    ACTIONS(11188), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11190), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11192), 1,
      anon_sym_LT,
    ACTIONS(11194), 1,
      anon_sym_POUND,
    ACTIONS(11196), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11198), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11200), 1,
      aux_sym_type_variable_token1,
    STATE(9993), 1,
      sym_attribute,
    STATE(10763), 1,
      sym__simple_type,
    STATE(17052), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10735), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522146] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12196), 1,
      sym__identifier,
    ACTIONS(12198), 1,
      anon_sym_POUND,
    STATE(9994), 1,
      sym_attribute,
    STATE(10724), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16553), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11456), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [522201] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12196), 1,
      sym__identifier,
    ACTIONS(12198), 1,
      anon_sym_POUND,
    STATE(9995), 1,
      sym_attribute,
    STATE(10724), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16553), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11466), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [522256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8308), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [522295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11599), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11597), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [522334] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10028), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10030), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11338), 1,
      sym__identifier,
    ACTIONS(11340), 1,
      anon_sym_LPAREN,
    ACTIONS(11342), 1,
      anon_sym_LBRACK,
    ACTIONS(11344), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11346), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11348), 1,
      anon_sym_LT,
    ACTIONS(11350), 1,
      anon_sym_POUND,
    ACTIONS(11352), 1,
      aux_sym_type_variable_token1,
    STATE(9899), 1,
      sym__simple_type,
    STATE(9998), 1,
      sym_attribute,
    STATE(17381), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10211), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522397] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12304), 1,
      anon_sym_LPAREN,
    ACTIONS(12306), 1,
      anon_sym_LBRACK,
    STATE(9999), 1,
      sym_attribute,
    STATE(10750), 1,
      sym__constructor_name,
    STATE(11645), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12172), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12308), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(12170), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [522448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8296), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [522487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11601), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [522526] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11322), 1,
      sym__identifier,
    ACTIONS(11324), 1,
      anon_sym_LPAREN,
    ACTIONS(11326), 1,
      anon_sym_LBRACK,
    ACTIONS(11328), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11332), 1,
      anon_sym_LT,
    ACTIONS(11334), 1,
      anon_sym_POUND,
    ACTIONS(11336), 1,
      aux_sym_type_variable_token1,
    STATE(10002), 1,
      sym_attribute,
    STATE(13480), 1,
      sym__simple_type,
    STATE(16476), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13649), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522589] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9476), 1,
      anon_sym_LT,
    ACTIONS(9478), 1,
      anon_sym_POUND,
    ACTIONS(9480), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9482), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9484), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10694), 1,
      anon_sym_LPAREN,
    ACTIONS(10698), 1,
      anon_sym_LBRACK,
    ACTIONS(11218), 1,
      sym__identifier,
    STATE(10003), 1,
      sym_attribute,
    STATE(10314), 1,
      sym__simple_type,
    STATE(17356), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9938), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522652] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11322), 1,
      sym__identifier,
    ACTIONS(11324), 1,
      anon_sym_LPAREN,
    ACTIONS(11326), 1,
      anon_sym_LBRACK,
    ACTIONS(11328), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11332), 1,
      anon_sym_LT,
    ACTIONS(11334), 1,
      anon_sym_POUND,
    ACTIONS(11336), 1,
      aux_sym_type_variable_token1,
    STATE(10004), 1,
      sym_attribute,
    STATE(13576), 1,
      sym__simple_type,
    STATE(16476), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13649), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522715] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11322), 1,
      sym__identifier,
    ACTIONS(11324), 1,
      anon_sym_LPAREN,
    ACTIONS(11326), 1,
      anon_sym_LBRACK,
    ACTIONS(11328), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11332), 1,
      anon_sym_LT,
    ACTIONS(11334), 1,
      anon_sym_POUND,
    ACTIONS(11336), 1,
      aux_sym_type_variable_token1,
    STATE(10005), 1,
      sym_attribute,
    STATE(13792), 1,
      sym__simple_type,
    STATE(16476), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13649), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522778] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11322), 1,
      sym__identifier,
    ACTIONS(11324), 1,
      anon_sym_LPAREN,
    ACTIONS(11326), 1,
      anon_sym_LBRACK,
    ACTIONS(11328), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11332), 1,
      anon_sym_LT,
    ACTIONS(11334), 1,
      anon_sym_POUND,
    ACTIONS(11336), 1,
      aux_sym_type_variable_token1,
    STATE(10006), 1,
      sym_attribute,
    STATE(13554), 1,
      sym__simple_type,
    STATE(16476), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13649), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522841] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10008), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(10007), 1,
      sym_attribute,
    STATE(10085), 1,
      sym__simple_type,
    STATE(16669), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10162), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522904] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9386), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10777), 1,
      anon_sym_LPAREN,
    ACTIONS(10781), 1,
      anon_sym_LBRACK,
    ACTIONS(11292), 1,
      sym__identifier,
    STATE(10008), 1,
      sym_attribute,
    STATE(10086), 1,
      sym__simple_type,
    STATE(17138), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9411), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11607), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11605), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [523006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11611), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11609), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [523045] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10219), 1,
      anon_sym_LPAREN,
    ACTIONS(10221), 1,
      anon_sym_LBRACK,
    ACTIONS(10223), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10225), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10227), 1,
      anon_sym_LT,
    ACTIONS(10229), 1,
      anon_sym_POUND,
    ACTIONS(10231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10235), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11230), 1,
      sym__identifier,
    STATE(10011), 1,
      sym_attribute,
    STATE(10237), 1,
      sym__simple_type,
    STATE(17086), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [523108] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9386), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10777), 1,
      anon_sym_LPAREN,
    ACTIONS(10781), 1,
      anon_sym_LBRACK,
    ACTIONS(11292), 1,
      sym__identifier,
    STATE(9980), 1,
      sym__simple_type,
    STATE(10012), 1,
      sym_attribute,
    STATE(17138), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9411), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [523171] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12314), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12312), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10013), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12310), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523214] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9476), 1,
      anon_sym_LT,
    ACTIONS(9478), 1,
      anon_sym_POUND,
    ACTIONS(9480), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9482), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9484), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10694), 1,
      anon_sym_LPAREN,
    ACTIONS(10698), 1,
      anon_sym_LBRACK,
    ACTIONS(11218), 1,
      sym__identifier,
    STATE(10014), 1,
      sym_attribute,
    STATE(10315), 1,
      sym__simple_type,
    STATE(17356), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9938), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [523277] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12317), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12312), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10015), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12310), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523320] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8500), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8502), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [523359] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9386), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10777), 1,
      anon_sym_LPAREN,
    ACTIONS(10781), 1,
      anon_sym_LBRACK,
    ACTIONS(11292), 1,
      sym__identifier,
    STATE(9978), 1,
      sym__simple_type,
    STATE(10017), 1,
      sym_attribute,
    STATE(17138), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9411), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [523422] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11627), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11625), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [523461] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11631), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11629), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [523500] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10219), 1,
      anon_sym_LPAREN,
    ACTIONS(10221), 1,
      anon_sym_LBRACK,
    ACTIONS(10223), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10225), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10227), 1,
      anon_sym_LT,
    ACTIONS(10229), 1,
      anon_sym_POUND,
    ACTIONS(10231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10235), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11230), 1,
      sym__identifier,
    STATE(10020), 1,
      sym_attribute,
    STATE(10775), 1,
      sym__simple_type,
    STATE(17086), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [523563] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN,
    ACTIONS(9986), 1,
      anon_sym_LBRACK,
    ACTIONS(9988), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9990), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9992), 1,
      anon_sym_LT,
    ACTIONS(9994), 1,
      anon_sym_POUND,
    ACTIONS(9996), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9998), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10000), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11268), 1,
      sym__identifier,
    STATE(10021), 1,
      sym_attribute,
    STATE(10602), 1,
      sym__simple_type,
    STATE(17008), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10929), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [523626] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9438), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9440), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9442), 1,
      anon_sym_LT,
    ACTIONS(9444), 1,
      anon_sym_POUND,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9450), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10783), 1,
      anon_sym_LPAREN,
    ACTIONS(10787), 1,
      anon_sym_LBRACK,
    ACTIONS(11298), 1,
      sym__identifier,
    STATE(9905), 1,
      sym__simple_type,
    STATE(10022), 1,
      sym_attribute,
    STATE(17261), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9434), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [523689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8300), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [523728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8304), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [523767] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9566), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9568), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [523806] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9570), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9572), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [523845] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10219), 1,
      anon_sym_LPAREN,
    ACTIONS(10221), 1,
      anon_sym_LBRACK,
    ACTIONS(10223), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10225), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10227), 1,
      anon_sym_LT,
    ACTIONS(10229), 1,
      anon_sym_POUND,
    ACTIONS(10231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10235), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11230), 1,
      sym__identifier,
    STATE(10027), 1,
      sym_attribute,
    STATE(10982), 1,
      sym__simple_type,
    STATE(17086), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [523908] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11635), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11633), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [523947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11639), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11637), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [523986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11643), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11641), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [524025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11647), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11645), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [524064] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10028), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10030), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11338), 1,
      sym__identifier,
    ACTIONS(11340), 1,
      anon_sym_LPAREN,
    ACTIONS(11342), 1,
      anon_sym_LBRACK,
    ACTIONS(11344), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11346), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11348), 1,
      anon_sym_LT,
    ACTIONS(11350), 1,
      anon_sym_POUND,
    ACTIONS(11352), 1,
      aux_sym_type_variable_token1,
    STATE(10032), 1,
      sym_attribute,
    STATE(10109), 1,
      sym__simple_type,
    STATE(17381), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10211), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [524127] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9476), 1,
      anon_sym_LT,
    ACTIONS(9478), 1,
      anon_sym_POUND,
    ACTIONS(9480), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9482), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9484), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10694), 1,
      anon_sym_LPAREN,
    ACTIONS(10698), 1,
      anon_sym_LBRACK,
    ACTIONS(11218), 1,
      sym__identifier,
    STATE(10033), 1,
      sym_attribute,
    STATE(10322), 1,
      sym__simple_type,
    STATE(17356), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9938), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [524190] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9386), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10777), 1,
      anon_sym_LPAREN,
    ACTIONS(10781), 1,
      anon_sym_LBRACK,
    ACTIONS(11292), 1,
      sym__identifier,
    STATE(10034), 1,
      sym_attribute,
    STATE(10060), 1,
      sym__simple_type,
    STATE(17138), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9411), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [524253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11651), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11649), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [524292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11655), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11653), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [524331] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10219), 1,
      anon_sym_LPAREN,
    ACTIONS(10221), 1,
      anon_sym_LBRACK,
    ACTIONS(10223), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10225), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10227), 1,
      anon_sym_LT,
    ACTIONS(10229), 1,
      anon_sym_POUND,
    ACTIONS(10231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10235), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11230), 1,
      sym__identifier,
    STATE(10037), 1,
      sym_attribute,
    STATE(10993), 1,
      sym__simple_type,
    STATE(17086), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10730), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [524394] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11182), 1,
      sym__identifier,
    ACTIONS(11184), 1,
      anon_sym_LPAREN,
    ACTIONS(11186), 1,
      anon_sym_LBRACK,
    ACTIONS(11188), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11190), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11192), 1,
      anon_sym_LT,
    ACTIONS(11194), 1,
      anon_sym_POUND,
    ACTIONS(11196), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11198), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11200), 1,
      aux_sym_type_variable_token1,
    STATE(10038), 1,
      sym_attribute,
    STATE(10538), 1,
      sym__simple_type,
    STATE(17052), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10735), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [524457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8308), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [524496] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9438), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9440), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9442), 1,
      anon_sym_LT,
    ACTIONS(9444), 1,
      anon_sym_POUND,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9450), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10783), 1,
      anon_sym_LPAREN,
    ACTIONS(10787), 1,
      anon_sym_LBRACK,
    ACTIONS(11298), 1,
      sym__identifier,
    STATE(9271), 1,
      sym__simple_type,
    STATE(10040), 1,
      sym_attribute,
    STATE(17261), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9434), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [524559] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11835), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11539), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11537), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [524600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11659), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11657), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [524639] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10028), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10030), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11338), 1,
      sym__identifier,
    ACTIONS(11340), 1,
      anon_sym_LPAREN,
    ACTIONS(11342), 1,
      anon_sym_LBRACK,
    ACTIONS(11344), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11346), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11348), 1,
      anon_sym_LT,
    ACTIONS(11350), 1,
      anon_sym_POUND,
    ACTIONS(11352), 1,
      aux_sym_type_variable_token1,
    STATE(10043), 1,
      sym_attribute,
    STATE(10107), 1,
      sym__simple_type,
    STATE(17381), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10211), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [524702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11667), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11665), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [524741] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9386), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10777), 1,
      anon_sym_LPAREN,
    ACTIONS(10781), 1,
      anon_sym_LBRACK,
    ACTIONS(11292), 1,
      sym__identifier,
    STATE(9977), 1,
      sym__simple_type,
    STATE(10045), 1,
      sym_attribute,
    STATE(17138), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9411), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [524804] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9386), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10777), 1,
      anon_sym_LPAREN,
    ACTIONS(10781), 1,
      anon_sym_LBRACK,
    ACTIONS(11292), 1,
      sym__identifier,
    STATE(9877), 1,
      sym__simple_type,
    STATE(10046), 1,
      sym_attribute,
    STATE(17138), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9411), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [524867] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9438), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9440), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9442), 1,
      anon_sym_LT,
    ACTIONS(9444), 1,
      anon_sym_POUND,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9450), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10783), 1,
      anon_sym_LPAREN,
    ACTIONS(10787), 1,
      anon_sym_LBRACK,
    ACTIONS(11298), 1,
      sym__identifier,
    STATE(9916), 1,
      sym__simple_type,
    STATE(10047), 1,
      sym_attribute,
    STATE(17261), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9434), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [524930] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10792), 1,
      anon_sym_LPAREN,
    ACTIONS(10796), 1,
      anon_sym_LBRACK,
    ACTIONS(11290), 1,
      sym__identifier,
    STATE(10048), 1,
      sym_attribute,
    STATE(10089), 1,
      sym__simple_type,
    STATE(17308), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9835), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [524993] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10804), 1,
      anon_sym_LPAREN,
    ACTIONS(10808), 1,
      anon_sym_LBRACK,
    ACTIONS(10810), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10812), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10814), 1,
      anon_sym_LT,
    ACTIONS(10816), 1,
      anon_sym_POUND,
    ACTIONS(10818), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10820), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10822), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12320), 1,
      sym__identifier,
    STATE(8924), 1,
      sym__simple_type,
    STATE(10049), 1,
      sym_attribute,
    STATE(16766), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9186), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [525056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10994), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(10992), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
  [525095] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12324), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10051), 1,
      sym_attribute,
    STATE(10642), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12326), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(12322), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [525142] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9438), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9440), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9442), 1,
      anon_sym_LT,
    ACTIONS(9444), 1,
      anon_sym_POUND,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9450), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10783), 1,
      anon_sym_LPAREN,
    ACTIONS(10787), 1,
      anon_sym_LBRACK,
    ACTIONS(11298), 1,
      sym__identifier,
    STATE(9926), 1,
      sym__simple_type,
    STATE(10052), 1,
      sym_attribute,
    STATE(17261), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9434), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [525205] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9438), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9440), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9442), 1,
      anon_sym_LT,
    ACTIONS(9444), 1,
      anon_sym_POUND,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9450), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10783), 1,
      anon_sym_LPAREN,
    ACTIONS(10787), 1,
      anon_sym_LBRACK,
    ACTIONS(11298), 1,
      sym__identifier,
    STATE(9928), 1,
      sym__simple_type,
    STATE(10053), 1,
      sym_attribute,
    STATE(17261), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9434), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [525268] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11300), 1,
      sym__identifier,
    ACTIONS(11302), 1,
      anon_sym_LPAREN,
    ACTIONS(11304), 1,
      anon_sym_LBRACK,
    ACTIONS(11306), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11308), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11310), 1,
      anon_sym_LT,
    ACTIONS(11312), 1,
      anon_sym_POUND,
    ACTIONS(11314), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11316), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11318), 1,
      aux_sym_type_variable_token1,
    STATE(10054), 1,
      sym_attribute,
    STATE(10499), 1,
      sym__simple_type,
    STATE(16941), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10747), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [525331] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9438), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9440), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9442), 1,
      anon_sym_LT,
    ACTIONS(9444), 1,
      anon_sym_POUND,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9450), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10783), 1,
      anon_sym_LPAREN,
    ACTIONS(10787), 1,
      anon_sym_LBRACK,
    ACTIONS(11298), 1,
      sym__identifier,
    STATE(9931), 1,
      sym__simple_type,
    STATE(10055), 1,
      sym_attribute,
    STATE(17261), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9434), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [525394] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN,
    ACTIONS(9986), 1,
      anon_sym_LBRACK,
    ACTIONS(9988), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9990), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9992), 1,
      anon_sym_LT,
    ACTIONS(9994), 1,
      anon_sym_POUND,
    ACTIONS(9996), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9998), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10000), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11268), 1,
      sym__identifier,
    STATE(10056), 1,
      sym_attribute,
    STATE(11536), 1,
      sym__simple_type,
    STATE(17008), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10929), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [525457] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12196), 1,
      sym__identifier,
    ACTIONS(12198), 1,
      anon_sym_POUND,
    STATE(10057), 1,
      sym_attribute,
    STATE(10724), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16553), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11468), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11470), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [525512] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9574), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9576), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [525551] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN,
    ACTIONS(9986), 1,
      anon_sym_LBRACK,
    ACTIONS(9988), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9990), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9992), 1,
      anon_sym_LT,
    ACTIONS(9994), 1,
      anon_sym_POUND,
    ACTIONS(9996), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9998), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10000), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11268), 1,
      sym__identifier,
    STATE(10059), 1,
      sym_attribute,
    STATE(11538), 1,
      sym__simple_type,
    STATE(17008), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10929), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [525614] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11286), 1,
      sym__identifier,
    ACTIONS(11519), 1,
      anon_sym_POUND,
    STATE(9455), 1,
      sym_type_constructor_path,
    STATE(10060), 1,
      sym_attribute,
    STATE(17431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12252), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12254), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [525663] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN,
    ACTIONS(9986), 1,
      anon_sym_LBRACK,
    ACTIONS(9988), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9990), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9992), 1,
      anon_sym_LT,
    ACTIONS(9994), 1,
      anon_sym_POUND,
    ACTIONS(9996), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9998), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10000), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11268), 1,
      sym__identifier,
    STATE(10061), 1,
      sym_attribute,
    STATE(11556), 1,
      sym__simple_type,
    STATE(17008), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10929), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [525726] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12248), 1,
      sym__identifier,
    ACTIONS(12250), 1,
      anon_sym_POUND,
    STATE(10062), 1,
      sym_attribute,
    STATE(10674), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17339), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11456), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [525781] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12248), 1,
      sym__identifier,
    ACTIONS(12250), 1,
      anon_sym_POUND,
    STATE(10063), 1,
      sym_attribute,
    STATE(10674), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17339), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11466), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [525836] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12248), 1,
      sym__identifier,
    ACTIONS(12250), 1,
      anon_sym_POUND,
    STATE(10064), 1,
      sym_attribute,
    STATE(10674), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17339), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11468), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11470), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [525891] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7791), 1,
      anon_sym_LPAREN,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7813), 1,
      anon_sym_LT,
    ACTIONS(7815), 1,
      anon_sym_POUND,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11809), 1,
      sym__identifier,
    STATE(10065), 1,
      sym_attribute,
    STATE(13536), 1,
      sym__simple_type,
    STATE(16670), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [525954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11683), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11681), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [525993] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9920), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9922), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11202), 1,
      sym__identifier,
    ACTIONS(11204), 1,
      anon_sym_LPAREN,
    ACTIONS(11206), 1,
      anon_sym_LBRACK,
    ACTIONS(11208), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11210), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11212), 1,
      anon_sym_LT,
    ACTIONS(11214), 1,
      anon_sym_POUND,
    ACTIONS(11216), 1,
      aux_sym_type_variable_token1,
    STATE(10067), 1,
      sym_attribute,
    STATE(10224), 1,
      sym__simple_type,
    STATE(16697), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10348), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [526056] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11937), 1,
      anon_sym_LPAREN,
    ACTIONS(12328), 1,
      anon_sym_COLON2,
    STATE(9686), 1,
      sym_module_parameter,
    STATE(9982), 1,
      sym__module_typed,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10068), 1,
      sym_attribute,
    STATE(10087), 1,
      aux_sym_module_binding_repeat1,
    STATE(10431), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11945), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11941), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [526111] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11300), 1,
      sym__identifier,
    ACTIONS(11302), 1,
      anon_sym_LPAREN,
    ACTIONS(11304), 1,
      anon_sym_LBRACK,
    ACTIONS(11306), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11308), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11310), 1,
      anon_sym_LT,
    ACTIONS(11312), 1,
      anon_sym_POUND,
    ACTIONS(11314), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11316), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11318), 1,
      aux_sym_type_variable_token1,
    STATE(10069), 1,
      sym_attribute,
    STATE(10704), 1,
      sym__simple_type,
    STATE(16941), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10747), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [526174] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10093), 1,
      anon_sym_LPAREN,
    ACTIONS(10095), 1,
      anon_sym_LBRACK,
    ACTIONS(10097), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10099), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10101), 1,
      anon_sym_LT,
    ACTIONS(10103), 1,
      anon_sym_POUND,
    ACTIONS(10105), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10107), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10109), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12330), 1,
      sym__identifier,
    STATE(10070), 1,
      sym_attribute,
    STATE(12055), 1,
      sym__simple_type,
    STATE(17083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12617), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [526237] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN,
    ACTIONS(9986), 1,
      anon_sym_LBRACK,
    ACTIONS(9988), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9990), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9992), 1,
      anon_sym_LT,
    ACTIONS(9994), 1,
      anon_sym_POUND,
    ACTIONS(9996), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9998), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10000), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11268), 1,
      sym__identifier,
    STATE(10071), 1,
      sym_attribute,
    STATE(11579), 1,
      sym__simple_type,
    STATE(17008), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10929), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [526300] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12332), 1,
      anon_sym_COLON,
    STATE(10072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9548), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9550), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [526341] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN,
    ACTIONS(9986), 1,
      anon_sym_LBRACK,
    ACTIONS(9988), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9990), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9992), 1,
      anon_sym_LT,
    ACTIONS(9994), 1,
      anon_sym_POUND,
    ACTIONS(9996), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9998), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10000), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11268), 1,
      sym__identifier,
    STATE(10073), 1,
      sym_attribute,
    STATE(11580), 1,
      sym__simple_type,
    STATE(17008), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10929), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [526404] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(12334), 1,
      anon_sym_COLON2,
    STATE(10074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(11683), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11681), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [526449] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12340), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(10075), 1,
      sym_attribute,
    STATE(10077), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12338), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12336), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526494] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12340), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(10076), 1,
      sym_attribute,
    STATE(10078), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12344), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12342), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526539] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12340), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(10013), 1,
      aux_sym_type_binding_repeat1,
    STATE(10077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12344), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12342), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526584] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12340), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(10013), 1,
      aux_sym_type_binding_repeat1,
    STATE(10078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12348), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12346), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526629] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12350), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(10079), 1,
      sym_attribute,
    STATE(10081), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12338), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12336), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526674] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12350), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(10080), 1,
      sym_attribute,
    STATE(10082), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12344), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12342), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526719] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12350), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(10015), 1,
      aux_sym_type_binding_repeat1,
    STATE(10081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12344), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12342), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526764] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12350), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(10015), 1,
      aux_sym_type_binding_repeat1,
    STATE(10082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12348), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12346), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526809] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN,
    ACTIONS(9986), 1,
      anon_sym_LBRACK,
    ACTIONS(9988), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9990), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9992), 1,
      anon_sym_LT,
    ACTIONS(9994), 1,
      anon_sym_POUND,
    ACTIONS(9996), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9998), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10000), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11268), 1,
      sym__identifier,
    STATE(10083), 1,
      sym_attribute,
    STATE(11584), 1,
      sym__simple_type,
    STATE(17008), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10929), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [526872] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9386), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10777), 1,
      anon_sym_LPAREN,
    ACTIONS(10781), 1,
      anon_sym_LBRACK,
    ACTIONS(11292), 1,
      sym__identifier,
    STATE(9543), 1,
      sym__simple_type,
    STATE(10084), 1,
      sym_attribute,
    STATE(17138), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9411), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [526935] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11815), 1,
      sym__identifier,
    ACTIONS(11817), 1,
      anon_sym_POUND,
    STATE(10085), 1,
      sym_attribute,
    STATE(10172), 1,
      sym_type_constructor_path,
    STATE(16506), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12051), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12053), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [526984] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11286), 1,
      sym__identifier,
    ACTIONS(11519), 1,
      anon_sym_POUND,
    STATE(9455), 1,
      sym_type_constructor_path,
    STATE(10086), 1,
      sym_attribute,
    STATE(17431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11476), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11478), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [527033] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11937), 1,
      anon_sym_LPAREN,
    ACTIONS(12328), 1,
      anon_sym_COLON2,
    STATE(9079), 1,
      aux_sym_module_binding_repeat1,
    STATE(9686), 1,
      sym_module_parameter,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10051), 1,
      sym__module_typed,
    STATE(10087), 1,
      sym_attribute,
    STATE(10593), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11935), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11931), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [527088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11591), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11589), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [527127] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11571), 1,
      sym__identifier,
    ACTIONS(11819), 1,
      anon_sym_POUND,
    STATE(9508), 1,
      sym_type_constructor_path,
    STATE(10089), 1,
      sym_attribute,
    STATE(16564), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12212), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12214), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [527175] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9254), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [527213] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12200), 1,
      sym__identifier,
    ACTIONS(12202), 1,
      anon_sym_POUND,
    ACTIONS(12352), 1,
      anon_sym_STAR,
    STATE(10091), 1,
      sym_attribute,
    STATE(10875), 1,
      sym_type_constructor_path,
    STATE(11875), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17469), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11458), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11861), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [527265] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12338), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12354), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(10092), 1,
      sym_attribute,
    STATE(10096), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12336), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [527309] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8246), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [527347] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12344), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12354), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(10094), 1,
      sym_attribute,
    STATE(10126), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12342), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [527391] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8250), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [527429] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12344), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12354), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(10096), 1,
      sym_attribute,
    STATE(10282), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12342), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [527473] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8260), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [527511] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8268), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [527549] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8288), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8290), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [527587] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2100), 1,
      sym_add_operator,
    STATE(10100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [527627] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12356), 1,
      anon_sym_else,
    STATE(8242), 1,
      sym_else_clause,
    STATE(10101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [527669] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9682), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9684), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [527707] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(12358), 1,
      anon_sym_COLON2,
    STATE(10103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(11683), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11681), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [527751] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8222), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [527789] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11811), 1,
      sym__identifier,
    ACTIONS(11813), 1,
      anon_sym_POUND,
    STATE(10105), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_type_constructor_path,
    STATE(16521), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11476), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11478), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [527837] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11811), 1,
      sym__identifier,
    ACTIONS(11813), 1,
      anon_sym_POUND,
    STATE(10106), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_type_constructor_path,
    STATE(16521), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11480), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11482), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [527885] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11811), 1,
      sym__identifier,
    ACTIONS(11813), 1,
      anon_sym_POUND,
    STATE(10107), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_type_constructor_path,
    STATE(16521), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11488), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11490), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [527933] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9108), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [527971] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11811), 1,
      sym__identifier,
    ACTIONS(11813), 1,
      anon_sym_POUND,
    STATE(10109), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_type_constructor_path,
    STATE(16521), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12252), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12254), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [528019] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11811), 1,
      sym__identifier,
    ACTIONS(11813), 1,
      anon_sym_POUND,
    STATE(10110), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_type_constructor_path,
    STATE(16521), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12256), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12258), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [528067] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11811), 1,
      sym__identifier,
    ACTIONS(11813), 1,
      anon_sym_POUND,
    STATE(10111), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_type_constructor_path,
    STATE(16521), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12212), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12214), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [528115] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8276), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [528153] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8280), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [528191] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8294), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [528229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9252), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [528267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(8310), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [528305] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12360), 1,
      anon_sym_COMMA,
    ACTIONS(12362), 1,
      anon_sym_SEMI,
    ACTIONS(12364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12366), 1,
      sym_pow_operator,
    ACTIONS(12368), 1,
      sym_mult_operator,
    ACTIONS(12370), 1,
      sym_concat_operator,
    ACTIONS(12372), 1,
      sym_rel_operator,
    ACTIONS(12374), 1,
      sym_and_operator,
    ACTIONS(12376), 1,
      sym_or_operator,
    ACTIONS(12378), 1,
      sym_assign_operator,
    STATE(2100), 1,
      sym_add_operator,
    STATE(10117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9110), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [528367] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9186), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [528405] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9628), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9630), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [528443] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9650), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [528481] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9150), 1,
      sym__identifier,
    STATE(10121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(11707), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11705), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [528523] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12384), 1,
      anon_sym_DASH_GT,
    ACTIONS(12386), 1,
      anon_sym_as,
    STATE(10122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12382), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12380), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [528565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12390), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12388), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [528603] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8226), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [528641] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12384), 1,
      anon_sym_DASH_GT,
    ACTIONS(12386), 1,
      anon_sym_as,
    STATE(10125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12394), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12392), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [528683] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12348), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12354), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(10126), 1,
      sym_attribute,
    STATE(10282), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12346), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [528727] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9158), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [528765] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12384), 1,
      anon_sym_DASH_GT,
    ACTIONS(12386), 1,
      anon_sym_as,
    STATE(10128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12398), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12396), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [528807] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12400), 1,
      anon_sym_PIPE,
    STATE(10129), 1,
      sym_attribute,
    STATE(10131), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [528849] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12400), 1,
      anon_sym_PIPE,
    STATE(10130), 1,
      sym_attribute,
    STATE(10132), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [528891] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12400), 1,
      anon_sym_PIPE,
    STATE(10131), 1,
      sym_attribute,
    STATE(10133), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [528933] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12400), 1,
      anon_sym_PIPE,
    STATE(10132), 1,
      sym_attribute,
    STATE(10133), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [528975] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12402), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10133), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [529015] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12405), 1,
      aux_sym_attribute_id_token1,
    STATE(10134), 1,
      sym_attribute,
    STATE(10139), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9036), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [529057] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8230), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [529095] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10345), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12407), 1,
      anon_sym_STAR,
    STATE(10136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10343), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [529135] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9690), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9692), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [529173] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8256), 1,
      anon_sym_DOT,
    STATE(10138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8254), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529213] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12405), 1,
      aux_sym_attribute_id_token1,
    STATE(10139), 1,
      sym_attribute,
    STATE(10151), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8960), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8962), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [529255] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8234), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [529293] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8238), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [529331] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12196), 1,
      sym__identifier,
    ACTIONS(12198), 1,
      anon_sym_POUND,
    ACTIONS(12409), 1,
      anon_sym_STAR,
    STATE(10142), 1,
      sym_attribute,
    STATE(10724), 1,
      sym_type_constructor_path,
    STATE(11784), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16553), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11458), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11861), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [529383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10994), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10992), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
  [529421] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9710), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9712), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [529459] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9714), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9716), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [529497] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(10146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8254), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529537] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9720), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9722), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [529575] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9592), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9594), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [529613] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11835), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11539), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11537), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [529653] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(12411), 1,
      anon_sym_DASH_GT,
    STATE(10150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12382), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12380), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529695] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12413), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10151), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8947), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8949), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [529735] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12384), 1,
      anon_sym_DASH_GT,
    STATE(10152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12418), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12416), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10992), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [529813] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11927), 1,
      sym__identifier,
    ACTIONS(11985), 1,
      anon_sym_POUND,
    STATE(9960), 1,
      sym_type_constructor_path,
    STATE(10154), 1,
      sym_attribute,
    STATE(17499), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12051), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12053), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [529861] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(12411), 1,
      anon_sym_DASH_GT,
    STATE(10155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12394), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12392), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10994), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(10992), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
  [529941] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9548), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9550), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [529979] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7383), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(7379), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [530017] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(12411), 1,
      anon_sym_DASH_GT,
    STATE(10159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12398), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12396), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530059] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12196), 1,
      sym__identifier,
    ACTIONS(12420), 1,
      anon_sym_POUND,
    STATE(10160), 1,
      sym_attribute,
    STATE(10714), 1,
      sym_type_constructor_path,
    STATE(16553), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11102), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11104), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [530107] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12422), 1,
      sym__identifier,
    ACTIONS(12424), 1,
      anon_sym_POUND,
    STATE(10161), 1,
      sym_attribute,
    STATE(10665), 1,
      sym_type_constructor_path,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10131), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10133), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [530155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11539), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11537), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [530193] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12200), 1,
      sym__identifier,
    ACTIONS(12426), 1,
      anon_sym_POUND,
    STATE(10163), 1,
      sym_attribute,
    STATE(10759), 1,
      sym_type_constructor_path,
    STATE(17469), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11102), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11104), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [530241] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9174), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [530279] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9178), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [530317] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9152), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [530355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(8298), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [530393] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12428), 1,
      anon_sym_else,
    STATE(8194), 1,
      sym_else_clause,
    STATE(10168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [530435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11553), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11551), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [530473] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11557), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11555), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [530511] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11561), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11559), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [530549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11563), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [530587] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12248), 1,
      sym__identifier,
    ACTIONS(12430), 1,
      anon_sym_POUND,
    STATE(10173), 1,
      sym_attribute,
    STATE(10801), 1,
      sym_type_constructor_path,
    STATE(17339), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11102), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11104), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [530635] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11835), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11539), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11537), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [530675] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9700), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9702), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [530713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10992), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [530751] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11537), 1,
      sym__identifier,
    STATE(10177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11539), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(12047), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12049), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [530793] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9704), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9706), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [530831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11577), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [530869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11583), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11581), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [530907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11587), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11585), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [530945] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9150), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [530983] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12411), 1,
      anon_sym_DASH_GT,
    STATE(10183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12418), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12416), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11591), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11589), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [531061] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12366), 1,
      sym_pow_operator,
    ACTIONS(12368), 1,
      sym_mult_operator,
    ACTIONS(12370), 1,
      sym_concat_operator,
    ACTIONS(12372), 1,
      sym_rel_operator,
    ACTIONS(12374), 1,
      sym_and_operator,
    ACTIONS(12376), 1,
      sym_or_operator,
    STATE(2100), 1,
      sym_add_operator,
    STATE(10185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10280), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10278), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [531117] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9252), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [531155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11599), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11597), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [531193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11601), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [531231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11607), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11605), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [531269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11611), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11609), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [531307] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12366), 1,
      sym_pow_operator,
    ACTIONS(12368), 1,
      sym_mult_operator,
    STATE(2100), 1,
      sym_add_operator,
    STATE(10191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [531355] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12366), 1,
      sym_pow_operator,
    STATE(2100), 1,
      sym_add_operator,
    STATE(10192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [531397] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12428), 1,
      anon_sym_else,
    STATE(8242), 1,
      sym_else_clause,
    STATE(10193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [531439] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8298), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [531477] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12366), 1,
      sym_pow_operator,
    STATE(2100), 1,
      sym_add_operator,
    STATE(10195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [531519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11627), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11625), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [531557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11631), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11629), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [531595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11635), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11633), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [531633] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12366), 1,
      sym_pow_operator,
    ACTIONS(12368), 1,
      sym_mult_operator,
    ACTIONS(12370), 1,
      sym_concat_operator,
    STATE(2100), 1,
      sym_add_operator,
    STATE(10199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [531683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11639), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11637), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [531721] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11643), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11641), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [531759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11647), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11645), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [531797] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12366), 1,
      sym_pow_operator,
    ACTIONS(12368), 1,
      sym_mult_operator,
    ACTIONS(12370), 1,
      sym_concat_operator,
    STATE(2100), 1,
      sym_add_operator,
    STATE(10203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [531847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11651), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11649), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [531885] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12422), 1,
      sym__identifier,
    ACTIONS(12424), 1,
      anon_sym_POUND,
    STATE(10205), 1,
      sym_attribute,
    STATE(10665), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11488), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11490), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [531939] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12366), 1,
      sym_pow_operator,
    ACTIONS(12368), 1,
      sym_mult_operator,
    ACTIONS(12370), 1,
      sym_concat_operator,
    ACTIONS(12372), 1,
      sym_rel_operator,
    ACTIONS(12374), 1,
      sym_and_operator,
    STATE(2100), 1,
      sym_add_operator,
    STATE(10206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 4,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(10300), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [531993] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11659), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11657), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [532031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11667), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11665), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [532069] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12366), 1,
      sym_pow_operator,
    ACTIONS(12368), 1,
      sym_mult_operator,
    ACTIONS(12370), 1,
      sym_concat_operator,
    ACTIONS(12372), 1,
      sym_rel_operator,
    ACTIONS(12374), 1,
      sym_and_operator,
    ACTIONS(12376), 1,
      sym_or_operator,
    STATE(2100), 1,
      sym_add_operator,
    STATE(10209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10300), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [532125] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12360), 1,
      anon_sym_COMMA,
    ACTIONS(12364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12366), 1,
      sym_pow_operator,
    ACTIONS(12368), 1,
      sym_mult_operator,
    ACTIONS(12370), 1,
      sym_concat_operator,
    ACTIONS(12372), 1,
      sym_rel_operator,
    ACTIONS(12374), 1,
      sym_and_operator,
    ACTIONS(12376), 1,
      sym_or_operator,
    ACTIONS(12378), 1,
      sym_assign_operator,
    STATE(2100), 1,
      sym_add_operator,
    STATE(10210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10300), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [532185] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11539), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11537), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [532223] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12366), 1,
      sym_pow_operator,
    ACTIONS(12368), 1,
      sym_mult_operator,
    STATE(2100), 1,
      sym_add_operator,
    STATE(10212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 9,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [532267] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12360), 1,
      anon_sym_COMMA,
    ACTIONS(12364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12366), 1,
      sym_pow_operator,
    ACTIONS(12368), 1,
      sym_mult_operator,
    ACTIONS(12370), 1,
      sym_concat_operator,
    ACTIONS(12372), 1,
      sym_rel_operator,
    ACTIONS(12374), 1,
      sym_and_operator,
    ACTIONS(12376), 1,
      sym_or_operator,
    ACTIONS(12378), 1,
      sym_assign_operator,
    STATE(2100), 1,
      sym_add_operator,
    STATE(10213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10310), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10308), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [532327] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8302), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [532365] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8306), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [532403] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12356), 1,
      anon_sym_else,
    STATE(8194), 1,
      sym_else_clause,
    STATE(10216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [532445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12434), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12432), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532483] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12360), 1,
      anon_sym_COMMA,
    ACTIONS(12364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12366), 1,
      sym_pow_operator,
    ACTIONS(12368), 1,
      sym_mult_operator,
    ACTIONS(12370), 1,
      sym_concat_operator,
    ACTIONS(12372), 1,
      sym_rel_operator,
    ACTIONS(12374), 1,
      sym_and_operator,
    ACTIONS(12376), 1,
      sym_or_operator,
    ACTIONS(12378), 1,
      sym_assign_operator,
    STATE(2100), 1,
      sym_add_operator,
    STATE(10218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10320), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10318), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [532543] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9728), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9730), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [532581] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9732), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9734), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [532619] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9736), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9738), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [532657] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9740), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9742), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [532695] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9586), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9588), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [532733] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12055), 1,
      sym__identifier,
    ACTIONS(12057), 1,
      anon_sym_POUND,
    STATE(10224), 1,
      sym_attribute,
    STATE(10425), 1,
      sym_type_constructor_path,
    STATE(17405), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12051), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12053), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [532781] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11835), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11539), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11537), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [532821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11553), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11551), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [532859] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11557), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11555), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [532897] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11683), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11681), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [532935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11561), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11559), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [532973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11563), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [533011] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9660), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9662), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [533049] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11815), 1,
      sym__identifier,
    ACTIONS(11817), 1,
      anon_sym_POUND,
    STATE(10172), 1,
      sym_type_constructor_path,
    STATE(10232), 1,
      sym_attribute,
    STATE(16506), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11476), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11478), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [533097] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11815), 1,
      sym__identifier,
    ACTIONS(11817), 1,
      anon_sym_POUND,
    STATE(10172), 1,
      sym_type_constructor_path,
    STATE(10233), 1,
      sym_attribute,
    STATE(16506), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11480), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11482), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [533145] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12422), 1,
      sym__identifier,
    ACTIONS(12436), 1,
      anon_sym_POUND,
    STATE(10234), 1,
      sym_attribute,
    STATE(10792), 1,
      sym_type_constructor_path,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11102), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11104), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [533193] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8310), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [533231] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9694), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9696), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [533269] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12422), 1,
      sym__identifier,
    ACTIONS(12424), 1,
      anon_sym_POUND,
    STATE(10237), 1,
      sym_attribute,
    STATE(10665), 1,
      sym_type_constructor_path,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11096), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11098), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [533317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11577), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [533355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11583), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11581), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [533393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11587), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11585), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [533431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11591), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11589), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [533469] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12360), 1,
      anon_sym_COMMA,
    ACTIONS(12364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12366), 1,
      sym_pow_operator,
    ACTIONS(12368), 1,
      sym_mult_operator,
    ACTIONS(12370), 1,
      sym_concat_operator,
    ACTIONS(12372), 1,
      sym_rel_operator,
    ACTIONS(12374), 1,
      sym_and_operator,
    ACTIONS(12376), 1,
      sym_or_operator,
    ACTIONS(12378), 1,
      sym_assign_operator,
    STATE(2100), 1,
      sym_add_operator,
    STATE(10242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10239), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10237), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [533529] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11815), 1,
      sym__identifier,
    ACTIONS(11817), 1,
      anon_sym_POUND,
    STATE(10172), 1,
      sym_type_constructor_path,
    STATE(10243), 1,
      sym_attribute,
    STATE(16506), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11488), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11490), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [533577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11599), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11597), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [533615] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11601), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [533653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11607), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11605), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [533691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11611), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11609), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [533729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11707), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11705), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [533767] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11887), 1,
      anon_sym_constraint,
    ACTIONS(12440), 1,
      anon_sym_let,
    ACTIONS(12442), 1,
      anon_sym_EQ,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10249), 1,
      sym_attribute,
    STATE(10501), 1,
      aux_sym_expression_item_repeat1,
    STATE(10545), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12438), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [533819] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11571), 1,
      sym__identifier,
    ACTIONS(11819), 1,
      anon_sym_POUND,
    STATE(9508), 1,
      sym_type_constructor_path,
    STATE(10250), 1,
      sym_attribute,
    STATE(16564), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11476), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11478), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [533867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11627), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11625), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [533905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11631), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11629), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [533943] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12172), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12444), 1,
      anon_sym_LPAREN,
    ACTIONS(12446), 1,
      anon_sym_LBRACK,
    STATE(10253), 1,
      sym_attribute,
    STATE(11028), 1,
      sym__constructor_name,
    STATE(11829), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12448), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(12170), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [533993] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11887), 1,
      anon_sym_constraint,
    ACTIONS(12452), 1,
      anon_sym_let,
    ACTIONS(12454), 1,
      anon_sym_EQ,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10254), 1,
      sym_attribute,
    STATE(10554), 1,
      aux_sym_type_binding_repeat1,
    STATE(10607), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12450), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [534045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11635), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11633), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [534083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11639), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11637), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [534121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11643), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11641), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [534159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11861), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11458), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [534197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11647), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11645), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [534235] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11571), 1,
      sym__identifier,
    ACTIONS(11819), 1,
      anon_sym_POUND,
    STATE(9508), 1,
      sym_type_constructor_path,
    STATE(10260), 1,
      sym_attribute,
    STATE(16564), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11480), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11482), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [534283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11651), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11649), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [534321] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11655), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11653), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [534359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11659), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11657), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [534397] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11815), 1,
      sym__identifier,
    ACTIONS(11817), 1,
      anon_sym_POUND,
    STATE(10172), 1,
      sym_type_constructor_path,
    STATE(10264), 1,
      sym_attribute,
    STATE(16506), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12252), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12254), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [534445] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9598), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9600), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [534483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11667), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11665), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [534521] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11815), 1,
      sym__identifier,
    ACTIONS(11817), 1,
      anon_sym_POUND,
    STATE(10172), 1,
      sym_type_constructor_path,
    STATE(10267), 1,
      sym_attribute,
    STATE(16506), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12256), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12258), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [534569] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11829), 1,
      anon_sym_constraint,
    ACTIONS(12440), 1,
      anon_sym_let,
    ACTIONS(12456), 1,
      anon_sym_EQ,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10268), 1,
      sym_attribute,
    STATE(10501), 1,
      aux_sym_expression_item_repeat1,
    STATE(10569), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12438), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [534621] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9604), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [534659] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9150), 1,
      sym__identifier,
    STATE(10270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(11707), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11705), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [534701] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9606), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9608), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [534739] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11829), 1,
      anon_sym_constraint,
    ACTIONS(12452), 1,
      anon_sym_let,
    ACTIONS(12458), 1,
      anon_sym_EQ,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10272), 1,
      sym_attribute,
    STATE(10575), 1,
      aux_sym_type_binding_repeat1,
    STATE(10607), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12450), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [534791] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9610), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9612), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [534829] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9162), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [534867] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9614), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9616), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [534905] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12422), 1,
      sym__identifier,
    ACTIONS(12424), 1,
      anon_sym_POUND,
    STATE(10276), 1,
      sym_attribute,
    STATE(10665), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11456), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [534959] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11815), 1,
      sym__identifier,
    ACTIONS(11817), 1,
      anon_sym_POUND,
    STATE(10172), 1,
      sym_type_constructor_path,
    STATE(10277), 1,
      sym_attribute,
    STATE(16506), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12212), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12214), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [535007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(8302), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [535045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(8306), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [535083] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12422), 1,
      sym__identifier,
    ACTIONS(12424), 1,
      anon_sym_POUND,
    STATE(10280), 1,
      sym_attribute,
    STATE(10665), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11466), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [535137] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9094), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [535175] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12312), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12460), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10282), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12310), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [535217] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11835), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11539), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11537), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [535257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12465), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12463), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [535295] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12172), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_LBRACK,
    STATE(10285), 1,
      sym_attribute,
    STATE(10926), 1,
      sym__constructor_name,
    STATE(11845), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12471), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(12170), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [535345] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12248), 1,
      sym__identifier,
    ACTIONS(12250), 1,
      anon_sym_POUND,
    ACTIONS(12473), 1,
      anon_sym_STAR,
    STATE(10286), 1,
      sym_attribute,
    STATE(10674), 1,
      sym_type_constructor_path,
    STATE(11832), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17339), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11458), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11861), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [535397] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12422), 1,
      sym__identifier,
    ACTIONS(12424), 1,
      anon_sym_POUND,
    STATE(10287), 1,
      sym_attribute,
    STATE(10665), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11468), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11470), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [535451] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11571), 1,
      sym__identifier,
    ACTIONS(11819), 1,
      anon_sym_POUND,
    STATE(9508), 1,
      sym_type_constructor_path,
    STATE(10288), 1,
      sym_attribute,
    STATE(16564), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11488), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11490), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [535499] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12422), 1,
      sym__identifier,
    ACTIONS(12424), 1,
      anon_sym_POUND,
    STATE(10289), 1,
      sym_attribute,
    STATE(10665), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11476), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11478), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [535553] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9652), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9654), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [535591] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9632), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9634), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [535629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11683), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11681), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [535667] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11537), 1,
      sym__identifier,
    STATE(10293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11539), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(12047), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12049), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [535709] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9636), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9638), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [535747] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9640), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9642), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [535785] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9644), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9646), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [535823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9150), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [535861] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12422), 1,
      sym__identifier,
    ACTIONS(12424), 1,
      anon_sym_POUND,
    STATE(10298), 1,
      sym_attribute,
    STATE(10665), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11480), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11482), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [535915] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11571), 1,
      sym__identifier,
    ACTIONS(11819), 1,
      anon_sym_POUND,
    STATE(9508), 1,
      sym_type_constructor_path,
    STATE(10299), 1,
      sym_attribute,
    STATE(16564), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12252), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12254), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [535963] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11571), 1,
      sym__identifier,
    ACTIONS(11819), 1,
      anon_sym_POUND,
    STATE(9508), 1,
      sym_type_constructor_path,
    STATE(10300), 1,
      sym_attribute,
    STATE(16564), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12256), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12258), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [536011] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9656), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9658), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [536049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11707), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11705), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [536087] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9674), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9676), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [536125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11655), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11653), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [536163] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12477), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10305), 1,
      sym_attribute,
    STATE(10546), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12475), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9110), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [536243] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2198), 1,
      sym_add_operator,
    STATE(10307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [536282] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12481), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12479), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536325] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12485), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12483), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536368] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12487), 1,
      anon_sym_LPAREN,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12493), 1,
      anon_sym_end,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    STATE(10310), 1,
      sym_attribute,
    STATE(11096), 1,
      sym__attribute,
    STATE(11142), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [536431] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12505), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12503), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536474] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [536511] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12509), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12507), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536554] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11927), 1,
      sym__identifier,
    ACTIONS(11985), 1,
      anon_sym_POUND,
    STATE(9960), 1,
      sym_type_constructor_path,
    STATE(10314), 1,
      sym_attribute,
    STATE(17499), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11476), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11478), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [536601] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11927), 1,
      sym__identifier,
    ACTIONS(11985), 1,
      anon_sym_POUND,
    STATE(9960), 1,
      sym_type_constructor_path,
    STATE(10315), 1,
      sym_attribute,
    STATE(17499), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11480), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11482), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [536648] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5453), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10316), 1,
      sym_attribute,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11106), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12513), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12511), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [536691] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12515), 1,
      anon_sym_else,
    STATE(7995), 1,
      sym_else_clause,
    STATE(10317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [536732] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12519), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10318), 1,
      sym_attribute,
    STATE(10397), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12517), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536775] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12523), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10319), 1,
      sym_attribute,
    STATE(10511), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12521), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536818] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(12525), 1,
      anon_sym_LPAREN,
    ACTIONS(12527), 1,
      anon_sym_end,
    STATE(10320), 1,
      sym_attribute,
    STATE(10939), 1,
      sym__attribute,
    STATE(11215), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [536881] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12531), 1,
      sym_pow_operator,
    ACTIONS(12533), 1,
      sym_mult_operator,
    ACTIONS(12535), 1,
      sym_concat_operator,
    ACTIONS(12537), 1,
      sym_rel_operator,
    ACTIONS(12539), 1,
      sym_and_operator,
    ACTIONS(12541), 1,
      sym_or_operator,
    STATE(2214), 1,
      sym_add_operator,
    STATE(10321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10280), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10278), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [536936] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11927), 1,
      sym__identifier,
    ACTIONS(11985), 1,
      anon_sym_POUND,
    STATE(9960), 1,
      sym_type_constructor_path,
    STATE(10322), 1,
      sym_attribute,
    STATE(17499), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11488), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11490), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [536983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10048), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10046), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [537020] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12545), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12543), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537063] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12549), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10325), 1,
      sym_attribute,
    STATE(10400), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12547), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537106] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12553), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12551), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537149] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12557), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10327), 1,
      sym_attribute,
    STATE(10402), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12555), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537192] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12559), 1,
      anon_sym_COMMA,
    ACTIONS(12561), 1,
      anon_sym_SEMI,
    ACTIONS(12563), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12565), 1,
      sym_pow_operator,
    ACTIONS(12567), 1,
      sym_mult_operator,
    ACTIONS(12569), 1,
      sym_concat_operator,
    ACTIONS(12571), 1,
      sym_rel_operator,
    ACTIONS(12573), 1,
      sym_and_operator,
    ACTIONS(12575), 1,
      sym_or_operator,
    ACTIONS(12577), 1,
      sym_assign_operator,
    STATE(2198), 1,
      sym_add_operator,
    STATE(10328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9110), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [537253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(9152), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [537290] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11927), 1,
      sym__identifier,
    ACTIONS(11985), 1,
      anon_sym_POUND,
    STATE(9960), 1,
      sym_type_constructor_path,
    STATE(10330), 1,
      sym_attribute,
    STATE(17499), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12252), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12254), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [537337] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11927), 1,
      sym__identifier,
    ACTIONS(11985), 1,
      anon_sym_POUND,
    STATE(9960), 1,
      sym_type_constructor_path,
    STATE(10331), 1,
      sym_attribute,
    STATE(17499), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12256), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12258), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [537384] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12583), 1,
      anon_sym_EQ,
    ACTIONS(12585), 1,
      anon_sym_of,
    ACTIONS(12587), 1,
      anon_sym_COLON2,
    STATE(10332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12581), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12579), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537427] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12593), 1,
      anon_sym_EQ,
    ACTIONS(12595), 1,
      anon_sym_of,
    ACTIONS(12597), 1,
      anon_sym_COLON2,
    STATE(10333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12589), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537470] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11927), 1,
      sym__identifier,
    ACTIONS(11985), 1,
      anon_sym_POUND,
    STATE(9960), 1,
      sym_type_constructor_path,
    STATE(10334), 1,
      sym_attribute,
    STATE(17499), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12212), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12214), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [537517] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12603), 1,
      anon_sym_EQ,
    ACTIONS(12605), 1,
      anon_sym_of,
    ACTIONS(12607), 1,
      anon_sym_COLON2,
    STATE(10335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12599), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537560] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12611), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537603] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12615), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10337), 1,
      sym_attribute,
    STATE(10349), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12613), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537646] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(12617), 1,
      anon_sym_LPAREN,
    ACTIONS(12619), 1,
      anon_sym_end,
    STATE(10338), 1,
      sym_attribute,
    STATE(10894), 1,
      sym__attribute,
    STATE(11155), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10992), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [537746] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12623), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12621), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8264), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537826] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12531), 1,
      sym_pow_operator,
    ACTIONS(12533), 1,
      sym_mult_operator,
    STATE(2214), 1,
      sym_add_operator,
    STATE(10342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [537873] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12531), 1,
      sym_pow_operator,
    STATE(2214), 1,
      sym_add_operator,
    STATE(10343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(10302), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
  [537914] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(12625), 1,
      anon_sym_LPAREN,
    ACTIONS(12627), 1,
      anon_sym_end,
    STATE(10344), 1,
      sym_attribute,
    STATE(11015), 1,
      sym__attribute,
    STATE(11604), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537977] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(12629), 1,
      anon_sym_LPAREN,
    ACTIONS(12631), 1,
      anon_sym_end,
    STATE(10345), 1,
      sym_attribute,
    STATE(10945), 1,
      sym__attribute,
    STATE(11458), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538040] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12633), 1,
      sym__identifier,
    ACTIONS(12635), 1,
      anon_sym_POUND,
    STATE(10346), 1,
      sym_attribute,
    STATE(10980), 1,
      sym_type_constructor_path,
    STATE(17531), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10131), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10133), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [538087] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6891), 1,
      anon_sym_let,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6889), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11537), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11539), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [538167] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12639), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12637), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10125), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10123), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [538247] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12641), 1,
      aux_sym_attribute_id_token1,
    STATE(10351), 1,
      sym_attribute,
    STATE(10353), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9036), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [538288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12645), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12643), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538325] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12641), 1,
      aux_sym_attribute_id_token1,
    STATE(10353), 1,
      sym_attribute,
    STATE(10368), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8960), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8962), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [538366] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12531), 1,
      sym_pow_operator,
    STATE(2214), 1,
      sym_add_operator,
    STATE(10354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(10302), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
  [538407] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(12647), 1,
      anon_sym_LPAREN,
    ACTIONS(12649), 1,
      anon_sym_end,
    STATE(10355), 1,
      sym_attribute,
    STATE(11091), 1,
      sym__attribute,
    STATE(11167), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538470] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9150), 1,
      sym__identifier,
    STATE(10356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(11707), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11705), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [538511] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12583), 1,
      anon_sym_EQ,
    ACTIONS(12651), 1,
      anon_sym_of,
    ACTIONS(12653), 1,
      anon_sym_COLON2,
    STATE(10357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12581), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12579), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538554] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12593), 1,
      anon_sym_EQ,
    ACTIONS(12655), 1,
      anon_sym_of,
    ACTIONS(12657), 1,
      anon_sym_COLON2,
    STATE(10358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12589), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10139), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10137), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [538634] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12603), 1,
      anon_sym_EQ,
    ACTIONS(12659), 1,
      anon_sym_of,
    ACTIONS(12661), 1,
      anon_sym_COLON2,
    STATE(10360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12599), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538677] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(12663), 1,
      anon_sym_LPAREN,
    ACTIONS(12665), 1,
      anon_sym_end,
    STATE(10361), 1,
      sym_attribute,
    STATE(10900), 1,
      sym__attribute,
    STATE(11482), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538740] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12669), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12667), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538783] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12531), 1,
      sym_pow_operator,
    ACTIONS(12533), 1,
      sym_mult_operator,
    ACTIONS(12535), 1,
      sym_concat_operator,
    STATE(2214), 1,
      sym_add_operator,
    STATE(10363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [538832] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12673), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10364), 1,
      sym_attribute,
    STATE(10476), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12671), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538875] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12531), 1,
      sym_pow_operator,
    ACTIONS(12533), 1,
      sym_mult_operator,
    ACTIONS(12535), 1,
      sym_concat_operator,
    STATE(2214), 1,
      sym_add_operator,
    STATE(10365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [538924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12675), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10145), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10143), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [538998] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12679), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10368), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8947), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8949), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [539037] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12531), 1,
      sym_pow_operator,
    ACTIONS(12533), 1,
      sym_mult_operator,
    ACTIONS(12535), 1,
      sym_concat_operator,
    ACTIONS(12537), 1,
      sym_rel_operator,
    ACTIONS(12539), 1,
      sym_and_operator,
    STATE(2214), 1,
      sym_add_operator,
    STATE(10369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 4,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [539090] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12531), 1,
      sym_pow_operator,
    ACTIONS(12533), 1,
      sym_mult_operator,
    ACTIONS(12535), 1,
      sym_concat_operator,
    ACTIONS(12537), 1,
      sym_rel_operator,
    ACTIONS(12539), 1,
      sym_and_operator,
    ACTIONS(12541), 1,
      sym_or_operator,
    STATE(2214), 1,
      sym_add_operator,
    STATE(10370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10300), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [539145] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12531), 1,
      sym_pow_operator,
    ACTIONS(12533), 1,
      sym_mult_operator,
    ACTIONS(12535), 1,
      sym_concat_operator,
    ACTIONS(12537), 1,
      sym_rel_operator,
    ACTIONS(12539), 1,
      sym_and_operator,
    ACTIONS(12541), 1,
      sym_or_operator,
    ACTIONS(12682), 1,
      anon_sym_COMMA,
    ACTIONS(12684), 1,
      sym_assign_operator,
    STATE(2214), 1,
      sym_add_operator,
    STATE(10371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10300), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [539204] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5453), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10372), 1,
      sym_attribute,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11106), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12688), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12686), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [539247] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5453), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10373), 1,
      sym_attribute,
    STATE(10427), 1,
      aux_sym_expression_item_repeat1,
    STATE(11106), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12692), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12690), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [539290] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10345), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12694), 1,
      anon_sym_STAR,
    STATE(10374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10343), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [539329] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(12696), 1,
      anon_sym_LPAREN,
    ACTIONS(12698), 1,
      anon_sym_end,
    STATE(10375), 1,
      sym_attribute,
    STATE(11099), 1,
      sym__attribute,
    STATE(11176), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10155), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10153), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [539429] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12702), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12700), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8284), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8286), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539509] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8947), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8949), 14,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
  [539546] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(12704), 1,
      anon_sym_LPAREN,
    ACTIONS(12706), 1,
      anon_sym_end,
    STATE(10380), 1,
      sym_attribute,
    STATE(10941), 1,
      sym__attribute,
    STATE(11602), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539609] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12531), 1,
      sym_pow_operator,
    ACTIONS(12533), 1,
      sym_mult_operator,
    STATE(2214), 1,
      sym_add_operator,
    STATE(10381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 9,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [539652] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(12708), 1,
      anon_sym_LPAREN,
    ACTIONS(12710), 1,
      anon_sym_end,
    STATE(10382), 1,
      sym_attribute,
    STATE(11023), 1,
      sym__attribute,
    STATE(11590), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539715] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10012), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10010), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [539752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10159), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10157), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [539789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9972), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9970), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [539826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10069), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [539863] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(12712), 1,
      anon_sym_LPAREN,
    ACTIONS(12714), 1,
      anon_sym_end,
    STATE(10387), 1,
      sym_attribute,
    STATE(11029), 1,
      sym__attribute,
    STATE(11185), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10059), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10057), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [539963] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12633), 1,
      sym__identifier,
    ACTIONS(12635), 1,
      anon_sym_POUND,
    STATE(10389), 1,
      sym_attribute,
    STATE(10980), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17531), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11456), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [540016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12718), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12716), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [540053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12722), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12720), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [540090] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12633), 1,
      sym__identifier,
    ACTIONS(12635), 1,
      anon_sym_POUND,
    STATE(10392), 1,
      sym_attribute,
    STATE(10980), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17531), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11466), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [540143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10341), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10339), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [540180] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(12724), 1,
      anon_sym_LPAREN,
    ACTIONS(12726), 1,
      anon_sym_end,
    STATE(10394), 1,
      sym_attribute,
    STATE(10996), 1,
      sym__attribute,
    STATE(11194), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540243] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12730), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12728), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10273), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [540323] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12734), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12732), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540366] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12738), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10398), 1,
      sym_attribute,
    STATE(10443), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12736), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540409] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12742), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12740), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540452] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12746), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12744), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540495] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12750), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10401), 1,
      sym_attribute,
    STATE(10445), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12748), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540538] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12754), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12752), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12758), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12756), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10034), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10032), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [540655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10016), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10014), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [540692] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12531), 1,
      sym_pow_operator,
    ACTIONS(12533), 1,
      sym_mult_operator,
    ACTIONS(12535), 1,
      sym_concat_operator,
    ACTIONS(12537), 1,
      sym_rel_operator,
    ACTIONS(12539), 1,
      sym_and_operator,
    ACTIONS(12541), 1,
      sym_or_operator,
    ACTIONS(12682), 1,
      anon_sym_COMMA,
    ACTIONS(12684), 1,
      sym_assign_operator,
    STATE(2214), 1,
      sym_add_operator,
    STATE(10406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10310), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10308), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [540751] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12382), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(12760), 1,
      anon_sym_DASH_GT,
    STATE(10407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12380), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [540792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10075), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10073), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [540829] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10079), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10077), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [540866] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12764), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10410), 1,
      sym_attribute,
    STATE(10446), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12762), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540909] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12768), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12766), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540946] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11889), 1,
      anon_sym_COLON2,
    STATE(10412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9252), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [540985] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12772), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12770), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [541028] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12776), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10414), 1,
      sym_attribute,
    STATE(10450), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12774), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [541071] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(12778), 1,
      anon_sym_LPAREN,
    ACTIONS(12780), 1,
      anon_sym_end,
    STATE(10415), 1,
      sym_attribute,
    STATE(10953), 1,
      sym__attribute,
    STATE(11204), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541134] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12055), 1,
      sym__identifier,
    ACTIONS(12057), 1,
      anon_sym_POUND,
    STATE(10416), 1,
      sym_attribute,
    STATE(10425), 1,
      sym_type_constructor_path,
    STATE(17405), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11488), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11490), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [541181] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5453), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10417), 1,
      sym_attribute,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11106), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12784), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12782), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [541224] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12788), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12786), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [541267] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5453), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10419), 1,
      sym_attribute,
    STATE(10509), 1,
      aux_sym_expression_item_repeat1,
    STATE(11106), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12792), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12790), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [541310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11553), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [541347] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11557), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [541384] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11537), 1,
      sym__identifier,
    STATE(10422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11539), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(12047), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12049), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [541425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12796), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12794), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [541462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11559), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11561), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [541499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11563), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11565), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [541536] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(12798), 1,
      anon_sym_LPAREN,
    ACTIONS(12800), 1,
      anon_sym_end,
    STATE(10426), 1,
      sym_attribute,
    STATE(11018), 1,
      sym__attribute,
    STATE(11212), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541599] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5453), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10427), 1,
      sym_attribute,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11106), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12804), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12802), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [541642] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5453), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10428), 1,
      sym_attribute,
    STATE(10458), 1,
      aux_sym_expression_item_repeat1,
    STATE(11106), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12808), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12806), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [541685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10083), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10081), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541722] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(12810), 1,
      anon_sym_LPAREN,
    ACTIONS(12812), 1,
      anon_sym_end,
    STATE(10430), 1,
      sym_attribute,
    STATE(11044), 1,
      sym__attribute,
    STATE(11501), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541785] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11933), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11931), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [541828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9088), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541865] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(12814), 1,
      anon_sym_LPAREN,
    ACTIONS(12816), 1,
      anon_sym_end,
    STATE(10433), 1,
      sym_attribute,
    STATE(11066), 1,
      sym__attribute,
    STATE(11221), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541928] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(12394), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12760), 1,
      anon_sym_DASH_GT,
    STATE(10434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12392), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [541969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10377), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10375), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [542006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10038), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10036), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [542043] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12633), 1,
      sym__identifier,
    ACTIONS(12635), 1,
      anon_sym_POUND,
    STATE(10437), 1,
      sym_attribute,
    STATE(10980), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17531), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11468), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11470), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [542096] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11835), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11539), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11537), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [542135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12820), 1,
      anon_sym_let,
    STATE(10439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12818), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542172] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12824), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10440), 1,
      sym_attribute,
    STATE(10543), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12822), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542215] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(12826), 1,
      anon_sym_LPAREN,
    ACTIONS(12828), 1,
      anon_sym_end,
    STATE(10441), 1,
      sym_attribute,
    STATE(10916), 1,
      sym__attribute,
    STATE(11229), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542278] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12832), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10442), 1,
      sym_attribute,
    STATE(10494), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12830), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542321] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12836), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12834), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542364] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12840), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10444), 1,
      sym_attribute,
    STATE(10462), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12838), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542407] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12844), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12842), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542450] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12848), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12846), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7825), 2,
      anon_sym_let,
      anon_sym_COLON2,
    ACTIONS(7827), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 2,
      anon_sym_let,
      anon_sym_COLON2,
    ACTIONS(8216), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542567] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12852), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10449), 1,
      sym_attribute,
    STATE(10464), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12850), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542610] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12856), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12854), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542653] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12862), 1,
      anon_sym_DQUOTE,
    STATE(10942), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12860), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10451), 2,
      sym_attribute,
      aux_sym_external_repeat1,
    ACTIONS(12858), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542694] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12867), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12865), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542737] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12871), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10453), 1,
      sym_attribute,
    STATE(10465), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12869), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542780] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2214), 1,
      sym_add_operator,
    STATE(10454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [542819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10361), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10359), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [542856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10163), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10161), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [542893] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12875), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12873), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542936] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5453), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10458), 1,
      sym_attribute,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11106), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12879), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12877), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [542979] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12881), 1,
      aux_sym_attribute_id_token1,
    STATE(10459), 1,
      sym_attribute,
    STATE(10461), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9036), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [543020] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(12883), 1,
      anon_sym_LPAREN,
    ACTIONS(12885), 1,
      anon_sym_end,
    STATE(10460), 1,
      sym_attribute,
    STATE(11016), 1,
      sym__attribute,
    STATE(11239), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543083] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12881), 1,
      aux_sym_attribute_id_token1,
    STATE(10461), 1,
      sym_attribute,
    STATE(10468), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8960), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8962), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [543124] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12889), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12887), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10022), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10020), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [543204] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12893), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12891), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543247] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12897), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12895), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543290] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12901), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12899), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543333] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12905), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10467), 1,
      sym_attribute,
    STATE(10473), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12903), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543376] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12907), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10468), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8947), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8949), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [543415] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12912), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12910), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543458] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(12398), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12760), 1,
      anon_sym_DASH_GT,
    STATE(10470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12396), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [543499] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(12914), 1,
      anon_sym_LPAREN,
    ACTIONS(12916), 1,
      anon_sym_end,
    STATE(10471), 1,
      sym_attribute,
    STATE(11061), 1,
      sym__attribute,
    STATE(11247), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543562] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11577), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11579), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [543599] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12920), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12918), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11581), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11583), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [543679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11587), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [543716] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12924), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12922), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543759] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(12926), 1,
      anon_sym_LPAREN,
    ACTIONS(12928), 1,
      anon_sym_end,
    STATE(10477), 1,
      sym_attribute,
    STATE(10981), 1,
      sym__attribute,
    STATE(11617), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8296), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [543859] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12196), 1,
      sym__identifier,
    ACTIONS(12198), 1,
      anon_sym_POUND,
    STATE(10479), 1,
      sym_attribute,
    STATE(10724), 1,
      sym_type_constructor_path,
    STATE(16553), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12051), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12053), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [543906] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(12930), 1,
      anon_sym_LPAREN,
    ACTIONS(12932), 1,
      anon_sym_end,
    STATE(10480), 1,
      sym_attribute,
    STATE(11109), 1,
      sym__attribute,
    STATE(11258), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11589), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11591), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [544006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8300), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [544043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8304), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [544080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8308), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [544117] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(12934), 1,
      anon_sym_LPAREN,
    ACTIONS(12936), 1,
      anon_sym_end,
    STATE(10485), 1,
      sym_attribute,
    STATE(11064), 1,
      sym__attribute,
    STATE(11535), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544180] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12938), 1,
      anon_sym_STAR,
    STATE(10486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10345), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10343), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [544219] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5453), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10372), 1,
      aux_sym_expression_item_repeat1,
    STATE(10487), 1,
      sym_attribute,
    STATE(11106), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12942), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12940), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [544262] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12559), 1,
      anon_sym_COMMA,
    ACTIONS(12563), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12565), 1,
      sym_pow_operator,
    ACTIONS(12567), 1,
      sym_mult_operator,
    ACTIONS(12569), 1,
      sym_concat_operator,
    ACTIONS(12571), 1,
      sym_rel_operator,
    ACTIONS(12573), 1,
      sym_and_operator,
    ACTIONS(12575), 1,
      sym_or_operator,
    ACTIONS(12577), 1,
      sym_assign_operator,
    STATE(2198), 1,
      sym_add_operator,
    STATE(10488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10239), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10237), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [544321] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11665), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11667), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [544358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12946), 1,
      anon_sym_let,
    STATE(10490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12944), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [544395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11681), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11683), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [544432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9102), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [544469] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(12948), 1,
      anon_sym_LPAREN,
    ACTIONS(12950), 1,
      anon_sym_end,
    STATE(10493), 1,
      sym_attribute,
    STATE(11034), 1,
      sym__attribute,
    STATE(11494), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544532] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12954), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12952), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [544575] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12956), 1,
      anon_sym_PIPE,
    STATE(10495), 1,
      sym_attribute,
    STATE(10496), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [544616] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12958), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10496), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [544655] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(12961), 1,
      anon_sym_LPAREN,
    ACTIONS(12963), 1,
      anon_sym_end,
    STATE(10497), 1,
      sym_attribute,
    STATE(11008), 1,
      sym__attribute,
    STATE(11270), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544718] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12055), 1,
      sym__identifier,
    ACTIONS(12057), 1,
      anon_sym_POUND,
    STATE(10425), 1,
      sym_type_constructor_path,
    STATE(10498), 1,
      sym_attribute,
    STATE(17405), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12252), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12254), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [544765] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12200), 1,
      sym__identifier,
    ACTIONS(12202), 1,
      anon_sym_POUND,
    STATE(10499), 1,
      sym_attribute,
    STATE(10875), 1,
      sym_type_constructor_path,
    STATE(17469), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12051), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12053), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [544812] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12633), 1,
      sym__identifier,
    ACTIONS(12635), 1,
      anon_sym_POUND,
    STATE(10500), 1,
      sym_attribute,
    STATE(10980), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17531), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11476), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11478), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [544865] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12967), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12965), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [544908] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12633), 1,
      sym__identifier,
    ACTIONS(12635), 1,
      anon_sym_POUND,
    STATE(10502), 1,
      sym_attribute,
    STATE(10980), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17531), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11480), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11482), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [544961] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12096), 1,
      anon_sym_constraint,
    ACTIONS(12969), 1,
      anon_sym_EQ,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10503), 1,
      sym_attribute,
    STATE(10607), 1,
      aux_sym_expression_item_repeat1,
    STATE(10810), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12450), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [545010] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12452), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12450), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545053] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7053), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7051), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545096] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(12971), 1,
      anon_sym_LPAREN,
    ACTIONS(12973), 1,
      anon_sym_end,
    STATE(10506), 1,
      sym_attribute,
    STATE(11114), 1,
      sym__attribute,
    STATE(11283), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545159] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12977), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10362), 1,
      aux_sym_expression_item_repeat1,
    STATE(10507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12975), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545202] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12981), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12979), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545245] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5453), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10509), 1,
      sym_attribute,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11106), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12985), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12983), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [545288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12989), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12987), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545325] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12993), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12991), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545368] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12418), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12760), 1,
      anon_sym_DASH_GT,
    STATE(10512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12416), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [545407] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(12995), 1,
      anon_sym_LPAREN,
    ACTIONS(12997), 1,
      anon_sym_end,
    STATE(10513), 1,
      sym_attribute,
    STATE(10995), 1,
      sym__attribute,
    STATE(11293), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9548), 2,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9550), 20,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [545507] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12055), 1,
      sym__identifier,
    ACTIONS(12057), 1,
      anon_sym_POUND,
    STATE(10425), 1,
      sym_type_constructor_path,
    STATE(10515), 1,
      sym_attribute,
    STATE(17405), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12256), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12258), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [545554] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(12999), 1,
      anon_sym_LPAREN,
    ACTIONS(13001), 1,
      anon_sym_end,
    STATE(10516), 1,
      sym_attribute,
    STATE(10904), 1,
      sym__attribute,
    STATE(11629), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545617] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13005), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10336), 1,
      aux_sym_expression_item_repeat1,
    STATE(10517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13003), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545660] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13007), 1,
      anon_sym_STAR,
    STATE(10518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10345), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10343), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545699] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(13009), 1,
      anon_sym_LPAREN,
    ACTIONS(13011), 1,
      anon_sym_end,
    STATE(10519), 1,
      sym_attribute,
    STATE(10892), 1,
      sym__attribute,
    STATE(11304), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545762] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13015), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13013), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545805] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13019), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13017), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545848] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13023), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10522), 1,
      sym_attribute,
    STATE(10650), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13021), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11597), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11599), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [545928] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13027), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10524), 1,
      sym_attribute,
    STATE(10613), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13025), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545971] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(13029), 1,
      anon_sym_LPAREN,
    ACTIONS(13031), 1,
      anon_sym_end,
    STATE(10525), 1,
      sym_attribute,
    STATE(10991), 1,
      sym__attribute,
    STATE(11438), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11601), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11603), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [546071] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13033), 1,
      anon_sym_else,
    STATE(7882), 1,
      sym_else_clause,
    STATE(10527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [546112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11605), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11607), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [546149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11609), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11611), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [546186] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(12633), 1,
      sym__identifier,
    ACTIONS(12635), 1,
      anon_sym_POUND,
    STATE(10530), 1,
      sym_attribute,
    STATE(10980), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17531), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11488), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11490), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [546239] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5453), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10417), 1,
      aux_sym_expression_item_repeat1,
    STATE(10531), 1,
      sym_attribute,
    STATE(11106), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13037), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13035), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [546282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(9254), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [546319] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13041), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13039), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [546362] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(13043), 1,
      anon_sym_LPAREN,
    ACTIONS(13045), 1,
      anon_sym_end,
    STATE(10534), 1,
      sym_attribute,
    STATE(10967), 1,
      sym__attribute,
    STATE(11313), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11456), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11454), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [546462] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13049), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13047), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [546505] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(13051), 1,
      anon_sym_LPAREN,
    ACTIONS(13053), 1,
      anon_sym_end,
    STATE(10537), 1,
      sym_attribute,
    STATE(11070), 1,
      sym__attribute,
    STATE(11562), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546568] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12248), 1,
      sym__identifier,
    ACTIONS(12250), 1,
      anon_sym_POUND,
    STATE(10538), 1,
      sym_attribute,
    STATE(10674), 1,
      sym_type_constructor_path,
    STATE(17339), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12051), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12053), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [546615] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11887), 1,
      anon_sym_constraint,
    ACTIONS(12440), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10501), 1,
      aux_sym_expression_item_repeat1,
    STATE(10539), 1,
      sym_attribute,
    STATE(10998), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12438), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [546664] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(13055), 1,
      anon_sym_LPAREN,
    ACTIONS(13057), 1,
      anon_sym_end,
    STATE(10540), 1,
      sym_attribute,
    STATE(10921), 1,
      sym__attribute,
    STATE(11122), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546727] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13061), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13059), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [546770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3083), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3081), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [546807] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13065), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13063), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [546850] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11887), 1,
      anon_sym_constraint,
    ACTIONS(13069), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10533), 1,
      aux_sym_expression_item_repeat1,
    STATE(10544), 1,
      sym_attribute,
    STATE(10552), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13067), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [546899] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11887), 1,
      anon_sym_constraint,
    ACTIONS(12967), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10545), 1,
      sym_attribute,
    STATE(10584), 1,
      aux_sym_expression_item_repeat1,
    STATE(10998), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12965), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [546948] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13073), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13071), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [546991] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11887), 1,
      anon_sym_constraint,
    ACTIONS(12452), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10547), 1,
      sym_attribute,
    STATE(10607), 1,
      aux_sym_expression_item_repeat1,
    STATE(10998), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12450), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547040] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13077), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10324), 1,
      aux_sym_expression_item_repeat1,
    STATE(10548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13075), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547083] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(13079), 1,
      anon_sym_COLON2,
    STATE(10549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(11683), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11681), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [547126] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12055), 1,
      sym__identifier,
    ACTIONS(12057), 1,
      anon_sym_POUND,
    STATE(10425), 1,
      sym_type_constructor_path,
    STATE(10550), 1,
      sym_attribute,
    STATE(17405), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11476), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11478), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [547173] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11887), 1,
      anon_sym_constraint,
    ACTIONS(13083), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10452), 1,
      aux_sym_expression_item_repeat1,
    STATE(10551), 1,
      sym_attribute,
    STATE(10555), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13081), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547222] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11887), 1,
      anon_sym_constraint,
    ACTIONS(13041), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10469), 1,
      aux_sym_expression_item_repeat1,
    STATE(10552), 1,
      sym_attribute,
    STATE(10998), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13039), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547271] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11887), 1,
      anon_sym_constraint,
    ACTIONS(13087), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10520), 1,
      aux_sym_expression_item_repeat1,
    STATE(10553), 1,
      sym_attribute,
    STATE(10558), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13085), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547320] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11887), 1,
      anon_sym_constraint,
    ACTIONS(13091), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10521), 1,
      aux_sym_expression_item_repeat1,
    STATE(10554), 1,
      sym_attribute,
    STATE(10998), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13089), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547369] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11887), 1,
      anon_sym_constraint,
    ACTIONS(12867), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10555), 1,
      sym_attribute,
    STATE(10591), 1,
      aux_sym_expression_item_repeat1,
    STATE(10998), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12865), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547418] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11887), 1,
      anon_sym_constraint,
    ACTIONS(13095), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10556), 1,
      sym_attribute,
    STATE(10560), 1,
      aux_sym_type_binding_repeat1,
    STATE(10627), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13093), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547467] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11887), 1,
      anon_sym_constraint,
    ACTIONS(13099), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10557), 1,
      sym_attribute,
    STATE(10561), 1,
      aux_sym_type_binding_repeat1,
    STATE(10638), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13097), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547516] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11887), 1,
      anon_sym_constraint,
    ACTIONS(13015), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10558), 1,
      sym_attribute,
    STATE(10643), 1,
      aux_sym_expression_item_repeat1,
    STATE(10998), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13013), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547565] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12422), 1,
      sym__identifier,
    ACTIONS(12424), 1,
      anon_sym_POUND,
    ACTIONS(13101), 1,
      anon_sym_STAR,
    STATE(10559), 1,
      sym_attribute,
    STATE(10665), 1,
      sym_type_constructor_path,
    STATE(12128), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11458), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11861), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [547616] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11887), 1,
      anon_sym_constraint,
    ACTIONS(13105), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10308), 1,
      aux_sym_expression_item_repeat1,
    STATE(10560), 1,
      sym_attribute,
    STATE(10998), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13103), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547665] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11887), 1,
      anon_sym_constraint,
    ACTIONS(13109), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10309), 1,
      aux_sym_expression_item_repeat1,
    STATE(10561), 1,
      sym_attribute,
    STATE(10998), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13107), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547714] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11887), 1,
      anon_sym_constraint,
    ACTIONS(13113), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10311), 1,
      aux_sym_expression_item_repeat1,
    STATE(10562), 1,
      sym_attribute,
    STATE(10563), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13111), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547763] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11887), 1,
      anon_sym_constraint,
    ACTIONS(12505), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10395), 1,
      aux_sym_expression_item_repeat1,
    STATE(10563), 1,
      sym_attribute,
    STATE(10998), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12503), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547812] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(13115), 1,
      anon_sym_LPAREN,
    ACTIONS(13117), 1,
      anon_sym_end,
    STATE(10564), 1,
      sym_attribute,
    STATE(10987), 1,
      sym__attribute,
    STATE(11369), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547875] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11829), 1,
      anon_sym_constraint,
    ACTIONS(12440), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10501), 1,
      aux_sym_expression_item_repeat1,
    STATE(10565), 1,
      sym_attribute,
    STATE(11067), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12438), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547924] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13121), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13119), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547967] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11829), 1,
      anon_sym_constraint,
    ACTIONS(13069), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10533), 1,
      aux_sym_expression_item_repeat1,
    STATE(10567), 1,
      sym_attribute,
    STATE(10573), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13067), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548016] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12531), 1,
      sym_pow_operator,
    ACTIONS(12533), 1,
      sym_mult_operator,
    ACTIONS(12535), 1,
      sym_concat_operator,
    ACTIONS(12537), 1,
      sym_rel_operator,
    ACTIONS(12539), 1,
      sym_and_operator,
    ACTIONS(12541), 1,
      sym_or_operator,
    ACTIONS(12682), 1,
      anon_sym_COMMA,
    ACTIONS(12684), 1,
      sym_assign_operator,
    STATE(2214), 1,
      sym_add_operator,
    STATE(10568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10320), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10318), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [548075] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11829), 1,
      anon_sym_constraint,
    ACTIONS(12967), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10569), 1,
      sym_attribute,
    STATE(10584), 1,
      aux_sym_expression_item_repeat1,
    STATE(11067), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12965), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548124] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11829), 1,
      anon_sym_constraint,
    ACTIONS(12452), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10570), 1,
      sym_attribute,
    STATE(10607), 1,
      aux_sym_expression_item_repeat1,
    STATE(11067), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12450), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548173] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(13123), 1,
      anon_sym_LPAREN,
    ACTIONS(13125), 1,
      anon_sym_end,
    STATE(10571), 1,
      sym_attribute,
    STATE(10901), 1,
      sym__attribute,
    STATE(11324), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548236] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11829), 1,
      anon_sym_constraint,
    ACTIONS(13083), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10452), 1,
      aux_sym_expression_item_repeat1,
    STATE(10572), 1,
      sym_attribute,
    STATE(10576), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13081), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548285] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11829), 1,
      anon_sym_constraint,
    ACTIONS(13041), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10469), 1,
      aux_sym_expression_item_repeat1,
    STATE(10573), 1,
      sym_attribute,
    STATE(11067), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13039), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548334] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11829), 1,
      anon_sym_constraint,
    ACTIONS(13087), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10520), 1,
      aux_sym_expression_item_repeat1,
    STATE(10574), 1,
      sym_attribute,
    STATE(10579), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13085), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548383] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11829), 1,
      anon_sym_constraint,
    ACTIONS(13091), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10521), 1,
      aux_sym_expression_item_repeat1,
    STATE(10575), 1,
      sym_attribute,
    STATE(11067), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13089), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548432] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11829), 1,
      anon_sym_constraint,
    ACTIONS(12867), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10576), 1,
      sym_attribute,
    STATE(10591), 1,
      aux_sym_expression_item_repeat1,
    STATE(11067), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12865), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548481] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11829), 1,
      anon_sym_constraint,
    ACTIONS(13095), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10577), 1,
      sym_attribute,
    STATE(10580), 1,
      aux_sym_type_binding_repeat1,
    STATE(10627), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13093), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548530] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11829), 1,
      anon_sym_constraint,
    ACTIONS(13099), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10578), 1,
      sym_attribute,
    STATE(10581), 1,
      aux_sym_type_binding_repeat1,
    STATE(10638), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13097), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548579] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11829), 1,
      anon_sym_constraint,
    ACTIONS(13015), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10579), 1,
      sym_attribute,
    STATE(10643), 1,
      aux_sym_expression_item_repeat1,
    STATE(11067), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13013), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548628] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11829), 1,
      anon_sym_constraint,
    ACTIONS(13105), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10308), 1,
      aux_sym_expression_item_repeat1,
    STATE(10580), 1,
      sym_attribute,
    STATE(11067), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13103), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548677] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11829), 1,
      anon_sym_constraint,
    ACTIONS(13109), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10309), 1,
      aux_sym_expression_item_repeat1,
    STATE(10581), 1,
      sym_attribute,
    STATE(11067), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13107), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548726] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11829), 1,
      anon_sym_constraint,
    ACTIONS(13113), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10311), 1,
      aux_sym_expression_item_repeat1,
    STATE(10582), 1,
      sym_attribute,
    STATE(10583), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13111), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548775] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11829), 1,
      anon_sym_constraint,
    ACTIONS(12505), 1,
      anon_sym_let,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10395), 1,
      aux_sym_expression_item_repeat1,
    STATE(10583), 1,
      sym_attribute,
    STATE(11067), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12503), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548824] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13129), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13127), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548867] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12096), 1,
      anon_sym_constraint,
    ACTIONS(13131), 1,
      anon_sym_EQ,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10501), 1,
      aux_sym_expression_item_repeat1,
    STATE(10585), 1,
      sym_attribute,
    STATE(10690), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12438), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [548916] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12956), 1,
      anon_sym_PIPE,
    STATE(10586), 1,
      sym_attribute,
    STATE(10660), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [548957] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13137), 1,
      anon_sym_and,
    STATE(10587), 1,
      sym_attribute,
    STATE(10588), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13135), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13133), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548998] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13139), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11893), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10588), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(11891), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [549037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11464), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [549074] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(13142), 1,
      anon_sym_LPAREN,
    ACTIONS(13144), 1,
      anon_sym_end,
    STATE(10590), 1,
      sym_attribute,
    STATE(10928), 1,
      sym__attribute,
    STATE(11334), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549137] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13148), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13146), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [549180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11625), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11627), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [549217] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12324), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12322), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [549260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11629), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11631), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [549297] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13150), 1,
      anon_sym_and,
    STATE(10595), 1,
      sym_attribute,
    STATE(10596), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13135), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13133), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [549338] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13152), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11893), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10596), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(11891), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [549377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11633), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11635), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [549414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11637), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11639), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [549451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11641), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11643), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [549488] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(13155), 1,
      anon_sym_LPAREN,
    ACTIONS(13157), 1,
      anon_sym_end,
    STATE(10600), 1,
      sym_attribute,
    STATE(10949), 1,
      sym__attribute,
    STATE(11343), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11645), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11647), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [549588] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12633), 1,
      sym__identifier,
    ACTIONS(12635), 1,
      anon_sym_POUND,
    STATE(10602), 1,
      sym_attribute,
    STATE(10980), 1,
      sym_type_constructor_path,
    STATE(17531), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11096), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11098), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [549635] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13159), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11106), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10603), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
    ACTIONS(11920), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(11918), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [549676] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12312), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13162), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10604), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12310), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [549717] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(13165), 1,
      anon_sym_LPAREN,
    ACTIONS(13167), 1,
      anon_sym_end,
    STATE(10605), 1,
      sym_attribute,
    STATE(10970), 1,
      sym__attribute,
    STATE(11351), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549780] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12055), 1,
      sym__identifier,
    ACTIONS(12057), 1,
      anon_sym_POUND,
    STATE(10425), 1,
      sym_type_constructor_path,
    STATE(10606), 1,
      sym_attribute,
    STATE(17405), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11480), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11482), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [549827] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13091), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13089), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [549870] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(13169), 1,
      anon_sym_LPAREN,
    ACTIONS(13171), 1,
      anon_sym_end,
    STATE(10608), 1,
      sym_attribute,
    STATE(11073), 1,
      sym__attribute,
    STATE(11143), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549933] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13175), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10536), 1,
      aux_sym_expression_item_repeat1,
    STATE(10609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13173), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [549976] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12172), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(13177), 1,
      anon_sym_LPAREN,
    ACTIONS(13179), 1,
      anon_sym_LBRACK,
    STATE(10610), 1,
      sym_attribute,
    STATE(11504), 1,
      sym__constructor_name,
    STATE(12152), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13181), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(12170), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [550025] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6935), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6933), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [550068] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13185), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10541), 1,
      aux_sym_expression_item_repeat1,
    STATE(10612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13183), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [550111] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13189), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13187), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [550154] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11470), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11468), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [550191] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(13191), 1,
      anon_sym_LPAREN,
    ACTIONS(13193), 1,
      anon_sym_end,
    STATE(10615), 1,
      sym_attribute,
    STATE(10985), 1,
      sym__attribute,
    STATE(11359), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550254] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(13195), 1,
      anon_sym_LPAREN,
    ACTIONS(13197), 1,
      anon_sym_end,
    STATE(10616), 1,
      sym_attribute,
    STATE(10997), 1,
      sym__attribute,
    STATE(11367), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550317] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(13199), 1,
      anon_sym_LPAREN,
    ACTIONS(13201), 1,
      anon_sym_end,
    STATE(10617), 1,
      sym_attribute,
    STATE(11004), 1,
      sym__attribute,
    STATE(11130), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550380] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12440), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12438), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [550423] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12633), 1,
      sym__identifier,
    ACTIONS(13203), 1,
      anon_sym_POUND,
    STATE(10619), 1,
      sym_attribute,
    STATE(11038), 1,
      sym_type_constructor_path,
    STATE(17531), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11102), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11104), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [550470] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12563), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12565), 1,
      sym_pow_operator,
    ACTIONS(12567), 1,
      sym_mult_operator,
    ACTIONS(12569), 1,
      sym_concat_operator,
    ACTIONS(12571), 1,
      sym_rel_operator,
    ACTIONS(12573), 1,
      sym_and_operator,
    ACTIONS(12575), 1,
      sym_or_operator,
    STATE(2198), 1,
      sym_add_operator,
    STATE(10620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10280), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [550525] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12563), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12565), 1,
      sym_pow_operator,
    ACTIONS(12567), 1,
      sym_mult_operator,
    STATE(2198), 1,
      sym_add_operator,
    STATE(10621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [550572] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12565), 1,
      sym_pow_operator,
    STATE(2198), 1,
      sym_add_operator,
    STATE(10622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [550613] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(13205), 1,
      anon_sym_LPAREN,
    ACTIONS(13207), 1,
      anon_sym_end,
    STATE(10623), 1,
      sym_attribute,
    STATE(11019), 1,
      sym__attribute,
    STATE(11377), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9928), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9926), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [550713] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12531), 1,
      sym_pow_operator,
    ACTIONS(12533), 1,
      sym_mult_operator,
    ACTIONS(12535), 1,
      sym_concat_operator,
    ACTIONS(12537), 1,
      sym_rel_operator,
    ACTIONS(12539), 1,
      sym_and_operator,
    ACTIONS(12541), 1,
      sym_or_operator,
    ACTIONS(12682), 1,
      anon_sym_COMMA,
    ACTIONS(12684), 1,
      sym_assign_operator,
    ACTIONS(13209), 1,
      anon_sym_SEMI,
    STATE(2214), 1,
      sym_add_operator,
    STATE(10625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9110), 5,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [550774] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12565), 1,
      sym_pow_operator,
    STATE(2198), 1,
      sym_add_operator,
    STATE(10626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [550815] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13105), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13103), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [550858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10044), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10042), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [550895] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12055), 1,
      sym__identifier,
    ACTIONS(12057), 1,
      anon_sym_POUND,
    STATE(10425), 1,
      sym_type_constructor_path,
    STATE(10629), 1,
      sym_attribute,
    STATE(17405), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12212), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12214), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [550942] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12563), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12565), 1,
      sym_pow_operator,
    ACTIONS(12567), 1,
      sym_mult_operator,
    ACTIONS(12569), 1,
      sym_concat_operator,
    STATE(2198), 1,
      sym_add_operator,
    STATE(10630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [550991] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12563), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12565), 1,
      sym_pow_operator,
    ACTIONS(12567), 1,
      sym_mult_operator,
    ACTIONS(12569), 1,
      sym_concat_operator,
    STATE(2198), 1,
      sym_add_operator,
    STATE(10631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [551040] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12563), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12565), 1,
      sym_pow_operator,
    ACTIONS(12567), 1,
      sym_mult_operator,
    ACTIONS(12569), 1,
      sym_concat_operator,
    ACTIONS(12571), 1,
      sym_rel_operator,
    ACTIONS(12573), 1,
      sym_and_operator,
    STATE(2198), 1,
      sym_add_operator,
    STATE(10632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(10300), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [551093] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(13211), 1,
      anon_sym_LPAREN,
    ACTIONS(13213), 1,
      anon_sym_end,
    STATE(10633), 1,
      sym_attribute,
    STATE(11054), 1,
      sym__attribute,
    STATE(11628), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551156] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12563), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12565), 1,
      sym_pow_operator,
    ACTIONS(12567), 1,
      sym_mult_operator,
    ACTIONS(12569), 1,
      sym_concat_operator,
    ACTIONS(12571), 1,
      sym_rel_operator,
    ACTIONS(12573), 1,
      sym_and_operator,
    ACTIONS(12575), 1,
      sym_or_operator,
    STATE(2198), 1,
      sym_add_operator,
    STATE(10634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [551211] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12559), 1,
      anon_sym_COMMA,
    ACTIONS(12563), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12565), 1,
      sym_pow_operator,
    ACTIONS(12567), 1,
      sym_mult_operator,
    ACTIONS(12569), 1,
      sym_concat_operator,
    ACTIONS(12571), 1,
      sym_rel_operator,
    ACTIONS(12573), 1,
      sym_and_operator,
    ACTIONS(12575), 1,
      sym_or_operator,
    ACTIONS(12577), 1,
      sym_assign_operator,
    STATE(2198), 1,
      sym_add_operator,
    STATE(10635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [551270] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12565), 1,
      sym_pow_operator,
    ACTIONS(12567), 1,
      sym_mult_operator,
    STATE(2198), 1,
      sym_add_operator,
    STATE(10636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 8,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [551313] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12559), 1,
      anon_sym_COMMA,
    ACTIONS(12563), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12565), 1,
      sym_pow_operator,
    ACTIONS(12567), 1,
      sym_mult_operator,
    ACTIONS(12569), 1,
      sym_concat_operator,
    ACTIONS(12571), 1,
      sym_rel_operator,
    ACTIONS(12573), 1,
      sym_and_operator,
    ACTIONS(12575), 1,
      sym_or_operator,
    ACTIONS(12577), 1,
      sym_assign_operator,
    STATE(2198), 1,
      sym_add_operator,
    STATE(10637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10310), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10308), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [551372] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13109), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13107), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [551415] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13217), 1,
      anon_sym_end,
    STATE(10639), 1,
      sym_attribute,
    STATE(11043), 1,
      sym__attribute,
    STATE(11386), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551478] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13221), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13219), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [551521] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12515), 1,
      anon_sym_else,
    STATE(7882), 1,
      sym_else_clause,
    STATE(10641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [551562] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13225), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13223), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [551605] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13229), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13227), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [551648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11649), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11651), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [551685] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13233), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13231), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [551728] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(12501), 1,
      anon_sym_PERCENT,
    ACTIONS(13235), 1,
      anon_sym_LPAREN,
    ACTIONS(13237), 1,
      anon_sym_end,
    STATE(10646), 1,
      sym_attribute,
    STATE(11063), 1,
      sym__attribute,
    STATE(11396), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551791] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11653), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11655), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [551828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11657), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11659), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [551865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11705), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11707), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [551902] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13241), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13239), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [551945] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12559), 1,
      anon_sym_COMMA,
    ACTIONS(12563), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12565), 1,
      sym_pow_operator,
    ACTIONS(12567), 1,
      sym_mult_operator,
    ACTIONS(12569), 1,
      sym_concat_operator,
    ACTIONS(12571), 1,
      sym_rel_operator,
    ACTIONS(12573), 1,
      sym_and_operator,
    ACTIONS(12575), 1,
      sym_or_operator,
    ACTIONS(12577), 1,
      sym_assign_operator,
    STATE(2198), 1,
      sym_add_operator,
    STATE(10651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10320), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [552004] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12338), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13243), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(10652), 1,
      sym_attribute,
    STATE(10654), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12336), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [552047] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12344), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13243), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(10653), 1,
      sym_attribute,
    STATE(10655), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12342), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [552090] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12344), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13243), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(10604), 1,
      aux_sym_type_binding_repeat1,
    STATE(10654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12342), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [552133] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12348), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13243), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(10604), 1,
      aux_sym_type_binding_repeat1,
    STATE(10655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12346), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [552176] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13137), 1,
      anon_sym_and,
    STATE(10587), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(10656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13247), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13245), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [552217] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13033), 1,
      anon_sym_else,
    STATE(7995), 1,
      sym_else_clause,
    STATE(10657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [552258] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13150), 1,
      anon_sym_and,
    STATE(10595), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(10658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13247), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13245), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [552299] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12956), 1,
      anon_sym_PIPE,
    STATE(10495), 1,
      aux_sym__match_cases_repeat1,
    STATE(10659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [552340] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12956), 1,
      anon_sym_PIPE,
    STATE(10496), 1,
      aux_sym__match_cases_repeat1,
    STATE(10660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [552381] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7029), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7027), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [552424] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7061), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7059), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [552467] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13251), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13249), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [552509] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13255), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10664), 1,
      sym_attribute,
    STATE(10782), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13253), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [552551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11563), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [552587] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12591), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12593), 1,
      anon_sym_EQ,
    ACTIONS(13257), 1,
      anon_sym_of,
    ACTIONS(13259), 1,
      anon_sym_COLON2,
    STATE(10666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12589), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [552629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9252), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [552665] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13263), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13261), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [552707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11643), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11641), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [552743] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(12394), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13265), 1,
      anon_sym_DASH_GT,
    STATE(10670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12392), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [552783] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12601), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12603), 1,
      anon_sym_EQ,
    ACTIONS(13267), 1,
      anon_sym_of,
    ACTIONS(13269), 1,
      anon_sym_COLON2,
    STATE(10671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12599), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [552825] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12196), 1,
      sym__identifier,
    ACTIONS(12198), 1,
      anon_sym_POUND,
    STATE(10672), 1,
      sym_attribute,
    STATE(10724), 1,
      sym_type_constructor_path,
    STATE(16553), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11488), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11490), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [552871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11647), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11645), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [552907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11563), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [552943] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(13271), 1,
      anon_sym_DASH_GT,
    STATE(10675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12382), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12380), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [552983] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11881), 1,
      anon_sym_STAR,
    STATE(10676), 1,
      sym_attribute,
    STATE(10861), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13275), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13273), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [553023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9252), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [553059] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13285), 1,
      sym_rel_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    STATE(2241), 1,
      sym_add_operator,
    STATE(10678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10280), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [553113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11683), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11681), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [553149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11707), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11705), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [553185] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12200), 1,
      sym__identifier,
    ACTIONS(12202), 1,
      anon_sym_POUND,
    STATE(10681), 1,
      sym_attribute,
    STATE(10875), 1,
      sym_type_constructor_path,
    STATE(17469), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11488), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11490), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [553231] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    STATE(2241), 1,
      sym_add_operator,
    STATE(10682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [553277] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13279), 1,
      sym_pow_operator,
    STATE(2241), 1,
      sym_add_operator,
    STATE(10683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [553317] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13279), 1,
      sym_pow_operator,
    STATE(2241), 1,
      sym_add_operator,
    STATE(10684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [553357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8300), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [553393] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    STATE(2241), 1,
      sym_add_operator,
    STATE(10686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [553441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8304), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [553477] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    STATE(2241), 1,
      sym_add_operator,
    STATE(10688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [553525] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13285), 1,
      sym_rel_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    STATE(2241), 1,
      sym_add_operator,
    STATE(10689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [553577] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12096), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10584), 1,
      aux_sym_expression_item_repeat1,
    STATE(10690), 1,
      sym_attribute,
    STATE(11274), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12965), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [553623] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13285), 1,
      sym_rel_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    STATE(2241), 1,
      sym_add_operator,
    STATE(10691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [553677] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13285), 1,
      sym_rel_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    STATE(2241), 1,
      sym_add_operator,
    STATE(10692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [553735] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    STATE(2241), 1,
      sym_add_operator,
    STATE(10693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 8,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [553777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11667), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11665), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [553813] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12196), 1,
      sym__identifier,
    ACTIONS(12198), 1,
      anon_sym_POUND,
    STATE(10695), 1,
      sym_attribute,
    STATE(10724), 1,
      sym_type_constructor_path,
    STATE(16553), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12252), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12254), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [553859] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13285), 1,
      sym_rel_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    STATE(2241), 1,
      sym_add_operator,
    STATE(10696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10310), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10308), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [553917] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12096), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10607), 1,
      aux_sym_expression_item_repeat1,
    STATE(10697), 1,
      sym_attribute,
    STATE(11274), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12450), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [553963] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12196), 1,
      sym__identifier,
    ACTIONS(12198), 1,
      anon_sym_POUND,
    STATE(10698), 1,
      sym_attribute,
    STATE(10724), 1,
      sym_type_constructor_path,
    STATE(16553), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12256), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12258), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [554009] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12200), 1,
      sym__identifier,
    ACTIONS(12202), 1,
      anon_sym_POUND,
    STATE(10699), 1,
      sym_attribute,
    STATE(10875), 1,
      sym_type_constructor_path,
    STATE(17469), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12252), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12254), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [554055] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12248), 1,
      sym__identifier,
    ACTIONS(12250), 1,
      anon_sym_POUND,
    STATE(10674), 1,
      sym_type_constructor_path,
    STATE(10700), 1,
      sym_attribute,
    STATE(17339), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12252), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12254), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [554101] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12248), 1,
      sym__identifier,
    ACTIONS(12250), 1,
      anon_sym_POUND,
    STATE(10674), 1,
      sym_type_constructor_path,
    STATE(10701), 1,
      sym_attribute,
    STATE(17339), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12256), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12258), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [554147] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12200), 1,
      sym__identifier,
    ACTIONS(12202), 1,
      anon_sym_POUND,
    STATE(10702), 1,
      sym_attribute,
    STATE(10875), 1,
      sym_type_constructor_path,
    STATE(17469), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12256), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12258), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [554193] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(13295), 1,
      anon_sym_DASH_GT,
    STATE(10703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12394), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12392), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [554233] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12200), 1,
      sym__identifier,
    ACTIONS(12202), 1,
      anon_sym_POUND,
    STATE(10704), 1,
      sym_attribute,
    STATE(10875), 1,
      sym_type_constructor_path,
    STATE(17469), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11476), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11478), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [554279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8296), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [554315] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12096), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10395), 1,
      aux_sym_expression_item_repeat1,
    STATE(10706), 1,
      sym_attribute,
    STATE(11274), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12503), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [554361] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12196), 1,
      sym__identifier,
    ACTIONS(12198), 1,
      anon_sym_POUND,
    STATE(10707), 1,
      sym_attribute,
    STATE(10724), 1,
      sym_type_constructor_path,
    STATE(16553), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12212), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12214), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [554407] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9150), 1,
      sym__identifier,
    STATE(10708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(11707), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11705), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [554447] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11863), 1,
      anon_sym_STAR,
    STATE(10709), 1,
      sym_attribute,
    STATE(10710), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13275), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13273), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [554487] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13297), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12053), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10710), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12051), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [554525] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12200), 1,
      sym__identifier,
    ACTIONS(12202), 1,
      anon_sym_POUND,
    STATE(10711), 1,
      sym_attribute,
    STATE(10875), 1,
      sym_type_constructor_path,
    STATE(17469), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11480), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11482), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [554571] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11599), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11597), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [554607] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8308), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [554643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11601), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [554679] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12096), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10627), 1,
      aux_sym_expression_item_repeat1,
    STATE(10715), 1,
      sym_attribute,
    STATE(10845), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13093), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [554725] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11893), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13300), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10716), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(11891), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [554763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11577), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [554799] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11583), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11581), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [554835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11587), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11585), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [554871] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 4,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_when,
      sym__identifier,
    ACTIONS(9152), 17,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__capitalized_identifier,
  [554907] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12096), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10638), 1,
      aux_sym_expression_item_repeat1,
    STATE(10721), 1,
      sym_attribute,
    STATE(10853), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13097), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [554953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11591), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11589), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [554989] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12096), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10643), 1,
      aux_sym_expression_item_repeat1,
    STATE(10723), 1,
      sym_attribute,
    STATE(11274), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13013), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11563), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [555071] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8300), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [555107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8304), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [555143] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12248), 1,
      sym__identifier,
    ACTIONS(12250), 1,
      anon_sym_POUND,
    STATE(10674), 1,
      sym_type_constructor_path,
    STATE(10727), 1,
      sym_attribute,
    STATE(17339), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11476), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11478), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [555189] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12248), 1,
      sym__identifier,
    ACTIONS(12250), 1,
      anon_sym_POUND,
    STATE(10674), 1,
      sym_type_constructor_path,
    STATE(10728), 1,
      sym_attribute,
    STATE(17339), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11480), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11482), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [555235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11707), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11705), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [555271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11539), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11537), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [555307] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8947), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8949), 13,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
  [555343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11707), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11705), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [555379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8308), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [555415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11651), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11649), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [555451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11539), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11537), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [555487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11655), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11653), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [555523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11659), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11657), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [555559] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12096), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10452), 1,
      aux_sym_expression_item_repeat1,
    STATE(10738), 1,
      sym_attribute,
    STATE(10794), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13081), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555605] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12096), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10469), 1,
      aux_sym_expression_item_repeat1,
    STATE(10739), 1,
      sym_attribute,
    STATE(11274), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13039), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11683), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11681), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [555687] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11577), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [555723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11583), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11581), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [555759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11587), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11585), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [555795] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11591), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11589), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [555831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11607), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11605), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [555867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11611), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11609), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [555903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11539), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11537), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [555939] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13305), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10748), 1,
      sym_attribute,
    STATE(10807), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13303), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [555981] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12583), 1,
      anon_sym_EQ,
    ACTIONS(13307), 1,
      anon_sym_of,
    ACTIONS(13309), 1,
      anon_sym_COLON2,
    STATE(10749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12581), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12579), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [556023] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12593), 1,
      anon_sym_EQ,
    ACTIONS(13311), 1,
      anon_sym_of,
    ACTIONS(13313), 1,
      anon_sym_COLON2,
    STATE(10750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12589), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [556065] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12603), 1,
      anon_sym_EQ,
    ACTIONS(13315), 1,
      anon_sym_of,
    ACTIONS(13317), 1,
      anon_sym_COLON2,
    STATE(10751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12599), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [556107] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11537), 1,
      sym__identifier,
    STATE(10752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11539), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(12047), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12049), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [556147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11577), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [556183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11583), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11581), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [556219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11587), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11585), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [556255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11591), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11589), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [556291] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13135), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13319), 1,
      anon_sym_and,
    STATE(10716), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(10757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13133), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [556331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11599), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11597), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [556367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11601), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [556403] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11607), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11605), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [556439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11611), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11609), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [556475] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13295), 1,
      anon_sym_DASH_GT,
    STATE(10762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12418), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12416), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [556513] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12248), 1,
      sym__identifier,
    ACTIONS(12250), 1,
      anon_sym_POUND,
    STATE(10674), 1,
      sym_type_constructor_path,
    STATE(10763), 1,
      sym_attribute,
    STATE(17339), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12212), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12214), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [556559] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11647), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11645), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [556595] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(12398), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13265), 1,
      anon_sym_DASH_GT,
    STATE(10765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12396), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [556635] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11889), 1,
      anon_sym_COLON2,
    STATE(10766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9252), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [556673] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9150), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [556709] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(13271), 1,
      anon_sym_DASH_GT,
    STATE(10768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12394), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12392), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [556749] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13285), 1,
      sym_rel_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13321), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(10769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9110), 5,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [556809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11539), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11537), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [556845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11659), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11657), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [556881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11627), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11625), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [556917] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11631), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11629), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [556953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11635), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11633), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [556989] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12422), 1,
      sym__identifier,
    ACTIONS(12424), 1,
      anon_sym_POUND,
    STATE(10665), 1,
      sym_type_constructor_path,
    STATE(10775), 1,
      sym_attribute,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12051), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12053), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [557035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11639), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11637), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [557071] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11643), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11641), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [557107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11647), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11645), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [557143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8296), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [557179] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12242), 1,
      anon_sym_constraint,
    ACTIONS(13323), 1,
      anon_sym_EQ,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10501), 1,
      aux_sym_expression_item_repeat1,
    STATE(10780), 1,
      sym_attribute,
    STATE(10897), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12438), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [557227] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12242), 1,
      anon_sym_constraint,
    ACTIONS(13325), 1,
      anon_sym_EQ,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10607), 1,
      aux_sym_expression_item_repeat1,
    STATE(10781), 1,
      sym_attribute,
    STATE(10908), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12450), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [557275] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13329), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13327), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [557317] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10483), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10485), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [557353] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12200), 1,
      sym__identifier,
    ACTIONS(12202), 1,
      anon_sym_POUND,
    STATE(10784), 1,
      sym_attribute,
    STATE(10875), 1,
      sym_type_constructor_path,
    STATE(17469), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12212), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12214), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [557399] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13333), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13331), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [557441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11561), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11559), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [557477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11599), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11597), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [557513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9150), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [557549] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12418), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13265), 1,
      anon_sym_DASH_GT,
    STATE(10789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12416), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [557587] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12583), 1,
      anon_sym_EQ,
    ACTIONS(13335), 1,
      anon_sym_of,
    ACTIONS(13337), 1,
      anon_sym_COLON2,
    STATE(10790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12581), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12579), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [557629] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11042), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11040), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [557671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11601), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [557707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11607), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11605), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [557743] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12096), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10591), 1,
      aux_sym_expression_item_repeat1,
    STATE(10794), 1,
      sym_attribute,
    STATE(11274), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12865), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [557789] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12593), 1,
      anon_sym_EQ,
    ACTIONS(13339), 1,
      anon_sym_of,
    ACTIONS(13341), 1,
      anon_sym_COLON2,
    STATE(10795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12589), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [557831] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2241), 1,
      sym_add_operator,
    STATE(10796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [557869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11561), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11559), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [557905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11651), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11649), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [557941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11599), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11597), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [557977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11611), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11609), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [558013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11601), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [558049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11707), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11705), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [558085] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12096), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10520), 1,
      aux_sym_expression_item_repeat1,
    STATE(10723), 1,
      aux_sym_type_binding_repeat1,
    STATE(10803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13085), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [558131] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11667), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11665), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [558167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11607), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11605), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [558203] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11655), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11653), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [558239] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13255), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13253), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558281] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11611), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11609), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [558317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11659), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11657), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [558353] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12096), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10521), 1,
      aux_sym_expression_item_repeat1,
    STATE(10810), 1,
      sym_attribute,
    STATE(11274), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13089), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [558399] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13285), 1,
      sym_rel_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    STATE(2241), 1,
      sym_add_operator,
    STATE(10811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10320), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [558457] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12603), 1,
      anon_sym_EQ,
    ACTIONS(13343), 1,
      anon_sym_of,
    ACTIONS(13345), 1,
      anon_sym_COLON2,
    STATE(10812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12599), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11577), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [558535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11583), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11581), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [558571] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8300), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [558607] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9150), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [558643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11627), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11625), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [558679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8304), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [558715] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11667), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11665), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [558751] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12382), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(13265), 1,
      anon_sym_DASH_GT,
    STATE(10820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12380), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [558791] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12096), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10501), 1,
      aux_sym_expression_item_repeat1,
    STATE(10821), 1,
      sym_attribute,
    STATE(11274), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12438), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [558837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11631), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11629), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [558873] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12248), 1,
      sym__identifier,
    ACTIONS(12250), 1,
      anon_sym_POUND,
    STATE(10674), 1,
      sym_type_constructor_path,
    STATE(10823), 1,
      sym_attribute,
    STATE(17339), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11488), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11490), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [558919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11557), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11555), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [558955] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11635), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11633), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [558991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11627), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11625), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [559027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11631), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11629), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [559063] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11635), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11633), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [559099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8308), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [559135] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13247), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13319), 1,
      anon_sym_and,
    STATE(10757), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(10830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13245), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [559175] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12633), 1,
      sym__identifier,
    ACTIONS(12635), 1,
      anon_sym_POUND,
    ACTIONS(13347), 1,
      anon_sym_STAR,
    STATE(10831), 1,
      sym_attribute,
    STATE(10980), 1,
      sym_type_constructor_path,
    STATE(12252), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17531), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11458), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11861), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [559225] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10345), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13349), 1,
      anon_sym_STAR,
    STATE(10832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10343), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [559263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11651), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11649), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [559299] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12196), 1,
      sym__identifier,
    ACTIONS(12198), 1,
      anon_sym_POUND,
    STATE(10724), 1,
      sym_type_constructor_path,
    STATE(10834), 1,
      sym_attribute,
    STATE(16553), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11476), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11478), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [559345] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12196), 1,
      sym__identifier,
    ACTIONS(12198), 1,
      anon_sym_POUND,
    STATE(10724), 1,
      sym_type_constructor_path,
    STATE(10835), 1,
      sym_attribute,
    STATE(16553), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11480), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11482), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [559391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9150), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [559427] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8947), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8949), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
  [559463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11587), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11585), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [559499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11683), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11681), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [559535] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13271), 1,
      anon_sym_DASH_GT,
    STATE(10840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12418), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12416), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [559573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11639), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11637), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [559609] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9252), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [559645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11643), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11641), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [559681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11647), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11645), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [559717] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12096), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10308), 1,
      aux_sym_expression_item_repeat1,
    STATE(10845), 1,
      sym_attribute,
    STATE(11274), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13103), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [559763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11591), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11589), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [559799] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13353), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13351), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [559841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11655), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11653), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [559877] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13357), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13355), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [559919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11553), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11551), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [559955] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11553), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11551), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [559991] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11072), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11070), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560033] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12096), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10309), 1,
      aux_sym_expression_item_repeat1,
    STATE(10853), 1,
      sym_attribute,
    STATE(11274), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13107), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [560079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11557), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11555), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [560115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11557), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11555), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [560151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11651), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11649), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [560187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11655), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11653), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [560223] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(13295), 1,
      anon_sym_DASH_GT,
    STATE(10858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12382), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12380), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560263] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12096), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10533), 1,
      aux_sym_expression_item_repeat1,
    STATE(10739), 1,
      aux_sym_type_binding_repeat1,
    STATE(10859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13067), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [560309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11627), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11625), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [560345] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13359), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12053), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10861), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12051), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11631), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11629), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [560419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11659), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11657), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [560455] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12096), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10311), 1,
      aux_sym_expression_item_repeat1,
    STATE(10706), 1,
      aux_sym_type_binding_repeat1,
    STATE(10864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13111), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [560501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11635), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11633), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [560537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11561), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11559), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [560573] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13364), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13362), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560615] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11667), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11665), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [560651] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13370), 1,
      anon_sym_DASH_GT,
    ACTIONS(13372), 1,
      anon_sym_with,
    STATE(10869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13368), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13366), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8296), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [560727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11639), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11637), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [560763] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13370), 1,
      anon_sym_DASH_GT,
    ACTIONS(13372), 1,
      anon_sym_with,
    STATE(10872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13376), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13374), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11553), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11551), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [560839] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13370), 1,
      anon_sym_DASH_GT,
    ACTIONS(13372), 1,
      anon_sym_with,
    STATE(10874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13380), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13378), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560879] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11563), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [560915] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11639), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11637), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [560951] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13382), 1,
      anon_sym_DASH_GT,
    ACTIONS(13384), 1,
      anon_sym_with,
    STATE(10877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13376), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13374), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11557), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11555), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [561027] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13382), 1,
      anon_sym_DASH_GT,
    ACTIONS(13384), 1,
      anon_sym_with,
    STATE(10879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13380), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13378), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [561067] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11561), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11559), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [561103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11683), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11681), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [561139] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13382), 1,
      anon_sym_DASH_GT,
    ACTIONS(13384), 1,
      anon_sym_with,
    STATE(10882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13368), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13366), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [561179] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12278), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12276), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [561221] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12581), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12583), 1,
      anon_sym_EQ,
    ACTIONS(13386), 1,
      anon_sym_of,
    ACTIONS(13388), 1,
      anon_sym_COLON2,
    STATE(10884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [561263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11643), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11641), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [561299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11553), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11551), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [561335] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13392), 1,
      anon_sym_LPAREN,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13398), 1,
      anon_sym_functor,
    ACTIONS(13400), 1,
      anon_sym_PERCENT,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    STATE(10887), 1,
      sym_attribute,
    STATE(11846), 1,
      sym__module_type,
    STATE(11847), 1,
      sym__attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [561392] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13404), 1,
      anon_sym_COMMA,
    ACTIONS(13406), 1,
      anon_sym_SEMI,
    ACTIONS(13408), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13410), 1,
      sym_pow_operator,
    ACTIONS(13412), 1,
      sym_mult_operator,
    ACTIONS(13414), 1,
      sym_concat_operator,
    ACTIONS(13416), 1,
      sym_rel_operator,
    ACTIONS(13418), 1,
      sym_and_operator,
    ACTIONS(13420), 1,
      sym_or_operator,
    ACTIONS(13422), 1,
      sym_assign_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(10888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9110), 4,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [561451] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12623), 1,
      anon_sym_let,
    ACTIONS(13424), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10413), 1,
      aux_sym_expression_item_repeat1,
    STATE(10889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12621), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [561494] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13400), 1,
      anon_sym_PERCENT,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(10890), 1,
      sym_attribute,
    STATE(11668), 1,
      sym__attribute,
    STATE(15249), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [561551] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13400), 1,
      anon_sym_PERCENT,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(10891), 1,
      sym_attribute,
    STATE(11836), 1,
      sym__attribute,
    STATE(15664), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [561608] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13430), 1,
      anon_sym_LPAREN,
    ACTIONS(13432), 1,
      anon_sym_end,
    STATE(10892), 1,
      sym_attribute,
    STATE(11305), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561665] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12242), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10501), 1,
      aux_sym_expression_item_repeat1,
    STATE(10893), 1,
      sym_attribute,
    STATE(11788), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12438), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [561710] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13434), 1,
      anon_sym_LPAREN,
    ACTIONS(13436), 1,
      anon_sym_end,
    STATE(10894), 1,
      sym_attribute,
    STATE(11157), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561767] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12242), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10533), 1,
      aux_sym_expression_item_repeat1,
    STATE(10895), 1,
      sym_attribute,
    STATE(10906), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13067), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [561812] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10345), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13438), 1,
      anon_sym_STAR,
    STATE(10896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10343), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [561849] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12242), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10584), 1,
      aux_sym_expression_item_repeat1,
    STATE(10897), 1,
      sym_attribute,
    STATE(11788), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12965), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [561894] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7061), 1,
      anon_sym_let,
    ACTIONS(7129), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10340), 1,
      aux_sym_expression_item_repeat1,
    STATE(10898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7059), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [561937] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12242), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10607), 1,
      aux_sym_expression_item_repeat1,
    STATE(10899), 1,
      sym_attribute,
    STATE(11788), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12450), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [561982] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13440), 1,
      anon_sym_LPAREN,
    ACTIONS(13442), 1,
      anon_sym_end,
    STATE(10900), 1,
      sym_attribute,
    STATE(11484), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562039] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13444), 1,
      anon_sym_LPAREN,
    ACTIONS(13446), 1,
      anon_sym_end,
    STATE(10901), 1,
      sym_attribute,
    STATE(11326), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562096] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6891), 1,
      anon_sym_let,
    ACTIONS(6893), 1,
      anon_sym_EQ,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10418), 1,
      aux_sym_expression_item_repeat1,
    STATE(10902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6889), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [562139] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12142), 1,
      anon_sym_STAR,
    ACTIONS(13275), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10903), 1,
      sym_attribute,
    STATE(11047), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13273), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [562178] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13448), 1,
      anon_sym_LPAREN,
    ACTIONS(13450), 1,
      anon_sym_end,
    STATE(10904), 1,
      sym_attribute,
    STATE(11631), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562235] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12242), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10452), 1,
      aux_sym_expression_item_repeat1,
    STATE(10905), 1,
      sym_attribute,
    STATE(10911), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13081), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [562280] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12242), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10469), 1,
      aux_sym_expression_item_repeat1,
    STATE(10906), 1,
      sym_attribute,
    STATE(11788), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13039), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [562325] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12242), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10520), 1,
      aux_sym_expression_item_repeat1,
    STATE(10907), 1,
      sym_attribute,
    STATE(10914), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13085), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [562370] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12242), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10521), 1,
      aux_sym_expression_item_repeat1,
    STATE(10908), 1,
      sym_attribute,
    STATE(11788), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13089), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [562415] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13452), 1,
      aux_sym_attribute_id_token1,
    STATE(10909), 1,
      sym_attribute,
    STATE(11010), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 8,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(9034), 10,
      anon_sym_rec,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_virtual,
      anon_sym_functor,
      anon_sym_struct,
      sym__identifier,
  [562454] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13400), 1,
      anon_sym_PERCENT,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(10910), 1,
      sym_attribute,
    STATE(11771), 1,
      sym__attribute,
    STATE(15151), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [562511] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12242), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10591), 1,
      aux_sym_expression_item_repeat1,
    STATE(10911), 1,
      sym_attribute,
    STATE(11788), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12865), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [562556] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12242), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10627), 1,
      aux_sym_expression_item_repeat1,
    STATE(10912), 1,
      sym_attribute,
    STATE(10917), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13093), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [562601] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12242), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10638), 1,
      aux_sym_expression_item_repeat1,
    STATE(10913), 1,
      sym_attribute,
    STATE(10918), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13097), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [562646] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12242), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10643), 1,
      aux_sym_expression_item_repeat1,
    STATE(10914), 1,
      sym_attribute,
    STATE(11788), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13013), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [562691] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12581), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12583), 1,
      anon_sym_EQ,
    ACTIONS(13454), 1,
      anon_sym_of,
    ACTIONS(13456), 1,
      anon_sym_COLON2,
    STATE(10915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [562732] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13458), 1,
      anon_sym_LPAREN,
    ACTIONS(13460), 1,
      anon_sym_end,
    STATE(10916), 1,
      sym_attribute,
    STATE(11230), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562789] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12242), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10308), 1,
      aux_sym_expression_item_repeat1,
    STATE(10917), 1,
      sym_attribute,
    STATE(11788), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13103), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [562834] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12242), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10309), 1,
      aux_sym_expression_item_repeat1,
    STATE(10918), 1,
      sym_attribute,
    STATE(11788), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13107), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [562879] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12242), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10311), 1,
      aux_sym_expression_item_repeat1,
    STATE(10919), 1,
      sym_attribute,
    STATE(10920), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13111), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [562924] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12242), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10395), 1,
      aux_sym_expression_item_repeat1,
    STATE(10920), 1,
      sym_attribute,
    STATE(11788), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12503), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [562969] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13462), 1,
      anon_sym_LPAREN,
    ACTIONS(13464), 1,
      anon_sym_end,
    STATE(10921), 1,
      sym_attribute,
    STATE(11123), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563026] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12901), 1,
      anon_sym_let,
    ACTIONS(13466), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10377), 1,
      aux_sym_expression_item_repeat1,
    STATE(10922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12899), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [563069] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13400), 1,
      anon_sym_PERCENT,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13468), 1,
      anon_sym_LPAREN,
    ACTIONS(13470), 1,
      anon_sym_functor,
    STATE(10923), 1,
      sym_attribute,
    STATE(11583), 1,
      sym__module_type,
    STATE(11786), 1,
      sym__attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [563126] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13400), 1,
      anon_sym_PERCENT,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(10924), 1,
      sym_attribute,
    STATE(11693), 1,
      sym__attribute,
    STATE(15506), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [563183] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12623), 1,
      anon_sym_let,
    ACTIONS(13472), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10413), 1,
      aux_sym_expression_item_repeat1,
    STATE(10925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12621), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [563226] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12591), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12593), 1,
      anon_sym_EQ,
    ACTIONS(13474), 1,
      anon_sym_of,
    ACTIONS(13476), 1,
      anon_sym_COLON2,
    STATE(10926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12589), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [563267] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12788), 1,
      anon_sym_let,
    ACTIONS(13478), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10457), 1,
      aux_sym_expression_item_repeat1,
    STATE(10927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12786), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [563310] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13480), 1,
      anon_sym_LPAREN,
    ACTIONS(13482), 1,
      anon_sym_end,
    STATE(10928), 1,
      sym_attribute,
    STATE(11335), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11539), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11537), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [563402] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13400), 1,
      anon_sym_PERCENT,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(10930), 1,
      sym_attribute,
    STATE(11724), 1,
      sym__attribute,
    STATE(15128), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [563459] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13400), 1,
      anon_sym_PERCENT,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(10931), 1,
      sym_attribute,
    STATE(11772), 1,
      sym__attribute,
    STATE(15718), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [563516] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13368), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13484), 1,
      anon_sym_DASH_GT,
    ACTIONS(13486), 1,
      anon_sym_with,
    STATE(10932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13366), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [563555] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13488), 1,
      anon_sym_PIPE,
    STATE(10933), 1,
      sym_attribute,
    STATE(10958), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11683), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11681), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [563629] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13494), 1,
      anon_sym_PIPE,
    STATE(10935), 1,
      sym_attribute,
    STATE(10938), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13492), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13490), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [563668] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13488), 1,
      anon_sym_PIPE,
    STATE(10936), 1,
      sym_attribute,
    STATE(10988), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563707] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13494), 1,
      anon_sym_PIPE,
    STATE(10937), 1,
      sym_attribute,
    STATE(10938), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13498), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13496), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [563746] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13500), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12989), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10938), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(12987), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [563783] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13503), 1,
      anon_sym_LPAREN,
    ACTIONS(13505), 1,
      anon_sym_end,
    STATE(10939), 1,
      sym_attribute,
    STATE(11231), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563840] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12601), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12603), 1,
      anon_sym_EQ,
    ACTIONS(13507), 1,
      anon_sym_of,
    ACTIONS(13509), 1,
      anon_sym_COLON2,
    STATE(10940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12599), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [563881] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13511), 1,
      anon_sym_LPAREN,
    ACTIONS(13513), 1,
      anon_sym_end,
    STATE(10941), 1,
      sym_attribute,
    STATE(11607), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13517), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13515), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      anon_sym_DQUOTE,
      sym_let_operator,
      aux_sym_directive_token1,
  [563973] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6891), 1,
      anon_sym_let,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6985), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10418), 1,
      aux_sym_expression_item_repeat1,
    STATE(10943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6889), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [564016] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13521), 1,
      anon_sym_let,
    ACTIONS(13523), 1,
      anon_sym_and,
    STATE(10944), 1,
      sym_attribute,
    STATE(11081), 1,
      aux_sym_class_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13519), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [564055] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13525), 1,
      anon_sym_LPAREN,
    ACTIONS(13527), 1,
      anon_sym_end,
    STATE(10945), 1,
      sym_attribute,
    STATE(11485), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564112] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13380), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13484), 1,
      anon_sym_DASH_GT,
    ACTIONS(13486), 1,
      anon_sym_with,
    STATE(10946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13378), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [564151] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13400), 1,
      anon_sym_PERCENT,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(10947), 1,
      sym_attribute,
    STATE(11680), 1,
      sym__attribute,
    STATE(15358), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [564208] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12788), 1,
      anon_sym_let,
    ACTIONS(13529), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10457), 1,
      aux_sym_expression_item_repeat1,
    STATE(10948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12786), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [564251] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13531), 1,
      anon_sym_LPAREN,
    ACTIONS(13533), 1,
      anon_sym_end,
    STATE(10949), 1,
      sym_attribute,
    STATE(11344), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11707), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11705), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [564343] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12901), 1,
      anon_sym_let,
    ACTIONS(13535), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10377), 1,
      aux_sym_expression_item_repeat1,
    STATE(10951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12899), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [564386] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(13295), 1,
      anon_sym_DASH_GT,
    STATE(10952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12398), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12396), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [564425] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13537), 1,
      anon_sym_LPAREN,
    ACTIONS(13539), 1,
      anon_sym_end,
    STATE(10953), 1,
      sym_attribute,
    STATE(11205), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8288), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8290), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      anon_sym_DQUOTE,
      sym_let_operator,
      aux_sym_directive_token1,
  [564517] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13404), 1,
      anon_sym_COMMA,
    ACTIONS(13408), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13410), 1,
      sym_pow_operator,
    ACTIONS(13412), 1,
      sym_mult_operator,
    ACTIONS(13414), 1,
      sym_concat_operator,
    ACTIONS(13416), 1,
      sym_rel_operator,
    ACTIONS(13418), 1,
      sym_and_operator,
    ACTIONS(13420), 1,
      sym_or_operator,
    ACTIONS(13422), 1,
      sym_assign_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(10955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10239), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10237), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [564574] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13543), 1,
      anon_sym_BANG,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(8863), 1,
      sym__module_expression,
    STATE(10956), 1,
      sym_attribute,
    STATE(11924), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [564631] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(12394), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13551), 1,
      anon_sym_DASH_GT,
    STATE(10957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12392), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [564670] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13488), 1,
      anon_sym_PIPE,
    STATE(10958), 1,
      sym_attribute,
    STATE(11007), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [564709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8296), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [564744] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13553), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10960), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8949), 8,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(8947), 10,
      anon_sym_rec,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_virtual,
      anon_sym_functor,
      anon_sym_struct,
      sym__identifier,
  [564781] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7029), 1,
      anon_sym_let,
    ACTIONS(7135), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10508), 1,
      aux_sym_expression_item_repeat1,
    STATE(10961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7027), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [564824] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13400), 1,
      anon_sym_PERCENT,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(10962), 1,
      sym_attribute,
    STATE(11813), 1,
      sym__attribute,
    STATE(15288), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [564881] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13400), 1,
      anon_sym_PERCENT,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(10963), 1,
      sym_attribute,
    STATE(11676), 1,
      sym__attribute,
    STATE(15322), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [564938] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2311), 1,
      sym_add_operator,
    STATE(10964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [564975] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13400), 1,
      anon_sym_PERCENT,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(10965), 1,
      sym_attribute,
    STATE(11665), 1,
      sym__attribute,
    STATE(15185), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [565032] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13400), 1,
      anon_sym_PERCENT,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(10966), 1,
      sym_attribute,
    STATE(11696), 1,
      sym__attribute,
    STATE(15553), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [565089] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13556), 1,
      anon_sym_LPAREN,
    ACTIONS(13558), 1,
      anon_sym_end,
    STATE(10967), 1,
      sym_attribute,
    STATE(11315), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [565146] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11949), 1,
      anon_sym_STAR,
    STATE(10968), 1,
      sym_attribute,
    STATE(10969), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13275), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13273), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [565185] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12053), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10969), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12051), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [565222] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13563), 1,
      anon_sym_LPAREN,
    ACTIONS(13565), 1,
      anon_sym_end,
    STATE(10970), 1,
      sym_attribute,
    STATE(11352), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [565279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11553), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11551), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [565314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11557), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11555), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [565349] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13567), 1,
      anon_sym_else,
    STATE(10359), 1,
      sym_else_clause,
    STATE(10973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [565388] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13400), 1,
      anon_sym_PERCENT,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(10974), 1,
      sym_attribute,
    STATE(11842), 1,
      sym__attribute,
    STATE(16388), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [565445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11561), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11559), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [565480] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(13569), 1,
      sym__identifier,
    ACTIONS(13571), 1,
      anon_sym_POUND,
    STATE(10976), 1,
      sym_attribute,
    STATE(11707), 1,
      sym_type_constructor_path,
    STATE(16472), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11096), 7,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11098), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [565525] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13523), 1,
      anon_sym_and,
    ACTIONS(13575), 1,
      anon_sym_let,
    STATE(10977), 1,
      sym_attribute,
    STATE(10994), 1,
      aux_sym_class_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13573), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [565564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9150), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [565599] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12633), 1,
      sym__identifier,
    ACTIONS(12635), 1,
      anon_sym_POUND,
    STATE(10979), 1,
      sym_attribute,
    STATE(10980), 1,
      sym_type_constructor_path,
    STATE(17531), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12051), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12053), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [565644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11563), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [565679] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13577), 1,
      anon_sym_LPAREN,
    ACTIONS(13579), 1,
      anon_sym_end,
    STATE(10981), 1,
      sym_attribute,
    STATE(11618), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [565736] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12422), 1,
      sym__identifier,
    ACTIONS(12424), 1,
      anon_sym_POUND,
    STATE(10665), 1,
      sym_type_constructor_path,
    STATE(10982), 1,
      sym_attribute,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11476), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11478), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [565781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9252), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [565816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8300), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [565851] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13581), 1,
      anon_sym_LPAREN,
    ACTIONS(13583), 1,
      anon_sym_end,
    STATE(10985), 1,
      sym_attribute,
    STATE(11360), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [565908] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13585), 1,
      anon_sym_else,
    STATE(10359), 1,
      sym_else_clause,
    STATE(10986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [565947] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13587), 1,
      anon_sym_LPAREN,
    ACTIONS(13589), 1,
      anon_sym_end,
    STATE(10987), 1,
      sym_attribute,
    STATE(11404), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566004] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13488), 1,
      anon_sym_PIPE,
    STATE(10988), 1,
      sym_attribute,
    STATE(11007), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [566043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8304), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [566078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8308), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [566113] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13591), 1,
      anon_sym_LPAREN,
    ACTIONS(13593), 1,
      anon_sym_end,
    STATE(10991), 1,
      sym_attribute,
    STATE(11453), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566170] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(13569), 1,
      sym__identifier,
    ACTIONS(13571), 1,
      anon_sym_POUND,
    STATE(10992), 1,
      sym_attribute,
    STATE(11707), 1,
      sym_type_constructor_path,
    STATE(16472), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10131), 7,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10133), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [566215] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12422), 1,
      sym__identifier,
    ACTIONS(12424), 1,
      anon_sym_POUND,
    STATE(10665), 1,
      sym_type_constructor_path,
    STATE(10993), 1,
      sym_attribute,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11480), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11482), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [566260] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13597), 1,
      anon_sym_let,
    ACTIONS(13599), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10994), 2,
      sym_attribute,
      aux_sym_class_type_definition_repeat1,
    ACTIONS(13595), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [566297] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13602), 1,
      anon_sym_LPAREN,
    ACTIONS(13604), 1,
      anon_sym_end,
    STATE(10995), 1,
      sym_attribute,
    STATE(11294), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566354] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13606), 1,
      anon_sym_LPAREN,
    ACTIONS(13608), 1,
      anon_sym_end,
    STATE(10996), 1,
      sym_attribute,
    STATE(11195), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566411] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13610), 1,
      anon_sym_LPAREN,
    ACTIONS(13612), 1,
      anon_sym_end,
    STATE(10997), 1,
      sym_attribute,
    STATE(11368), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566468] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13614), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12312), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10998), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12310), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [566507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11577), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [566542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11583), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11581), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [566577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11587), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11585), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [566612] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(13569), 1,
      sym__identifier,
    ACTIONS(13617), 1,
      anon_sym_POUND,
    STATE(11002), 1,
      sym_attribute,
    STATE(11780), 1,
      sym_type_constructor_path,
    STATE(16472), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11102), 7,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11104), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [566657] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12382), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(13551), 1,
      anon_sym_DASH_GT,
    STATE(11003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12380), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [566696] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13619), 1,
      anon_sym_LPAREN,
    ACTIONS(13621), 1,
      anon_sym_end,
    STATE(11004), 1,
      sym_attribute,
    STATE(11132), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566753] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11591), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11589), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [566788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8294), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      anon_sym_DQUOTE,
      sym_let_operator,
      aux_sym_directive_token1,
  [566823] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13623), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11007), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [566860] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13626), 1,
      anon_sym_LPAREN,
    ACTIONS(13628), 1,
      anon_sym_end,
    STATE(11008), 1,
      sym_attribute,
    STATE(11273), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566917] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10483), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10485), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [566952] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13452), 1,
      aux_sym_attribute_id_token1,
    STATE(10960), 1,
      aux_sym_attribute_id_repeat1,
    STATE(11010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8962), 8,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(8960), 10,
      anon_sym_rec,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_virtual,
      anon_sym_functor,
      anon_sym_struct,
      sym__identifier,
  [566991] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13400), 1,
      anon_sym_PERCENT,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11011), 1,
      sym_attribute,
    STATE(11653), 1,
      sym__attribute,
    STATE(16402), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [567048] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13400), 1,
      anon_sym_PERCENT,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11012), 1,
      sym_attribute,
    STATE(11841), 1,
      sym__attribute,
    STATE(16092), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [567105] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13484), 1,
      anon_sym_DASH_GT,
    ACTIONS(13486), 1,
      anon_sym_with,
    STATE(11013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13374), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [567144] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13400), 1,
      anon_sym_PERCENT,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11014), 1,
      sym_attribute,
    STATE(11701), 1,
      sym__attribute,
    STATE(15614), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [567201] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13630), 1,
      anon_sym_LPAREN,
    ACTIONS(13632), 1,
      anon_sym_end,
    STATE(11015), 1,
      sym_attribute,
    STATE(11646), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [567258] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13634), 1,
      anon_sym_LPAREN,
    ACTIONS(13636), 1,
      anon_sym_end,
    STATE(11016), 1,
      sym_attribute,
    STATE(11240), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [567315] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(13638), 1,
      anon_sym_LPAREN,
    ACTIONS(13640), 1,
      anon_sym_BANG,
    ACTIONS(13642), 1,
      anon_sym_functor,
    ACTIONS(13644), 1,
      anon_sym_struct,
    ACTIONS(13646), 1,
      sym__capitalized_identifier,
    STATE(11017), 1,
      sym_attribute,
    STATE(11883), 1,
      sym__attribute,
    STATE(12895), 1,
      sym__module_expression,
    STATE(13122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13194), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13188), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [567372] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13648), 1,
      anon_sym_LPAREN,
    ACTIONS(13650), 1,
      anon_sym_end,
    STATE(11018), 1,
      sym_attribute,
    STATE(11213), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [567429] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13652), 1,
      anon_sym_LPAREN,
    ACTIONS(13654), 1,
      anon_sym_end,
    STATE(11019), 1,
      sym_attribute,
    STATE(11379), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [567486] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10483), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10485), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [567521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12286), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12284), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [567556] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12581), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12583), 1,
      anon_sym_EQ,
    ACTIONS(13656), 1,
      anon_sym_of,
    ACTIONS(13658), 1,
      anon_sym_COLON2,
    STATE(11022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [567597] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13660), 1,
      anon_sym_LPAREN,
    ACTIONS(13662), 1,
      anon_sym_end,
    STATE(11023), 1,
      sym_attribute,
    STATE(11592), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [567654] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13400), 1,
      anon_sym_PERCENT,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11024), 1,
      sym_attribute,
    STATE(11799), 1,
      sym__attribute,
    STATE(16435), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [567711] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13408), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13410), 1,
      sym_pow_operator,
    ACTIONS(13412), 1,
      sym_mult_operator,
    ACTIONS(13414), 1,
      sym_concat_operator,
    ACTIONS(13416), 1,
      sym_rel_operator,
    ACTIONS(13418), 1,
      sym_and_operator,
    ACTIONS(13420), 1,
      sym_or_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(11025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10280), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [567764] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13400), 1,
      anon_sym_PERCENT,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11026), 1,
      sym_attribute,
    STATE(11682), 1,
      sym__attribute,
    STATE(15374), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [567821] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6935), 1,
      anon_sym_let,
    ACTIONS(6937), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10466), 1,
      aux_sym_expression_item_repeat1,
    STATE(11027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6933), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [567864] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12591), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12593), 1,
      anon_sym_EQ,
    ACTIONS(13664), 1,
      anon_sym_of,
    ACTIONS(13666), 1,
      anon_sym_COLON2,
    STATE(11028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12589), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [567905] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13668), 1,
      anon_sym_LPAREN,
    ACTIONS(13670), 1,
      anon_sym_end,
    STATE(11029), 1,
      sym_attribute,
    STATE(11186), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [567962] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10994), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(10992), 11,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
  [567997] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12422), 1,
      sym__identifier,
    ACTIONS(12424), 1,
      anon_sym_POUND,
    STATE(10665), 1,
      sym_type_constructor_path,
    STATE(11031), 1,
      sym_attribute,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12256), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12258), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [568042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12206), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12204), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [568077] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7053), 1,
      anon_sym_let,
    ACTIONS(7131), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10313), 1,
      aux_sym_expression_item_repeat1,
    STATE(11033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7051), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [568120] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13672), 1,
      anon_sym_LPAREN,
    ACTIONS(13674), 1,
      anon_sym_end,
    STATE(11034), 1,
      sym_attribute,
    STATE(11523), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [568177] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12981), 1,
      anon_sym_let,
    ACTIONS(13676), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10566), 1,
      aux_sym_expression_item_repeat1,
    STATE(11035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12979), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [568220] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13408), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13410), 1,
      sym_pow_operator,
    ACTIONS(13412), 1,
      sym_mult_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(11036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [568265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11599), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11597), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [568300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11601), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [568335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11607), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11605), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [568370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11611), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11609), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [568405] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13410), 1,
      sym_pow_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(11041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [568444] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12422), 1,
      sym__identifier,
    ACTIONS(12424), 1,
      anon_sym_POUND,
    STATE(10665), 1,
      sym_type_constructor_path,
    STATE(11042), 1,
      sym_attribute,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12252), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12254), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [568489] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13678), 1,
      anon_sym_LPAREN,
    ACTIONS(13680), 1,
      anon_sym_end,
    STATE(11043), 1,
      sym_attribute,
    STATE(11387), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [568546] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13682), 1,
      anon_sym_LPAREN,
    ACTIONS(13684), 1,
      anon_sym_end,
    STATE(11044), 1,
      sym_attribute,
    STATE(11508), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [568603] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12601), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12603), 1,
      anon_sym_EQ,
    ACTIONS(13686), 1,
      anon_sym_of,
    ACTIONS(13688), 1,
      anon_sym_COLON2,
    STATE(11045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12599), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568644] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13410), 1,
      sym_pow_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(11046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [568683] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12053), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13690), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11047), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12051), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568720] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13400), 1,
      anon_sym_PERCENT,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11048), 1,
      sym_attribute,
    STATE(11656), 1,
      sym__attribute,
    STATE(16214), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [568777] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13408), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13410), 1,
      sym_pow_operator,
    ACTIONS(13412), 1,
      sym_mult_operator,
    ACTIONS(13414), 1,
      sym_concat_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(11049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [568824] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13408), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13410), 1,
      sym_pow_operator,
    ACTIONS(13412), 1,
      sym_mult_operator,
    ACTIONS(13414), 1,
      sym_concat_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(11050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [568871] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13408), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13410), 1,
      sym_pow_operator,
    ACTIONS(13412), 1,
      sym_mult_operator,
    ACTIONS(13414), 1,
      sym_concat_operator,
    ACTIONS(13416), 1,
      sym_rel_operator,
    ACTIONS(13418), 1,
      sym_and_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(11051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_and,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [568922] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13408), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13410), 1,
      sym_pow_operator,
    ACTIONS(13412), 1,
      sym_mult_operator,
    ACTIONS(13414), 1,
      sym_concat_operator,
    ACTIONS(13416), 1,
      sym_rel_operator,
    ACTIONS(13418), 1,
      sym_and_operator,
    ACTIONS(13420), 1,
      sym_or_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(11052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [568975] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13404), 1,
      anon_sym_COMMA,
    ACTIONS(13408), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13410), 1,
      sym_pow_operator,
    ACTIONS(13412), 1,
      sym_mult_operator,
    ACTIONS(13414), 1,
      sym_concat_operator,
    ACTIONS(13416), 1,
      sym_rel_operator,
    ACTIONS(13418), 1,
      sym_and_operator,
    ACTIONS(13420), 1,
      sym_or_operator,
    ACTIONS(13422), 1,
      sym_assign_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(11053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [569032] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13693), 1,
      anon_sym_LPAREN,
    ACTIONS(13695), 1,
      anon_sym_end,
    STATE(11054), 1,
      sym_attribute,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569089] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13410), 1,
      sym_pow_operator,
    ACTIONS(13412), 1,
      sym_mult_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(11055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 7,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [569130] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13404), 1,
      anon_sym_COMMA,
    ACTIONS(13408), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13410), 1,
      sym_pow_operator,
    ACTIONS(13412), 1,
      sym_mult_operator,
    ACTIONS(13414), 1,
      sym_concat_operator,
    ACTIONS(13416), 1,
      sym_rel_operator,
    ACTIONS(13418), 1,
      sym_and_operator,
    ACTIONS(13420), 1,
      sym_or_operator,
    ACTIONS(13422), 1,
      sym_assign_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(11056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10310), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10308), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [569187] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13400), 1,
      anon_sym_PERCENT,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11057), 1,
      sym_attribute,
    STATE(11825), 1,
      sym__attribute,
    STATE(15476), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [569244] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12981), 1,
      anon_sym_let,
    ACTIONS(13697), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10566), 1,
      aux_sym_expression_item_repeat1,
    STATE(11058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12979), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [569287] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13585), 1,
      anon_sym_else,
    STATE(10385), 1,
      sym_else_clause,
    STATE(11059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [569326] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13404), 1,
      anon_sym_COMMA,
    ACTIONS(13408), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13410), 1,
      sym_pow_operator,
    ACTIONS(13412), 1,
      sym_mult_operator,
    ACTIONS(13414), 1,
      sym_concat_operator,
    ACTIONS(13416), 1,
      sym_rel_operator,
    ACTIONS(13418), 1,
      sym_and_operator,
    ACTIONS(13420), 1,
      sym_or_operator,
    ACTIONS(13422), 1,
      sym_assign_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(11060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10320), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [569383] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13699), 1,
      anon_sym_LPAREN,
    ACTIONS(13701), 1,
      anon_sym_end,
    STATE(11061), 1,
      sym_attribute,
    STATE(11248), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569440] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13400), 1,
      anon_sym_PERCENT,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11062), 1,
      sym_attribute,
    STATE(11657), 1,
      sym__attribute,
    STATE(15096), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [569497] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13703), 1,
      anon_sym_LPAREN,
    ACTIONS(13705), 1,
      anon_sym_end,
    STATE(11063), 1,
      sym_attribute,
    STATE(11397), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569554] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13707), 1,
      anon_sym_LPAREN,
    ACTIONS(13709), 1,
      anon_sym_end,
    STATE(11064), 1,
      sym_attribute,
    STATE(11540), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569611] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6935), 1,
      anon_sym_let,
    ACTIONS(7139), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10466), 1,
      aux_sym_expression_item_repeat1,
    STATE(11065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6933), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [569654] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13711), 1,
      anon_sym_LPAREN,
    ACTIONS(13713), 1,
      anon_sym_end,
    STATE(11066), 1,
      sym_attribute,
    STATE(11222), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569711] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13715), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12312), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11067), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12310), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [569750] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7053), 1,
      anon_sym_let,
    ACTIONS(7055), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10313), 1,
      aux_sym_expression_item_repeat1,
    STATE(11068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7051), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [569793] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13400), 1,
      anon_sym_PERCENT,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11069), 1,
      sym_attribute,
    STATE(11838), 1,
      sym__attribute,
    STATE(15866), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [569850] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13718), 1,
      anon_sym_LPAREN,
    ACTIONS(13720), 1,
      anon_sym_end,
    STATE(11070), 1,
      sym_attribute,
    STATE(11565), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11627), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11625), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [569942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11631), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11629), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [569977] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13722), 1,
      anon_sym_LPAREN,
    ACTIONS(13724), 1,
      anon_sym_end,
    STATE(11073), 1,
      sym_attribute,
    STATE(11196), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570034] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7061), 1,
      anon_sym_let,
    ACTIONS(7063), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10340), 1,
      aux_sym_expression_item_repeat1,
    STATE(11074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7059), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11635), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11633), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [570112] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13370), 1,
      anon_sym_DASH_GT,
    ACTIONS(13372), 1,
      anon_sym_with,
    ACTIONS(13728), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10849), 1,
      aux_sym_expression_item_repeat1,
    STATE(11076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13726), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570157] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13370), 1,
      anon_sym_DASH_GT,
    ACTIONS(13372), 1,
      anon_sym_with,
    ACTIONS(13732), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10668), 1,
      aux_sym_expression_item_repeat1,
    STATE(11077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13730), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11639), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11637), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [570237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11643), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11641), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [570272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11647), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11645), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [570307] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13523), 1,
      anon_sym_and,
    ACTIONS(13736), 1,
      anon_sym_let,
    STATE(10994), 1,
      aux_sym_class_type_definition_repeat1,
    STATE(11081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13734), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570346] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13738), 1,
      anon_sym_PIPE,
    STATE(11082), 1,
      sym_attribute,
    STATE(11092), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12172), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12170), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570385] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12017), 1,
      anon_sym_STAR,
    STATE(11083), 1,
      sym_attribute,
    STATE(11087), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13275), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13273), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570424] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13247), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13740), 1,
      anon_sym_and,
    STATE(11084), 1,
      sym_attribute,
    STATE(11098), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13245), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [570463] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13738), 1,
      anon_sym_PIPE,
    STATE(11085), 1,
      sym_attribute,
    STATE(11101), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13492), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13490), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570502] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12509), 1,
      anon_sym_let,
    ACTIONS(13742), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10326), 1,
      aux_sym_expression_item_repeat1,
    STATE(11086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12507), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570545] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13744), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12053), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11087), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12051), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570582] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12418), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13551), 1,
      anon_sym_DASH_GT,
    STATE(11088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12416), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [570619] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12422), 1,
      sym__identifier,
    ACTIONS(12424), 1,
      anon_sym_POUND,
    STATE(10665), 1,
      sym_type_constructor_path,
    STATE(11089), 1,
      sym_attribute,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12212), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12214), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [570664] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13567), 1,
      anon_sym_else,
    STATE(10385), 1,
      sym_else_clause,
    STATE(11090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [570703] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13747), 1,
      anon_sym_LPAREN,
    ACTIONS(13749), 1,
      anon_sym_end,
    STATE(11091), 1,
      sym_attribute,
    STATE(11168), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570760] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13738), 1,
      anon_sym_PIPE,
    STATE(11092), 1,
      sym_attribute,
    STATE(11102), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13492), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13490), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570799] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13523), 1,
      anon_sym_and,
    ACTIONS(13736), 1,
      anon_sym_let,
    STATE(10977), 1,
      aux_sym_class_type_definition_repeat1,
    STATE(11093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13734), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570838] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12422), 1,
      sym__identifier,
    ACTIONS(12424), 1,
      anon_sym_POUND,
    STATE(10665), 1,
      sym_type_constructor_path,
    STATE(11094), 1,
      sym_attribute,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11488), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11490), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [570883] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13400), 1,
      anon_sym_PERCENT,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11095), 1,
      sym_attribute,
    STATE(11689), 1,
      sym__attribute,
    STATE(15434), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [570940] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13751), 1,
      anon_sym_LPAREN,
    ACTIONS(13753), 1,
      anon_sym_end,
    STATE(11096), 1,
      sym_attribute,
    STATE(11144), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570997] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13494), 1,
      anon_sym_PIPE,
    STATE(10935), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12172), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12170), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571036] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13135), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13740), 1,
      anon_sym_and,
    STATE(11098), 1,
      sym_attribute,
    STATE(11111), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13133), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [571075] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13755), 1,
      anon_sym_LPAREN,
    ACTIONS(13757), 1,
      anon_sym_end,
    STATE(11099), 1,
      sym_attribute,
    STATE(11177), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571132] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13494), 1,
      anon_sym_PIPE,
    STATE(10937), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13492), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13490), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571171] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13738), 1,
      anon_sym_PIPE,
    STATE(11101), 1,
      sym_attribute,
    STATE(11102), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13498), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13496), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571210] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13759), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12989), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11102), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(12987), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11651), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11649), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [571282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11655), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11653), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [571317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11659), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11657), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [571352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12302), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12300), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [571387] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13382), 1,
      anon_sym_DASH_GT,
    ACTIONS(13384), 1,
      anon_sym_with,
    ACTIONS(13728), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10849), 1,
      aux_sym_expression_item_repeat1,
    STATE(11107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13726), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571432] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13382), 1,
      anon_sym_DASH_GT,
    ACTIONS(13384), 1,
      anon_sym_with,
    ACTIONS(13732), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10668), 1,
      aux_sym_expression_item_repeat1,
    STATE(11108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13730), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571477] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13762), 1,
      anon_sym_LPAREN,
    ACTIONS(13764), 1,
      anon_sym_end,
    STATE(11109), 1,
      sym_attribute,
    STATE(11259), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571534] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7029), 1,
      anon_sym_let,
    ACTIONS(7031), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10508), 1,
      aux_sym_expression_item_repeat1,
    STATE(11110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7027), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571577] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11893), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13766), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11111), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(11891), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [571614] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13771), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10785), 1,
      aux_sym_expression_item_repeat1,
    STATE(11112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13773), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13769), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571657] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13777), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10847), 1,
      aux_sym_expression_item_repeat1,
    STATE(11113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13779), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13775), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571700] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13781), 1,
      anon_sym_LPAREN,
    ACTIONS(13783), 1,
      anon_sym_end,
    STATE(11114), 1,
      sym_attribute,
    STATE(11284), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11667), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11665), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [571792] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13771), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10785), 1,
      aux_sym_expression_item_repeat1,
    STATE(11116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13785), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13769), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571835] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13777), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10847), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13787), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13775), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571878] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12509), 1,
      anon_sym_let,
    ACTIONS(13789), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10326), 1,
      aux_sym_expression_item_repeat1,
    STATE(11118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12507), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571921] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(13271), 1,
      anon_sym_DASH_GT,
    STATE(11119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12398), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12396), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571960] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11120), 1,
      sym_attribute,
    STATE(12054), 1,
      sym__attribute,
    STATE(12987), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [572014] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13795), 1,
      anon_sym_and,
    ACTIONS(13798), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13793), 2,
      anon_sym_let,
      anon_sym_in,
    STATE(11121), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(13791), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572052] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13464), 1,
      anon_sym_end,
    STATE(11122), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572106] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13801), 1,
      anon_sym_end,
    STATE(11123), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572160] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13803), 1,
      anon_sym_end,
    STATE(11124), 1,
      sym_attribute,
    STATE(11125), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572214] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13805), 1,
      anon_sym_end,
    STATE(11125), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572268] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13805), 1,
      anon_sym_end,
    STATE(11126), 1,
      sym_attribute,
    STATE(11127), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572322] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13807), 1,
      anon_sym_end,
    STATE(11127), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572376] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13807), 1,
      anon_sym_end,
    STATE(11128), 1,
      sym_attribute,
    STATE(11129), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572430] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13809), 1,
      anon_sym_end,
    STATE(11129), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572484] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13621), 1,
      anon_sym_end,
    STATE(11130), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572538] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13811), 1,
      anon_sym_end,
    STATE(11131), 1,
      sym_attribute,
    STATE(11193), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572592] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13813), 1,
      anon_sym_end,
    STATE(11132), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572646] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13815), 1,
      anon_sym_end,
    STATE(11133), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572700] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13819), 1,
      anon_sym_let,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(11134), 1,
      sym_attribute,
    STATE(11158), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13817), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572740] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13821), 1,
      anon_sym_end,
    STATE(11135), 1,
      sym_attribute,
    STATE(11136), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572794] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13823), 1,
      anon_sym_end,
    STATE(11136), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572848] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13823), 1,
      anon_sym_end,
    STATE(11137), 1,
      sym_attribute,
    STATE(11138), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572902] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13825), 1,
      anon_sym_end,
    STATE(11138), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572956] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13825), 1,
      anon_sym_end,
    STATE(11139), 1,
      sym_attribute,
    STATE(11140), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573010] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13827), 1,
      anon_sym_end,
    STATE(11140), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573064] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13829), 1,
      anon_sym_end,
    STATE(11141), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573118] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13753), 1,
      anon_sym_end,
    STATE(11142), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573172] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13724), 1,
      anon_sym_end,
    STATE(11143), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573226] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13831), 1,
      anon_sym_end,
    STATE(11144), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573280] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13833), 1,
      anon_sym_end,
    STATE(11145), 1,
      sym_attribute,
    STATE(11146), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573334] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13835), 1,
      anon_sym_end,
    STATE(11146), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573388] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13835), 1,
      anon_sym_end,
    STATE(11147), 1,
      sym_attribute,
    STATE(11148), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573442] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13837), 1,
      anon_sym_end,
    STATE(11148), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573496] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13837), 1,
      anon_sym_end,
    STATE(11149), 1,
      sym_attribute,
    STATE(11150), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573550] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13839), 1,
      anon_sym_end,
    STATE(11150), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573604] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13841), 1,
      anon_sym_end,
    STATE(11151), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573658] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13841), 1,
      anon_sym_end,
    STATE(11152), 1,
      sym_attribute,
    STATE(11153), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573712] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13843), 1,
      anon_sym_end,
    STATE(11153), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573766] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13843), 1,
      anon_sym_end,
    STATE(11154), 1,
      sym_attribute,
    STATE(11156), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573820] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13436), 1,
      anon_sym_end,
    STATE(11155), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573874] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13845), 1,
      anon_sym_end,
    STATE(11156), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573928] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13847), 1,
      anon_sym_end,
    STATE(11157), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573982] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13851), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(11158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13849), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [574022] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13853), 1,
      anon_sym_end,
    STATE(11159), 1,
      sym_attribute,
    STATE(11160), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574076] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13855), 1,
      anon_sym_end,
    STATE(11160), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574130] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13855), 1,
      anon_sym_end,
    STATE(11161), 1,
      sym_attribute,
    STATE(11162), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574184] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13857), 1,
      anon_sym_end,
    STATE(11162), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574238] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13857), 1,
      anon_sym_end,
    STATE(11163), 1,
      sym_attribute,
    STATE(11164), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574292] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13859), 1,
      anon_sym_end,
    STATE(11164), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574346] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    ACTIONS(13861), 1,
      anon_sym_RPAREN,
    STATE(11165), 1,
      sym_attribute,
    STATE(15837), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [574400] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(8888), 1,
      sym__module_expression,
    STATE(11166), 1,
      sym_attribute,
    STATE(12005), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [574454] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13749), 1,
      anon_sym_end,
    STATE(11167), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574508] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13863), 1,
      anon_sym_end,
    STATE(11168), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574562] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11320), 1,
      anon_sym_COLON2,
    STATE(11169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(9254), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [574598] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13865), 1,
      anon_sym_end,
    STATE(11170), 1,
      sym_attribute,
    STATE(11171), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574652] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13867), 1,
      anon_sym_end,
    STATE(11171), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574706] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13867), 1,
      anon_sym_end,
    STATE(11172), 1,
      sym_attribute,
    STATE(11173), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574760] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13869), 1,
      anon_sym_end,
    STATE(11173), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574814] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13869), 1,
      anon_sym_end,
    STATE(11174), 1,
      sym_attribute,
    STATE(11175), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574868] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13871), 1,
      anon_sym_end,
    STATE(11175), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574922] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13757), 1,
      anon_sym_end,
    STATE(11176), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574976] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13873), 1,
      anon_sym_end,
    STATE(11177), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575030] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11178), 1,
      sym_attribute,
    STATE(11950), 1,
      sym__attribute,
    STATE(12904), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [575084] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13875), 1,
      anon_sym_end,
    STATE(11179), 1,
      sym_attribute,
    STATE(11180), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575138] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13877), 1,
      anon_sym_end,
    STATE(11180), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575192] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13877), 1,
      anon_sym_end,
    STATE(11181), 1,
      sym_attribute,
    STATE(11182), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575246] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13879), 1,
      anon_sym_end,
    STATE(11182), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575300] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13879), 1,
      anon_sym_end,
    STATE(11183), 1,
      sym_attribute,
    STATE(11184), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575354] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13881), 1,
      anon_sym_end,
    STATE(11184), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575408] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13670), 1,
      anon_sym_end,
    STATE(11185), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575462] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13883), 1,
      anon_sym_end,
    STATE(11186), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575516] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13885), 1,
      anon_sym_end,
    STATE(11187), 1,
      sym_attribute,
    STATE(11188), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575570] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13887), 1,
      anon_sym_end,
    STATE(11188), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575624] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13887), 1,
      anon_sym_end,
    STATE(11189), 1,
      sym_attribute,
    STATE(11190), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575678] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13889), 1,
      anon_sym_end,
    STATE(11190), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575732] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13889), 1,
      anon_sym_end,
    STATE(11191), 1,
      sym_attribute,
    STATE(11192), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575786] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13891), 1,
      anon_sym_end,
    STATE(11192), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575840] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13893), 1,
      anon_sym_end,
    STATE(11193), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575894] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13608), 1,
      anon_sym_end,
    STATE(11194), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575948] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13895), 1,
      anon_sym_end,
    STATE(11195), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576002] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13897), 1,
      anon_sym_end,
    STATE(11196), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576056] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13899), 1,
      anon_sym_end,
    STATE(11197), 1,
      sym_attribute,
    STATE(11198), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576110] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13901), 1,
      anon_sym_end,
    STATE(11198), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576164] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13901), 1,
      anon_sym_end,
    STATE(11199), 1,
      sym_attribute,
    STATE(11200), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576218] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13903), 1,
      anon_sym_end,
    STATE(11200), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576272] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13903), 1,
      anon_sym_end,
    STATE(11201), 1,
      sym_attribute,
    STATE(11202), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576326] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13905), 1,
      anon_sym_end,
    STATE(11202), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13597), 1,
      anon_sym_let,
    STATE(11203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13595), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576414] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13539), 1,
      anon_sym_end,
    STATE(11204), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576468] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_end,
    STATE(11205), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576522] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13909), 1,
      anon_sym_end,
    STATE(11206), 1,
      sym_attribute,
    STATE(11207), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576576] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13911), 1,
      anon_sym_end,
    STATE(11207), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576630] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13911), 1,
      anon_sym_end,
    STATE(11208), 1,
      sym_attribute,
    STATE(11209), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576684] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13913), 1,
      anon_sym_end,
    STATE(11209), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576738] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13913), 1,
      anon_sym_end,
    STATE(11210), 1,
      sym_attribute,
    STATE(11211), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576792] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13915), 1,
      anon_sym_end,
    STATE(11211), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576846] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13650), 1,
      anon_sym_end,
    STATE(11212), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576900] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13917), 1,
      anon_sym_end,
    STATE(11213), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576954] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13919), 1,
      anon_sym_end,
    STATE(11214), 1,
      sym_attribute,
    STATE(11216), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577008] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13505), 1,
      anon_sym_end,
    STATE(11215), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577062] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13921), 1,
      anon_sym_end,
    STATE(11216), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577116] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13921), 1,
      anon_sym_end,
    STATE(11217), 1,
      sym_attribute,
    STATE(11218), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577170] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13923), 1,
      anon_sym_end,
    STATE(11218), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577224] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13923), 1,
      anon_sym_end,
    STATE(11219), 1,
      sym_attribute,
    STATE(11220), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577278] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13925), 1,
      anon_sym_end,
    STATE(11220), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577332] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13713), 1,
      anon_sym_end,
    STATE(11221), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577386] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13927), 1,
      anon_sym_end,
    STATE(11222), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577440] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13929), 1,
      anon_sym_end,
    STATE(11223), 1,
      sym_attribute,
    STATE(11224), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577494] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13931), 1,
      anon_sym_end,
    STATE(11224), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577548] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13931), 1,
      anon_sym_end,
    STATE(11225), 1,
      sym_attribute,
    STATE(11226), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577602] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13933), 1,
      anon_sym_end,
    STATE(11226), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577656] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13933), 1,
      anon_sym_end,
    STATE(11227), 1,
      sym_attribute,
    STATE(11228), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577710] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13935), 1,
      anon_sym_end,
    STATE(11228), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577764] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13460), 1,
      anon_sym_end,
    STATE(11229), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577818] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13937), 1,
      anon_sym_end,
    STATE(11230), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577872] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13939), 1,
      anon_sym_end,
    STATE(11231), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577926] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13941), 1,
      anon_sym_end,
    STATE(11232), 1,
      sym_attribute,
    STATE(11233), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577980] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13943), 1,
      anon_sym_end,
    STATE(11233), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578034] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13943), 1,
      anon_sym_end,
    STATE(11234), 1,
      sym_attribute,
    STATE(11235), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578088] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13945), 1,
      anon_sym_end,
    STATE(11235), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578142] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13945), 1,
      anon_sym_end,
    STATE(11236), 1,
      sym_attribute,
    STATE(11237), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578196] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13947), 1,
      anon_sym_end,
    STATE(11237), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578250] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13949), 1,
      anon_sym_end,
    STATE(11238), 1,
      sym_attribute,
    STATE(11291), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578304] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13636), 1,
      anon_sym_end,
    STATE(11239), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578358] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13951), 1,
      anon_sym_end,
    STATE(11240), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578412] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13953), 1,
      anon_sym_end,
    STATE(11241), 1,
      sym_attribute,
    STATE(11242), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578466] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13955), 1,
      anon_sym_end,
    STATE(11242), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578520] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13955), 1,
      anon_sym_end,
    STATE(11243), 1,
      sym_attribute,
    STATE(11244), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578574] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13957), 1,
      anon_sym_end,
    STATE(11244), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578628] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13957), 1,
      anon_sym_end,
    STATE(11245), 1,
      sym_attribute,
    STATE(11246), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578682] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13959), 1,
      anon_sym_end,
    STATE(11246), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578736] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13701), 1,
      anon_sym_end,
    STATE(11247), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578790] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13961), 1,
      anon_sym_end,
    STATE(11248), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578844] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13963), 1,
      anon_sym_end,
    STATE(11249), 1,
      sym_attribute,
    STATE(11267), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578898] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13969), 1,
      anon_sym_and,
    ACTIONS(13971), 1,
      sym_let_and_operator,
    STATE(11250), 1,
      sym_attribute,
    STATE(11434), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13967), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13965), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [578938] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13973), 1,
      anon_sym_end,
    STATE(11251), 1,
      sym_attribute,
    STATE(11252), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578992] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13975), 1,
      anon_sym_end,
    STATE(11252), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579046] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13975), 1,
      anon_sym_end,
    STATE(11253), 1,
      sym_attribute,
    STATE(11254), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579100] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13977), 1,
      anon_sym_end,
    STATE(11254), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579154] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13977), 1,
      anon_sym_end,
    STATE(11255), 1,
      sym_attribute,
    STATE(11256), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579208] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13979), 1,
      anon_sym_end,
    STATE(11256), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579262] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11835), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11539), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11537), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [579298] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13764), 1,
      anon_sym_end,
    STATE(11258), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579352] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13981), 1,
      anon_sym_end,
    STATE(11259), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579406] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13983), 1,
      anon_sym_end,
    STATE(11260), 1,
      sym_attribute,
    STATE(11262), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579460] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12172), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13985), 1,
      anon_sym_PIPE,
    STATE(11261), 1,
      sym_attribute,
    STATE(11596), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12170), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [579498] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13987), 1,
      anon_sym_end,
    STATE(11262), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579552] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13987), 1,
      anon_sym_end,
    STATE(11263), 1,
      sym_attribute,
    STATE(11264), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579606] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13989), 1,
      anon_sym_end,
    STATE(11264), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579660] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13989), 1,
      anon_sym_end,
    STATE(11265), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579714] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13991), 1,
      anon_sym_end,
    STATE(11266), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579768] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13993), 1,
      anon_sym_end,
    STATE(11267), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579822] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13993), 1,
      anon_sym_end,
    STATE(11268), 1,
      sym_attribute,
    STATE(11269), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579876] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13995), 1,
      anon_sym_end,
    STATE(11269), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579930] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13628), 1,
      anon_sym_end,
    STATE(11270), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579984] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13995), 1,
      anon_sym_end,
    STATE(11271), 1,
      sym_attribute,
    STATE(11276), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580038] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9112), 1,
      anon_sym_COLON2,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13997), 1,
      anon_sym_SEMI,
    ACTIONS(13999), 1,
      sym_rel_operator,
    STATE(2241), 1,
      sym_add_operator,
    STATE(11272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9110), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [580096] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14001), 1,
      anon_sym_end,
    STATE(11273), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580150] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12312), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14003), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11274), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12310), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [580188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14008), 1,
      anon_sym_let,
    STATE(11275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14006), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580222] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14010), 1,
      anon_sym_end,
    STATE(11276), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580276] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14012), 1,
      anon_sym_end,
    STATE(11277), 1,
      sym_attribute,
    STATE(11278), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580330] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14014), 1,
      anon_sym_end,
    STATE(11278), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580384] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14014), 1,
      anon_sym_end,
    STATE(11279), 1,
      sym_attribute,
    STATE(11280), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580438] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14016), 1,
      anon_sym_end,
    STATE(11280), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580492] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14016), 1,
      anon_sym_end,
    STATE(11281), 1,
      sym_attribute,
    STATE(11282), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580546] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14018), 1,
      anon_sym_end,
    STATE(11282), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580600] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13783), 1,
      anon_sym_end,
    STATE(11283), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580654] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14020), 1,
      anon_sym_end,
    STATE(11284), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580708] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14022), 1,
      anon_sym_end,
    STATE(11285), 1,
      sym_attribute,
    STATE(11286), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580762] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14024), 1,
      anon_sym_end,
    STATE(11286), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580816] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14024), 1,
      anon_sym_end,
    STATE(11287), 1,
      sym_attribute,
    STATE(11288), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580870] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14026), 1,
      anon_sym_end,
    STATE(11288), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580924] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14026), 1,
      anon_sym_end,
    STATE(11289), 1,
      sym_attribute,
    STATE(11290), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580978] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14028), 1,
      anon_sym_end,
    STATE(11290), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581032] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14030), 1,
      anon_sym_end,
    STATE(11291), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581086] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14030), 1,
      anon_sym_end,
    STATE(11292), 1,
      sym_attribute,
    STATE(11301), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581140] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13604), 1,
      anon_sym_end,
    STATE(11293), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581194] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14032), 1,
      anon_sym_end,
    STATE(11294), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581248] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14034), 1,
      anon_sym_end,
    STATE(11295), 1,
      sym_attribute,
    STATE(11296), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581302] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14036), 1,
      anon_sym_end,
    STATE(11296), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581356] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14036), 1,
      anon_sym_end,
    STATE(11297), 1,
      sym_attribute,
    STATE(11298), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581410] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14038), 1,
      anon_sym_end,
    STATE(11298), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581464] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14038), 1,
      anon_sym_end,
    STATE(11299), 1,
      sym_attribute,
    STATE(11300), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581518] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14040), 1,
      anon_sym_end,
    STATE(11300), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581572] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14042), 1,
      anon_sym_end,
    STATE(11301), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581626] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14042), 1,
      anon_sym_end,
    STATE(11302), 1,
      sym_attribute,
    STATE(11303), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581680] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14044), 1,
      anon_sym_end,
    STATE(11303), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581734] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13432), 1,
      anon_sym_end,
    STATE(11304), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581788] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14046), 1,
      anon_sym_end,
    STATE(11305), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581842] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14048), 1,
      anon_sym_end,
    STATE(11306), 1,
      sym_attribute,
    STATE(11307), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581896] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14050), 1,
      anon_sym_end,
    STATE(11307), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581950] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14050), 1,
      anon_sym_end,
    STATE(11308), 1,
      sym_attribute,
    STATE(11309), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582004] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14052), 1,
      anon_sym_end,
    STATE(11309), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582058] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14052), 1,
      anon_sym_end,
    STATE(11310), 1,
      sym_attribute,
    STATE(11311), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582112] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14054), 1,
      anon_sym_end,
    STATE(11311), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582166] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13498), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13985), 1,
      anon_sym_PIPE,
    STATE(11312), 1,
      sym_attribute,
    STATE(11323), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13496), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [582204] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13558), 1,
      anon_sym_end,
    STATE(11313), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582258] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14056), 1,
      anon_sym_end,
    STATE(11314), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582312] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14058), 1,
      anon_sym_end,
    STATE(11315), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582366] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14056), 1,
      anon_sym_end,
    STATE(11316), 1,
      sym_attribute,
    STATE(11378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582420] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14060), 1,
      anon_sym_end,
    STATE(11317), 1,
      sym_attribute,
    STATE(11318), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582474] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14062), 1,
      anon_sym_end,
    STATE(11318), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582528] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14062), 1,
      anon_sym_end,
    STATE(11319), 1,
      sym_attribute,
    STATE(11320), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582582] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14064), 1,
      anon_sym_end,
    STATE(11320), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582636] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14064), 1,
      anon_sym_end,
    STATE(11321), 1,
      sym_attribute,
    STATE(11322), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582690] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14066), 1,
      anon_sym_end,
    STATE(11322), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582744] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12989), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14068), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11323), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(12987), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [582780] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13446), 1,
      anon_sym_end,
    STATE(11324), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582834] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(12398), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13551), 1,
      anon_sym_DASH_GT,
    STATE(11325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12396), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [582872] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14071), 1,
      anon_sym_end,
    STATE(11326), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582926] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14073), 1,
      anon_sym_end,
    STATE(11327), 1,
      sym_attribute,
    STATE(11328), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582980] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14075), 1,
      anon_sym_end,
    STATE(11328), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583034] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14075), 1,
      anon_sym_end,
    STATE(11329), 1,
      sym_attribute,
    STATE(11330), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583088] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14077), 1,
      anon_sym_end,
    STATE(11330), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583142] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14077), 1,
      anon_sym_end,
    STATE(11331), 1,
      sym_attribute,
    STATE(11332), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583196] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14079), 1,
      anon_sym_end,
    STATE(11332), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583250] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10847), 1,
      aux_sym_expression_item_repeat1,
    STATE(11333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14081), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13775), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [583290] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13482), 1,
      anon_sym_end,
    STATE(11334), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583344] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14083), 1,
      anon_sym_end,
    STATE(11335), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14087), 1,
      anon_sym_let,
    STATE(11336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14085), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583432] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14089), 1,
      anon_sym_end,
    STATE(11337), 1,
      sym_attribute,
    STATE(11338), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583486] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14091), 1,
      anon_sym_end,
    STATE(11338), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583540] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14091), 1,
      anon_sym_end,
    STATE(11339), 1,
      sym_attribute,
    STATE(11340), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583594] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14093), 1,
      anon_sym_end,
    STATE(11340), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583648] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14093), 1,
      anon_sym_end,
    STATE(11341), 1,
      sym_attribute,
    STATE(11342), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583702] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14095), 1,
      anon_sym_end,
    STATE(11342), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583756] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13533), 1,
      anon_sym_end,
    STATE(11343), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583810] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14097), 1,
      anon_sym_end,
    STATE(11344), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583864] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14099), 1,
      anon_sym_end,
    STATE(11345), 1,
      sym_attribute,
    STATE(11346), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583918] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14101), 1,
      anon_sym_end,
    STATE(11346), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583972] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14101), 1,
      anon_sym_end,
    STATE(11347), 1,
      sym_attribute,
    STATE(11348), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584026] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14103), 1,
      anon_sym_end,
    STATE(11348), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584080] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14103), 1,
      anon_sym_end,
    STATE(11349), 1,
      sym_attribute,
    STATE(11350), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584134] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14105), 1,
      anon_sym_end,
    STATE(11350), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584188] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13565), 1,
      anon_sym_end,
    STATE(11351), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584242] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14107), 1,
      anon_sym_end,
    STATE(11352), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584296] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14109), 1,
      anon_sym_end,
    STATE(11353), 1,
      sym_attribute,
    STATE(11354), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584350] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14111), 1,
      anon_sym_end,
    STATE(11354), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584404] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14111), 1,
      anon_sym_end,
    STATE(11355), 1,
      sym_attribute,
    STATE(11356), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584458] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14113), 1,
      anon_sym_end,
    STATE(11356), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584512] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14113), 1,
      anon_sym_end,
    STATE(11357), 1,
      sym_attribute,
    STATE(11358), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584566] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14115), 1,
      anon_sym_end,
    STATE(11358), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584620] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13583), 1,
      anon_sym_end,
    STATE(11359), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584674] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14117), 1,
      anon_sym_end,
    STATE(11360), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584728] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14119), 1,
      anon_sym_end,
    STATE(11361), 1,
      sym_attribute,
    STATE(11362), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584782] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14121), 1,
      anon_sym_end,
    STATE(11362), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584836] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14121), 1,
      anon_sym_end,
    STATE(11363), 1,
      sym_attribute,
    STATE(11364), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584890] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14123), 1,
      anon_sym_end,
    STATE(11364), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584944] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14123), 1,
      anon_sym_end,
    STATE(11365), 1,
      sym_attribute,
    STATE(11366), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584998] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14125), 1,
      anon_sym_end,
    STATE(11366), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585052] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13612), 1,
      anon_sym_end,
    STATE(11367), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585106] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14127), 1,
      anon_sym_end,
    STATE(11368), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585160] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13589), 1,
      anon_sym_end,
    STATE(11369), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585214] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14133), 1,
      anon_sym_and,
    ACTIONS(14135), 1,
      sym_let_and_operator,
    STATE(11370), 1,
      sym_attribute,
    STATE(11498), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14131), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(14129), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585254] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14137), 1,
      anon_sym_end,
    STATE(11371), 1,
      sym_attribute,
    STATE(11372), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585308] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14139), 1,
      anon_sym_end,
    STATE(11372), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585362] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14139), 1,
      anon_sym_end,
    STATE(11373), 1,
      sym_attribute,
    STATE(11374), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585416] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14141), 1,
      anon_sym_end,
    STATE(11374), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585470] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14141), 1,
      anon_sym_end,
    STATE(11375), 1,
      sym_attribute,
    STATE(11376), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585524] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14143), 1,
      anon_sym_end,
    STATE(11376), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585578] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13654), 1,
      anon_sym_end,
    STATE(11377), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585632] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14145), 1,
      anon_sym_end,
    STATE(11378), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585686] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14147), 1,
      anon_sym_end,
    STATE(11379), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585740] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14149), 1,
      anon_sym_end,
    STATE(11380), 1,
      sym_attribute,
    STATE(11381), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585794] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14151), 1,
      anon_sym_end,
    STATE(11381), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585848] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14151), 1,
      anon_sym_end,
    STATE(11382), 1,
      sym_attribute,
    STATE(11383), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585902] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14153), 1,
      anon_sym_end,
    STATE(11383), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585956] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14153), 1,
      anon_sym_end,
    STATE(11384), 1,
      sym_attribute,
    STATE(11385), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586010] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14155), 1,
      anon_sym_end,
    STATE(11385), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586064] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13680), 1,
      anon_sym_end,
    STATE(11386), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586118] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14157), 1,
      anon_sym_end,
    STATE(11387), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586172] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13484), 1,
      anon_sym_DASH_GT,
    ACTIONS(13486), 1,
      anon_sym_with,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10668), 1,
      aux_sym_expression_item_repeat1,
    STATE(11388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13730), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [586214] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14145), 1,
      anon_sym_end,
    STATE(11389), 1,
      sym_attribute,
    STATE(11431), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586268] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14159), 1,
      anon_sym_end,
    STATE(11390), 1,
      sym_attribute,
    STATE(11391), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586322] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14161), 1,
      anon_sym_end,
    STATE(11391), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586376] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14161), 1,
      anon_sym_end,
    STATE(11392), 1,
      sym_attribute,
    STATE(11393), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586430] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14163), 1,
      anon_sym_end,
    STATE(11393), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586484] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14163), 1,
      anon_sym_end,
    STATE(11394), 1,
      sym_attribute,
    STATE(11395), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586538] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14165), 1,
      anon_sym_end,
    STATE(11395), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586592] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13705), 1,
      anon_sym_end,
    STATE(11396), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586646] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14167), 1,
      anon_sym_end,
    STATE(11397), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586700] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14169), 1,
      anon_sym_end,
    STATE(11398), 1,
      sym_attribute,
    STATE(11399), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586754] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14171), 1,
      anon_sym_end,
    STATE(11399), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586808] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14171), 1,
      anon_sym_end,
    STATE(11400), 1,
      sym_attribute,
    STATE(11401), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586862] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14173), 1,
      anon_sym_end,
    STATE(11401), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586916] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14173), 1,
      anon_sym_end,
    STATE(11402), 1,
      sym_attribute,
    STATE(11403), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586970] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14175), 1,
      anon_sym_end,
    STATE(11403), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [587024] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14177), 1,
      anon_sym_end,
    STATE(11404), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [587078] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12583), 1,
      anon_sym_EQ,
    ACTIONS(14179), 1,
      anon_sym_of,
    ACTIONS(14181), 1,
      anon_sym_COLON2,
    STATE(11405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12581), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12579), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [587118] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12593), 1,
      anon_sym_EQ,
    ACTIONS(14183), 1,
      anon_sym_of,
    ACTIONS(14185), 1,
      anon_sym_COLON2,
    STATE(11406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12589), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [587158] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    ACTIONS(14187), 1,
      anon_sym_RPAREN,
    STATE(11407), 1,
      sym_attribute,
    STATE(16242), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [587212] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12603), 1,
      anon_sym_EQ,
    ACTIONS(14189), 1,
      anon_sym_of,
    ACTIONS(14191), 1,
      anon_sym_COLON2,
    STATE(11408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12599), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [587252] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14193), 1,
      anon_sym_end,
    STATE(11409), 1,
      sym_attribute,
    STATE(11413), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [587306] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13969), 1,
      anon_sym_and,
    ACTIONS(13971), 1,
      sym_let_and_operator,
    STATE(11410), 1,
      sym_attribute,
    STATE(11630), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14197), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(14195), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [587346] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11411), 1,
      sym_attribute,
    STATE(11994), 1,
      sym__attribute,
    STATE(13069), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [587400] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13969), 1,
      anon_sym_and,
    ACTIONS(13971), 1,
      sym_let_and_operator,
    STATE(11412), 1,
      sym_attribute,
    STATE(11433), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14201), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(14199), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [587440] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14203), 1,
      anon_sym_end,
    STATE(11413), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [587494] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14203), 1,
      anon_sym_end,
    STATE(11414), 1,
      sym_attribute,
    STATE(11415), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [587548] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14205), 1,
      anon_sym_end,
    STATE(11415), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [587602] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14205), 1,
      anon_sym_end,
    STATE(11416), 1,
      sym_attribute,
    STATE(11417), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [587656] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14207), 1,
      anon_sym_end,
    STATE(11417), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [587710] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    ACTIONS(14209), 1,
      anon_sym_RPAREN,
    STATE(11418), 1,
      sym_attribute,
    STATE(15837), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [587764] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14213), 1,
      sym_pow_operator,
    ACTIONS(14215), 1,
      sym_mult_operator,
    ACTIONS(14217), 1,
      sym_concat_operator,
    ACTIONS(14219), 1,
      sym_rel_operator,
    ACTIONS(14221), 1,
      sym_and_operator,
    ACTIONS(14223), 1,
      sym_or_operator,
    STATE(2285), 1,
      sym_add_operator,
    STATE(11419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10280), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [587816] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14213), 1,
      sym_pow_operator,
    ACTIONS(14215), 1,
      sym_mult_operator,
    STATE(2285), 1,
      sym_add_operator,
    STATE(11420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [587860] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14213), 1,
      sym_pow_operator,
    STATE(2285), 1,
      sym_add_operator,
    STATE(11421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [587898] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14213), 1,
      sym_pow_operator,
    STATE(2285), 1,
      sym_add_operator,
    STATE(11422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [587936] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14213), 1,
      sym_pow_operator,
    ACTIONS(14215), 1,
      sym_mult_operator,
    ACTIONS(14217), 1,
      sym_concat_operator,
    STATE(2285), 1,
      sym_add_operator,
    STATE(11423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [587982] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14213), 1,
      sym_pow_operator,
    ACTIONS(14215), 1,
      sym_mult_operator,
    ACTIONS(14217), 1,
      sym_concat_operator,
    STATE(2285), 1,
      sym_add_operator,
    STATE(11424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [588028] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14213), 1,
      sym_pow_operator,
    ACTIONS(14215), 1,
      sym_mult_operator,
    ACTIONS(14217), 1,
      sym_concat_operator,
    ACTIONS(14219), 1,
      sym_rel_operator,
    ACTIONS(14221), 1,
      sym_and_operator,
    STATE(2285), 1,
      sym_add_operator,
    STATE(11425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_and,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10300), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [588078] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14213), 1,
      sym_pow_operator,
    ACTIONS(14215), 1,
      sym_mult_operator,
    ACTIONS(14217), 1,
      sym_concat_operator,
    ACTIONS(14219), 1,
      sym_rel_operator,
    ACTIONS(14221), 1,
      sym_and_operator,
    ACTIONS(14223), 1,
      sym_or_operator,
    STATE(2285), 1,
      sym_add_operator,
    STATE(11426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [588130] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14213), 1,
      sym_pow_operator,
    ACTIONS(14215), 1,
      sym_mult_operator,
    ACTIONS(14217), 1,
      sym_concat_operator,
    ACTIONS(14219), 1,
      sym_rel_operator,
    ACTIONS(14221), 1,
      sym_and_operator,
    ACTIONS(14223), 1,
      sym_or_operator,
    ACTIONS(14225), 1,
      anon_sym_COMMA,
    ACTIONS(14227), 1,
      sym_assign_operator,
    STATE(2285), 1,
      sym_add_operator,
    STATE(11427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [588186] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14213), 1,
      sym_pow_operator,
    ACTIONS(14215), 1,
      sym_mult_operator,
    STATE(2285), 1,
      sym_add_operator,
    STATE(11428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 7,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [588226] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14213), 1,
      sym_pow_operator,
    ACTIONS(14215), 1,
      sym_mult_operator,
    ACTIONS(14217), 1,
      sym_concat_operator,
    ACTIONS(14219), 1,
      sym_rel_operator,
    ACTIONS(14221), 1,
      sym_and_operator,
    ACTIONS(14223), 1,
      sym_or_operator,
    ACTIONS(14225), 1,
      anon_sym_COMMA,
    ACTIONS(14227), 1,
      sym_assign_operator,
    STATE(2285), 1,
      sym_add_operator,
    STATE(11429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10310), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10308), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [588282] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14213), 1,
      sym_pow_operator,
    ACTIONS(14215), 1,
      sym_mult_operator,
    ACTIONS(14217), 1,
      sym_concat_operator,
    ACTIONS(14219), 1,
      sym_rel_operator,
    ACTIONS(14221), 1,
      sym_and_operator,
    ACTIONS(14223), 1,
      sym_or_operator,
    ACTIONS(14225), 1,
      anon_sym_COMMA,
    ACTIONS(14227), 1,
      sym_assign_operator,
    STATE(2285), 1,
      sym_add_operator,
    STATE(11430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10320), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [588338] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14229), 1,
      anon_sym_end,
    STATE(11431), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [588392] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14231), 1,
      anon_sym_else,
    STATE(10359), 1,
      sym_else_clause,
    STATE(11432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [588430] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13969), 1,
      anon_sym_and,
    ACTIONS(13971), 1,
      sym_let_and_operator,
    STATE(11433), 1,
      sym_attribute,
    STATE(11434), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14131), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(14129), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [588470] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14233), 1,
      anon_sym_and,
    ACTIONS(14236), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13793), 2,
      anon_sym_let,
      anon_sym_in,
    STATE(11434), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(13791), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [588508] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13969), 1,
      anon_sym_and,
    ACTIONS(13971), 1,
      sym_let_and_operator,
    STATE(11250), 1,
      aux_sym_value_definition_repeat1,
    STATE(11435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14131), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(14129), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [588548] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11436), 1,
      sym_attribute,
    STATE(12141), 1,
      sym__attribute,
    STATE(12954), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [588602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14241), 1,
      anon_sym_let,
    STATE(11437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14239), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [588636] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13593), 1,
      anon_sym_end,
    STATE(11438), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [588690] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14133), 1,
      anon_sym_and,
    ACTIONS(14135), 1,
      sym_let_and_operator,
    STATE(11439), 1,
      sym_attribute,
    STATE(11527), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14201), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(14199), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [588730] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10280), 1,
      anon_sym_and,
    ACTIONS(14243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14245), 1,
      sym_pow_operator,
    ACTIONS(14247), 1,
      sym_mult_operator,
    ACTIONS(14249), 1,
      sym_concat_operator,
    ACTIONS(14251), 1,
      sym_rel_operator,
    ACTIONS(14253), 1,
      sym_and_operator,
    ACTIONS(14255), 1,
      sym_or_operator,
    STATE(2084), 1,
      sym_add_operator,
    STATE(11440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [588782] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14245), 1,
      sym_pow_operator,
    ACTIONS(14247), 1,
      sym_mult_operator,
    STATE(2084), 1,
      sym_add_operator,
    STATE(11441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [588826] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14245), 1,
      sym_pow_operator,
    STATE(2084), 1,
      sym_add_operator,
    STATE(11442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [588864] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14245), 1,
      sym_pow_operator,
    STATE(2084), 1,
      sym_add_operator,
    STATE(11443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [588902] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14245), 1,
      sym_pow_operator,
    ACTIONS(14247), 1,
      sym_mult_operator,
    ACTIONS(14249), 1,
      sym_concat_operator,
    STATE(2084), 1,
      sym_add_operator,
    STATE(11444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [588948] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14245), 1,
      sym_pow_operator,
    ACTIONS(14247), 1,
      sym_mult_operator,
    ACTIONS(14249), 1,
      sym_concat_operator,
    STATE(2084), 1,
      sym_add_operator,
    STATE(11445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [588994] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14245), 1,
      sym_pow_operator,
    ACTIONS(14247), 1,
      sym_mult_operator,
    ACTIONS(14249), 1,
      sym_concat_operator,
    ACTIONS(14251), 1,
      sym_rel_operator,
    ACTIONS(14253), 1,
      sym_and_operator,
    STATE(2084), 1,
      sym_add_operator,
    STATE(11446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_and,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [589044] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_and,
    ACTIONS(14243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14245), 1,
      sym_pow_operator,
    ACTIONS(14247), 1,
      sym_mult_operator,
    ACTIONS(14249), 1,
      sym_concat_operator,
    ACTIONS(14251), 1,
      sym_rel_operator,
    ACTIONS(14253), 1,
      sym_and_operator,
    ACTIONS(14255), 1,
      sym_or_operator,
    STATE(2084), 1,
      sym_add_operator,
    STATE(11447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [589096] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_and,
    ACTIONS(14243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14245), 1,
      sym_pow_operator,
    ACTIONS(14247), 1,
      sym_mult_operator,
    ACTIONS(14249), 1,
      sym_concat_operator,
    ACTIONS(14251), 1,
      sym_rel_operator,
    ACTIONS(14253), 1,
      sym_and_operator,
    ACTIONS(14255), 1,
      sym_or_operator,
    ACTIONS(14257), 1,
      anon_sym_COMMA,
    ACTIONS(14259), 1,
      sym_assign_operator,
    STATE(2084), 1,
      sym_add_operator,
    STATE(11448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [589152] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14245), 1,
      sym_pow_operator,
    ACTIONS(14247), 1,
      sym_mult_operator,
    STATE(2084), 1,
      sym_add_operator,
    STATE(11449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [589192] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10310), 1,
      anon_sym_and,
    ACTIONS(14243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14245), 1,
      sym_pow_operator,
    ACTIONS(14247), 1,
      sym_mult_operator,
    ACTIONS(14249), 1,
      sym_concat_operator,
    ACTIONS(14251), 1,
      sym_rel_operator,
    ACTIONS(14253), 1,
      sym_and_operator,
    ACTIONS(14255), 1,
      sym_or_operator,
    ACTIONS(14257), 1,
      anon_sym_COMMA,
    ACTIONS(14259), 1,
      sym_assign_operator,
    STATE(2084), 1,
      sym_add_operator,
    STATE(11450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10308), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [589248] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14261), 1,
      anon_sym_else,
    STATE(10385), 1,
      sym_else_clause,
    STATE(11451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [589286] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10320), 1,
      anon_sym_and,
    ACTIONS(14243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14245), 1,
      sym_pow_operator,
    ACTIONS(14247), 1,
      sym_mult_operator,
    ACTIONS(14249), 1,
      sym_concat_operator,
    ACTIONS(14251), 1,
      sym_rel_operator,
    ACTIONS(14253), 1,
      sym_and_operator,
    ACTIONS(14255), 1,
      sym_or_operator,
    ACTIONS(14257), 1,
      anon_sym_COMMA,
    ACTIONS(14259), 1,
      sym_assign_operator,
    STATE(2084), 1,
      sym_add_operator,
    STATE(11452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [589342] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14263), 1,
      anon_sym_end,
    STATE(11453), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [589396] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11454), 1,
      sym_attribute,
    STATE(11881), 1,
      sym__attribute,
    STATE(13054), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [589450] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14133), 1,
      anon_sym_and,
    ACTIONS(14135), 1,
      sym_let_and_operator,
    STATE(11455), 1,
      sym_attribute,
    STATE(11469), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14197), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(14195), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [589490] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    ACTIONS(14265), 1,
      anon_sym_RPAREN,
    STATE(11456), 1,
      sym_attribute,
    STATE(15837), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [589544] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14267), 1,
      anon_sym_end,
    STATE(11457), 1,
      sym_attribute,
    STATE(11460), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [589598] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13527), 1,
      anon_sym_end,
    STATE(11458), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [589652] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10239), 1,
      anon_sym_and,
    ACTIONS(14243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14245), 1,
      sym_pow_operator,
    ACTIONS(14247), 1,
      sym_mult_operator,
    ACTIONS(14249), 1,
      sym_concat_operator,
    ACTIONS(14251), 1,
      sym_rel_operator,
    ACTIONS(14253), 1,
      sym_and_operator,
    ACTIONS(14255), 1,
      sym_or_operator,
    ACTIONS(14257), 1,
      anon_sym_COMMA,
    ACTIONS(14259), 1,
      sym_assign_operator,
    STATE(2084), 1,
      sym_add_operator,
    STATE(11459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10237), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [589708] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14269), 1,
      anon_sym_end,
    STATE(11460), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [589762] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14269), 1,
      anon_sym_end,
    STATE(11461), 1,
      sym_attribute,
    STATE(11462), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [589816] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14271), 1,
      anon_sym_end,
    STATE(11462), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [589870] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14271), 1,
      anon_sym_end,
    STATE(11463), 1,
      sym_attribute,
    STATE(11464), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [589924] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14273), 1,
      anon_sym_end,
    STATE(11464), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [589978] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2084), 1,
      sym_add_operator,
    STATE(11465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [590014] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14261), 1,
      anon_sym_else,
    STATE(10359), 1,
      sym_else_clause,
    STATE(11466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [590052] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12583), 1,
      anon_sym_EQ,
    ACTIONS(14275), 1,
      anon_sym_of,
    ACTIONS(14277), 1,
      anon_sym_COLON2,
    STATE(11467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12581), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12579), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [590092] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12593), 1,
      anon_sym_EQ,
    ACTIONS(14279), 1,
      anon_sym_of,
    ACTIONS(14281), 1,
      anon_sym_COLON2,
    STATE(11468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12589), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [590132] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14133), 1,
      anon_sym_and,
    ACTIONS(14135), 1,
      sym_let_and_operator,
    STATE(11121), 1,
      aux_sym_value_definition_repeat1,
    STATE(11469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14201), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(14199), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [590172] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12603), 1,
      anon_sym_EQ,
    ACTIONS(14283), 1,
      anon_sym_of,
    ACTIONS(14285), 1,
      anon_sym_COLON2,
    STATE(11470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12599), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [590212] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11471), 1,
      sym_attribute,
    STATE(11910), 1,
      sym__attribute,
    STATE(13058), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [590266] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14287), 1,
      anon_sym_PIPE,
    STATE(11472), 1,
      sym_attribute,
    STATE(11474), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [590304] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14287), 1,
      anon_sym_PIPE,
    STATE(11473), 1,
      sym_attribute,
    STATE(11475), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [590342] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14287), 1,
      anon_sym_PIPE,
    STATE(11474), 1,
      sym_attribute,
    STATE(11476), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [590380] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14287), 1,
      anon_sym_PIPE,
    STATE(11475), 1,
      sym_attribute,
    STATE(11476), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [590418] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14289), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11476), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [590454] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12382), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(14292), 1,
      anon_sym_DASH_GT,
    STATE(11477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12380), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [590492] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14294), 1,
      anon_sym_end,
    STATE(11314), 1,
      aux_sym_object_expression_repeat1,
    STATE(11478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [590546] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12268), 1,
      anon_sym_STAR,
    ACTIONS(13275), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11479), 1,
      sym_attribute,
    STATE(11480), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13273), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [590584] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12053), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14296), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11480), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12051), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [590620] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11481), 1,
      sym_attribute,
    STATE(11936), 1,
      sym__attribute,
    STATE(13088), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [590674] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13442), 1,
      anon_sym_end,
    STATE(11482), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [590728] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11483), 1,
      sym_attribute,
    STATE(11946), 1,
      sym__attribute,
    STATE(12930), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [590782] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14299), 1,
      anon_sym_end,
    STATE(11484), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [590836] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14301), 1,
      anon_sym_end,
    STATE(11485), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [590890] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11486), 1,
      sym_attribute,
    STATE(11949), 1,
      sym__attribute,
    STATE(12974), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [590944] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14303), 1,
      anon_sym_end,
    STATE(11487), 1,
      sym_attribute,
    STATE(11489), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [590998] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11488), 1,
      sym_attribute,
    STATE(11957), 1,
      sym__attribute,
    STATE(13060), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [591052] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14305), 1,
      anon_sym_end,
    STATE(11489), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [591106] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14305), 1,
      anon_sym_end,
    STATE(11490), 1,
      sym_attribute,
    STATE(11491), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [591160] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14307), 1,
      anon_sym_end,
    STATE(11491), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [591214] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14307), 1,
      anon_sym_end,
    STATE(11492), 1,
      sym_attribute,
    STATE(11493), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [591268] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14309), 1,
      anon_sym_end,
    STATE(11493), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [591322] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13674), 1,
      anon_sym_end,
    STATE(11494), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [591376] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(12394), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14292), 1,
      anon_sym_DASH_GT,
    STATE(11495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12392), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [591414] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14213), 1,
      sym_pow_operator,
    ACTIONS(14215), 1,
      sym_mult_operator,
    ACTIONS(14217), 1,
      sym_concat_operator,
    ACTIONS(14219), 1,
      sym_rel_operator,
    ACTIONS(14221), 1,
      sym_and_operator,
    ACTIONS(14223), 1,
      sym_or_operator,
    ACTIONS(14225), 1,
      anon_sym_COMMA,
    ACTIONS(14227), 1,
      sym_assign_operator,
    ACTIONS(14311), 1,
      anon_sym_SEMI,
    STATE(2285), 1,
      sym_add_operator,
    STATE(11496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(9110), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [591472] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11497), 1,
      sym_attribute,
    STATE(11965), 1,
      sym__attribute,
    STATE(13067), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [591526] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14133), 1,
      anon_sym_and,
    ACTIONS(14135), 1,
      sym_let_and_operator,
    STATE(11121), 1,
      aux_sym_value_definition_repeat1,
    STATE(11498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13967), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13965), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [591566] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11499), 1,
      sym_attribute,
    STATE(11971), 1,
      sym__attribute,
    STATE(12972), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [591620] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11500), 1,
      sym_attribute,
    STATE(11977), 1,
      sym__attribute,
    STATE(13071), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [591674] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13684), 1,
      anon_sym_end,
    STATE(11501), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [591728] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14313), 1,
      anon_sym_end,
    STATE(11502), 1,
      sym_attribute,
    STATE(11528), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [591782] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12581), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12583), 1,
      anon_sym_EQ,
    ACTIONS(14315), 1,
      anon_sym_of,
    ACTIONS(14317), 1,
      anon_sym_COLON2,
    STATE(11503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [591822] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12591), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12593), 1,
      anon_sym_EQ,
    ACTIONS(14319), 1,
      anon_sym_of,
    ACTIONS(14321), 1,
      anon_sym_COLON2,
    STATE(11504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12589), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [591862] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10785), 1,
      aux_sym_expression_item_repeat1,
    STATE(11505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14323), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13769), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [591902] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12601), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12603), 1,
      anon_sym_EQ,
    ACTIONS(14325), 1,
      anon_sym_of,
    ACTIONS(14327), 1,
      anon_sym_COLON2,
    STATE(11506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12599), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [591942] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11507), 1,
      sym_attribute,
    STATE(11978), 1,
      sym__attribute,
    STATE(12943), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [591996] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14329), 1,
      anon_sym_end,
    STATE(11508), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [592050] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11362), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(11509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11360), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [592090] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11510), 1,
      sym_attribute,
    STATE(11980), 1,
      sym__attribute,
    STATE(12989), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [592144] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14331), 1,
      anon_sym_end,
    STATE(11511), 1,
      sym_attribute,
    STATE(11512), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [592198] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14333), 1,
      anon_sym_end,
    STATE(11512), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [592252] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 9,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
      aux_sym_attribute_id_token1,
    ACTIONS(8947), 10,
      anon_sym_rec,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_virtual,
      anon_sym_functor,
      anon_sym_struct,
      sym__identifier,
  [592286] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14333), 1,
      anon_sym_end,
    STATE(11514), 1,
      sym_attribute,
    STATE(11515), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [592340] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14335), 1,
      anon_sym_end,
    STATE(11515), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [592394] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11516), 1,
      sym_attribute,
    STATE(11984), 1,
      sym__attribute,
    STATE(13023), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [592448] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14335), 1,
      anon_sym_end,
    STATE(11517), 1,
      sym_attribute,
    STATE(11518), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [592502] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14337), 1,
      anon_sym_end,
    STATE(11518), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [592556] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11519), 1,
      sym_attribute,
    STATE(11986), 1,
      sym__attribute,
    STATE(13063), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [592610] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9112), 1,
      anon_sym_and,
    ACTIONS(14243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14245), 1,
      sym_pow_operator,
    ACTIONS(14247), 1,
      sym_mult_operator,
    ACTIONS(14249), 1,
      sym_concat_operator,
    ACTIONS(14251), 1,
      sym_rel_operator,
    ACTIONS(14253), 1,
      sym_and_operator,
    ACTIONS(14255), 1,
      sym_or_operator,
    ACTIONS(14257), 1,
      anon_sym_COMMA,
    ACTIONS(14259), 1,
      sym_assign_operator,
    ACTIONS(14339), 1,
      anon_sym_SEMI,
    STATE(2084), 1,
      sym_add_operator,
    STATE(11520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9110), 4,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [592668] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(8992), 1,
      sym__module_expression,
    STATE(11521), 1,
      sym_attribute,
    STATE(12046), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [592722] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11522), 1,
      sym_attribute,
    STATE(11990), 1,
      sym__attribute,
    STATE(13077), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [592776] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14341), 1,
      anon_sym_end,
    STATE(11523), 1,
      sym_attribute,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [592830] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14343), 1,
      anon_sym_constraint,
    ACTIONS(14346), 1,
      anon_sym_val,
    ACTIONS(14349), 1,
      anon_sym_end,
    ACTIONS(14351), 1,
      anon_sym_inherit,
    ACTIONS(14354), 1,
      anon_sym_method,
    ACTIONS(14357), 1,
      anon_sym_initializer,
    ACTIONS(14360), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14363), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14366), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11524), 2,
      sym_attribute,
      aux_sym_object_expression_repeat1,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [592882] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14369), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [592936] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14369), 1,
      anon_sym_end,
    STATE(11526), 1,
      sym_attribute,
    STATE(11635), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [592990] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14133), 1,
      anon_sym_and,
    ACTIONS(14135), 1,
      sym_let_and_operator,
    STATE(11121), 1,
      aux_sym_value_definition_repeat1,
    STATE(11527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14131), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(14129), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593030] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14371), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [593084] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14371), 1,
      anon_sym_end,
    STATE(11529), 1,
      sym_attribute,
    STATE(11532), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [593138] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11530), 1,
      sym_attribute,
    STATE(11995), 1,
      sym__attribute,
    STATE(12910), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [593192] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12418), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14292), 1,
      anon_sym_DASH_GT,
    STATE(11531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12416), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [593228] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14373), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [593282] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14373), 1,
      anon_sym_end,
    STATE(11533), 1,
      sym_attribute,
    STATE(11537), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [593336] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11534), 1,
      sym_attribute,
    STATE(11998), 1,
      sym__attribute,
    STATE(13110), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [593390] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13709), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [593444] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12633), 1,
      sym__identifier,
    ACTIONS(12635), 1,
      anon_sym_POUND,
    STATE(10980), 1,
      sym_type_constructor_path,
    STATE(11536), 1,
      sym_attribute,
    STATE(17531), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11476), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11478), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [593488] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14375), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [593542] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12633), 1,
      sym__identifier,
    ACTIONS(12635), 1,
      anon_sym_POUND,
    STATE(10980), 1,
      sym_type_constructor_path,
    STATE(11538), 1,
      sym_attribute,
    STATE(17531), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11480), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11482), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [593586] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11539), 1,
      sym_attribute,
    STATE(12004), 1,
      sym__attribute,
    STATE(12957), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [593640] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14377), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [593694] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11541), 1,
      sym_attribute,
    STATE(12006), 1,
      sym__attribute,
    STATE(12924), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [593748] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14379), 1,
      anon_sym_end,
    STATE(11542), 1,
      sym_attribute,
    STATE(11545), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [593802] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11543), 1,
      sym_attribute,
    STATE(12008), 1,
      sym__attribute,
    STATE(13014), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [593856] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(14381), 1,
      anon_sym_RPAREN,
    ACTIONS(14383), 1,
      anon_sym_val,
    STATE(8557), 1,
      sym_module_path,
    STATE(11544), 1,
      sym_attribute,
    STATE(12970), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [593910] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14385), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [593964] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14385), 1,
      anon_sym_end,
    STATE(11546), 1,
      sym_attribute,
    STATE(11547), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [594018] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14387), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [594072] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14387), 1,
      anon_sym_end,
    STATE(11548), 1,
      sym_attribute,
    STATE(11549), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [594126] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14389), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [594180] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11550), 1,
      sym_attribute,
    STATE(12011), 1,
      sym__attribute,
    STATE(13089), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [594234] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12246), 1,
      anon_sym_STAR,
    ACTIONS(13275), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11551), 1,
      sym_attribute,
    STATE(11553), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13273), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [594272] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11552), 1,
      sym_attribute,
    STATE(12017), 1,
      sym__attribute,
    STATE(13011), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [594326] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12053), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14391), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11553), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12051), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [594362] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11554), 1,
      sym_attribute,
    STATE(12022), 1,
      sym__attribute,
    STATE(13105), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [594416] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11555), 1,
      sym_attribute,
    STATE(12026), 1,
      sym__attribute,
    STATE(12933), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [594470] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12633), 1,
      sym__identifier,
    ACTIONS(12635), 1,
      anon_sym_POUND,
    STATE(10980), 1,
      sym_type_constructor_path,
    STATE(11556), 1,
      sym_attribute,
    STATE(17531), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11488), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11490), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [594514] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11557), 1,
      sym_attribute,
    STATE(12031), 1,
      sym__attribute,
    STATE(13037), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [594568] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2285), 1,
      sym_add_operator,
    STATE(11558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [594604] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11559), 1,
      sym_attribute,
    STATE(12035), 1,
      sym__attribute,
    STATE(13095), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [594658] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11560), 1,
      sym_attribute,
    STATE(12037), 1,
      sym__attribute,
    STATE(13013), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [594712] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13484), 1,
      anon_sym_DASH_GT,
    ACTIONS(13486), 1,
      anon_sym_with,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(11561), 1,
      sym_attribute,
    STATE(11662), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14394), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [594754] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13720), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [594808] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11563), 1,
      sym_attribute,
    STATE(12041), 1,
      sym__attribute,
    STATE(12935), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [594862] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11564), 1,
      sym_attribute,
    STATE(12045), 1,
      sym__attribute,
    STATE(13035), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [594916] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14396), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [594970] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11566), 1,
      sym_attribute,
    STATE(12188), 1,
      sym__attribute,
    STATE(12909), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [595024] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14398), 1,
      anon_sym_end,
    STATE(11567), 1,
      sym_attribute,
    STATE(11569), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [595078] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11568), 1,
      sym_attribute,
    STATE(12047), 1,
      sym__attribute,
    STATE(13000), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [595132] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14400), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [595186] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14400), 1,
      anon_sym_end,
    STATE(11570), 1,
      sym_attribute,
    STATE(11572), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [595240] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9682), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9684), 11,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [595274] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14402), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [595328] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14402), 1,
      anon_sym_end,
    STATE(11573), 1,
      sym_attribute,
    STATE(11574), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [595382] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14404), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [595436] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11575), 1,
      sym_attribute,
    STATE(12048), 1,
      sym__attribute,
    STATE(13039), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [595490] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11576), 1,
      sym_attribute,
    STATE(12049), 1,
      sym__attribute,
    STATE(13101), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [595544] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11577), 1,
      sym_attribute,
    STATE(12051), 1,
      sym__attribute,
    STATE(12912), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [595598] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11578), 1,
      sym_attribute,
    STATE(12052), 1,
      sym__attribute,
    STATE(12958), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [595652] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12633), 1,
      sym__identifier,
    ACTIONS(12635), 1,
      anon_sym_POUND,
    STATE(10980), 1,
      sym_type_constructor_path,
    STATE(11579), 1,
      sym_attribute,
    STATE(17531), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12252), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12254), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [595696] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12633), 1,
      sym__identifier,
    ACTIONS(12635), 1,
      anon_sym_POUND,
    STATE(10980), 1,
      sym_type_constructor_path,
    STATE(11580), 1,
      sym_attribute,
    STATE(17531), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12256), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12258), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [595740] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11581), 1,
      sym_attribute,
    STATE(12063), 1,
      sym__attribute,
    STATE(13043), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [595794] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11582), 1,
      sym_attribute,
    STATE(12068), 1,
      sym__attribute,
    STATE(13076), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [595848] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13484), 1,
      anon_sym_DASH_GT,
    ACTIONS(13486), 1,
      anon_sym_with,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(11583), 1,
      sym_attribute,
    STATE(11718), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14406), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595890] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12633), 1,
      sym__identifier,
    ACTIONS(12635), 1,
      anon_sym_POUND,
    STATE(10980), 1,
      sym_type_constructor_path,
    STATE(11584), 1,
      sym_attribute,
    STATE(17531), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12212), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12214), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [595934] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11585), 1,
      sym_attribute,
    STATE(12077), 1,
      sym__attribute,
    STATE(13092), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [595988] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11586), 1,
      sym_attribute,
    STATE(12083), 1,
      sym__attribute,
    STATE(13033), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [596042] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14231), 1,
      anon_sym_else,
    STATE(10385), 1,
      sym_else_clause,
    STATE(11587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [596080] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(8557), 1,
      sym_module_path,
    STATE(11588), 1,
      sym_attribute,
    STATE(12088), 1,
      sym__attribute,
    STATE(13040), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [596134] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14410), 1,
      anon_sym_let,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(11589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14408), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596174] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13662), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [596228] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13492), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13985), 1,
      anon_sym_PIPE,
    STATE(11312), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13490), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [596266] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14412), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [596320] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14414), 1,
      anon_sym_end,
    STATE(11525), 1,
      aux_sym_object_expression_repeat1,
    STATE(11593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [596374] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14416), 1,
      anon_sym_end,
    STATE(11594), 1,
      sym_attribute,
    STATE(11597), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [596428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13793), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13791), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [596462] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13492), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13985), 1,
      anon_sym_PIPE,
    STATE(11323), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13490), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [596500] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14418), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [596554] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14418), 1,
      anon_sym_end,
    STATE(11598), 1,
      sym_attribute,
    STATE(11599), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [596608] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14420), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [596662] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14420), 1,
      anon_sym_end,
    STATE(11600), 1,
      sym_attribute,
    STATE(11601), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [596716] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14422), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [596770] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13513), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [596824] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14424), 1,
      anon_sym_PIPE,
    STATE(11603), 1,
      sym_attribute,
    STATE(11606), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13492), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13490), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596862] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13632), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [596916] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14424), 1,
      anon_sym_PIPE,
    STATE(11605), 1,
      sym_attribute,
    STATE(11606), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13498), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13496), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596954] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14426), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12989), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11606), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(12987), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596990] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14429), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [597044] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14431), 1,
      anon_sym_end,
    STATE(11608), 1,
      sym_attribute,
    STATE(11609), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [597098] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14433), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [597152] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14433), 1,
      anon_sym_end,
    STATE(11610), 1,
      sym_attribute,
    STATE(11611), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [597206] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14435), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [597260] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14435), 1,
      anon_sym_end,
    STATE(11612), 1,
      sym_attribute,
    STATE(11613), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [597314] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14437), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [597368] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14439), 1,
      anon_sym_PIPE,
    STATE(11614), 1,
      sym_attribute,
    STATE(11616), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13492), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13490), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597406] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14439), 1,
      anon_sym_PIPE,
    STATE(11615), 1,
      sym_attribute,
    STATE(11616), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13498), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13496), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597444] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14441), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12989), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11616), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(12987), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597480] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13579), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [597534] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14444), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [597588] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14446), 1,
      anon_sym_end,
    STATE(11619), 1,
      sym_attribute,
    STATE(11620), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [597642] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14448), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [597696] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(13638), 1,
      anon_sym_LPAREN,
    ACTIONS(13642), 1,
      anon_sym_functor,
    ACTIONS(13644), 1,
      anon_sym_struct,
    ACTIONS(13646), 1,
      sym__capitalized_identifier,
    STATE(11621), 1,
      sym_attribute,
    STATE(11956), 1,
      sym__attribute,
    STATE(12825), 1,
      sym__module_expression,
    STATE(13122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13194), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13188), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [597750] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14448), 1,
      anon_sym_end,
    STATE(11622), 1,
      sym_attribute,
    STATE(11623), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [597804] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14450), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [597858] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14450), 1,
      anon_sym_end,
    STATE(11624), 1,
      sym_attribute,
    STATE(11625), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [597912] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14452), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [597966] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(14454), 1,
      anon_sym_RPAREN,
    ACTIONS(14456), 1,
      anon_sym_val,
    STATE(8557), 1,
      sym_module_path,
    STATE(11626), 1,
      sym_attribute,
    STATE(13042), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [598020] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13484), 1,
      anon_sym_DASH_GT,
    ACTIONS(13486), 1,
      anon_sym_with,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10849), 1,
      aux_sym_expression_item_repeat1,
    STATE(11627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13726), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [598062] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13695), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [598116] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13450), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [598170] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13969), 1,
      anon_sym_and,
    ACTIONS(13971), 1,
      sym_let_and_operator,
    STATE(11434), 1,
      aux_sym_value_definition_repeat1,
    STATE(11630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14201), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(14199), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598210] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14458), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [598264] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14460), 1,
      anon_sym_DASH_GT,
    ACTIONS(14462), 1,
      anon_sym_with,
    STATE(11632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13374), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [598302] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14464), 1,
      anon_sym_end,
    STATE(11633), 1,
      sym_attribute,
    STATE(11639), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [598356] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13380), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14460), 1,
      anon_sym_DASH_GT,
    ACTIONS(14462), 1,
      anon_sym_with,
    STATE(11634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13378), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [598394] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(13811), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [598448] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14424), 1,
      anon_sym_PIPE,
    STATE(11603), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12172), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12170), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598486] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13368), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14460), 1,
      anon_sym_DASH_GT,
    ACTIONS(14462), 1,
      anon_sym_with,
    STATE(11637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13366), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [598524] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14424), 1,
      anon_sym_PIPE,
    STATE(11605), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13492), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13490), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598562] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14466), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [598616] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14466), 1,
      anon_sym_end,
    STATE(11640), 1,
      sym_attribute,
    STATE(11641), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [598670] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14468), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [598724] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14468), 1,
      anon_sym_end,
    STATE(11642), 1,
      sym_attribute,
    STATE(11643), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [598778] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14470), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [598832] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14439), 1,
      anon_sym_PIPE,
    STATE(11614), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12172), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12170), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598870] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14439), 1,
      anon_sym_PIPE,
    STATE(11615), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13492), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13490), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598908] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    ACTIONS(12491), 1,
      anon_sym_val,
    ACTIONS(12495), 1,
      anon_sym_inherit,
    ACTIONS(12497), 1,
      anon_sym_method,
    ACTIONS(12499), 1,
      anon_sym_initializer,
    ACTIONS(14472), 1,
      anon_sym_end,
    STATE(11524), 1,
      aux_sym_object_expression_repeat1,
    STATE(11646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13321), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13313), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [598962] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    ACTIONS(14474), 1,
      anon_sym_RPAREN,
    STATE(11647), 1,
      sym_attribute,
    STATE(15837), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [599016] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    ACTIONS(14476), 1,
      anon_sym_RPAREN,
    STATE(11648), 1,
      sym_attribute,
    STATE(15837), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [599070] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14478), 1,
      anon_sym_RPAREN,
    ACTIONS(14480), 1,
      anon_sym_DOT,
    STATE(11649), 1,
      sym_attribute,
    STATE(19761), 1,
      sym__infix_operator,
    STATE(20077), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(14482), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [599116] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13492), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14484), 1,
      anon_sym_PIPE,
    STATE(11650), 1,
      sym_attribute,
    STATE(11775), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13490), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [599153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11705), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11707), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [599186] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11652), 1,
      sym_attribute,
    STATE(15767), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [599237] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11653), 1,
      sym_attribute,
    STATE(16425), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [599288] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(12398), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14292), 1,
      anon_sym_DASH_GT,
    STATE(11654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12396), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [599325] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5075), 1,
      aux_sym_number_token1,
    ACTIONS(5077), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5079), 1,
      anon_sym_SQUOTE,
    ACTIONS(5081), 1,
      anon_sym_DQUOTE,
    ACTIONS(14486), 1,
      anon_sym_LPAREN,
    ACTIONS(14490), 1,
      anon_sym_LBRACE,
    ACTIONS(14492), 1,
      anon_sym_begin,
    STATE(5542), 1,
      sym__signed_constant,
    STATE(11655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14488), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5357), 2,
      sym__constant,
      sym_signed_number,
    STATE(5307), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [599376] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11656), 1,
      sym_attribute,
    STATE(15943), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [599427] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11657), 1,
      sym_attribute,
    STATE(15114), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [599478] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11658), 1,
      sym_attribute,
    STATE(16254), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [599529] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9112), 1,
      anon_sym_and,
    ACTIONS(14494), 1,
      anon_sym_COMMA,
    ACTIONS(14496), 1,
      anon_sym_SEMI,
    ACTIONS(14498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14500), 1,
      sym_pow_operator,
    ACTIONS(14502), 1,
      sym_mult_operator,
    ACTIONS(14504), 1,
      sym_concat_operator,
    ACTIONS(14506), 1,
      sym_rel_operator,
    ACTIONS(14508), 1,
      sym_and_operator,
    ACTIONS(14510), 1,
      sym_or_operator,
    ACTIONS(14512), 1,
      sym_assign_operator,
    STATE(2170), 1,
      sym_add_operator,
    STATE(11659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [599586] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10239), 1,
      anon_sym_PIPE,
    ACTIONS(14514), 1,
      anon_sym_COMMA,
    ACTIONS(14516), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14518), 1,
      sym_pow_operator,
    ACTIONS(14520), 1,
      sym_mult_operator,
    ACTIONS(14522), 1,
      sym_concat_operator,
    ACTIONS(14524), 1,
      sym_rel_operator,
    ACTIONS(14526), 1,
      sym_and_operator,
    ACTIONS(14528), 1,
      sym_or_operator,
    ACTIONS(14530), 1,
      sym_assign_operator,
    STATE(2058), 1,
      sym_add_operator,
    STATE(11660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10237), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [599641] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14532), 1,
      anon_sym_LPAREN,
    ACTIONS(14534), 1,
      anon_sym_constraint,
    ACTIONS(14536), 1,
      anon_sym_val,
    ACTIONS(14538), 1,
      anon_sym_end,
    ACTIONS(14540), 1,
      anon_sym_inherit,
    ACTIONS(14542), 1,
      anon_sym_method,
    STATE(11661), 1,
      sym_attribute,
    STATE(11948), 1,
      aux_sym_class_body_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13388), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(13389), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [599694] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(11662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14544), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [599731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11537), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11539), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [599764] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9112), 1,
      anon_sym_PIPE,
    ACTIONS(14514), 1,
      anon_sym_COMMA,
    ACTIONS(14516), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14518), 1,
      sym_pow_operator,
    ACTIONS(14520), 1,
      sym_mult_operator,
    ACTIONS(14522), 1,
      sym_concat_operator,
    ACTIONS(14524), 1,
      sym_rel_operator,
    ACTIONS(14526), 1,
      sym_and_operator,
    ACTIONS(14528), 1,
      sym_or_operator,
    ACTIONS(14530), 1,
      sym_assign_operator,
    ACTIONS(14546), 1,
      anon_sym_SEMI,
    STATE(2058), 1,
      sym_add_operator,
    STATE(11664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 3,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [599821] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11665), 1,
      sym_attribute,
    STATE(15198), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [599872] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6869), 1,
      anon_sym_DOT,
    STATE(11666), 1,
      sym_attribute,
    STATE(17935), 1,
      sym__infix_operator,
    STATE(20077), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6875), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [599915] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7263), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10466), 1,
      aux_sym_expression_item_repeat1,
    STATE(11667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6933), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [599954] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11668), 1,
      sym_attribute,
    STATE(15264), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [600005] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14197), 1,
      anon_sym_let,
    ACTIONS(14548), 1,
      anon_sym_and,
    ACTIONS(14550), 1,
      sym_let_and_operator,
    STATE(11669), 1,
      sym_attribute,
    STATE(11761), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14195), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [600044] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14552), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10413), 1,
      aux_sym_expression_item_repeat1,
    STATE(11670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12621), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [600083] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14554), 1,
      sym__identifier,
    ACTIONS(14556), 1,
      anon_sym_LPAREN,
    ACTIONS(14558), 1,
      anon_sym_module,
    ACTIONS(14560), 1,
      anon_sym_sig,
    ACTIONS(14562), 1,
      anon_sym_functor,
    ACTIONS(14564), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14566), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14568), 1,
      sym__capitalized_identifier,
    STATE(11671), 1,
      sym_attribute,
    STATE(13670), 1,
      sym__module_type,
    STATE(17409), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13468), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [600134] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7269), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10418), 1,
      aux_sym_expression_item_repeat1,
    STATE(11672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6889), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [600173] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7229), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10508), 1,
      aux_sym_expression_item_repeat1,
    STATE(11673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7027), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [600212] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14570), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10377), 1,
      aux_sym_expression_item_repeat1,
    STATE(11674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12899), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [600251] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13468), 1,
      anon_sym_LPAREN,
    ACTIONS(13470), 1,
      anon_sym_functor,
    STATE(10932), 1,
      sym__module_type,
    STATE(11675), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [600302] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11676), 1,
      sym_attribute,
    STATE(15332), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [600353] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14201), 1,
      anon_sym_let,
    ACTIONS(14548), 1,
      anon_sym_and,
    ACTIONS(14550), 1,
      sym_let_and_operator,
    STATE(11677), 1,
      sym_attribute,
    STATE(11762), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14199), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [600392] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14554), 1,
      sym__identifier,
    ACTIONS(14556), 1,
      anon_sym_LPAREN,
    ACTIONS(14558), 1,
      anon_sym_module,
    ACTIONS(14560), 1,
      anon_sym_sig,
    ACTIONS(14562), 1,
      anon_sym_functor,
    ACTIONS(14564), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14566), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14568), 1,
      sym__capitalized_identifier,
    STATE(11678), 1,
      sym_attribute,
    STATE(13769), 1,
      sym__module_type,
    STATE(17409), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13468), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [600443] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14572), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10566), 1,
      aux_sym_expression_item_repeat1,
    STATE(11679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12979), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [600482] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11680), 1,
      sym_attribute,
    STATE(15468), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [600533] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7249), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10313), 1,
      aux_sym_expression_item_repeat1,
    STATE(11681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7051), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [600572] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11682), 1,
      sym_attribute,
    STATE(15389), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [600623] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13468), 1,
      anon_sym_LPAREN,
    ACTIONS(13470), 1,
      anon_sym_functor,
    STATE(11627), 1,
      sym__module_type,
    STATE(11683), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [600674] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14574), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10326), 1,
      aux_sym_expression_item_repeat1,
    STATE(11684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12507), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [600713] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7253), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10340), 1,
      aux_sym_expression_item_repeat1,
    STATE(11685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7059), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [600752] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(11686), 1,
      sym_attribute,
    STATE(11840), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14576), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [600789] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14578), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10413), 1,
      aux_sym_expression_item_repeat1,
    STATE(11687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12621), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [600828] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7257), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10418), 1,
      aux_sym_expression_item_repeat1,
    STATE(11688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6889), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [600867] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11689), 1,
      sym_attribute,
    STATE(15449), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [600918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11553), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [600951] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14580), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10457), 1,
      aux_sym_expression_item_repeat1,
    STATE(11691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12786), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [600990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11557), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [601023] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11693), 1,
      sym_attribute,
    STATE(15519), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [601074] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14582), 1,
      anon_sym_PIPE,
    STATE(11694), 1,
      sym_attribute,
    STATE(11697), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601111] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14582), 1,
      anon_sym_PIPE,
    STATE(11695), 1,
      sym_attribute,
    STATE(11699), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601148] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11696), 1,
      sym_attribute,
    STATE(15566), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [601199] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14582), 1,
      anon_sym_PIPE,
    STATE(11697), 1,
      sym_attribute,
    STATE(11700), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601236] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5143), 1,
      aux_sym_number_token1,
    ACTIONS(5145), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5147), 1,
      anon_sym_SQUOTE,
    ACTIONS(5149), 1,
      anon_sym_DQUOTE,
    ACTIONS(14584), 1,
      anon_sym_LPAREN,
    ACTIONS(14588), 1,
      anon_sym_LBRACE,
    ACTIONS(14590), 1,
      anon_sym_begin,
    STATE(5696), 1,
      sym__signed_constant,
    STATE(11698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14586), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5506), 2,
      sym__constant,
      sym_signed_number,
    STATE(5458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [601287] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14582), 1,
      anon_sym_PIPE,
    STATE(11699), 1,
      sym_attribute,
    STATE(11700), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601324] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14592), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11700), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601359] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11701), 1,
      sym_attribute,
    STATE(15629), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [601410] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7143), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10508), 1,
      aux_sym_expression_item_repeat1,
    STATE(11702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7027), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [601449] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11703), 1,
      sym_attribute,
    STATE(16241), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [601500] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6859), 1,
      anon_sym_DOT,
    STATE(11704), 1,
      sym_attribute,
    STATE(18833), 1,
      sym__infix_operator,
    STATE(20077), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6865), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [601543] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12053), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11705), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12051), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11559), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11561), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [601611] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11563), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11565), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [601644] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14554), 1,
      sym__identifier,
    ACTIONS(14556), 1,
      anon_sym_LPAREN,
    ACTIONS(14558), 1,
      anon_sym_module,
    ACTIONS(14560), 1,
      anon_sym_sig,
    ACTIONS(14562), 1,
      anon_sym_functor,
    ACTIONS(14564), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14566), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14568), 1,
      sym__capitalized_identifier,
    STATE(11708), 1,
      sym_attribute,
    STATE(13717), 1,
      sym__module_type,
    STATE(17409), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13468), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [601695] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7233), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10313), 1,
      aux_sym_expression_item_repeat1,
    STATE(11709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7051), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [601734] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10280), 1,
      anon_sym_PIPE,
    ACTIONS(14516), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14518), 1,
      sym_pow_operator,
    ACTIONS(14520), 1,
      sym_mult_operator,
    ACTIONS(14522), 1,
      sym_concat_operator,
    ACTIONS(14524), 1,
      sym_rel_operator,
    ACTIONS(14526), 1,
      sym_and_operator,
    ACTIONS(14528), 1,
      sym_or_operator,
    STATE(2058), 1,
      sym_add_operator,
    STATE(11710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [601785] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5395), 1,
      anon_sym_DOT,
    STATE(11711), 1,
      sym_attribute,
    STATE(20077), 1,
      sym_add_operator,
    STATE(20426), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(5401), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [601828] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    STATE(11712), 1,
      sym_attribute,
    STATE(20036), 1,
      sym__infix_operator,
    STATE(20077), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(2267), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [601871] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14516), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14518), 1,
      sym_pow_operator,
    ACTIONS(14520), 1,
      sym_mult_operator,
    STATE(2058), 1,
      sym_add_operator,
    STATE(11713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601914] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14518), 1,
      sym_pow_operator,
    STATE(2058), 1,
      sym_add_operator,
    STATE(11714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601951] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14518), 1,
      sym_pow_operator,
    STATE(2058), 1,
      sym_add_operator,
    STATE(11715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601988] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13468), 1,
      anon_sym_LPAREN,
    ACTIONS(13470), 1,
      anon_sym_functor,
    STATE(11013), 1,
      sym__module_type,
    STATE(11716), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [602039] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14516), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14518), 1,
      sym_pow_operator,
    ACTIONS(14520), 1,
      sym_mult_operator,
    ACTIONS(14522), 1,
      sym_concat_operator,
    STATE(2058), 1,
      sym_add_operator,
    STATE(11717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [602084] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(11718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14394), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602121] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7181), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10466), 1,
      aux_sym_expression_item_repeat1,
    STATE(11719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6933), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602160] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14516), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14518), 1,
      sym_pow_operator,
    ACTIONS(14520), 1,
      sym_mult_operator,
    ACTIONS(14522), 1,
      sym_concat_operator,
    STATE(2058), 1,
      sym_add_operator,
    STATE(11720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [602205] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7223), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10508), 1,
      aux_sym_expression_item_repeat1,
    STATE(11721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7027), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602244] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14598), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10377), 1,
      aux_sym_expression_item_repeat1,
    STATE(11722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12899), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602283] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14600), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10566), 1,
      aux_sym_expression_item_repeat1,
    STATE(11723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12979), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602322] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11724), 1,
      sym_attribute,
    STATE(15177), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [602373] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7243), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10313), 1,
      aux_sym_expression_item_repeat1,
    STATE(11725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7051), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602412] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9112), 1,
      anon_sym_and,
    ACTIONS(14494), 1,
      anon_sym_COMMA,
    ACTIONS(14498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14500), 1,
      sym_pow_operator,
    ACTIONS(14502), 1,
      sym_mult_operator,
    ACTIONS(14504), 1,
      sym_concat_operator,
    ACTIONS(14506), 1,
      sym_rel_operator,
    ACTIONS(14508), 1,
      sym_and_operator,
    ACTIONS(14510), 1,
      sym_or_operator,
    ACTIONS(14512), 1,
      sym_assign_operator,
    ACTIONS(14602), 1,
      anon_sym_SEMI,
    STATE(2170), 1,
      sym_add_operator,
    STATE(11726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [602469] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14604), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10566), 1,
      aux_sym_expression_item_repeat1,
    STATE(11727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12979), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602508] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14606), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10326), 1,
      aux_sym_expression_item_repeat1,
    STATE(11728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12507), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602547] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7261), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10340), 1,
      aux_sym_expression_item_repeat1,
    STATE(11729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7059), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602586] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14608), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10413), 1,
      aux_sym_expression_item_repeat1,
    STATE(11730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12621), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602625] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7179), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10418), 1,
      aux_sym_expression_item_repeat1,
    STATE(11731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6889), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602664] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14610), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10457), 1,
      aux_sym_expression_item_repeat1,
    STATE(11732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12786), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602703] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14516), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14518), 1,
      sym_pow_operator,
    ACTIONS(14520), 1,
      sym_mult_operator,
    ACTIONS(14522), 1,
      sym_concat_operator,
    ACTIONS(14524), 1,
      sym_rel_operator,
    ACTIONS(14526), 1,
      sym_and_operator,
    STATE(2058), 1,
      sym_add_operator,
    STATE(11733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [602752] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_PIPE,
    ACTIONS(14516), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14518), 1,
      sym_pow_operator,
    ACTIONS(14520), 1,
      sym_mult_operator,
    ACTIONS(14522), 1,
      sym_concat_operator,
    ACTIONS(14524), 1,
      sym_rel_operator,
    ACTIONS(14526), 1,
      sym_and_operator,
    ACTIONS(14528), 1,
      sym_or_operator,
    STATE(2058), 1,
      sym_add_operator,
    STATE(11734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [602803] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_PIPE,
    ACTIONS(14514), 1,
      anon_sym_COMMA,
    ACTIONS(14516), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14518), 1,
      sym_pow_operator,
    ACTIONS(14520), 1,
      sym_mult_operator,
    ACTIONS(14522), 1,
      sym_concat_operator,
    ACTIONS(14524), 1,
      sym_rel_operator,
    ACTIONS(14526), 1,
      sym_and_operator,
    ACTIONS(14528), 1,
      sym_or_operator,
    ACTIONS(14530), 1,
      sym_assign_operator,
    STATE(2058), 1,
      sym_add_operator,
    STATE(11735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [602858] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14518), 1,
      sym_pow_operator,
    ACTIONS(14520), 1,
      sym_mult_operator,
    STATE(2058), 1,
      sym_add_operator,
    STATE(11736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [602897] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10310), 1,
      anon_sym_PIPE,
    ACTIONS(14514), 1,
      anon_sym_COMMA,
    ACTIONS(14516), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14518), 1,
      sym_pow_operator,
    ACTIONS(14520), 1,
      sym_mult_operator,
    ACTIONS(14522), 1,
      sym_concat_operator,
    ACTIONS(14524), 1,
      sym_rel_operator,
    ACTIONS(14526), 1,
      sym_and_operator,
    ACTIONS(14528), 1,
      sym_or_operator,
    ACTIONS(14530), 1,
      sym_assign_operator,
    STATE(2058), 1,
      sym_add_operator,
    STATE(11737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10308), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [602952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(8298), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [602985] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10994), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(10992), 16,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
  [603018] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(8302), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [603051] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(8306), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [603084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(8310), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [603117] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11577), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11579), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [603150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11581), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11583), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [603183] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11098), 1,
      anon_sym_as,
    ACTIONS(14612), 1,
      sym__identifier,
    ACTIONS(14614), 1,
      anon_sym_POUND,
    STATE(11745), 1,
      sym_attribute,
    STATE(12454), 1,
      sym_type_constructor_path,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11096), 12,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
  [603226] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10280), 1,
      anon_sym_and,
    ACTIONS(14498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14500), 1,
      sym_pow_operator,
    ACTIONS(14502), 1,
      sym_mult_operator,
    ACTIONS(14504), 1,
      sym_concat_operator,
    ACTIONS(14506), 1,
      sym_rel_operator,
    ACTIONS(14508), 1,
      sym_and_operator,
    ACTIONS(14510), 1,
      sym_or_operator,
    STATE(2170), 1,
      sym_add_operator,
    STATE(11746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [603277] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14500), 1,
      sym_pow_operator,
    ACTIONS(14502), 1,
      sym_mult_operator,
    STATE(2170), 1,
      sym_add_operator,
    STATE(11747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [603320] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14500), 1,
      sym_pow_operator,
    STATE(2170), 1,
      sym_add_operator,
    STATE(11748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [603357] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14500), 1,
      sym_pow_operator,
    STATE(2170), 1,
      sym_add_operator,
    STATE(11749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [603394] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14500), 1,
      sym_pow_operator,
    ACTIONS(14502), 1,
      sym_mult_operator,
    ACTIONS(14504), 1,
      sym_concat_operator,
    STATE(2170), 1,
      sym_add_operator,
    STATE(11750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [603439] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14500), 1,
      sym_pow_operator,
    ACTIONS(14502), 1,
      sym_mult_operator,
    ACTIONS(14504), 1,
      sym_concat_operator,
    STATE(2170), 1,
      sym_add_operator,
    STATE(11751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [603484] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14500), 1,
      sym_pow_operator,
    ACTIONS(14502), 1,
      sym_mult_operator,
    ACTIONS(14504), 1,
      sym_concat_operator,
    ACTIONS(14506), 1,
      sym_rel_operator,
    ACTIONS(14508), 1,
      sym_and_operator,
    STATE(2170), 1,
      sym_add_operator,
    STATE(11752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_and,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [603533] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_and,
    ACTIONS(14498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14500), 1,
      sym_pow_operator,
    ACTIONS(14502), 1,
      sym_mult_operator,
    ACTIONS(14504), 1,
      sym_concat_operator,
    ACTIONS(14506), 1,
      sym_rel_operator,
    ACTIONS(14508), 1,
      sym_and_operator,
    ACTIONS(14510), 1,
      sym_or_operator,
    STATE(2170), 1,
      sym_add_operator,
    STATE(11753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [603584] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_and,
    ACTIONS(14494), 1,
      anon_sym_COMMA,
    ACTIONS(14498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14500), 1,
      sym_pow_operator,
    ACTIONS(14502), 1,
      sym_mult_operator,
    ACTIONS(14504), 1,
      sym_concat_operator,
    ACTIONS(14506), 1,
      sym_rel_operator,
    ACTIONS(14508), 1,
      sym_and_operator,
    ACTIONS(14510), 1,
      sym_or_operator,
    ACTIONS(14512), 1,
      sym_assign_operator,
    STATE(2170), 1,
      sym_add_operator,
    STATE(11754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [603639] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14616), 1,
      anon_sym_else,
    STATE(10385), 1,
      sym_else_clause,
    STATE(11755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [603676] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14500), 1,
      sym_pow_operator,
    ACTIONS(14502), 1,
      sym_mult_operator,
    STATE(2170), 1,
      sym_add_operator,
    STATE(11756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [603715] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10310), 1,
      anon_sym_and,
    ACTIONS(14494), 1,
      anon_sym_COMMA,
    ACTIONS(14498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14500), 1,
      sym_pow_operator,
    ACTIONS(14502), 1,
      sym_mult_operator,
    ACTIONS(14504), 1,
      sym_concat_operator,
    ACTIONS(14506), 1,
      sym_rel_operator,
    ACTIONS(14508), 1,
      sym_and_operator,
    ACTIONS(14510), 1,
      sym_or_operator,
    ACTIONS(14512), 1,
      sym_assign_operator,
    STATE(2170), 1,
      sym_add_operator,
    STATE(11757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10308), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [603770] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(14383), 1,
      anon_sym_val,
    STATE(8557), 1,
      sym_module_path,
    STATE(11758), 1,
      sym_attribute,
    STATE(12970), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [603821] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14618), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12053), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11759), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12051), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603856] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10320), 1,
      anon_sym_PIPE,
    ACTIONS(14514), 1,
      anon_sym_COMMA,
    ACTIONS(14516), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14518), 1,
      sym_pow_operator,
    ACTIONS(14520), 1,
      sym_mult_operator,
    ACTIONS(14522), 1,
      sym_concat_operator,
    ACTIONS(14524), 1,
      sym_rel_operator,
    ACTIONS(14526), 1,
      sym_and_operator,
    ACTIONS(14528), 1,
      sym_or_operator,
    ACTIONS(14530), 1,
      sym_assign_operator,
    STATE(2058), 1,
      sym_add_operator,
    STATE(11760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [603911] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14201), 1,
      anon_sym_let,
    ACTIONS(14548), 1,
      anon_sym_and,
    ACTIONS(14550), 1,
      sym_let_and_operator,
    STATE(11761), 1,
      sym_attribute,
    STATE(11766), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14199), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603950] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14131), 1,
      anon_sym_let,
    ACTIONS(14548), 1,
      anon_sym_and,
    ACTIONS(14550), 1,
      sym_let_and_operator,
    STATE(11762), 1,
      sym_attribute,
    STATE(11766), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14129), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603989] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6839), 1,
      anon_sym_DOT,
    STATE(11763), 1,
      sym_attribute,
    STATE(18692), 1,
      sym__infix_operator,
    STATE(20077), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6845), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [604032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11587), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [604065] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11589), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11591), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [604098] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13793), 1,
      anon_sym_let,
    ACTIONS(14621), 1,
      anon_sym_and,
    ACTIONS(14624), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11766), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(13791), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604135] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10320), 1,
      anon_sym_and,
    ACTIONS(14494), 1,
      anon_sym_COMMA,
    ACTIONS(14498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14500), 1,
      sym_pow_operator,
    ACTIONS(14502), 1,
      sym_mult_operator,
    ACTIONS(14504), 1,
      sym_concat_operator,
    ACTIONS(14506), 1,
      sym_rel_operator,
    ACTIONS(14508), 1,
      sym_and_operator,
    ACTIONS(14510), 1,
      sym_or_operator,
    ACTIONS(14512), 1,
      sym_assign_operator,
    STATE(2170), 1,
      sym_add_operator,
    STATE(11767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [604190] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14627), 1,
      anon_sym_else,
    STATE(10385), 1,
      sym_else_clause,
    STATE(11768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [604227] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(11769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14629), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [604264] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13468), 1,
      anon_sym_LPAREN,
    ACTIONS(13470), 1,
      anon_sym_functor,
    STATE(9458), 1,
      sym__module_type,
    STATE(11770), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [604315] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11771), 1,
      sym_attribute,
    STATE(15556), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [604366] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11772), 1,
      sym_attribute,
    STATE(15773), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [604417] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13793), 1,
      anon_sym_let,
    ACTIONS(14631), 1,
      anon_sym_and,
    ACTIONS(14634), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11773), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(13791), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604454] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7267), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10466), 1,
      aux_sym_expression_item_repeat1,
    STATE(11774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6933), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [604493] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12989), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14637), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11775), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(12987), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [604528] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11104), 1,
      anon_sym_as,
    ACTIONS(14612), 1,
      sym__identifier,
    ACTIONS(14640), 1,
      anon_sym_POUND,
    STATE(11776), 1,
      sym_attribute,
    STATE(12421), 1,
      sym_type_constructor_path,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11102), 12,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
  [604571] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14642), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10326), 1,
      aux_sym_expression_item_repeat1,
    STATE(11777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12507), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [604610] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4983), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(14644), 1,
      anon_sym_LPAREN,
    ACTIONS(14648), 1,
      anon_sym_LBRACE,
    ACTIONS(14650), 1,
      anon_sym_begin,
    STATE(5532), 1,
      sym__signed_constant,
    STATE(11778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14646), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5388), 2,
      sym__constant,
      sym_signed_number,
    STATE(5374), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [604661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11597), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11599), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [604694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11601), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11603), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [604727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11605), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11607), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [604760] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14131), 1,
      anon_sym_let,
    ACTIONS(14548), 1,
      anon_sym_and,
    ACTIONS(14550), 1,
      sym_let_and_operator,
    STATE(11782), 1,
      sym_attribute,
    STATE(11800), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14129), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604799] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11609), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11611), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [604832] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12409), 1,
      anon_sym_STAR,
    ACTIONS(13275), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11784), 1,
      sym_attribute,
    STATE(11789), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13273), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [604869] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7245), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10340), 1,
      aux_sym_expression_item_repeat1,
    STATE(11785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7059), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [604908] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13468), 1,
      anon_sym_LPAREN,
    ACTIONS(13470), 1,
      anon_sym_functor,
    STATE(11561), 1,
      sym__module_type,
    STATE(11786), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [604959] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14627), 1,
      anon_sym_else,
    STATE(10359), 1,
      sym_else_clause,
    STATE(11787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [604996] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12312), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14652), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11788), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12310), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [605033] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12053), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14655), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11789), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12051), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [605068] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6879), 1,
      anon_sym_DOT,
    STATE(11790), 1,
      sym_attribute,
    STATE(18909), 1,
      sym__infix_operator,
    STATE(20077), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6885), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [605111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(9152), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [605144] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7673), 1,
      aux_sym_number_token1,
    ACTIONS(7675), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    ACTIONS(14658), 1,
      anon_sym_LPAREN,
    ACTIONS(14662), 1,
      anon_sym_LBRACE,
    ACTIONS(14664), 1,
      anon_sym_begin,
    STATE(11792), 1,
      sym_attribute,
    STATE(13926), 1,
      sym__signed_constant,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14660), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13623), 2,
      sym__constant,
      sym_signed_number,
    STATE(13551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [605195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11625), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11627), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [605228] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11629), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11631), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [605261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11633), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11635), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [605294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11637), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11639), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [605327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11641), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11643), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [605360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11645), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11647), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [605393] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11799), 1,
      sym_attribute,
    STATE(15059), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [605444] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      anon_sym_let,
    ACTIONS(14548), 1,
      anon_sym_and,
    ACTIONS(14550), 1,
      sym_let_and_operator,
    STATE(11766), 1,
      aux_sym_value_definition_repeat1,
    STATE(11800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13965), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [605483] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14554), 1,
      sym__identifier,
    ACTIONS(14556), 1,
      anon_sym_LPAREN,
    ACTIONS(14558), 1,
      anon_sym_module,
    ACTIONS(14560), 1,
      anon_sym_sig,
    ACTIONS(14562), 1,
      anon_sym_functor,
    ACTIONS(14564), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14566), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14568), 1,
      sym__capitalized_identifier,
    STATE(11801), 1,
      sym_attribute,
    STATE(13593), 1,
      sym__module_type,
    STATE(17409), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13468), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [605534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11649), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11651), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [605567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11653), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11655), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [605600] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13492), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14666), 1,
      anon_sym_PIPE,
    STATE(11804), 1,
      sym_attribute,
    STATE(11806), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13490), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [605637] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13498), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14666), 1,
      anon_sym_PIPE,
    STATE(11805), 1,
      sym_attribute,
    STATE(11806), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13496), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [605674] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12989), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14668), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11806), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(12987), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [605709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11657), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11659), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [605742] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6849), 1,
      anon_sym_DOT,
    STATE(11808), 1,
      sym_attribute,
    STATE(19785), 1,
      sym__infix_operator,
    STATE(20077), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6855), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [605785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(9254), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [605818] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2058), 1,
      sym_add_operator,
    STATE(11810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [605853] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14616), 1,
      anon_sym_else,
    STATE(10359), 1,
      sym_else_clause,
    STATE(11811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [605890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11665), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11667), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [605923] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11813), 1,
      sym_attribute,
    STATE(15314), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [605974] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2170), 1,
      sym_add_operator,
    STATE(11814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [606009] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    ACTIONS(14456), 1,
      anon_sym_val,
    STATE(8557), 1,
      sym_module_path,
    STATE(11815), 1,
      sym_attribute,
    STATE(13042), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [606060] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13468), 1,
      anon_sym_LPAREN,
    ACTIONS(13470), 1,
      anon_sym_functor,
    STATE(10946), 1,
      sym__module_type,
    STATE(11816), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [606111] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14480), 1,
      anon_sym_DOT,
    STATE(11817), 1,
      sym_attribute,
    STATE(19761), 1,
      sym__infix_operator,
    STATE(20077), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(14482), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [606154] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13468), 1,
      anon_sym_LPAREN,
    ACTIONS(13470), 1,
      anon_sym_functor,
    STATE(11388), 1,
      sym__module_type,
    STATE(11818), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [606205] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7513), 1,
      aux_sym_number_token1,
    ACTIONS(7515), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7517), 1,
      anon_sym_SQUOTE,
    ACTIONS(7519), 1,
      anon_sym_DQUOTE,
    ACTIONS(14671), 1,
      anon_sym_LPAREN,
    ACTIONS(14675), 1,
      anon_sym_LBRACE,
    ACTIONS(14677), 1,
      anon_sym_begin,
    STATE(8905), 1,
      sym__signed_constant,
    STATE(11819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14673), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8625), 2,
      sym__constant,
      sym_signed_number,
    STATE(8781), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [606256] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10345), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14679), 1,
      anon_sym_STAR,
    STATE(11820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10343), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606291] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(10133), 1,
      anon_sym_as,
    ACTIONS(14612), 1,
      sym__identifier,
    ACTIONS(14614), 1,
      anon_sym_POUND,
    STATE(11821), 1,
      sym_attribute,
    STATE(12454), 1,
      sym_type_constructor_path,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10131), 12,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
  [606334] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11822), 1,
      sym_attribute,
    STATE(16384), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [606385] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14131), 1,
      anon_sym_let,
    ACTIONS(14681), 1,
      anon_sym_and,
    ACTIONS(14683), 1,
      sym_let_and_operator,
    STATE(11773), 1,
      aux_sym_value_definition_repeat1,
    STATE(11823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14129), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [606424] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14197), 1,
      anon_sym_let,
    ACTIONS(14681), 1,
      anon_sym_and,
    ACTIONS(14683), 1,
      sym_let_and_operator,
    STATE(11824), 1,
      sym_attribute,
    STATE(11876), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14195), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [606463] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11825), 1,
      sym_attribute,
    STATE(15496), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [606514] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5319), 1,
      aux_sym_number_token1,
    ACTIONS(5323), 1,
      anon_sym_SQUOTE,
    ACTIONS(5325), 1,
      anon_sym_DQUOTE,
    ACTIONS(7589), 1,
      aux_sym_signed_number_token1,
    ACTIONS(14685), 1,
      anon_sym_LPAREN,
    ACTIONS(14689), 1,
      anon_sym_LBRACE,
    ACTIONS(14691), 1,
      anon_sym_begin,
    STATE(11826), 1,
      sym_attribute,
    STATE(13109), 1,
      sym__signed_constant,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14687), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12890), 2,
      sym__constant,
      sym_signed_number,
    STATE(12089), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [606565] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14460), 1,
      anon_sym_DASH_GT,
    ACTIONS(14462), 1,
      anon_sym_with,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(11662), 1,
      aux_sym_expression_item_repeat1,
    STATE(11827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14394), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606606] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12172), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14484), 1,
      anon_sym_PIPE,
    STATE(11650), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12170), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606643] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13492), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14484), 1,
      anon_sym_PIPE,
    STATE(11829), 1,
      sym_attribute,
    STATE(11877), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13490), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606680] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      anon_sym_let,
    ACTIONS(14681), 1,
      anon_sym_and,
    ACTIONS(14683), 1,
      sym_let_and_operator,
    STATE(11773), 1,
      aux_sym_value_definition_repeat1,
    STATE(11830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13965), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [606719] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14693), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10377), 1,
      aux_sym_expression_item_repeat1,
    STATE(11831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12899), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606758] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12473), 1,
      anon_sym_STAR,
    STATE(11759), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(11832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13275), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13273), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [606795] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5109), 1,
      aux_sym_number_token1,
    ACTIONS(5111), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5113), 1,
      anon_sym_SQUOTE,
    ACTIONS(5115), 1,
      anon_sym_DQUOTE,
    ACTIONS(14695), 1,
      anon_sym_LPAREN,
    ACTIONS(14699), 1,
      anon_sym_LBRACE,
    ACTIONS(14701), 1,
      anon_sym_begin,
    STATE(5663), 1,
      sym__signed_constant,
    STATE(11833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14697), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5474), 2,
      sym__constant,
      sym_signed_number,
    STATE(5475), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [606846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11681), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11683), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [606879] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14201), 1,
      anon_sym_let,
    ACTIONS(14681), 1,
      anon_sym_and,
    ACTIONS(14683), 1,
      sym_let_and_operator,
    STATE(11823), 1,
      aux_sym_value_definition_repeat1,
    STATE(11835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14199), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [606918] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11836), 1,
      sym_attribute,
    STATE(15699), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [606969] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(11769), 1,
      aux_sym_expression_item_repeat1,
    STATE(11837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14703), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607006] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11838), 1,
      sym_attribute,
    STATE(15896), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [607057] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10485), 8,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10483), 10,
      anon_sym_rec,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_virtual,
      anon_sym_functor,
      anon_sym_struct,
      sym__identifier,
  [607090] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(11840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14703), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607127] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11841), 1,
      sym_attribute,
    STATE(16117), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [607178] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11842), 1,
      sym_attribute,
    STATE(15302), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [607229] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14705), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10457), 1,
      aux_sym_expression_item_repeat1,
    STATE(11843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12786), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607268] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12172), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14666), 1,
      anon_sym_PIPE,
    STATE(11804), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12170), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607305] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13492), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14666), 1,
      anon_sym_PIPE,
    STATE(11805), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13490), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607342] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14460), 1,
      anon_sym_DASH_GT,
    ACTIONS(14462), 1,
      anon_sym_with,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(11718), 1,
      aux_sym_expression_item_repeat1,
    STATE(11846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14406), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607383] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13392), 1,
      anon_sym_LPAREN,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13398), 1,
      anon_sym_functor,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    STATE(11827), 1,
      sym__module_type,
    STATE(11847), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [607434] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11848), 1,
      sym_attribute,
    STATE(14877), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [607485] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11849), 1,
      sym_attribute,
    STATE(14290), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [607536] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(14707), 1,
      anon_sym_LPAREN,
    ACTIONS(14709), 1,
      anon_sym_functor,
    STATE(11076), 1,
      sym__module_type,
    STATE(11850), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [607587] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(11851), 1,
      sym_attribute,
    STATE(14294), 1,
      sym__module_type,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [607638] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(14707), 1,
      anon_sym_LPAREN,
    ACTIONS(14709), 1,
      anon_sym_functor,
    STATE(11077), 1,
      sym__module_type,
    STATE(11852), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [607689] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(14707), 1,
      anon_sym_LPAREN,
    ACTIONS(14709), 1,
      anon_sym_functor,
    STATE(10869), 1,
      sym__module_type,
    STATE(11853), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [607740] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13392), 1,
      anon_sym_LPAREN,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13398), 1,
      anon_sym_functor,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    STATE(11632), 1,
      sym__module_type,
    STATE(11854), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [607791] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(14711), 1,
      anon_sym_LPAREN,
    ACTIONS(14713), 1,
      anon_sym_functor,
    STATE(11107), 1,
      sym__module_type,
    STATE(11855), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [607842] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13392), 1,
      anon_sym_LPAREN,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13398), 1,
      anon_sym_functor,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    STATE(11634), 1,
      sym__module_type,
    STATE(11856), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [607893] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(14711), 1,
      anon_sym_LPAREN,
    ACTIONS(14713), 1,
      anon_sym_functor,
    STATE(11108), 1,
      sym__module_type,
    STATE(11857), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [607944] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14460), 1,
      anon_sym_DASH_GT,
    ACTIONS(14462), 1,
      anon_sym_with,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10849), 1,
      aux_sym_expression_item_repeat1,
    STATE(11858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13726), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607985] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14460), 1,
      anon_sym_DASH_GT,
    ACTIONS(14462), 1,
      anon_sym_with,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10668), 1,
      aux_sym_expression_item_repeat1,
    STATE(11859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13730), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608026] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(14711), 1,
      anon_sym_LPAREN,
    ACTIONS(14713), 1,
      anon_sym_functor,
    STATE(10882), 1,
      sym__module_type,
    STATE(11860), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [608077] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(14707), 1,
      anon_sym_LPAREN,
    ACTIONS(14709), 1,
      anon_sym_functor,
    STATE(10872), 1,
      sym__module_type,
    STATE(11861), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [608128] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13392), 1,
      anon_sym_LPAREN,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13398), 1,
      anon_sym_functor,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    STATE(11858), 1,
      sym__module_type,
    STATE(11862), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [608179] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(14707), 1,
      anon_sym_LPAREN,
    ACTIONS(14709), 1,
      anon_sym_functor,
    STATE(10874), 1,
      sym__module_type,
    STATE(11863), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [608230] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13392), 1,
      anon_sym_LPAREN,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13398), 1,
      anon_sym_functor,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    STATE(11859), 1,
      sym__module_type,
    STATE(11864), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [608281] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13392), 1,
      anon_sym_LPAREN,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13398), 1,
      anon_sym_functor,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    STATE(11637), 1,
      sym__module_type,
    STATE(11865), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [608332] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(14711), 1,
      anon_sym_LPAREN,
    ACTIONS(14713), 1,
      anon_sym_functor,
    STATE(10877), 1,
      sym__module_type,
    STATE(11866), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [608383] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(14711), 1,
      anon_sym_LPAREN,
    ACTIONS(14713), 1,
      anon_sym_functor,
    STATE(10879), 1,
      sym__module_type,
    STATE(11867), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [608434] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_functor,
    STATE(9458), 1,
      sym__module_type,
    STATE(11868), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [608485] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14131), 1,
      anon_sym_let,
    ACTIONS(14681), 1,
      anon_sym_and,
    ACTIONS(14683), 1,
      sym_let_and_operator,
    STATE(11830), 1,
      aux_sym_value_definition_repeat1,
    STATE(11869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14129), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [608524] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13392), 1,
      anon_sym_LPAREN,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13398), 1,
      anon_sym_functor,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    STATE(9458), 1,
      sym__module_type,
    STATE(11870), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [608575] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10785), 1,
      aux_sym_expression_item_repeat1,
    STATE(11871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14715), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13769), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608614] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(10847), 1,
      aux_sym_expression_item_repeat1,
    STATE(11872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14717), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13775), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608653] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(14707), 1,
      anon_sym_LPAREN,
    ACTIONS(14709), 1,
      anon_sym_functor,
    STATE(9458), 1,
      sym__module_type,
    STATE(11873), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [608704] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13390), 1,
      sym__identifier,
    ACTIONS(13394), 1,
      anon_sym_module,
    ACTIONS(13396), 1,
      anon_sym_sig,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(14711), 1,
      anon_sym_LPAREN,
    ACTIONS(14713), 1,
      anon_sym_functor,
    STATE(9458), 1,
      sym__module_type,
    STATE(11874), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9340), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [608755] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12352), 1,
      anon_sym_STAR,
    STATE(11705), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(11875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13275), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13273), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [608792] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14201), 1,
      anon_sym_let,
    ACTIONS(14681), 1,
      anon_sym_and,
    ACTIONS(14683), 1,
      sym_let_and_operator,
    STATE(11773), 1,
      aux_sym_value_definition_repeat1,
    STATE(11876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14199), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [608831] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13498), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14484), 1,
      anon_sym_PIPE,
    STATE(11775), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13496), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608868] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(8302), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__capitalized_identifier,
  [608900] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(7872), 1,
      sym__module_expression,
    STATE(8557), 1,
      sym_module_path,
    STATE(11879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [608948] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10239), 1,
      anon_sym_PIPE,
    ACTIONS(14719), 1,
      anon_sym_COMMA,
    ACTIONS(14721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14723), 1,
      sym_pow_operator,
    ACTIONS(14725), 1,
      sym_mult_operator,
    ACTIONS(14727), 1,
      sym_concat_operator,
    ACTIONS(14729), 1,
      sym_rel_operator,
    ACTIONS(14731), 1,
      sym_and_operator,
    ACTIONS(14733), 1,
      sym_or_operator,
    ACTIONS(14735), 1,
      sym_assign_operator,
    STATE(2017), 1,
      sym_add_operator,
    STATE(11880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10237), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [609002] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(11881), 1,
      sym_attribute,
    STATE(13029), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [609050] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9112), 1,
      anon_sym_PIPE,
    ACTIONS(14737), 1,
      anon_sym_COMMA,
    ACTIONS(14739), 1,
      anon_sym_SEMI,
    ACTIONS(14741), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14743), 1,
      sym_pow_operator,
    ACTIONS(14745), 1,
      sym_mult_operator,
    ACTIONS(14747), 1,
      sym_concat_operator,
    ACTIONS(14749), 1,
      sym_rel_operator,
    ACTIONS(14751), 1,
      sym_and_operator,
    ACTIONS(14753), 1,
      sym_or_operator,
    ACTIONS(14755), 1,
      sym_assign_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(11882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 2,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [609106] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13638), 1,
      anon_sym_LPAREN,
    ACTIONS(13642), 1,
      anon_sym_functor,
    ACTIONS(13644), 1,
      anon_sym_struct,
    ACTIONS(13646), 1,
      sym__capitalized_identifier,
    STATE(11883), 1,
      sym_attribute,
    STATE(12825), 1,
      sym__module_expression,
    STATE(13122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13194), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13188), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [609154] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9112), 1,
      anon_sym_PIPE,
    ACTIONS(14719), 1,
      anon_sym_COMMA,
    ACTIONS(14721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14723), 1,
      sym_pow_operator,
    ACTIONS(14725), 1,
      sym_mult_operator,
    ACTIONS(14727), 1,
      sym_concat_operator,
    ACTIONS(14729), 1,
      sym_rel_operator,
    ACTIONS(14731), 1,
      sym_and_operator,
    ACTIONS(14733), 1,
      sym_or_operator,
    ACTIONS(14735), 1,
      sym_assign_operator,
    ACTIONS(14757), 1,
      anon_sym_SEMI,
    STATE(2017), 1,
      sym_add_operator,
    STATE(11884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 2,
      anon_sym_else,
      anon_sym_done,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [609210] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12053), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14759), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11885), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12051), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [609244] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2139), 1,
      sym_add_operator,
    STATE(11886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [609278] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14762), 1,
      anon_sym_else,
    STATE(8242), 1,
      sym_else_clause,
    STATE(11887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [609314] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10239), 1,
      anon_sym_PIPE,
    ACTIONS(14737), 1,
      anon_sym_COMMA,
    ACTIONS(14741), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14743), 1,
      sym_pow_operator,
    ACTIONS(14745), 1,
      sym_mult_operator,
    ACTIONS(14747), 1,
      sym_concat_operator,
    ACTIONS(14749), 1,
      sym_rel_operator,
    ACTIONS(14751), 1,
      sym_and_operator,
    ACTIONS(14753), 1,
      sym_or_operator,
    ACTIONS(14755), 1,
      sym_assign_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(11888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10237), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [609368] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13638), 1,
      anon_sym_LPAREN,
    ACTIONS(13642), 1,
      anon_sym_functor,
    ACTIONS(13644), 1,
      anon_sym_struct,
    ACTIONS(13646), 1,
      sym__capitalized_identifier,
    STATE(11889), 1,
      sym_attribute,
    STATE(12810), 1,
      sym__module_expression,
    STATE(13122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13194), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13188), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [609416] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(8276), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [609448] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10280), 1,
      anon_sym_PIPE,
    ACTIONS(14741), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14743), 1,
      sym_pow_operator,
    ACTIONS(14745), 1,
      sym_mult_operator,
    ACTIONS(14747), 1,
      sym_concat_operator,
    ACTIONS(14749), 1,
      sym_rel_operator,
    ACTIONS(14751), 1,
      sym_and_operator,
    ACTIONS(14753), 1,
      sym_or_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(11891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [609498] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14741), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14743), 1,
      sym_pow_operator,
    ACTIONS(14745), 1,
      sym_mult_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(11892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [609540] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14743), 1,
      sym_pow_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(11893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [609576] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14743), 1,
      sym_pow_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(11894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [609612] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14741), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14743), 1,
      sym_pow_operator,
    ACTIONS(14745), 1,
      sym_mult_operator,
    ACTIONS(14747), 1,
      sym_concat_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(11895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [609656] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14741), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14743), 1,
      sym_pow_operator,
    ACTIONS(14745), 1,
      sym_mult_operator,
    ACTIONS(14747), 1,
      sym_concat_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(11896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [609700] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14741), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14743), 1,
      sym_pow_operator,
    ACTIONS(14745), 1,
      sym_mult_operator,
    ACTIONS(14747), 1,
      sym_concat_operator,
    ACTIONS(14749), 1,
      sym_rel_operator,
    ACTIONS(14751), 1,
      sym_and_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(11897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [609748] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_PIPE,
    ACTIONS(14741), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14743), 1,
      sym_pow_operator,
    ACTIONS(14745), 1,
      sym_mult_operator,
    ACTIONS(14747), 1,
      sym_concat_operator,
    ACTIONS(14749), 1,
      sym_rel_operator,
    ACTIONS(14751), 1,
      sym_and_operator,
    ACTIONS(14753), 1,
      sym_or_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(11898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [609798] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_PIPE,
    ACTIONS(14737), 1,
      anon_sym_COMMA,
    ACTIONS(14741), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14743), 1,
      sym_pow_operator,
    ACTIONS(14745), 1,
      sym_mult_operator,
    ACTIONS(14747), 1,
      sym_concat_operator,
    ACTIONS(14749), 1,
      sym_rel_operator,
    ACTIONS(14751), 1,
      sym_and_operator,
    ACTIONS(14753), 1,
      sym_or_operator,
    ACTIONS(14755), 1,
      sym_assign_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(11899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [609852] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14743), 1,
      sym_pow_operator,
    ACTIONS(14745), 1,
      sym_mult_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(11900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [609890] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10310), 1,
      anon_sym_PIPE,
    ACTIONS(14737), 1,
      anon_sym_COMMA,
    ACTIONS(14741), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14743), 1,
      sym_pow_operator,
    ACTIONS(14745), 1,
      sym_mult_operator,
    ACTIONS(14747), 1,
      sym_concat_operator,
    ACTIONS(14749), 1,
      sym_rel_operator,
    ACTIONS(14751), 1,
      sym_and_operator,
    ACTIONS(14753), 1,
      sym_or_operator,
    ACTIONS(14755), 1,
      sym_assign_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(11901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10308), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [609944] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14764), 1,
      anon_sym_else,
    STATE(8194), 1,
      sym_else_clause,
    STATE(11902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [609980] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10320), 1,
      anon_sym_PIPE,
    ACTIONS(14737), 1,
      anon_sym_COMMA,
    ACTIONS(14741), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14743), 1,
      sym_pow_operator,
    ACTIONS(14745), 1,
      sym_mult_operator,
    ACTIONS(14747), 1,
      sym_concat_operator,
    ACTIONS(14749), 1,
      sym_rel_operator,
    ACTIONS(14751), 1,
      sym_and_operator,
    ACTIONS(14753), 1,
      sym_or_operator,
    ACTIONS(14755), 1,
      sym_assign_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(11903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [610034] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13638), 1,
      anon_sym_LPAREN,
    ACTIONS(13642), 1,
      anon_sym_functor,
    ACTIONS(13644), 1,
      anon_sym_struct,
    ACTIONS(13646), 1,
      sym__capitalized_identifier,
    STATE(11904), 1,
      sym_attribute,
    STATE(12947), 1,
      sym__module_expression,
    STATE(13122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13194), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13188), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [610082] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14766), 1,
      anon_sym_else,
    STATE(8194), 1,
      sym_else_clause,
    STATE(11905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [610118] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10280), 1,
      anon_sym_PIPE,
    ACTIONS(14768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14770), 1,
      sym_pow_operator,
    ACTIONS(14772), 1,
      sym_mult_operator,
    ACTIONS(14774), 1,
      sym_concat_operator,
    ACTIONS(14776), 1,
      sym_rel_operator,
    ACTIONS(14778), 1,
      sym_and_operator,
    ACTIONS(14780), 1,
      sym_or_operator,
    STATE(2043), 1,
      sym_add_operator,
    STATE(11906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [610168] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14770), 1,
      sym_pow_operator,
    ACTIONS(14772), 1,
      sym_mult_operator,
    STATE(2043), 1,
      sym_add_operator,
    STATE(11907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [610210] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14782), 1,
      anon_sym_else,
    STATE(8242), 1,
      sym_else_clause,
    STATE(11908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [610246] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13638), 1,
      anon_sym_LPAREN,
    ACTIONS(13644), 1,
      anon_sym_struct,
    ACTIONS(13646), 1,
      sym__capitalized_identifier,
    ACTIONS(14564), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14566), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14784), 1,
      anon_sym_functor,
    STATE(11909), 1,
      sym_attribute,
    STATE(12215), 1,
      sym__module_expression,
    STATE(13122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13194), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13188), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [610294] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(11910), 1,
      sym_attribute,
    STATE(13075), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [610342] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14770), 1,
      sym_pow_operator,
    STATE(2043), 1,
      sym_add_operator,
    STATE(11911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [610378] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14770), 1,
      sym_pow_operator,
    STATE(2043), 1,
      sym_add_operator,
    STATE(11912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [610414] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14770), 1,
      sym_pow_operator,
    ACTIONS(14772), 1,
      sym_mult_operator,
    ACTIONS(14774), 1,
      sym_concat_operator,
    STATE(2043), 1,
      sym_add_operator,
    STATE(11913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [610458] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14770), 1,
      sym_pow_operator,
    ACTIONS(14772), 1,
      sym_mult_operator,
    ACTIONS(14774), 1,
      sym_concat_operator,
    STATE(2043), 1,
      sym_add_operator,
    STATE(11914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [610502] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14770), 1,
      sym_pow_operator,
    ACTIONS(14772), 1,
      sym_mult_operator,
    ACTIONS(14774), 1,
      sym_concat_operator,
    ACTIONS(14776), 1,
      sym_rel_operator,
    ACTIONS(14778), 1,
      sym_and_operator,
    STATE(2043), 1,
      sym_add_operator,
    STATE(11915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [610550] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_PIPE,
    ACTIONS(14768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14770), 1,
      sym_pow_operator,
    ACTIONS(14772), 1,
      sym_mult_operator,
    ACTIONS(14774), 1,
      sym_concat_operator,
    ACTIONS(14776), 1,
      sym_rel_operator,
    ACTIONS(14778), 1,
      sym_and_operator,
    ACTIONS(14780), 1,
      sym_or_operator,
    STATE(2043), 1,
      sym_add_operator,
    STATE(11916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [610600] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_PIPE,
    ACTIONS(14768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14770), 1,
      sym_pow_operator,
    ACTIONS(14772), 1,
      sym_mult_operator,
    ACTIONS(14774), 1,
      sym_concat_operator,
    ACTIONS(14776), 1,
      sym_rel_operator,
    ACTIONS(14778), 1,
      sym_and_operator,
    ACTIONS(14780), 1,
      sym_or_operator,
    ACTIONS(14786), 1,
      anon_sym_COMMA,
    ACTIONS(14788), 1,
      sym_assign_operator,
    STATE(2043), 1,
      sym_add_operator,
    STATE(11917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 3,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
  [610654] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14770), 1,
      sym_pow_operator,
    ACTIONS(14772), 1,
      sym_mult_operator,
    STATE(2043), 1,
      sym_add_operator,
    STATE(11918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [610692] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10310), 1,
      anon_sym_PIPE,
    ACTIONS(14768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14770), 1,
      sym_pow_operator,
    ACTIONS(14772), 1,
      sym_mult_operator,
    ACTIONS(14774), 1,
      sym_concat_operator,
    ACTIONS(14776), 1,
      sym_rel_operator,
    ACTIONS(14778), 1,
      sym_and_operator,
    ACTIONS(14780), 1,
      sym_or_operator,
    ACTIONS(14786), 1,
      anon_sym_COMMA,
    ACTIONS(14788), 1,
      sym_assign_operator,
    STATE(2043), 1,
      sym_add_operator,
    STATE(11919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10308), 3,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
  [610746] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9112), 1,
      anon_sym_PIPE,
    ACTIONS(14790), 1,
      anon_sym_COMMA,
    ACTIONS(14792), 1,
      anon_sym_SEMI,
    ACTIONS(14794), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14796), 1,
      sym_pow_operator,
    ACTIONS(14798), 1,
      sym_mult_operator,
    ACTIONS(14800), 1,
      sym_concat_operator,
    ACTIONS(14802), 1,
      sym_rel_operator,
    ACTIONS(14804), 1,
      sym_and_operator,
    ACTIONS(14806), 1,
      sym_or_operator,
    ACTIONS(14808), 1,
      sym_assign_operator,
    STATE(1825), 1,
      sym_add_operator,
    STATE(11920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 2,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [610802] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(8280), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [610834] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2161), 1,
      sym_add_operator,
    STATE(11922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [610868] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14764), 1,
      anon_sym_else,
    STATE(8242), 1,
      sym_else_clause,
    STATE(11923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [610904] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(8888), 1,
      sym__module_expression,
    STATE(11924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [610952] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8215), 1,
      sym__module_expression,
    STATE(8557), 1,
      sym_module_path,
    STATE(11925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611000] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(8294), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [611032] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14810), 1,
      anon_sym_constraint,
    ACTIONS(14813), 1,
      anon_sym_val,
    ACTIONS(14816), 1,
      anon_sym_end,
    ACTIONS(14818), 1,
      anon_sym_inherit,
    ACTIONS(14821), 1,
      anon_sym_method,
    ACTIONS(14824), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14827), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14830), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11927), 2,
      sym_attribute,
      aux_sym_class_body_type_repeat1,
    STATE(13388), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(13389), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [611080] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(8310), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__capitalized_identifier,
  [611112] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12581), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14833), 1,
      anon_sym_EQ,
    ACTIONS(14835), 1,
      anon_sym_of,
    ACTIONS(14837), 1,
      anon_sym_COLON2,
    STATE(11929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611150] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12591), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14839), 1,
      anon_sym_EQ,
    ACTIONS(14841), 1,
      anon_sym_of,
    ACTIONS(14843), 1,
      anon_sym_COLON2,
    STATE(11930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12589), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611188] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14241), 1,
      anon_sym_let,
    ACTIONS(14845), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11931), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(14239), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [611222] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14850), 1,
      anon_sym_let,
    ACTIONS(14852), 1,
      anon_sym_and,
    STATE(11931), 1,
      aux_sym_class_definition_repeat1,
    STATE(11932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14848), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [611258] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12601), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14854), 1,
      anon_sym_EQ,
    ACTIONS(14856), 1,
      anon_sym_of,
    ACTIONS(14858), 1,
      anon_sym_COLON2,
    STATE(11933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12599), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611296] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10345), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14860), 1,
      anon_sym_STAR,
    STATE(11934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10343), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611330] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14862), 1,
      anon_sym_else,
    STATE(8194), 1,
      sym_else_clause,
    STATE(11935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [611366] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(11936), 1,
      sym_attribute,
    STATE(13100), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611414] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14866), 1,
      anon_sym_let,
    ACTIONS(14868), 1,
      anon_sym_DOT,
    STATE(11937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14864), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [611448] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11320), 1,
      anon_sym_COLON2,
    STATE(11938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9254), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [611482] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14870), 1,
      anon_sym_else,
    STATE(10359), 1,
      sym_else_clause,
    STATE(11939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [611518] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10320), 1,
      anon_sym_PIPE,
    ACTIONS(14768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14770), 1,
      sym_pow_operator,
    ACTIONS(14772), 1,
      sym_mult_operator,
    ACTIONS(14774), 1,
      sym_concat_operator,
    ACTIONS(14776), 1,
      sym_rel_operator,
    ACTIONS(14778), 1,
      sym_and_operator,
    ACTIONS(14780), 1,
      sym_or_operator,
    ACTIONS(14786), 1,
      anon_sym_COMMA,
    ACTIONS(14788), 1,
      sym_assign_operator,
    STATE(2043), 1,
      sym_add_operator,
    STATE(11940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 3,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
  [611572] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13638), 1,
      anon_sym_LPAREN,
    ACTIONS(13642), 1,
      anon_sym_functor,
    ACTIONS(13644), 1,
      anon_sym_struct,
    ACTIONS(13646), 1,
      sym__capitalized_identifier,
    STATE(11941), 1,
      sym_attribute,
    STATE(12822), 1,
      sym__module_expression,
    STATE(13122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13194), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13188), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611620] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12581), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14833), 1,
      anon_sym_EQ,
    ACTIONS(14872), 1,
      anon_sym_of,
    ACTIONS(14874), 1,
      anon_sym_COLON2,
    STATE(11942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611658] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12591), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14839), 1,
      anon_sym_EQ,
    ACTIONS(14876), 1,
      anon_sym_of,
    ACTIONS(14878), 1,
      anon_sym_COLON2,
    STATE(11943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12589), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611696] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12601), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14854), 1,
      anon_sym_EQ,
    ACTIONS(14880), 1,
      anon_sym_of,
    ACTIONS(14882), 1,
      anon_sym_COLON2,
    STATE(11944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12599), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611734] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12601), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12603), 1,
      anon_sym_EQ,
    ACTIONS(14880), 1,
      anon_sym_of,
    ACTIONS(14882), 1,
      anon_sym_COLON2,
    STATE(11945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12599), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611772] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(11946), 1,
      sym_attribute,
    STATE(13027), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611820] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14782), 1,
      anon_sym_else,
    STATE(8194), 1,
      sym_else_clause,
    STATE(11947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [611856] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14534), 1,
      anon_sym_constraint,
    ACTIONS(14536), 1,
      anon_sym_val,
    ACTIONS(14540), 1,
      anon_sym_inherit,
    ACTIONS(14542), 1,
      anon_sym_method,
    ACTIONS(14884), 1,
      anon_sym_end,
    STATE(11927), 1,
      aux_sym_class_body_type_repeat1,
    STATE(11948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13388), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(13389), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [611906] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(11949), 1,
      sym_attribute,
    STATE(13021), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611954] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(11950), 1,
      sym_attribute,
    STATE(12929), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612002] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14886), 1,
      anon_sym_PIPE,
    STATE(11951), 1,
      sym_attribute,
    STATE(11953), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [612038] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14886), 1,
      anon_sym_PIPE,
    STATE(11952), 1,
      sym_attribute,
    STATE(11954), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [612074] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14886), 1,
      anon_sym_PIPE,
    STATE(11953), 1,
      sym_attribute,
    STATE(11955), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [612110] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14886), 1,
      anon_sym_PIPE,
    STATE(11954), 1,
      sym_attribute,
    STATE(11955), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [612146] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14888), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11955), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [612180] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13638), 1,
      anon_sym_LPAREN,
    ACTIONS(13642), 1,
      anon_sym_functor,
    ACTIONS(13644), 1,
      anon_sym_struct,
    ACTIONS(13646), 1,
      sym__capitalized_identifier,
    STATE(11956), 1,
      sym_attribute,
    STATE(12884), 1,
      sym__module_expression,
    STATE(13122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13194), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13188), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612228] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(11957), 1,
      sym_attribute,
    STATE(12908), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612276] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9112), 1,
      anon_sym_PIPE,
    ACTIONS(14891), 1,
      anon_sym_COMMA,
    ACTIONS(14893), 1,
      anon_sym_SEMI,
    ACTIONS(14895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14897), 1,
      sym_pow_operator,
    ACTIONS(14899), 1,
      sym_mult_operator,
    ACTIONS(14901), 1,
      sym_concat_operator,
    ACTIONS(14903), 1,
      sym_rel_operator,
    ACTIONS(14905), 1,
      sym_and_operator,
    ACTIONS(14907), 1,
      sym_or_operator,
    ACTIONS(14909), 1,
      sym_assign_operator,
    STATE(2139), 1,
      sym_add_operator,
    STATE(11958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 2,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [612332] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14911), 1,
      anon_sym_PIPE,
    STATE(11959), 1,
      sym_attribute,
    STATE(11961), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [612368] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14911), 1,
      anon_sym_PIPE,
    STATE(11960), 1,
      sym_attribute,
    STATE(11962), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [612404] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14911), 1,
      anon_sym_PIPE,
    STATE(11961), 1,
      sym_attribute,
    STATE(11963), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [612440] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14911), 1,
      anon_sym_PIPE,
    STATE(11962), 1,
      sym_attribute,
    STATE(11963), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [612476] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14913), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11963), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [612510] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14862), 1,
      anon_sym_else,
    STATE(8242), 1,
      sym_else_clause,
    STATE(11964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [612546] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(11965), 1,
      sym_attribute,
    STATE(13104), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612594] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14916), 1,
      anon_sym_PIPE,
    STATE(11966), 1,
      sym_attribute,
    STATE(11968), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [612630] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14916), 1,
      anon_sym_PIPE,
    STATE(11967), 1,
      sym_attribute,
    STATE(11969), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [612666] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14916), 1,
      anon_sym_PIPE,
    STATE(11968), 1,
      sym_attribute,
    STATE(11970), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [612702] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14916), 1,
      anon_sym_PIPE,
    STATE(11969), 1,
      sym_attribute,
    STATE(11970), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [612738] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11970), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [612772] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(11971), 1,
      sym_attribute,
    STATE(12986), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612820] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14921), 1,
      anon_sym_PIPE,
    STATE(11972), 1,
      sym_attribute,
    STATE(11974), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [612856] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14921), 1,
      anon_sym_PIPE,
    STATE(11973), 1,
      sym_attribute,
    STATE(11975), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [612892] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14921), 1,
      anon_sym_PIPE,
    STATE(11974), 1,
      sym_attribute,
    STATE(11976), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [612928] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14921), 1,
      anon_sym_PIPE,
    STATE(11975), 1,
      sym_attribute,
    STATE(11976), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [612964] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14923), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11976), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [612998] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(11977), 1,
      sym_attribute,
    STATE(13085), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613046] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(11978), 1,
      sym_attribute,
    STATE(12950), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613094] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12581), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12583), 1,
      anon_sym_EQ,
    ACTIONS(14872), 1,
      anon_sym_of,
    ACTIONS(14874), 1,
      anon_sym_COLON2,
    STATE(11979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613132] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(11980), 1,
      sym_attribute,
    STATE(12997), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613180] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14928), 1,
      anon_sym_let,
    ACTIONS(14930), 1,
      anon_sym_and,
    STATE(11981), 1,
      sym_attribute,
    STATE(12012), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14926), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613216] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14928), 1,
      anon_sym_let,
    ACTIONS(14930), 1,
      anon_sym_and,
    STATE(11982), 1,
      sym_attribute,
    STATE(12013), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14926), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613252] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14934), 1,
      anon_sym_let,
    ACTIONS(14936), 1,
      anon_sym_and,
    STATE(11983), 1,
      sym_attribute,
    STATE(11991), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14932), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613288] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(11984), 1,
      sym_attribute,
    STATE(13031), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613336] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10239), 1,
      anon_sym_PIPE,
    ACTIONS(14790), 1,
      anon_sym_COMMA,
    ACTIONS(14794), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14796), 1,
      sym_pow_operator,
    ACTIONS(14798), 1,
      sym_mult_operator,
    ACTIONS(14800), 1,
      sym_concat_operator,
    ACTIONS(14802), 1,
      sym_rel_operator,
    ACTIONS(14804), 1,
      sym_and_operator,
    ACTIONS(14806), 1,
      sym_or_operator,
    ACTIONS(14808), 1,
      sym_assign_operator,
    STATE(1825), 1,
      sym_add_operator,
    STATE(11985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10237), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [613390] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(11986), 1,
      sym_attribute,
    STATE(13073), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613438] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(8664), 1,
      sym__module_expression,
    STATE(11987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613486] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(14938), 1,
      sym__identifier,
    ACTIONS(14940), 1,
      anon_sym_POUND,
    STATE(11988), 1,
      sym_attribute,
    STATE(12702), 1,
      sym_type_constructor_path,
    STATE(16574), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10131), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10133), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [613528] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14936), 1,
      anon_sym_and,
    ACTIONS(14944), 1,
      anon_sym_let,
    STATE(11989), 1,
      sym_attribute,
    STATE(11991), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14942), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613564] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(11990), 1,
      sym_attribute,
    STATE(13091), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613612] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14008), 1,
      anon_sym_let,
    ACTIONS(14946), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11991), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(14006), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613646] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14936), 1,
      anon_sym_and,
    ACTIONS(14944), 1,
      anon_sym_let,
    STATE(11992), 1,
      sym_attribute,
    STATE(11996), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14942), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613682] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9112), 1,
      anon_sym_PIPE,
    ACTIONS(14949), 1,
      anon_sym_COMMA,
    ACTIONS(14951), 1,
      anon_sym_SEMI,
    ACTIONS(14953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14955), 1,
      sym_pow_operator,
    ACTIONS(14957), 1,
      sym_mult_operator,
    ACTIONS(14959), 1,
      sym_concat_operator,
    ACTIONS(14961), 1,
      sym_rel_operator,
    ACTIONS(14963), 1,
      sym_and_operator,
    ACTIONS(14965), 1,
      sym_or_operator,
    ACTIONS(14967), 1,
      sym_assign_operator,
    STATE(2115), 1,
      sym_add_operator,
    STATE(11993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 2,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [613738] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(11994), 1,
      sym_attribute,
    STATE(12945), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613786] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(11995), 1,
      sym_attribute,
    STATE(13053), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613834] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14936), 1,
      anon_sym_and,
    ACTIONS(14971), 1,
      anon_sym_let,
    STATE(11991), 1,
      aux_sym_type_definition_repeat1,
    STATE(11996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14969), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613870] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14852), 1,
      anon_sym_and,
    ACTIONS(14928), 1,
      anon_sym_let,
    STATE(11931), 1,
      aux_sym_class_definition_repeat1,
    STATE(11997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14926), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613906] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(11998), 1,
      sym_attribute,
    STATE(13079), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613954] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14852), 1,
      anon_sym_and,
    ACTIONS(14928), 1,
      anon_sym_let,
    STATE(11932), 1,
      aux_sym_class_definition_repeat1,
    STATE(11999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14926), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613990] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(1825), 1,
      sym_add_operator,
    STATE(12000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [614024] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14973), 1,
      anon_sym_else,
    STATE(8242), 1,
      sym_else_clause,
    STATE(12001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [614060] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13638), 1,
      anon_sym_LPAREN,
    ACTIONS(13642), 1,
      anon_sym_functor,
    ACTIONS(13644), 1,
      anon_sym_struct,
    ACTIONS(13646), 1,
      sym__capitalized_identifier,
    STATE(12002), 1,
      sym_attribute,
    STATE(12814), 1,
      sym__module_expression,
    STATE(13122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13194), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13188), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614108] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12591), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12593), 1,
      anon_sym_EQ,
    ACTIONS(14876), 1,
      anon_sym_of,
    ACTIONS(14878), 1,
      anon_sym_COLON2,
    STATE(12003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12589), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614146] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(12004), 1,
      sym_attribute,
    STATE(13041), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614194] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(8872), 1,
      sym__module_expression,
    STATE(12005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614242] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(12006), 1,
      sym_attribute,
    STATE(12968), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614290] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14975), 1,
      anon_sym_PIPE,
    STATE(12007), 1,
      sym_attribute,
    STATE(12010), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [614326] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(12008), 1,
      sym_attribute,
    STATE(13034), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614374] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14975), 1,
      anon_sym_PIPE,
    STATE(12009), 1,
      sym_attribute,
    STATE(12033), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [614410] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14975), 1,
      anon_sym_PIPE,
    STATE(12010), 1,
      sym_attribute,
    STATE(12034), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [614446] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(12011), 1,
      sym_attribute,
    STATE(12907), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614494] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14241), 1,
      anon_sym_let,
    ACTIONS(14977), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12012), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(14239), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [614528] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14850), 1,
      anon_sym_let,
    ACTIONS(14930), 1,
      anon_sym_and,
    STATE(12012), 1,
      aux_sym_class_definition_repeat1,
    STATE(12013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14848), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [614564] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10280), 1,
      anon_sym_PIPE,
    ACTIONS(14794), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14796), 1,
      sym_pow_operator,
    ACTIONS(14798), 1,
      sym_mult_operator,
    ACTIONS(14800), 1,
      sym_concat_operator,
    ACTIONS(14802), 1,
      sym_rel_operator,
    ACTIONS(14804), 1,
      sym_and_operator,
    ACTIONS(14806), 1,
      sym_or_operator,
    STATE(1825), 1,
      sym_add_operator,
    STATE(12014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [614614] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14794), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14796), 1,
      sym_pow_operator,
    ACTIONS(14798), 1,
      sym_mult_operator,
    STATE(1825), 1,
      sym_add_operator,
    STATE(12015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [614656] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14796), 1,
      sym_pow_operator,
    STATE(1825), 1,
      sym_add_operator,
    STATE(12016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [614692] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(12017), 1,
      sym_attribute,
    STATE(13028), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614740] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14796), 1,
      sym_pow_operator,
    STATE(1825), 1,
      sym_add_operator,
    STATE(12018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [614776] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14794), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14796), 1,
      sym_pow_operator,
    ACTIONS(14798), 1,
      sym_mult_operator,
    ACTIONS(14800), 1,
      sym_concat_operator,
    STATE(1825), 1,
      sym_add_operator,
    STATE(12019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [614820] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14794), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14796), 1,
      sym_pow_operator,
    ACTIONS(14798), 1,
      sym_mult_operator,
    ACTIONS(14800), 1,
      sym_concat_operator,
    STATE(1825), 1,
      sym_add_operator,
    STATE(12020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [614864] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14794), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14796), 1,
      sym_pow_operator,
    ACTIONS(14798), 1,
      sym_mult_operator,
    ACTIONS(14800), 1,
      sym_concat_operator,
    ACTIONS(14802), 1,
      sym_rel_operator,
    ACTIONS(14804), 1,
      sym_and_operator,
    STATE(1825), 1,
      sym_add_operator,
    STATE(12021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [614912] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(12022), 1,
      sym_attribute,
    STATE(12906), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614960] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_PIPE,
    ACTIONS(14794), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14796), 1,
      sym_pow_operator,
    ACTIONS(14798), 1,
      sym_mult_operator,
    ACTIONS(14800), 1,
      sym_concat_operator,
    ACTIONS(14802), 1,
      sym_rel_operator,
    ACTIONS(14804), 1,
      sym_and_operator,
    ACTIONS(14806), 1,
      sym_or_operator,
    STATE(1825), 1,
      sym_add_operator,
    STATE(12023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [615010] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_PIPE,
    ACTIONS(14790), 1,
      anon_sym_COMMA,
    ACTIONS(14794), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14796), 1,
      sym_pow_operator,
    ACTIONS(14798), 1,
      sym_mult_operator,
    ACTIONS(14800), 1,
      sym_concat_operator,
    ACTIONS(14802), 1,
      sym_rel_operator,
    ACTIONS(14804), 1,
      sym_and_operator,
    ACTIONS(14806), 1,
      sym_or_operator,
    ACTIONS(14808), 1,
      sym_assign_operator,
    STATE(1825), 1,
      sym_add_operator,
    STATE(12024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [615064] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9112), 1,
      anon_sym_PIPE,
    ACTIONS(14768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14770), 1,
      sym_pow_operator,
    ACTIONS(14772), 1,
      sym_mult_operator,
    ACTIONS(14774), 1,
      sym_concat_operator,
    ACTIONS(14776), 1,
      sym_rel_operator,
    ACTIONS(14778), 1,
      sym_and_operator,
    ACTIONS(14780), 1,
      sym_or_operator,
    ACTIONS(14786), 1,
      anon_sym_COMMA,
    ACTIONS(14788), 1,
      sym_assign_operator,
    ACTIONS(14980), 1,
      anon_sym_SEMI,
    STATE(2043), 1,
      sym_add_operator,
    STATE(12025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [615120] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(12026), 1,
      sym_attribute,
    STATE(12963), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615168] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10239), 1,
      anon_sym_PIPE,
    ACTIONS(14949), 1,
      anon_sym_COMMA,
    ACTIONS(14953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14955), 1,
      sym_pow_operator,
    ACTIONS(14957), 1,
      sym_mult_operator,
    ACTIONS(14959), 1,
      sym_concat_operator,
    ACTIONS(14961), 1,
      sym_rel_operator,
    ACTIONS(14963), 1,
      sym_and_operator,
    ACTIONS(14965), 1,
      sym_or_operator,
    ACTIONS(14967), 1,
      sym_assign_operator,
    STATE(2115), 1,
      sym_add_operator,
    STATE(12027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10237), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [615222] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14982), 1,
      anon_sym_else,
    STATE(8242), 1,
      sym_else_clause,
    STATE(12028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [615258] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14984), 1,
      anon_sym_else,
    STATE(7882), 1,
      sym_else_clause,
    STATE(12029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [615294] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14796), 1,
      sym_pow_operator,
    ACTIONS(14798), 1,
      sym_mult_operator,
    STATE(1825), 1,
      sym_add_operator,
    STATE(12030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [615332] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(12031), 1,
      sym_attribute,
    STATE(13061), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615380] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10310), 1,
      anon_sym_PIPE,
    ACTIONS(14790), 1,
      anon_sym_COMMA,
    ACTIONS(14794), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14796), 1,
      sym_pow_operator,
    ACTIONS(14798), 1,
      sym_mult_operator,
    ACTIONS(14800), 1,
      sym_concat_operator,
    ACTIONS(14802), 1,
      sym_rel_operator,
    ACTIONS(14804), 1,
      sym_and_operator,
    ACTIONS(14806), 1,
      sym_or_operator,
    ACTIONS(14808), 1,
      sym_assign_operator,
    STATE(1825), 1,
      sym_add_operator,
    STATE(12032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10308), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [615434] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14975), 1,
      anon_sym_PIPE,
    STATE(12033), 1,
      sym_attribute,
    STATE(12034), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [615470] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14986), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12034), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [615504] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(12035), 1,
      sym_attribute,
    STATE(13083), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615552] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14989), 1,
      anon_sym_PIPE,
    STATE(12036), 1,
      sym_attribute,
    STATE(12040), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [615588] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(12037), 1,
      sym_attribute,
    STATE(13049), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615636] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14973), 1,
      anon_sym_else,
    STATE(8194), 1,
      sym_else_clause,
    STATE(12038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [615672] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14989), 1,
      anon_sym_PIPE,
    STATE(12039), 1,
      sym_attribute,
    STATE(12043), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [615708] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14989), 1,
      anon_sym_PIPE,
    STATE(12040), 1,
      sym_attribute,
    STATE(12044), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [615744] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(12041), 1,
      sym_attribute,
    STATE(12962), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615792] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10320), 1,
      anon_sym_PIPE,
    ACTIONS(14790), 1,
      anon_sym_COMMA,
    ACTIONS(14794), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14796), 1,
      sym_pow_operator,
    ACTIONS(14798), 1,
      sym_mult_operator,
    ACTIONS(14800), 1,
      sym_concat_operator,
    ACTIONS(14802), 1,
      sym_rel_operator,
    ACTIONS(14804), 1,
      sym_and_operator,
    ACTIONS(14806), 1,
      sym_or_operator,
    ACTIONS(14808), 1,
      sym_assign_operator,
    STATE(1825), 1,
      sym_add_operator,
    STATE(12042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [615846] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14989), 1,
      anon_sym_PIPE,
    STATE(12043), 1,
      sym_attribute,
    STATE(12044), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [615882] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14991), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12044), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [615916] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(12045), 1,
      sym_attribute,
    STATE(13046), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615964] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(8987), 1,
      sym__module_expression,
    STATE(12046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616012] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(12047), 1,
      sym_attribute,
    STATE(13002), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616060] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(12048), 1,
      sym_attribute,
    STATE(13050), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616108] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(12049), 1,
      sym_attribute,
    STATE(12902), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10994), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(10992), 9,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
  [616188] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(12051), 1,
      sym_attribute,
    STATE(12920), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616236] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(12052), 1,
      sym_attribute,
    STATE(12960), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616284] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12418), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14994), 1,
      anon_sym_DASH_GT,
    STATE(12053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12416), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616318] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(12054), 1,
      sym_attribute,
    STATE(12996), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616366] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(14938), 1,
      sym__identifier,
    ACTIONS(14940), 1,
      anon_sym_POUND,
    STATE(12055), 1,
      sym_attribute,
    STATE(12702), 1,
      sym_type_constructor_path,
    STATE(16574), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11096), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11098), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [616408] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14870), 1,
      anon_sym_else,
    STATE(10385), 1,
      sym_else_clause,
    STATE(12056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [616444] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10280), 1,
      anon_sym_PIPE,
    ACTIONS(14996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14998), 1,
      sym_pow_operator,
    ACTIONS(15000), 1,
      sym_mult_operator,
    ACTIONS(15002), 1,
      sym_concat_operator,
    ACTIONS(15004), 1,
      sym_rel_operator,
    ACTIONS(15006), 1,
      sym_and_operator,
    ACTIONS(15008), 1,
      sym_or_operator,
    STATE(2298), 1,
      sym_add_operator,
    STATE(12057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_assign_operator,
  [616494] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14998), 1,
      sym_pow_operator,
    ACTIONS(15000), 1,
      sym_mult_operator,
    STATE(2298), 1,
      sym_add_operator,
    STATE(12058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [616536] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14998), 1,
      sym_pow_operator,
    STATE(2298), 1,
      sym_add_operator,
    STATE(12059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [616572] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14998), 1,
      sym_pow_operator,
    STATE(2298), 1,
      sym_add_operator,
    STATE(12060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [616608] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14998), 1,
      sym_pow_operator,
    ACTIONS(15000), 1,
      sym_mult_operator,
    ACTIONS(15002), 1,
      sym_concat_operator,
    STATE(2298), 1,
      sym_add_operator,
    STATE(12061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [616652] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14998), 1,
      sym_pow_operator,
    ACTIONS(15000), 1,
      sym_mult_operator,
    ACTIONS(15002), 1,
      sym_concat_operator,
    STATE(2298), 1,
      sym_add_operator,
    STATE(12062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [616696] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(12063), 1,
      sym_attribute,
    STATE(13052), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616744] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14998), 1,
      sym_pow_operator,
    ACTIONS(15000), 1,
      sym_mult_operator,
    ACTIONS(15002), 1,
      sym_concat_operator,
    ACTIONS(15004), 1,
      sym_rel_operator,
    ACTIONS(15006), 1,
      sym_and_operator,
    STATE(2298), 1,
      sym_add_operator,
    STATE(12064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_assign_operator,
  [616792] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2043), 1,
      sym_add_operator,
    STATE(12065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [616826] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(8246), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [616858] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_PIPE,
    ACTIONS(14996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14998), 1,
      sym_pow_operator,
    ACTIONS(15000), 1,
      sym_mult_operator,
    ACTIONS(15002), 1,
      sym_concat_operator,
    ACTIONS(15004), 1,
      sym_rel_operator,
    ACTIONS(15006), 1,
      sym_and_operator,
    ACTIONS(15008), 1,
      sym_or_operator,
    STATE(2298), 1,
      sym_add_operator,
    STATE(12067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_assign_operator,
  [616908] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(12068), 1,
      sym_attribute,
    STATE(13078), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616956] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_PIPE,
    ACTIONS(14996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14998), 1,
      sym_pow_operator,
    ACTIONS(15000), 1,
      sym_mult_operator,
    ACTIONS(15002), 1,
      sym_concat_operator,
    ACTIONS(15004), 1,
      sym_rel_operator,
    ACTIONS(15006), 1,
      sym_and_operator,
    ACTIONS(15008), 1,
      sym_or_operator,
    ACTIONS(15010), 1,
      anon_sym_COMMA,
    ACTIONS(15012), 1,
      sym_assign_operator,
    STATE(2298), 1,
      sym_add_operator,
    STATE(12069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [617010] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14998), 1,
      sym_pow_operator,
    ACTIONS(15000), 1,
      sym_mult_operator,
    STATE(2298), 1,
      sym_add_operator,
    STATE(12070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [617048] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(8250), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [617080] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10280), 1,
      anon_sym_PIPE,
    ACTIONS(14721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14723), 1,
      sym_pow_operator,
    ACTIONS(14725), 1,
      sym_mult_operator,
    ACTIONS(14727), 1,
      sym_concat_operator,
    ACTIONS(14729), 1,
      sym_rel_operator,
    ACTIONS(14731), 1,
      sym_and_operator,
    ACTIONS(14733), 1,
      sym_or_operator,
    STATE(2017), 1,
      sym_add_operator,
    STATE(12072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_assign_operator,
  [617130] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14723), 1,
      sym_pow_operator,
    ACTIONS(14725), 1,
      sym_mult_operator,
    STATE(2017), 1,
      sym_add_operator,
    STATE(12073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [617172] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14723), 1,
      sym_pow_operator,
    STATE(2017), 1,
      sym_add_operator,
    STATE(12074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [617208] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14723), 1,
      sym_pow_operator,
    STATE(2017), 1,
      sym_add_operator,
    STATE(12075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [617244] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10310), 1,
      anon_sym_PIPE,
    ACTIONS(14996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14998), 1,
      sym_pow_operator,
    ACTIONS(15000), 1,
      sym_mult_operator,
    ACTIONS(15002), 1,
      sym_concat_operator,
    ACTIONS(15004), 1,
      sym_rel_operator,
    ACTIONS(15006), 1,
      sym_and_operator,
    ACTIONS(15008), 1,
      sym_or_operator,
    ACTIONS(15010), 1,
      anon_sym_COMMA,
    ACTIONS(15012), 1,
      sym_assign_operator,
    STATE(2298), 1,
      sym_add_operator,
    STATE(12076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10308), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [617298] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(12077), 1,
      sym_attribute,
    STATE(13098), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617346] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14723), 1,
      sym_pow_operator,
    ACTIONS(14725), 1,
      sym_mult_operator,
    ACTIONS(14727), 1,
      sym_concat_operator,
    STATE(2017), 1,
      sym_add_operator,
    STATE(12078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [617390] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14723), 1,
      sym_pow_operator,
    ACTIONS(14725), 1,
      sym_mult_operator,
    ACTIONS(14727), 1,
      sym_concat_operator,
    STATE(2017), 1,
      sym_add_operator,
    STATE(12079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [617434] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14723), 1,
      sym_pow_operator,
    ACTIONS(14725), 1,
      sym_mult_operator,
    ACTIONS(14727), 1,
      sym_concat_operator,
    ACTIONS(14729), 1,
      sym_rel_operator,
    ACTIONS(14731), 1,
      sym_and_operator,
    STATE(2017), 1,
      sym_add_operator,
    STATE(12080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_assign_operator,
  [617482] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15014), 1,
      anon_sym_else,
    STATE(7882), 1,
      sym_else_clause,
    STATE(12081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [617518] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_PIPE,
    ACTIONS(14721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14723), 1,
      sym_pow_operator,
    ACTIONS(14725), 1,
      sym_mult_operator,
    ACTIONS(14727), 1,
      sym_concat_operator,
    ACTIONS(14729), 1,
      sym_rel_operator,
    ACTIONS(14731), 1,
      sym_and_operator,
    ACTIONS(14733), 1,
      sym_or_operator,
    STATE(2017), 1,
      sym_add_operator,
    STATE(12082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_assign_operator,
  [617568] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(12083), 1,
      sym_attribute,
    STATE(12931), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617616] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_PIPE,
    ACTIONS(14719), 1,
      anon_sym_COMMA,
    ACTIONS(14721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14723), 1,
      sym_pow_operator,
    ACTIONS(14725), 1,
      sym_mult_operator,
    ACTIONS(14727), 1,
      sym_concat_operator,
    ACTIONS(14729), 1,
      sym_rel_operator,
    ACTIONS(14731), 1,
      sym_and_operator,
    ACTIONS(14733), 1,
      sym_or_operator,
    ACTIONS(14735), 1,
      sym_assign_operator,
    STATE(2017), 1,
      sym_add_operator,
    STATE(12084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [617670] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14723), 1,
      sym_pow_operator,
    ACTIONS(14725), 1,
      sym_mult_operator,
    STATE(2017), 1,
      sym_add_operator,
    STATE(12085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [617708] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10310), 1,
      anon_sym_PIPE,
    ACTIONS(14719), 1,
      anon_sym_COMMA,
    ACTIONS(14721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14723), 1,
      sym_pow_operator,
    ACTIONS(14725), 1,
      sym_mult_operator,
    ACTIONS(14727), 1,
      sym_concat_operator,
    ACTIONS(14729), 1,
      sym_rel_operator,
    ACTIONS(14731), 1,
      sym_and_operator,
    ACTIONS(14733), 1,
      sym_or_operator,
    ACTIONS(14735), 1,
      sym_assign_operator,
    STATE(2017), 1,
      sym_add_operator,
    STATE(12086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10308), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [617762] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10320), 1,
      anon_sym_PIPE,
    ACTIONS(14996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14998), 1,
      sym_pow_operator,
    ACTIONS(15000), 1,
      sym_mult_operator,
    ACTIONS(15002), 1,
      sym_concat_operator,
    ACTIONS(15004), 1,
      sym_rel_operator,
    ACTIONS(15006), 1,
      sym_and_operator,
    ACTIONS(15008), 1,
      sym_or_operator,
    ACTIONS(15010), 1,
      anon_sym_COMMA,
    ACTIONS(15012), 1,
      sym_assign_operator,
    STATE(2298), 1,
      sym_add_operator,
    STATE(12087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [617816] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(12088), 1,
      sym_attribute,
    STATE(13044), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617864] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(8260), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [617896] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(15016), 1,
      sym__identifier,
    ACTIONS(15018), 1,
      anon_sym_LPAREN,
    ACTIONS(15020), 1,
      anon_sym_nonrec,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(15026), 1,
      anon_sym__,
    STATE(12090), 1,
      sym_attribute,
    STATE(12091), 1,
      sym_type_binding,
    STATE(12625), 1,
      sym__attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(15011), 1,
      sym__type_params,
    STATE(16779), 1,
      sym_extended_module_path,
    STATE(17222), 1,
      sym__type_param,
    STATE(20187), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [617956] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14936), 1,
      anon_sym_and,
    ACTIONS(15030), 1,
      anon_sym_let,
    STATE(11983), 1,
      aux_sym_type_definition_repeat1,
    STATE(12091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15028), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [617992] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14934), 1,
      anon_sym_let,
    ACTIONS(14936), 1,
      anon_sym_and,
    STATE(11989), 1,
      aux_sym_type_definition_repeat1,
    STATE(12092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14932), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [618028] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14982), 1,
      anon_sym_else,
    STATE(8194), 1,
      sym_else_clause,
    STATE(12093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [618064] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15032), 1,
      anon_sym_else,
    STATE(10385), 1,
      sym_else_clause,
    STATE(12094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [618100] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13638), 1,
      anon_sym_LPAREN,
    ACTIONS(13644), 1,
      anon_sym_struct,
    ACTIONS(13646), 1,
      sym__capitalized_identifier,
    ACTIONS(14564), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14566), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14784), 1,
      anon_sym_functor,
    STATE(12095), 1,
      sym_attribute,
    STATE(12415), 1,
      sym__module_expression,
    STATE(13122), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13194), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13188), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618148] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14984), 1,
      anon_sym_else,
    STATE(7995), 1,
      sym_else_clause,
    STATE(12096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [618184] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10239), 1,
      anon_sym_PIPE,
    ACTIONS(14996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14998), 1,
      sym_pow_operator,
    ACTIONS(15000), 1,
      sym_mult_operator,
    ACTIONS(15002), 1,
      sym_concat_operator,
    ACTIONS(15004), 1,
      sym_rel_operator,
    ACTIONS(15006), 1,
      sym_and_operator,
    ACTIONS(15008), 1,
      sym_or_operator,
    ACTIONS(15010), 1,
      anon_sym_COMMA,
    ACTIONS(15012), 1,
      sym_assign_operator,
    STATE(2298), 1,
      sym_add_operator,
    STATE(12097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10237), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [618238] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(15018), 1,
      anon_sym_LPAREN,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(15026), 1,
      anon_sym__,
    ACTIONS(15034), 1,
      sym__identifier,
    ACTIONS(15036), 1,
      anon_sym_nonrec,
    STATE(12098), 1,
      sym_attribute,
    STATE(12099), 1,
      sym_type_binding,
    STATE(12712), 1,
      sym__attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(14881), 1,
      sym__type_params,
    STATE(16779), 1,
      sym_extended_module_path,
    STATE(17222), 1,
      sym__type_param,
    STATE(20217), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [618298] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15030), 1,
      anon_sym_let,
    ACTIONS(15038), 1,
      anon_sym_and,
    STATE(12099), 1,
      sym_attribute,
    STATE(12133), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15028), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [618334] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9254), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__capitalized_identifier,
  [618366] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14934), 1,
      anon_sym_let,
    ACTIONS(15038), 1,
      anon_sym_and,
    STATE(12101), 1,
      sym_attribute,
    STATE(12135), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14932), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [618402] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14930), 1,
      anon_sym_and,
    ACTIONS(15042), 1,
      anon_sym_let,
    STATE(11981), 1,
      aux_sym_class_definition_repeat1,
    STATE(12102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15040), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [618438] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14534), 1,
      anon_sym_constraint,
    ACTIONS(14536), 1,
      anon_sym_val,
    ACTIONS(14540), 1,
      anon_sym_inherit,
    ACTIONS(14542), 1,
      anon_sym_method,
    ACTIONS(15044), 1,
      anon_sym_end,
    STATE(12103), 1,
      sym_attribute,
    STATE(12131), 1,
      aux_sym_class_body_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13388), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(13389), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [618488] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(15018), 1,
      anon_sym_LPAREN,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(15026), 1,
      anon_sym__,
    ACTIONS(15046), 1,
      sym__identifier,
    ACTIONS(15048), 1,
      anon_sym_nonrec,
    STATE(12104), 1,
      sym_attribute,
    STATE(12734), 1,
      sym_type_binding,
    STATE(12743), 1,
      sym__attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(14589), 1,
      sym__type_params,
    STATE(16779), 1,
      sym_extended_module_path,
    STATE(17222), 1,
      sym__type_param,
    STATE(20234), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [618548] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(14938), 1,
      sym__identifier,
    ACTIONS(15050), 1,
      anon_sym_POUND,
    STATE(12105), 1,
      sym_attribute,
    STATE(12626), 1,
      sym_type_constructor_path,
    STATE(16574), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11102), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11104), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [618590] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10280), 1,
      anon_sym_PIPE,
    ACTIONS(14953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14955), 1,
      sym_pow_operator,
    ACTIONS(14957), 1,
      sym_mult_operator,
    ACTIONS(14959), 1,
      sym_concat_operator,
    ACTIONS(14961), 1,
      sym_rel_operator,
    ACTIONS(14963), 1,
      sym_and_operator,
    ACTIONS(14965), 1,
      sym_or_operator,
    STATE(2115), 1,
      sym_add_operator,
    STATE(12106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [618640] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14955), 1,
      sym_pow_operator,
    ACTIONS(14957), 1,
      sym_mult_operator,
    STATE(2115), 1,
      sym_add_operator,
    STATE(12107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [618682] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14955), 1,
      sym_pow_operator,
    STATE(2115), 1,
      sym_add_operator,
    STATE(12108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [618718] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14955), 1,
      sym_pow_operator,
    STATE(2115), 1,
      sym_add_operator,
    STATE(12109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [618754] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14955), 1,
      sym_pow_operator,
    ACTIONS(14957), 1,
      sym_mult_operator,
    ACTIONS(14959), 1,
      sym_concat_operator,
    STATE(2115), 1,
      sym_add_operator,
    STATE(12110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [618798] = 19,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(15018), 1,
      anon_sym_LPAREN,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(15026), 1,
      anon_sym__,
    ACTIONS(15052), 1,
      sym__identifier,
    ACTIONS(15054), 1,
      anon_sym_nonrec,
    STATE(12111), 1,
      sym_attribute,
    STATE(12419), 1,
      sym_type_binding,
    STATE(12689), 1,
      sym__attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(14387), 1,
      sym__type_params,
    STATE(16779), 1,
      sym_extended_module_path,
    STATE(17222), 1,
      sym__type_param,
    STATE(18925), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [618858] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10320), 1,
      anon_sym_PIPE,
    ACTIONS(14719), 1,
      anon_sym_COMMA,
    ACTIONS(14721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14723), 1,
      sym_pow_operator,
    ACTIONS(14725), 1,
      sym_mult_operator,
    ACTIONS(14727), 1,
      sym_concat_operator,
    ACTIONS(14729), 1,
      sym_rel_operator,
    ACTIONS(14731), 1,
      sym_and_operator,
    ACTIONS(14733), 1,
      sym_or_operator,
    ACTIONS(14735), 1,
      sym_assign_operator,
    STATE(2017), 1,
      sym_add_operator,
    STATE(12112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [618912] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14955), 1,
      sym_pow_operator,
    ACTIONS(14957), 1,
      sym_mult_operator,
    ACTIONS(14959), 1,
      sym_concat_operator,
    STATE(2115), 1,
      sym_add_operator,
    STATE(12113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [618956] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(8298), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__capitalized_identifier,
  [618988] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14955), 1,
      sym_pow_operator,
    ACTIONS(14957), 1,
      sym_mult_operator,
    ACTIONS(14959), 1,
      sym_concat_operator,
    ACTIONS(14961), 1,
      sym_rel_operator,
    ACTIONS(14963), 1,
      sym_and_operator,
    STATE(2115), 1,
      sym_add_operator,
    STATE(12115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [619036] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_PIPE,
    ACTIONS(14953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14955), 1,
      sym_pow_operator,
    ACTIONS(14957), 1,
      sym_mult_operator,
    ACTIONS(14959), 1,
      sym_concat_operator,
    ACTIONS(14961), 1,
      sym_rel_operator,
    ACTIONS(14963), 1,
      sym_and_operator,
    ACTIONS(14965), 1,
      sym_or_operator,
    STATE(2115), 1,
      sym_add_operator,
    STATE(12116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [619086] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_PIPE,
    ACTIONS(14949), 1,
      anon_sym_COMMA,
    ACTIONS(14953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14955), 1,
      sym_pow_operator,
    ACTIONS(14957), 1,
      sym_mult_operator,
    ACTIONS(14959), 1,
      sym_concat_operator,
    ACTIONS(14961), 1,
      sym_rel_operator,
    ACTIONS(14963), 1,
      sym_and_operator,
    ACTIONS(14965), 1,
      sym_or_operator,
    ACTIONS(14967), 1,
      sym_assign_operator,
    STATE(2115), 1,
      sym_add_operator,
    STATE(12117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [619140] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14955), 1,
      sym_pow_operator,
    ACTIONS(14957), 1,
      sym_mult_operator,
    STATE(2115), 1,
      sym_add_operator,
    STATE(12118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [619178] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10310), 1,
      anon_sym_PIPE,
    ACTIONS(14949), 1,
      anon_sym_COMMA,
    ACTIONS(14953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14955), 1,
      sym_pow_operator,
    ACTIONS(14957), 1,
      sym_mult_operator,
    ACTIONS(14959), 1,
      sym_concat_operator,
    ACTIONS(14961), 1,
      sym_rel_operator,
    ACTIONS(14963), 1,
      sym_and_operator,
    ACTIONS(14965), 1,
      sym_or_operator,
    ACTIONS(14967), 1,
      sym_assign_operator,
    STATE(2115), 1,
      sym_add_operator,
    STATE(12119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10308), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [619232] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15056), 1,
      anon_sym_else,
    STATE(8194), 1,
      sym_else_clause,
    STATE(12120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [619268] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10320), 1,
      anon_sym_PIPE,
    ACTIONS(14949), 1,
      anon_sym_COMMA,
    ACTIONS(14953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14955), 1,
      sym_pow_operator,
    ACTIONS(14957), 1,
      sym_mult_operator,
    ACTIONS(14959), 1,
      sym_concat_operator,
    ACTIONS(14961), 1,
      sym_rel_operator,
    ACTIONS(14963), 1,
      sym_and_operator,
    ACTIONS(14965), 1,
      sym_or_operator,
    ACTIONS(14967), 1,
      sym_assign_operator,
    STATE(2115), 1,
      sym_add_operator,
    STATE(12121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [619322] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2298), 1,
      sym_add_operator,
    STATE(12122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [619356] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15014), 1,
      anon_sym_else,
    STATE(7995), 1,
      sym_else_clause,
    STATE(12123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [619392] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13492), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15058), 1,
      anon_sym_PIPE,
    STATE(12124), 1,
      sym_attribute,
    STATE(12126), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13490), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619428] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13498), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15058), 1,
      anon_sym_PIPE,
    STATE(12125), 1,
      sym_attribute,
    STATE(12126), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13496), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619464] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12989), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15060), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12126), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(12987), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619498] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11835), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11539), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11537), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [619532] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13101), 1,
      anon_sym_STAR,
    ACTIONS(13275), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11885), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(12128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13273), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619568] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(8268), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [619600] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9112), 1,
      anon_sym_PIPE,
    ACTIONS(14996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14998), 1,
      sym_pow_operator,
    ACTIONS(15000), 1,
      sym_mult_operator,
    ACTIONS(15002), 1,
      sym_concat_operator,
    ACTIONS(15004), 1,
      sym_rel_operator,
    ACTIONS(15006), 1,
      sym_and_operator,
    ACTIONS(15008), 1,
      sym_or_operator,
    ACTIONS(15010), 1,
      anon_sym_COMMA,
    ACTIONS(15012), 1,
      sym_assign_operator,
    ACTIONS(15063), 1,
      anon_sym_SEMI,
    STATE(2298), 1,
      sym_add_operator,
    STATE(12130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 2,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [619656] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(27), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(29), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(31), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14534), 1,
      anon_sym_constraint,
    ACTIONS(14536), 1,
      anon_sym_val,
    ACTIONS(14540), 1,
      anon_sym_inherit,
    ACTIONS(14542), 1,
      anon_sym_method,
    ACTIONS(15065), 1,
      anon_sym_end,
    STATE(11927), 1,
      aux_sym_class_body_type_repeat1,
    STATE(12131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13388), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(13389), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [619706] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14852), 1,
      anon_sym_and,
    ACTIONS(15042), 1,
      anon_sym_let,
    STATE(11997), 1,
      aux_sym_class_definition_repeat1,
    STATE(12132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15040), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [619742] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14934), 1,
      anon_sym_let,
    ACTIONS(15038), 1,
      anon_sym_and,
    STATE(12133), 1,
      sym_attribute,
    STATE(12136), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14932), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [619778] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(8582), 1,
      sym__module_expression,
    STATE(12134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [619826] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14944), 1,
      anon_sym_let,
    ACTIONS(15038), 1,
      anon_sym_and,
    STATE(12135), 1,
      sym_attribute,
    STATE(12136), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14942), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [619862] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14008), 1,
      anon_sym_let,
    ACTIONS(15067), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12136), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(14006), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [619896] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(12722), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14994), 1,
      anon_sym_DASH_GT,
    STATE(12137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12720), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619932] = 18,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15070), 1,
      anon_sym_COLON_GT,
    ACTIONS(15072), 1,
      anon_sym_RPAREN,
    ACTIONS(15074), 1,
      anon_sym_COLON2,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12138), 1,
      sym_attribute,
    STATE(16817), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [619990] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14944), 1,
      anon_sym_let,
    ACTIONS(15038), 1,
      anon_sym_and,
    STATE(12139), 1,
      sym_attribute,
    STATE(12143), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14942), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [620026] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(8306), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__capitalized_identifier,
  [620058] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(12141), 1,
      sym_attribute,
    STATE(13108), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [620106] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14766), 1,
      anon_sym_else,
    STATE(8242), 1,
      sym_else_clause,
    STATE(12142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [620142] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14971), 1,
      anon_sym_let,
    ACTIONS(15038), 1,
      anon_sym_and,
    STATE(12136), 1,
      aux_sym_type_definition_repeat1,
    STATE(12143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14969), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [620178] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2115), 1,
      sym_add_operator,
    STATE(12144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [620212] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15056), 1,
      anon_sym_else,
    STATE(8242), 1,
      sym_else_clause,
    STATE(12145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [620248] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10239), 1,
      anon_sym_PIPE,
    ACTIONS(14891), 1,
      anon_sym_COMMA,
    ACTIONS(14895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14897), 1,
      sym_pow_operator,
    ACTIONS(14899), 1,
      sym_mult_operator,
    ACTIONS(14901), 1,
      sym_concat_operator,
    ACTIONS(14903), 1,
      sym_rel_operator,
    ACTIONS(14905), 1,
      sym_and_operator,
    ACTIONS(14907), 1,
      sym_or_operator,
    ACTIONS(14909), 1,
      sym_assign_operator,
    STATE(2139), 1,
      sym_add_operator,
    STATE(12146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10237), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [620302] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15076), 1,
      anon_sym_PIPE,
    STATE(12147), 1,
      sym_attribute,
    STATE(12149), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [620338] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15076), 1,
      anon_sym_PIPE,
    STATE(12148), 1,
      sym_attribute,
    STATE(12150), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [620374] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15076), 1,
      anon_sym_PIPE,
    STATE(12149), 1,
      sym_attribute,
    STATE(12153), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [620410] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15076), 1,
      anon_sym_PIPE,
    STATE(12150), 1,
      sym_attribute,
    STATE(12153), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [620446] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12172), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15058), 1,
      anon_sym_PIPE,
    STATE(12124), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12170), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620482] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13492), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15058), 1,
      anon_sym_PIPE,
    STATE(12125), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13490), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620518] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15078), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12153), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [620552] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(8847), 1,
      sym__module_expression,
    STATE(12154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [620600] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2017), 1,
      sym_add_operator,
    STATE(12155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [620634] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15032), 1,
      anon_sym_else,
    STATE(10359), 1,
      sym_else_clause,
    STATE(12156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [620670] = 18,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15074), 1,
      anon_sym_COLON2,
    ACTIONS(15081), 1,
      anon_sym_COLON_GT,
    ACTIONS(15083), 1,
      anon_sym_RPAREN,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12157), 1,
      sym_attribute,
    STATE(17368), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [620728] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8288), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(8290), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [620760] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10280), 1,
      anon_sym_PIPE,
    ACTIONS(14895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14897), 1,
      sym_pow_operator,
    ACTIONS(14899), 1,
      sym_mult_operator,
    ACTIONS(14901), 1,
      sym_concat_operator,
    ACTIONS(14903), 1,
      sym_rel_operator,
    ACTIONS(14905), 1,
      sym_and_operator,
    ACTIONS(14907), 1,
      sym_or_operator,
    STATE(2139), 1,
      sym_add_operator,
    STATE(12159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [620810] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14897), 1,
      sym_pow_operator,
    ACTIONS(14899), 1,
      sym_mult_operator,
    STATE(2139), 1,
      sym_add_operator,
    STATE(12160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [620852] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14897), 1,
      sym_pow_operator,
    STATE(2139), 1,
      sym_add_operator,
    STATE(12161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [620888] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14897), 1,
      sym_pow_operator,
    STATE(2139), 1,
      sym_add_operator,
    STATE(12162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [620924] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14897), 1,
      sym_pow_operator,
    ACTIONS(14899), 1,
      sym_mult_operator,
    ACTIONS(14901), 1,
      sym_concat_operator,
    STATE(2139), 1,
      sym_add_operator,
    STATE(12163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [620968] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14897), 1,
      sym_pow_operator,
    ACTIONS(14899), 1,
      sym_mult_operator,
    ACTIONS(14901), 1,
      sym_concat_operator,
    STATE(2139), 1,
      sym_add_operator,
    STATE(12164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [621012] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14897), 1,
      sym_pow_operator,
    ACTIONS(14899), 1,
      sym_mult_operator,
    ACTIONS(14901), 1,
      sym_concat_operator,
    ACTIONS(14903), 1,
      sym_rel_operator,
    ACTIONS(14905), 1,
      sym_and_operator,
    STATE(2139), 1,
      sym_add_operator,
    STATE(12165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [621060] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15087), 1,
      anon_sym_let,
    ACTIONS(15089), 1,
      anon_sym_and,
    STATE(12166), 1,
      sym_attribute,
    STATE(12168), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15085), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [621096] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15089), 1,
      anon_sym_and,
    ACTIONS(15093), 1,
      anon_sym_let,
    STATE(12167), 1,
      sym_attribute,
    STATE(12168), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15091), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [621132] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14087), 1,
      anon_sym_let,
    ACTIONS(15095), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12168), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(14085), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [621166] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15089), 1,
      anon_sym_and,
    ACTIONS(15093), 1,
      anon_sym_let,
    STATE(12169), 1,
      sym_attribute,
    STATE(12170), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15091), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [621202] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15089), 1,
      anon_sym_and,
    ACTIONS(15100), 1,
      anon_sym_let,
    STATE(12168), 1,
      aux_sym_module_definition_repeat1,
    STATE(12170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15098), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [621238] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_PIPE,
    ACTIONS(14895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14897), 1,
      sym_pow_operator,
    ACTIONS(14899), 1,
      sym_mult_operator,
    ACTIONS(14901), 1,
      sym_concat_operator,
    ACTIONS(14903), 1,
      sym_rel_operator,
    ACTIONS(14905), 1,
      sym_and_operator,
    ACTIONS(14907), 1,
      sym_or_operator,
    STATE(2139), 1,
      sym_add_operator,
    STATE(12171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [621288] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_PIPE,
    ACTIONS(14891), 1,
      anon_sym_COMMA,
    ACTIONS(14895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14897), 1,
      sym_pow_operator,
    ACTIONS(14899), 1,
      sym_mult_operator,
    ACTIONS(14901), 1,
      sym_concat_operator,
    ACTIONS(14903), 1,
      sym_rel_operator,
    ACTIONS(14905), 1,
      sym_and_operator,
    ACTIONS(14907), 1,
      sym_or_operator,
    ACTIONS(14909), 1,
      sym_assign_operator,
    STATE(2139), 1,
      sym_add_operator,
    STATE(12172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [621342] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15087), 1,
      anon_sym_let,
    ACTIONS(15102), 1,
      anon_sym_and,
    STATE(12173), 1,
      sym_attribute,
    STATE(12175), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15085), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [621378] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15093), 1,
      anon_sym_let,
    ACTIONS(15102), 1,
      anon_sym_and,
    STATE(12174), 1,
      sym_attribute,
    STATE(12175), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15091), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [621414] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14087), 1,
      anon_sym_let,
    ACTIONS(15104), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(14085), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [621448] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15093), 1,
      anon_sym_let,
    ACTIONS(15102), 1,
      anon_sym_and,
    STATE(12176), 1,
      sym_attribute,
    STATE(12177), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15091), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [621484] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15100), 1,
      anon_sym_let,
    ACTIONS(15102), 1,
      anon_sym_and,
    STATE(12175), 1,
      aux_sym_module_definition_repeat1,
    STATE(12177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15098), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [621520] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14897), 1,
      sym_pow_operator,
    ACTIONS(14899), 1,
      sym_mult_operator,
    STATE(2139), 1,
      sym_add_operator,
    STATE(12178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [621558] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10310), 1,
      anon_sym_PIPE,
    ACTIONS(14891), 1,
      anon_sym_COMMA,
    ACTIONS(14895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14897), 1,
      sym_pow_operator,
    ACTIONS(14899), 1,
      sym_mult_operator,
    ACTIONS(14901), 1,
      sym_concat_operator,
    ACTIONS(14903), 1,
      sym_rel_operator,
    ACTIONS(14905), 1,
      sym_and_operator,
    ACTIONS(14907), 1,
      sym_or_operator,
    ACTIONS(14909), 1,
      sym_assign_operator,
    STATE(2139), 1,
      sym_add_operator,
    STATE(12179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10308), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [621612] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14762), 1,
      anon_sym_else,
    STATE(8194), 1,
      sym_else_clause,
    STATE(12180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [621648] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10320), 1,
      anon_sym_PIPE,
    ACTIONS(14891), 1,
      anon_sym_COMMA,
    ACTIONS(14895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14897), 1,
      sym_pow_operator,
    ACTIONS(14899), 1,
      sym_mult_operator,
    ACTIONS(14901), 1,
      sym_concat_operator,
    ACTIONS(14903), 1,
      sym_rel_operator,
    ACTIONS(14905), 1,
      sym_and_operator,
    ACTIONS(14907), 1,
      sym_or_operator,
    ACTIONS(14909), 1,
      sym_assign_operator,
    STATE(2139), 1,
      sym_add_operator,
    STATE(12181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [621702] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15089), 1,
      anon_sym_and,
    ACTIONS(15109), 1,
      anon_sym_let,
    STATE(12166), 1,
      aux_sym_module_definition_repeat1,
    STATE(12182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15107), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [621738] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(14994), 1,
      anon_sym_DASH_GT,
    ACTIONS(15113), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15111), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [621774] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15087), 1,
      anon_sym_let,
    ACTIONS(15089), 1,
      anon_sym_and,
    STATE(12167), 1,
      aux_sym_module_definition_repeat1,
    STATE(12184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15085), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [621810] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15102), 1,
      anon_sym_and,
    ACTIONS(15109), 1,
      anon_sym_let,
    STATE(12173), 1,
      aux_sym_module_definition_repeat1,
    STATE(12185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15107), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [621846] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15087), 1,
      anon_sym_let,
    ACTIONS(15102), 1,
      anon_sym_and,
    STATE(12174), 1,
      aux_sym_module_definition_repeat1,
    STATE(12186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15085), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [621882] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(14994), 1,
      anon_sym_DASH_GT,
    ACTIONS(15117), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15115), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [621918] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13541), 1,
      anon_sym_LPAREN,
    ACTIONS(13545), 1,
      anon_sym_functor,
    ACTIONS(13547), 1,
      anon_sym_struct,
    STATE(8557), 1,
      sym_module_path,
    STATE(12188), 1,
      sym_attribute,
    STATE(12926), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [621966] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15119), 1,
      anon_sym_RBRACK,
    ACTIONS(15121), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12189), 1,
      sym_attribute,
    STATE(16439), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [622021] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10280), 1,
      anon_sym_PIPE,
    ACTIONS(15123), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15125), 1,
      sym_pow_operator,
    ACTIONS(15127), 1,
      sym_mult_operator,
    ACTIONS(15129), 1,
      sym_concat_operator,
    ACTIONS(15131), 1,
      sym_rel_operator,
    ACTIONS(15133), 1,
      sym_and_operator,
    ACTIONS(15135), 1,
      sym_or_operator,
    STATE(2406), 1,
      sym_add_operator,
    STATE(12190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [622070] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15139), 1,
      anon_sym_SEMI,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15143), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12191), 1,
      sym_attribute,
    STATE(16400), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [622125] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15159), 1,
      anon_sym_DQUOTE,
    STATE(12192), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(19581), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [622166] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15167), 1,
      anon_sym_RBRACK,
    ACTIONS(15169), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12193), 1,
      sym_attribute,
    STATE(15834), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [622221] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15171), 1,
      anon_sym_DQUOTE,
    STATE(12194), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(19134), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [622262] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15173), 1,
      anon_sym_SEMI,
    ACTIONS(15175), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12195), 1,
      sym_attribute,
    STATE(15313), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [622317] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15177), 1,
      anon_sym_SEMI,
    ACTIONS(15179), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12196), 1,
      sym_attribute,
    STATE(15849), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [622372] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(12722), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15181), 1,
      anon_sym_DASH_GT,
    STATE(12197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12720), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [622407] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15185), 1,
      sym_pow_operator,
    ACTIONS(15187), 1,
      sym_mult_operator,
    ACTIONS(15189), 1,
      sym_concat_operator,
    STATE(2388), 1,
      sym_add_operator,
    STATE(12198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [622450] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15191), 1,
      anon_sym_and,
    STATE(12199), 1,
      sym_attribute,
    STATE(12560), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15085), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [622483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15193), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12200), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(14006), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [622514] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15196), 1,
      anon_sym_RBRACK,
    ACTIONS(15198), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12201), 1,
      sym_attribute,
    STATE(15124), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [622569] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15200), 1,
      anon_sym_else,
    STATE(7882), 1,
      sym_else_clause,
    STATE(12202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [622604] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15202), 1,
      anon_sym_and,
    STATE(12203), 1,
      sym_attribute,
    STATE(12472), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14942), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [622637] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2406), 1,
      sym_add_operator,
    STATE(12204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [622670] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15204), 1,
      anon_sym_PIPE,
    STATE(12205), 1,
      sym_attribute,
    STATE(12208), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [622705] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15204), 1,
      anon_sym_PIPE,
    STATE(12206), 1,
      sym_attribute,
    STATE(12211), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [622740] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15206), 1,
      anon_sym_DQUOTE,
    STATE(12207), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(18547), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [622781] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15204), 1,
      anon_sym_PIPE,
    STATE(12208), 1,
      sym_attribute,
    STATE(12212), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [622816] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15208), 1,
      anon_sym_else,
    STATE(7995), 1,
      sym_else_clause,
    STATE(12209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [622851] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15210), 1,
      anon_sym_RBRACK,
    ACTIONS(15212), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12210), 1,
      sym_attribute,
    STATE(15488), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [622906] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15204), 1,
      anon_sym_PIPE,
    STATE(12211), 1,
      sym_attribute,
    STATE(12212), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [622941] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15214), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12212), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [622974] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15217), 1,
      anon_sym_PIPE,
    STATE(12213), 1,
      sym_attribute,
    STATE(12241), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [623009] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15219), 1,
      anon_sym_DQUOTE,
    STATE(12214), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(18196), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [623050] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14564), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14566), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15221), 1,
      anon_sym_LPAREN,
    STATE(12215), 1,
      sym_attribute,
    STATE(13191), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13188), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10369), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [623089] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15202), 1,
      anon_sym_and,
    STATE(12200), 1,
      aux_sym_type_definition_repeat1,
    STATE(12216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14932), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [623122] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10320), 1,
      anon_sym_PIPE,
    ACTIONS(15223), 1,
      anon_sym_COMMA,
    ACTIONS(15225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15227), 1,
      sym_pow_operator,
    ACTIONS(15229), 1,
      sym_mult_operator,
    ACTIONS(15231), 1,
      sym_concat_operator,
    ACTIONS(15233), 1,
      sym_rel_operator,
    ACTIONS(15235), 1,
      sym_and_operator,
    ACTIONS(15237), 1,
      sym_or_operator,
    ACTIONS(15239), 1,
      sym_assign_operator,
    STATE(2367), 1,
      sym_add_operator,
    STATE(12217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [623175] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10280), 1,
      anon_sym_PIPE,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_assign_operator,
  [623224] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [623265] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15145), 1,
      sym_pow_operator,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10302), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [623300] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15145), 1,
      sym_pow_operator,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10302), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [623335] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_rel_operator,
      sym_assign_operator,
  [623378] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10310), 1,
      anon_sym_PIPE,
    ACTIONS(15123), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15125), 1,
      sym_pow_operator,
    ACTIONS(15127), 1,
      sym_mult_operator,
    ACTIONS(15129), 1,
      sym_concat_operator,
    ACTIONS(15131), 1,
      sym_rel_operator,
    ACTIONS(15133), 1,
      sym_and_operator,
    ACTIONS(15135), 1,
      sym_or_operator,
    ACTIONS(15241), 1,
      anon_sym_COMMA,
    ACTIONS(15243), 1,
      sym_assign_operator,
    STATE(2406), 1,
      sym_add_operator,
    STATE(12223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10308), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [623431] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(1936), 1,
      sym_add_operator,
    STATE(12224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [623464] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_rel_operator,
      sym_assign_operator,
  [623507] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15245), 1,
      anon_sym_RBRACK,
    ACTIONS(15247), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12226), 1,
      sym_attribute,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [623562] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15217), 1,
      anon_sym_PIPE,
    STATE(12227), 1,
      sym_attribute,
    STATE(12247), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [623597] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15249), 1,
      anon_sym_else,
    STATE(7995), 1,
      sym_else_clause,
    STATE(12228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [623632] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15251), 1,
      anon_sym_RBRACK,
    ACTIONS(15253), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12229), 1,
      sym_attribute,
    STATE(15441), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [623687] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2231), 1,
      sym_add_operator,
    STATE(12230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [623720] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_assign_operator,
  [623767] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15255), 1,
      anon_sym_SEMI,
    ACTIONS(15257), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12232), 1,
      sym_attribute,
    STATE(15199), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [623822] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15259), 1,
      anon_sym_SEMI,
    ACTIONS(15261), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12233), 1,
      sym_attribute,
    STATE(15466), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [623877] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11649), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11651), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [623908] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15263), 1,
      anon_sym_COMMA,
    ACTIONS(15265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15267), 1,
      sym_pow_operator,
    ACTIONS(15269), 1,
      sym_mult_operator,
    ACTIONS(15271), 1,
      sym_concat_operator,
    ACTIONS(15273), 1,
      sym_rel_operator,
    ACTIONS(15275), 1,
      sym_and_operator,
    ACTIONS(15277), 1,
      sym_or_operator,
    ACTIONS(15279), 1,
      sym_assign_operator,
    STATE(1881), 1,
      sym_add_operator,
    STATE(12235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10237), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [623959] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14770), 1,
      sym_pow_operator,
    ACTIONS(14772), 1,
      sym_mult_operator,
    ACTIONS(14774), 1,
      sym_concat_operator,
    ACTIONS(14776), 1,
      sym_rel_operator,
    ACTIONS(14778), 1,
      sym_and_operator,
    ACTIONS(14780), 1,
      sym_or_operator,
    ACTIONS(14786), 1,
      anon_sym_COMMA,
    ACTIONS(14788), 1,
      sym_assign_operator,
    ACTIONS(15281), 1,
      anon_sym_SEMI,
    STATE(2043), 1,
      sym_add_operator,
    STATE(12236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [624012] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15283), 1,
      anon_sym_DQUOTE,
    STATE(12237), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(20354), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [624053] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_PIPE,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_assign_operator,
  [624102] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15285), 1,
      anon_sym_DQUOTE,
    STATE(12239), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(19668), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [624143] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_PIPE,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [624196] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15217), 1,
      anon_sym_PIPE,
    STATE(12241), 1,
      sym_attribute,
    STATE(12307), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [624231] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15287), 1,
      anon_sym_DQUOTE,
    STATE(12242), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(18177), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [624272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15289), 1,
      anon_sym_let,
    STATE(12243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10595), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [624303] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15291), 1,
      anon_sym_RBRACK,
    ACTIONS(15293), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12244), 1,
      sym_attribute,
    STATE(15148), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [624358] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15123), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15125), 1,
      sym_pow_operator,
    ACTIONS(15127), 1,
      sym_mult_operator,
    ACTIONS(15129), 1,
      sym_concat_operator,
    STATE(2406), 1,
      sym_add_operator,
    STATE(12245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [624401] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [624438] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15217), 1,
      anon_sym_PIPE,
    STATE(12247), 1,
      sym_attribute,
    STATE(12307), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [624473] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10310), 1,
      anon_sym_PIPE,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10308), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [624526] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15295), 1,
      anon_sym_RBRACK,
    ACTIONS(15297), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12249), 1,
      sym_attribute,
    STATE(16190), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [624581] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2388), 1,
      sym_add_operator,
    STATE(12250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [624614] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15299), 1,
      anon_sym_SEMI,
    ACTIONS(15301), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12251), 1,
      sym_attribute,
    STATE(15150), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [624669] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13275), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13347), 1,
      anon_sym_STAR,
    STATE(12252), 1,
      sym_attribute,
    STATE(12284), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13273), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [624704] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15303), 1,
      anon_sym_RBRACK,
    ACTIONS(15305), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12253), 1,
      sym_attribute,
    STATE(15825), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [624759] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15307), 1,
      anon_sym_RBRACK,
    ACTIONS(15309), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12254), 1,
      sym_attribute,
    STATE(15783), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [624814] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15311), 1,
      anon_sym_DQUOTE,
    STATE(12255), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(19199), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [624855] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15313), 1,
      anon_sym_SEMI,
    ACTIONS(15315), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12256), 1,
      sym_attribute,
    STATE(16196), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [624910] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15317), 1,
      anon_sym_DQUOTE,
    STATE(12257), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(18533), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [624951] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15319), 1,
      anon_sym_else,
    STATE(7995), 1,
      sym_else_clause,
    STATE(12258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [624986] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15321), 1,
      anon_sym_PIPE,
    STATE(12259), 1,
      sym_attribute,
    STATE(12372), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [625021] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10320), 1,
      anon_sym_PIPE,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [625074] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15321), 1,
      anon_sym_PIPE,
    STATE(12261), 1,
      sym_attribute,
    STATE(12375), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [625109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8174), 1,
      anon_sym_let,
    STATE(12262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [625140] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10280), 1,
      anon_sym_PIPE,
    ACTIONS(15323), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15325), 1,
      sym_pow_operator,
    ACTIONS(15327), 1,
      sym_mult_operator,
    ACTIONS(15329), 1,
      sym_concat_operator,
    ACTIONS(15331), 1,
      sym_rel_operator,
    ACTIONS(15333), 1,
      sym_and_operator,
    ACTIONS(15335), 1,
      sym_or_operator,
    STATE(1969), 1,
      sym_add_operator,
    STATE(12263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_assign_operator,
  [625189] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10320), 1,
      anon_sym_PIPE,
    ACTIONS(15123), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15125), 1,
      sym_pow_operator,
    ACTIONS(15127), 1,
      sym_mult_operator,
    ACTIONS(15129), 1,
      sym_concat_operator,
    ACTIONS(15131), 1,
      sym_rel_operator,
    ACTIONS(15133), 1,
      sym_and_operator,
    ACTIONS(15135), 1,
      sym_or_operator,
    ACTIONS(15241), 1,
      anon_sym_COMMA,
    ACTIONS(15243), 1,
      sym_assign_operator,
    STATE(2406), 1,
      sym_add_operator,
    STATE(12264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [625242] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15337), 1,
      anon_sym_PIPE,
    STATE(12265), 1,
      sym_attribute,
    STATE(12343), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [625277] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15339), 1,
      anon_sym_RBRACK,
    ACTIONS(15341), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12266), 1,
      sym_attribute,
    STATE(16067), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [625332] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11653), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11655), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [625363] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15343), 1,
      anon_sym_DQUOTE,
    STATE(12268), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(19910), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [625404] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15345), 1,
      anon_sym_SEMI,
    ACTIONS(15347), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12269), 1,
      sym_attribute,
    STATE(15828), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [625459] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15349), 1,
      anon_sym_SEMI,
    ACTIONS(15351), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12270), 1,
      sym_attribute,
    STATE(16081), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [625514] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15185), 1,
      sym_pow_operator,
    ACTIONS(15187), 1,
      sym_mult_operator,
    ACTIONS(15189), 1,
      sym_concat_operator,
    STATE(2388), 1,
      sym_add_operator,
    STATE(12271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [625557] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11581), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11583), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [625588] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11665), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11667), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [625619] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11657), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11659), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [625650] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15353), 1,
      anon_sym_RBRACK,
    ACTIONS(15355), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12275), 1,
      sym_attribute,
    STATE(15577), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [625705] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15357), 1,
      anon_sym_RBRACK,
    ACTIONS(15359), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12276), 1,
      sym_attribute,
    STATE(15601), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [625760] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15337), 1,
      anon_sym_PIPE,
    STATE(12277), 1,
      sym_attribute,
    STATE(12355), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [625795] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11587), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [625826] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15323), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15325), 1,
      sym_pow_operator,
    ACTIONS(15327), 1,
      sym_mult_operator,
    STATE(1969), 1,
      sym_add_operator,
    STATE(12279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [625867] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15361), 1,
      anon_sym_DQUOTE,
    STATE(12280), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(18033), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [625908] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15325), 1,
      sym_pow_operator,
    STATE(1969), 1,
      sym_add_operator,
    STATE(12281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10302), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [625943] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15325), 1,
      sym_pow_operator,
    STATE(1969), 1,
      sym_add_operator,
    STATE(12282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10302), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [625978] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15323), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15325), 1,
      sym_pow_operator,
    ACTIONS(15327), 1,
      sym_mult_operator,
    ACTIONS(15329), 1,
      sym_concat_operator,
    STATE(1969), 1,
      sym_add_operator,
    STATE(12283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [626021] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12053), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15363), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12284), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12051), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [626054] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15323), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15325), 1,
      sym_pow_operator,
    ACTIONS(15327), 1,
      sym_mult_operator,
    ACTIONS(15329), 1,
      sym_concat_operator,
    STATE(1969), 1,
      sym_add_operator,
    STATE(12285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [626097] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15323), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15325), 1,
      sym_pow_operator,
    ACTIONS(15327), 1,
      sym_mult_operator,
    ACTIONS(15329), 1,
      sym_concat_operator,
    ACTIONS(15331), 1,
      sym_rel_operator,
    ACTIONS(15333), 1,
      sym_and_operator,
    STATE(1969), 1,
      sym_add_operator,
    STATE(12286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_assign_operator,
  [626144] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_PIPE,
    ACTIONS(15323), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15325), 1,
      sym_pow_operator,
    ACTIONS(15327), 1,
      sym_mult_operator,
    ACTIONS(15329), 1,
      sym_concat_operator,
    ACTIONS(15331), 1,
      sym_rel_operator,
    ACTIONS(15333), 1,
      sym_and_operator,
    ACTIONS(15335), 1,
      sym_or_operator,
    STATE(1969), 1,
      sym_add_operator,
    STATE(12287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_assign_operator,
  [626193] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_PIPE,
    ACTIONS(15323), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15325), 1,
      sym_pow_operator,
    ACTIONS(15327), 1,
      sym_mult_operator,
    ACTIONS(15329), 1,
      sym_concat_operator,
    ACTIONS(15331), 1,
      sym_rel_operator,
    ACTIONS(15333), 1,
      sym_and_operator,
    ACTIONS(15335), 1,
      sym_or_operator,
    ACTIONS(15366), 1,
      anon_sym_COMMA,
    ACTIONS(15368), 1,
      sym_assign_operator,
    STATE(1969), 1,
      sym_add_operator,
    STATE(12288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 2,
      anon_sym_SEMI,
      anon_sym_done,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [626246] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15325), 1,
      sym_pow_operator,
    ACTIONS(15327), 1,
      sym_mult_operator,
    STATE(1969), 1,
      sym_add_operator,
    STATE(12289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [626283] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10310), 1,
      anon_sym_PIPE,
    ACTIONS(15323), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15325), 1,
      sym_pow_operator,
    ACTIONS(15327), 1,
      sym_mult_operator,
    ACTIONS(15329), 1,
      sym_concat_operator,
    ACTIONS(15331), 1,
      sym_rel_operator,
    ACTIONS(15333), 1,
      sym_and_operator,
    ACTIONS(15335), 1,
      sym_or_operator,
    ACTIONS(15366), 1,
      anon_sym_COMMA,
    ACTIONS(15368), 1,
      sym_assign_operator,
    STATE(1969), 1,
      sym_add_operator,
    STATE(12290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10308), 2,
      anon_sym_SEMI,
      anon_sym_done,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [626336] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10280), 1,
      anon_sym_PIPE,
    ACTIONS(15225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15227), 1,
      sym_pow_operator,
    ACTIONS(15229), 1,
      sym_mult_operator,
    ACTIONS(15231), 1,
      sym_concat_operator,
    ACTIONS(15233), 1,
      sym_rel_operator,
    ACTIONS(15235), 1,
      sym_and_operator,
    ACTIONS(15237), 1,
      sym_or_operator,
    STATE(2367), 1,
      sym_add_operator,
    STATE(12291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [626385] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15370), 1,
      anon_sym_SEMI,
    ACTIONS(15372), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12292), 1,
      sym_attribute,
    STATE(15256), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [626440] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15374), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15376), 1,
      sym_pow_operator,
    ACTIONS(15378), 1,
      sym_mult_operator,
    ACTIONS(15380), 1,
      sym_concat_operator,
    ACTIONS(15382), 1,
      sym_rel_operator,
    ACTIONS(15384), 1,
      sym_and_operator,
    ACTIONS(15386), 1,
      sym_or_operator,
    STATE(1936), 1,
      sym_add_operator,
    STATE(12293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [626487] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15374), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15376), 1,
      sym_pow_operator,
    ACTIONS(15378), 1,
      sym_mult_operator,
    STATE(1936), 1,
      sym_add_operator,
    STATE(12294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10298), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10296), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [626528] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15185), 1,
      sym_pow_operator,
    ACTIONS(15187), 1,
      sym_mult_operator,
    ACTIONS(15189), 1,
      sym_concat_operator,
    ACTIONS(15388), 1,
      sym_rel_operator,
    ACTIONS(15390), 1,
      sym_and_operator,
    STATE(2388), 1,
      sym_add_operator,
    STATE(12295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [626575] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15392), 1,
      anon_sym_DQUOTE,
    STATE(12296), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(18670), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [626616] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15376), 1,
      sym_pow_operator,
    STATE(1936), 1,
      sym_add_operator,
    STATE(12297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [626651] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15376), 1,
      sym_pow_operator,
    STATE(1936), 1,
      sym_add_operator,
    STATE(12298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [626686] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15374), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15376), 1,
      sym_pow_operator,
    ACTIONS(15378), 1,
      sym_mult_operator,
    ACTIONS(15380), 1,
      sym_concat_operator,
    STATE(1936), 1,
      sym_add_operator,
    STATE(12299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [626729] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15374), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15376), 1,
      sym_pow_operator,
    ACTIONS(15378), 1,
      sym_mult_operator,
    ACTIONS(15380), 1,
      sym_concat_operator,
    STATE(1936), 1,
      sym_add_operator,
    STATE(12300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [626772] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      sym_or_operator,
    ACTIONS(15374), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15376), 1,
      sym_pow_operator,
    ACTIONS(15378), 1,
      sym_mult_operator,
    ACTIONS(15380), 1,
      sym_concat_operator,
    ACTIONS(15382), 1,
      sym_rel_operator,
    ACTIONS(15384), 1,
      sym_and_operator,
    STATE(1936), 1,
      sym_add_operator,
    STATE(12301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [626819] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15374), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15376), 1,
      sym_pow_operator,
    ACTIONS(15378), 1,
      sym_mult_operator,
    ACTIONS(15380), 1,
      sym_concat_operator,
    ACTIONS(15382), 1,
      sym_rel_operator,
    ACTIONS(15384), 1,
      sym_and_operator,
    ACTIONS(15386), 1,
      sym_or_operator,
    STATE(1936), 1,
      sym_add_operator,
    STATE(12302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [626866] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15374), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15376), 1,
      sym_pow_operator,
    ACTIONS(15378), 1,
      sym_mult_operator,
    ACTIONS(15380), 1,
      sym_concat_operator,
    ACTIONS(15382), 1,
      sym_rel_operator,
    ACTIONS(15384), 1,
      sym_and_operator,
    ACTIONS(15386), 1,
      sym_or_operator,
    ACTIONS(15394), 1,
      anon_sym_COMMA,
    ACTIONS(15396), 1,
      sym_assign_operator,
    STATE(1936), 1,
      sym_add_operator,
    STATE(12303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [626917] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15376), 1,
      sym_pow_operator,
    ACTIONS(15378), 1,
      sym_mult_operator,
    STATE(1936), 1,
      sym_add_operator,
    STATE(12304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [626954] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15374), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15376), 1,
      sym_pow_operator,
    ACTIONS(15378), 1,
      sym_mult_operator,
    ACTIONS(15380), 1,
      sym_concat_operator,
    ACTIONS(15382), 1,
      sym_rel_operator,
    ACTIONS(15384), 1,
      sym_and_operator,
    ACTIONS(15386), 1,
      sym_or_operator,
    ACTIONS(15394), 1,
      anon_sym_COMMA,
    ACTIONS(15396), 1,
      sym_assign_operator,
    STATE(1936), 1,
      sym_add_operator,
    STATE(12305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10308), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [627005] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(15117), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15181), 1,
      anon_sym_DASH_GT,
    STATE(12306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15115), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [627040] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15398), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12307), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [627073] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15249), 1,
      anon_sym_else,
    STATE(7882), 1,
      sym_else_clause,
    STATE(12308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [627108] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15401), 1,
      anon_sym_SEMI,
    ACTIONS(15403), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12309), 1,
      sym_attribute,
    STATE(15674), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [627163] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15405), 1,
      anon_sym_COMMA,
    ACTIONS(15407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15409), 1,
      sym_pow_operator,
    ACTIONS(15411), 1,
      sym_mult_operator,
    ACTIONS(15413), 1,
      sym_concat_operator,
    ACTIONS(15415), 1,
      sym_rel_operator,
    ACTIONS(15417), 1,
      sym_and_operator,
    ACTIONS(15419), 1,
      sym_or_operator,
    ACTIONS(15421), 1,
      sym_assign_operator,
    STATE(2231), 1,
      sym_add_operator,
    STATE(12310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [627214] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15423), 1,
      anon_sym_DQUOTE,
    STATE(12311), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(18627), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [627255] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15425), 1,
      anon_sym_SEMI,
    ACTIONS(15427), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12312), 1,
      sym_attribute,
    STATE(15607), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [627310] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15374), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15376), 1,
      sym_pow_operator,
    ACTIONS(15378), 1,
      sym_mult_operator,
    ACTIONS(15380), 1,
      sym_concat_operator,
    ACTIONS(15382), 1,
      sym_rel_operator,
    ACTIONS(15384), 1,
      sym_and_operator,
    ACTIONS(15386), 1,
      sym_or_operator,
    ACTIONS(15394), 1,
      anon_sym_COMMA,
    ACTIONS(15396), 1,
      sym_assign_operator,
    STATE(1936), 1,
      sym_add_operator,
    STATE(12313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [627361] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15429), 1,
      anon_sym_RBRACK,
    ACTIONS(15431), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12314), 1,
      sym_attribute,
    STATE(15915), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [627416] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15433), 1,
      anon_sym_RBRACK,
    ACTIONS(15435), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12315), 1,
      sym_attribute,
    STATE(15884), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [627471] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15439), 1,
      anon_sym_let,
    ACTIONS(15441), 1,
      anon_sym_in,
    STATE(12316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15437), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [627504] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15443), 1,
      anon_sym_DQUOTE,
    STATE(12317), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(20401), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [627545] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_PIPE,
    ACTIONS(15183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15185), 1,
      sym_pow_operator,
    ACTIONS(15187), 1,
      sym_mult_operator,
    ACTIONS(15189), 1,
      sym_concat_operator,
    ACTIONS(15388), 1,
      sym_rel_operator,
    ACTIONS(15390), 1,
      sym_and_operator,
    ACTIONS(15445), 1,
      sym_or_operator,
    STATE(2388), 1,
      sym_add_operator,
    STATE(12318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [627594] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15447), 1,
      anon_sym_RBRACK,
    ACTIONS(15449), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12319), 1,
      sym_attribute,
    STATE(15362), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [627649] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15451), 1,
      anon_sym_DQUOTE,
    STATE(12320), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(18054), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [627690] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15453), 1,
      anon_sym_else,
    STATE(7995), 1,
      sym_else_clause,
    STATE(12321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [627725] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10310), 1,
      anon_sym_PIPE,
    ACTIONS(15455), 1,
      anon_sym_COMMA,
    ACTIONS(15457), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15459), 1,
      sym_pow_operator,
    ACTIONS(15461), 1,
      sym_mult_operator,
    ACTIONS(15463), 1,
      sym_concat_operator,
    ACTIONS(15465), 1,
      sym_rel_operator,
    ACTIONS(15467), 1,
      sym_and_operator,
    ACTIONS(15469), 1,
      sym_or_operator,
    ACTIONS(15471), 1,
      sym_assign_operator,
    STATE(2347), 1,
      sym_add_operator,
    STATE(12322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10308), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [627778] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15473), 1,
      anon_sym_RBRACK,
    ACTIONS(15475), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12323), 1,
      sym_attribute,
    STATE(15095), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [627833] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_PIPE,
    ACTIONS(15183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15185), 1,
      sym_pow_operator,
    ACTIONS(15187), 1,
      sym_mult_operator,
    ACTIONS(15189), 1,
      sym_concat_operator,
    ACTIONS(15388), 1,
      sym_rel_operator,
    ACTIONS(15390), 1,
      sym_and_operator,
    ACTIONS(15445), 1,
      sym_or_operator,
    ACTIONS(15477), 1,
      anon_sym_COMMA,
    ACTIONS(15479), 1,
      sym_assign_operator,
    STATE(2388), 1,
      sym_add_operator,
    STATE(12324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [627886] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15481), 1,
      anon_sym_SEMI,
    ACTIONS(15483), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12325), 1,
      sym_attribute,
    STATE(15921), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [627941] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15485), 1,
      anon_sym_RBRACK,
    ACTIONS(15487), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12326), 1,
      sym_attribute,
    STATE(15189), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [627996] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15489), 1,
      anon_sym_SEMI,
    ACTIONS(15491), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12327), 1,
      sym_attribute,
    STATE(15127), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [628051] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15123), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15125), 1,
      sym_pow_operator,
    ACTIONS(15127), 1,
      sym_mult_operator,
    STATE(2406), 1,
      sym_add_operator,
    STATE(12328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [628092] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15493), 1,
      anon_sym_SEMI,
    ACTIONS(15495), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12329), 1,
      sym_attribute,
    STATE(16100), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [628147] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15497), 1,
      anon_sym_DQUOTE,
    STATE(12330), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(19916), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [628188] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15499), 1,
      anon_sym_RBRACK,
    ACTIONS(15501), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12331), 1,
      sym_attribute,
    STATE(16274), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [628243] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15503), 1,
      anon_sym_SEMI,
    ACTIONS(15505), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12332), 1,
      sym_attribute,
    STATE(15494), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [628298] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15125), 1,
      sym_pow_operator,
    STATE(2406), 1,
      sym_add_operator,
    STATE(12333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10302), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [628333] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15125), 1,
      sym_pow_operator,
    STATE(2406), 1,
      sym_add_operator,
    STATE(12334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10302), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [628368] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15507), 1,
      anon_sym_SEMI,
    ACTIONS(15509), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12335), 1,
      sym_attribute,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [628423] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11589), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11591), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [628454] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(1810), 1,
      sym_add_operator,
    STATE(12337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [628487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8244), 1,
      anon_sym_let,
    STATE(12338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [628518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8248), 1,
      anon_sym_let,
    STATE(12339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [628549] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15511), 1,
      anon_sym_DQUOTE,
    STATE(12340), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(18754), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [628590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8258), 1,
      anon_sym_let,
    STATE(12341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [628621] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15267), 1,
      sym_pow_operator,
    ACTIONS(15269), 1,
      sym_mult_operator,
    ACTIONS(15271), 1,
      sym_concat_operator,
    ACTIONS(15273), 1,
      sym_rel_operator,
    ACTIONS(15275), 1,
      sym_and_operator,
    ACTIONS(15277), 1,
      sym_or_operator,
    STATE(1881), 1,
      sym_add_operator,
    STATE(12342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [628668] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15337), 1,
      anon_sym_PIPE,
    STATE(12343), 1,
      sym_attribute,
    STATE(12355), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [628703] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(15113), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15181), 1,
      anon_sym_DASH_GT,
    STATE(12344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15111), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [628738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8266), 1,
      anon_sym_let,
    STATE(12345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [628769] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15513), 1,
      anon_sym_SEMI,
    ACTIONS(15515), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12346), 1,
      sym_attribute,
    STATE(15788), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [628824] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15123), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15125), 1,
      sym_pow_operator,
    ACTIONS(15127), 1,
      sym_mult_operator,
    ACTIONS(15129), 1,
      sym_concat_operator,
    STATE(2406), 1,
      sym_add_operator,
    STATE(12347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [628867] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15123), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15125), 1,
      sym_pow_operator,
    ACTIONS(15127), 1,
      sym_mult_operator,
    ACTIONS(15129), 1,
      sym_concat_operator,
    ACTIONS(15131), 1,
      sym_rel_operator,
    ACTIONS(15133), 1,
      sym_and_operator,
    STATE(2406), 1,
      sym_add_operator,
    STATE(12348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [628914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8220), 1,
      anon_sym_let,
    STATE(12349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [628945] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15517), 1,
      anon_sym_else,
    STATE(7995), 1,
      sym_else_clause,
    STATE(12350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [628980] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2347), 1,
      sym_add_operator,
    STATE(12351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [629013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8274), 1,
      anon_sym_let,
    STATE(12352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [629044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8278), 1,
      anon_sym_let,
    STATE(12353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [629075] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15519), 1,
      anon_sym_DQUOTE,
    STATE(12354), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(18795), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [629116] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15521), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12355), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [629149] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15524), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15526), 1,
      sym_pow_operator,
    ACTIONS(15528), 1,
      sym_mult_operator,
    ACTIONS(15530), 1,
      sym_concat_operator,
    ACTIONS(15532), 1,
      sym_rel_operator,
    ACTIONS(15534), 1,
      sym_and_operator,
    ACTIONS(15536), 1,
      sym_or_operator,
    STATE(1810), 1,
      sym_add_operator,
    STATE(12356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [629196] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15538), 1,
      anon_sym_DQUOTE,
    STATE(12357), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(18874), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [629237] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15540), 1,
      anon_sym_DQUOTE,
    STATE(12358), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(18949), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [629278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8224), 1,
      anon_sym_let,
    STATE(12359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [629309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8228), 1,
      anon_sym_let,
    STATE(12360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [629340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8232), 1,
      anon_sym_let,
    STATE(12361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [629371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8236), 1,
      anon_sym_let,
    STATE(12362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [629402] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11553), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [629433] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15542), 1,
      anon_sym_else,
    STATE(7882), 1,
      sym_else_clause,
    STATE(12364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [629468] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11537), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11539), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [629499] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15544), 1,
      anon_sym_DQUOTE,
    STATE(12366), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(19010), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [629540] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15546), 1,
      anon_sym_DQUOTE,
    STATE(12367), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(19976), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [629581] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15267), 1,
      sym_pow_operator,
    ACTIONS(15269), 1,
      sym_mult_operator,
    STATE(1881), 1,
      sym_add_operator,
    STATE(12368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10298), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10296), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [629622] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15548), 1,
      anon_sym_SEMI,
    ACTIONS(15550), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12369), 1,
      sym_attribute,
    STATE(15756), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [629677] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15552), 1,
      anon_sym_DQUOTE,
    STATE(12370), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(19059), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [629718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8288), 1,
      anon_sym_let,
    STATE(12371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [629749] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15321), 1,
      anon_sym_PIPE,
    STATE(12372), 1,
      sym_attribute,
    STATE(12375), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [629784] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10273), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [629815] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15554), 1,
      anon_sym_DQUOTE,
    STATE(12374), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(19472), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [629856] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15556), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12375), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [629889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8292), 1,
      anon_sym_let,
    STATE(12376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [629920] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15559), 1,
      anon_sym_RBRACK,
    ACTIONS(15561), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12377), 1,
      sym_attribute,
    STATE(16134), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [629975] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10377), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10375), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [630006] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10361), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10359), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [630037] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_PIPE,
    ACTIONS(15223), 1,
      anon_sym_COMMA,
    ACTIONS(15225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15227), 1,
      sym_pow_operator,
    ACTIONS(15229), 1,
      sym_mult_operator,
    ACTIONS(15231), 1,
      sym_concat_operator,
    ACTIONS(15233), 1,
      sym_rel_operator,
    ACTIONS(15235), 1,
      sym_and_operator,
    ACTIONS(15237), 1,
      sym_or_operator,
    ACTIONS(15239), 1,
      sym_assign_operator,
    STATE(2367), 1,
      sym_add_operator,
    STATE(12380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [630090] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15409), 1,
      sym_pow_operator,
    ACTIONS(15411), 1,
      sym_mult_operator,
    ACTIONS(15413), 1,
      sym_concat_operator,
    ACTIONS(15415), 1,
      sym_rel_operator,
    ACTIONS(15417), 1,
      sym_and_operator,
    ACTIONS(15419), 1,
      sym_or_operator,
    STATE(2231), 1,
      sym_add_operator,
    STATE(12381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [630137] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15563), 1,
      anon_sym_RBRACK,
    ACTIONS(15565), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12382), 1,
      sym_attribute,
    STATE(16320), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [630192] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15185), 1,
      sym_pow_operator,
    ACTIONS(15187), 1,
      sym_mult_operator,
    STATE(2388), 1,
      sym_add_operator,
    STATE(12383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [630229] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15409), 1,
      sym_pow_operator,
    ACTIONS(15411), 1,
      sym_mult_operator,
    STATE(2231), 1,
      sym_add_operator,
    STATE(12384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10298), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10296), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [630270] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15567), 1,
      anon_sym_SEMI,
    ACTIONS(15569), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12385), 1,
      sym_attribute,
    STATE(16443), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [630325] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15409), 1,
      sym_pow_operator,
    STATE(2231), 1,
      sym_add_operator,
    STATE(12386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [630360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14866), 1,
      anon_sym_let,
    STATE(12387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14864), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [630391] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10310), 1,
      anon_sym_PIPE,
    ACTIONS(15183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15185), 1,
      sym_pow_operator,
    ACTIONS(15187), 1,
      sym_mult_operator,
    ACTIONS(15189), 1,
      sym_concat_operator,
    ACTIONS(15388), 1,
      sym_rel_operator,
    ACTIONS(15390), 1,
      sym_and_operator,
    ACTIONS(15445), 1,
      sym_or_operator,
    ACTIONS(15477), 1,
      anon_sym_COMMA,
    ACTIONS(15479), 1,
      sym_assign_operator,
    STATE(2388), 1,
      sym_add_operator,
    STATE(12388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10308), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [630444] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15409), 1,
      sym_pow_operator,
    STATE(2231), 1,
      sym_add_operator,
    STATE(12389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [630479] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15227), 1,
      sym_pow_operator,
    ACTIONS(15229), 1,
      sym_mult_operator,
    STATE(2367), 1,
      sym_add_operator,
    STATE(12390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [630516] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15227), 1,
      sym_pow_operator,
    ACTIONS(15229), 1,
      sym_mult_operator,
    STATE(2367), 1,
      sym_add_operator,
    STATE(12391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [630557] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15571), 1,
      anon_sym_SEMI,
    ACTIONS(15573), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12392), 1,
      sym_attribute,
    STATE(16386), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [630612] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15409), 1,
      sym_pow_operator,
    ACTIONS(15411), 1,
      sym_mult_operator,
    ACTIONS(15413), 1,
      sym_concat_operator,
    STATE(2231), 1,
      sym_add_operator,
    STATE(12393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [630655] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15524), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15526), 1,
      sym_pow_operator,
    ACTIONS(15528), 1,
      sym_mult_operator,
    STATE(1810), 1,
      sym_add_operator,
    STATE(12394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10298), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10296), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [630696] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15227), 1,
      sym_pow_operator,
    STATE(2367), 1,
      sym_add_operator,
    STATE(12395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10302), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [630731] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15409), 1,
      sym_pow_operator,
    ACTIONS(15411), 1,
      sym_mult_operator,
    ACTIONS(15413), 1,
      sym_concat_operator,
    STATE(2231), 1,
      sym_add_operator,
    STATE(12396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [630774] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      sym_or_operator,
    ACTIONS(15407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15409), 1,
      sym_pow_operator,
    ACTIONS(15411), 1,
      sym_mult_operator,
    ACTIONS(15413), 1,
      sym_concat_operator,
    ACTIONS(15415), 1,
      sym_rel_operator,
    ACTIONS(15417), 1,
      sym_and_operator,
    STATE(2231), 1,
      sym_add_operator,
    STATE(12397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [630821] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15575), 1,
      anon_sym_SEMI,
    ACTIONS(15577), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12398), 1,
      sym_attribute,
    STATE(15428), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [630876] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15579), 1,
      anon_sym_DQUOTE,
    STATE(12399), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(19464), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [630917] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15409), 1,
      sym_pow_operator,
    ACTIONS(15411), 1,
      sym_mult_operator,
    ACTIONS(15413), 1,
      sym_concat_operator,
    ACTIONS(15415), 1,
      sym_rel_operator,
    ACTIONS(15417), 1,
      sym_and_operator,
    ACTIONS(15419), 1,
      sym_or_operator,
    STATE(2231), 1,
      sym_add_operator,
    STATE(12400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [630964] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15526), 1,
      sym_pow_operator,
    STATE(1810), 1,
      sym_add_operator,
    STATE(12401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [630999] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15405), 1,
      anon_sym_COMMA,
    ACTIONS(15407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15409), 1,
      sym_pow_operator,
    ACTIONS(15411), 1,
      sym_mult_operator,
    ACTIONS(15413), 1,
      sym_concat_operator,
    ACTIONS(15415), 1,
      sym_rel_operator,
    ACTIONS(15417), 1,
      sym_and_operator,
    ACTIONS(15419), 1,
      sym_or_operator,
    ACTIONS(15421), 1,
      sym_assign_operator,
    STATE(2231), 1,
      sym_add_operator,
    STATE(12402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [631050] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15526), 1,
      sym_pow_operator,
    STATE(1810), 1,
      sym_add_operator,
    STATE(12403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [631085] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10320), 1,
      anon_sym_PIPE,
    ACTIONS(15183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15185), 1,
      sym_pow_operator,
    ACTIONS(15187), 1,
      sym_mult_operator,
    ACTIONS(15189), 1,
      sym_concat_operator,
    ACTIONS(15388), 1,
      sym_rel_operator,
    ACTIONS(15390), 1,
      sym_and_operator,
    ACTIONS(15445), 1,
      sym_or_operator,
    ACTIONS(15477), 1,
      anon_sym_COMMA,
    ACTIONS(15479), 1,
      sym_assign_operator,
    STATE(2388), 1,
      sym_add_operator,
    STATE(12404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [631138] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15409), 1,
      sym_pow_operator,
    ACTIONS(15411), 1,
      sym_mult_operator,
    STATE(2231), 1,
      sym_add_operator,
    STATE(12405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [631175] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15227), 1,
      sym_pow_operator,
    STATE(2367), 1,
      sym_add_operator,
    STATE(12406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10302), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [631210] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15453), 1,
      anon_sym_else,
    STATE(7882), 1,
      sym_else_clause,
    STATE(12407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [631245] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15405), 1,
      anon_sym_COMMA,
    ACTIONS(15407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15409), 1,
      sym_pow_operator,
    ACTIONS(15411), 1,
      sym_mult_operator,
    ACTIONS(15413), 1,
      sym_concat_operator,
    ACTIONS(15415), 1,
      sym_rel_operator,
    ACTIONS(15417), 1,
      sym_and_operator,
    ACTIONS(15419), 1,
      sym_or_operator,
    ACTIONS(15421), 1,
      sym_assign_operator,
    STATE(2231), 1,
      sym_add_operator,
    STATE(12408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10308), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [631296] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15524), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15526), 1,
      sym_pow_operator,
    ACTIONS(15528), 1,
      sym_mult_operator,
    ACTIONS(15530), 1,
      sym_concat_operator,
    ACTIONS(15532), 1,
      sym_rel_operator,
    ACTIONS(15534), 1,
      sym_and_operator,
    ACTIONS(15536), 1,
      sym_or_operator,
    ACTIONS(15581), 1,
      anon_sym_COMMA,
    ACTIONS(15583), 1,
      sym_assign_operator,
    STATE(1810), 1,
      sym_add_operator,
    STATE(12409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10237), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [631347] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15337), 1,
      anon_sym_PIPE,
    STATE(12277), 1,
      aux_sym__match_cases_repeat1,
    STATE(12410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [631382] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15585), 1,
      anon_sym_SEMI,
    ACTIONS(15587), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12411), 1,
      sym_attribute,
    STATE(15368), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [631437] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [631470] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11597), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11599), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [631501] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11557), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [631532] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14564), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14566), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15221), 1,
      anon_sym_LPAREN,
    STATE(12415), 1,
      sym_attribute,
    STATE(13191), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13188), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(9930), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [631571] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15589), 1,
      anon_sym_DQUOTE,
    STATE(12416), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(19092), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [631612] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15185), 1,
      sym_pow_operator,
    STATE(2388), 1,
      sym_add_operator,
    STATE(12417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10302), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [631647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15439), 1,
      anon_sym_let,
    STATE(12418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15437), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [631678] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15202), 1,
      anon_sym_and,
    STATE(12216), 1,
      aux_sym_type_definition_repeat1,
    STATE(12419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15028), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [631711] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15591), 1,
      anon_sym_DQUOTE,
    STATE(12420), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(18849), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [631752] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11601), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11603), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [631783] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15524), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15526), 1,
      sym_pow_operator,
    ACTIONS(15528), 1,
      sym_mult_operator,
    ACTIONS(15530), 1,
      sym_concat_operator,
    STATE(1810), 1,
      sym_add_operator,
    STATE(12422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [631826] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11681), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11683), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [631857] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15593), 1,
      anon_sym_SEMI,
    ACTIONS(15595), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12424), 1,
      sym_attribute,
    STATE(16139), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [631912] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10320), 1,
      anon_sym_PIPE,
    ACTIONS(15323), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15325), 1,
      sym_pow_operator,
    ACTIONS(15327), 1,
      sym_mult_operator,
    ACTIONS(15329), 1,
      sym_concat_operator,
    ACTIONS(15331), 1,
      sym_rel_operator,
    ACTIONS(15333), 1,
      sym_and_operator,
    ACTIONS(15335), 1,
      sym_or_operator,
    ACTIONS(15366), 1,
      anon_sym_COMMA,
    ACTIONS(15368), 1,
      sym_assign_operator,
    STATE(1969), 1,
      sym_add_operator,
    STATE(12425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 2,
      anon_sym_SEMI,
      anon_sym_done,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [631965] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15597), 1,
      anon_sym_DQUOTE,
    STATE(12426), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(19363), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [632006] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15599), 1,
      anon_sym_COLON_GT,
    ACTIONS(15601), 1,
      anon_sym_EQ,
    ACTIONS(15603), 1,
      anon_sym_COLON2,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12427), 1,
      sym_attribute,
    STATE(12816), 1,
      sym__typed,
    STATE(12934), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15605), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [632049] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9110), 1,
      anon_sym_then,
    ACTIONS(9112), 1,
      anon_sym_PIPE,
    ACTIONS(15455), 1,
      anon_sym_COMMA,
    ACTIONS(15457), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15459), 1,
      sym_pow_operator,
    ACTIONS(15461), 1,
      sym_mult_operator,
    ACTIONS(15463), 1,
      sym_concat_operator,
    ACTIONS(15465), 1,
      sym_rel_operator,
    ACTIONS(15467), 1,
      sym_and_operator,
    ACTIONS(15469), 1,
      sym_or_operator,
    ACTIONS(15471), 1,
      sym_assign_operator,
    ACTIONS(15607), 1,
      anon_sym_SEMI,
    STATE(2347), 1,
      sym_add_operator,
    STATE(12428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [632104] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15609), 1,
      anon_sym_RBRACK,
    ACTIONS(15611), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12429), 1,
      sym_attribute,
    STATE(15046), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [632159] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11605), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11607), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [632190] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15613), 1,
      anon_sym_RBRACK,
    ACTIONS(15615), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12431), 1,
      sym_attribute,
    STATE(15958), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [632245] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15617), 1,
      anon_sym_DQUOTE,
    STATE(12432), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(19348), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [632286] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10280), 1,
      anon_sym_PIPE,
    ACTIONS(15457), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15459), 1,
      sym_pow_operator,
    ACTIONS(15461), 1,
      sym_mult_operator,
    ACTIONS(15463), 1,
      sym_concat_operator,
    ACTIONS(15465), 1,
      sym_rel_operator,
    ACTIONS(15467), 1,
      sym_and_operator,
    ACTIONS(15469), 1,
      sym_or_operator,
    STATE(2347), 1,
      sym_add_operator,
    STATE(12433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [632335] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15457), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15459), 1,
      sym_pow_operator,
    ACTIONS(15461), 1,
      sym_mult_operator,
    STATE(2347), 1,
      sym_add_operator,
    STATE(12434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [632376] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15619), 1,
      anon_sym_RBRACK,
    ACTIONS(15621), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12435), 1,
      sym_attribute,
    STATE(16260), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [632431] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15623), 1,
      anon_sym_DQUOTE,
    STATE(12436), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(20073), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [632472] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11559), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11561), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [632503] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15625), 1,
      anon_sym_DQUOTE,
    STATE(12438), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(20001), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [632544] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15524), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15526), 1,
      sym_pow_operator,
    ACTIONS(15528), 1,
      sym_mult_operator,
    ACTIONS(15530), 1,
      sym_concat_operator,
    STATE(1810), 1,
      sym_add_operator,
    STATE(12439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [632587] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15627), 1,
      anon_sym_RBRACK,
    ACTIONS(15629), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12440), 1,
      sym_attribute,
    STATE(15078), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [632642] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15631), 1,
      anon_sym_SEMI,
    ACTIONS(15633), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12441), 1,
      sym_attribute,
    STATE(15048), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [632697] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15635), 1,
      anon_sym_DQUOTE,
    STATE(12442), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(17785), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [632738] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15637), 1,
      anon_sym_RBRACK,
    ACTIONS(15639), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12443), 1,
      sym_attribute,
    STATE(15307), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [632793] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15641), 1,
      anon_sym_SEMI,
    ACTIONS(15643), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12444), 1,
      sym_attribute,
    STATE(15087), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [632848] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10320), 1,
      anon_sym_PIPE,
    ACTIONS(15455), 1,
      anon_sym_COMMA,
    ACTIONS(15457), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15459), 1,
      sym_pow_operator,
    ACTIONS(15461), 1,
      sym_mult_operator,
    ACTIONS(15463), 1,
      sym_concat_operator,
    ACTIONS(15465), 1,
      sym_rel_operator,
    ACTIONS(15467), 1,
      sym_and_operator,
    ACTIONS(15469), 1,
      sym_or_operator,
    ACTIONS(15471), 1,
      sym_assign_operator,
    STATE(2347), 1,
      sym_add_operator,
    STATE(12445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [632901] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      sym_or_operator,
    ACTIONS(15524), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15526), 1,
      sym_pow_operator,
    ACTIONS(15528), 1,
      sym_mult_operator,
    ACTIONS(15530), 1,
      sym_concat_operator,
    ACTIONS(15532), 1,
      sym_rel_operator,
    ACTIONS(15534), 1,
      sym_and_operator,
    STATE(1810), 1,
      sym_add_operator,
    STATE(12446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [632948] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15645), 1,
      anon_sym_DQUOTE,
    STATE(12447), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(17793), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [632989] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15647), 1,
      anon_sym_PIPE,
    STATE(12448), 1,
      sym_attribute,
    STATE(12451), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [633024] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15647), 1,
      anon_sym_PIPE,
    STATE(12449), 1,
      sym_attribute,
    STATE(12453), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [633059] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15649), 1,
      anon_sym_SEMI,
    ACTIONS(15651), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12450), 1,
      sym_attribute,
    STATE(16409), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [633114] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15647), 1,
      anon_sym_PIPE,
    STATE(12451), 1,
      sym_attribute,
    STATE(12460), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [633149] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15459), 1,
      sym_pow_operator,
    STATE(2347), 1,
      sym_add_operator,
    STATE(12452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10302), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [633184] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15647), 1,
      anon_sym_PIPE,
    STATE(12453), 1,
      sym_attribute,
    STATE(12460), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [633219] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11563), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11565), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [633250] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15653), 1,
      anon_sym_RBRACK,
    ACTIONS(15655), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12455), 1,
      sym_attribute,
    STATE(15632), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [633305] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15657), 1,
      anon_sym_DQUOTE,
    STATE(12456), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(19123), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [633346] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15524), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15526), 1,
      sym_pow_operator,
    ACTIONS(15528), 1,
      sym_mult_operator,
    ACTIONS(15530), 1,
      sym_concat_operator,
    ACTIONS(15532), 1,
      sym_rel_operator,
    ACTIONS(15534), 1,
      sym_and_operator,
    ACTIONS(15536), 1,
      sym_or_operator,
    STATE(1810), 1,
      sym_add_operator,
    STATE(12457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [633393] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15659), 1,
      anon_sym_DQUOTE,
    STATE(12458), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(19176), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [633434] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15661), 1,
      anon_sym_SEMI,
    ACTIONS(15663), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12459), 1,
      sym_attribute,
    STATE(15646), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [633489] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15665), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12460), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [633522] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15405), 1,
      anon_sym_COMMA,
    ACTIONS(15407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15409), 1,
      sym_pow_operator,
    ACTIONS(15411), 1,
      sym_mult_operator,
    ACTIONS(15413), 1,
      sym_concat_operator,
    ACTIONS(15415), 1,
      sym_rel_operator,
    ACTIONS(15417), 1,
      sym_and_operator,
    ACTIONS(15419), 1,
      sym_or_operator,
    ACTIONS(15421), 1,
      sym_assign_operator,
    ACTIONS(15668), 1,
      anon_sym_SEMI,
    STATE(2231), 1,
      sym_add_operator,
    STATE(12461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 2,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [633575] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9110), 1,
      anon_sym_with,
    ACTIONS(9112), 1,
      anon_sym_PIPE,
    ACTIONS(15183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15185), 1,
      sym_pow_operator,
    ACTIONS(15187), 1,
      sym_mult_operator,
    ACTIONS(15189), 1,
      sym_concat_operator,
    ACTIONS(15388), 1,
      sym_rel_operator,
    ACTIONS(15390), 1,
      sym_and_operator,
    ACTIONS(15445), 1,
      sym_or_operator,
    ACTIONS(15477), 1,
      anon_sym_COMMA,
    ACTIONS(15479), 1,
      sym_assign_operator,
    ACTIONS(15670), 1,
      anon_sym_SEMI,
    STATE(2388), 1,
      sym_add_operator,
    STATE(12462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [633630] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15672), 1,
      anon_sym_DQUOTE,
    STATE(12463), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(19268), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [633671] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15674), 1,
      anon_sym_DQUOTE,
    STATE(12464), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(19321), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [633712] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9110), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(9112), 1,
      anon_sym_PIPE,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15676), 1,
      anon_sym_SEMI,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [633767] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15680), 1,
      anon_sym_let,
    STATE(12466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15678), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [633798] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15524), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15526), 1,
      sym_pow_operator,
    ACTIONS(15528), 1,
      sym_mult_operator,
    ACTIONS(15530), 1,
      sym_concat_operator,
    ACTIONS(15532), 1,
      sym_rel_operator,
    ACTIONS(15534), 1,
      sym_and_operator,
    ACTIONS(15536), 1,
      sym_or_operator,
    ACTIONS(15581), 1,
      anon_sym_COMMA,
    ACTIONS(15583), 1,
      sym_assign_operator,
    STATE(1810), 1,
      sym_add_operator,
    STATE(12467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [633849] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15191), 1,
      anon_sym_and,
    STATE(12468), 1,
      sym_attribute,
    STATE(12495), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15085), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [633882] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15682), 1,
      anon_sym_SEMI,
    ACTIONS(15684), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12469), 1,
      sym_attribute,
    STATE(15962), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [633937] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15459), 1,
      sym_pow_operator,
    STATE(2347), 1,
      sym_add_operator,
    STATE(12470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10302), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [633972] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15686), 1,
      anon_sym_DQUOTE,
    STATE(12471), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(17722), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [634013] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15202), 1,
      anon_sym_and,
    STATE(12200), 1,
      aux_sym_type_definition_repeat1,
    STATE(12472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14969), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [634046] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15688), 1,
      anon_sym_DQUOTE,
    STATE(12473), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(19393), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [634087] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15690), 1,
      anon_sym_DQUOTE,
    STATE(12474), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(19439), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [634128] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15267), 1,
      sym_pow_operator,
    STATE(1881), 1,
      sym_add_operator,
    STATE(12475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [634163] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10341), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10339), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [634194] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15692), 1,
      anon_sym_DQUOTE,
    STATE(12477), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(17554), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [634235] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15694), 1,
      anon_sym_RBRACK,
    ACTIONS(15696), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12478), 1,
      sym_attribute,
    STATE(15163), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [634290] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15457), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15459), 1,
      sym_pow_operator,
    ACTIONS(15461), 1,
      sym_mult_operator,
    ACTIONS(15463), 1,
      sym_concat_operator,
    STATE(2347), 1,
      sym_add_operator,
    STATE(12479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [634333] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15267), 1,
      sym_pow_operator,
    STATE(1881), 1,
      sym_add_operator,
    STATE(12480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [634368] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15202), 1,
      anon_sym_and,
    STATE(12481), 1,
      sym_attribute,
    STATE(12586), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14932), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [634401] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15698), 1,
      anon_sym_SEMI,
    ACTIONS(15700), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12482), 1,
      sym_attribute,
    STATE(15173), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [634456] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15267), 1,
      sym_pow_operator,
    ACTIONS(15269), 1,
      sym_mult_operator,
    ACTIONS(15271), 1,
      sym_concat_operator,
    STATE(1881), 1,
      sym_add_operator,
    STATE(12483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [634499] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15457), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15459), 1,
      sym_pow_operator,
    ACTIONS(15461), 1,
      sym_mult_operator,
    ACTIONS(15463), 1,
      sym_concat_operator,
    STATE(2347), 1,
      sym_add_operator,
    STATE(12484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [634542] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15702), 1,
      anon_sym_DQUOTE,
    STATE(12485), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(18611), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [634583] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11625), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11627), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [634614] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15526), 1,
      sym_pow_operator,
    ACTIONS(15528), 1,
      sym_mult_operator,
    STATE(1810), 1,
      sym_add_operator,
    STATE(12487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [634651] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15267), 1,
      sym_pow_operator,
    ACTIONS(15269), 1,
      sym_mult_operator,
    ACTIONS(15271), 1,
      sym_concat_operator,
    STATE(1881), 1,
      sym_add_operator,
    STATE(12488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [634694] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11629), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11631), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [634725] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11633), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11635), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [634756] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15704), 1,
      anon_sym_DQUOTE,
    STATE(12491), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(20434), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [634797] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12418), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15181), 1,
      anon_sym_DASH_GT,
    STATE(12492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12416), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [634830] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15200), 1,
      anon_sym_else,
    STATE(7995), 1,
      sym_else_clause,
    STATE(12493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [634865] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      sym_or_operator,
    ACTIONS(15265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15267), 1,
      sym_pow_operator,
    ACTIONS(15269), 1,
      sym_mult_operator,
    ACTIONS(15271), 1,
      sym_concat_operator,
    ACTIONS(15273), 1,
      sym_rel_operator,
    ACTIONS(15275), 1,
      sym_and_operator,
    STATE(1881), 1,
      sym_add_operator,
    STATE(12494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [634912] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15191), 1,
      anon_sym_and,
    STATE(12495), 1,
      sym_attribute,
    STATE(12560), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15091), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [634945] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15706), 1,
      anon_sym_SEMI,
    ACTIONS(15708), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12496), 1,
      sym_attribute,
    STATE(15100), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [635000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8170), 1,
      anon_sym_let,
    STATE(12497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [635031] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15524), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15526), 1,
      sym_pow_operator,
    ACTIONS(15528), 1,
      sym_mult_operator,
    ACTIONS(15530), 1,
      sym_concat_operator,
    ACTIONS(15532), 1,
      sym_rel_operator,
    ACTIONS(15534), 1,
      sym_and_operator,
    ACTIONS(15536), 1,
      sym_or_operator,
    ACTIONS(15581), 1,
      anon_sym_COMMA,
    ACTIONS(15583), 1,
      sym_assign_operator,
    ACTIONS(15710), 1,
      anon_sym_SEMI,
    STATE(1810), 1,
      sym_add_operator,
    STATE(12498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 2,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [635084] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11637), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11639), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [635115] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9110), 1,
      anon_sym_end,
    ACTIONS(9112), 1,
      anon_sym_PIPE,
    ACTIONS(15123), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15125), 1,
      sym_pow_operator,
    ACTIONS(15127), 1,
      sym_mult_operator,
    ACTIONS(15129), 1,
      sym_concat_operator,
    ACTIONS(15131), 1,
      sym_rel_operator,
    ACTIONS(15133), 1,
      sym_and_operator,
    ACTIONS(15135), 1,
      sym_or_operator,
    ACTIONS(15241), 1,
      anon_sym_COMMA,
    ACTIONS(15243), 1,
      sym_assign_operator,
    ACTIONS(15712), 1,
      anon_sym_SEMI,
    STATE(2406), 1,
      sym_add_operator,
    STATE(12500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [635170] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15714), 1,
      anon_sym_DQUOTE,
    STATE(12501), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(19961), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [635211] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15439), 1,
      anon_sym_let,
    ACTIONS(15716), 1,
      anon_sym_in,
    STATE(12502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15437), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [635244] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15227), 1,
      sym_pow_operator,
    ACTIONS(15229), 1,
      sym_mult_operator,
    ACTIONS(15231), 1,
      sym_concat_operator,
    STATE(2367), 1,
      sym_add_operator,
    STATE(12503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [635287] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15718), 1,
      anon_sym_DQUOTE,
    STATE(12504), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(17741), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [635328] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15720), 1,
      anon_sym_RBRACK,
    ACTIONS(15722), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12505), 1,
      sym_attribute,
    STATE(15725), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [635383] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15724), 1,
      anon_sym_DQUOTE,
    STATE(12506), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(19523), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [635424] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(1969), 1,
      sym_add_operator,
    STATE(12507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [635457] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15726), 1,
      anon_sym_RBRACK,
    ACTIONS(15728), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12508), 1,
      sym_attribute,
    STATE(16394), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [635512] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15730), 1,
      anon_sym_RBRACK,
    ACTIONS(15732), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12509), 1,
      sym_attribute,
    STATE(15232), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [635567] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15374), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15376), 1,
      sym_pow_operator,
    ACTIONS(15378), 1,
      sym_mult_operator,
    ACTIONS(15380), 1,
      sym_concat_operator,
    ACTIONS(15382), 1,
      sym_rel_operator,
    ACTIONS(15384), 1,
      sym_and_operator,
    ACTIONS(15386), 1,
      sym_or_operator,
    ACTIONS(15394), 1,
      anon_sym_COMMA,
    ACTIONS(15396), 1,
      sym_assign_operator,
    STATE(1936), 1,
      sym_add_operator,
    STATE(12510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10237), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [635618] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15734), 1,
      anon_sym_SEMI,
    ACTIONS(15736), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12511), 1,
      sym_attribute,
    STATE(15731), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [635673] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15267), 1,
      sym_pow_operator,
    ACTIONS(15269), 1,
      sym_mult_operator,
    ACTIONS(15271), 1,
      sym_concat_operator,
    ACTIONS(15273), 1,
      sym_rel_operator,
    ACTIONS(15275), 1,
      sym_and_operator,
    ACTIONS(15277), 1,
      sym_or_operator,
    STATE(1881), 1,
      sym_add_operator,
    STATE(12512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [635720] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15191), 1,
      anon_sym_and,
    STATE(12513), 1,
      sym_attribute,
    STATE(12560), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15098), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [635753] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15738), 1,
      anon_sym_SEMI,
    ACTIONS(15740), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12514), 1,
      sym_attribute,
    STATE(15766), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [635808] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15742), 1,
      anon_sym_RBRACK,
    ACTIONS(15744), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12515), 1,
      sym_attribute,
    STATE(15235), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [635863] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15603), 1,
      anon_sym_COLON2,
    ACTIONS(15746), 1,
      anon_sym_COLON_GT,
    ACTIONS(15748), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12516), 1,
      sym_attribute,
    STATE(12817), 1,
      sym__typed,
    STATE(13030), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15750), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [635906] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10310), 1,
      anon_sym_PIPE,
    ACTIONS(15223), 1,
      anon_sym_COMMA,
    ACTIONS(15225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15227), 1,
      sym_pow_operator,
    ACTIONS(15229), 1,
      sym_mult_operator,
    ACTIONS(15231), 1,
      sym_concat_operator,
    ACTIONS(15233), 1,
      sym_rel_operator,
    ACTIONS(15235), 1,
      sym_and_operator,
    ACTIONS(15237), 1,
      sym_or_operator,
    ACTIONS(15239), 1,
      sym_assign_operator,
    STATE(2367), 1,
      sym_add_operator,
    STATE(12517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10308), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [635959] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15752), 1,
      anon_sym_SEMI,
    ACTIONS(15754), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12518), 1,
      sym_attribute,
    STATE(15241), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [636014] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15524), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15526), 1,
      sym_pow_operator,
    ACTIONS(15528), 1,
      sym_mult_operator,
    ACTIONS(15530), 1,
      sym_concat_operator,
    ACTIONS(15532), 1,
      sym_rel_operator,
    ACTIONS(15534), 1,
      sym_and_operator,
    ACTIONS(15536), 1,
      sym_or_operator,
    ACTIONS(15581), 1,
      anon_sym_COMMA,
    ACTIONS(15583), 1,
      sym_assign_operator,
    STATE(1810), 1,
      sym_add_operator,
    STATE(12519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10308), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [636065] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15756), 1,
      anon_sym_SEMI,
    ACTIONS(15758), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12520), 1,
      sym_attribute,
    STATE(15594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [636120] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15760), 1,
      anon_sym_DQUOTE,
    STATE(12521), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(17692), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [636161] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9110), 1,
      anon_sym_done,
    ACTIONS(9112), 1,
      anon_sym_PIPE,
    ACTIONS(15323), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15325), 1,
      sym_pow_operator,
    ACTIONS(15327), 1,
      sym_mult_operator,
    ACTIONS(15329), 1,
      sym_concat_operator,
    ACTIONS(15331), 1,
      sym_rel_operator,
    ACTIONS(15333), 1,
      sym_and_operator,
    ACTIONS(15335), 1,
      sym_or_operator,
    ACTIONS(15366), 1,
      anon_sym_COMMA,
    ACTIONS(15368), 1,
      sym_assign_operator,
    ACTIONS(15762), 1,
      anon_sym_SEMI,
    STATE(1969), 1,
      sym_add_operator,
    STATE(12522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [636216] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2367), 1,
      sym_add_operator,
    STATE(12523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [636249] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11609), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11611), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [636280] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15457), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15459), 1,
      sym_pow_operator,
    ACTIONS(15461), 1,
      sym_mult_operator,
    ACTIONS(15463), 1,
      sym_concat_operator,
    ACTIONS(15465), 1,
      sym_rel_operator,
    ACTIONS(15467), 1,
      sym_and_operator,
    STATE(2347), 1,
      sym_add_operator,
    STATE(12525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [636327] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15191), 1,
      anon_sym_and,
    STATE(12199), 1,
      aux_sym_module_definition_repeat1,
    STATE(12526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15107), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [636360] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15764), 1,
      anon_sym_DQUOTE,
    STATE(12527), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(17956), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [636401] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15227), 1,
      sym_pow_operator,
    ACTIONS(15229), 1,
      sym_mult_operator,
    ACTIONS(15231), 1,
      sym_concat_operator,
    STATE(2367), 1,
      sym_add_operator,
    STATE(12528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [636444] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11641), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11643), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [636475] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15766), 1,
      anon_sym_DQUOTE,
    STATE(12530), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(18409), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [636516] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11645), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11647), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [636547] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_PIPE,
    ACTIONS(15457), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15459), 1,
      sym_pow_operator,
    ACTIONS(15461), 1,
      sym_mult_operator,
    ACTIONS(15463), 1,
      sym_concat_operator,
    ACTIONS(15465), 1,
      sym_rel_operator,
    ACTIONS(15467), 1,
      sym_and_operator,
    ACTIONS(15469), 1,
      sym_or_operator,
    STATE(2347), 1,
      sym_add_operator,
    STATE(12532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [636596] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15768), 1,
      anon_sym_SEMI,
    ACTIONS(15770), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12533), 1,
      sym_attribute,
    STATE(15254), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [636651] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15772), 1,
      anon_sym_RBRACK,
    ACTIONS(15774), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12534), 1,
      sym_attribute,
    STATE(15870), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [636706] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15776), 1,
      anon_sym_DQUOTE,
    STATE(12535), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(19535), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [636747] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15778), 1,
      anon_sym_RBRACK,
    ACTIONS(15780), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12536), 1,
      sym_attribute,
    STATE(15071), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [636802] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15782), 1,
      anon_sym_PIPE,
    STATE(12537), 1,
      sym_attribute,
    STATE(12539), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [636837] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15782), 1,
      anon_sym_PIPE,
    STATE(12538), 1,
      sym_attribute,
    STATE(12540), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [636872] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15782), 1,
      anon_sym_PIPE,
    STATE(12539), 1,
      sym_attribute,
    STATE(12541), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10261), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [636907] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15782), 1,
      anon_sym_PIPE,
    STATE(12540), 1,
      sym_attribute,
    STATE(12541), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10269), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10267), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [636942] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15784), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12541), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10273), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10271), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [636975] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_PIPE,
    ACTIONS(15123), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15125), 1,
      sym_pow_operator,
    ACTIONS(15127), 1,
      sym_mult_operator,
    ACTIONS(15129), 1,
      sym_concat_operator,
    ACTIONS(15131), 1,
      sym_rel_operator,
    ACTIONS(15133), 1,
      sym_and_operator,
    ACTIONS(15135), 1,
      sym_or_operator,
    STATE(2406), 1,
      sym_add_operator,
    STATE(12542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [637024] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15787), 1,
      anon_sym_RBRACK,
    ACTIONS(15789), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12543), 1,
      sym_attribute,
    STATE(16215), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [637079] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15791), 1,
      anon_sym_DQUOTE,
    STATE(12544), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(18537), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [637120] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15263), 1,
      anon_sym_COMMA,
    ACTIONS(15265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15267), 1,
      sym_pow_operator,
    ACTIONS(15269), 1,
      sym_mult_operator,
    ACTIONS(15271), 1,
      sym_concat_operator,
    ACTIONS(15273), 1,
      sym_rel_operator,
    ACTIONS(15275), 1,
      sym_and_operator,
    ACTIONS(15277), 1,
      sym_or_operator,
    ACTIONS(15279), 1,
      sym_assign_operator,
    ACTIONS(15793), 1,
      anon_sym_SEMI,
    STATE(1881), 1,
      sym_add_operator,
    STATE(12545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 2,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [637173] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15795), 1,
      anon_sym_SEMI,
    ACTIONS(15797), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12546), 1,
      sym_attribute,
    STATE(15874), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [637228] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15799), 1,
      anon_sym_RBRACK,
    ACTIONS(15801), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12547), 1,
      sym_attribute,
    STATE(15166), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [637283] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15803), 1,
      anon_sym_RBRACK,
    ACTIONS(15805), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12548), 1,
      sym_attribute,
    STATE(15421), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [637338] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15263), 1,
      anon_sym_COMMA,
    ACTIONS(15265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15267), 1,
      sym_pow_operator,
    ACTIONS(15269), 1,
      sym_mult_operator,
    ACTIONS(15271), 1,
      sym_concat_operator,
    ACTIONS(15273), 1,
      sym_rel_operator,
    ACTIONS(15275), 1,
      sym_and_operator,
    ACTIONS(15277), 1,
      sym_or_operator,
    ACTIONS(15279), 1,
      sym_assign_operator,
    STATE(1881), 1,
      sym_add_operator,
    STATE(12549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [637389] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15542), 1,
      anon_sym_else,
    STATE(7995), 1,
      sym_else_clause,
    STATE(12550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [637424] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_PIPE,
    ACTIONS(15123), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15125), 1,
      sym_pow_operator,
    ACTIONS(15127), 1,
      sym_mult_operator,
    ACTIONS(15129), 1,
      sym_concat_operator,
    ACTIONS(15131), 1,
      sym_rel_operator,
    ACTIONS(15133), 1,
      sym_and_operator,
    ACTIONS(15135), 1,
      sym_or_operator,
    ACTIONS(15241), 1,
      anon_sym_COMMA,
    ACTIONS(15243), 1,
      sym_assign_operator,
    STATE(2406), 1,
      sym_add_operator,
    STATE(12551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [637477] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(1881), 1,
      sym_add_operator,
    STATE(12552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [637510] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15807), 1,
      anon_sym_DQUOTE,
    STATE(12553), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(19205), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [637551] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15809), 1,
      anon_sym_SEMI,
    ACTIONS(15811), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12554), 1,
      sym_attribute,
    STATE(15074), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [637606] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15813), 1,
      anon_sym_RBRACK,
    ACTIONS(15815), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12555), 1,
      sym_attribute,
    STATE(16060), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [637661] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15817), 1,
      anon_sym_else,
    STATE(7995), 1,
      sym_else_clause,
    STATE(12556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10365), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [637696] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15517), 1,
      anon_sym_else,
    STATE(7882), 1,
      sym_else_clause,
    STATE(12557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [637731] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15819), 1,
      anon_sym_DQUOTE,
    STATE(12558), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(19263), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [637772] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15821), 1,
      anon_sym_RBRACK,
    ACTIONS(15823), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12559), 1,
      sym_attribute,
    STATE(15540), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [637827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15825), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12560), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(14085), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [637858] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15191), 1,
      anon_sym_and,
    STATE(12513), 1,
      aux_sym_module_definition_repeat1,
    STATE(12561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15091), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [637891] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15828), 1,
      anon_sym_SEMI,
    ACTIONS(15830), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12562), 1,
      sym_attribute,
    STATE(16062), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [637946] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_DQUOTE,
    STATE(12563), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(17536), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [637987] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15267), 1,
      sym_pow_operator,
    ACTIONS(15269), 1,
      sym_mult_operator,
    STATE(1881), 1,
      sym_add_operator,
    STATE(12564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [638024] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15834), 1,
      anon_sym_RBRACK,
    ACTIONS(15836), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12565), 1,
      sym_attribute,
    STATE(15587), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [638079] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15227), 1,
      sym_pow_operator,
    ACTIONS(15229), 1,
      sym_mult_operator,
    ACTIONS(15231), 1,
      sym_concat_operator,
    ACTIONS(15233), 1,
      sym_rel_operator,
    ACTIONS(15235), 1,
      sym_and_operator,
    STATE(2367), 1,
      sym_add_operator,
    STATE(12566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [638126] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15524), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15526), 1,
      sym_pow_operator,
    ACTIONS(15528), 1,
      sym_mult_operator,
    ACTIONS(15530), 1,
      sym_concat_operator,
    ACTIONS(15532), 1,
      sym_rel_operator,
    ACTIONS(15534), 1,
      sym_and_operator,
    ACTIONS(15536), 1,
      sym_or_operator,
    ACTIONS(15581), 1,
      anon_sym_COMMA,
    ACTIONS(15583), 1,
      sym_assign_operator,
    STATE(1810), 1,
      sym_add_operator,
    STATE(12567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [638177] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15374), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15376), 1,
      sym_pow_operator,
    ACTIONS(15378), 1,
      sym_mult_operator,
    ACTIONS(15380), 1,
      sym_concat_operator,
    ACTIONS(15382), 1,
      sym_rel_operator,
    ACTIONS(15384), 1,
      sym_and_operator,
    ACTIONS(15386), 1,
      sym_or_operator,
    ACTIONS(15394), 1,
      anon_sym_COMMA,
    ACTIONS(15396), 1,
      sym_assign_operator,
    ACTIONS(15838), 1,
      anon_sym_SEMI,
    STATE(1936), 1,
      sym_add_operator,
    STATE(12568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 2,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [638230] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11577), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11579), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [638261] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10280), 1,
      anon_sym_PIPE,
    ACTIONS(15183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15185), 1,
      sym_pow_operator,
    ACTIONS(15187), 1,
      sym_mult_operator,
    ACTIONS(15189), 1,
      sym_concat_operator,
    ACTIONS(15388), 1,
      sym_rel_operator,
    ACTIONS(15390), 1,
      sym_and_operator,
    ACTIONS(15445), 1,
      sym_or_operator,
    STATE(2388), 1,
      sym_add_operator,
    STATE(12570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [638310] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9110), 1,
      anon_sym_do,
    ACTIONS(9112), 1,
      anon_sym_PIPE,
    ACTIONS(15223), 1,
      anon_sym_COMMA,
    ACTIONS(15225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15227), 1,
      sym_pow_operator,
    ACTIONS(15229), 1,
      sym_mult_operator,
    ACTIONS(15231), 1,
      sym_concat_operator,
    ACTIONS(15233), 1,
      sym_rel_operator,
    ACTIONS(15235), 1,
      sym_and_operator,
    ACTIONS(15237), 1,
      sym_or_operator,
    ACTIONS(15239), 1,
      sym_assign_operator,
    ACTIONS(15840), 1,
      anon_sym_SEMI,
    STATE(2367), 1,
      sym_add_operator,
    STATE(12571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [638365] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11889), 1,
      anon_sym_COLON2,
    STATE(12572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9252), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [638398] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11705), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11707), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [638429] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15842), 1,
      anon_sym_SEMI,
    ACTIONS(15844), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12574), 1,
      sym_attribute,
    STATE(15170), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [638484] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15846), 1,
      anon_sym_DQUOTE,
    STATE(12575), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(19337), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [638525] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_PIPE,
    ACTIONS(15455), 1,
      anon_sym_COMMA,
    ACTIONS(15457), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15459), 1,
      sym_pow_operator,
    ACTIONS(15461), 1,
      sym_mult_operator,
    ACTIONS(15463), 1,
      sym_concat_operator,
    ACTIONS(15465), 1,
      sym_rel_operator,
    ACTIONS(15467), 1,
      sym_and_operator,
    ACTIONS(15469), 1,
      sym_or_operator,
    ACTIONS(15471), 1,
      sym_assign_operator,
    STATE(2347), 1,
      sym_add_operator,
    STATE(12576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [638578] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15263), 1,
      anon_sym_COMMA,
    ACTIONS(15265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15267), 1,
      sym_pow_operator,
    ACTIONS(15269), 1,
      sym_mult_operator,
    ACTIONS(15271), 1,
      sym_concat_operator,
    ACTIONS(15273), 1,
      sym_rel_operator,
    ACTIONS(15275), 1,
      sym_and_operator,
    ACTIONS(15277), 1,
      sym_or_operator,
    ACTIONS(15279), 1,
      sym_assign_operator,
    STATE(1881), 1,
      sym_add_operator,
    STATE(12577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10308), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [638629] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15321), 1,
      anon_sym_PIPE,
    STATE(12261), 1,
      aux_sym__match_cases_repeat1,
    STATE(12578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10331), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10329), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [638664] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15848), 1,
      anon_sym_DQUOTE,
    STATE(12579), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(20230), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [638705] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15125), 1,
      sym_pow_operator,
    ACTIONS(15127), 1,
      sym_mult_operator,
    STATE(2406), 1,
      sym_add_operator,
    STATE(12580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [638742] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15850), 1,
      anon_sym_SEMI,
    ACTIONS(15852), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12581), 1,
      sym_attribute,
    STATE(15547), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [638797] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15817), 1,
      anon_sym_else,
    STATE(7882), 1,
      sym_else_clause,
    STATE(12582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [638832] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15854), 1,
      anon_sym_SEMI,
    ACTIONS(15856), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12583), 1,
      sym_attribute,
    STATE(15924), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [638887] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15459), 1,
      sym_pow_operator,
    ACTIONS(15461), 1,
      sym_mult_operator,
    STATE(2347), 1,
      sym_add_operator,
    STATE(12584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [638924] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15858), 1,
      anon_sym_DQUOTE,
    STATE(12585), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(18980), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [638965] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15202), 1,
      anon_sym_and,
    STATE(12200), 1,
      aux_sym_type_definition_repeat1,
    STATE(12586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14942), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [638998] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15263), 1,
      anon_sym_COMMA,
    ACTIONS(15265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15267), 1,
      sym_pow_operator,
    ACTIONS(15269), 1,
      sym_mult_operator,
    ACTIONS(15271), 1,
      sym_concat_operator,
    ACTIONS(15273), 1,
      sym_rel_operator,
    ACTIONS(15275), 1,
      sym_and_operator,
    ACTIONS(15277), 1,
      sym_or_operator,
    ACTIONS(15279), 1,
      sym_assign_operator,
    STATE(1881), 1,
      sym_add_operator,
    STATE(12587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [639049] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15185), 1,
      sym_pow_operator,
    ACTIONS(15187), 1,
      sym_mult_operator,
    STATE(2388), 1,
      sym_add_operator,
    STATE(12588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10298), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [639090] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15860), 1,
      anon_sym_RBRACK,
    ACTIONS(15862), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12589), 1,
      sym_attribute,
    STATE(16396), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [639145] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    ACTIONS(15864), 1,
      anon_sym_SEMI,
    ACTIONS(15866), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12590), 1,
      sym_attribute,
    STATE(16261), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [639200] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15185), 1,
      sym_pow_operator,
    STATE(2388), 1,
      sym_add_operator,
    STATE(12591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10302), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [639235] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_PIPE,
    ACTIONS(15225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15227), 1,
      sym_pow_operator,
    ACTIONS(15229), 1,
      sym_mult_operator,
    ACTIONS(15231), 1,
      sym_concat_operator,
    ACTIONS(15233), 1,
      sym_rel_operator,
    ACTIONS(15235), 1,
      sym_and_operator,
    ACTIONS(15237), 1,
      sym_or_operator,
    STATE(2367), 1,
      sym_add_operator,
    STATE(12592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [639284] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15405), 1,
      anon_sym_COMMA,
    ACTIONS(15407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15409), 1,
      sym_pow_operator,
    ACTIONS(15411), 1,
      sym_mult_operator,
    ACTIONS(15413), 1,
      sym_concat_operator,
    ACTIONS(15415), 1,
      sym_rel_operator,
    ACTIONS(15417), 1,
      sym_and_operator,
    ACTIONS(15419), 1,
      sym_or_operator,
    ACTIONS(15421), 1,
      sym_assign_operator,
    STATE(2231), 1,
      sym_add_operator,
    STATE(12593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10237), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [639335] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15603), 1,
      anon_sym_COLON2,
    ACTIONS(15868), 1,
      anon_sym_COLON_GT,
    ACTIONS(15870), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12594), 1,
      sym_attribute,
    STATE(12823), 1,
      sym__typed,
    STATE(13097), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15872), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639378] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15874), 1,
      anon_sym_RBRACK,
    ACTIONS(15876), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12595), 1,
      sym_attribute,
    STATE(16096), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [639433] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15208), 1,
      anon_sym_else,
    STATE(7882), 1,
      sym_else_clause,
    STATE(12596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [639468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15878), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12597), 2,
      sym_attribute,
      aux_sym__structure_repeat1,
    ACTIONS(9067), 14,
      ts_builtin_sym_end,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639499] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15881), 1,
      anon_sym_DQUOTE,
    STATE(12598), 1,
      sym_attribute,
    STATE(12738), 1,
      aux_sym_string_content_repeat1,
    STATE(12864), 1,
      sym_escape_sequence,
    STATE(18180), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [639540] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(15883), 1,
      anon_sym_RBRACK,
    ACTIONS(15885), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12599), 1,
      sym_attribute,
    STATE(15669), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [639595] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15319), 1,
      anon_sym_else,
    STATE(7882), 1,
      sym_else_clause,
    STATE(12600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10312), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [639630] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15887), 1,
      anon_sym_and,
    STATE(12601), 1,
      sym_attribute,
    STATE(12761), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14942), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639662] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5643), 1,
      anon_sym_LBRACK,
    ACTIONS(5651), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5655), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15889), 1,
      sym__identifier,
    ACTIONS(15891), 1,
      anon_sym_LPAREN,
    ACTIONS(15893), 1,
      anon_sym_LBRACE,
    ACTIONS(15895), 1,
      sym__capitalized_identifier,
    STATE(5967), 1,
      sym__value_name,
    STATE(6017), 1,
      sym_parenthesized_operator,
    STATE(6095), 1,
      sym__constructor_name,
    STATE(12602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5938), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [639710] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15897), 1,
      anon_sym_and,
    STATE(12603), 1,
      sym_attribute,
    STATE(12717), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14926), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639742] = 14,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(649), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(661), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15899), 1,
      sym__identifier,
    ACTIONS(15901), 1,
      anon_sym_LPAREN,
    ACTIONS(15903), 1,
      anon_sym_LBRACE,
    ACTIONS(15905), 1,
      sym__capitalized_identifier,
    STATE(3300), 1,
      sym__value_name,
    STATE(3329), 1,
      sym_parenthesized_operator,
    STATE(3399), 1,
      sym__constructor_name,
    STATE(12604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3266), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [639790] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(15907), 1,
      anon_sym_EQ,
    ACTIONS(15909), 1,
      anon_sym_DASH_GT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12605), 1,
      sym_attribute,
    STATE(12940), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15911), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639830] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(15909), 1,
      anon_sym_DASH_GT,
    ACTIONS(15913), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12606), 1,
      sym_attribute,
    STATE(12959), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15915), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639870] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(15909), 1,
      anon_sym_DASH_GT,
    ACTIONS(15917), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12607), 1,
      sym_attribute,
    STATE(12978), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15919), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639910] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15921), 1,
      anon_sym_COMMA,
    ACTIONS(15923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15925), 1,
      sym_pow_operator,
    ACTIONS(15927), 1,
      sym_mult_operator,
    ACTIONS(15929), 1,
      sym_concat_operator,
    ACTIONS(15931), 1,
      sym_rel_operator,
    ACTIONS(15933), 1,
      sym_and_operator,
    ACTIONS(15935), 1,
      sym_or_operator,
    ACTIONS(15937), 1,
      sym_assign_operator,
    STATE(2373), 1,
      sym_add_operator,
    STATE(12608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [639960] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5747), 1,
      anon_sym_LBRACK,
    ACTIONS(5755), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5759), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15939), 1,
      sym__identifier,
    ACTIONS(15941), 1,
      anon_sym_LPAREN,
    ACTIONS(15943), 1,
      anon_sym_LBRACE,
    ACTIONS(15945), 1,
      sym__capitalized_identifier,
    STATE(6073), 1,
      sym__value_name,
    STATE(6083), 1,
      sym__constructor_name,
    STATE(6102), 1,
      sym_parenthesized_operator,
    STATE(12609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6038), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [640008] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2857), 1,
      anon_sym_LBRACK,
    ACTIONS(2867), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2879), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15947), 1,
      sym__identifier,
    ACTIONS(15949), 1,
      anon_sym_LPAREN,
    ACTIONS(15951), 1,
      anon_sym_LBRACE,
    ACTIONS(15953), 1,
      sym__capitalized_identifier,
    STATE(6811), 1,
      sym_parenthesized_operator,
    STATE(6819), 1,
      sym__value_name,
    STATE(7161), 1,
      sym__constructor_name,
    STATE(12610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6808), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [640056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11667), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11665), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [640086] = 14,
    ACTIONS(979), 1,
      anon_sym_LBRACK,
    ACTIONS(989), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1001), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15955), 1,
      sym__identifier,
    ACTIONS(15957), 1,
      anon_sym_LPAREN,
    ACTIONS(15959), 1,
      anon_sym_LBRACE,
    ACTIONS(15961), 1,
      sym__capitalized_identifier,
    STATE(4934), 1,
      sym__value_name,
    STATE(4943), 1,
      sym_parenthesized_operator,
    STATE(4966), 1,
      sym__constructor_name,
    STATE(12612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4932), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [640134] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10345), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15963), 1,
      anon_sym_STAR,
    STATE(12613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10343), 13,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [640166] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9898), 1,
      anon_sym_object,
    ACTIONS(9914), 1,
      anon_sym_let,
    ACTIONS(15965), 1,
      sym__identifier,
    ACTIONS(15967), 1,
      anon_sym_LBRACK,
    STATE(10442), 1,
      sym__simple_class_type,
    STATE(12614), 1,
      sym_attribute,
    STATE(17497), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9541), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [640212] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9898), 1,
      anon_sym_object,
    ACTIONS(9914), 1,
      anon_sym_let,
    ACTIONS(15965), 1,
      sym__identifier,
    ACTIONS(15967), 1,
      anon_sym_LBRACK,
    STATE(10305), 1,
      sym__simple_class_type,
    STATE(12615), 1,
      sym_attribute,
    STATE(17497), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9541), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [640258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11599), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11597), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [640288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11539), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11537), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [640318] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15969), 1,
      anon_sym_and,
    STATE(12618), 1,
      sym_attribute,
    STATE(12647), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14926), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [640350] = 14,
    ACTIONS(701), 1,
      anon_sym_LBRACK,
    ACTIONS(711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(723), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15971), 1,
      sym__identifier,
    ACTIONS(15973), 1,
      anon_sym_LPAREN,
    ACTIONS(15975), 1,
      anon_sym_LBRACE,
    ACTIONS(15977), 1,
      sym__capitalized_identifier,
    STATE(3559), 1,
      sym__value_name,
    STATE(3643), 1,
      sym__constructor_name,
    STATE(3708), 1,
      sym_parenthesized_operator,
    STATE(12619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3506), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [640398] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9110), 1,
      anon_sym_do,
    ACTIONS(15921), 1,
      anon_sym_COMMA,
    ACTIONS(15923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15925), 1,
      sym_pow_operator,
    ACTIONS(15927), 1,
      sym_mult_operator,
    ACTIONS(15929), 1,
      sym_concat_operator,
    ACTIONS(15931), 1,
      sym_rel_operator,
    ACTIONS(15933), 1,
      sym_and_operator,
    ACTIONS(15935), 1,
      sym_or_operator,
    ACTIONS(15937), 1,
      sym_assign_operator,
    ACTIONS(15979), 1,
      anon_sym_SEMI,
    STATE(2373), 1,
      sym_add_operator,
    STATE(12620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [640450] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15969), 1,
      anon_sym_and,
    STATE(12621), 1,
      sym_attribute,
    STATE(12648), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14926), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [640482] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15981), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [640510] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9898), 1,
      anon_sym_object,
    ACTIONS(9914), 1,
      anon_sym_let,
    ACTIONS(15965), 1,
      sym__identifier,
    ACTIONS(15967), 1,
      anon_sym_LBRACK,
    STATE(12623), 1,
      sym_attribute,
    STATE(13141), 1,
      sym__simple_class_type,
    STATE(17497), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9541), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [640556] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      anon_sym_LBRACK,
    ACTIONS(6299), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6303), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15983), 1,
      sym__identifier,
    ACTIONS(15985), 1,
      anon_sym_LPAREN,
    ACTIONS(15987), 1,
      anon_sym_LBRACE,
    ACTIONS(15989), 1,
      sym__capitalized_identifier,
    STATE(6704), 1,
      sym__constructor_name,
    STATE(7023), 1,
      sym__value_name,
    STATE(7222), 1,
      sym_parenthesized_operator,
    STATE(12624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6941), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [640604] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15016), 1,
      sym__identifier,
    ACTIONS(15018), 1,
      anon_sym_LPAREN,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(15026), 1,
      anon_sym__,
    ACTIONS(15991), 1,
      anon_sym_nonrec,
    STATE(12092), 1,
      sym_type_binding,
    STATE(12625), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(15011), 1,
      sym__type_params,
    STATE(16779), 1,
      sym_extended_module_path,
    STATE(17222), 1,
      sym__type_param,
    STATE(20187), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [640658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11601), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [640688] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15993), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15995), 1,
      sym_pow_operator,
    ACTIONS(15997), 1,
      sym_mult_operator,
    ACTIONS(15999), 1,
      sym_concat_operator,
    ACTIONS(16001), 1,
      sym_rel_operator,
    ACTIONS(16003), 1,
      sym_and_operator,
    ACTIONS(16005), 1,
      sym_or_operator,
    STATE(1794), 1,
      sym_add_operator,
    STATE(12627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [640734] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15993), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15995), 1,
      sym_pow_operator,
    ACTIONS(15997), 1,
      sym_mult_operator,
    STATE(1794), 1,
      sym_add_operator,
    STATE(12628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10298), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10296), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [640774] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15995), 1,
      sym_pow_operator,
    STATE(1794), 1,
      sym_add_operator,
    STATE(12629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [640808] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15995), 1,
      sym_pow_operator,
    STATE(1794), 1,
      sym_add_operator,
    STATE(12630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [640842] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15993), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15995), 1,
      sym_pow_operator,
    ACTIONS(15997), 1,
      sym_mult_operator,
    ACTIONS(15999), 1,
      sym_concat_operator,
    STATE(1794), 1,
      sym_add_operator,
    STATE(12631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [640884] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15993), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15995), 1,
      sym_pow_operator,
    ACTIONS(15997), 1,
      sym_mult_operator,
    ACTIONS(15999), 1,
      sym_concat_operator,
    STATE(1794), 1,
      sym_add_operator,
    STATE(12632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [640926] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      sym_or_operator,
    ACTIONS(15993), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15995), 1,
      sym_pow_operator,
    ACTIONS(15997), 1,
      sym_mult_operator,
    ACTIONS(15999), 1,
      sym_concat_operator,
    ACTIONS(16001), 1,
      sym_rel_operator,
    ACTIONS(16003), 1,
      sym_and_operator,
    STATE(1794), 1,
      sym_add_operator,
    STATE(12633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [640972] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6611), 1,
      anon_sym_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6623), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16007), 1,
      sym__identifier,
    ACTIONS(16009), 1,
      anon_sym_LPAREN,
    ACTIONS(16011), 1,
      anon_sym_LBRACE,
    ACTIONS(16013), 1,
      sym__capitalized_identifier,
    STATE(6920), 1,
      sym__constructor_name,
    STATE(7013), 1,
      sym__value_name,
    STATE(7082), 1,
      sym_parenthesized_operator,
    STATE(12634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6934), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [641020] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15993), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15995), 1,
      sym_pow_operator,
    ACTIONS(15997), 1,
      sym_mult_operator,
    ACTIONS(15999), 1,
      sym_concat_operator,
    ACTIONS(16001), 1,
      sym_rel_operator,
    ACTIONS(16003), 1,
      sym_and_operator,
    ACTIONS(16005), 1,
      sym_or_operator,
    STATE(1794), 1,
      sym_add_operator,
    STATE(12635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [641066] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15993), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15995), 1,
      sym_pow_operator,
    ACTIONS(15997), 1,
      sym_mult_operator,
    ACTIONS(15999), 1,
      sym_concat_operator,
    ACTIONS(16001), 1,
      sym_rel_operator,
    ACTIONS(16003), 1,
      sym_and_operator,
    ACTIONS(16005), 1,
      sym_or_operator,
    ACTIONS(16015), 1,
      anon_sym_COMMA,
    ACTIONS(16017), 1,
      sym_assign_operator,
    STATE(1794), 1,
      sym_add_operator,
    STATE(12636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [641116] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16019), 1,
      sym__identifier,
    ACTIONS(16021), 1,
      anon_sym_LPAREN,
    ACTIONS(16023), 1,
      anon_sym_LBRACE,
    ACTIONS(16025), 1,
      sym__capitalized_identifier,
    STATE(6957), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7286), 1,
      sym__value_name,
    STATE(12637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7285), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [641164] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9110), 1,
      anon_sym_done,
    ACTIONS(15323), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15325), 1,
      sym_pow_operator,
    ACTIONS(15327), 1,
      sym_mult_operator,
    ACTIONS(15329), 1,
      sym_concat_operator,
    ACTIONS(15331), 1,
      sym_rel_operator,
    ACTIONS(15333), 1,
      sym_and_operator,
    ACTIONS(15335), 1,
      sym_or_operator,
    ACTIONS(15366), 1,
      anon_sym_COMMA,
    ACTIONS(15368), 1,
      sym_assign_operator,
    ACTIONS(16027), 1,
      anon_sym_SEMI,
    STATE(1969), 1,
      sym_add_operator,
    STATE(12638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [641216] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1841), 1,
      anon_sym_LBRACK,
    ACTIONS(1851), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1863), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16029), 1,
      sym__identifier,
    ACTIONS(16031), 1,
      anon_sym_LPAREN,
    ACTIONS(16033), 1,
      anon_sym_LBRACE,
    ACTIONS(16035), 1,
      sym__capitalized_identifier,
    STATE(6233), 1,
      sym__value_name,
    STATE(6406), 1,
      sym_parenthesized_operator,
    STATE(6546), 1,
      sym__constructor_name,
    STATE(12639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6188), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [641264] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15995), 1,
      sym_pow_operator,
    ACTIONS(15997), 1,
      sym_mult_operator,
    STATE(1794), 1,
      sym_add_operator,
    STATE(12640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [641300] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15993), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15995), 1,
      sym_pow_operator,
    ACTIONS(15997), 1,
      sym_mult_operator,
    ACTIONS(15999), 1,
      sym_concat_operator,
    ACTIONS(16001), 1,
      sym_rel_operator,
    ACTIONS(16003), 1,
      sym_and_operator,
    ACTIONS(16005), 1,
      sym_or_operator,
    ACTIONS(16015), 1,
      anon_sym_COMMA,
    ACTIONS(16017), 1,
      sym_assign_operator,
    STATE(1794), 1,
      sym_add_operator,
    STATE(12641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10308), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [641350] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7751), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7763), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16037), 1,
      sym__identifier,
    ACTIONS(16039), 1,
      anon_sym_LPAREN,
    ACTIONS(16041), 1,
      anon_sym_LBRACE,
    ACTIONS(16043), 1,
      sym__capitalized_identifier,
    STATE(8176), 1,
      sym__constructor_name,
    STATE(9042), 1,
      sym__value_name,
    STATE(9278), 1,
      sym_parenthesized_operator,
    STATE(12642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9270), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [641398] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8392), 1,
      anon_sym_LBRACK,
    ACTIONS(8400), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8404), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16045), 1,
      sym__identifier,
    ACTIONS(16047), 1,
      anon_sym_LPAREN,
    ACTIONS(16049), 1,
      anon_sym_LBRACE,
    ACTIONS(16051), 1,
      sym__capitalized_identifier,
    STATE(7541), 1,
      sym_parenthesized_operator,
    STATE(7577), 1,
      sym__value_name,
    STATE(7661), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7615), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [641446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11683), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11681), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [641476] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9110), 1,
      anon_sym_with,
    ACTIONS(15993), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15995), 1,
      sym_pow_operator,
    ACTIONS(15997), 1,
      sym_mult_operator,
    ACTIONS(15999), 1,
      sym_concat_operator,
    ACTIONS(16001), 1,
      sym_rel_operator,
    ACTIONS(16003), 1,
      sym_and_operator,
    ACTIONS(16005), 1,
      sym_or_operator,
    ACTIONS(16015), 1,
      anon_sym_COMMA,
    ACTIONS(16017), 1,
      sym_assign_operator,
    ACTIONS(16053), 1,
      anon_sym_SEMI,
    STATE(1794), 1,
      sym_add_operator,
    STATE(12645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [641528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11607), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11605), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [641558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16055), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12647), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(14239), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641588] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15969), 1,
      anon_sym_and,
    STATE(12647), 1,
      aux_sym_class_definition_repeat1,
    STATE(12648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14848), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641620] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16058), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [641670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11611), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11609), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [641700] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9112), 1,
      anon_sym_DASH_GT,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    ACTIONS(16060), 1,
      anon_sym_SEMI,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [641752] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16021), 1,
      anon_sym_LPAREN,
    ACTIONS(16023), 1,
      anon_sym_LBRACE,
    ACTIONS(16025), 1,
      sym__capitalized_identifier,
    ACTIONS(16062), 1,
      sym__identifier,
    STATE(6957), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7286), 1,
      sym__value_name,
    STATE(12652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7285), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [641800] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15897), 1,
      anon_sym_and,
    STATE(12653), 1,
      sym_attribute,
    STATE(12718), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14926), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641832] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(15909), 1,
      anon_sym_DASH_GT,
    ACTIONS(16064), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12654), 1,
      sym_attribute,
    STATE(12966), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16066), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641872] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16068), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16070), 1,
      sym_pow_operator,
    ACTIONS(16072), 1,
      sym_mult_operator,
    ACTIONS(16074), 1,
      sym_concat_operator,
    ACTIONS(16076), 1,
      sym_rel_operator,
    ACTIONS(16078), 1,
      sym_and_operator,
    ACTIONS(16080), 1,
      sym_or_operator,
    STATE(2328), 1,
      sym_add_operator,
    STATE(12655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [641918] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1173), 1,
      anon_sym_LBRACK,
    ACTIONS(1183), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1199), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16082), 1,
      sym__identifier,
    ACTIONS(16084), 1,
      anon_sym_LPAREN,
    ACTIONS(16086), 1,
      anon_sym_LBRACE,
    ACTIONS(16088), 1,
      sym__capitalized_identifier,
    STATE(5032), 1,
      sym__value_name,
    STATE(5050), 1,
      sym_parenthesized_operator,
    STATE(5063), 1,
      sym__constructor_name,
    STATE(12656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5007), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [641966] = 14,
    ACTIONS(413), 1,
      anon_sym_LBRACK,
    ACTIONS(423), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(435), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16090), 1,
      sym__identifier,
    ACTIONS(16092), 1,
      anon_sym_LPAREN,
    ACTIONS(16094), 1,
      anon_sym_LBRACE,
    ACTIONS(16096), 1,
      sym__capitalized_identifier,
    STATE(2978), 1,
      sym__constructor_name,
    STATE(3140), 1,
      sym__value_name,
    STATE(3200), 1,
      sym_parenthesized_operator,
    STATE(12657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3482), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [642014] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16068), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16070), 1,
      sym_pow_operator,
    ACTIONS(16072), 1,
      sym_mult_operator,
    STATE(2328), 1,
      sym_add_operator,
    STATE(12658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10298), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10296), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [642054] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16070), 1,
      sym_pow_operator,
    STATE(2328), 1,
      sym_add_operator,
    STATE(12659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [642088] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9898), 1,
      anon_sym_object,
    ACTIONS(9914), 1,
      anon_sym_let,
    ACTIONS(15965), 1,
      sym__identifier,
    ACTIONS(15967), 1,
      anon_sym_LBRACK,
    STATE(10444), 1,
      sym__simple_class_type,
    STATE(12660), 1,
      sym_attribute,
    STATE(17497), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9541), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [642134] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16070), 1,
      sym_pow_operator,
    STATE(2328), 1,
      sym_add_operator,
    STATE(12661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [642168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9150), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [642198] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9110), 1,
      anon_sym_with,
    ACTIONS(15993), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15995), 1,
      sym_pow_operator,
    ACTIONS(15997), 1,
      sym_mult_operator,
    ACTIONS(15999), 1,
      sym_concat_operator,
    ACTIONS(16001), 1,
      sym_rel_operator,
    ACTIONS(16003), 1,
      sym_and_operator,
    ACTIONS(16005), 1,
      sym_or_operator,
    ACTIONS(16015), 1,
      anon_sym_COMMA,
    ACTIONS(16017), 1,
      sym_assign_operator,
    ACTIONS(16098), 1,
      anon_sym_SEMI,
    STATE(1794), 1,
      sym_add_operator,
    STATE(12663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [642250] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11116), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642278] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(1794), 1,
      sym_add_operator,
    STATE(12665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [642310] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16100), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642338] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16068), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16070), 1,
      sym_pow_operator,
    ACTIONS(16072), 1,
      sym_mult_operator,
    ACTIONS(16074), 1,
      sym_concat_operator,
    STATE(2328), 1,
      sym_add_operator,
    STATE(12667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [642380] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16068), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16070), 1,
      sym_pow_operator,
    ACTIONS(16072), 1,
      sym_mult_operator,
    ACTIONS(16074), 1,
      sym_concat_operator,
    STATE(2328), 1,
      sym_add_operator,
    STATE(12668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [642422] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6571), 1,
      anon_sym_LBRACK,
    ACTIONS(6579), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6583), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16102), 1,
      sym__identifier,
    ACTIONS(16104), 1,
      anon_sym_LPAREN,
    ACTIONS(16106), 1,
      anon_sym_LBRACE,
    ACTIONS(16108), 1,
      sym__capitalized_identifier,
    STATE(6670), 1,
      sym__constructor_name,
    STATE(7088), 1,
      sym__value_name,
    STATE(7263), 1,
      sym_parenthesized_operator,
    STATE(12669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7022), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [642470] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      sym_or_operator,
    ACTIONS(16068), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16070), 1,
      sym_pow_operator,
    ACTIONS(16072), 1,
      sym_mult_operator,
    ACTIONS(16074), 1,
      sym_concat_operator,
    ACTIONS(16076), 1,
      sym_rel_operator,
    ACTIONS(16078), 1,
      sym_and_operator,
    STATE(2328), 1,
      sym_add_operator,
    STATE(12670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [642516] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9110), 1,
      anon_sym_end,
    ACTIONS(16110), 1,
      anon_sym_COMMA,
    ACTIONS(16112), 1,
      anon_sym_SEMI,
    ACTIONS(16114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16116), 1,
      sym_pow_operator,
    ACTIONS(16118), 1,
      sym_mult_operator,
    ACTIONS(16120), 1,
      sym_concat_operator,
    ACTIONS(16122), 1,
      sym_rel_operator,
    ACTIONS(16124), 1,
      sym_and_operator,
    ACTIONS(16126), 1,
      sym_or_operator,
    ACTIONS(16128), 1,
      sym_assign_operator,
    STATE(1850), 1,
      sym_add_operator,
    STATE(12671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [642568] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1911), 1,
      anon_sym_LBRACK,
    ACTIONS(1921), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1933), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16130), 1,
      sym__identifier,
    ACTIONS(16132), 1,
      anon_sym_LPAREN,
    ACTIONS(16134), 1,
      anon_sym_LBRACE,
    ACTIONS(16136), 1,
      sym__capitalized_identifier,
    STATE(6282), 1,
      sym__value_name,
    STATE(6472), 1,
      sym_parenthesized_operator,
    STATE(6628), 1,
      sym__constructor_name,
    STATE(12672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6232), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [642616] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9252), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [642646] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16138), 1,
      sym__identifier,
    ACTIONS(16140), 1,
      anon_sym_LPAREN,
    ACTIONS(16142), 1,
      anon_sym_LBRACE,
    ACTIONS(16144), 1,
      sym__capitalized_identifier,
    STATE(5167), 1,
      sym_parenthesized_operator,
    STATE(5267), 1,
      sym__constructor_name,
    STATE(5284), 1,
      sym__value_name,
    STATE(12674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5283), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [642694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11627), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11625), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [642724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11631), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11629), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [642754] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16146), 1,
      anon_sym_DQUOTE,
    STATE(12864), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16151), 2,
      sym__null,
      aux_sym_string_content_token2,
    STATE(12677), 2,
      sym_attribute,
      aux_sym_string_content_repeat1,
    ACTIONS(16154), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16148), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [642790] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11635), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11633), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [642848] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9110), 1,
      anon_sym_end,
    ACTIONS(16110), 1,
      anon_sym_COMMA,
    ACTIONS(16114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16116), 1,
      sym_pow_operator,
    ACTIONS(16118), 1,
      sym_mult_operator,
    ACTIONS(16120), 1,
      sym_concat_operator,
    ACTIONS(16122), 1,
      sym_rel_operator,
    ACTIONS(16124), 1,
      sym_and_operator,
    ACTIONS(16126), 1,
      sym_or_operator,
    ACTIONS(16128), 1,
      sym_assign_operator,
    ACTIONS(16157), 1,
      anon_sym_SEMI,
    STATE(1850), 1,
      sym_add_operator,
    STATE(12680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [642900] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15993), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15995), 1,
      sym_pow_operator,
    ACTIONS(15997), 1,
      sym_mult_operator,
    ACTIONS(15999), 1,
      sym_concat_operator,
    ACTIONS(16001), 1,
      sym_rel_operator,
    ACTIONS(16003), 1,
      sym_and_operator,
    ACTIONS(16005), 1,
      sym_or_operator,
    ACTIONS(16015), 1,
      anon_sym_COMMA,
    ACTIONS(16017), 1,
      sym_assign_operator,
    STATE(1794), 1,
      sym_add_operator,
    STATE(12681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [642950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11639), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11637), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [642980] = 14,
    ACTIONS(919), 1,
      anon_sym_LBRACK,
    ACTIONS(929), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(949), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16159), 1,
      sym__identifier,
    ACTIONS(16161), 1,
      anon_sym_LPAREN,
    ACTIONS(16163), 1,
      anon_sym_LBRACE,
    ACTIONS(16165), 1,
      sym__capitalized_identifier,
    STATE(4857), 1,
      sym__constructor_name,
    STATE(4858), 1,
      sym__value_name,
    STATE(4865), 1,
      sym_parenthesized_operator,
    STATE(12683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4827), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [643028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11643), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11641), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [643058] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(1850), 1,
      sym_add_operator,
    STATE(12685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [643090] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16068), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16070), 1,
      sym_pow_operator,
    ACTIONS(16072), 1,
      sym_mult_operator,
    ACTIONS(16074), 1,
      sym_concat_operator,
    ACTIONS(16076), 1,
      sym_rel_operator,
    ACTIONS(16078), 1,
      sym_and_operator,
    ACTIONS(16080), 1,
      sym_or_operator,
    STATE(2328), 1,
      sym_add_operator,
    STATE(12686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [643136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7829), 2,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16167), 13,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [643166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11647), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11645), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [643196] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15018), 1,
      anon_sym_LPAREN,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(15026), 1,
      anon_sym__,
    ACTIONS(15052), 1,
      sym__identifier,
    ACTIONS(16169), 1,
      anon_sym_nonrec,
    STATE(12481), 1,
      sym_type_binding,
    STATE(12689), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(14387), 1,
      sym__type_params,
    STATE(16779), 1,
      sym_extended_module_path,
    STATE(17222), 1,
      sym__type_param,
    STATE(18925), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [643250] = 14,
    ACTIONS(863), 1,
      anon_sym_LBRACK,
    ACTIONS(873), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(885), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16171), 1,
      sym__identifier,
    ACTIONS(16173), 1,
      anon_sym_LPAREN,
    ACTIONS(16175), 1,
      anon_sym_LBRACE,
    ACTIONS(16177), 1,
      sym__capitalized_identifier,
    STATE(3777), 1,
      sym__value_name,
    STATE(3842), 1,
      sym__constructor_name,
    STATE(3903), 1,
      sym_parenthesized_operator,
    STATE(12690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4063), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [643298] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6993), 1,
      anon_sym_LBRACK,
    ACTIONS(7001), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7005), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16179), 1,
      sym__identifier,
    ACTIONS(16181), 1,
      anon_sym_LPAREN,
    ACTIONS(16183), 1,
      anon_sym_LBRACE,
    ACTIONS(16185), 1,
      sym__capitalized_identifier,
    STATE(7873), 1,
      sym_parenthesized_operator,
    STATE(7906), 1,
      sym__constructor_name,
    STATE(7918), 1,
      sym__value_name,
    STATE(12691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8018), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [643346] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13285), 1,
      sym_rel_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16187), 2,
      anon_sym_SEMI,
      anon_sym_GT_RBRACE,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [643396] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16068), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16070), 1,
      sym_pow_operator,
    ACTIONS(16072), 1,
      sym_mult_operator,
    ACTIONS(16074), 1,
      sym_concat_operator,
    ACTIONS(16076), 1,
      sym_rel_operator,
    ACTIONS(16078), 1,
      sym_and_operator,
    ACTIONS(16080), 1,
      sym_or_operator,
    ACTIONS(16189), 1,
      anon_sym_COMMA,
    ACTIONS(16191), 1,
      sym_assign_operator,
    STATE(2328), 1,
      sym_add_operator,
    STATE(12693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [643446] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16070), 1,
      sym_pow_operator,
    ACTIONS(16072), 1,
      sym_mult_operator,
    STATE(2328), 1,
      sym_add_operator,
    STATE(12694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [643482] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16068), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16070), 1,
      sym_pow_operator,
    ACTIONS(16072), 1,
      sym_mult_operator,
    ACTIONS(16074), 1,
      sym_concat_operator,
    ACTIONS(16076), 1,
      sym_rel_operator,
    ACTIONS(16078), 1,
      sym_and_operator,
    ACTIONS(16080), 1,
      sym_or_operator,
    ACTIONS(16189), 1,
      anon_sym_COMMA,
    ACTIONS(16191), 1,
      sym_assign_operator,
    STATE(2328), 1,
      sym_add_operator,
    STATE(12695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10308), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [643532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11553), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11551), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [643562] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11557), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11555), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [643592] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(16193), 1,
      sym__identifier,
    ACTIONS(16195), 1,
      anon_sym_POUND,
    STATE(12698), 1,
      sym_attribute,
    STATE(12872), 1,
      sym_type_constructor_path,
    STATE(16649), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10131), 5,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10133), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [643632] = 14,
    ACTIONS(47), 1,
      anon_sym_LBRACK,
    ACTIONS(71), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(91), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16197), 1,
      sym__identifier,
    ACTIONS(16199), 1,
      anon_sym_LPAREN,
    ACTIONS(16201), 1,
      anon_sym_LBRACE,
    ACTIONS(16203), 1,
      sym__capitalized_identifier,
    STATE(4081), 1,
      sym_parenthesized_operator,
    STATE(4208), 1,
      sym__value_name,
    STATE(4209), 1,
      sym__constructor_name,
    STATE(12699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4205), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [643680] = 14,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(327), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16205), 1,
      sym__identifier,
    ACTIONS(16207), 1,
      anon_sym_LPAREN,
    ACTIONS(16209), 1,
      anon_sym_LBRACE,
    ACTIONS(16211), 1,
      sym__capitalized_identifier,
    STATE(2785), 1,
      sym__value_name,
    STATE(2843), 1,
      sym_parenthesized_operator,
    STATE(2919), 1,
      sym__constructor_name,
    STATE(12700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(2759), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [643728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11561), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11559), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [643758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11563), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [643788] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8438), 1,
      anon_sym_LBRACK,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8450), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16213), 1,
      sym__identifier,
    ACTIONS(16215), 1,
      anon_sym_LPAREN,
    ACTIONS(16217), 1,
      anon_sym_LBRACE,
    ACTIONS(16219), 1,
      sym__capitalized_identifier,
    STATE(9725), 1,
      sym__value_name,
    STATE(9770), 1,
      sym_parenthesized_operator,
    STATE(9814), 1,
      sym__constructor_name,
    STATE(12703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9690), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [643836] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15969), 1,
      anon_sym_and,
    STATE(12618), 1,
      aux_sym_class_definition_repeat1,
    STATE(12704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15040), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [643868] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9110), 1,
      anon_sym_do,
    ACTIONS(15921), 1,
      anon_sym_COMMA,
    ACTIONS(15923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15925), 1,
      sym_pow_operator,
    ACTIONS(15927), 1,
      sym_mult_operator,
    ACTIONS(15929), 1,
      sym_concat_operator,
    ACTIONS(15931), 1,
      sym_rel_operator,
    ACTIONS(15933), 1,
      sym_and_operator,
    ACTIONS(15935), 1,
      sym_or_operator,
    ACTIONS(15937), 1,
      sym_assign_operator,
    ACTIONS(16221), 1,
      anon_sym_SEMI,
    STATE(2373), 1,
      sym_add_operator,
    STATE(12705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [643920] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16110), 1,
      anon_sym_COMMA,
    ACTIONS(16114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16116), 1,
      sym_pow_operator,
    ACTIONS(16118), 1,
      sym_mult_operator,
    ACTIONS(16120), 1,
      sym_concat_operator,
    ACTIONS(16122), 1,
      sym_rel_operator,
    ACTIONS(16124), 1,
      sym_and_operator,
    ACTIONS(16126), 1,
      sym_or_operator,
    ACTIONS(16128), 1,
      sym_assign_operator,
    STATE(1850), 1,
      sym_add_operator,
    STATE(12706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [643970] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2373), 1,
      sym_add_operator,
    STATE(12707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [644002] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2473), 1,
      anon_sym_LBRACK,
    ACTIONS(2483), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2495), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16223), 1,
      sym__identifier,
    ACTIONS(16225), 1,
      anon_sym_LPAREN,
    ACTIONS(16227), 1,
      anon_sym_LBRACE,
    ACTIONS(16229), 1,
      sym__capitalized_identifier,
    STATE(6155), 1,
      sym__constructor_name,
    STATE(6159), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__value_name,
    STATE(12708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6596), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [644050] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9110), 1,
      anon_sym_then,
    ACTIONS(16068), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16070), 1,
      sym_pow_operator,
    ACTIONS(16072), 1,
      sym_mult_operator,
    ACTIONS(16074), 1,
      sym_concat_operator,
    ACTIONS(16076), 1,
      sym_rel_operator,
    ACTIONS(16078), 1,
      sym_and_operator,
    ACTIONS(16080), 1,
      sym_or_operator,
    ACTIONS(16189), 1,
      anon_sym_COMMA,
    ACTIONS(16191), 1,
      sym_assign_operator,
    ACTIONS(16231), 1,
      anon_sym_SEMI,
    STATE(2328), 1,
      sym_add_operator,
    STATE(12709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [644102] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15925), 1,
      sym_pow_operator,
    ACTIONS(15927), 1,
      sym_mult_operator,
    ACTIONS(15929), 1,
      sym_concat_operator,
    ACTIONS(15931), 1,
      sym_rel_operator,
    ACTIONS(15933), 1,
      sym_and_operator,
    ACTIONS(15935), 1,
      sym_or_operator,
    STATE(2373), 1,
      sym_add_operator,
    STATE(12710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [644148] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2328), 1,
      sym_add_operator,
    STATE(12711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10355), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10353), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [644180] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15018), 1,
      anon_sym_LPAREN,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(15026), 1,
      anon_sym__,
    ACTIONS(15034), 1,
      sym__identifier,
    ACTIONS(16233), 1,
      anon_sym_nonrec,
    STATE(12101), 1,
      sym_type_binding,
    STATE(12712), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(14881), 1,
      sym__type_params,
    STATE(16779), 1,
      sym_extended_module_path,
    STATE(17222), 1,
      sym__type_param,
    STATE(20217), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [644234] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16235), 1,
      anon_sym_and,
    STATE(12713), 1,
      sym_attribute,
    STATE(12795), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15107), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644266] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16235), 1,
      anon_sym_and,
    STATE(12714), 1,
      sym_attribute,
    STATE(12796), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15085), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644298] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1121), 1,
      anon_sym_LBRACK,
    ACTIONS(1131), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1143), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16237), 1,
      sym__identifier,
    ACTIONS(16239), 1,
      anon_sym_LPAREN,
    ACTIONS(16241), 1,
      anon_sym_LBRACE,
    ACTIONS(16243), 1,
      sym__capitalized_identifier,
    STATE(5343), 1,
      sym__value_name,
    STATE(5366), 1,
      sym__constructor_name,
    STATE(5400), 1,
      sym_parenthesized_operator,
    STATE(12715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5318), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [644346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11651), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11649), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [644376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16245), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12717), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(14239), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644406] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15897), 1,
      anon_sym_and,
    STATE(12717), 1,
      aux_sym_class_definition_repeat1,
    STATE(12718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14848), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644438] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16248), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [644488] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1981), 1,
      anon_sym_LBRACK,
    ACTIONS(1991), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2003), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16250), 1,
      sym__identifier,
    ACTIONS(16252), 1,
      anon_sym_LPAREN,
    ACTIONS(16254), 1,
      anon_sym_LBRACE,
    ACTIONS(16256), 1,
      sym__capitalized_identifier,
    STATE(6250), 1,
      sym__constructor_name,
    STATE(6348), 1,
      sym__value_name,
    STATE(6497), 1,
      sym_parenthesized_operator,
    STATE(12720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6281), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [644536] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16068), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16070), 1,
      sym_pow_operator,
    ACTIONS(16072), 1,
      sym_mult_operator,
    ACTIONS(16074), 1,
      sym_concat_operator,
    ACTIONS(16076), 1,
      sym_rel_operator,
    ACTIONS(16078), 1,
      sym_and_operator,
    ACTIONS(16080), 1,
      sym_or_operator,
    ACTIONS(16189), 1,
      anon_sym_COMMA,
    ACTIONS(16191), 1,
      sym_assign_operator,
    STATE(2328), 1,
      sym_add_operator,
    STATE(12721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [644586] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8340), 1,
      anon_sym_LBRACK,
    ACTIONS(8348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8352), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16258), 1,
      sym__identifier,
    ACTIONS(16260), 1,
      anon_sym_LPAREN,
    ACTIONS(16262), 1,
      anon_sym_LBRACE,
    ACTIONS(16264), 1,
      sym__capitalized_identifier,
    STATE(7292), 1,
      sym_parenthesized_operator,
    STATE(7360), 1,
      sym__value_name,
    STATE(7389), 1,
      sym__constructor_name,
    STATE(12722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7354), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [644634] = 14,
    ACTIONS(811), 1,
      anon_sym_LBRACK,
    ACTIONS(821), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(833), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16266), 1,
      sym__identifier,
    ACTIONS(16268), 1,
      anon_sym_LPAREN,
    ACTIONS(16270), 1,
      anon_sym_LBRACE,
    ACTIONS(16272), 1,
      sym__capitalized_identifier,
    STATE(3769), 1,
      sym__value_name,
    STATE(3830), 1,
      sym__constructor_name,
    STATE(4006), 1,
      sym_parenthesized_operator,
    STATE(12723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3786), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [644682] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16274), 1,
      anon_sym_and,
    STATE(12724), 1,
      sym_attribute,
    STATE(12727), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14926), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644714] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16274), 1,
      anon_sym_and,
    STATE(12725), 1,
      sym_attribute,
    STATE(12728), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14926), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644746] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9898), 1,
      anon_sym_object,
    ACTIONS(9914), 1,
      anon_sym_let,
    ACTIONS(15965), 1,
      sym__identifier,
    ACTIONS(15967), 1,
      anon_sym_LBRACK,
    STATE(10318), 1,
      sym__simple_class_type,
    STATE(12726), 1,
      sym_attribute,
    STATE(17497), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9541), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [644792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16276), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12727), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(14239), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644822] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16274), 1,
      anon_sym_and,
    STATE(12727), 1,
      aux_sym_class_definition_repeat1,
    STATE(12728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14848), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644854] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15145), 1,
      sym_pow_operator,
    ACTIONS(15147), 1,
      sym_mult_operator,
    ACTIONS(15149), 1,
      sym_concat_operator,
    ACTIONS(15151), 1,
      sym_rel_operator,
    ACTIONS(15153), 1,
      sym_and_operator,
    ACTIONS(15155), 1,
      sym_or_operator,
    ACTIONS(15157), 1,
      sym_assign_operator,
    STATE(2271), 1,
      sym_add_operator,
    STATE(12729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16279), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [644904] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15925), 1,
      sym_pow_operator,
    ACTIONS(15927), 1,
      sym_mult_operator,
    STATE(2373), 1,
      sym_add_operator,
    STATE(12730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10298), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10296), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [644944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11655), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11653), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [644974] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1407), 1,
      anon_sym_LBRACK,
    ACTIONS(1417), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1429), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16281), 1,
      sym__identifier,
    ACTIONS(16283), 1,
      anon_sym_LPAREN,
    ACTIONS(16285), 1,
      anon_sym_LBRACE,
    ACTIONS(16287), 1,
      sym__capitalized_identifier,
    STATE(5855), 1,
      sym__constructor_name,
    STATE(5895), 1,
      sym_parenthesized_operator,
    STATE(6091), 1,
      sym__value_name,
    STATE(12732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6132), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [645022] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15925), 1,
      sym_pow_operator,
    STATE(2373), 1,
      sym_add_operator,
    STATE(12733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [645056] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15887), 1,
      anon_sym_and,
    STATE(12734), 1,
      sym_attribute,
    STATE(12744), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15028), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645088] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15887), 1,
      anon_sym_and,
    STATE(12735), 1,
      sym_attribute,
    STATE(12752), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14932), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645120] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(15909), 1,
      anon_sym_DASH_GT,
    ACTIONS(16289), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12736), 1,
      sym_attribute,
    STATE(13047), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16291), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645160] = 14,
    ACTIONS(361), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(383), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16293), 1,
      sym__identifier,
    ACTIONS(16295), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_LBRACE,
    ACTIONS(16299), 1,
      sym__capitalized_identifier,
    STATE(2841), 1,
      sym__value_name,
    STATE(2889), 1,
      sym_parenthesized_operator,
    STATE(2937), 1,
      sym__constructor_name,
    STATE(12737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(2814), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [645208] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16301), 1,
      anon_sym_DQUOTE,
    STATE(12677), 1,
      aux_sym_string_content_repeat1,
    STATE(12738), 1,
      sym_attribute,
    STATE(12864), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15163), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15165), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15161), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [645246] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2739), 1,
      anon_sym_LBRACK,
    ACTIONS(2749), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2761), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16303), 1,
      sym__identifier,
    ACTIONS(16305), 1,
      anon_sym_LPAREN,
    ACTIONS(16307), 1,
      anon_sym_LBRACE,
    ACTIONS(16309), 1,
      sym__capitalized_identifier,
    STATE(6690), 1,
      sym__value_name,
    STATE(6820), 1,
      sym_parenthesized_operator,
    STATE(6865), 1,
      sym__constructor_name,
    STATE(12739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6734), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [645294] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15925), 1,
      sym_pow_operator,
    STATE(2373), 1,
      sym_add_operator,
    STATE(12740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [645328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11577), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [645358] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15925), 1,
      sym_pow_operator,
    ACTIONS(15927), 1,
      sym_mult_operator,
    ACTIONS(15929), 1,
      sym_concat_operator,
    STATE(2373), 1,
      sym_add_operator,
    STATE(12742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [645400] = 17,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15018), 1,
      anon_sym_LPAREN,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(15026), 1,
      anon_sym__,
    ACTIONS(15046), 1,
      sym__identifier,
    ACTIONS(16311), 1,
      anon_sym_nonrec,
    STATE(12735), 1,
      sym_type_binding,
    STATE(12743), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(14589), 1,
      sym__type_params,
    STATE(16779), 1,
      sym_extended_module_path,
    STATE(17222), 1,
      sym__type_param,
    STATE(20234), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [645454] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15887), 1,
      anon_sym_and,
    STATE(12744), 1,
      sym_attribute,
    STATE(12753), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14932), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645486] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1343), 1,
      anon_sym_LBRACK,
    ACTIONS(1353), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1365), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16313), 1,
      sym__identifier,
    ACTIONS(16315), 1,
      anon_sym_LPAREN,
    ACTIONS(16317), 1,
      anon_sym_LBRACE,
    ACTIONS(16319), 1,
      sym__capitalized_identifier,
    STATE(5771), 1,
      sym__constructor_name,
    STATE(5791), 1,
      sym__value_name,
    STATE(5819), 1,
      sym_parenthesized_operator,
    STATE(12745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5818), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [645534] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15925), 1,
      sym_pow_operator,
    ACTIONS(15927), 1,
      sym_mult_operator,
    ACTIONS(15929), 1,
      sym_concat_operator,
    STATE(2373), 1,
      sym_add_operator,
    STATE(12746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [645576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11583), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11581), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [645606] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2673), 1,
      anon_sym_LBRACK,
    ACTIONS(2683), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2695), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16321), 1,
      sym__identifier,
    ACTIONS(16323), 1,
      anon_sym_LPAREN,
    ACTIONS(16325), 1,
      anon_sym_LBRACE,
    ACTIONS(16327), 1,
      sym__capitalized_identifier,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(6947), 1,
      sym__constructor_name,
    STATE(7156), 1,
      sym__value_name,
    STATE(12748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7154), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [645654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11587), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11585), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [645684] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13279), 1,
      sym_pow_operator,
    ACTIONS(13281), 1,
      sym_mult_operator,
    ACTIONS(13283), 1,
      sym_concat_operator,
    ACTIONS(13287), 1,
      sym_and_operator,
    ACTIONS(13289), 1,
      sym_or_operator,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    ACTIONS(13293), 1,
      sym_assign_operator,
    ACTIONS(13999), 1,
      sym_rel_operator,
    STATE(2241), 1,
      sym_add_operator,
    STATE(12750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16279), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [645734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11591), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11589), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [645764] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15887), 1,
      anon_sym_and,
    STATE(12752), 1,
      sym_attribute,
    STATE(12753), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14942), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12753), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(14006), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645826] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(16193), 1,
      sym__identifier,
    ACTIONS(16332), 1,
      anon_sym_POUND,
    STATE(12754), 1,
      sym_attribute,
    STATE(12857), 1,
      sym_type_constructor_path,
    STATE(16649), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11102), 5,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11104), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [645866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8296), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [645896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8300), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [645926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8304), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [645956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8308), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [645986] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9898), 1,
      anon_sym_object,
    ACTIONS(9914), 1,
      anon_sym_let,
    ACTIONS(15965), 1,
      sym__identifier,
    ACTIONS(15967), 1,
      anon_sym_LBRACK,
    STATE(9606), 1,
      sym__simple_class_type,
    STATE(12759), 1,
      sym_attribute,
    STATE(17497), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9541), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [646032] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1753), 1,
      anon_sym_LBRACK,
    ACTIONS(1763), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1775), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16334), 1,
      sym__identifier,
    ACTIONS(16336), 1,
      anon_sym_LPAREN,
    ACTIONS(16338), 1,
      anon_sym_LBRACE,
    ACTIONS(16340), 1,
      sym__capitalized_identifier,
    STATE(6161), 1,
      sym__value_name,
    STATE(6519), 1,
      sym__constructor_name,
    STATE(6545), 1,
      sym_parenthesized_operator,
    STATE(12760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6543), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [646080] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15887), 1,
      anon_sym_and,
    STATE(12753), 1,
      aux_sym_type_definition_repeat1,
    STATE(12761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14969), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646112] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7996), 1,
      anon_sym_LBRACK,
    ACTIONS(8002), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8006), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16023), 1,
      anon_sym_LBRACE,
    ACTIONS(16025), 1,
      sym__capitalized_identifier,
    ACTIONS(16062), 1,
      sym__identifier,
    ACTIONS(16342), 1,
      anon_sym_LPAREN,
    STATE(6957), 1,
      sym__constructor_name,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(7286), 1,
      sym__value_name,
    STATE(12762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7285), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [646160] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2051), 1,
      anon_sym_LBRACK,
    ACTIONS(2061), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2073), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16344), 1,
      sym__identifier,
    ACTIONS(16346), 1,
      anon_sym_LPAREN,
    ACTIONS(16348), 1,
      anon_sym_LBRACE,
    ACTIONS(16350), 1,
      sym__capitalized_identifier,
    STATE(6390), 1,
      sym__value_name,
    STATE(6512), 1,
      sym__constructor_name,
    STATE(6528), 1,
      sym_parenthesized_operator,
    STATE(12763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6347), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [646208] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16116), 1,
      sym_pow_operator,
    ACTIONS(16118), 1,
      sym_mult_operator,
    ACTIONS(16120), 1,
      sym_concat_operator,
    ACTIONS(16122), 1,
      sym_rel_operator,
    ACTIONS(16124), 1,
      sym_and_operator,
    ACTIONS(16126), 1,
      sym_or_operator,
    STATE(1850), 1,
      sym_add_operator,
    STATE(12764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10278), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [646254] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16116), 1,
      sym_pow_operator,
    ACTIONS(16118), 1,
      sym_mult_operator,
    STATE(1850), 1,
      sym_add_operator,
    STATE(12765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10298), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10296), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [646294] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16116), 1,
      sym_pow_operator,
    STATE(1850), 1,
      sym_add_operator,
    STATE(12766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [646328] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16116), 1,
      sym_pow_operator,
    STATE(1850), 1,
      sym_add_operator,
    STATE(12767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [646362] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16116), 1,
      sym_pow_operator,
    ACTIONS(16118), 1,
      sym_mult_operator,
    ACTIONS(16120), 1,
      sym_concat_operator,
    STATE(1850), 1,
      sym_add_operator,
    STATE(12768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [646404] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(1281), 1,
      anon_sym_LBRACK,
    ACTIONS(1291), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1311), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16352), 1,
      sym__identifier,
    ACTIONS(16354), 1,
      anon_sym_LPAREN,
    ACTIONS(16356), 1,
      anon_sym_LBRACE,
    ACTIONS(16358), 1,
      sym__capitalized_identifier,
    STATE(5599), 1,
      sym_parenthesized_operator,
    STATE(5649), 1,
      sym__constructor_name,
    STATE(5697), 1,
      sym__value_name,
    STATE(12769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5640), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [646452] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16116), 1,
      sym_pow_operator,
    ACTIONS(16118), 1,
      sym_mult_operator,
    ACTIONS(16120), 1,
      sym_concat_operator,
    STATE(1850), 1,
      sym_add_operator,
    STATE(12770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [646494] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      sym_or_operator,
    ACTIONS(16114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16116), 1,
      sym_pow_operator,
    ACTIONS(16118), 1,
      sym_mult_operator,
    ACTIONS(16120), 1,
      sym_concat_operator,
    ACTIONS(16122), 1,
      sym_rel_operator,
    ACTIONS(16124), 1,
      sym_and_operator,
    STATE(1850), 1,
      sym_add_operator,
    STATE(12771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [646540] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16116), 1,
      sym_pow_operator,
    ACTIONS(16118), 1,
      sym_mult_operator,
    ACTIONS(16120), 1,
      sym_concat_operator,
    ACTIONS(16122), 1,
      sym_rel_operator,
    ACTIONS(16124), 1,
      sym_and_operator,
    ACTIONS(16126), 1,
      sym_or_operator,
    STATE(1850), 1,
      sym_add_operator,
    STATE(12772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [646586] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16110), 1,
      anon_sym_COMMA,
    ACTIONS(16114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16116), 1,
      sym_pow_operator,
    ACTIONS(16118), 1,
      sym_mult_operator,
    ACTIONS(16120), 1,
      sym_concat_operator,
    ACTIONS(16122), 1,
      sym_rel_operator,
    ACTIONS(16124), 1,
      sym_and_operator,
    ACTIONS(16126), 1,
      sym_or_operator,
    ACTIONS(16128), 1,
      sym_assign_operator,
    STATE(1850), 1,
      sym_add_operator,
    STATE(12773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [646636] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16116), 1,
      sym_pow_operator,
    ACTIONS(16118), 1,
      sym_mult_operator,
    STATE(1850), 1,
      sym_add_operator,
    STATE(12774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [646672] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16110), 1,
      anon_sym_COMMA,
    ACTIONS(16114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16116), 1,
      sym_pow_operator,
    ACTIONS(16118), 1,
      sym_mult_operator,
    ACTIONS(16120), 1,
      sym_concat_operator,
    ACTIONS(16122), 1,
      sym_rel_operator,
    ACTIONS(16124), 1,
      sym_and_operator,
    ACTIONS(16126), 1,
      sym_or_operator,
    ACTIONS(16128), 1,
      sym_assign_operator,
    STATE(1850), 1,
      sym_add_operator,
    STATE(12775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10308), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [646722] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2791), 1,
      anon_sym_LBRACK,
    ACTIONS(2801), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2813), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16360), 1,
      sym__identifier,
    ACTIONS(16362), 1,
      anon_sym_LPAREN,
    ACTIONS(16364), 1,
      anon_sym_LBRACE,
    ACTIONS(16366), 1,
      sym__capitalized_identifier,
    STATE(6751), 1,
      sym_parenthesized_operator,
    STATE(6936), 1,
      sym__value_name,
    STATE(7014), 1,
      sym__constructor_name,
    STATE(12776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6921), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [646770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11659), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11657), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [646800] = 14,
    ACTIONS(521), 1,
      anon_sym_LBRACK,
    ACTIONS(539), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(551), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16368), 1,
      sym__identifier,
    ACTIONS(16370), 1,
      anon_sym_LPAREN,
    ACTIONS(16372), 1,
      anon_sym_LBRACE,
    ACTIONS(16374), 1,
      sym__capitalized_identifier,
    STATE(4166), 1,
      sym__value_name,
    STATE(4167), 1,
      sym__constructor_name,
    STATE(4223), 1,
      sym_parenthesized_operator,
    STATE(12778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4165), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [646848] = 14,
    ACTIONS(465), 1,
      anon_sym_LBRACK,
    ACTIONS(475), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(487), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16376), 1,
      sym__identifier,
    ACTIONS(16378), 1,
      anon_sym_LPAREN,
    ACTIONS(16380), 1,
      anon_sym_LBRACE,
    ACTIONS(16382), 1,
      sym__capitalized_identifier,
    STATE(3079), 1,
      sym__value_name,
    STATE(3108), 1,
      sym__constructor_name,
    STATE(3336), 1,
      sym_parenthesized_operator,
    STATE(12779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3428), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [646896] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9898), 1,
      anon_sym_object,
    ACTIONS(9914), 1,
      anon_sym_let,
    ACTIONS(15965), 1,
      sym__identifier,
    ACTIONS(15967), 1,
      anon_sym_LBRACK,
    STATE(10398), 1,
      sym__simple_class_type,
    STATE(12780), 1,
      sym_attribute,
    STATE(17497), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9541), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [646942] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16274), 1,
      anon_sym_and,
    STATE(12724), 1,
      aux_sym_class_definition_repeat1,
    STATE(12781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15040), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646974] = 14,
    ACTIONS(1067), 1,
      anon_sym_LBRACK,
    ACTIONS(1077), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1089), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16384), 1,
      sym__identifier,
    ACTIONS(16386), 1,
      anon_sym_LPAREN,
    ACTIONS(16388), 1,
      anon_sym_LBRACE,
    ACTIONS(16390), 1,
      sym__capitalized_identifier,
    STATE(5153), 1,
      sym__value_name,
    STATE(5171), 1,
      sym_parenthesized_operator,
    STATE(5216), 1,
      sym__constructor_name,
    STATE(12782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5256), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [647022] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9110), 1,
      anon_sym_then,
    ACTIONS(16068), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16070), 1,
      sym_pow_operator,
    ACTIONS(16072), 1,
      sym_mult_operator,
    ACTIONS(16074), 1,
      sym_concat_operator,
    ACTIONS(16076), 1,
      sym_rel_operator,
    ACTIONS(16078), 1,
      sym_and_operator,
    ACTIONS(16080), 1,
      sym_or_operator,
    ACTIONS(16189), 1,
      anon_sym_COMMA,
    ACTIONS(16191), 1,
      sym_assign_operator,
    ACTIONS(16392), 1,
      anon_sym_SEMI,
    STATE(2328), 1,
      sym_add_operator,
    STATE(12783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [647074] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(9892), 1,
      anon_sym_let,
    ACTIONS(9898), 1,
      anon_sym_object,
    ACTIONS(16394), 1,
      sym__identifier,
    ACTIONS(16396), 1,
      anon_sym_LBRACK,
    STATE(9606), 1,
      sym__simple_class_type,
    STATE(12784), 1,
      sym_attribute,
    STATE(17150), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9541), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [647120] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      sym_or_operator,
    ACTIONS(15923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15925), 1,
      sym_pow_operator,
    ACTIONS(15927), 1,
      sym_mult_operator,
    ACTIONS(15929), 1,
      sym_concat_operator,
    ACTIONS(15931), 1,
      sym_rel_operator,
    ACTIONS(15933), 1,
      sym_and_operator,
    STATE(2373), 1,
      sym_add_operator,
    STATE(12785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [647166] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15925), 1,
      sym_pow_operator,
    ACTIONS(15927), 1,
      sym_mult_operator,
    ACTIONS(15929), 1,
      sym_concat_operator,
    ACTIONS(15931), 1,
      sym_rel_operator,
    ACTIONS(15933), 1,
      sym_and_operator,
    ACTIONS(15935), 1,
      sym_or_operator,
    STATE(2373), 1,
      sym_add_operator,
    STATE(12786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10300), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [647212] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15921), 1,
      anon_sym_COMMA,
    ACTIONS(15923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15925), 1,
      sym_pow_operator,
    ACTIONS(15927), 1,
      sym_mult_operator,
    ACTIONS(15929), 1,
      sym_concat_operator,
    ACTIONS(15931), 1,
      sym_rel_operator,
    ACTIONS(15933), 1,
      sym_and_operator,
    ACTIONS(15935), 1,
      sym_or_operator,
    ACTIONS(15937), 1,
      sym_assign_operator,
    STATE(2373), 1,
      sym_add_operator,
    STATE(12787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [647262] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15925), 1,
      sym_pow_operator,
    ACTIONS(15927), 1,
      sym_mult_operator,
    STATE(2373), 1,
      sym_add_operator,
    STATE(12788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [647298] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15897), 1,
      anon_sym_and,
    STATE(12603), 1,
      aux_sym_class_definition_repeat1,
    STATE(12789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15040), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647330] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(15909), 1,
      anon_sym_DASH_GT,
    ACTIONS(16398), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12790), 1,
      sym_attribute,
    STATE(13006), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16400), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647370] = 14,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(609), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16402), 1,
      sym__identifier,
    ACTIONS(16404), 1,
      anon_sym_LPAREN,
    ACTIONS(16406), 1,
      anon_sym_LBRACE,
    ACTIONS(16408), 1,
      sym__capitalized_identifier,
    STATE(3267), 1,
      sym__value_name,
    STATE(3324), 1,
      sym_parenthesized_operator,
    STATE(3386), 1,
      sym__constructor_name,
    STATE(12791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3211), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [647418] = 14,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(781), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16410), 1,
      sym__identifier,
    ACTIONS(16412), 1,
      anon_sym_LPAREN,
    ACTIONS(16414), 1,
      anon_sym_LBRACE,
    ACTIONS(16416), 1,
      sym__capitalized_identifier,
    STATE(3499), 1,
      sym__constructor_name,
    STATE(3621), 1,
      sym_parenthesized_operator,
    STATE(3647), 1,
      sym__value_name,
    STATE(12792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3710), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [647466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11707), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11705), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [647496] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2607), 1,
      anon_sym_LBRACK,
    ACTIONS(2617), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2629), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16418), 1,
      sym__identifier,
    ACTIONS(16420), 1,
      anon_sym_LPAREN,
    ACTIONS(16422), 1,
      anon_sym_LBRACE,
    ACTIONS(16424), 1,
      sym__capitalized_identifier,
    STATE(6823), 1,
      sym__value_name,
    STATE(6982), 1,
      sym_parenthesized_operator,
    STATE(7206), 1,
      sym__constructor_name,
    STATE(12794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6813), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [647544] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16235), 1,
      anon_sym_and,
    STATE(12795), 1,
      sym_attribute,
    STATE(12797), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15085), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647576] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16235), 1,
      anon_sym_and,
    STATE(12796), 1,
      sym_attribute,
    STATE(12797), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15091), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16426), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12797), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(14085), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647638] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16235), 1,
      anon_sym_and,
    STATE(12798), 1,
      sym_attribute,
    STATE(12799), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15091), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647670] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16235), 1,
      anon_sym_and,
    STATE(12797), 1,
      aux_sym_module_definition_repeat1,
    STATE(12799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15098), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647702] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15921), 1,
      anon_sym_COMMA,
    ACTIONS(15923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15925), 1,
      sym_pow_operator,
    ACTIONS(15927), 1,
      sym_mult_operator,
    ACTIONS(15929), 1,
      sym_concat_operator,
    ACTIONS(15931), 1,
      sym_rel_operator,
    ACTIONS(15933), 1,
      sym_and_operator,
    ACTIONS(15935), 1,
      sym_or_operator,
    ACTIONS(15937), 1,
      sym_assign_operator,
    STATE(2373), 1,
      sym_add_operator,
    STATE(12800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10308), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10245), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [647752] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(16193), 1,
      sym__identifier,
    ACTIONS(16195), 1,
      anon_sym_POUND,
    STATE(12801), 1,
      sym_attribute,
    STATE(12872), 1,
      sym_type_constructor_path,
    STATE(16649), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11096), 5,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11098), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [647792] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15018), 1,
      anon_sym_LPAREN,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(15026), 1,
      anon_sym__,
    ACTIONS(15034), 1,
      sym__identifier,
    STATE(12139), 1,
      sym_type_binding,
    STATE(12802), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(14881), 1,
      sym__type_params,
    STATE(16779), 1,
      sym_extended_module_path,
    STATE(17222), 1,
      sym__type_param,
    STATE(20217), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [647843] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15018), 1,
      anon_sym_LPAREN,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(15026), 1,
      anon_sym__,
    ACTIONS(15034), 1,
      sym__identifier,
    STATE(12101), 1,
      sym_type_binding,
    STATE(12803), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(14881), 1,
      sym__type_params,
    STATE(16779), 1,
      sym_extended_module_path,
    STATE(17222), 1,
      sym__type_param,
    STATE(20217), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [647894] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15018), 1,
      anon_sym_LPAREN,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(15026), 1,
      anon_sym__,
    ACTIONS(15046), 1,
      sym__identifier,
    STATE(12735), 1,
      sym_type_binding,
    STATE(12804), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(14589), 1,
      sym__type_params,
    STATE(16779), 1,
      sym_extended_module_path,
    STATE(17222), 1,
      sym__type_param,
    STATE(20234), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [647945] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15016), 1,
      sym__identifier,
    ACTIONS(15018), 1,
      anon_sym_LPAREN,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(15026), 1,
      anon_sym__,
    STATE(11275), 1,
      sym_type_binding,
    STATE(12805), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(15011), 1,
      sym__type_params,
    STATE(16779), 1,
      sym_extended_module_path,
    STATE(17222), 1,
      sym__type_param,
    STATE(20187), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [647996] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11320), 1,
      anon_sym_COLON2,
    STATE(12806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9254), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [648027] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15016), 1,
      sym__identifier,
    ACTIONS(15018), 1,
      anon_sym_LPAREN,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(15026), 1,
      anon_sym__,
    STATE(11992), 1,
      sym_type_binding,
    STATE(12807), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(15011), 1,
      sym__type_params,
    STATE(16779), 1,
      sym_extended_module_path,
    STATE(17222), 1,
      sym__type_param,
    STATE(20187), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [648078] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15018), 1,
      anon_sym_LPAREN,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(15026), 1,
      anon_sym__,
    ACTIONS(15046), 1,
      sym__identifier,
    STATE(11275), 1,
      sym_type_binding,
    STATE(12808), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(14589), 1,
      sym__type_params,
    STATE(16779), 1,
      sym_extended_module_path,
    STATE(17222), 1,
      sym__type_param,
    STATE(20234), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [648129] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15018), 1,
      anon_sym_LPAREN,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(15026), 1,
      anon_sym__,
    ACTIONS(15046), 1,
      sym__identifier,
    STATE(12601), 1,
      sym_type_binding,
    STATE(12809), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(14589), 1,
      sym__type_params,
    STATE(16779), 1,
      sym_extended_module_path,
    STATE(17222), 1,
      sym__type_param,
    STATE(20234), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [648180] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15221), 1,
      anon_sym_LPAREN,
    ACTIONS(16429), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12810), 1,
      sym_attribute,
    STATE(13191), 1,
      sym__simple_module_expression,
    STATE(14147), 1,
      aux_sym_expression_item_repeat1,
    STATE(15687), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11010), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(13188), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [648223] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12418), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15909), 1,
      anon_sym_DASH_GT,
    STATE(12811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12416), 12,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648254] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15018), 1,
      anon_sym_LPAREN,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(15026), 1,
      anon_sym__,
    ACTIONS(15052), 1,
      sym__identifier,
    STATE(12481), 1,
      sym_type_binding,
    STATE(12812), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(14387), 1,
      sym__type_params,
    STATE(16779), 1,
      sym_extended_module_path,
    STATE(17222), 1,
      sym__type_param,
    STATE(18925), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [648305] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(15909), 1,
      anon_sym_DASH_GT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12813), 1,
      sym_attribute,
    STATE(12901), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16431), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648342] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15221), 1,
      anon_sym_LPAREN,
    ACTIONS(16429), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12814), 1,
      sym_attribute,
    STATE(13191), 1,
      sym__simple_module_expression,
    STATE(14338), 1,
      aux_sym_expression_item_repeat1,
    STATE(15687), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10986), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(13188), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [648385] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(15909), 1,
      anon_sym_DASH_GT,
    ACTIONS(16435), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16433), 11,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648418] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16437), 1,
      anon_sym_COLON_GT,
    ACTIONS(16439), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12816), 1,
      sym_attribute,
    STATE(13093), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16441), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648455] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16443), 1,
      anon_sym_COLON_GT,
    ACTIONS(16445), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12817), 1,
      sym_attribute,
    STATE(12944), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16447), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648492] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15018), 1,
      anon_sym_LPAREN,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(15026), 1,
      anon_sym__,
    ACTIONS(15052), 1,
      sym__identifier,
    STATE(12203), 1,
      sym_type_binding,
    STATE(12818), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(14387), 1,
      sym__type_params,
    STATE(16779), 1,
      sym_extended_module_path,
    STATE(17222), 1,
      sym__type_param,
    STATE(18925), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [648543] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15018), 1,
      anon_sym_LPAREN,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(15026), 1,
      anon_sym__,
    ACTIONS(15034), 1,
      sym__identifier,
    STATE(11275), 1,
      sym_type_binding,
    STATE(12819), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(14881), 1,
      sym__type_params,
    STATE(16779), 1,
      sym_extended_module_path,
    STATE(17222), 1,
      sym__type_param,
    STATE(20217), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [648594] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15018), 1,
      anon_sym_LPAREN,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(15026), 1,
      anon_sym__,
    ACTIONS(15052), 1,
      sym__identifier,
    STATE(11275), 1,
      sym_type_binding,
    STATE(12820), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(14387), 1,
      sym__type_params,
    STATE(16779), 1,
      sym_extended_module_path,
    STATE(17222), 1,
      sym__type_param,
    STATE(18925), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [648645] = 16,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15016), 1,
      sym__identifier,
    ACTIONS(15018), 1,
      anon_sym_LPAREN,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(15026), 1,
      anon_sym__,
    STATE(12092), 1,
      sym_type_binding,
    STATE(12821), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(15011), 1,
      sym__type_params,
    STATE(16779), 1,
      sym_extended_module_path,
    STATE(17222), 1,
      sym__type_param,
    STATE(20187), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [648696] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15221), 1,
      anon_sym_LPAREN,
    ACTIONS(16429), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12822), 1,
      sym_attribute,
    STATE(13191), 1,
      sym__simple_module_expression,
    STATE(14166), 1,
      aux_sym_expression_item_repeat1,
    STATE(15687), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11002), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(13188), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [648739] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16449), 1,
      anon_sym_COLON_GT,
    ACTIONS(16451), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12823), 1,
      sym_attribute,
    STATE(13070), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16453), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648776] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12422), 1,
      sym__identifier,
    ACTIONS(15018), 1,
      anon_sym_LPAREN,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(15026), 1,
      anon_sym__,
    STATE(12824), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(14656), 1,
      sym__type_params,
    STATE(15438), 1,
      sym_type_constructor_path,
    STATE(16779), 1,
      sym_extended_module_path,
    STATE(17222), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [648824] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      anon_sym_in,
    ACTIONS(15221), 1,
      anon_sym_LPAREN,
    ACTIONS(16429), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12825), 1,
      sym_attribute,
    STATE(13191), 1,
      sym__simple_module_expression,
    STATE(14520), 1,
      aux_sym_expression_item_repeat1,
    STATE(15687), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13188), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [648866] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12422), 1,
      sym__identifier,
    ACTIONS(15018), 1,
      anon_sym_LPAREN,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(15026), 1,
      anon_sym__,
    STATE(12826), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(14544), 1,
      sym__type_params,
    STATE(15446), 1,
      sym_type_constructor_path,
    STATE(16779), 1,
      sym_extended_module_path,
    STATE(17222), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [648914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11625), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11627), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [648942] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16457), 1,
      anon_sym_as,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12828), 1,
      sym_attribute,
    STATE(12946), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16455), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648976] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11537), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11835), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11539), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [649006] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9398), 1,
      anon_sym_PIPE,
    ACTIONS(9498), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12260), 1,
      anon_sym_LPAREN,
    ACTIONS(12262), 1,
      anon_sym_LBRACK,
    ACTIONS(16459), 1,
      anon_sym_private,
    ACTIONS(16461), 1,
      anon_sym_LBRACE,
    STATE(10666), 1,
      sym__constructor_name,
    STATE(11261), 1,
      sym_constructor_declaration,
    STATE(12830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12264), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10721), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [649052] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16463), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12831), 1,
      sym_attribute,
    STATE(13015), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16465), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [649086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9152), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [649114] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9466), 1,
      anon_sym_PIPE,
    ACTIONS(9532), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_LBRACK,
    ACTIONS(16461), 1,
      anon_sym_LBRACE,
    ACTIONS(16467), 1,
      anon_sym_private,
    STATE(10926), 1,
      sym__constructor_name,
    STATE(11844), 1,
      sym_constructor_declaration,
    STATE(12833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12471), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10913), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [649160] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7567), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12834), 1,
      sym_attribute,
    STATE(12990), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7571), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [649194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9152), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [649222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10994), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(10992), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [649250] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16471), 1,
      anon_sym_as,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12837), 1,
      sym_attribute,
    STATE(13004), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16469), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [649284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11681), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11683), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [649312] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9466), 1,
      anon_sym_PIPE,
    ACTIONS(9526), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_LBRACK,
    ACTIONS(16461), 1,
      anon_sym_LBRACE,
    ACTIONS(16473), 1,
      anon_sym_private,
    STATE(10926), 1,
      sym__constructor_name,
    STATE(11844), 1,
      sym_constructor_declaration,
    STATE(12839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12471), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10905), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [649358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11577), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11579), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [649386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11581), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11583), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [649414] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(16475), 1,
      anon_sym_DASH_GT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12842), 1,
      sym_attribute,
    STATE(12901), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16431), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [649450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9254), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [649478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11587), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [649506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11629), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11631), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [649534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11645), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11647), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [649562] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(8298), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [649590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(8302), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [649618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(8306), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [649646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(8310), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [649674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11705), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11707), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [649702] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9092), 1,
      anon_sym_COLON2,
    STATE(12852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 12,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [649730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11589), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11591), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [649758] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12422), 1,
      sym__identifier,
    ACTIONS(15018), 1,
      anon_sym_LPAREN,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(15026), 1,
      anon_sym__,
    STATE(12854), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(14580), 1,
      sym__type_params,
    STATE(15498), 1,
      sym_type_constructor_path,
    STATE(16779), 1,
      sym_extended_module_path,
    STATE(17222), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [649806] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(16477), 1,
      sym__identifier,
    ACTIONS(16479), 1,
      anon_sym_POUND,
    STATE(12855), 1,
      sym_attribute,
    STATE(13152), 1,
      sym_type_constructor_path,
    STATE(16537), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10131), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    ACTIONS(10133), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [649844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11649), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11651), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [649872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11601), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11603), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [649900] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11657), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11659), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [649928] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11653), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11655), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [649956] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10131), 13,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT,
  [649982] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(15113), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15909), 1,
      anon_sym_DASH_GT,
    STATE(12861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15111), 10,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [650014] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(16477), 1,
      sym__identifier,
    ACTIONS(16479), 1,
      anon_sym_POUND,
    STATE(12862), 1,
      sym_attribute,
    STATE(13152), 1,
      sym_type_constructor_path,
    STATE(16537), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11096), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    ACTIONS(11098), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [650052] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(16477), 1,
      sym__identifier,
    ACTIONS(16481), 1,
      anon_sym_POUND,
    STATE(12863), 1,
      sym_attribute,
    STATE(13127), 1,
      sym_type_constructor_path,
    STATE(16537), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11102), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    ACTIONS(11104), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [650090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16485), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16483), 11,
      anon_sym_DQUOTE,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [650118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11553), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [650146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11557), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [650174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(8298), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [650202] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7591), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12868), 1,
      sym_attribute,
    STATE(13096), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7595), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [650236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11559), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11561), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [650264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11665), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11667), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [650292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11633), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11635), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [650320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11563), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11565), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [650348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(8302), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [650376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11537), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11539), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [650404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(8306), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [650432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(8310), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [650460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11605), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11607), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [650488] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9398), 1,
      anon_sym_PIPE,
    ACTIONS(9520), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12260), 1,
      anon_sym_LPAREN,
    ACTIONS(12262), 1,
      anon_sym_LBRACK,
    ACTIONS(16461), 1,
      anon_sym_LBRACE,
    ACTIONS(16487), 1,
      anon_sym_private,
    STATE(10666), 1,
      sym__constructor_name,
    STATE(11261), 1,
      sym_constructor_declaration,
    STATE(12878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12264), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10738), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [650534] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9432), 1,
      anon_sym_PIPE,
    ACTIONS(9514), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12174), 1,
      anon_sym_LPAREN,
    ACTIONS(12176), 1,
      anon_sym_LBRACK,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(16461), 1,
      anon_sym_LBRACE,
    ACTIONS(16489), 1,
      anon_sym_private,
    STATE(10333), 1,
      sym__constructor_name,
    STATE(11082), 1,
      sym_constructor_declaration,
    STATE(12879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12178), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10551), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [650580] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12422), 1,
      sym__identifier,
    ACTIONS(15018), 1,
      anon_sym_LPAREN,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(15026), 1,
      anon_sym__,
    STATE(12880), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(14407), 1,
      sym__type_params,
    STATE(15273), 1,
      sym_type_constructor_path,
    STATE(16779), 1,
      sym_extended_module_path,
    STATE(17222), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [650628] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7597), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12881), 1,
      sym_attribute,
    STATE(12983), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7601), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [650662] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16491), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12882), 1,
      sym_attribute,
    STATE(13055), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16493), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [650696] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7383), 1,
      anon_sym_COLON2,
    ACTIONS(16495), 1,
      anon_sym_DOT_DOT,
    STATE(12883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7379), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [650726] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11040), 1,
      anon_sym_in,
    ACTIONS(15221), 1,
      anon_sym_LPAREN,
    ACTIONS(16429), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12884), 1,
      sym_attribute,
    STATE(13191), 1,
      sym__simple_module_expression,
    STATE(14616), 1,
      aux_sym_expression_item_repeat1,
    STATE(15687), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13188), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [650768] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9432), 1,
      anon_sym_PIPE,
    ACTIONS(9534), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12174), 1,
      anon_sym_LPAREN,
    ACTIONS(12176), 1,
      anon_sym_LBRACK,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(16461), 1,
      anon_sym_LBRACE,
    ACTIONS(16497), 1,
      anon_sym_private,
    STATE(10333), 1,
      sym__constructor_name,
    STATE(11082), 1,
      sym_constructor_declaration,
    STATE(12885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12178), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10557), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [650814] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12422), 1,
      sym__identifier,
    ACTIONS(15018), 1,
      anon_sym_LPAREN,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(15026), 1,
      anon_sym__,
    STATE(12886), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(14477), 1,
      sym__type_params,
    STATE(16144), 1,
      sym_type_constructor_path,
    STATE(16779), 1,
      sym_extended_module_path,
    STATE(17222), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [650862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11637), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11639), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [650890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9254), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [650918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11609), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11611), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [650946] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9106), 1,
      anon_sym_COLON2,
    STATE(12890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 12,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [650974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16501), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16499), 11,
      anon_sym_DQUOTE,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [651002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11641), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11643), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [651030] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16503), 1,
      anon_sym_EQ,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12893), 1,
      sym_attribute,
    STATE(13051), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16505), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [651064] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9364), 1,
      anon_sym_PIPE,
    ACTIONS(9500), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12182), 1,
      anon_sym_LPAREN,
    ACTIONS(12184), 1,
      anon_sym_LBRACK,
    ACTIONS(16461), 1,
      anon_sym_LBRACE,
    ACTIONS(16507), 1,
      anon_sym_private,
    STATE(10358), 1,
      sym__constructor_name,
    STATE(11097), 1,
      sym_constructor_declaration,
    STATE(12894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12186), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10572), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [651110] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11024), 1,
      anon_sym_in,
    ACTIONS(15221), 1,
      anon_sym_LPAREN,
    ACTIONS(16429), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12895), 1,
      sym_attribute,
    STATE(13191), 1,
      sym__simple_module_expression,
    STATE(14394), 1,
      aux_sym_expression_item_repeat1,
    STATE(15687), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13188), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [651152] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(12722), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15909), 1,
      anon_sym_DASH_GT,
    STATE(12896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12720), 10,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [651184] = 15,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12422), 1,
      sym__identifier,
    ACTIONS(15018), 1,
      anon_sym_LPAREN,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(15026), 1,
      anon_sym__,
    STATE(12897), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(14484), 1,
      sym__type_params,
    STATE(15395), 1,
      sym_type_constructor_path,
    STATE(16779), 1,
      sym_extended_module_path,
    STATE(17222), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [651232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11597), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11599), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [651260] = 14,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9364), 1,
      anon_sym_PIPE,
    ACTIONS(9504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12182), 1,
      anon_sym_LPAREN,
    ACTIONS(12184), 1,
      anon_sym_LBRACK,
    ACTIONS(16461), 1,
      anon_sym_LBRACE,
    ACTIONS(16509), 1,
      anon_sym_private,
    STATE(10358), 1,
      sym__constructor_name,
    STATE(11097), 1,
      sym_constructor_declaration,
    STATE(12899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12186), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10578), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [651306] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(15117), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15909), 1,
      anon_sym_DASH_GT,
    STATE(12900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15115), 10,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [651338] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16511), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [651369] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16513), 1,
      anon_sym_RPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12902), 1,
      sym_attribute,
    STATE(20336), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [651408] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16519), 1,
      anon_sym_COLON2,
    STATE(12903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16517), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [651435] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16521), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12904), 1,
      sym_attribute,
    STATE(19154), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [651474] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16523), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [651505] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16525), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12906), 1,
      sym_attribute,
    STATE(18052), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [651544] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16527), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12907), 1,
      sym_attribute,
    STATE(17626), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [651583] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16529), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12908), 1,
      sym_attribute,
    STATE(19047), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [651622] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16531), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12909), 1,
      sym_attribute,
    STATE(19518), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [651661] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16533), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12910), 1,
      sym_attribute,
    STATE(18163), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [651700] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16535), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [651731] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16537), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12912), 1,
      sym_attribute,
    STATE(20439), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [651770] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9632), 1,
      anon_sym_COLON2,
    STATE(12913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9634), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [651797] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9636), 1,
      anon_sym_COLON2,
    STATE(12914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9638), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [651824] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9640), 1,
      anon_sym_COLON2,
    STATE(12915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9642), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [651851] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16539), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [651882] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16541), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [651913] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9644), 1,
      anon_sym_COLON2,
    STATE(12918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9646), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [651940] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10335), 12,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT,
  [651965] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16543), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12920), 1,
      sym_attribute,
    STATE(19419), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652004] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12921), 1,
      sym_attribute,
    STATE(13068), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16545), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652035] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10343), 12,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT,
  [652060] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16549), 1,
      anon_sym_COLON2,
    STATE(12923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16547), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [652087] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16551), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12924), 1,
      sym_attribute,
    STATE(19487), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652126] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7571), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652157] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16553), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12926), 1,
      sym_attribute,
    STATE(19548), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652196] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12916), 1,
      aux_sym_expression_item_repeat1,
    STATE(12927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16555), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652227] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12928), 1,
      sym_attribute,
    STATE(13059), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16557), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652258] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16559), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12929), 1,
      sym_attribute,
    STATE(19375), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652297] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16561), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12930), 1,
      sym_attribute,
    STATE(20383), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652336] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16563), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12931), 1,
      sym_attribute,
    STATE(17992), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652375] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12932), 1,
      sym_attribute,
    STATE(12961), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16565), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652406] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16567), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12933), 1,
      sym_attribute,
    STATE(18240), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652445] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16441), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652476] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16569), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12935), 1,
      sym_attribute,
    STATE(19246), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652515] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16571), 1,
      aux_sym_attribute_id_token1,
    STATE(12936), 1,
      sym_attribute,
    STATE(12951), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652544] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12937), 1,
      sym_attribute,
    STATE(12993), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16573), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652575] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16575), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652606] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12939), 1,
      sym_attribute,
    STATE(13057), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16577), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652637] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16579), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652668] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16581), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652699] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12942), 1,
      sym_attribute,
    STATE(12969), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16583), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652730] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16585), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12943), 1,
      sym_attribute,
    STATE(20248), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652769] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16066), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652800] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16587), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12945), 1,
      sym_attribute,
    STATE(18708), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652839] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16589), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652870] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15221), 1,
      anon_sym_LPAREN,
    STATE(12947), 1,
      sym_attribute,
    STATE(13191), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9930), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    STATE(13188), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652905] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9432), 1,
      anon_sym_PIPE,
    ACTIONS(12174), 1,
      anon_sym_LPAREN,
    ACTIONS(12176), 1,
      anon_sym_LBRACK,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(16461), 1,
      anon_sym_LBRACE,
    ACTIONS(16591), 1,
      anon_sym_DOT_DOT,
    STATE(10333), 1,
      sym__constructor_name,
    STATE(11082), 1,
      sym_constructor_declaration,
    STATE(12948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12178), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10556), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [652948] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12911), 1,
      aux_sym_expression_item_repeat1,
    STATE(12949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16589), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652979] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16593), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12950), 1,
      sym_attribute,
    STATE(20374), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653018] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16571), 1,
      aux_sym_attribute_id_token1,
    STATE(12951), 1,
      sym_attribute,
    STATE(13107), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8962), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [653047] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16595), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [653078] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16599), 1,
      anon_sym_COLON2,
    STATE(12953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16597), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [653105] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16601), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12954), 1,
      sym_attribute,
    STATE(19903), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653144] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16429), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16605), 1,
      anon_sym_LPAREN,
    ACTIONS(16607), 1,
      anon_sym_COLON2,
    STATE(12955), 1,
      sym_attribute,
    STATE(13001), 1,
      aux_sym_module_binding_repeat1,
    STATE(13738), 1,
      sym_module_parameter,
    STATE(13754), 1,
      sym__module_typed,
    STATE(14226), 1,
      aux_sym_expression_item_repeat1,
    STATE(15687), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11941), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(16603), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [653187] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9432), 1,
      anon_sym_PIPE,
    ACTIONS(12174), 1,
      anon_sym_LPAREN,
    ACTIONS(12176), 1,
      anon_sym_LBRACK,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(16461), 1,
      anon_sym_LBRACE,
    ACTIONS(16609), 1,
      anon_sym_DOT_DOT,
    STATE(10333), 1,
      sym__constructor_name,
    STATE(11082), 1,
      sym_constructor_declaration,
    STATE(12956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12178), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10562), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [653230] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16611), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12957), 1,
      sym_attribute,
    STATE(19085), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653269] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16613), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12958), 1,
      sym_attribute,
    STATE(17767), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653308] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16615), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [653339] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16617), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12960), 1,
      sym_attribute,
    STATE(18099), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653378] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16619), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [653409] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16621), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12962), 1,
      sym_attribute,
    STATE(19267), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653448] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16623), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12963), 1,
      sym_attribute,
    STATE(18276), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653487] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16625), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [653518] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9156), 1,
      anon_sym_COLON2,
    STATE(12965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [653545] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15911), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [653576] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12964), 1,
      aux_sym_expression_item_repeat1,
    STATE(12967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16535), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [653607] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16627), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12968), 1,
      sym_attribute,
    STATE(19598), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653646] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16629), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [653677] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16631), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12970), 1,
      sym_attribute,
    STATE(17553), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653716] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12938), 1,
      aux_sym_expression_item_repeat1,
    STATE(12971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16633), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [653747] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16635), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12972), 1,
      sym_attribute,
    STATE(18396), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653786] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9398), 1,
      anon_sym_PIPE,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12260), 1,
      anon_sym_LPAREN,
    ACTIONS(12262), 1,
      anon_sym_LBRACK,
    ACTIONS(16461), 1,
      anon_sym_LBRACE,
    ACTIONS(16637), 1,
      anon_sym_DOT_DOT,
    STATE(10666), 1,
      sym__constructor_name,
    STATE(11261), 1,
      sym_constructor_declaration,
    STATE(12973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12264), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10864), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [653829] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16639), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12974), 1,
      sym_attribute,
    STATE(17567), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653868] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9364), 1,
      anon_sym_PIPE,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12182), 1,
      anon_sym_LPAREN,
    ACTIONS(12184), 1,
      anon_sym_LBRACK,
    ACTIONS(16461), 1,
      anon_sym_LBRACE,
    ACTIONS(16641), 1,
      anon_sym_DOT_DOT,
    STATE(10358), 1,
      sym__constructor_name,
    STATE(11097), 1,
      sym_constructor_declaration,
    STATE(12975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12186), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10577), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [653911] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9364), 1,
      anon_sym_PIPE,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12182), 1,
      anon_sym_LPAREN,
    ACTIONS(12184), 1,
      anon_sym_LBRACK,
    ACTIONS(16461), 1,
      anon_sym_LBRACE,
    ACTIONS(16643), 1,
      anon_sym_DOT_DOT,
    STATE(10358), 1,
      sym__constructor_name,
    STATE(11097), 1,
      sym_constructor_declaration,
    STATE(12976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12186), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10582), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [653954] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11320), 1,
      anon_sym_COLON2,
    STATE(12977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9254), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [653983] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16291), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [654014] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10345), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16645), 1,
      anon_sym_STAR,
    STATE(12979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10343), 10,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [654043] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9398), 1,
      anon_sym_PIPE,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12260), 1,
      anon_sym_LPAREN,
    ACTIONS(12262), 1,
      anon_sym_LBRACK,
    ACTIONS(16461), 1,
      anon_sym_LBRACE,
    ACTIONS(16647), 1,
      anon_sym_DOT_DOT,
    STATE(10666), 1,
      sym__constructor_name,
    STATE(11261), 1,
      sym_constructor_declaration,
    STATE(12980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12264), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10715), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [654086] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16649), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [654117] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7601), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [654148] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16505), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [654179] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16651), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [654210] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12985), 1,
      sym_attribute,
    STATE(13106), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16653), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [654241] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16655), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12986), 1,
      sym_attribute,
    STATE(18539), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654280] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16657), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12987), 1,
      sym_attribute,
    STATE(20245), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654319] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9466), 1,
      anon_sym_PIPE,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_LBRACK,
    ACTIONS(16461), 1,
      anon_sym_LBRACE,
    ACTIONS(16659), 1,
      anon_sym_DOT_DOT,
    STATE(10926), 1,
      sym__constructor_name,
    STATE(11844), 1,
      sym_constructor_declaration,
    STATE(12988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12471), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10912), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [654362] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16661), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12989), 1,
      sym_attribute,
    STATE(18057), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654401] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16465), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [654432] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12905), 1,
      aux_sym_expression_item_repeat1,
    STATE(12991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16663), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [654463] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12992), 1,
      sym_attribute,
    STATE(13048), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16665), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [654494] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16667), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [654525] = 13,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9466), 1,
      anon_sym_PIPE,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_LBRACK,
    ACTIONS(16461), 1,
      anon_sym_LBRACE,
    ACTIONS(16669), 1,
      anon_sym_DOT_DOT,
    STATE(10926), 1,
      sym__constructor_name,
    STATE(11844), 1,
      sym_constructor_declaration,
    STATE(12994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12471), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10919), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [654568] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12995), 1,
      sym_attribute,
    STATE(13099), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16671), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [654599] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16673), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12996), 1,
      sym_attribute,
    STATE(17589), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654638] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16675), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(12997), 1,
      sym_attribute,
    STATE(18694), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654677] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16677), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [654708] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9656), 1,
      anon_sym_COLON2,
    STATE(12999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9658), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [654735] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16679), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13000), 1,
      sym_attribute,
    STATE(19727), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654774] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16429), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16605), 1,
      anon_sym_LPAREN,
    ACTIONS(16607), 1,
      anon_sym_COLON2,
    STATE(13001), 1,
      sym_attribute,
    STATE(13364), 1,
      aux_sym_module_binding_repeat1,
    STATE(13724), 1,
      sym__module_typed,
    STATE(13738), 1,
      sym_module_parameter,
    STATE(14154), 1,
      aux_sym_expression_item_repeat1,
    STATE(15687), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11931), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(16681), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [654817] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16683), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13002), 1,
      sym_attribute,
    STATE(19776), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654856] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13003), 1,
      sym_attribute,
    STATE(13084), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16685), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [654887] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16455), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [654918] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_COLON2,
    STATE(13005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [654945] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15915), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [654976] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9728), 1,
      anon_sym_COLON2,
    STATE(13007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9730), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [655003] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9700), 1,
      anon_sym_COLON2,
    STATE(13008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9702), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [655030] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13009), 1,
      sym_attribute,
    STATE(13010), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16687), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [655061] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16689), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [655092] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16691), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13011), 1,
      sym_attribute,
    STATE(17799), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655131] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9704), 1,
      anon_sym_COLON2,
    STATE(13012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9706), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [655158] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16693), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13013), 1,
      sym_attribute,
    STATE(18905), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655197] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16695), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13014), 1,
      sym_attribute,
    STATE(20059), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655236] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16697), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [655267] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12941), 1,
      aux_sym_expression_item_repeat1,
    STATE(13016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16699), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [655298] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9674), 1,
      anon_sym_COLON2,
    STATE(13017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9676), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [655325] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9732), 1,
      anon_sym_COLON2,
    STATE(13018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9734), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [655352] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12981), 1,
      aux_sym_expression_item_repeat1,
    STATE(13019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16701), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [655383] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9736), 1,
      anon_sym_COLON2,
    STATE(13020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9738), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [655410] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16703), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13021), 1,
      sym_attribute,
    STATE(17746), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655449] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9740), 1,
      anon_sym_COLON2,
    STATE(13022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9742), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [655476] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16705), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13023), 1,
      sym_attribute,
    STATE(18038), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655515] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9172), 1,
      anon_sym_COLON2,
    STATE(13024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [655542] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9176), 1,
      anon_sym_COLON2,
    STATE(13025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [655569] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9586), 1,
      anon_sym_COLON2,
    STATE(13026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9588), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [655596] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16707), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13027), 1,
      sym_attribute,
    STATE(17924), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655635] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16709), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13028), 1,
      sym_attribute,
    STATE(17829), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655674] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16711), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13029), 1,
      sym_attribute,
    STATE(18855), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655713] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16447), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [655744] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16713), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13031), 1,
      sym_attribute,
    STATE(18255), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655783] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16715), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [655814] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16717), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13033), 1,
      sym_attribute,
    STATE(17914), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655853] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16719), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13034), 1,
      sym_attribute,
    STATE(20164), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655892] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16721), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13035), 1,
      sym_attribute,
    STATE(19371), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655931] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16723), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [655962] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16725), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13037), 1,
      sym_attribute,
    STATE(18470), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656001] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16729), 1,
      anon_sym_COLON2,
    STATE(13038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16727), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [656028] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16731), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13039), 1,
      sym_attribute,
    STATE(19993), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656067] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16733), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13040), 1,
      sym_attribute,
    STATE(18308), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656106] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16735), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13041), 1,
      sym_attribute,
    STATE(19122), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656145] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16737), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13042), 1,
      sym_attribute,
    STATE(20020), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656184] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16739), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13043), 1,
      sym_attribute,
    STATE(18293), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656223] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16741), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13044), 1,
      sym_attribute,
    STATE(18380), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656262] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12984), 1,
      aux_sym_expression_item_repeat1,
    STATE(13045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16743), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [656293] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16745), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13046), 1,
      sym_attribute,
    STATE(19392), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656332] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16747), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [656363] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16749), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [656394] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16751), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13049), 1,
      sym_attribute,
    STATE(18958), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656433] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16753), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13050), 1,
      sym_attribute,
    STATE(20047), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656472] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16755), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [656503] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16757), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13052), 1,
      sym_attribute,
    STATE(18476), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656542] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16759), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13053), 1,
      sym_attribute,
    STATE(18267), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656581] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16761), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13054), 1,
      sym_attribute,
    STATE(17991), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656620] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [656651] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9184), 1,
      anon_sym_COLON2,
    STATE(13056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [656678] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16765), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [656709] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16767), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13058), 1,
      sym_attribute,
    STATE(19070), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656748] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16769), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [656779] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16771), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13060), 1,
      sym_attribute,
    STATE(18892), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656818] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16773), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13061), 1,
      sym_attribute,
    STATE(18509), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656857] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7383), 1,
      anon_sym_COLON2,
    STATE(13062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7379), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [656884] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16775), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13063), 1,
      sym_attribute,
    STATE(20070), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656923] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7595), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [656954] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13032), 1,
      aux_sym_expression_item_repeat1,
    STATE(13065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16777), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [656985] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16781), 1,
      anon_sym_COLON2,
    STATE(13066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16779), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [657012] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16783), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13067), 1,
      sym_attribute,
    STATE(20422), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [657051] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16785), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [657082] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16787), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13069), 1,
      sym_attribute,
    STATE(19249), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [657121] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15919), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [657152] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16789), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13071), 1,
      sym_attribute,
    STATE(19328), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [657191] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9598), 1,
      anon_sym_COLON2,
    STATE(13072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9600), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [657218] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16791), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13073), 1,
      sym_attribute,
    STATE(20232), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [657257] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9602), 1,
      anon_sym_COLON2,
    STATE(13074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9604), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [657284] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16793), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13075), 1,
      sym_attribute,
    STATE(17862), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [657323] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16795), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13076), 1,
      sym_attribute,
    STATE(19649), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [657362] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16797), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13077), 1,
      sym_attribute,
    STATE(17772), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [657401] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16799), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13078), 1,
      sym_attribute,
    STATE(19969), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [657440] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16801), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13079), 1,
      sym_attribute,
    STATE(18751), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [657479] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12998), 1,
      aux_sym_expression_item_repeat1,
    STATE(13080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16803), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [657510] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9606), 1,
      anon_sym_COLON2,
    STATE(13081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9608), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [657537] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9610), 1,
      anon_sym_COLON2,
    STATE(13082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9612), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [657564] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16805), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13083), 1,
      sym_attribute,
    STATE(18727), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [657603] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16807), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [657634] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16809), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13085), 1,
      sym_attribute,
    STATE(19411), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [657673] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9614), 1,
      anon_sym_COLON2,
    STATE(13086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9616), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [657700] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16813), 1,
      anon_sym_COLON2,
    STATE(13087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16811), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [657727] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16815), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13088), 1,
      sym_attribute,
    STATE(17679), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [657766] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16817), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13089), 1,
      sym_attribute,
    STATE(17584), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [657805] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13036), 1,
      aux_sym_expression_item_repeat1,
    STATE(13090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16819), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [657836] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16821), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13091), 1,
      sym_attribute,
    STATE(17825), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [657875] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16823), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13092), 1,
      sym_attribute,
    STATE(17566), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [657914] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16400), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [657945] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12952), 1,
      aux_sym_expression_item_repeat1,
    STATE(13094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16825), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [657976] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16827), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13095), 1,
      sym_attribute,
    STATE(18691), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [658015] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16493), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [658046] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16453), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [658077] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16829), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13098), 1,
      sym_attribute,
    STATE(17614), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [658116] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16831), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [658147] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16833), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13100), 1,
      sym_attribute,
    STATE(17929), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [658186] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16835), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13101), 1,
      sym_attribute,
    STATE(20265), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [658225] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(12917), 1,
      aux_sym_expression_item_repeat1,
    STATE(13102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16837), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [658256] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16841), 1,
      anon_sym_COLON2,
    STATE(13103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16839), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [658283] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16843), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13104), 1,
      sym_attribute,
    STATE(17645), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [658322] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16845), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13105), 1,
      sym_attribute,
    STATE(18015), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [658361] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16847), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [658392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16849), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13107), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8949), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [658419] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16852), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13108), 1,
      sym_attribute,
    STATE(17653), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [658458] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9258), 1,
      anon_sym_COLON2,
    STATE(13109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [658485] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(16854), 1,
      anon_sym_RPAREN,
    STATE(8893), 1,
      sym__simple_module_expression,
    STATE(13110), 1,
      sym_attribute,
    STATE(18649), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8864), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [658524] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(15117), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16475), 1,
      anon_sym_DASH_GT,
    STATE(13111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15115), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [658554] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12418), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16475), 1,
      anon_sym_DASH_GT,
    STATE(13112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12416), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [658582] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11537), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11539), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [658608] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11577), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11579), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [658634] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11581), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11583), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [658660] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11587), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [658686] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11589), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11591), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [658712] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9254), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [658738] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11705), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11707), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [658764] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16856), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [658794] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 11,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [658818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16858), 1,
      anon_sym_DOT,
    STATE(13122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10945), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [658844] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(12722), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16475), 1,
      anon_sym_DASH_GT,
    STATE(13123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12720), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [658874] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16860), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [658904] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13120), 1,
      aux_sym_expression_item_repeat1,
    STATE(13125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16862), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [658934] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11597), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11599), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [658960] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11601), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11603), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [658986] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11605), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11607), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [659012] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11645), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11647), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [659038] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11637), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11639), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [659064] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11609), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11611), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [659090] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13132), 1,
      sym_attribute,
    STATE(13145), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16864), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [659120] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10994), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(10992), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [659146] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11681), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11683), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [659172] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11633), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11635), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [659198] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(8302), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [659224] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(8306), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [659250] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(8310), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [659276] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(15113), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16475), 1,
      anon_sym_DASH_GT,
    STATE(13139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15111), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [659306] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11625), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11627), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [659332] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13141), 1,
      sym_attribute,
    STATE(13143), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16866), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [659362] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13124), 1,
      aux_sym_expression_item_repeat1,
    STATE(13142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16868), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [659392] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16870), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [659422] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11629), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11631), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [659448] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16862), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [659478] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 11,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_attribute_id_token1,
  [659502] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16872), 1,
      anon_sym_STAR,
    STATE(13147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10343), 10,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_AMP,
  [659528] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13148), 1,
      sym_attribute,
    STATE(13156), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16874), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [659558] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11553), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [659584] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11557), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [659610] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11559), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11561), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [659636] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11563), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11565), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [659662] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8282), 11,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [659686] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11665), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11667), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [659712] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11649), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11651), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [659738] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      aux_sym_expression_item_repeat1,
    STATE(9992), 1,
      sym_item_attribute,
    STATE(13156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16876), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [659768] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(16435), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16475), 1,
      anon_sym_DASH_GT,
    STATE(13157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16433), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [659798] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11653), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11655), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [659824] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9152), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [659850] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11641), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11643), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [659876] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11657), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11659), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [659902] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(8298), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [659928] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [659951] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12304), 1,
      anon_sym_LPAREN,
    ACTIONS(12306), 1,
      anon_sym_LBRACK,
    ACTIONS(16878), 1,
      anon_sym_private,
    ACTIONS(16880), 1,
      anon_sym_PIPE,
    STATE(10609), 1,
      sym_variant_declaration,
    STATE(10750), 1,
      sym__constructor_name,
    STATE(11644), 1,
      sym_constructor_declaration,
    STATE(13164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12308), 2,
      anon_sym_true,
      anon_sym_false,
  [659990] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11476), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11478), 1,
      anon_sym_in,
    ACTIONS(16882), 1,
      sym__identifier,
    ACTIONS(16884), 1,
      anon_sym_POUND,
    STATE(13165), 1,
      sym_attribute,
    STATE(13648), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16934), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660031] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16886), 1,
      anon_sym_constraint,
    STATE(13447), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13166), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12310), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [660058] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16893), 1,
      anon_sym_COLON2,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    STATE(13167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16889), 7,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_when,
  [660087] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4959), 1,
      anon_sym_COLON2,
    ACTIONS(16495), 1,
      anon_sym_DOT_DOT,
    STATE(13168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4957), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [660114] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11464), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11466), 1,
      anon_sym_in,
    ACTIONS(16882), 1,
      sym__identifier,
    ACTIONS(16884), 1,
      anon_sym_POUND,
    STATE(13169), 1,
      sym_attribute,
    STATE(13648), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16934), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660155] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11014), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [660178] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16897), 1,
      anon_sym_constraint,
    STATE(13171), 1,
      sym_attribute,
    STATE(13180), 1,
      aux_sym_type_binding_repeat1,
    STATE(13447), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12342), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [660207] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    STATE(13172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12416), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_AMP,
  [660232] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16901), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13173), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8947), 4,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      sym__identifier,
    ACTIONS(8949), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__capitalized_identifier,
  [660259] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16897), 1,
      anon_sym_constraint,
    STATE(13166), 1,
      aux_sym_type_binding_repeat1,
    STATE(13174), 1,
      sym_attribute,
    STATE(13447), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12342), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [660288] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16908), 1,
      anon_sym_COLON2,
    ACTIONS(16910), 1,
      anon_sym_as,
    STATE(13175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16904), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_when,
  [660321] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(13177), 1,
      anon_sym_LPAREN,
    ACTIONS(13179), 1,
      anon_sym_LBRACK,
    ACTIONS(16912), 1,
      anon_sym_private,
    ACTIONS(16914), 1,
      anon_sym_PIPE,
    STATE(10609), 1,
      sym_variant_declaration,
    STATE(11504), 1,
      sym__constructor_name,
    STATE(12151), 1,
      sym_constructor_declaration,
    STATE(13176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13181), 2,
      anon_sym_true,
      anon_sym_false,
  [660360] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11036), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [660383] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16897), 1,
      anon_sym_constraint,
    STATE(13174), 1,
      aux_sym_type_binding_repeat1,
    STATE(13178), 1,
      sym_attribute,
    STATE(13447), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12336), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [660412] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11066), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [660435] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16897), 1,
      anon_sym_constraint,
    STATE(13166), 1,
      aux_sym_type_binding_repeat1,
    STATE(13180), 1,
      sym_attribute,
    STATE(13447), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12346), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [660464] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11468), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11470), 1,
      anon_sym_in,
    ACTIONS(16882), 1,
      sym__identifier,
    ACTIONS(16884), 1,
      anon_sym_POUND,
    STATE(13181), 1,
      sym_attribute,
    STATE(13648), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16934), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660505] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11044), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [660528] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11020), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [660551] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11048), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [660574] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11082), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [660597] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16918), 1,
      anon_sym_COLON2,
    STATE(13186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16916), 8,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_when,
  [660624] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16920), 1,
      aux_sym_attribute_id_token1,
    STATE(13173), 1,
      aux_sym_attribute_id_repeat1,
    STATE(13187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8960), 4,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      sym__identifier,
    ACTIONS(8962), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__capitalized_identifier,
  [660653] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11028), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [660676] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12444), 1,
      anon_sym_LPAREN,
    ACTIONS(12446), 1,
      anon_sym_LBRACK,
    ACTIONS(16922), 1,
      anon_sym_private,
    ACTIONS(16924), 1,
      anon_sym_PIPE,
    STATE(10524), 1,
      sym_variant_declaration,
    STATE(11028), 1,
      sym__constructor_name,
    STATE(11828), 1,
      sym_constructor_declaration,
    STATE(13189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12448), 2,
      anon_sym_true,
      anon_sym_false,
  [660715] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(13177), 1,
      anon_sym_LPAREN,
    ACTIONS(13179), 1,
      anon_sym_LBRACK,
    ACTIONS(16914), 1,
      anon_sym_PIPE,
    ACTIONS(16926), 1,
      anon_sym_private,
    STATE(10524), 1,
      sym_variant_declaration,
    STATE(11504), 1,
      sym__constructor_name,
    STATE(12151), 1,
      sym_constructor_declaration,
    STATE(13190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13181), 2,
      anon_sym_true,
      anon_sym_false,
  [660754] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11078), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [660777] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10485), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [660800] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(16930), 1,
      anon_sym_COLON2,
    STATE(13193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16928), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_when,
  [660833] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10945), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [660856] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12290), 1,
      anon_sym_LPAREN,
    ACTIONS(12292), 1,
      anon_sym_LBRACK,
    ACTIONS(16932), 1,
      anon_sym_private,
    ACTIONS(16934), 1,
      anon_sym_PIPE,
    STATE(10609), 1,
      sym_variant_declaration,
    STATE(10795), 1,
      sym__constructor_name,
    STATE(11636), 1,
      sym_constructor_declaration,
    STATE(13195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12294), 2,
      anon_sym_true,
      anon_sym_false,
  [660895] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11480), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11482), 1,
      anon_sym_in,
    ACTIONS(16882), 1,
      sym__identifier,
    ACTIONS(16884), 1,
      anon_sym_POUND,
    STATE(13196), 1,
      sym_attribute,
    STATE(13648), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16934), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660936] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12290), 1,
      anon_sym_LPAREN,
    ACTIONS(12292), 1,
      anon_sym_LBRACK,
    ACTIONS(16934), 1,
      anon_sym_PIPE,
    ACTIONS(16936), 1,
      anon_sym_private,
    STATE(10524), 1,
      sym_variant_declaration,
    STATE(10795), 1,
      sym__constructor_name,
    STATE(11636), 1,
      sym_constructor_declaration,
    STATE(13197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12294), 2,
      anon_sym_true,
      anon_sym_false,
  [660975] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12444), 1,
      anon_sym_LPAREN,
    ACTIONS(12446), 1,
      anon_sym_LBRACK,
    ACTIONS(16924), 1,
      anon_sym_PIPE,
    ACTIONS(16938), 1,
      anon_sym_private,
    STATE(10609), 1,
      sym_variant_declaration,
    STATE(11028), 1,
      sym__constructor_name,
    STATE(11828), 1,
      sym_constructor_declaration,
    STATE(13198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12448), 2,
      anon_sym_true,
      anon_sym_false,
  [661014] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16942), 1,
      anon_sym_COLON2,
    STATE(13199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16940), 8,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_when,
  [661041] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11074), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [661064] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [661087] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12304), 1,
      anon_sym_LPAREN,
    ACTIONS(12306), 1,
      anon_sym_LBRACK,
    ACTIONS(16880), 1,
      anon_sym_PIPE,
    ACTIONS(16944), 1,
      anon_sym_private,
    STATE(10524), 1,
      sym_variant_declaration,
    STATE(10750), 1,
      sym__constructor_name,
    STATE(11644), 1,
      sym_constructor_declaration,
    STATE(13202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12308), 2,
      anon_sym_true,
      anon_sym_false,
  [661126] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [661149] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [661172] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11454), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11456), 1,
      anon_sym_in,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(16882), 1,
      sym__identifier,
    ACTIONS(16884), 1,
      anon_sym_POUND,
    STATE(13205), 1,
      sym_attribute,
    STATE(13648), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16934), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661213] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11090), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [661236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16946), 1,
      anon_sym_STAR,
    STATE(13207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10343), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [661261] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_DASH_GT,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(11488), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11490), 1,
      anon_sym_in,
    ACTIONS(16882), 1,
      sym__identifier,
    ACTIONS(16884), 1,
      anon_sym_POUND,
    STATE(13208), 1,
      sym_attribute,
    STATE(13648), 1,
      sym_type_constructor_path,
    STATE(15285), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16934), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661302] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16920), 1,
      aux_sym_attribute_id_token1,
    STATE(13187), 1,
      aux_sym_attribute_id_repeat1,
    STATE(13209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 4,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      sym__identifier,
    ACTIONS(9036), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__capitalized_identifier,
  [661331] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13210), 1,
      sym_attribute,
    STATE(19039), 1,
      sym_escape_sequence,
    STATE(19915), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [661361] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9240), 1,
      anon_sym_COLON2,
    STATE(13211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [661385] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13212), 1,
      sym_attribute,
    STATE(19039), 1,
      sym_escape_sequence,
    STATE(20398), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [661415] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9248), 1,
      anon_sym_COLON2,
    STATE(13213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [661439] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13214), 1,
      sym_attribute,
    STATE(19039), 1,
      sym_escape_sequence,
    STATE(19295), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [661469] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4959), 1,
      anon_sym_COLON2,
    STATE(13215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4957), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [661493] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13216), 1,
      sym_attribute,
    STATE(17721), 1,
      sym_character_content,
    STATE(19039), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [661523] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13217), 1,
      sym_attribute,
    STATE(19039), 1,
      sym_escape_sequence,
    STATE(19473), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [661553] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9268), 1,
      anon_sym_COLON2,
    STATE(13218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [661577] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9262), 1,
      anon_sym_COLON2,
    STATE(13219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [661601] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9118), 1,
      anon_sym_COLON2,
    STATE(13220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [661625] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16954), 1,
      sym__identifier,
    ACTIONS(16956), 1,
      anon_sym_LPAREN,
    ACTIONS(16958), 1,
      anon_sym_LBRACK,
    ACTIONS(16960), 1,
      anon_sym_LBRACE,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    STATE(4717), 1,
      sym_field_path,
    STATE(13221), 1,
      sym_attribute,
    STATE(16283), 1,
      sym_indexing_operator_path,
    STATE(18647), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661663] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13222), 1,
      sym_attribute,
    STATE(18053), 1,
      sym_character_content,
    STATE(19039), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [661693] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13223), 1,
      sym_attribute,
    STATE(19039), 1,
      sym_escape_sequence,
    STATE(19515), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [661723] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6829), 1,
      anon_sym_LBRACK,
    ACTIONS(6833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16964), 1,
      anon_sym_LPAREN,
    ACTIONS(16966), 1,
      anon_sym_LBRACE,
    ACTIONS(16968), 1,
      sym__capitalized_identifier,
    STATE(8481), 1,
      sym__constructor_name,
    STATE(13224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13213), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [661757] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13225), 1,
      sym_attribute,
    STATE(19039), 1,
      sym_escape_sequence,
    STATE(19132), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [661787] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13226), 1,
      sym_attribute,
    STATE(19039), 1,
      sym_escape_sequence,
    STATE(20351), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [661817] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11356), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [661839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16970), 1,
      anon_sym_DASH_GT,
    STATE(13228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12416), 8,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [661863] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13229), 1,
      sym_attribute,
    STATE(17749), 1,
      sym_character_content,
    STATE(19039), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [661893] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(16972), 1,
      sym__identifier,
    ACTIONS(16974), 1,
      anon_sym_LPAREN,
    ACTIONS(16976), 1,
      anon_sym_LBRACK,
    ACTIONS(16978), 1,
      anon_sym_LBRACE,
    STATE(5579), 1,
      sym_field_path,
    STATE(13230), 1,
      sym_attribute,
    STATE(16211), 1,
      sym_indexing_operator_path,
    STATE(18030), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661931] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5435), 1,
      anon_sym_LBRACK,
    ACTIONS(5449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16968), 1,
      sym__capitalized_identifier,
    ACTIONS(16980), 1,
      anon_sym_LPAREN,
    ACTIONS(16982), 1,
      anon_sym_LBRACE,
    STATE(8481), 1,
      sym__constructor_name,
    STATE(13231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10223), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [661965] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13232), 1,
      sym_attribute,
    STATE(17791), 1,
      sym_character_content,
    STATE(19039), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [661995] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13233), 1,
      sym_attribute,
    STATE(17691), 1,
      sym_character_content,
    STATE(19039), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [662025] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7149), 1,
      anon_sym_LBRACK,
    ACTIONS(7159), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16984), 1,
      anon_sym_LPAREN,
    ACTIONS(16986), 1,
      anon_sym_LBRACE,
    ACTIONS(16988), 1,
      sym__capitalized_identifier,
    STATE(7732), 1,
      sym__constructor_name,
    STATE(13234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7734), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [662059] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13235), 1,
      sym_attribute,
    STATE(18194), 1,
      sym_character_content,
    STATE(19039), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [662089] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(16990), 1,
      sym__identifier,
    ACTIONS(16992), 1,
      anon_sym_LPAREN,
    ACTIONS(16994), 1,
      anon_sym_LBRACK,
    ACTIONS(16996), 1,
      anon_sym_LBRACE,
    STATE(5975), 1,
      sym_field_path,
    STATE(13236), 1,
      sym_attribute,
    STATE(16233), 1,
      sym_indexing_operator_path,
    STATE(18251), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662127] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8320), 1,
      anon_sym_LBRACK,
    ACTIONS(8324), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16043), 1,
      sym__capitalized_identifier,
    ACTIONS(16998), 1,
      anon_sym_LPAREN,
    ACTIONS(17000), 1,
      anon_sym_LBRACE,
    STATE(8176), 1,
      sym__constructor_name,
    STATE(13237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13927), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [662161] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13238), 1,
      sym_attribute,
    STATE(19039), 1,
      sym_escape_sequence,
    STATE(19995), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [662191] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13239), 1,
      sym_attribute,
    STATE(18515), 1,
      sym_character_content,
    STATE(19039), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [662221] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13240), 1,
      sym_attribute,
    STATE(18668), 1,
      sym_character_content,
    STATE(19039), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [662251] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13241), 1,
      sym_attribute,
    STATE(18753), 1,
      sym_character_content,
    STATE(19039), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [662281] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13242), 1,
      sym_attribute,
    STATE(18790), 1,
      sym_character_content,
    STATE(19039), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [662311] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13243), 1,
      sym_attribute,
    STATE(18871), 1,
      sym_character_content,
    STATE(19039), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [662341] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13244), 1,
      sym_attribute,
    STATE(18948), 1,
      sym_character_content,
    STATE(19039), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [662371] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13245), 1,
      sym_attribute,
    STATE(19009), 1,
      sym_character_content,
    STATE(19039), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [662401] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13246), 1,
      sym_attribute,
    STATE(19039), 1,
      sym_escape_sequence,
    STATE(19055), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [662431] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13247), 1,
      sym_attribute,
    STATE(19039), 1,
      sym_escape_sequence,
    STATE(19090), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [662461] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13248), 1,
      sym_attribute,
    STATE(19039), 1,
      sym_escape_sequence,
    STATE(19121), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [662491] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13249), 1,
      sym_attribute,
    STATE(19039), 1,
      sym_escape_sequence,
    STATE(19158), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [662521] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13250), 1,
      sym_attribute,
    STATE(19039), 1,
      sym_escape_sequence,
    STATE(19256), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [662551] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13251), 1,
      sym_attribute,
    STATE(19039), 1,
      sym_escape_sequence,
    STATE(19318), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [662581] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13252), 1,
      sym_attribute,
    STATE(19039), 1,
      sym_escape_sequence,
    STATE(19391), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [662611] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(17002), 1,
      anon_sym_LPAREN,
    ACTIONS(17004), 1,
      anon_sym_LBRACK,
    STATE(10748), 1,
      sym_constructor_declaration,
    STATE(11406), 1,
      sym__constructor_name,
    STATE(13253), 1,
      sym_attribute,
    STATE(13533), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17006), 2,
      anon_sym_true,
      anon_sym_false,
  [662647] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17008), 1,
      sym__identifier,
    ACTIONS(17010), 1,
      anon_sym_LPAREN,
    ACTIONS(17012), 1,
      anon_sym_LBRACK,
    ACTIONS(17014), 1,
      anon_sym_LBRACE,
    STATE(7283), 1,
      sym_field_path,
    STATE(13254), 1,
      sym_attribute,
    STATE(16109), 1,
      sym_indexing_operator_path,
    STATE(19729), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662685] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17016), 1,
      sym__identifier,
    ACTIONS(17018), 1,
      anon_sym_LPAREN,
    ACTIONS(17020), 1,
      anon_sym_LBRACK,
    ACTIONS(17022), 1,
      anon_sym_LBRACE,
    STATE(2827), 1,
      sym_field_path,
    STATE(13255), 1,
      sym_attribute,
    STATE(16168), 1,
      sym_indexing_operator_path,
    STATE(17597), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662723] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13256), 1,
      sym_attribute,
    STATE(18032), 1,
      sym_character_content,
    STATE(19039), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [662753] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7193), 1,
      anon_sym_LBRACK,
    ACTIONS(7203), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17024), 1,
      anon_sym_LPAREN,
    ACTIONS(17026), 1,
      anon_sym_LBRACE,
    ACTIONS(17028), 1,
      sym__capitalized_identifier,
    STATE(7935), 1,
      sym__constructor_name,
    STATE(13257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7896), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [662787] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17030), 1,
      sym__identifier,
    ACTIONS(17032), 1,
      anon_sym_LPAREN,
    ACTIONS(17034), 1,
      anon_sym_LBRACK,
    ACTIONS(17036), 1,
      anon_sym_LBRACE,
    STATE(9231), 1,
      sym_field_path,
    STATE(13258), 1,
      sym_attribute,
    STATE(16205), 1,
      sym_indexing_operator_path,
    STATE(17976), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662825] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10994), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(10992), 7,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
  [662849] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12290), 1,
      anon_sym_LPAREN,
    ACTIONS(12292), 1,
      anon_sym_LBRACK,
    ACTIONS(16934), 1,
      anon_sym_PIPE,
    STATE(10612), 1,
      sym_variant_declaration,
    STATE(10795), 1,
      sym__constructor_name,
    STATE(11636), 1,
      sym_constructor_declaration,
    STATE(13260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12294), 2,
      anon_sym_true,
      anon_sym_false,
  [662885] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7533), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17038), 1,
      anon_sym_LPAREN,
    ACTIONS(17040), 1,
      anon_sym_LBRACE,
    ACTIONS(17042), 1,
      sym__capitalized_identifier,
    STATE(8622), 1,
      sym__constructor_name,
    STATE(13261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8645), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [662919] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12290), 1,
      anon_sym_LPAREN,
    ACTIONS(12292), 1,
      anon_sym_LBRACK,
    ACTIONS(16934), 1,
      anon_sym_PIPE,
    STATE(10522), 1,
      sym_variant_declaration,
    STATE(10795), 1,
      sym__constructor_name,
    STATE(11636), 1,
      sym_constructor_declaration,
    STATE(13262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12294), 2,
      anon_sym_true,
      anon_sym_false,
  [662955] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13263), 1,
      sym_attribute,
    STATE(18535), 1,
      sym_character_content,
    STATE(19039), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [662985] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17044), 1,
      sym__identifier,
    ACTIONS(17046), 1,
      anon_sym_LPAREN,
    ACTIONS(17048), 1,
      anon_sym_LBRACK,
    ACTIONS(17050), 1,
      anon_sym_LBRACE,
    STATE(2658), 1,
      sym_field_path,
    STATE(13264), 1,
      sym_attribute,
    STATE(16287), 1,
      sym_indexing_operator_path,
    STATE(18685), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663023] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17056), 1,
      sym__right_quoted_string_delimiter,
    STATE(13265), 1,
      sym_attribute,
    STATE(13400), 1,
      aux_sym_quoted_string_content_repeat1,
    STATE(18377), 1,
      sym_quoted_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17054), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17052), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [663053] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(17058), 1,
      anon_sym_LPAREN,
    ACTIONS(17060), 1,
      anon_sym_LBRACK,
    STATE(10748), 1,
      sym_constructor_declaration,
    STATE(11468), 1,
      sym__constructor_name,
    STATE(13266), 1,
      sym_attribute,
    STATE(13676), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17062), 2,
      anon_sym_true,
      anon_sym_false,
  [663089] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(17064), 1,
      anon_sym_LPAREN,
    ACTIONS(17066), 1,
      anon_sym_LBRACK,
    STATE(10748), 1,
      sym_constructor_declaration,
    STATE(12003), 1,
      sym__constructor_name,
    STATE(13267), 1,
      sym_attribute,
    STATE(13616), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17068), 2,
      anon_sym_true,
      anon_sym_false,
  [663125] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17070), 1,
      sym__identifier,
    ACTIONS(17072), 1,
      anon_sym_LPAREN,
    ACTIONS(17074), 1,
      anon_sym_LBRACK,
    ACTIONS(17076), 1,
      anon_sym_LBRACE,
    STATE(4863), 1,
      sym_field_path,
    STATE(13268), 1,
      sym_attribute,
    STATE(16159), 1,
      sym_indexing_operator_path,
    STATE(20231), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663163] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13269), 1,
      sym_attribute,
    STATE(19039), 1,
      sym_escape_sequence,
    STATE(19258), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [663193] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13270), 1,
      sym_attribute,
    STATE(18979), 1,
      sym_character_content,
    STATE(19039), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [663223] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12304), 1,
      anon_sym_LPAREN,
    ACTIONS(12306), 1,
      anon_sym_LBRACK,
    ACTIONS(16880), 1,
      anon_sym_PIPE,
    STATE(10612), 1,
      sym_variant_declaration,
    STATE(10750), 1,
      sym__constructor_name,
    STATE(11644), 1,
      sym_constructor_declaration,
    STATE(13271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12308), 2,
      anon_sym_true,
      anon_sym_false,
  [663259] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4963), 1,
      anon_sym_LBRACK,
    ACTIONS(4971), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17078), 1,
      anon_sym_LPAREN,
    ACTIONS(17080), 1,
      anon_sym_LBRACE,
    ACTIONS(17082), 1,
      sym__capitalized_identifier,
    STATE(5338), 1,
      sym__constructor_name,
    STATE(13272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5539), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [663293] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17084), 1,
      sym__identifier,
    ACTIONS(17086), 1,
      anon_sym_LPAREN,
    ACTIONS(17088), 1,
      anon_sym_LBRACK,
    ACTIONS(17090), 1,
      anon_sym_LBRACE,
    STATE(3509), 1,
      sym_field_path,
    STATE(13273), 1,
      sym_attribute,
    STATE(16198), 1,
      sym_indexing_operator_path,
    STATE(17922), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11282), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(11294), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [663355] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12304), 1,
      anon_sym_LPAREN,
    ACTIONS(12306), 1,
      anon_sym_LBRACK,
    ACTIONS(16880), 1,
      anon_sym_PIPE,
    STATE(10522), 1,
      sym_variant_declaration,
    STATE(10750), 1,
      sym__constructor_name,
    STATE(11644), 1,
      sym_constructor_declaration,
    STATE(13275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12308), 2,
      anon_sym_true,
      anon_sym_false,
  [663391] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_COLON2,
    STATE(13276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [663415] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17092), 1,
      sym__identifier,
    ACTIONS(17094), 1,
      anon_sym_LPAREN,
    ACTIONS(17096), 1,
      anon_sym_LBRACK,
    ACTIONS(17098), 1,
      anon_sym_LBRACE,
    STATE(6005), 1,
      sym_field_path,
    STATE(13277), 1,
      sym_attribute,
    STATE(16249), 1,
      sym_indexing_operator_path,
    STATE(18371), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663453] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(17100), 1,
      anon_sym_LPAREN,
    ACTIONS(17102), 1,
      anon_sym_LBRACK,
    STATE(10748), 1,
      sym_constructor_declaration,
    STATE(11930), 1,
      sym__constructor_name,
    STATE(13278), 1,
      sym_attribute,
    STATE(13699), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17104), 2,
      anon_sym_true,
      anon_sym_false,
  [663489] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9134), 1,
      anon_sym_COLON2,
    STATE(13279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9136), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [663513] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9138), 1,
      anon_sym_COLON2,
    STATE(13280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9140), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [663537] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9142), 1,
      anon_sym_COLON2,
    STATE(13281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [663561] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9146), 1,
      anon_sym_COLON2,
    STATE(13282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [663585] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13283), 1,
      sym_attribute,
    STATE(18165), 1,
      sym_character_content,
    STATE(19039), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [663615] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13284), 1,
      sym_attribute,
    STATE(19039), 1,
      sym_escape_sequence,
    STATE(19347), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [663645] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17106), 1,
      sym__identifier,
    ACTIONS(17108), 1,
      anon_sym_LPAREN,
    ACTIONS(17110), 1,
      anon_sym_LBRACK,
    ACTIONS(17112), 1,
      anon_sym_LBRACE,
    STATE(6937), 1,
      sym_field_path,
    STATE(13285), 1,
      sym_attribute,
    STATE(16267), 1,
      sym_indexing_operator_path,
    STATE(18531), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663683] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(13177), 1,
      anon_sym_LPAREN,
    ACTIONS(13179), 1,
      anon_sym_LBRACK,
    ACTIONS(16914), 1,
      anon_sym_PIPE,
    STATE(10612), 1,
      sym_variant_declaration,
    STATE(11504), 1,
      sym__constructor_name,
    STATE(12151), 1,
      sym_constructor_declaration,
    STATE(13286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13181), 2,
      anon_sym_true,
      anon_sym_false,
  [663719] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17114), 1,
      sym__identifier,
    ACTIONS(17116), 1,
      anon_sym_LPAREN,
    ACTIONS(17118), 1,
      anon_sym_LBRACK,
    ACTIONS(17120), 1,
      anon_sym_LBRACE,
    STATE(6109), 1,
      sym_field_path,
    STATE(13287), 1,
      sym_attribute,
    STATE(16292), 1,
      sym_indexing_operator_path,
    STATE(18723), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663757] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17122), 1,
      sym__identifier,
    ACTIONS(17124), 1,
      anon_sym_LPAREN,
    ACTIONS(17126), 1,
      anon_sym_LBRACK,
    ACTIONS(17128), 1,
      anon_sym_LBRACE,
    STATE(8013), 1,
      sym_field_path,
    STATE(13288), 1,
      sym_attribute,
    STATE(16172), 1,
      sym_indexing_operator_path,
    STATE(17652), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663795] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(13177), 1,
      anon_sym_LPAREN,
    ACTIONS(13179), 1,
      anon_sym_LBRACK,
    ACTIONS(16914), 1,
      anon_sym_PIPE,
    STATE(10522), 1,
      sym_variant_declaration,
    STATE(11504), 1,
      sym__constructor_name,
    STATE(12151), 1,
      sym_constructor_declaration,
    STATE(13289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13181), 2,
      anon_sym_true,
      anon_sym_false,
  [663831] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13290), 1,
      sym_attribute,
    STATE(19039), 1,
      sym_escape_sequence,
    STATE(19909), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [663861] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17130), 1,
      sym__identifier,
    ACTIONS(17132), 1,
      anon_sym_LPAREN,
    ACTIONS(17134), 1,
      anon_sym_LBRACK,
    ACTIONS(17136), 1,
      anon_sym_LBRACE,
    STATE(6035), 1,
      sym_field_path,
    STATE(13291), 1,
      sym_attribute,
    STATE(16257), 1,
      sym_indexing_operator_path,
    STATE(18451), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663899] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17138), 1,
      sym__identifier,
    ACTIONS(17140), 1,
      anon_sym_LPAREN,
    ACTIONS(17142), 1,
      anon_sym_LBRACK,
    ACTIONS(17144), 1,
      anon_sym_LBRACE,
    STATE(6573), 1,
      sym_field_path,
    STATE(13292), 1,
      sym_attribute,
    STATE(16131), 1,
      sym_indexing_operator_path,
    STATE(19272), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663937] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(17146), 1,
      anon_sym_LPAREN,
    ACTIONS(17148), 1,
      anon_sym_LBRACK,
    STATE(10748), 1,
      sym_constructor_declaration,
    STATE(11943), 1,
      sym__constructor_name,
    STATE(13293), 1,
      sym_attribute,
    STATE(13783), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17150), 2,
      anon_sym_true,
      anon_sym_false,
  [663973] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11458), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11861), 1,
      anon_sym_in,
    ACTIONS(16882), 1,
      sym__identifier,
    ACTIONS(16884), 1,
      anon_sym_POUND,
    ACTIONS(17152), 1,
      anon_sym_STAR,
    STATE(13294), 1,
      sym_attribute,
    STATE(13648), 1,
      sym_type_constructor_path,
    STATE(14475), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16934), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664011] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16970), 1,
      anon_sym_DASH_GT,
    ACTIONS(17154), 1,
      anon_sym_as,
    STATE(13295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12396), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [664037] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17156), 1,
      sym__identifier,
    ACTIONS(17158), 1,
      anon_sym_LPAREN,
    ACTIONS(17160), 1,
      anon_sym_LBRACK,
    ACTIONS(17162), 1,
      anon_sym_LBRACE,
    STATE(6421), 1,
      sym_field_path,
    STATE(13296), 1,
      sym_attribute,
    STATE(16124), 1,
      sym_indexing_operator_path,
    STATE(19061), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664075] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13297), 1,
      sym_attribute,
    STATE(19039), 1,
      sym_escape_sequence,
    STATE(20392), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [664105] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13298), 1,
      sym_attribute,
    STATE(17535), 1,
      sym_character_content,
    STATE(19039), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [664135] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17164), 1,
      anon_sym_LPAREN,
    ACTIONS(17166), 1,
      anon_sym_DOT,
    STATE(13299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11270), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [664161] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17168), 1,
      sym__identifier,
    ACTIONS(17170), 1,
      anon_sym_LPAREN,
    ACTIONS(17172), 1,
      anon_sym_LBRACK,
    ACTIONS(17174), 1,
      anon_sym_LBRACE,
    STATE(2871), 1,
      sym_field_path,
    STATE(13300), 1,
      sym_attribute,
    STATE(16322), 1,
      sym_indexing_operator_path,
    STATE(18936), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664199] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17176), 1,
      sym__identifier,
    ACTIONS(17178), 1,
      anon_sym_LPAREN,
    ACTIONS(17180), 1,
      anon_sym_LBRACK,
    ACTIONS(17182), 1,
      anon_sym_LBRACE,
    STATE(5935), 1,
      sym_field_path,
    STATE(13301), 1,
      sym_attribute,
    STATE(16226), 1,
      sym_indexing_operator_path,
    STATE(18171), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664237] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13302), 1,
      sym_attribute,
    STATE(19039), 1,
      sym_escape_sequence,
    STATE(19971), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [664267] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13303), 1,
      sym_attribute,
    STATE(18610), 1,
      sym_character_content,
    STATE(19039), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [664297] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12444), 1,
      anon_sym_LPAREN,
    ACTIONS(12446), 1,
      anon_sym_LBRACK,
    ACTIONS(16924), 1,
      anon_sym_PIPE,
    STATE(10522), 1,
      sym_variant_declaration,
    STATE(11028), 1,
      sym__constructor_name,
    STATE(11828), 1,
      sym_constructor_declaration,
    STATE(13304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12448), 2,
      anon_sym_true,
      anon_sym_false,
  [664333] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9122), 1,
      anon_sym_COLON2,
    STATE(13305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9124), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [664357] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17184), 1,
      sym__identifier,
    ACTIONS(17186), 1,
      anon_sym_LPAREN,
    ACTIONS(17188), 1,
      anon_sym_LBRACK,
    ACTIONS(17190), 1,
      anon_sym_LBRACE,
    STATE(5120), 1,
      sym_field_path,
    STATE(13306), 1,
      sym_attribute,
    STATE(16082), 1,
      sym_indexing_operator_path,
    STATE(18332), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664395] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17192), 1,
      sym__identifier,
    ACTIONS(17194), 1,
      anon_sym_LPAREN,
    ACTIONS(17196), 1,
      anon_sym_LBRACK,
    ACTIONS(17198), 1,
      anon_sym_LBRACE,
    STATE(6135), 1,
      sym_field_path,
    STATE(13307), 1,
      sym_attribute,
    STATE(16138), 1,
      sym_indexing_operator_path,
    STATE(19513), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664433] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9114), 1,
      anon_sym_COLON2,
    STATE(13308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [664457] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13309), 1,
      sym_attribute,
    STATE(17740), 1,
      sym_character_content,
    STATE(19039), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [664487] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13310), 1,
      sym_attribute,
    STATE(19039), 1,
      sym_escape_sequence,
    STATE(19960), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [664517] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13311), 1,
      sym_attribute,
    STATE(19039), 1,
      sym_escape_sequence,
    STATE(19198), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [664547] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9126), 1,
      anon_sym_COLON2,
    STATE(13312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [664571] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17200), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [664593] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6899), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17202), 1,
      anon_sym_LPAREN,
    ACTIONS(17204), 1,
      anon_sym_LBRACE,
    ACTIONS(17206), 1,
      sym__capitalized_identifier,
    STATE(7710), 1,
      sym__constructor_name,
    STATE(13314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7450), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [664627] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17208), 1,
      sym__identifier,
    ACTIONS(17210), 1,
      anon_sym_LPAREN,
    ACTIONS(17212), 1,
      anon_sym_LBRACK,
    ACTIONS(17214), 1,
      anon_sym_LBRACE,
    STATE(3541), 1,
      sym_field_path,
    STATE(13315), 1,
      sym_attribute,
    STATE(16175), 1,
      sym_indexing_operator_path,
    STATE(17706), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664665] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13316), 1,
      sym_attribute,
    STATE(17954), 1,
      sym_character_content,
    STATE(19039), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [664695] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17216), 1,
      sym__identifier,
    ACTIONS(17218), 1,
      anon_sym_LPAREN,
    ACTIONS(17220), 1,
      anon_sym_LBRACK,
    ACTIONS(17222), 1,
      anon_sym_LBRACE,
    STATE(3988), 1,
      sym_field_path,
    STATE(13317), 1,
      sym_attribute,
    STATE(15851), 1,
      sym_indexing_operator_path,
    STATE(18339), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664733] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9164), 1,
      anon_sym_COLON2,
    STATE(13318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [664757] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9168), 1,
      anon_sym_COLON2,
    STATE(13319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [664781] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17224), 1,
      sym__identifier,
    ACTIONS(17226), 1,
      anon_sym_LPAREN,
    ACTIONS(17228), 1,
      anon_sym_LBRACK,
    ACTIONS(17230), 1,
      anon_sym_LBRACE,
    STATE(7348), 1,
      sym_field_path,
    STATE(13320), 1,
      sym_attribute,
    STATE(16153), 1,
      sym_indexing_operator_path,
    STATE(20084), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664819] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17232), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [664841] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13322), 1,
      sym_attribute,
    STATE(18175), 1,
      sym_character_content,
    STATE(19039), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [664871] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9188), 1,
      anon_sym_COLON2,
    STATE(13323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [664895] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9192), 1,
      anon_sym_COLON2,
    STATE(13324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [664919] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9198), 1,
      anon_sym_COLON2,
    STATE(13325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [664943] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9202), 1,
      anon_sym_COLON2,
    STATE(13326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [664967] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(17234), 1,
      anon_sym_LPAREN,
    ACTIONS(17236), 1,
      anon_sym_LBRACK,
    ACTIONS(17240), 1,
      sym__capitalized_identifier,
    STATE(13327), 1,
      sym_attribute,
    STATE(13672), 1,
      sym__attribute,
    STATE(14182), 1,
      sym__constructor_name,
    STATE(14410), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17238), 2,
      anon_sym_true,
      anon_sym_false,
  [665003] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17242), 1,
      sym__identifier,
    ACTIONS(17244), 1,
      anon_sym_LPAREN,
    ACTIONS(17246), 1,
      anon_sym_LBRACK,
    ACTIONS(17248), 1,
      anon_sym_LBRACE,
    STATE(9687), 1,
      sym_field_path,
    STATE(13328), 1,
      sym_attribute,
    STATE(16238), 1,
      sym_indexing_operator_path,
    STATE(18291), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665041] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17250), 1,
      sym__identifier,
    ACTIONS(17252), 1,
      anon_sym_LPAREN,
    ACTIONS(17254), 1,
      anon_sym_LBRACK,
    ACTIONS(17256), 1,
      anon_sym_LBRACE,
    STATE(7609), 1,
      sym_field_path,
    STATE(13329), 1,
      sym_attribute,
    STATE(16271), 1,
      sym_indexing_operator_path,
    STATE(18570), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665079] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13330), 1,
      sym_attribute,
    STATE(18408), 1,
      sym_character_content,
    STATE(19039), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [665109] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17258), 1,
      sym__identifier,
    ACTIONS(17260), 1,
      anon_sym_LPAREN,
    ACTIONS(17262), 1,
      anon_sym_LBRACK,
    ACTIONS(17264), 1,
      anon_sym_LBRACE,
    STATE(5823), 1,
      sym_field_path,
    STATE(13331), 1,
      sym_attribute,
    STATE(16299), 1,
      sym_indexing_operator_path,
    STATE(18761), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665147] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17266), 1,
      sym__identifier,
    ACTIONS(17268), 1,
      anon_sym_LPAREN,
    ACTIONS(17270), 1,
      anon_sym_LBRACK,
    ACTIONS(17272), 1,
      anon_sym_LBRACE,
    STATE(6508), 1,
      sym_field_path,
    STATE(13332), 1,
      sym_attribute,
    STATE(16148), 1,
      sym_indexing_operator_path,
    STATE(19917), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665185] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5091), 1,
      anon_sym_LBRACK,
    ACTIONS(5099), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17274), 1,
      anon_sym_LPAREN,
    ACTIONS(17276), 1,
      anon_sym_LBRACE,
    ACTIONS(17278), 1,
      sym__capitalized_identifier,
    STATE(5490), 1,
      sym__constructor_name,
    STATE(13333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5729), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [665219] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11104), 1,
      anon_sym_in,
    ACTIONS(16882), 1,
      sym__identifier,
    ACTIONS(17280), 1,
      anon_sym_POUND,
    STATE(13334), 1,
      sym_attribute,
    STATE(13529), 1,
      sym_type_constructor_path,
    STATE(16934), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11102), 3,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
  [665253] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16970), 1,
      anon_sym_DASH_GT,
    ACTIONS(17154), 1,
      anon_sym_as,
    STATE(13335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12380), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [665279] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13336), 1,
      sym_attribute,
    STATE(18626), 1,
      sym_character_content,
    STATE(19039), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [665309] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17282), 1,
      sym__identifier,
    ACTIONS(17284), 1,
      anon_sym_LPAREN,
    ACTIONS(17286), 1,
      anon_sym_LBRACK,
    ACTIONS(17288), 1,
      anon_sym_LBRACE,
    STATE(5149), 1,
      sym_field_path,
    STATE(13337), 1,
      sym_attribute,
    STATE(16221), 1,
      sym_indexing_operator_path,
    STATE(18131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665347] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13338), 1,
      sym_attribute,
    STATE(19039), 1,
      sym_escape_sequence,
    STATE(19975), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [665377] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11226), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [665399] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17290), 1,
      sym__identifier,
    ACTIONS(17292), 1,
      anon_sym_LPAREN,
    ACTIONS(17294), 1,
      anon_sym_LBRACK,
    ACTIONS(17296), 1,
      anon_sym_LBRACE,
    STATE(4965), 1,
      sym_field_path,
    STATE(13340), 1,
      sym_attribute,
    STATE(16217), 1,
      sym_indexing_operator_path,
    STATE(18084), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665437] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13341), 1,
      sym_attribute,
    STATE(18844), 1,
      sym_character_content,
    STATE(19039), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [665467] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7495), 1,
      anon_sym_LBRACK,
    ACTIONS(7503), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17298), 1,
      anon_sym_LPAREN,
    ACTIONS(17300), 1,
      anon_sym_LBRACE,
    ACTIONS(17302), 1,
      sym__capitalized_identifier,
    STATE(8846), 1,
      sym__constructor_name,
    STATE(13342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8906), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [665501] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7653), 1,
      anon_sym_LBRACK,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17304), 1,
      anon_sym_LPAREN,
    ACTIONS(17306), 1,
      anon_sym_LBRACE,
    ACTIONS(17308), 1,
      sym__capitalized_identifier,
    STATE(9778), 1,
      sym__constructor_name,
    STATE(13343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13831), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [665535] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9180), 1,
      anon_sym_COLON2,
    STATE(13344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [665559] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17310), 1,
      sym__identifier,
    ACTIONS(17312), 1,
      anon_sym_LPAREN,
    ACTIONS(17314), 1,
      anon_sym_LBRACK,
    ACTIONS(17316), 1,
      anon_sym_LBRACE,
    STATE(4027), 1,
      sym_field_path,
    STATE(13345), 1,
      sym_attribute,
    STATE(16059), 1,
      sym_indexing_operator_path,
    STATE(20399), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665597] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17318), 1,
      sym__identifier,
    ACTIONS(17320), 1,
      anon_sym_LPAREN,
    ACTIONS(17322), 1,
      anon_sym_LBRACK,
    ACTIONS(17324), 1,
      anon_sym_LBRACE,
    STATE(5856), 1,
      sym_field_path,
    STATE(13346), 1,
      sym_attribute,
    STATE(16187), 1,
      sym_indexing_operator_path,
    STATE(17814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665635] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17326), 1,
      sym__identifier,
    ACTIONS(17328), 1,
      anon_sym_LPAREN,
    ACTIONS(17330), 1,
      anon_sym_LBRACK,
    ACTIONS(17332), 1,
      anon_sym_LBRACE,
    STATE(6643), 1,
      sym_field_path,
    STATE(13347), 1,
      sym_attribute,
    STATE(16181), 1,
      sym_indexing_operator_path,
    STATE(17760), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665673] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13348), 1,
      sym_attribute,
    STATE(19039), 1,
      sym_escape_sequence,
    STATE(19204), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [665703] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11537), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11835), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11539), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [665729] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17334), 1,
      sym__identifier,
    ACTIONS(17336), 1,
      anon_sym_LPAREN,
    ACTIONS(17338), 1,
      anon_sym_LBRACK,
    ACTIONS(17340), 1,
      anon_sym_LBRACE,
    STATE(6851), 1,
      sym_field_path,
    STATE(13350), 1,
      sym_attribute,
    STATE(16163), 1,
      sym_indexing_operator_path,
    STATE(20443), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665767] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5293), 1,
      anon_sym_LBRACK,
    ACTIONS(5309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17342), 1,
      anon_sym_LPAREN,
    ACTIONS(17344), 1,
      anon_sym_LBRACE,
    ACTIONS(17346), 1,
      sym__capitalized_identifier,
    STATE(8579), 1,
      sym__constructor_name,
    STATE(13351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13026), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [665801] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5057), 1,
      anon_sym_LBRACK,
    ACTIONS(5065), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17348), 1,
      anon_sym_LPAREN,
    ACTIONS(17350), 1,
      anon_sym_LBRACE,
    ACTIONS(17352), 1,
      sym__capitalized_identifier,
    STATE(5340), 1,
      sym__constructor_name,
    STATE(13352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5505), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [665835] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10992), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [665857] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9210), 1,
      anon_sym_COLON2,
    STATE(13354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [665881] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17354), 1,
      sym__identifier,
    ACTIONS(17356), 1,
      anon_sym_LPAREN,
    ACTIONS(17358), 1,
      anon_sym_LBRACK,
    ACTIONS(17360), 1,
      anon_sym_LBRACE,
    STATE(2850), 1,
      sym_field_path,
    STATE(13355), 1,
      sym_attribute,
    STATE(16317), 1,
      sym_indexing_operator_path,
    STATE(18908), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665919] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17362), 1,
      sym__identifier,
    ACTIONS(17364), 1,
      anon_sym_LPAREN,
    ACTIONS(17366), 1,
      anon_sym_LBRACK,
    ACTIONS(17368), 1,
      anon_sym_LBRACE,
    STATE(2713), 1,
      sym_field_path,
    STATE(13356), 1,
      sym_attribute,
    STATE(16302), 1,
      sym_indexing_operator_path,
    STATE(18798), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665957] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13357), 1,
      sym_attribute,
    STATE(19039), 1,
      sym_escape_sequence,
    STATE(19336), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [665987] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17370), 1,
      sym__identifier,
    ACTIONS(17372), 1,
      anon_sym_LPAREN,
    ACTIONS(17374), 1,
      anon_sym_LBRACK,
    ACTIONS(17376), 1,
      anon_sym_LBRACE,
    STATE(2948), 1,
      sym_field_path,
    STATE(13358), 1,
      sym_attribute,
    STATE(16191), 1,
      sym_indexing_operator_path,
    STATE(17868), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666025] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17378), 1,
      sym__identifier,
    ACTIONS(17380), 1,
      anon_sym_LPAREN,
    ACTIONS(17382), 1,
      anon_sym_LBRACK,
    ACTIONS(17384), 1,
      anon_sym_LBRACE,
    STATE(5004), 1,
      sym_field_path,
    STATE(13359), 1,
      sym_attribute,
    STATE(16312), 1,
      sym_indexing_operator_path,
    STATE(18872), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666063] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13360), 1,
      sym_attribute,
    STATE(19039), 1,
      sym_escape_sequence,
    STATE(20007), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [666093] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13361), 1,
      sym_attribute,
    STATE(18541), 1,
      sym_character_content,
    STATE(19039), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [666123] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6943), 1,
      anon_sym_LBRACK,
    ACTIONS(6953), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17386), 1,
      anon_sym_LPAREN,
    ACTIONS(17388), 1,
      anon_sym_LBRACE,
    ACTIONS(17390), 1,
      sym__capitalized_identifier,
    STATE(7680), 1,
      sym__constructor_name,
    STATE(13362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7636), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [666157] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17392), 1,
      sym__identifier,
    ACTIONS(17394), 1,
      anon_sym_LPAREN,
    ACTIONS(17396), 1,
      anon_sym_LBRACK,
    ACTIONS(17398), 1,
      anon_sym_LBRACE,
    STATE(2999), 1,
      sym_field_path,
    STATE(13363), 1,
      sym_attribute,
    STATE(16252), 1,
      sym_indexing_operator_path,
    STATE(18411), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666195] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11514), 1,
      anon_sym_COLON2,
    ACTIONS(17400), 1,
      anon_sym_LPAREN,
    STATE(13738), 1,
      sym_module_parameter,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13364), 2,
      sym_attribute,
      aux_sym_module_binding_repeat1,
    ACTIONS(11512), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [666223] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13365), 1,
      sym_attribute,
    STATE(19039), 1,
      sym_escape_sequence,
    STATE(19469), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [666253] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8947), 4,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      sym__identifier,
    ACTIONS(8949), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__capitalized_identifier,
      aux_sym_attribute_id_token1,
  [666277] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13367), 1,
      sym_attribute,
    STATE(19039), 1,
      sym_escape_sequence,
    STATE(19447), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [666307] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13368), 1,
      sym_attribute,
    STATE(19039), 1,
      sym_escape_sequence,
    STATE(19667), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [666337] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5125), 1,
      anon_sym_LBRACK,
    ACTIONS(5133), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17403), 1,
      anon_sym_LPAREN,
    ACTIONS(17405), 1,
      anon_sym_LBRACE,
    ACTIONS(17407), 1,
      sym__capitalized_identifier,
    STATE(5496), 1,
      sym__constructor_name,
    STATE(13369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5710), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [666371] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17409), 1,
      sym__identifier,
    ACTIONS(17411), 1,
      anon_sym_LPAREN,
    ACTIONS(17413), 1,
      anon_sym_LBRACK,
    ACTIONS(17415), 1,
      anon_sym_LBRACE,
    STATE(5549), 1,
      sym_field_path,
    STATE(13370), 1,
      sym_attribute,
    STATE(16305), 1,
      sym_indexing_operator_path,
    STATE(18835), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666409] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17010), 1,
      anon_sym_LPAREN,
    ACTIONS(17012), 1,
      anon_sym_LBRACK,
    ACTIONS(17014), 1,
      anon_sym_LBRACE,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(7283), 1,
      sym_field_path,
    STATE(13371), 1,
      sym_attribute,
    STATE(16109), 1,
      sym_indexing_operator_path,
    STATE(18729), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666447] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17419), 1,
      sym__identifier,
    ACTIONS(17421), 1,
      anon_sym_LPAREN,
    ACTIONS(17423), 1,
      anon_sym_LBRACK,
    ACTIONS(17425), 1,
      anon_sym_LBRACE,
    STATE(5988), 1,
      sym_field_path,
    STATE(13372), 1,
      sym_attribute,
    STATE(16244), 1,
      sym_indexing_operator_path,
    STATE(18331), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666485] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17427), 1,
      sym__identifier,
    ACTIONS(17429), 1,
      anon_sym_LPAREN,
    ACTIONS(17431), 1,
      anon_sym_LBRACK,
    ACTIONS(17433), 1,
      anon_sym_LBRACE,
    STATE(7017), 1,
      sym_field_path,
    STATE(13373), 1,
      sym_attribute,
    STATE(16276), 1,
      sym_indexing_operator_path,
    STATE(18609), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666523] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17435), 1,
      sym__identifier,
    ACTIONS(17437), 1,
      anon_sym_LPAREN,
    ACTIONS(17439), 1,
      anon_sym_LBRACK,
    ACTIONS(17441), 1,
      anon_sym_LBRACE,
    STATE(3050), 1,
      sym_field_path,
    STATE(13374), 1,
      sym_attribute,
    STATE(16263), 1,
      sym_indexing_operator_path,
    STATE(18491), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666561] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9206), 1,
      anon_sym_COLON2,
    STATE(13375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [666585] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9214), 1,
      anon_sym_COLON2,
    STATE(13376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [666609] = 12,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(16962), 1,
      sym_indexing_operator,
    ACTIONS(17443), 1,
      sym__identifier,
    ACTIONS(17445), 1,
      anon_sym_LPAREN,
    ACTIONS(17447), 1,
      anon_sym_LBRACK,
    ACTIONS(17449), 1,
      anon_sym_LBRACE,
    STATE(5966), 1,
      sym_field_path,
    STATE(13377), 1,
      sym_attribute,
    STATE(16229), 1,
      sym_indexing_operator_path,
    STATE(18211), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666647] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9218), 1,
      anon_sym_COLON2,
    STATE(13378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [666671] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9222), 1,
      anon_sym_COLON2,
    STATE(13379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [666695] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9226), 1,
      anon_sym_COLON2,
    STATE(13380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [666719] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11226), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(11278), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [666743] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11282), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [666765] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13383), 1,
      sym_attribute,
    STATE(19039), 1,
      sym_escape_sequence,
    STATE(19579), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [666795] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12444), 1,
      anon_sym_LPAREN,
    ACTIONS(12446), 1,
      anon_sym_LBRACK,
    ACTIONS(16924), 1,
      anon_sym_PIPE,
    STATE(10612), 1,
      sym_variant_declaration,
    STATE(11028), 1,
      sym__constructor_name,
    STATE(11828), 1,
      sym_constructor_declaration,
    STATE(13384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12448), 2,
      anon_sym_true,
      anon_sym_false,
  [666831] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16950), 1,
      aux_sym_character_content_token2,
    STATE(13385), 1,
      sym_attribute,
    STATE(19039), 1,
      sym_escape_sequence,
    STATE(20228), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16948), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16952), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [666861] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16970), 1,
      anon_sym_DASH_GT,
    ACTIONS(17154), 1,
      anon_sym_as,
    STATE(13386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12392), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [666887] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17457), 1,
      sym__right_quoted_string_delimiter,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17454), 2,
      sym__null,
      aux_sym_string_content_token2,
    STATE(13387), 2,
      sym_attribute,
      aux_sym_quoted_string_content_repeat1,
    ACTIONS(17451), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [666912] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17459), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [666933] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17461), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [666954] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11809), 1,
      sym__identifier,
    ACTIONS(14614), 1,
      anon_sym_POUND,
    ACTIONS(17463), 1,
      anon_sym_SEMI,
    ACTIONS(17465), 1,
      anon_sym_GT,
    STATE(12454), 1,
      sym_type_constructor_path,
    STATE(13390), 1,
      sym_attribute,
    STATE(15672), 1,
      aux_sym_object_type_repeat1,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666989] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17467), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13391), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12310), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [667014] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11342), 1,
      anon_sym_LBRACK,
    ACTIONS(11344), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11346), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17470), 1,
      sym__identifier,
    ACTIONS(17472), 1,
      anon_sym_LPAREN,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    STATE(13392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10241), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [667047] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11809), 1,
      sym__identifier,
    ACTIONS(14614), 1,
      anon_sym_POUND,
    ACTIONS(17476), 1,
      anon_sym_SEMI,
    ACTIONS(17478), 1,
      anon_sym_GT,
    STATE(12454), 1,
      sym_type_constructor_path,
    STATE(13393), 1,
      sym_attribute,
    STATE(15363), 1,
      aux_sym_object_type_repeat1,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667082] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17480), 1,
      sym__identifier,
    ACTIONS(17482), 1,
      anon_sym_LPAREN,
    STATE(13394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10184), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [667115] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9438), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9440), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10787), 1,
      anon_sym_LBRACK,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17484), 1,
      sym__identifier,
    ACTIONS(17486), 1,
      anon_sym_LPAREN,
    STATE(13395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9484), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [667148] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11206), 1,
      anon_sym_LBRACK,
    ACTIONS(11208), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11210), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17488), 1,
      sym__identifier,
    ACTIONS(17490), 1,
      anon_sym_LPAREN,
    STATE(13396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10481), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [667181] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17492), 1,
      anon_sym_EQ,
    ACTIONS(17494), 1,
      anon_sym_RPAREN,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    STATE(13397), 1,
      sym_attribute,
    STATE(16582), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667216] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7871), 1,
      anon_sym_POUND,
    STATE(13398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7873), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      sym_hash_operator,
  [667239] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11326), 1,
      anon_sym_LBRACK,
    ACTIONS(11328), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17498), 1,
      sym__identifier,
    ACTIONS(17500), 1,
      anon_sym_LPAREN,
    STATE(13399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13640), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [667272] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17502), 1,
      sym__right_quoted_string_delimiter,
    STATE(13387), 1,
      aux_sym_quoted_string_content_repeat1,
    STATE(13400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17054), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17052), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [667299] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11809), 1,
      sym__identifier,
    ACTIONS(14614), 1,
      anon_sym_POUND,
    ACTIONS(17504), 1,
      anon_sym_SEMI,
    ACTIONS(17506), 1,
      anon_sym_GT,
    STATE(12454), 1,
      sym_type_constructor_path,
    STATE(13401), 1,
      sym_attribute,
    STATE(15442), 1,
      aux_sym_object_type_repeat1,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667334] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_LBRACK,
    ACTIONS(10177), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10179), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17508), 1,
      sym__identifier,
    ACTIONS(17510), 1,
      anon_sym_LPAREN,
    STATE(13402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11765), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [667367] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12053), 1,
      anon_sym_in,
    ACTIONS(16882), 1,
      sym__identifier,
    ACTIONS(16884), 1,
      anon_sym_POUND,
    STATE(13403), 1,
      sym_attribute,
    STATE(13648), 1,
      sym_type_constructor_path,
    STATE(16934), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12051), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
  [667400] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10221), 1,
      anon_sym_LBRACK,
    ACTIONS(10223), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10225), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17512), 1,
      sym__identifier,
    ACTIONS(17514), 1,
      anon_sym_LPAREN,
    STATE(13404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10722), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [667433] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11809), 1,
      sym__identifier,
    ACTIONS(14614), 1,
      anon_sym_POUND,
    ACTIONS(17516), 1,
      anon_sym_SEMI,
    ACTIONS(17518), 1,
      anon_sym_GT,
    STATE(12454), 1,
      sym_type_constructor_path,
    STATE(13405), 1,
      sym_attribute,
    STATE(16410), 1,
      aux_sym_object_type_repeat1,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667468] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17520), 1,
      anon_sym_EQ,
    ACTIONS(17522), 1,
      anon_sym_RPAREN,
    STATE(13406), 1,
      sym_attribute,
    STATE(16719), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667503] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11809), 1,
      sym__identifier,
    ACTIONS(14614), 1,
      anon_sym_POUND,
    ACTIONS(17524), 1,
      anon_sym_SEMI,
    ACTIONS(17526), 1,
      anon_sym_GT,
    STATE(12454), 1,
      sym_type_constructor_path,
    STATE(13407), 1,
      sym_attribute,
    STATE(15031), 1,
      aux_sym_object_type_repeat1,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667538] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10740), 1,
      anon_sym_LBRACK,
    ACTIONS(10742), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10744), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17528), 1,
      sym__identifier,
    ACTIONS(17530), 1,
      anon_sym_LPAREN,
    STATE(13408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12853), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [667571] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11809), 1,
      sym__identifier,
    ACTIONS(14614), 1,
      anon_sym_POUND,
    ACTIONS(17532), 1,
      anon_sym_SEMI,
    ACTIONS(17534), 1,
      anon_sym_GT,
    STATE(12454), 1,
      sym_type_constructor_path,
    STATE(13409), 1,
      sym_attribute,
    STATE(15252), 1,
      aux_sym_object_type_repeat1,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667606] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11809), 1,
      sym__identifier,
    ACTIONS(14614), 1,
      anon_sym_POUND,
    ACTIONS(17536), 1,
      anon_sym_SEMI,
    ACTIONS(17538), 1,
      anon_sym_GT,
    STATE(12454), 1,
      sym_type_constructor_path,
    STATE(13410), 1,
      sym_attribute,
    STATE(15295), 1,
      aux_sym_object_type_repeat1,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667641] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11809), 1,
      sym__identifier,
    ACTIONS(14614), 1,
      anon_sym_POUND,
    ACTIONS(17540), 1,
      anon_sym_SEMI,
    ACTIONS(17542), 1,
      anon_sym_GT,
    STATE(12454), 1,
      sym_type_constructor_path,
    STATE(13411), 1,
      sym_attribute,
    STATE(15479), 1,
      aux_sym_object_type_repeat1,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667676] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11809), 1,
      sym__identifier,
    ACTIONS(14614), 1,
      anon_sym_POUND,
    ACTIONS(17544), 1,
      anon_sym_SEMI,
    ACTIONS(17546), 1,
      anon_sym_GT,
    STATE(12454), 1,
      sym_type_constructor_path,
    STATE(13412), 1,
      sym_attribute,
    STATE(15875), 1,
      aux_sym_object_type_repeat1,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667711] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10796), 1,
      anon_sym_LBRACK,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17548), 1,
      sym__identifier,
    ACTIONS(17550), 1,
      anon_sym_LPAREN,
    STATE(13413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9555), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [667744] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11809), 1,
      sym__identifier,
    ACTIONS(14614), 1,
      anon_sym_POUND,
    ACTIONS(17552), 1,
      anon_sym_SEMI,
    ACTIONS(17554), 1,
      anon_sym_GT,
    STATE(12454), 1,
      sym_type_constructor_path,
    STATE(13414), 1,
      sym_attribute,
    STATE(16099), 1,
      aux_sym_object_type_repeat1,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667779] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11809), 1,
      sym__identifier,
    ACTIONS(14614), 1,
      anon_sym_POUND,
    ACTIONS(17556), 1,
      anon_sym_SEMI,
    ACTIONS(17558), 1,
      anon_sym_GT,
    STATE(12454), 1,
      sym_type_constructor_path,
    STATE(13415), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_object_type_repeat1,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667814] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11304), 1,
      anon_sym_LBRACK,
    ACTIONS(11306), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11308), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17560), 1,
      sym__identifier,
    ACTIONS(17562), 1,
      anon_sym_LPAREN,
    STATE(13416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10744), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [667847] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17564), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(13417), 1,
      sym_attribute,
    STATE(13419), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12336), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [667874] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17564), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(13418), 1,
      sym_attribute,
    STATE(13420), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12342), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [667901] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17564), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(13391), 1,
      aux_sym_type_binding_repeat1,
    STATE(13419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12342), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [667928] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17564), 1,
      anon_sym_constraint,
    STATE(9129), 1,
      sym_type_constraint,
    STATE(13391), 1,
      aux_sym_type_binding_repeat1,
    STATE(13420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12346), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [667955] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11809), 1,
      sym__identifier,
    ACTIONS(14614), 1,
      anon_sym_POUND,
    ACTIONS(17566), 1,
      anon_sym_SEMI,
    ACTIONS(17568), 1,
      anon_sym_GT,
    STATE(12454), 1,
      sym_type_constructor_path,
    STATE(13421), 1,
      sym_attribute,
    STATE(15299), 1,
      aux_sym_object_type_repeat1,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667990] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7825), 1,
      anon_sym_POUND,
    STATE(13422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 3,
      anon_sym_DOT,
      anon_sym_with,
      sym_hash_operator,
    ACTIONS(7873), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [668015] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17570), 1,
      sym__identifier,
    ACTIONS(17572), 1,
      anon_sym_LPAREN,
    STATE(13423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12336), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [668048] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11809), 1,
      sym__identifier,
    ACTIONS(14614), 1,
      anon_sym_POUND,
    ACTIONS(17574), 1,
      anon_sym_SEMI,
    ACTIONS(17576), 1,
      anon_sym_GT,
    STATE(12454), 1,
      sym_type_constructor_path,
    STATE(13424), 1,
      sym_attribute,
    STATE(15618), 1,
      aux_sym_object_type_repeat1,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668083] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17578), 1,
      anon_sym_EQ,
    ACTIONS(17580), 1,
      anon_sym_RPAREN,
    STATE(13425), 1,
      sym_attribute,
    STATE(17107), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668118] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10483), 4,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      sym__identifier,
    ACTIONS(10485), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__capitalized_identifier,
  [668141] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11809), 1,
      sym__identifier,
    ACTIONS(14614), 1,
      anon_sym_POUND,
    ACTIONS(17582), 1,
      anon_sym_SEMI,
    ACTIONS(17584), 1,
      anon_sym_GT,
    STATE(12454), 1,
      sym_type_constructor_path,
    STATE(13427), 1,
      sym_attribute,
    STATE(15050), 1,
      aux_sym_object_type_repeat1,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668176] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11809), 1,
      sym__identifier,
    ACTIONS(14614), 1,
      anon_sym_POUND,
    ACTIONS(17586), 1,
      anon_sym_SEMI,
    ACTIONS(17588), 1,
      anon_sym_GT,
    STATE(12454), 1,
      sym_type_constructor_path,
    STATE(13428), 1,
      sym_attribute,
    STATE(15133), 1,
      aux_sym_object_type_repeat1,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668211] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17572), 1,
      anon_sym_LPAREN,
    ACTIONS(17590), 1,
      sym__identifier,
    STATE(13429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12336), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [668244] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11809), 1,
      sym__identifier,
    ACTIONS(14614), 1,
      anon_sym_POUND,
    ACTIONS(17592), 1,
      anon_sym_SEMI,
    ACTIONS(17594), 1,
      anon_sym_GT,
    STATE(12454), 1,
      sym_type_constructor_path,
    STATE(13430), 1,
      sym_attribute,
    STATE(15190), 1,
      aux_sym_object_type_repeat1,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668279] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10698), 1,
      anon_sym_LBRACK,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17596), 1,
      sym__identifier,
    ACTIONS(17598), 1,
      anon_sym_LPAREN,
    STATE(13431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10088), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [668312] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17600), 1,
      anon_sym_EQ,
    ACTIONS(17602), 1,
      anon_sym_RPAREN,
    STATE(13432), 1,
      sym_attribute,
    STATE(17355), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668347] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17572), 1,
      anon_sym_LPAREN,
    ACTIONS(17604), 1,
      sym__identifier,
    STATE(13433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12336), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [668380] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11809), 1,
      sym__identifier,
    ACTIONS(14614), 1,
      anon_sym_POUND,
    ACTIONS(17606), 1,
      anon_sym_SEMI,
    ACTIONS(17608), 1,
      anon_sym_GT,
    STATE(12454), 1,
      sym_type_constructor_path,
    STATE(13434), 1,
      sym_attribute,
    STATE(15817), 1,
      aux_sym_object_type_repeat1,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668415] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11186), 1,
      anon_sym_LBRACK,
    ACTIONS(11188), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11190), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17610), 1,
      sym__identifier,
    ACTIONS(17612), 1,
      anon_sym_LPAREN,
    STATE(13435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10846), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [668448] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17614), 1,
      anon_sym_STAR,
    STATE(13436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10343), 7,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [668471] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10095), 1,
      anon_sym_LBRACK,
    ACTIONS(10097), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10099), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17616), 1,
      sym__identifier,
    ACTIONS(17618), 1,
      anon_sym_LPAREN,
    STATE(13437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12751), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [668504] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17572), 1,
      anon_sym_LPAREN,
    ACTIONS(17620), 1,
      sym__identifier,
    STATE(13438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12336), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [668537] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11809), 1,
      sym__identifier,
    ACTIONS(14614), 1,
      anon_sym_POUND,
    ACTIONS(17622), 1,
      anon_sym_SEMI,
    ACTIONS(17624), 1,
      anon_sym_GT,
    STATE(12454), 1,
      sym_type_constructor_path,
    STATE(13439), 1,
      sym_attribute,
    STATE(15513), 1,
      aux_sym_object_type_repeat1,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668572] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10808), 1,
      anon_sym_LBRACK,
    ACTIONS(10810), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10812), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17626), 1,
      sym__identifier,
    ACTIONS(17628), 1,
      anon_sym_LPAREN,
    STATE(13440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9210), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [668605] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11809), 1,
      sym__identifier,
    ACTIONS(14614), 1,
      anon_sym_POUND,
    ACTIONS(17630), 1,
      anon_sym_SEMI,
    ACTIONS(17632), 1,
      anon_sym_GT,
    STATE(12454), 1,
      sym_type_constructor_path,
    STATE(13441), 1,
      sym_attribute,
    STATE(15327), 1,
      aux_sym_object_type_repeat1,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668640] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10888), 1,
      anon_sym_LBRACK,
    ACTIONS(10890), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10892), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17634), 1,
      sym__identifier,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    STATE(13442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9125), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [668673] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10781), 1,
      anon_sym_LBRACK,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17638), 1,
      sym__identifier,
    ACTIONS(17640), 1,
      anon_sym_LPAREN,
    STATE(13443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9367), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [668706] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7891), 1,
      anon_sym_POUND,
    STATE(13444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      sym_hash_operator,
  [668729] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7825), 1,
      anon_sym_POUND,
    STATE(13445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 3,
      anon_sym_DOT,
      anon_sym_with,
      sym_hash_operator,
    ACTIONS(7893), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [668754] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9986), 1,
      anon_sym_LBRACK,
    ACTIONS(9988), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9990), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17642), 1,
      sym__identifier,
    ACTIONS(17644), 1,
      anon_sym_LPAREN,
    STATE(13446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11005), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [668787] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11593), 8,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [668808] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17646), 1,
      anon_sym_and,
    STATE(13448), 1,
      sym_attribute,
    STATE(13453), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13245), 6,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [668833] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11809), 1,
      sym__identifier,
    ACTIONS(14614), 1,
      anon_sym_POUND,
    ACTIONS(17648), 1,
      anon_sym_SEMI,
    ACTIONS(17650), 1,
      anon_sym_GT,
    STATE(12454), 1,
      sym_type_constructor_path,
    STATE(13449), 1,
      sym_attribute,
    STATE(15102), 1,
      aux_sym_object_type_repeat1,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668868] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17652), 1,
      anon_sym_EQ,
    ACTIONS(17654), 1,
      anon_sym_RPAREN,
    STATE(13450), 1,
      sym_attribute,
    STATE(17243), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17656), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13451), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(11891), 6,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [668926] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17572), 1,
      anon_sym_LPAREN,
    ACTIONS(17659), 1,
      sym__identifier,
    STATE(13452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12336), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [668959] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17646), 1,
      anon_sym_and,
    STATE(13451), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(13453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13133), 6,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [668984] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10854), 1,
      anon_sym_LBRACK,
    ACTIONS(10856), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10858), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17661), 1,
      sym__identifier,
    ACTIONS(17663), 1,
      anon_sym_LPAREN,
    STATE(13454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13117), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [669017] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10832), 1,
      anon_sym_LBRACK,
    ACTIONS(10834), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10836), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17665), 1,
      sym__identifier,
    ACTIONS(17667), 1,
      anon_sym_LPAREN,
    STATE(13455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9453), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [669050] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17669), 1,
      anon_sym_EQ,
    ACTIONS(17671), 1,
      anon_sym_RPAREN,
    STATE(13456), 1,
      sym_attribute,
    STATE(16825), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669085] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10668), 1,
      anon_sym_LBRACK,
    ACTIONS(10670), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10672), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17673), 1,
      sym__identifier,
    ACTIONS(17675), 1,
      anon_sym_LPAREN,
    STATE(13457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9514), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [669118] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11809), 1,
      sym__identifier,
    ACTIONS(14614), 1,
      anon_sym_POUND,
    ACTIONS(17677), 1,
      anon_sym_SEMI,
    ACTIONS(17679), 1,
      anon_sym_GT,
    STATE(12454), 1,
      sym_type_constructor_path,
    STATE(13458), 1,
      sym_attribute,
    STATE(15729), 1,
      aux_sym_object_type_repeat1,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669153] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(7811), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17572), 1,
      anon_sym_LPAREN,
    ACTIONS(17681), 1,
      sym__identifier,
    STATE(13459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12336), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [669186] = 11,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11809), 1,
      sym__identifier,
    ACTIONS(14614), 1,
      anon_sym_POUND,
    ACTIONS(17683), 1,
      anon_sym_SEMI,
    ACTIONS(17685), 1,
      anon_sym_GT,
    STATE(12454), 1,
      sym_type_constructor_path,
    STATE(13460), 1,
      sym_attribute,
    STATE(15380), 1,
      aux_sym_object_type_repeat1,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669221] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11240), 1,
      anon_sym_LBRACK,
    ACTIONS(11242), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17687), 1,
      sym__identifier,
    ACTIONS(17689), 1,
      anon_sym_LPAREN,
    STATE(13461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10756), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [669254] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17691), 1,
      anon_sym_COMMA,
    ACTIONS(17693), 1,
      anon_sym_PIPE,
    ACTIONS(17695), 1,
      anon_sym_SEMI,
    ACTIONS(17697), 1,
      anon_sym_as,
    ACTIONS(17699), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17701), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13462), 1,
      sym_attribute,
    STATE(15088), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669286] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17703), 1,
      anon_sym_RPAREN,
    ACTIONS(17705), 1,
      anon_sym_COMMA,
    ACTIONS(17707), 1,
      anon_sym_PIPE,
    ACTIONS(17709), 1,
      anon_sym_as,
    ACTIONS(17711), 1,
      anon_sym_COLON_COLON,
    STATE(13463), 1,
      sym_attribute,
    STATE(17919), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669318] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17713), 1,
      anon_sym_RPAREN,
    STATE(13464), 1,
      sym_attribute,
    STATE(18882), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11665), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11667), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [669372] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17715), 1,
      anon_sym_RPAREN,
    STATE(13466), 1,
      sym_attribute,
    STATE(17993), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669404] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17717), 1,
      anon_sym_DASH_GT,
    ACTIONS(17719), 1,
      anon_sym_when,
    STATE(13467), 1,
      sym_attribute,
    STATE(18219), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669436] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11831), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [669456] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17721), 1,
      anon_sym_RPAREN,
    STATE(13469), 1,
      sym_attribute,
    STATE(19941), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669488] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(17723), 1,
      anon_sym__,
    STATE(13470), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(15440), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [669518] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17719), 1,
      anon_sym_when,
    ACTIONS(17725), 1,
      anon_sym_DASH_GT,
    STATE(13471), 1,
      sym_attribute,
    STATE(18137), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669550] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11480), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11482), 1,
      anon_sym_in,
    ACTIONS(16882), 1,
      sym__identifier,
    ACTIONS(16884), 1,
      anon_sym_POUND,
    STATE(13472), 1,
      sym_attribute,
    STATE(13648), 1,
      sym_type_constructor_path,
    STATE(16934), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669582] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8288), 1,
      anon_sym_PIPE,
    STATE(13473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [669604] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17727), 1,
      anon_sym_RPAREN,
    STATE(13474), 1,
      sym_attribute,
    STATE(18728), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669636] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17729), 1,
      sym__identifier,
    ACTIONS(17731), 1,
      anon_sym__,
    ACTIONS(17733), 1,
      anon_sym_RBRACE,
    STATE(13475), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(17174), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669668] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(13476), 1,
      sym_attribute,
    STATE(14211), 1,
      sym_field_path,
    STATE(16183), 1,
      sym_field_binding_pattern,
    STATE(17903), 1,
      sym_module_path,
    STATE(19856), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669700] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17735), 1,
      anon_sym_COMMA,
    ACTIONS(17737), 1,
      anon_sym_PIPE,
    ACTIONS(17739), 1,
      anon_sym_RBRACK,
    ACTIONS(17741), 1,
      anon_sym_SEMI,
    ACTIONS(17743), 1,
      anon_sym_as,
    ACTIONS(17745), 1,
      anon_sym_COLON_COLON,
    STATE(13477), 1,
      sym_attribute,
    STATE(16407), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669732] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17735), 1,
      anon_sym_COMMA,
    ACTIONS(17737), 1,
      anon_sym_PIPE,
    ACTIONS(17743), 1,
      anon_sym_as,
    ACTIONS(17745), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17747), 1,
      anon_sym_RBRACK,
    ACTIONS(17749), 1,
      anon_sym_SEMI,
    STATE(13478), 1,
      sym_attribute,
    STATE(15348), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669764] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17745), 1,
      anon_sym_COLON_COLON,
    STATE(13479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [669786] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11488), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11490), 1,
      anon_sym_in,
    ACTIONS(16882), 1,
      sym__identifier,
    ACTIONS(16884), 1,
      anon_sym_POUND,
    STATE(13480), 1,
      sym_attribute,
    STATE(13648), 1,
      sym_type_constructor_path,
    STATE(16934), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669818] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17719), 1,
      anon_sym_when,
    ACTIONS(17751), 1,
      anon_sym_DASH_GT,
    STATE(13481), 1,
      sym_attribute,
    STATE(19361), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669850] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17753), 1,
      anon_sym_COMMA,
    ACTIONS(17755), 1,
      anon_sym_PIPE,
    ACTIONS(17757), 1,
      anon_sym_SEMI,
    ACTIONS(17759), 1,
      anon_sym_as,
    ACTIONS(17761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17763), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13482), 1,
      sym_attribute,
    STATE(16417), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669882] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17719), 1,
      anon_sym_when,
    ACTIONS(17765), 1,
      anon_sym_DASH_GT,
    STATE(13483), 1,
      sym_attribute,
    STATE(17882), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669914] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17729), 1,
      sym__identifier,
    ACTIONS(17767), 1,
      anon_sym__,
    ACTIONS(17769), 1,
      anon_sym_RBRACE,
    STATE(13484), 1,
      sym_attribute,
    STATE(14211), 1,
      sym_field_path,
    STATE(16522), 1,
      sym_field_binding_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669946] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17771), 1,
      anon_sym_RPAREN,
    STATE(13485), 1,
      sym_attribute,
    STATE(18913), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669978] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17773), 1,
      anon_sym_RPAREN,
    STATE(13486), 1,
      sym_attribute,
    STATE(18040), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670010] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12290), 1,
      anon_sym_LPAREN,
    ACTIONS(12292), 1,
      anon_sym_LBRACK,
    STATE(10510), 1,
      sym_constructor_declaration,
    STATE(10795), 1,
      sym__constructor_name,
    STATE(13487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12294), 2,
      anon_sym_true,
      anon_sym_false,
  [670040] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8274), 1,
      anon_sym_PIPE,
    STATE(13488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [670062] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17775), 1,
      anon_sym_RPAREN,
    STATE(13489), 1,
      sym_attribute,
    STATE(20258), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670094] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17735), 1,
      anon_sym_COMMA,
    ACTIONS(17745), 1,
      anon_sym_COLON_COLON,
    STATE(13490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 5,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [670118] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17745), 1,
      anon_sym_COLON_COLON,
    STATE(13491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [670140] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17735), 1,
      anon_sym_COMMA,
    ACTIONS(17737), 1,
      anon_sym_PIPE,
    ACTIONS(17743), 1,
      anon_sym_as,
    ACTIONS(17745), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17777), 1,
      anon_sym_RBRACK,
    ACTIONS(17779), 1,
      anon_sym_SEMI,
    STATE(13492), 1,
      sym_attribute,
    STATE(16166), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670172] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17781), 1,
      anon_sym_RPAREN,
    STATE(13493), 1,
      sym_attribute,
    STATE(18047), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670204] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17753), 1,
      anon_sym_COMMA,
    ACTIONS(17755), 1,
      anon_sym_PIPE,
    ACTIONS(17759), 1,
      anon_sym_as,
    ACTIONS(17761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17783), 1,
      anon_sym_SEMI,
    ACTIONS(17785), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13494), 1,
      sym_attribute,
    STATE(15352), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670236] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17580), 1,
      anon_sym_RPAREN,
    STATE(13495), 1,
      sym_attribute,
    STATE(19269), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670268] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17719), 1,
      anon_sym_when,
    ACTIONS(17787), 1,
      anon_sym_DASH_GT,
    STATE(13496), 1,
      sym_attribute,
    STATE(20028), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670300] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17719), 1,
      anon_sym_when,
    ACTIONS(17789), 1,
      anon_sym_DASH_GT,
    STATE(13497), 1,
      sym_attribute,
    STATE(17998), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670332] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(17791), 1,
      anon_sym_rec,
    ACTIONS(17793), 1,
      anon_sym_type,
    STATE(12526), 1,
      sym_module_binding,
    STATE(13498), 1,
      sym_attribute,
    STATE(14870), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17795), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [670362] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17797), 1,
      anon_sym_COMMA,
    ACTIONS(17799), 1,
      anon_sym_PIPE,
    ACTIONS(17801), 1,
      anon_sym_RBRACK,
    ACTIONS(17803), 1,
      anon_sym_SEMI,
    ACTIONS(17805), 1,
      anon_sym_COLON_COLON,
    STATE(13499), 1,
      sym_attribute,
    STATE(16387), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670394] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17807), 1,
      anon_sym_RPAREN,
    STATE(13500), 1,
      sym_attribute,
    STATE(18918), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670426] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8278), 1,
      anon_sym_PIPE,
    STATE(13501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [670448] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17809), 1,
      anon_sym_RPAREN,
    STATE(13502), 1,
      sym_attribute,
    STATE(19954), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670480] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8292), 1,
      anon_sym_PIPE,
    STATE(13503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [670502] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17719), 1,
      anon_sym_when,
    ACTIONS(17811), 1,
      anon_sym_DASH_GT,
    STATE(13504), 1,
      sym_attribute,
    STATE(20442), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670534] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17813), 1,
      anon_sym_RPAREN,
    STATE(13505), 1,
      sym_attribute,
    STATE(17824), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670566] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17815), 1,
      anon_sym_DASH_GT,
    STATE(13506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12416), 6,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [670588] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11476), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11478), 1,
      anon_sym_in,
    ACTIONS(16882), 1,
      sym__identifier,
    ACTIONS(16884), 1,
      anon_sym_POUND,
    STATE(13507), 1,
      sym_attribute,
    STATE(13648), 1,
      sym_type_constructor_path,
    STATE(16934), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670620] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17729), 1,
      sym__identifier,
    ACTIONS(17817), 1,
      anon_sym__,
    ACTIONS(17819), 1,
      anon_sym_RBRACE,
    STATE(13508), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(17174), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670652] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 7,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [670672] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17821), 1,
      anon_sym_RPAREN,
    STATE(13510), 1,
      sym_attribute,
    STATE(18093), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670704] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 7,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [670724] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(13512), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(15548), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    STATE(19299), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670756] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17823), 1,
      anon_sym_RPAREN,
    STATE(13513), 1,
      sym_attribute,
    STATE(18734), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670788] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12182), 1,
      anon_sym_LPAREN,
    ACTIONS(12184), 1,
      anon_sym_LBRACK,
    STATE(10358), 1,
      sym__constructor_name,
    STATE(10510), 1,
      sym_constructor_declaration,
    STATE(13514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12186), 2,
      anon_sym_true,
      anon_sym_false,
  [670818] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17825), 1,
      anon_sym_RPAREN,
    STATE(13515), 1,
      sym_attribute,
    STATE(18652), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670850] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17827), 1,
      anon_sym_RPAREN,
    STATE(13516), 1,
      sym_attribute,
    STATE(18940), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670882] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17829), 1,
      anon_sym_RPAREN,
    STATE(13517), 1,
      sym_attribute,
    STATE(20321), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670914] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17831), 1,
      anon_sym_RPAREN,
    STATE(13518), 1,
      sym_attribute,
    STATE(18942), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670946] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(17815), 1,
      anon_sym_DASH_GT,
    STATE(13519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12396), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
  [670970] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17833), 1,
      anon_sym_RPAREN,
    STATE(13520), 1,
      sym_attribute,
    STATE(18100), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671002] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17835), 1,
      anon_sym_RPAREN,
    STATE(13521), 1,
      sym_attribute,
    STATE(17723), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671034] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(13522), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(15139), 1,
      sym_field_pattern,
    STATE(17622), 1,
      sym__quoted_string,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671066] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8244), 1,
      anon_sym_PIPE,
    STATE(13523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [671088] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17837), 1,
      anon_sym_RPAREN,
    STATE(13524), 1,
      sym_attribute,
    STATE(18957), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671120] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17719), 1,
      anon_sym_when,
    ACTIONS(17839), 1,
      anon_sym_DASH_GT,
    STATE(13525), 1,
      sym_attribute,
    STATE(17782), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671152] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12304), 1,
      anon_sym_LPAREN,
    ACTIONS(12306), 1,
      anon_sym_LBRACK,
    STATE(10510), 1,
      sym_constructor_declaration,
    STATE(10750), 1,
      sym__constructor_name,
    STATE(13526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12308), 2,
      anon_sym_true,
      anon_sym_false,
  [671182] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(13527), 1,
      sym_attribute,
    STATE(14211), 1,
      sym_field_path,
    STATE(15145), 1,
      sym_field_binding_pattern,
    STATE(17622), 1,
      sym__quoted_string,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671214] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17841), 1,
      anon_sym_RPAREN,
    STATE(13528), 1,
      sym_attribute,
    STATE(18959), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11601), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11603), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [671268] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17729), 1,
      sym__identifier,
    ACTIONS(17843), 1,
      anon_sym__,
    ACTIONS(17845), 1,
      anon_sym_RBRACE,
    STATE(13530), 1,
      sym_attribute,
    STATE(14211), 1,
      sym_field_path,
    STATE(16522), 1,
      sym_field_binding_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671300] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17847), 1,
      anon_sym_RPAREN,
    STATE(13531), 1,
      sym_attribute,
    STATE(18378), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671332] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(17723), 1,
      anon_sym__,
    STATE(13532), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(15351), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [671362] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(17002), 1,
      anon_sym_LPAREN,
    ACTIONS(17004), 1,
      anon_sym_LBRACK,
    STATE(10664), 1,
      sym_constructor_declaration,
    STATE(11406), 1,
      sym__constructor_name,
    STATE(13533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17006), 2,
      anon_sym_true,
      anon_sym_false,
  [671392] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(13534), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(16177), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    STATE(20412), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671424] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8248), 1,
      anon_sym_PIPE,
    STATE(13535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [671446] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11809), 1,
      sym__identifier,
    ACTIONS(14614), 1,
      anon_sym_POUND,
    STATE(12454), 1,
      sym_type_constructor_path,
    STATE(13536), 1,
      sym_attribute,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12051), 2,
      anon_sym_DASH_GT,
      anon_sym_STAR,
  [671476] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17849), 1,
      anon_sym_RPAREN,
    STATE(13537), 1,
      sym_attribute,
    STATE(18658), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671508] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_LBRACK,
    STATE(10510), 1,
      sym_constructor_declaration,
    STATE(10926), 1,
      sym__constructor_name,
    STATE(13538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12471), 2,
      anon_sym_true,
      anon_sym_false,
  [671538] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17851), 1,
      anon_sym_RPAREN,
    STATE(13539), 1,
      sym_attribute,
    STATE(18136), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671570] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17729), 1,
      sym__identifier,
    ACTIONS(17853), 1,
      anon_sym__,
    ACTIONS(17855), 1,
      anon_sym_RBRACE,
    STATE(13540), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(17174), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671602] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17729), 1,
      sym__identifier,
    ACTIONS(17857), 1,
      anon_sym__,
    ACTIONS(17859), 1,
      anon_sym_RBRACE,
    STATE(13541), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(17174), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671634] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(17723), 1,
      anon_sym__,
    STATE(13542), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(16147), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [671664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11605), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11607), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [671686] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12128), 1,
      anon_sym_COLON2,
    STATE(13544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12126), 6,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [671708] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17719), 1,
      anon_sym_when,
    ACTIONS(17861), 1,
      anon_sym_DASH_GT,
    STATE(13545), 1,
      sym_attribute,
    STATE(19427), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671740] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17863), 1,
      anon_sym_RPAREN,
    STATE(13546), 1,
      sym_attribute,
    STATE(18142), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671772] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17729), 1,
      sym__identifier,
    ACTIONS(17865), 1,
      anon_sym__,
    ACTIONS(17867), 1,
      anon_sym_RBRACE,
    STATE(13547), 1,
      sym_attribute,
    STATE(14211), 1,
      sym_field_path,
    STATE(16522), 1,
      sym_field_binding_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671804] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(13177), 1,
      anon_sym_LPAREN,
    ACTIONS(13179), 1,
      anon_sym_LBRACK,
    STATE(10510), 1,
      sym_constructor_declaration,
    STATE(11504), 1,
      sym__constructor_name,
    STATE(13548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13181), 2,
      anon_sym_true,
      anon_sym_false,
  [671834] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(17873), 1,
      anon_sym_AMP,
    STATE(13549), 1,
      sym_attribute,
    STATE(14270), 1,
      aux_sym_tag_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17869), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [671862] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17875), 1,
      anon_sym_RPAREN,
    STATE(13550), 1,
      sym_attribute,
    STATE(18620), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671894] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8258), 1,
      anon_sym_PIPE,
    STATE(13551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [671916] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17877), 1,
      anon_sym_RPAREN,
    STATE(13552), 1,
      sym_attribute,
    STATE(18766), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671948] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17797), 1,
      anon_sym_COMMA,
    ACTIONS(17799), 1,
      anon_sym_PIPE,
    ACTIONS(17805), 1,
      anon_sym_COLON_COLON,
    STATE(13553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16928), 3,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [671976] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12212), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12214), 1,
      anon_sym_in,
    ACTIONS(16882), 1,
      sym__identifier,
    ACTIONS(16884), 1,
      anon_sym_POUND,
    STATE(13554), 1,
      sym_attribute,
    STATE(13648), 1,
      sym_type_constructor_path,
    STATE(16934), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672008] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17729), 1,
      sym__identifier,
    ACTIONS(17879), 1,
      anon_sym__,
    ACTIONS(17881), 1,
      anon_sym_RBRACE,
    STATE(13555), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(17174), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672040] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17883), 1,
      anon_sym_RPAREN,
    STATE(13556), 1,
      sym_attribute,
    STATE(17831), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11625), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11627), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [672094] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17719), 1,
      anon_sym_when,
    ACTIONS(17885), 1,
      anon_sym_DASH_GT,
    STATE(13558), 1,
      sym_attribute,
    STATE(20174), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672126] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(13559), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(15224), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    STATE(18381), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672158] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17729), 1,
      sym__identifier,
    ACTIONS(17887), 1,
      anon_sym__,
    ACTIONS(17889), 1,
      anon_sym_RBRACE,
    STATE(13560), 1,
      sym_attribute,
    STATE(14211), 1,
      sym_field_path,
    STATE(16522), 1,
      sym_field_binding_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672190] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17891), 1,
      anon_sym_RPAREN,
    STATE(13561), 1,
      sym_attribute,
    STATE(18176), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672222] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_RPAREN,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    STATE(13562), 1,
      sym_attribute,
    STATE(18562), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672254] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17797), 1,
      anon_sym_COMMA,
    ACTIONS(17799), 1,
      anon_sym_PIPE,
    ACTIONS(17805), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17893), 1,
      anon_sym_RBRACK,
    ACTIONS(17895), 1,
      anon_sym_SEMI,
    STATE(13563), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672286] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17897), 1,
      anon_sym_RPAREN,
    STATE(13564), 1,
      sym_attribute,
    STATE(18771), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672318] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17899), 1,
      anon_sym_RPAREN,
    STATE(13565), 1,
      sym_attribute,
    STATE(17561), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672350] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(13566), 1,
      sym_attribute,
    STATE(14211), 1,
      sym_field_path,
    STATE(15560), 1,
      sym_field_binding_pattern,
    STATE(17903), 1,
      sym_module_path,
    STATE(18954), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672382] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17729), 1,
      sym__identifier,
    ACTIONS(17901), 1,
      anon_sym__,
    ACTIONS(17903), 1,
      anon_sym_RBRACE,
    STATE(13567), 1,
      sym_attribute,
    STATE(14211), 1,
      sym_field_path,
    STATE(16522), 1,
      sym_field_binding_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672414] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17691), 1,
      anon_sym_COMMA,
    ACTIONS(17693), 1,
      anon_sym_PIPE,
    ACTIONS(17697), 1,
      anon_sym_as,
    ACTIONS(17699), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17905), 1,
      anon_sym_SEMI,
    ACTIONS(17907), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13568), 1,
      sym_attribute,
    STATE(16395), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672446] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17909), 1,
      anon_sym_RPAREN,
    STATE(13569), 1,
      sym_attribute,
    STATE(18182), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672478] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17705), 1,
      anon_sym_COMMA,
    ACTIONS(17707), 1,
      anon_sym_PIPE,
    ACTIONS(17709), 1,
      anon_sym_as,
    ACTIONS(17711), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17911), 1,
      anon_sym_RPAREN,
    STATE(13570), 1,
      sym_attribute,
    STATE(18254), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672510] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17913), 1,
      anon_sym_RPAREN,
    STATE(13571), 1,
      sym_attribute,
    STATE(18776), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672542] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17735), 1,
      anon_sym_COMMA,
    ACTIONS(17737), 1,
      anon_sym_PIPE,
    ACTIONS(17743), 1,
      anon_sym_as,
    ACTIONS(17745), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17915), 1,
      anon_sym_RBRACK,
    ACTIONS(17917), 1,
      anon_sym_SEMI,
    STATE(13572), 1,
      sym_attribute,
    STATE(15106), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672574] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17719), 1,
      anon_sym_when,
    ACTIONS(17919), 1,
      anon_sym_DASH_GT,
    STATE(13573), 1,
      sym_attribute,
    STATE(17927), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672606] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17719), 1,
      anon_sym_when,
    ACTIONS(17921), 1,
      anon_sym_DASH_GT,
    STATE(13574), 1,
      sym_attribute,
    STATE(19058), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672638] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(17723), 1,
      anon_sym__,
    STATE(13575), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(15245), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [672668] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12252), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12254), 1,
      anon_sym_in,
    ACTIONS(16882), 1,
      sym__identifier,
    ACTIONS(16884), 1,
      anon_sym_POUND,
    STATE(13576), 1,
      sym_attribute,
    STATE(13648), 1,
      sym_type_constructor_path,
    STATE(16934), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672700] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17797), 1,
      anon_sym_COMMA,
    ACTIONS(17799), 1,
      anon_sym_PIPE,
    ACTIONS(17805), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17923), 1,
      anon_sym_RBRACK,
    ACTIONS(17925), 1,
      anon_sym_SEMI,
    STATE(13577), 1,
      sym_attribute,
    STATE(15340), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11629), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11631), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [672754] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17927), 1,
      anon_sym_RPAREN,
    STATE(13579), 1,
      sym_attribute,
    STATE(17800), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672786] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17753), 1,
      anon_sym_COMMA,
    ACTIONS(17755), 1,
      anon_sym_PIPE,
    ACTIONS(17759), 1,
      anon_sym_as,
    ACTIONS(17761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17929), 1,
      anon_sym_SEMI,
    ACTIONS(17931), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13580), 1,
      sym_attribute,
    STATE(15115), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672818] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17719), 1,
      anon_sym_when,
    ACTIONS(17933), 1,
      anon_sym_DASH_GT,
    STATE(13581), 1,
      sym_attribute,
    STATE(20340), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672850] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17719), 1,
      anon_sym_when,
    ACTIONS(17935), 1,
      anon_sym_DASH_GT,
    STATE(13582), 1,
      sym_attribute,
    STATE(18864), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672882] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17937), 1,
      anon_sym_RPAREN,
    STATE(13583), 1,
      sym_attribute,
    STATE(18216), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672914] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17729), 1,
      sym__identifier,
    ACTIONS(17939), 1,
      anon_sym__,
    ACTIONS(17941), 1,
      anon_sym_RBRACE,
    STATE(13584), 1,
      sym_attribute,
    STATE(14211), 1,
      sym_field_path,
    STATE(16522), 1,
      sym_field_binding_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672946] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17719), 1,
      anon_sym_when,
    ACTIONS(17943), 1,
      anon_sym_DASH_GT,
    STATE(13585), 1,
      sym_attribute,
    STATE(18449), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672978] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17719), 1,
      anon_sym_when,
    ACTIONS(17945), 1,
      anon_sym_DASH_GT,
    STATE(13586), 1,
      sym_attribute,
    STATE(20212), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17949), 3,
      sym__right_quoted_string_delimiter,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17947), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [673032] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17951), 1,
      anon_sym_RPAREN,
    STATE(13588), 1,
      sym_attribute,
    STATE(18222), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673064] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17953), 1,
      anon_sym_RPAREN,
    STATE(13589), 1,
      sym_attribute,
    STATE(18404), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673096] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17955), 1,
      anon_sym_RPAREN,
    STATE(13590), 1,
      sym_attribute,
    STATE(17541), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11633), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11635), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [673150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11637), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11639), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [673172] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11909), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [673192] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(17723), 1,
      anon_sym__,
    STATE(13594), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(15261), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [673222] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17719), 1,
      anon_sym_when,
    ACTIONS(17957), 1,
      anon_sym_DASH_GT,
    STATE(13595), 1,
      sym_attribute,
    STATE(18770), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11641), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11643), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [673276] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(13597), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(16307), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    STATE(19314), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673308] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9092), 1,
      anon_sym_PIPE,
    STATE(13598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [673330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11553), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [673352] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17705), 1,
      anon_sym_COMMA,
    ACTIONS(17707), 1,
      anon_sym_PIPE,
    ACTIONS(17709), 1,
      anon_sym_as,
    ACTIONS(17711), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17959), 1,
      anon_sym_RPAREN,
    STATE(13600), 1,
      sym_attribute,
    STATE(20255), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11645), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11647), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [673406] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17719), 1,
      anon_sym_when,
    ACTIONS(17961), 1,
      anon_sym_DASH_GT,
    STATE(13602), 1,
      sym_attribute,
    STATE(17570), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673438] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17963), 1,
      anon_sym_RPAREN,
    STATE(13603), 1,
      sym_attribute,
    STATE(17548), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673470] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(13604), 1,
      sym_attribute,
    STATE(14211), 1,
      sym_field_path,
    STATE(16311), 1,
      sym_field_binding_pattern,
    STATE(17903), 1,
      sym_module_path,
    STATE(19087), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673502] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17965), 1,
      anon_sym_RPAREN,
    STATE(13605), 1,
      sym_attribute,
    STATE(18256), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673534] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(17815), 1,
      anon_sym_DASH_GT,
    STATE(13606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12392), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
  [673558] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17967), 1,
      anon_sym_RPAREN,
    STATE(13607), 1,
      sym_attribute,
    STATE(18262), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673590] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17969), 1,
      anon_sym_RPAREN,
    STATE(13608), 1,
      sym_attribute,
    STATE(19747), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673622] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17797), 1,
      anon_sym_COMMA,
    ACTIONS(17799), 1,
      anon_sym_PIPE,
    ACTIONS(17805), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17971), 1,
      anon_sym_RBRACK,
    ACTIONS(17973), 1,
      anon_sym_SEMI,
    STATE(13609), 1,
      sym_attribute,
    STATE(16085), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673654] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(17975), 1,
      sym__identifier,
    ACTIONS(17977), 1,
      anon_sym_type,
    ACTIONS(17979), 1,
      anon_sym_LBRACK,
    ACTIONS(17981), 1,
      anon_sym_virtual,
    STATE(12132), 1,
      sym_class_binding,
    STATE(13610), 1,
      sym_attribute,
    STATE(14399), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673686] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11891), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [673706] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17983), 1,
      anon_sym_RPAREN,
    STATE(13612), 1,
      sym_attribute,
    STATE(18801), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11609), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11611), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [673760] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17753), 1,
      anon_sym_COMMA,
    ACTIONS(17755), 1,
      anon_sym_PIPE,
    ACTIONS(17759), 1,
      anon_sym_as,
    ACTIONS(17761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17985), 1,
      anon_sym_SEMI,
    ACTIONS(17987), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13614), 1,
      sym_attribute,
    STATE(15042), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673792] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11837), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [673812] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(17064), 1,
      anon_sym_LPAREN,
    ACTIONS(17066), 1,
      anon_sym_LBRACK,
    STATE(10664), 1,
      sym_constructor_declaration,
    STATE(12003), 1,
      sym__constructor_name,
    STATE(13616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17068), 2,
      anon_sym_true,
      anon_sym_false,
  [673842] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17989), 1,
      anon_sym_RPAREN,
    STATE(13617), 1,
      sym_attribute,
    STATE(19545), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673874] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17991), 1,
      anon_sym_RPAREN,
    STATE(13618), 1,
      sym_attribute,
    STATE(18803), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673906] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17993), 1,
      anon_sym_RPAREN,
    STATE(13619), 1,
      sym_attribute,
    STATE(17878), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11557), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [673960] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17805), 1,
      anon_sym_COLON_COLON,
    STATE(13621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16940), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [673982] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17729), 1,
      sym__identifier,
    ACTIONS(17995), 1,
      anon_sym__,
    ACTIONS(17997), 1,
      anon_sym_RBRACE,
    STATE(13622), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(17174), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674014] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9106), 1,
      anon_sym_PIPE,
    STATE(13623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [674036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11705), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11707), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [674058] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(17873), 1,
      anon_sym_AMP,
    STATE(13625), 1,
      sym_attribute,
    STATE(14234), 1,
      aux_sym_tag_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17999), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [674086] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17671), 1,
      anon_sym_RPAREN,
    STATE(13626), 1,
      sym_attribute,
    STATE(17539), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11559), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11561), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [674140] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18001), 1,
      anon_sym_RPAREN,
    STATE(13628), 1,
      sym_attribute,
    STATE(18296), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674172] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18003), 1,
      anon_sym_RPAREN,
    STATE(13629), 1,
      sym_attribute,
    STATE(20108), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674204] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17729), 1,
      sym__identifier,
    ACTIONS(18005), 1,
      anon_sym__,
    ACTIONS(18007), 1,
      anon_sym_RBRACE,
    STATE(13630), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(17174), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674236] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18009), 1,
      anon_sym_RPAREN,
    STATE(13631), 1,
      sym_attribute,
    STATE(18302), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11577), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11579), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [674290] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17797), 1,
      anon_sym_COMMA,
    ACTIONS(17799), 1,
      anon_sym_PIPE,
    ACTIONS(17805), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18011), 1,
      anon_sym_RBRACK,
    ACTIONS(18013), 1,
      anon_sym_SEMI,
    STATE(13633), 1,
      sym_attribute,
    STATE(15278), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11581), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11583), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [674344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11587), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [674366] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17797), 1,
      anon_sym_COMMA,
    ACTIONS(17799), 1,
      anon_sym_PIPE,
    ACTIONS(17805), 1,
      anon_sym_COLON_COLON,
    STATE(13636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16904), 3,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [674394] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17691), 1,
      anon_sym_COMMA,
    ACTIONS(17693), 1,
      anon_sym_PIPE,
    ACTIONS(17697), 1,
      anon_sym_as,
    ACTIONS(17699), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18015), 1,
      anon_sym_SEMI,
    ACTIONS(18017), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13637), 1,
      sym_attribute,
    STATE(15344), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674426] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17691), 1,
      anon_sym_COMMA,
    ACTIONS(17693), 1,
      anon_sym_PIPE,
    ACTIONS(17697), 1,
      anon_sym_as,
    ACTIONS(17699), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18019), 1,
      anon_sym_SEMI,
    ACTIONS(18021), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13638), 1,
      sym_attribute,
    STATE(15281), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674458] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18023), 1,
      anon_sym_RPAREN,
    STATE(13639), 1,
      sym_attribute,
    STATE(19766), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11589), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11591), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [674512] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17729), 1,
      sym__identifier,
    ACTIONS(18025), 1,
      anon_sym__,
    ACTIONS(18027), 1,
      anon_sym_RBRACE,
    STATE(13641), 1,
      sym_attribute,
    STATE(14211), 1,
      sym_field_path,
    STATE(16522), 1,
      sym_field_binding_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674544] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18029), 1,
      anon_sym_RPAREN,
    STATE(13642), 1,
      sym_attribute,
    STATE(18336), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674576] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18031), 1,
      anon_sym_RPAREN,
    STATE(13643), 1,
      sym_attribute,
    STATE(18342), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674608] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12444), 1,
      anon_sym_LPAREN,
    ACTIONS(12446), 1,
      anon_sym_LBRACK,
    STATE(10510), 1,
      sym_constructor_declaration,
    STATE(11028), 1,
      sym__constructor_name,
    STATE(13644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12448), 2,
      anon_sym_true,
      anon_sym_false,
  [674638] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(13645), 1,
      sym_attribute,
    STATE(14211), 1,
      sym_field_path,
    STATE(15417), 1,
      sym_field_binding_pattern,
    STATE(17903), 1,
      sym_module_path,
    STATE(19838), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11597), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11599), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [674692] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17797), 1,
      anon_sym_COMMA,
    ACTIONS(17805), 1,
      anon_sym_COLON_COLON,
    STATE(13647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16889), 5,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [674716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11563), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11565), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [674738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11537), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11539), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [674760] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18033), 1,
      anon_sym_RPAREN,
    STATE(13650), 1,
      sym_attribute,
    STATE(17885), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674792] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    STATE(13651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [674814] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18035), 1,
      anon_sym_RPAREN,
    STATE(13652), 1,
      sym_attribute,
    STATE(18808), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674846] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12386), 1,
      anon_sym_as,
    ACTIONS(17815), 1,
      anon_sym_DASH_GT,
    STATE(13653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12380), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
  [674870] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(17977), 1,
      anon_sym_type,
    ACTIONS(18037), 1,
      sym__identifier,
    ACTIONS(18039), 1,
      anon_sym_LBRACK,
    ACTIONS(18041), 1,
      anon_sym_virtual,
    STATE(12789), 1,
      sym_class_binding,
    STATE(13654), 1,
      sym_attribute,
    STATE(14378), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674902] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18043), 1,
      anon_sym_RPAREN,
    STATE(13655), 1,
      sym_attribute,
    STATE(18376), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674934] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18045), 1,
      anon_sym_RPAREN,
    STATE(13656), 1,
      sym_attribute,
    STATE(17770), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674966] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17719), 1,
      anon_sym_when,
    ACTIONS(18047), 1,
      anon_sym_DASH_GT,
    STATE(13657), 1,
      sym_attribute,
    STATE(17975), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674998] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17805), 1,
      anon_sym_COLON_COLON,
    STATE(13658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16916), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [675020] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(13659), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(15343), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    STATE(20171), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675052] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17729), 1,
      sym__identifier,
    ACTIONS(18049), 1,
      anon_sym__,
    ACTIONS(18051), 1,
      anon_sym_RBRACE,
    STATE(13660), 1,
      sym_attribute,
    STATE(14211), 1,
      sym_field_path,
    STATE(16522), 1,
      sym_field_binding_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675084] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18053), 1,
      anon_sym_RPAREN,
    STATE(13661), 1,
      sym_attribute,
    STATE(18382), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675116] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(17723), 1,
      anon_sym__,
    STATE(13662), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(15893), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [675146] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18055), 1,
      anon_sym_RPAREN,
    STATE(13663), 1,
      sym_attribute,
    STATE(20124), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675178] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17719), 1,
      anon_sym_when,
    ACTIONS(18057), 1,
      anon_sym_DASH_GT,
    STATE(13664), 1,
      sym_attribute,
    STATE(19944), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675210] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(17723), 1,
      anon_sym__,
    STATE(13665), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(15200), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [675240] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17797), 1,
      anon_sym_COMMA,
    ACTIONS(17799), 1,
      anon_sym_PIPE,
    ACTIONS(17805), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18059), 1,
      anon_sym_RBRACK,
    ACTIONS(18061), 1,
      anon_sym_SEMI,
    STATE(13666), 1,
      sym_attribute,
    STATE(15350), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675272] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17719), 1,
      anon_sym_when,
    ACTIONS(18063), 1,
      anon_sym_DASH_GT,
    STATE(13667), 1,
      sym_attribute,
    STATE(19298), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675304] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17719), 1,
      anon_sym_when,
    ACTIONS(18065), 1,
      anon_sym_DASH_GT,
    STATE(13668), 1,
      sym_attribute,
    STATE(20000), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675336] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17691), 1,
      anon_sym_COMMA,
    ACTIONS(17693), 1,
      anon_sym_PIPE,
    ACTIONS(17697), 1,
      anon_sym_as,
    ACTIONS(17699), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18067), 1,
      anon_sym_SEMI,
    ACTIONS(18069), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13669), 1,
      sym_attribute,
    STATE(16107), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675368] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18071), 1,
      anon_sym_DASH_GT,
    ACTIONS(18073), 1,
      anon_sym_with,
    STATE(13670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13378), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [675392] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17729), 1,
      sym__identifier,
    ACTIONS(18075), 1,
      anon_sym__,
    ACTIONS(18077), 1,
      anon_sym_RBRACE,
    STATE(13671), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(17174), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675424] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17234), 1,
      anon_sym_LPAREN,
    ACTIONS(17236), 1,
      anon_sym_LBRACK,
    ACTIONS(17240), 1,
      sym__capitalized_identifier,
    STATE(13672), 1,
      sym_attribute,
    STATE(14182), 1,
      sym__constructor_name,
    STATE(14821), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17238), 2,
      anon_sym_true,
      anon_sym_false,
  [675454] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18079), 1,
      anon_sym_RPAREN,
    STATE(13673), 1,
      sym_attribute,
    STATE(19638), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675486] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17797), 1,
      anon_sym_COMMA,
    ACTIONS(17799), 1,
      anon_sym_PIPE,
    ACTIONS(17805), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18081), 1,
      anon_sym_RBRACK,
    ACTIONS(18083), 1,
      anon_sym_SEMI,
    STATE(13674), 1,
      sym_attribute,
    STATE(15600), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675518] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17691), 1,
      anon_sym_COMMA,
    ACTIONS(17693), 1,
      anon_sym_PIPE,
    ACTIONS(17697), 1,
      anon_sym_as,
    ACTIONS(17699), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18085), 1,
      anon_sym_SEMI,
    ACTIONS(18087), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13675), 1,
      sym_attribute,
    STATE(15782), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675550] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(17058), 1,
      anon_sym_LPAREN,
    ACTIONS(17060), 1,
      anon_sym_LBRACK,
    STATE(10664), 1,
      sym_constructor_declaration,
    STATE(11468), 1,
      sym__constructor_name,
    STATE(13676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17062), 2,
      anon_sym_true,
      anon_sym_false,
  [675580] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17729), 1,
      sym__identifier,
    ACTIONS(18089), 1,
      anon_sym__,
    ACTIONS(18091), 1,
      anon_sym_RBRACE,
    STATE(13677), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(17174), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675612] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17705), 1,
      anon_sym_COMMA,
    ACTIONS(17707), 1,
      anon_sym_PIPE,
    ACTIONS(17709), 1,
      anon_sym_as,
    ACTIONS(17711), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18093), 1,
      anon_sym_RPAREN,
    STATE(13678), 1,
      sym_attribute,
    STATE(18335), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675644] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17735), 1,
      anon_sym_COMMA,
    ACTIONS(17737), 1,
      anon_sym_PIPE,
    ACTIONS(17743), 1,
      anon_sym_as,
    ACTIONS(17745), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18095), 1,
      anon_sym_RBRACK,
    ACTIONS(18097), 1,
      anon_sym_SEMI,
    STATE(13679), 1,
      sym_attribute,
    STATE(15859), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675676] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17753), 1,
      anon_sym_COMMA,
    ACTIONS(17755), 1,
      anon_sym_PIPE,
    ACTIONS(17759), 1,
      anon_sym_as,
    ACTIONS(17761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18099), 1,
      anon_sym_SEMI,
    ACTIONS(18101), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13680), 1,
      sym_attribute,
    STATE(15883), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675708] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17719), 1,
      anon_sym_when,
    ACTIONS(18103), 1,
      anon_sym_DASH_GT,
    STATE(13681), 1,
      sym_attribute,
    STATE(19235), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675740] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17729), 1,
      sym__identifier,
    ACTIONS(18105), 1,
      anon_sym__,
    ACTIONS(18107), 1,
      anon_sym_RBRACE,
    STATE(13682), 1,
      sym_attribute,
    STATE(14211), 1,
      sym_field_path,
    STATE(16522), 1,
      sym_field_binding_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675772] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18109), 1,
      anon_sym_RPAREN,
    STATE(13683), 1,
      sym_attribute,
    STATE(18922), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675804] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17522), 1,
      anon_sym_RPAREN,
    STATE(13684), 1,
      sym_attribute,
    STATE(17786), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675836] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17729), 1,
      sym__identifier,
    ACTIONS(18111), 1,
      anon_sym__,
    ACTIONS(18113), 1,
      anon_sym_RBRACE,
    STATE(13685), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(17174), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675868] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18115), 1,
      anon_sym_RPAREN,
    STATE(13686), 1,
      sym_attribute,
    STATE(18416), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675900] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17719), 1,
      anon_sym_when,
    ACTIONS(18117), 1,
      anon_sym_DASH_GT,
    STATE(13687), 1,
      sym_attribute,
    STATE(17759), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675932] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18119), 1,
      anon_sym_RPAREN,
    STATE(13688), 1,
      sym_attribute,
    STATE(17608), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675964] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18121), 1,
      anon_sym_RPAREN,
    STATE(13689), 1,
      sym_attribute,
    STATE(17932), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675996] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(12260), 1,
      anon_sym_LPAREN,
    ACTIONS(12262), 1,
      anon_sym_LBRACK,
    STATE(10510), 1,
      sym_constructor_declaration,
    STATE(10666), 1,
      sym__constructor_name,
    STATE(13690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12264), 2,
      anon_sym_true,
      anon_sym_false,
  [676026] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18123), 1,
      anon_sym_RPAREN,
    STATE(13691), 1,
      sym_attribute,
    STATE(18422), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676058] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18125), 1,
      anon_sym_RPAREN,
    STATE(13692), 1,
      sym_attribute,
    STATE(18690), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676090] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(17977), 1,
      anon_sym_type,
    ACTIONS(18127), 1,
      sym__identifier,
    ACTIONS(18129), 1,
      anon_sym_LBRACK,
    ACTIONS(18131), 1,
      anon_sym_virtual,
    STATE(12781), 1,
      sym_class_binding,
    STATE(13693), 1,
      sym_attribute,
    STATE(15024), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676122] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17729), 1,
      sym__identifier,
    ACTIONS(18133), 1,
      anon_sym__,
    ACTIONS(18135), 1,
      anon_sym_RBRACE,
    STATE(13694), 1,
      sym_attribute,
    STATE(14211), 1,
      sym_field_path,
    STATE(16522), 1,
      sym_field_binding_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676154] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11681), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11683), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [676176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12190), 1,
      anon_sym_COLON2,
    STATE(13696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12188), 6,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [676198] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17729), 1,
      sym__identifier,
    ACTIONS(18137), 1,
      anon_sym__,
    ACTIONS(18139), 1,
      anon_sym_RBRACE,
    STATE(13697), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(17174), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676230] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(17723), 1,
      anon_sym__,
    STATE(13698), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(15961), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [676260] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(17100), 1,
      anon_sym_LPAREN,
    ACTIONS(17102), 1,
      anon_sym_LBRACK,
    STATE(10664), 1,
      sym_constructor_declaration,
    STATE(11930), 1,
      sym__constructor_name,
    STATE(13699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17104), 2,
      anon_sym_true,
      anon_sym_false,
  [676290] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17691), 1,
      anon_sym_COMMA,
    ACTIONS(17693), 1,
      anon_sym_PIPE,
    ACTIONS(17697), 1,
      anon_sym_as,
    ACTIONS(17699), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18141), 1,
      anon_sym_SEMI,
    ACTIONS(18143), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13700), 1,
      sym_attribute,
    STATE(15068), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676322] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16872), 1,
      anon_sym_STAR,
    STATE(13701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10343), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_GT,
  [676344] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17729), 1,
      sym__identifier,
    ACTIONS(18145), 1,
      anon_sym__,
    ACTIONS(18147), 1,
      anon_sym_RBRACE,
    STATE(13702), 1,
      sym_attribute,
    STATE(14211), 1,
      sym_field_path,
    STATE(16522), 1,
      sym_field_binding_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11649), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11651), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [676398] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18149), 1,
      anon_sym_RPAREN,
    STATE(13704), 1,
      sym_attribute,
    STATE(17615), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676430] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(17723), 1,
      anon_sym__,
    STATE(13705), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(15379), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [676460] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18151), 1,
      anon_sym_RPAREN,
    STATE(13706), 1,
      sym_attribute,
    STATE(19322), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676492] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18153), 1,
      anon_sym_RPAREN,
    STATE(13707), 1,
      sym_attribute,
    STATE(18456), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676524] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17719), 1,
      anon_sym_when,
    ACTIONS(18155), 1,
      anon_sym_DASH_GT,
    STATE(13708), 1,
      sym_attribute,
    STATE(18346), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676556] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(18157), 1,
      anon_sym_RBRACK,
    ACTIONS(18159), 1,
      anon_sym_when,
    STATE(13709), 1,
      sym_attribute,
    STATE(19630), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676588] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18161), 1,
      anon_sym_RPAREN,
    STATE(13710), 1,
      sym_attribute,
    STATE(17939), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676620] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17654), 1,
      anon_sym_RPAREN,
    STATE(13711), 1,
      sym_attribute,
    STATE(20335), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676652] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17797), 1,
      anon_sym_COMMA,
    ACTIONS(17799), 1,
      anon_sym_PIPE,
    ACTIONS(17805), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18163), 1,
      anon_sym_RBRACK,
    ACTIONS(18165), 1,
      anon_sym_SEMI,
    STATE(13712), 1,
      sym_attribute,
    STATE(15651), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676684] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17691), 1,
      anon_sym_COMMA,
    ACTIONS(17693), 1,
      anon_sym_PIPE,
    ACTIONS(17697), 1,
      anon_sym_as,
    ACTIONS(17699), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18167), 1,
      anon_sym_SEMI,
    ACTIONS(18169), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13713), 1,
      sym_attribute,
    STATE(15658), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676716] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17719), 1,
      anon_sym_when,
    ACTIONS(18171), 1,
      anon_sym_DASH_GT,
    STATE(13714), 1,
      sym_attribute,
    STATE(18889), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676748] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17705), 1,
      anon_sym_COMMA,
    ACTIONS(17707), 1,
      anon_sym_PIPE,
    ACTIONS(17709), 1,
      anon_sym_as,
    ACTIONS(17711), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18173), 1,
      anon_sym_RPAREN,
    STATE(13715), 1,
      sym_attribute,
    STATE(17557), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676780] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17735), 1,
      anon_sym_COMMA,
    ACTIONS(17737), 1,
      anon_sym_PIPE,
    ACTIONS(17743), 1,
      anon_sym_as,
    ACTIONS(17745), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18175), 1,
      anon_sym_RBRACK,
    ACTIONS(18177), 1,
      anon_sym_SEMI,
    STATE(13716), 1,
      sym_attribute,
    STATE(15677), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676812] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18071), 1,
      anon_sym_DASH_GT,
    ACTIONS(18073), 1,
      anon_sym_with,
    STATE(13717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13366), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [676836] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18179), 1,
      anon_sym_RPAREN,
    STATE(13718), 1,
      sym_attribute,
    STATE(18462), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676868] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17753), 1,
      anon_sym_COMMA,
    ACTIONS(17755), 1,
      anon_sym_PIPE,
    ACTIONS(17759), 1,
      anon_sym_as,
    ACTIONS(17761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18181), 1,
      anon_sym_SEMI,
    ACTIONS(18183), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13719), 1,
      sym_attribute,
    STATE(15682), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676900] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18185), 1,
      anon_sym_RPAREN,
    STATE(13720), 1,
      sym_attribute,
    STATE(18840), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676932] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18187), 1,
      anon_sym_RPAREN,
    STATE(13721), 1,
      sym_attribute,
    STATE(19561), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676964] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4959), 1,
      anon_sym_PIPE,
    ACTIONS(18189), 1,
      anon_sym_DOT_DOT,
    STATE(13722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4957), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [676988] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(17723), 1,
      anon_sym__,
    STATE(13723), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(15388), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [677018] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16429), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13724), 1,
      sym_attribute,
    STATE(14179), 1,
      aux_sym_expression_item_repeat1,
    STATE(15687), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12322), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(18191), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [677046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11653), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11655), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [677068] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17729), 1,
      sym__identifier,
    ACTIONS(18193), 1,
      anon_sym__,
    ACTIONS(18195), 1,
      anon_sym_RBRACE,
    STATE(13726), 1,
      sym_attribute,
    STATE(14211), 1,
      sym_field_path,
    STATE(16522), 1,
      sym_field_binding_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677100] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17729), 1,
      sym__identifier,
    ACTIONS(18197), 1,
      anon_sym__,
    ACTIONS(18199), 1,
      anon_sym_RBRACE,
    STATE(13727), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(17174), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677132] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17729), 1,
      sym__identifier,
    ACTIONS(18201), 1,
      anon_sym__,
    ACTIONS(18203), 1,
      anon_sym_RBRACE,
    STATE(13728), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(17174), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677164] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17719), 1,
      anon_sym_when,
    ACTIONS(18205), 1,
      anon_sym_DASH_GT,
    STATE(13729), 1,
      sym_attribute,
    STATE(18619), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677196] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(17723), 1,
      anon_sym__,
    STATE(13730), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(16381), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [677226] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17729), 1,
      sym__identifier,
    ACTIONS(18207), 1,
      anon_sym__,
    ACTIONS(18209), 1,
      anon_sym_RBRACE,
    STATE(13731), 1,
      sym_attribute,
    STATE(14211), 1,
      sym_field_path,
    STATE(16522), 1,
      sym_field_binding_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677258] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11294), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [677278] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(17723), 1,
      anon_sym__,
    STATE(13733), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(16383), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [677308] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11809), 1,
      sym__identifier,
    ACTIONS(14614), 1,
      anon_sym_POUND,
    STATE(12454), 1,
      sym_type_constructor_path,
    STATE(13734), 1,
      sym_attribute,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18211), 2,
      anon_sym_SEMI,
      anon_sym_GT,
  [677338] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18213), 1,
      anon_sym_RPAREN,
    STATE(13735), 1,
      sym_attribute,
    STATE(17662), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677370] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18215), 1,
      anon_sym_RPAREN,
    STATE(13736), 1,
      sym_attribute,
    STATE(18845), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677402] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18217), 1,
      anon_sym_RPAREN,
    STATE(13737), 1,
      sym_attribute,
    STATE(18496), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12140), 1,
      anon_sym_COLON2,
    STATE(13738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12138), 6,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [677456] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18219), 1,
      anon_sym_RPAREN,
    STATE(13739), 1,
      sym_attribute,
    STATE(17777), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677488] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(13740), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(16179), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    STATE(17999), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677520] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17729), 1,
      sym__identifier,
    ACTIONS(18221), 1,
      anon_sym__,
    ACTIONS(18223), 1,
      anon_sym_RBRACE,
    STATE(13741), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(17174), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677552] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(13742), 1,
      sym_attribute,
    STATE(14211), 1,
      sym_field_path,
    STATE(16195), 1,
      sym_field_binding_pattern,
    STATE(17903), 1,
      sym_module_path,
    STATE(19105), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677584] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18225), 1,
      anon_sym_RPAREN,
    STATE(13743), 1,
      sym_attribute,
    STATE(18502), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677616] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18227), 1,
      anon_sym_RPAREN,
    STATE(13744), 1,
      sym_attribute,
    STATE(17716), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677648] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(17977), 1,
      anon_sym_type,
    ACTIONS(18229), 1,
      sym__identifier,
    ACTIONS(18231), 1,
      anon_sym_LBRACK,
    ACTIONS(18233), 1,
      anon_sym_virtual,
    STATE(12102), 1,
      sym_class_binding,
    STATE(13745), 1,
      sym_attribute,
    STATE(14778), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677680] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(17977), 1,
      anon_sym_type,
    ACTIONS(18235), 1,
      sym__identifier,
    ACTIONS(18237), 1,
      anon_sym_LBRACK,
    ACTIONS(18239), 1,
      anon_sym_virtual,
    STATE(12704), 1,
      sym_class_binding,
    STATE(13746), 1,
      sym_attribute,
    STATE(14632), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677712] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18241), 1,
      anon_sym_RPAREN,
    STATE(13747), 1,
      sym_attribute,
    STATE(18475), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677744] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18243), 1,
      anon_sym_RPAREN,
    STATE(13748), 1,
      sym_attribute,
    STATE(18696), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677776] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17719), 1,
      anon_sym_when,
    ACTIONS(18245), 1,
      anon_sym_DASH_GT,
    STATE(13749), 1,
      sym_attribute,
    STATE(18674), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677808] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17729), 1,
      sym__identifier,
    ACTIONS(18247), 1,
      anon_sym__,
    ACTIONS(18249), 1,
      anon_sym_RBRACE,
    STATE(13750), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(17174), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677840] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17719), 1,
      anon_sym_when,
    ACTIONS(18251), 1,
      anon_sym_DASH_GT,
    STATE(13751), 1,
      sym_attribute,
    STATE(17563), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677872] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17729), 1,
      sym__identifier,
    ACTIONS(18253), 1,
      anon_sym__,
    ACTIONS(18255), 1,
      anon_sym_RBRACE,
    STATE(13752), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(17174), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677904] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18257), 1,
      anon_sym_RPAREN,
    STATE(13753), 1,
      sym_attribute,
    STATE(18536), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677936] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16429), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13754), 1,
      sym_attribute,
    STATE(14154), 1,
      aux_sym_expression_item_repeat1,
    STATE(15687), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11931), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(16681), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [677964] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12174), 1,
      anon_sym_LPAREN,
    ACTIONS(12176), 1,
      anon_sym_LBRACK,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    STATE(10333), 1,
      sym__constructor_name,
    STATE(10510), 1,
      sym_constructor_declaration,
    STATE(13755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12178), 2,
      anon_sym_true,
      anon_sym_false,
  [677994] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(13756), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(15844), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    STATE(19512), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678026] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18259), 1,
      anon_sym_RPAREN,
    STATE(13757), 1,
      sym_attribute,
    STATE(18542), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678058] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17719), 1,
      anon_sym_when,
    ACTIONS(18261), 1,
      anon_sym_DASH_GT,
    STATE(13758), 1,
      sym_attribute,
    STATE(18001), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678090] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18263), 1,
      anon_sym_RPAREN,
    STATE(13759), 1,
      sym_attribute,
    STATE(19088), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678122] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17719), 1,
      anon_sym_when,
    ACTIONS(18265), 1,
      anon_sym_DASH_GT,
    STATE(13760), 1,
      sym_attribute,
    STATE(19506), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678154] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17729), 1,
      sym__identifier,
    ACTIONS(18267), 1,
      anon_sym__,
    ACTIONS(18269), 1,
      anon_sym_RBRACE,
    STATE(13761), 1,
      sym_attribute,
    STATE(14211), 1,
      sym_field_path,
    STATE(16522), 1,
      sym_field_binding_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678186] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17753), 1,
      anon_sym_COMMA,
    ACTIONS(17755), 1,
      anon_sym_PIPE,
    ACTIONS(17759), 1,
      anon_sym_as,
    ACTIONS(17761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18271), 1,
      anon_sym_SEMI,
    ACTIONS(18273), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13762), 1,
      sym_attribute,
    STATE(16193), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678218] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18275), 1,
      anon_sym_RPAREN,
    STATE(13763), 1,
      sym_attribute,
    STATE(17669), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678250] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11873), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [678270] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17719), 1,
      anon_sym_when,
    ACTIONS(18277), 1,
      anon_sym_DASH_GT,
    STATE(13765), 1,
      sym_attribute,
    STATE(20024), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678302] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11877), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [678322] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17602), 1,
      anon_sym_RPAREN,
    STATE(13767), 1,
      sym_attribute,
    STATE(20189), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678354] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18279), 1,
      anon_sym_RPAREN,
    STATE(13768), 1,
      sym_attribute,
    STATE(17599), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678386] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18071), 1,
      anon_sym_DASH_GT,
    ACTIONS(18073), 1,
      anon_sym_with,
    STATE(13769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13374), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [678410] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17705), 1,
      anon_sym_COMMA,
    ACTIONS(17707), 1,
      anon_sym_PIPE,
    ACTIONS(17709), 1,
      anon_sym_as,
    ACTIONS(17711), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18281), 1,
      anon_sym_RPAREN,
    STATE(13770), 1,
      sym_attribute,
    STATE(18249), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678442] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(13771), 1,
      sym_attribute,
    STATE(14211), 1,
      sym_field_path,
    STATE(15852), 1,
      sym_field_binding_pattern,
    STATE(17903), 1,
      sym_module_path,
    STATE(19314), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678474] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(17705), 1,
      anon_sym_COMMA,
    ACTIONS(17707), 1,
      anon_sym_PIPE,
    ACTIONS(17709), 1,
      anon_sym_as,
    ACTIONS(17711), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18283), 1,
      anon_sym_RPAREN,
    STATE(13772), 1,
      sym_attribute,
    STATE(19539), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678506] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18285), 1,
      anon_sym_RPAREN,
    STATE(13773), 1,
      sym_attribute,
    STATE(18575), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678538] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18287), 1,
      anon_sym_RPAREN,
    STATE(13774), 1,
      sym_attribute,
    STATE(19100), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678570] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17735), 1,
      anon_sym_COMMA,
    ACTIONS(17737), 1,
      anon_sym_PIPE,
    ACTIONS(17743), 1,
      anon_sym_as,
    ACTIONS(17745), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18289), 1,
      anon_sym_RBRACK,
    ACTIONS(18291), 1,
      anon_sym_SEMI,
    STATE(13775), 1,
      sym_attribute,
    STATE(15848), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678602] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18293), 1,
      anon_sym_RPAREN,
    STATE(13776), 1,
      sym_attribute,
    STATE(17986), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678634] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18295), 1,
      anon_sym_RPAREN,
    STATE(13777), 1,
      sym_attribute,
    STATE(18614), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678666] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18297), 1,
      anon_sym_RPAREN,
    STATE(13778), 1,
      sym_attribute,
    STATE(19300), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678698] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11278), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [678718] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18299), 1,
      anon_sym_rec,
    ACTIONS(18301), 1,
      anon_sym_type,
    STATE(12182), 1,
      sym_module_binding,
    STATE(13780), 1,
      sym_attribute,
    STATE(14963), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18303), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [678748] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18305), 1,
      anon_sym_RPAREN,
    STATE(13781), 1,
      sym_attribute,
    STATE(18581), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11657), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11659), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [678802] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      sym__capitalized_identifier,
    ACTIONS(17146), 1,
      anon_sym_LPAREN,
    ACTIONS(17148), 1,
      anon_sym_LBRACK,
    STATE(10664), 1,
      sym_constructor_declaration,
    STATE(11943), 1,
      sym__constructor_name,
    STATE(13783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17150), 2,
      anon_sym_true,
      anon_sym_false,
  [678832] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18307), 1,
      anon_sym_rec,
    ACTIONS(18309), 1,
      anon_sym_type,
    STATE(12185), 1,
      sym_module_binding,
    STATE(13784), 1,
      sym_attribute,
    STATE(14978), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18311), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [678862] = 10,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(18313), 1,
      anon_sym_RPAREN,
    STATE(13785), 1,
      sym_attribute,
    STATE(18877), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678894] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7383), 1,
      anon_sym_PIPE,
    ACTIONS(18189), 1,
      anon_sym_DOT_DOT,
    STATE(13786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7379), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [678918] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11683), 1,
      anon_sym_RPAREN,
    ACTIONS(18315), 1,
      anon_sym_COLON2,
    STATE(13787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__identifier,
      sym__capitalized_identifier,
  [678942] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18317), 1,
      anon_sym_rec,
    ACTIONS(18319), 1,
      anon_sym_type,
    STATE(12713), 1,
      sym_module_binding,
    STATE(13788), 1,
      sym_attribute,
    STATE(14993), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18321), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [678972] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(17723), 1,
      anon_sym__,
    STATE(13789), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(15230), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [679002] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18323), 1,
      anon_sym_COLON2,
    STATE(13790), 1,
      sym_attribute,
    STATE(17447), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 5,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_POUND,
      sym__identifier,
      sym__capitalized_identifier,
  [679026] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15024), 1,
      anon_sym_BANG,
    ACTIONS(17723), 1,
      anon_sym__,
    STATE(13791), 1,
      sym_attribute,
    STATE(14354), 1,
      sym_type_variable,
    STATE(15430), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [679056] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12256), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12258), 1,
      anon_sym_in,
    ACTIONS(16882), 1,
      sym__identifier,
    ACTIONS(16884), 1,
      anon_sym_POUND,
    STATE(13648), 1,
      sym_type_constructor_path,
    STATE(13792), 1,
      sym_attribute,
    STATE(16934), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679088] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18325), 1,
      anon_sym_RBRACE,
    STATE(13793), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679117] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18327), 1,
      anon_sym_RBRACE,
    STATE(13794), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679146] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18329), 1,
      anon_sym_RBRACE,
    STATE(13795), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679175] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18331), 1,
      anon_sym_RBRACE,
    STATE(13796), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679204] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18333), 1,
      anon_sym_RBRACE,
    STATE(13797), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679233] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18335), 1,
      anon_sym_RBRACE,
    STATE(13798), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679262] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7383), 1,
      anon_sym_PIPE,
    STATE(13799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7379), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [679283] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18337), 1,
      sym__identifier,
    STATE(2800), 1,
      sym_class_path,
    STATE(13800), 1,
      sym_attribute,
    STATE(14796), 1,
      sym__attribute,
    STATE(18823), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679312] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18339), 1,
      sym__identifier,
    STATE(6740), 1,
      sym_class_path,
    STATE(13801), 1,
      sym_attribute,
    STATE(14697), 1,
      sym__attribute,
    STATE(18252), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679341] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18341), 1,
      anon_sym_RBRACE,
    STATE(13802), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679370] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      anon_sym_PIPE,
    ACTIONS(17761), 1,
      anon_sym_COLON_COLON,
    STATE(13803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [679393] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9218), 1,
      anon_sym_PIPE,
    STATE(13804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [679414] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18343), 1,
      anon_sym_RBRACE,
    STATE(13805), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679443] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18345), 1,
      anon_sym_RBRACE,
    STATE(13806), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679472] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18347), 1,
      anon_sym_RBRACE,
    STATE(13807), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679501] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18349), 1,
      anon_sym_RBRACE,
    STATE(13808), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679530] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18351), 1,
      anon_sym_RBRACE,
    STATE(13809), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679559] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18353), 1,
      sym__identifier,
    STATE(4995), 1,
      sym_class_path,
    STATE(13810), 1,
      sym_attribute,
    STATE(14694), 1,
      sym__attribute,
    STATE(18159), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679588] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9164), 1,
      anon_sym_PIPE,
    STATE(13811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [679609] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18355), 1,
      anon_sym_RBRACE,
    STATE(13812), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679638] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9236), 1,
      anon_sym_PIPE,
    ACTIONS(17753), 1,
      anon_sym_COMMA,
    ACTIONS(17761), 1,
      anon_sym_COLON_COLON,
    STATE(13813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 3,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [679663] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18357), 1,
      sym__identifier,
    STATE(7233), 1,
      sym_class_path,
    STATE(13814), 1,
      sym_attribute,
    STATE(15021), 1,
      sym__attribute,
    STATE(19864), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679692] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9168), 1,
      anon_sym_PIPE,
    STATE(13815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [679713] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18359), 1,
      anon_sym_RBRACE,
    STATE(13816), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679742] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9240), 1,
      anon_sym_PIPE,
    STATE(13817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [679763] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18361), 1,
      anon_sym_RBRACE,
    STATE(13818), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679792] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9244), 1,
      anon_sym_PIPE,
    ACTIONS(17761), 1,
      anon_sym_COLON_COLON,
    STATE(13819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [679815] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18363), 1,
      anon_sym_RBRACE,
    STATE(13820), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679844] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18365), 1,
      sym__identifier,
    STATE(6023), 1,
      sym_class_path,
    STATE(13821), 1,
      sym_attribute,
    STATE(14696), 1,
      sym__attribute,
    STATE(18519), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679873] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9156), 1,
      anon_sym_PIPE,
    STATE(13822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [679894] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18367), 1,
      sym__identifier,
    STATE(5683), 1,
      sym_class_path,
    STATE(13823), 1,
      sym_attribute,
    STATE(14933), 1,
      sym__attribute,
    STATE(18860), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679923] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9700), 1,
      anon_sym_PIPE,
    STATE(13824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9702), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [679944] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18369), 1,
      anon_sym_RBRACE,
    STATE(13825), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679973] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18371), 1,
      anon_sym_RBRACE,
    STATE(13826), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680002] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18373), 1,
      anon_sym_RBRACE,
    STATE(13827), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680031] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18375), 1,
      anon_sym_RBRACE,
    STATE(13828), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680060] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18377), 1,
      anon_sym_RBRACE,
    STATE(13829), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680089] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18379), 1,
      anon_sym_RBRACE,
    STATE(13830), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680118] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9586), 1,
      anon_sym_PIPE,
    STATE(13831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9588), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [680139] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9206), 1,
      anon_sym_PIPE,
    STATE(13832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [680160] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18381), 1,
      anon_sym_RBRACE,
    STATE(13833), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680189] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18383), 1,
      anon_sym_RBRACE,
    STATE(13834), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680218] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18385), 1,
      anon_sym_RBRACE,
    STATE(13835), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680247] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18387), 1,
      anon_sym_RBRACE,
    STATE(13836), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680276] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18389), 1,
      anon_sym_RBRACE,
    STATE(13837), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680305] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18391), 1,
      anon_sym_RBRACE,
    STATE(13838), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680334] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18393), 1,
      anon_sym_RBRACE,
    STATE(13839), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680363] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18395), 1,
      anon_sym_RBRACE,
    STATE(13840), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680392] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18397), 1,
      sym__identifier,
    ACTIONS(18399), 1,
      anon_sym_LBRACK,
    ACTIONS(18401), 1,
      anon_sym_virtual,
    STATE(10944), 1,
      sym_class_type_binding,
    STATE(13841), 1,
      sym_attribute,
    STATE(14490), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680421] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18403), 1,
      sym__identifier,
    STATE(5184), 1,
      sym_class_path,
    STATE(13842), 1,
      sym_attribute,
    STATE(14745), 1,
      sym__attribute,
    STATE(18896), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680450] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18405), 1,
      anon_sym_RBRACE,
    STATE(13843), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680479] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7825), 1,
      anon_sym_PIPE,
    STATE(13844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7827), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [680500] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8214), 1,
      anon_sym_PIPE,
    STATE(13845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [680521] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18407), 1,
      anon_sym_RBRACE,
    STATE(13846), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680550] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18409), 1,
      anon_sym_RBRACE,
    STATE(13847), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680579] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18411), 1,
      sym__identifier,
    ACTIONS(18413), 1,
      anon_sym_LPAREN,
    STATE(13848), 1,
      sym_attribute,
    STATE(15017), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17895), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [680606] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18415), 1,
      anon_sym_RBRACE,
    STATE(13849), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680635] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18417), 1,
      anon_sym_RBRACE,
    STATE(13850), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680664] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17797), 1,
      anon_sym_COMMA,
    ACTIONS(17799), 1,
      anon_sym_PIPE,
    ACTIONS(17805), 1,
      anon_sym_COLON_COLON,
    STATE(13851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18419), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [680691] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18421), 1,
      anon_sym_RBRACE,
    STATE(13852), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680720] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18423), 1,
      anon_sym_RBRACE,
    STATE(13853), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680749] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(16062), 1,
      sym__identifier,
    ACTIONS(18413), 1,
      anon_sym_LPAREN,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(13854), 1,
      sym_attribute,
    STATE(14671), 1,
      sym__attribute,
    STATE(16648), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680778] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18425), 1,
      sym__identifier,
    STATE(4277), 1,
      sym_class_path,
    STATE(13855), 1,
      sym_attribute,
    STATE(14667), 1,
      sym__attribute,
    STATE(18824), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680807] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9172), 1,
      anon_sym_PIPE,
    STATE(13856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [680828] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18427), 1,
      sym__identifier,
    STATE(3688), 1,
      sym_class_path,
    STATE(13857), 1,
      sym_attribute,
    STATE(14934), 1,
      sym__attribute,
    STATE(18558), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680857] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9176), 1,
      anon_sym_PIPE,
    STATE(13858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [680878] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18429), 1,
      sym__identifier,
    STATE(2960), 1,
      sym_class_path,
    STATE(13859), 1,
      sym_attribute,
    STATE(14615), 1,
      sym__attribute,
    STATE(17798), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680907] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18431), 1,
      anon_sym_RBRACE,
    STATE(13860), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680936] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(4959), 1,
      anon_sym_PIPE,
    STATE(13861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4957), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [680957] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9222), 1,
      anon_sym_PIPE,
    STATE(13862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [680978] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18433), 1,
      anon_sym_RBRACE,
    STATE(13863), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681007] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9226), 1,
      anon_sym_PIPE,
    STATE(13864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [681028] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18435), 1,
      anon_sym_RBRACE,
    STATE(13865), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681057] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9736), 1,
      anon_sym_PIPE,
    STATE(13866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9738), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [681078] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18437), 1,
      anon_sym_RBRACE,
    STATE(13867), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681107] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18439), 1,
      sym__identifier,
    STATE(6219), 1,
      sym_class_path,
    STATE(13868), 1,
      sym_attribute,
    STATE(14655), 1,
      sym__attribute,
    STATE(18319), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681136] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18441), 1,
      anon_sym_RBRACE,
    STATE(13869), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681165] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18443), 1,
      sym__identifier,
    STATE(3195), 1,
      sym_class_path,
    STATE(13870), 1,
      sym_attribute,
    STATE(14483), 1,
      sym__attribute,
    STATE(18931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681194] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18445), 1,
      anon_sym_RBRACE,
    STATE(13871), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681223] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18447), 1,
      anon_sym_RBRACE,
    STATE(13872), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681252] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9268), 1,
      anon_sym_PIPE,
    STATE(13873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [681273] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9656), 1,
      anon_sym_PIPE,
    STATE(13874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9658), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [681294] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9180), 1,
      anon_sym_PIPE,
    STATE(13875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [681315] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18449), 1,
      anon_sym_RBRACE,
    STATE(13876), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681344] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18451), 1,
      anon_sym_RBRACE,
    STATE(13877), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681373] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9262), 1,
      anon_sym_PIPE,
    STATE(13878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [681394] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9118), 1,
      anon_sym_PIPE,
    STATE(13879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [681415] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18453), 1,
      anon_sym_RBRACE,
    STATE(13880), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681444] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18455), 1,
      anon_sym_RBRACE,
    STATE(13881), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681473] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18457), 1,
      anon_sym_RBRACE,
    STATE(13882), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681502] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18459), 1,
      anon_sym_RBRACE,
    STATE(13883), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681531] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18461), 1,
      anon_sym_RBRACE,
    STATE(13884), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681560] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9674), 1,
      anon_sym_PIPE,
    STATE(13885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9676), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [681581] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18463), 1,
      anon_sym_RBRACE,
    STATE(13886), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681610] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18465), 1,
      anon_sym_RBRACE,
    STATE(13887), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681639] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18467), 1,
      anon_sym_RBRACE,
    STATE(13888), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681668] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18469), 1,
      anon_sym_RBRACE,
    STATE(13889), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681697] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18471), 1,
      anon_sym_RBRACE,
    STATE(13890), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681726] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18473), 1,
      anon_sym_RBRACE,
    STATE(13891), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681755] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18475), 1,
      anon_sym_RBRACE,
    STATE(13892), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681784] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9210), 1,
      anon_sym_PIPE,
    STATE(13893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [681805] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18477), 1,
      sym__identifier,
    STATE(3251), 1,
      sym_class_path,
    STATE(13894), 1,
      sym_attribute,
    STATE(14472), 1,
      sym__attribute,
    STATE(18951), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681834] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18479), 1,
      anon_sym_RBRACE,
    STATE(13895), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681863] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17691), 1,
      anon_sym_COMMA,
    ACTIONS(17693), 1,
      anon_sym_PIPE,
    ACTIONS(17697), 1,
      anon_sym_as,
    ACTIONS(17699), 1,
      anon_sym_COLON_COLON,
    STATE(13896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18419), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [681890] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18481), 1,
      anon_sym_RBRACE,
    STATE(13897), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681919] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18483), 1,
      sym__identifier,
    STATE(6913), 1,
      sym_class_path,
    STATE(13898), 1,
      sym_attribute,
    STATE(14975), 1,
      sym__attribute,
    STATE(17744), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681948] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18485), 1,
      anon_sym_RBRACE,
    STATE(13899), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681977] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      anon_sym_COLON2,
    ACTIONS(17711), 1,
      anon_sym_COLON_COLON,
    STATE(13900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
  [682000] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9236), 1,
      anon_sym_COLON2,
    ACTIONS(17705), 1,
      anon_sym_COMMA,
    ACTIONS(17711), 1,
      anon_sym_COLON_COLON,
    STATE(13901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_as,
  [682025] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18487), 1,
      anon_sym_RBRACE,
    STATE(13902), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682054] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9244), 1,
      anon_sym_COLON2,
    ACTIONS(17711), 1,
      anon_sym_COLON_COLON,
    STATE(13903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
  [682077] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18489), 1,
      anon_sym_RBRACE,
    STATE(13904), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682106] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18491), 1,
      anon_sym_RBRACE,
    STATE(13905), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682135] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18493), 1,
      sym__identifier,
    STATE(7069), 1,
      sym_class_path,
    STATE(13906), 1,
      sym_attribute,
    STATE(14638), 1,
      sym__attribute,
    STATE(19688), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682164] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12513), 1,
      anon_sym_and,
    STATE(13907), 1,
      sym_attribute,
    STATE(14055), 1,
      aux_sym_expression_item_repeat1,
    STATE(14981), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12511), 2,
      anon_sym_in,
      sym_let_and_operator,
  [682191] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11809), 1,
      sym__identifier,
    ACTIONS(14614), 1,
      anon_sym_POUND,
    ACTIONS(18495), 1,
      anon_sym_DASH_GT,
    STATE(12454), 1,
      sym_type_constructor_path,
    STATE(13908), 1,
      sym_attribute,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682220] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18497), 1,
      anon_sym_RBRACE,
    STATE(13909), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682249] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8220), 1,
      anon_sym_PIPE,
    STATE(13910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [682270] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18499), 1,
      anon_sym_RBRACE,
    STATE(13911), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682299] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18501), 1,
      anon_sym_RBRACE,
    STATE(13912), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682328] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18503), 1,
      anon_sym_RBRACE,
    STATE(13913), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682357] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17753), 1,
      anon_sym_COMMA,
    ACTIONS(17755), 1,
      anon_sym_PIPE,
    ACTIONS(17759), 1,
      anon_sym_as,
    ACTIONS(17761), 1,
      anon_sym_COLON_COLON,
    STATE(13914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18505), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [682384] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18507), 1,
      anon_sym_RBRACE,
    STATE(13915), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682413] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8224), 1,
      anon_sym_PIPE,
    STATE(13916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [682434] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    STATE(13917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [682455] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8232), 1,
      anon_sym_PIPE,
    STATE(13918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [682476] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8236), 1,
      anon_sym_PIPE,
    STATE(13919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [682497] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18509), 1,
      anon_sym_RBRACE,
    STATE(13920), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682526] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17691), 1,
      anon_sym_COMMA,
    ACTIONS(17693), 1,
      anon_sym_PIPE,
    ACTIONS(17697), 1,
      anon_sym_as,
    ACTIONS(17699), 1,
      anon_sym_COLON_COLON,
    STATE(13921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16904), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [682553] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9184), 1,
      anon_sym_PIPE,
    STATE(13922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [682574] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16729), 1,
      anon_sym_PIPE,
    STATE(13923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16727), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [682595] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16841), 1,
      anon_sym_PIPE,
    STATE(13924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16839), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [682616] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16519), 1,
      anon_sym_PIPE,
    STATE(13925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16517), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [682637] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9258), 1,
      anon_sym_PIPE,
    STATE(13926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [682658] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9248), 1,
      anon_sym_PIPE,
    STATE(13927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [682679] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18511), 1,
      anon_sym_RBRACE,
    STATE(13928), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682708] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18513), 1,
      anon_sym_RBRACE,
    STATE(13929), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682737] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18515), 1,
      anon_sym_RBRACE,
    STATE(13930), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682766] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18517), 1,
      anon_sym_RBRACE,
    STATE(13931), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682795] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12784), 1,
      anon_sym_and,
    STATE(13932), 1,
      sym_attribute,
    STATE(14055), 1,
      aux_sym_expression_item_repeat1,
    STATE(14981), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12782), 2,
      anon_sym_in,
      sym_let_and_operator,
  [682822] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18519), 1,
      anon_sym_RBRACE,
    STATE(13933), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682851] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18521), 1,
      anon_sym_RBRACE,
    STATE(13934), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682880] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18523), 1,
      anon_sym_RBRACE,
    STATE(13935), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682909] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12792), 1,
      anon_sym_and,
    STATE(13936), 1,
      sym_attribute,
    STATE(14005), 1,
      aux_sym_expression_item_repeat1,
    STATE(14981), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12790), 2,
      anon_sym_in,
      sym_let_and_operator,
  [682936] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9732), 1,
      anon_sym_PIPE,
    STATE(13937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9734), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [682957] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18525), 1,
      sym__identifier,
    STATE(7587), 1,
      sym_class_path,
    STATE(13938), 1,
      sym_attribute,
    STATE(14642), 1,
      sym__attribute,
    STATE(18597), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682986] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18527), 1,
      sym__identifier,
    STATE(9674), 1,
      sym_class_path,
    STATE(13939), 1,
      sym_attribute,
    STATE(14997), 1,
      sym__attribute,
    STATE(18359), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683015] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18529), 1,
      sym__identifier,
    STATE(7982), 1,
      sym_class_path,
    STATE(13940), 1,
      sym_attribute,
    STATE(14985), 1,
      sym__attribute,
    STATE(19220), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683044] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18531), 1,
      anon_sym_DASH_GT,
    STATE(13941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12416), 5,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_GT,
  [683065] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18533), 1,
      anon_sym_RBRACE,
    STATE(13942), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683094] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18535), 1,
      anon_sym_RBRACE,
    STATE(13943), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683123] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18537), 1,
      anon_sym_RBRACE,
    STATE(13944), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683152] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18539), 1,
      anon_sym_RBRACE,
    STATE(13945), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683181] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18541), 1,
      sym__identifier,
    STATE(5356), 1,
      sym_class_path,
    STATE(13946), 1,
      sym_attribute,
    STATE(15004), 1,
      sym__attribute,
    STATE(18199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683210] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18543), 1,
      anon_sym_RBRACE,
    STATE(13947), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683239] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17797), 1,
      anon_sym_COMMA,
    ACTIONS(17799), 1,
      anon_sym_PIPE,
    ACTIONS(17805), 1,
      anon_sym_COLON_COLON,
    STATE(13948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18545), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [683266] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    STATE(13949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18547), 4,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_AMP,
  [683289] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9740), 1,
      anon_sym_PIPE,
    STATE(13950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9742), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [683310] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18549), 1,
      sym__identifier,
    ACTIONS(18551), 1,
      anon_sym_BANG,
    STATE(12516), 1,
      sym__instance_variable_name,
    STATE(13951), 1,
      sym_attribute,
    STATE(14292), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18553), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [683337] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18555), 1,
      anon_sym_RBRACE,
    STATE(13952), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683366] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18557), 1,
      sym__identifier,
    STATE(7328), 1,
      sym_class_path,
    STATE(13953), 1,
      sym_attribute,
    STATE(14543), 1,
      sym__attribute,
    STATE(20411), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683395] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18559), 1,
      anon_sym_RBRACE,
    STATE(13954), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683424] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18561), 1,
      anon_sym_RBRACE,
    STATE(13955), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683453] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18563), 1,
      anon_sym_RBRACE,
    STATE(13956), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683482] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18565), 1,
      anon_sym_RBRACE,
    STATE(13957), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683511] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(16062), 1,
      sym__identifier,
    ACTIONS(18413), 1,
      anon_sym_LPAREN,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(13958), 1,
      sym_attribute,
    STATE(14735), 1,
      sym__attribute,
    STATE(17420), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683540] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17735), 1,
      anon_sym_COMMA,
    ACTIONS(17737), 1,
      anon_sym_PIPE,
    ACTIONS(17743), 1,
      anon_sym_as,
    ACTIONS(17745), 1,
      anon_sym_COLON_COLON,
    STATE(13959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18505), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [683567] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18567), 1,
      sym__identifier,
    STATE(6995), 1,
      sym_class_path,
    STATE(13960), 1,
      sym_attribute,
    STATE(14514), 1,
      sym__attribute,
    STATE(18635), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683596] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18569), 1,
      sym__identifier,
    STATE(6713), 1,
      sym_class_path,
    STATE(13961), 1,
      sym_attribute,
    STATE(14938), 1,
      sym__attribute,
    STATE(19463), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683625] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18571), 1,
      anon_sym_RBRACE,
    STATE(13962), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683654] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18573), 1,
      anon_sym_RBRACE,
    STATE(13963), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683683] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18575), 1,
      anon_sym_RBRACE,
    STATE(13964), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683712] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18577), 1,
      anon_sym_RBRACE,
    STATE(13965), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683741] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18579), 1,
      anon_sym_RBRACE,
    STATE(13966), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683770] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18581), 1,
      anon_sym_RBRACE,
    STATE(13967), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683799] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9704), 1,
      anon_sym_PIPE,
    STATE(13968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9706), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [683820] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18583), 1,
      anon_sym_rec,
    STATE(13969), 1,
      sym_attribute,
    STATE(14534), 1,
      sym__attribute,
    STATE(16068), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18585), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [683847] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18587), 1,
      anon_sym_and,
    STATE(13970), 1,
      sym_attribute,
    STATE(13974), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13133), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [683870] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9632), 1,
      anon_sym_PIPE,
    STATE(13971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9634), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [683891] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18589), 1,
      anon_sym_RBRACE,
    STATE(13972), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683920] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18591), 1,
      anon_sym_RBRACE,
    STATE(13973), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683949] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18593), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13974), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(11891), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [683970] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18596), 1,
      anon_sym_RBRACE,
    STATE(13975), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683999] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18598), 1,
      anon_sym_RBRACE,
    STATE(13976), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684028] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18600), 1,
      anon_sym_RBRACE,
    STATE(13977), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684057] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18602), 1,
      anon_sym_RBRACE,
    STATE(13978), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684086] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18604), 1,
      anon_sym_RBRACE,
    STATE(13979), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684115] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9636), 1,
      anon_sym_PIPE,
    STATE(13980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9638), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [684136] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18606), 1,
      anon_sym_RBRACE,
    STATE(13981), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684165] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18608), 1,
      anon_sym_RBRACE,
    STATE(13982), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684194] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18610), 1,
      anon_sym_RBRACE,
    STATE(13983), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684223] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18612), 1,
      anon_sym_RBRACE,
    STATE(13984), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684252] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18614), 1,
      anon_sym_RBRACE,
    STATE(13985), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684281] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18616), 1,
      sym__identifier,
    STATE(5790), 1,
      sym_class_path,
    STATE(13986), 1,
      sym_attribute,
    STATE(14812), 1,
      sym__attribute,
    STATE(18118), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684310] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18618), 1,
      anon_sym_RBRACE,
    STATE(13987), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684339] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18620), 1,
      sym__identifier,
    STATE(5248), 1,
      sym_class_path,
    STATE(13988), 1,
      sym_attribute,
    STATE(14429), 1,
      sym__attribute,
    STATE(18654), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684368] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9640), 1,
      anon_sym_PIPE,
    STATE(13989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9642), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [684389] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18622), 1,
      sym__identifier,
    STATE(6267), 1,
      sym_class_path,
    STATE(13990), 1,
      sym_attribute,
    STATE(14674), 1,
      sym__attribute,
    STATE(18399), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684418] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18624), 1,
      sym__identifier,
    STATE(3805), 1,
      sym_class_path,
    STATE(13991), 1,
      sym_attribute,
    STATE(14533), 1,
      sym__attribute,
    STATE(17852), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684447] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9644), 1,
      anon_sym_PIPE,
    STATE(13992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9646), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [684468] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18626), 1,
      anon_sym_RBRACE,
    STATE(13993), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684497] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18628), 1,
      sym__identifier,
    STATE(4810), 1,
      sym_class_path,
    STATE(13994), 1,
      sym_attribute,
    STATE(14793), 1,
      sym__attribute,
    STATE(18673), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684526] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18630), 1,
      anon_sym_RBRACE,
    STATE(13995), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684555] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18632), 1,
      anon_sym_RBRACE,
    STATE(13996), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684584] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9122), 1,
      anon_sym_PIPE,
    STATE(13997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9124), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [684605] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9598), 1,
      anon_sym_PIPE,
    STATE(13998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9600), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [684626] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9602), 1,
      anon_sym_PIPE,
    STATE(13999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9604), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [684647] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9114), 1,
      anon_sym_PIPE,
    STATE(14000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [684668] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9606), 1,
      anon_sym_PIPE,
    STATE(14001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9608), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [684689] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17735), 1,
      anon_sym_COMMA,
    ACTIONS(17737), 1,
      anon_sym_PIPE,
    ACTIONS(17743), 1,
      anon_sym_as,
    ACTIONS(17745), 1,
      anon_sym_COLON_COLON,
    STATE(14002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18634), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [684716] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18636), 1,
      anon_sym_RBRACE,
    STATE(14003), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684745] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12942), 1,
      anon_sym_and,
    STATE(14004), 1,
      sym_attribute,
    STATE(14038), 1,
      aux_sym_expression_item_repeat1,
    STATE(14981), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12940), 2,
      anon_sym_in,
      sym_let_and_operator,
  [684772] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12985), 1,
      anon_sym_and,
    STATE(14005), 1,
      sym_attribute,
    STATE(14055), 1,
      aux_sym_expression_item_repeat1,
    STATE(14981), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12983), 2,
      anon_sym_in,
      sym_let_and_operator,
  [684799] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9610), 1,
      anon_sym_PIPE,
    STATE(14006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9612), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [684820] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18638), 1,
      anon_sym_RBRACE,
    STATE(14007), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684849] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9614), 1,
      anon_sym_PIPE,
    STATE(14008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9616), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [684870] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18640), 1,
      anon_sym_RBRACE,
    STATE(14009), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684899] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_PIPE,
    STATE(14010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [684920] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9134), 1,
      anon_sym_PIPE,
    STATE(14011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9136), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [684941] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18642), 1,
      anon_sym_RBRACE,
    STATE(14012), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684970] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(18646), 1,
      anon_sym_PIPE,
    ACTIONS(18648), 1,
      anon_sym_RBRACK,
    STATE(14013), 1,
      sym_attribute,
    STATE(15354), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684999] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18650), 1,
      anon_sym_RBRACE,
    STATE(14014), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685028] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18652), 1,
      sym__identifier,
    STATE(4021), 1,
      sym_class_path,
    STATE(14015), 1,
      sym_attribute,
    STATE(14752), 1,
      sym__attribute,
    STATE(18068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685057] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18654), 1,
      anon_sym_RBRACE,
    STATE(14016), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685086] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18656), 1,
      anon_sym_RBRACE,
    STATE(14017), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685115] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18658), 1,
      anon_sym_RBRACE,
    STATE(14018), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685144] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(17797), 1,
      anon_sym_COMMA,
    ACTIONS(17799), 1,
      anon_sym_PIPE,
    ACTIONS(17805), 1,
      anon_sym_COLON_COLON,
    STATE(14019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18660), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [685171] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9188), 1,
      anon_sym_PIPE,
    STATE(14020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [685192] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9192), 1,
      anon_sym_PIPE,
    STATE(14021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [685213] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18662), 1,
      anon_sym_RBRACE,
    STATE(14022), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685242] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9198), 1,
      anon_sym_PIPE,
    STATE(14023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [685263] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9138), 1,
      anon_sym_PIPE,
    STATE(14024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9140), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [685284] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18664), 1,
      anon_sym_RBRACE,
    STATE(14025), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685313] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_PIPE,
    STATE(14026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [685334] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18666), 1,
      anon_sym_RBRACE,
    STATE(14027), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685363] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9142), 1,
      anon_sym_PIPE,
    STATE(14028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [685384] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17735), 1,
      anon_sym_COMMA,
    ACTIONS(17737), 1,
      anon_sym_PIPE,
    ACTIONS(17743), 1,
      anon_sym_as,
    ACTIONS(17745), 1,
      anon_sym_COLON_COLON,
    STATE(14029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18668), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [685411] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18670), 1,
      sym__identifier,
    STATE(7202), 1,
      sym_class_path,
    STATE(14030), 1,
      sym_attribute,
    STATE(14598), 1,
      sym__attribute,
    STATE(17906), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685440] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9146), 1,
      anon_sym_PIPE,
    STATE(14031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [685461] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18672), 1,
      anon_sym_RBRACE,
    STATE(14032), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685490] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18674), 1,
      anon_sym_RBRACE,
    STATE(14033), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685519] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9202), 1,
      anon_sym_PIPE,
    STATE(14034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [685540] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18676), 1,
      anon_sym_RBRACE,
    STATE(14035), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685569] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18678), 1,
      anon_sym_RBRACE,
    STATE(14036), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685598] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18680), 1,
      anon_sym_RBRACE,
    STATE(14037), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685627] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12688), 1,
      anon_sym_and,
    STATE(14038), 1,
      sym_attribute,
    STATE(14055), 1,
      aux_sym_expression_item_repeat1,
    STATE(14981), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12686), 2,
      anon_sym_in,
      sym_let_and_operator,
  [685654] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12692), 1,
      anon_sym_and,
    STATE(14039), 1,
      sym_attribute,
    STATE(14046), 1,
      aux_sym_expression_item_repeat1,
    STATE(14981), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12690), 2,
      anon_sym_in,
      sym_let_and_operator,
  [685681] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18682), 1,
      sym__identifier,
    STATE(2746), 1,
      sym_class_path,
    STATE(14040), 1,
      sym_attribute,
    STATE(15013), 1,
      sym__attribute,
    STATE(18711), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685710] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16781), 1,
      anon_sym_PIPE,
    STATE(14041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16779), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [685731] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18684), 1,
      anon_sym_RBRACE,
    STATE(14042), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685760] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9126), 1,
      anon_sym_PIPE,
    STATE(14043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [685781] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18686), 1,
      anon_sym_RBRACE,
    STATE(14044), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685810] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18688), 1,
      anon_sym_RBRACE,
    STATE(14045), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685839] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12804), 1,
      anon_sym_and,
    STATE(14046), 1,
      sym_attribute,
    STATE(14055), 1,
      aux_sym_expression_item_repeat1,
    STATE(14981), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12802), 2,
      anon_sym_in,
      sym_let_and_operator,
  [685866] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12808), 1,
      anon_sym_and,
    STATE(14047), 1,
      sym_attribute,
    STATE(14052), 1,
      aux_sym_expression_item_repeat1,
    STATE(14981), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12806), 2,
      anon_sym_in,
      sym_let_and_operator,
  [685893] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18690), 1,
      sym__identifier,
    STATE(4896), 1,
      sym_class_path,
    STATE(14048), 1,
      sym_attribute,
    STATE(14765), 1,
      sym__attribute,
    STATE(17636), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685922] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18692), 1,
      sym__identifier,
    STATE(5926), 1,
      sym_class_path,
    STATE(14049), 1,
      sym_attribute,
    STATE(14485), 1,
      sym__attribute,
    STATE(18239), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685951] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18694), 1,
      anon_sym_RBRACE,
    STATE(14050), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685980] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18696), 1,
      anon_sym_RBRACE,
    STATE(14051), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686009] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12879), 1,
      anon_sym_and,
    STATE(14052), 1,
      sym_attribute,
    STATE(14055), 1,
      aux_sym_expression_item_repeat1,
    STATE(14981), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12877), 2,
      anon_sym_in,
      sym_let_and_operator,
  [686036] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18698), 1,
      sym__identifier,
    STATE(6328), 1,
      sym_class_path,
    STATE(14053), 1,
      sym_attribute,
    STATE(14771), 1,
      sym__attribute,
    STATE(18439), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686065] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18700), 1,
      anon_sym_RBRACE,
    STATE(14054), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686094] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11920), 1,
      anon_sym_and,
    ACTIONS(18702), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14981), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11918), 2,
      anon_sym_in,
      sym_let_and_operator,
    STATE(14055), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
  [686119] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18705), 1,
      anon_sym_RBRACE,
    STATE(14056), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686148] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18707), 1,
      anon_sym_RBRACE,
    STATE(14057), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686177] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18709), 1,
      sym__identifier,
    STATE(4121), 1,
      sym_class_path,
    STATE(14058), 1,
      sym_attribute,
    STATE(14886), 1,
      sym__attribute,
    STATE(20143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686206] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18711), 1,
      anon_sym_RBRACE,
    STATE(14059), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686235] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18713), 1,
      anon_sym_RBRACE,
    STATE(14060), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686264] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18715), 1,
      sym__identifier,
    STATE(6415), 1,
      sym_class_path,
    STATE(14061), 1,
      sym_attribute,
    STATE(14463), 1,
      sym__attribute,
    STATE(17960), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686293] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18717), 1,
      anon_sym_RBRACE,
    STATE(14062), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686322] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18719), 1,
      anon_sym_RBRACE,
    STATE(14063), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686351] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18721), 1,
      anon_sym_RBRACE,
    STATE(14064), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686380] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18723), 1,
      anon_sym_RBRACE,
    STATE(14065), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686409] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18725), 1,
      anon_sym_RBRACE,
    STATE(14066), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686438] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18727), 1,
      sym__identifier,
    STATE(9136), 1,
      sym_class_path,
    STATE(14067), 1,
      sym_attribute,
    STATE(14937), 1,
      sym__attribute,
    STATE(20188), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686467] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18729), 1,
      sym__identifier,
    STATE(6582), 1,
      sym_class_path,
    STATE(14068), 1,
      sym_attribute,
    STATE(14500), 1,
      sym__attribute,
    STATE(18749), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686496] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18731), 1,
      anon_sym_RBRACE,
    STATE(14069), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686525] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18733), 1,
      anon_sym_RBRACE,
    STATE(14070), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686554] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7637), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13037), 1,
      anon_sym_and,
    STATE(13932), 1,
      aux_sym_expression_item_repeat1,
    STATE(14071), 1,
      sym_attribute,
    STATE(14981), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13035), 2,
      anon_sym_in,
      sym_let_and_operator,
  [686581] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18735), 1,
      anon_sym_RBRACE,
    STATE(14072), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686610] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18737), 1,
      anon_sym_RBRACE,
    STATE(14073), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686639] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18739), 1,
      anon_sym_RBRACE,
    STATE(14074), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686668] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18741), 1,
      anon_sym_RBRACE,
    STATE(14075), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686697] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18743), 1,
      anon_sym_RBRACE,
    STATE(14076), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686726] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(16062), 1,
      sym__identifier,
    ACTIONS(18413), 1,
      anon_sym_LPAREN,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(14077), 1,
      sym_attribute,
    STATE(14488), 1,
      sym__attribute,
    STATE(17042), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686755] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18745), 1,
      anon_sym_RBRACE,
    STATE(14078), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686784] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18747), 1,
      anon_sym_RBRACE,
    STATE(14079), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686813] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9214), 1,
      anon_sym_PIPE,
    STATE(14080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [686834] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18587), 1,
      anon_sym_and,
    STATE(13970), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(14081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13245), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [686857] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18749), 1,
      anon_sym_RBRACE,
    STATE(14082), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686886] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18751), 1,
      anon_sym_RBRACE,
    STATE(14083), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686915] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18753), 1,
      anon_sym_RBRACE,
    STATE(14084), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686944] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18755), 1,
      anon_sym_RBRACE,
    STATE(14085), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686973] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18757), 1,
      anon_sym_RBRACE,
    STATE(14086), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687002] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18759), 1,
      anon_sym_RBRACE,
    STATE(14087), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687031] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18761), 1,
      anon_sym_RBRACE,
    STATE(14088), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687060] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18763), 1,
      anon_sym_RBRACE,
    STATE(14089), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687089] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18765), 1,
      anon_sym_RBRACE,
    STATE(14090), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687118] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18767), 1,
      anon_sym_RBRACE,
    STATE(14091), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687147] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18769), 1,
      anon_sym_RBRACE,
    STATE(14092), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687176] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18771), 1,
      anon_sym_RBRACE,
    STATE(14093), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687205] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18773), 1,
      anon_sym_RBRACE,
    STATE(14094), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687234] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17691), 1,
      anon_sym_COMMA,
    ACTIONS(17693), 1,
      anon_sym_PIPE,
    ACTIONS(17697), 1,
      anon_sym_as,
    ACTIONS(17699), 1,
      anon_sym_COLON_COLON,
    STATE(14095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16928), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [687261] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16549), 1,
      anon_sym_PIPE,
    STATE(14096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16547), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [687282] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18775), 1,
      anon_sym_RBRACE,
    STATE(14097), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687311] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18777), 1,
      sym__identifier,
    STATE(6119), 1,
      sym_class_path,
    STATE(14098), 1,
      sym_attribute,
    STATE(14661), 1,
      sym__attribute,
    STATE(18786), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687340] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16942), 1,
      anon_sym_PIPE,
    ACTIONS(17699), 1,
      anon_sym_COLON_COLON,
    STATE(14099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16940), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [687363] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16893), 1,
      anon_sym_PIPE,
    ACTIONS(17691), 1,
      anon_sym_COMMA,
    ACTIONS(17699), 1,
      anon_sym_COLON_COLON,
    STATE(14100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16889), 3,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [687388] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16599), 1,
      anon_sym_PIPE,
    STATE(14101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16597), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [687409] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16918), 1,
      anon_sym_PIPE,
    ACTIONS(17699), 1,
      anon_sym_COLON_COLON,
    STATE(14102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16916), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [687432] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16813), 1,
      anon_sym_PIPE,
    STATE(14103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16811), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [687453] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18779), 1,
      sym__identifier,
    STATE(3579), 1,
      sym_class_path,
    STATE(14104), 1,
      sym_attribute,
    STATE(14414), 1,
      sym__attribute,
    STATE(18479), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687482] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9728), 1,
      anon_sym_PIPE,
    STATE(14105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9730), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [687503] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18411), 1,
      sym__identifier,
    ACTIONS(18413), 1,
      anon_sym_LPAREN,
    STATE(14106), 1,
      sym_attribute,
    STATE(14969), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20328), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [687530] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18781), 1,
      anon_sym_RBRACE,
    STATE(14107), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687559] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18783), 1,
      anon_sym_RBRACE,
    STATE(14108), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687588] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11707), 1,
      anon_sym_RPAREN,
    STATE(14109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__identifier,
      sym__capitalized_identifier,
  [687609] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18785), 1,
      anon_sym_RBRACE,
    STATE(14110), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687638] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18787), 1,
      anon_sym_RBRACE,
    STATE(14111), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687667] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18411), 1,
      sym__identifier,
    ACTIONS(18413), 1,
      anon_sym_LPAREN,
    STATE(14112), 1,
      sym_attribute,
    STATE(14984), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20338), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [687694] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18789), 1,
      anon_sym_RBRACE,
    STATE(14113), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687723] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18791), 1,
      anon_sym_RBRACE,
    STATE(14114), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687752] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18793), 1,
      sym__identifier,
    STATE(3247), 1,
      sym_class_path,
    STATE(14115), 1,
      sym_attribute,
    STATE(14600), 1,
      sym__attribute,
    STATE(18014), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687781] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18411), 1,
      sym__identifier,
    ACTIONS(18413), 1,
      anon_sym_LPAREN,
    STATE(14116), 1,
      sym_attribute,
    STATE(14999), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20347), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [687808] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_PIPE,
    STATE(14117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9550), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [687829] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18795), 1,
      anon_sym_RBRACE,
    STATE(14118), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687858] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18797), 1,
      sym__identifier,
    STATE(7424), 1,
      sym_class_path,
    STATE(14119), 1,
      sym_attribute,
    STATE(14531), 1,
      sym__attribute,
    STATE(19019), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687887] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18799), 1,
      sym__identifier,
    STATE(7129), 1,
      sym_class_path,
    STATE(14120), 1,
      sym_attribute,
    STATE(14388), 1,
      sym__attribute,
    STATE(20050), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687916] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18801), 1,
      anon_sym_RBRACE,
    STATE(14121), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687945] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12047), 1,
      anon_sym_RPAREN,
    STATE(14122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11539), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__identifier,
      sym__capitalized_identifier,
  [687966] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    ACTIONS(18803), 1,
      sym__identifier,
    STATE(6176), 1,
      sym_class_path,
    STATE(14123), 1,
      sym_attribute,
    STATE(14820), 1,
      sym__attribute,
    STATE(18279), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687995] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(18646), 1,
      anon_sym_PIPE,
    ACTIONS(18805), 1,
      anon_sym_RBRACK,
    STATE(14124), 1,
      sym_attribute,
    STATE(15865), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688024] = 9,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    ACTIONS(18807), 1,
      anon_sym_RBRACE,
    STATE(14125), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688053] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(18811), 1,
      anon_sym_SEMI,
    ACTIONS(18813), 1,
      anon_sym_GT_RBRACE,
    STATE(14126), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(15228), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688079] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(18815), 1,
      anon_sym_SEMI,
    ACTIONS(18817), 1,
      anon_sym_GT_RBRACE,
    STATE(14127), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(15483), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688105] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(18819), 1,
      anon_sym_SEMI,
    ACTIONS(18821), 1,
      anon_sym_GT_RBRACE,
    STATE(14128), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(15530), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688131] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(18823), 1,
      anon_sym_SEMI,
    ACTIONS(18825), 1,
      anon_sym_GT_RBRACE,
    STATE(14129), 1,
      sym_attribute,
    STATE(15039), 1,
      sym_instance_variable_expression,
    STATE(15040), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688157] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18827), 1,
      anon_sym_LPAREN,
    ACTIONS(18829), 1,
      sym__capitalized_identifier,
    STATE(10341), 1,
      sym__constructor_name,
    STATE(10535), 1,
      sym_constructor_path,
    STATE(14130), 1,
      sym_attribute,
    STATE(20365), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688183] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18831), 1,
      anon_sym_type,
    ACTIONS(18833), 1,
      anon_sym_module,
    STATE(14131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9436), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [688205] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(18835), 1,
      anon_sym_SEMI,
    ACTIONS(18837), 1,
      anon_sym_GT_RBRACE,
    STATE(14132), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(15537), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688231] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(18839), 1,
      anon_sym_RBRACK,
    STATE(14133), 1,
      sym_attribute,
    STATE(15286), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688257] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(18841), 1,
      anon_sym_RBRACK,
    STATE(14134), 1,
      sym_attribute,
    STATE(15212), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688283] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14135), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16451), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688309] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14136), 1,
      sym_attribute,
    STATE(14211), 1,
      sym_field_path,
    STATE(15417), 1,
      sym_field_binding_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688335] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(18843), 1,
      anon_sym_SEMI,
    ACTIONS(18845), 1,
      anon_sym_GT_RBRACE,
    STATE(14137), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(16056), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688361] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(18847), 1,
      anon_sym_SEMI,
    ACTIONS(18849), 1,
      anon_sym_GT_RBRACE,
    STATE(14138), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(15072), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688387] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(18851), 1,
      anon_sym_SEMI,
    ACTIONS(18853), 1,
      anon_sym_GT_RBRACE,
    STATE(14139), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(15706), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688413] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(18855), 1,
      anon_sym_SEMI,
    ACTIONS(18857), 1,
      anon_sym_GT_RBRACE,
    STATE(14140), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(16091), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688439] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(18859), 1,
      anon_sym_SEMI,
    ACTIONS(18861), 1,
      anon_sym_GT_RBRACE,
    STATE(14141), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(15864), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688465] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14142), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(15298), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688491] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12208), 1,
      sym__identifier,
    ACTIONS(18863), 1,
      anon_sym_POUND,
    STATE(9164), 1,
      sym_type_constructor_path,
    STATE(14143), 1,
      sym_attribute,
    STATE(16610), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688517] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14144), 1,
      sym_attribute,
    STATE(14211), 1,
      sym_field_path,
    STATE(15560), 1,
      sym_field_binding_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688543] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(18865), 1,
      anon_sym_SEMI,
    ACTIONS(18867), 1,
      anon_sym_GT_RBRACE,
    STATE(14145), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(16393), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688569] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12266), 1,
      sym__identifier,
    ACTIONS(18869), 1,
      anon_sym_POUND,
    STATE(12871), 1,
      sym_type_constructor_path,
    STATE(14146), 1,
      sym_attribute,
    STATE(16649), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688595] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16429), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14147), 1,
      sym_attribute,
    STATE(14308), 1,
      aux_sym_expression_item_repeat1,
    STATE(15687), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13231), 2,
      anon_sym_and,
      anon_sym_in,
  [688619] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14148), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(15053), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688645] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(18871), 1,
      anon_sym_RBRACK,
    STATE(14149), 1,
      sym_attribute,
    STATE(15402), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688671] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14150), 1,
      sym_attribute,
    STATE(14211), 1,
      sym_field_path,
    STATE(16311), 1,
      sym_field_binding_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688697] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18873), 1,
      anon_sym_EQ,
    ACTIONS(18875), 1,
      anon_sym_of,
    ACTIONS(18877), 1,
      anon_sym_COLON2,
    STATE(14151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [688721] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14152), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(15224), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688747] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14153), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(15927), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688773] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16429), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14154), 1,
      sym_attribute,
    STATE(14308), 1,
      aux_sym_expression_item_repeat1,
    STATE(15687), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12322), 2,
      anon_sym_and,
      anon_sym_in,
  [688797] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11268), 1,
      sym__identifier,
    ACTIONS(18879), 1,
      anon_sym_POUND,
    STATE(11075), 1,
      sym_type_constructor_path,
    STATE(14155), 1,
      sym_attribute,
    STATE(17531), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688823] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14156), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(15683), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688849] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18881), 1,
      anon_sym_type,
    ACTIONS(18883), 1,
      anon_sym_module,
    STATE(14157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10830), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [688871] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(14158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18885), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__identifier,
      sym__capitalized_identifier,
  [688889] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18887), 1,
      anon_sym_type,
    ACTIONS(18889), 1,
      anon_sym_module,
    STATE(14159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13611), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [688911] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(18891), 1,
      anon_sym_RPAREN,
    STATE(14160), 1,
      sym_attribute,
    STATE(15686), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688937] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18893), 1,
      anon_sym_type,
    ACTIONS(18895), 1,
      anon_sym_module,
    STATE(14161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9436), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [688959] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 5,
      anon_sym_EQ,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [688977] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14163), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(15077), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689003] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17705), 1,
      anon_sym_COMMA,
    ACTIONS(17707), 1,
      anon_sym_PIPE,
    ACTIONS(17709), 1,
      anon_sym_as,
    ACTIONS(17711), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18897), 1,
      anon_sym_RPAREN,
    STATE(14164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689029] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14165), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(15366), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689055] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16429), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14166), 1,
      sym_attribute,
    STATE(14308), 1,
      aux_sym_expression_item_repeat1,
    STATE(15687), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13219), 2,
      anon_sym_and,
      anon_sym_in,
  [689079] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14167), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(17174), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689105] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14168), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(15480), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689131] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(18899), 1,
      anon_sym_RPAREN,
    STATE(14169), 1,
      sym_attribute,
    STATE(15342), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689157] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(18901), 1,
      anon_sym_SEMI,
    ACTIONS(18903), 1,
      anon_sym_GT_RBRACE,
    STATE(14170), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(16157), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689183] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    STATE(14171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18646), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [689205] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14172), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(15134), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689231] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14173), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(15968), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689257] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11338), 1,
      sym__identifier,
    ACTIONS(18905), 1,
      anon_sym_POUND,
    STATE(10255), 1,
      sym_type_constructor_path,
    STATE(14174), 1,
      sym_attribute,
    STATE(16521), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689283] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(18907), 1,
      anon_sym_SEMI,
    ACTIONS(18909), 1,
      anon_sym_GT_RBRACE,
    STATE(14175), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(15780), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689309] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18911), 1,
      anon_sym_type,
    ACTIONS(18913), 1,
      anon_sym_module,
    STATE(14176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9436), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [689331] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18827), 1,
      anon_sym_LPAREN,
    ACTIONS(18829), 1,
      sym__capitalized_identifier,
    STATE(10341), 1,
      sym__constructor_name,
    STATE(10589), 1,
      sym_constructor_path,
    STATE(14177), 1,
      sym_attribute,
    STATE(20365), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689357] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(18915), 1,
      anon_sym_RPAREN,
    STATE(14178), 1,
      sym_attribute,
    STATE(15743), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689383] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16429), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14179), 1,
      sym_attribute,
    STATE(14308), 1,
      aux_sym_expression_item_repeat1,
    STATE(15687), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13223), 2,
      anon_sym_and,
      anon_sym_in,
  [689407] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(18917), 1,
      anon_sym_RBRACK,
    STATE(14180), 1,
      sym_attribute,
    STATE(15510), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689433] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(18919), 1,
      anon_sym_SEMI,
    ACTIONS(18921), 1,
      anon_sym_GT_RBRACE,
    STATE(14181), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(15359), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689459] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18923), 1,
      anon_sym_EQ,
    ACTIONS(18925), 1,
      anon_sym_of,
    ACTIONS(18927), 1,
      anon_sym_COLON2,
    STATE(14182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12589), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [689483] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(18929), 1,
      anon_sym_SEMI,
    ACTIONS(18931), 1,
      anon_sym_GT_RBRACE,
    STATE(14183), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(15164), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689509] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14184), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(15104), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689535] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(18933), 1,
      anon_sym_RBRACK,
    STATE(14185), 1,
      sym_attribute,
    STATE(15459), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689561] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(18935), 1,
      anon_sym_RPAREN,
    STATE(14186), 1,
      sym_attribute,
    STATE(16273), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689587] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14187), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16066), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689613] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18531), 1,
      anon_sym_DASH_GT,
    ACTIONS(18937), 1,
      anon_sym_as,
    STATE(14188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15111), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [689635] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(14189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18939), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__identifier,
      sym__capitalized_identifier,
  [689653] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14190), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(15381), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689679] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(18941), 1,
      anon_sym_RPAREN,
    STATE(14191), 1,
      sym_attribute,
    STATE(15642), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689705] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14192), 1,
      sym_attribute,
    STATE(14211), 1,
      sym_field_path,
    STATE(16522), 1,
      sym_field_binding_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689731] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(18943), 1,
      anon_sym_RPAREN,
    STATE(14193), 1,
      sym_attribute,
    STATE(15559), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689757] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14194), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(15029), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689783] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18827), 1,
      anon_sym_LPAREN,
    ACTIONS(18829), 1,
      sym__capitalized_identifier,
    STATE(10341), 1,
      sym__constructor_name,
    STATE(10614), 1,
      sym_constructor_path,
    STATE(14195), 1,
      sym_attribute,
    STATE(20365), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689809] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(18945), 1,
      anon_sym_RPAREN,
    STATE(14196), 1,
      sym_attribute,
    STATE(15531), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689835] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(18947), 1,
      anon_sym_SEMI,
    ACTIONS(18949), 1,
      anon_sym_GT_RBRACE,
    STATE(14197), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(15160), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689861] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8468), 1,
      sym__capitalized_identifier,
    ACTIONS(18951), 1,
      anon_sym_LPAREN,
    STATE(9802), 1,
      sym__constructor_name,
    STATE(14198), 1,
      sym_attribute,
    STATE(17309), 1,
      sym_constructor_path,
    STATE(18270), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689887] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(18953), 1,
      anon_sym_RPAREN,
    STATE(14199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689913] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18955), 1,
      anon_sym_EQ,
    ACTIONS(18957), 1,
      anon_sym_of,
    ACTIONS(18959), 1,
      anon_sym_COLON2,
    STATE(14200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12599), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [689937] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14201), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(15676), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689963] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(18961), 1,
      anon_sym_RPAREN,
    STATE(14202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689989] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(18963), 1,
      anon_sym_SEMI,
    ACTIONS(18965), 1,
      anon_sym_GT_RBRACE,
    STATE(14203), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(16184), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690015] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17705), 1,
      anon_sym_COMMA,
    ACTIONS(17707), 1,
      anon_sym_PIPE,
    ACTIONS(17709), 1,
      anon_sym_as,
    ACTIONS(17711), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_RPAREN,
    STATE(14204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690041] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12330), 1,
      sym__identifier,
    ACTIONS(18969), 1,
      anon_sym_POUND,
    STATE(12679), 1,
      sym_type_constructor_path,
    STATE(14205), 1,
      sym_attribute,
    STATE(16574), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690067] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18531), 1,
      anon_sym_DASH_GT,
    ACTIONS(18937), 1,
      anon_sym_as,
    STATE(14206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12720), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [690089] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14207), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(15154), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690115] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18549), 1,
      sym__identifier,
    STATE(14208), 1,
      sym_attribute,
    STATE(14727), 1,
      aux_sym_instance_variable_specification_repeat1,
    STATE(16616), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18553), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [690139] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14209), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(15139), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690165] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(18971), 1,
      anon_sym_SEMI,
    ACTIONS(18973), 1,
      anon_sym_GT_RBRACE,
    STATE(14210), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(15822), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690191] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18975), 1,
      anon_sym_EQ,
    ACTIONS(18977), 1,
      anon_sym_COLON2,
    STATE(14211), 1,
      sym_attribute,
    STATE(16052), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18979), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [690215] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(14212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18981), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__identifier,
      sym__capitalized_identifier,
  [690233] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(18983), 1,
      anon_sym_SEMI,
    ACTIONS(18985), 1,
      anon_sym_GT_RBRACE,
    STATE(14213), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(16280), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690259] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(18987), 1,
      anon_sym_SEMI,
    ACTIONS(18989), 1,
      anon_sym_GT_RBRACE,
    STATE(14214), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(16432), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690285] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18531), 1,
      anon_sym_DASH_GT,
    ACTIONS(18937), 1,
      anon_sym_as,
    STATE(14215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16433), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [690307] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14216), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16108), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690333] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(18991), 1,
      anon_sym_SEMI,
    ACTIONS(18993), 1,
      anon_sym_GT_RBRACE,
    STATE(14217), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(15123), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690359] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(18805), 1,
      anon_sym_RBRACK,
    STATE(14218), 1,
      sym_attribute,
    STATE(15865), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690385] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(18995), 1,
      anon_sym_RPAREN,
    STATE(14219), 1,
      sym_attribute,
    STATE(15700), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690411] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14220), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(15844), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690437] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    STATE(14221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18997), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [690459] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11809), 1,
      sym__identifier,
    ACTIONS(18999), 1,
      anon_sym_POUND,
    STATE(12490), 1,
      sym_type_constructor_path,
    STATE(14222), 1,
      sym_attribute,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690485] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14223), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(15740), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690511] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14224), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(15176), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690537] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(19001), 1,
      anon_sym_RPAREN,
    STATE(14225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690563] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16429), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14226), 1,
      sym_attribute,
    STATE(14308), 1,
      aux_sym_expression_item_repeat1,
    STATE(15687), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11931), 2,
      anon_sym_and,
      anon_sym_in,
  [690587] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14227), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(15876), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690613] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19003), 1,
      anon_sym_SEMI,
    ACTIONS(19005), 1,
      anon_sym_GT_RBRACE,
    STATE(14228), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(15603), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690639] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 5,
      anon_sym_EQ,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [690657] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19007), 1,
      anon_sym_SEMI,
    ACTIONS(19009), 1,
      anon_sym_GT_RBRACE,
    STATE(14230), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(15660), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690683] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19011), 1,
      anon_sym_SEMI,
    ACTIONS(19013), 1,
      anon_sym_GT_RBRACE,
    STATE(14231), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(15146), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690709] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14211), 1,
      sym_field_path,
    STATE(14232), 1,
      sym_attribute,
    STATE(15145), 1,
      sym_field_binding_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690735] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(19015), 1,
      anon_sym_RPAREN,
    STATE(14233), 1,
      sym_attribute,
    STATE(15770), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690761] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17873), 1,
      anon_sym_AMP,
    STATE(14234), 1,
      sym_attribute,
    STATE(14245), 1,
      aux_sym_tag_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19017), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [690783] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14235), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(15548), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690809] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12288), 1,
      sym__identifier,
    ACTIONS(19019), 1,
      anon_sym_POUND,
    STATE(13135), 1,
      sym_type_constructor_path,
    STATE(14236), 1,
      sym_attribute,
    STATE(16537), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690835] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17705), 1,
      anon_sym_COMMA,
    ACTIONS(17707), 1,
      anon_sym_PIPE,
    ACTIONS(17709), 1,
      anon_sym_as,
    ACTIONS(17711), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19021), 1,
      anon_sym_RPAREN,
    STATE(14237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690861] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19023), 1,
      anon_sym_SEMI,
    ACTIONS(19025), 1,
      anon_sym_GT_RBRACE,
    STATE(14238), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(15911), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690887] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19027), 1,
      anon_sym_SEMI,
    ACTIONS(19029), 1,
      anon_sym_GT_RBRACE,
    STATE(14239), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(15593), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690913] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17705), 1,
      anon_sym_COMMA,
    ACTIONS(17707), 1,
      anon_sym_PIPE,
    ACTIONS(17709), 1,
      anon_sym_as,
    ACTIONS(17711), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19031), 1,
      anon_sym_RPAREN,
    STATE(14240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690939] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11292), 1,
      sym__identifier,
    ACTIONS(19033), 1,
      anon_sym_POUND,
    STATE(9352), 1,
      sym_type_constructor_path,
    STATE(14241), 1,
      sym_attribute,
    STATE(17431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690965] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14242), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(15206), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690991] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19035), 1,
      anon_sym_SEMI,
    ACTIONS(19037), 1,
      anon_sym_GT_RBRACE,
    STATE(14243), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(16057), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691017] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19039), 1,
      anon_sym_SEMI,
    ACTIONS(19041), 1,
      anon_sym_GT_RBRACE,
    STATE(14244), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(16279), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691043] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19043), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14245), 2,
      sym_attribute,
      aux_sym_tag_specification_repeat1,
    ACTIONS(18547), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [691063] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(18648), 1,
      anon_sym_RBRACK,
    STATE(14246), 1,
      sym_attribute,
    STATE(15354), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691089] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(18827), 1,
      anon_sym_LPAREN,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(10535), 1,
      sym_constructor_path,
    STATE(14247), 1,
      sym_attribute,
    STATE(20175), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691115] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17705), 1,
      anon_sym_COMMA,
    ACTIONS(17707), 1,
      anon_sym_PIPE,
    ACTIONS(17709), 1,
      anon_sym_as,
    ACTIONS(17711), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19046), 1,
      anon_sym_RPAREN,
    STATE(14248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691141] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(18827), 1,
      anon_sym_LPAREN,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(10589), 1,
      sym_constructor_path,
    STATE(14249), 1,
      sym_attribute,
    STATE(20175), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691167] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8468), 1,
      sym__capitalized_identifier,
    ACTIONS(18951), 1,
      anon_sym_LPAREN,
    STATE(9802), 1,
      sym__constructor_name,
    STATE(14250), 1,
      sym_attribute,
    STATE(16559), 1,
      sym_constructor_path,
    STATE(18270), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691193] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14251), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(15343), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691219] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18887), 1,
      anon_sym_type,
    ACTIONS(18889), 1,
      anon_sym_module,
    STATE(14252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13448), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [691241] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18531), 1,
      anon_sym_DASH_GT,
    ACTIONS(18937), 1,
      anon_sym_as,
    STATE(14253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15115), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [691263] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14254), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(15882), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691289] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11230), 1,
      sym__identifier,
    ACTIONS(19048), 1,
      anon_sym_POUND,
    STATE(10828), 1,
      sym_type_constructor_path,
    STATE(14255), 1,
      sym_attribute,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691315] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11298), 1,
      sym__identifier,
    ACTIONS(19050), 1,
      anon_sym_POUND,
    STATE(9412), 1,
      sym_type_constructor_path,
    STATE(14256), 1,
      sym_attribute,
    STATE(17311), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691341] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11202), 1,
      sym__identifier,
    ACTIONS(19052), 1,
      anon_sym_POUND,
    STATE(10597), 1,
      sym_type_constructor_path,
    STATE(14257), 1,
      sym_attribute,
    STATE(17405), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691367] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14258), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(15904), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691393] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14259), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16101), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691419] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19054), 1,
      anon_sym_SEMI,
    ACTIONS(19056), 1,
      anon_sym_GT_RBRACE,
    STATE(14260), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(15418), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691445] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14261), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(15558), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691471] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19058), 1,
      anon_sym_SEMI,
    ACTIONS(19060), 1,
      anon_sym_GT_RBRACE,
    STATE(14262), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(15419), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691497] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(19062), 1,
      anon_sym_RPAREN,
    STATE(14263), 1,
      sym_attribute,
    STATE(15728), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691523] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14264), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(15732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691549] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(19064), 1,
      anon_sym_RPAREN,
    STATE(14265), 1,
      sym_attribute,
    STATE(15595), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691575] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19066), 1,
      anon_sym_SEMI,
    ACTIONS(19068), 1,
      anon_sym_GT_RBRACE,
    STATE(14266), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(15045), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691601] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14267), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(16177), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691627] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(19070), 1,
      anon_sym_RPAREN,
    STATE(14268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691653] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14269), 1,
      sym_attribute,
    STATE(14288), 1,
      sym_field_path,
    STATE(16307), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691679] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17873), 1,
      anon_sym_AMP,
    STATE(14245), 1,
      aux_sym_tag_specification_repeat1,
    STATE(14270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17999), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [691701] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11182), 1,
      sym__identifier,
    ACTIONS(19072), 1,
      anon_sym_POUND,
    STATE(10865), 1,
      sym_type_constructor_path,
    STATE(14271), 1,
      sym_attribute,
    STATE(17339), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691727] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(19074), 1,
      anon_sym_RPAREN,
    STATE(14272), 1,
      sym_attribute,
    STATE(15502), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691753] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8018), 1,
      sym__capitalized_identifier,
    ACTIONS(18827), 1,
      anon_sym_LPAREN,
    STATE(7045), 1,
      sym__constructor_name,
    STATE(10614), 1,
      sym_constructor_path,
    STATE(14273), 1,
      sym_attribute,
    STATE(20175), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691779] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14211), 1,
      sym_field_path,
    STATE(14274), 1,
      sym_attribute,
    STATE(15852), 1,
      sym_field_binding_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691805] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14275), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(15796), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691831] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14211), 1,
      sym_field_path,
    STATE(14276), 1,
      sym_attribute,
    STATE(16183), 1,
      sym_field_binding_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691857] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(19076), 1,
      anon_sym_RBRACK,
    STATE(14277), 1,
      sym_attribute,
    STATE(15534), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691883] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12236), 1,
      sym__identifier,
    ACTIONS(19078), 1,
      anon_sym_POUND,
    STATE(9481), 1,
      sym_type_constructor_path,
    STATE(14278), 1,
      sym_attribute,
    STATE(16489), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691909] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14279), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16411), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691935] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(19080), 1,
      anon_sym_RPAREN,
    STATE(14280), 1,
      sym_attribute,
    STATE(15713), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691961] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18549), 1,
      sym__identifier,
    STATE(12427), 1,
      sym__instance_variable_name,
    STATE(14281), 1,
      sym_attribute,
    STATE(14349), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18553), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [691985] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(19082), 1,
      anon_sym_RPAREN,
    STATE(14282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692011] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(14283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19084), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__identifier,
      sym__capitalized_identifier,
  [692029] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19086), 1,
      anon_sym_SEMI,
    ACTIONS(19088), 1,
      anon_sym_GT_RBRACE,
    STATE(14284), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(15219), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692055] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19090), 1,
      sym__identifier,
    ACTIONS(19094), 1,
      anon_sym_BANG,
    STATE(14285), 1,
      sym_attribute,
    STATE(14962), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19092), 2,
      anon_sym_private,
      anon_sym_virtual,
  [692079] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11218), 1,
      sym__identifier,
    ACTIONS(19096), 1,
      anon_sym_POUND,
    STATE(10028), 1,
      sym_type_constructor_path,
    STATE(14286), 1,
      sym_attribute,
    STATE(17499), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692105] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19098), 1,
      anon_sym_type,
    ACTIONS(19100), 1,
      anon_sym_module,
    STATE(14287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14081), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [692127] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18977), 1,
      anon_sym_COLON2,
    ACTIONS(19102), 1,
      anon_sym_EQ,
    STATE(14288), 1,
      sym_attribute,
    STATE(16087), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19104), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [692151] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14289), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(15443), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692177] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    STATE(14290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13374), 3,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [692199] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19110), 1,
      anon_sym_SEMI,
    ACTIONS(19112), 1,
      anon_sym_GT_RBRACE,
    STATE(14291), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(16265), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692225] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18549), 1,
      sym__identifier,
    STATE(12427), 1,
      sym__instance_variable_name,
    STATE(14292), 1,
      sym_attribute,
    STATE(14727), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18553), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [692249] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(19114), 1,
      anon_sym_RPAREN,
    STATE(14293), 1,
      sym_attribute,
    STATE(15619), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692275] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    STATE(14294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13378), 3,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [692297] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(19116), 1,
      anon_sym_RPAREN,
    STATE(14295), 1,
      sym_attribute,
    STATE(15454), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692323] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11322), 1,
      sym__identifier,
    ACTIONS(19118), 1,
      anon_sym_POUND,
    STATE(13591), 1,
      sym_type_constructor_path,
    STATE(14296), 1,
      sym_attribute,
    STATE(16934), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692349] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19122), 1,
      anon_sym__,
    STATE(14158), 1,
      sym_type_variable,
    STATE(14297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19120), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [692373] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18831), 1,
      anon_sym_type,
    ACTIONS(18833), 1,
      anon_sym_module,
    STATE(14298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11084), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [692395] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14299), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(15105), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692421] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19124), 1,
      anon_sym_SEMI,
    ACTIONS(19126), 1,
      anon_sym_GT_RBRACE,
    STATE(14300), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(16122), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692447] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(19128), 1,
      anon_sym_RPAREN,
    STATE(14301), 1,
      sym_attribute,
    STATE(15662), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692473] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14302), 1,
      sym_attribute,
    STATE(14305), 1,
      sym_field_path,
    STATE(16213), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692499] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(14303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19130), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__identifier,
      sym__capitalized_identifier,
  [692517] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18893), 1,
      anon_sym_type,
    ACTIONS(18895), 1,
      anon_sym_module,
    STATE(14304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10656), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [692539] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18977), 1,
      anon_sym_COLON2,
    ACTIONS(19132), 1,
      anon_sym_EQ,
    STATE(14305), 1,
      sym_attribute,
    STATE(15675), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19134), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [692563] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11236), 1,
      sym__identifier,
    ACTIONS(19136), 1,
      anon_sym_POUND,
    STATE(10825), 1,
      sym_type_constructor_path,
    STATE(14306), 1,
      sym_attribute,
    STATE(16553), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692589] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(19138), 1,
      anon_sym_RPAREN,
    STATE(14307), 1,
      sym_attribute,
    STATE(15280), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692615] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19140), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15687), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11918), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(14308), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
  [692637] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    STATE(14309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16433), 3,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [692659] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18911), 1,
      anon_sym_type,
    ACTIONS(18913), 1,
      anon_sym_module,
    STATE(14310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10658), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [692681] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14211), 1,
      sym_field_path,
    STATE(14311), 1,
      sym_attribute,
    STATE(16195), 1,
      sym_field_binding_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692707] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(19143), 1,
      anon_sym_RPAREN,
    STATE(14312), 1,
      sym_attribute,
    STATE(15755), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692733] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12280), 1,
      sym__identifier,
    ACTIONS(19145), 1,
      anon_sym_POUND,
    STATE(9570), 1,
      sym_type_constructor_path,
    STATE(14313), 1,
      sym_attribute,
    STATE(16591), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692759] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12244), 1,
      sym__identifier,
    ACTIONS(19147), 1,
      anon_sym_POUND,
    STATE(11795), 1,
      sym_type_constructor_path,
    STATE(14314), 1,
      sym_attribute,
    STATE(16472), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692785] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14305), 1,
      sym_field_path,
    STATE(14315), 1,
      sym_attribute,
    STATE(16296), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692811] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14305), 1,
      sym_field_path,
    STATE(14316), 1,
      sym_attribute,
    STATE(15515), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692837] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(19149), 1,
      anon_sym_RPAREN,
    STATE(14317), 1,
      sym_attribute,
    STATE(15797), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692863] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19098), 1,
      anon_sym_type,
    ACTIONS(19100), 1,
      anon_sym_module,
    STATE(14318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9436), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [692885] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19151), 1,
      anon_sym_SEMI,
    ACTIONS(19153), 1,
      anon_sym_GT_RBRACE,
    STATE(14319), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(15193), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692911] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14305), 1,
      sym_field_path,
    STATE(14320), 1,
      sym_attribute,
    STATE(15191), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692937] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(19155), 1,
      anon_sym_RPAREN,
    STATE(14321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692963] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(19157), 1,
      anon_sym_RPAREN,
    STATE(14322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692989] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19159), 1,
      anon_sym_SEMI,
    ACTIONS(19161), 1,
      anon_sym_GT_RBRACE,
    STATE(14323), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(15069), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693015] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(12320), 1,
      sym__identifier,
    ACTIONS(19163), 1,
      anon_sym_POUND,
    STATE(9226), 1,
      sym_type_constructor_path,
    STATE(14324), 1,
      sym_attribute,
    STATE(16632), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693041] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14305), 1,
      sym_field_path,
    STATE(14325), 1,
      sym_attribute,
    STATE(15833), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693067] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14305), 1,
      sym_field_path,
    STATE(14326), 1,
      sym_attribute,
    STATE(15622), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693093] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8468), 1,
      sym__capitalized_identifier,
    ACTIONS(18951), 1,
      anon_sym_LPAREN,
    STATE(9802), 1,
      sym__constructor_name,
    STATE(14327), 1,
      sym_attribute,
    STATE(16636), 1,
      sym_constructor_path,
    STATE(18270), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693119] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11290), 1,
      sym__identifier,
    ACTIONS(19165), 1,
      anon_sym_POUND,
    STATE(9620), 1,
      sym_type_constructor_path,
    STATE(14328), 1,
      sym_attribute,
    STATE(16564), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693145] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11252), 1,
      sym__identifier,
    ACTIONS(19167), 1,
      anon_sym_POUND,
    STATE(10198), 1,
      sym_type_constructor_path,
    STATE(14329), 1,
      sym_attribute,
    STATE(16506), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693171] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19169), 1,
      anon_sym_SEMI,
    ACTIONS(19171), 1,
      anon_sym_GT_RBRACE,
    STATE(14330), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(15955), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693197] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17705), 1,
      anon_sym_COMMA,
    ACTIONS(17707), 1,
      anon_sym_PIPE,
    ACTIONS(17709), 1,
      anon_sym_as,
    ACTIONS(17711), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19173), 1,
      anon_sym_RPAREN,
    STATE(14331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693223] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14305), 1,
      sym_field_path,
    STATE(14332), 1,
      sym_attribute,
    STATE(15032), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693249] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11300), 1,
      sym__identifier,
    ACTIONS(19175), 1,
      anon_sym_POUND,
    STATE(10774), 1,
      sym_type_constructor_path,
    STATE(14333), 1,
      sym_attribute,
    STATE(17469), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693275] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19177), 1,
      anon_sym_SEMI,
    ACTIONS(19179), 1,
      anon_sym_GT_RBRACE,
    STATE(14334), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(16130), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693301] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19181), 1,
      sym__identifier,
    ACTIONS(19183), 1,
      anon_sym_LPAREN,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    STATE(10448), 1,
      sym_parenthesized_operator,
    STATE(12262), 1,
      sym__value_name,
    STATE(14335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693327] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(16910), 1,
      anon_sym_as,
    ACTIONS(19187), 1,
      anon_sym_RPAREN,
    STATE(14336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693353] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(19189), 1,
      anon_sym_RPAREN,
    STATE(14337), 1,
      sym_attribute,
    STATE(15578), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693379] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16429), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14308), 1,
      aux_sym_expression_item_repeat1,
    STATE(14338), 1,
      sym_attribute,
    STATE(15687), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12740), 2,
      anon_sym_and,
      anon_sym_in,
  [693403] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14305), 1,
      sym_field_path,
    STATE(14339), 1,
      sym_attribute,
    STATE(15253), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693429] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14305), 1,
      sym_field_path,
    STATE(14340), 1,
      sym_attribute,
    STATE(15054), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693455] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(19191), 1,
      anon_sym_RPAREN,
    STATE(14341), 1,
      sym_attribute,
    STATE(15399), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693481] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(19193), 1,
      anon_sym_RPAREN,
    STATE(14342), 1,
      sym_attribute,
    STATE(15785), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693507] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18549), 1,
      sym__identifier,
    STATE(14208), 1,
      aux_sym_instance_variable_specification_repeat1,
    STATE(14343), 1,
      sym_attribute,
    STATE(17091), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18553), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [693531] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19195), 1,
      anon_sym_SEMI,
    ACTIONS(19197), 1,
      anon_sym_GT_RBRACE,
    STATE(14344), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(15305), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693557] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19199), 1,
      anon_sym_SEMI,
    ACTIONS(19201), 1,
      anon_sym_GT_RBRACE,
    STATE(14345), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(15821), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693583] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14305), 1,
      sym_field_path,
    STATE(14346), 1,
      sym_attribute,
    STATE(16408), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693609] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14288), 1,
      sym_field_path,
    STATE(14347), 1,
      sym_attribute,
    STATE(16179), 1,
      sym_field_pattern,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693635] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14305), 1,
      sym_field_path,
    STATE(14348), 1,
      sym_attribute,
    STATE(16732), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693661] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18549), 1,
      sym__identifier,
    STATE(12594), 1,
      sym__instance_variable_name,
    STATE(14349), 1,
      sym_attribute,
    STATE(14727), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18553), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [693685] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19203), 1,
      anon_sym_SEMI,
    ACTIONS(19205), 1,
      anon_sym_GT_RBRACE,
    STATE(14350), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(16418), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693711] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14305), 1,
      sym_field_path,
    STATE(14351), 1,
      sym_attribute,
    STATE(15405), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693737] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19207), 1,
      anon_sym_SEMI,
    ACTIONS(19209), 1,
      anon_sym_GT_RBRACE,
    STATE(14352), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(15723), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693763] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18881), 1,
      anon_sym_type,
    ACTIONS(18883), 1,
      anon_sym_module,
    STATE(14353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9436), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [693785] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(14354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19211), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__identifier,
      sym__capitalized_identifier,
  [693803] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19213), 1,
      anon_sym_SEMI,
    ACTIONS(19215), 1,
      anon_sym_GT_RBRACE,
    STATE(14355), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(15093), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693829] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14305), 1,
      sym_field_path,
    STATE(14356), 1,
      sym_attribute,
    STATE(15328), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693855] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17705), 1,
      anon_sym_COMMA,
    ACTIONS(17707), 1,
      anon_sym_PIPE,
    ACTIONS(17709), 1,
      anon_sym_as,
    ACTIONS(17711), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19217), 1,
      anon_sym_RPAREN,
    STATE(14357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693881] = 8,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(17417), 1,
      sym__identifier,
    STATE(14305), 1,
      sym_field_path,
    STATE(14358), 1,
      sym_attribute,
    STATE(16149), 1,
      sym_field_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693907] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19219), 1,
      sym__identifier,
    STATE(9581), 1,
      sym_class_type_path,
    STATE(14359), 1,
      sym_attribute,
    STATE(17480), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693930] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11230), 1,
      sym__identifier,
    STATE(13005), 1,
      sym_type_constructor_path,
    STATE(14360), 1,
      sym_attribute,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693953] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    STATE(14361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15111), 2,
      anon_sym_COLON_GT,
      anon_sym_EQ,
  [693974] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19221), 1,
      anon_sym_RBRACK,
    STATE(14362), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19223), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12051), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    STATE(14363), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
  [694016] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(19226), 1,
      anon_sym_COLON_GT,
    ACTIONS(19228), 1,
      anon_sym_RPAREN,
    STATE(14364), 1,
      sym_attribute,
    STATE(17454), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694039] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19232), 1,
      anon_sym_RBRACK,
    ACTIONS(19234), 1,
      anon_sym_GT,
    STATE(14365), 1,
      sym_attribute,
    STATE(14432), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694062] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19232), 1,
      anon_sym_RBRACK,
    ACTIONS(19234), 1,
      anon_sym_GT,
    STATE(14366), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694085] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19236), 1,
      sym__identifier,
    STATE(12845), 1,
      sym_class_type_path,
    STATE(14367), 1,
      sym_attribute,
    STATE(16482), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694108] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19238), 1,
      sym__identifier,
    STATE(9959), 1,
      sym_class_type_path,
    STATE(14368), 1,
      sym_attribute,
    STATE(17088), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694131] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18413), 1,
      anon_sym_LPAREN,
    ACTIONS(19240), 1,
      sym__identifier,
    STATE(13211), 1,
      sym__value_name,
    STATE(13511), 1,
      sym_parenthesized_operator,
    STATE(14369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694154] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19236), 1,
      sym__identifier,
    STATE(12856), 1,
      sym_class_type_path,
    STATE(14370), 1,
      sym_attribute,
    STATE(16482), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694177] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18127), 1,
      sym__identifier,
    ACTIONS(18129), 1,
      anon_sym_LBRACK,
    ACTIONS(18131), 1,
      anon_sym_virtual,
    STATE(11437), 1,
      sym_class_binding,
    STATE(14371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694200] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19242), 1,
      sym__identifier,
    STATE(9192), 1,
      sym_class_type_path,
    STATE(14372), 1,
      sym_attribute,
    STATE(16458), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694223] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19244), 1,
      sym__identifier,
    STATE(9162), 1,
      sym_class_type_path,
    STATE(14373), 1,
      sym_attribute,
    STATE(17512), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694246] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9900), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19246), 1,
      anon_sym_GT,
    STATE(14374), 1,
      sym_attribute,
    STATE(14430), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694269] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19250), 1,
      anon_sym_with,
    ACTIONS(19252), 1,
      sym_hash_operator,
    STATE(14375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694292] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19254), 1,
      anon_sym_DOT,
    STATE(14376), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694315] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19256), 1,
      anon_sym_DOT,
    STATE(14377), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694338] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18037), 1,
      sym__identifier,
    ACTIONS(18039), 1,
      anon_sym_LBRACK,
    ACTIONS(18041), 1,
      anon_sym_virtual,
    STATE(12653), 1,
      sym_class_binding,
    STATE(14378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694361] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19258), 1,
      sym__identifier,
    STATE(10786), 1,
      sym_class_type_path,
    STATE(14379), 1,
      sym_attribute,
    STATE(17272), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694384] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(19260), 1,
      anon_sym_COLON_GT,
    ACTIONS(19262), 1,
      anon_sym_RPAREN,
    STATE(14380), 1,
      sym_attribute,
    STATE(17353), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694407] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    STATE(14381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15115), 2,
      anon_sym_COLON_GT,
      anon_sym_EQ,
  [694428] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19264), 1,
      anon_sym_EQ,
    ACTIONS(19266), 1,
      anon_sym_RPAREN,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(14382), 1,
      sym_attribute,
    STATE(16909), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694451] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9974), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19270), 1,
      anon_sym_GT,
    STATE(14383), 1,
      sym_attribute,
    STATE(14415), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694474] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19272), 1,
      anon_sym_GT_RBRACE,
    STATE(14384), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694497] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19274), 1,
      sym__identifier,
    STATE(10424), 1,
      sym_class_type_path,
    STATE(14385), 1,
      sym_attribute,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694520] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19276), 1,
      anon_sym_GT_RBRACE,
    STATE(14386), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694543] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19278), 1,
      sym__identifier,
    STATE(14387), 1,
      sym_attribute,
    STATE(16779), 1,
      sym_extended_module_path,
    STATE(19365), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694566] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18799), 1,
      sym__identifier,
    STATE(7258), 1,
      sym_class_path,
    STATE(14388), 1,
      sym_attribute,
    STATE(20050), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694589] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(19280), 1,
      anon_sym_COLON_GT,
    ACTIONS(19282), 1,
      anon_sym_RPAREN,
    STATE(14389), 1,
      sym_attribute,
    STATE(17316), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694612] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19284), 1,
      sym__identifier,
    STATE(9447), 1,
      sym_class_type_path,
    STATE(14390), 1,
      sym_attribute,
    STATE(16959), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694635] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19286), 1,
      anon_sym_GT_RBRACE,
    STATE(14391), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694658] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19288), 1,
      anon_sym_GT_RBRACE,
    STATE(14392), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694681] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19290), 1,
      anon_sym_DOT,
    STATE(14393), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694704] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11070), 1,
      anon_sym_in,
    ACTIONS(16429), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14308), 1,
      aux_sym_expression_item_repeat1,
    STATE(14394), 1,
      sym_attribute,
    STATE(15687), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694727] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19292), 1,
      anon_sym_GT_RBRACE,
    STATE(14395), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694750] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19294), 1,
      anon_sym_RBRACK,
    STATE(14396), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694773] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19296), 1,
      anon_sym_GT_RBRACE,
    STATE(14397), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694796] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18411), 1,
      sym__identifier,
    ACTIONS(18413), 1,
      anon_sym_LPAREN,
    STATE(14398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12953), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [694817] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17975), 1,
      sym__identifier,
    ACTIONS(17979), 1,
      anon_sym_LBRACK,
    ACTIONS(17981), 1,
      anon_sym_virtual,
    STATE(11999), 1,
      sym_class_binding,
    STATE(14399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694840] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18727), 1,
      sym__identifier,
    STATE(10026), 1,
      sym_class_path,
    STATE(14400), 1,
      sym_attribute,
    STATE(20188), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694863] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19298), 1,
      anon_sym_GT_RBRACE,
    STATE(14401), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694886] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(19300), 1,
      sym__identifier,
    STATE(7349), 1,
      sym_class_path,
    STATE(14402), 1,
      sym_attribute,
    STATE(17690), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694909] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19302), 1,
      anon_sym_DOT,
    STATE(14403), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694932] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19304), 1,
      anon_sym_DOT,
    STATE(14404), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694955] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19306), 1,
      anon_sym_DOT,
    STATE(14405), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694978] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19308), 1,
      anon_sym_DOT,
    STATE(14406), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695001] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11230), 1,
      sym__identifier,
    STATE(14407), 1,
      sym_attribute,
    STATE(15283), 1,
      sym_type_constructor_path,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695024] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(19310), 1,
      anon_sym_COLON_GT,
    ACTIONS(19312), 1,
      anon_sym_RPAREN,
    STATE(14408), 1,
      sym_attribute,
    STATE(16850), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695047] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19314), 1,
      aux_sym_attribute_id_token1,
    STATE(14409), 1,
      sym_attribute,
    STATE(14609), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8962), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
  [695068] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13303), 1,
      anon_sym_in,
    ACTIONS(16429), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14410), 1,
      sym_attribute,
    STATE(14813), 1,
      aux_sym_expression_item_repeat1,
    STATE(15687), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695091] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19316), 1,
      anon_sym_GT_RBRACE,
    STATE(14411), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695114] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19318), 1,
      anon_sym_RBRACK,
    ACTIONS(19320), 1,
      anon_sym_GT,
    STATE(14412), 1,
      sym_attribute,
    STATE(14426), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695137] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19322), 1,
      anon_sym_GT_RBRACE,
    STATE(14413), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695160] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18779), 1,
      sym__identifier,
    STATE(3665), 1,
      sym_class_path,
    STATE(14414), 1,
      sym_attribute,
    STATE(18479), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695183] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19318), 1,
      anon_sym_RBRACK,
    ACTIONS(19320), 1,
      anon_sym_GT,
    STATE(14415), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695206] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10119), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19324), 1,
      anon_sym_GT,
    STATE(14416), 1,
      sym_attribute,
    STATE(14570), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695229] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19326), 1,
      anon_sym_GT_RBRACE,
    STATE(14417), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695252] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(14418), 1,
      sym_attribute,
    STATE(16898), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19328), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [695273] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19330), 1,
      anon_sym_DOT,
    STATE(14419), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695296] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    ACTIONS(19332), 1,
      anon_sym_EQ,
    ACTIONS(19334), 1,
      anon_sym_RPAREN,
    STATE(14420), 1,
      sym_attribute,
    STATE(17330), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695319] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18727), 1,
      sym__identifier,
    STATE(10058), 1,
      sym_class_path,
    STATE(14421), 1,
      sym_attribute,
    STATE(20188), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695342] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19336), 1,
      anon_sym_DOT,
    STATE(14422), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695365] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19338), 1,
      anon_sym_GT_RBRACE,
    STATE(14423), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695388] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19340), 1,
      anon_sym_GT_RBRACE,
    STATE(14424), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695411] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19342), 1,
      anon_sym_RBRACK,
    ACTIONS(19344), 1,
      anon_sym_GT,
    STATE(14425), 1,
      sym_attribute,
    STATE(14467), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695434] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19346), 1,
      anon_sym_RBRACK,
    ACTIONS(19348), 1,
      anon_sym_GT,
    STATE(14426), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695457] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19346), 1,
      anon_sym_RBRACK,
    STATE(14427), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695480] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19350), 1,
      anon_sym_GT_RBRACE,
    STATE(14428), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695503] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18620), 1,
      sym__identifier,
    STATE(5277), 1,
      sym_class_path,
    STATE(14429), 1,
      sym_attribute,
    STATE(18654), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695526] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19342), 1,
      anon_sym_RBRACK,
    ACTIONS(19344), 1,
      anon_sym_GT,
    STATE(14430), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695549] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(14431), 1,
      sym_attribute,
    STATE(16587), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19352), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [695570] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19354), 1,
      anon_sym_RBRACK,
    ACTIONS(19356), 1,
      anon_sym_GT,
    STATE(14432), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695593] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19354), 1,
      anon_sym_RBRACK,
    STATE(14433), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695616] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19358), 1,
      anon_sym_DOT,
    STATE(14434), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695639] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19238), 1,
      sym__identifier,
    STATE(9972), 1,
      sym_class_type_path,
    STATE(14435), 1,
      sym_attribute,
    STATE(17088), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695662] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19360), 1,
      sym__identifier,
    STATE(8855), 1,
      sym_type_constructor_path,
    STATE(14436), 1,
      sym_attribute,
    STATE(16989), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695685] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19362), 1,
      anon_sym_RBRACK,
    ACTIONS(19364), 1,
      anon_sym_GT,
    STATE(14437), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695708] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11937), 1,
      anon_sym_LPAREN,
    ACTIONS(19366), 1,
      anon_sym_DASH_GT,
    STATE(9079), 1,
      aux_sym_module_binding_repeat1,
    STATE(9686), 1,
      sym_module_parameter,
    STATE(14438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695731] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19368), 1,
      anon_sym_GT_RBRACE,
    STATE(14439), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695754] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19370), 1,
      anon_sym_GT_RBRACE,
    STATE(14440), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695777] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18411), 1,
      sym__identifier,
    ACTIONS(18413), 1,
      anon_sym_LPAREN,
    STATE(14441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12967), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [695798] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19372), 1,
      anon_sym_RBRACK,
    ACTIONS(19374), 1,
      anon_sym_GT,
    STATE(14442), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695821] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19238), 1,
      sym__identifier,
    STATE(10019), 1,
      sym_class_type_path,
    STATE(14443), 1,
      sym_attribute,
    STATE(17088), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695844] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19376), 1,
      anon_sym_RBRACK,
    STATE(14444), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695867] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19378), 1,
      sym__identifier,
    STATE(12437), 1,
      sym_class_type_path,
    STATE(14445), 1,
      sym_attribute,
    STATE(17150), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695890] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19380), 1,
      anon_sym_RBRACK,
    STATE(14446), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695913] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10085), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19382), 1,
      anon_sym_GT,
    STATE(14447), 1,
      sym_attribute,
    STATE(14690), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695936] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19384), 1,
      sym__identifier,
    STATE(7554), 1,
      sym_type_constructor_path,
    STATE(14448), 1,
      sym_attribute,
    STATE(17185), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695959] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10191), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19386), 1,
      anon_sym_GT,
    STATE(14449), 1,
      sym_attribute,
    STATE(14511), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695982] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19388), 1,
      anon_sym_GT_RBRACE,
    STATE(14450), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696005] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9858), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19390), 1,
      anon_sym_GT,
    STATE(14451), 1,
      sym_attribute,
    STATE(14891), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696028] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19392), 1,
      anon_sym_RBRACK,
    STATE(14452), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696051] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19394), 1,
      anon_sym_RBRACK,
    STATE(14453), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696074] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(14454), 1,
      sym_attribute,
    STATE(16638), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19396), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [696095] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10089), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19398), 1,
      anon_sym_GT,
    STATE(14455), 1,
      sym_attribute,
    STATE(14744), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696118] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19400), 1,
      anon_sym_with,
    STATE(14456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696141] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19402), 1,
      sym__identifier,
    ACTIONS(19404), 1,
      anon_sym_RBRACE,
    ACTIONS(19406), 1,
      anon_sym_mutable,
    STATE(14457), 1,
      sym_attribute,
    STATE(17089), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696164] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19238), 1,
      sym__identifier,
    STATE(10035), 1,
      sym_class_type_path,
    STATE(14458), 1,
      sym_attribute,
    STATE(17088), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696187] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19408), 1,
      anon_sym_GT_RBRACE,
    STATE(14459), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696210] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19410), 1,
      sym__identifier,
    STATE(5430), 1,
      sym_type_constructor_path,
    STATE(14460), 1,
      sym_attribute,
    STATE(16809), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696233] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19412), 1,
      anon_sym_RBRACK,
    STATE(14461), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696256] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19244), 1,
      sym__identifier,
    STATE(9124), 1,
      sym_class_type_path,
    STATE(14462), 1,
      sym_attribute,
    STATE(17512), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696279] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18715), 1,
      sym__identifier,
    STATE(6522), 1,
      sym_class_path,
    STATE(14463), 1,
      sym_attribute,
    STATE(17960), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696302] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19414), 1,
      sym__identifier,
    STATE(13116), 1,
      sym_class_type_path,
    STATE(14464), 1,
      sym_attribute,
    STATE(17391), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696325] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19416), 1,
      anon_sym_RBRACK,
    STATE(14465), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696348] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19414), 1,
      sym__identifier,
    STATE(13144), 1,
      sym_class_type_path,
    STATE(14466), 1,
      sym_attribute,
    STATE(17391), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696371] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19418), 1,
      anon_sym_RBRACK,
    ACTIONS(19420), 1,
      anon_sym_GT,
    STATE(14467), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696394] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19422), 1,
      anon_sym_GT_RBRACE,
    STATE(14468), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696417] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19418), 1,
      anon_sym_RBRACK,
    STATE(14469), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696440] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19414), 1,
      sym__identifier,
    STATE(13155), 1,
      sym_class_type_path,
    STATE(14470), 1,
      sym_attribute,
    STATE(17391), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696463] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19424), 1,
      anon_sym_DOT,
    STATE(14471), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696486] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18477), 1,
      sym__identifier,
    STATE(3260), 1,
      sym_class_path,
    STATE(14472), 1,
      sym_attribute,
    STATE(18951), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696509] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19426), 1,
      sym__identifier,
    STATE(10838), 1,
      sym_class_type_path,
    STATE(14473), 1,
      sym_attribute,
    STATE(16750), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696532] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19428), 1,
      anon_sym_RBRACK,
    ACTIONS(19430), 1,
      anon_sym_GT,
    STATE(14474), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696555] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17152), 1,
      anon_sym_STAR,
    STATE(14363), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(14475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13273), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [696576] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11322), 1,
      sym__identifier,
    STATE(14026), 1,
      sym_type_constructor_path,
    STATE(14476), 1,
      sym_attribute,
    STATE(16934), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696599] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11230), 1,
      sym__identifier,
    STATE(14477), 1,
      sym_attribute,
    STATE(15769), 1,
      sym_type_constructor_path,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696622] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(19432), 1,
      sym__identifier,
    STATE(14478), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    STATE(17463), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696645] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19428), 1,
      anon_sym_RBRACK,
    STATE(14479), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696668] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19402), 1,
      sym__identifier,
    ACTIONS(19406), 1,
      anon_sym_mutable,
    ACTIONS(19434), 1,
      anon_sym_RBRACE,
    STATE(14480), 1,
      sym_attribute,
    STATE(17089), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696691] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19436), 1,
      anon_sym_GT_RBRACE,
    STATE(14481), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696714] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19438), 1,
      anon_sym_RBRACK,
    ACTIONS(19440), 1,
      anon_sym_GT,
    STATE(14482), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696737] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18443), 1,
      sym__identifier,
    STATE(3206), 1,
      sym_class_path,
    STATE(14483), 1,
      sym_attribute,
    STATE(18931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696760] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11230), 1,
      sym__identifier,
    STATE(14484), 1,
      sym_attribute,
    STATE(15401), 1,
      sym_type_constructor_path,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696783] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18692), 1,
      sym__identifier,
    STATE(5933), 1,
      sym_class_path,
    STATE(14485), 1,
      sym_attribute,
    STATE(18239), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696806] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18339), 1,
      sym__identifier,
    STATE(7494), 1,
      sym_class_path,
    STATE(14486), 1,
      sym_attribute,
    STATE(18252), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696829] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19372), 1,
      anon_sym_RBRACK,
    STATE(14487), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696852] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16062), 1,
      sym__identifier,
    ACTIONS(18413), 1,
      anon_sym_LPAREN,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(14488), 1,
      sym_attribute,
    STATE(16536), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696875] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19442), 1,
      anon_sym_RBRACK,
    ACTIONS(19444), 1,
      anon_sym_GT,
    STATE(14489), 1,
      sym_attribute,
    STATE(14637), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696898] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18397), 1,
      sym__identifier,
    ACTIONS(18399), 1,
      anon_sym_LBRACK,
    ACTIONS(18401), 1,
      anon_sym_virtual,
    STATE(11093), 1,
      sym_class_type_binding,
    STATE(14490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696921] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19446), 1,
      anon_sym_RBRACK,
    STATE(14491), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696944] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(19448), 1,
      anon_sym_COLON_GT,
    ACTIONS(19450), 1,
      anon_sym_RPAREN,
    STATE(14492), 1,
      sym_attribute,
    STATE(17285), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696967] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19452), 1,
      anon_sym_RBRACK,
    ACTIONS(19454), 1,
      anon_sym_GT,
    STATE(14493), 1,
      sym_attribute,
    STATE(14848), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696990] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19456), 1,
      anon_sym_RBRACK,
    STATE(14494), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697013] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19244), 1,
      sym__identifier,
    STATE(9170), 1,
      sym_class_type_path,
    STATE(14495), 1,
      sym_attribute,
    STATE(17512), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697036] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19458), 1,
      sym__identifier,
    STATE(14496), 1,
      sym_attribute,
    STATE(14611), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19092), 2,
      anon_sym_private,
      anon_sym_virtual,
  [697057] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19442), 1,
      anon_sym_RBRACK,
    ACTIONS(19444), 1,
      anon_sym_GT,
    STATE(14497), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697080] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(14498), 1,
      sym_attribute,
    STATE(16970), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19460), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [697101] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19462), 1,
      sym__identifier,
    STATE(9671), 1,
      sym_class_type_path,
    STATE(14499), 1,
      sym_attribute,
    STATE(17497), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697124] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18729), 1,
      sym__identifier,
    STATE(6591), 1,
      sym_class_path,
    STATE(14500), 1,
      sym_attribute,
    STATE(18749), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697147] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19464), 1,
      anon_sym_RBRACK,
    STATE(14501), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697170] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19466), 1,
      anon_sym_DOT,
    STATE(14502), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697193] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19468), 1,
      anon_sym_RBRACK,
    ACTIONS(19470), 1,
      anon_sym_GT,
    STATE(14503), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697216] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    ACTIONS(19472), 1,
      anon_sym_EQ,
    ACTIONS(19474), 1,
      anon_sym_RPAREN,
    STATE(14504), 1,
      sym_attribute,
    STATE(17327), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697239] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19476), 1,
      anon_sym_RBRACK,
    STATE(14505), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697262] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19478), 1,
      anon_sym_RBRACK,
    STATE(14506), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697285] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19362), 1,
      anon_sym_RBRACK,
    STATE(14507), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697308] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19378), 1,
      sym__identifier,
    STATE(9671), 1,
      sym_class_type_path,
    STATE(14508), 1,
      sym_attribute,
    STATE(17150), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697331] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19480), 1,
      anon_sym_RBRACK,
    ACTIONS(19482), 1,
      anon_sym_GT,
    STATE(14509), 1,
      sym_attribute,
    STATE(14535), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697354] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17975), 1,
      sym__identifier,
    ACTIONS(17979), 1,
      anon_sym_LBRACK,
    ACTIONS(17981), 1,
      anon_sym_virtual,
    STATE(11437), 1,
      sym_class_binding,
    STATE(14510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697377] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19480), 1,
      anon_sym_RBRACK,
    ACTIONS(19482), 1,
      anon_sym_GT,
    STATE(14511), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697400] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19484), 1,
      sym__identifier,
    STATE(8716), 1,
      sym_type_constructor_path,
    STATE(14512), 1,
      sym_attribute,
    STATE(17379), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697423] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19486), 1,
      anon_sym_GT_RBRACE,
    STATE(14513), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697446] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18567), 1,
      sym__identifier,
    STATE(7010), 1,
      sym_class_path,
    STATE(14514), 1,
      sym_attribute,
    STATE(18635), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697469] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14199), 1,
      anon_sym_in,
    ACTIONS(19488), 1,
      anon_sym_and,
    ACTIONS(19490), 1,
      sym_let_and_operator,
    STATE(14515), 1,
      sym_attribute,
    STATE(14751), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697492] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19492), 1,
      anon_sym_RBRACK,
    ACTIONS(19494), 1,
      anon_sym_GT,
    STATE(14516), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697515] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19496), 1,
      anon_sym_with,
    STATE(14517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697538] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19492), 1,
      anon_sym_RBRACK,
    STATE(14518), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697561] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(19498), 1,
      anon_sym_COLON_GT,
    ACTIONS(19500), 1,
      anon_sym_RPAREN,
    STATE(14519), 1,
      sym_attribute,
    STATE(17498), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697584] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11040), 1,
      anon_sym_in,
    ACTIONS(16429), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14308), 1,
      aux_sym_expression_item_repeat1,
    STATE(14520), 1,
      sym_attribute,
    STATE(15687), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697607] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19502), 1,
      anon_sym_DOT,
    STATE(14521), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697630] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19274), 1,
      sym__identifier,
    STATE(10594), 1,
      sym_class_type_path,
    STATE(14522), 1,
      sym_attribute,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697653] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19426), 1,
      sym__identifier,
    STATE(10880), 1,
      sym_class_type_path,
    STATE(14523), 1,
      sym_attribute,
    STATE(16750), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697676] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19504), 1,
      anon_sym_GT_RBRACE,
    STATE(14524), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697699] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19506), 1,
      sym__identifier,
    STATE(10171), 1,
      sym_class_type_path,
    STATE(14525), 1,
      sym_attribute,
    STATE(17323), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697722] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19508), 1,
      anon_sym_GT_RBRACE,
    STATE(14526), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697745] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19510), 1,
      sym__identifier,
    STATE(14527), 1,
      sym_attribute,
    STATE(14865), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19092), 2,
      anon_sym_private,
      anon_sym_virtual,
  [697766] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(19512), 1,
      anon_sym_COLON_GT,
    ACTIONS(19514), 1,
      anon_sym_RPAREN,
    STATE(14528), 1,
      sym_attribute,
    STATE(17195), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697789] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14199), 1,
      anon_sym_in,
    ACTIONS(19488), 1,
      anon_sym_and,
    ACTIONS(19490), 1,
      sym_let_and_operator,
    STATE(14529), 1,
      sym_attribute,
    STATE(14817), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697812] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18235), 1,
      sym__identifier,
    ACTIONS(18237), 1,
      anon_sym_LBRACK,
    ACTIONS(18239), 1,
      anon_sym_virtual,
    STATE(11437), 1,
      sym_class_binding,
    STATE(14530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697835] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18797), 1,
      sym__identifier,
    STATE(7281), 1,
      sym_class_path,
    STATE(14531), 1,
      sym_attribute,
    STATE(19019), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697858] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19516), 1,
      anon_sym_GT_RBRACE,
    STATE(14532), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697881] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18624), 1,
      sym__identifier,
    STATE(3810), 1,
      sym_class_path,
    STATE(14533), 1,
      sym_attribute,
    STATE(17852), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697904] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19518), 1,
      anon_sym_rec,
    STATE(14534), 1,
      sym_attribute,
    STATE(16170), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18585), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [697925] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19520), 1,
      anon_sym_RBRACK,
    ACTIONS(19522), 1,
      anon_sym_GT,
    STATE(14535), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697948] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11937), 1,
      anon_sym_LPAREN,
    ACTIONS(19524), 1,
      anon_sym_DASH_GT,
    STATE(9079), 1,
      aux_sym_module_binding_repeat1,
    STATE(9686), 1,
      sym_module_parameter,
    STATE(14536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697971] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19520), 1,
      anon_sym_RBRACK,
    STATE(14537), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697994] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(19526), 1,
      anon_sym_COLON_GT,
    ACTIONS(19528), 1,
      anon_sym_RPAREN,
    STATE(14538), 1,
      sym_attribute,
    STATE(16529), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698017] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(19530), 1,
      anon_sym_COLON_GT,
    ACTIONS(19532), 1,
      anon_sym_RPAREN,
    STATE(14539), 1,
      sym_attribute,
    STATE(16717), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698040] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19534), 1,
      anon_sym_RBRACK,
    STATE(14540), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698063] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    STATE(14541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12720), 2,
      anon_sym_COLON_GT,
      anon_sym_EQ,
  [698084] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(14542), 1,
      sym_attribute,
    STATE(17343), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19536), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [698105] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18557), 1,
      sym__identifier,
    STATE(7343), 1,
      sym_class_path,
    STATE(14543), 1,
      sym_attribute,
    STATE(20411), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698128] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11230), 1,
      sym__identifier,
    STATE(14544), 1,
      sym_attribute,
    STATE(15458), 1,
      sym_type_constructor_path,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698151] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19538), 1,
      anon_sym_GT_RBRACE,
    STATE(14545), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698174] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(19540), 1,
      anon_sym_COLON_GT,
    ACTIONS(19542), 1,
      anon_sym_RPAREN,
    STATE(14546), 1,
      sym_attribute,
    STATE(16612), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698197] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10061), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19544), 1,
      anon_sym_GT,
    STATE(14547), 1,
      sym_attribute,
    STATE(14566), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698220] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19546), 1,
      anon_sym_RBRACK,
    ACTIONS(19548), 1,
      anon_sym_GT,
    STATE(14548), 1,
      sym_attribute,
    STATE(14592), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12206), 1,
      anon_sym_and,
    STATE(14549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12204), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [698262] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19550), 1,
      sym__identifier,
    STATE(9634), 1,
      sym_class_type_path,
    STATE(14550), 1,
      sym_attribute,
    STATE(16538), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698285] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19552), 1,
      anon_sym_RBRACK,
    STATE(14551), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698308] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18037), 1,
      sym__identifier,
    ACTIONS(18039), 1,
      anon_sym_LBRACK,
    ACTIONS(18041), 1,
      anon_sym_virtual,
    STATE(11437), 1,
      sym_class_binding,
    STATE(14552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698331] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10052), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19554), 1,
      anon_sym_GT,
    STATE(14553), 1,
      sym_attribute,
    STATE(14698), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698354] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19506), 1,
      sym__identifier,
    STATE(10181), 1,
      sym_class_type_path,
    STATE(14554), 1,
      sym_attribute,
    STATE(17323), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698377] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(14555), 1,
      sym_attribute,
    STATE(17030), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19556), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [698398] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19558), 1,
      sym__identifier,
    STATE(11001), 1,
      sym_class_type_path,
    STATE(14556), 1,
      sym_attribute,
    STATE(17148), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698421] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19506), 1,
      sym__identifier,
    STATE(10197), 1,
      sym_class_type_path,
    STATE(14557), 1,
      sym_attribute,
    STATE(17323), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698444] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19560), 1,
      anon_sym_RBRACK,
    STATE(14558), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698467] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19562), 1,
      anon_sym_RBRACK,
    ACTIONS(19564), 1,
      anon_sym_GT,
    STATE(14559), 1,
      sym_attribute,
    STATE(14658), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698490] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19566), 1,
      anon_sym_GT_RBRACE,
    STATE(14560), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698513] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(19568), 1,
      anon_sym_COLON_GT,
    ACTIONS(19570), 1,
      anon_sym_RPAREN,
    STATE(14561), 1,
      sym_attribute,
    STATE(17458), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698536] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18483), 1,
      sym__identifier,
    STATE(7795), 1,
      sym_class_path,
    STATE(14562), 1,
      sym_attribute,
    STATE(17744), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698559] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19506), 1,
      sym__identifier,
    STATE(10204), 1,
      sym_class_type_path,
    STATE(14563), 1,
      sym_attribute,
    STATE(17323), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698582] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19558), 1,
      sym__identifier,
    STATE(11072), 1,
      sym_class_type_path,
    STATE(14564), 1,
      sym_attribute,
    STATE(17148), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698605] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19572), 1,
      anon_sym_RBRACK,
    ACTIONS(19574), 1,
      anon_sym_GT,
    STATE(14565), 1,
      sym_attribute,
    STATE(14577), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698628] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19572), 1,
      anon_sym_RBRACK,
    ACTIONS(19574), 1,
      anon_sym_GT,
    STATE(14566), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698651] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19576), 1,
      anon_sym_with,
    STATE(14567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698674] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19578), 1,
      anon_sym_RBRACK,
    STATE(14568), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698697] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19580), 1,
      anon_sym_GT_RBRACE,
    STATE(14569), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698720] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19546), 1,
      anon_sym_RBRACK,
    ACTIONS(19548), 1,
      anon_sym_GT,
    STATE(14570), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698743] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19582), 1,
      anon_sym_GT_RBRACE,
    STATE(14571), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698766] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19584), 1,
      anon_sym_GT_RBRACE,
    STATE(14572), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698789] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19586), 1,
      anon_sym_DOT,
    STATE(14573), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698812] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19590), 1,
      anon_sym_of,
    STATE(14574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19588), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [698831] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19592), 1,
      anon_sym_GT_RBRACE,
    STATE(14575), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698854] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(19594), 1,
      sym__identifier,
    STATE(7439), 1,
      sym_class_path,
    STATE(14576), 1,
      sym_attribute,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698877] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19596), 1,
      anon_sym_RBRACK,
    ACTIONS(19598), 1,
      anon_sym_GT,
    STATE(14577), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698900] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(19600), 1,
      anon_sym_COLON_GT,
    ACTIONS(19602), 1,
      anon_sym_RPAREN,
    STATE(14578), 1,
      sym_attribute,
    STATE(17129), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698923] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19596), 1,
      anon_sym_RBRACK,
    STATE(14579), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698946] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11230), 1,
      sym__identifier,
    STATE(14580), 1,
      sym_attribute,
    STATE(15508), 1,
      sym_type_constructor_path,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698969] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19604), 1,
      anon_sym_DOT,
    STATE(14581), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698992] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19378), 1,
      sym__identifier,
    STATE(9608), 1,
      sym_class_type_path,
    STATE(14582), 1,
      sym_attribute,
    STATE(17150), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699015] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(19300), 1,
      sym__identifier,
    STATE(7337), 1,
      sym_class_path,
    STATE(14583), 1,
      sym_attribute,
    STATE(17690), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699038] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19606), 1,
      sym__identifier,
    STATE(13627), 1,
      sym_class_type_path,
    STATE(14584), 1,
      sym_attribute,
    STATE(17203), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699061] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(19608), 1,
      anon_sym_COLON_GT,
    ACTIONS(19610), 1,
      anon_sym_RPAREN,
    STATE(14585), 1,
      sym_attribute,
    STATE(16578), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699084] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19258), 1,
      sym__identifier,
    STATE(10827), 1,
      sym_class_type_path,
    STATE(14586), 1,
      sym_attribute,
    STATE(17272), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699107] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19612), 1,
      anon_sym_RBRACK,
    STATE(14587), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699130] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19614), 1,
      anon_sym_GT_RBRACE,
    STATE(14588), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699153] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19616), 1,
      sym__identifier,
    STATE(14589), 1,
      sym_attribute,
    STATE(16779), 1,
      sym_extended_module_path,
    STATE(20236), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699176] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19618), 1,
      anon_sym_GT_RBRACE,
    STATE(14590), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699199] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19620), 1,
      anon_sym_with,
    STATE(14591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699222] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19622), 1,
      anon_sym_RBRACK,
    ACTIONS(19624), 1,
      anon_sym_GT,
    STATE(14592), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699245] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19626), 1,
      anon_sym_RBRACK,
    STATE(14593), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699268] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19622), 1,
      anon_sym_RBRACK,
    STATE(14594), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699291] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19628), 1,
      anon_sym_RBRACK,
    STATE(14595), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699314] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19630), 1,
      anon_sym_GT_RBRACE,
    STATE(14596), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699337] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19632), 1,
      anon_sym_GT_RBRACE,
    STATE(14597), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699360] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18670), 1,
      sym__identifier,
    STATE(6675), 1,
      sym_class_path,
    STATE(14598), 1,
      sym_attribute,
    STATE(17906), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699383] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11937), 1,
      anon_sym_LPAREN,
    ACTIONS(13484), 1,
      anon_sym_DASH_GT,
    STATE(9686), 1,
      sym_module_parameter,
    STATE(14599), 1,
      sym_attribute,
    STATE(14852), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699406] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18793), 1,
      sym__identifier,
    STATE(3419), 1,
      sym_class_path,
    STATE(14600), 1,
      sym_attribute,
    STATE(18014), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699429] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19634), 1,
      sym__identifier,
    STATE(10743), 1,
      sym_class_type_path,
    STATE(14601), 1,
      sym_attribute,
    STATE(17019), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699452] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19558), 1,
      sym__identifier,
    STATE(11103), 1,
      sym_class_type_path,
    STATE(14602), 1,
      sym_attribute,
    STATE(17148), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699475] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(19432), 1,
      sym__identifier,
    STATE(14603), 1,
      sym_attribute,
    STATE(17229), 1,
      sym_module_type_path,
    STATE(17365), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699498] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19636), 1,
      anon_sym_RBRACK,
    ACTIONS(19638), 1,
      anon_sym_GT,
    STATE(14437), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699521] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19640), 1,
      sym__identifier,
    STATE(10755), 1,
      sym_class_type_path,
    STATE(14605), 1,
      sym_attribute,
    STATE(17414), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699544] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19642), 1,
      anon_sym_DOT,
    STATE(14606), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699567] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19640), 1,
      sym__identifier,
    STATE(10822), 1,
      sym_class_type_path,
    STATE(14607), 1,
      sym_attribute,
    STATE(17414), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699590] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19640), 1,
      sym__identifier,
    STATE(10833), 1,
      sym_class_type_path,
    STATE(14608), 1,
      sym_attribute,
    STATE(17414), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699613] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19644), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
    STATE(14609), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
  [699632] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19647), 1,
      anon_sym_with,
    STATE(14610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699655] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__identifier,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19651), 2,
      anon_sym_private,
      anon_sym_virtual,
    STATE(14611), 2,
      sym_attribute,
      aux_sym_method_specification_repeat1,
  [699674] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14195), 1,
      anon_sym_in,
    ACTIONS(19488), 1,
      anon_sym_and,
    ACTIONS(19490), 1,
      sym_let_and_operator,
    STATE(14529), 1,
      aux_sym_value_definition_repeat1,
    STATE(14612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699697] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19654), 1,
      anon_sym_DOT,
    STATE(14613), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699720] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19656), 1,
      sym__identifier,
    STATE(10240), 1,
      sym_class_type_path,
    STATE(14614), 1,
      sym_attribute,
    STATE(17351), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699743] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18429), 1,
      sym__identifier,
    STATE(3167), 1,
      sym_class_path,
    STATE(14615), 1,
      sym_attribute,
    STATE(17798), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699766] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13362), 1,
      anon_sym_in,
    ACTIONS(16429), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14308), 1,
      aux_sym_expression_item_repeat1,
    STATE(14616), 1,
      sym_attribute,
    STATE(15687), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699789] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19658), 1,
      anon_sym_GT_RBRACE,
    STATE(14617), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699812] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19660), 1,
      sym__identifier,
    STATE(11764), 1,
      sym_class_type_path,
    STATE(14618), 1,
      sym_attribute,
    STATE(17255), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699835] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19662), 1,
      anon_sym_GT_RBRACE,
    STATE(14619), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699858] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19664), 1,
      anon_sym_GT_RBRACE,
    STATE(14620), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699881] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19244), 1,
      sym__identifier,
    STATE(9110), 1,
      sym_class_type_path,
    STATE(14621), 1,
      sym_attribute,
    STATE(17512), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699904] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19666), 1,
      anon_sym_GT_RBRACE,
    STATE(14622), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699927] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19668), 1,
      anon_sym_RBRACK,
    STATE(14623), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699950] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19670), 1,
      anon_sym_GT_RBRACE,
    STATE(14624), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699973] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19672), 1,
      anon_sym_RBRACK,
    STATE(14625), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699996] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19656), 1,
      sym__identifier,
    STATE(10252), 1,
      sym_class_type_path,
    STATE(14626), 1,
      sym_attribute,
    STATE(17351), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700019] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19674), 1,
      anon_sym_with,
    STATE(14627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700042] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19656), 1,
      sym__identifier,
    STATE(10261), 1,
      sym_class_type_path,
    STATE(14628), 1,
      sym_attribute,
    STATE(17351), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700065] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(14629), 1,
      sym_attribute,
    STATE(17100), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19676), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [700086] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19678), 1,
      anon_sym_GT_RBRACE,
    STATE(14630), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700109] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19680), 1,
      sym__identifier,
    STATE(10274), 1,
      sym_type_constructor_path,
    STATE(14631), 1,
      sym_attribute,
    STATE(17406), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700132] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18235), 1,
      sym__identifier,
    ACTIONS(18237), 1,
      anon_sym_LBRACK,
    ACTIONS(18239), 1,
      anon_sym_virtual,
    STATE(12621), 1,
      sym_class_binding,
    STATE(14632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700155] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19660), 1,
      sym__identifier,
    STATE(11794), 1,
      sym_class_type_path,
    STATE(14633), 1,
      sym_attribute,
    STATE(17255), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700178] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19660), 1,
      sym__identifier,
    STATE(11802), 1,
      sym_class_type_path,
    STATE(14634), 1,
      sym_attribute,
    STATE(17255), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700201] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    ACTIONS(19682), 1,
      anon_sym_EQ,
    ACTIONS(19684), 1,
      anon_sym_RPAREN,
    STATE(14635), 1,
      sym_attribute,
    STATE(17342), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700224] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8082), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    STATE(14636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 2,
      anon_sym_with,
      sym_hash_operator,
  [700245] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19686), 1,
      anon_sym_RBRACK,
    ACTIONS(19688), 1,
      anon_sym_GT,
    STATE(14637), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700268] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18493), 1,
      sym__identifier,
    STATE(7144), 1,
      sym_class_path,
    STATE(14638), 1,
      sym_attribute,
    STATE(19688), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700291] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19690), 1,
      anon_sym_DOT,
    STATE(14639), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700314] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19692), 1,
      anon_sym_GT_RBRACE,
    STATE(14640), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700337] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19694), 1,
      anon_sym_GT_RBRACE,
    STATE(14641), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700360] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18525), 1,
      sym__identifier,
    STATE(7606), 1,
      sym_class_path,
    STATE(14642), 1,
      sym_attribute,
    STATE(18597), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700383] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19696), 1,
      anon_sym_with,
    STATE(14643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700406] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18339), 1,
      sym__identifier,
    STATE(7580), 1,
      sym_class_path,
    STATE(14644), 1,
      sym_attribute,
    STATE(18252), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700429] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19698), 1,
      anon_sym_GT_RBRACE,
    STATE(14645), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700452] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13327), 1,
      anon_sym_in,
    ACTIONS(16429), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14308), 1,
      aux_sym_expression_item_repeat1,
    STATE(14646), 1,
      sym_attribute,
    STATE(15687), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700475] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19700), 1,
      anon_sym_DOT,
    STATE(14647), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700498] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19702), 1,
      anon_sym_RBRACK,
    STATE(14648), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700521] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19704), 1,
      anon_sym_RBRACK,
    STATE(14649), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700544] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19706), 1,
      anon_sym_DOT,
    STATE(14650), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700567] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9874), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19708), 1,
      anon_sym_GT,
    STATE(14651), 1,
      sym_attribute,
    STATE(14905), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700590] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19562), 1,
      anon_sym_RBRACK,
    ACTIONS(19564), 1,
      anon_sym_GT,
    STATE(14652), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700613] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19710), 1,
      anon_sym_with,
    STATE(14653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700636] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(19712), 1,
      anon_sym_COLON_GT,
    ACTIONS(19714), 1,
      anon_sym_RPAREN,
    STATE(14654), 1,
      sym_attribute,
    STATE(17518), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700659] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18439), 1,
      sym__identifier,
    STATE(6227), 1,
      sym_class_path,
    STATE(14655), 1,
      sym_attribute,
    STATE(18319), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700682] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11230), 1,
      sym__identifier,
    STATE(14656), 1,
      sym_attribute,
    STATE(16413), 1,
      sym_type_constructor_path,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700705] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19716), 1,
      anon_sym_DOT,
    STATE(14657), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700728] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19718), 1,
      anon_sym_RBRACK,
    ACTIONS(19720), 1,
      anon_sym_GT,
    STATE(14658), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700751] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19656), 1,
      sym__identifier,
    STATE(10229), 1,
      sym_class_type_path,
    STATE(14659), 1,
      sym_attribute,
    STATE(17351), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700774] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19722), 1,
      anon_sym_with,
    STATE(14660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700797] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18777), 1,
      sym__identifier,
    STATE(6127), 1,
      sym_class_path,
    STATE(14661), 1,
      sym_attribute,
    STATE(18786), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700820] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19686), 1,
      anon_sym_RBRACK,
    STATE(14662), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700843] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19724), 1,
      anon_sym_DOT,
    STATE(14663), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700866] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(19726), 1,
      anon_sym_COLON_GT,
    ACTIONS(19728), 1,
      anon_sym_RPAREN,
    STATE(14664), 1,
      sym_attribute,
    STATE(17357), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700889] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19730), 1,
      anon_sym_DOT,
    STATE(14665), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700912] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19732), 1,
      anon_sym_RBRACK,
    STATE(14666), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700935] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18425), 1,
      sym__identifier,
    STATE(4154), 1,
      sym_class_path,
    STATE(14667), 1,
      sym_attribute,
    STATE(18824), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700958] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19120), 1,
      anon_sym_BANG,
    ACTIONS(19122), 1,
      anon_sym__,
    STATE(14158), 1,
      sym_type_variable,
    STATE(14668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700981] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19734), 1,
      anon_sym_with,
    STATE(14669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701004] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19736), 1,
      anon_sym_RBRACK,
    ACTIONS(19738), 1,
      anon_sym_GT,
    STATE(14670), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701027] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16062), 1,
      sym__identifier,
    ACTIONS(18413), 1,
      anon_sym_LPAREN,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(14671), 1,
      sym_attribute,
    STATE(16776), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701050] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(14672), 1,
      sym_attribute,
    STATE(16637), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19740), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [701071] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19742), 1,
      anon_sym_GT_RBRACE,
    STATE(14673), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701094] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18622), 1,
      sym__identifier,
    STATE(6276), 1,
      sym_class_path,
    STATE(14674), 1,
      sym_attribute,
    STATE(18399), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701117] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(19432), 1,
      sym__identifier,
    STATE(14675), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    STATE(17527), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701140] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19378), 1,
      sym__identifier,
    STATE(12489), 1,
      sym_class_type_path,
    STATE(14676), 1,
      sym_attribute,
    STATE(17150), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701163] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19744), 1,
      anon_sym_with,
    STATE(14677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12286), 1,
      anon_sym_and,
    STATE(14678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12284), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [701205] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19718), 1,
      anon_sym_RBRACK,
    STATE(14679), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701228] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19746), 1,
      anon_sym_RBRACK,
    ACTIONS(19748), 1,
      anon_sym_GT,
    STATE(14680), 1,
      sym_attribute,
    STATE(14826), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701251] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19750), 1,
      sym__identifier,
    STATE(9318), 1,
      sym_class_type_path,
    STATE(14681), 1,
      sym_attribute,
    STATE(16614), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701274] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19752), 1,
      anon_sym_GT_RBRACE,
    STATE(14682), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701297] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19754), 1,
      anon_sym_DOT,
    STATE(14683), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701320] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10113), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19756), 1,
      anon_sym_GT,
    STATE(14684), 1,
      sym_attribute,
    STATE(14707), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701343] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19758), 1,
      anon_sym_with,
    STATE(14685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701366] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(19760), 1,
      anon_sym_COLON_GT,
    ACTIONS(19762), 1,
      anon_sym_RPAREN,
    STATE(14686), 1,
      sym_attribute,
    STATE(17510), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701389] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19258), 1,
      sym__identifier,
    STATE(10719), 1,
      sym_class_type_path,
    STATE(14687), 1,
      sym_attribute,
    STATE(17272), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701412] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19764), 1,
      anon_sym_DOT,
    STATE(14688), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701435] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18529), 1,
      sym__identifier,
    STATE(8388), 1,
      sym_class_path,
    STATE(14689), 1,
      sym_attribute,
    STATE(19220), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701458] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19746), 1,
      anon_sym_RBRACK,
    ACTIONS(19748), 1,
      anon_sym_GT,
    STATE(14690), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701481] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19766), 1,
      anon_sym_GT_RBRACE,
    STATE(14691), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701504] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(14692), 1,
      sym_attribute,
    STATE(17161), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19768), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [701525] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19770), 1,
      anon_sym_with,
    STATE(14693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701548] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18353), 1,
      sym__identifier,
    STATE(5002), 1,
      sym_class_path,
    STATE(14694), 1,
      sym_attribute,
    STATE(18159), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701571] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19772), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18997), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(14695), 2,
      sym_attribute,
      aux_sym_instantiated_class_type_repeat1,
  [701590] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18365), 1,
      sym__identifier,
    STATE(6032), 1,
      sym_class_path,
    STATE(14696), 1,
      sym_attribute,
    STATE(18519), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701613] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18339), 1,
      sym__identifier,
    STATE(6830), 1,
      sym_class_path,
    STATE(14697), 1,
      sym_attribute,
    STATE(18252), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701636] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19636), 1,
      anon_sym_RBRACK,
    ACTIONS(19638), 1,
      anon_sym_GT,
    STATE(14698), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701659] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19775), 1,
      anon_sym_GT_RBRACE,
    STATE(14699), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701682] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19777), 1,
      anon_sym_DOT,
    STATE(14700), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701705] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19779), 1,
      anon_sym_with,
    STATE(14701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701728] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19242), 1,
      sym__identifier,
    STATE(9209), 1,
      sym_class_type_path,
    STATE(14702), 1,
      sym_attribute,
    STATE(16458), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701751] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19781), 1,
      anon_sym_GT_RBRACE,
    STATE(14703), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701774] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(19783), 1,
      anon_sym_COLON_GT,
    ACTIONS(19785), 1,
      anon_sym_RPAREN,
    STATE(14704), 1,
      sym_attribute,
    STATE(16641), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701797] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19787), 1,
      anon_sym_RBRACK,
    STATE(14705), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701820] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19789), 1,
      anon_sym_RBRACK,
    ACTIONS(19791), 1,
      anon_sym_GT,
    STATE(14706), 1,
      sym_attribute,
    STATE(14723), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701843] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19789), 1,
      anon_sym_RBRACK,
    ACTIONS(19791), 1,
      anon_sym_GT,
    STATE(14707), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701866] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19793), 1,
      sym__identifier,
    ACTIONS(19795), 1,
      anon_sym_LPAREN,
    STATE(13817), 1,
      sym__value_name,
    STATE(13845), 1,
      sym_parenthesized_operator,
    STATE(14708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701889] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19797), 1,
      anon_sym_with,
    STATE(14709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701912] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18397), 1,
      sym__identifier,
    ACTIONS(18399), 1,
      anon_sym_LBRACK,
    ACTIONS(18401), 1,
      anon_sym_virtual,
    STATE(11203), 1,
      sym_class_type_binding,
    STATE(14710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701935] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19258), 1,
      sym__identifier,
    STATE(10856), 1,
      sym_class_type_path,
    STATE(14711), 1,
      sym_attribute,
    STATE(17272), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701958] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(19799), 1,
      anon_sym_COLON_GT,
    ACTIONS(19801), 1,
      anon_sym_RPAREN,
    STATE(14712), 1,
      sym_attribute,
    STATE(17119), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701981] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19438), 1,
      anon_sym_RBRACK,
    STATE(14713), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702004] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19378), 1,
      sym__identifier,
    STATE(12234), 1,
      sym_class_type_path,
    STATE(14714), 1,
      sym_attribute,
    STATE(17150), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702027] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19803), 1,
      anon_sym_DOT,
    STATE(14715), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702050] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19736), 1,
      anon_sym_RBRACK,
    STATE(14716), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702073] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19805), 1,
      anon_sym_with,
    STATE(14717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702096] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19242), 1,
      sym__identifier,
    STATE(9225), 1,
      sym_class_type_path,
    STATE(14718), 1,
      sym_attribute,
    STATE(16458), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702119] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10193), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19807), 1,
      anon_sym_GT,
    STATE(14719), 1,
      sym_attribute,
    STATE(14903), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702142] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19809), 1,
      anon_sym_RBRACK,
    ACTIONS(19811), 1,
      anon_sym_GT,
    STATE(14482), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702165] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19813), 1,
      anon_sym_GT_RBRACE,
    STATE(14721), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702188] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19815), 1,
      sym__identifier,
    ACTIONS(19817), 1,
      anon_sym_LPAREN,
    STATE(5606), 1,
      sym_parenthesized_operator,
    STATE(5693), 1,
      sym__value_name,
    STATE(14722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702211] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19819), 1,
      anon_sym_RBRACK,
    ACTIONS(19821), 1,
      anon_sym_GT,
    STATE(14723), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702234] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19819), 1,
      anon_sym_RBRACK,
    STATE(14724), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702257] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19823), 1,
      anon_sym_with,
    STATE(14725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702280] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19468), 1,
      anon_sym_RBRACK,
    STATE(14726), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702303] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19825), 1,
      sym__identifier,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19827), 2,
      anon_sym_mutable,
      anon_sym_virtual,
    STATE(14727), 2,
      sym_attribute,
      aux_sym_instance_variable_specification_repeat1,
  [702322] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19830), 1,
      anon_sym_RBRACK,
    ACTIONS(19832), 1,
      anon_sym_GT,
    STATE(14516), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702345] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19834), 1,
      anon_sym_RBRACK,
    STATE(14729), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702368] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19550), 1,
      sym__identifier,
    STATE(9552), 1,
      sym_class_type_path,
    STATE(14730), 1,
      sym_attribute,
    STATE(16538), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702391] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19836), 1,
      anon_sym_with,
    STATE(14731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702414] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10111), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19838), 1,
      anon_sym_GT,
    STATE(14732), 1,
      sym_attribute,
    STATE(14823), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702437] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19840), 1,
      anon_sym_GT_RBRACE,
    STATE(14733), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702460] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19842), 1,
      anon_sym_RBRACK,
    STATE(14734), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702483] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16062), 1,
      sym__identifier,
    ACTIONS(18413), 1,
      anon_sym_LPAREN,
    STATE(7097), 1,
      sym_parenthesized_operator,
    STATE(14735), 1,
      sym_attribute,
    STATE(17455), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702506] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19844), 1,
      anon_sym_with,
    STATE(14736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702529] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19378), 1,
      sym__identifier,
    STATE(12278), 1,
      sym_class_type_path,
    STATE(14737), 1,
      sym_attribute,
    STATE(17150), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702552] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19274), 1,
      sym__identifier,
    STATE(10644), 1,
      sym_class_type_path,
    STATE(14738), 1,
      sym_attribute,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702575] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19242), 1,
      sym__identifier,
    STATE(9232), 1,
      sym_class_type_path,
    STATE(14739), 1,
      sym_attribute,
    STATE(16458), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702598] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19402), 1,
      sym__identifier,
    ACTIONS(19406), 1,
      anon_sym_mutable,
    ACTIONS(19846), 1,
      anon_sym_RBRACE,
    STATE(14740), 1,
      sym_attribute,
    STATE(17089), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702621] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19848), 1,
      anon_sym_RBRACK,
    STATE(14741), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702644] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19850), 1,
      anon_sym_with,
    STATE(14742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702667] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19852), 1,
      sym__identifier,
    STATE(5715), 1,
      sym_type_constructor_path,
    STATE(14743), 1,
      sym_attribute,
    STATE(17122), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702690] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19809), 1,
      anon_sym_RBRACK,
    ACTIONS(19811), 1,
      anon_sym_GT,
    STATE(14744), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702713] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18403), 1,
      sym__identifier,
    STATE(5201), 1,
      sym_class_path,
    STATE(14745), 1,
      sym_attribute,
    STATE(18896), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702736] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(19854), 1,
      anon_sym_COLON_GT,
    ACTIONS(19856), 1,
      anon_sym_RPAREN,
    STATE(14746), 1,
      sym_attribute,
    STATE(17224), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702759] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19858), 1,
      anon_sym_DOT,
    STATE(14747), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702782] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19860), 1,
      anon_sym_GT_RBRACE,
    STATE(14748), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702805] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(19862), 1,
      anon_sym_COLON_GT,
    ACTIONS(19864), 1,
      anon_sym_RPAREN,
    STATE(14749), 1,
      sym_attribute,
    STATE(17116), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702828] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19866), 1,
      anon_sym_with,
    STATE(14750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702851] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14129), 1,
      anon_sym_in,
    ACTIONS(19488), 1,
      anon_sym_and,
    ACTIONS(19490), 1,
      sym_let_and_operator,
    STATE(14751), 1,
      sym_attribute,
    STATE(14817), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702874] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18652), 1,
      sym__identifier,
    STATE(3987), 1,
      sym_class_path,
    STATE(14752), 1,
      sym_attribute,
    STATE(18068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702897] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19868), 1,
      sym__identifier,
    STATE(12749), 1,
      sym_class_type_path,
    STATE(14753), 1,
      sym_attribute,
    STATE(17443), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702920] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19750), 1,
      sym__identifier,
    STATE(9396), 1,
      sym_class_type_path,
    STATE(14754), 1,
      sym_attribute,
    STATE(16614), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702943] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19868), 1,
      sym__identifier,
    STATE(12676), 1,
      sym_class_type_path,
    STATE(14755), 1,
      sym_attribute,
    STATE(17443), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702966] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19870), 1,
      anon_sym_with,
    STATE(14756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702989] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19868), 1,
      sym__identifier,
    STATE(12716), 1,
      sym_class_type_path,
    STATE(14757), 1,
      sym_attribute,
    STATE(17443), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703012] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19872), 1,
      anon_sym_GT_RBRACE,
    STATE(14758), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703035] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(19874), 1,
      anon_sym_COLON_GT,
    ACTIONS(19876), 1,
      anon_sym_RPAREN,
    STATE(14759), 1,
      sym_attribute,
    STATE(16633), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703058] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19878), 1,
      anon_sym_RBRACK,
    ACTIONS(19880), 1,
      anon_sym_GT,
    STATE(14503), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703081] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19882), 1,
      anon_sym_with,
    STATE(14761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703104] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19884), 1,
      anon_sym_GT_RBRACE,
    STATE(14762), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703127] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19558), 1,
      sym__identifier,
    STATE(10975), 1,
      sym_class_type_path,
    STATE(14763), 1,
      sym_attribute,
    STATE(17148), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703150] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19886), 1,
      anon_sym_with,
    STATE(14764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703173] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18690), 1,
      sym__identifier,
    STATE(4900), 1,
      sym_class_path,
    STATE(14765), 1,
      sym_attribute,
    STATE(17636), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703196] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19888), 1,
      anon_sym_GT_RBRACE,
    STATE(14766), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703219] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19890), 1,
      anon_sym_with,
    STATE(14767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703242] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19892), 1,
      sym__identifier,
    ACTIONS(19894), 1,
      anon_sym_LPAREN,
    STATE(8876), 1,
      sym_parenthesized_operator,
    STATE(8903), 1,
      sym__value_name,
    STATE(14768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703265] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(19896), 1,
      anon_sym_COLON_GT,
    ACTIONS(19898), 1,
      anon_sym_RPAREN,
    STATE(14769), 1,
      sym_attribute,
    STATE(16704), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703288] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11937), 1,
      anon_sym_LPAREN,
    ACTIONS(19900), 1,
      anon_sym_DASH_GT,
    STATE(9079), 1,
      aux_sym_module_binding_repeat1,
    STATE(9686), 1,
      sym_module_parameter,
    STATE(14770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703311] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18698), 1,
      sym__identifier,
    STATE(6338), 1,
      sym_class_path,
    STATE(14771), 1,
      sym_attribute,
    STATE(18439), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703334] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19878), 1,
      anon_sym_RBRACK,
    ACTIONS(19880), 1,
      anon_sym_GT,
    STATE(14772), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703357] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19902), 1,
      anon_sym_with,
    STATE(14773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703380] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11937), 1,
      anon_sym_LPAREN,
    ACTIONS(19904), 1,
      anon_sym_DASH_GT,
    STATE(9079), 1,
      aux_sym_module_binding_repeat1,
    STATE(9686), 1,
      sym_module_parameter,
    STATE(14774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703403] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19830), 1,
      anon_sym_RBRACK,
    ACTIONS(19832), 1,
      anon_sym_GT,
    STATE(14775), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703426] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19906), 1,
      anon_sym_with,
    STATE(14776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703449] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19426), 1,
      sym__identifier,
    STATE(10862), 1,
      sym_class_type_path,
    STATE(14777), 1,
      sym_attribute,
    STATE(16750), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703472] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18229), 1,
      sym__identifier,
    ACTIONS(18231), 1,
      anon_sym_LBRACK,
    ACTIONS(18233), 1,
      anon_sym_virtual,
    STATE(11982), 1,
      sym_class_binding,
    STATE(14778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703495] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19908), 1,
      anon_sym_GT_RBRACE,
    STATE(14779), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703518] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(14780), 1,
      sym_attribute,
    STATE(17213), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19910), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [703539] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19912), 1,
      sym__identifier,
    STATE(5530), 1,
      sym_type_constructor_path,
    STATE(14781), 1,
      sym_attribute,
    STATE(17176), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703562] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19914), 1,
      anon_sym_with,
    STATE(14782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703585] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19916), 1,
      sym__identifier,
    STATE(14783), 1,
      sym_attribute,
    STATE(14977), 1,
      aux_sym__abstract_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19918), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [703606] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19920), 1,
      anon_sym_RBRACK,
    STATE(14784), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703629] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19284), 1,
      sym__identifier,
    STATE(9399), 1,
      sym_class_type_path,
    STATE(14785), 1,
      sym_attribute,
    STATE(16959), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703652] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(19922), 1,
      anon_sym_COLON_GT,
    ACTIONS(19924), 1,
      anon_sym_RPAREN,
    STATE(14786), 1,
      sym_attribute,
    STATE(17013), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703675] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18483), 1,
      sym__identifier,
    STATE(7789), 1,
      sym_class_path,
    STATE(14787), 1,
      sym_attribute,
    STATE(17744), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703698] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19926), 1,
      anon_sym_with,
    STATE(14788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703721] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19462), 1,
      sym__identifier,
    STATE(9608), 1,
      sym_class_type_path,
    STATE(14789), 1,
      sym_attribute,
    STATE(17497), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703744] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(19928), 1,
      anon_sym_COLON_GT,
    ACTIONS(19930), 1,
      anon_sym_RPAREN,
    STATE(14790), 1,
      sym_attribute,
    STATE(16789), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703767] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19932), 1,
      anon_sym_GT_RBRACE,
    STATE(14791), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703790] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19934), 1,
      anon_sym_with,
    STATE(14792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703813] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18628), 1,
      sym__identifier,
    STATE(4820), 1,
      sym_class_path,
    STATE(14793), 1,
      sym_attribute,
    STATE(18673), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703836] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(19936), 1,
      anon_sym_GT_RBRACE,
    STATE(14794), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703859] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19938), 1,
      anon_sym_RBRACK,
    STATE(14795), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703882] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18337), 1,
      sym__identifier,
    STATE(2809), 1,
      sym_class_path,
    STATE(14796), 1,
      sym_attribute,
    STATE(18823), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703905] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(19940), 1,
      anon_sym_COLON_GT,
    ACTIONS(19942), 1,
      anon_sym_RPAREN,
    STATE(14797), 1,
      sym_attribute,
    STATE(17336), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703928] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(19944), 1,
      anon_sym_COLON_GT,
    ACTIONS(19946), 1,
      anon_sym_RPAREN,
    STATE(14798), 1,
      sym_attribute,
    STATE(17445), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703951] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19948), 1,
      anon_sym_with,
    STATE(14799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703974] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19950), 1,
      anon_sym_DOT,
    STATE(14800), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703997] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19750), 1,
      sym__identifier,
    STATE(9472), 1,
      sym_class_type_path,
    STATE(14801), 1,
      sym_attribute,
    STATE(16614), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704020] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(19952), 1,
      anon_sym_COLON_GT,
    ACTIONS(19954), 1,
      anon_sym_RPAREN,
    STATE(14802), 1,
      sym_attribute,
    STATE(16634), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704043] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19550), 1,
      sym__identifier,
    STATE(9507), 1,
      sym_class_type_path,
    STATE(14803), 1,
      sym_attribute,
    STATE(16538), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704066] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19956), 1,
      anon_sym_RBRACK,
    STATE(14804), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704089] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19958), 1,
      anon_sym_with,
    STATE(14805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704112] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19960), 1,
      anon_sym_DOT,
    STATE(14806), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704135] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19868), 1,
      sym__identifier,
    STATE(12701), 1,
      sym_class_type_path,
    STATE(14807), 1,
      sym_attribute,
    STATE(17443), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704158] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19962), 1,
      anon_sym_DOT,
    STATE(14808), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704181] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19964), 1,
      anon_sym_RBRACK,
    ACTIONS(19966), 1,
      anon_sym_GT,
    STATE(14809), 1,
      sym_attribute,
    STATE(14949), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704204] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19968), 1,
      anon_sym_with,
    STATE(14810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704227] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10211), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19970), 1,
      anon_sym_GT,
    STATE(14811), 1,
      sym_attribute,
    STATE(14921), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704250] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18616), 1,
      sym__identifier,
    STATE(5820), 1,
      sym_class_path,
    STATE(14812), 1,
      sym_attribute,
    STATE(18118), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704273] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13253), 1,
      anon_sym_in,
    ACTIONS(16429), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14308), 1,
      aux_sym_expression_item_repeat1,
    STATE(14813), 1,
      sym_attribute,
    STATE(15687), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704296] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19414), 1,
      sym__identifier,
    STATE(13151), 1,
      sym_class_type_path,
    STATE(14814), 1,
      sym_attribute,
    STATE(17391), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704319] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19972), 1,
      anon_sym_with,
    STATE(14815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704342] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9860), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19974), 1,
      anon_sym_GT,
    STATE(14816), 1,
      sym_attribute,
    STATE(14872), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704365] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13791), 1,
      anon_sym_in,
    ACTIONS(19976), 1,
      anon_sym_and,
    ACTIONS(19979), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14817), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
  [704386] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19606), 1,
      sym__identifier,
    STATE(13635), 1,
      sym_class_type_path,
    STATE(14818), 1,
      sym_attribute,
    STATE(17203), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704409] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19982), 1,
      anon_sym_with,
    STATE(14819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704432] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18803), 1,
      sym__identifier,
    STATE(6183), 1,
      sym_class_path,
    STATE(14820), 1,
      sym_attribute,
    STATE(18279), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704455] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13253), 1,
      anon_sym_in,
    ACTIONS(16429), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14646), 1,
      aux_sym_expression_item_repeat1,
    STATE(14821), 1,
      sym_attribute,
    STATE(15687), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704478] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10018), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19984), 1,
      anon_sym_GT,
    STATE(14497), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704501] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19964), 1,
      anon_sym_RBRACK,
    ACTIONS(19966), 1,
      anon_sym_GT,
    STATE(14823), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704524] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19986), 1,
      anon_sym_DOT,
    STATE(14824), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704547] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(19988), 1,
      anon_sym_with,
    STATE(14825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704570] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19990), 1,
      anon_sym_RBRACK,
    ACTIONS(19992), 1,
      anon_sym_GT,
    STATE(14826), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704593] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(14827), 1,
      sym_attribute,
    STATE(17529), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19994), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [704614] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19996), 1,
      anon_sym_RBRACK,
    STATE(14828), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704637] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19402), 1,
      sym__identifier,
    ACTIONS(19406), 1,
      anon_sym_mutable,
    ACTIONS(19998), 1,
      anon_sym_RBRACE,
    STATE(14829), 1,
      sym_attribute,
    STATE(17089), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704660] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(20000), 1,
      anon_sym_COLON_GT,
    ACTIONS(20002), 1,
      anon_sym_RPAREN,
    STATE(14830), 1,
      sym_attribute,
    STATE(16524), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704683] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13965), 1,
      anon_sym_in,
    ACTIONS(19488), 1,
      anon_sym_and,
    ACTIONS(19490), 1,
      sym_let_and_operator,
    STATE(14817), 1,
      aux_sym_value_definition_repeat1,
    STATE(14831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704706] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(20004), 1,
      anon_sym_with,
    STATE(14832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704729] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19606), 1,
      sym__identifier,
    STATE(13578), 1,
      sym_class_type_path,
    STATE(14833), 1,
      sym_attribute,
    STATE(17203), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704752] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19606), 1,
      sym__identifier,
    STATE(13703), 1,
      sym_class_type_path,
    STATE(14834), 1,
      sym_attribute,
    STATE(17203), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704775] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20006), 1,
      anon_sym_DOT,
    STATE(14835), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704798] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20008), 1,
      anon_sym_DOT,
    STATE(14836), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704821] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(20010), 1,
      anon_sym_with,
    STATE(14837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704844] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10121), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20012), 1,
      anon_sym_GT,
    STATE(14775), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704867] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(20014), 1,
      anon_sym_RBRACK,
    STATE(14839), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704890] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20016), 1,
      anon_sym_DOT,
    STATE(14840), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704913] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(20018), 1,
      anon_sym_with,
    STATE(14841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704936] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20020), 1,
      sym__identifier,
    ACTIONS(20022), 1,
      anon_sym_LPAREN,
    STATE(5528), 1,
      sym__value_name,
    STATE(5534), 1,
      sym_parenthesized_operator,
    STATE(14842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704959] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(14843), 1,
      sym_attribute,
    STATE(17265), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20024), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [704980] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(20026), 1,
      anon_sym_GT_RBRACE,
    STATE(14844), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705003] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(19990), 1,
      anon_sym_RBRACK,
    STATE(14845), 1,
      sym_attribute,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705026] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(20028), 1,
      anon_sym_with,
    STATE(14846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705049] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20030), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20033), 2,
      anon_sym_RBRACK,
      anon_sym_GT,
    STATE(14847), 2,
      sym_attribute,
      aux_sym_polymorphic_variant_type_repeat1,
  [705068] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20035), 1,
      anon_sym_RBRACK,
    ACTIONS(20037), 1,
      anon_sym_GT,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705091] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10151), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20039), 1,
      anon_sym_GT,
    STATE(14366), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705114] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(20041), 1,
      anon_sym_GT_RBRACE,
    STATE(14850), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705137] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(20043), 1,
      anon_sym_GT_RBRACE,
    STATE(14851), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705160] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11937), 1,
      anon_sym_LPAREN,
    ACTIONS(20045), 1,
      anon_sym_DASH_GT,
    STATE(9079), 1,
      aux_sym_module_binding_repeat1,
    STATE(9686), 1,
      sym_module_parameter,
    STATE(14852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705183] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(20047), 1,
      anon_sym_with,
    STATE(14853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705206] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(20049), 1,
      sym__identifier,
    STATE(5576), 1,
      sym_type_constructor_path,
    STATE(14854), 1,
      sym_attribute,
    STATE(17231), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705229] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(20051), 1,
      anon_sym_GT_RBRACE,
    STATE(14855), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705252] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10165), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20053), 1,
      anon_sym_GT,
    STATE(14856), 1,
      sym_attribute,
    STATE(14894), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705275] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20055), 1,
      sym__identifier,
    ACTIONS(20057), 1,
      anon_sym_LPAREN,
    STATE(5478), 1,
      sym_parenthesized_operator,
    STATE(5502), 1,
      sym__value_name,
    STATE(14857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705298] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(20059), 1,
      anon_sym_GT_RBRACE,
    STATE(14858), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705321] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_POUND,
    ACTIONS(19248), 1,
      anon_sym_DOT,
    ACTIONS(19252), 1,
      sym_hash_operator,
    ACTIONS(20061), 1,
      anon_sym_with,
    STATE(14859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705344] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(20063), 1,
      anon_sym_COLON_GT,
    ACTIONS(20065), 1,
      anon_sym_RPAREN,
    STATE(14860), 1,
      sym_attribute,
    STATE(16799), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705367] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(11809), 1,
      sym__identifier,
    STATE(13005), 1,
      sym_type_constructor_path,
    STATE(14861), 1,
      sym_attribute,
    STATE(16779), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705390] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(20067), 1,
      anon_sym_GT_RBRACE,
    STATE(14862), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705413] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19634), 1,
      sym__identifier,
    STATE(10773), 1,
      sym_class_type_path,
    STATE(14863), 1,
      sym_attribute,
    STATE(17019), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705436] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20069), 1,
      anon_sym_DOT,
    STATE(14864), 1,
      sym_attribute,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705459] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20071), 1,
      sym__identifier,
    STATE(14611), 1,
      aux_sym_method_specification_repeat1,
    STATE(14865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19092), 2,
      anon_sym_private,
      anon_sym_virtual,
  [705480] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    ACTIONS(20073), 1,
      anon_sym_EQ,
    ACTIONS(20075), 1,
      anon_sym_RPAREN,
    STATE(14866), 1,
      sym_attribute,
    STATE(16573), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705503] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20077), 1,
      anon_sym_RBRACK,
    ACTIONS(20079), 1,
      aux_sym_tag_token1,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14867), 2,
      sym_attribute,
      aux_sym_polymorphic_variant_type_repeat2,
  [705524] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19795), 1,
      anon_sym_LPAREN,
    ACTIONS(20082), 1,
      sym__identifier,
    STATE(14868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14101), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [705545] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(20035), 1,
      anon_sym_RBRACK,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14869), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705568] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20084), 1,
      anon_sym_rec,
    STATE(12468), 1,
      sym_module_binding,
    STATE(14870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17795), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [705589] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20086), 1,
      anon_sym_RBRACK,
    ACTIONS(20088), 1,
      anon_sym_GT,
    STATE(14871), 1,
      sym_attribute,
    STATE(14895), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705612] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20086), 1,
      anon_sym_RBRACK,
    ACTIONS(20088), 1,
      anon_sym_GT,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705635] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18529), 1,
      sym__identifier,
    STATE(8371), 1,
      sym_class_path,
    STATE(14873), 1,
      sym_attribute,
    STATE(19220), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705658] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19634), 1,
      sym__identifier,
    STATE(10798), 1,
      sym_class_type_path,
    STATE(14874), 1,
      sym_attribute,
    STATE(17019), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705681] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20090), 1,
      anon_sym_DOT,
    ACTIONS(20092), 1,
      aux_sym_type_variable_token1,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14875), 2,
      sym_attribute,
      aux_sym_constructor_declaration_repeat1,
  [705702] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(20095), 1,
      anon_sym_COLON_GT,
    ACTIONS(20097), 1,
      anon_sym_RPAREN,
    STATE(14876), 1,
      sym_attribute,
    STATE(17204), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705725] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    STATE(14877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13366), 2,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [705746] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19314), 1,
      aux_sym_attribute_id_token1,
    STATE(14409), 1,
      aux_sym_attribute_id_repeat1,
    STATE(14878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
  [705767] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(20099), 1,
      anon_sym_COLON_GT,
    ACTIONS(20101), 1,
      anon_sym_RPAREN,
    STATE(14879), 1,
      sym_attribute,
    STATE(17074), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705790] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20103), 1,
      anon_sym_DOT,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14880), 1,
      sym_attribute,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705813] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(20105), 1,
      sym__identifier,
    STATE(14881), 1,
      sym_attribute,
    STATE(16779), 1,
      sym_extended_module_path,
    STATE(20219), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705836] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(20107), 1,
      anon_sym_GT_RBRACE,
    STATE(14882), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705859] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20109), 1,
      anon_sym_DOT,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14883), 1,
      sym_attribute,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705882] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20111), 1,
      anon_sym_RBRACK,
    ACTIONS(20113), 1,
      anon_sym_GT,
    STATE(14474), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705905] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(20115), 1,
      anon_sym_GT_RBRACE,
    STATE(14885), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705928] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18709), 1,
      sym__identifier,
    STATE(4156), 1,
      sym_class_path,
    STATE(14886), 1,
      sym_attribute,
    STATE(20143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705951] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(20117), 1,
      anon_sym_GT_RBRACE,
    STATE(14887), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705974] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20119), 1,
      anon_sym_RBRACK,
    ACTIONS(20121), 1,
      anon_sym_GT,
    STATE(14888), 1,
      sym_attribute,
    STATE(14956), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705997] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(20123), 1,
      anon_sym_GT_RBRACE,
    STATE(14889), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706020] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20125), 1,
      anon_sym_DOT,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14890), 1,
      sym_attribute,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706043] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20111), 1,
      anon_sym_RBRACK,
    ACTIONS(20113), 1,
      anon_sym_GT,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706066] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20127), 1,
      anon_sym_RBRACK,
    ACTIONS(20129), 1,
      anon_sym_GT,
    STATE(14892), 1,
      sym_attribute,
    STATE(14909), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706089] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10067), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20131), 1,
      anon_sym_GT,
    STATE(14893), 1,
      sym_attribute,
    STATE(14941), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706112] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20127), 1,
      anon_sym_RBRACK,
    ACTIONS(20129), 1,
      anon_sym_GT,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706135] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20133), 1,
      anon_sym_RBRACK,
    ACTIONS(20135), 1,
      anon_sym_GT,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706158] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(20137), 1,
      anon_sym_COLON_GT,
    ACTIONS(20139), 1,
      anon_sym_RPAREN,
    STATE(14896), 1,
      sym_attribute,
    STATE(16508), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706181] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18411), 1,
      sym__identifier,
    ACTIONS(18413), 1,
      anon_sym_LPAREN,
    STATE(14897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12949), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [706202] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20141), 1,
      anon_sym_DOT,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14898), 1,
      sym_attribute,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706225] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(20133), 1,
      anon_sym_RBRACK,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14899), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706248] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20143), 1,
      anon_sym_RBRACK,
    ACTIONS(20145), 1,
      anon_sym_GT,
    STATE(14442), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706271] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(14901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 4,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_GT,
  [706288] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(20147), 1,
      anon_sym_RBRACK,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14902), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706311] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20119), 1,
      anon_sym_RBRACK,
    ACTIONS(20121), 1,
      anon_sym_GT,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706334] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(20149), 1,
      anon_sym_GT_RBRACE,
    STATE(14904), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706357] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19452), 1,
      anon_sym_RBRACK,
    ACTIONS(19454), 1,
      anon_sym_GT,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706380] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19284), 1,
      sym__identifier,
    STATE(9351), 1,
      sym_class_type_path,
    STATE(14906), 1,
      sym_attribute,
    STATE(16959), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706403] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(20151), 1,
      anon_sym_GT_RBRACE,
    STATE(14907), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706426] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(20153), 1,
      anon_sym_COLON_GT,
    ACTIONS(20155), 1,
      anon_sym_RPAREN,
    STATE(14908), 1,
      sym_attribute,
    STATE(16988), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706449] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20157), 1,
      anon_sym_RBRACK,
    ACTIONS(20159), 1,
      anon_sym_GT,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706472] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(20161), 1,
      anon_sym_COLON_GT,
    ACTIONS(20163), 1,
      anon_sym_RPAREN,
    STATE(14910), 1,
      sym_attribute,
    STATE(17024), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706495] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19634), 1,
      sym__identifier,
    STATE(10866), 1,
      sym_class_type_path,
    STATE(14911), 1,
      sym_attribute,
    STATE(17019), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706518] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(20157), 1,
      anon_sym_RBRACK,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14912), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706541] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10201), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20165), 1,
      anon_sym_GT,
    STATE(14772), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706564] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(14914), 1,
      sym_attribute,
    STATE(17283), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20167), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [706585] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18229), 1,
      sym__identifier,
    ACTIONS(18231), 1,
      anon_sym_LBRACK,
    ACTIONS(18233), 1,
      anon_sym_virtual,
    STATE(11437), 1,
      sym_class_binding,
    STATE(14915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706608] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(20169), 1,
      anon_sym_COLON_GT,
    ACTIONS(20171), 1,
      anon_sym_RPAREN,
    STATE(14916), 1,
      sym_attribute,
    STATE(17397), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706631] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20173), 1,
      anon_sym_RBRACK,
    ACTIONS(20175), 1,
      anon_sym_GT,
    STATE(14670), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706654] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(20177), 1,
      anon_sym_RBRACK,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14918), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706677] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19284), 1,
      sym__identifier,
    STATE(9400), 1,
      sym_class_type_path,
    STATE(14919), 1,
      sym_attribute,
    STATE(16959), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706700] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(20179), 1,
      anon_sym_GT_RBRACE,
    STATE(14920), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706723] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20143), 1,
      anon_sym_RBRACK,
    ACTIONS(20145), 1,
      anon_sym_GT,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706746] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(20181), 1,
      anon_sym_RBRACK,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14922), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706769] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14129), 1,
      anon_sym_in,
    ACTIONS(19488), 1,
      anon_sym_and,
    ACTIONS(19490), 1,
      sym_let_and_operator,
    STATE(14831), 1,
      aux_sym_value_definition_repeat1,
    STATE(14923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706792] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18413), 1,
      anon_sym_LPAREN,
    ACTIONS(19181), 1,
      sym__identifier,
    STATE(10448), 1,
      sym_parenthesized_operator,
    STATE(13211), 1,
      sym__value_name,
    STATE(14924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706815] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(20183), 1,
      anon_sym_RBRACK,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14925), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706838] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19660), 1,
      sym__identifier,
    STATE(11706), 1,
      sym_class_type_path,
    STATE(14926), 1,
      sym_attribute,
    STATE(17255), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706861] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20185), 1,
      sym__identifier,
    ACTIONS(20187), 1,
      anon_sym_LPAREN,
    STATE(5593), 1,
      sym_parenthesized_operator,
    STATE(5660), 1,
      sym__value_name,
    STATE(14927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706884] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(20189), 1,
      anon_sym_GT_RBRACE,
    STATE(14928), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706907] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19640), 1,
      sym__identifier,
    STATE(10797), 1,
      sym_class_type_path,
    STATE(14929), 1,
      sym_attribute,
    STATE(17414), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706930] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(20191), 1,
      anon_sym_GT_RBRACE,
    STATE(14930), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706953] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(20193), 1,
      anon_sym_RBRACK,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14931), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706976] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(20195), 1,
      anon_sym_GT_RBRACE,
    STATE(14932), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706999] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18367), 1,
      sym__identifier,
    STATE(5724), 1,
      sym_class_path,
    STATE(14933), 1,
      sym_attribute,
    STATE(18860), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707022] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18427), 1,
      sym__identifier,
    STATE(3728), 1,
      sym_class_path,
    STATE(14934), 1,
      sym_attribute,
    STATE(18558), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707045] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(20197), 1,
      anon_sym_GT_RBRACE,
    STATE(14935), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707068] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(20199), 1,
      sym__identifier,
    STATE(8002), 1,
      sym_type_constructor_path,
    STATE(14936), 1,
      sym_attribute,
    STATE(17275), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707091] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18727), 1,
      sym__identifier,
    STATE(9222), 1,
      sym_class_path,
    STATE(14937), 1,
      sym_attribute,
    STATE(20188), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707114] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18569), 1,
      sym__identifier,
    STATE(6768), 1,
      sym_class_path,
    STATE(14938), 1,
      sym_attribute,
    STATE(19463), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707137] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(20201), 1,
      sym__identifier,
    STATE(7806), 1,
      sym_type_constructor_path,
    STATE(14939), 1,
      sym_attribute,
    STATE(17389), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707160] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    ACTIONS(20203), 1,
      anon_sym_EQ,
    ACTIONS(20205), 1,
      anon_sym_RPAREN,
    STATE(14940), 1,
      sym_attribute,
    STATE(17424), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707183] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20173), 1,
      anon_sym_RBRACK,
    ACTIONS(20175), 1,
      anon_sym_GT,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707206] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19550), 1,
      sym__identifier,
    STATE(9619), 1,
      sym_class_type_path,
    STATE(14942), 1,
      sym_attribute,
    STATE(16538), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707229] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19219), 1,
      sym__identifier,
    STATE(9511), 1,
      sym_class_type_path,
    STATE(14943), 1,
      sym_attribute,
    STATE(17480), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707252] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(19594), 1,
      sym__identifier,
    STATE(7411), 1,
      sym_class_path,
    STATE(14944), 1,
      sym_attribute,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707275] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19219), 1,
      sym__identifier,
    STATE(9567), 1,
      sym_class_type_path,
    STATE(14945), 1,
      sym_attribute,
    STATE(17480), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707298] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(20207), 1,
      anon_sym_COLON_GT,
    ACTIONS(20209), 1,
      anon_sym_RPAREN,
    STATE(14946), 1,
      sym_attribute,
    STATE(17367), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707321] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(20211), 1,
      anon_sym_RBRACK,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14947), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707344] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20215), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20213), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(14948), 2,
      sym_attribute,
      aux_sym__type_params_repeat1,
  [707363] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20218), 1,
      anon_sym_RBRACK,
    ACTIONS(20220), 1,
      anon_sym_GT,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707386] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(20218), 1,
      anon_sym_RBRACK,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14950), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707409] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(20222), 1,
      anon_sym_RBRACK,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14951), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707432] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20224), 1,
      anon_sym_DOT,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14952), 1,
      sym_attribute,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707455] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20226), 1,
      anon_sym_DOT,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14953), 1,
      sym_attribute,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707478] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19750), 1,
      sym__identifier,
    STATE(9350), 1,
      sym_class_type_path,
    STATE(14954), 1,
      sym_attribute,
    STATE(16614), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707501] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(20228), 1,
      anon_sym_GT_RBRACE,
    STATE(14955), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707524] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20230), 1,
      anon_sym_RBRACK,
    ACTIONS(20232), 1,
      anon_sym_GT,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707547] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20234), 1,
      sym__identifier,
    STATE(14496), 1,
      aux_sym_method_specification_repeat1,
    STATE(14957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19092), 2,
      anon_sym_private,
      anon_sym_virtual,
  [707568] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(20236), 1,
      anon_sym_COLON_GT,
    ACTIONS(20238), 1,
      anon_sym_RPAREN,
    STATE(14958), 1,
      sym_attribute,
    STATE(17178), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707591] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20240), 1,
      anon_sym_DOT,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14959), 1,
      sym_attribute,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707614] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(20242), 1,
      anon_sym_GT_RBRACE,
    STATE(14960), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707637] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(14961), 1,
      sym_attribute,
    STATE(16761), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20244), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [707658] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20234), 1,
      sym__identifier,
    STATE(14611), 1,
      aux_sym_method_specification_repeat1,
    STATE(14962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19092), 2,
      anon_sym_private,
      anon_sym_virtual,
  [707679] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20246), 1,
      anon_sym_rec,
    STATE(12184), 1,
      sym_module_binding,
    STATE(14963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18303), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [707700] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11937), 1,
      anon_sym_LPAREN,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    STATE(9686), 1,
      sym_module_parameter,
    STATE(14964), 1,
      sym_attribute,
    STATE(14968), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707723] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(20230), 1,
      anon_sym_RBRACK,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14965), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707746] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(20248), 1,
      anon_sym_GT_RBRACE,
    STATE(14966), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707769] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(20250), 1,
      anon_sym_GT_RBRACE,
    STATE(14967), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707792] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11937), 1,
      anon_sym_LPAREN,
    ACTIONS(20252), 1,
      anon_sym_DASH_GT,
    STATE(9079), 1,
      aux_sym_module_binding_repeat1,
    STATE(9686), 1,
      sym_module_parameter,
    STATE(14968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707815] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18411), 1,
      sym__identifier,
    ACTIONS(18413), 1,
      anon_sym_LPAREN,
    STATE(14969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20331), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [707836] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(20254), 1,
      sym__identifier,
    STATE(9431), 1,
      sym_class_type_path,
    STATE(14970), 1,
      sym_attribute,
    STATE(17287), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707859] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(20256), 1,
      anon_sym_GT_RBRACE,
    STATE(14971), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707882] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(20258), 1,
      anon_sym_COLON_GT,
    ACTIONS(20260), 1,
      anon_sym_RPAREN,
    STATE(14972), 1,
      sym_attribute,
    STATE(17233), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707905] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(20262), 1,
      anon_sym_RBRACK,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14973), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707928] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(20264), 1,
      anon_sym_COLON_GT,
    ACTIONS(20266), 1,
      anon_sym_RPAREN,
    STATE(14974), 1,
      sym_attribute,
    STATE(16804), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707951] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18483), 1,
      sym__identifier,
    STATE(6930), 1,
      sym_class_path,
    STATE(14975), 1,
      sym_attribute,
    STATE(17744), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707974] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(20268), 1,
      anon_sym_COLON_GT,
    ACTIONS(20270), 1,
      anon_sym_RPAREN,
    STATE(14976), 1,
      sym_attribute,
    STATE(16470), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707997] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20272), 1,
      sym__identifier,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20275), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(14977), 2,
      sym_attribute,
      aux_sym__abstract_type_repeat1,
  [708016] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20277), 1,
      anon_sym_rec,
    STATE(12186), 1,
      sym_module_binding,
    STATE(14978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18311), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [708037] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11937), 1,
      anon_sym_LPAREN,
    ACTIONS(14460), 1,
      anon_sym_DASH_GT,
    STATE(9686), 1,
      sym_module_parameter,
    STATE(14979), 1,
      sym_attribute,
    STATE(14983), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708060] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(20279), 1,
      anon_sym_GT_RBRACE,
    STATE(14980), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12302), 1,
      anon_sym_and,
    STATE(14981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12300), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [708102] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(20281), 1,
      anon_sym_GT_RBRACE,
    STATE(14982), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708125] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11937), 1,
      anon_sym_LPAREN,
    ACTIONS(20283), 1,
      anon_sym_DASH_GT,
    STATE(9079), 1,
      aux_sym_module_binding_repeat1,
    STATE(9686), 1,
      sym_module_parameter,
    STATE(14983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708148] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18411), 1,
      sym__identifier,
    ACTIONS(18413), 1,
      anon_sym_LPAREN,
    STATE(14984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20341), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [708169] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18529), 1,
      sym__identifier,
    STATE(8010), 1,
      sym_class_path,
    STATE(14985), 1,
      sym_attribute,
    STATE(19220), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708192] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19219), 1,
      sym__identifier,
    STATE(9781), 1,
      sym_class_type_path,
    STATE(14986), 1,
      sym_attribute,
    STATE(17480), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708215] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(20254), 1,
      sym__identifier,
    STATE(9446), 1,
      sym_class_type_path,
    STATE(14987), 1,
      sym_attribute,
    STATE(17287), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708238] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(20285), 1,
      anon_sym_RBRACK,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14988), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708261] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(20287), 1,
      anon_sym_GT_RBRACE,
    STATE(14989), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708284] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(20254), 1,
      sym__identifier,
    STATE(9479), 1,
      sym_class_type_path,
    STATE(14990), 1,
      sym_attribute,
    STATE(17287), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708307] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(20289), 1,
      anon_sym_COLON_GT,
    ACTIONS(20291), 1,
      anon_sym_RPAREN,
    STATE(14991), 1,
      sym_attribute,
    STATE(17482), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708330] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(20293), 1,
      anon_sym_GT_RBRACE,
    STATE(14992), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708353] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20295), 1,
      anon_sym_rec,
    STATE(12714), 1,
      sym_module_binding,
    STATE(14993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18321), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [708374] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11937), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_DASH_GT,
    STATE(9686), 1,
      sym_module_parameter,
    STATE(14994), 1,
      sym_attribute,
    STATE(14998), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708397] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20297), 1,
      anon_sym_DOT,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14995), 1,
      sym_attribute,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708420] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19274), 1,
      sym__identifier,
    STATE(10475), 1,
      sym_class_type_path,
    STATE(14996), 1,
      sym_attribute,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708443] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18527), 1,
      sym__identifier,
    STATE(9684), 1,
      sym_class_path,
    STATE(14997), 1,
      sym_attribute,
    STATE(18359), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708466] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11937), 1,
      anon_sym_LPAREN,
    ACTIONS(20299), 1,
      anon_sym_DASH_GT,
    STATE(9079), 1,
      aux_sym_module_binding_repeat1,
    STATE(9686), 1,
      sym_module_parameter,
    STATE(14998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708489] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18411), 1,
      sym__identifier,
    ACTIONS(18413), 1,
      anon_sym_LPAREN,
    STATE(14999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20350), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [708510] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(20254), 1,
      sym__identifier,
    STATE(9491), 1,
      sym_class_type_path,
    STATE(15000), 1,
      sym_attribute,
    STATE(17287), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708533] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(20301), 1,
      anon_sym_COLON_GT,
    ACTIONS(20303), 1,
      anon_sym_RPAREN,
    STATE(15001), 1,
      sym_attribute,
    STATE(17048), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708556] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_COLON2,
    ACTIONS(20305), 1,
      anon_sym_COLON_GT,
    ACTIONS(20307), 1,
      anon_sym_RPAREN,
    STATE(15002), 1,
      sym_attribute,
    STATE(16955), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708579] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(20309), 1,
      anon_sym_GT_RBRACE,
    STATE(15003), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708602] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18541), 1,
      sym__identifier,
    STATE(5328), 1,
      sym_class_path,
    STATE(15004), 1,
      sym_attribute,
    STATE(18199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708625] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19426), 1,
      sym__identifier,
    STATE(10734), 1,
      sym_class_type_path,
    STATE(15005), 1,
      sym_attribute,
    STATE(16750), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708648] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11937), 1,
      anon_sym_LPAREN,
    ACTIONS(13382), 1,
      anon_sym_DASH_GT,
    STATE(9686), 1,
      sym_module_parameter,
    STATE(15006), 1,
      sym_attribute,
    STATE(15007), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708671] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11937), 1,
      anon_sym_LPAREN,
    ACTIONS(20311), 1,
      anon_sym_DASH_GT,
    STATE(9079), 1,
      aux_sym_module_binding_repeat1,
    STATE(9686), 1,
      sym_module_parameter,
    STATE(15007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708694] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10199), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20313), 1,
      anon_sym_GT,
    STATE(14652), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708717] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    ACTIONS(20315), 1,
      anon_sym_RBRACK,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15009), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708740] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(15010), 1,
      sym_attribute,
    STATE(17515), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20317), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [708761] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(20319), 1,
      sym__identifier,
    STATE(15011), 1,
      sym_attribute,
    STATE(16779), 1,
      sym_extended_module_path,
    STATE(20191), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708784] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20321), 1,
      anon_sym_DOT,
    STATE(14875), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(15012), 1,
      sym_attribute,
    STATE(16798), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708807] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18682), 1,
      sym__identifier,
    STATE(2755), 1,
      sym_class_path,
    STATE(15013), 1,
      sym_attribute,
    STATE(18711), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708830] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(20323), 1,
      anon_sym_GT_RBRACE,
    STATE(15014), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708853] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(15015), 1,
      sym_attribute,
    STATE(17520), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20325), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [708874] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19236), 1,
      sym__identifier,
    STATE(12844), 1,
      sym_class_type_path,
    STATE(15016), 1,
      sym_attribute,
    STATE(16482), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708897] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18411), 1,
      sym__identifier,
    ACTIONS(18413), 1,
      anon_sym_LPAREN,
    STATE(15017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17955), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [708918] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(20327), 1,
      sym__identifier,
    STATE(7512), 1,
      sym_type_constructor_path,
    STATE(15018), 1,
      sym_attribute,
    STATE(17061), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708941] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    ACTIONS(19236), 1,
      sym__identifier,
    STATE(12869), 1,
      sym_class_type_path,
    STATE(15019), 1,
      sym_attribute,
    STATE(16482), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708964] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13549), 1,
      anon_sym_PERCENT,
    STATE(15020), 1,
      sym_attribute,
    STATE(17525), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20329), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [708985] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(18357), 1,
      sym__identifier,
    STATE(7255), 1,
      sym_class_path,
    STATE(15021), 1,
      sym_attribute,
    STATE(19864), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709008] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(20331), 1,
      anon_sym_GT_RBRACE,
    STATE(15022), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709031] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    ACTIONS(20333), 1,
      anon_sym_GT_RBRACE,
    STATE(15023), 1,
      sym_attribute,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709054] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18127), 1,
      sym__identifier,
    ACTIONS(18129), 1,
      anon_sym_LBRACK,
    ACTIONS(18131), 1,
      anon_sym_virtual,
    STATE(12725), 1,
      sym_class_binding,
    STATE(15024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709077] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(19432), 1,
      sym__identifier,
    STATE(15025), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    STATE(17516), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709100] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(19432), 1,
      sym__identifier,
    STATE(15026), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    STATE(17521), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709123] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13402), 1,
      sym__capitalized_identifier,
    ACTIONS(19432), 1,
      sym__identifier,
    STATE(15027), 1,
      sym_attribute,
    STATE(17365), 1,
      sym_extended_module_path,
    STATE(17526), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709146] = 7,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11937), 1,
      anon_sym_LPAREN,
    ACTIONS(18071), 1,
      anon_sym_DASH_GT,
    STATE(9686), 1,
      sym_module_parameter,
    STATE(14774), 1,
      aux_sym_module_binding_repeat1,
    STATE(15028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709169] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18387), 1,
      anon_sym_RBRACE,
    ACTIONS(20335), 1,
      anon_sym_SEMI,
    STATE(15029), 1,
      sym_attribute,
    STATE(15138), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709189] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(20337), 1,
      anon_sym_type,
    STATE(15030), 1,
      sym_attribute,
    STATE(15588), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709209] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11765), 1,
      anon_sym_GT,
    ACTIONS(20339), 1,
      anon_sym_SEMI,
    STATE(15031), 1,
      sym_attribute,
    STATE(15752), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709229] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      anon_sym_RBRACE,
    ACTIONS(20341), 1,
      anon_sym_SEMI,
    STATE(15032), 1,
      sym_attribute,
    STATE(15067), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709249] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20343), 1,
      sym__identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    STATE(15033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709269] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20347), 1,
      anon_sym_RPAREN,
    STATE(15034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709289] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18717), 1,
      anon_sym_RBRACE,
    ACTIONS(20349), 1,
      anon_sym_SEMI,
    STATE(15035), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709309] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20119), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709329] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20323), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20351), 1,
      anon_sym_SEMI,
    STATE(15037), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709349] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(20353), 1,
      sym__identifier,
    STATE(15038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709369] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20355), 1,
      anon_sym_SEMI,
    ACTIONS(20357), 1,
      anon_sym_GT_RBRACE,
    STATE(15039), 1,
      sym_attribute,
    STATE(15809), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709389] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20359), 1,
      anon_sym_EQ,
    STATE(15040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20361), 2,
      anon_sym_SEMI,
      anon_sym_GT_RBRACE,
  [709407] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19636), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709427] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8734), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20363), 1,
      anon_sym_SEMI,
    STATE(15042), 1,
      sym_attribute,
    STATE(15289), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709447] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20365), 1,
      anon_sym_SEMI,
    ACTIONS(20367), 1,
      anon_sym_RBRACE,
    STATE(15043), 1,
      sym_attribute,
    STATE(15047), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709467] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(20369), 1,
      anon_sym_RPAREN,
    STATE(15044), 1,
      sym_attribute,
    STATE(17625), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709487] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20371), 1,
      anon_sym_SEMI,
    ACTIONS(20373), 1,
      anon_sym_GT_RBRACE,
    STATE(15045), 1,
      sym_attribute,
    STATE(15049), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709507] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3311), 1,
      anon_sym_RBRACK,
    ACTIONS(20375), 1,
      anon_sym_SEMI,
    STATE(15046), 1,
      sym_attribute,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709527] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18745), 1,
      anon_sym_RBRACE,
    ACTIONS(20377), 1,
      anon_sym_SEMI,
    STATE(15047), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709547] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3313), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20379), 1,
      anon_sym_SEMI,
    STATE(15048), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709567] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20115), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20381), 1,
      anon_sym_SEMI,
    STATE(15049), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709587] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11695), 1,
      anon_sym_GT,
    ACTIONS(20383), 1,
      anon_sym_SEMI,
    STATE(15050), 1,
      sym_attribute,
    STATE(15752), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709607] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20385), 1,
      anon_sym_RPAREN,
    STATE(15051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709627] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20387), 1,
      anon_sym_RPAREN,
    ACTIONS(20389), 1,
      anon_sym_COLON2,
    STATE(15052), 1,
      sym_attribute,
    STATE(19189), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709647] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18753), 1,
      anon_sym_RBRACE,
    ACTIONS(20391), 1,
      anon_sym_SEMI,
    STATE(15053), 1,
      sym_attribute,
    STATE(15057), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709667] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18775), 1,
      anon_sym_RBRACE,
    ACTIONS(20393), 1,
      anon_sym_SEMI,
    STATE(15054), 1,
      sym_attribute,
    STATE(15347), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709687] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(20395), 1,
      sym__identifier,
    STATE(15055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709707] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20397), 1,
      anon_sym_RPAREN,
    STATE(15056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709727] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18765), 1,
      anon_sym_RBRACE,
    ACTIONS(20399), 1,
      anon_sym_SEMI,
    STATE(15057), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709747] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20401), 1,
      anon_sym_RPAREN,
    STATE(15058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709767] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(20403), 1,
      anon_sym_RPAREN,
    STATE(15059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709787] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(20405), 1,
      anon_sym_RPAREN,
    STATE(15060), 1,
      sym_attribute,
    STATE(17575), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709807] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19354), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709827] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19354), 1,
      anon_sym_RBRACK,
    STATE(15062), 1,
      sym_attribute,
    STATE(15085), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709847] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8560), 1,
      anon_sym_RBRACK,
    ACTIONS(20407), 1,
      anon_sym_SEMI,
    STATE(15063), 1,
      sym_attribute,
    STATE(15277), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709867] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20409), 1,
      anon_sym_SEMI,
    ACTIONS(20411), 1,
      anon_sym_RBRACE,
    STATE(15064), 1,
      sym_attribute,
    STATE(15084), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709887] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20413), 1,
      anon_sym_SEMI,
    ACTIONS(20415), 1,
      anon_sym_RBRACE,
    STATE(15065), 1,
      sym_attribute,
    STATE(15073), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709907] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20417), 1,
      anon_sym_RPAREN,
    STATE(15066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709927] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18598), 1,
      anon_sym_RBRACE,
    ACTIONS(20419), 1,
      anon_sym_SEMI,
    STATE(15067), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709947] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8520), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20421), 1,
      anon_sym_SEMI,
    STATE(15068), 1,
      sym_attribute,
    STATE(15287), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709967] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20423), 1,
      anon_sym_SEMI,
    ACTIONS(20425), 1,
      anon_sym_GT_RBRACE,
    STATE(15069), 1,
      sym_attribute,
    STATE(15075), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709987] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17819), 1,
      anon_sym_RBRACE,
    ACTIONS(20427), 1,
      anon_sym_SEMI,
    STATE(15070), 1,
      sym_attribute,
    STATE(15371), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710007] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3333), 1,
      anon_sym_RBRACK,
    ACTIONS(20429), 1,
      anon_sym_SEMI,
    STATE(15071), 1,
      sym_attribute,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710027] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20431), 1,
      anon_sym_SEMI,
    ACTIONS(20433), 1,
      anon_sym_GT_RBRACE,
    STATE(15072), 1,
      sym_attribute,
    STATE(15092), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710047] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18789), 1,
      anon_sym_RBRACE,
    ACTIONS(20435), 1,
      anon_sym_SEMI,
    STATE(15073), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710067] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3335), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20437), 1,
      anon_sym_SEMI,
    STATE(15074), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710087] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20309), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20439), 1,
      anon_sym_SEMI,
    STATE(15075), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710107] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20441), 1,
      anon_sym_RPAREN,
    STATE(15076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710127] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18801), 1,
      anon_sym_RBRACE,
    ACTIONS(20443), 1,
      anon_sym_SEMI,
    STATE(15077), 1,
      sym_attribute,
    STATE(15081), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710147] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3947), 1,
      anon_sym_RBRACK,
    ACTIONS(20445), 1,
      anon_sym_SEMI,
    STATE(15078), 1,
      sym_attribute,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710167] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(20447), 1,
      sym__identifier,
    STATE(15079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710187] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20449), 1,
      anon_sym_RPAREN,
    STATE(15080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710207] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18327), 1,
      anon_sym_RBRACE,
    ACTIONS(20451), 1,
      anon_sym_SEMI,
    STATE(15081), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710227] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10061), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    STATE(15082), 1,
      sym_attribute,
    STATE(15099), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710247] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17648), 1,
      anon_sym_SEMI,
    ACTIONS(17650), 1,
      anon_sym_GT,
    STATE(15083), 1,
      sym_attribute,
    STATE(15102), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710267] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18640), 1,
      anon_sym_RBRACE,
    ACTIONS(20453), 1,
      anon_sym_SEMI,
    STATE(15084), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710287] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19376), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710307] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16279), 1,
      anon_sym_RBRACK,
    ACTIONS(20455), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15086), 2,
      sym_attribute,
      aux_sym_list_expression_repeat1,
  [710325] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3299), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20458), 1,
      anon_sym_SEMI,
    STATE(15087), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710345] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8574), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20460), 1,
      anon_sym_SEMI,
    STATE(15088), 1,
      sym_attribute,
    STATE(15287), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710365] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12716), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [710381] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12720), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [710397] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20462), 1,
      anon_sym_SEMI,
    ACTIONS(20464), 1,
      anon_sym_RBRACE,
    STATE(15091), 1,
      sym_attribute,
    STATE(15097), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710417] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19566), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20466), 1,
      anon_sym_SEMI,
    STATE(15092), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710437] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20468), 1,
      anon_sym_SEMI,
    ACTIONS(20470), 1,
      anon_sym_GT_RBRACE,
    STATE(15093), 1,
      sym_attribute,
    STATE(15101), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710457] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20472), 1,
      anon_sym_RPAREN,
    STATE(15094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710477] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3355), 1,
      anon_sym_RBRACK,
    ACTIONS(20474), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(15095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710497] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(20476), 1,
      anon_sym_RPAREN,
    STATE(15096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710517] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18349), 1,
      anon_sym_RBRACE,
    ACTIONS(20478), 1,
      anon_sym_SEMI,
    STATE(15097), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710537] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19572), 1,
      anon_sym_RBRACK,
    STATE(15098), 1,
      sym_attribute,
    STATE(15116), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710557] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19572), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710577] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3357), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20480), 1,
      anon_sym_SEMI,
    STATE(15100), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710597] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20067), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20482), 1,
      anon_sym_SEMI,
    STATE(15101), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710617] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11753), 1,
      anon_sym_GT,
    ACTIONS(20484), 1,
      anon_sym_SEMI,
    STATE(15102), 1,
      sym_attribute,
    STATE(15752), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710637] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20486), 1,
      anon_sym_RPAREN,
    STATE(15103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710657] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18355), 1,
      anon_sym_RBRACE,
    ACTIONS(20488), 1,
      anon_sym_SEMI,
    STATE(15104), 1,
      sym_attribute,
    STATE(15111), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710677] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18642), 1,
      anon_sym_RBRACE,
    ACTIONS(20490), 1,
      anon_sym_SEMI,
    STATE(15105), 1,
      sym_attribute,
    STATE(15121), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710697] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8702), 1,
      anon_sym_RBRACK,
    ACTIONS(20492), 1,
      anon_sym_SEMI,
    STATE(15106), 1,
      sym_attribute,
    STATE(15414), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710717] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10783), 1,
      sym_attribute_id,
    STATE(15107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20494), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [710735] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(20496), 1,
      sym__identifier,
    STATE(15108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710755] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20498), 1,
      anon_sym_RPAREN,
    STATE(15109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710775] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17889), 1,
      anon_sym_RBRACE,
    ACTIONS(20500), 1,
      anon_sym_SEMI,
    STATE(15110), 1,
      sym_attribute,
    STATE(15475), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710795] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18359), 1,
      anon_sym_RBRACE,
    ACTIONS(20502), 1,
      anon_sym_SEMI,
    STATE(15111), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710815] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(20504), 1,
      sym__identifier,
    STATE(15112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710835] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20506), 1,
      anon_sym_RPAREN,
    STATE(15113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710855] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(20508), 1,
      anon_sym_RPAREN,
    STATE(15114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710875] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8706), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20510), 1,
      anon_sym_SEMI,
    STATE(15115), 1,
      sym_attribute,
    STATE(15289), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710895] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19596), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710915] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19596), 1,
      anon_sym_RBRACK,
    STATE(15117), 1,
      sym_attribute,
    STATE(15126), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710935] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15091), 1,
      anon_sym_in,
    ACTIONS(20512), 1,
      anon_sym_and,
    STATE(15118), 1,
      sym_attribute,
    STATE(15140), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710955] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20514), 1,
      anon_sym_SEMI,
    ACTIONS(20516), 1,
      anon_sym_RBRACE,
    STATE(15119), 1,
      sym_attribute,
    STATE(15125), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710975] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20518), 1,
      anon_sym_RPAREN,
    STATE(15120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710995] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18654), 1,
      anon_sym_RBRACE,
    ACTIONS(20520), 1,
      anon_sym_SEMI,
    STATE(15121), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711015] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20522), 1,
      anon_sym_RPAREN,
    STATE(15122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711035] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20524), 1,
      anon_sym_SEMI,
    ACTIONS(20526), 1,
      anon_sym_GT_RBRACE,
    STATE(15123), 1,
      sym_attribute,
    STATE(15131), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711055] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3381), 1,
      anon_sym_RBRACK,
    ACTIONS(20528), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(15124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711075] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18377), 1,
      anon_sym_RBRACE,
    ACTIONS(20530), 1,
      anon_sym_SEMI,
    STATE(15125), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711095] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19612), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711115] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3383), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20532), 1,
      anon_sym_SEMI,
    STATE(15127), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711135] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(20534), 1,
      anon_sym_RPAREN,
    STATE(15128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711155] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19878), 1,
      anon_sym_RBRACK,
    STATE(15129), 1,
      sym_attribute,
    STATE(15182), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711175] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19878), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711195] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20279), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20536), 1,
      anon_sym_SEMI,
    STATE(15131), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711215] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20538), 1,
      anon_sym_RPAREN,
    STATE(15132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711235] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11663), 1,
      anon_sym_GT,
    ACTIONS(20540), 1,
      anon_sym_SEMI,
    STATE(15133), 1,
      sym_attribute,
    STATE(15752), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711255] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18721), 1,
      anon_sym_RBRACE,
    ACTIONS(20542), 1,
      anon_sym_SEMI,
    STATE(15134), 1,
      sym_attribute,
    STATE(15208), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711275] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10949), 1,
      anon_sym_DOT,
    STATE(15135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20544), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [711293] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(20546), 1,
      sym__identifier,
    STATE(15136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711313] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20548), 1,
      anon_sym_RPAREN,
    STATE(15137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711333] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18389), 1,
      anon_sym_RBRACE,
    ACTIONS(20550), 1,
      anon_sym_SEMI,
    STATE(15138), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711353] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20552), 1,
      anon_sym_SEMI,
    ACTIONS(20554), 1,
      anon_sym_RBRACE,
    STATE(15139), 1,
      sym_attribute,
    STATE(15341), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711373] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14085), 1,
      anon_sym_in,
    ACTIONS(20556), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15140), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
  [711391] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15091), 1,
      anon_sym_in,
    ACTIONS(20512), 1,
      anon_sym_and,
    STATE(15141), 1,
      sym_attribute,
    STATE(15300), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711411] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(20559), 1,
      sym__identifier,
    STATE(15142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711431] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20561), 1,
      anon_sym_COMMA,
    ACTIONS(20563), 1,
      anon_sym_RBRACK,
    STATE(14948), 1,
      aux_sym__type_params_repeat1,
    STATE(15143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711451] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20565), 1,
      anon_sym_SEMI,
    ACTIONS(20567), 1,
      anon_sym_RBRACE,
    STATE(15144), 1,
      sym_attribute,
    STATE(15149), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711471] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20569), 1,
      anon_sym_SEMI,
    ACTIONS(20571), 1,
      anon_sym_RBRACE,
    STATE(15145), 1,
      sym_attribute,
    STATE(15349), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711491] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20573), 1,
      anon_sym_SEMI,
    ACTIONS(20575), 1,
      anon_sym_GT_RBRACE,
    STATE(15146), 1,
      sym_attribute,
    STATE(15152), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711511] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(20577), 1,
      sym__identifier,
    STATE(15147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711531] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3415), 1,
      anon_sym_RBRACK,
    ACTIONS(20579), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(15148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711551] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18423), 1,
      anon_sym_RBRACE,
    ACTIONS(20581), 1,
      anon_sym_SEMI,
    STATE(15149), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711571] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3417), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20583), 1,
      anon_sym_SEMI,
    STATE(15150), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711591] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(20585), 1,
      anon_sym_RPAREN,
    STATE(15151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711611] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19752), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20587), 1,
      anon_sym_SEMI,
    STATE(15152), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711631] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20589), 1,
      anon_sym_RPAREN,
    STATE(15153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711651] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18431), 1,
      anon_sym_RBRACE,
    ACTIONS(20591), 1,
      anon_sym_SEMI,
    STATE(15154), 1,
      sym_attribute,
    STATE(15159), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711671] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(20593), 1,
      anon_sym_RPAREN,
    STATE(15155), 1,
      sym_attribute,
    STATE(18665), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711691] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20595), 1,
      anon_sym_SEMI,
    ACTIONS(20597), 1,
      anon_sym_RBRACE,
    STATE(15156), 1,
      sym_attribute,
    STATE(15169), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711711] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(20599), 1,
      sym__identifier,
    STATE(15157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711731] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20601), 1,
      anon_sym_RPAREN,
    STATE(15158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711751] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18433), 1,
      anon_sym_RBRACE,
    ACTIONS(20603), 1,
      anon_sym_SEMI,
    STATE(15159), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711771] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20605), 1,
      anon_sym_SEMI,
    ACTIONS(20607), 1,
      anon_sym_GT_RBRACE,
    STATE(15160), 1,
      sym_attribute,
    STATE(15178), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711791] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20293), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20609), 1,
      anon_sym_SEMI,
    STATE(15161), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711811] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20611), 1,
      anon_sym_SEMI,
    ACTIONS(20613), 1,
      anon_sym_RBRACE,
    STATE(15162), 1,
      sym_attribute,
    STATE(15167), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711831] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3479), 1,
      anon_sym_RBRACK,
    ACTIONS(20615), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(15163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711851] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20617), 1,
      anon_sym_SEMI,
    ACTIONS(20619), 1,
      anon_sym_GT_RBRACE,
    STATE(15164), 1,
      sym_attribute,
    STATE(15171), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711871] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10113), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    STATE(15165), 1,
      sym_attribute,
    STATE(15187), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711891] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3441), 1,
      anon_sym_RBRACK,
    ACTIONS(20621), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(15166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711911] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18451), 1,
      anon_sym_RBRACE,
    ACTIONS(20623), 1,
      anon_sym_SEMI,
    STATE(15167), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711931] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17592), 1,
      anon_sym_SEMI,
    ACTIONS(17594), 1,
      anon_sym_GT,
    STATE(15168), 1,
      sym_attribute,
    STATE(15190), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711951] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18688), 1,
      anon_sym_RBRACE,
    ACTIONS(20625), 1,
      anon_sym_SEMI,
    STATE(15169), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711971] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3443), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20627), 1,
      anon_sym_SEMI,
    STATE(15170), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711991] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19322), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20629), 1,
      anon_sym_SEMI,
    STATE(15171), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712011] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20631), 1,
      anon_sym_EQ,
    STATE(15172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712031] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3481), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20633), 1,
      anon_sym_SEMI,
    STATE(15173), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712051] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20635), 1,
      anon_sym_RPAREN,
    STATE(15174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712071] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20637), 1,
      anon_sym_RPAREN,
    STATE(15175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712091] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18457), 1,
      anon_sym_RBRACE,
    ACTIONS(20639), 1,
      anon_sym_SEMI,
    STATE(15176), 1,
      sym_attribute,
    STATE(15181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712111] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(20641), 1,
      anon_sym_RPAREN,
    STATE(15177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712131] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19766), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20643), 1,
      anon_sym_SEMI,
    STATE(15178), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712151] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(20645), 1,
      sym__identifier,
    STATE(15179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712171] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20647), 1,
      anon_sym_RPAREN,
    STATE(15180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712191] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18463), 1,
      anon_sym_RBRACE,
    ACTIONS(20649), 1,
      anon_sym_SEMI,
    STATE(15181), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712211] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19468), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712231] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19468), 1,
      anon_sym_RBRACK,
    STATE(15183), 1,
      sym_attribute,
    STATE(15221), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712251] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20651), 1,
      anon_sym_RPAREN,
    STATE(15184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712271] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(20653), 1,
      anon_sym_RPAREN,
    STATE(15185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712291] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19789), 1,
      anon_sym_RBRACK,
    STATE(15186), 1,
      sym_attribute,
    STATE(15201), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712311] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19789), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712331] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(20655), 1,
      anon_sym_type,
    STATE(15188), 1,
      sym_attribute,
    STATE(15588), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712351] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3435), 1,
      anon_sym_RBRACK,
    ACTIONS(20657), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(15189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712371] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11777), 1,
      anon_sym_GT,
    ACTIONS(20659), 1,
      anon_sym_SEMI,
    STATE(15190), 1,
      sym_attribute,
    STATE(15752), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712391] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18694), 1,
      anon_sym_RBRACE,
    ACTIONS(20661), 1,
      anon_sym_SEMI,
    STATE(15191), 1,
      sym_attribute,
    STATE(15209), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712411] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20663), 1,
      anon_sym_SEMI,
    ACTIONS(20665), 1,
      anon_sym_RBRACE,
    STATE(15192), 1,
      sym_attribute,
    STATE(15196), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712431] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20667), 1,
      anon_sym_SEMI,
    ACTIONS(20669), 1,
      anon_sym_GT_RBRACE,
    STATE(15193), 1,
      sym_attribute,
    STATE(15202), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712451] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(20671), 1,
      sym__identifier,
    STATE(15194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712471] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3467), 1,
      anon_sym_RBRACK,
    ACTIONS(20673), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(15195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712491] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18491), 1,
      anon_sym_RBRACE,
    ACTIONS(20675), 1,
      anon_sym_SEMI,
    STATE(15196), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712511] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20677), 1,
      anon_sym_RPAREN,
    STATE(15197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712531] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(20679), 1,
      anon_sym_RPAREN,
    STATE(15198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712551] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3469), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20681), 1,
      anon_sym_SEMI,
    STATE(15199), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712571] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20561), 1,
      anon_sym_COMMA,
    ACTIONS(20683), 1,
      anon_sym_RBRACK,
    STATE(15200), 1,
      sym_attribute,
    STATE(15959), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712591] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19819), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712611] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19614), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20685), 1,
      anon_sym_SEMI,
    STATE(15202), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712631] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19819), 1,
      anon_sym_RBRACK,
    STATE(15203), 1,
      sym_attribute,
    STATE(15214), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712651] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20687), 1,
      anon_sym_RPAREN,
    STATE(15204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712671] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20689), 1,
      anon_sym_RPAREN,
    STATE(15205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712691] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18497), 1,
      anon_sym_RBRACE,
    ACTIONS(20691), 1,
      anon_sym_SEMI,
    STATE(15206), 1,
      sym_attribute,
    STATE(15213), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712711] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20693), 1,
      anon_sym_RPAREN,
    STATE(15207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712731] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18573), 1,
      anon_sym_RBRACE,
    ACTIONS(20695), 1,
      anon_sym_SEMI,
    STATE(15208), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712751] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18700), 1,
      anon_sym_RBRACE,
    ACTIONS(20697), 1,
      anon_sym_SEMI,
    STATE(15209), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712771] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(20699), 1,
      sym__identifier,
    STATE(15210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712791] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20701), 1,
      anon_sym_RPAREN,
    STATE(15211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712811] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(20703), 1,
      anon_sym_RBRACK,
    STATE(14695), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712831] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18499), 1,
      anon_sym_RBRACE,
    ACTIONS(20705), 1,
      anon_sym_SEMI,
    STATE(15213), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712851] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19842), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712871] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10089), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    STATE(15215), 1,
      sym_attribute,
    STATE(15361), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712891] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20707), 1,
      anon_sym_SEMI,
    ACTIONS(20709), 1,
      anon_sym_RBRACE,
    STATE(15216), 1,
      sym_attribute,
    STATE(15247), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712911] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19996), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712931] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20711), 1,
      anon_sym_EQ,
    STATE(15218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712951] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20713), 1,
      anon_sym_SEMI,
    ACTIONS(20715), 1,
      anon_sym_GT_RBRACE,
    STATE(15219), 1,
      sym_attribute,
    STATE(15268), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712971] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(20717), 1,
      sym__identifier,
    STATE(15220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712991] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19478), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713011] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17476), 1,
      anon_sym_SEMI,
    ACTIONS(17478), 1,
      anon_sym_GT,
    STATE(15222), 1,
      sym_attribute,
    STATE(15363), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713031] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20719), 1,
      anon_sym_SEMI,
    ACTIONS(20721), 1,
      anon_sym_RBRACE,
    STATE(15223), 1,
      sym_attribute,
    STATE(15237), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713051] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20723), 1,
      anon_sym_SEMI,
    ACTIONS(20725), 1,
      anon_sym_RBRACE,
    STATE(15224), 1,
      sym_attribute,
    STATE(15279), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713071] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(20727), 1,
      anon_sym_RPAREN,
    STATE(15225), 1,
      sym_attribute,
    STATE(18154), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713091] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19394), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713111] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14951), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15227), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713131] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20729), 1,
      anon_sym_SEMI,
    ACTIONS(20731), 1,
      anon_sym_GT_RBRACE,
    STATE(15228), 1,
      sym_attribute,
    STATE(15246), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713151] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20561), 1,
      anon_sym_COMMA,
    ACTIONS(20733), 1,
      anon_sym_RBRACK,
    STATE(14948), 1,
      aux_sym__type_params_repeat1,
    STATE(15229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713171] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20561), 1,
      anon_sym_COMMA,
    ACTIONS(20733), 1,
      anon_sym_RBRACK,
    STATE(15230), 1,
      sym_attribute,
    STATE(15643), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713191] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18612), 1,
      anon_sym_RBRACE,
    ACTIONS(20735), 1,
      anon_sym_SEMI,
    STATE(15231), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713211] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3533), 1,
      anon_sym_RBRACK,
    ACTIONS(20737), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(15232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713231] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20739), 1,
      anon_sym_SEMI,
    ACTIONS(20741), 1,
      anon_sym_RBRACE,
    STATE(15233), 1,
      sym_attribute,
    STATE(15661), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713251] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10165), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    STATE(15234), 1,
      sym_attribute,
    STATE(15251), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713271] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3359), 1,
      anon_sym_RBRACK,
    ACTIONS(20743), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(15235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713291] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17532), 1,
      anon_sym_SEMI,
    ACTIONS(17534), 1,
      anon_sym_GT,
    STATE(15236), 1,
      sym_attribute,
    STATE(15252), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713311] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18743), 1,
      anon_sym_RBRACE,
    ACTIONS(20745), 1,
      anon_sym_SEMI,
    STATE(15237), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713331] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9858), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    STATE(15238), 1,
      sym_attribute,
    STATE(15292), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713351] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11937), 1,
      anon_sym_LPAREN,
    STATE(9686), 1,
      sym_module_parameter,
    STATE(14770), 1,
      aux_sym_module_binding_repeat1,
    STATE(15239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713371] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(6), 1,
      sym_attribute_id,
    STATE(15240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [713389] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3539), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20749), 1,
      anon_sym_SEMI,
    STATE(15241), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713409] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(7), 1,
      sym_attribute_id,
    STATE(15242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [713427] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17536), 1,
      anon_sym_SEMI,
    ACTIONS(17538), 1,
      anon_sym_GT,
    STATE(15243), 1,
      sym_attribute,
    STATE(15295), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713447] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20751), 1,
      aux_sym_quoted_extension_token1,
    STATE(15244), 1,
      sym_attribute,
    STATE(20023), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713467] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20561), 1,
      anon_sym_COMMA,
    ACTIONS(20753), 1,
      anon_sym_RBRACK,
    STATE(15245), 1,
      sym_attribute,
    STATE(15260), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713487] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20107), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20755), 1,
      anon_sym_SEMI,
    STATE(15246), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713507] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18407), 1,
      anon_sym_RBRACE,
    ACTIONS(20757), 1,
      anon_sym_SEMI,
    STATE(15247), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713527] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20759), 1,
      anon_sym_RPAREN,
    STATE(15248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713547] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(20761), 1,
      anon_sym_RPAREN,
    STATE(15249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713567] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20127), 1,
      anon_sym_RBRACK,
    STATE(15250), 1,
      sym_attribute,
    STATE(15265), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713587] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20127), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713607] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11789), 1,
      anon_sym_GT,
    ACTIONS(20763), 1,
      anon_sym_SEMI,
    STATE(15252), 1,
      sym_attribute,
    STATE(15752), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713627] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18751), 1,
      anon_sym_RBRACE,
    ACTIONS(20765), 1,
      anon_sym_SEMI,
    STATE(15253), 1,
      sym_attribute,
    STATE(15270), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713647] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3375), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20767), 1,
      anon_sym_SEMI,
    STATE(15254), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713667] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(20769), 1,
      anon_sym_RPAREN,
    STATE(15255), 1,
      sym_attribute,
    STATE(20167), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713687] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3437), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20771), 1,
      anon_sym_SEMI,
    STATE(15256), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713707] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19402), 1,
      sym__identifier,
    ACTIONS(19406), 1,
      anon_sym_mutable,
    STATE(15257), 1,
      sym_attribute,
    STATE(15827), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713727] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20773), 1,
      anon_sym_EQ,
    STATE(15258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713747] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(20775), 1,
      anon_sym_type,
    STATE(15135), 1,
      sym_module_path,
    STATE(15259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713767] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20561), 1,
      anon_sym_COMMA,
    ACTIONS(20777), 1,
      anon_sym_RBRACK,
    STATE(14948), 1,
      aux_sym__type_params_repeat1,
    STATE(15260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713787] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20561), 1,
      anon_sym_COMMA,
    ACTIONS(20777), 1,
      anon_sym_RBRACK,
    STATE(15261), 1,
      sym_attribute,
    STATE(15274), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713807] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(20779), 1,
      sym__identifier,
    STATE(15262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713827] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20781), 1,
      anon_sym_RPAREN,
    STATE(15263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713847] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(20783), 1,
      anon_sym_RPAREN,
    STATE(15264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713867] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20157), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713887] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20157), 1,
      anon_sym_RBRACK,
    STATE(15266), 1,
      sym_attribute,
    STATE(15272), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713907] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(20785), 1,
      anon_sym_RPAREN,
    STATE(15267), 1,
      sym_attribute,
    STATE(20104), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713927] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19666), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20787), 1,
      anon_sym_SEMI,
    STATE(15268), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713947] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20789), 1,
      anon_sym_RPAREN,
    STATE(15269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713967] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18761), 1,
      anon_sym_RBRACE,
    ACTIONS(20791), 1,
      anon_sym_SEMI,
    STATE(15270), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713987] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20793), 1,
      anon_sym_EQ,
    STATE(15271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714007] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20177), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714027] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13417), 1,
      sym__type_equation,
    STATE(15273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20795), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [714045] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20561), 1,
      anon_sym_COMMA,
    ACTIONS(20797), 1,
      anon_sym_RBRACK,
    STATE(14948), 1,
      aux_sym__type_params_repeat1,
    STATE(15274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714065] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(20799), 1,
      anon_sym_RPAREN,
    STATE(15275), 1,
      sym_attribute,
    STATE(17714), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714085] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20801), 1,
      anon_sym_EQ,
    STATE(15276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714105] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18419), 1,
      anon_sym_RBRACK,
    ACTIONS(20803), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15277), 2,
      sym_attribute,
      aux_sym_list_pattern_repeat1,
  [714123] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8596), 1,
      anon_sym_RBRACK,
    ACTIONS(20806), 1,
      anon_sym_SEMI,
    STATE(15277), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714143] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17855), 1,
      anon_sym_RBRACE,
    ACTIONS(20808), 1,
      anon_sym_SEMI,
    STATE(15279), 1,
      sym_attribute,
    STATE(15371), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714163] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(20810), 1,
      anon_sym_RPAREN,
    STATE(14695), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714183] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8606), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20812), 1,
      anon_sym_SEMI,
    STATE(15281), 1,
      sym_attribute,
    STATE(15287), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714203] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14507), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15282), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714223] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13418), 1,
      sym__type_equation,
    STATE(15283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20795), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [714241] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20814), 1,
      anon_sym_RPAREN,
    STATE(15284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714261] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11460), 1,
      anon_sym_STAR,
    ACTIONS(13273), 1,
      anon_sym_DASH_GT,
    STATE(15285), 1,
      sym_attribute,
    STATE(15432), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714281] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(20816), 1,
      anon_sym_RBRACK,
    STATE(14695), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714301] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18419), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20818), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15287), 2,
      sym_attribute,
      aux_sym_list_pattern_repeat1,
  [714319] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(20821), 1,
      anon_sym_RPAREN,
    STATE(15288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714339] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18505), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20823), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15289), 2,
      sym_attribute,
      aux_sym_list_binding_pattern_repeat1,
  [714357] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20826), 1,
      anon_sym_EQ,
    STATE(15290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714377] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20111), 1,
      anon_sym_RBRACK,
    STATE(15291), 1,
      sym_attribute,
    STATE(15316), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714397] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20111), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714417] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14453), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15293), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714437] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19632), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20828), 1,
      anon_sym_SEMI,
    STATE(15294), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714457] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11679), 1,
      anon_sym_GT,
    ACTIONS(20830), 1,
      anon_sym_SEMI,
    STATE(15295), 1,
      sym_attribute,
    STATE(15752), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714477] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20832), 1,
      anon_sym_EQ,
    STATE(15296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714497] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14795), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15297), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714517] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18441), 1,
      anon_sym_RBRACE,
    ACTIONS(20834), 1,
      anon_sym_SEMI,
    STATE(15298), 1,
      sym_attribute,
    STATE(15326), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714537] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11535), 1,
      anon_sym_GT,
    ACTIONS(20836), 1,
      anon_sym_SEMI,
    STATE(15299), 1,
      sym_attribute,
    STATE(15752), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714557] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15098), 1,
      anon_sym_in,
    ACTIONS(20512), 1,
      anon_sym_and,
    STATE(15140), 1,
      aux_sym_module_definition_repeat1,
    STATE(15300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714577] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20838), 1,
      anon_sym_RPAREN,
    STATE(15301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714597] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(20840), 1,
      anon_sym_RPAREN,
    STATE(15302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714617] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20842), 1,
      anon_sym_SEMI,
    ACTIONS(20844), 1,
      anon_sym_RBRACE,
    STATE(15303), 1,
      sym_attribute,
    STATE(15311), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714637] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(20846), 1,
      sym__identifier,
    STATE(15304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714657] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20848), 1,
      anon_sym_SEMI,
    ACTIONS(20850), 1,
      anon_sym_GT_RBRACE,
    STATE(15305), 1,
      sym_attribute,
    STATE(15318), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714677] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(20852), 1,
      anon_sym_RPAREN,
    STATE(15306), 1,
      sym_attribute,
    STATE(17841), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714697] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3733), 1,
      anon_sym_RBRACK,
    ACTIONS(20854), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(15307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714717] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11937), 1,
      anon_sym_LPAREN,
    STATE(9686), 1,
      sym_module_parameter,
    STATE(14536), 1,
      aux_sym_module_binding_repeat1,
    STATE(15308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714737] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10199), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    STATE(15309), 1,
      sym_attribute,
    STATE(15324), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714757] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17630), 1,
      anon_sym_SEMI,
    ACTIONS(17632), 1,
      anon_sym_GT,
    STATE(15310), 1,
      sym_attribute,
    STATE(15327), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714777] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18333), 1,
      anon_sym_RBRACE,
    ACTIONS(20856), 1,
      anon_sym_SEMI,
    STATE(15311), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714797] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20858), 1,
      anon_sym_RPAREN,
    STATE(15312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714817] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3735), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20860), 1,
      anon_sym_SEMI,
    STATE(15313), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714837] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(20862), 1,
      anon_sym_RPAREN,
    STATE(15314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714857] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20230), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714877] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19428), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714897] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19428), 1,
      anon_sym_RBRACK,
    STATE(15317), 1,
      sym_attribute,
    STATE(15338), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714917] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20043), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20864), 1,
      anon_sym_SEMI,
    STATE(15318), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714937] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20389), 1,
      anon_sym_COLON2,
    ACTIONS(20866), 1,
      anon_sym_RPAREN,
    STATE(15319), 1,
      sym_attribute,
    STATE(18436), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714957] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20868), 1,
      anon_sym_RPAREN,
    STATE(15320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714977] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20230), 1,
      anon_sym_RBRACK,
    STATE(15321), 1,
      sym_attribute,
    STATE(15406), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714997] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(20870), 1,
      anon_sym_RPAREN,
    STATE(15322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715017] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19562), 1,
      anon_sym_RBRACK,
    STATE(15323), 1,
      sym_attribute,
    STATE(15333), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715037] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19562), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715057] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20872), 1,
      anon_sym_RPAREN,
    STATE(15325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715077] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18469), 1,
      anon_sym_RBRACE,
    ACTIONS(20874), 1,
      anon_sym_SEMI,
    STATE(15326), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715097] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11376), 1,
      anon_sym_GT,
    ACTIONS(20876), 1,
      anon_sym_SEMI,
    STATE(15327), 1,
      sym_attribute,
    STATE(15752), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715117] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18455), 1,
      anon_sym_RBRACE,
    ACTIONS(20878), 1,
      anon_sym_SEMI,
    STATE(15328), 1,
      sym_attribute,
    STATE(15337), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715137] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(20880), 1,
      anon_sym_RPAREN,
    STATE(15329), 1,
      sym_attribute,
    STATE(18459), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715157] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(20882), 1,
      sym__identifier,
    STATE(15330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715177] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20884), 1,
      anon_sym_RPAREN,
    STATE(15331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715197] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(20886), 1,
      anon_sym_RPAREN,
    STATE(15332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715217] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19718), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715237] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19718), 1,
      anon_sym_RBRACK,
    STATE(15334), 1,
      sym_attribute,
    STATE(15339), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715257] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20888), 1,
      anon_sym_RPAREN,
    STATE(15335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715277] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13793), 1,
      anon_sym_and,
    STATE(15336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13791), 2,
      anon_sym_in,
      sym_let_and_operator,
  [715295] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18719), 1,
      anon_sym_RBRACE,
    ACTIONS(20890), 1,
      anon_sym_SEMI,
    STATE(15337), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715315] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19456), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715335] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20014), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715355] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8616), 1,
      anon_sym_RBRACK,
    ACTIONS(20892), 1,
      anon_sym_SEMI,
    STATE(15277), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715375] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18091), 1,
      anon_sym_RBRACE,
    ACTIONS(20894), 1,
      anon_sym_SEMI,
    STATE(15341), 1,
      sym_attribute,
    STATE(15371), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715395] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(20896), 1,
      anon_sym_RPAREN,
    STATE(14695), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715415] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20898), 1,
      anon_sym_SEMI,
    ACTIONS(20900), 1,
      anon_sym_RBRACE,
    STATE(15343), 1,
      sym_attribute,
    STATE(15901), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715435] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8610), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20902), 1,
      anon_sym_SEMI,
    STATE(15287), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715455] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19452), 1,
      anon_sym_RBRACK,
    STATE(15345), 1,
      sym_attribute,
    STATE(15571), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715475] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20904), 1,
      anon_sym_RPAREN,
    STATE(15346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715495] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18807), 1,
      anon_sym_RBRACE,
    ACTIONS(20906), 1,
      anon_sym_SEMI,
    STATE(15347), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715515] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8736), 1,
      anon_sym_RBRACK,
    ACTIONS(20908), 1,
      anon_sym_SEMI,
    STATE(15348), 1,
      sym_attribute,
    STATE(15414), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715535] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18269), 1,
      anon_sym_RBRACE,
    ACTIONS(20910), 1,
      anon_sym_SEMI,
    STATE(15349), 1,
      sym_attribute,
    STATE(15475), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715555] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8510), 1,
      anon_sym_RBRACK,
    ACTIONS(20912), 1,
      anon_sym_SEMI,
    STATE(15277), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715575] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20561), 1,
      anon_sym_COMMA,
    ACTIONS(20914), 1,
      anon_sym_RPAREN,
    STATE(15351), 1,
      sym_attribute,
    STATE(15873), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715595] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8742), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20916), 1,
      anon_sym_SEMI,
    STATE(15289), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(15352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715615] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20918), 1,
      aux_sym_quoted_extension_token1,
    STATE(15353), 1,
      sym_attribute,
    STATE(20420), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715635] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(20920), 1,
      anon_sym_RBRACK,
    STATE(14695), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715655] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20922), 1,
      anon_sym_SEMI,
    ACTIONS(20924), 1,
      anon_sym_RBRACE,
    STATE(15355), 1,
      sym_attribute,
    STATE(15367), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715675] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20926), 1,
      anon_sym_RPAREN,
    STATE(15356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715695] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20928), 1,
      anon_sym_RPAREN,
    STATE(15357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715715] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(20930), 1,
      anon_sym_RPAREN,
    STATE(15358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715735] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20932), 1,
      anon_sym_SEMI,
    ACTIONS(20934), 1,
      anon_sym_GT_RBRACE,
    STATE(15359), 1,
      sym_attribute,
    STATE(15370), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715755] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19809), 1,
      anon_sym_RBRACK,
    STATE(15360), 1,
      sym_attribute,
    STATE(15470), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715775] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19809), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715795] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3801), 1,
      anon_sym_RBRACK,
    ACTIONS(20936), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(15362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715815] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11523), 1,
      anon_sym_GT,
    ACTIONS(20938), 1,
      anon_sym_SEMI,
    STATE(15363), 1,
      sym_attribute,
    STATE(15752), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715835] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10211), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    STATE(15364), 1,
      sym_attribute,
    STATE(15377), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715855] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17683), 1,
      anon_sym_SEMI,
    ACTIONS(17685), 1,
      anon_sym_GT,
    STATE(15365), 1,
      sym_attribute,
    STATE(15380), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715875] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18713), 1,
      anon_sym_RBRACE,
    ACTIONS(20940), 1,
      anon_sym_SEMI,
    STATE(15366), 1,
      sym_attribute,
    STATE(15497), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715895] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18391), 1,
      anon_sym_RBRACE,
    ACTIONS(20942), 1,
      anon_sym_SEMI,
    STATE(15367), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715915] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3813), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20944), 1,
      anon_sym_SEMI,
    STATE(15368), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715935] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(27), 1,
      sym_attribute_id,
    STATE(15369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [715953] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20250), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20946), 1,
      anon_sym_SEMI,
    STATE(15370), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715973] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20948), 1,
      anon_sym_SEMI,
    ACTIONS(20951), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15371), 2,
      sym_attribute,
      aux_sym_record_pattern_repeat1,
  [715991] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8), 1,
      sym_attribute_id,
    STATE(15372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [716009] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20953), 1,
      anon_sym_RPAREN,
    STATE(15373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716029] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(20955), 1,
      anon_sym_RPAREN,
    STATE(15374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716049] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(9), 1,
      sym_attribute_id,
    STATE(15375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [716067] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20143), 1,
      anon_sym_RBRACK,
    STATE(15376), 1,
      sym_attribute,
    STATE(15390), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716087] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20143), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716107] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20957), 1,
      aux_sym_quoted_extension_token1,
    STATE(15378), 1,
      sym_attribute,
    STATE(18081), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716127] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20561), 1,
      anon_sym_COMMA,
    ACTIONS(20959), 1,
      anon_sym_RBRACK,
    STATE(15379), 1,
      sym_attribute,
    STATE(15387), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716147] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11392), 1,
      anon_sym_GT,
    ACTIONS(20961), 1,
      anon_sym_SEMI,
    STATE(15380), 1,
      sym_attribute,
    STATE(15752), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716167] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18561), 1,
      anon_sym_RBRACE,
    ACTIONS(20963), 1,
      anon_sym_SEMI,
    STATE(15381), 1,
      sym_attribute,
    STATE(15394), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716187] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(5), 1,
      sym_attribute_id,
    STATE(15382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [716205] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20965), 1,
      anon_sym__,
    STATE(14283), 1,
      sym_type_variable,
    STATE(15383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716225] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(20967), 1,
      sym__identifier,
    STATE(15384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716245] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20969), 1,
      anon_sym_EQ,
    STATE(15385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716265] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20971), 1,
      anon_sym_RPAREN,
    STATE(15386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716285] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20561), 1,
      anon_sym_COMMA,
    ACTIONS(20973), 1,
      anon_sym_RBRACK,
    STATE(14948), 1,
      aux_sym__type_params_repeat1,
    STATE(15387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716305] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20561), 1,
      anon_sym_COMMA,
    ACTIONS(20973), 1,
      anon_sym_RBRACK,
    STATE(15388), 1,
      sym_attribute,
    STATE(15396), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716325] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(20975), 1,
      anon_sym_RPAREN,
    STATE(15389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716345] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19372), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716365] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19372), 1,
      anon_sym_RBRACK,
    STATE(15391), 1,
      sym_attribute,
    STATE(15397), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716385] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(20977), 1,
      sym__identifier,
    STATE(15392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716405] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20979), 1,
      anon_sym_RPAREN,
    STATE(15393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716425] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18636), 1,
      anon_sym_RBRACE,
    ACTIONS(20981), 1,
      anon_sym_SEMI,
    STATE(15394), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716445] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10652), 1,
      sym__type_equation,
    STATE(15395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20983), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [716463] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20561), 1,
      anon_sym_COMMA,
    ACTIONS(20985), 1,
      anon_sym_RBRACK,
    STATE(14948), 1,
      aux_sym__type_params_repeat1,
    STATE(15396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716483] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19628), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716503] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20987), 1,
      anon_sym_EQ,
    STATE(15398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716523] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(20989), 1,
      anon_sym_RPAREN,
    STATE(14695), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716543] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14965), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15400), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716563] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10653), 1,
      sym__type_equation,
    STATE(15401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20983), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [716581] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(20991), 1,
      anon_sym_RBRACK,
    STATE(14695), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716601] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20993), 1,
      anon_sym_EQ,
    STATE(15403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716621] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14465), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15404), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716641] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18535), 1,
      anon_sym_RBRACE,
    ACTIONS(20995), 1,
      anon_sym_SEMI,
    STATE(15405), 1,
      sym_attribute,
    STATE(16103), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716661] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19416), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716681] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(20997), 1,
      anon_sym_EQ,
    STATE(15407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716701] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14540), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15408), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716721] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19402), 1,
      sym__identifier,
    ACTIONS(19406), 1,
      anon_sym_mutable,
    STATE(15409), 1,
      sym_attribute,
    STATE(17089), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716741] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15353), 1,
      sym_attribute_id,
    STATE(15410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [716759] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21001), 1,
      anon_sym_SEMI,
    ACTIONS(21004), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15411), 2,
      sym_attribute,
      aux_sym_object_copy_expression_repeat1,
  [716777] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21006), 1,
      anon_sym_SEMI,
    ACTIONS(21008), 1,
      anon_sym_RBRACE,
    STATE(15412), 1,
      sym_attribute,
    STATE(15456), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716797] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(21010), 1,
      anon_sym_RPAREN,
    STATE(15413), 1,
      sym_attribute,
    STATE(19270), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716817] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18505), 1,
      anon_sym_RBRACK,
    ACTIONS(21012), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15414), 2,
      sym_attribute,
      aux_sym_list_binding_pattern_repeat1,
  [716835] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21015), 1,
      sym__identifier,
    ACTIONS(21017), 1,
      anon_sym_LPAREN,
    STATE(7522), 1,
      sym__simple_value_pattern,
    STATE(15415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716855] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21019), 1,
      anon_sym_SEMI,
    ACTIONS(21021), 1,
      anon_sym_RBRACE,
    STATE(15416), 1,
      sym_attribute,
    STATE(15426), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716875] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21023), 1,
      anon_sym_SEMI,
    ACTIONS(21025), 1,
      anon_sym_RBRACE,
    STATE(15417), 1,
      sym_attribute,
    STATE(15972), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716895] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21027), 1,
      anon_sym_SEMI,
    ACTIONS(21029), 1,
      anon_sym_GT_RBRACE,
    STATE(15418), 1,
      sym_attribute,
    STATE(15469), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716915] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21031), 1,
      anon_sym_SEMI,
    ACTIONS(21033), 1,
      anon_sym_GT_RBRACE,
    STATE(15419), 1,
      sym_attribute,
    STATE(15431), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716935] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20389), 1,
      anon_sym_COLON2,
    ACTIONS(21035), 1,
      anon_sym_RPAREN,
    STATE(15420), 1,
      sym_attribute,
    STATE(18322), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716955] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3881), 1,
      anon_sym_RBRACK,
    ACTIONS(21037), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(15421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716975] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11020), 1,
      sym_attribute_id,
    STATE(15422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21039), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [716993] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10067), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    STATE(15423), 1,
      sym_attribute,
    STATE(15437), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717013] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10), 1,
      sym_attribute_id,
    STATE(15424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [717031] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17504), 1,
      anon_sym_SEMI,
    ACTIONS(17506), 1,
      anon_sym_GT,
    STATE(15425), 1,
      sym_attribute,
    STATE(15442), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717051] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18385), 1,
      anon_sym_RBRACE,
    ACTIONS(21041), 1,
      anon_sym_SEMI,
    STATE(15426), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717071] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11), 1,
      sym_attribute_id,
    STATE(15427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [717089] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3889), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21043), 1,
      anon_sym_SEMI,
    STATE(15428), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717109] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21045), 1,
      aux_sym_quoted_extension_token1,
    STATE(15429), 1,
      sym_attribute,
    STATE(19078), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717129] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20561), 1,
      anon_sym_COMMA,
    ACTIONS(21047), 1,
      anon_sym_RBRACK,
    STATE(15430), 1,
      sym_attribute,
    STATE(15439), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717149] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19664), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21049), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717169] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12051), 1,
      anon_sym_DASH_GT,
    ACTIONS(21051), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15432), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
  [717187] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21054), 1,
      anon_sym_RPAREN,
    STATE(15433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717207] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(21056), 1,
      anon_sym_RPAREN,
    STATE(15434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717227] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20173), 1,
      anon_sym_RBRACK,
    STATE(15435), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717247] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21058), 1,
      anon_sym_EQ,
    STATE(15436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717267] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20173), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717287] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10092), 1,
      sym__type_equation,
    STATE(15438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21060), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [717305] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20561), 1,
      anon_sym_COMMA,
    ACTIONS(21062), 1,
      anon_sym_RBRACK,
    STATE(14948), 1,
      aux_sym__type_params_repeat1,
    STATE(15439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717325] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20561), 1,
      anon_sym_COMMA,
    ACTIONS(21062), 1,
      anon_sym_RBRACK,
    STATE(15440), 1,
      sym_attribute,
    STATE(15447), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717345] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3825), 1,
      anon_sym_RBRACK,
    ACTIONS(21064), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(15441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717365] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11408), 1,
      anon_sym_GT,
    ACTIONS(21066), 1,
      anon_sym_SEMI,
    STATE(15442), 1,
      sym_attribute,
    STATE(15752), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717385] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18445), 1,
      anon_sym_RBRACE,
    ACTIONS(21068), 1,
      anon_sym_SEMI,
    STATE(15443), 1,
      sym_attribute,
    STATE(15460), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717405] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10191), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    STATE(15444), 1,
      sym_attribute,
    STATE(15478), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717425] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(21070), 1,
      sym__identifier,
    STATE(15445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717445] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10075), 1,
      sym__type_equation,
    STATE(15446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21072), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [717463] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20561), 1,
      anon_sym_COMMA,
    ACTIONS(21074), 1,
      anon_sym_RBRACK,
    STATE(14948), 1,
      aux_sym__type_params_repeat1,
    STATE(15447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717483] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21076), 1,
      anon_sym_RPAREN,
    STATE(15448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717503] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(21078), 1,
      anon_sym_RPAREN,
    STATE(15449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717523] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17540), 1,
      anon_sym_SEMI,
    ACTIONS(17542), 1,
      anon_sym_GT,
    STATE(15450), 1,
      sym_attribute,
    STATE(15479), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717543] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21080), 1,
      anon_sym_EQ,
    STATE(15451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717563] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19736), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717583] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19736), 1,
      anon_sym_RBRACK,
    STATE(15453), 1,
      sym_attribute,
    STATE(15465), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717603] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(21082), 1,
      anon_sym_RPAREN,
    STATE(14695), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717623] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15455), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717643] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18606), 1,
      anon_sym_RBRACE,
    ACTIONS(21084), 1,
      anon_sym_SEMI,
    STATE(15456), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717663] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21086), 1,
      anon_sym_RPAREN,
    STATE(15457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717683] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10076), 1,
      sym__type_equation,
    STATE(15458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21072), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [717701] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(21088), 1,
      anon_sym_RBRACK,
    STATE(14695), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717721] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18521), 1,
      anon_sym_RBRACE,
    ACTIONS(21090), 1,
      anon_sym_SEMI,
    STATE(15460), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717741] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21092), 1,
      anon_sym_EQ,
    STATE(15461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717761] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14396), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15462), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717781] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21094), 1,
      anon_sym_EQ,
    STATE(15463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717801] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14705), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15464), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717821] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19956), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717841] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3831), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21096), 1,
      anon_sym_SEMI,
    STATE(15466), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717861] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21098), 1,
      anon_sym_RPAREN,
    STATE(15467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717881] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(21100), 1,
      anon_sym_RPAREN,
    STATE(15468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717901] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19436), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21102), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717921] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19438), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717941] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21104), 1,
      sym__identifier,
    ACTIONS(21106), 1,
      anon_sym_LPAREN,
    STATE(8598), 1,
      sym__simple_value_pattern,
    STATE(15471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717961] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19438), 1,
      anon_sym_RBRACK,
    STATE(15472), 1,
      sym_attribute,
    STATE(15539), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717981] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(21108), 1,
      anon_sym_RPAREN,
    STATE(15473), 1,
      sym_attribute,
    STATE(19040), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718001] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21110), 1,
      anon_sym_RPAREN,
    STATE(15474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718021] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21112), 1,
      anon_sym_SEMI,
    ACTIONS(21115), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15475), 2,
      sym_attribute,
      aux_sym_record_binding_pattern_repeat1,
  [718039] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(21117), 1,
      anon_sym_RPAREN,
    STATE(15476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718059] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19480), 1,
      anon_sym_RBRACK,
    STATE(15477), 1,
      sym_attribute,
    STATE(15499), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718079] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19480), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718099] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11388), 1,
      anon_sym_GT,
    ACTIONS(21119), 1,
      anon_sym_SEMI,
    STATE(15479), 1,
      sym_attribute,
    STATE(15752), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718119] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18630), 1,
      anon_sym_RBRACE,
    ACTIONS(21121), 1,
      anon_sym_SEMI,
    STATE(15480), 1,
      sym_attribute,
    STATE(15516), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718139] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21123), 1,
      anon_sym_SEMI,
    ACTIONS(21125), 1,
      anon_sym_RBRACE,
    STATE(15481), 1,
      sym_attribute,
    STATE(15492), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718159] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21127), 1,
      anon_sym_RPAREN,
    STATE(15482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718179] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21129), 1,
      anon_sym_SEMI,
    ACTIONS(21131), 1,
      anon_sym_GT_RBRACE,
    STATE(15483), 1,
      sym_attribute,
    STATE(15500), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718199] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12), 1,
      sym_attribute_id,
    STATE(15484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [718217] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21133), 1,
      aux_sym_quoted_extension_token1,
    STATE(15485), 1,
      sym_attribute,
    STATE(19617), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718237] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(21135), 1,
      sym__identifier,
    STATE(15486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718257] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(4), 1,
      sym_attribute_id,
    STATE(15487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [718275] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3949), 1,
      anon_sym_RBRACK,
    ACTIONS(21137), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(15488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718295] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10111), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    STATE(15489), 1,
      sym_attribute,
    STATE(15509), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718315] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21139), 1,
      anon_sym_EQ,
    STATE(15490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718335] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17622), 1,
      anon_sym_SEMI,
    ACTIONS(17624), 1,
      anon_sym_GT,
    STATE(15491), 1,
      sym_attribute,
    STATE(15513), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718355] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18707), 1,
      anon_sym_RBRACE,
    ACTIONS(21141), 1,
      anon_sym_SEMI,
    STATE(15492), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718375] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(21143), 1,
      anon_sym_RPAREN,
    STATE(15493), 1,
      sym_attribute,
    STATE(19131), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718395] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3293), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21145), 1,
      anon_sym_SEMI,
    STATE(15494), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718415] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21147), 1,
      anon_sym_RPAREN,
    STATE(15495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718435] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(21149), 1,
      anon_sym_RPAREN,
    STATE(15496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718455] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18335), 1,
      anon_sym_RBRACE,
    ACTIONS(21151), 1,
      anon_sym_SEMI,
    STATE(15497), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718475] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10079), 1,
      sym__type_equation,
    STATE(15498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21153), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [718493] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19520), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718513] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19936), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21155), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718533] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19520), 1,
      anon_sym_RBRACK,
    STATE(15501), 1,
      sym_attribute,
    STATE(15523), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718553] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(21157), 1,
      anon_sym_RPAREN,
    STATE(14695), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718573] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14726), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15503), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718593] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(21159), 1,
      sym__identifier,
    STATE(15504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718613] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21161), 1,
      anon_sym_RPAREN,
    STATE(15505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718633] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(21163), 1,
      anon_sym_RPAREN,
    STATE(15506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718653] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19964), 1,
      anon_sym_RBRACK,
    STATE(15507), 1,
      sym_attribute,
    STATE(15520), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718673] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10080), 1,
      sym__type_equation,
    STATE(15508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21153), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [718691] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19964), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718711] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(21165), 1,
      anon_sym_RBRACK,
    STATE(14695), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718731] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21167), 1,
      anon_sym_RPAREN,
    STATE(15511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718751] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14506), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15512), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718771] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11420), 1,
      anon_sym_GT,
    ACTIONS(21169), 1,
      anon_sym_SEMI,
    STATE(15513), 1,
      sym_attribute,
    STATE(15752), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718791] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14666), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15514), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718811] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18737), 1,
      anon_sym_RBRACE,
    ACTIONS(21171), 1,
      anon_sym_SEMI,
    STATE(15515), 1,
      sym_attribute,
    STATE(15524), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718831] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18638), 1,
      anon_sym_RBRACE,
    ACTIONS(21173), 1,
      anon_sym_SEMI,
    STATE(15516), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718851] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(21175), 1,
      sym__identifier,
    STATE(15517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718871] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21177), 1,
      anon_sym_RPAREN,
    STATE(15518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718891] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(21179), 1,
      anon_sym_RPAREN,
    STATE(15519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718911] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20218), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718931] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20218), 1,
      anon_sym_RBRACK,
    STATE(15521), 1,
      sym_attribute,
    STATE(15525), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718951] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21181), 1,
      anon_sym_RPAREN,
    STATE(15522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718971] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19552), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718991] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18783), 1,
      anon_sym_RBRACE,
    ACTIONS(21183), 1,
      anon_sym_SEMI,
    STATE(15524), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719011] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20285), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719031] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21185), 1,
      anon_sym_SEMI,
    ACTIONS(21187), 1,
      anon_sym_RBRACE,
    STATE(15526), 1,
      sym_attribute,
    STATE(15585), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719051] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13), 1,
      sym_attribute_id,
    STATE(15527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [719069] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21189), 1,
      aux_sym_quoted_extension_token1,
    STATE(15528), 1,
      sym_attribute,
    STATE(19373), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719089] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21191), 1,
      anon_sym_EQ,
    STATE(15529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719109] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21193), 1,
      anon_sym_SEMI,
    ACTIONS(21195), 1,
      anon_sym_GT_RBRACE,
    STATE(15530), 1,
      sym_attribute,
    STATE(15617), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719129] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(21197), 1,
      anon_sym_RPAREN,
    STATE(14695), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719149] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21199), 1,
      anon_sym_SEMI,
    ACTIONS(21201), 1,
      anon_sym_RBRACE,
    STATE(15532), 1,
      sym_attribute,
    STATE(15543), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719169] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14518), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15533), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719189] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(21203), 1,
      anon_sym_RBRACK,
    STATE(14695), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719209] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14568), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15535), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719229] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14623), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15536), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719249] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21205), 1,
      anon_sym_SEMI,
    ACTIONS(21207), 1,
      anon_sym_GT_RBRACE,
    STATE(15537), 1,
      sym_attribute,
    STATE(15549), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719269] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21209), 1,
      anon_sym_EQ,
    STATE(15538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719289] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19294), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719309] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3351), 1,
      anon_sym_RBRACK,
    ACTIONS(21211), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(15540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719329] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10018), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    STATE(15541), 1,
      sym_attribute,
    STATE(15555), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719349] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17556), 1,
      anon_sym_SEMI,
    ACTIONS(17558), 1,
      anon_sym_GT,
    STATE(15542), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719369] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18437), 1,
      anon_sym_RBRACE,
    ACTIONS(21213), 1,
      anon_sym_SEMI,
    STATE(15543), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719389] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(14), 1,
      sym_attribute_id,
    STATE(15544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [719407] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(21215), 1,
      anon_sym_RPAREN,
    STATE(15545), 1,
      sym_attribute,
    STATE(18375), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719427] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21217), 1,
      aux_sym_quoted_extension_token1,
    STATE(15546), 1,
      sym_attribute,
    STATE(19635), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719447] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3353), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21219), 1,
      anon_sym_SEMI,
    STATE(15547), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719467] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21221), 1,
      anon_sym_SEMI,
    ACTIONS(21223), 1,
      anon_sym_RBRACE,
    STATE(15548), 1,
      sym_attribute,
    STATE(15655), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719487] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19298), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21225), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719507] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21227), 1,
      anon_sym_RPAREN,
    STATE(15550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719527] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21229), 1,
      anon_sym_EQ,
    STATE(15551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719547] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21231), 1,
      anon_sym_RPAREN,
    STATE(15552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719567] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(21233), 1,
      anon_sym_RPAREN,
    STATE(15553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719587] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19442), 1,
      anon_sym_RBRACK,
    STATE(15554), 1,
      sym_attribute,
    STATE(15567), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719607] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19442), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719627] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(21235), 1,
      anon_sym_RPAREN,
    STATE(15556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719647] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11432), 1,
      anon_sym_GT,
    ACTIONS(21237), 1,
      anon_sym_SEMI,
    STATE(15557), 1,
      sym_attribute,
    STATE(15752), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719667] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18481), 1,
      anon_sym_RBRACE,
    ACTIONS(21239), 1,
      anon_sym_SEMI,
    STATE(15558), 1,
      sym_attribute,
    STATE(15573), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719687] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(21241), 1,
      anon_sym_RPAREN,
    STATE(14695), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719707] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21243), 1,
      anon_sym_SEMI,
    ACTIONS(21245), 1,
      anon_sym_RBRACE,
    STATE(15560), 1,
      sym_attribute,
    STATE(15680), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719727] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14433), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15561), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719747] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14444), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15562), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719767] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14461), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15563), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719787] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(21247), 1,
      sym__identifier,
    STATE(15564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719807] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21249), 1,
      anon_sym_RPAREN,
    STATE(15565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719827] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(21251), 1,
      anon_sym_RPAREN,
    STATE(15566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719847] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19686), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719867] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19686), 1,
      anon_sym_RBRACK,
    STATE(15568), 1,
      sym_attribute,
    STATE(15574), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719887] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15), 1,
      sym_attribute_id,
    STATE(15569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [719905] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21253), 1,
      anon_sym_RPAREN,
    STATE(15570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719925] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20035), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719945] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21255), 1,
      aux_sym_quoted_extension_token1,
    STATE(15572), 1,
      sym_attribute,
    STATE(19037), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719965] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18509), 1,
      anon_sym_RBRACE,
    ACTIONS(21257), 1,
      anon_sym_SEMI,
    STATE(15573), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719985] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19834), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720005] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20035), 1,
      anon_sym_RBRACK,
    STATE(15217), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720025] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21259), 1,
      anon_sym_EQ,
    STATE(15576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720045] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3915), 1,
      anon_sym_RBRACK,
    ACTIONS(21261), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(15577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720065] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(21263), 1,
      anon_sym_RPAREN,
    STATE(14695), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720085] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14479), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15579), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720105] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10121), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    STATE(15580), 1,
      sym_attribute,
    STATE(15724), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720125] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14494), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15581), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720145] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14505), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15582), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720165] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16), 1,
      sym_attribute_id,
    STATE(15583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [720183] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17677), 1,
      anon_sym_SEMI,
    ACTIONS(17679), 1,
      anon_sym_GT,
    STATE(15584), 1,
      sym_attribute,
    STATE(15729), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720203] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18739), 1,
      anon_sym_RBRACE,
    ACTIONS(21265), 1,
      anon_sym_SEMI,
    STATE(15585), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720223] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21267), 1,
      aux_sym_quoted_extension_token1,
    STATE(15586), 1,
      sym_attribute,
    STATE(18645), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720243] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3331), 1,
      anon_sym_RBRACK,
    ACTIONS(21269), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(15587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720263] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10949), 1,
      anon_sym_DOT,
    STATE(15588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21271), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [720281] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21273), 1,
      anon_sym_SEMI,
    ACTIONS(21275), 1,
      anon_sym_RBRACE,
    STATE(15589), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720301] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21277), 1,
      anon_sym_SEMI,
    ACTIONS(21279), 1,
      anon_sym_RBRACE,
    STATE(15590), 1,
      sym_attribute,
    STATE(15641), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720321] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21281), 1,
      anon_sym_EQ,
    STATE(15591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720341] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21283), 1,
      anon_sym_LPAREN,
    ACTIONS(21285), 1,
      anon_sym_LBRACK,
    ACTIONS(21287), 1,
      anon_sym_LBRACE,
    STATE(15592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720361] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21289), 1,
      anon_sym_SEMI,
    ACTIONS(21291), 1,
      anon_sym_GT_RBRACE,
    STATE(15593), 1,
      sym_attribute,
    STATE(15610), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720381] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3923), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21293), 1,
      anon_sym_SEMI,
    STATE(15594), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720401] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(21295), 1,
      anon_sym_RPAREN,
    STATE(14695), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720421] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14537), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15596), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720441] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14551), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15597), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720461] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14558), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15598), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720481] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19452), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720501] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8576), 1,
      anon_sym_RBRACK,
    ACTIONS(21297), 1,
      anon_sym_SEMI,
    STATE(15277), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720521] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3425), 1,
      anon_sym_RBRACK,
    ACTIONS(21299), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(15601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720541] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10119), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    STATE(15602), 1,
      sym_attribute,
    STATE(15616), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720561] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21301), 1,
      anon_sym_SEMI,
    ACTIONS(21303), 1,
      anon_sym_GT_RBRACE,
    STATE(15603), 1,
      sym_attribute,
    STATE(15653), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720581] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17574), 1,
      anon_sym_SEMI,
    ACTIONS(17576), 1,
      anon_sym_GT,
    STATE(15604), 1,
      sym_attribute,
    STATE(15618), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720601] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17), 1,
      sym_attribute_id,
    STATE(15605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [720619] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18608), 1,
      anon_sym_RBRACE,
    ACTIONS(21305), 1,
      anon_sym_SEMI,
    STATE(15606), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720639] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3431), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21307), 1,
      anon_sym_SEMI,
    STATE(15607), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720659] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21309), 1,
      aux_sym_quoted_extension_token1,
    STATE(15608), 1,
      sym_attribute,
    STATE(20118), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720679] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(18157), 1,
      anon_sym_RBRACK,
    STATE(15609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720699] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19486), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21311), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720719] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9874), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    STATE(15599), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720739] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21313), 1,
      anon_sym_EQ,
    STATE(15612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720759] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21315), 1,
      anon_sym_RPAREN,
    STATE(15613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720779] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(21317), 1,
      anon_sym_RPAREN,
    STATE(15614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720799] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19546), 1,
      anon_sym_RBRACK,
    STATE(15615), 1,
      sym_attribute,
    STATE(15630), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720819] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19546), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720839] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20228), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21319), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720859] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11448), 1,
      anon_sym_GT,
    ACTIONS(21321), 1,
      anon_sym_SEMI,
    STATE(15618), 1,
      sym_attribute,
    STATE(15752), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720879] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(21323), 1,
      anon_sym_RPAREN,
    STATE(14695), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720899] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14899), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15620), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720919] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18646), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [720935] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18650), 1,
      anon_sym_RBRACE,
    ACTIONS(21325), 1,
      anon_sym_SEMI,
    STATE(15622), 1,
      sym_attribute,
    STATE(15636), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720955] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14925), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15623), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720975] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14931), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15624), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720995] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21327), 1,
      anon_sym_SEMI,
    ACTIONS(21329), 1,
      anon_sym_RBRACE,
    STATE(15625), 1,
      sym_attribute,
    STATE(15916), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721015] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(21331), 1,
      sym__identifier,
    STATE(15626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721035] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21333), 1,
      anon_sym_RPAREN,
    STATE(15627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721055] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(18), 1,
      sym_attribute_id,
    STATE(15628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [721073] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(21335), 1,
      anon_sym_RPAREN,
    STATE(15629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721093] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19622), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721113] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19622), 1,
      anon_sym_RBRACK,
    STATE(15631), 1,
      sym_attribute,
    STATE(15638), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721133] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3853), 1,
      anon_sym_RBRACK,
    ACTIONS(21337), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(15632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721153] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21339), 1,
      aux_sym_quoted_extension_token1,
    STATE(15633), 1,
      sym_attribute,
    STATE(18242), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721173] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21341), 1,
      anon_sym_RPAREN,
    STATE(15634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721193] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17606), 1,
      anon_sym_SEMI,
    ACTIONS(17608), 1,
      anon_sym_GT,
    STATE(15635), 1,
      sym_attribute,
    STATE(15817), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721213] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18662), 1,
      anon_sym_RBRACE,
    ACTIONS(21343), 1,
      anon_sym_SEMI,
    STATE(15636), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721233] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9860), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    STATE(15637), 1,
      sym_attribute,
    STATE(15668), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721253] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19672), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721273] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17463), 1,
      anon_sym_SEMI,
    ACTIONS(17465), 1,
      anon_sym_GT,
    STATE(15639), 1,
      sym_attribute,
    STATE(15672), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721293] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20389), 1,
      anon_sym_COLON2,
    ACTIONS(21345), 1,
      anon_sym_RPAREN,
    STATE(15640), 1,
      sym_attribute,
    STATE(17865), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721313] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18735), 1,
      anon_sym_RBRACE,
    ACTIONS(21347), 1,
      anon_sym_SEMI,
    STATE(15641), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721333] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(21349), 1,
      anon_sym_RPAREN,
    STATE(14695), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721353] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20561), 1,
      anon_sym_COMMA,
    ACTIONS(21351), 1,
      anon_sym_RBRACK,
    STATE(14948), 1,
      aux_sym__type_params_repeat1,
    STATE(15643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721373] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14845), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15644), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721393] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(21353), 1,
      anon_sym_RPAREN,
    STATE(15645), 1,
      sym_attribute,
    STATE(17881), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721413] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3859), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21355), 1,
      anon_sym_SEMI,
    STATE(15646), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721433] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14947), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15647), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721453] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14362), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15648), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721473] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20033), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [721489] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14828), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15650), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721509] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8508), 1,
      anon_sym_RBRACK,
    ACTIONS(21357), 1,
      anon_sym_SEMI,
    STATE(15277), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721529] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(19), 1,
      sym_attribute_id,
    STATE(15652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [721547] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20051), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21359), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721567] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21361), 1,
      aux_sym_quoted_extension_token1,
    STATE(15654), 1,
      sym_attribute,
    STATE(19241), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721587] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18223), 1,
      anon_sym_RBRACE,
    ACTIONS(21363), 1,
      anon_sym_SEMI,
    STATE(15371), 1,
      aux_sym_record_pattern_repeat1,
    STATE(15655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721607] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21365), 1,
      anon_sym_SEMI,
    ACTIONS(21367), 1,
      anon_sym_RBRACE,
    STATE(15656), 1,
      sym_attribute,
    STATE(15670), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721627] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(21369), 1,
      anon_sym_RPAREN,
    STATE(15657), 1,
      sym_attribute,
    STATE(17633), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721647] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8526), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21371), 1,
      anon_sym_SEMI,
    STATE(15287), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721667] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21373), 1,
      anon_sym_RPAREN,
    STATE(15659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721687] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21375), 1,
      anon_sym_SEMI,
    ACTIONS(21377), 1,
      anon_sym_GT_RBRACE,
    STATE(15660), 1,
      sym_attribute,
    STATE(15679), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721707] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18725), 1,
      anon_sym_RBRACE,
    ACTIONS(21379), 1,
      anon_sym_SEMI,
    STATE(15661), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721727] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(21381), 1,
      anon_sym_RPAREN,
    STATE(14695), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721747] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14469), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15663), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721767] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(21383), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721787] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20086), 1,
      anon_sym_RBRACK,
    STATE(15665), 1,
      sym_attribute,
    STATE(15701), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721807] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14491), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15666), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721827] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14501), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15667), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721847] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20086), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721867] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3483), 1,
      anon_sym_RBRACK,
    ACTIONS(21385), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(15669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721887] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18731), 1,
      anon_sym_RBRACE,
    ACTIONS(21387), 1,
      anon_sym_SEMI,
    STATE(15670), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721907] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(21389), 1,
      sym__identifier,
    STATE(15671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721927] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11502), 1,
      anon_sym_GT,
    ACTIONS(21391), 1,
      anon_sym_SEMI,
    STATE(15672), 1,
      sym_attribute,
    STATE(15752), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721947] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(20), 1,
      sym_attribute_id,
    STATE(15673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [721965] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3485), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21393), 1,
      anon_sym_SEMI,
    STATE(15674), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721985] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21395), 1,
      anon_sym_EQ,
    STATE(15675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21397), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [722003] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18749), 1,
      anon_sym_RBRACE,
    ACTIONS(21399), 1,
      anon_sym_SEMI,
    STATE(15676), 1,
      sym_attribute,
    STATE(15710), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722023] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8738), 1,
      anon_sym_RBRACK,
    ACTIONS(21401), 1,
      anon_sym_SEMI,
    STATE(15414), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(15677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722043] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21403), 1,
      aux_sym_quoted_extension_token1,
    STATE(15678), 1,
      sym_attribute,
    STATE(20049), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722063] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20117), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21405), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722083] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17845), 1,
      anon_sym_RBRACE,
    ACTIONS(21407), 1,
      anon_sym_SEMI,
    STATE(15475), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(15680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722103] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21409), 1,
      anon_sym_RPAREN,
    STATE(15681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722123] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8740), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21411), 1,
      anon_sym_SEMI,
    STATE(15289), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(15682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722143] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18773), 1,
      anon_sym_RBRACE,
    ACTIONS(21413), 1,
      anon_sym_SEMI,
    STATE(15683), 1,
      sym_attribute,
    STATE(15696), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722163] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21415), 1,
      anon_sym_EQ,
    STATE(15684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722183] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(21417), 1,
      sym__identifier,
    STATE(15685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722203] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(21419), 1,
      anon_sym_RPAREN,
    STATE(14695), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722223] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12300), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [722239] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14427), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15688), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722259] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21421), 3,
      anon_sym_mutable,
      anon_sym_virtual,
      sym__identifier,
  [722275] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14446), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15690), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722295] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14452), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15691), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722315] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(21), 1,
      sym_attribute_id,
    STATE(15692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [722333] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(21423), 1,
      sym__identifier,
    STATE(15693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722353] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21425), 1,
      aux_sym_quoted_extension_token1,
    STATE(15694), 1,
      sym_attribute,
    STATE(20262), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722373] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21427), 1,
      anon_sym_RPAREN,
    STATE(15695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722393] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18781), 1,
      anon_sym_RBRACE,
    ACTIONS(21429), 1,
      anon_sym_SEMI,
    STATE(15696), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722413] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(21431), 1,
      anon_sym_RPAREN,
    STATE(15697), 1,
      sym_attribute,
    STATE(17719), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722433] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21433), 1,
      anon_sym_RPAREN,
    STATE(15698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722453] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(21435), 1,
      anon_sym_RPAREN,
    STATE(15699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722473] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(21437), 1,
      anon_sym_RPAREN,
    STATE(14695), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722493] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20133), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722513] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14579), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15702), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722533] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20133), 1,
      anon_sym_RBRACK,
    STATE(15703), 1,
      sym_attribute,
    STATE(15715), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722553] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14587), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15704), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722573] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14593), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15705), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722593] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21439), 1,
      anon_sym_SEMI,
    ACTIONS(21441), 1,
      anon_sym_GT_RBRACE,
    STATE(15706), 1,
      sym_attribute,
    STATE(15945), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722613] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(22), 1,
      sym_attribute_id,
    STATE(15707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [722631] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21443), 1,
      anon_sym_RPAREN,
    STATE(15708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722651] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21445), 1,
      aux_sym_quoted_extension_token1,
    STATE(15709), 1,
      sym_attribute,
    STATE(17763), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722671] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18757), 1,
      anon_sym_RBRACE,
    ACTIONS(21447), 1,
      anon_sym_SEMI,
    STATE(15710), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722691] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21449), 1,
      anon_sym_RPAREN,
    STATE(15711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722711] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21451), 1,
      anon_sym_SEMI,
    ACTIONS(21453), 1,
      anon_sym_RBRACE,
    STATE(15712), 1,
      sym_attribute,
    STATE(15727), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722731] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(21455), 1,
      anon_sym_RPAREN,
    STATE(14695), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722751] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14724), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15714), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722771] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20183), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722791] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14734), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15716), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722811] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14741), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15717), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722831] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(21457), 1,
      anon_sym_RPAREN,
    STATE(15718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722851] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(23), 1,
      sym_attribute_id,
    STATE(15719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [722869] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21459), 3,
      anon_sym_private,
      anon_sym_virtual,
      sym__identifier,
  [722885] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19830), 1,
      anon_sym_RBRACK,
    STATE(15721), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722905] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21461), 1,
      aux_sym_quoted_extension_token1,
    STATE(15722), 1,
      sym_attribute,
    STATE(19696), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722925] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21463), 1,
      anon_sym_SEMI,
    ACTIONS(21465), 1,
      anon_sym_GT_RBRACE,
    STATE(15723), 1,
      sym_attribute,
    STATE(15738), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722945] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19830), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722965] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3511), 1,
      anon_sym_RBRACK,
    ACTIONS(21467), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(15725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722985] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21469), 1,
      anon_sym_EQ,
    STATE(15726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723005] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18373), 1,
      anon_sym_RBRACE,
    ACTIONS(21471), 1,
      anon_sym_SEMI,
    STATE(15727), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723025] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(21473), 1,
      anon_sym_RPAREN,
    STATE(14695), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723045] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11715), 1,
      anon_sym_GT,
    ACTIONS(21475), 1,
      anon_sym_SEMI,
    STATE(15729), 1,
      sym_attribute,
    STATE(15752), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723065] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14912), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15730), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723085] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3513), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21477), 1,
      anon_sym_SEMI,
    STATE(15731), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723105] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18379), 1,
      anon_sym_RBRACE,
    ACTIONS(21479), 1,
      anon_sym_SEMI,
    STATE(15732), 1,
      sym_attribute,
    STATE(15789), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723125] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14918), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15733), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723145] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14922), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15734), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723165] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(24), 1,
      sym_attribute_id,
    STATE(15735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [723183] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21481), 1,
      anon_sym_RPAREN,
    STATE(15736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21483), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [723201] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21485), 1,
      aux_sym_quoted_extension_token1,
    STATE(15737), 1,
      sym_attribute,
    STATE(17712), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723221] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20287), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21487), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723241] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21489), 1,
      anon_sym_RPAREN,
    STATE(15739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723261] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18395), 1,
      anon_sym_RBRACE,
    ACTIONS(21491), 1,
      anon_sym_SEMI,
    STATE(15740), 1,
      sym_attribute,
    STATE(15750), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723281] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14869), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15741), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723301] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(21493), 1,
      sym__identifier,
    STATE(15742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723321] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(21495), 1,
      anon_sym_RPAREN,
    STATE(14695), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723341] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14679), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15744), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723361] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(21497), 1,
      sym__identifier,
    STATE(15745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723381] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14839), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15746), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723401] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14973), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15747), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723421] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21499), 1,
      anon_sym_RPAREN,
    STATE(15748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723441] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(25), 1,
      sym_attribute_id,
    STATE(15749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [723459] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18415), 1,
      anon_sym_RBRACE,
    ACTIONS(21501), 1,
      anon_sym_SEMI,
    STATE(15750), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723479] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21503), 1,
      aux_sym_quoted_extension_token1,
    STATE(15751), 1,
      sym_attribute,
    STATE(18046), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723499] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18211), 1,
      anon_sym_GT,
    ACTIONS(21505), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15752), 2,
      sym_attribute,
      aux_sym_object_type_repeat1,
  [723517] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21508), 1,
      anon_sym_RPAREN,
    STATE(15753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723537] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18795), 1,
      anon_sym_RBRACE,
    ACTIONS(21510), 1,
      anon_sym_SEMI,
    STATE(15754), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723557] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(21512), 1,
      anon_sym_RPAREN,
    STATE(14695), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723577] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3557), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21514), 1,
      anon_sym_SEMI,
    STATE(15756), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723597] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14487), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15757), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723617] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(21516), 1,
      anon_sym_RPAREN,
    STATE(15758), 1,
      sym_attribute,
    STATE(18090), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723637] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18203), 1,
      anon_sym_RBRACE,
    ACTIONS(21518), 1,
      anon_sym_SEMI,
    STATE(15371), 1,
      aux_sym_record_pattern_repeat1,
    STATE(15759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723657] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14595), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15760), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723677] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14649), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15761), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723697] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(26), 1,
      sym_attribute_id,
    STATE(15762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [723715] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19434), 1,
      anon_sym_RBRACE,
    ACTIONS(21520), 1,
      anon_sym_SEMI,
    STATE(15763), 1,
      sym_attribute,
    STATE(16143), 1,
      aux_sym_record_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723735] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11336), 1,
      sym_module_binding,
    STATE(15764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17795), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [723753] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21522), 1,
      aux_sym_quoted_extension_token1,
    STATE(15765), 1,
      sym_attribute,
    STATE(18549), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723773] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3847), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21524), 1,
      anon_sym_SEMI,
    STATE(15766), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723793] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(21526), 1,
      anon_sym_RPAREN,
    STATE(15767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723813] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21528), 1,
      anon_sym_SEMI,
    ACTIONS(21530), 1,
      anon_sym_RBRACE,
    STATE(15768), 1,
      sym_attribute,
    STATE(15784), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723833] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13171), 1,
      sym__type_equation,
    STATE(15769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21532), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [723851] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(21534), 1,
      anon_sym_RPAREN,
    STATE(14695), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723871] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14716), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15771), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723891] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21536), 1,
      anon_sym_RPAREN,
    STATE(15772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723911] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(21538), 1,
      anon_sym_RPAREN,
    STATE(15773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723931] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12561), 1,
      sym_module_binding,
    STATE(15774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17795), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [723949] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14804), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15775), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723969] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14902), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15776), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723989] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19492), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724009] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(88), 1,
      sym_attribute_id,
    STATE(15778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [724027] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19492), 1,
      anon_sym_RBRACK,
    STATE(15779), 1,
      sym_attribute,
    STATE(15814), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724047] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21540), 1,
      anon_sym_SEMI,
    ACTIONS(21542), 1,
      anon_sym_GT_RBRACE,
    STATE(15780), 1,
      sym_attribute,
    STATE(15794), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724067] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21544), 1,
      aux_sym_quoted_extension_token1,
    STATE(15781), 1,
      sym_attribute,
    STATE(18997), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724087] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8578), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21546), 1,
      anon_sym_SEMI,
    STATE(15287), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724107] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3535), 1,
      anon_sym_RBRACK,
    ACTIONS(21548), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(15783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724127] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18485), 1,
      anon_sym_RBRACE,
    ACTIONS(21550), 1,
      anon_sym_SEMI,
    STATE(15784), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724147] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(21552), 1,
      anon_sym_RPAREN,
    STATE(14695), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724167] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14950), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15786), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724187] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21554), 1,
      anon_sym_RPAREN,
    STATE(15787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724207] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3537), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21556), 1,
      anon_sym_SEMI,
    STATE(15788), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724227] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18479), 1,
      anon_sym_RBRACE,
    ACTIONS(21558), 1,
      anon_sym_SEMI,
    STATE(15789), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724247] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14988), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15790), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724267] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(15009), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15791), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724287] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(2), 1,
      sym_attribute_id,
    STATE(15792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [724305] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21560), 1,
      aux_sym_quoted_extension_token1,
    STATE(15793), 1,
      sym_attribute,
    STATE(19356), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724325] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19658), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21562), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724345] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21564), 1,
      anon_sym_RPAREN,
    STATE(15795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724365] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18503), 1,
      anon_sym_RBRACE,
    ACTIONS(21566), 1,
      anon_sym_SEMI,
    STATE(15796), 1,
      sym_attribute,
    STATE(15806), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724385] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(21568), 1,
      anon_sym_RPAREN,
    STATE(14695), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724405] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14662), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15798), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724425] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(21570), 1,
      sym__identifier,
    STATE(15799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724445] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14729), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15800), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724465] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14784), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15801), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724485] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(28), 1,
      sym_attribute_id,
    STATE(15802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [724503] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21572), 1,
      anon_sym_RPAREN,
    STATE(15803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724523] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12468), 1,
      sym_module_binding,
    STATE(15804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17795), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [724541] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21574), 1,
      aux_sym_quoted_extension_token1,
    STATE(15805), 1,
      sym_attribute,
    STATE(19947), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724561] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18511), 1,
      anon_sym_RBRACE,
    ACTIONS(21576), 1,
      anon_sym_SEMI,
    STATE(15806), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724581] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21578), 1,
      aux_sym_quoted_extension_token1,
    STATE(15807), 1,
      sym_attribute,
    STATE(20261), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724601] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14594), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15808), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724621] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20197), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21580), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724641] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12274), 1,
      anon_sym_DQUOTE,
    STATE(9949), 1,
      aux_sym_external_repeat1,
    STATE(10942), 1,
      sym_string,
    STATE(15810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724661] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14625), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15811), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724681] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8020), 1,
      aux_sym_tag_token1,
    STATE(14648), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15812), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724701] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(29), 1,
      sym_attribute_id,
    STATE(15813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [724719] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19578), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724739] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21582), 1,
      aux_sym_quoted_extension_token1,
    STATE(15815), 1,
      sym_attribute,
    STATE(17546), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724759] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21584), 1,
      anon_sym_SEMI,
    ACTIONS(21586), 1,
      anon_sym_RBRACE,
    STATE(15816), 1,
      sym_attribute,
    STATE(15847), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724779] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11543), 1,
      anon_sym_GT,
    ACTIONS(21588), 1,
      anon_sym_SEMI,
    STATE(15752), 1,
      aux_sym_object_type_repeat1,
    STATE(15817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724799] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(30), 1,
      sym_attribute_id,
    STATE(15818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [724817] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21590), 1,
      anon_sym_SEMI,
    ACTIONS(21592), 1,
      anon_sym_RBRACE,
    STATE(15819), 1,
      sym_attribute,
    STATE(15826), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724837] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21594), 1,
      aux_sym_quoted_extension_token1,
    STATE(15820), 1,
      sym_attribute,
    STATE(17751), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724857] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21596), 1,
      anon_sym_SEMI,
    ACTIONS(21598), 1,
      anon_sym_GT_RBRACE,
    STATE(15821), 1,
      sym_attribute,
    STATE(15855), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724877] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21600), 1,
      anon_sym_SEMI,
    ACTIONS(21602), 1,
      anon_sym_GT_RBRACE,
    STATE(15822), 1,
      sym_attribute,
    STATE(15830), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724897] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(31), 1,
      sym_attribute_id,
    STATE(15823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [724915] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21604), 1,
      aux_sym_quoted_extension_token1,
    STATE(15824), 1,
      sym_attribute,
    STATE(17966), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724935] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3631), 1,
      anon_sym_RBRACK,
    ACTIONS(21606), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(15825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724955] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_RBRACE,
    ACTIONS(21608), 1,
      anon_sym_SEMI,
    STATE(15826), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724975] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21610), 1,
      anon_sym_SEMI,
    ACTIONS(21612), 1,
      anon_sym_RBRACE,
    STATE(15763), 1,
      aux_sym_record_declaration_repeat1,
    STATE(15827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724995] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3633), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21614), 1,
      anon_sym_SEMI,
    STATE(15828), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725015] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(32), 1,
      sym_attribute_id,
    STATE(15829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [725033] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20331), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21616), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725053] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21618), 1,
      aux_sym_quoted_extension_token1,
    STATE(15831), 1,
      sym_attribute,
    STATE(18190), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725073] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21620), 1,
      anon_sym_RPAREN,
    STATE(15832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725093] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18571), 1,
      anon_sym_RBRACE,
    ACTIONS(21622), 1,
      anon_sym_SEMI,
    STATE(15833), 1,
      sym_attribute,
    STATE(15841), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725113] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3719), 1,
      anon_sym_RBRACK,
    ACTIONS(21624), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(15834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725133] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(34), 1,
      sym_attribute_id,
    STATE(15835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [725151] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(21626), 1,
      sym__identifier,
    STATE(15836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725171] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(21628), 1,
      anon_sym_RPAREN,
    STATE(15837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725191] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21630), 1,
      aux_sym_quoted_extension_token1,
    STATE(15838), 1,
      sym_attribute,
    STATE(18421), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725211] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21632), 1,
      anon_sym_RPAREN,
    STATE(15839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725231] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10085), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    STATE(15840), 1,
      sym_attribute,
    STATE(15869), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725251] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18579), 1,
      anon_sym_RBRACE,
    ACTIONS(21634), 1,
      anon_sym_SEMI,
    STATE(15841), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725271] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(35), 1,
      sym_attribute_id,
    STATE(15842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [725289] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17544), 1,
      anon_sym_SEMI,
    ACTIONS(17546), 1,
      anon_sym_GT,
    STATE(15843), 1,
      sym_attribute,
    STATE(15875), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725309] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21636), 1,
      anon_sym_SEMI,
    ACTIONS(21638), 1,
      anon_sym_RBRACE,
    STATE(15844), 1,
      sym_attribute,
    STATE(16097), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725329] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18341), 1,
      anon_sym_RBRACE,
    ACTIONS(21640), 1,
      anon_sym_SEMI,
    STATE(15845), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725349] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21642), 1,
      aux_sym_quoted_extension_token1,
    STATE(15846), 1,
      sym_attribute,
    STATE(18639), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725369] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18363), 1,
      anon_sym_RBRACE,
    ACTIONS(21644), 1,
      anon_sym_SEMI,
    STATE(15847), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725389] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8726), 1,
      anon_sym_RBRACK,
    ACTIONS(21646), 1,
      anon_sym_SEMI,
    STATE(15414), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(15848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725409] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3727), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21648), 1,
      anon_sym_SEMI,
    STATE(15849), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725429] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21652), 1,
      anon_sym_LBRACK,
    STATE(15850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21650), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [725447] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21654), 1,
      anon_sym_LPAREN,
    ACTIONS(21656), 1,
      anon_sym_LBRACK,
    ACTIONS(21658), 1,
      anon_sym_LBRACE,
    STATE(15851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725467] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21660), 1,
      anon_sym_SEMI,
    ACTIONS(21662), 1,
      anon_sym_RBRACE,
    STATE(15852), 1,
      sym_attribute,
    STATE(16186), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725487] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(36), 1,
      sym_attribute_id,
    STATE(15853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [725505] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21664), 1,
      aux_sym_quoted_extension_token1,
    STATE(15854), 1,
      sym_attribute,
    STATE(18861), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725525] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19630), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21666), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725545] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(21668), 1,
      anon_sym_RPAREN,
    STATE(15856), 1,
      sym_attribute,
    STATE(17925), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725565] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21670), 1,
      anon_sym_SEMI,
    ACTIONS(21672), 1,
      anon_sym_RBRACE,
    STATE(15857), 1,
      sym_attribute,
    STATE(15872), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725585] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(37), 1,
      sym_attribute_id,
    STATE(15858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [725603] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8724), 1,
      anon_sym_RBRACK,
    ACTIONS(21674), 1,
      anon_sym_SEMI,
    STATE(15414), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(15859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725623] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(21676), 1,
      anon_sym_RPAREN,
    STATE(15860), 1,
      sym_attribute,
    STATE(18530), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725643] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21678), 1,
      aux_sym_quoted_extension_token1,
    STATE(15861), 1,
      sym_attribute,
    STATE(19214), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725663] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(3), 1,
      sym_attribute_id,
    STATE(15862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [725681] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21680), 1,
      anon_sym_RPAREN,
    STATE(15863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725701] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21682), 1,
      anon_sym_SEMI,
    ACTIONS(21684), 1,
      anon_sym_GT_RBRACE,
    STATE(15864), 1,
      sym_attribute,
    STATE(15878), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725721] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(21686), 1,
      anon_sym_RBRACK,
    STATE(14695), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725741] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(21688), 1,
      anon_sym_RPAREN,
    STATE(15866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725761] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19746), 1,
      anon_sym_RBRACK,
    STATE(15867), 1,
      sym_attribute,
    STATE(15898), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725781] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(38), 1,
      sym_attribute_id,
    STATE(15868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [725799] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19746), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725819] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3713), 1,
      anon_sym_RBRACK,
    ACTIONS(21690), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(15870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725839] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21692), 1,
      aux_sym_quoted_extension_token1,
    STATE(15871), 1,
      sym_attribute,
    STATE(19343), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725859] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18664), 1,
      anon_sym_RBRACE,
    ACTIONS(21694), 1,
      anon_sym_SEMI,
    STATE(15872), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725879] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20561), 1,
      anon_sym_COMMA,
    ACTIONS(21696), 1,
      anon_sym_RPAREN,
    STATE(14948), 1,
      aux_sym__type_params_repeat1,
    STATE(15873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725899] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3717), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21698), 1,
      anon_sym_SEMI,
    STATE(15874), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725919] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11615), 1,
      anon_sym_GT,
    ACTIONS(21700), 1,
      anon_sym_SEMI,
    STATE(15752), 1,
      aux_sym_object_type_repeat1,
    STATE(15875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725939] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18369), 1,
      anon_sym_RBRACE,
    ACTIONS(21702), 1,
      anon_sym_SEMI,
    STATE(15876), 1,
      sym_attribute,
    STATE(15905), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725959] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18051), 1,
      anon_sym_RBRACE,
    ACTIONS(21704), 1,
      anon_sym_SEMI,
    STATE(15475), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(15877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725979] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19694), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21706), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725999] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(39), 1,
      sym_attribute_id,
    STATE(15879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [726017] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21708), 1,
      anon_sym_RPAREN,
    STATE(15880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726037] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21710), 1,
      aux_sym_quoted_extension_token1,
    STATE(15881), 1,
      sym_attribute,
    STATE(19484), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726057] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18680), 1,
      anon_sym_RBRACE,
    ACTIONS(21712), 1,
      anon_sym_SEMI,
    STATE(15882), 1,
      sym_attribute,
    STATE(15890), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726077] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8728), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21714), 1,
      anon_sym_SEMI,
    STATE(15289), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(15883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726097] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3937), 1,
      anon_sym_RBRACK,
    ACTIONS(21716), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(15884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726117] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(21718), 1,
      sym__identifier,
    STATE(15885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726137] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(21720), 1,
      sym__identifier,
    STATE(15886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726157] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12284), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [726173] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(40), 1,
      sym_attribute_id,
    STATE(15888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [726191] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21722), 1,
      anon_sym_RPAREN,
    STATE(15889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726211] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18684), 1,
      anon_sym_RBRACE,
    ACTIONS(21724), 1,
      anon_sym_SEMI,
    STATE(15890), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726231] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21726), 1,
      aux_sym_quoted_extension_token1,
    STATE(15891), 1,
      sym_attribute,
    STATE(19682), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726251] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(21728), 1,
      anon_sym_RPAREN,
    STATE(15892), 1,
      sym_attribute,
    STATE(18606), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726271] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20561), 1,
      anon_sym_COMMA,
    ACTIONS(21730), 1,
      anon_sym_RBRACK,
    STATE(15229), 1,
      aux_sym__type_params_repeat1,
    STATE(15893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726291] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(41), 1,
      sym_attribute_id,
    STATE(15894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [726309] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21732), 1,
      anon_sym_RPAREN,
    STATE(15895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726329] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(21734), 1,
      anon_sym_RPAREN,
    STATE(15896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726349] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15807), 1,
      sym_attribute_id,
    STATE(15897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [726367] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19990), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726387] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21736), 1,
      aux_sym_quoted_extension_token1,
    STATE(15899), 1,
      sym_attribute,
    STATE(19940), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726407] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19990), 1,
      anon_sym_RBRACK,
    STATE(15900), 1,
      sym_attribute,
    STATE(15909), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726427] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18249), 1,
      anon_sym_RBRACE,
    ACTIONS(21738), 1,
      anon_sym_SEMI,
    STATE(15371), 1,
      aux_sym_record_pattern_repeat1,
    STATE(15901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726447] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10193), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    STATE(15036), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726467] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21740), 1,
      anon_sym_RPAREN,
    STATE(15903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726487] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18539), 1,
      anon_sym_RBRACE,
    ACTIONS(21742), 1,
      anon_sym_SEMI,
    STATE(15754), 1,
      aux_sym_record_expression_repeat1,
    STATE(15904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726507] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18375), 1,
      anon_sym_RBRACE,
    ACTIONS(21744), 1,
      anon_sym_SEMI,
    STATE(15905), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726527] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(42), 1,
      sym_attribute_id,
    STATE(15906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [726545] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21746), 1,
      aux_sym_quoted_extension_token1,
    STATE(15907), 1,
      sym_attribute,
    STATE(20239), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726565] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21748), 1,
      anon_sym_SEMI,
    ACTIONS(21750), 1,
      anon_sym_RBRACE,
    STATE(15908), 1,
      sym_attribute,
    STATE(15917), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726585] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20211), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726605] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17582), 1,
      anon_sym_SEMI,
    ACTIONS(17584), 1,
      anon_sym_GT,
    STATE(15050), 1,
      aux_sym_object_type_repeat1,
    STATE(15910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726625] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21752), 1,
      anon_sym_SEMI,
    ACTIONS(21754), 1,
      anon_sym_GT_RBRACE,
    STATE(15911), 1,
      sym_attribute,
    STATE(15925), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726645] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(43), 1,
      sym_attribute_id,
    STATE(15912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [726663] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21756), 1,
      aux_sym_quoted_extension_token1,
    STATE(15913), 1,
      sym_attribute,
    STATE(20407), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726683] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17566), 1,
      anon_sym_SEMI,
    ACTIONS(17568), 1,
      anon_sym_GT,
    STATE(15299), 1,
      aux_sym_object_type_repeat1,
    STATE(15914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726703] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3741), 1,
      anon_sym_RBRACK,
    ACTIONS(21758), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(15915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726723] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18371), 1,
      anon_sym_RBRACE,
    ACTIONS(21760), 1,
      anon_sym_SEMI,
    STATE(15916), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726743] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18733), 1,
      anon_sym_RBRACE,
    ACTIONS(21762), 1,
      anon_sym_SEMI,
    STATE(15917), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726763] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21764), 1,
      anon_sym_EQ,
    STATE(15918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726783] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(44), 1,
      sym_attribute_id,
    STATE(15919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [726801] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16025), 1,
      sym__capitalized_identifier,
    ACTIONS(18827), 1,
      anon_sym_LPAREN,
    STATE(6957), 1,
      sym__constructor_name,
    STATE(15920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726821] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3743), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21766), 1,
      anon_sym_SEMI,
    STATE(15921), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726841] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21768), 1,
      aux_sym_quoted_extension_token1,
    STATE(15922), 1,
      sym_attribute,
    STATE(19927), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726861] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21770), 1,
      anon_sym_EQ,
    STATE(15923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726881] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3715), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21772), 1,
      anon_sym_SEMI,
    STATE(15924), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726901] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20026), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21774), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726921] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21776), 1,
      anon_sym_RPAREN,
    STATE(15926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726941] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18747), 1,
      anon_sym_RBRACE,
    ACTIONS(21778), 1,
      anon_sym_SEMI,
    STATE(15927), 1,
      sym_attribute,
    STATE(15934), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726961] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(45), 1,
      sym_attribute_id,
    STATE(15928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [726979] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21780), 1,
      aux_sym_quoted_extension_token1,
    STATE(15929), 1,
      sym_attribute,
    STATE(19872), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726999] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21782), 1,
      anon_sym_SEMI,
    ACTIONS(21785), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15930), 2,
      sym_attribute,
      aux_sym_record_expression_repeat1,
  [727017] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(21787), 1,
      sym__identifier,
    STATE(15931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727037] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21789), 1,
      anon_sym_RPAREN,
    STATE(15932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727057] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21791), 1,
      anon_sym_RPAREN,
    STATE(15933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727077] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18759), 1,
      anon_sym_RBRACE,
    ACTIONS(21793), 1,
      anon_sym_SEMI,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    STATE(15934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727097] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(46), 1,
      sym_attribute_id,
    STATE(15935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [727115] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21795), 1,
      aux_sym_quoted_extension_token1,
    STATE(15936), 1,
      sym_attribute,
    STATE(18082), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727135] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(8329), 1,
      sym_attribute_id,
    STATE(15937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21797), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [727153] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(33), 1,
      sym_attribute_id,
    STATE(15938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [727171] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12274), 1,
      anon_sym_DQUOTE,
    STATE(9951), 1,
      aux_sym_external_repeat1,
    STATE(10942), 1,
      sym_string,
    STATE(15939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727191] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20389), 1,
      anon_sym_COLON2,
    ACTIONS(21799), 1,
      anon_sym_RPAREN,
    STATE(15940), 1,
      sym_attribute,
    STATE(18149), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727211] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21801), 3,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym__identifier,
  [727227] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(47), 1,
      sym_attribute_id,
    STATE(15942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [727245] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(21803), 1,
      anon_sym_RPAREN,
    STATE(15943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727265] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21805), 1,
      aux_sym_quoted_extension_token1,
    STATE(15944), 1,
      sym_attribute,
    STATE(19216), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727285] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19888), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21807), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727305] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19846), 1,
      anon_sym_RBRACE,
    ACTIONS(21809), 1,
      anon_sym_SEMI,
    STATE(15946), 1,
      sym_attribute,
    STATE(16143), 1,
      aux_sym_record_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727325] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11839), 1,
      sym_attribute_id,
    STATE(15947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21811), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [727343] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19362), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727363] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19362), 1,
      anon_sym_RBRACK,
    STATE(15226), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727383] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13192), 1,
      sym_attribute_id,
    STATE(15950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21813), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [727401] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(48), 1,
      sym_attribute_id,
    STATE(15951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [727419] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18809), 1,
      sym__identifier,
    STATE(15040), 1,
      sym__instance_variable_name,
    STATE(15952), 1,
      sym_attribute,
    STATE(17312), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727439] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21815), 1,
      aux_sym_quoted_extension_token1,
    STATE(15953), 1,
      sym_attribute,
    STATE(20415), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727459] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21817), 1,
      anon_sym_SEMI,
    ACTIONS(21819), 1,
      anon_sym_RBRACE,
    STATE(15954), 1,
      sym_attribute,
    STATE(15960), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727479] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21821), 1,
      anon_sym_SEMI,
    ACTIONS(21823), 1,
      anon_sym_GT_RBRACE,
    STATE(15955), 1,
      sym_attribute,
    STATE(15966), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727499] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(49), 1,
      sym_attribute_id,
    STATE(15956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [727517] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21825), 1,
      aux_sym_quoted_extension_token1,
    STATE(15957), 1,
      sym_attribute,
    STATE(17828), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727537] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3777), 1,
      anon_sym_RBRACK,
    ACTIONS(21827), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(15958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727557] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20561), 1,
      anon_sym_COMMA,
    ACTIONS(21829), 1,
      anon_sym_RBRACK,
    STATE(14948), 1,
      aux_sym__type_params_repeat1,
    STATE(15959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727577] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18329), 1,
      anon_sym_RBRACE,
    ACTIONS(21831), 1,
      anon_sym_SEMI,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    STATE(15960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727597] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20213), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [727613] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3779), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21833), 1,
      anon_sym_SEMI,
    STATE(15962), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727633] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(50), 1,
      sym_attribute_id,
    STATE(15963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [727651] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21835), 1,
      aux_sym_quoted_extension_token1,
    STATE(15964), 1,
      sym_attribute,
    STATE(18212), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727671] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21839), 1,
      anon_sym_LBRACK,
    STATE(15965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21837), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [727689] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19350), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21841), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727709] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21843), 1,
      anon_sym_RPAREN,
    STATE(15967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727729] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18345), 1,
      anon_sym_RBRACE,
    ACTIONS(21845), 1,
      anon_sym_SEMI,
    STATE(15968), 1,
      sym_attribute,
    STATE(15979), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727749] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(51), 1,
      sym_attribute_id,
    STATE(15969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [727767] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21847), 1,
      sym__identifier,
    ACTIONS(21849), 1,
      anon_sym_LPAREN,
    STATE(7903), 1,
      sym__simple_value_pattern,
    STATE(15970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727787] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21851), 1,
      aux_sym_quoted_extension_token1,
    STATE(15971), 1,
      sym_attribute,
    STATE(18551), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727807] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18107), 1,
      anon_sym_RBRACE,
    ACTIONS(21853), 1,
      anon_sym_SEMI,
    STATE(15475), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(15972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727827] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(52), 1,
      sym_attribute_id,
    STATE(15973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [727845] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(21855), 1,
      sym__identifier,
    STATE(15974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727865] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21857), 1,
      aux_sym_quoted_extension_token1,
    STATE(15975), 1,
      sym_attribute,
    STATE(18676), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727885] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(53), 1,
      sym_attribute_id,
    STATE(15976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [727903] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21859), 1,
      anon_sym_RPAREN,
    STATE(15977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727923] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21861), 1,
      aux_sym_quoted_extension_token1,
    STATE(15978), 1,
      sym_attribute,
    STATE(18759), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727943] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18347), 1,
      anon_sym_RBRACE,
    ACTIONS(21863), 1,
      anon_sym_SEMI,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    STATE(15979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727963] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(54), 1,
      sym_attribute_id,
    STATE(15980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [727981] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21865), 1,
      aux_sym_quoted_extension_token1,
    STATE(15981), 1,
      sym_attribute,
    STATE(18800), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728001] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(55), 1,
      sym_attribute_id,
    STATE(15982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [728019] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21867), 1,
      aux_sym_quoted_extension_token1,
    STATE(15983), 1,
      sym_attribute,
    STATE(18876), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728039] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(56), 1,
      sym_attribute_id,
    STATE(15984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [728057] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21869), 1,
      aux_sym_quoted_extension_token1,
    STATE(15985), 1,
      sym_attribute,
    STATE(18953), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728077] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(57), 1,
      sym_attribute_id,
    STATE(15986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [728095] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21871), 1,
      aux_sym_quoted_extension_token1,
    STATE(15987), 1,
      sym_attribute,
    STATE(19017), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728115] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(58), 1,
      sym_attribute_id,
    STATE(15988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [728133] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21873), 1,
      aux_sym_quoted_extension_token1,
    STATE(15989), 1,
      sym_attribute,
    STATE(19065), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728153] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(59), 1,
      sym_attribute_id,
    STATE(15990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [728171] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21875), 1,
      aux_sym_quoted_extension_token1,
    STATE(15991), 1,
      sym_attribute,
    STATE(19094), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728191] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(60), 1,
      sym_attribute_id,
    STATE(15992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [728209] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21877), 1,
      aux_sym_quoted_extension_token1,
    STATE(15993), 1,
      sym_attribute,
    STATE(19126), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728229] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(61), 1,
      sym_attribute_id,
    STATE(15994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [728247] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21879), 1,
      aux_sym_quoted_extension_token1,
    STATE(15995), 1,
      sym_attribute,
    STATE(19185), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728267] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(62), 1,
      sym_attribute_id,
    STATE(15996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [728285] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21881), 1,
      aux_sym_quoted_extension_token1,
    STATE(15997), 1,
      sym_attribute,
    STATE(19275), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728305] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(63), 1,
      sym_attribute_id,
    STATE(15998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [728323] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21883), 1,
      aux_sym_quoted_extension_token1,
    STATE(15999), 1,
      sym_attribute,
    STATE(19335), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728343] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(64), 1,
      sym_attribute_id,
    STATE(16000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [728361] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21885), 1,
      aux_sym_quoted_extension_token1,
    STATE(16001), 1,
      sym_attribute,
    STATE(19396), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728381] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(65), 1,
      sym_attribute_id,
    STATE(16002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [728399] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21887), 1,
      aux_sym_quoted_extension_token1,
    STATE(16003), 1,
      sym_attribute,
    STATE(19466), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728419] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(66), 1,
      sym_attribute_id,
    STATE(16004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [728437] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21889), 1,
      aux_sym_quoted_extension_token1,
    STATE(16005), 1,
      sym_attribute,
    STATE(19488), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728457] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(67), 1,
      sym_attribute_id,
    STATE(16006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [728475] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21891), 1,
      aux_sym_quoted_extension_token1,
    STATE(16007), 1,
      sym_attribute,
    STATE(19492), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728495] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(68), 1,
      sym_attribute_id,
    STATE(16008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [728513] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21893), 1,
      aux_sym_quoted_extension_token1,
    STATE(16009), 1,
      sym_attribute,
    STATE(19509), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728533] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(69), 1,
      sym_attribute_id,
    STATE(16010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [728551] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21895), 1,
      aux_sym_quoted_extension_token1,
    STATE(16011), 1,
      sym_attribute,
    STATE(19519), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728571] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(70), 1,
      sym_attribute_id,
    STATE(16012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [728589] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21897), 1,
      aux_sym_quoted_extension_token1,
    STATE(16013), 1,
      sym_attribute,
    STATE(19526), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728609] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(71), 1,
      sym_attribute_id,
    STATE(16014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [728627] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21899), 1,
      aux_sym_quoted_extension_token1,
    STATE(16015), 1,
      sym_attribute,
    STATE(19550), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728647] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(72), 1,
      sym_attribute_id,
    STATE(16016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [728665] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21901), 1,
      aux_sym_quoted_extension_token1,
    STATE(16017), 1,
      sym_attribute,
    STATE(19589), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728685] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(73), 1,
      sym_attribute_id,
    STATE(16018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [728703] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21903), 1,
      aux_sym_quoted_extension_token1,
    STATE(16019), 1,
      sym_attribute,
    STATE(19612), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728723] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(74), 1,
      sym_attribute_id,
    STATE(16020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [728741] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21905), 1,
      aux_sym_quoted_extension_token1,
    STATE(16021), 1,
      sym_attribute,
    STATE(19642), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728761] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(75), 1,
      sym_attribute_id,
    STATE(16022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [728779] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21907), 1,
      aux_sym_quoted_extension_token1,
    STATE(16023), 1,
      sym_attribute,
    STATE(19658), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728799] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(76), 1,
      sym_attribute_id,
    STATE(16024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [728817] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21909), 1,
      aux_sym_quoted_extension_token1,
    STATE(16025), 1,
      sym_attribute,
    STATE(19694), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728837] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(77), 1,
      sym_attribute_id,
    STATE(16026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [728855] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21911), 1,
      aux_sym_quoted_extension_token1,
    STATE(16027), 1,
      sym_attribute,
    STATE(19702), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728875] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(78), 1,
      sym_attribute_id,
    STATE(16028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [728893] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21913), 1,
      aux_sym_quoted_extension_token1,
    STATE(16029), 1,
      sym_attribute,
    STATE(19717), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728913] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(79), 1,
      sym_attribute_id,
    STATE(16030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [728931] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21915), 1,
      aux_sym_quoted_extension_token1,
    STATE(16031), 1,
      sym_attribute,
    STATE(19734), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728951] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(80), 1,
      sym_attribute_id,
    STATE(16032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [728969] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21917), 1,
      aux_sym_quoted_extension_token1,
    STATE(16033), 1,
      sym_attribute,
    STATE(19743), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728989] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(81), 1,
      sym_attribute_id,
    STATE(16034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [729007] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21919), 1,
      aux_sym_quoted_extension_token1,
    STATE(16035), 1,
      sym_attribute,
    STATE(19750), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729027] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(82), 1,
      sym_attribute_id,
    STATE(16036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [729045] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21921), 1,
      aux_sym_quoted_extension_token1,
    STATE(16037), 1,
      sym_attribute,
    STATE(19789), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729065] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(83), 1,
      sym_attribute_id,
    STATE(16038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [729083] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21923), 1,
      aux_sym_quoted_extension_token1,
    STATE(16039), 1,
      sym_attribute,
    STATE(19815), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729103] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(84), 1,
      sym_attribute_id,
    STATE(16040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [729121] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21925), 1,
      aux_sym_quoted_extension_token1,
    STATE(16041), 1,
      sym_attribute,
    STATE(19842), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729141] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(85), 1,
      sym_attribute_id,
    STATE(16042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [729159] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21927), 1,
      aux_sym_quoted_extension_token1,
    STATE(16043), 1,
      sym_attribute,
    STATE(19857), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729179] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(86), 1,
      sym_attribute_id,
    STATE(16044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [729197] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21929), 1,
      aux_sym_quoted_extension_token1,
    STATE(16045), 1,
      sym_attribute,
    STATE(19879), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729217] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(87), 1,
      sym_attribute_id,
    STATE(16046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20747), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [729235] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21931), 1,
      aux_sym_quoted_extension_token1,
    STATE(16047), 1,
      sym_attribute,
    STATE(19918), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729255] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16219), 1,
      sym__capitalized_identifier,
    ACTIONS(18951), 1,
      anon_sym_LPAREN,
    STATE(9814), 1,
      sym__constructor_name,
    STATE(16048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729275] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15244), 1,
      sym_attribute_id,
    STATE(16049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [729293] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12204), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [729309] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21933), 1,
      anon_sym_SEMI,
    ACTIONS(21935), 1,
      anon_sym_RBRACE,
    STATE(16051), 1,
      sym_attribute,
    STATE(16078), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729329] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21937), 1,
      anon_sym_EQ,
    STATE(16052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21939), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [729347] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20389), 1,
      anon_sym_COLON2,
    ACTIONS(21941), 1,
      anon_sym_RPAREN,
    STATE(16053), 1,
      sym_attribute,
    STATE(17805), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729367] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21943), 1,
      anon_sym_SEMI,
    ACTIONS(21945), 1,
      anon_sym_RBRACE,
    STATE(16054), 1,
      sym_attribute,
    STATE(16061), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729387] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21947), 1,
      anon_sym_LPAREN,
    ACTIONS(21949), 1,
      anon_sym_LBRACK,
    ACTIONS(21951), 1,
      anon_sym_LBRACE,
    STATE(16055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729407] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21953), 1,
      anon_sym_SEMI,
    ACTIONS(21955), 1,
      anon_sym_GT_RBRACE,
    STATE(16056), 1,
      sym_attribute,
    STATE(16084), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729427] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21957), 1,
      anon_sym_SEMI,
    ACTIONS(21959), 1,
      anon_sym_GT_RBRACE,
    STATE(16057), 1,
      sym_attribute,
    STATE(16064), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729447] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11009), 1,
      sym_attribute_id,
    STATE(16058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21961), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [729465] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21963), 1,
      anon_sym_LPAREN,
    ACTIONS(21965), 1,
      anon_sym_LBRACK,
    ACTIONS(21967), 1,
      anon_sym_LBRACE,
    STATE(16059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729485] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3803), 1,
      anon_sym_RBRACK,
    ACTIONS(21969), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(16060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729505] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18383), 1,
      anon_sym_RBRACE,
    ACTIONS(21971), 1,
      anon_sym_SEMI,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    STATE(16061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729525] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3805), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21973), 1,
      anon_sym_SEMI,
    STATE(16062), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729545] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16279), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21975), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16063), 2,
      sym_attribute,
      aux_sym_list_expression_repeat1,
  [729563] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19370), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21978), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729583] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21980), 1,
      anon_sym_RPAREN,
    STATE(16065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729603] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18405), 1,
      anon_sym_RBRACE,
    ACTIONS(21982), 1,
      anon_sym_SEMI,
    STATE(16066), 1,
      sym_attribute,
    STATE(16075), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729623] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3377), 1,
      anon_sym_RBRACK,
    ACTIONS(21984), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(16067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729643] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15107), 1,
      anon_sym_in,
    ACTIONS(20512), 1,
      anon_sym_and,
    STATE(16068), 1,
      sym_attribute,
    STATE(16202), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729663] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(21986), 1,
      anon_sym_RPAREN,
    STATE(16069), 1,
      sym_attribute,
    STATE(18644), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729683] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21988), 1,
      anon_sym_SEMI,
    ACTIONS(21990), 1,
      anon_sym_RBRACE,
    STATE(15946), 1,
      aux_sym_record_declaration_repeat1,
    STATE(16070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729703] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9900), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    STATE(16071), 1,
      sym_attribute,
    STATE(16095), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729723] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(21992), 1,
      sym__identifier,
    STATE(16072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729743] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11937), 1,
      anon_sym_LPAREN,
    STATE(9686), 1,
      sym_module_parameter,
    STATE(14438), 1,
      aux_sym_module_binding_repeat1,
    STATE(16073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729763] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(21994), 1,
      anon_sym_RPAREN,
    STATE(16074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729783] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18409), 1,
      anon_sym_RBRACE,
    ACTIONS(21996), 1,
      anon_sym_SEMI,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    STATE(16075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729803] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15378), 1,
      sym_attribute_id,
    STATE(16076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [729821] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17552), 1,
      anon_sym_SEMI,
    ACTIONS(17554), 1,
      anon_sym_GT,
    STATE(16077), 1,
      sym_attribute,
    STATE(16099), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729841] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18449), 1,
      anon_sym_RBRACE,
    ACTIONS(21998), 1,
      anon_sym_SEMI,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    STATE(16078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729861] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22000), 1,
      anon_sym_LPAREN,
    ACTIONS(22002), 1,
      anon_sym_LBRACK,
    ACTIONS(22004), 1,
      anon_sym_LBRACE,
    STATE(16079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729881] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(22006), 1,
      anon_sym_RPAREN,
    STATE(16080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729901] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3401), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22008), 1,
      anon_sym_SEMI,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    STATE(16081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729921] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22010), 1,
      anon_sym_LPAREN,
    ACTIONS(22012), 1,
      anon_sym_LBRACK,
    ACTIONS(22014), 1,
      anon_sym_LBRACE,
    STATE(16082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729941] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22016), 1,
      anon_sym_SEMI,
    ACTIONS(22018), 1,
      anon_sym_RBRACE,
    STATE(16083), 1,
      sym_attribute,
    STATE(16329), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729961] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19316), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22020), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729981] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8518), 1,
      anon_sym_RBRACK,
    ACTIONS(22022), 1,
      anon_sym_SEMI,
    STATE(15277), 1,
      aux_sym_list_pattern_repeat1,
    STATE(16085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730001] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22024), 1,
      anon_sym_SEMI,
    ACTIONS(22026), 1,
      anon_sym_RBRACE,
    STATE(16086), 1,
      sym_attribute,
    STATE(16098), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730021] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22028), 1,
      anon_sym_EQ,
    STATE(16087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22030), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [730039] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(22032), 1,
      anon_sym_RPAREN,
    STATE(16088), 1,
      sym_attribute,
    STATE(19408), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730059] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19402), 1,
      sym__identifier,
    ACTIONS(19406), 1,
      anon_sym_mutable,
    STATE(16070), 1,
      sym_field_declaration,
    STATE(16089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730079] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(22034), 1,
      anon_sym_RPAREN,
    STATE(16090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730099] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22036), 1,
      anon_sym_SEMI,
    ACTIONS(22038), 1,
      anon_sym_GT_RBRACE,
    STATE(16091), 1,
      sym_attribute,
    STATE(16104), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730119] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(22040), 1,
      anon_sym_RPAREN,
    STATE(16092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730139] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19342), 1,
      anon_sym_RBRACK,
    STATE(16093), 1,
      sym_attribute,
    STATE(16119), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730159] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15429), 1,
      sym_attribute_id,
    STATE(16094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [730177] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19342), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730197] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3827), 1,
      anon_sym_RBRACK,
    ACTIONS(22042), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(16096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730217] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18199), 1,
      anon_sym_RBRACE,
    ACTIONS(22044), 1,
      anon_sym_SEMI,
    STATE(15371), 1,
      aux_sym_record_pattern_repeat1,
    STATE(16097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730237] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18447), 1,
      anon_sym_RBRACE,
    ACTIONS(22046), 1,
      anon_sym_SEMI,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    STATE(16098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730257] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11687), 1,
      anon_sym_GT,
    ACTIONS(22048), 1,
      anon_sym_SEMI,
    STATE(15752), 1,
      aux_sym_object_type_repeat1,
    STATE(16099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730277] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3829), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22050), 1,
      anon_sym_SEMI,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    STATE(16100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730297] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18461), 1,
      anon_sym_RBRACE,
    ACTIONS(22052), 1,
      anon_sym_SEMI,
    STATE(16101), 1,
      sym_attribute,
    STATE(16125), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730317] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22054), 1,
      anon_sym_LPAREN,
    ACTIONS(22056), 1,
      anon_sym_LBRACK,
    ACTIONS(22058), 1,
      anon_sym_LBRACE,
    STATE(16102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730337] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18632), 1,
      anon_sym_RBRACE,
    ACTIONS(22060), 1,
      anon_sym_SEMI,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    STATE(16103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730357] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19276), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22062), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730377] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22064), 1,
      sym__identifier,
    ACTIONS(22066), 1,
      anon_sym_LPAREN,
    STATE(7483), 1,
      sym__simple_value_pattern,
    STATE(16105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730397] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(22068), 1,
      anon_sym_RPAREN,
    STATE(16106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730417] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8528), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22070), 1,
      anon_sym_SEMI,
    STATE(15287), 1,
      aux_sym_list_pattern_repeat1,
    STATE(16107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730437] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18453), 1,
      anon_sym_RBRACE,
    ACTIONS(22072), 1,
      anon_sym_SEMI,
    STATE(16108), 1,
      sym_attribute,
    STATE(16113), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730457] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22074), 1,
      anon_sym_LPAREN,
    ACTIONS(22076), 1,
      anon_sym_LBRACK,
    ACTIONS(22078), 1,
      anon_sym_LBRACE,
    STATE(16109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730477] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(22080), 1,
      sym__identifier,
    STATE(16110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730497] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(22082), 1,
      sym__identifier,
    STATE(16111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730517] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(22084), 1,
      anon_sym_RPAREN,
    STATE(16112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730537] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18459), 1,
      anon_sym_RBRACE,
    ACTIONS(22086), 1,
      anon_sym_SEMI,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    STATE(16113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730557] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(22088), 1,
      anon_sym_RPAREN,
    STATE(16114), 1,
      sym_attribute,
    STATE(19461), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730577] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(22090), 1,
      anon_sym_RPAREN,
    STATE(16115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730597] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15485), 1,
      sym_attribute_id,
    STATE(16116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [730615] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(22092), 1,
      anon_sym_RPAREN,
    STATE(16117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730635] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(22094), 1,
      anon_sym_EQ,
    STATE(16118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730655] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19418), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730675] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19418), 1,
      anon_sym_RBRACK,
    STATE(16120), 1,
      sym_attribute,
    STATE(16129), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730695] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22096), 1,
      anon_sym_LPAREN,
    ACTIONS(22098), 1,
      anon_sym_LBRACK,
    ACTIONS(22100), 1,
      anon_sym_LBRACE,
    STATE(16121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730715] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22102), 1,
      anon_sym_SEMI,
    ACTIONS(22104), 1,
      anon_sym_GT_RBRACE,
    STATE(15037), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730735] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(22106), 1,
      anon_sym_RPAREN,
    STATE(16123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730755] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22108), 1,
      anon_sym_LPAREN,
    ACTIONS(22110), 1,
      anon_sym_LBRACK,
    ACTIONS(22112), 1,
      anon_sym_LBRACE,
    STATE(16124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730775] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18465), 1,
      anon_sym_RBRACE,
    ACTIONS(22114), 1,
      anon_sym_SEMI,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    STATE(16125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730795] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15528), 1,
      sym_attribute_id,
    STATE(16126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [730813] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22116), 1,
      anon_sym_SEMI,
    ACTIONS(22118), 1,
      anon_sym_RBRACE,
    STATE(16127), 1,
      sym_attribute,
    STATE(16137), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730833] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22120), 1,
      anon_sym_LPAREN,
    ACTIONS(22122), 1,
      anon_sym_LBRACK,
    ACTIONS(22124), 1,
      anon_sym_LBRACE,
    STATE(16128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730853] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19446), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730873] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22126), 1,
      anon_sym_SEMI,
    ACTIONS(22128), 1,
      anon_sym_GT_RBRACE,
    STATE(16130), 1,
      sym_attribute,
    STATE(16142), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730893] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22130), 1,
      anon_sym_LPAREN,
    ACTIONS(22132), 1,
      anon_sym_LBRACK,
    ACTIONS(22134), 1,
      anon_sym_LBRACE,
    STATE(16131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730913] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15546), 1,
      sym_attribute_id,
    STATE(16132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [730931] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(22136), 1,
      anon_sym_RPAREN,
    STATE(16133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730951] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3849), 1,
      anon_sym_RBRACK,
    ACTIONS(22138), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(16134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730971] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22140), 1,
      sym__identifier,
    ACTIONS(22142), 1,
      anon_sym_LPAREN,
    STATE(7711), 1,
      sym__simple_value_pattern,
    STATE(16135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730991] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22144), 1,
      anon_sym_LPAREN,
    ACTIONS(22146), 1,
      anon_sym_LBRACK,
    ACTIONS(22148), 1,
      anon_sym_LBRACE,
    STATE(16136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731011] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18507), 1,
      anon_sym_RBRACE,
    ACTIONS(22150), 1,
      anon_sym_SEMI,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    STATE(16137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731031] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22152), 1,
      anon_sym_LPAREN,
    ACTIONS(22154), 1,
      anon_sym_LBRACK,
    ACTIONS(22156), 1,
      anon_sym_LBRACE,
    STATE(16138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731051] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3851), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22158), 1,
      anon_sym_SEMI,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    STATE(16139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731071] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22160), 1,
      anon_sym_SEMI,
    ACTIONS(22162), 1,
      anon_sym_RBRACE,
    STATE(16140), 1,
      sym_attribute,
    STATE(16246), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731091] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15572), 1,
      sym_attribute_id,
    STATE(16141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [731109] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22164), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731129] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22166), 1,
      anon_sym_SEMI,
    ACTIONS(22169), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16143), 2,
      sym_attribute,
      aux_sym_record_declaration_repeat1,
  [731147] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13178), 1,
      sym__type_equation,
    STATE(16144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21532), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [731165] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22171), 1,
      anon_sym_LPAREN,
    ACTIONS(22173), 1,
      anon_sym_LBRACK,
    ACTIONS(22175), 1,
      anon_sym_LBRACE,
    STATE(16145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731185] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(22177), 1,
      anon_sym_RPAREN,
    STATE(16146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731205] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20561), 1,
      anon_sym_COMMA,
    ACTIONS(21829), 1,
      anon_sym_RBRACK,
    STATE(15143), 1,
      aux_sym__type_params_repeat1,
    STATE(16147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731225] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22179), 1,
      anon_sym_LPAREN,
    ACTIONS(22181), 1,
      anon_sym_LBRACK,
    ACTIONS(22183), 1,
      anon_sym_LBRACE,
    STATE(16148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731245] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18513), 1,
      anon_sym_RBRACE,
    ACTIONS(22185), 1,
      anon_sym_SEMI,
    STATE(16149), 1,
      sym_attribute,
    STATE(16156), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731265] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15586), 1,
      sym_attribute_id,
    STATE(16150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [731283] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(22187), 1,
      sym__identifier,
    STATE(16151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731303] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22189), 1,
      anon_sym_LPAREN,
    ACTIONS(22191), 1,
      anon_sym_LBRACK,
    ACTIONS(22193), 1,
      anon_sym_LBRACE,
    STATE(16152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731323] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22195), 1,
      anon_sym_LPAREN,
    ACTIONS(22197), 1,
      anon_sym_LBRACK,
    ACTIONS(22199), 1,
      anon_sym_LBRACE,
    STATE(16153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731343] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15608), 1,
      sym_attribute_id,
    STATE(16154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [731361] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(22201), 1,
      anon_sym_RPAREN,
    STATE(16155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731381] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18519), 1,
      anon_sym_RBRACE,
    ACTIONS(22203), 1,
      anon_sym_SEMI,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    STATE(16156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731401] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22205), 1,
      anon_sym_SEMI,
    ACTIONS(22207), 1,
      anon_sym_GT_RBRACE,
    STATE(16157), 1,
      sym_attribute,
    STATE(16297), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731421] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22209), 1,
      anon_sym_LPAREN,
    ACTIONS(22211), 1,
      anon_sym_LBRACK,
    ACTIONS(22213), 1,
      anon_sym_LBRACE,
    STATE(16158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731441] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22215), 1,
      anon_sym_LPAREN,
    ACTIONS(22217), 1,
      anon_sym_LBRACK,
    ACTIONS(22219), 1,
      anon_sym_LBRACE,
    STATE(16159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731461] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15633), 1,
      sym_attribute_id,
    STATE(16160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [731479] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18827), 1,
      anon_sym_LPAREN,
    ACTIONS(22221), 1,
      sym__capitalized_identifier,
    STATE(10378), 1,
      sym__constructor_name,
    STATE(16161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731499] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22223), 1,
      anon_sym_LPAREN,
    ACTIONS(22225), 1,
      anon_sym_LBRACK,
    ACTIONS(22227), 1,
      anon_sym_LBRACE,
    STATE(16162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731519] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22229), 1,
      anon_sym_LPAREN,
    ACTIONS(22231), 1,
      anon_sym_LBRACK,
    ACTIONS(22233), 1,
      anon_sym_LBRACE,
    STATE(16163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731539] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15654), 1,
      sym_attribute_id,
    STATE(16164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [731557] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(22235), 1,
      anon_sym_RPAREN,
    STATE(16165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731577] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8712), 1,
      anon_sym_RBRACK,
    ACTIONS(22237), 1,
      anon_sym_SEMI,
    STATE(15414), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(16166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731597] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22239), 1,
      anon_sym_LPAREN,
    ACTIONS(22241), 1,
      anon_sym_LBRACK,
    ACTIONS(22243), 1,
      anon_sym_LBRACE,
    STATE(16167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731617] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22245), 1,
      anon_sym_LPAREN,
    ACTIONS(22247), 1,
      anon_sym_LBRACK,
    ACTIONS(22249), 1,
      anon_sym_LBRACE,
    STATE(16168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731637] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15678), 1,
      sym_attribute_id,
    STATE(16169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [731655] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15085), 1,
      anon_sym_in,
    ACTIONS(20512), 1,
      anon_sym_and,
    STATE(15118), 1,
      aux_sym_module_definition_repeat1,
    STATE(16170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731675] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22251), 1,
      anon_sym_LPAREN,
    ACTIONS(22253), 1,
      anon_sym_LBRACK,
    ACTIONS(22255), 1,
      anon_sym_LBRACE,
    STATE(16171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731695] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22257), 1,
      anon_sym_LPAREN,
    ACTIONS(22259), 1,
      anon_sym_LBRACK,
    ACTIONS(22261), 1,
      anon_sym_LBRACE,
    STATE(16172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731715] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15694), 1,
      sym_attribute_id,
    STATE(16173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [731733] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22263), 1,
      anon_sym_LPAREN,
    ACTIONS(22265), 1,
      anon_sym_LBRACK,
    ACTIONS(22267), 1,
      anon_sym_LBRACE,
    STATE(16174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731753] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22269), 1,
      anon_sym_LPAREN,
    ACTIONS(22271), 1,
      anon_sym_LBRACK,
    ACTIONS(22273), 1,
      anon_sym_LBRACE,
    STATE(16175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731773] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15709), 1,
      sym_attribute_id,
    STATE(16176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [731791] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22275), 1,
      anon_sym_SEMI,
    ACTIONS(22277), 1,
      anon_sym_RBRACE,
    STATE(16177), 1,
      sym_attribute,
    STATE(16390), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731811] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22279), 1,
      anon_sym_SEMI,
    ACTIONS(22281), 1,
      anon_sym_RBRACE,
    STATE(16178), 1,
      sym_attribute,
    STATE(16194), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731831] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22283), 1,
      anon_sym_SEMI,
    ACTIONS(22285), 1,
      anon_sym_RBRACE,
    STATE(15070), 1,
      aux_sym_record_pattern_repeat1,
    STATE(16179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731851] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22287), 1,
      anon_sym_LPAREN,
    ACTIONS(22289), 1,
      anon_sym_LBRACK,
    ACTIONS(22291), 1,
      anon_sym_LBRACE,
    STATE(16180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731871] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22293), 1,
      anon_sym_LPAREN,
    ACTIONS(22295), 1,
      anon_sym_LBRACK,
    ACTIONS(22297), 1,
      anon_sym_LBRACE,
    STATE(16181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731891] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15722), 1,
      sym_attribute_id,
    STATE(16182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [731909] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22299), 1,
      anon_sym_SEMI,
    ACTIONS(22301), 1,
      anon_sym_RBRACE,
    STATE(16183), 1,
      sym_attribute,
    STATE(16412), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731929] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22303), 1,
      anon_sym_SEMI,
    ACTIONS(22305), 1,
      anon_sym_GT_RBRACE,
    STATE(16184), 1,
      sym_attribute,
    STATE(16201), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731949] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22307), 1,
      anon_sym_LPAREN,
    ACTIONS(22309), 1,
      anon_sym_LBRACK,
    ACTIONS(22311), 1,
      anon_sym_LBRACE,
    STATE(16185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731969] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17941), 1,
      anon_sym_RBRACE,
    ACTIONS(22313), 1,
      anon_sym_SEMI,
    STATE(15475), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(16186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731989] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22315), 1,
      anon_sym_LPAREN,
    ACTIONS(22317), 1,
      anon_sym_LBRACK,
    ACTIONS(22319), 1,
      anon_sym_LBRACE,
    STATE(16187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732009] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15737), 1,
      sym_attribute_id,
    STATE(16188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [732027] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22321), 1,
      anon_sym_LPAREN,
    ACTIONS(22323), 1,
      anon_sym_LBRACK,
    ACTIONS(22325), 1,
      anon_sym_LBRACE,
    STATE(16189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732047] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3871), 1,
      anon_sym_RBRACK,
    ACTIONS(22327), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(16190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732067] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22329), 1,
      anon_sym_LPAREN,
    ACTIONS(22331), 1,
      anon_sym_LBRACK,
    ACTIONS(22333), 1,
      anon_sym_LBRACE,
    STATE(16191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732087] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15751), 1,
      sym_attribute_id,
    STATE(16192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [732105] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8714), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22335), 1,
      anon_sym_SEMI,
    STATE(15289), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(16193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732125] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18543), 1,
      anon_sym_RBRACE,
    ACTIONS(22337), 1,
      anon_sym_SEMI,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    STATE(16194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732145] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22339), 1,
      anon_sym_SEMI,
    ACTIONS(22341), 1,
      anon_sym_RBRACE,
    STATE(15110), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(16195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732165] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3873), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22343), 1,
      anon_sym_SEMI,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    STATE(16196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732185] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22345), 1,
      anon_sym_LPAREN,
    ACTIONS(22347), 1,
      anon_sym_LBRACK,
    ACTIONS(22349), 1,
      anon_sym_LBRACE,
    STATE(16197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732205] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22351), 1,
      anon_sym_LPAREN,
    ACTIONS(22353), 1,
      anon_sym_LBRACK,
    ACTIONS(22355), 1,
      anon_sym_LBRACE,
    STATE(16198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732225] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15765), 1,
      sym_attribute_id,
    STATE(16199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [732243] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16200), 1,
      sym_attribute,
    STATE(16904), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18585), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [732261] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20189), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22357), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732281] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15085), 1,
      anon_sym_in,
    ACTIONS(20512), 1,
      anon_sym_and,
    STATE(15140), 1,
      aux_sym_module_definition_repeat1,
    STATE(16202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732301] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15141), 1,
      sym_module_binding,
    STATE(16203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18585), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [732319] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22359), 1,
      anon_sym_LPAREN,
    ACTIONS(22361), 1,
      anon_sym_LBRACK,
    ACTIONS(22363), 1,
      anon_sym_LBRACE,
    STATE(16204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732339] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22365), 1,
      anon_sym_LPAREN,
    ACTIONS(22367), 1,
      anon_sym_LBRACK,
    ACTIONS(22369), 1,
      anon_sym_LBRACE,
    STATE(16205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732359] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15781), 1,
      sym_attribute_id,
    STATE(16206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [732377] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(13426), 1,
      sym_attribute_id,
    STATE(16207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22371), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [732395] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16170), 1,
      sym_module_binding,
    STATE(16208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18585), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [732413] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22373), 1,
      anon_sym_LPAREN,
    ACTIONS(22375), 1,
      anon_sym_LBRACK,
    ACTIONS(22377), 1,
      anon_sym_LBRACE,
    STATE(16209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732433] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(22379), 1,
      anon_sym_RPAREN,
    STATE(16210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732453] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22381), 1,
      anon_sym_LPAREN,
    ACTIONS(22383), 1,
      anon_sym_LBRACK,
    ACTIONS(22385), 1,
      anon_sym_LBRACE,
    STATE(16211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732473] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15793), 1,
      sym_attribute_id,
    STATE(16212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [732491] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18555), 1,
      anon_sym_RBRACE,
    ACTIONS(22387), 1,
      anon_sym_SEMI,
    STATE(16213), 1,
      sym_attribute,
    STATE(16224), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732511] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(22389), 1,
      anon_sym_RPAREN,
    STATE(16214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732531] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3343), 1,
      anon_sym_RBRACK,
    ACTIONS(22391), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(16215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732551] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22393), 1,
      anon_sym_LPAREN,
    ACTIONS(22395), 1,
      anon_sym_LBRACK,
    ACTIONS(22397), 1,
      anon_sym_LBRACE,
    STATE(16216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732571] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22399), 1,
      anon_sym_LPAREN,
    ACTIONS(22401), 1,
      anon_sym_LBRACK,
    ACTIONS(22403), 1,
      anon_sym_LBRACE,
    STATE(16217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732591] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15805), 1,
      sym_attribute_id,
    STATE(16218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [732609] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(22405), 1,
      sym__identifier,
    STATE(16219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732629] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22407), 1,
      anon_sym_LPAREN,
    ACTIONS(22409), 1,
      anon_sym_LBRACK,
    ACTIONS(22411), 1,
      anon_sym_LBRACE,
    STATE(16220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732649] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22413), 1,
      anon_sym_LPAREN,
    ACTIONS(22415), 1,
      anon_sym_LBRACK,
    ACTIONS(22417), 1,
      anon_sym_LBRACE,
    STATE(16221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732669] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15815), 1,
      sym_attribute_id,
    STATE(16222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [732687] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(22419), 1,
      anon_sym_RPAREN,
    STATE(16223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732707] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18559), 1,
      anon_sym_RBRACE,
    ACTIONS(22421), 1,
      anon_sym_SEMI,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    STATE(16224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732727] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22423), 1,
      anon_sym_LPAREN,
    ACTIONS(22425), 1,
      anon_sym_LBRACK,
    ACTIONS(22427), 1,
      anon_sym_LBRACE,
    STATE(16225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732747] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22429), 1,
      anon_sym_LPAREN,
    ACTIONS(22431), 1,
      anon_sym_LBRACK,
    ACTIONS(22433), 1,
      anon_sym_LBRACE,
    STATE(16226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732767] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15820), 1,
      sym_attribute_id,
    STATE(16227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [732785] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22435), 1,
      anon_sym_LPAREN,
    ACTIONS(22437), 1,
      anon_sym_LBRACK,
    ACTIONS(22439), 1,
      anon_sym_LBRACE,
    STATE(16228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732805] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22441), 1,
      anon_sym_LPAREN,
    ACTIONS(22443), 1,
      anon_sym_LBRACK,
    ACTIONS(22445), 1,
      anon_sym_LBRACE,
    STATE(16229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732825] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15824), 1,
      sym_attribute_id,
    STATE(16230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [732843] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10151), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    STATE(16231), 1,
      sym_attribute,
    STATE(16438), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732863] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22447), 1,
      anon_sym_LPAREN,
    ACTIONS(22449), 1,
      anon_sym_LBRACK,
    ACTIONS(22451), 1,
      anon_sym_LBRACE,
    STATE(16232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732883] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22453), 1,
      anon_sym_LPAREN,
    ACTIONS(22455), 1,
      anon_sym_LBRACK,
    ACTIONS(22457), 1,
      anon_sym_LBRACE,
    STATE(16233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732903] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15831), 1,
      sym_attribute_id,
    STATE(16234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [732921] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22459), 1,
      anon_sym_SEMI,
    ACTIONS(22461), 1,
      anon_sym_RBRACE,
    STATE(15231), 1,
      aux_sym_record_expression_repeat1,
    STATE(16235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732941] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22463), 1,
      anon_sym_RPAREN,
    STATE(16236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22465), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [732959] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22467), 1,
      anon_sym_LPAREN,
    ACTIONS(22469), 1,
      anon_sym_LBRACK,
    ACTIONS(22471), 1,
      anon_sym_LBRACE,
    STATE(16237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732979] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22473), 1,
      anon_sym_LPAREN,
    ACTIONS(22475), 1,
      anon_sym_LBRACK,
    ACTIONS(22477), 1,
      anon_sym_LBRACE,
    STATE(16238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732999] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15838), 1,
      sym_attribute_id,
    STATE(16239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [733017] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17524), 1,
      anon_sym_SEMI,
    ACTIONS(17526), 1,
      anon_sym_GT,
    STATE(15031), 1,
      aux_sym_object_type_repeat1,
    STATE(16240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733037] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(22479), 1,
      anon_sym_RPAREN,
    STATE(16241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733057] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(22481), 1,
      anon_sym_RPAREN,
    STATE(16242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733077] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22483), 1,
      anon_sym_LPAREN,
    ACTIONS(22485), 1,
      anon_sym_LBRACK,
    ACTIONS(22487), 1,
      anon_sym_LBRACE,
    STATE(16243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733097] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22489), 1,
      anon_sym_LPAREN,
    ACTIONS(22491), 1,
      anon_sym_LBRACK,
    ACTIONS(22493), 1,
      anon_sym_LBRACE,
    STATE(16244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733117] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15846), 1,
      sym_attribute_id,
    STATE(16245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [733135] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18537), 1,
      anon_sym_RBRACE,
    ACTIONS(22495), 1,
      anon_sym_SEMI,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    STATE(16246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733155] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22497), 1,
      sym__identifier,
    ACTIONS(22499), 1,
      anon_sym_LPAREN,
    STATE(10290), 1,
      sym__simple_value_pattern,
    STATE(16247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733175] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22501), 1,
      anon_sym_LPAREN,
    ACTIONS(22503), 1,
      anon_sym_LBRACK,
    ACTIONS(22505), 1,
      anon_sym_LBRACE,
    STATE(16248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733195] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22507), 1,
      anon_sym_LPAREN,
    ACTIONS(22509), 1,
      anon_sym_LBRACK,
    ACTIONS(22511), 1,
      anon_sym_LBRACE,
    STATE(16249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733215] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15854), 1,
      sym_attribute_id,
    STATE(16250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [733233] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22513), 1,
      anon_sym_LPAREN,
    ACTIONS(22515), 1,
      anon_sym_LBRACK,
    ACTIONS(22517), 1,
      anon_sym_LBRACE,
    STATE(16251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733253] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22519), 1,
      anon_sym_LPAREN,
    ACTIONS(22521), 1,
      anon_sym_LBRACK,
    ACTIONS(22523), 1,
      anon_sym_LBRACE,
    STATE(16252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733273] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15861), 1,
      sym_attribute_id,
    STATE(16253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [733291] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(22525), 1,
      anon_sym_RPAREN,
    STATE(16254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733311] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22527), 1,
      anon_sym_SEMI,
    ACTIONS(22529), 1,
      anon_sym_RBRACE,
    STATE(16255), 1,
      sym_attribute,
    STATE(16380), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733331] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22531), 1,
      anon_sym_LPAREN,
    ACTIONS(22533), 1,
      anon_sym_LBRACK,
    ACTIONS(22535), 1,
      anon_sym_LBRACE,
    STATE(16256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733351] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22537), 1,
      anon_sym_LPAREN,
    ACTIONS(22539), 1,
      anon_sym_LBRACK,
    ACTIONS(22541), 1,
      anon_sym_LBRACE,
    STATE(16257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733371] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15871), 1,
      sym_attribute_id,
    STATE(16258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [733389] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22543), 1,
      anon_sym_SEMI,
    ACTIONS(22545), 1,
      anon_sym_RBRACE,
    STATE(16259), 1,
      sym_attribute,
    STATE(16278), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733409] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3745), 1,
      anon_sym_RBRACK,
    ACTIONS(22547), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(16260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733429] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3349), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22549), 1,
      anon_sym_SEMI,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    STATE(16261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733449] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22551), 1,
      anon_sym_LPAREN,
    ACTIONS(22553), 1,
      anon_sym_LBRACK,
    ACTIONS(22555), 1,
      anon_sym_LBRACE,
    STATE(16262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733469] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22557), 1,
      anon_sym_LPAREN,
    ACTIONS(22559), 1,
      anon_sym_LBRACK,
    ACTIONS(22561), 1,
      anon_sym_LBRACE,
    STATE(16263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733489] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15881), 1,
      sym_attribute_id,
    STATE(16264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [733507] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22563), 1,
      anon_sym_SEMI,
    ACTIONS(22565), 1,
      anon_sym_GT_RBRACE,
    STATE(16265), 1,
      sym_attribute,
    STATE(16289), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733527] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22567), 1,
      anon_sym_LPAREN,
    ACTIONS(22569), 1,
      anon_sym_LBRACK,
    ACTIONS(22571), 1,
      anon_sym_LBRACE,
    STATE(16266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733547] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22573), 1,
      anon_sym_LPAREN,
    ACTIONS(22575), 1,
      anon_sym_LBRACK,
    ACTIONS(22577), 1,
      anon_sym_LBRACE,
    STATE(16267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733567] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15891), 1,
      sym_attribute_id,
    STATE(16268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [733585] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22579), 1,
      anon_sym_SEMI,
    ACTIONS(22581), 1,
      anon_sym_RBRACE,
    STATE(15845), 1,
      aux_sym_record_expression_repeat1,
    STATE(16269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733605] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22583), 1,
      anon_sym_LPAREN,
    ACTIONS(22585), 1,
      anon_sym_LBRACK,
    ACTIONS(22587), 1,
      anon_sym_LBRACE,
    STATE(16270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733625] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22589), 1,
      anon_sym_LPAREN,
    ACTIONS(22591), 1,
      anon_sym_LBRACK,
    ACTIONS(22593), 1,
      anon_sym_LBRACE,
    STATE(16271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733645] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15899), 1,
      sym_attribute_id,
    STATE(16272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [733663] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(22595), 1,
      anon_sym_RPAREN,
    STATE(14695), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733683] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3897), 1,
      anon_sym_RBRACK,
    ACTIONS(22597), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(16274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733703] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22599), 1,
      anon_sym_LPAREN,
    ACTIONS(22601), 1,
      anon_sym_LBRACK,
    ACTIONS(22603), 1,
      anon_sym_LBRACE,
    STATE(16275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733723] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22605), 1,
      anon_sym_LPAREN,
    ACTIONS(22607), 1,
      anon_sym_LBRACK,
    ACTIONS(22609), 1,
      anon_sym_LBRACE,
    STATE(16276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733743] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15907), 1,
      sym_attribute_id,
    STATE(16277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [733761] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18589), 1,
      anon_sym_RBRACE,
    ACTIONS(22611), 1,
      anon_sym_SEMI,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    STATE(16278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733781] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22613), 1,
      anon_sym_SEMI,
    ACTIONS(22615), 1,
      anon_sym_GT_RBRACE,
    STATE(15161), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733801] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22617), 1,
      anon_sym_SEMI,
    ACTIONS(22619), 1,
      anon_sym_GT_RBRACE,
    STATE(16280), 1,
      sym_attribute,
    STATE(16391), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733821] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22621), 1,
      anon_sym_LPAREN,
    ACTIONS(22623), 1,
      anon_sym_LBRACK,
    ACTIONS(22625), 1,
      anon_sym_LBRACE,
    STATE(16281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733841] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(11276), 1,
      anon_sym_DOT,
    ACTIONS(22627), 1,
      anon_sym_RPAREN,
    STATE(16282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733861] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22629), 1,
      anon_sym_LPAREN,
    ACTIONS(22631), 1,
      anon_sym_LBRACK,
    ACTIONS(22633), 1,
      anon_sym_LBRACE,
    STATE(16283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733881] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15913), 1,
      sym_attribute_id,
    STATE(16284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [733899] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3899), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22635), 1,
      anon_sym_SEMI,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    STATE(16285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733919] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22637), 1,
      anon_sym_LPAREN,
    ACTIONS(22639), 1,
      anon_sym_LBRACK,
    ACTIONS(22641), 1,
      anon_sym_LBRACE,
    STATE(16286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733939] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22643), 1,
      anon_sym_LPAREN,
    ACTIONS(22645), 1,
      anon_sym_LBRACK,
    ACTIONS(22647), 1,
      anon_sym_LBRACE,
    STATE(16287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733959] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15922), 1,
      sym_attribute_id,
    STATE(16288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [733977] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19338), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22649), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733997] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10201), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    STATE(15130), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734017] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22651), 1,
      anon_sym_LPAREN,
    ACTIONS(22653), 1,
      anon_sym_LBRACK,
    ACTIONS(22655), 1,
      anon_sym_LBRACE,
    STATE(16291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734037] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22657), 1,
      anon_sym_LPAREN,
    ACTIONS(22659), 1,
      anon_sym_LBRACK,
    ACTIONS(22661), 1,
      anon_sym_LBRACE,
    STATE(16292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734057] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15929), 1,
      sym_attribute_id,
    STATE(16293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [734075] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(11276), 1,
      anon_sym_DOT,
    ACTIONS(22663), 1,
      anon_sym_RPAREN,
    STATE(16294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734095] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(22665), 1,
      anon_sym_RPAREN,
    STATE(16295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734115] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18604), 1,
      anon_sym_RBRACE,
    ACTIONS(22667), 1,
      anon_sym_SEMI,
    STATE(16296), 1,
      sym_attribute,
    STATE(16314), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734135] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20195), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22669), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734155] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22671), 1,
      anon_sym_LPAREN,
    ACTIONS(22673), 1,
      anon_sym_LBRACK,
    ACTIONS(22675), 1,
      anon_sym_LBRACE,
    STATE(16298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734175] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22677), 1,
      anon_sym_LPAREN,
    ACTIONS(22679), 1,
      anon_sym_LBRACK,
    ACTIONS(22681), 1,
      anon_sym_LBRACE,
    STATE(16299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734195] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15936), 1,
      sym_attribute_id,
    STATE(16300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [734213] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22683), 1,
      anon_sym_LPAREN,
    ACTIONS(22685), 1,
      anon_sym_LBRACK,
    ACTIONS(22687), 1,
      anon_sym_LBRACE,
    STATE(16301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734233] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22689), 1,
      anon_sym_LPAREN,
    ACTIONS(22691), 1,
      anon_sym_LBRACK,
    ACTIONS(22693), 1,
      anon_sym_LBRACE,
    STATE(16302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734253] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15944), 1,
      sym_attribute_id,
    STATE(16303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [734271] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22695), 1,
      anon_sym_LPAREN,
    ACTIONS(22697), 1,
      anon_sym_LBRACK,
    ACTIONS(22699), 1,
      anon_sym_LBRACE,
    STATE(16304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734291] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22701), 1,
      anon_sym_LPAREN,
    ACTIONS(22703), 1,
      anon_sym_LBRACK,
    ACTIONS(22705), 1,
      anon_sym_LBRACE,
    STATE(16305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734311] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15953), 1,
      sym_attribute_id,
    STATE(16306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [734329] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22707), 1,
      anon_sym_SEMI,
    ACTIONS(22709), 1,
      anon_sym_RBRACE,
    STATE(15759), 1,
      aux_sym_record_pattern_repeat1,
    STATE(16307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734349] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(22711), 1,
      sym__identifier,
    STATE(16308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734369] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(22713), 1,
      anon_sym_RPAREN,
    STATE(16309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734389] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22715), 1,
      anon_sym_LPAREN,
    ACTIONS(22717), 1,
      anon_sym_LBRACK,
    ACTIONS(22719), 1,
      anon_sym_LBRACE,
    STATE(16310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734409] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22721), 1,
      anon_sym_SEMI,
    ACTIONS(22723), 1,
      anon_sym_RBRACE,
    STATE(15877), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(16311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734429] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22725), 1,
      anon_sym_LPAREN,
    ACTIONS(22727), 1,
      anon_sym_LBRACK,
    ACTIONS(22729), 1,
      anon_sym_LBRACE,
    STATE(16312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734449] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15957), 1,
      sym_attribute_id,
    STATE(16313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [734467] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18614), 1,
      anon_sym_RBRACE,
    ACTIONS(22731), 1,
      anon_sym_SEMI,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    STATE(16314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734487] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(22733), 1,
      anon_sym_RPAREN,
    STATE(16315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734507] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22735), 1,
      anon_sym_LPAREN,
    ACTIONS(22737), 1,
      anon_sym_LBRACK,
    ACTIONS(22739), 1,
      anon_sym_LBRACE,
    STATE(16316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734527] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22741), 1,
      anon_sym_LPAREN,
    ACTIONS(22743), 1,
      anon_sym_LBRACK,
    ACTIONS(22745), 1,
      anon_sym_LBRACE,
    STATE(16317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734547] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15964), 1,
      sym_attribute_id,
    STATE(16318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [734565] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17586), 1,
      anon_sym_SEMI,
    ACTIONS(17588), 1,
      anon_sym_GT,
    STATE(15133), 1,
      aux_sym_object_type_repeat1,
    STATE(16319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734585] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3737), 1,
      anon_sym_RBRACK,
    ACTIONS(22747), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(16320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734605] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22749), 1,
      anon_sym_LPAREN,
    ACTIONS(22751), 1,
      anon_sym_LBRACK,
    ACTIONS(22753), 1,
      anon_sym_LBRACE,
    STATE(16321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734625] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22755), 1,
      anon_sym_LPAREN,
    ACTIONS(22757), 1,
      anon_sym_LBRACK,
    ACTIONS(22759), 1,
      anon_sym_LBRACE,
    STATE(16322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734645] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15971), 1,
      sym_attribute_id,
    STATE(16323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [734663] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9974), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    STATE(16324), 1,
      sym_attribute,
    STATE(16405), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734683] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19636), 1,
      anon_sym_RBRACK,
    STATE(15948), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734703] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17516), 1,
      anon_sym_SEMI,
    ACTIONS(17518), 1,
      anon_sym_GT,
    STATE(16326), 1,
      sym_attribute,
    STATE(16410), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734723] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22761), 1,
      anon_sym_LPAREN,
    ACTIONS(22763), 1,
      anon_sym_LBRACK,
    ACTIONS(22765), 1,
      anon_sym_LBRACE,
    STATE(16327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734743] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15975), 1,
      sym_attribute_id,
    STATE(16328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [734761] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18787), 1,
      anon_sym_RBRACE,
    ACTIONS(22767), 1,
      anon_sym_SEMI,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    STATE(16329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734781] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22769), 1,
      anon_sym_LPAREN,
    ACTIONS(22771), 1,
      anon_sym_LBRACK,
    ACTIONS(22773), 1,
      anon_sym_LBRACE,
    STATE(16330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734801] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(22775), 1,
      anon_sym_RPAREN,
    STATE(16331), 1,
      sym_attribute,
    STATE(18538), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734821] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15978), 1,
      sym_attribute_id,
    STATE(16332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [734839] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22777), 1,
      anon_sym_LPAREN,
    ACTIONS(22779), 1,
      anon_sym_LBRACK,
    ACTIONS(22781), 1,
      anon_sym_LBRACE,
    STATE(16333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734859] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15981), 1,
      sym_attribute_id,
    STATE(16334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [734877] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22783), 1,
      anon_sym_LPAREN,
    ACTIONS(22785), 1,
      anon_sym_LBRACK,
    ACTIONS(22787), 1,
      anon_sym_LBRACE,
    STATE(16335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734897] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15983), 1,
      sym_attribute_id,
    STATE(16336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [734915] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22789), 1,
      anon_sym_LPAREN,
    ACTIONS(22791), 1,
      anon_sym_LBRACK,
    ACTIONS(22793), 1,
      anon_sym_LBRACE,
    STATE(16337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734935] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15985), 1,
      sym_attribute_id,
    STATE(16338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [734953] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22795), 1,
      anon_sym_LPAREN,
    ACTIONS(22797), 1,
      anon_sym_LBRACK,
    ACTIONS(22799), 1,
      anon_sym_LBRACE,
    STATE(16339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734973] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15987), 1,
      sym_attribute_id,
    STATE(16340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [734991] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22801), 1,
      anon_sym_LPAREN,
    ACTIONS(22803), 1,
      anon_sym_LBRACK,
    ACTIONS(22805), 1,
      anon_sym_LBRACE,
    STATE(16341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735011] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15989), 1,
      sym_attribute_id,
    STATE(16342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735029] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22807), 1,
      anon_sym_LPAREN,
    ACTIONS(22809), 1,
      anon_sym_LBRACK,
    ACTIONS(22811), 1,
      anon_sym_LBRACE,
    STATE(16343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735049] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15991), 1,
      sym_attribute_id,
    STATE(16344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735067] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22813), 1,
      anon_sym_LPAREN,
    ACTIONS(22815), 1,
      anon_sym_LBRACK,
    ACTIONS(22817), 1,
      anon_sym_LBRACE,
    STATE(16345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735087] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15993), 1,
      sym_attribute_id,
    STATE(16346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735105] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22819), 1,
      anon_sym_LPAREN,
    ACTIONS(22821), 1,
      anon_sym_LBRACK,
    ACTIONS(22823), 1,
      anon_sym_LBRACE,
    STATE(16347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735125] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15995), 1,
      sym_attribute_id,
    STATE(16348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735143] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22825), 1,
      anon_sym_LPAREN,
    ACTIONS(22827), 1,
      anon_sym_LBRACK,
    ACTIONS(22829), 1,
      anon_sym_LBRACE,
    STATE(16349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735163] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10052), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    STATE(15041), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735183] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15997), 1,
      sym_attribute_id,
    STATE(16351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735201] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22831), 1,
      anon_sym_LPAREN,
    ACTIONS(22833), 1,
      anon_sym_LBRACK,
    ACTIONS(22835), 1,
      anon_sym_LBRACE,
    STATE(16352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735221] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(15999), 1,
      sym_attribute_id,
    STATE(16353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735239] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22837), 1,
      anon_sym_LPAREN,
    ACTIONS(22839), 1,
      anon_sym_LBRACK,
    ACTIONS(22841), 1,
      anon_sym_LBRACE,
    STATE(16354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735259] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16001), 1,
      sym_attribute_id,
    STATE(16355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735277] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22843), 1,
      anon_sym_LPAREN,
    ACTIONS(22845), 1,
      anon_sym_LBRACK,
    ACTIONS(22847), 1,
      anon_sym_LBRACE,
    STATE(16356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735297] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16003), 1,
      sym_attribute_id,
    STATE(16357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735315] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16005), 1,
      sym_attribute_id,
    STATE(16358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735333] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16007), 1,
      sym_attribute_id,
    STATE(16359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735351] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16009), 1,
      sym_attribute_id,
    STATE(16360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735369] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16011), 1,
      sym_attribute_id,
    STATE(16361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735387] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16013), 1,
      sym_attribute_id,
    STATE(16362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735405] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16015), 1,
      sym_attribute_id,
    STATE(16363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735423] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16017), 1,
      sym_attribute_id,
    STATE(16364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735441] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16019), 1,
      sym_attribute_id,
    STATE(16365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735459] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16021), 1,
      sym_attribute_id,
    STATE(16366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735477] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16023), 1,
      sym_attribute_id,
    STATE(16367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735495] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16025), 1,
      sym_attribute_id,
    STATE(16368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735513] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16027), 1,
      sym_attribute_id,
    STATE(16369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735531] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16029), 1,
      sym_attribute_id,
    STATE(16370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735549] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16031), 1,
      sym_attribute_id,
    STATE(16371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735567] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16033), 1,
      sym_attribute_id,
    STATE(16372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735585] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16035), 1,
      sym_attribute_id,
    STATE(16373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735603] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16037), 1,
      sym_attribute_id,
    STATE(16374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735621] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16039), 1,
      sym_attribute_id,
    STATE(16375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735639] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16041), 1,
      sym_attribute_id,
    STATE(16376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735657] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16043), 1,
      sym_attribute_id,
    STATE(16377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735675] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16045), 1,
      sym_attribute_id,
    STATE(16378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735693] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16047), 1,
      sym_attribute_id,
    STATE(16379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20999), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735711] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18577), 1,
      anon_sym_RBRACE,
    ACTIONS(22849), 1,
      anon_sym_SEMI,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    STATE(16380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735731] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20561), 1,
      anon_sym_COMMA,
    ACTIONS(22851), 1,
      anon_sym_RBRACK,
    STATE(16381), 1,
      sym_attribute,
    STATE(16382), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735751] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20561), 1,
      anon_sym_COMMA,
    ACTIONS(22853), 1,
      anon_sym_RBRACK,
    STATE(14948), 1,
      aux_sym__type_params_repeat1,
    STATE(16382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735771] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20561), 1,
      anon_sym_COMMA,
    ACTIONS(22853), 1,
      anon_sym_RBRACK,
    STATE(16383), 1,
      sym_attribute,
    STATE(16385), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735791] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(22855), 1,
      anon_sym_RPAREN,
    STATE(16384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735811] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20561), 1,
      anon_sym_COMMA,
    ACTIONS(22857), 1,
      anon_sym_RBRACK,
    STATE(14948), 1,
      aux_sym__type_params_repeat1,
    STATE(16385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735831] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3761), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22859), 1,
      anon_sym_SEMI,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    STATE(16386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735851] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8548), 1,
      anon_sym_RBRACK,
    ACTIONS(22861), 1,
      anon_sym_SEMI,
    STATE(15277), 1,
      aux_sym_list_pattern_repeat1,
    STATE(16387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735871] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(22863), 1,
      anon_sym_RPAREN,
    STATE(16388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735891] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22865), 1,
      anon_sym_SEMI,
    ACTIONS(22867), 1,
      anon_sym_RBRACE,
    STATE(16389), 1,
      sym_attribute,
    STATE(16398), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735911] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17733), 1,
      anon_sym_RBRACE,
    ACTIONS(22869), 1,
      anon_sym_SEMI,
    STATE(15371), 1,
      aux_sym_record_pattern_repeat1,
    STATE(16390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735931] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19296), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22871), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735951] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(20119), 1,
      anon_sym_RBRACK,
    STATE(15315), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735971] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22873), 1,
      anon_sym_SEMI,
    ACTIONS(22875), 1,
      anon_sym_GT_RBRACE,
    STATE(16393), 1,
      sym_attribute,
    STATE(16403), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735991] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3845), 1,
      anon_sym_RBRACK,
    ACTIONS(22877), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(16394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736011] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8550), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22879), 1,
      anon_sym_SEMI,
    STATE(15287), 1,
      aux_sym_list_pattern_repeat1,
    STATE(16395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736031] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3921), 1,
      anon_sym_RBRACK,
    ACTIONS(22881), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(16396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736051] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(22883), 1,
      anon_sym_RPAREN,
    STATE(16397), 1,
      sym_attribute,
    STATE(20368), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736071] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18658), 1,
      anon_sym_RBRACE,
    ACTIONS(22885), 1,
      anon_sym_SEMI,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    STATE(16398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8947), 1,
      aux_sym_attribute_id_token1,
    STATE(16399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8949), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
  [736109] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3925), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22887), 1,
      anon_sym_SEMI,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    STATE(16400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736129] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(22889), 1,
      anon_sym_RPAREN,
    STATE(16401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736149] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(22891), 1,
      anon_sym_RPAREN,
    STATE(16402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736169] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19662), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22893), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736189] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19318), 1,
      anon_sym_RBRACK,
    STATE(16404), 1,
      sym_attribute,
    STATE(16427), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736209] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19318), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736229] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(22895), 1,
      anon_sym_RPAREN,
    STATE(16406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736249] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8684), 1,
      anon_sym_RBRACK,
    ACTIONS(22897), 1,
      anon_sym_SEMI,
    STATE(15414), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(16407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736269] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18672), 1,
      anon_sym_RBRACE,
    ACTIONS(22899), 1,
      anon_sym_SEMI,
    STATE(16408), 1,
      sym_attribute,
    STATE(16416), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736289] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3753), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22901), 1,
      anon_sym_SEMI,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    STATE(16409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736309] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11731), 1,
      anon_sym_GT,
    ACTIONS(22903), 1,
      anon_sym_SEMI,
    STATE(15752), 1,
      aux_sym_object_type_repeat1,
    STATE(16410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736329] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18591), 1,
      anon_sym_RBRACE,
    ACTIONS(22905), 1,
      anon_sym_SEMI,
    STATE(16411), 1,
      sym_attribute,
    STATE(16436), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736349] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17769), 1,
      anon_sym_RBRACE,
    ACTIONS(22907), 1,
      anon_sym_SEMI,
    STATE(15475), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(16412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736369] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(10094), 1,
      sym__type_equation,
    STATE(16413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21060), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [736387] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(22909), 1,
      sym__identifier,
    STATE(16414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736407] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(22911), 1,
      anon_sym_RPAREN,
    STATE(16415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736427] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18676), 1,
      anon_sym_RBRACE,
    ACTIONS(22913), 1,
      anon_sym_SEMI,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    STATE(16416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736447] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8686), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22915), 1,
      anon_sym_SEMI,
    STATE(15289), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(16417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736467] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22917), 1,
      anon_sym_SEMI,
    ACTIONS(22919), 1,
      anon_sym_GT_RBRACE,
    STATE(15294), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736487] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20345), 1,
      sym_indexing_operator,
    ACTIONS(22921), 1,
      sym__identifier,
    STATE(16419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736507] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11336), 1,
      sym_module_binding,
    STATE(16420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18303), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [736525] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12169), 1,
      sym_module_binding,
    STATE(16421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18303), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [736543] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    ACTIONS(22923), 1,
      anon_sym_RPAREN,
    STATE(16422), 1,
      sym_attribute,
    STATE(20429), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736563] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(22925), 1,
      anon_sym_RPAREN,
    STATE(16423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736583] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11336), 1,
      sym_module_binding,
    STATE(16424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18311), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [736601] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(22927), 1,
      anon_sym_RPAREN,
    STATE(16425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736621] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12176), 1,
      sym_module_binding,
    STATE(16426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18311), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [736639] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19346), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736659] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19346), 1,
      anon_sym_RBRACK,
    STATE(16428), 1,
      sym_attribute,
    STATE(16446), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736679] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22929), 1,
      anon_sym_SEMI,
    ACTIONS(22931), 1,
      anon_sym_RBRACE,
    STATE(16429), 1,
      sym_attribute,
    STATE(16441), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736699] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(22933), 1,
      anon_sym_RPAREN,
    STATE(16430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736719] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(22935), 1,
      anon_sym_RPAREN,
    STATE(16431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736739] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22937), 1,
      anon_sym_SEMI,
    ACTIONS(22939), 1,
      anon_sym_GT_RBRACE,
    STATE(16432), 1,
      sym_attribute,
    STATE(16445), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736759] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(11336), 1,
      sym_module_binding,
    STATE(16433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18321), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [736777] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12798), 1,
      sym_module_binding,
    STATE(16434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18321), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [736795] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_DASH_GT,
    ACTIONS(19108), 1,
      anon_sym_with,
    ACTIONS(22941), 1,
      anon_sym_RPAREN,
    STATE(16435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736815] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18596), 1,
      anon_sym_RBRACE,
    ACTIONS(22943), 1,
      anon_sym_SEMI,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    STATE(16436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736835] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19232), 1,
      anon_sym_RBRACK,
    STATE(15061), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736855] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19232), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736875] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3951), 1,
      anon_sym_RBRACK,
    ACTIONS(22945), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    STATE(16439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736895] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12184), 1,
      sym_module_binding,
    STATE(16440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18303), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [736913] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18696), 1,
      anon_sym_RBRACE,
    ACTIONS(22947), 1,
      anon_sym_SEMI,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    STATE(16441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736933] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12186), 1,
      sym_module_binding,
    STATE(16442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18311), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [736951] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3721), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22949), 1,
      anon_sym_SEMI,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    STATE(16443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736971] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(12714), 1,
      sym_module_binding,
    STATE(16444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18321), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [736989] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19840), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22951), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737009] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19230), 1,
      anon_sym_PIPE,
    ACTIONS(19380), 1,
      anon_sym_RBRACK,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737029] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(22953), 1,
      anon_sym_RPAREN,
    STATE(16447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737049] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(22955), 1,
      anon_sym_type,
    STATE(15588), 1,
      sym_module_path,
    STATE(16448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737069] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(22957), 1,
      anon_sym_type,
    STATE(15588), 1,
      sym_module_path,
    STATE(16449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737089] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9968), 1,
      sym__capitalized_identifier,
    ACTIONS(22959), 1,
      anon_sym_type,
    STATE(15588), 1,
      sym_module_path,
    STATE(16450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737109] = 6,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18711), 1,
      anon_sym_RBRACE,
    ACTIONS(22961), 1,
      anon_sym_SEMI,
    STATE(15035), 1,
      aux_sym_record_expression_repeat1,
    STATE(16451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737129] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22963), 2,
      anon_sym_to,
      anon_sym_downto,
  [737144] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16453), 1,
      sym_attribute,
    STATE(18389), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737161] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    STATE(16454), 1,
      sym_attribute,
    STATE(18684), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737178] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16455), 1,
      sym_attribute,
    STATE(19330), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737195] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16456), 1,
      sym_attribute,
    STATE(20058), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737212] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22965), 1,
      sym__capitalized_identifier,
    STATE(13299), 1,
      sym_extended_module_path,
    STATE(16457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737229] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(22967), 1,
      anon_sym_DOT,
    STATE(16458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737246] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22969), 1,
      anon_sym_RPAREN,
    ACTIONS(22971), 1,
      anon_sym_LT_DASH,
    STATE(16459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737263] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(22973), 1,
      sym__identifier,
    STATE(16460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737280] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22975), 1,
      anon_sym_RPAREN,
    ACTIONS(22977), 1,
      anon_sym_SEMI,
    STATE(16461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737297] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22975), 1,
      anon_sym_RBRACK,
    ACTIONS(22979), 1,
      anon_sym_SEMI,
    STATE(16462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737314] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22975), 1,
      anon_sym_RBRACE,
    ACTIONS(22981), 1,
      anon_sym_SEMI,
    STATE(16463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737331] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22983), 1,
      anon_sym_then,
    STATE(10216), 1,
      sym_then_clause,
    STATE(16464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737348] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22985), 1,
      anon_sym_RPAREN,
    ACTIONS(22987), 1,
      anon_sym_LT_DASH,
    STATE(16465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737365] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(16466), 1,
      sym_attribute,
    STATE(20184), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737382] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(16467), 1,
      sym_attribute,
    STATE(19112), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737399] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22989), 1,
      anon_sym_SEMI,
    ACTIONS(22991), 1,
      anon_sym_RBRACE,
    STATE(16468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737416] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(22993), 1,
      sym__identifier,
    STATE(16469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737433] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22995), 1,
      anon_sym_COLON_GT,
    ACTIONS(22997), 1,
      anon_sym_RPAREN,
    STATE(16470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737450] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22999), 1,
      anon_sym_RPAREN,
    ACTIONS(23001), 1,
      anon_sym_LT_DASH,
    STATE(16471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737467] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23003), 1,
      anon_sym_DOT,
    STATE(16472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737484] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18411), 1,
      sym__identifier,
    STATE(14866), 1,
      sym__simple_value_pattern,
    STATE(16473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737501] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23005), 1,
      anon_sym_SEMI,
    ACTIONS(23007), 1,
      anon_sym_RBRACE,
    STATE(16474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737518] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23009), 1,
      anon_sym_RPAREN,
    ACTIONS(23011), 1,
      anon_sym_LT_DASH,
    STATE(16475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737535] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23013), 1,
      anon_sym_DOT,
    STATE(16476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737552] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23015), 1,
      anon_sym_open,
    STATE(16477), 1,
      sym_attribute,
    STATE(20178), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737569] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23017), 1,
      anon_sym_DOT,
    STATE(16478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737586] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23019), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [737601] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16480), 1,
      sym_attribute,
    STATE(17583), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737618] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17470), 1,
      sym__identifier,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    STATE(16481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737635] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23021), 1,
      anon_sym_DOT,
    STATE(16482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737652] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23023), 1,
      anon_sym_RPAREN,
    ACTIONS(23025), 1,
      anon_sym_SEMI,
    STATE(16483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737669] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23023), 1,
      anon_sym_RBRACK,
    ACTIONS(23027), 1,
      anon_sym_SEMI,
    STATE(16484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737686] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23023), 1,
      anon_sym_RBRACE,
    ACTIONS(23029), 1,
      anon_sym_SEMI,
    STATE(16485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737703] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11458), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [737718] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(16487), 1,
      sym_attribute,
    STATE(17637), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737735] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(23031), 1,
      sym__identifier,
    STATE(16488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737752] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23033), 1,
      anon_sym_DOT,
    STATE(16489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737769] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10061), 1,
      anon_sym_RBRACK,
    ACTIONS(18646), 1,
      anon_sym_PIPE,
    STATE(16490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737786] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23035), 1,
      anon_sym_then,
    STATE(10317), 1,
      sym_then_clause,
    STATE(16491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737803] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8823), 1,
      anon_sym_COLON_GT,
    ACTIONS(8825), 1,
      anon_sym_EQ,
    STATE(16492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737820] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(23037), 1,
      anon_sym_DASH_GT,
    STATE(16493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737837] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17512), 1,
      sym__identifier,
    STATE(16494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737854] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23039), 1,
      anon_sym_RPAREN,
    ACTIONS(23041), 1,
      anon_sym_LT_DASH,
    STATE(16495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737871] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16496), 1,
      sym_attribute,
    STATE(17795), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737888] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23043), 1,
      anon_sym_then,
    STATE(12001), 1,
      sym_then_clause,
    STATE(16497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737905] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18077), 1,
      anon_sym_RBRACE,
    ACTIONS(23045), 1,
      anon_sym_SEMI,
    STATE(16498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737922] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23047), 1,
      anon_sym_then,
    STATE(8127), 1,
      sym_then_clause,
    STATE(16499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737939] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23049), 1,
      anon_sym_RPAREN,
    ACTIONS(23051), 1,
      anon_sym_SEMI,
    STATE(16500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737956] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23049), 1,
      anon_sym_RBRACK,
    ACTIONS(23053), 1,
      anon_sym_SEMI,
    STATE(16501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737973] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23049), 1,
      anon_sym_RBRACE,
    ACTIONS(23055), 1,
      anon_sym_SEMI,
    STATE(16502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737990] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(16503), 1,
      sym_attribute,
    STATE(17845), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738007] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23057), 1,
      sym__identifier,
    ACTIONS(23059), 1,
      anon_sym_LPAREN,
    STATE(16504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738024] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23061), 1,
      sym__identifier,
    ACTIONS(23063), 1,
      anon_sym_LPAREN,
    STATE(16505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738041] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23065), 1,
      anon_sym_DOT,
    STATE(16506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738058] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23067), 1,
      anon_sym_RPAREN,
    ACTIONS(23069), 1,
      anon_sym_LT_DASH,
    STATE(16507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738075] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23071), 1,
      anon_sym_COLON_GT,
    ACTIONS(23073), 1,
      anon_sym_RPAREN,
    STATE(16508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738092] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23075), 1,
      anon_sym_RPAREN,
    ACTIONS(23077), 1,
      anon_sym_LT_DASH,
    STATE(16509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738109] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23079), 1,
      anon_sym_then,
    STATE(11947), 1,
      sym_then_clause,
    STATE(16510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738126] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16511), 1,
      sym_attribute,
    STATE(18011), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738143] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(23081), 1,
      sym__identifier,
    STATE(16512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738160] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(23083), 1,
      sym__identifier,
    STATE(16513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738177] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17498), 1,
      sym__identifier,
    STATE(16514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738194] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23085), 1,
      anon_sym_RPAREN,
    ACTIONS(23087), 1,
      anon_sym_SEMI,
    STATE(16515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738211] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23085), 1,
      anon_sym_RBRACK,
    ACTIONS(23089), 1,
      anon_sym_SEMI,
    STATE(16516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738228] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23085), 1,
      anon_sym_RBRACE,
    ACTIONS(23091), 1,
      anon_sym_SEMI,
    STATE(16517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738245] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23093), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [738260] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(16519), 1,
      sym_attribute,
    STATE(18064), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738277] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(23095), 1,
      sym__identifier,
    STATE(16520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738294] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23097), 1,
      anon_sym_DOT,
    STATE(16521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738311] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21115), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [738326] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(23099), 1,
      sym__identifier,
    STATE(16523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738343] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23101), 1,
      anon_sym_COLON_GT,
    ACTIONS(23103), 1,
      anon_sym_RPAREN,
    STATE(16524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738360] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16525), 1,
      sym_attribute,
    STATE(18236), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738377] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23105), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [738392] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21469), 1,
      anon_sym_EQ,
    ACTIONS(23107), 1,
      anon_sym_COLON_GT,
    STATE(16527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738409] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(23109), 1,
      sym__identifier,
    STATE(16528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738426] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23111), 1,
      anon_sym_COLON_GT,
    ACTIONS(23113), 1,
      anon_sym_RPAREN,
    STATE(16529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738443] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23115), 1,
      anon_sym_RPAREN,
    ACTIONS(23117), 1,
      anon_sym_SEMI,
    STATE(16530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738460] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23115), 1,
      anon_sym_RBRACK,
    ACTIONS(23119), 1,
      anon_sym_SEMI,
    STATE(16531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738477] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23115), 1,
      anon_sym_RBRACE,
    ACTIONS(23121), 1,
      anon_sym_SEMI,
    STATE(16532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738494] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10351), 1,
      anon_sym_RPAREN,
    ACTIONS(23123), 1,
      aux_sym_number_token1,
    STATE(16533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738511] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(16534), 1,
      sym_attribute,
    STATE(18288), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738528] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10085), 1,
      anon_sym_RBRACK,
    ACTIONS(18646), 1,
      anon_sym_PIPE,
    STATE(16535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738545] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23125), 1,
      anon_sym_COLON2,
    STATE(11837), 1,
      sym__polymorphic_typed,
    STATE(16536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738562] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23127), 1,
      anon_sym_DOT,
    STATE(16537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738579] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23129), 1,
      anon_sym_DOT,
    STATE(16538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738596] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23131), 1,
      anon_sym_then,
    STATE(8449), 1,
      sym_then_clause,
    STATE(16539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738613] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23133), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [738628] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17560), 1,
      sym__identifier,
    STATE(16541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738645] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23135), 1,
      anon_sym_RPAREN,
    ACTIONS(23137), 1,
      anon_sym_LT_DASH,
    STATE(16542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738662] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23139), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [738677] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16544), 1,
      sym_attribute,
    STATE(18469), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738694] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23141), 1,
      anon_sym_RPAREN,
    ACTIONS(23143), 1,
      anon_sym_SEMI,
    STATE(16545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738711] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23141), 1,
      anon_sym_RBRACK,
    ACTIONS(23145), 1,
      anon_sym_SEMI,
    STATE(16546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738728] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16872), 1,
      anon_sym_STAR,
    ACTIONS(23147), 1,
      anon_sym_DASH_GT,
    STATE(16547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738745] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23149), 1,
      anon_sym_RPAREN,
    ACTIONS(23151), 1,
      anon_sym_SEMI,
    STATE(16548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738762] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23149), 1,
      anon_sym_RBRACK,
    ACTIONS(23153), 1,
      anon_sym_SEMI,
    STATE(16549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738779] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23149), 1,
      anon_sym_RBRACE,
    ACTIONS(23155), 1,
      anon_sym_SEMI,
    STATE(16550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738796] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(16551), 1,
      sym_attribute,
    STATE(18520), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738813] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23157), 1,
      anon_sym_then,
    STATE(9757), 1,
      sym_then_clause,
    STATE(16552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738830] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23159), 1,
      anon_sym_DOT,
    STATE(16553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738847] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23141), 1,
      anon_sym_RBRACE,
    ACTIONS(23161), 1,
      anon_sym_SEMI,
    STATE(16554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738864] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(23163), 1,
      sym__identifier,
    STATE(16555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738881] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23165), 1,
      sym__identifier,
    ACTIONS(23167), 1,
      anon_sym_LPAREN,
    STATE(16556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738898] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23169), 1,
      anon_sym_RPAREN,
    ACTIONS(23171), 1,
      anon_sym_LT_DASH,
    STATE(16557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738915] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23173), 1,
      anon_sym_DOT,
    STATE(16558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738932] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [738947] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23043), 1,
      anon_sym_then,
    STATE(12038), 1,
      sym_then_clause,
    STATE(16560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738964] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23175), 1,
      anon_sym_do,
    STATE(8090), 1,
      sym_do_clause,
    STATE(16561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738981] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16562), 1,
      sym_attribute,
    STATE(18689), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738998] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23079), 1,
      anon_sym_then,
    STATE(11908), 1,
      sym_then_clause,
    STATE(16563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739015] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23177), 1,
      anon_sym_DOT,
    STATE(16564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739032] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18147), 1,
      anon_sym_RBRACE,
    ACTIONS(23179), 1,
      anon_sym_SEMI,
    STATE(16565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739049] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23181), 1,
      anon_sym_RPAREN,
    ACTIONS(23183), 1,
      anon_sym_LT_DASH,
    STATE(16566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739066] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23185), 1,
      anon_sym_RPAREN,
    ACTIONS(23187), 1,
      anon_sym_SEMI,
    STATE(16567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739083] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23185), 1,
      anon_sym_RBRACK,
    ACTIONS(23189), 1,
      anon_sym_SEMI,
    STATE(16568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739100] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23185), 1,
      anon_sym_RBRACE,
    ACTIONS(23191), 1,
      anon_sym_SEMI,
    STATE(16569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739117] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23193), 1,
      anon_sym_then,
    STATE(8351), 1,
      sym_then_clause,
    STATE(16570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739134] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(16571), 1,
      sym_attribute,
    STATE(18740), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739151] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23195), 1,
      sym__identifier,
    ACTIONS(23197), 1,
      anon_sym_LPAREN,
    STATE(16572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739168] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23199), 1,
      anon_sym_EQ,
    ACTIONS(23201), 1,
      anon_sym_RPAREN,
    STATE(16573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739185] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23203), 1,
      anon_sym_DOT,
    STATE(16574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739202] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23205), 1,
      anon_sym_RPAREN,
    ACTIONS(23207), 1,
      anon_sym_LT_DASH,
    STATE(16575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739219] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(23209), 1,
      sym__identifier,
    STATE(16576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739236] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23211), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [739251] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23213), 1,
      anon_sym_COLON_GT,
    ACTIONS(23215), 1,
      anon_sym_RPAREN,
    STATE(16578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739268] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17661), 1,
      sym__identifier,
    STATE(16579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739285] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(23217), 1,
      sym__identifier,
    STATE(16580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739302] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16581), 1,
      sym_attribute,
    STATE(18902), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739319] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23219), 1,
      anon_sym_EQ,
    ACTIONS(23221), 1,
      anon_sym_RPAREN,
    STATE(16582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739336] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23223), 1,
      anon_sym_RPAREN,
    ACTIONS(23225), 1,
      anon_sym_LT_DASH,
    STATE(16583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739353] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23227), 1,
      anon_sym_RPAREN,
    ACTIONS(23229), 1,
      anon_sym_SEMI,
    STATE(16584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739370] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23227), 1,
      anon_sym_RBRACK,
    ACTIONS(23231), 1,
      anon_sym_SEMI,
    STATE(16585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739387] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23227), 1,
      anon_sym_RBRACE,
    ACTIONS(23233), 1,
      anon_sym_SEMI,
    STATE(16586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739404] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23235), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [739419] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(16588), 1,
      sym_attribute,
    STATE(18996), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739436] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(23237), 1,
      sym__identifier,
    STATE(16589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739453] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23239), 1,
      sym__identifier,
    ACTIONS(23241), 1,
      sym__capitalized_identifier,
    STATE(16590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739470] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23243), 1,
      anon_sym_DOT,
    STATE(16591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739487] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23245), 1,
      anon_sym_then,
    STATE(8232), 1,
      sym_then_clause,
    STATE(16592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739504] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23247), 1,
      sym__identifier,
    ACTIONS(23249), 1,
      anon_sym_LBRACK,
    STATE(16593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739521] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10111), 1,
      anon_sym_RBRACK,
    ACTIONS(18646), 1,
      anon_sym_PIPE,
    STATE(16594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739538] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23251), 1,
      anon_sym_RPAREN,
    ACTIONS(23253), 1,
      anon_sym_LT_DASH,
    STATE(16595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739555] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20801), 1,
      anon_sym_EQ,
    ACTIONS(23255), 1,
      anon_sym_COLON_GT,
    STATE(16596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739572] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23257), 1,
      anon_sym_then,
    STATE(12145), 1,
      sym_then_clause,
    STATE(16597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739589] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16598), 1,
      sym_attribute,
    STATE(17622), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739606] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16599), 1,
      sym_attribute,
    STATE(19245), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739623] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23259), 1,
      anon_sym_RPAREN,
    ACTIONS(23261), 1,
      anon_sym_LT_DASH,
    STATE(16600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739640] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16601), 1,
      sym_attribute,
    STATE(17590), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739657] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23263), 1,
      sym__identifier,
    ACTIONS(23265), 1,
      anon_sym_LPAREN,
    STATE(16602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739674] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23267), 1,
      anon_sym_RPAREN,
    ACTIONS(23269), 1,
      anon_sym_SEMI,
    STATE(16603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739691] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23267), 1,
      anon_sym_RBRACK,
    ACTIONS(23271), 1,
      anon_sym_SEMI,
    STATE(16604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739708] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23267), 1,
      anon_sym_RBRACE,
    ACTIONS(23273), 1,
      anon_sym_SEMI,
    STATE(16605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739725] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18411), 1,
      sym__identifier,
    STATE(14504), 1,
      sym__simple_value_pattern,
    STATE(16606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739742] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(16607), 1,
      sym_attribute,
    STATE(19276), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739759] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23275), 1,
      anon_sym_then,
    STATE(12582), 1,
      sym_then_clause,
    STATE(16608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739776] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23277), 1,
      anon_sym_DOT,
    STATE(16609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739793] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23279), 1,
      anon_sym_DOT,
    STATE(16610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739810] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23281), 1,
      anon_sym_SEMI,
    ACTIONS(23283), 1,
      anon_sym_RBRACE,
    STATE(16611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739827] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23285), 1,
      anon_sym_COLON_GT,
    ACTIONS(23287), 1,
      anon_sym_RPAREN,
    STATE(16612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739844] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23289), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [739859] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23291), 1,
      anon_sym_DOT,
    STATE(16614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739876] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16872), 1,
      anon_sym_STAR,
    ACTIONS(23293), 1,
      anon_sym_DASH_GT,
    STATE(16615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739893] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23295), 1,
      anon_sym_COLON2,
    STATE(13125), 1,
      sym__typed,
    STATE(16616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739910] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23297), 1,
      anon_sym_then,
    STATE(12364), 1,
      sym_then_clause,
    STATE(16617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739927] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18255), 1,
      anon_sym_RBRACE,
    ACTIONS(23299), 1,
      anon_sym_SEMI,
    STATE(16618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739944] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23301), 1,
      anon_sym_RPAREN,
    ACTIONS(23303), 1,
      anon_sym_LT_DASH,
    STATE(16619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739961] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16620), 1,
      sym_attribute,
    STATE(19370), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739978] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23305), 1,
      anon_sym_SEMI,
    ACTIONS(23307), 1,
      anon_sym_RBRACE,
    STATE(16621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739995] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(23309), 1,
      sym__identifier,
    STATE(16622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740012] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(23311), 1,
      sym__identifier,
    STATE(16623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740029] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23313), 1,
      anon_sym_RPAREN,
    ACTIONS(23315), 1,
      anon_sym_SEMI,
    STATE(16624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740046] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23317), 1,
      anon_sym_RPAREN,
    ACTIONS(23319), 1,
      anon_sym_SEMI,
    STATE(16625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740063] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23317), 1,
      anon_sym_RBRACK,
    ACTIONS(23321), 1,
      anon_sym_SEMI,
    STATE(16626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740080] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23317), 1,
      anon_sym_RBRACE,
    ACTIONS(23323), 1,
      anon_sym_SEMI,
    STATE(16627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740097] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(23325), 1,
      sym__identifier,
    STATE(16628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740114] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23313), 1,
      anon_sym_RBRACK,
    ACTIONS(23327), 1,
      anon_sym_SEMI,
    STATE(16629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740131] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(16630), 1,
      sym_attribute,
    STATE(19403), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740148] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23313), 1,
      anon_sym_RBRACE,
    ACTIONS(23329), 1,
      anon_sym_SEMI,
    STATE(16631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740165] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23331), 1,
      anon_sym_DOT,
    STATE(16632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740182] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23333), 1,
      anon_sym_COLON_GT,
    ACTIONS(23335), 1,
      anon_sym_RPAREN,
    STATE(16633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740199] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23337), 1,
      anon_sym_COLON_GT,
    ACTIONS(23339), 1,
      anon_sym_RPAREN,
    STATE(16634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740216] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(16635), 1,
      sym_attribute,
    STATE(19584), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740233] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11468), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [740248] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23341), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [740263] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23343), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [740278] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16639), 1,
      sym_attribute,
    STATE(19517), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740295] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(23345), 1,
      sym__identifier,
    STATE(16640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740312] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23347), 1,
      anon_sym_COLON_GT,
    ACTIONS(23349), 1,
      anon_sym_RPAREN,
    STATE(16641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740329] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23351), 1,
      anon_sym_RPAREN,
    ACTIONS(23353), 1,
      anon_sym_SEMI,
    STATE(16642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740346] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23351), 1,
      anon_sym_RBRACK,
    ACTIONS(23355), 1,
      anon_sym_SEMI,
    STATE(16643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740363] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23351), 1,
      anon_sym_RBRACE,
    ACTIONS(23357), 1,
      anon_sym_SEMI,
    STATE(16644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740380] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(16645), 1,
      sym_attribute,
    STATE(19563), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740397] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23359), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [740412] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23361), 1,
      anon_sym_RPAREN,
    ACTIONS(23363), 1,
      anon_sym_LT_DASH,
    STATE(16647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740429] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23365), 1,
      anon_sym_COLON2,
    STATE(16648), 1,
      sym_attribute,
    STATE(17933), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740446] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23367), 1,
      anon_sym_DOT,
    STATE(16649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740463] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(16650), 1,
      sym_attribute,
    STATE(18450), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740480] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23369), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [740495] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23371), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [740510] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23373), 1,
      anon_sym_RPAREN,
    ACTIONS(23375), 1,
      anon_sym_LT_DASH,
    STATE(16653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740527] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23377), 1,
      anon_sym_RPAREN,
    ACTIONS(23379), 1,
      anon_sym_LT_DASH,
    STATE(16654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740544] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16655), 1,
      sym_attribute,
    STATE(19720), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740561] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23381), 1,
      anon_sym_RPAREN,
    ACTIONS(23383), 1,
      anon_sym_SEMI,
    STATE(16656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740578] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23381), 1,
      anon_sym_RBRACK,
    ACTIONS(23385), 1,
      anon_sym_SEMI,
    STATE(16657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740595] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23381), 1,
      anon_sym_RBRACE,
    ACTIONS(23387), 1,
      anon_sym_SEMI,
    STATE(16658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740612] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23389), 1,
      anon_sym_SEMI,
    ACTIONS(23391), 1,
      anon_sym_RBRACE,
    STATE(16659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740629] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23393), 1,
      anon_sym_RPAREN,
    ACTIONS(23395), 1,
      anon_sym_LT_DASH,
    STATE(16660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740646] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(16661), 1,
      sym_attribute,
    STATE(19791), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740663] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23257), 1,
      anon_sym_then,
    STATE(12120), 1,
      sym_then_clause,
    STATE(16662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740680] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23397), 1,
      anon_sym_RPAREN,
    ACTIONS(23399), 1,
      anon_sym_LT_DASH,
    STATE(16663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740697] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23401), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [740712] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16515), 1,
      anon_sym_COLON2,
    STATE(16665), 1,
      sym_attribute,
    STATE(19896), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740729] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23403), 1,
      anon_sym_do,
    STATE(10323), 1,
      sym_do_clause,
    STATE(16666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740746] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(23405), 1,
      sym__identifier,
    STATE(16667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740763] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(23407), 1,
      sym__identifier,
    STATE(16668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740780] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23409), 1,
      anon_sym_DOT,
    STATE(16669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740797] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23411), 1,
      anon_sym_DOT,
    STATE(16670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740814] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10193), 1,
      anon_sym_RBRACK,
    ACTIONS(18646), 1,
      anon_sym_PIPE,
    STATE(16671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740831] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23413), 1,
      sym__identifier,
    ACTIONS(23415), 1,
      anon_sym_LBRACK,
    STATE(16672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740848] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16673), 1,
      sym_attribute,
    STATE(19991), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740865] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23417), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [740880] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23419), 1,
      anon_sym_RPAREN,
    ACTIONS(23421), 1,
      anon_sym_LT_DASH,
    STATE(16675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740897] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(23423), 1,
      sym__identifier,
    STATE(16676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740914] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23425), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [740929] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23427), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [740944] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23429), 1,
      anon_sym_RPAREN,
    ACTIONS(23431), 1,
      anon_sym_SEMI,
    STATE(16679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740961] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23429), 1,
      anon_sym_RBRACK,
    ACTIONS(23433), 1,
      anon_sym_SEMI,
    STATE(16680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740978] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23429), 1,
      anon_sym_RBRACE,
    ACTIONS(23435), 1,
      anon_sym_SEMI,
    STATE(16681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740995] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17687), 1,
      sym__identifier,
    STATE(16682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741012] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(16683), 1,
      sym_attribute,
    STATE(20060), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741029] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(20977), 1,
      sym__identifier,
    STATE(16684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741046] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(23437), 1,
      sym__identifier,
    STATE(16685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741063] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(23439), 1,
      sym__identifier,
    STATE(16686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741080] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16687), 1,
      sym_attribute,
    STATE(20264), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741097] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(23441), 1,
      sym__identifier,
    STATE(16688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741114] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23443), 1,
      anon_sym_RPAREN,
    ACTIONS(23445), 1,
      anon_sym_LT_DASH,
    STATE(16689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741131] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23447), 1,
      anon_sym_then,
    STATE(11887), 1,
      sym_then_clause,
    STATE(16690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741148] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23449), 1,
      anon_sym_RPAREN,
    ACTIONS(23451), 1,
      anon_sym_SEMI,
    STATE(16691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741165] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23449), 1,
      anon_sym_RBRACK,
    ACTIONS(23453), 1,
      anon_sym_SEMI,
    STATE(16692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741182] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23449), 1,
      anon_sym_RBRACE,
    ACTIONS(23455), 1,
      anon_sym_SEMI,
    STATE(16693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741199] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(16694), 1,
      sym_attribute,
    STATE(20344), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741216] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23457), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [741231] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23459), 1,
      anon_sym_then,
    STATE(12029), 1,
      sym_then_clause,
    STATE(16696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741248] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23461), 1,
      anon_sym_DOT,
    STATE(16697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741265] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23463), 1,
      sym__identifier,
    ACTIONS(23465), 1,
      anon_sym_LPAREN,
    STATE(16698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741282] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23467), 1,
      anon_sym_RPAREN,
    ACTIONS(23469), 1,
      anon_sym_LT_DASH,
    STATE(16699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741299] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18135), 1,
      anon_sym_RBRACE,
    ACTIONS(23471), 1,
      anon_sym_SEMI,
    STATE(16700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741316] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    STATE(12919), 1,
      sym_type_variable,
    STATE(16701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741333] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16702), 1,
      sym_attribute,
    STATE(20437), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741350] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23473), 1,
      anon_sym_RPAREN,
    ACTIONS(23475), 1,
      anon_sym_LT_DASH,
    STATE(16703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741367] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23477), 1,
      anon_sym_COLON_GT,
    ACTIONS(23479), 1,
      anon_sym_RPAREN,
    STATE(16704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741384] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23481), 1,
      anon_sym_RPAREN,
    ACTIONS(23483), 1,
      anon_sym_LT_DASH,
    STATE(16705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741401] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(23485), 1,
      sym__identifier,
    STATE(16706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741418] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23487), 1,
      anon_sym_DOT,
    STATE(16707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741435] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23489), 1,
      anon_sym_RPAREN,
    ACTIONS(23491), 1,
      anon_sym_SEMI,
    STATE(16708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741452] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23489), 1,
      anon_sym_RBRACK,
    ACTIONS(23493), 1,
      anon_sym_SEMI,
    STATE(16709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741469] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23489), 1,
      anon_sym_RBRACE,
    ACTIONS(23495), 1,
      anon_sym_SEMI,
    STATE(16710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741486] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23497), 1,
      sym__identifier,
    ACTIONS(23499), 1,
      anon_sym_LBRACK,
    STATE(16711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741503] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(16712), 1,
      sym_attribute,
    STATE(17781), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741520] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23501), 1,
      anon_sym_RPAREN,
    ACTIONS(23503), 1,
      anon_sym_SEMI,
    STATE(16713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741537] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23157), 1,
      anon_sym_then,
    STATE(9527), 1,
      sym_then_clause,
    STATE(16714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741554] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23501), 1,
      anon_sym_RBRACK,
    ACTIONS(23505), 1,
      anon_sym_SEMI,
    STATE(16715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741571] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23501), 1,
      anon_sym_RBRACE,
    ACTIONS(23507), 1,
      anon_sym_SEMI,
    STATE(16716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741588] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23509), 1,
      anon_sym_COLON_GT,
    ACTIONS(23511), 1,
      anon_sym_RPAREN,
    STATE(16717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741605] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23513), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [741620] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23515), 1,
      anon_sym_EQ,
    ACTIONS(23517), 1,
      anon_sym_RPAREN,
    STATE(16719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741637] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23297), 1,
      anon_sym_then,
    STATE(12550), 1,
      sym_then_clause,
    STATE(16720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741654] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23519), 1,
      anon_sym_then,
    STATE(11587), 1,
      sym_then_clause,
    STATE(16721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741671] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16722), 1,
      sym_attribute,
    STATE(17728), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741688] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23521), 1,
      anon_sym_then,
    STATE(8499), 1,
      sym_then_clause,
    STATE(16723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741705] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(23523), 1,
      sym__identifier,
    STATE(16724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741722] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22983), 1,
      anon_sym_then,
    STATE(10168), 1,
      sym_then_clause,
    STATE(16725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741739] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23525), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [741754] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21764), 1,
      anon_sym_EQ,
    ACTIONS(23527), 1,
      anon_sym_COLON_GT,
    STATE(16727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741771] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23529), 1,
      anon_sym_RPAREN,
    ACTIONS(23531), 1,
      anon_sym_SEMI,
    STATE(16728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741788] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23529), 1,
      anon_sym_RBRACK,
    ACTIONS(23533), 1,
      anon_sym_SEMI,
    STATE(16729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741805] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23529), 1,
      anon_sym_RBRACE,
    ACTIONS(23535), 1,
      anon_sym_SEMI,
    STATE(16730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741822] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(16731), 1,
      sym_attribute,
    STATE(18259), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741839] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21785), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [741854] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16733), 1,
      sym_attribute,
    STATE(19105), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741871] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18323), 1,
      anon_sym_COLON2,
    STATE(16734), 1,
      sym_attribute,
    STATE(17069), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741888] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23537), 1,
      anon_sym_DOT,
    STATE(16735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741905] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16736), 1,
      sym_attribute,
    STATE(20214), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741922] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23047), 1,
      anon_sym_then,
    STATE(8262), 1,
      sym_then_clause,
    STATE(16737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741939] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23539), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [741954] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17596), 1,
      sym__identifier,
    STATE(16739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741971] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18411), 1,
      sym__identifier,
    STATE(14940), 1,
      sym__simple_value_pattern,
    STATE(16740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741988] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23403), 1,
      anon_sym_do,
    STATE(10376), 1,
      sym_do_clause,
    STATE(16741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742005] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16742), 1,
      sym_attribute,
    STATE(20226), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742022] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23043), 1,
      anon_sym_then,
    STATE(11935), 1,
      sym_then_clause,
    STATE(16743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742039] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23541), 1,
      anon_sym_RPAREN,
    ACTIONS(23543), 1,
      anon_sym_LT_DASH,
    STATE(16744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742056] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23545), 1,
      anon_sym_RPAREN,
    ACTIONS(23547), 1,
      anon_sym_SEMI,
    STATE(16745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742073] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23545), 1,
      anon_sym_RBRACK,
    ACTIONS(23549), 1,
      anon_sym_SEMI,
    STATE(16746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742090] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23545), 1,
      anon_sym_RBRACE,
    ACTIONS(23551), 1,
      anon_sym_SEMI,
    STATE(16747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742107] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8831), 1,
      anon_sym_COLON_GT,
    ACTIONS(8833), 1,
      anon_sym_EQ,
    STATE(16748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742124] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(16749), 1,
      sym_attribute,
    STATE(17638), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742141] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23553), 1,
      anon_sym_DOT,
    STATE(16750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742158] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23555), 1,
      sym__identifier,
    ACTIONS(23557), 1,
      anon_sym_LPAREN,
    STATE(16751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742175] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23559), 1,
      anon_sym_RPAREN,
    ACTIONS(23561), 1,
      anon_sym_SEMI,
    STATE(16752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742192] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23559), 1,
      anon_sym_RBRACK,
    ACTIONS(23563), 1,
      anon_sym_SEMI,
    STATE(16753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742209] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23559), 1,
      anon_sym_RBRACE,
    ACTIONS(23565), 1,
      anon_sym_SEMI,
    STATE(16754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742226] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16755), 1,
      sym_attribute,
    STATE(18284), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742243] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23567), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [742258] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16872), 1,
      anon_sym_STAR,
    ACTIONS(23569), 1,
      anon_sym_DASH_GT,
    STATE(16757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742275] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23571), 1,
      anon_sym_RPAREN,
    ACTIONS(23573), 1,
      anon_sym_LT_DASH,
    STATE(16758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742292] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23575), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [742307] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23447), 1,
      anon_sym_then,
    STATE(12180), 1,
      sym_then_clause,
    STATE(16760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742324] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23577), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [742339] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23579), 1,
      anon_sym_RPAREN,
    ACTIONS(23581), 1,
      anon_sym_SEMI,
    STATE(16762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742356] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23579), 1,
      anon_sym_RBRACK,
    ACTIONS(23583), 1,
      anon_sym_SEMI,
    STATE(16763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742373] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23579), 1,
      anon_sym_RBRACE,
    ACTIONS(23585), 1,
      anon_sym_SEMI,
    STATE(16764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742390] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23587), 2,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
  [742405] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23589), 1,
      anon_sym_DOT,
    STATE(16766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742422] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23591), 2,
      anon_sym_to,
      anon_sym_downto,
  [742437] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23593), 1,
      anon_sym_RPAREN,
    ACTIONS(23595), 1,
      anon_sym_LT_DASH,
    STATE(16768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742454] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23275), 1,
      anon_sym_then,
    STATE(12556), 1,
      sym_then_clause,
    STATE(16769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742471] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23597), 1,
      anon_sym_RPAREN,
    ACTIONS(23599), 1,
      anon_sym_LT_DASH,
    STATE(16770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742488] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(23601), 1,
      sym__identifier,
    STATE(16771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742505] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(16772), 1,
      sym_attribute,
    STATE(18023), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742522] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23603), 1,
      anon_sym_SEMI,
    ACTIONS(23605), 1,
      anon_sym_RBRACE,
    STATE(16773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742539] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23607), 1,
      anon_sym_SEMI,
    ACTIONS(23609), 1,
      anon_sym_RBRACE,
    STATE(16774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742556] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16775), 1,
      sym_attribute,
    STATE(19600), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742573] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23365), 1,
      anon_sym_COLON2,
    STATE(16776), 1,
      sym_attribute,
    STATE(20066), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742590] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23611), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [742605] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17616), 1,
      sym__identifier,
    STATE(16778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742622] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23613), 1,
      anon_sym_DOT,
    STATE(16779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742639] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23615), 1,
      anon_sym_RPAREN,
    ACTIONS(23617), 1,
      anon_sym_SEMI,
    STATE(16780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742656] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23615), 1,
      anon_sym_RBRACK,
    ACTIONS(23619), 1,
      anon_sym_SEMI,
    STATE(16781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742673] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23615), 1,
      anon_sym_RBRACE,
    ACTIONS(23621), 1,
      anon_sym_SEMI,
    STATE(16782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742690] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23157), 1,
      anon_sym_then,
    STATE(9564), 1,
      sym_then_clause,
    STATE(16783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742707] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(23623), 1,
      sym__identifier,
    STATE(16784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742724] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23625), 1,
      aux_sym_type_variable_token1,
    STATE(8150), 1,
      sym_type_variable,
    STATE(16785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742741] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23015), 1,
      anon_sym_open,
    STATE(16786), 1,
      sym_attribute,
    STATE(18055), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742758] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23627), 1,
      sym__identifier,
    ACTIONS(23629), 1,
      anon_sym_LPAREN,
    STATE(16787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742775] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23631), 1,
      sym__identifier,
    ACTIONS(23633), 1,
      anon_sym_LPAREN,
    STATE(16788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742792] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23635), 1,
      anon_sym_COLON_GT,
    ACTIONS(23637), 1,
      anon_sym_RPAREN,
    STATE(16789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742809] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16790), 1,
      sym_attribute,
    STATE(17565), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742826] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23639), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [742841] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23641), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [742856] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23079), 1,
      anon_sym_then,
    STATE(11923), 1,
      sym_then_clause,
    STATE(16793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742873] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23643), 1,
      anon_sym_RPAREN,
    ACTIONS(23645), 1,
      anon_sym_SEMI,
    STATE(16794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742890] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23643), 1,
      anon_sym_RBRACK,
    ACTIONS(23647), 1,
      anon_sym_SEMI,
    STATE(16795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742907] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23643), 1,
      anon_sym_RBRACE,
    ACTIONS(23649), 1,
      anon_sym_SEMI,
    STATE(16796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742924] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23651), 1,
      anon_sym_then,
    STATE(12557), 1,
      sym_then_clause,
    STATE(16797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742941] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11835), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
  [742956] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23653), 1,
      anon_sym_COLON_GT,
    ACTIONS(23655), 1,
      anon_sym_RPAREN,
    STATE(16799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742973] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23657), 1,
      sym__identifier,
    ACTIONS(23659), 1,
      anon_sym_LPAREN,
    STATE(16800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742990] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23661), 1,
      anon_sym_SEMI,
    ACTIONS(23663), 1,
      anon_sym_RBRACE,
    STATE(16801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743007] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23665), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [743022] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16803), 1,
      sym_attribute,
    STATE(17908), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743039] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23667), 1,
      anon_sym_COLON_GT,
    ACTIONS(23669), 1,
      anon_sym_RPAREN,
    STATE(16804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743056] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23671), 1,
      sym__identifier,
    ACTIONS(23673), 1,
      anon_sym_LBRACK,
    STATE(16805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743073] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10018), 1,
      anon_sym_RBRACK,
    ACTIONS(18646), 1,
      anon_sym_PIPE,
    STATE(16806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743090] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23675), 1,
      anon_sym_RPAREN,
    ACTIONS(23677), 1,
      anon_sym_LT_DASH,
    STATE(16807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743107] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10199), 1,
      anon_sym_RBRACK,
    ACTIONS(18646), 1,
      anon_sym_PIPE,
    STATE(16808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743124] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23679), 1,
      anon_sym_DOT,
    STATE(16809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743141] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23681), 1,
      anon_sym_RPAREN,
    ACTIONS(23683), 1,
      anon_sym_SEMI,
    STATE(16810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743158] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23681), 1,
      anon_sym_RBRACK,
    ACTIONS(23685), 1,
      anon_sym_SEMI,
    STATE(16811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743175] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23681), 1,
      anon_sym_RBRACE,
    ACTIONS(23687), 1,
      anon_sym_SEMI,
    STATE(16812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743192] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17548), 1,
      sym__identifier,
    STATE(16813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743209] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23689), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [743224] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23131), 1,
      anon_sym_then,
    STATE(8515), 1,
      sym_then_clause,
    STATE(16815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743241] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17997), 1,
      anon_sym_RBRACE,
    ACTIONS(23691), 1,
      anon_sym_SEMI,
    STATE(16816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743258] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23693), 1,
      anon_sym_COLON_GT,
    ACTIONS(23695), 1,
      anon_sym_RPAREN,
    STATE(16817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743275] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23697), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [743290] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16872), 1,
      anon_sym_STAR,
    ACTIONS(23699), 1,
      anon_sym_DASH_GT,
    STATE(16819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743307] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(23701), 1,
      sym__identifier,
    STATE(16820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743324] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    STATE(16282), 1,
      sym_extended_module_path,
    STATE(16821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743341] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17590), 1,
      sym__identifier,
    STATE(16822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743358] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16823), 1,
      sym_attribute,
    STATE(18298), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743375] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(23703), 1,
      sym__identifier,
    STATE(16824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743392] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23705), 1,
      anon_sym_EQ,
    ACTIONS(23707), 1,
      anon_sym_RPAREN,
    STATE(16825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743409] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23709), 1,
      anon_sym_RPAREN,
    ACTIONS(23711), 1,
      anon_sym_SEMI,
    STATE(16826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743426] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23709), 1,
      anon_sym_RBRACK,
    ACTIONS(23713), 1,
      anon_sym_SEMI,
    STATE(16827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743443] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23709), 1,
      anon_sym_RBRACE,
    ACTIONS(23715), 1,
      anon_sym_SEMI,
    STATE(16828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743460] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(23717), 1,
      sym__identifier,
    STATE(16829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743477] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23719), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [743492] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23721), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [743507] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23723), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [743522] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23725), 1,
      anon_sym_do,
    STATE(7931), 1,
      sym_do_clause,
    STATE(16833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743539] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16834), 1,
      sym_attribute,
    STATE(19899), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743556] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16835), 1,
      sym_attribute,
    STATE(18568), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743573] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23727), 1,
      anon_sym_RPAREN,
    ACTIONS(23729), 1,
      anon_sym_SEMI,
    STATE(16836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743590] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23727), 1,
      anon_sym_RBRACK,
    ACTIONS(23731), 1,
      anon_sym_SEMI,
    STATE(16837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743607] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23727), 1,
      anon_sym_RBRACE,
    ACTIONS(23733), 1,
      anon_sym_SEMI,
    STATE(16838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743624] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(23735), 1,
      sym__identifier,
    STATE(16839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743641] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23193), 1,
      anon_sym_then,
    STATE(8361), 1,
      sym_then_clause,
    STATE(16840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743658] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12463), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [743673] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16842), 1,
      sym_attribute,
    STATE(18683), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743690] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23737), 1,
      anon_sym_RPAREN,
    ACTIONS(23739), 1,
      anon_sym_LT_DASH,
    STATE(16843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743707] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23741), 1,
      anon_sym_RPAREN,
    ACTIONS(23743), 1,
      anon_sym_SEMI,
    STATE(16844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743724] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23741), 1,
      anon_sym_RBRACK,
    ACTIONS(23745), 1,
      anon_sym_SEMI,
    STATE(16845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743741] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23741), 1,
      anon_sym_RBRACE,
    ACTIONS(23747), 1,
      anon_sym_SEMI,
    STATE(16846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743758] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23749), 1,
      anon_sym_RPAREN,
    ACTIONS(23751), 1,
      anon_sym_LT_DASH,
    STATE(16847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743775] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16872), 1,
      anon_sym_STAR,
    ACTIONS(23753), 1,
      anon_sym_DASH_GT,
    STATE(16848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743792] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16849), 1,
      sym_attribute,
    STATE(18954), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743809] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23755), 1,
      anon_sym_COLON_GT,
    ACTIONS(23757), 1,
      anon_sym_RPAREN,
    STATE(16850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743826] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16851), 1,
      sym_attribute,
    STATE(18760), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743843] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23759), 1,
      anon_sym_RPAREN,
    ACTIONS(23761), 1,
      anon_sym_SEMI,
    STATE(16852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743860] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23759), 1,
      anon_sym_RBRACK,
    ACTIONS(23763), 1,
      anon_sym_SEMI,
    STATE(16853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743877] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23759), 1,
      anon_sym_RBRACE,
    ACTIONS(23765), 1,
      anon_sym_SEMI,
    STATE(16854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743894] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16855), 1,
      sym_attribute,
    STATE(20089), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743911] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23175), 1,
      anon_sym_do,
    STATE(8110), 1,
      sym_do_clause,
    STATE(16856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743928] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16857), 1,
      sym_attribute,
    STATE(18825), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743945] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23767), 1,
      anon_sym_RPAREN,
    ACTIONS(23769), 1,
      anon_sym_SEMI,
    STATE(16858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743962] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23767), 1,
      anon_sym_RBRACK,
    ACTIONS(23771), 1,
      anon_sym_SEMI,
    STATE(16859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743979] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23767), 1,
      anon_sym_RBRACE,
    ACTIONS(23773), 1,
      anon_sym_SEMI,
    STATE(16860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743996] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18195), 1,
      anon_sym_RBRACE,
    ACTIONS(23775), 1,
      anon_sym_SEMI,
    STATE(16861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744013] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23777), 1,
      anon_sym_do,
    STATE(8152), 1,
      sym_do_clause,
    STATE(16862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744030] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16863), 1,
      sym_attribute,
    STATE(18881), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744047] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23779), 1,
      anon_sym_RPAREN,
    ACTIONS(23781), 1,
      anon_sym_SEMI,
    STATE(16864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744064] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23779), 1,
      anon_sym_RBRACK,
    ACTIONS(23783), 1,
      anon_sym_SEMI,
    STATE(16865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744081] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23779), 1,
      anon_sym_RBRACE,
    ACTIONS(23785), 1,
      anon_sym_SEMI,
    STATE(16866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744098] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23787), 1,
      anon_sym_DOT,
    STATE(16867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744115] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10089), 1,
      anon_sym_RBRACK,
    ACTIONS(18646), 1,
      anon_sym_PIPE,
    STATE(16868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744132] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16869), 1,
      sym_attribute,
    STATE(18964), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744149] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23789), 1,
      anon_sym_RPAREN,
    ACTIONS(23791), 1,
      anon_sym_SEMI,
    STATE(16870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744166] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23789), 1,
      anon_sym_RBRACK,
    ACTIONS(23793), 1,
      anon_sym_SEMI,
    STATE(16871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744183] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23789), 1,
      anon_sym_RBRACE,
    ACTIONS(23795), 1,
      anon_sym_SEMI,
    STATE(16872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744200] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(23797), 1,
      sym__identifier,
    STATE(16873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744217] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23799), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [744232] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16875), 1,
      sym_attribute,
    STATE(19021), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744249] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23801), 1,
      anon_sym_RPAREN,
    ACTIONS(23803), 1,
      anon_sym_SEMI,
    STATE(16876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744266] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23801), 1,
      anon_sym_RBRACK,
    ACTIONS(23805), 1,
      anon_sym_SEMI,
    STATE(16877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744283] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23801), 1,
      anon_sym_RBRACE,
    ACTIONS(23807), 1,
      anon_sym_SEMI,
    STATE(16878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744300] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17871), 1,
      anon_sym_as,
    ACTIONS(23809), 1,
      anon_sym_DASH_GT,
    STATE(16879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744317] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23811), 1,
      anon_sym_RPAREN,
    ACTIONS(23813), 1,
      anon_sym_LT_DASH,
    STATE(16880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744334] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16881), 1,
      sym_attribute,
    STATE(19067), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744351] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23815), 1,
      anon_sym_RPAREN,
    ACTIONS(23817), 1,
      anon_sym_SEMI,
    STATE(16882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744368] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23815), 1,
      anon_sym_RBRACK,
    ACTIONS(23819), 1,
      anon_sym_SEMI,
    STATE(16883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744385] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23815), 1,
      anon_sym_RBRACE,
    ACTIONS(23821), 1,
      anon_sym_SEMI,
    STATE(16884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744402] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16872), 1,
      anon_sym_STAR,
    ACTIONS(23823), 1,
      anon_sym_DASH_GT,
    STATE(16885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744419] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23825), 1,
      anon_sym_RPAREN,
    ACTIONS(23827), 1,
      anon_sym_SEMI,
    STATE(16886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744436] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16887), 1,
      sym_attribute,
    STATE(19095), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744453] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23829), 1,
      anon_sym_RPAREN,
    ACTIONS(23831), 1,
      anon_sym_SEMI,
    STATE(16888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744470] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23829), 1,
      anon_sym_RBRACK,
    ACTIONS(23833), 1,
      anon_sym_SEMI,
    STATE(16889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744487] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23829), 1,
      anon_sym_RBRACE,
    ACTIONS(23835), 1,
      anon_sym_SEMI,
    STATE(16890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744504] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23825), 1,
      anon_sym_RBRACK,
    ACTIONS(23837), 1,
      anon_sym_SEMI,
    STATE(16891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744521] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23825), 1,
      anon_sym_RBRACE,
    ACTIONS(23839), 1,
      anon_sym_SEMI,
    STATE(16892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744538] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16893), 1,
      sym_attribute,
    STATE(19127), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744555] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23841), 1,
      anon_sym_RPAREN,
    ACTIONS(23843), 1,
      anon_sym_SEMI,
    STATE(16894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744572] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23841), 1,
      anon_sym_RBRACK,
    ACTIONS(23845), 1,
      anon_sym_SEMI,
    STATE(16895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744589] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23841), 1,
      anon_sym_RBRACE,
    ACTIONS(23847), 1,
      anon_sym_SEMI,
    STATE(16896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744606] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23849), 1,
      anon_sym_RPAREN,
    ACTIONS(23851), 1,
      anon_sym_LT_DASH,
    STATE(16897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744623] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23853), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [744638] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16899), 1,
      sym_attribute,
    STATE(19190), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744655] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23855), 1,
      anon_sym_RPAREN,
    ACTIONS(23857), 1,
      anon_sym_SEMI,
    STATE(16900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744672] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23855), 1,
      anon_sym_RBRACK,
    ACTIONS(23859), 1,
      anon_sym_SEMI,
    STATE(16901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744689] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23855), 1,
      anon_sym_RBRACE,
    ACTIONS(23861), 1,
      anon_sym_SEMI,
    STATE(16902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744706] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(23863), 1,
      sym__identifier,
    STATE(16903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744723] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14085), 2,
      anon_sym_and,
      anon_sym_in,
  [744738] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16905), 1,
      sym_attribute,
    STATE(19281), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744755] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23865), 1,
      anon_sym_RPAREN,
    ACTIONS(23867), 1,
      anon_sym_SEMI,
    STATE(16906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744772] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23865), 1,
      anon_sym_RBRACK,
    ACTIONS(23869), 1,
      anon_sym_SEMI,
    STATE(16907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744789] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23865), 1,
      anon_sym_RBRACE,
    ACTIONS(23871), 1,
      anon_sym_SEMI,
    STATE(16908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744806] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23873), 1,
      anon_sym_EQ,
    ACTIONS(23875), 1,
      anon_sym_RPAREN,
    STATE(16909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744823] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23043), 1,
      anon_sym_then,
    STATE(11964), 1,
      sym_then_clause,
    STATE(16910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744840] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16911), 1,
      sym_attribute,
    STATE(19344), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744857] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23877), 1,
      anon_sym_RPAREN,
    ACTIONS(23879), 1,
      anon_sym_SEMI,
    STATE(16912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744874] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23877), 1,
      anon_sym_RBRACK,
    ACTIONS(23881), 1,
      anon_sym_SEMI,
    STATE(16913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744891] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23877), 1,
      anon_sym_RBRACE,
    ACTIONS(23883), 1,
      anon_sym_SEMI,
    STATE(16914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744908] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23885), 1,
      anon_sym_RPAREN,
    ACTIONS(23887), 1,
      anon_sym_LT_DASH,
    STATE(16915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744925] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23889), 1,
      anon_sym_RPAREN,
    ACTIONS(23891), 1,
      anon_sym_LT_DASH,
    STATE(16916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744942] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(16917), 1,
      sym_attribute,
    STATE(19894), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744959] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16918), 1,
      sym_attribute,
    STATE(19413), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744976] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23893), 1,
      anon_sym_RPAREN,
    ACTIONS(23895), 1,
      anon_sym_SEMI,
    STATE(16919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744993] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23893), 1,
      anon_sym_RBRACK,
    ACTIONS(23897), 1,
      anon_sym_SEMI,
    STATE(16920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745010] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23893), 1,
      anon_sym_RBRACE,
    ACTIONS(23899), 1,
      anon_sym_SEMI,
    STATE(16921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745027] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23901), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [745042] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23903), 1,
      anon_sym_RPAREN,
    ACTIONS(23905), 1,
      anon_sym_LT_DASH,
    STATE(16923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745059] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16924), 1,
      sym_attribute,
    STATE(19471), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745076] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23907), 1,
      sym__identifier,
    ACTIONS(23909), 1,
      anon_sym_LPAREN,
    STATE(16925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745093] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23911), 1,
      anon_sym_SEMI,
    ACTIONS(23913), 1,
      anon_sym_RBRACE,
    STATE(16926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745110] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16927), 1,
      sym_attribute,
    STATE(19489), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745127] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23915), 1,
      anon_sym_RPAREN,
    ACTIONS(23917), 1,
      anon_sym_LT_DASH,
    STATE(16928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745144] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23919), 1,
      anon_sym_RPAREN,
    ACTIONS(23921), 1,
      anon_sym_LT_DASH,
    STATE(16929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745161] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16930), 1,
      sym_attribute,
    STATE(19499), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745178] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(23923), 1,
      sym__identifier,
    STATE(16931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745195] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23925), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [745210] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16933), 1,
      sym_attribute,
    STATE(19511), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745227] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23927), 1,
      anon_sym_DOT,
    STATE(16934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745244] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23929), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [745259] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16936), 1,
      sym_attribute,
    STATE(19521), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745276] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23931), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [745291] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23933), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [745306] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16939), 1,
      sym_attribute,
    STATE(19533), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745323] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23935), 1,
      anon_sym_RPAREN,
    ACTIONS(23937), 1,
      anon_sym_LT_DASH,
    STATE(16940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745340] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23939), 1,
      anon_sym_DOT,
    STATE(16941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745357] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16942), 1,
      sym_attribute,
    STATE(19554), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745374] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23941), 1,
      anon_sym_RPAREN,
    ACTIONS(23943), 1,
      anon_sym_LT_DASH,
    STATE(16943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745391] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23945), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [745406] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16945), 1,
      sym_attribute,
    STATE(19595), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745423] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23947), 1,
      anon_sym_then,
    STATE(8272), 1,
      sym_then_clause,
    STATE(16946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745440] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23949), 1,
      anon_sym_RPAREN,
    ACTIONS(23951), 1,
      anon_sym_LT_DASH,
    STATE(16947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745457] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16948), 1,
      sym_attribute,
    STATE(19614), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745474] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23257), 1,
      anon_sym_then,
    STATE(11905), 1,
      sym_then_clause,
    STATE(16949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745491] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16950), 1,
      sym_attribute,
    STATE(19856), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745508] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16951), 1,
      sym_attribute,
    STATE(19648), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745525] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23953), 1,
      anon_sym_then,
    STATE(11939), 1,
      sym_then_clause,
    STATE(16952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745542] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16953), 1,
      sym_attribute,
    STATE(20445), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745559] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16954), 1,
      sym_attribute,
    STATE(19670), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745576] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23955), 1,
      anon_sym_COLON_GT,
    ACTIONS(23957), 1,
      anon_sym_RPAREN,
    STATE(16955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745593] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23959), 1,
      anon_sym_RPAREN,
    ACTIONS(23961), 1,
      anon_sym_LT_DASH,
    STATE(16956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745610] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16957), 1,
      sym_attribute,
    STATE(19695), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745627] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(23963), 1,
      sym__identifier,
    STATE(16958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745644] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23965), 1,
      anon_sym_DOT,
    STATE(16959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745661] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16960), 1,
      sym_attribute,
    STATE(19706), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745678] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23175), 1,
      anon_sym_do,
    STATE(8129), 1,
      sym_do_clause,
    STATE(16961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745695] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23967), 1,
      anon_sym_then,
    STATE(9459), 1,
      sym_then_clause,
    STATE(16962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745712] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16963), 1,
      sym_attribute,
    STATE(19722), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745729] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16872), 1,
      anon_sym_STAR,
    ACTIONS(23969), 1,
      anon_sym_DASH_GT,
    STATE(16964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745746] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23971), 1,
      anon_sym_RPAREN,
    ACTIONS(23973), 1,
      anon_sym_SEMI,
    STATE(16965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745763] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16966), 1,
      sym_attribute,
    STATE(19736), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745780] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23971), 1,
      anon_sym_RBRACK,
    ACTIONS(23975), 1,
      anon_sym_SEMI,
    STATE(16967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745797] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23971), 1,
      anon_sym_RBRACE,
    ACTIONS(23977), 1,
      anon_sym_SEMI,
    STATE(16968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745814] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16969), 1,
      sym_attribute,
    STATE(19744), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745831] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23979), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [745846] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10121), 1,
      anon_sym_RBRACK,
    ACTIONS(18646), 1,
      anon_sym_PIPE,
    STATE(16971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745863] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16972), 1,
      sym_attribute,
    STATE(19765), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745880] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23651), 1,
      anon_sym_then,
    STATE(12407), 1,
      sym_then_clause,
    STATE(16973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745897] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23981), 1,
      anon_sym_COLON2,
    STATE(13142), 1,
      sym__polymorphic_typed,
    STATE(16974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745914] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16975), 1,
      sym_attribute,
    STATE(19804), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745931] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23983), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [745946] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(23985), 1,
      sym__identifier,
    STATE(16977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745963] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16978), 1,
      sym_attribute,
    STATE(19830), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745980] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23987), 1,
      anon_sym_SEMI,
    ACTIONS(23989), 1,
      anon_sym_RBRACE,
    STATE(16979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745997] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(16980), 1,
      sym_attribute,
    STATE(17804), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746014] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16981), 1,
      sym_attribute,
    STATE(19849), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746031] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23991), 1,
      anon_sym_RPAREN,
    ACTIONS(23993), 1,
      anon_sym_LT_DASH,
    STATE(16982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746048] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(23995), 1,
      anon_sym_DOT,
    STATE(16983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746065] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16984), 1,
      sym_attribute,
    STATE(19867), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746082] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23997), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [746097] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17642), 1,
      sym__identifier,
    STATE(16986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746114] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16987), 1,
      sym_attribute,
    STATE(19884), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746131] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23999), 1,
      anon_sym_COLON_GT,
    ACTIONS(24001), 1,
      anon_sym_RPAREN,
    STATE(16988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746148] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24003), 1,
      anon_sym_DOT,
    STATE(16989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746165] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(16990), 1,
      sym_attribute,
    STATE(19920), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746182] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23079), 1,
      anon_sym_then,
    STATE(11902), 1,
      sym_then_clause,
    STATE(16991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746199] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10422), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24005), 1,
      anon_sym_RPAREN,
    STATE(16992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746216] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10422), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24007), 1,
      anon_sym_RPAREN,
    STATE(16993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746233] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24009), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [746248] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24011), 1,
      anon_sym_DOT,
    STATE(16995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746265] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24013), 1,
      anon_sym_RPAREN,
    ACTIONS(24015), 1,
      anon_sym_LT_DASH,
    STATE(16996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746282] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(24017), 1,
      sym__identifier,
    STATE(16997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746299] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(16998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24019), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [746314] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17673), 1,
      sym__identifier,
    STATE(16999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746331] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24021), 1,
      anon_sym_RPAREN,
    ACTIONS(24023), 1,
      anon_sym_LT_DASH,
    STATE(17000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746348] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24025), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [746363] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24027), 1,
      anon_sym_RPAREN,
    ACTIONS(24029), 1,
      anon_sym_LT_DASH,
    STATE(17002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746380] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22983), 1,
      anon_sym_then,
    STATE(10193), 1,
      sym_then_clause,
    STATE(17003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746397] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24031), 1,
      anon_sym_DOT,
    STATE(17004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746414] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23047), 1,
      anon_sym_then,
    STATE(8224), 1,
      sym_then_clause,
    STATE(17005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746431] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23447), 1,
      anon_sym_then,
    STATE(12093), 1,
      sym_then_clause,
    STATE(17006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746448] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23967), 1,
      anon_sym_then,
    STATE(9398), 1,
      sym_then_clause,
    STATE(17007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746465] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24033), 1,
      anon_sym_DOT,
    STATE(17008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746482] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24035), 1,
      sym__identifier,
    ACTIONS(24037), 1,
      anon_sym_LPAREN,
    STATE(17009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746499] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24039), 1,
      sym__identifier,
    ACTIONS(24041), 1,
      anon_sym_LPAREN,
    STATE(17010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746516] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24043), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [746531] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24045), 1,
      anon_sym_RPAREN,
    ACTIONS(24047), 1,
      anon_sym_LT_DASH,
    STATE(17012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746548] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24049), 1,
      anon_sym_COLON_GT,
    ACTIONS(24051), 1,
      anon_sym_RPAREN,
    STATE(17013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746565] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(17014), 1,
      sym_attribute,
    STATE(18890), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746582] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24053), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [746597] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24055), 1,
      sym__identifier,
    ACTIONS(24057), 1,
      anon_sym_LPAREN,
    STATE(17016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746614] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24059), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [746629] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23967), 1,
      anon_sym_then,
    STATE(9393), 1,
      sym_then_clause,
    STATE(17018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746646] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24061), 1,
      anon_sym_DOT,
    STATE(17019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746663] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24063), 2,
      anon_sym_to,
      anon_sym_downto,
  [746678] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(24065), 1,
      sym__identifier,
    STATE(17021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746695] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24067), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [746710] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24069), 2,
      anon_sym_to,
      anon_sym_downto,
  [746725] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24071), 1,
      anon_sym_COLON_GT,
    ACTIONS(24073), 1,
      anon_sym_RPAREN,
    STATE(17024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746742] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24075), 1,
      anon_sym_RPAREN,
    ACTIONS(24077), 1,
      anon_sym_SEMI,
    STATE(17025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746759] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24075), 1,
      anon_sym_RBRACK,
    ACTIONS(24079), 1,
      anon_sym_SEMI,
    STATE(17026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746776] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24075), 1,
      anon_sym_RBRACE,
    ACTIONS(24081), 1,
      anon_sym_SEMI,
    STATE(17027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746793] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18323), 1,
      anon_sym_COLON2,
    STATE(16738), 1,
      sym__polymorphic_typed,
    STATE(17028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746810] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9900), 1,
      anon_sym_RBRACK,
    ACTIONS(18646), 1,
      anon_sym_PIPE,
    STATE(17029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746827] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24083), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [746842] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24085), 1,
      sym__identifier,
    ACTIONS(24087), 1,
      anon_sym_LPAREN,
    STATE(17031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746859] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16872), 1,
      anon_sym_STAR,
    ACTIONS(24089), 1,
      anon_sym_DASH_GT,
    STATE(17032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746876] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24091), 1,
      anon_sym_then,
    STATE(11768), 1,
      sym_then_clause,
    STATE(17033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746893] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9874), 1,
      anon_sym_RBRACK,
    ACTIONS(18646), 1,
      anon_sym_PIPE,
    STATE(17034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746910] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24093), 1,
      anon_sym_RPAREN,
    ACTIONS(24095), 1,
      anon_sym_LT_DASH,
    STATE(17035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746927] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24097), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [746942] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23519), 1,
      anon_sym_then,
    STATE(11432), 1,
      sym_then_clause,
    STATE(17037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746959] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(17038), 1,
      sym_attribute,
    STATE(19113), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746976] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10422), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24099), 1,
      anon_sym_RPAREN,
    STATE(17039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746993] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(17040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12388), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [747008] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(24101), 1,
      sym__identifier,
    STATE(17041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747025] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23125), 1,
      anon_sym_COLON2,
    STATE(11686), 1,
      sym__polymorphic_typed,
    STATE(17042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747042] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24103), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [747057] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24105), 1,
      anon_sym_RPAREN,
    ACTIONS(24107), 1,
      anon_sym_LT_DASH,
    STATE(17044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747074] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24109), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [747089] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23967), 1,
      anon_sym_then,
    STATE(9386), 1,
      sym_then_clause,
    STATE(17046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747106] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(24111), 1,
      sym__identifier,
    STATE(17047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747123] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24113), 1,
      anon_sym_COLON_GT,
    ACTIONS(24115), 1,
      anon_sym_RPAREN,
    STATE(17048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747140] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(24117), 1,
      sym__identifier,
    STATE(17049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747157] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(24119), 1,
      sym__identifier,
    STATE(17050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747174] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23947), 1,
      anon_sym_then,
    STATE(8354), 1,
      sym_then_clause,
    STATE(17051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747191] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24121), 1,
      anon_sym_DOT,
    STATE(17052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747208] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(24123), 1,
      sym__identifier,
    STATE(17053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747225] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24125), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [747240] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17634), 1,
      sym__identifier,
    STATE(17055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747257] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24127), 1,
      anon_sym_RPAREN,
    ACTIONS(24129), 1,
      anon_sym_LT_DASH,
    STATE(17056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747274] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23521), 1,
      anon_sym_then,
    STATE(8454), 1,
      sym_then_clause,
    STATE(17057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747291] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10119), 1,
      anon_sym_RBRACK,
    ACTIONS(18646), 1,
      anon_sym_PIPE,
    STATE(17058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747308] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17610), 1,
      sym__identifier,
    STATE(17059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747325] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24131), 1,
      anon_sym_RPAREN,
    ACTIONS(24133), 1,
      anon_sym_LT_DASH,
    STATE(17060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747342] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24135), 1,
      anon_sym_DOT,
    STATE(17061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747359] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24137), 2,
      anon_sym_to,
      anon_sym_downto,
  [747374] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24139), 1,
      sym__identifier,
    ACTIONS(24141), 1,
      anon_sym_LPAREN,
    STATE(17063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747391] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21080), 1,
      anon_sym_EQ,
    ACTIONS(24143), 1,
      anon_sym_COLON_GT,
    STATE(17064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747408] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24145), 1,
      anon_sym_SEMI,
    ACTIONS(24147), 1,
      anon_sym_RBRACE,
    STATE(17065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747425] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24149), 1,
      sym__identifier,
    ACTIONS(24151), 1,
      anon_sym_LPAREN,
    STATE(17066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747442] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24153), 2,
      anon_sym_to,
      anon_sym_downto,
  [747457] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24155), 1,
      sym__identifier,
    ACTIONS(24157), 1,
      anon_sym_LPAREN,
    STATE(17068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747474] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24159), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [747489] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23275), 1,
      anon_sym_then,
    STATE(12596), 1,
      sym_then_clause,
    STATE(17070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747506] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24161), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [747521] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10422), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24163), 1,
      anon_sym_RPAREN,
    STATE(17072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747538] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17488), 1,
      sym__identifier,
    STATE(17073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747555] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24165), 1,
      anon_sym_COLON_GT,
    ACTIONS(24167), 1,
      anon_sym_RPAREN,
    STATE(17074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747572] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(24169), 1,
      sym__identifier,
    STATE(17075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747589] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24171), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [747604] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23245), 1,
      anon_sym_then,
    STATE(8214), 1,
      sym_then_clause,
    STATE(17077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747621] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24173), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [747636] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23275), 1,
      anon_sym_then,
    STATE(12209), 1,
      sym_then_clause,
    STATE(17079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747653] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24175), 1,
      anon_sym_RPAREN,
    ACTIONS(24177), 1,
      anon_sym_LT_DASH,
    STATE(17080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747670] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(24179), 1,
      sym__identifier,
    STATE(17081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747687] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(24181), 1,
      sym__identifier,
    STATE(17082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747704] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24183), 1,
      anon_sym_DOT,
    STATE(17083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747721] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(17084), 1,
      sym_attribute,
    STATE(20419), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747738] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(24185), 1,
      sym__identifier,
    STATE(17085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747755] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24187), 1,
      anon_sym_DOT,
    STATE(17086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747772] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24189), 1,
      anon_sym_RPAREN,
    ACTIONS(24191), 1,
      anon_sym_LT_DASH,
    STATE(17087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747789] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24193), 1,
      anon_sym_DOT,
    STATE(17088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747806] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22169), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [747821] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24195), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [747836] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23295), 1,
      anon_sym_COLON2,
    STATE(13132), 1,
      sym__typed,
    STATE(17091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747853] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24197), 1,
      anon_sym_RPAREN,
    ACTIONS(24199), 1,
      anon_sym_LT_DASH,
    STATE(17092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747870] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23447), 1,
      anon_sym_then,
    STATE(12028), 1,
      sym_then_clause,
    STATE(17093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747887] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24201), 1,
      anon_sym_RPAREN,
    ACTIONS(24203), 1,
      anon_sym_SEMI,
    STATE(17094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747904] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24201), 1,
      anon_sym_RBRACK,
    ACTIONS(24205), 1,
      anon_sym_SEMI,
    STATE(17095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747921] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24207), 1,
      anon_sym_RPAREN,
    ACTIONS(24209), 1,
      anon_sym_LT_DASH,
    STATE(17096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747938] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24201), 1,
      anon_sym_RBRACE,
    ACTIONS(24211), 1,
      anon_sym_SEMI,
    STATE(17097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747955] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24213), 1,
      anon_sym_RPAREN,
    ACTIONS(24215), 1,
      anon_sym_LT_DASH,
    STATE(17098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747972] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24217), 2,
      anon_sym_to,
      anon_sym_downto,
  [747987] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24219), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [748002] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24221), 2,
      anon_sym_to,
      anon_sym_downto,
  [748017] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24223), 1,
      anon_sym_RPAREN,
    ACTIONS(24225), 1,
      anon_sym_LT_DASH,
    STATE(17102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748034] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24227), 1,
      anon_sym_RPAREN,
    ACTIONS(24229), 1,
      anon_sym_LT_DASH,
    STATE(17103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748051] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(24231), 1,
      sym__identifier,
    STATE(17104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748068] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10422), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24233), 1,
      anon_sym_RPAREN,
    STATE(17105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748085] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23981), 1,
      anon_sym_COLON2,
    STATE(13148), 1,
      sym__polymorphic_typed,
    STATE(17106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748102] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24235), 1,
      anon_sym_EQ,
    ACTIONS(24237), 1,
      anon_sym_RPAREN,
    STATE(17107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748119] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24239), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [748134] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24241), 1,
      sym__identifier,
    ACTIONS(24243), 1,
      anon_sym_LPAREN,
    STATE(17109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748151] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24245), 1,
      anon_sym_SEMI,
    ACTIONS(24247), 1,
      anon_sym_RBRACE,
    STATE(17110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748168] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(17111), 1,
      sym_attribute,
    STATE(17700), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748185] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24249), 1,
      anon_sym_RPAREN,
    ACTIONS(24251), 1,
      anon_sym_LT_DASH,
    STATE(17112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748202] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24057), 1,
      anon_sym_LPAREN,
    ACTIONS(24253), 1,
      sym__identifier,
    STATE(17113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748219] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24255), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [748234] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17626), 1,
      sym__identifier,
    STATE(17115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748251] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24257), 1,
      anon_sym_COLON_GT,
    ACTIONS(24259), 1,
      anon_sym_RPAREN,
    STATE(17116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748268] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19916), 1,
      sym__identifier,
    STATE(14783), 1,
      aux_sym__abstract_type_repeat1,
    STATE(17117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748285] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10422), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24261), 1,
      anon_sym_RPAREN,
    STATE(17118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748302] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24263), 1,
      anon_sym_COLON_GT,
    ACTIONS(24265), 1,
      anon_sym_RPAREN,
    STATE(17119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748319] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24267), 1,
      anon_sym_RPAREN,
    ACTIONS(24269), 1,
      anon_sym_LT_DASH,
    STATE(17120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748336] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24271), 1,
      anon_sym_RPAREN,
    ACTIONS(24273), 1,
      anon_sym_LT_DASH,
    STATE(17121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748353] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24275), 1,
      anon_sym_DOT,
    STATE(17122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748370] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10211), 1,
      anon_sym_RBRACK,
    ACTIONS(18646), 1,
      anon_sym_PIPE,
    STATE(17123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748387] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24277), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [748402] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24279), 1,
      sym__identifier,
    ACTIONS(24281), 1,
      anon_sym_LPAREN,
    STATE(17125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748419] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9836), 1,
      anon_sym_RPAREN,
    ACTIONS(10422), 1,
      anon_sym_COLON_COLON,
    STATE(17126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748436] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24283), 1,
      anon_sym_RPAREN,
    ACTIONS(24285), 1,
      anon_sym_LT_DASH,
    STATE(17127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748453] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24287), 1,
      sym__identifier,
    ACTIONS(24289), 1,
      anon_sym_LPAREN,
    STATE(17128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748470] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24291), 1,
      anon_sym_COLON_GT,
    ACTIONS(24293), 1,
      anon_sym_RPAREN,
    STATE(17129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748487] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(24295), 1,
      sym__identifier,
    STATE(17130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748504] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16872), 1,
      anon_sym_STAR,
    ACTIONS(24297), 1,
      anon_sym_DASH_GT,
    STATE(17131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748521] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24299), 1,
      anon_sym_RPAREN,
    ACTIONS(24301), 1,
      anon_sym_LT_DASH,
    STATE(17132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748538] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24303), 1,
      anon_sym_RPAREN,
    ACTIONS(24305), 1,
      anon_sym_LT_DASH,
    STATE(17133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748555] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(24307), 1,
      sym__identifier,
    STATE(17134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748572] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9860), 1,
      anon_sym_RBRACK,
    ACTIONS(18646), 1,
      anon_sym_PIPE,
    STATE(17135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748589] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24309), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [748604] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24311), 1,
      anon_sym_then,
    STATE(11090), 1,
      sym_then_clause,
    STATE(17137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748621] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24313), 1,
      anon_sym_DOT,
    STATE(17138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748638] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24311), 1,
      anon_sym_then,
    STATE(10973), 1,
      sym_then_clause,
    STATE(17139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748655] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10422), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24315), 1,
      anon_sym_RPAREN,
    STATE(17140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748672] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23777), 1,
      anon_sym_do,
    STATE(8148), 1,
      sym_do_clause,
    STATE(17141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748689] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(24317), 1,
      sym__identifier,
    STATE(17142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748706] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23193), 1,
      anon_sym_then,
    STATE(8299), 1,
      sym_then_clause,
    STATE(17143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748723] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(17144), 1,
      sym_attribute,
    STATE(18391), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748740] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23459), 1,
      anon_sym_then,
    STATE(12081), 1,
      sym_then_clause,
    STATE(17145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748757] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23725), 1,
      anon_sym_do,
    STATE(8004), 1,
      sym_do_clause,
    STATE(17146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748774] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24319), 1,
      anon_sym_then,
    STATE(12600), 1,
      sym_then_clause,
    STATE(17147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748791] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24321), 1,
      anon_sym_DOT,
    STATE(17148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748808] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23459), 1,
      anon_sym_then,
    STATE(12123), 1,
      sym_then_clause,
    STATE(17149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748825] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24323), 1,
      anon_sym_DOT,
    STATE(17150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748842] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24325), 1,
      anon_sym_RPAREN,
    ACTIONS(24327), 1,
      anon_sym_LT_DASH,
    STATE(17151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748859] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10422), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24329), 1,
      anon_sym_RPAREN,
    STATE(17152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748876] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22983), 1,
      anon_sym_then,
    STATE(10101), 1,
      sym_then_clause,
    STATE(17153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748893] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23157), 1,
      anon_sym_then,
    STATE(9617), 1,
      sym_then_clause,
    STATE(17154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748910] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24331), 1,
      anon_sym_RPAREN,
    ACTIONS(24333), 1,
      anon_sym_LT_DASH,
    STATE(17155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748927] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24335), 1,
      anon_sym_RPAREN,
    ACTIONS(24337), 1,
      anon_sym_SEMI,
    STATE(17156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748944] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24339), 1,
      anon_sym_RPAREN,
    ACTIONS(24341), 1,
      anon_sym_LT_DASH,
    STATE(17157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748961] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24335), 1,
      anon_sym_RBRACK,
    ACTIONS(24343), 1,
      anon_sym_SEMI,
    STATE(17158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748978] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10422), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24345), 1,
      anon_sym_RPAREN,
    STATE(17159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748995] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24335), 1,
      anon_sym_RBRACE,
    ACTIONS(24347), 1,
      anon_sym_SEMI,
    STATE(17160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749012] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24349), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [749027] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23953), 1,
      anon_sym_then,
    STATE(12094), 1,
      sym_then_clause,
    STATE(17162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749044] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18007), 1,
      anon_sym_RBRACE,
    ACTIONS(24351), 1,
      anon_sym_SEMI,
    STATE(17163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749061] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24311), 1,
      anon_sym_then,
    STATE(11059), 1,
      sym_then_clause,
    STATE(17164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749078] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24311), 1,
      anon_sym_then,
    STATE(10986), 1,
      sym_then_clause,
    STATE(17165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749095] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9824), 1,
      anon_sym_RPAREN,
    ACTIONS(10422), 1,
      anon_sym_COLON_COLON,
    STATE(17166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749112] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(17167), 1,
      sym_attribute,
    STATE(18589), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749129] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24353), 1,
      anon_sym_RPAREN,
    ACTIONS(24355), 1,
      anon_sym_LT_DASH,
    STATE(17168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749146] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24357), 1,
      sym__identifier,
    ACTIONS(24359), 1,
      anon_sym_LPAREN,
    STATE(17169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749163] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24361), 1,
      anon_sym_RPAREN,
    ACTIONS(24363), 1,
      anon_sym_LT_DASH,
    STATE(17170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749180] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(24365), 1,
      sym__identifier,
    STATE(17171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749197] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24367), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [749212] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9856), 1,
      anon_sym_RPAREN,
    ACTIONS(10422), 1,
      anon_sym_COLON_COLON,
    STATE(17173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749229] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20951), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [749244] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24369), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [749259] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24371), 1,
      anon_sym_DOT,
    STATE(17176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749276] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23245), 1,
      anon_sym_then,
    STATE(8210), 1,
      sym_then_clause,
    STATE(17177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749293] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24373), 1,
      anon_sym_COLON_GT,
    ACTIONS(24375), 1,
      anon_sym_RPAREN,
    STATE(17178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749310] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9804), 1,
      anon_sym_RPAREN,
    ACTIONS(10422), 1,
      anon_sym_COLON_COLON,
    STATE(17179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749327] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24319), 1,
      anon_sym_then,
    STATE(12493), 1,
      sym_then_clause,
    STATE(17180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749344] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(24377), 1,
      sym__identifier,
    STATE(17181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749361] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24379), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [749376] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17528), 1,
      sym__identifier,
    STATE(17183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749393] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24381), 1,
      anon_sym_RPAREN,
    ACTIONS(24383), 1,
      anon_sym_LT_DASH,
    STATE(17184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749410] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24385), 1,
      anon_sym_DOT,
    STATE(17185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749427] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24387), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [749442] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24389), 1,
      anon_sym_RPAREN,
    ACTIONS(24391), 1,
      anon_sym_LT_DASH,
    STATE(17187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749459] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17508), 1,
      sym__identifier,
    STATE(17188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749476] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16872), 1,
      anon_sym_STAR,
    ACTIONS(24393), 1,
      anon_sym_DASH_GT,
    STATE(17189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749493] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24395), 1,
      anon_sym_DOT,
    STATE(17190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749510] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24397), 2,
      anon_sym_RBRACK,
      aux_sym_tag_token1,
  [749525] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16872), 1,
      anon_sym_STAR,
    ACTIONS(24399), 1,
      anon_sym_DASH_GT,
    STATE(17192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749542] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24401), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [749557] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23947), 1,
      anon_sym_then,
    STATE(8343), 1,
      sym_then_clause,
    STATE(17194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749574] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24403), 1,
      anon_sym_COLON_GT,
    ACTIONS(24405), 1,
      anon_sym_RPAREN,
    STATE(17195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749591] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7823), 1,
      aux_sym_type_variable_token1,
    STATE(8150), 1,
      sym_type_variable,
    STATE(17196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749608] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(17197), 1,
      sym_attribute,
    STATE(19326), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749625] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23403), 1,
      anon_sym_do,
    STATE(10383), 1,
      sym_do_clause,
    STATE(17198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749642] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24407), 1,
      sym__identifier,
    ACTIONS(24409), 1,
      anon_sym_LPAREN,
    STATE(17199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749659] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24411), 1,
      anon_sym_RPAREN,
    ACTIONS(24413), 1,
      anon_sym_LT_DASH,
    STATE(17200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749676] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23953), 1,
      anon_sym_then,
    STATE(12156), 1,
      sym_then_clause,
    STATE(17201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749693] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24415), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [749708] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24417), 1,
      anon_sym_DOT,
    STATE(17203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749725] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24419), 1,
      anon_sym_COLON_GT,
    ACTIONS(24421), 1,
      anon_sym_RPAREN,
    STATE(17204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749742] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24423), 1,
      anon_sym_RPAREN,
    ACTIONS(24425), 1,
      anon_sym_LT_DASH,
    STATE(17205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749759] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24427), 1,
      anon_sym_RPAREN,
    ACTIONS(24429), 1,
      anon_sym_LT_DASH,
    STATE(17206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749776] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24431), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [749791] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24433), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [749806] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24435), 1,
      anon_sym_RPAREN,
    ACTIONS(24437), 1,
      anon_sym_SEMI,
    STATE(17209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749823] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24435), 1,
      anon_sym_RBRACK,
    ACTIONS(24439), 1,
      anon_sym_SEMI,
    STATE(17210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749840] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24441), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [749855] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24435), 1,
      anon_sym_RBRACE,
    ACTIONS(24443), 1,
      anon_sym_SEMI,
    STATE(17212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749872] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24445), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [749887] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24447), 1,
      anon_sym_RPAREN,
    ACTIONS(24449), 1,
      anon_sym_LT_DASH,
    STATE(17214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749904] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24451), 1,
      sym__identifier,
    ACTIONS(24453), 1,
      anon_sym_LPAREN,
    STATE(17215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749921] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(24455), 1,
      sym__identifier,
    STATE(17216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749938] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24457), 1,
      anon_sym_RPAREN,
    ACTIONS(24459), 1,
      anon_sym_LT_DASH,
    STATE(17217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749955] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(24461), 1,
      sym__identifier,
    STATE(17218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749972] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(17219), 1,
      sym_attribute,
    STATE(19449), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749989] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24463), 1,
      anon_sym_SEMI,
    ACTIONS(24465), 1,
      anon_sym_RBRACE,
    STATE(17220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750006] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17484), 1,
      sym__identifier,
    STATE(17221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750023] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24467), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [750038] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24469), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [750053] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24471), 1,
      anon_sym_COLON_GT,
    ACTIONS(24473), 1,
      anon_sym_RPAREN,
    STATE(17224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750070] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23047), 1,
      anon_sym_then,
    STATE(8230), 1,
      sym_then_clause,
    STATE(17225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750087] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24475), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [750102] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24477), 1,
      anon_sym_RPAREN,
    ACTIONS(24479), 1,
      anon_sym_COLON_COLON,
    STATE(17227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750119] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(17228), 1,
      sym_attribute,
    STATE(19314), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750136] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24481), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [750151] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24483), 1,
      anon_sym_RPAREN,
    ACTIONS(24485), 1,
      anon_sym_LT_DASH,
    STATE(17230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750168] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24487), 1,
      anon_sym_DOT,
    STATE(17231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750185] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(24489), 1,
      sym__identifier,
    STATE(17232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750202] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24491), 1,
      anon_sym_COLON_GT,
    ACTIONS(24493), 1,
      anon_sym_RPAREN,
    STATE(17233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750219] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24495), 1,
      anon_sym_RPAREN,
    ACTIONS(24497), 1,
      anon_sym_LT_DASH,
    STATE(17234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750236] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24499), 1,
      anon_sym_RPAREN,
    ACTIONS(24501), 1,
      anon_sym_LT_DASH,
    STATE(17235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750253] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(17236), 1,
      sym_attribute,
    STATE(19165), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750270] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24503), 1,
      sym__identifier,
    ACTIONS(24505), 1,
      anon_sym_LBRACK,
    STATE(17237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750287] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24507), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [750302] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24509), 1,
      aux_sym_type_variable_token1,
    STATE(12919), 1,
      sym_type_variable,
    STATE(17239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750319] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24511), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [750334] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23257), 1,
      anon_sym_then,
    STATE(12142), 1,
      sym_then_clause,
    STATE(17241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750351] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24513), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [750366] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24515), 1,
      anon_sym_EQ,
    ACTIONS(24517), 1,
      anon_sym_RPAREN,
    STATE(17243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750383] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(24519), 1,
      sym__identifier,
    STATE(17244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750400] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18411), 1,
      sym__identifier,
    STATE(14382), 1,
      sym__simple_value_pattern,
    STATE(17245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750417] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24521), 1,
      anon_sym_RPAREN,
    ACTIONS(24523), 1,
      anon_sym_LT_DASH,
    STATE(17246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750434] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24525), 1,
      anon_sym_RPAREN,
    ACTIONS(24527), 1,
      anon_sym_LT_DASH,
    STATE(17247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750451] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(17248), 1,
      sym_attribute,
    STATE(20243), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750468] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(24529), 1,
      sym__identifier,
    STATE(17249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750485] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24531), 1,
      anon_sym_DOT,
    STATE(17250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750502] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24533), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [750517] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24535), 1,
      anon_sym_RPAREN,
    ACTIONS(24537), 1,
      anon_sym_LT_DASH,
    STATE(17252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750534] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24539), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [750549] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(24541), 1,
      sym__identifier,
    STATE(17254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750566] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24543), 1,
      anon_sym_DOT,
    STATE(17255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750583] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10151), 1,
      anon_sym_RBRACK,
    ACTIONS(18646), 1,
      anon_sym_PIPE,
    STATE(17256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750600] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(24545), 1,
      sym__identifier,
    STATE(17257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750617] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8764), 1,
      anon_sym_COLON_GT,
    ACTIONS(8766), 1,
      anon_sym_EQ,
    STATE(17258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750634] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24547), 1,
      anon_sym_RPAREN,
    ACTIONS(24549), 1,
      anon_sym_SEMI,
    STATE(17259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750651] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24547), 1,
      anon_sym_RBRACK,
    ACTIONS(24551), 1,
      anon_sym_SEMI,
    STATE(17260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750668] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24553), 1,
      anon_sym_DOT,
    STATE(17261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750685] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(24555), 1,
      sym__identifier,
    STATE(17262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750702] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24557), 1,
      anon_sym_RPAREN,
    ACTIONS(24559), 1,
      anon_sym_LT_DASH,
    STATE(17263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750719] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24547), 1,
      anon_sym_RBRACE,
    ACTIONS(24561), 1,
      anon_sym_SEMI,
    STATE(17264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750736] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24563), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [750751] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24565), 1,
      anon_sym_RPAREN,
    ACTIONS(24567), 1,
      anon_sym_LT_DASH,
    STATE(17266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750768] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24569), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [750783] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24571), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [750798] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24573), 1,
      anon_sym_RPAREN,
    ACTIONS(24575), 1,
      anon_sym_LT_DASH,
    STATE(17269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750815] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24577), 1,
      anon_sym_RPAREN,
    ACTIONS(24579), 1,
      anon_sym_LT_DASH,
    STATE(17270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750832] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(17271), 1,
      sym_attribute,
    STATE(20413), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750849] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24581), 1,
      anon_sym_DOT,
    STATE(17272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750866] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24583), 1,
      anon_sym_RPAREN,
    ACTIONS(24585), 1,
      anon_sym_SEMI,
    STATE(17273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750883] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24583), 1,
      anon_sym_RBRACK,
    ACTIONS(24587), 1,
      anon_sym_SEMI,
    STATE(17274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750900] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24589), 1,
      anon_sym_DOT,
    STATE(17275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750917] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24583), 1,
      anon_sym_RBRACE,
    ACTIONS(24591), 1,
      anon_sym_SEMI,
    STATE(17276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750934] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24593), 1,
      anon_sym_RPAREN,
    ACTIONS(24595), 1,
      anon_sym_LT_DASH,
    STATE(17277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750951] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24597), 1,
      anon_sym_RPAREN,
    ACTIONS(24599), 1,
      anon_sym_LT_DASH,
    STATE(17278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750968] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24601), 1,
      sym__identifier,
    ACTIONS(24603), 1,
      sym__capitalized_identifier,
    STATE(17279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750985] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24605), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [751000] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24607), 1,
      anon_sym_RPAREN,
    ACTIONS(24609), 1,
      anon_sym_LT_DASH,
    STATE(17281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751017] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(24611), 1,
      sym__identifier,
    STATE(17282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751034] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24613), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [751049] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(17284), 1,
      sym_attribute,
    STATE(18003), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751066] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24615), 1,
      anon_sym_COLON_GT,
    ACTIONS(24617), 1,
      anon_sym_RPAREN,
    STATE(17285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751083] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24619), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [751098] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24621), 1,
      anon_sym_DOT,
    STATE(17287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751115] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20987), 1,
      anon_sym_EQ,
    ACTIONS(24623), 1,
      anon_sym_COLON_GT,
    STATE(17288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751132] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24625), 1,
      anon_sym_RPAREN,
    ACTIONS(24627), 1,
      anon_sym_LT_DASH,
    STATE(17289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751149] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24629), 1,
      anon_sym_DOT,
    STATE(17290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751166] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(24631), 1,
      sym__identifier,
    STATE(17291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751183] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24633), 1,
      anon_sym_RPAREN,
    ACTIONS(24635), 1,
      anon_sym_SEMI,
    STATE(17292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751200] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24633), 1,
      anon_sym_RBRACK,
    ACTIONS(24637), 1,
      anon_sym_SEMI,
    STATE(17293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751217] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24633), 1,
      anon_sym_RBRACE,
    ACTIONS(24639), 1,
      anon_sym_SEMI,
    STATE(17294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751234] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24091), 1,
      anon_sym_then,
    STATE(11755), 1,
      sym_then_clause,
    STATE(17295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751251] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24641), 1,
      anon_sym_RPAREN,
    ACTIONS(24643), 1,
      anon_sym_LT_DASH,
    STATE(17296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751268] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24645), 1,
      anon_sym_RPAREN,
    ACTIONS(24647), 1,
      anon_sym_LT_DASH,
    STATE(17297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751285] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24649), 1,
      anon_sym_RPAREN,
    ACTIONS(24651), 1,
      anon_sym_LT_DASH,
    STATE(17298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751302] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(17299), 1,
      sym_attribute,
    STATE(17977), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751319] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(17300), 1,
      sym_attribute,
    STATE(19146), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751336] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23193), 1,
      anon_sym_then,
    STATE(8360), 1,
      sym_then_clause,
    STATE(17301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751353] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23777), 1,
      anon_sym_do,
    STATE(8226), 1,
      sym_do_clause,
    STATE(17302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751370] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24653), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [751385] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24655), 1,
      sym__identifier,
    ACTIONS(24657), 1,
      anon_sym_LPAREN,
    STATE(17304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751402] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24659), 1,
      anon_sym_SEMI,
    ACTIONS(24661), 1,
      anon_sym_RBRACE,
    STATE(17305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751419] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(24663), 1,
      sym__identifier,
    STATE(17306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751436] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24319), 1,
      anon_sym_then,
    STATE(12258), 1,
      sym_then_clause,
    STATE(17307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751453] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24665), 1,
      anon_sym_DOT,
    STATE(17308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751470] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(17309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [751485] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10201), 1,
      anon_sym_RBRACK,
    ACTIONS(18646), 1,
      anon_sym_PIPE,
    STATE(17310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751502] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24667), 1,
      anon_sym_DOT,
    STATE(17311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751519] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21004), 2,
      anon_sym_SEMI,
      anon_sym_GT_RBRACE,
  [751534] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    STATE(8954), 1,
      sym_extended_module_path,
    STATE(17313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751551] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24669), 1,
      sym__identifier,
    ACTIONS(24671), 1,
      anon_sym_LPAREN,
    STATE(17314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751568] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23035), 1,
      anon_sym_then,
    STATE(10657), 1,
      sym_then_clause,
    STATE(17315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751585] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24673), 1,
      anon_sym_COLON_GT,
    ACTIONS(24675), 1,
      anon_sym_RPAREN,
    STATE(17316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751602] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23725), 1,
      anon_sym_do,
    STATE(7900), 1,
      sym_do_clause,
    STATE(17317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751619] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23297), 1,
      anon_sym_then,
    STATE(12308), 1,
      sym_then_clause,
    STATE(17318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751636] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24677), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [751651] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17665), 1,
      sym__identifier,
    STATE(17320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751668] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(17321), 1,
      sym_attribute,
    STATE(18007), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751685] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23035), 1,
      anon_sym_then,
    STATE(10527), 1,
      sym_then_clause,
    STATE(17322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751702] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24679), 1,
      anon_sym_DOT,
    STATE(17323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751719] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24681), 1,
      anon_sym_RPAREN,
    ACTIONS(24683), 1,
      anon_sym_SEMI,
    STATE(17324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751736] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24681), 1,
      anon_sym_RBRACK,
    ACTIONS(24685), 1,
      anon_sym_SEMI,
    STATE(17325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751753] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24681), 1,
      anon_sym_RBRACE,
    ACTIONS(24687), 1,
      anon_sym_SEMI,
    STATE(17326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751770] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24689), 1,
      anon_sym_EQ,
    ACTIONS(24691), 1,
      anon_sym_RPAREN,
    STATE(17327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751787] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16872), 1,
      anon_sym_STAR,
    ACTIONS(24693), 1,
      anon_sym_DASH_GT,
    STATE(17328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751804] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24695), 1,
      sym__identifier,
    ACTIONS(24697), 1,
      anon_sym_LPAREN,
    STATE(17329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751821] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24699), 1,
      anon_sym_EQ,
    ACTIONS(24701), 1,
      anon_sym_RPAREN,
    STATE(17330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751838] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(17331), 1,
      sym_attribute,
    STATE(18395), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751855] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(24703), 1,
      sym__identifier,
    STATE(17332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751872] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24705), 1,
      anon_sym_RPAREN,
    ACTIONS(24707), 1,
      anon_sym_LT_DASH,
    STATE(17333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751889] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24091), 1,
      anon_sym_then,
    STATE(11811), 1,
      sym_then_clause,
    STATE(17334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751906] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24709), 1,
      sym__identifier,
    ACTIONS(24711), 1,
      anon_sym_LPAREN,
    STATE(17335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751923] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24713), 1,
      anon_sym_COLON_GT,
    ACTIONS(24715), 1,
      anon_sym_RPAREN,
    STATE(17336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751940] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24717), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [751955] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18139), 1,
      anon_sym_RBRACE,
    ACTIONS(24719), 1,
      anon_sym_SEMI,
    STATE(17338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751972] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24721), 1,
      anon_sym_DOT,
    STATE(17339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751989] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23725), 1,
      anon_sym_do,
    STATE(7927), 1,
      sym_do_clause,
    STATE(17340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752006] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(24723), 1,
      sym__identifier,
    STATE(17341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752023] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24725), 1,
      anon_sym_EQ,
    ACTIONS(24727), 1,
      anon_sym_RPAREN,
    STATE(17342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752040] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24729), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [752055] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23651), 1,
      anon_sym_then,
    STATE(12321), 1,
      sym_then_clause,
    STATE(17344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752072] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24731), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [752087] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24733), 1,
      anon_sym_RPAREN,
    ACTIONS(24735), 1,
      anon_sym_LT_DASH,
    STATE(17346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752104] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24737), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [752119] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24739), 1,
      sym__identifier,
    ACTIONS(24741), 1,
      anon_sym_LPAREN,
    STATE(17348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752136] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(17349), 1,
      sym_attribute,
    STATE(20064), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752153] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17638), 1,
      sym__identifier,
    STATE(17350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752170] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24743), 1,
      anon_sym_DOT,
    STATE(17351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752187] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24745), 1,
      anon_sym_RPAREN,
    ACTIONS(24747), 1,
      anon_sym_LT_DASH,
    STATE(17352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752204] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24749), 1,
      anon_sym_COLON_GT,
    ACTIONS(24751), 1,
      anon_sym_RPAREN,
    STATE(17353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752221] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16872), 1,
      anon_sym_STAR,
    ACTIONS(24753), 1,
      anon_sym_DASH_GT,
    STATE(17354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752238] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24755), 1,
      anon_sym_EQ,
    ACTIONS(24757), 1,
      anon_sym_RPAREN,
    STATE(17355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752255] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24759), 1,
      anon_sym_DOT,
    STATE(17356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752272] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24761), 1,
      anon_sym_COLON_GT,
    ACTIONS(24763), 1,
      anon_sym_RPAREN,
    STATE(17357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752289] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24765), 1,
      anon_sym_RPAREN,
    ACTIONS(24767), 1,
      anon_sym_SEMI,
    STATE(17358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752306] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24769), 1,
      anon_sym_RPAREN,
    ACTIONS(24771), 1,
      anon_sym_LT_DASH,
    STATE(17359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752323] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24765), 1,
      anon_sym_RBRACK,
    ACTIONS(24773), 1,
      anon_sym_SEMI,
    STATE(17360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752340] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24765), 1,
      anon_sym_RBRACE,
    ACTIONS(24775), 1,
      anon_sym_SEMI,
    STATE(17361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752357] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24777), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [752372] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10165), 1,
      anon_sym_RBRACK,
    ACTIONS(18646), 1,
      anon_sym_PIPE,
    STATE(17363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752389] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24779), 1,
      anon_sym_RPAREN,
    ACTIONS(24781), 1,
      anon_sym_LT_DASH,
    STATE(17364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752406] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24783), 1,
      anon_sym_DOT,
    STATE(17365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752423] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(24785), 1,
      sym__identifier,
    STATE(17366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752440] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24787), 1,
      anon_sym_COLON_GT,
    ACTIONS(24789), 1,
      anon_sym_RPAREN,
    STATE(17367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752457] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24791), 1,
      anon_sym_COLON_GT,
    ACTIONS(24793), 1,
      anon_sym_RPAREN,
    STATE(17368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752474] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(17369), 1,
      sym_attribute,
    STATE(20359), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752491] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24795), 1,
      anon_sym_DOT,
    STATE(17370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752508] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(17371), 1,
      sym_attribute,
    STATE(20092), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752525] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18211), 2,
      anon_sym_SEMI,
      anon_sym_GT,
  [752540] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8827), 1,
      anon_sym_COLON_GT,
    ACTIONS(8829), 1,
      anon_sym_EQ,
    STATE(17373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752557] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24091), 1,
      anon_sym_then,
    STATE(11787), 1,
      sym_then_clause,
    STATE(17374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752574] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23175), 1,
      anon_sym_do,
    STATE(8239), 1,
      sym_do_clause,
    STATE(17375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752591] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24797), 1,
      anon_sym_RPAREN,
    ACTIONS(24799), 1,
      anon_sym_LT_DASH,
    STATE(17376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752608] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9974), 1,
      anon_sym_RBRACK,
    ACTIONS(18646), 1,
      anon_sym_PIPE,
    STATE(17377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752625] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17903), 1,
      anon_sym_RBRACE,
    ACTIONS(24801), 1,
      anon_sym_SEMI,
    STATE(17378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752642] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24803), 1,
      anon_sym_DOT,
    STATE(17379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752659] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16872), 1,
      anon_sym_STAR,
    ACTIONS(24805), 1,
      anon_sym_DASH_GT,
    STATE(17380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752676] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24807), 1,
      anon_sym_DOT,
    STATE(17381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752693] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(24809), 1,
      sym__identifier,
    STATE(17382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752710] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23035), 1,
      anon_sym_then,
    STATE(10641), 1,
      sym_then_clause,
    STATE(17383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752727] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17881), 1,
      anon_sym_RBRACE,
    ACTIONS(24811), 1,
      anon_sym_SEMI,
    STATE(17384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752744] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23297), 1,
      anon_sym_then,
    STATE(12228), 1,
      sym_then_clause,
    STATE(17385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752761] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24813), 1,
      sym__identifier,
    ACTIONS(24815), 1,
      anon_sym_LPAREN,
    STATE(17386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752778] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(17387), 1,
      sym_attribute,
    STATE(17771), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752795] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9858), 1,
      anon_sym_RBRACK,
    ACTIONS(18646), 1,
      anon_sym_PIPE,
    STATE(17388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752812] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24817), 1,
      anon_sym_DOT,
    STATE(17389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752829] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24819), 1,
      anon_sym_RPAREN,
    ACTIONS(24821), 1,
      anon_sym_LT_DASH,
    STATE(17390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752846] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24823), 1,
      anon_sym_DOT,
    STATE(17391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752863] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24825), 1,
      sym__identifier,
    ACTIONS(24827), 1,
      anon_sym_LPAREN,
    STATE(17392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752880] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24829), 1,
      anon_sym_RPAREN,
    ACTIONS(24831), 1,
      anon_sym_SEMI,
    STATE(17393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752897] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24829), 1,
      anon_sym_RBRACK,
    ACTIONS(24833), 1,
      anon_sym_SEMI,
    STATE(17394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752914] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24829), 1,
      anon_sym_RBRACE,
    ACTIONS(24835), 1,
      anon_sym_SEMI,
    STATE(17395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752931] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24837), 1,
      sym__identifier,
    ACTIONS(24839), 1,
      anon_sym_LPAREN,
    STATE(17396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752948] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24841), 1,
      anon_sym_COLON_GT,
    ACTIONS(24843), 1,
      anon_sym_RPAREN,
    STATE(17397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752965] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24845), 1,
      sym__identifier,
    ACTIONS(24847), 1,
      anon_sym_LPAREN,
    STATE(17398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752982] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(24849), 1,
      sym__identifier,
    STATE(17399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752999] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(17400), 1,
      sym_attribute,
    STATE(17869), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753016] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24851), 1,
      anon_sym_RPAREN,
    ACTIONS(24853), 1,
      anon_sym_LT_DASH,
    STATE(17401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753033] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10067), 1,
      anon_sym_RBRACK,
    ACTIONS(18646), 1,
      anon_sym_PIPE,
    STATE(17402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753050] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24855), 1,
      anon_sym_RPAREN,
    ACTIONS(24857), 1,
      anon_sym_LT_DASH,
    STATE(17403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753067] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(24859), 1,
      sym__identifier,
    STATE(17404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753084] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24861), 1,
      anon_sym_DOT,
    STATE(17405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753101] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24863), 1,
      anon_sym_DOT,
    STATE(17406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753118] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24865), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [753133] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24867), 1,
      anon_sym_RPAREN,
    ACTIONS(24869), 1,
      anon_sym_LT_DASH,
    STATE(17408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753150] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24871), 1,
      anon_sym_DOT,
    STATE(17409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753167] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(17410), 1,
      sym_attribute,
    STATE(18162), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753184] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24873), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [753199] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24875), 1,
      anon_sym_RPAREN,
    ACTIONS(24877), 1,
      anon_sym_LT_DASH,
    STATE(17412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753216] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24319), 1,
      anon_sym_then,
    STATE(12202), 1,
      sym_then_clause,
    STATE(17413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753233] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24879), 1,
      anon_sym_DOT,
    STATE(17414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753250] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23519), 1,
      anon_sym_then,
    STATE(11451), 1,
      sym_then_clause,
    STATE(17415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753267] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(17416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12432), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [753282] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24881), 1,
      anon_sym_RPAREN,
    ACTIONS(24883), 1,
      anon_sym_SEMI,
    STATE(17417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753299] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24881), 1,
      anon_sym_RBRACK,
    ACTIONS(24885), 1,
      anon_sym_SEMI,
    STATE(17418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753316] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24881), 1,
      anon_sym_RBRACE,
    ACTIONS(24887), 1,
      anon_sym_SEMI,
    STATE(17419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753333] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24889), 1,
      anon_sym_COLON2,
    STATE(11686), 1,
      sym__polymorphic_typed,
    STATE(17420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753350] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23403), 1,
      anon_sym_do,
    STATE(10628), 1,
      sym_do_clause,
    STATE(17421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753367] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24891), 1,
      anon_sym_RPAREN,
    ACTIONS(24893), 1,
      anon_sym_LT_DASH,
    STATE(17422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753384] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(17423), 1,
      sym_attribute,
    STATE(18816), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753401] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24895), 1,
      anon_sym_EQ,
    ACTIONS(24897), 1,
      anon_sym_RPAREN,
    STATE(17424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753418] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(17425), 1,
      sym_attribute,
    STATE(18321), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753435] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24899), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [753450] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24901), 1,
      anon_sym_RPAREN,
    ACTIONS(24903), 1,
      anon_sym_LT_DASH,
    STATE(17427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753467] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(24905), 1,
      sym__identifier,
    STATE(17428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753484] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      sym__capitalized_identifier,
    STATE(16294), 1,
      sym_extended_module_path,
    STATE(17429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753501] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17859), 1,
      anon_sym_RBRACE,
    ACTIONS(24907), 1,
      anon_sym_SEMI,
    STATE(17430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753518] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24909), 1,
      anon_sym_DOT,
    STATE(17431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753535] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24911), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [753550] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(24913), 1,
      sym__identifier,
    STATE(17433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753567] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16872), 1,
      anon_sym_STAR,
    ACTIONS(24915), 1,
      anon_sym_DASH_GT,
    STATE(17434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753584] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24917), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [753599] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18113), 1,
      anon_sym_RBRACE,
    ACTIONS(24919), 1,
      anon_sym_SEMI,
    STATE(17436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753616] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(17480), 1,
      sym__identifier,
    STATE(17437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753633] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24921), 1,
      sym__identifier,
    ACTIONS(24923), 1,
      anon_sym_LBRACK,
    STATE(17438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753650] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23131), 1,
      anon_sym_then,
    STATE(8486), 1,
      sym_then_clause,
    STATE(17439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753667] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24925), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [753682] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23131), 1,
      anon_sym_then,
    STATE(8495), 1,
      sym_then_clause,
    STATE(17441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753699] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(17442), 1,
      sym_attribute,
    STATE(18646), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753716] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24927), 1,
      anon_sym_DOT,
    STATE(17443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753733] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17867), 1,
      anon_sym_RBRACE,
    ACTIONS(24929), 1,
      anon_sym_SEMI,
    STATE(17444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753750] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24931), 1,
      anon_sym_COLON_GT,
    ACTIONS(24933), 1,
      anon_sym_RPAREN,
    STATE(17445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753767] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18027), 1,
      anon_sym_RBRACE,
    ACTIONS(24935), 1,
      anon_sym_SEMI,
    STATE(17446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753784] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24937), 2,
      anon_sym_SEMI,
      anon_sym_GT,
  [753799] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23651), 1,
      anon_sym_then,
    STATE(12350), 1,
      sym_then_clause,
    STATE(17448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753816] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24939), 1,
      anon_sym_RPAREN,
    ACTIONS(24941), 1,
      anon_sym_SEMI,
    STATE(17449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753833] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(24943), 1,
      sym__identifier,
    STATE(17450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753850] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24939), 1,
      anon_sym_RBRACK,
    ACTIONS(24945), 1,
      anon_sym_SEMI,
    STATE(17451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753867] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24939), 1,
      anon_sym_RBRACE,
    ACTIONS(24947), 1,
      anon_sym_SEMI,
    STATE(17452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753884] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(17453), 1,
      sym_attribute,
    STATE(19087), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753901] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24949), 1,
      anon_sym_COLON_GT,
    ACTIONS(24951), 1,
      anon_sym_RPAREN,
    STATE(17454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753918] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24889), 1,
      anon_sym_COLON2,
    STATE(11837), 1,
      sym__polymorphic_typed,
    STATE(17455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753935] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24953), 1,
      sym__identifier,
    ACTIONS(24955), 1,
      anon_sym_LPAREN,
    STATE(17456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753952] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18411), 1,
      sym__identifier,
    STATE(14420), 1,
      sym__simple_value_pattern,
    STATE(17457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753969] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24957), 1,
      anon_sym_COLON_GT,
    ACTIONS(24959), 1,
      anon_sym_RPAREN,
    STATE(17458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753986] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24961), 1,
      anon_sym_RPAREN,
    ACTIONS(24963), 1,
      anon_sym_LT_DASH,
    STATE(17459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754003] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(17460), 1,
      sym_attribute,
    STATE(18815), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754020] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10052), 1,
      anon_sym_RBRACK,
    ACTIONS(18646), 1,
      anon_sym_PIPE,
    STATE(17461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754037] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23519), 1,
      anon_sym_then,
    STATE(11466), 1,
      sym_then_clause,
    STATE(17462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754054] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24965), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [754069] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24967), 1,
      anon_sym_SEMI,
    ACTIONS(24969), 1,
      anon_sym_RBRACE,
    STATE(17464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754086] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24971), 1,
      anon_sym_RPAREN,
    ACTIONS(24973), 1,
      anon_sym_LT_DASH,
    STATE(17465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754103] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(24975), 1,
      sym__identifier,
    STATE(17466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754120] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(17467), 1,
      sym_attribute,
    STATE(17733), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754137] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24977), 1,
      sym__identifier,
    ACTIONS(24979), 1,
      anon_sym_LPAREN,
    STATE(17468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754154] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24981), 1,
      anon_sym_DOT,
    STATE(17469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754171] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24983), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [754186] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23521), 1,
      anon_sym_then,
    STATE(8475), 1,
      sym_then_clause,
    STATE(17471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754203] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23777), 1,
      anon_sym_do,
    STATE(8246), 1,
      sym_do_clause,
    STATE(17472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754220] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23521), 1,
      anon_sym_then,
    STATE(8442), 1,
      sym_then_clause,
    STATE(17473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754237] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18411), 1,
      sym__identifier,
    STATE(14635), 1,
      sym__simple_value_pattern,
    STATE(17474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754254] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24985), 1,
      sym__identifier,
    ACTIONS(24987), 1,
      anon_sym_LPAREN,
    STATE(17475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754271] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(24989), 1,
      sym__identifier,
    STATE(17476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754288] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24991), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [754303] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(17478), 1,
      sym_attribute,
    STATE(19080), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754320] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18209), 1,
      anon_sym_RBRACE,
    ACTIONS(24993), 1,
      anon_sym_SEMI,
    STATE(17479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754337] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(24995), 1,
      anon_sym_DOT,
    STATE(17480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754354] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24997), 1,
      anon_sym_RPAREN,
    ACTIONS(24999), 1,
      anon_sym_LT_DASH,
    STATE(17481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754371] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25001), 1,
      anon_sym_COLON_GT,
    ACTIONS(25003), 1,
      anon_sym_RPAREN,
    STATE(17482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754388] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(25005), 1,
      anon_sym_DOT,
    STATE(17483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754405] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25007), 1,
      anon_sym_RPAREN,
    ACTIONS(25009), 1,
      anon_sym_SEMI,
    STATE(17484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754422] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25007), 1,
      anon_sym_RBRACK,
    ACTIONS(25011), 1,
      anon_sym_SEMI,
    STATE(17485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754439] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25013), 1,
      anon_sym_RPAREN,
    ACTIONS(25015), 1,
      anon_sym_LT_DASH,
    STATE(17486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754456] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25007), 1,
      anon_sym_RBRACE,
    ACTIONS(25017), 1,
      anon_sym_SEMI,
    STATE(17487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754473] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(25019), 1,
      sym__identifier,
    STATE(17488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754490] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25021), 1,
      anon_sym_RPAREN,
    ACTIONS(25023), 1,
      anon_sym_LT_DASH,
    STATE(17489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754507] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(25025), 1,
      sym__identifier,
    STATE(17490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754524] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8768), 1,
      anon_sym_COLON_GT,
    ACTIONS(8770), 1,
      anon_sym_EQ,
    STATE(17491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754541] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25027), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [754556] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10191), 1,
      anon_sym_RBRACK,
    ACTIONS(18646), 1,
      anon_sym_PIPE,
    STATE(17493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754573] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(17494), 1,
      sym_attribute,
    STATE(19137), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754590] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25029), 1,
      sym__identifier,
    ACTIONS(25031), 1,
      anon_sym_LPAREN,
    STATE(17495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754607] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25033), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [754622] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(25035), 1,
      anon_sym_DOT,
    STATE(17497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754639] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25037), 1,
      anon_sym_COLON_GT,
    ACTIONS(25039), 1,
      anon_sym_RPAREN,
    STATE(17498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754656] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(25041), 1,
      anon_sym_DOT,
    STATE(17499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754673] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23245), 1,
      anon_sym_then,
    STATE(8133), 1,
      sym_then_clause,
    STATE(17500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754690] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25043), 1,
      anon_sym_RPAREN,
    ACTIONS(25045), 1,
      anon_sym_SEMI,
    STATE(17501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754707] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(25047), 1,
      sym__identifier,
    STATE(17502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754724] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25049), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [754739] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25043), 1,
      anon_sym_RBRACK,
    ACTIONS(25051), 1,
      anon_sym_SEMI,
    STATE(17504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754756] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25043), 1,
      anon_sym_RBRACE,
    ACTIONS(25053), 1,
      anon_sym_SEMI,
    STATE(17505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754773] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25055), 1,
      sym__identifier,
    ACTIONS(25057), 1,
      anon_sym_LPAREN,
    STATE(17506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754790] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(17507), 1,
      sym_attribute,
    STATE(19486), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754807] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25059), 1,
      anon_sym_RPAREN,
    ACTIONS(25061), 1,
      anon_sym_LT_DASH,
    STATE(17508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754824] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    ACTIONS(25063), 1,
      sym__identifier,
    STATE(17509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754841] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25065), 1,
      anon_sym_COLON_GT,
    ACTIONS(25067), 1,
      anon_sym_RPAREN,
    STATE(17510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754858] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8022), 1,
      sym__left_quoted_string_delimiter,
    STATE(17511), 1,
      sym_attribute,
    STATE(19838), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754875] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(25069), 1,
      anon_sym_DOT,
    STATE(17512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754892] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25071), 1,
      anon_sym_RPAREN,
    ACTIONS(25073), 1,
      anon_sym_SEMI,
    STATE(17513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754909] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25071), 1,
      anon_sym_RBRACK,
    ACTIONS(25075), 1,
      anon_sym_SEMI,
    STATE(17514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754926] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25077), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [754941] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25079), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [754956] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25071), 1,
      anon_sym_RBRACE,
    ACTIONS(25081), 1,
      anon_sym_SEMI,
    STATE(17517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754973] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25083), 1,
      anon_sym_COLON_GT,
    ACTIONS(25085), 1,
      anon_sym_RPAREN,
    STATE(17518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754990] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    ACTIONS(25087), 1,
      sym__identifier,
    STATE(17519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755007] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25089), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [755022] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25091), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [755037] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23947), 1,
      anon_sym_then,
    STATE(8296), 1,
      sym_then_clause,
    STATE(17522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755054] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23953), 1,
      anon_sym_then,
    STATE(12056), 1,
      sym_then_clause,
    STATE(17523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755071] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_COLON2,
    STATE(17524), 1,
      sym_attribute,
    STATE(19662), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755088] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25093), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [755103] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25095), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [755118] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25097), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [755133] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25099), 1,
      anon_sym_RPAREN,
    ACTIONS(25101), 1,
      anon_sym_LT_DASH,
    STATE(17528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755150] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25103), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [755165] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    STATE(17530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25105), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [755180] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_LPAREN,
    ACTIONS(25107), 1,
      anon_sym_DOT,
    STATE(17531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755197] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10113), 1,
      anon_sym_RBRACK,
    ACTIONS(18646), 1,
      anon_sym_PIPE,
    STATE(17532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755214] = 5,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23459), 1,
      anon_sym_then,
    STATE(12096), 1,
      sym_then_clause,
    STATE(17533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755231] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25109), 1,
      anon_sym_DOT_DOT,
    STATE(17534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755245] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25111), 1,
      anon_sym_SQUOTE2,
    STATE(17535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755259] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25113), 1,
      anon_sym_DQUOTE,
    STATE(17536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755273] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25115), 1,
      anon_sym_RPAREN,
    STATE(17537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755287] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25117), 1,
      anon_sym_in,
    STATE(17538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755301] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23707), 1,
      anon_sym_RPAREN,
    STATE(17539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755315] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8909), 1,
      anon_sym_DASH_GT,
    STATE(17540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755329] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17963), 1,
      anon_sym_RPAREN,
    STATE(17541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755343] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25119), 1,
      sym__identifier,
    STATE(17542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755357] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25121), 1,
      anon_sym_in,
    STATE(17543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755371] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25123), 1,
      anon_sym_RPAREN,
    STATE(17544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755385] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25125), 1,
      anon_sym_RBRACK,
    STATE(17545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755399] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25127), 1,
      anon_sym_RBRACE,
    STATE(17546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755413] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25129), 1,
      anon_sym_in,
    STATE(17547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755427] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25131), 1,
      anon_sym_RPAREN,
    STATE(17548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755441] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25133), 1,
      anon_sym_RPAREN,
    STATE(17549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755455] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25133), 1,
      anon_sym_RBRACK,
    STATE(17550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755469] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25133), 1,
      anon_sym_RBRACE,
    STATE(17551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755483] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25135), 1,
      anon_sym_RPAREN,
    STATE(17552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755497] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25137), 1,
      anon_sym_RPAREN,
    STATE(17553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755511] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25139), 1,
      anon_sym_DQUOTE,
    STATE(17554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755525] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25141), 1,
      anon_sym_RBRACE,
    STATE(17555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755539] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25143), 1,
      anon_sym_RPAREN,
    STATE(17556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755553] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25145), 1,
      anon_sym_RPAREN,
    STATE(17557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755567] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25147), 1,
      anon_sym_end,
    STATE(17558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755581] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25149), 1,
      anon_sym_RBRACK,
    STATE(17559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755595] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25151), 1,
      sym__capitalized_identifier,
    STATE(17560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755609] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18279), 1,
      anon_sym_RPAREN,
    STATE(17561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755623] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9006), 1,
      anon_sym_DASH_GT,
    STATE(17562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755637] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25153), 1,
      anon_sym_DASH_GT,
    STATE(17563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755651] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25155), 1,
      anon_sym_in,
    STATE(17564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755665] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25157), 1,
      anon_sym_RBRACE,
    STATE(17565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755679] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16829), 1,
      anon_sym_RPAREN,
    STATE(17566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755693] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16703), 1,
      anon_sym_RPAREN,
    STATE(17567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755707] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25159), 1,
      sym__identifier,
    STATE(17568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755721] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25161), 1,
      anon_sym_DOT,
    STATE(17569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755735] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25163), 1,
      anon_sym_DASH_GT,
    STATE(17570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755749] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25165), 1,
      anon_sym_RBRACE,
    STATE(17571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755763] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25167), 1,
      anon_sym_DASH_GT,
    STATE(17572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755777] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25169), 1,
      anon_sym_RPAREN,
    STATE(17573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755791] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25171), 1,
      anon_sym_DASH_GT,
    STATE(17574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755805] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25173), 1,
      anon_sym_RPAREN,
    STATE(17575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755819] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25175), 1,
      anon_sym_end,
    STATE(17576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755833] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11510), 1,
      anon_sym_GT,
    STATE(17577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755847] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25177), 1,
      anon_sym_with,
    STATE(17578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755861] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25179), 1,
      anon_sym_with,
    STATE(17579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755875] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25181), 1,
      anon_sym_DOT,
    STATE(17580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755889] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25183), 1,
      anon_sym_RBRACK,
    STATE(17581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755903] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25185), 1,
      anon_sym_LT_DASH,
    STATE(17582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755917] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25187), 1,
      anon_sym_RBRACE,
    STATE(17583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755931] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16527), 1,
      anon_sym_RPAREN,
    STATE(17584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755945] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25189), 1,
      anon_sym_RPAREN,
    STATE(17585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755959] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25191), 1,
      anon_sym_DASH_GT,
    STATE(17586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755973] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24969), 1,
      anon_sym_RBRACE,
    STATE(17587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755987] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16970), 1,
      anon_sym_DASH_GT,
    STATE(17588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756001] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25193), 1,
      anon_sym_RPAREN,
    STATE(17589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756015] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25195), 1,
      anon_sym_RBRACE,
    STATE(17590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756029] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25197), 1,
      anon_sym_RPAREN,
    STATE(17591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756043] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25199), 1,
      anon_sym_with,
    STATE(17592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756057] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25201), 1,
      anon_sym_with,
    STATE(17593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756071] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25203), 1,
      anon_sym_RPAREN,
    STATE(17594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756085] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25205), 1,
      anon_sym_RBRACK,
    STATE(17595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756099] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25207), 1,
      anon_sym_DASH_GT,
    STATE(17596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756113] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25209), 1,
      anon_sym_DOT,
    STATE(17597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756127] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25211), 1,
      anon_sym_RBRACK,
    STATE(17598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756141] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25213), 1,
      anon_sym_RPAREN,
    STATE(17599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756155] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25215), 1,
      anon_sym_RBRACE,
    STATE(17600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756169] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25217), 1,
      anon_sym_RPAREN,
    STATE(17601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756183] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25219), 1,
      anon_sym_RBRACE,
    STATE(17602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756197] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25217), 1,
      anon_sym_RBRACK,
    STATE(17603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756211] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25217), 1,
      anon_sym_RBRACE,
    STATE(17604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756225] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25221), 1,
      anon_sym_end,
    STATE(17605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756239] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25223), 1,
      anon_sym_DASH_GT,
    STATE(17606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756253] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25225), 1,
      anon_sym_RPAREN,
    STATE(17607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756267] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18149), 1,
      anon_sym_RPAREN,
    STATE(17608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756281] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25227), 1,
      anon_sym_RPAREN,
    STATE(17609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756295] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25229), 1,
      anon_sym_RBRACE,
    STATE(17610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756309] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25231), 1,
      anon_sym_LT_DASH,
    STATE(17611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756323] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25233), 1,
      anon_sym_RPAREN,
    STATE(17612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756337] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25235), 1,
      anon_sym_RBRACK,
    STATE(17613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756351] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25237), 1,
      anon_sym_RPAREN,
    STATE(17614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756365] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25239), 1,
      anon_sym_RPAREN,
    STATE(17615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756379] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25241), 1,
      anon_sym_RPAREN,
    STATE(17616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756393] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25241), 1,
      anon_sym_RBRACK,
    STATE(17617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756407] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25241), 1,
      anon_sym_RBRACE,
    STATE(17618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756421] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25243), 1,
      anon_sym_end,
    STATE(17619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756435] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25245), 1,
      anon_sym_RBRACE,
    STATE(17620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756449] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3197), 1,
      anon_sym_RPAREN,
    STATE(17621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756463] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25247), 1,
      anon_sym_RBRACE,
    STATE(17622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756477] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25249), 1,
      anon_sym_RPAREN,
    STATE(17623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756491] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25251), 1,
      anon_sym_RPAREN,
    STATE(17624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756505] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25253), 1,
      anon_sym_RPAREN,
    STATE(17625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756519] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25255), 1,
      anon_sym_RPAREN,
    STATE(17626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756533] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25257), 1,
      anon_sym_DOT,
    STATE(17627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756547] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25259), 1,
      anon_sym_in,
    STATE(17628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756561] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25261), 1,
      anon_sym_in,
    STATE(17629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756575] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25263), 1,
      anon_sym_DASH_GT,
    STATE(17630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756589] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25265), 1,
      anon_sym_in,
    STATE(17631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756603] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25267), 1,
      anon_sym_DASH_GT,
    STATE(17632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756617] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25269), 1,
      anon_sym_RPAREN,
    STATE(17633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756631] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25271), 1,
      anon_sym_with,
    STATE(17634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756645] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25273), 1,
      anon_sym_with,
    STATE(17635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756659] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25275), 1,
      anon_sym_DOT,
    STATE(17636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756673] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25277), 1,
      anon_sym_RPAREN,
    STATE(17637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756687] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25279), 1,
      anon_sym_RPAREN,
    STATE(17638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756701] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25281), 1,
      anon_sym_RPAREN,
    STATE(17639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756715] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25283), 1,
      anon_sym_RBRACK,
    STATE(17640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756729] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25285), 1,
      anon_sym_RBRACE,
    STATE(17641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756743] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25287), 1,
      anon_sym_RPAREN,
    STATE(17642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756757] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3163), 1,
      anon_sym_RPAREN,
    STATE(17643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756771] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25289), 1,
      anon_sym_RPAREN,
    STATE(17644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756785] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25291), 1,
      anon_sym_RPAREN,
    STATE(17645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756799] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25293), 1,
      anon_sym_in,
    STATE(17646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756813] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25295), 1,
      anon_sym_with,
    STATE(17647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756827] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25297), 1,
      anon_sym_with,
    STATE(17648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756841] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25299), 1,
      anon_sym_RPAREN,
    STATE(17649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756855] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25301), 1,
      anon_sym_DASH_GT,
    STATE(17650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756869] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25303), 1,
      anon_sym_RPAREN,
    STATE(17651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756883] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25305), 1,
      anon_sym_DOT,
    STATE(17652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756897] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25307), 1,
      anon_sym_RPAREN,
    STATE(17653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756911] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25309), 1,
      anon_sym_RBRACK,
    STATE(17654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756925] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25311), 1,
      anon_sym_RBRACE,
    STATE(17655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756939] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25313), 1,
      anon_sym_RBRACK,
    STATE(17656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756953] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6877), 1,
      anon_sym_RPAREN,
    STATE(17657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756967] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25315), 1,
      anon_sym_RPAREN,
    STATE(17658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756981] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25317), 1,
      anon_sym_RBRACK,
    STATE(17659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756995] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25319), 1,
      anon_sym_RBRACE,
    STATE(17660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757009] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25321), 1,
      anon_sym_RBRACE,
    STATE(17661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757023] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18275), 1,
      anon_sym_RPAREN,
    STATE(17662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757037] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21441), 1,
      anon_sym_GT_RBRACE,
    STATE(17663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757051] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25323), 1,
      anon_sym_RPAREN,
    STATE(17664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757065] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25325), 1,
      anon_sym_RBRACK,
    STATE(17665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757079] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25327), 1,
      anon_sym_RBRACE,
    STATE(17666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757093] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25329), 1,
      anon_sym_DOT,
    STATE(17667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757107] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25331), 1,
      anon_sym_RPAREN,
    STATE(17668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757121] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25333), 1,
      anon_sym_RPAREN,
    STATE(17669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757135] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25335), 1,
      anon_sym_RPAREN,
    STATE(17670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757149] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25335), 1,
      anon_sym_RBRACK,
    STATE(17671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757163] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25335), 1,
      anon_sym_RBRACE,
    STATE(17672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757177] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17650), 1,
      anon_sym_GT,
    STATE(17673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757191] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25337), 1,
      anon_sym_RPAREN,
    STATE(17674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757205] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25339), 1,
      anon_sym_DASH_GT,
    STATE(17675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757219] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25341), 1,
      anon_sym_RPAREN,
    STATE(17676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757233] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_GT,
    STATE(17677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757247] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25343), 1,
      anon_sym_RPAREN,
    STATE(17678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757261] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16833), 1,
      anon_sym_RPAREN,
    STATE(17679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757275] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25345), 1,
      anon_sym_DASH_GT,
    STATE(17680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757289] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25347), 1,
      anon_sym_DOT,
    STATE(17681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757303] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20850), 1,
      anon_sym_GT_RBRACE,
    STATE(17682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757317] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19954), 1,
      anon_sym_end,
    STATE(17683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757331] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25349), 1,
      anon_sym_DASH_GT,
    STATE(17684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757345] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19930), 1,
      anon_sym_end,
    STATE(17685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757359] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25351), 1,
      anon_sym_LT_DASH,
    STATE(17686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757373] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3207), 1,
      anon_sym_RPAREN,
    STATE(17687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757387] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25353), 1,
      anon_sym_with,
    STATE(17688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757401] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25355), 1,
      anon_sym_with,
    STATE(17689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757415] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25357), 1,
      anon_sym_DOT,
    STATE(17690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757429] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25359), 1,
      anon_sym_SQUOTE2,
    STATE(17691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757443] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25361), 1,
      anon_sym_DQUOTE,
    STATE(17692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757457] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25363), 1,
      anon_sym_RPAREN,
    STATE(17693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757471] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23283), 1,
      anon_sym_RBRACE,
    STATE(17694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757485] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25365), 1,
      anon_sym_in,
    STATE(17695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757499] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25367), 1,
      anon_sym_in,
    STATE(17696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757513] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25369), 1,
      anon_sym_in,
    STATE(17697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757527] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20607), 1,
      anon_sym_GT_RBRACE,
    STATE(17698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757541] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25371), 1,
      anon_sym_DOT_DOT,
    STATE(17699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757555] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25373), 1,
      anon_sym_RPAREN,
    STATE(17700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757569] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25375), 1,
      anon_sym_with,
    STATE(17701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757583] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25377), 1,
      anon_sym_with,
    STATE(17702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757597] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25379), 1,
      anon_sym_RPAREN,
    STATE(17703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757611] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25381), 1,
      anon_sym_in,
    STATE(17704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757625] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25383), 1,
      anon_sym_RBRACK,
    STATE(17705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757639] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25385), 1,
      anon_sym_DOT,
    STATE(17706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757653] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25387), 1,
      anon_sym_DASH_GT,
    STATE(17707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757667] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25389), 1,
      sym__identifier,
    STATE(17708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757681] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25391), 1,
      anon_sym_DASH_GT,
    STATE(17709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757695] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25393), 1,
      anon_sym_RBRACE,
    STATE(17710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757709] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25395), 1,
      anon_sym_RBRACK,
    STATE(17711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757723] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25397), 1,
      anon_sym_RBRACE,
    STATE(17712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757737] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25399), 1,
      anon_sym_RBRACE,
    STATE(17713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757751] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25401), 1,
      anon_sym_RPAREN,
    STATE(17714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757765] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25403), 1,
      anon_sym_RPAREN,
    STATE(17715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757779] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17835), 1,
      anon_sym_RPAREN,
    STATE(17716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757793] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25405), 1,
      anon_sym_DASH_GT,
    STATE(17717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757807] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25407), 1,
      anon_sym_DASH_GT,
    STATE(17718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757821] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25409), 1,
      anon_sym_RPAREN,
    STATE(17719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757835] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19714), 1,
      anon_sym_end,
    STATE(17720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757849] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25411), 1,
      anon_sym_SQUOTE2,
    STATE(17721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757863] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25413), 1,
      anon_sym_DQUOTE,
    STATE(17722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757877] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25415), 1,
      anon_sym_RPAREN,
    STATE(17723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757891] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25417), 1,
      anon_sym_RPAREN,
    STATE(17724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757905] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25417), 1,
      anon_sym_RBRACK,
    STATE(17725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757919] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25417), 1,
      anon_sym_RBRACE,
    STATE(17726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757933] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25419), 1,
      anon_sym_RPAREN,
    STATE(17727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757947] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25421), 1,
      anon_sym_RBRACE,
    STATE(17728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757961] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25423), 1,
      anon_sym_LT_DASH,
    STATE(17729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757975] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3269), 1,
      anon_sym_RPAREN,
    STATE(17730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757989] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17632), 1,
      anon_sym_GT,
    STATE(17731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758003] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25425), 1,
      anon_sym_GT,
    STATE(17732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758017] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25427), 1,
      anon_sym_RBRACE,
    STATE(17733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758031] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25429), 1,
      sym__identifier,
    STATE(17734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758045] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25431), 1,
      anon_sym_DOT,
    STATE(17735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758059] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25433), 1,
      anon_sym_RPAREN,
    STATE(17736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758073] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21465), 1,
      anon_sym_GT_RBRACE,
    STATE(17737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758087] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25435), 1,
      sym__identifier,
    STATE(17738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758101] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19262), 1,
      anon_sym_end,
    STATE(17739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758115] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25437), 1,
      anon_sym_SQUOTE2,
    STATE(17740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758129] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25439), 1,
      anon_sym_DQUOTE,
    STATE(17741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758143] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25441), 1,
      anon_sym_with,
    STATE(17742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758157] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25443), 1,
      anon_sym_with,
    STATE(17743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758171] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25445), 1,
      anon_sym_DOT,
    STATE(17744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758185] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25447), 1,
      sym__identifier,
    STATE(17745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758199] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25449), 1,
      anon_sym_RPAREN,
    STATE(17746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758213] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25451), 1,
      anon_sym_in,
    STATE(17747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758227] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25453), 1,
      sym__identifier,
    STATE(17748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758241] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25455), 1,
      anon_sym_SQUOTE2,
    STATE(17749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758255] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25457), 1,
      anon_sym_RBRACK,
    STATE(17750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758269] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25459), 1,
      anon_sym_RBRACE,
    STATE(17751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758283] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8956), 1,
      anon_sym_DASH_GT,
    STATE(17752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758297] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25461), 1,
      anon_sym_in,
    STATE(17753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758311] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25463), 1,
      anon_sym_in,
    STATE(17754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758325] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25465), 1,
      anon_sym_with,
    STATE(17755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758339] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25467), 1,
      anon_sym_with,
    STATE(17756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758353] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25469), 1,
      sym__identifier,
    STATE(17757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758367] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25471), 1,
      anon_sym_RPAREN,
    STATE(17758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758381] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25473), 1,
      anon_sym_DASH_GT,
    STATE(17759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758395] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25475), 1,
      anon_sym_DOT,
    STATE(17760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758409] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25477), 1,
      anon_sym_RBRACK,
    STATE(17761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758423] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25479), 1,
      anon_sym_in,
    STATE(17762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758437] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25481), 1,
      anon_sym_RBRACE,
    STATE(17763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758451] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23307), 1,
      anon_sym_RBRACE,
    STATE(17764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758465] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25483), 1,
      anon_sym_RPAREN,
    STATE(17765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758479] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25485), 1,
      anon_sym_end,
    STATE(17766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758493] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16617), 1,
      anon_sym_RPAREN,
    STATE(17767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758507] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25487), 1,
      anon_sym_DASH_GT,
    STATE(17768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758521] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9014), 1,
      anon_sym_DASH_GT,
    STATE(17769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758535] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18219), 1,
      anon_sym_RPAREN,
    STATE(17770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758549] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25489), 1,
      anon_sym_RBRACE,
    STATE(17771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758563] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16821), 1,
      anon_sym_RPAREN,
    STATE(17772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758577] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11474), 1,
      anon_sym_GT,
    STATE(17773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758591] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25491), 1,
      anon_sym_RBRACE,
    STATE(17774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758605] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25493), 1,
      anon_sym_DASH_GT,
    STATE(17775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758619] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23391), 1,
      anon_sym_RBRACE,
    STATE(17776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758633] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25495), 1,
      anon_sym_RPAREN,
    STATE(17777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758647] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25497), 1,
      anon_sym_RPAREN,
    STATE(17778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758661] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25497), 1,
      anon_sym_RBRACK,
    STATE(17779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758675] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25497), 1,
      anon_sym_RBRACE,
    STATE(17780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758689] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25499), 1,
      anon_sym_RPAREN,
    STATE(17781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758703] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25501), 1,
      anon_sym_DASH_GT,
    STATE(17782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758717] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8915), 1,
      anon_sym_DASH_GT,
    STATE(17783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758731] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25503), 1,
      anon_sym_RPAREN,
    STATE(17784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758745] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25505), 1,
      anon_sym_DQUOTE,
    STATE(17785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758759] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23517), 1,
      anon_sym_RPAREN,
    STATE(17786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758773] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20619), 1,
      anon_sym_GT_RBRACE,
    STATE(17787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758787] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25507), 1,
      anon_sym_LT_DASH,
    STATE(17788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758801] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25509), 1,
      anon_sym_DOT,
    STATE(17789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758815] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20270), 1,
      anon_sym_end,
    STATE(17790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758829] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25511), 1,
      anon_sym_SQUOTE2,
    STATE(17791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758843] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25513), 1,
      anon_sym_end,
    STATE(17792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758857] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25515), 1,
      anon_sym_DQUOTE,
    STATE(17793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758871] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25517), 1,
      anon_sym_DASH_GT,
    STATE(17794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758885] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25519), 1,
      anon_sym_RBRACE,
    STATE(17795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758899] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25521), 1,
      anon_sym_with,
    STATE(17796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758913] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25523), 1,
      anon_sym_with,
    STATE(17797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758927] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25525), 1,
      anon_sym_DOT,
    STATE(17798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758941] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16709), 1,
      anon_sym_RPAREN,
    STATE(17799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758955] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25527), 1,
      anon_sym_RPAREN,
    STATE(17800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758969] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25529), 1,
      anon_sym_DOT_DOT,
    STATE(17801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758983] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25531), 1,
      anon_sym_DASH_GT,
    STATE(17802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758997] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25533), 1,
      anon_sym_DOT_DOT,
    STATE(17803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759011] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25535), 1,
      anon_sym_RPAREN,
    STATE(17804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759025] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25537), 1,
      anon_sym_RPAREN,
    STATE(17805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759039] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25539), 1,
      anon_sym_RPAREN,
    STATE(17806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759053] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25541), 1,
      anon_sym_RBRACK,
    STATE(17807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759067] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25543), 1,
      anon_sym_DASH_GT,
    STATE(17808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759081] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25545), 1,
      anon_sym_with,
    STATE(17809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759095] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25547), 1,
      anon_sym_with,
    STATE(17810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759109] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25549), 1,
      anon_sym_RPAREN,
    STATE(17811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759123] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25551), 1,
      anon_sym_RBRACK,
    STATE(17812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759137] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25553), 1,
      anon_sym_RBRACE,
    STATE(17813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759151] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25555), 1,
      anon_sym_DOT,
    STATE(17814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759165] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25557), 1,
      anon_sym_RPAREN,
    STATE(17815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759179] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25559), 1,
      anon_sym_RBRACK,
    STATE(17816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759193] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25561), 1,
      anon_sym_RBRACE,
    STATE(17817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759207] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25563), 1,
      sym__identifier,
    STATE(17818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759221] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25565), 1,
      anon_sym_RPAREN,
    STATE(17819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759235] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25567), 1,
      anon_sym_RPAREN,
    STATE(17820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759249] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25569), 1,
      anon_sym_RBRACK,
    STATE(17821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759263] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25571), 1,
      anon_sym_GT,
    STATE(17822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759277] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25573), 1,
      anon_sym_RBRACE,
    STATE(17823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759291] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17883), 1,
      anon_sym_RPAREN,
    STATE(17824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759305] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25575), 1,
      anon_sym_RPAREN,
    STATE(17825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759319] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25577), 1,
      anon_sym_RBRACK,
    STATE(17826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759333] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25579), 1,
      anon_sym_RPAREN,
    STATE(17827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759347] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25581), 1,
      anon_sym_RBRACE,
    STATE(17828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759361] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25583), 1,
      anon_sym_RPAREN,
    STATE(17829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759375] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25585), 1,
      anon_sym_RBRACE,
    STATE(17830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759389] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25587), 1,
      anon_sym_RPAREN,
    STATE(17831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759403] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25589), 1,
      anon_sym_RPAREN,
    STATE(17832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759417] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25589), 1,
      anon_sym_RBRACK,
    STATE(17833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759431] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25589), 1,
      anon_sym_RBRACE,
    STATE(17834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759445] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25591), 1,
      anon_sym_LT_DASH,
    STATE(17835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759459] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3137), 1,
      anon_sym_RPAREN,
    STATE(17836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759473] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25593), 1,
      anon_sym_RPAREN,
    STATE(17837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759487] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25595), 1,
      anon_sym_DASH_GT,
    STATE(17838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759501] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25597), 1,
      anon_sym_RPAREN,
    STATE(17839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759515] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11380), 1,
      anon_sym_GT,
    STATE(17840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759529] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25599), 1,
      anon_sym_RPAREN,
    STATE(17841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759543] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25601), 1,
      sym__identifier,
    STATE(17842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759557] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25603), 1,
      anon_sym_DOT,
    STATE(17843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759571] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17594), 1,
      anon_sym_GT,
    STATE(17844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759585] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25605), 1,
      anon_sym_RPAREN,
    STATE(17845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759599] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8970), 1,
      anon_sym_DASH_GT,
    STATE(17846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759613] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25607), 1,
      anon_sym_RPAREN,
    STATE(17847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759627] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25609), 1,
      anon_sym_RBRACK,
    STATE(17848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759641] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25611), 1,
      anon_sym_RBRACE,
    STATE(17849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759655] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25613), 1,
      anon_sym_with,
    STATE(17850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759669] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25615), 1,
      anon_sym_with,
    STATE(17851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759683] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25617), 1,
      anon_sym_DOT,
    STATE(17852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759697] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25619), 1,
      anon_sym_RPAREN,
    STATE(17853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759711] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25621), 1,
      anon_sym_RPAREN,
    STATE(17854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759725] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3171), 1,
      anon_sym_RPAREN,
    STATE(17855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759739] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25623), 1,
      anon_sym_DASH_GT,
    STATE(17856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759753] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25625), 1,
      anon_sym_DASH_GT,
    STATE(17857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759767] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23989), 1,
      anon_sym_RBRACE,
    STATE(17858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759781] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25627), 1,
      anon_sym_LT_DASH,
    STATE(17859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759795] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3165), 1,
      anon_sym_RPAREN,
    STATE(17860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759809] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25629), 1,
      anon_sym_RPAREN,
    STATE(17861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759823] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25631), 1,
      anon_sym_RPAREN,
    STATE(17862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759837] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25633), 1,
      anon_sym_with,
    STATE(17863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759851] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25635), 1,
      anon_sym_with,
    STATE(17864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759865] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25637), 1,
      anon_sym_RPAREN,
    STATE(17865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759879] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8913), 1,
      anon_sym_DASH_GT,
    STATE(17866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759893] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8966), 1,
      anon_sym_DASH_GT,
    STATE(17867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759907] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25639), 1,
      anon_sym_DOT,
    STATE(17868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759921] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25641), 1,
      anon_sym_RPAREN,
    STATE(17869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759935] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25643), 1,
      anon_sym_RPAREN,
    STATE(17870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759949] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25645), 1,
      anon_sym_RBRACK,
    STATE(17871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759963] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25647), 1,
      anon_sym_DOT,
    STATE(17872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759977] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25649), 1,
      anon_sym_RBRACE,
    STATE(17873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759991] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25651), 1,
      anon_sym_RPAREN,
    STATE(17874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760005] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25653), 1,
      anon_sym_RPAREN,
    STATE(17875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760019] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25655), 1,
      anon_sym_GT,
    STATE(17876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760033] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25657), 1,
      anon_sym_GT,
    STATE(17877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760047] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18033), 1,
      anon_sym_RPAREN,
    STATE(17878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760061] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17568), 1,
      anon_sym_GT,
    STATE(17879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760075] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25659), 1,
      anon_sym_GT,
    STATE(17880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760089] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25661), 1,
      anon_sym_RPAREN,
    STATE(17881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760103] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25663), 1,
      anon_sym_DASH_GT,
    STATE(17882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760117] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11703), 1,
      anon_sym_GT,
    STATE(17883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760131] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25665), 1,
      anon_sym_in,
    STATE(17884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760145] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25667), 1,
      anon_sym_RPAREN,
    STATE(17885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760159] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25669), 1,
      anon_sym_RPAREN,
    STATE(17886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760173] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25669), 1,
      anon_sym_RBRACK,
    STATE(17887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760187] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25669), 1,
      anon_sym_RBRACE,
    STATE(17888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760201] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25671), 1,
      anon_sym_RPAREN,
    STATE(17889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760215] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25673), 1,
      anon_sym_in,
    STATE(17890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760229] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25675), 1,
      anon_sym_RPAREN,
    STATE(17891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760243] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25677), 1,
      anon_sym_RBRACE,
    STATE(17892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760257] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8929), 1,
      anon_sym_DASH_GT,
    STATE(17893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760271] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25679), 1,
      anon_sym_in,
    STATE(17894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760285] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25681), 1,
      anon_sym_EQ,
    STATE(17895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760299] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25683), 1,
      anon_sym_end,
    STATE(17896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760313] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25685), 1,
      anon_sym_DOT,
    STATE(17897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760327] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25687), 1,
      anon_sym_RPAREN,
    STATE(17898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760341] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25689), 1,
      anon_sym_LT_DASH,
    STATE(17899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760355] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3143), 1,
      anon_sym_RPAREN,
    STATE(17900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760369] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25691), 1,
      anon_sym_DASH_GT,
    STATE(17901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760383] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25693), 1,
      anon_sym_RPAREN,
    STATE(17902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760397] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25695), 1,
      anon_sym_DOT,
    STATE(17903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760411] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25697), 1,
      anon_sym_with,
    STATE(17904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760425] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25699), 1,
      anon_sym_with,
    STATE(17905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760439] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25701), 1,
      anon_sym_DOT,
    STATE(17906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760453] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25703), 1,
      anon_sym_DASH_GT,
    STATE(17907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760467] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25705), 1,
      anon_sym_RBRACE,
    STATE(17908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760481] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25707), 1,
      anon_sym_in,
    STATE(17909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760495] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25709), 1,
      anon_sym_in,
    STATE(17910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760509] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25711), 1,
      anon_sym_in,
    STATE(17911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760523] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25713), 1,
      anon_sym_DASH_GT,
    STATE(17912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760537] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25715), 1,
      anon_sym_DASH_GT,
    STATE(17913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760551] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16563), 1,
      anon_sym_RPAREN,
    STATE(17914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760565] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25717), 1,
      anon_sym_RPAREN,
    STATE(17915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760579] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25719), 1,
      anon_sym_in,
    STATE(17916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760593] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25721), 1,
      anon_sym_with,
    STATE(17917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760607] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25723), 1,
      anon_sym_with,
    STATE(17918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760621] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25725), 1,
      anon_sym_RPAREN,
    STATE(17919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760635] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25727), 1,
      anon_sym_DASH_GT,
    STATE(17920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760649] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25729), 1,
      anon_sym_done,
    STATE(17921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760663] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25731), 1,
      anon_sym_DOT,
    STATE(17922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760677] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25733), 1,
      anon_sym_in,
    STATE(17923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760691] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25735), 1,
      anon_sym_RPAREN,
    STATE(17924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760705] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25737), 1,
      anon_sym_RPAREN,
    STATE(17925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760719] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25739), 1,
      anon_sym_RBRACE,
    STATE(17926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760733] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25741), 1,
      anon_sym_DASH_GT,
    STATE(17927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760747] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25743), 1,
      sym__identifier,
    STATE(17928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760761] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25745), 1,
      anon_sym_RPAREN,
    STATE(17929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760775] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25747), 1,
      anon_sym_DASH_GT,
    STATE(17930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760789] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25749), 1,
      anon_sym_LT_DASH,
    STATE(17931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760803] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18161), 1,
      anon_sym_RPAREN,
    STATE(17932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760817] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25751), 1,
      anon_sym_EQ,
    STATE(17933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760831] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25753), 1,
      anon_sym_RBRACE,
    STATE(17934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760845] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25755), 1,
      anon_sym_RPAREN,
    STATE(17935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760859] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25757), 1,
      anon_sym_DOT,
    STATE(17936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760873] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25759), 1,
      anon_sym_end,
    STATE(17937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760887] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25761), 1,
      anon_sym_RPAREN,
    STATE(17938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760901] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25763), 1,
      anon_sym_RPAREN,
    STATE(17939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760915] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25765), 1,
      anon_sym_RPAREN,
    STATE(17940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760929] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25765), 1,
      anon_sym_RBRACK,
    STATE(17941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760943] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25765), 1,
      anon_sym_RBRACE,
    STATE(17942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760957] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25767), 1,
      anon_sym_RBRACK,
    STATE(17943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760971] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(7797), 1,
      anon_sym_RBRACK,
    STATE(17944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760985] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25769), 1,
      anon_sym_LT_DASH,
    STATE(17945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760999] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25771), 1,
      anon_sym_RPAREN,
    STATE(17946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761013] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25773), 1,
      anon_sym_LT_DASH,
    STATE(17947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761027] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21542), 1,
      anon_sym_GT_RBRACE,
    STATE(17948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761041] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25775), 1,
      anon_sym_in,
    STATE(17949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761055] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25777), 1,
      anon_sym_in,
    STATE(17950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761069] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25779), 1,
      anon_sym_DOT,
    STATE(17951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761083] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25781), 1,
      anon_sym_in,
    STATE(17952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761097] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20291), 1,
      anon_sym_end,
    STATE(17953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761111] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25783), 1,
      anon_sym_SQUOTE2,
    STATE(17954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761125] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25785), 1,
      anon_sym_EQ,
    STATE(17955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761139] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25787), 1,
      anon_sym_DQUOTE,
    STATE(17956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761153] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25789), 1,
      anon_sym_RBRACE,
    STATE(17957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761167] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25791), 1,
      anon_sym_with,
    STATE(17958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761181] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25793), 1,
      anon_sym_with,
    STATE(17959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761195] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25795), 1,
      anon_sym_DOT,
    STATE(17960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761209] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25797), 1,
      anon_sym_RPAREN,
    STATE(17961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761223] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25799), 1,
      anon_sym_end,
    STATE(17962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761237] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25801), 1,
      sym__identifier,
    STATE(17963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761251] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25803), 1,
      anon_sym_in,
    STATE(17964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761265] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25805), 1,
      anon_sym_RBRACK,
    STATE(17965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761279] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25807), 1,
      anon_sym_RBRACE,
    STATE(17966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761293] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25809), 1,
      anon_sym_DASH_GT,
    STATE(17967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761307] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8935), 1,
      anon_sym_DASH_GT,
    STATE(17968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761321] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25811), 1,
      anon_sym_in,
    STATE(17969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761335] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11719), 1,
      anon_sym_GT,
    STATE(17970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761349] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25813), 1,
      anon_sym_with,
    STATE(17971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761363] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25815), 1,
      anon_sym_with,
    STATE(17972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761377] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25817), 1,
      anon_sym_in,
    STATE(17973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761391] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25819), 1,
      anon_sym_with,
    STATE(17974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761405] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25821), 1,
      anon_sym_DASH_GT,
    STATE(17975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761419] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25823), 1,
      anon_sym_DOT,
    STATE(17976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761433] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25825), 1,
      anon_sym_RPAREN,
    STATE(17977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761447] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25827), 1,
      anon_sym_RPAREN,
    STATE(17978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761461] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25829), 1,
      anon_sym_DASH_GT,
    STATE(17979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761475] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25831), 1,
      anon_sym_in,
    STATE(17980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761489] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25833), 1,
      anon_sym_with,
    STATE(17981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761503] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25835), 1,
      anon_sym_in,
    STATE(17982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761517] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25837), 1,
      anon_sym_RPAREN,
    STATE(17983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761531] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5393), 1,
      anon_sym_RPAREN,
    STATE(17984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761545] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      anon_sym_DASH_GT,
    STATE(17985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761559] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17715), 1,
      anon_sym_RPAREN,
    STATE(17986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761573] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25839), 1,
      anon_sym_RPAREN,
    STATE(17987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761587] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25841), 1,
      anon_sym_RBRACK,
    STATE(17988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761601] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25843), 1,
      anon_sym_RPAREN,
    STATE(17989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761615] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25845), 1,
      anon_sym_DASH_GT,
    STATE(17990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761629] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16711), 1,
      anon_sym_RPAREN,
    STATE(17991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761643] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25847), 1,
      anon_sym_RPAREN,
    STATE(17992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761657] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25849), 1,
      anon_sym_RPAREN,
    STATE(17993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761671] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25851), 1,
      anon_sym_RPAREN,
    STATE(17994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761685] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25851), 1,
      anon_sym_RBRACK,
    STATE(17995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761699] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25851), 1,
      anon_sym_RBRACE,
    STATE(17996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761713] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25853), 1,
      anon_sym_RBRACK,
    STATE(17997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761727] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25855), 1,
      anon_sym_DASH_GT,
    STATE(17998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761741] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25857), 1,
      anon_sym_RBRACE,
    STATE(17999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761755] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25859), 1,
      anon_sym_RBRACE,
    STATE(18000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761769] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25861), 1,
      anon_sym_DASH_GT,
    STATE(18001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761783] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25863), 1,
      sym__identifier,
    STATE(18002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761797] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25865), 1,
      anon_sym_RBRACE,
    STATE(18003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761811] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20470), 1,
      anon_sym_GT_RBRACE,
    STATE(18004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761825] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25867), 1,
      anon_sym_DOT,
    STATE(18005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761839] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25869), 1,
      anon_sym_RBRACE,
    STATE(18006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761853] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25871), 1,
      anon_sym_RBRACE,
    STATE(18007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761867] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25873), 1,
      anon_sym_end,
    STATE(18008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761881] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25875), 1,
      anon_sym_RBRACK,
    STATE(18009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761895] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25877), 1,
      anon_sym_LT_DASH,
    STATE(18010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761909] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25879), 1,
      anon_sym_RBRACE,
    STATE(18011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761923] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25881), 1,
      anon_sym_with,
    STATE(18012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761937] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25883), 1,
      anon_sym_with,
    STATE(18013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761951] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25885), 1,
      anon_sym_DOT,
    STATE(18014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761965] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16525), 1,
      anon_sym_RPAREN,
    STATE(18015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761979] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25887), 1,
      anon_sym_RPAREN,
    STATE(18016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761993] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3159), 1,
      anon_sym_RPAREN,
    STATE(18017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762007] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25889), 1,
      anon_sym_RPAREN,
    STATE(18018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762021] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25891), 1,
      anon_sym_RBRACK,
    STATE(18019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762035] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20934), 1,
      anon_sym_GT_RBRACE,
    STATE(18020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762049] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25893), 1,
      anon_sym_RPAREN,
    STATE(18021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762063] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25895), 1,
      anon_sym_RBRACE,
    STATE(18022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762077] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25897), 1,
      anon_sym_RPAREN,
    STATE(18023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762091] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25899), 1,
      anon_sym_DASH_GT,
    STATE(18024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762105] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25901), 1,
      anon_sym_with,
    STATE(18025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762119] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25903), 1,
      anon_sym_with,
    STATE(18026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762133] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25905), 1,
      anon_sym_RPAREN,
    STATE(18027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762147] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25907), 1,
      anon_sym_RBRACK,
    STATE(18028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762161] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25909), 1,
      anon_sym_RBRACE,
    STATE(18029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762175] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25911), 1,
      anon_sym_DOT,
    STATE(18030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762189] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19801), 1,
      anon_sym_end,
    STATE(18031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762203] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25913), 1,
      anon_sym_SQUOTE2,
    STATE(18032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762217] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25915), 1,
      anon_sym_DQUOTE,
    STATE(18033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762231] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25917), 1,
      anon_sym_RPAREN,
    STATE(18034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762245] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25919), 1,
      anon_sym_RPAREN,
    STATE(18035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762259] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25921), 1,
      anon_sym_RPAREN,
    STATE(18036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762273] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25923), 1,
      anon_sym_RBRACK,
    STATE(18037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762287] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16713), 1,
      anon_sym_RPAREN,
    STATE(18038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762301] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25925), 1,
      anon_sym_RBRACE,
    STATE(18039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762315] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17781), 1,
      anon_sym_RPAREN,
    STATE(18040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762329] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25927), 1,
      sym__identifier,
    STATE(18041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762343] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19312), 1,
      anon_sym_end,
    STATE(18042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762357] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25929), 1,
      anon_sym_RPAREN,
    STATE(18043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762371] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25931), 1,
      anon_sym_RBRACK,
    STATE(18044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762385] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25933), 1,
      anon_sym_with,
    STATE(18045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762399] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25935), 1,
      anon_sym_RBRACE,
    STATE(18046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762413] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25937), 1,
      anon_sym_RPAREN,
    STATE(18047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762427] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25939), 1,
      anon_sym_RPAREN,
    STATE(18048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762441] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25939), 1,
      anon_sym_RBRACK,
    STATE(18049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762455] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25939), 1,
      anon_sym_RBRACE,
    STATE(18050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762469] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25941), 1,
      anon_sym_DASH_GT,
    STATE(18051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762483] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25943), 1,
      anon_sym_RPAREN,
    STATE(18052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762497] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25945), 1,
      anon_sym_SQUOTE2,
    STATE(18053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762511] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25947), 1,
      anon_sym_DQUOTE,
    STATE(18054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762525] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25949), 1,
      anon_sym_in,
    STATE(18055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762539] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25951), 1,
      anon_sym_end,
    STATE(18056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762553] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16675), 1,
      anon_sym_RPAREN,
    STATE(18057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762567] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25953), 1,
      anon_sym_DASH_GT,
    STATE(18058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762581] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25955), 1,
      anon_sym_DOT,
    STATE(18059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762595] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25957), 1,
      anon_sym_COLON2,
    STATE(18060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762609] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25959), 1,
      anon_sym_RPAREN,
    STATE(18061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762623] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5483), 1,
      anon_sym_end,
    STATE(18062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762637] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25961), 1,
      aux_sym_number_token1,
    STATE(18063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762651] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25963), 1,
      anon_sym_RPAREN,
    STATE(18064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762665] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25965), 1,
      anon_sym_RPAREN,
    STATE(18065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762679] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25967), 1,
      anon_sym_with,
    STATE(18066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762693] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25969), 1,
      anon_sym_with,
    STATE(18067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762707] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25971), 1,
      anon_sym_DOT,
    STATE(18068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762721] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25973), 1,
      anon_sym_RBRACK,
    STATE(18069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762735] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25975), 1,
      sym__identifier,
    STATE(18070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762749] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25977), 1,
      anon_sym_RBRACE,
    STATE(18071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762763] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25979), 1,
      anon_sym_RPAREN,
    STATE(18072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762777] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25981), 1,
      anon_sym_in,
    STATE(18073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762791] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25983), 1,
      anon_sym_RBRACE,
    STATE(18074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762805] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25985), 1,
      anon_sym_in,
    STATE(18075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762819] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25987), 1,
      anon_sym_RBRACK,
    STATE(18076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762833] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25989), 1,
      anon_sym_in,
    STATE(18077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762847] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17685), 1,
      anon_sym_GT,
    STATE(18078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762861] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25991), 1,
      anon_sym_with,
    STATE(18079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762875] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25993), 1,
      anon_sym_with,
    STATE(18080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762889] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25995), 1,
      anon_sym_RBRACE,
    STATE(18081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762903] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25997), 1,
      anon_sym_RBRACE,
    STATE(18082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762917] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(25999), 1,
      anon_sym_RPAREN,
    STATE(18083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762931] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26001), 1,
      anon_sym_DOT,
    STATE(18084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762945] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26003), 1,
      anon_sym_in,
    STATE(18085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762959] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11671), 1,
      anon_sym_GT,
    STATE(18086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762973] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26005), 1,
      anon_sym_RPAREN,
    STATE(18087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762987] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26007), 1,
      anon_sym_end,
    STATE(18088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763001] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26009), 1,
      anon_sym_RPAREN,
    STATE(18089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763015] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26011), 1,
      anon_sym_RPAREN,
    STATE(18090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763029] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26013), 1,
      anon_sym_RBRACE,
    STATE(18091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763043] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26015), 1,
      anon_sym_in,
    STATE(18092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763057] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17833), 1,
      anon_sym_RPAREN,
    STATE(18093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763071] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22991), 1,
      anon_sym_RBRACE,
    STATE(18094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763085] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26017), 1,
      anon_sym_in,
    STATE(18095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763099] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3241), 1,
      anon_sym_RPAREN,
    STATE(18096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763113] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26019), 1,
      anon_sym_RPAREN,
    STATE(18097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763127] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8972), 1,
      anon_sym_DASH_GT,
    STATE(18098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763141] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26021), 1,
      anon_sym_RPAREN,
    STATE(18099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763155] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26023), 1,
      anon_sym_RPAREN,
    STATE(18100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763169] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26025), 1,
      anon_sym_RPAREN,
    STATE(18101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763183] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26025), 1,
      anon_sym_RBRACK,
    STATE(18102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763197] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26025), 1,
      anon_sym_RBRACE,
    STATE(18103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763211] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26027), 1,
      anon_sym_RPAREN,
    STATE(18104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763225] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23007), 1,
      anon_sym_RBRACE,
    STATE(18105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763239] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26029), 1,
      anon_sym_in,
    STATE(18106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763253] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26031), 1,
      anon_sym_in,
    STATE(18107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763267] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26033), 1,
      anon_sym_LT_DASH,
    STATE(18108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763281] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26035), 1,
      anon_sym_LT_DASH,
    STATE(18109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763295] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16475), 1,
      anon_sym_DASH_GT,
    STATE(18110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763309] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26037), 1,
      anon_sym_in,
    STATE(18111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763323] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26039), 1,
      anon_sym_DOT,
    STATE(18112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763337] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26041), 1,
      anon_sym_in,
    STATE(18113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763351] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26043), 1,
      anon_sym_in,
    STATE(18114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763365] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26045), 1,
      anon_sym_in,
    STATE(18115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763379] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26047), 1,
      anon_sym_with,
    STATE(18116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763393] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26049), 1,
      anon_sym_with,
    STATE(18117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763407] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26051), 1,
      anon_sym_DOT,
    STATE(18118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763421] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26053), 1,
      anon_sym_LT_DASH,
    STATE(18119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763435] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26055), 1,
      anon_sym_DASH_GT,
    STATE(18120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763449] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3205), 1,
      anon_sym_RPAREN,
    STATE(18121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763463] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26057), 1,
      anon_sym_in,
    STATE(18122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763477] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8939), 1,
      anon_sym_DASH_GT,
    STATE(18123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763491] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26059), 1,
      anon_sym_RPAREN,
    STATE(18124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763505] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26061), 1,
      anon_sym_RBRACE,
    STATE(18125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763519] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26063), 1,
      anon_sym_with,
    STATE(18126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763533] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26065), 1,
      anon_sym_with,
    STATE(18127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763547] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26067), 1,
      anon_sym_in,
    STATE(18128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763561] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26069), 1,
      anon_sym_end,
    STATE(18129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763575] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26071), 1,
      anon_sym_in,
    STATE(18130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763589] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26073), 1,
      anon_sym_DOT,
    STATE(18131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763603] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26075), 1,
      anon_sym_DASH_GT,
    STATE(18132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763617] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26077), 1,
      anon_sym_in,
    STATE(18133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763631] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6837), 1,
      anon_sym_end,
    STATE(18134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763645] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26079), 1,
      anon_sym_in,
    STATE(18135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763659] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17863), 1,
      anon_sym_RPAREN,
    STATE(18136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763673] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26081), 1,
      anon_sym_DASH_GT,
    STATE(18137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763687] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26083), 1,
      anon_sym_LT_DASH,
    STATE(18138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763701] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26085), 1,
      anon_sym_GT,
    STATE(18139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763715] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26087), 1,
      aux_sym_number_token1,
    STATE(18140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763729] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26089), 1,
      anon_sym_in,
    STATE(18141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763743] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26091), 1,
      anon_sym_RPAREN,
    STATE(18142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763757] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26093), 1,
      anon_sym_RPAREN,
    STATE(18143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763771] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26093), 1,
      anon_sym_RBRACK,
    STATE(18144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763785] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26093), 1,
      anon_sym_RBRACE,
    STATE(18145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763799] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26095), 1,
      sym__identifier,
    STATE(18146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763813] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26097), 1,
      anon_sym_in,
    STATE(18147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763827] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26099), 1,
      anon_sym_DASH_GT,
    STATE(18148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763841] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26101), 1,
      anon_sym_RPAREN,
    STATE(18149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763855] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26103), 1,
      anon_sym_DASH_GT,
    STATE(18150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763869] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26105), 1,
      anon_sym_RBRACE,
    STATE(18151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763883] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26107), 1,
      anon_sym_end,
    STATE(18152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763897] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26109), 1,
      anon_sym_DOT,
    STATE(18153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763911] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26111), 1,
      anon_sym_RPAREN,
    STATE(18154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763925] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26113), 1,
      anon_sym_RBRACE,
    STATE(18155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763939] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26115), 1,
      anon_sym_RPAREN,
    STATE(18156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763953] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26117), 1,
      anon_sym_with,
    STATE(18157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763967] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26119), 1,
      anon_sym_with,
    STATE(18158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763981] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26121), 1,
      anon_sym_DOT,
    STATE(18159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763995] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21598), 1,
      anon_sym_GT_RBRACE,
    STATE(18160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764009] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26123), 1,
      anon_sym_in,
    STATE(18161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764023] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26125), 1,
      anon_sym_RBRACE,
    STATE(18162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764037] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16759), 1,
      anon_sym_RPAREN,
    STATE(18163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764051] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19528), 1,
      anon_sym_end,
    STATE(18164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764065] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26127), 1,
      anon_sym_SQUOTE2,
    STATE(18165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764079] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26129), 1,
      anon_sym_with,
    STATE(18166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764093] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26131), 1,
      anon_sym_with,
    STATE(18167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764107] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21602), 1,
      anon_sym_GT_RBRACE,
    STATE(18168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764121] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26133), 1,
      anon_sym_done,
    STATE(18169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764135] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20139), 1,
      anon_sym_end,
    STATE(18170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764149] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26135), 1,
      anon_sym_DOT,
    STATE(18171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764163] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26137), 1,
      anon_sym_in,
    STATE(18172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764177] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26139), 1,
      anon_sym_in,
    STATE(18173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764191] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26141), 1,
      anon_sym_RPAREN,
    STATE(18174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764205] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26143), 1,
      anon_sym_SQUOTE2,
    STATE(18175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764219] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17909), 1,
      anon_sym_RPAREN,
    STATE(18176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764233] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26145), 1,
      anon_sym_DQUOTE,
    STATE(18177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764247] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26147), 1,
      anon_sym_DOT,
    STATE(18178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764261] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26149), 1,
      anon_sym_RBRACK,
    STATE(18179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764275] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26151), 1,
      anon_sym_DQUOTE,
    STATE(18180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764289] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26153), 1,
      sym__identifier,
    STATE(18181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764303] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26155), 1,
      anon_sym_RPAREN,
    STATE(18182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764317] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26157), 1,
      anon_sym_RPAREN,
    STATE(18183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764331] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26157), 1,
      anon_sym_RBRACK,
    STATE(18184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764345] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26157), 1,
      anon_sym_RBRACE,
    STATE(18185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764359] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20669), 1,
      anon_sym_GT_RBRACE,
    STATE(18186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764373] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20155), 1,
      anon_sym_end,
    STATE(18187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764387] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24465), 1,
      anon_sym_RBRACE,
    STATE(18188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764401] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26159), 1,
      anon_sym_RBRACK,
    STATE(18189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764415] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26161), 1,
      anon_sym_RBRACE,
    STATE(18190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764429] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26163), 1,
      anon_sym_RBRACE,
    STATE(18191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764443] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19532), 1,
      anon_sym_end,
    STATE(18192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764457] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26165), 1,
      anon_sym_DOT,
    STATE(18193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764471] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26167), 1,
      anon_sym_SQUOTE2,
    STATE(18194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764485] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26169), 1,
      sym__identifier,
    STATE(18195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764499] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26171), 1,
      anon_sym_DQUOTE,
    STATE(18196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764513] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26173), 1,
      anon_sym_with,
    STATE(18197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764527] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26175), 1,
      anon_sym_with,
    STATE(18198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764541] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26177), 1,
      anon_sym_DOT,
    STATE(18199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764555] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26179), 1,
      anon_sym_RBRACE,
    STATE(18200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764569] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26181), 1,
      anon_sym_RBRACE,
    STATE(18201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764583] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26183), 1,
      sym__identifier,
    STATE(18202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764597] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26185), 1,
      anon_sym_DOT,
    STATE(18203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764611] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26187), 1,
      anon_sym_RPAREN,
    STATE(18204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764625] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9022), 1,
      anon_sym_DASH_GT,
    STATE(18205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764639] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26189), 1,
      anon_sym_with,
    STATE(18206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764653] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26191), 1,
      anon_sym_with,
    STATE(18207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764667] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26193), 1,
      anon_sym_RPAREN,
    STATE(18208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764681] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26195), 1,
      anon_sym_RBRACK,
    STATE(18209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764695] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19185), 1,
      sym__capitalized_identifier,
    STATE(18210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764709] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26197), 1,
      anon_sym_DOT,
    STATE(18211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764723] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26199), 1,
      anon_sym_RBRACE,
    STATE(18212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764737] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26201), 1,
      anon_sym_DOT,
    STATE(18213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764751] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8897), 1,
      anon_sym_DASH_GT,
    STATE(18214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764765] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26203), 1,
      anon_sym_DASH_GT,
    STATE(18215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764779] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17951), 1,
      anon_sym_RPAREN,
    STATE(18216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764793] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26205), 1,
      anon_sym_DASH_GT,
    STATE(18217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764807] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26207), 1,
      anon_sym_DASH_GT,
    STATE(18218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764821] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26209), 1,
      anon_sym_DASH_GT,
    STATE(18219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764835] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26211), 1,
      anon_sym_RPAREN,
    STATE(18220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764849] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26213), 1,
      anon_sym_RPAREN,
    STATE(18221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764863] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26215), 1,
      anon_sym_RPAREN,
    STATE(18222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764877] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26217), 1,
      anon_sym_RPAREN,
    STATE(18223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764891] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26217), 1,
      anon_sym_RBRACK,
    STATE(18224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764905] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26217), 1,
      anon_sym_RBRACE,
    STATE(18225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764919] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26219), 1,
      anon_sym_DASH_GT,
    STATE(18226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764933] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26221), 1,
      anon_sym_RPAREN,
    STATE(18227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764947] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26223), 1,
      anon_sym_RPAREN,
    STATE(18228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764961] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20045), 1,
      anon_sym_DASH_GT,
    STATE(18229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764975] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26225), 1,
      anon_sym_DASH_GT,
    STATE(18230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764989] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26227), 1,
      anon_sym_end,
    STATE(18231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765003] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26229), 1,
      anon_sym_RPAREN,
    STATE(18232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765017] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26231), 1,
      anon_sym_DOT,
    STATE(18233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765031] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26233), 1,
      anon_sym_RBRACK,
    STATE(18234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765045] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26235), 1,
      anon_sym_RBRACK,
    STATE(18235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765059] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26237), 1,
      anon_sym_RBRACE,
    STATE(18236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765073] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26239), 1,
      anon_sym_with,
    STATE(18237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765087] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26241), 1,
      anon_sym_with,
    STATE(18238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765101] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26243), 1,
      anon_sym_DOT,
    STATE(18239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765115] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16623), 1,
      anon_sym_RPAREN,
    STATE(18240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765129] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26245), 1,
      sym__identifier,
    STATE(18241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765143] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26247), 1,
      anon_sym_RBRACE,
    STATE(18242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765157] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26249), 1,
      anon_sym_with,
    STATE(18243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765171] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26251), 1,
      anon_sym_RPAREN,
    STATE(18244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765185] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26253), 1,
      anon_sym_RBRACK,
    STATE(18245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765199] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26255), 1,
      anon_sym_with,
    STATE(18246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765213] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26257), 1,
      anon_sym_with,
    STATE(18247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765227] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26259), 1,
      anon_sym_with,
    STATE(18248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765241] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26261), 1,
      anon_sym_RPAREN,
    STATE(18249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765255] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26263), 1,
      anon_sym_DASH_GT,
    STATE(18250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765269] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26265), 1,
      anon_sym_DOT,
    STATE(18251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765283] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26267), 1,
      anon_sym_DOT,
    STATE(18252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765297] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26269), 1,
      anon_sym_RBRACE,
    STATE(18253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765311] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26271), 1,
      anon_sym_RPAREN,
    STATE(18254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765325] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26273), 1,
      anon_sym_RPAREN,
    STATE(18255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765339] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17967), 1,
      anon_sym_RPAREN,
    STATE(18256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765353] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6857), 1,
      anon_sym_RPAREN,
    STATE(18257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765367] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26275), 1,
      anon_sym_RPAREN,
    STATE(18258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765381] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26277), 1,
      anon_sym_RPAREN,
    STATE(18259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765395] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      anon_sym_DASH_GT,
    STATE(18260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765409] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26279), 1,
      anon_sym_RPAREN,
    STATE(18261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765423] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26281), 1,
      anon_sym_RPAREN,
    STATE(18262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765437] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26283), 1,
      anon_sym_RPAREN,
    STATE(18263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765451] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26283), 1,
      anon_sym_RBRACK,
    STATE(18264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765465] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26283), 1,
      anon_sym_RBRACE,
    STATE(18265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765479] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26285), 1,
      anon_sym_RBRACK,
    STATE(18266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765493] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26287), 1,
      anon_sym_RPAREN,
    STATE(18267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765507] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26289), 1,
      anon_sym_RPAREN,
    STATE(18268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765521] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26291), 1,
      anon_sym_RBRACE,
    STATE(18269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765535] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26293), 1,
      anon_sym_DOT,
    STATE(18270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765549] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26295), 1,
      anon_sym_RPAREN,
    STATE(18271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765563] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26297), 1,
      anon_sym_RPAREN,
    STATE(18272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765577] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26299), 1,
      anon_sym_DOT,
    STATE(18273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765591] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26301), 1,
      anon_sym_end,
    STATE(18274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765605] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26303), 1,
      sym__identifier,
    STATE(18275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765619] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26305), 1,
      anon_sym_RPAREN,
    STATE(18276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765633] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26307), 1,
      anon_sym_with,
    STATE(18277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765647] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26309), 1,
      anon_sym_with,
    STATE(18278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765661] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26311), 1,
      anon_sym_DOT,
    STATE(18279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765675] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26313), 1,
      anon_sym_RBRACK,
    STATE(18280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765689] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26315), 1,
      anon_sym_RBRACE,
    STATE(18281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765703] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26317), 1,
      anon_sym_in,
    STATE(18282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765717] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26319), 1,
      anon_sym_RBRACK,
    STATE(18283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765731] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26321), 1,
      anon_sym_RBRACE,
    STATE(18284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765745] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17546), 1,
      anon_sym_GT,
    STATE(18285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765759] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26323), 1,
      anon_sym_with,
    STATE(18286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765773] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26325), 1,
      anon_sym_with,
    STATE(18287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765787] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26327), 1,
      anon_sym_RPAREN,
    STATE(18288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765801] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26329), 1,
      anon_sym_RPAREN,
    STATE(18289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765815] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26331), 1,
      anon_sym_RBRACK,
    STATE(18290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765829] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26333), 1,
      anon_sym_DOT,
    STATE(18291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765843] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26335), 1,
      anon_sym_end,
    STATE(18292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765857] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16757), 1,
      anon_sym_RPAREN,
    STATE(18293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765871] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26337), 1,
      anon_sym_EQ,
    STATE(18294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765885] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26339), 1,
      anon_sym_RBRACE,
    STATE(18295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765899] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18009), 1,
      anon_sym_RPAREN,
    STATE(18296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765913] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26341), 1,
      anon_sym_RPAREN,
    STATE(18297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765927] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26343), 1,
      anon_sym_RBRACE,
    STATE(18298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765941] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26345), 1,
      anon_sym_of,
    STATE(18299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765955] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26347), 1,
      sym__identifier,
    STATE(18300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765969] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26349), 1,
      anon_sym_RPAREN,
    STATE(18301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765983] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26351), 1,
      anon_sym_RPAREN,
    STATE(18302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765997] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26353), 1,
      anon_sym_RPAREN,
    STATE(18303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766011] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26353), 1,
      anon_sym_RBRACK,
    STATE(18304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766025] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26353), 1,
      anon_sym_RBRACE,
    STATE(18305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766039] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26355), 1,
      anon_sym_end,
    STATE(18306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766053] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11396), 1,
      anon_sym_GT,
    STATE(18307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766067] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16741), 1,
      anon_sym_RPAREN,
    STATE(18308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766081] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26357), 1,
      anon_sym_RBRACE,
    STATE(18309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766095] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26359), 1,
      anon_sym_RPAREN,
    STATE(18310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766109] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26361), 1,
      anon_sym_in,
    STATE(18311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766123] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5383), 1,
      anon_sym_end,
    STATE(18312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766137] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26363), 1,
      anon_sym_DOT,
    STATE(18313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766151] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24661), 1,
      anon_sym_RBRACE,
    STATE(18314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766165] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26365), 1,
      anon_sym_RPAREN,
    STATE(18315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766179] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26367), 1,
      anon_sym_LT_DASH,
    STATE(18316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766193] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26369), 1,
      anon_sym_with,
    STATE(18317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766207] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26371), 1,
      anon_sym_with,
    STATE(18318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766221] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26373), 1,
      anon_sym_DOT,
    STATE(18319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766235] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26375), 1,
      anon_sym_with,
    STATE(18320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766249] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26377), 1,
      anon_sym_RPAREN,
    STATE(18321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766263] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26379), 1,
      anon_sym_RPAREN,
    STATE(18322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766277] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26381), 1,
      anon_sym_RBRACK,
    STATE(18323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766291] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8845), 1,
      anon_sym_DASH_GT,
    STATE(18324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766305] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26383), 1,
      anon_sym_with,
    STATE(18325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766319] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26385), 1,
      anon_sym_with,
    STATE(18326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766333] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26387), 1,
      anon_sym_with,
    STATE(18327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766347] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26389), 1,
      anon_sym_RPAREN,
    STATE(18328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766361] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26391), 1,
      anon_sym_RBRACK,
    STATE(18329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766375] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26393), 1,
      anon_sym_RBRACE,
    STATE(18330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766389] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26395), 1,
      anon_sym_DOT,
    STATE(18331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766403] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26397), 1,
      anon_sym_DOT,
    STATE(18332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766417] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11781), 1,
      anon_sym_GT,
    STATE(18333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766431] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26399), 1,
      anon_sym_in,
    STATE(18334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766445] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26401), 1,
      anon_sym_RPAREN,
    STATE(18335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766459] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18031), 1,
      anon_sym_RPAREN,
    STATE(18336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766473] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26403), 1,
      anon_sym_DASH_GT,
    STATE(18337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766487] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26405), 1,
      anon_sym_RBRACE,
    STATE(18338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766501] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26407), 1,
      anon_sym_DOT,
    STATE(18339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766515] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26409), 1,
      anon_sym_in,
    STATE(18340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766529] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26411), 1,
      anon_sym_RBRACK,
    STATE(18341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766543] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26413), 1,
      anon_sym_RPAREN,
    STATE(18342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766557] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26415), 1,
      anon_sym_RPAREN,
    STATE(18343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766571] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26415), 1,
      anon_sym_RBRACK,
    STATE(18344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766585] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26415), 1,
      anon_sym_RBRACE,
    STATE(18345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766599] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26417), 1,
      anon_sym_DASH_GT,
    STATE(18346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766613] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26419), 1,
      anon_sym_RPAREN,
    STATE(18347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766627] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26421), 1,
      anon_sym_in,
    STATE(18348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766641] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26423), 1,
      anon_sym_DASH_GT,
    STATE(18349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766655] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3235), 1,
      anon_sym_RPAREN,
    STATE(18350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766669] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26425), 1,
      anon_sym_LT_DASH,
    STATE(18351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766683] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26427), 1,
      anon_sym_RPAREN,
    STATE(18352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766697] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26429), 1,
      anon_sym_DOT,
    STATE(18353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766711] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26431), 1,
      anon_sym_in,
    STATE(18354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766725] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26433), 1,
      anon_sym_GT,
    STATE(18355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766739] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26435), 1,
      anon_sym_RPAREN,
    STATE(18356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766753] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26437), 1,
      anon_sym_with,
    STATE(18357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766767] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26439), 1,
      anon_sym_with,
    STATE(18358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766781] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26441), 1,
      anon_sym_DOT,
    STATE(18359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766795] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26443), 1,
      anon_sym_RPAREN,
    STATE(18360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766809] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26445), 1,
      anon_sym_RBRACK,
    STATE(18361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766823] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26447), 1,
      anon_sym_in,
    STATE(18362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766837] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26449), 1,
      anon_sym_in,
    STATE(18363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766851] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26451), 1,
      anon_sym_in,
    STATE(18364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766865] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26453), 1,
      anon_sym_DASH_GT,
    STATE(18365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766879] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26455), 1,
      anon_sym_with,
    STATE(18366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766893] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26457), 1,
      anon_sym_with,
    STATE(18367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766907] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26459), 1,
      anon_sym_RBRACE,
    STATE(18368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766921] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26461), 1,
      anon_sym_end,
    STATE(18369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766935] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26463), 1,
      anon_sym_in,
    STATE(18370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766949] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26465), 1,
      anon_sym_DOT,
    STATE(18371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766963] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26467), 1,
      anon_sym_RPAREN,
    STATE(18372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766977] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26469), 1,
      anon_sym_RPAREN,
    STATE(18373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766991] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26471), 1,
      anon_sym_RPAREN,
    STATE(18374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767005] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26473), 1,
      anon_sym_RPAREN,
    STATE(18375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767019] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18053), 1,
      anon_sym_RPAREN,
    STATE(18376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767033] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26475), 1,
      sym__right_quoted_string_delimiter,
    STATE(18377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767047] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17953), 1,
      anon_sym_RPAREN,
    STATE(18378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767061] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26477), 1,
      anon_sym_DASH_GT,
    STATE(18379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767075] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26479), 1,
      anon_sym_RPAREN,
    STATE(18380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767089] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26481), 1,
      anon_sym_RBRACE,
    STATE(18381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767103] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26483), 1,
      anon_sym_RPAREN,
    STATE(18382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767117] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26485), 1,
      anon_sym_RPAREN,
    STATE(18383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767131] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26485), 1,
      anon_sym_RBRACK,
    STATE(18384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767145] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26485), 1,
      anon_sym_RBRACE,
    STATE(18385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767159] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26487), 1,
      anon_sym_DASH_GT,
    STATE(18386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767173] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26489), 1,
      anon_sym_DASH_GT,
    STATE(18387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767187] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26491), 1,
      anon_sym_in,
    STATE(18388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767201] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26493), 1,
      anon_sym_RBRACE,
    STATE(18389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767215] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26495), 1,
      anon_sym_RPAREN,
    STATE(18390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767229] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26497), 1,
      anon_sym_RBRACE,
    STATE(18391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767243] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26499), 1,
      anon_sym_RPAREN,
    STATE(18392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767257] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26501), 1,
      anon_sym_DOT,
    STATE(18393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767271] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26503), 1,
      anon_sym_RBRACK,
    STATE(18394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767285] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26505), 1,
      anon_sym_RPAREN,
    STATE(18395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767299] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16655), 1,
      anon_sym_RPAREN,
    STATE(18396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767313] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26507), 1,
      anon_sym_with,
    STATE(18397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767327] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26509), 1,
      anon_sym_with,
    STATE(18398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767341] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26511), 1,
      anon_sym_DOT,
    STATE(18399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767355] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26513), 1,
      sym__identifier,
    STATE(18400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767369] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26515), 1,
      anon_sym_RPAREN,
    STATE(18401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767383] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26517), 1,
      anon_sym_RPAREN,
    STATE(18402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767397] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21684), 1,
      anon_sym_GT_RBRACE,
    STATE(18403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767411] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26519), 1,
      anon_sym_RPAREN,
    STATE(18404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767425] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19542), 1,
      anon_sym_end,
    STATE(18405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767439] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26521), 1,
      anon_sym_with,
    STATE(18406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767453] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26523), 1,
      anon_sym_with,
    STATE(18407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767467] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26525), 1,
      anon_sym_SQUOTE2,
    STATE(18408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767481] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26527), 1,
      anon_sym_DQUOTE,
    STATE(18409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767495] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26529), 1,
      anon_sym_RBRACK,
    STATE(18410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767509] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26531), 1,
      anon_sym_DOT,
    STATE(18411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767523] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26533), 1,
      anon_sym_RPAREN,
    STATE(18412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767537] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26533), 1,
      anon_sym_RBRACK,
    STATE(18413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767551] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26533), 1,
      anon_sym_RBRACE,
    STATE(18414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767565] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26535), 1,
      anon_sym_RBRACE,
    STATE(18415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767579] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18123), 1,
      anon_sym_RPAREN,
    STATE(18416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767593] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26537), 1,
      sym__identifier,
    STATE(18417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767607] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26539), 1,
      anon_sym_RPAREN,
    STATE(18418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767621] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5363), 1,
      anon_sym_end,
    STATE(18419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767635] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26541), 1,
      anon_sym_RBRACK,
    STATE(18420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767649] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26543), 1,
      anon_sym_RBRACE,
    STATE(18421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767663] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26545), 1,
      anon_sym_RPAREN,
    STATE(18422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767677] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26547), 1,
      anon_sym_RPAREN,
    STATE(18423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767691] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26547), 1,
      anon_sym_RBRACK,
    STATE(18424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767705] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26547), 1,
      anon_sym_RBRACE,
    STATE(18425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767719] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26549), 1,
      anon_sym_RBRACK,
    STATE(18426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767733] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26551), 1,
      anon_sym_RBRACE,
    STATE(18427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767747] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26553), 1,
      aux_sym_number_token1,
    STATE(18428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767761] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26555), 1,
      anon_sym_in,
    STATE(18429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767775] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26557), 1,
      anon_sym_in,
    STATE(18430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767789] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26559), 1,
      anon_sym_RPAREN,
    STATE(18431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767803] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26561), 1,
      anon_sym_in,
    STATE(18432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767817] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26563), 1,
      anon_sym_DOT,
    STATE(18433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767831] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26565), 1,
      anon_sym_RBRACE,
    STATE(18434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767845] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26567), 1,
      anon_sym_DOT,
    STATE(18435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767859] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26569), 1,
      anon_sym_RPAREN,
    STATE(18436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767873] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26571), 1,
      anon_sym_with,
    STATE(18437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767887] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26573), 1,
      anon_sym_with,
    STATE(18438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767901] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26575), 1,
      anon_sym_DOT,
    STATE(18439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767915] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26577), 1,
      anon_sym_RPAREN,
    STATE(18440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767929] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26579), 1,
      anon_sym_RPAREN,
    STATE(18441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767943] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9032), 1,
      anon_sym_DASH_GT,
    STATE(18442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767957] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26581), 1,
      anon_sym_DASH_GT,
    STATE(18443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767971] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26583), 1,
      anon_sym_in,
    STATE(18444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767985] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26585), 1,
      anon_sym_GT,
    STATE(18445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767999] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26587), 1,
      anon_sym_with,
    STATE(18446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768013] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26589), 1,
      anon_sym_with,
    STATE(18447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768027] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26591), 1,
      anon_sym_GT,
    STATE(18448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768041] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26593), 1,
      anon_sym_DASH_GT,
    STATE(18449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768055] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26595), 1,
      anon_sym_RPAREN,
    STATE(18450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768069] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26597), 1,
      anon_sym_DOT,
    STATE(18451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768083] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15909), 1,
      anon_sym_DASH_GT,
    STATE(18452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768097] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26599), 1,
      anon_sym_RBRACE,
    STATE(18453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768111] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26601), 1,
      anon_sym_LT_DASH,
    STATE(18454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768125] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3255), 1,
      anon_sym_RPAREN,
    STATE(18455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768139] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18179), 1,
      anon_sym_RPAREN,
    STATE(18456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768153] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3139), 1,
      anon_sym_RPAREN,
    STATE(18457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768167] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26603), 1,
      anon_sym_RPAREN,
    STATE(18458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768181] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26605), 1,
      anon_sym_RPAREN,
    STATE(18459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768195] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26607), 1,
      anon_sym_end,
    STATE(18460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768209] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26609), 1,
      sym__identifier,
    STATE(18461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768223] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26611), 1,
      anon_sym_RPAREN,
    STATE(18462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768237] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26613), 1,
      anon_sym_RPAREN,
    STATE(18463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768251] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26613), 1,
      anon_sym_RBRACK,
    STATE(18464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768265] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26613), 1,
      anon_sym_RBRACE,
    STATE(18465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768279] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26615), 1,
      anon_sym_DASH_GT,
    STATE(18466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768293] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26617), 1,
      anon_sym_in,
    STATE(18467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768307] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26619), 1,
      anon_sym_in,
    STATE(18468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768321] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26621), 1,
      anon_sym_RBRACE,
    STATE(18469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768335] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16773), 1,
      anon_sym_RPAREN,
    STATE(18470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768349] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26623), 1,
      anon_sym_in,
    STATE(18471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768363] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12760), 1,
      anon_sym_DASH_GT,
    STATE(18472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768377] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26625), 1,
      anon_sym_DOT,
    STATE(18473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768391] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26627), 1,
      anon_sym_RPAREN,
    STATE(18474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768405] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26629), 1,
      anon_sym_RPAREN,
    STATE(18475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768419] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26631), 1,
      anon_sym_RPAREN,
    STATE(18476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768433] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26633), 1,
      anon_sym_with,
    STATE(18477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768447] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26635), 1,
      anon_sym_with,
    STATE(18478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768461] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26637), 1,
      anon_sym_DOT,
    STATE(18479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768475] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26639), 1,
      anon_sym_in,
    STATE(18480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768489] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26641), 1,
      anon_sym_RBRACE,
    STATE(18481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768503] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26643), 1,
      anon_sym_in,
    STATE(18482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768517] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26645), 1,
      anon_sym_DASH_GT,
    STATE(18483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768531] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26647), 1,
      anon_sym_RPAREN,
    STATE(18484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768545] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26649), 1,
      anon_sym_RBRACK,
    STATE(18485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768559] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26651), 1,
      anon_sym_with,
    STATE(18486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768573] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26653), 1,
      anon_sym_with,
    STATE(18487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768587] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26655), 1,
      anon_sym_RBRACE,
    STATE(18488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768601] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26657), 1,
      anon_sym_in,
    STATE(18489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768615] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26659), 1,
      anon_sym_RPAREN,
    STATE(18490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768629] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26661), 1,
      anon_sym_DOT,
    STATE(18491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768643] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26663), 1,
      anon_sym_in,
    STATE(18492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768657] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26665), 1,
      anon_sym_RBRACE,
    STATE(18493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768671] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26667), 1,
      anon_sym_in,
    STATE(18494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768685] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26669), 1,
      anon_sym_RBRACK,
    STATE(18495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768699] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18225), 1,
      anon_sym_RPAREN,
    STATE(18496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768713] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26671), 1,
      anon_sym_RBRACE,
    STATE(18497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768727] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26673), 1,
      anon_sym_RBRACE,
    STATE(18498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768741] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26675), 1,
      anon_sym_RBRACE,
    STATE(18499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768755] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26677), 1,
      anon_sym_RPAREN,
    STATE(18500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768769] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26679), 1,
      anon_sym_in,
    STATE(18501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768783] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26681), 1,
      anon_sym_RPAREN,
    STATE(18502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768797] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26683), 1,
      anon_sym_RPAREN,
    STATE(18503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768811] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26683), 1,
      anon_sym_RBRACK,
    STATE(18504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768825] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26683), 1,
      anon_sym_RBRACE,
    STATE(18505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768839] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26685), 1,
      anon_sym_RBRACE,
    STATE(18506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768853] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26687), 1,
      anon_sym_RPAREN,
    STATE(18507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768867] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26689), 1,
      anon_sym_RPAREN,
    STATE(18508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768881] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26691), 1,
      anon_sym_RPAREN,
    STATE(18509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768895] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26693), 1,
      anon_sym_RBRACK,
    STATE(18510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768909] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26695), 1,
      anon_sym_RPAREN,
    STATE(18511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768923] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26697), 1,
      anon_sym_RBRACE,
    STATE(18512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768937] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26699), 1,
      anon_sym_DOT,
    STATE(18513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768951] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21029), 1,
      anon_sym_GT_RBRACE,
    STATE(18514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768965] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26701), 1,
      anon_sym_SQUOTE2,
    STATE(18515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768979] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26703), 1,
      anon_sym_DASH_GT,
    STATE(18516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768993] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26705), 1,
      anon_sym_with,
    STATE(18517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769007] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26707), 1,
      anon_sym_with,
    STATE(18518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769021] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26709), 1,
      anon_sym_DOT,
    STATE(18519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769035] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26711), 1,
      anon_sym_RPAREN,
    STATE(18520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769049] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19228), 1,
      anon_sym_end,
    STATE(18521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769063] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26713), 1,
      anon_sym_RPAREN,
    STATE(18522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769077] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26715), 1,
      anon_sym_RBRACK,
    STATE(18523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769091] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26717), 1,
      anon_sym_RBRACE,
    STATE(18524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769105] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26719), 1,
      anon_sym_RPAREN,
    STATE(18525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769119] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26721), 1,
      anon_sym_with,
    STATE(18526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769133] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26723), 1,
      anon_sym_with,
    STATE(18527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769147] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26725), 1,
      anon_sym_EQ,
    STATE(18528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769161] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26727), 1,
      anon_sym_DASH_GT,
    STATE(18529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769175] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26729), 1,
      anon_sym_RPAREN,
    STATE(18530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769189] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26731), 1,
      anon_sym_DOT,
    STATE(18531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769203] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21033), 1,
      anon_sym_GT_RBRACE,
    STATE(18532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769217] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26733), 1,
      anon_sym_DQUOTE,
    STATE(18533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769231] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20171), 1,
      anon_sym_end,
    STATE(18534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769245] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26735), 1,
      anon_sym_SQUOTE2,
    STATE(18535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769259] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18259), 1,
      anon_sym_RPAREN,
    STATE(18536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769273] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26737), 1,
      anon_sym_DQUOTE,
    STATE(18537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769287] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26739), 1,
      anon_sym_RPAREN,
    STATE(18538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769301] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26741), 1,
      anon_sym_RPAREN,
    STATE(18539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769315] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26743), 1,
      anon_sym_RPAREN,
    STATE(18540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769329] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26745), 1,
      anon_sym_SQUOTE2,
    STATE(18541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769343] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26747), 1,
      anon_sym_RPAREN,
    STATE(18542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769357] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26749), 1,
      anon_sym_RPAREN,
    STATE(18543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769371] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26749), 1,
      anon_sym_RBRACK,
    STATE(18544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769385] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26749), 1,
      anon_sym_RBRACE,
    STATE(18545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769399] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26751), 1,
      sym__identifier,
    STATE(18546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769413] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26753), 1,
      anon_sym_DQUOTE,
    STATE(18547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769427] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26755), 1,
      anon_sym_RBRACK,
    STATE(18548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769441] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26757), 1,
      anon_sym_RBRACE,
    STATE(18549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769455] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26759), 1,
      anon_sym_RBRACK,
    STATE(18550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769469] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26761), 1,
      anon_sym_RBRACE,
    STATE(18551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769483] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26763), 1,
      anon_sym_DOT,
    STATE(18552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769497] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26765), 1,
      anon_sym_RPAREN,
    STATE(18553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769511] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26767), 1,
      anon_sym_DASH_GT,
    STATE(18554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769525] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26769), 1,
      sym__identifier,
    STATE(18555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769539] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26771), 1,
      anon_sym_with,
    STATE(18556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769553] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26773), 1,
      anon_sym_with,
    STATE(18557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769567] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26775), 1,
      anon_sym_DOT,
    STATE(18558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769581] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8923), 1,
      anon_sym_DASH_GT,
    STATE(18559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769595] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26777), 1,
      anon_sym_DASH_GT,
    STATE(18560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769609] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11623), 1,
      anon_sym_GT,
    STATE(18561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769623] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23221), 1,
      anon_sym_RPAREN,
    STATE(18562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769637] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26779), 1,
      anon_sym_RPAREN,
    STATE(18563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769651] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26781), 1,
      anon_sym_RBRACK,
    STATE(18564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769665] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26783), 1,
      anon_sym_with,
    STATE(18565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769679] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26785), 1,
      anon_sym_with,
    STATE(18566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769693] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17506), 1,
      anon_sym_GT,
    STATE(18567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769707] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26787), 1,
      anon_sym_RBRACE,
    STATE(18568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769721] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26789), 1,
      anon_sym_LT_DASH,
    STATE(18569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769735] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26791), 1,
      anon_sym_DOT,
    STATE(18570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769749] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17478), 1,
      anon_sym_GT,
    STATE(18571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769763] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26793), 1,
      anon_sym_DASH_GT,
    STATE(18572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769777] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20715), 1,
      anon_sym_GT_RBRACE,
    STATE(18573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769791] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3247), 1,
      anon_sym_RPAREN,
    STATE(18574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769805] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18305), 1,
      anon_sym_RPAREN,
    STATE(18575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769819] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26795), 1,
      anon_sym_RBRACE,
    STATE(18576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769833] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26797), 1,
      anon_sym_RPAREN,
    STATE(18577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769847] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26799), 1,
      anon_sym_RPAREN,
    STATE(18578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769861] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26801), 1,
      anon_sym_RPAREN,
    STATE(18579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769875] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26803), 1,
      anon_sym_in,
    STATE(18580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769889] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26805), 1,
      anon_sym_RPAREN,
    STATE(18581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769903] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26807), 1,
      anon_sym_RPAREN,
    STATE(18582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769917] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26807), 1,
      anon_sym_RBRACK,
    STATE(18583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769931] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26807), 1,
      anon_sym_RBRACE,
    STATE(18584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769945] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26809), 1,
      anon_sym_in,
    STATE(18585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769959] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26811), 1,
      anon_sym_DOT,
    STATE(18586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769973] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26813), 1,
      anon_sym_in,
    STATE(18587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769987] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17584), 1,
      anon_sym_GT,
    STATE(18588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770001] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26815), 1,
      anon_sym_RPAREN,
    STATE(18589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770015] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26817), 1,
      anon_sym_RPAREN,
    STATE(18590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770029] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26819), 1,
      anon_sym_DOT,
    STATE(18591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770043] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19728), 1,
      anon_sym_end,
    STATE(18592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770057] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26821), 1,
      anon_sym_in,
    STATE(18593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770071] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26823), 1,
      anon_sym_RBRACK,
    STATE(18594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770085] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26825), 1,
      anon_sym_with,
    STATE(18595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770099] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26827), 1,
      anon_sym_with,
    STATE(18596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770113] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26829), 1,
      anon_sym_DOT,
    STATE(18597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770127] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26831), 1,
      anon_sym_RBRACE,
    STATE(18598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770141] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26833), 1,
      anon_sym_RBRACK,
    STATE(18599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770155] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8980), 1,
      anon_sym_DASH_GT,
    STATE(18600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770169] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26835), 1,
      anon_sym_RBRACE,
    STATE(18601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770183] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26837), 1,
      anon_sym_RPAREN,
    STATE(18602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770197] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26839), 1,
      anon_sym_DASH_GT,
    STATE(18603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770211] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26841), 1,
      anon_sym_with,
    STATE(18604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770225] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26843), 1,
      anon_sym_with,
    STATE(18605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770239] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26845), 1,
      anon_sym_RPAREN,
    STATE(18606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770253] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26847), 1,
      anon_sym_DASH_GT,
    STATE(18607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770267] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26849), 1,
      anon_sym_RPAREN,
    STATE(18608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770281] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26851), 1,
      anon_sym_DOT,
    STATE(18609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770295] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26853), 1,
      anon_sym_SQUOTE2,
    STATE(18610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770309] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26855), 1,
      anon_sym_DQUOTE,
    STATE(18611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770323] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26857), 1,
      anon_sym_in,
    STATE(18612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770337] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26859), 1,
      anon_sym_DOT,
    STATE(18613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770351] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17875), 1,
      anon_sym_RPAREN,
    STATE(18614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770365] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26861), 1,
      anon_sym_GT,
    STATE(18615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770379] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26863), 1,
      anon_sym_EQ,
    STATE(18616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770393] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26865), 1,
      anon_sym_DOT,
    STATE(18617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770407] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21754), 1,
      anon_sym_GT_RBRACE,
    STATE(18618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770421] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26867), 1,
      anon_sym_DASH_GT,
    STATE(18619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770435] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26869), 1,
      anon_sym_RPAREN,
    STATE(18620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770449] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26871), 1,
      anon_sym_RPAREN,
    STATE(18621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770463] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26871), 1,
      anon_sym_RBRACK,
    STATE(18622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770477] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26871), 1,
      anon_sym_RBRACE,
    STATE(18623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770491] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19898), 1,
      anon_sym_end,
    STATE(18624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770505] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26873), 1,
      anon_sym_DASH_GT,
    STATE(18625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770519] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26875), 1,
      anon_sym_SQUOTE2,
    STATE(18626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770533] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26877), 1,
      anon_sym_DQUOTE,
    STATE(18627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770547] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26879), 1,
      anon_sym_DOT,
    STATE(18628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770561] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26881), 1,
      anon_sym_DOT,
    STATE(18629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770575] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26883), 1,
      anon_sym_RBRACE,
    STATE(18630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770589] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26885), 1,
      anon_sym_RPAREN,
    STATE(18631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770603] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26887), 1,
      sym__identifier,
    STATE(18632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770617] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26889), 1,
      anon_sym_with,
    STATE(18633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770631] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26891), 1,
      anon_sym_with,
    STATE(18634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770645] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26893), 1,
      anon_sym_DOT,
    STATE(18635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770659] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26895), 1,
      anon_sym_DOT,
    STATE(18636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770673] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26897), 1,
      anon_sym_RPAREN,
    STATE(18637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770687] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26899), 1,
      anon_sym_RBRACK,
    STATE(18638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770701] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26901), 1,
      anon_sym_RBRACE,
    STATE(18639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770715] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26903), 1,
      anon_sym_end,
    STATE(18640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770729] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26905), 1,
      anon_sym_RBRACK,
    STATE(18641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770743] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26907), 1,
      anon_sym_with,
    STATE(18642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770757] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26909), 1,
      anon_sym_with,
    STATE(18643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770771] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26911), 1,
      anon_sym_RPAREN,
    STATE(18644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770785] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26913), 1,
      anon_sym_RBRACE,
    STATE(18645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770799] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26915), 1,
      anon_sym_RBRACE,
    STATE(18646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770813] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26917), 1,
      anon_sym_DOT,
    STATE(18647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770827] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26919), 1,
      anon_sym_with,
    STATE(18648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770841] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16801), 1,
      anon_sym_RPAREN,
    STATE(18649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770855] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26921), 1,
      sym__identifier,
    STATE(18650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770869] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26923), 1,
      anon_sym_with,
    STATE(18651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770883] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17849), 1,
      anon_sym_RPAREN,
    STATE(18652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770897] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26925), 1,
      anon_sym_RPAREN,
    STATE(18653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770911] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26927), 1,
      anon_sym_DOT,
    STATE(18654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770925] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11769), 1,
      anon_sym_GT,
    STATE(18655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770939] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3257), 1,
      anon_sym_RPAREN,
    STATE(18656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770953] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26929), 1,
      anon_sym_RPAREN,
    STATE(18657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770967] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26931), 1,
      anon_sym_RPAREN,
    STATE(18658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770981] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26933), 1,
      anon_sym_RPAREN,
    STATE(18659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770995] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26933), 1,
      anon_sym_RBRACK,
    STATE(18660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771009] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26933), 1,
      anon_sym_RBRACE,
    STATE(18661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771023] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26935), 1,
      anon_sym_RPAREN,
    STATE(18662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771037] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26937), 1,
      anon_sym_RBRACE,
    STATE(18663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771051] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8954), 1,
      anon_sym_DASH_GT,
    STATE(18664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771065] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26939), 1,
      anon_sym_RPAREN,
    STATE(18665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771079] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26941), 1,
      anon_sym_RPAREN,
    STATE(18666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771093] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26943), 1,
      anon_sym_DOT,
    STATE(18667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771107] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26945), 1,
      anon_sym_SQUOTE2,
    STATE(18668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771121] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9002), 1,
      anon_sym_DASH_GT,
    STATE(18669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771135] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26947), 1,
      anon_sym_DQUOTE,
    STATE(18670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771149] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26949), 1,
      anon_sym_with,
    STATE(18671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771163] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26951), 1,
      anon_sym_with,
    STATE(18672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771177] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26953), 1,
      anon_sym_DOT,
    STATE(18673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771191] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26955), 1,
      anon_sym_DASH_GT,
    STATE(18674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771205] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26957), 1,
      anon_sym_RBRACK,
    STATE(18675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771219] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26959), 1,
      anon_sym_RBRACE,
    STATE(18676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771233] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26961), 1,
      anon_sym_RPAREN,
    STATE(18677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771247] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26963), 1,
      anon_sym_RPAREN,
    STATE(18678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771261] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26965), 1,
      anon_sym_in,
    STATE(18679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771275] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26967), 1,
      anon_sym_with,
    STATE(18680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771289] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26969), 1,
      anon_sym_with,
    STATE(18681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771303] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26971), 1,
      anon_sym_end,
    STATE(18682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771317] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26973), 1,
      anon_sym_RBRACE,
    STATE(18683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771331] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26975), 1,
      anon_sym_RPAREN,
    STATE(18684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771345] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26977), 1,
      anon_sym_DOT,
    STATE(18685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771359] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24147), 1,
      anon_sym_RBRACE,
    STATE(18686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771373] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26979), 1,
      anon_sym_LT_DASH,
    STATE(18687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771387] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26981), 1,
      anon_sym_LT_DASH,
    STATE(18688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771401] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26983), 1,
      anon_sym_RBRACE,
    STATE(18689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771415] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18243), 1,
      anon_sym_RPAREN,
    STATE(18690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771429] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16805), 1,
      anon_sym_RPAREN,
    STATE(18691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771443] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26985), 1,
      anon_sym_RPAREN,
    STATE(18692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771457] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26987), 1,
      anon_sym_RPAREN,
    STATE(18693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771471] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26989), 1,
      anon_sym_RPAREN,
    STATE(18694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771485] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26991), 1,
      anon_sym_RPAREN,
    STATE(18695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771499] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26993), 1,
      anon_sym_RPAREN,
    STATE(18696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771513] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26995), 1,
      anon_sym_RPAREN,
    STATE(18697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771527] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26995), 1,
      anon_sym_RBRACK,
    STATE(18698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771541] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26995), 1,
      anon_sym_RBRACE,
    STATE(18699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771555] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26997), 1,
      anon_sym_DASH_GT,
    STATE(18700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771569] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(26999), 1,
      anon_sym_RPAREN,
    STATE(18701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771583] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3155), 1,
      anon_sym_RPAREN,
    STATE(18702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771597] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17542), 1,
      anon_sym_GT,
    STATE(18703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771611] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27001), 1,
      anon_sym_DASH_GT,
    STATE(18704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771625] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27003), 1,
      anon_sym_DOT,
    STATE(18705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771639] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27005), 1,
      anon_sym_RPAREN,
    STATE(18706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771653] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27007), 1,
      anon_sym_RPAREN,
    STATE(18707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771667] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27009), 1,
      anon_sym_RPAREN,
    STATE(18708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771681] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27011), 1,
      anon_sym_with,
    STATE(18709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771695] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27013), 1,
      anon_sym_with,
    STATE(18710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771709] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27015), 1,
      anon_sym_DOT,
    STATE(18711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771723] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27017), 1,
      anon_sym_RPAREN,
    STATE(18712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771737] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27019), 1,
      anon_sym_with,
    STATE(18713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771751] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9110), 1,
      anon_sym_DASH_GT,
    STATE(18714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771765] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27021), 1,
      anon_sym_RPAREN,
    STATE(18715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771779] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27023), 1,
      anon_sym_RBRACK,
    STATE(18716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771793] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27025), 1,
      anon_sym_RBRACE,
    STATE(18717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771807] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27027), 1,
      anon_sym_with,
    STATE(18718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771821] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27029), 1,
      anon_sym_with,
    STATE(18719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771835] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27031), 1,
      anon_sym_RBRACK,
    STATE(18720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771849] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27033), 1,
      anon_sym_RPAREN,
    STATE(18721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771863] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27035), 1,
      anon_sym_with,
    STATE(18722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771877] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27037), 1,
      anon_sym_DOT,
    STATE(18723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771891] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27039), 1,
      anon_sym_RBRACE,
    STATE(18724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771905] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27041), 1,
      anon_sym_RPAREN,
    STATE(18725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771919] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27043), 1,
      anon_sym_RPAREN,
    STATE(18726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771933] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27045), 1,
      anon_sym_RPAREN,
    STATE(18727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771947] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17823), 1,
      anon_sym_RPAREN,
    STATE(18728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771961] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27047), 1,
      anon_sym_DOT,
    STATE(18729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771975] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27049), 1,
      anon_sym_in,
    STATE(18730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771989] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27051), 1,
      anon_sym_RPAREN,
    STATE(18731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772003] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3189), 1,
      anon_sym_RPAREN,
    STATE(18732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772017] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27053), 1,
      anon_sym_in,
    STATE(18733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772031] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27055), 1,
      anon_sym_RPAREN,
    STATE(18734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772045] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27057), 1,
      anon_sym_RPAREN,
    STATE(18735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772059] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27057), 1,
      anon_sym_RBRACK,
    STATE(18736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772073] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27057), 1,
      anon_sym_RBRACE,
    STATE(18737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772087] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27059), 1,
      anon_sym_with,
    STATE(18738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772101] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27061), 1,
      anon_sym_RPAREN,
    STATE(18739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772115] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27063), 1,
      anon_sym_RPAREN,
    STATE(18740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772129] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27065), 1,
      anon_sym_RPAREN,
    STATE(18741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772143] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27067), 1,
      anon_sym_RBRACK,
    STATE(18742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772157] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27069), 1,
      anon_sym_DOT,
    STATE(18743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772171] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27071), 1,
      anon_sym_in,
    STATE(18744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772185] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27073), 1,
      anon_sym_RBRACE,
    STATE(18745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772199] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27075), 1,
      anon_sym_RPAREN,
    STATE(18746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772213] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27077), 1,
      anon_sym_with,
    STATE(18747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772227] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27079), 1,
      anon_sym_with,
    STATE(18748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772241] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27081), 1,
      anon_sym_DOT,
    STATE(18749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772255] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27083), 1,
      anon_sym_RBRACE,
    STATE(18750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772269] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27085), 1,
      anon_sym_RPAREN,
    STATE(18751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772283] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27087), 1,
      anon_sym_in,
    STATE(18752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772297] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27089), 1,
      anon_sym_SQUOTE2,
    STATE(18753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772311] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27091), 1,
      anon_sym_DQUOTE,
    STATE(18754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772325] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27093), 1,
      anon_sym_RBRACK,
    STATE(18755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772339] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27095), 1,
      anon_sym_with,
    STATE(18756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772353] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27097), 1,
      anon_sym_with,
    STATE(18757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772367] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27099), 1,
      anon_sym_RPAREN,
    STATE(18758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772381] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27101), 1,
      anon_sym_RBRACE,
    STATE(18759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772395] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27103), 1,
      anon_sym_RBRACE,
    STATE(18760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772409] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27105), 1,
      anon_sym_DOT,
    STATE(18761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772423] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27107), 1,
      anon_sym_in,
    STATE(18762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772437] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27109), 1,
      anon_sym_RPAREN,
    STATE(18763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772451] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27111), 1,
      anon_sym_in,
    STATE(18764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772465] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27113), 1,
      anon_sym_RPAREN,
    STATE(18765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772479] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17897), 1,
      anon_sym_RPAREN,
    STATE(18766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772493] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27115), 1,
      anon_sym_RPAREN,
    STATE(18767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772507] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27117), 1,
      anon_sym_in,
    STATE(18768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772521] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27119), 1,
      anon_sym_in,
    STATE(18769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772535] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27121), 1,
      anon_sym_DASH_GT,
    STATE(18770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772549] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27123), 1,
      anon_sym_RPAREN,
    STATE(18771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772563] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27125), 1,
      anon_sym_RPAREN,
    STATE(18772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772577] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27125), 1,
      anon_sym_RBRACK,
    STATE(18773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772591] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27125), 1,
      anon_sym_RBRACE,
    STATE(18774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772605] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27127), 1,
      anon_sym_LT_DASH,
    STATE(18775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772619] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17983), 1,
      anon_sym_RPAREN,
    STATE(18776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772633] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3259), 1,
      anon_sym_RPAREN,
    STATE(18777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772647] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3251), 1,
      anon_sym_RPAREN,
    STATE(18778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772661] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2257), 1,
      anon_sym_RPAREN,
    STATE(18779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772675] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27129), 1,
      anon_sym_DOT,
    STATE(18780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772689] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11412), 1,
      anon_sym_GT,
    STATE(18781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772703] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27131), 1,
      anon_sym_RPAREN,
    STATE(18782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772717] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27133), 1,
      anon_sym_end,
    STATE(18783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772731] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27135), 1,
      anon_sym_with,
    STATE(18784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772745] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27137), 1,
      anon_sym_with,
    STATE(18785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772759] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27139), 1,
      anon_sym_DOT,
    STATE(18786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772773] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24247), 1,
      anon_sym_RBRACE,
    STATE(18787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772787] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27141), 1,
      anon_sym_RBRACE,
    STATE(18788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772801] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27143), 1,
      anon_sym_RBRACK,
    STATE(18789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772815] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27145), 1,
      anon_sym_SQUOTE2,
    STATE(18790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772829] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27147), 1,
      anon_sym_LT_DASH,
    STATE(18791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772843] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3267), 1,
      anon_sym_RPAREN,
    STATE(18792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772857] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27149), 1,
      anon_sym_with,
    STATE(18793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772871] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27151), 1,
      anon_sym_with,
    STATE(18794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772885] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27153), 1,
      anon_sym_DQUOTE,
    STATE(18795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772899] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27155), 1,
      anon_sym_RPAREN,
    STATE(18796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772913] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27157), 1,
      anon_sym_RBRACE,
    STATE(18797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772927] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27159), 1,
      anon_sym_DOT,
    STATE(18798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772941] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27161), 1,
      anon_sym_RBRACK,
    STATE(18799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772955] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27163), 1,
      anon_sym_RBRACE,
    STATE(18800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772969] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27165), 1,
      anon_sym_RPAREN,
    STATE(18801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772983] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27167), 1,
      anon_sym_in,
    STATE(18802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772997] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18035), 1,
      anon_sym_RPAREN,
    STATE(18803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773011] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27169), 1,
      anon_sym_in,
    STATE(18804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773025] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27171), 1,
      anon_sym_in,
    STATE(18805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773039] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9010), 1,
      anon_sym_DASH_GT,
    STATE(18806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773053] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27173), 1,
      anon_sym_RPAREN,
    STATE(18807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773067] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27175), 1,
      anon_sym_RPAREN,
    STATE(18808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773081] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27177), 1,
      anon_sym_RPAREN,
    STATE(18809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773095] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27177), 1,
      anon_sym_RBRACK,
    STATE(18810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773109] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27177), 1,
      anon_sym_RBRACE,
    STATE(18811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773123] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27173), 1,
      anon_sym_RBRACK,
    STATE(18812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773137] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27173), 1,
      anon_sym_RBRACE,
    STATE(18813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773151] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27179), 1,
      anon_sym_in,
    STATE(18814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773165] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27181), 1,
      anon_sym_RPAREN,
    STATE(18815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773179] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27183), 1,
      anon_sym_RPAREN,
    STATE(18816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773193] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27185), 1,
      anon_sym_DOT,
    STATE(18817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773207] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27187), 1,
      anon_sym_RPAREN,
    STATE(18818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773221] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27189), 1,
      anon_sym_RBRACK,
    STATE(18819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773235] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27191), 1,
      anon_sym_RBRACE,
    STATE(18820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773249] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27193), 1,
      anon_sym_with,
    STATE(18821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773263] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27195), 1,
      anon_sym_with,
    STATE(18822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773277] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27197), 1,
      anon_sym_DOT,
    STATE(18823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773291] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27199), 1,
      anon_sym_DOT,
    STATE(18824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773305] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27201), 1,
      anon_sym_RBRACE,
    STATE(18825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773319] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27203), 1,
      anon_sym_LT_DASH,
    STATE(18826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773333] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20357), 1,
      anon_sym_GT_RBRACE,
    STATE(18827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773347] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27205), 1,
      anon_sym_RBRACE,
    STATE(18828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773361] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27207), 1,
      anon_sym_RPAREN,
    STATE(18829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773375] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27209), 1,
      anon_sym_with,
    STATE(18830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773389] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27211), 1,
      anon_sym_with,
    STATE(18831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773403] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27213), 1,
      anon_sym_LT_DASH,
    STATE(18832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773417] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27215), 1,
      anon_sym_RPAREN,
    STATE(18833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773431] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27217), 1,
      anon_sym_RPAREN,
    STATE(18834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773445] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27219), 1,
      anon_sym_DOT,
    STATE(18835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773459] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27221), 1,
      anon_sym_RPAREN,
    STATE(18836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773473] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3185), 1,
      anon_sym_RPAREN,
    STATE(18837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773487] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27223), 1,
      anon_sym_GT,
    STATE(18838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773501] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21823), 1,
      anon_sym_GT_RBRACE,
    STATE(18839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773515] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18215), 1,
      anon_sym_RPAREN,
    STATE(18840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773529] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27225), 1,
      anon_sym_RPAREN,
    STATE(18841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773543] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27227), 1,
      anon_sym_RPAREN,
    STATE(18842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773557] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20266), 1,
      anon_sym_end,
    STATE(18843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773571] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27229), 1,
      anon_sym_SQUOTE2,
    STATE(18844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773585] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27231), 1,
      anon_sym_RPAREN,
    STATE(18845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773599] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27233), 1,
      anon_sym_RPAREN,
    STATE(18846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773613] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27233), 1,
      anon_sym_RBRACK,
    STATE(18847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773627] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27233), 1,
      anon_sym_RBRACE,
    STATE(18848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773641] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27235), 1,
      anon_sym_DQUOTE,
    STATE(18849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773655] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27237), 1,
      anon_sym_DASH_GT,
    STATE(18850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773669] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27239), 1,
      anon_sym_RPAREN,
    STATE(18851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773683] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27241), 1,
      anon_sym_RBRACK,
    STATE(18852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773697] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27243), 1,
      sym__identifier,
    STATE(18853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773711] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27245), 1,
      anon_sym_DOT,
    STATE(18854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773725] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27247), 1,
      anon_sym_RPAREN,
    STATE(18855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773739] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3199), 1,
      anon_sym_RPAREN,
    STATE(18856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773753] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27249), 1,
      anon_sym_RBRACK,
    STATE(18857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773767] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27251), 1,
      anon_sym_with,
    STATE(18858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773781] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27253), 1,
      anon_sym_with,
    STATE(18859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773795] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27255), 1,
      anon_sym_DOT,
    STATE(18860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773809] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27257), 1,
      anon_sym_RBRACE,
    STATE(18861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773823] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27259), 1,
      anon_sym_RPAREN,
    STATE(18862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773837] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9102), 1,
      anon_sym_DASH_GT,
    STATE(18863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773851] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27261), 1,
      anon_sym_DASH_GT,
    STATE(18864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773865] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27263), 1,
      anon_sym_RPAREN,
    STATE(18865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773879] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6837), 1,
      anon_sym_RPAREN,
    STATE(18866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773893] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27265), 1,
      anon_sym_with,
    STATE(18867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773907] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27267), 1,
      anon_sym_with,
    STATE(18868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773921] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27269), 1,
      anon_sym_RBRACE,
    STATE(18869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773935] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27271), 1,
      anon_sym_RBRACE,
    STATE(18870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773949] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27273), 1,
      anon_sym_SQUOTE2,
    STATE(18871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773963] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27275), 1,
      anon_sym_DOT,
    STATE(18872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773977] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27277), 1,
      anon_sym_end,
    STATE(18873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773991] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27279), 1,
      anon_sym_DQUOTE,
    STATE(18874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774005] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27281), 1,
      anon_sym_RBRACK,
    STATE(18875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774019] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27283), 1,
      anon_sym_RBRACE,
    STATE(18876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774033] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17713), 1,
      anon_sym_RPAREN,
    STATE(18877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774047] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27285), 1,
      anon_sym_RPAREN,
    STATE(18878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774061] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8841), 1,
      anon_sym_DASH_GT,
    STATE(18879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774075] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18157), 1,
      anon_sym_RBRACK,
    STATE(18880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774089] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27287), 1,
      anon_sym_RBRACE,
    STATE(18881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774103] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27289), 1,
      anon_sym_RPAREN,
    STATE(18882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774117] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27291), 1,
      anon_sym_RPAREN,
    STATE(18883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774131] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27291), 1,
      anon_sym_RBRACK,
    STATE(18884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774145] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27291), 1,
      anon_sym_RBRACE,
    STATE(18885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774159] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27293), 1,
      anon_sym_RBRACE,
    STATE(18886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774173] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27295), 1,
      anon_sym_DASH_GT,
    STATE(18887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774187] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27297), 1,
      anon_sym_in,
    STATE(18888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774201] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27299), 1,
      anon_sym_DASH_GT,
    STATE(18889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774215] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27301), 1,
      anon_sym_RBRACE,
    STATE(18890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774229] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27303), 1,
      anon_sym_RPAREN,
    STATE(18891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774243] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16529), 1,
      anon_sym_RPAREN,
    STATE(18892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774257] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27305), 1,
      anon_sym_RBRACE,
    STATE(18893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774271] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27307), 1,
      anon_sym_with,
    STATE(18894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774285] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27309), 1,
      anon_sym_with,
    STATE(18895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774299] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27311), 1,
      anon_sym_DOT,
    STATE(18896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774313] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27313), 1,
      anon_sym_in,
    STATE(18897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774327] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27315), 1,
      anon_sym_RPAREN,
    STATE(18898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774341] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27317), 1,
      anon_sym_end,
    STATE(18899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774355] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27319), 1,
      anon_sym_LT_DASH,
    STATE(18900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774369] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3193), 1,
      anon_sym_RPAREN,
    STATE(18901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774383] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27321), 1,
      anon_sym_RBRACE,
    STATE(18902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774397] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27323), 1,
      anon_sym_with,
    STATE(18903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774411] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27325), 1,
      anon_sym_with,
    STATE(18904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774425] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16751), 1,
      anon_sym_RPAREN,
    STATE(18905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774439] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27327), 1,
      anon_sym_in,
    STATE(18906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774453] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27329), 1,
      anon_sym_LT_DASH,
    STATE(18907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774467] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27331), 1,
      anon_sym_DOT,
    STATE(18908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774481] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27333), 1,
      anon_sym_RPAREN,
    STATE(18909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774495] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27335), 1,
      anon_sym_in,
    STATE(18910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774509] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27337), 1,
      anon_sym_RPAREN,
    STATE(18911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774523] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27339), 1,
      anon_sym_RPAREN,
    STATE(18912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774537] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17807), 1,
      anon_sym_RPAREN,
    STATE(18913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774551] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3195), 1,
      anon_sym_RPAREN,
    STATE(18914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774565] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27341), 1,
      anon_sym_RBRACK,
    STATE(18915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774579] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27343), 1,
      anon_sym_type,
    STATE(18916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774593] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27345), 1,
      anon_sym_DASH_GT,
    STATE(18917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774607] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27347), 1,
      anon_sym_RPAREN,
    STATE(18918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774621] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27349), 1,
      anon_sym_RPAREN,
    STATE(18919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774635] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27349), 1,
      anon_sym_RBRACK,
    STATE(18920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774649] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27349), 1,
      anon_sym_RBRACE,
    STATE(18921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774663] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18241), 1,
      anon_sym_RPAREN,
    STATE(18922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774677] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27351), 1,
      anon_sym_in,
    STATE(18923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774691] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27353), 1,
      anon_sym_in,
    STATE(18924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774705] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27355), 1,
      anon_sym_PLUS_EQ,
    STATE(18925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774719] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27357), 1,
      anon_sym_in,
    STATE(18926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774733] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27359), 1,
      anon_sym_RPAREN,
    STATE(18927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774747] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27361), 1,
      anon_sym_DASH_GT,
    STATE(18928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774761] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27363), 1,
      anon_sym_with,
    STATE(18929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774775] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27365), 1,
      anon_sym_with,
    STATE(18930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774789] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27367), 1,
      anon_sym_DOT,
    STATE(18931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774803] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27369), 1,
      anon_sym_RBRACE,
    STATE(18932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774817] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27371), 1,
      anon_sym_RPAREN,
    STATE(18933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774831] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27373), 1,
      anon_sym_with,
    STATE(18934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774845] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27375), 1,
      anon_sym_with,
    STATE(18935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774859] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27377), 1,
      anon_sym_DOT,
    STATE(18936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774873] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27379), 1,
      anon_sym_in,
    STATE(18937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774887] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6867), 1,
      anon_sym_end,
    STATE(18938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774901] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27381), 1,
      aux_sym_number_token1,
    STATE(18939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774915] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17831), 1,
      anon_sym_RPAREN,
    STATE(18940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774929] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27383), 1,
      anon_sym_RBRACK,
    STATE(18941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774943] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27385), 1,
      anon_sym_RPAREN,
    STATE(18942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774957] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27387), 1,
      anon_sym_RPAREN,
    STATE(18943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774971] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27387), 1,
      anon_sym_RBRACK,
    STATE(18944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774985] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27387), 1,
      anon_sym_RBRACE,
    STATE(18945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774999] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27389), 1,
      anon_sym_RBRACE,
    STATE(18946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775013] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27391), 1,
      anon_sym_RBRACE,
    STATE(18947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775027] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27393), 1,
      anon_sym_SQUOTE2,
    STATE(18948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775041] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27395), 1,
      anon_sym_DQUOTE,
    STATE(18949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775055] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27397), 1,
      anon_sym_RPAREN,
    STATE(18950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775069] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27399), 1,
      anon_sym_DOT,
    STATE(18951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775083] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27401), 1,
      anon_sym_RBRACK,
    STATE(18952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775097] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27403), 1,
      anon_sym_RBRACE,
    STATE(18953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775111] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27405), 1,
      anon_sym_RBRACE,
    STATE(18954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775125] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11531), 1,
      anon_sym_GT,
    STATE(18955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775139] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(2257), 1,
      anon_sym_end,
    STATE(18956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775153] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17841), 1,
      anon_sym_RPAREN,
    STATE(18957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775167] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27407), 1,
      anon_sym_RPAREN,
    STATE(18958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775181] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27409), 1,
      anon_sym_RPAREN,
    STATE(18959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775195] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27411), 1,
      anon_sym_RPAREN,
    STATE(18960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775209] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27411), 1,
      anon_sym_RBRACK,
    STATE(18961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775223] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27411), 1,
      anon_sym_RBRACE,
    STATE(18962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775237] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27413), 1,
      anon_sym_DASH_GT,
    STATE(18963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775251] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27415), 1,
      anon_sym_RBRACE,
    STATE(18964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775265] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27417), 1,
      anon_sym_DASH_GT,
    STATE(18965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775279] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12411), 1,
      anon_sym_DASH_GT,
    STATE(18966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775293] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23123), 1,
      aux_sym_number_token1,
    STATE(18967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775307] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27419), 1,
      anon_sym_in,
    STATE(18968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775321] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27421), 1,
      anon_sym_in,
    STATE(18969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775335] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27423), 1,
      anon_sym_RPAREN,
    STATE(18970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775349] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21131), 1,
      anon_sym_GT_RBRACE,
    STATE(18971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775363] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27425), 1,
      anon_sym_RPAREN,
    STATE(18972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775377] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27425), 1,
      anon_sym_RBRACK,
    STATE(18973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775391] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27425), 1,
      anon_sym_RBRACE,
    STATE(18974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775405] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27427), 1,
      anon_sym_done,
    STATE(18975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775419] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6847), 1,
      anon_sym_end,
    STATE(18976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775433] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27429), 1,
      anon_sym_RPAREN,
    STATE(18977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775447] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19610), 1,
      anon_sym_end,
    STATE(18978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775461] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27431), 1,
      anon_sym_SQUOTE2,
    STATE(18979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775475] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27433), 1,
      anon_sym_DQUOTE,
    STATE(18980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775489] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27435), 1,
      anon_sym_RPAREN,
    STATE(18981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775503] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27437), 1,
      anon_sym_RPAREN,
    STATE(18982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775517] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27437), 1,
      anon_sym_RBRACK,
    STATE(18983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775531] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27437), 1,
      anon_sym_RBRACE,
    STATE(18984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775545] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27439), 1,
      anon_sym_RPAREN,
    STATE(18985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775559] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27441), 1,
      aux_sym_number_token1,
    STATE(18986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775573] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27443), 1,
      anon_sym_DOT,
    STATE(18987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775587] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27445), 1,
      sym__identifier,
    STATE(18988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775601] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27447), 1,
      anon_sym_in,
    STATE(18989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775615] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27449), 1,
      anon_sym_RBRACK,
    STATE(18990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775629] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27451), 1,
      anon_sym_RBRACK,
    STATE(18991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775643] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27453), 1,
      anon_sym_RPAREN,
    STATE(18992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775657] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27453), 1,
      anon_sym_RBRACK,
    STATE(18993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775671] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27453), 1,
      anon_sym_RBRACE,
    STATE(18994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775685] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27455), 1,
      anon_sym_DOT,
    STATE(18995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775699] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27457), 1,
      anon_sym_RPAREN,
    STATE(18996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775713] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27459), 1,
      anon_sym_RBRACE,
    STATE(18997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775727] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27461), 1,
      anon_sym_DOT,
    STATE(18998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775741] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27463), 1,
      anon_sym_RBRACE,
    STATE(18999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775755] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3233), 1,
      anon_sym_RPAREN,
    STATE(19000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775769] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27465), 1,
      anon_sym_RPAREN,
    STATE(19001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775783] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27467), 1,
      anon_sym_RPAREN,
    STATE(19002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775797] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27467), 1,
      anon_sym_RBRACK,
    STATE(19003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775811] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27467), 1,
      anon_sym_RBRACE,
    STATE(19004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775825] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27469), 1,
      anon_sym_RBRACK,
    STATE(19005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775839] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27471), 1,
      anon_sym_RPAREN,
    STATE(19006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775853] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27473), 1,
      anon_sym_RBRACE,
    STATE(19007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775867] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27475), 1,
      anon_sym_RPAREN,
    STATE(19008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775881] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27477), 1,
      anon_sym_SQUOTE2,
    STATE(19009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775895] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27479), 1,
      anon_sym_DQUOTE,
    STATE(19010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775909] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27481), 1,
      anon_sym_with,
    STATE(19011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775923] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27483), 1,
      anon_sym_RPAREN,
    STATE(19012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775937] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27483), 1,
      anon_sym_RBRACK,
    STATE(19013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775951] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27483), 1,
      anon_sym_RBRACE,
    STATE(19014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775965] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27485), 1,
      anon_sym_RBRACK,
    STATE(19015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775979] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27487), 1,
      anon_sym_RBRACK,
    STATE(19016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775993] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27489), 1,
      anon_sym_RBRACE,
    STATE(19017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776007] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27491), 1,
      anon_sym_with,
    STATE(19018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776021] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27493), 1,
      anon_sym_DOT,
    STATE(19019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776035] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27495), 1,
      anon_sym_in,
    STATE(19020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776049] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27497), 1,
      anon_sym_RBRACE,
    STATE(19021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776063] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27499), 1,
      anon_sym_RPAREN,
    STATE(19022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776077] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27499), 1,
      anon_sym_RBRACK,
    STATE(19023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776091] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27499), 1,
      anon_sym_RBRACE,
    STATE(19024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776105] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11757), 1,
      anon_sym_GT,
    STATE(19025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776119] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27501), 1,
      anon_sym_RBRACE,
    STATE(19026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776133] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27503), 1,
      anon_sym_RPAREN,
    STATE(19027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776147] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17624), 1,
      anon_sym_GT,
    STATE(19028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776161] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27505), 1,
      anon_sym_DASH_GT,
    STATE(19029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776175] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27507), 1,
      anon_sym_in,
    STATE(19030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776189] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27509), 1,
      anon_sym_RBRACK,
    STATE(19031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776203] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27511), 1,
      anon_sym_RPAREN,
    STATE(19032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776217] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27511), 1,
      anon_sym_RBRACK,
    STATE(19033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776231] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27511), 1,
      anon_sym_RBRACE,
    STATE(19034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776245] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27513), 1,
      anon_sym_RPAREN,
    STATE(19035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776259] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27515), 1,
      anon_sym_RPAREN,
    STATE(19036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776273] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27517), 1,
      anon_sym_RBRACE,
    STATE(19037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776287] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27519), 1,
      anon_sym_DASH_GT,
    STATE(19038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776301] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27521), 1,
      anon_sym_SQUOTE2,
    STATE(19039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776315] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27523), 1,
      anon_sym_RPAREN,
    STATE(19040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776329] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3249), 1,
      anon_sym_RPAREN,
    STATE(19041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776343] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27525), 1,
      anon_sym_RPAREN,
    STATE(19042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776357] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27525), 1,
      anon_sym_RBRACK,
    STATE(19043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776371] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27525), 1,
      anon_sym_RBRACE,
    STATE(19044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776385] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8984), 1,
      anon_sym_DASH_GT,
    STATE(19045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776399] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27527), 1,
      anon_sym_in,
    STATE(19046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776413] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27529), 1,
      anon_sym_RPAREN,
    STATE(19047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776427] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27531), 1,
      anon_sym_RPAREN,
    STATE(19048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776441] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27533), 1,
      anon_sym_RBRACE,
    STATE(19049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776455] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27535), 1,
      anon_sym_RBRACE,
    STATE(19050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776469] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27537), 1,
      anon_sym_with,
    STATE(19051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776483] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27539), 1,
      anon_sym_RPAREN,
    STATE(19052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776497] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27539), 1,
      anon_sym_RBRACK,
    STATE(19053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776511] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27539), 1,
      anon_sym_RBRACE,
    STATE(19054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776525] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27541), 1,
      anon_sym_SQUOTE2,
    STATE(19055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776539] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27543), 1,
      anon_sym_in,
    STATE(19056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776553] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27545), 1,
      anon_sym_with,
    STATE(19057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776567] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27547), 1,
      anon_sym_DASH_GT,
    STATE(19058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776581] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27549), 1,
      anon_sym_DQUOTE,
    STATE(19059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776595] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27551), 1,
      anon_sym_RBRACK,
    STATE(19060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776609] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27553), 1,
      anon_sym_DOT,
    STATE(19061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776623] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27555), 1,
      anon_sym_RPAREN,
    STATE(19062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776637] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27555), 1,
      anon_sym_RBRACK,
    STATE(19063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776651] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27555), 1,
      anon_sym_RBRACE,
    STATE(19064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776665] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27557), 1,
      anon_sym_RBRACE,
    STATE(19065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776679] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27559), 1,
      anon_sym_in,
    STATE(19066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776693] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27561), 1,
      anon_sym_RBRACE,
    STATE(19067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776707] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27563), 1,
      anon_sym_in,
    STATE(19068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776721] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27565), 1,
      anon_sym_RPAREN,
    STATE(19069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776735] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16793), 1,
      anon_sym_RPAREN,
    STATE(19070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776749] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27567), 1,
      anon_sym_in,
    STATE(19071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776763] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27569), 1,
      anon_sym_RPAREN,
    STATE(19072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776777] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27569), 1,
      anon_sym_RBRACK,
    STATE(19073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776791] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27569), 1,
      anon_sym_RBRACE,
    STATE(19074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776805] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27571), 1,
      anon_sym_RPAREN,
    STATE(19075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776819] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27573), 1,
      anon_sym_end,
    STATE(19076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776833] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20373), 1,
      anon_sym_GT_RBRACE,
    STATE(19077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776847] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27575), 1,
      anon_sym_RBRACE,
    STATE(19078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776861] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9088), 1,
      anon_sym_DASH_GT,
    STATE(19079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776875] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27577), 1,
      anon_sym_RBRACE,
    STATE(19080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776889] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3261), 1,
      anon_sym_RPAREN,
    STATE(19081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776903] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27579), 1,
      anon_sym_RPAREN,
    STATE(19082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776917] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27579), 1,
      anon_sym_RBRACK,
    STATE(19083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776931] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27579), 1,
      anon_sym_RBRACE,
    STATE(19084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776945] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16735), 1,
      anon_sym_RPAREN,
    STATE(19085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776959] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27581), 1,
      anon_sym_RPAREN,
    STATE(19086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776973] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27583), 1,
      anon_sym_RBRACE,
    STATE(19087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776987] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18287), 1,
      anon_sym_RPAREN,
    STATE(19088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777001] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27585), 1,
      anon_sym_RBRACE,
    STATE(19089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777015] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27587), 1,
      anon_sym_SQUOTE2,
    STATE(19090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777029] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11400), 1,
      anon_sym_GT,
    STATE(19091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777043] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27589), 1,
      anon_sym_DQUOTE,
    STATE(19092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777057] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27591), 1,
      anon_sym_RBRACK,
    STATE(19093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777071] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27593), 1,
      anon_sym_RBRACE,
    STATE(19094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777085] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27595), 1,
      anon_sym_RBRACE,
    STATE(19095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777099] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20526), 1,
      anon_sym_GT_RBRACE,
    STATE(19096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777113] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27597), 1,
      anon_sym_in,
    STATE(19097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777127] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27599), 1,
      anon_sym_RPAREN,
    STATE(19098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777141] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27601), 1,
      anon_sym_RPAREN,
    STATE(19099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777155] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27603), 1,
      anon_sym_RPAREN,
    STATE(19100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777169] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27605), 1,
      anon_sym_RPAREN,
    STATE(19101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777183] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27605), 1,
      anon_sym_RBRACK,
    STATE(19102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777197] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27605), 1,
      anon_sym_RBRACE,
    STATE(19103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777211] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27607), 1,
      anon_sym_RPAREN,
    STATE(19104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777225] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27609), 1,
      anon_sym_RBRACE,
    STATE(19105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777239] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19785), 1,
      anon_sym_end,
    STATE(19106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777253] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3141), 1,
      anon_sym_RPAREN,
    STATE(19107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777267] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27611), 1,
      anon_sym_RPAREN,
    STATE(19108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777281] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27613), 1,
      anon_sym_GT,
    STATE(19109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777295] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27615), 1,
      anon_sym_RPAREN,
    STATE(19110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777309] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27617), 1,
      anon_sym_DASH_GT,
    STATE(19111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777323] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27619), 1,
      anon_sym_RPAREN,
    STATE(19112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777337] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27621), 1,
      anon_sym_RPAREN,
    STATE(19113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777351] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27623), 1,
      anon_sym_RPAREN,
    STATE(19114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777365] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27625), 1,
      anon_sym_RBRACK,
    STATE(19115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777379] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27627), 1,
      anon_sym_RPAREN,
    STATE(19116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777393] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27629), 1,
      anon_sym_RBRACK,
    STATE(19117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777407] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27631), 1,
      anon_sym_RBRACE,
    STATE(19118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777421] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27633), 1,
      anon_sym_RBRACE,
    STATE(19119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777435] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27635), 1,
      anon_sym_RPAREN,
    STATE(19120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777449] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27637), 1,
      anon_sym_SQUOTE2,
    STATE(19121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777463] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27639), 1,
      anon_sym_RPAREN,
    STATE(19122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777477] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27641), 1,
      anon_sym_DQUOTE,
    STATE(19123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777491] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27643), 1,
      anon_sym_RBRACK,
    STATE(19124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777505] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27645), 1,
      anon_sym_RBRACE,
    STATE(19125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777519] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27647), 1,
      anon_sym_RBRACE,
    STATE(19126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777533] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27649), 1,
      anon_sym_RBRACE,
    STATE(19127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777547] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27651), 1,
      anon_sym_RPAREN,
    STATE(19128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777561] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27653), 1,
      anon_sym_DASH_GT,
    STATE(19129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777575] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11424), 1,
      anon_sym_GT,
    STATE(19130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777589] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27655), 1,
      anon_sym_RPAREN,
    STATE(19131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777603] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27657), 1,
      anon_sym_SQUOTE2,
    STATE(19132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777617] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27659), 1,
      anon_sym_RPAREN,
    STATE(19133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777631] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27661), 1,
      anon_sym_DQUOTE,
    STATE(19134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777645] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27663), 1,
      anon_sym_RPAREN,
    STATE(19135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777659] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27665), 1,
      anon_sym_GT,
    STATE(19136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777673] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27667), 1,
      anon_sym_RPAREN,
    STATE(19137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777687] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27669), 1,
      anon_sym_RPAREN,
    STATE(19138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777701] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27671), 1,
      anon_sym_RBRACK,
    STATE(19139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777715] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27673), 1,
      anon_sym_RBRACE,
    STATE(19140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777729] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27675), 1,
      anon_sym_RPAREN,
    STATE(19141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777743] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27677), 1,
      anon_sym_RPAREN,
    STATE(19142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777757] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27679), 1,
      anon_sym_RBRACK,
    STATE(19143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777771] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27681), 1,
      anon_sym_GT,
    STATE(19144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777785] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14292), 1,
      anon_sym_DASH_GT,
    STATE(19145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777799] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27683), 1,
      anon_sym_RPAREN,
    STATE(19146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777813] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27685), 1,
      sym__identifier,
    STATE(19147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777827] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3169), 1,
      anon_sym_RPAREN,
    STATE(19148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777841] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27687), 1,
      anon_sym_RPAREN,
    STATE(19149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777855] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27689), 1,
      anon_sym_RBRACE,
    STATE(19150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777869] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27691), 1,
      anon_sym_RPAREN,
    STATE(19151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777883] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27693), 1,
      anon_sym_RPAREN,
    STATE(19152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777897] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27695), 1,
      anon_sym_RPAREN,
    STATE(19153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777911] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16559), 1,
      anon_sym_RPAREN,
    STATE(19154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777925] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27697), 1,
      anon_sym_RPAREN,
    STATE(19155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777939] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27699), 1,
      anon_sym_RBRACE,
    STATE(19156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777953] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27701), 1,
      anon_sym_RBRACK,
    STATE(19157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777967] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27703), 1,
      anon_sym_SQUOTE2,
    STATE(19158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777981] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27705), 1,
      anon_sym_in,
    STATE(19159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777995] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14478), 1,
      anon_sym_end,
    STATE(19160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778009] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27707), 1,
      anon_sym_RBRACE,
    STATE(19161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778023] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24007), 1,
      anon_sym_RBRACK,
    STATE(19162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778037] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27709), 1,
      aux_sym_number_token1,
    STATE(19163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778051] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27711), 1,
      anon_sym_RPAREN,
    STATE(19164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778065] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27713), 1,
      anon_sym_RBRACE,
    STATE(19165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778079] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27715), 1,
      sym__identifier,
    STATE(19166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778093] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13265), 1,
      anon_sym_DASH_GT,
    STATE(19167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778107] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27717), 1,
      anon_sym_RPAREN,
    STATE(19168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778121] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27719), 1,
      sym__identifier,
    STATE(19169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778135] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27721), 1,
      anon_sym_RPAREN,
    STATE(19170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778149] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27723), 1,
      anon_sym_DOT,
    STATE(19171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778163] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27725), 1,
      anon_sym_RBRACE,
    STATE(19172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778177] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27727), 1,
      anon_sym_DASH_GT,
    STATE(19173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778191] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27729), 1,
      anon_sym_LT_DASH,
    STATE(19174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778205] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3161), 1,
      anon_sym_RPAREN,
    STATE(19175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778219] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27731), 1,
      anon_sym_DQUOTE,
    STATE(19176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778233] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27733), 1,
      anon_sym_RPAREN,
    STATE(19177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778247] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27735), 1,
      anon_sym_RBRACK,
    STATE(19178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778261] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27737), 1,
      anon_sym_in,
    STATE(19179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778275] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27739), 1,
      anon_sym_in,
    STATE(19180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778289] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27741), 1,
      anon_sym_in,
    STATE(19181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778303] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27743), 1,
      anon_sym_DOT,
    STATE(19182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778317] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27745), 1,
      anon_sym_RPAREN,
    STATE(19183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778331] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27747), 1,
      anon_sym_in,
    STATE(19184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778345] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27749), 1,
      anon_sym_RBRACE,
    STATE(19185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778359] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27751), 1,
      anon_sym_in,
    STATE(19186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778373] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27753), 1,
      anon_sym_DOT,
    STATE(19187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778387] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27745), 1,
      anon_sym_RBRACK,
    STATE(19188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778401] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27755), 1,
      anon_sym_RPAREN,
    STATE(19189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778415] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27757), 1,
      anon_sym_RBRACE,
    STATE(19190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778429] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27759), 1,
      anon_sym_RBRACE,
    STATE(19191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778443] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27761), 1,
      anon_sym_in,
    STATE(19192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778457] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27763), 1,
      anon_sym_in,
    STATE(19193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778471] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21955), 1,
      anon_sym_GT_RBRACE,
    STATE(19194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778485] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27765), 1,
      anon_sym_RBRACK,
    STATE(19195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778499] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27767), 1,
      anon_sym_DASH_GT,
    STATE(19196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778513] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20163), 1,
      anon_sym_end,
    STATE(19197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778527] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27769), 1,
      anon_sym_SQUOTE2,
    STATE(19198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778541] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27771), 1,
      anon_sym_DQUOTE,
    STATE(19199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778555] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21959), 1,
      anon_sym_GT_RBRACE,
    STATE(19200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778569] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27773), 1,
      sym__identifier,
    STATE(19201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778583] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27775), 1,
      anon_sym_RPAREN,
    STATE(19202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778597] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19924), 1,
      anon_sym_end,
    STATE(19203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778611] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27777), 1,
      anon_sym_SQUOTE2,
    STATE(19204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778625] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27779), 1,
      anon_sym_DQUOTE,
    STATE(19205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778639] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27781), 1,
      anon_sym_RPAREN,
    STATE(19206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778653] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27783), 1,
      anon_sym_RPAREN,
    STATE(19207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778667] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27785), 1,
      sym__identifier,
    STATE(19208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778681] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27787), 1,
      anon_sym_PIPE,
    STATE(19209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778695] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21195), 1,
      anon_sym_GT_RBRACE,
    STATE(19210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778709] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27789), 1,
      sym__identifier,
    STATE(19211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778723] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27791), 1,
      anon_sym_with,
    STATE(19212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778737] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27793), 1,
      anon_sym_RBRACK,
    STATE(19213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778751] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27795), 1,
      anon_sym_RBRACE,
    STATE(19214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778765] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27797), 1,
      sym__identifier,
    STATE(19215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778779] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27799), 1,
      anon_sym_RBRACE,
    STATE(19216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778793] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27745), 1,
      anon_sym_RBRACE,
    STATE(19217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778807] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27801), 1,
      anon_sym_LT_DASH,
    STATE(19218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778821] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27803), 1,
      anon_sym_with,
    STATE(19219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778835] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27805), 1,
      anon_sym_DOT,
    STATE(19220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778849] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27807), 1,
      anon_sym_RPAREN,
    STATE(19221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778863] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27809), 1,
      anon_sym_in,
    STATE(19222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778877] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8849), 1,
      anon_sym_DASH_GT,
    STATE(19223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778891] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27811), 1,
      anon_sym_DASH_GT,
    STATE(19224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778905] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27813), 1,
      sym__identifier,
    STATE(19225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778919] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27815), 1,
      anon_sym_COLON2,
    STATE(19226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778933] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27817), 1,
      anon_sym_RPAREN,
    STATE(19227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778947] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27819), 1,
      anon_sym_LT_DASH,
    STATE(19228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778961] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27821), 1,
      anon_sym_RBRACK,
    STATE(19229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778975] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27823), 1,
      anon_sym_RBRACE,
    STATE(19230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778989] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27825), 1,
      anon_sym_DOT_DOT,
    STATE(19231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779003] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27827), 1,
      anon_sym_DOT_DOT,
    STATE(19232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779017] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27829), 1,
      anon_sym_DOT_DOT,
    STATE(19233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779031] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27831), 1,
      anon_sym_DASH_GT,
    STATE(19234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779045] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27833), 1,
      anon_sym_DASH_GT,
    STATE(19235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779059] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27835), 1,
      anon_sym_RPAREN,
    STATE(19236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779073] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3191), 1,
      anon_sym_RPAREN,
    STATE(19237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779087] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27837), 1,
      anon_sym_RBRACK,
    STATE(19238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779101] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27839), 1,
      anon_sym_in,
    STATE(19239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779115] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27841), 1,
      anon_sym_end,
    STATE(19240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779129] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27843), 1,
      anon_sym_RBRACE,
    STATE(19241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779143] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27845), 1,
      sym__identifier,
    STATE(19242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779157] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11569), 1,
      anon_sym_GT,
    STATE(19243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779171] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27847), 1,
      anon_sym_RPAREN,
    STATE(19244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779185] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27849), 1,
      anon_sym_RBRACE,
    STATE(19245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779199] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16621), 1,
      anon_sym_RPAREN,
    STATE(19246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779213] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27851), 1,
      anon_sym_RPAREN,
    STATE(19247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779227] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27853), 1,
      anon_sym_RBRACE,
    STATE(19248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779241] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16587), 1,
      anon_sym_RPAREN,
    STATE(19249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779255] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27855), 1,
      anon_sym_in,
    STATE(19250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779269] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27857), 1,
      anon_sym_in,
    STATE(19251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779283] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27859), 1,
      anon_sym_in,
    STATE(19252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779297] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27861), 1,
      anon_sym_in,
    STATE(19253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779311] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27863), 1,
      anon_sym_DASH_GT,
    STATE(19254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779325] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27865), 1,
      anon_sym_RBRACE,
    STATE(19255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779339] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27867), 1,
      anon_sym_SQUOTE2,
    STATE(19256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779353] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20307), 1,
      anon_sym_end,
    STATE(19257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779367] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27869), 1,
      anon_sym_SQUOTE2,
    STATE(19258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779381] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27871), 1,
      anon_sym_with,
    STATE(19259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779395] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27873), 1,
      anon_sym_RPAREN,
    STATE(19260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779409] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27875), 1,
      anon_sym_RBRACK,
    STATE(19261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779423] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27877), 1,
      anon_sym_RBRACE,
    STATE(19262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779437] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27879), 1,
      anon_sym_DQUOTE,
    STATE(19263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779451] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27881), 1,
      anon_sym_RPAREN,
    STATE(19264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779465] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27883), 1,
      anon_sym_with,
    STATE(19265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779479] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27885), 1,
      anon_sym_in,
    STATE(19266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779493] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27887), 1,
      anon_sym_RPAREN,
    STATE(19267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779507] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27889), 1,
      anon_sym_DQUOTE,
    STATE(19268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779521] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24237), 1,
      anon_sym_RPAREN,
    STATE(19269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779535] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27891), 1,
      anon_sym_RPAREN,
    STATE(19270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779549] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17554), 1,
      anon_sym_GT,
    STATE(19271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779563] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27893), 1,
      anon_sym_DOT,
    STATE(19272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779577] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24099), 1,
      anon_sym_RBRACK,
    STATE(19273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779591] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27895), 1,
      anon_sym_RBRACK,
    STATE(19274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779605] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27897), 1,
      anon_sym_RBRACE,
    STATE(19275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779619] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27899), 1,
      anon_sym_RPAREN,
    STATE(19276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779633] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27901), 1,
      anon_sym_RPAREN,
    STATE(19277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779647] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27903), 1,
      anon_sym_RBRACK,
    STATE(19278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779661] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27905), 1,
      anon_sym_RBRACE,
    STATE(19279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779675] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27907), 1,
      anon_sym_RPAREN,
    STATE(19280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779689] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27909), 1,
      anon_sym_RBRACE,
    STATE(19281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779703] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27911), 1,
      anon_sym_in,
    STATE(19282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779717] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27913), 1,
      anon_sym_RPAREN,
    STATE(19283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779731] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27915), 1,
      sym__identifier,
    STATE(19284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779745] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20002), 1,
      anon_sym_end,
    STATE(19285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779759] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27917), 1,
      anon_sym_RPAREN,
    STATE(19286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779773] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27919), 1,
      anon_sym_RPAREN,
    STATE(19287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779787] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27921), 1,
      anon_sym_LT_DASH,
    STATE(19288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779801] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27923), 1,
      anon_sym_RPAREN,
    STATE(19289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779815] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23605), 1,
      anon_sym_RBRACE,
    STATE(19290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779829] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8863), 1,
      anon_sym_DASH_GT,
    STATE(19291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779843] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27925), 1,
      anon_sym_RPAREN,
    STATE(19292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779857] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27927), 1,
      anon_sym_RPAREN,
    STATE(19293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779871] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27929), 1,
      anon_sym_RPAREN,
    STATE(19294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779885] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27931), 1,
      anon_sym_SQUOTE2,
    STATE(19295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779899] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27933), 1,
      anon_sym_RPAREN,
    STATE(19296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779913] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13271), 1,
      anon_sym_DASH_GT,
    STATE(19297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779927] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27935), 1,
      anon_sym_DASH_GT,
    STATE(19298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779941] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27937), 1,
      anon_sym_RBRACE,
    STATE(19299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779955] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18151), 1,
      anon_sym_RPAREN,
    STATE(19300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779969] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27939), 1,
      anon_sym_LT_DASH,
    STATE(19301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779983] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3187), 1,
      anon_sym_RPAREN,
    STATE(19302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779997] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3203), 1,
      anon_sym_RPAREN,
    STATE(19303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780011] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27941), 1,
      anon_sym_PIPE,
    STATE(19304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780025] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27943), 1,
      anon_sym_RPAREN,
    STATE(19305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780039] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27945), 1,
      sym__identifier,
    STATE(19306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780053] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27947), 1,
      anon_sym_RPAREN,
    STATE(19307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780067] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23609), 1,
      anon_sym_RBRACE,
    STATE(19308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780081] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27949), 1,
      anon_sym_in,
    STATE(19309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780095] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27951), 1,
      anon_sym_in,
    STATE(19310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780109] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27953), 1,
      anon_sym_in,
    STATE(19311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780123] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27955), 1,
      sym__identifier,
    STATE(19312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780137] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27957), 1,
      anon_sym_end,
    STATE(19313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780151] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27959), 1,
      anon_sym_RBRACE,
    STATE(19314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780165] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27961), 1,
      anon_sym_in,
    STATE(19315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780179] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27963), 1,
      anon_sym_RBRACE,
    STATE(19316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780193] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27965), 1,
      anon_sym_DASH_GT,
    STATE(19317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780207] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27967), 1,
      anon_sym_SQUOTE2,
    STATE(19318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780221] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27969), 1,
      anon_sym_RBRACE,
    STATE(19319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780235] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27971), 1,
      anon_sym_COLON2,
    STATE(19320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780249] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27973), 1,
      anon_sym_DQUOTE,
    STATE(19321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780263] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27975), 1,
      anon_sym_RPAREN,
    STATE(19322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780277] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27977), 1,
      anon_sym_DOT_DOT,
    STATE(19323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780291] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27979), 1,
      anon_sym_DOT_DOT,
    STATE(19324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780305] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27981), 1,
      anon_sym_DOT_DOT,
    STATE(19325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780319] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27983), 1,
      anon_sym_RBRACE,
    STATE(19326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780333] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27985), 1,
      anon_sym_RPAREN,
    STATE(19327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780347] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16809), 1,
      anon_sym_RPAREN,
    STATE(19328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780361] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27985), 1,
      anon_sym_RBRACK,
    STATE(19329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780375] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27987), 1,
      anon_sym_RBRACE,
    STATE(19330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780389] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27985), 1,
      anon_sym_RBRACE,
    STATE(19331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780403] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22038), 1,
      anon_sym_GT_RBRACE,
    STATE(19332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780417] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27989), 1,
      anon_sym_RBRACK,
    STATE(19333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780431] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20101), 1,
      anon_sym_end,
    STATE(19334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780445] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27991), 1,
      anon_sym_RBRACE,
    STATE(19335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780459] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27993), 1,
      anon_sym_SQUOTE2,
    STATE(19336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780473] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27995), 1,
      anon_sym_DQUOTE,
    STATE(19337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780487] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27997), 1,
      ts_builtin_sym_end,
    STATE(19338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780501] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(27999), 1,
      anon_sym_DASH_GT,
    STATE(19339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780515] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28001), 1,
      sym__identifier,
    STATE(19340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780529] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21207), 1,
      anon_sym_GT_RBRACE,
    STATE(19341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780543] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28003), 1,
      anon_sym_RBRACK,
    STATE(19342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780557] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28005), 1,
      anon_sym_RBRACE,
    STATE(19343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780571] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28007), 1,
      anon_sym_RBRACE,
    STATE(19344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780585] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20065), 1,
      anon_sym_end,
    STATE(19345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780599] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24163), 1,
      anon_sym_RBRACK,
    STATE(19346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780613] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28009), 1,
      anon_sym_SQUOTE2,
    STATE(19347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780627] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28011), 1,
      anon_sym_DQUOTE,
    STATE(19348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780641] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8903), 1,
      anon_sym_DASH_GT,
    STATE(19349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780655] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28013), 1,
      anon_sym_RPAREN,
    STATE(19350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780669] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28015), 1,
      sym__identifier,
    STATE(19351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780683] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28017), 1,
      anon_sym_GT,
    STATE(19352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780697] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28019), 1,
      anon_sym_RBRACK,
    STATE(19353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780711] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5393), 1,
      anon_sym_end,
    STATE(19354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780725] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8853), 1,
      anon_sym_DASH_GT,
    STATE(19355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780739] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28021), 1,
      anon_sym_RBRACE,
    STATE(19356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780753] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28023), 1,
      anon_sym_DASH_GT,
    STATE(19357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780767] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28025), 1,
      anon_sym_RPAREN,
    STATE(19358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780781] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28027), 1,
      anon_sym_RPAREN,
    STATE(19359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780795] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28029), 1,
      anon_sym_RBRACK,
    STATE(19360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780809] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28031), 1,
      anon_sym_DASH_GT,
    STATE(19361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780823] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28033), 1,
      aux_sym_number_token1,
    STATE(19362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780837] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28035), 1,
      anon_sym_DQUOTE,
    STATE(19363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780851] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28037), 1,
      ts_builtin_sym_end,
    STATE(19364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780865] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28039), 1,
      anon_sym_PLUS_EQ,
    STATE(19365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780879] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28041), 1,
      anon_sym_end,
    STATE(19366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780893] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28043), 1,
      anon_sym_end,
    STATE(19367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780907] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28045), 1,
      anon_sym_DASH_GT,
    STATE(19368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780921] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28047), 1,
      anon_sym_RBRACK,
    STATE(19369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780935] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28049), 1,
      anon_sym_RBRACE,
    STATE(19370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780949] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16745), 1,
      anon_sym_RPAREN,
    STATE(19371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780963] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3229), 1,
      anon_sym_RPAREN,
    STATE(19372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780977] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28051), 1,
      anon_sym_RBRACE,
    STATE(19373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780991] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_GT,
    STATE(19374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781005] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28053), 1,
      anon_sym_RPAREN,
    STATE(19375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781019] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22104), 1,
      anon_sym_GT_RBRACE,
    STATE(19376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781033] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28055), 1,
      anon_sym_RPAREN,
    STATE(19377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781047] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28057), 1,
      anon_sym_PIPE,
    STATE(19378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781061] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28059), 1,
      anon_sym_DASH_GT,
    STATE(19379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781075] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28061), 1,
      sym__identifier,
    STATE(19380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781089] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28063), 1,
      anon_sym_RPAREN,
    STATE(19381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781103] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28065), 1,
      anon_sym_RBRACK,
    STATE(19382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781117] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28067), 1,
      anon_sym_RBRACE,
    STATE(19383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781131] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20731), 1,
      anon_sym_GT_RBRACE,
    STATE(19384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781145] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28069), 1,
      anon_sym_RPAREN,
    STATE(19385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781159] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28071), 1,
      anon_sym_RPAREN,
    STATE(19386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781173] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28073), 1,
      anon_sym_RBRACK,
    STATE(19387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781187] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28075), 1,
      anon_sym_RBRACE,
    STATE(19388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781201] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28077), 1,
      anon_sym_RBRACE,
    STATE(19389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781215] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28079), 1,
      anon_sym_RPAREN,
    STATE(19390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781229] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28081), 1,
      anon_sym_SQUOTE2,
    STATE(19391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781243] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28083), 1,
      anon_sym_RPAREN,
    STATE(19392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781257] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28085), 1,
      anon_sym_DQUOTE,
    STATE(19393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781271] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28087), 1,
      anon_sym_COLON2,
    STATE(19394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781285] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28089), 1,
      anon_sym_RBRACK,
    STATE(19395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781299] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28091), 1,
      anon_sym_RBRACE,
    STATE(19396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781313] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28093), 1,
      anon_sym_DOT_DOT,
    STATE(19397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781327] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28095), 1,
      anon_sym_DOT_DOT,
    STATE(19398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781341] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28097), 1,
      anon_sym_DOT_DOT,
    STATE(19399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781355] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28099), 1,
      anon_sym_RPAREN,
    STATE(19400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781369] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28101), 1,
      anon_sym_DASH_GT,
    STATE(19401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781383] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28103), 1,
      anon_sym_DASH_GT,
    STATE(19402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781397] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28105), 1,
      anon_sym_RPAREN,
    STATE(19403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781411] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28107), 1,
      anon_sym_RPAREN,
    STATE(19404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781425] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28109), 1,
      anon_sym_RBRACK,
    STATE(19405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781439] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28111), 1,
      anon_sym_RBRACE,
    STATE(19406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781453] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28113), 1,
      anon_sym_RPAREN,
    STATE(19407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781467] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28115), 1,
      anon_sym_RPAREN,
    STATE(19408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781481] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28117), 1,
      anon_sym_GT,
    STATE(19409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781495] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8990), 1,
      anon_sym_DASH_GT,
    STATE(19410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781509] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28119), 1,
      anon_sym_RPAREN,
    STATE(19411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781523] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28121), 1,
      anon_sym_DOT,
    STATE(19412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781537] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28123), 1,
      anon_sym_RBRACE,
    STATE(19413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781551] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28125), 1,
      anon_sym_RPAREN,
    STATE(19414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781565] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20425), 1,
      anon_sym_GT_RBRACE,
    STATE(19415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781579] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24233), 1,
      anon_sym_RBRACK,
    STATE(19416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781593] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28127), 1,
      anon_sym_RPAREN,
    STATE(19417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781607] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28129), 1,
      anon_sym_DOT,
    STATE(19418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781621] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28131), 1,
      anon_sym_RPAREN,
    STATE(19419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781635] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28133), 1,
      anon_sym_DOT,
    STATE(19420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781649] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28135), 1,
      anon_sym_in,
    STATE(19421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781663] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28137), 1,
      anon_sym_DOT,
    STATE(19422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781677] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28139), 1,
      anon_sym_RPAREN,
    STATE(19423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781691] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28141), 1,
      anon_sym_in,
    STATE(19424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781705] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28143), 1,
      anon_sym_in,
    STATE(19425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781719] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11691), 1,
      anon_sym_GT,
    STATE(19426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781733] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28145), 1,
      anon_sym_DASH_GT,
    STATE(19427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781747] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20238), 1,
      anon_sym_end,
    STATE(19428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781761] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28147), 1,
      anon_sym_RPAREN,
    STATE(19429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781775] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19450), 1,
      anon_sym_end,
    STATE(19430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781789] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28149), 1,
      anon_sym_in,
    STATE(19431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781803] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28151), 1,
      anon_sym_LT_DASH,
    STATE(19432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781817] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3201), 1,
      anon_sym_RPAREN,
    STATE(19433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781831] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28153), 1,
      anon_sym_PIPE,
    STATE(19434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781845] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28155), 1,
      anon_sym_RPAREN,
    STATE(19435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781859] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28157), 1,
      sym__identifier,
    STATE(19436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781873] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28159), 1,
      sym__identifier,
    STATE(19437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781887] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28161), 1,
      anon_sym_RPAREN,
    STATE(19438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781901] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28163), 1,
      anon_sym_DQUOTE,
    STATE(19439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781915] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28165), 1,
      anon_sym_in,
    STATE(19440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781929] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28167), 1,
      anon_sym_in,
    STATE(19441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781943] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28169), 1,
      anon_sym_in,
    STATE(19442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781957] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28171), 1,
      anon_sym_COLON2,
    STATE(19443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781971] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28173), 1,
      anon_sym_DOT_DOT,
    STATE(19444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781985] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28175), 1,
      anon_sym_DOT_DOT,
    STATE(19445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781999] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28177), 1,
      anon_sym_DOT_DOT,
    STATE(19446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782013] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28179), 1,
      anon_sym_SQUOTE2,
    STATE(19447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782027] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28181), 1,
      anon_sym_in,
    STATE(19448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782041] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28183), 1,
      anon_sym_RPAREN,
    STATE(19449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782055] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28185), 1,
      anon_sym_with,
    STATE(19450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782069] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24261), 1,
      anon_sym_RBRACK,
    STATE(19451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782083] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28187), 1,
      anon_sym_RBRACK,
    STATE(19452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782097] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28189), 1,
      anon_sym_in,
    STATE(19453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782111] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28191), 1,
      anon_sym_RPAREN,
    STATE(19454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782125] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28193), 1,
      anon_sym_RBRACK,
    STATE(19455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782139] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28195), 1,
      anon_sym_end,
    STATE(19456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782153] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28197), 1,
      anon_sym_RBRACE,
    STATE(19457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782167] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28199), 1,
      anon_sym_RBRACE,
    STATE(19458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782181] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28201), 1,
      anon_sym_RPAREN,
    STATE(19459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782195] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28203), 1,
      anon_sym_DASH_GT,
    STATE(19460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782209] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28205), 1,
      anon_sym_RPAREN,
    STATE(19461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782223] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28207), 1,
      anon_sym_with,
    STATE(19462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782237] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28209), 1,
      anon_sym_DOT,
    STATE(19463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782251] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28211), 1,
      anon_sym_DQUOTE,
    STATE(19464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782265] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22128), 1,
      anon_sym_GT_RBRACE,
    STATE(19465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782279] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28213), 1,
      anon_sym_RBRACE,
    STATE(19466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782293] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19602), 1,
      anon_sym_end,
    STATE(19467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782307] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28215), 1,
      anon_sym_PIPE,
    STATE(19468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782321] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28217), 1,
      anon_sym_SQUOTE2,
    STATE(19469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782335] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28219), 1,
      sym__identifier,
    STATE(19470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782349] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28221), 1,
      anon_sym_RBRACE,
    STATE(19471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782363] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28223), 1,
      anon_sym_DQUOTE,
    STATE(19472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782377] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28225), 1,
      anon_sym_SQUOTE2,
    STATE(19473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782391] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28227), 1,
      anon_sym_DOT_DOT,
    STATE(19474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782405] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28229), 1,
      anon_sym_DOT_DOT,
    STATE(19475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782419] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28231), 1,
      anon_sym_DOT_DOT,
    STATE(19476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782433] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28233), 1,
      anon_sym_GT,
    STATE(19477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782447] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28235), 1,
      sym__identifier,
    STATE(19478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782461] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28237), 1,
      anon_sym_RBRACK,
    STATE(19479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782475] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9836), 1,
      anon_sym_RBRACK,
    STATE(19480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782489] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28239), 1,
      anon_sym_in,
    STATE(19481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782503] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28241), 1,
      anon_sym_RBRACE,
    STATE(19482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782517] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28243), 1,
      anon_sym_RBRACK,
    STATE(19483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782531] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28245), 1,
      anon_sym_RBRACE,
    STATE(19484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782545] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28247), 1,
      anon_sym_DASH_GT,
    STATE(19485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782559] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28249), 1,
      anon_sym_RBRACE,
    STATE(19486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782573] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16627), 1,
      anon_sym_RPAREN,
    STATE(19487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782587] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28251), 1,
      anon_sym_RBRACE,
    STATE(19488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782601] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28253), 1,
      anon_sym_RBRACE,
    STATE(19489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782615] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28255), 1,
      anon_sym_end,
    STATE(19490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782629] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28257), 1,
      anon_sym_RBRACK,
    STATE(19491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782643] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28259), 1,
      anon_sym_RBRACE,
    STATE(19492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782657] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28261), 1,
      sym__identifier,
    STATE(19493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782671] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(15181), 1,
      anon_sym_DASH_GT,
    STATE(19494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782685] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8861), 1,
      anon_sym_DASH_GT,
    STATE(19495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782699] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28263), 1,
      anon_sym_PIPE,
    STATE(19496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782713] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28265), 1,
      anon_sym_RPAREN,
    STATE(19497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782727] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28267), 1,
      sym__identifier,
    STATE(19498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782741] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28269), 1,
      anon_sym_RBRACE,
    STATE(19499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782755] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28271), 1,
      anon_sym_with,
    STATE(19500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782769] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19942), 1,
      anon_sym_end,
    STATE(19501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782783] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28273), 1,
      anon_sym_DOT_DOT,
    STATE(19502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782797] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28275), 1,
      anon_sym_DOT_DOT,
    STATE(19503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782811] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28277), 1,
      anon_sym_DOT_DOT,
    STATE(19504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782825] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28279), 1,
      anon_sym_with,
    STATE(19505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782839] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28281), 1,
      anon_sym_DASH_GT,
    STATE(19506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782853] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28283), 1,
      anon_sym_RBRACK,
    STATE(19507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782867] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24315), 1,
      anon_sym_RBRACK,
    STATE(19508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782881] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28285), 1,
      anon_sym_RBRACE,
    STATE(19509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782895] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28287), 1,
      anon_sym_LT_DASH,
    STATE(19510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782909] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28289), 1,
      anon_sym_RBRACE,
    STATE(19511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782923] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28291), 1,
      anon_sym_RBRACE,
    STATE(19512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782937] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28293), 1,
      anon_sym_DOT,
    STATE(19513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782951] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28295), 1,
      anon_sym_end,
    STATE(19514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782965] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28297), 1,
      anon_sym_SQUOTE2,
    STATE(19515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782979] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28299), 1,
      anon_sym_RBRACK,
    STATE(19516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782993] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28301), 1,
      anon_sym_RBRACE,
    STATE(19517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783007] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16553), 1,
      anon_sym_RPAREN,
    STATE(19518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783021] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28303), 1,
      anon_sym_RBRACE,
    STATE(19519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783035] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28305), 1,
      anon_sym_in,
    STATE(19520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783049] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28307), 1,
      anon_sym_RBRACE,
    STATE(19521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783063] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28309), 1,
      anon_sym_PIPE,
    STATE(19522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783077] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28311), 1,
      anon_sym_DQUOTE,
    STATE(19523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783091] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28313), 1,
      sym__identifier,
    STATE(19524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783105] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28315), 1,
      anon_sym_RBRACK,
    STATE(19525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783119] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28317), 1,
      anon_sym_RBRACE,
    STATE(19526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783133] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28319), 1,
      anon_sym_DOT,
    STATE(19527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783147] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28321), 1,
      anon_sym_DOT_DOT,
    STATE(19528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783161] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28323), 1,
      anon_sym_DOT_DOT,
    STATE(19529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783175] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28325), 1,
      anon_sym_DOT_DOT,
    STATE(19530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783189] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28327), 1,
      anon_sym_RBRACK,
    STATE(19531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783203] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28329), 1,
      anon_sym_DASH_GT,
    STATE(19532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783217] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28331), 1,
      anon_sym_RBRACE,
    STATE(19533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783231] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24329), 1,
      anon_sym_RBRACK,
    STATE(19534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783245] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28333), 1,
      anon_sym_DQUOTE,
    STATE(19535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783259] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28335), 1,
      anon_sym_RBRACK,
    STATE(19536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783273] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5353), 1,
      anon_sym_end,
    STATE(19537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783287] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28337), 1,
      aux_sym_number_token1,
    STATE(19538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783301] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28339), 1,
      anon_sym_RPAREN,
    STATE(19539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783315] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28341), 1,
      anon_sym_RPAREN,
    STATE(19540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783329] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28343), 1,
      anon_sym_RBRACK,
    STATE(19541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783343] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28345), 1,
      anon_sym_RBRACE,
    STATE(19542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783357] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28347), 1,
      anon_sym_in,
    STATE(19543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783371] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28349), 1,
      anon_sym_RPAREN,
    STATE(19544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783385] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18187), 1,
      anon_sym_RPAREN,
    STATE(19545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783399] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28351), 1,
      anon_sym_DASH_GT,
    STATE(19546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783413] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28353), 1,
      anon_sym_PIPE,
    STATE(19547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783427] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28355), 1,
      anon_sym_RPAREN,
    STATE(19548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783441] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28357), 1,
      sym__identifier,
    STATE(19549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783455] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28359), 1,
      anon_sym_RBRACE,
    STATE(19550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783469] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28361), 1,
      anon_sym_DOT_DOT,
    STATE(19551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783483] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28363), 1,
      anon_sym_DOT_DOT,
    STATE(19552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783497] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28365), 1,
      anon_sym_DOT_DOT,
    STATE(19553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783511] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28367), 1,
      anon_sym_RBRACE,
    STATE(19554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783525] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24345), 1,
      anon_sym_RBRACK,
    STATE(19555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783539] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28369), 1,
      anon_sym_in,
    STATE(19556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783553] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28371), 1,
      anon_sym_RPAREN,
    STATE(19557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783567] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22207), 1,
      anon_sym_GT_RBRACE,
    STATE(19558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783581] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17474), 1,
      sym__capitalized_identifier,
    STATE(19559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783595] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28373), 1,
      sym__identifier,
    STATE(19560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783609] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28375), 1,
      anon_sym_RPAREN,
    STATE(19561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783623] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20260), 1,
      anon_sym_end,
    STATE(19562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783637] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28377), 1,
      anon_sym_RPAREN,
    STATE(19563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783651] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28379), 1,
      anon_sym_RPAREN,
    STATE(19564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783665] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28381), 1,
      anon_sym_DASH_GT,
    STATE(19565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783679] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28383), 1,
      anon_sym_RPAREN,
    STATE(19566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783693] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28385), 1,
      anon_sym_PIPE,
    STATE(19567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783707] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28387), 1,
      anon_sym_RBRACK,
    STATE(19568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783721] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28389), 1,
      sym__identifier,
    STATE(19569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783735] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28383), 1,
      anon_sym_RBRACK,
    STATE(19570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783749] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28391), 1,
      anon_sym_DOT_DOT,
    STATE(19571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783763] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28393), 1,
      anon_sym_DOT_DOT,
    STATE(19572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783777] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28395), 1,
      anon_sym_DOT_DOT,
    STATE(19573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783791] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28383), 1,
      anon_sym_RBRACE,
    STATE(19574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783805] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9824), 1,
      anon_sym_RBRACK,
    STATE(19575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783819] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28397), 1,
      anon_sym_RBRACK,
    STATE(19576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783833] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28399), 1,
      anon_sym_RBRACE,
    STATE(19577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783847] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28401), 1,
      anon_sym_RPAREN,
    STATE(19578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783861] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28403), 1,
      anon_sym_SQUOTE2,
    STATE(19579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783875] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28405), 1,
      anon_sym_RPAREN,
    STATE(19580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783889] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28407), 1,
      anon_sym_DQUOTE,
    STATE(19581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783903] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28409), 1,
      anon_sym_RPAREN,
    STATE(19582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783917] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28411), 1,
      anon_sym_RBRACK,
    STATE(19583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783931] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28413), 1,
      anon_sym_RPAREN,
    STATE(19584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783945] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28415), 1,
      anon_sym_RBRACE,
    STATE(19585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783959] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28417), 1,
      anon_sym_PIPE,
    STATE(19586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783973] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28419), 1,
      anon_sym_RPAREN,
    STATE(19587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783987] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28421), 1,
      sym__identifier,
    STATE(19588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784001] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28423), 1,
      anon_sym_RBRACE,
    STATE(19589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784015] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28425), 1,
      anon_sym_DOT_DOT,
    STATE(19590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784029] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28427), 1,
      anon_sym_DOT_DOT,
    STATE(19591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784043] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28429), 1,
      anon_sym_DOT_DOT,
    STATE(19592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784057] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28431), 1,
      anon_sym_RPAREN,
    STATE(19593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784071] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9856), 1,
      anon_sym_RBRACK,
    STATE(19594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784085] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28433), 1,
      anon_sym_RBRACE,
    STATE(19595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784099] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28435), 1,
      sym__identifier,
    STATE(19596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784113] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28437), 1,
      anon_sym_DASH_GT,
    STATE(19597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784127] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28439), 1,
      anon_sym_RPAREN,
    STATE(19598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784141] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28441), 1,
      anon_sym_DASH_GT,
    STATE(19599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784155] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28443), 1,
      anon_sym_RBRACE,
    STATE(19600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784169] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28445), 1,
      anon_sym_DASH_GT,
    STATE(19601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784183] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28447), 1,
      anon_sym_RPAREN,
    STATE(19602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784197] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28449), 1,
      anon_sym_DASH_GT,
    STATE(19603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784211] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28451), 1,
      anon_sym_RBRACK,
    STATE(19604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784225] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28453), 1,
      anon_sym_PIPE,
    STATE(19605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784239] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28455), 1,
      anon_sym_RBRACK,
    STATE(19606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784253] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28457), 1,
      sym__identifier,
    STATE(19607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784267] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28459), 1,
      anon_sym_RBRACE,
    STATE(19608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784281] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28461), 1,
      anon_sym_DOT_DOT,
    STATE(19609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784295] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28463), 1,
      anon_sym_DOT_DOT,
    STATE(19610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784309] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28465), 1,
      anon_sym_DOT_DOT,
    STATE(19611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784323] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28467), 1,
      anon_sym_RBRACE,
    STATE(19612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784337] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9804), 1,
      anon_sym_RBRACK,
    STATE(19613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784351] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28469), 1,
      anon_sym_RBRACE,
    STATE(19614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784365] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28471), 1,
      anon_sym_DASH_GT,
    STATE(19615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784379] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28473), 1,
      sym__identifier,
    STATE(19616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784393] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28475), 1,
      anon_sym_RBRACE,
    STATE(19617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784407] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28477), 1,
      anon_sym_RBRACE,
    STATE(19618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784421] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28479), 1,
      anon_sym_LT_DASH,
    STATE(19619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784435] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3231), 1,
      anon_sym_RPAREN,
    STATE(19620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784449] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28481), 1,
      anon_sym_RBRACK,
    STATE(19621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784463] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28483), 1,
      anon_sym_done,
    STATE(19622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784477] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28485), 1,
      anon_sym_PIPE,
    STATE(19623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784491] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28487), 1,
      anon_sym_RPAREN,
    STATE(19624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784505] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28489), 1,
      sym__identifier,
    STATE(19625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784519] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11436), 1,
      anon_sym_GT,
    STATE(19626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784533] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28491), 1,
      anon_sym_DOT_DOT,
    STATE(19627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784547] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28493), 1,
      anon_sym_DOT_DOT,
    STATE(19628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784561] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28495), 1,
      anon_sym_DOT_DOT,
    STATE(19629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784575] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28497), 1,
      anon_sym_RBRACK,
    STATE(19630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784589] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28499), 1,
      anon_sym_RBRACK,
    STATE(19631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784603] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28501), 1,
      anon_sym_in,
    STATE(19632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784617] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28503), 1,
      anon_sym_in,
    STATE(19633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784631] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28505), 1,
      anon_sym_in,
    STATE(19634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784645] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28507), 1,
      anon_sym_RBRACE,
    STATE(19635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784659] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28509), 1,
      anon_sym_RPAREN,
    STATE(19636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784673] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28511), 1,
      anon_sym_RPAREN,
    STATE(19637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784687] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28513), 1,
      anon_sym_RPAREN,
    STATE(19638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784701] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28515), 1,
      anon_sym_PIPE,
    STATE(19639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784715] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28517), 1,
      anon_sym_in,
    STATE(19640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784729] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28519), 1,
      sym__identifier,
    STATE(19641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784743] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28521), 1,
      anon_sym_RBRACE,
    STATE(19642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784757] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28523), 1,
      anon_sym_DOT_DOT,
    STATE(19643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784771] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28525), 1,
      anon_sym_DOT_DOT,
    STATE(19644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784785] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28527), 1,
      anon_sym_DOT_DOT,
    STATE(19645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784799] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28529), 1,
      anon_sym_DOT,
    STATE(19646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784813] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28531), 1,
      anon_sym_in,
    STATE(19647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784827] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28533), 1,
      anon_sym_RBRACE,
    STATE(19648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784841] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16799), 1,
      anon_sym_RPAREN,
    STATE(19649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784855] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28535), 1,
      anon_sym_RBRACE,
    STATE(19650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784869] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28537), 1,
      anon_sym_in,
    STATE(19651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784883] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28539), 1,
      anon_sym_RBRACK,
    STATE(19652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784897] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28541), 1,
      anon_sym_DOT,
    STATE(19653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784911] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28543), 1,
      anon_sym_RBRACE,
    STATE(19654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784925] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28545), 1,
      anon_sym_PIPE,
    STATE(19655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784939] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28547), 1,
      anon_sym_in,
    STATE(19656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784953] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28549), 1,
      sym__identifier,
    STATE(19657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784967] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28551), 1,
      anon_sym_RBRACE,
    STATE(19658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784981] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28553), 1,
      anon_sym_DOT_DOT,
    STATE(19659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784995] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28555), 1,
      anon_sym_DOT_DOT,
    STATE(19660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785009] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28557), 1,
      anon_sym_DOT_DOT,
    STATE(19661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785023] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28559), 1,
      anon_sym_RPAREN,
    STATE(19662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785037] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28561), 1,
      anon_sym_RPAREN,
    STATE(19663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785051] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22305), 1,
      anon_sym_GT_RBRACE,
    STATE(19664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785065] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28563), 1,
      anon_sym_RBRACK,
    STATE(19665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785079] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20097), 1,
      anon_sym_end,
    STATE(19666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785093] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28565), 1,
      anon_sym_SQUOTE2,
    STATE(19667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785107] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28567), 1,
      anon_sym_DQUOTE,
    STATE(19668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785121] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28569), 1,
      anon_sym_RBRACE,
    STATE(19669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785135] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28571), 1,
      anon_sym_RBRACE,
    STATE(19670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785149] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28573), 1,
      anon_sym_PIPE,
    STATE(19671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785163] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28575), 1,
      anon_sym_RPAREN,
    STATE(19672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785177] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28577), 1,
      sym__identifier,
    STATE(19673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785191] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28579), 1,
      anon_sym_with,
    STATE(19674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785205] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28581), 1,
      anon_sym_DOT_DOT,
    STATE(19675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785219] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28583), 1,
      anon_sym_DOT_DOT,
    STATE(19676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785233] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28585), 1,
      anon_sym_DOT_DOT,
    STATE(19677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785247] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28587), 1,
      anon_sym_RBRACK,
    STATE(19678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785261] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28589), 1,
      sym__identifier,
    STATE(19679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785275] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28591), 1,
      anon_sym_DASH_GT,
    STATE(19680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785289] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28593), 1,
      anon_sym_RBRACK,
    STATE(19681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785303] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28595), 1,
      anon_sym_RBRACE,
    STATE(19682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785317] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28597), 1,
      anon_sym_RBRACK,
    STATE(19683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785331] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28599), 1,
      anon_sym_RBRACK,
    STATE(19684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785345] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28601), 1,
      anon_sym_in,
    STATE(19685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785359] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28603), 1,
      anon_sym_with,
    STATE(19686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785373] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28605), 1,
      anon_sym_PIPE,
    STATE(19687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785387] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28607), 1,
      anon_sym_DOT,
    STATE(19688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785401] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28609), 1,
      sym__identifier,
    STATE(19689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785415] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28611), 1,
      anon_sym_GT,
    STATE(19690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785429] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28613), 1,
      anon_sym_DOT_DOT,
    STATE(19691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785443] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28615), 1,
      anon_sym_DOT_DOT,
    STATE(19692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785457] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28617), 1,
      anon_sym_DOT_DOT,
    STATE(19693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785471] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28619), 1,
      anon_sym_RBRACE,
    STATE(19694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785485] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28621), 1,
      anon_sym_RBRACE,
    STATE(19695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785499] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28623), 1,
      anon_sym_RBRACE,
    STATE(19696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785513] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28625), 1,
      anon_sym_LT_DASH,
    STATE(19697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785527] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3265), 1,
      anon_sym_RPAREN,
    STATE(19698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785541] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8867), 1,
      anon_sym_DASH_GT,
    STATE(19699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785555] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28627), 1,
      anon_sym_in,
    STATE(19700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785569] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28629), 1,
      anon_sym_RBRACK,
    STATE(19701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785583] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28631), 1,
      anon_sym_RBRACE,
    STATE(19702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785597] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28633), 1,
      anon_sym_PIPE,
    STATE(19703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785611] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28635), 1,
      anon_sym_RBRACE,
    STATE(19704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785625] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28637), 1,
      sym__identifier,
    STATE(19705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785639] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28639), 1,
      anon_sym_RBRACE,
    STATE(19706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785653] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28641), 1,
      anon_sym_DOT_DOT,
    STATE(19707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785667] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28643), 1,
      anon_sym_DOT_DOT,
    STATE(19708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785681] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28645), 1,
      anon_sym_DOT_DOT,
    STATE(19709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785695] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28647), 1,
      anon_sym_RPAREN,
    STATE(19710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785709] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28649), 1,
      anon_sym_RPAREN,
    STATE(19711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785723] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28651), 1,
      anon_sym_RPAREN,
    STATE(19712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785737] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28653), 1,
      anon_sym_RPAREN,
    STATE(19713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785751] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28655), 1,
      anon_sym_RBRACK,
    STATE(19714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785765] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28657), 1,
      anon_sym_end,
    STATE(19715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785779] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28659), 1,
      anon_sym_with,
    STATE(19716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785793] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28661), 1,
      anon_sym_RBRACE,
    STATE(19717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785807] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28663), 1,
      anon_sym_with,
    STATE(19718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785821] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28665), 1,
      anon_sym_PIPE,
    STATE(19719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785835] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28667), 1,
      anon_sym_RBRACE,
    STATE(19720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785849] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28669), 1,
      sym__identifier,
    STATE(19721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785863] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28671), 1,
      anon_sym_RBRACE,
    STATE(19722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785877] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28673), 1,
      anon_sym_DOT_DOT,
    STATE(19723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785891] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28675), 1,
      anon_sym_DOT_DOT,
    STATE(19724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785905] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28677), 1,
      anon_sym_DOT_DOT,
    STATE(19725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785919] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28679), 1,
      anon_sym_RBRACE,
    STATE(19726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785933] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16683), 1,
      anon_sym_RPAREN,
    STATE(19727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785947] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28681), 1,
      anon_sym_RPAREN,
    STATE(19728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785961] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28683), 1,
      anon_sym_DOT,
    STATE(19729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785975] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28685), 1,
      anon_sym_in,
    STATE(19730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785989] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16501), 1,
      anon_sym_SQUOTE2,
    STATE(19731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786003] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24477), 1,
      anon_sym_RBRACK,
    STATE(19732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786017] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28687), 1,
      anon_sym_RBRACK,
    STATE(19733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786031] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28689), 1,
      anon_sym_RBRACE,
    STATE(19734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786045] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28691), 1,
      anon_sym_PIPE,
    STATE(19735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786059] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28693), 1,
      anon_sym_RBRACE,
    STATE(19736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786073] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28695), 1,
      sym__identifier,
    STATE(19737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786087] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28697), 1,
      anon_sym_RPAREN,
    STATE(19738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786101] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28699), 1,
      anon_sym_DOT_DOT,
    STATE(19739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786115] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28701), 1,
      anon_sym_DOT_DOT,
    STATE(19740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786129] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28703), 1,
      anon_sym_DOT_DOT,
    STATE(19741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786143] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28705), 1,
      anon_sym_RBRACK,
    STATE(19742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786157] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28707), 1,
      anon_sym_RBRACE,
    STATE(19743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786171] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28709), 1,
      anon_sym_RBRACE,
    STATE(19744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786185] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28711), 1,
      sym__identifier,
    STATE(19745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786199] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28713), 1,
      anon_sym_RBRACK,
    STATE(19746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786213] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18023), 1,
      anon_sym_RPAREN,
    STATE(19747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786227] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28715), 1,
      anon_sym_DASH_GT,
    STATE(19748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786241] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6877), 1,
      anon_sym_end,
    STATE(19749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786255] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28717), 1,
      anon_sym_RBRACE,
    STATE(19750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786269] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28719), 1,
      anon_sym_PIPE,
    STATE(19751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786283] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6867), 1,
      anon_sym_RPAREN,
    STATE(19752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786297] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28721), 1,
      sym__identifier,
    STATE(19753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786311] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28723), 1,
      aux_sym_number_token1,
    STATE(19754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786325] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28725), 1,
      anon_sym_DOT_DOT,
    STATE(19755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786339] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28727), 1,
      anon_sym_DOT_DOT,
    STATE(19756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786353] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28729), 1,
      anon_sym_DOT_DOT,
    STATE(19757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786367] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28731), 1,
      anon_sym_in,
    STATE(19758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786381] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28733), 1,
      anon_sym_in,
    STATE(19759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786395] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28735), 1,
      anon_sym_LT_DASH,
    STATE(19760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786409] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28737), 1,
      anon_sym_RPAREN,
    STATE(19761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786423] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28739), 1,
      anon_sym_RPAREN,
    STATE(19762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786437] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28741), 1,
      anon_sym_RBRACK,
    STATE(19763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786451] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28743), 1,
      anon_sym_RBRACE,
    STATE(19764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786465] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28745), 1,
      anon_sym_RBRACE,
    STATE(19765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786479] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28747), 1,
      anon_sym_RPAREN,
    STATE(19766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786493] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28749), 1,
      anon_sym_PIPE,
    STATE(19767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786507] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28751), 1,
      anon_sym_RPAREN,
    STATE(19768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786521] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28753), 1,
      sym__identifier,
    STATE(19769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786535] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28755), 1,
      anon_sym_RPAREN,
    STATE(19770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786549] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28757), 1,
      anon_sym_DOT_DOT,
    STATE(19771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786563] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28759), 1,
      anon_sym_DOT_DOT,
    STATE(19772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786577] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28761), 1,
      anon_sym_DOT_DOT,
    STATE(19773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786591] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28755), 1,
      anon_sym_RBRACK,
    STATE(19774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786605] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28755), 1,
      anon_sym_RBRACE,
    STATE(19775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786619] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28763), 1,
      anon_sym_RPAREN,
    STATE(19776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786633] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24005), 1,
      anon_sym_RBRACK,
    STATE(19777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786647] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28765), 1,
      anon_sym_in,
    STATE(19778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786661] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28767), 1,
      anon_sym_in,
    STATE(19779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786675] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28769), 1,
      anon_sym_RPAREN,
    STATE(19780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786689] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17679), 1,
      anon_sym_GT,
    STATE(19781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786703] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28771), 1,
      anon_sym_RBRACK,
    STATE(19782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786717] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28773), 1,
      anon_sym_LT_DASH,
    STATE(19783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786731] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28775), 1,
      sym__identifier,
    STATE(19784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786745] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28777), 1,
      anon_sym_RPAREN,
    STATE(19785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786759] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28779), 1,
      anon_sym_DOT_DOT,
    STATE(19786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786773] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28781), 1,
      anon_sym_DOT_DOT,
    STATE(19787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786787] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28783), 1,
      anon_sym_DOT_DOT,
    STATE(19788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786801] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28785), 1,
      anon_sym_RBRACE,
    STATE(19789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786815] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28787), 1,
      anon_sym_RPAREN,
    STATE(19790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786829] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28789), 1,
      anon_sym_RPAREN,
    STATE(19791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786843] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28791), 1,
      anon_sym_RPAREN,
    STATE(19792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786857] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28793), 1,
      anon_sym_RBRACK,
    STATE(19793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786871] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28795), 1,
      anon_sym_DOT,
    STATE(19794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786885] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28797), 1,
      anon_sym_LT_DASH,
    STATE(19795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786899] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3157), 1,
      anon_sym_RPAREN,
    STATE(19796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786913] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28799), 1,
      anon_sym_RPAREN,
    STATE(19797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786927] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28801), 1,
      anon_sym_RBRACE,
    STATE(19798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786941] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28803), 1,
      sym__identifier,
    STATE(19799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786955] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28805), 1,
      anon_sym_in,
    STATE(19800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786969] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28807), 1,
      anon_sym_DOT_DOT,
    STATE(19801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786983] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28809), 1,
      anon_sym_DOT_DOT,
    STATE(19802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786997] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28811), 1,
      anon_sym_DOT_DOT,
    STATE(19803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787011] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28813), 1,
      anon_sym_RBRACE,
    STATE(19804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787025] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28815), 1,
      anon_sym_RPAREN,
    STATE(19805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787039] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13295), 1,
      anon_sym_DASH_GT,
    STATE(19806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787053] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28817), 1,
      anon_sym_RBRACK,
    STATE(19807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787067] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28819), 1,
      anon_sym_in,
    STATE(19808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787081] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28821), 1,
      anon_sym_in,
    STATE(19809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787095] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28823), 1,
      anon_sym_RPAREN,
    STATE(19810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787109] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28825), 1,
      anon_sym_RBRACK,
    STATE(19811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787123] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28827), 1,
      anon_sym_in,
    STATE(19812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787137] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17526), 1,
      anon_sym_GT,
    STATE(19813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787151] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28829), 1,
      sym__identifier,
    STATE(19814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787165] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28831), 1,
      anon_sym_RBRACE,
    STATE(19815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787179] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28833), 1,
      anon_sym_DOT_DOT,
    STATE(19816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787193] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28835), 1,
      anon_sym_DOT_DOT,
    STATE(19817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787207] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28837), 1,
      anon_sym_DOT_DOT,
    STATE(19818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787221] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28839), 1,
      anon_sym_RPAREN,
    STATE(19819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787235] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28841), 1,
      anon_sym_RPAREN,
    STATE(19820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787249] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28843), 1,
      anon_sym_in,
    STATE(19821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787263] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5289), 1,
      anon_sym_end,
    STATE(19822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787277] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28845), 1,
      aux_sym_number_token1,
    STATE(19823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787291] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28847), 1,
      anon_sym_in,
    STATE(19824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787305] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28849), 1,
      anon_sym_RPAREN,
    STATE(19825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787319] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28851), 1,
      anon_sym_in,
    STATE(19826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787333] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28853), 1,
      anon_sym_DOT,
    STATE(19827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787347] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28855), 1,
      anon_sym_in,
    STATE(19828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787361] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28857), 1,
      sym__identifier,
    STATE(19829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787375] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28859), 1,
      anon_sym_RBRACE,
    STATE(19830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787389] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28861), 1,
      anon_sym_DOT_DOT,
    STATE(19831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787403] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28863), 1,
      anon_sym_DOT_DOT,
    STATE(19832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787417] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28865), 1,
      anon_sym_DOT_DOT,
    STATE(19833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787431] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28867), 1,
      anon_sym_RBRACK,
    STATE(19834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787445] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28869), 1,
      anon_sym_end,
    STATE(19835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787459] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28871), 1,
      anon_sym_RBRACK,
    STATE(19836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787473] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28873), 1,
      anon_sym_RBRACK,
    STATE(19837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787487] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28875), 1,
      anon_sym_RBRACE,
    STATE(19838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787501] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28877), 1,
      sym__capitalized_identifier,
    STATE(19839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787515] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19904), 1,
      anon_sym_DASH_GT,
    STATE(19840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787529] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28879), 1,
      anon_sym_COLON2,
    STATE(19841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787543] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28881), 1,
      anon_sym_RBRACE,
    STATE(19842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787557] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28883), 1,
      anon_sym_of,
    STATE(19843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787571] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28885), 1,
      sym__identifier,
    STATE(19844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787585] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17815), 1,
      anon_sym_DASH_GT,
    STATE(19845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787599] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28887), 1,
      anon_sym_DOT_DOT,
    STATE(19846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787613] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28889), 1,
      anon_sym_DOT_DOT,
    STATE(19847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787627] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28891), 1,
      anon_sym_DOT_DOT,
    STATE(19848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787641] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28893), 1,
      anon_sym_RBRACE,
    STATE(19849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787655] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28895), 1,
      anon_sym_end,
    STATE(19850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787669] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28897), 1,
      anon_sym_in,
    STATE(19851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787683] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28899), 1,
      anon_sym_DASH_GT,
    STATE(19852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787697] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28901), 1,
      anon_sym_DASH_GT,
    STATE(19853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787711] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28903), 1,
      anon_sym_RBRACK,
    STATE(19854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787725] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28905), 1,
      anon_sym_with,
    STATE(19855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787739] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28907), 1,
      anon_sym_RBRACE,
    STATE(19856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787753] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28909), 1,
      anon_sym_RBRACE,
    STATE(19857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787767] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28911), 1,
      anon_sym_LT_DASH,
    STATE(19858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787781] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28913), 1,
      sym__identifier,
    STATE(19859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787795] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28915), 1,
      anon_sym_with,
    STATE(19860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787809] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28917), 1,
      anon_sym_DOT_DOT,
    STATE(19861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787823] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28919), 1,
      anon_sym_DOT_DOT,
    STATE(19862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787837] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28921), 1,
      anon_sym_DOT_DOT,
    STATE(19863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787851] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28923), 1,
      anon_sym_DOT,
    STATE(19864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787865] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3243), 1,
      anon_sym_RPAREN,
    STATE(19865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787879] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28925), 1,
      anon_sym_RPAREN,
    STATE(19866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787893] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28927), 1,
      anon_sym_RBRACE,
    STATE(19867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787907] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28929), 1,
      anon_sym_in,
    STATE(19868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787921] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28931), 1,
      anon_sym_in,
    STATE(19869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787935] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6857), 1,
      anon_sym_end,
    STATE(19870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787949] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28933), 1,
      aux_sym_number_token1,
    STATE(19871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787963] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28935), 1,
      anon_sym_RBRACE,
    STATE(19872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787977] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28937), 1,
      anon_sym_in,
    STATE(19873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787991] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28939), 1,
      sym__identifier,
    STATE(19874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788005] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28941), 1,
      anon_sym_RBRACK,
    STATE(19875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788019] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28943), 1,
      anon_sym_DOT_DOT,
    STATE(19876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788033] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28945), 1,
      anon_sym_DOT_DOT,
    STATE(19877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788047] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28947), 1,
      anon_sym_DOT_DOT,
    STATE(19878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788061] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28949), 1,
      anon_sym_RBRACE,
    STATE(19879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788075] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28951), 1,
      anon_sym_RBRACE,
    STATE(19880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788089] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8976), 1,
      anon_sym_DASH_GT,
    STATE(19881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788103] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(12384), 1,
      anon_sym_DASH_GT,
    STATE(19882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788117] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28953), 1,
      anon_sym_in,
    STATE(19883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788131] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28955), 1,
      anon_sym_RBRACE,
    STATE(19884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788145] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28957), 1,
      anon_sym_RPAREN,
    STATE(19885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788159] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28959), 1,
      anon_sym_in,
    STATE(19886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788173] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8925), 1,
      anon_sym_DASH_GT,
    STATE(19887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788187] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28961), 1,
      anon_sym_in,
    STATE(19888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788201] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28963), 1,
      sym__identifier,
    STATE(19889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788215] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28965), 1,
      sym__identifier,
    STATE(19890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788229] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28967), 1,
      anon_sym_DOT_DOT,
    STATE(19891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788243] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28969), 1,
      anon_sym_DOT_DOT,
    STATE(19892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788257] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28971), 1,
      anon_sym_DOT_DOT,
    STATE(19893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788271] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28973), 1,
      anon_sym_RPAREN,
    STATE(19894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788285] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28975), 1,
      anon_sym_in,
    STATE(19895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788299] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28977), 1,
      anon_sym_RPAREN,
    STATE(19896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788313] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21291), 1,
      anon_sym_GT_RBRACE,
    STATE(19897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788327] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28979), 1,
      anon_sym_RBRACE,
    STATE(19898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788341] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28981), 1,
      anon_sym_RBRACE,
    STATE(19899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788355] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28983), 1,
      anon_sym_RBRACK,
    STATE(19900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788369] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28985), 1,
      anon_sym_with,
    STATE(19901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788383] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20303), 1,
      anon_sym_end,
    STATE(19902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788397] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16852), 1,
      anon_sym_RPAREN,
    STATE(19903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788411] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28987), 1,
      sym__identifier,
    STATE(19904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788425] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28989), 1,
      anon_sym_with,
    STATE(19905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788439] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28991), 1,
      anon_sym_DOT_DOT,
    STATE(19906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788453] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28993), 1,
      anon_sym_DOT_DOT,
    STATE(19907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788467] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28995), 1,
      anon_sym_DOT_DOT,
    STATE(19908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788481] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28997), 1,
      anon_sym_SQUOTE2,
    STATE(19909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788495] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(28999), 1,
      anon_sym_DQUOTE,
    STATE(19910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788509] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29001), 1,
      anon_sym_in,
    STATE(19911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788523] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22565), 1,
      anon_sym_GT_RBRACE,
    STATE(19912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788537] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29003), 1,
      anon_sym_PIPE,
    STATE(19913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788551] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19282), 1,
      anon_sym_end,
    STATE(19914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788565] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29005), 1,
      anon_sym_SQUOTE2,
    STATE(19915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788579] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29007), 1,
      anon_sym_DQUOTE,
    STATE(19916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788593] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29009), 1,
      anon_sym_DOT,
    STATE(19917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788607] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29011), 1,
      anon_sym_RBRACE,
    STATE(19918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788621] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29013), 1,
      sym__identifier,
    STATE(19919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788635] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29015), 1,
      anon_sym_RBRACE,
    STATE(19920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788649] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29017), 1,
      anon_sym_DOT_DOT,
    STATE(19921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788663] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29019), 1,
      anon_sym_DOT_DOT,
    STATE(19922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788677] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29021), 1,
      anon_sym_DOT_DOT,
    STATE(19923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788691] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17534), 1,
      anon_sym_GT,
    STATE(19924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788705] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29023), 1,
      anon_sym_RPAREN,
    STATE(19925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788719] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(13551), 1,
      anon_sym_DASH_GT,
    STATE(19926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788733] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29025), 1,
      anon_sym_RBRACE,
    STATE(19927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788747] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29027), 1,
      sym__identifier,
    STATE(19928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788761] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20433), 1,
      anon_sym_GT_RBRACE,
    STATE(19929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788775] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29029), 1,
      anon_sym_RBRACE,
    STATE(19930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788789] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29031), 1,
      anon_sym_RPAREN,
    STATE(19931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788803] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29033), 1,
      anon_sym_RBRACK,
    STATE(19932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788817] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29035), 1,
      anon_sym_RBRACK,
    STATE(19933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788831] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29037), 1,
      sym__identifier,
    STATE(19934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788845] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29039), 1,
      anon_sym_RBRACE,
    STATE(19935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788859] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29041), 1,
      anon_sym_DOT_DOT,
    STATE(19936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788873] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29043), 1,
      anon_sym_DOT_DOT,
    STATE(19937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788887] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29045), 1,
      anon_sym_DOT_DOT,
    STATE(19938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788901] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29047), 1,
      sym__identifier,
    STATE(19939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788915] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29049), 1,
      anon_sym_RBRACE,
    STATE(19940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788929] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17809), 1,
      anon_sym_RPAREN,
    STATE(19941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788943] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29051), 1,
      anon_sym_RBRACE,
    STATE(19942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788957] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8945), 1,
      anon_sym_DASH_GT,
    STATE(19943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788971] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29053), 1,
      anon_sym_DASH_GT,
    STATE(19944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788985] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29055), 1,
      anon_sym_RBRACK,
    STATE(19945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788999] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29057), 1,
      anon_sym_DASH_GT,
    STATE(19946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789013] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29059), 1,
      anon_sym_RBRACE,
    STATE(19947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789027] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22619), 1,
      anon_sym_GT_RBRACE,
    STATE(19948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789041] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29061), 1,
      sym__identifier,
    STATE(19949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789055] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29063), 1,
      anon_sym_RPAREN,
    STATE(19950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789069] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29065), 1,
      anon_sym_DOT_DOT,
    STATE(19951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789083] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29067), 1,
      anon_sym_DOT_DOT,
    STATE(19952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789097] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29069), 1,
      anon_sym_DOT_DOT,
    STATE(19953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789111] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29071), 1,
      anon_sym_RPAREN,
    STATE(19954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789125] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29073), 1,
      anon_sym_RPAREN,
    STATE(19955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789139] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22615), 1,
      anon_sym_GT_RBRACE,
    STATE(19956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789153] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29073), 1,
      anon_sym_RBRACK,
    STATE(19957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789167] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29073), 1,
      anon_sym_RBRACE,
    STATE(19958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789181] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19946), 1,
      anon_sym_end,
    STATE(19959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789195] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29075), 1,
      anon_sym_SQUOTE2,
    STATE(19960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789209] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29077), 1,
      anon_sym_DQUOTE,
    STATE(19961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789223] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29079), 1,
      anon_sym_RBRACE,
    STATE(19962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789237] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29081), 1,
      anon_sym_type,
    STATE(19963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789251] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29083), 1,
      sym__identifier,
    STATE(19964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789265] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29085), 1,
      anon_sym_RPAREN,
    STATE(19965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789279] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29087), 1,
      anon_sym_DOT_DOT,
    STATE(19966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789293] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29089), 1,
      anon_sym_DOT_DOT,
    STATE(19967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789307] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29091), 1,
      anon_sym_DOT_DOT,
    STATE(19968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789321] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29093), 1,
      anon_sym_RPAREN,
    STATE(19969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789335] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8871), 1,
      anon_sym_DASH_GT,
    STATE(19970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789349] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29095), 1,
      anon_sym_SQUOTE2,
    STATE(19971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789363] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20209), 1,
      anon_sym_end,
    STATE(19972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789377] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29097), 1,
      sym_indexing_operator,
    STATE(19973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789391] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29099), 1,
      sym__identifier,
    STATE(19974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789405] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29101), 1,
      anon_sym_SQUOTE2,
    STATE(19975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789419] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29103), 1,
      anon_sym_DQUOTE,
    STATE(19976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789433] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29105), 1,
      anon_sym_in,
    STATE(19977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789447] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21303), 1,
      anon_sym_GT_RBRACE,
    STATE(19978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789461] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29107), 1,
      sym__identifier,
    STATE(19979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789475] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10351), 1,
      anon_sym_RPAREN,
    STATE(19980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789489] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29109), 1,
      anon_sym_DOT_DOT,
    STATE(19981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789503] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29111), 1,
      anon_sym_DOT_DOT,
    STATE(19982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789517] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29113), 1,
      anon_sym_DOT_DOT,
    STATE(19983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789531] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17538), 1,
      anon_sym_GT,
    STATE(19984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789545] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29115), 1,
      anon_sym_DOT,
    STATE(19985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789559] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17576), 1,
      anon_sym_GT,
    STATE(19986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789573] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19864), 1,
      anon_sym_end,
    STATE(19987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789587] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29117), 1,
      anon_sym_end,
    STATE(19988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789601] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29119), 1,
      anon_sym_RBRACE,
    STATE(19989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789615] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29121), 1,
      sym__identifier,
    STATE(19990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789629] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29123), 1,
      anon_sym_RBRACE,
    STATE(19991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789643] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29125), 1,
      anon_sym_DOT,
    STATE(19992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789657] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16753), 1,
      anon_sym_RPAREN,
    STATE(19993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789671] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29127), 1,
      sym__identifier,
    STATE(19994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789685] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29129), 1,
      anon_sym_SQUOTE2,
    STATE(19995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789699] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29131), 1,
      anon_sym_DOT_DOT,
    STATE(19996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789713] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29133), 1,
      anon_sym_DOT_DOT,
    STATE(19997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789727] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29135), 1,
      anon_sym_DOT_DOT,
    STATE(19998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789741] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29137), 1,
      anon_sym_DASH_GT,
    STATE(19999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789755] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29139), 1,
      anon_sym_DASH_GT,
    STATE(20000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789769] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29141), 1,
      anon_sym_DQUOTE,
    STATE(20001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789783] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29143), 1,
      anon_sym_GT,
    STATE(20002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789797] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8998), 1,
      anon_sym_DASH_GT,
    STATE(20003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789811] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19500), 1,
      anon_sym_end,
    STATE(20004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789825] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29145), 1,
      anon_sym_DOT,
    STATE(20005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789839] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24479), 1,
      anon_sym_COLON_COLON,
    STATE(20006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789853] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29147), 1,
      anon_sym_SQUOTE2,
    STATE(20007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789867] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29149), 1,
      anon_sym_DASH_GT,
    STATE(20008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789881] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29151), 1,
      sym__identifier,
    STATE(20009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789895] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8893), 1,
      anon_sym_DASH_GT,
    STATE(20010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789909] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29153), 1,
      anon_sym_DOT_DOT,
    STATE(20011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789923] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29155), 1,
      anon_sym_DOT_DOT,
    STATE(20012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789937] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29157), 1,
      anon_sym_DOT_DOT,
    STATE(20013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789951] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29159), 1,
      sym__identifier,
    STATE(20014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789965] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29161), 1,
      anon_sym_DASH_GT,
    STATE(20015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789979] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29163), 1,
      anon_sym_DASH_GT,
    STATE(20016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789993] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29165), 1,
      anon_sym_DASH_GT,
    STATE(20017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790007] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29167), 1,
      anon_sym_end,
    STATE(20018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790021] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29169), 1,
      anon_sym_DASH_GT,
    STATE(20019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790035] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29171), 1,
      anon_sym_RPAREN,
    STATE(20020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790049] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29173), 1,
      anon_sym_RBRACK,
    STATE(20021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790063] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_DASH_GT,
    STATE(20022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790077] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29175), 1,
      anon_sym_RBRACE,
    STATE(20023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790091] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29177), 1,
      anon_sym_DASH_GT,
    STATE(20024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790105] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29179), 1,
      anon_sym_DOT_DOT,
    STATE(20025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790119] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29181), 1,
      anon_sym_DOT_DOT,
    STATE(20026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790133] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29183), 1,
      anon_sym_DOT_DOT,
    STATE(20027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790147] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29185), 1,
      anon_sym_DASH_GT,
    STATE(20028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790161] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29187), 1,
      sym__identifier,
    STATE(20029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790175] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17588), 1,
      anon_sym_GT,
    STATE(20030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790189] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29189), 1,
      anon_sym_RBRACK,
    STATE(20031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790203] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29191), 1,
      anon_sym_RPAREN,
    STATE(20032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790217] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29193), 1,
      anon_sym_RPAREN,
    STATE(20033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790231] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29195), 1,
      anon_sym_RBRACK,
    STATE(20034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790245] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29197), 1,
      anon_sym_RBRACE,
    STATE(20035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790259] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3237), 1,
      anon_sym_RPAREN,
    STATE(20036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790273] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29199), 1,
      anon_sym_RPAREN,
    STATE(20037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790287] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29201), 1,
      anon_sym_RBRACK,
    STATE(20038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790301] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29203), 1,
      anon_sym_DOT_DOT,
    STATE(20039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790315] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29205), 1,
      anon_sym_DOT_DOT,
    STATE(20040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790329] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29207), 1,
      anon_sym_DOT_DOT,
    STATE(20041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790343] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29209), 1,
      anon_sym_RBRACE,
    STATE(20042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790357] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29211), 1,
      anon_sym_with,
    STATE(20043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790371] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29213), 1,
      anon_sym_end,
    STATE(20044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790385] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29215), 1,
      anon_sym_RPAREN,
    STATE(20045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790399] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29217), 1,
      anon_sym_end,
    STATE(20046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790413] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29219), 1,
      anon_sym_RPAREN,
    STATE(20047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790427] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29221), 1,
      anon_sym_with,
    STATE(20048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790441] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29223), 1,
      anon_sym_RBRACE,
    STATE(20049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790455] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29225), 1,
      anon_sym_DOT,
    STATE(20050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790469] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8958), 1,
      anon_sym_DASH_GT,
    STATE(20051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790483] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29227), 1,
      anon_sym_DOT,
    STATE(20052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790497] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29229), 1,
      anon_sym_DOT_DOT,
    STATE(20053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790511] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29231), 1,
      anon_sym_DOT_DOT,
    STATE(20054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790525] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29233), 1,
      anon_sym_DOT_DOT,
    STATE(20055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790539] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29235), 1,
      aux_sym_number_token1,
    STATE(20056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790553] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29237), 1,
      anon_sym_RPAREN,
    STATE(20057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790567] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29239), 1,
      anon_sym_RBRACE,
    STATE(20058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790581] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16719), 1,
      anon_sym_RPAREN,
    STATE(20059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790595] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29241), 1,
      anon_sym_RPAREN,
    STATE(20060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790609] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29243), 1,
      anon_sym_RPAREN,
    STATE(20061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790623] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29245), 1,
      anon_sym_RBRACK,
    STATE(20062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790637] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29247), 1,
      anon_sym_DASH_GT,
    STATE(20063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790651] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29249), 1,
      anon_sym_RBRACE,
    STATE(20064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790665] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29251), 1,
      anon_sym_RBRACE,
    STATE(20065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790679] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29253), 1,
      anon_sym_EQ,
    STATE(20066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790693] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29255), 1,
      anon_sym_DOT_DOT,
    STATE(20067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790707] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29257), 1,
      anon_sym_DOT_DOT,
    STATE(20068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790721] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29259), 1,
      anon_sym_DOT_DOT,
    STATE(20069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790735] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16791), 1,
      anon_sym_RPAREN,
    STATE(20070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790749] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29261), 1,
      anon_sym_RPAREN,
    STATE(20071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790763] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29263), 1,
      anon_sym_DOT,
    STATE(20072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790777] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29265), 1,
      anon_sym_DQUOTE,
    STATE(20073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790791] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29267), 1,
      anon_sym_with,
    STATE(20074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790805] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29269), 1,
      anon_sym_EQ,
    STATE(20075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790819] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29271), 1,
      anon_sym_with,
    STATE(20076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790833] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29273), 1,
      anon_sym_RPAREN,
    STATE(20077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790847] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29275), 1,
      anon_sym_DASH_GT,
    STATE(20078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790861] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29277), 1,
      anon_sym_RPAREN,
    STATE(20079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790875] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29279), 1,
      anon_sym_end,
    STATE(20080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790889] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29281), 1,
      anon_sym_DOT_DOT,
    STATE(20081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790903] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29283), 1,
      anon_sym_DOT_DOT,
    STATE(20082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790917] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29285), 1,
      anon_sym_DOT_DOT,
    STATE(20083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790931] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29287), 1,
      anon_sym_DOT,
    STATE(20084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790945] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29289), 1,
      anon_sym_DASH_GT,
    STATE(20085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790959] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29291), 1,
      sym__identifier,
    STATE(20086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790973] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29293), 1,
      anon_sym_RPAREN,
    STATE(20087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790987] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17518), 1,
      anon_sym_GT,
    STATE(20088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791001] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29295), 1,
      anon_sym_RBRACE,
    STATE(20089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791015] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29297), 1,
      anon_sym_RPAREN,
    STATE(20090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791029] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29299), 1,
      anon_sym_RPAREN,
    STATE(20091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791043] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29301), 1,
      anon_sym_RBRACE,
    STATE(20092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791057] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29303), 1,
      anon_sym_DOT_DOT,
    STATE(20093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791071] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29305), 1,
      anon_sym_DOT_DOT,
    STATE(20094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791085] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29307), 1,
      anon_sym_DOT_DOT,
    STATE(20095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791099] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29309), 1,
      anon_sym_RPAREN,
    STATE(20096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791113] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29311), 1,
      anon_sym_DOT,
    STATE(20097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791127] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18531), 1,
      anon_sym_DASH_GT,
    STATE(20098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791141] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8994), 1,
      anon_sym_DASH_GT,
    STATE(20099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791155] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29313), 1,
      anon_sym_DOT_DOT,
    STATE(20100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791169] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29315), 1,
      anon_sym_DOT_DOT,
    STATE(20101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791183] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29317), 1,
      anon_sym_DOT_DOT,
    STATE(20102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791197] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29319), 1,
      anon_sym_RPAREN,
    STATE(20103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791211] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29321), 1,
      anon_sym_RPAREN,
    STATE(20104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791225] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29323), 1,
      anon_sym_DOT_DOT,
    STATE(20105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791239] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29325), 1,
      anon_sym_DOT_DOT,
    STATE(20106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791253] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29327), 1,
      anon_sym_DOT_DOT,
    STATE(20107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791267] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(18055), 1,
      anon_sym_RPAREN,
    STATE(20108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791281] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(5333), 1,
      anon_sym_end,
    STATE(20109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791295] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29329), 1,
      anon_sym_DOT_DOT,
    STATE(20110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791309] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29331), 1,
      anon_sym_DOT_DOT,
    STATE(20111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791323] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29333), 1,
      anon_sym_DOT_DOT,
    STATE(20112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791337] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29335), 1,
      anon_sym_with,
    STATE(20113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791351] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29337), 1,
      anon_sym_RBRACK,
    STATE(20114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791365] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29339), 1,
      anon_sym_DOT_DOT,
    STATE(20115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791379] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29341), 1,
      anon_sym_DOT_DOT,
    STATE(20116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791393] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29343), 1,
      anon_sym_DOT_DOT,
    STATE(20117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791407] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29345), 1,
      anon_sym_RBRACE,
    STATE(20118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791421] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29347), 1,
      anon_sym_DASH_GT,
    STATE(20119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791435] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29349), 1,
      anon_sym_DOT_DOT,
    STATE(20120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791449] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29351), 1,
      anon_sym_DOT_DOT,
    STATE(20121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791463] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29353), 1,
      anon_sym_DOT_DOT,
    STATE(20122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791477] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29355), 1,
      anon_sym_RPAREN,
    STATE(20123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791491] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29357), 1,
      anon_sym_RPAREN,
    STATE(20124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791505] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29359), 1,
      anon_sym_DOT_DOT,
    STATE(20125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791519] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29361), 1,
      anon_sym_DOT_DOT,
    STATE(20126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791533] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29363), 1,
      anon_sym_DOT_DOT,
    STATE(20127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791547] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29365), 1,
      anon_sym_RPAREN,
    STATE(20128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791561] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29365), 1,
      anon_sym_RBRACK,
    STATE(20129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791575] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29367), 1,
      anon_sym_DOT_DOT,
    STATE(20130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791589] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29369), 1,
      anon_sym_DOT_DOT,
    STATE(20131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791603] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29371), 1,
      anon_sym_DOT_DOT,
    STATE(20132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791617] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29365), 1,
      anon_sym_RBRACE,
    STATE(20133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791631] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29373), 1,
      anon_sym_RBRACK,
    STATE(20134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791645] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29375), 1,
      anon_sym_DOT_DOT,
    STATE(20135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791659] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29377), 1,
      anon_sym_DOT_DOT,
    STATE(20136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791673] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29379), 1,
      anon_sym_DOT_DOT,
    STATE(20137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791687] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29381), 1,
      anon_sym_RPAREN,
    STATE(20138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791701] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29383), 1,
      anon_sym_with,
    STATE(20139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791715] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29385), 1,
      anon_sym_DOT_DOT,
    STATE(20140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791729] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29387), 1,
      anon_sym_DOT_DOT,
    STATE(20141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791743] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29389), 1,
      anon_sym_DOT_DOT,
    STATE(20142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791757] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29391), 1,
      anon_sym_DOT,
    STATE(20143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791771] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29393), 1,
      sym__identifier,
    STATE(20144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791785] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29395), 1,
      anon_sym_DOT_DOT,
    STATE(20145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791799] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29397), 1,
      anon_sym_RPAREN,
    STATE(20146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791813] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29399), 1,
      anon_sym_DOT_DOT,
    STATE(20147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791827] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29401), 1,
      anon_sym_RBRACK,
    STATE(20148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791841] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29403), 1,
      anon_sym_RBRACE,
    STATE(20149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791855] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29405), 1,
      anon_sym_DOT_DOT,
    STATE(20150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791869] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29407), 1,
      anon_sym_DOT_DOT,
    STATE(20151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791883] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29409), 1,
      anon_sym_DOT_DOT,
    STATE(20152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791897] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29411), 1,
      anon_sym_RBRACE,
    STATE(20153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791911] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29413), 1,
      anon_sym_RPAREN,
    STATE(20154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791925] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29415), 1,
      anon_sym_DOT_DOT,
    STATE(20155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791939] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29417), 1,
      anon_sym_DOT_DOT,
    STATE(20156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791953] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29419), 1,
      anon_sym_DOT_DOT,
    STATE(20157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791967] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17608), 1,
      anon_sym_GT,
    STATE(20158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791981] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29421), 1,
      anon_sym_DOT,
    STATE(20159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791995] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29423), 1,
      anon_sym_DOT_DOT,
    STATE(20160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792009] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29425), 1,
      anon_sym_DOT_DOT,
    STATE(20161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792023] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29427), 1,
      anon_sym_DOT_DOT,
    STATE(20162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792037] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23913), 1,
      anon_sym_RBRACE,
    STATE(20163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792051] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29429), 1,
      anon_sym_RPAREN,
    STATE(20164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792065] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29431), 1,
      anon_sym_DASH_GT,
    STATE(20165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792079] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29433), 1,
      sym__identifier,
    STATE(20166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792093] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29435), 1,
      anon_sym_RPAREN,
    STATE(20167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792107] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29437), 1,
      anon_sym_end,
    STATE(20168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792121] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29439), 1,
      anon_sym_LT_DASH,
    STATE(20169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792135] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3239), 1,
      anon_sym_RPAREN,
    STATE(20170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792149] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29441), 1,
      anon_sym_RBRACE,
    STATE(20171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792163] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29443), 1,
      anon_sym_DOT,
    STATE(20172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792177] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11452), 1,
      anon_sym_GT,
    STATE(20173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792191] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29445), 1,
      anon_sym_DASH_GT,
    STATE(20174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792205] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29447), 1,
      anon_sym_DOT,
    STATE(20175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792219] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29449), 1,
      anon_sym_RPAREN,
    STATE(20176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792233] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29451), 1,
      anon_sym_RBRACK,
    STATE(20177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792247] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29453), 1,
      anon_sym_in,
    STATE(20178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792261] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29455), 1,
      anon_sym_RPAREN,
    STATE(20179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792275] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29457), 1,
      anon_sym_in,
    STATE(20180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792289] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29459), 1,
      anon_sym_in,
    STATE(20181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792303] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29461), 1,
      anon_sym_DASH_GT,
    STATE(20182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792317] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29463), 1,
      anon_sym_with,
    STATE(20183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792331] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29465), 1,
      anon_sym_RPAREN,
    STATE(20184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792345] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29467), 1,
      anon_sym_RPAREN,
    STATE(20185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792359] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29469), 1,
      anon_sym_with,
    STATE(20186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792373] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29471), 1,
      anon_sym_PLUS_EQ,
    STATE(20187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792387] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29473), 1,
      anon_sym_DOT,
    STATE(20188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792401] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24757), 1,
      anon_sym_RPAREN,
    STATE(20189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792415] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29475), 1,
      sym_indexing_operator,
    STATE(20190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792429] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29477), 1,
      anon_sym_PLUS_EQ,
    STATE(20191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792443] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29479), 1,
      anon_sym_EQ,
    STATE(20192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792457] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8875), 1,
      anon_sym_DASH_GT,
    STATE(20193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792471] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29481), 1,
      anon_sym_RBRACK,
    STATE(20194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792485] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29483), 1,
      anon_sym_in,
    STATE(20195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792499] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29485), 1,
      anon_sym_LT_DASH,
    STATE(20196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792513] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3253), 1,
      anon_sym_RPAREN,
    STATE(20197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792527] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29487), 1,
      anon_sym_RPAREN,
    STATE(20198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792541] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29489), 1,
      anon_sym_RBRACE,
    STATE(20199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792555] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29491), 1,
      anon_sym_RPAREN,
    STATE(20200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792569] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29493), 1,
      sym__identifier,
    STATE(20201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792583] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29495), 1,
      anon_sym_RBRACK,
    STATE(20202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792597] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29497), 1,
      anon_sym_in,
    STATE(20203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792611] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29499), 1,
      anon_sym_in,
    STATE(20204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792625] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29501), 1,
      anon_sym_in,
    STATE(20205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792639] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17465), 1,
      anon_sym_GT,
    STATE(20206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792653] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29503), 1,
      anon_sym_GT,
    STATE(20207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792667] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29505), 1,
      anon_sym_RBRACE,
    STATE(20208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792681] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29507), 1,
      sym__identifier,
    STATE(20209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792695] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29509), 1,
      anon_sym_RPAREN,
    STATE(20210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792709] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29511), 1,
      anon_sym_in,
    STATE(20211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792723] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29513), 1,
      anon_sym_DASH_GT,
    STATE(20212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792737] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29515), 1,
      anon_sym_RPAREN,
    STATE(20213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792751] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29517), 1,
      anon_sym_RBRACE,
    STATE(20214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792765] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29519), 1,
      anon_sym_RBRACE,
    STATE(20215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792779] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29521), 1,
      anon_sym_with,
    STATE(20216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792793] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29523), 1,
      anon_sym_PLUS_EQ,
    STATE(20217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792807] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29525), 1,
      sym_indexing_operator,
    STATE(20218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792821] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29527), 1,
      anon_sym_PLUS_EQ,
    STATE(20219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792835] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29529), 1,
      anon_sym_in,
    STATE(20220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792849] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29531), 1,
      anon_sym_with,
    STATE(20221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792863] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29533), 1,
      anon_sym_end,
    STATE(20222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792877] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29535), 1,
      anon_sym_RBRACK,
    STATE(20223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792891] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22875), 1,
      anon_sym_GT_RBRACE,
    STATE(20224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792905] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29537), 1,
      sym__identifier,
    STATE(20225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792919] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29539), 1,
      anon_sym_RBRACE,
    STATE(20226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792933] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19570), 1,
      anon_sym_end,
    STATE(20227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792947] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29541), 1,
      anon_sym_SQUOTE2,
    STATE(20228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792961] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29543), 1,
      anon_sym_in,
    STATE(20229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792975] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29545), 1,
      anon_sym_DQUOTE,
    STATE(20230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792989] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29547), 1,
      anon_sym_DOT,
    STATE(20231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793003] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29549), 1,
      anon_sym_RPAREN,
    STATE(20232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793017] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29551), 1,
      sym__identifier,
    STATE(20233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793031] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29553), 1,
      anon_sym_PLUS_EQ,
    STATE(20234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793045] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29555), 1,
      sym_indexing_operator,
    STATE(20235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793059] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29557), 1,
      anon_sym_PLUS_EQ,
    STATE(20236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793073] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29559), 1,
      anon_sym_DASH_GT,
    STATE(20237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793087] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29561), 1,
      anon_sym_RBRACK,
    STATE(20238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793101] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29563), 1,
      anon_sym_RBRACE,
    STATE(20239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793115] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9016), 1,
      anon_sym_DASH_GT,
    STATE(20240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793129] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29565), 1,
      anon_sym_RBRACK,
    STATE(20241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793143] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29567), 1,
      sym__identifier,
    STATE(20242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793157] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29569), 1,
      anon_sym_RBRACE,
    STATE(20243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793171] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29571), 1,
      anon_sym_DASH_GT,
    STATE(20244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793185] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16673), 1,
      anon_sym_RPAREN,
    STATE(20245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793199] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29573), 1,
      anon_sym_RPAREN,
    STATE(20246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793213] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29575), 1,
      anon_sym_RPAREN,
    STATE(20247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793227] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16593), 1,
      anon_sym_RPAREN,
    STATE(20248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793241] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29577), 1,
      anon_sym_RBRACE,
    STATE(20249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793255] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8881), 1,
      anon_sym_DASH_GT,
    STATE(20250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793269] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29579), 1,
      sym_indexing_operator,
    STATE(20251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793283] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22919), 1,
      anon_sym_GT_RBRACE,
    STATE(20252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793297] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29581), 1,
      anon_sym_DASH_GT,
    STATE(20253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793311] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29583), 1,
      anon_sym_RBRACE,
    STATE(20254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793325] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29585), 1,
      anon_sym_RPAREN,
    STATE(20255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793339] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29587), 1,
      sym__identifier,
    STATE(20256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793353] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29589), 1,
      anon_sym_RPAREN,
    STATE(20257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793367] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(17829), 1,
      anon_sym_RPAREN,
    STATE(20258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793381] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(9028), 1,
      anon_sym_DASH_GT,
    STATE(20259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793395] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29591), 1,
      anon_sym_end,
    STATE(20260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793409] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29593), 1,
      anon_sym_RBRACE,
    STATE(20261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793423] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29595), 1,
      anon_sym_RBRACE,
    STATE(20262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793437] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29597), 1,
      sym_indexing_operator,
    STATE(20263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793451] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29599), 1,
      anon_sym_RBRACE,
    STATE(20264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793465] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16513), 1,
      anon_sym_RPAREN,
    STATE(20265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793479] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29601), 1,
      sym_indexing_operator,
    STATE(20266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793493] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16899), 1,
      anon_sym_DASH_GT,
    STATE(20267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793507] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11797), 1,
      anon_sym_GT,
    STATE(20268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793521] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29603), 1,
      sym_indexing_operator,
    STATE(20269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793535] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29605), 1,
      anon_sym_RPAREN,
    STATE(20270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793549] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20575), 1,
      anon_sym_GT_RBRACE,
    STATE(20271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793563] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29607), 1,
      sym_indexing_operator,
    STATE(20272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793577] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29609), 1,
      sym_indexing_operator,
    STATE(20273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793591] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29611), 1,
      sym_indexing_operator,
    STATE(20274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793605] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29613), 1,
      sym_indexing_operator,
    STATE(20275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793619] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29615), 1,
      sym_indexing_operator,
    STATE(20276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793633] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29617), 1,
      sym_indexing_operator,
    STATE(20277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793647] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29619), 1,
      sym_indexing_operator,
    STATE(20278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793661] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29621), 1,
      sym_indexing_operator,
    STATE(20279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793675] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29623), 1,
      sym_indexing_operator,
    STATE(20280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793689] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29625), 1,
      sym_indexing_operator,
    STATE(20281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793703] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29627), 1,
      sym_indexing_operator,
    STATE(20282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793717] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29629), 1,
      sym_indexing_operator,
    STATE(20283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793731] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29631), 1,
      sym_indexing_operator,
    STATE(20284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793745] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29633), 1,
      sym_indexing_operator,
    STATE(20285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793759] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29635), 1,
      sym_indexing_operator,
    STATE(20286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793773] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29637), 1,
      sym_indexing_operator,
    STATE(20287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793787] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29639), 1,
      sym_indexing_operator,
    STATE(20288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793801] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29641), 1,
      sym_indexing_operator,
    STATE(20289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793815] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29643), 1,
      sym_indexing_operator,
    STATE(20290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793829] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29645), 1,
      sym_indexing_operator,
    STATE(20291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793843] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29647), 1,
      sym_indexing_operator,
    STATE(20292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793857] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29649), 1,
      sym_indexing_operator,
    STATE(20293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793871] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29651), 1,
      sym_indexing_operator,
    STATE(20294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793885] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29653), 1,
      sym_indexing_operator,
    STATE(20295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793899] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29655), 1,
      sym_indexing_operator,
    STATE(20296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793913] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29657), 1,
      sym_indexing_operator,
    STATE(20297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793927] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29659), 1,
      sym_indexing_operator,
    STATE(20298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793941] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29661), 1,
      sym_indexing_operator,
    STATE(20299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793955] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29663), 1,
      sym_indexing_operator,
    STATE(20300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793969] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29665), 1,
      sym_indexing_operator,
    STATE(20301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793983] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29667), 1,
      sym_indexing_operator,
    STATE(20302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793997] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29669), 1,
      sym_indexing_operator,
    STATE(20303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794011] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29671), 1,
      sym_indexing_operator,
    STATE(20304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794025] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29673), 1,
      sym_indexing_operator,
    STATE(20305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794039] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29675), 1,
      sym_indexing_operator,
    STATE(20306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794053] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29677), 1,
      sym_indexing_operator,
    STATE(20307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794067] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29679), 1,
      sym_indexing_operator,
    STATE(20308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794081] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29681), 1,
      sym_indexing_operator,
    STATE(20309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794095] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29683), 1,
      sym_indexing_operator,
    STATE(20310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794109] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29685), 1,
      sym_indexing_operator,
    STATE(20311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794123] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29687), 1,
      sym_indexing_operator,
    STATE(20312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794137] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29689), 1,
      sym_indexing_operator,
    STATE(20313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794151] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29691), 1,
      sym_indexing_operator,
    STATE(20314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794165] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29693), 1,
      sym_indexing_operator,
    STATE(20315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794179] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29695), 1,
      sym_indexing_operator,
    STATE(20316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794193] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29697), 1,
      sym_indexing_operator,
    STATE(20317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794207] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29699), 1,
      sym_indexing_operator,
    STATE(20318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794221] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29701), 1,
      sym_indexing_operator,
    STATE(20319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794235] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29703), 1,
      sym_indexing_operator,
    STATE(20320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794249] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29705), 1,
      anon_sym_RPAREN,
    STATE(20321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794263] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29707), 1,
      anon_sym_RPAREN,
    STATE(20322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794277] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29709), 1,
      anon_sym_DASH_GT,
    STATE(20323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794291] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29707), 1,
      anon_sym_RBRACK,
    STATE(20324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794305] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29707), 1,
      anon_sym_RBRACE,
    STATE(20325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794319] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29711), 1,
      anon_sym_end,
    STATE(20326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794333] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29713), 1,
      anon_sym_RBRACE,
    STATE(20327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794347] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29715), 1,
      anon_sym_EQ,
    STATE(20328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794361] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29717), 1,
      anon_sym_RPAREN,
    STATE(20329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794375] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29719), 1,
      anon_sym_RBRACK,
    STATE(20330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794389] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29721), 1,
      anon_sym_EQ,
    STATE(20331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794403] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29723), 1,
      anon_sym_RBRACE,
    STATE(20332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794417] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29725), 1,
      anon_sym_RPAREN,
    STATE(20333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794431] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29727), 1,
      anon_sym_RPAREN,
    STATE(20334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794445] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(24517), 1,
      anon_sym_RPAREN,
    STATE(20335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794459] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29729), 1,
      anon_sym_RPAREN,
    STATE(20336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794473] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19514), 1,
      anon_sym_end,
    STATE(20337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794487] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29731), 1,
      anon_sym_EQ,
    STATE(20338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794501] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29733), 1,
      anon_sym_DASH_GT,
    STATE(20339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794515] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29735), 1,
      anon_sym_DASH_GT,
    STATE(20340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794529] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29737), 1,
      anon_sym_EQ,
    STATE(20341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794543] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29739), 1,
      anon_sym_RPAREN,
    STATE(20342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794557] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(6847), 1,
      anon_sym_RPAREN,
    STATE(20343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794571] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29741), 1,
      anon_sym_RPAREN,
    STATE(20344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794585] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29743), 1,
      anon_sym_RPAREN,
    STATE(20345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794599] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29745), 1,
      anon_sym_RBRACK,
    STATE(20346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794613] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29747), 1,
      anon_sym_EQ,
    STATE(20347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794627] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29749), 1,
      anon_sym_RBRACE,
    STATE(20348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794641] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29751), 1,
      anon_sym_RPAREN,
    STATE(20349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794655] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29753), 1,
      anon_sym_EQ,
    STATE(20350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794669] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29755), 1,
      anon_sym_SQUOTE2,
    STATE(20351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794683] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19876), 1,
      anon_sym_end,
    STATE(20352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794697] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29757), 1,
      anon_sym_RPAREN,
    STATE(20353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794711] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29759), 1,
      anon_sym_DQUOTE,
    STATE(20354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794725] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29761), 1,
      anon_sym_RBRACK,
    STATE(20355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794739] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29763), 1,
      anon_sym_RPAREN,
    STATE(20356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794753] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29765), 1,
      anon_sym_RBRACE,
    STATE(20357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794767] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(10422), 1,
      anon_sym_COLON_COLON,
    STATE(20358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794781] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29767), 1,
      anon_sym_RPAREN,
    STATE(20359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794795] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29769), 1,
      anon_sym_RPAREN,
    STATE(20360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794809] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8889), 1,
      anon_sym_DASH_GT,
    STATE(20361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794823] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29771), 1,
      anon_sym_LT_DASH,
    STATE(20362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794837] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29773), 1,
      anon_sym_with,
    STATE(20363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794851] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20252), 1,
      anon_sym_DASH_GT,
    STATE(20364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794865] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29775), 1,
      anon_sym_DOT,
    STATE(20365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794879] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29777), 1,
      anon_sym_DASH_GT,
    STATE(20366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794893] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29779), 1,
      anon_sym_DASH_GT,
    STATE(20367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794907] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29781), 1,
      anon_sym_RPAREN,
    STATE(20368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794921] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29783), 1,
      anon_sym_RPAREN,
    STATE(20369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794935] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29785), 1,
      anon_sym_RPAREN,
    STATE(20370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794949] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29787), 1,
      anon_sym_LT_DASH,
    STATE(20371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794963] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(3263), 1,
      anon_sym_RPAREN,
    STATE(20372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794977] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29789), 1,
      anon_sym_RPAREN,
    STATE(20373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794991] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29791), 1,
      anon_sym_RPAREN,
    STATE(20374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795005] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29793), 1,
      anon_sym_in,
    STATE(20375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795019] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29795), 1,
      anon_sym_in,
    STATE(20376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795033] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29797), 1,
      anon_sym_in,
    STATE(20377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795047] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29799), 1,
      anon_sym_RPAREN,
    STATE(20378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795061] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29801), 1,
      anon_sym_with,
    STATE(20379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795075] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29803), 1,
      anon_sym_in,
    STATE(20380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795089] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29805), 1,
      anon_sym_DOT,
    STATE(20381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795103] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20283), 1,
      anon_sym_DASH_GT,
    STATE(20382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795117] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16707), 1,
      anon_sym_RPAREN,
    STATE(20383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795131] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29807), 1,
      anon_sym_in,
    STATE(20384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795145] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29809), 1,
      anon_sym_in,
    STATE(20385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795159] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29811), 1,
      anon_sym_RBRACK,
    STATE(20386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795173] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29813), 1,
      anon_sym_in,
    STATE(20387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795187] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29815), 1,
      anon_sym_RBRACE,
    STATE(20388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795201] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29817), 1,
      anon_sym_end,
    STATE(20389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795215] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29819), 1,
      anon_sym_RBRACK,
    STATE(20390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795229] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(11735), 1,
      anon_sym_GT,
    STATE(20391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795243] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29821), 1,
      anon_sym_SQUOTE2,
    STATE(20392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795257] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29823), 1,
      anon_sym_RBRACE,
    STATE(20393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795271] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(22939), 1,
      anon_sym_GT_RBRACE,
    STATE(20394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795285] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29825), 1,
      anon_sym_in,
    STATE(20395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795299] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19762), 1,
      anon_sym_end,
    STATE(20396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795313] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29827), 1,
      anon_sym_RPAREN,
    STATE(20397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795327] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29829), 1,
      anon_sym_SQUOTE2,
    STATE(20398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795341] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29831), 1,
      anon_sym_DOT,
    STATE(20399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795355] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20299), 1,
      anon_sym_DASH_GT,
    STATE(20400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795369] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29833), 1,
      anon_sym_DQUOTE,
    STATE(20401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795383] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29835), 1,
      anon_sym_DASH_GT,
    STATE(20402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795397] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29837), 1,
      anon_sym_with,
    STATE(20403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795411] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29839), 1,
      sym__identifier,
    STATE(20404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795425] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29841), 1,
      sym__identifier,
    STATE(20405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795439] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29843), 1,
      anon_sym_RBRACK,
    STATE(20406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795453] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29845), 1,
      anon_sym_RBRACE,
    STATE(20407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795467] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29847), 1,
      anon_sym_LT_DASH,
    STATE(20408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795481] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29849), 1,
      anon_sym_with,
    STATE(20409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795495] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(20311), 1,
      anon_sym_DASH_GT,
    STATE(20410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795509] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29851), 1,
      anon_sym_DOT,
    STATE(20411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795523] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29853), 1,
      anon_sym_RBRACE,
    STATE(20412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795537] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29855), 1,
      anon_sym_RPAREN,
    STATE(20413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795551] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29857), 1,
      anon_sym_RBRACK,
    STATE(20414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795565] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29859), 1,
      anon_sym_RBRACE,
    STATE(20415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795579] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29861), 1,
      anon_sym_RPAREN,
    STATE(20416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795593] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29863), 1,
      anon_sym_RBRACK,
    STATE(20417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795607] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(8885), 1,
      anon_sym_DASH_GT,
    STATE(20418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795621] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29865), 1,
      anon_sym_RBRACE,
    STATE(20419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795635] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29867), 1,
      anon_sym_RBRACE,
    STATE(20420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795649] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29869), 1,
      anon_sym_RBRACE,
    STATE(20421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795663] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16843), 1,
      anon_sym_RPAREN,
    STATE(20422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795677] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29871), 1,
      anon_sym_GT,
    STATE(20423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795691] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29873), 1,
      anon_sym_RPAREN,
    STATE(20424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795705] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29875), 1,
      anon_sym_DASH_GT,
    STATE(20425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795719] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29877), 1,
      anon_sym_RPAREN,
    STATE(20426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795733] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29879), 1,
      anon_sym_RBRACK,
    STATE(20427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795747] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29881), 1,
      anon_sym_DASH_GT,
    STATE(20428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795761] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29883), 1,
      anon_sym_RPAREN,
    STATE(20429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795775] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(23663), 1,
      anon_sym_RBRACE,
    STATE(20430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795789] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29885), 1,
      anon_sym_with,
    STATE(20431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795803] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29887), 1,
      anon_sym_end,
    STATE(20432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795817] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_GT_RBRACE,
    STATE(20433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795831] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29889), 1,
      anon_sym_DQUOTE,
    STATE(20434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795845] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29891), 1,
      anon_sym_with,
    STATE(20435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795859] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29893), 1,
      anon_sym_DASH_GT,
    STATE(20436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795873] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29895), 1,
      anon_sym_RBRACE,
    STATE(20437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795887] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29897), 1,
      anon_sym_RPAREN,
    STATE(20438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795901] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(16543), 1,
      anon_sym_RPAREN,
    STATE(20439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795915] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29899), 1,
      anon_sym_GT,
    STATE(20440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795929] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(19856), 1,
      anon_sym_end,
    STATE(20441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795943] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29901), 1,
      anon_sym_DASH_GT,
    STATE(20442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795957] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29903), 1,
      anon_sym_DOT,
    STATE(20443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795971] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29905), 1,
      anon_sym_in,
    STATE(20444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795985] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29907), 1,
      anon_sym_RBRACE,
    STATE(20445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795999] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29909), 1,
      anon_sym_RBRACE,
    STATE(20446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796013] = 4,
    ACTIONS(1095), 1,
      aux_sym_attribute_token1,
    ACTIONS(29911), 1,
      anon_sym_RBRACE,
    STATE(20447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796027] = 1,
    ACTIONS(29913), 1,
      ts_builtin_sym_end,
  [796031] = 1,
    ACTIONS(29915), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2657)] = 0,
  [SMALL_STATE(2658)] = 77,
  [SMALL_STATE(2659)] = 152,
  [SMALL_STATE(2660)] = 289,
  [SMALL_STATE(2661)] = 426,
  [SMALL_STATE(2662)] = 563,
  [SMALL_STATE(2663)] = 700,
  [SMALL_STATE(2664)] = 837,
  [SMALL_STATE(2665)] = 974,
  [SMALL_STATE(2666)] = 1111,
  [SMALL_STATE(2667)] = 1248,
  [SMALL_STATE(2668)] = 1385,
  [SMALL_STATE(2669)] = 1522,
  [SMALL_STATE(2670)] = 1659,
  [SMALL_STATE(2671)] = 1796,
  [SMALL_STATE(2672)] = 1933,
  [SMALL_STATE(2673)] = 2070,
  [SMALL_STATE(2674)] = 2207,
  [SMALL_STATE(2675)] = 2344,
  [SMALL_STATE(2676)] = 2481,
  [SMALL_STATE(2677)] = 2556,
  [SMALL_STATE(2678)] = 2631,
  [SMALL_STATE(2679)] = 2706,
  [SMALL_STATE(2680)] = 2781,
  [SMALL_STATE(2681)] = 2918,
  [SMALL_STATE(2682)] = 2993,
  [SMALL_STATE(2683)] = 3130,
  [SMALL_STATE(2684)] = 3205,
  [SMALL_STATE(2685)] = 3280,
  [SMALL_STATE(2686)] = 3417,
  [SMALL_STATE(2687)] = 3554,
  [SMALL_STATE(2688)] = 3629,
  [SMALL_STATE(2689)] = 3704,
  [SMALL_STATE(2690)] = 3841,
  [SMALL_STATE(2691)] = 3978,
  [SMALL_STATE(2692)] = 4115,
  [SMALL_STATE(2693)] = 4252,
  [SMALL_STATE(2694)] = 4389,
  [SMALL_STATE(2695)] = 4464,
  [SMALL_STATE(2696)] = 4541,
  [SMALL_STATE(2697)] = 4678,
  [SMALL_STATE(2698)] = 4815,
  [SMALL_STATE(2699)] = 4952,
  [SMALL_STATE(2700)] = 5089,
  [SMALL_STATE(2701)] = 5226,
  [SMALL_STATE(2702)] = 5363,
  [SMALL_STATE(2703)] = 5438,
  [SMALL_STATE(2704)] = 5575,
  [SMALL_STATE(2705)] = 5712,
  [SMALL_STATE(2706)] = 5849,
  [SMALL_STATE(2707)] = 5986,
  [SMALL_STATE(2708)] = 6109,
  [SMALL_STATE(2709)] = 6246,
  [SMALL_STATE(2710)] = 6383,
  [SMALL_STATE(2711)] = 6520,
  [SMALL_STATE(2712)] = 6657,
  [SMALL_STATE(2713)] = 6734,
  [SMALL_STATE(2714)] = 6809,
  [SMALL_STATE(2715)] = 6946,
  [SMALL_STATE(2716)] = 7083,
  [SMALL_STATE(2717)] = 7220,
  [SMALL_STATE(2718)] = 7295,
  [SMALL_STATE(2719)] = 7370,
  [SMALL_STATE(2720)] = 7445,
  [SMALL_STATE(2721)] = 7582,
  [SMALL_STATE(2722)] = 7657,
  [SMALL_STATE(2723)] = 7732,
  [SMALL_STATE(2724)] = 7809,
  [SMALL_STATE(2725)] = 7939,
  [SMALL_STATE(2726)] = 8013,
  [SMALL_STATE(2727)] = 8087,
  [SMALL_STATE(2728)] = 8161,
  [SMALL_STATE(2729)] = 8237,
  [SMALL_STATE(2730)] = 8311,
  [SMALL_STATE(2731)] = 8385,
  [SMALL_STATE(2732)] = 8459,
  [SMALL_STATE(2733)] = 8533,
  [SMALL_STATE(2734)] = 8609,
  [SMALL_STATE(2735)] = 8685,
  [SMALL_STATE(2736)] = 8815,
  [SMALL_STATE(2737)] = 8891,
  [SMALL_STATE(2738)] = 8965,
  [SMALL_STATE(2739)] = 9039,
  [SMALL_STATE(2740)] = 9115,
  [SMALL_STATE(2741)] = 9189,
  [SMALL_STATE(2742)] = 9319,
  [SMALL_STATE(2743)] = 9449,
  [SMALL_STATE(2744)] = 9523,
  [SMALL_STATE(2745)] = 9597,
  [SMALL_STATE(2746)] = 9671,
  [SMALL_STATE(2747)] = 9745,
  [SMALL_STATE(2748)] = 9819,
  [SMALL_STATE(2749)] = 9893,
  [SMALL_STATE(2750)] = 9973,
  [SMALL_STATE(2751)] = 10103,
  [SMALL_STATE(2752)] = 10177,
  [SMALL_STATE(2753)] = 10251,
  [SMALL_STATE(2754)] = 10325,
  [SMALL_STATE(2755)] = 10399,
  [SMALL_STATE(2756)] = 10473,
  [SMALL_STATE(2757)] = 10547,
  [SMALL_STATE(2758)] = 10621,
  [SMALL_STATE(2759)] = 10697,
  [SMALL_STATE(2760)] = 10771,
  [SMALL_STATE(2761)] = 10845,
  [SMALL_STATE(2762)] = 10975,
  [SMALL_STATE(2763)] = 11049,
  [SMALL_STATE(2764)] = 11123,
  [SMALL_STATE(2765)] = 11197,
  [SMALL_STATE(2766)] = 11271,
  [SMALL_STATE(2767)] = 11345,
  [SMALL_STATE(2768)] = 11419,
  [SMALL_STATE(2769)] = 11493,
  [SMALL_STATE(2770)] = 11567,
  [SMALL_STATE(2771)] = 11641,
  [SMALL_STATE(2772)] = 11715,
  [SMALL_STATE(2773)] = 11789,
  [SMALL_STATE(2774)] = 11863,
  [SMALL_STATE(2775)] = 11937,
  [SMALL_STATE(2776)] = 12067,
  [SMALL_STATE(2777)] = 12147,
  [SMALL_STATE(2778)] = 12221,
  [SMALL_STATE(2779)] = 12295,
  [SMALL_STATE(2780)] = 12369,
  [SMALL_STATE(2781)] = 12443,
  [SMALL_STATE(2782)] = 12573,
  [SMALL_STATE(2783)] = 12647,
  [SMALL_STATE(2784)] = 12721,
  [SMALL_STATE(2785)] = 12851,
  [SMALL_STATE(2786)] = 12925,
  [SMALL_STATE(2787)] = 12999,
  [SMALL_STATE(2788)] = 13073,
  [SMALL_STATE(2789)] = 13147,
  [SMALL_STATE(2790)] = 13277,
  [SMALL_STATE(2791)] = 13351,
  [SMALL_STATE(2792)] = 13425,
  [SMALL_STATE(2793)] = 13499,
  [SMALL_STATE(2794)] = 13573,
  [SMALL_STATE(2795)] = 13703,
  [SMALL_STATE(2796)] = 13777,
  [SMALL_STATE(2797)] = 13851,
  [SMALL_STATE(2798)] = 13925,
  [SMALL_STATE(2799)] = 13999,
  [SMALL_STATE(2800)] = 14073,
  [SMALL_STATE(2801)] = 14147,
  [SMALL_STATE(2802)] = 14221,
  [SMALL_STATE(2803)] = 14295,
  [SMALL_STATE(2804)] = 14425,
  [SMALL_STATE(2805)] = 14505,
  [SMALL_STATE(2806)] = 14579,
  [SMALL_STATE(2807)] = 14653,
  [SMALL_STATE(2808)] = 14727,
  [SMALL_STATE(2809)] = 14801,
  [SMALL_STATE(2810)] = 14875,
  [SMALL_STATE(2811)] = 14949,
  [SMALL_STATE(2812)] = 15079,
  [SMALL_STATE(2813)] = 15153,
  [SMALL_STATE(2814)] = 15229,
  [SMALL_STATE(2815)] = 15303,
  [SMALL_STATE(2816)] = 15377,
  [SMALL_STATE(2817)] = 15451,
  [SMALL_STATE(2818)] = 15525,
  [SMALL_STATE(2819)] = 15655,
  [SMALL_STATE(2820)] = 15729,
  [SMALL_STATE(2821)] = 15803,
  [SMALL_STATE(2822)] = 15877,
  [SMALL_STATE(2823)] = 15951,
  [SMALL_STATE(2824)] = 16025,
  [SMALL_STATE(2825)] = 16099,
  [SMALL_STATE(2826)] = 16173,
  [SMALL_STATE(2827)] = 16247,
  [SMALL_STATE(2828)] = 16321,
  [SMALL_STATE(2829)] = 16451,
  [SMALL_STATE(2830)] = 16525,
  [SMALL_STATE(2831)] = 16599,
  [SMALL_STATE(2832)] = 16673,
  [SMALL_STATE(2833)] = 16753,
  [SMALL_STATE(2834)] = 16827,
  [SMALL_STATE(2835)] = 16957,
  [SMALL_STATE(2836)] = 17031,
  [SMALL_STATE(2837)] = 17105,
  [SMALL_STATE(2838)] = 17179,
  [SMALL_STATE(2839)] = 17253,
  [SMALL_STATE(2840)] = 17327,
  [SMALL_STATE(2841)] = 17457,
  [SMALL_STATE(2842)] = 17531,
  [SMALL_STATE(2843)] = 17605,
  [SMALL_STATE(2844)] = 17679,
  [SMALL_STATE(2845)] = 17809,
  [SMALL_STATE(2846)] = 17883,
  [SMALL_STATE(2847)] = 17957,
  [SMALL_STATE(2848)] = 18087,
  [SMALL_STATE(2849)] = 18161,
  [SMALL_STATE(2850)] = 18291,
  [SMALL_STATE(2851)] = 18365,
  [SMALL_STATE(2852)] = 18441,
  [SMALL_STATE(2853)] = 18517,
  [SMALL_STATE(2854)] = 18591,
  [SMALL_STATE(2855)] = 18665,
  [SMALL_STATE(2856)] = 18795,
  [SMALL_STATE(2857)] = 18925,
  [SMALL_STATE(2858)] = 18999,
  [SMALL_STATE(2859)] = 19073,
  [SMALL_STATE(2860)] = 19147,
  [SMALL_STATE(2861)] = 19221,
  [SMALL_STATE(2862)] = 19351,
  [SMALL_STATE(2863)] = 19425,
  [SMALL_STATE(2864)] = 19499,
  [SMALL_STATE(2865)] = 19573,
  [SMALL_STATE(2866)] = 19703,
  [SMALL_STATE(2867)] = 19777,
  [SMALL_STATE(2868)] = 19851,
  [SMALL_STATE(2869)] = 19925,
  [SMALL_STATE(2870)] = 20055,
  [SMALL_STATE(2871)] = 20185,
  [SMALL_STATE(2872)] = 20259,
  [SMALL_STATE(2873)] = 20389,
  [SMALL_STATE(2874)] = 20519,
  [SMALL_STATE(2875)] = 20649,
  [SMALL_STATE(2876)] = 20723,
  [SMALL_STATE(2877)] = 20797,
  [SMALL_STATE(2878)] = 20871,
  [SMALL_STATE(2879)] = 21001,
  [SMALL_STATE(2880)] = 21075,
  [SMALL_STATE(2881)] = 21149,
  [SMALL_STATE(2882)] = 21223,
  [SMALL_STATE(2883)] = 21353,
  [SMALL_STATE(2884)] = 21427,
  [SMALL_STATE(2885)] = 21557,
  [SMALL_STATE(2886)] = 21631,
  [SMALL_STATE(2887)] = 21707,
  [SMALL_STATE(2888)] = 21837,
  [SMALL_STATE(2889)] = 21911,
  [SMALL_STATE(2890)] = 21985,
  [SMALL_STATE(2891)] = 22115,
  [SMALL_STATE(2892)] = 22189,
  [SMALL_STATE(2893)] = 22319,
  [SMALL_STATE(2894)] = 22393,
  [SMALL_STATE(2895)] = 22523,
  [SMALL_STATE(2896)] = 22653,
  [SMALL_STATE(2897)] = 22783,
  [SMALL_STATE(2898)] = 22913,
  [SMALL_STATE(2899)] = 23043,
  [SMALL_STATE(2900)] = 23117,
  [SMALL_STATE(2901)] = 23191,
  [SMALL_STATE(2902)] = 23265,
  [SMALL_STATE(2903)] = 23339,
  [SMALL_STATE(2904)] = 23469,
  [SMALL_STATE(2905)] = 23543,
  [SMALL_STATE(2906)] = 23617,
  [SMALL_STATE(2907)] = 23691,
  [SMALL_STATE(2908)] = 23765,
  [SMALL_STATE(2909)] = 23841,
  [SMALL_STATE(2910)] = 23971,
  [SMALL_STATE(2911)] = 24045,
  [SMALL_STATE(2912)] = 24119,
  [SMALL_STATE(2913)] = 24193,
  [SMALL_STATE(2914)] = 24267,
  [SMALL_STATE(2915)] = 24341,
  [SMALL_STATE(2916)] = 24415,
  [SMALL_STATE(2917)] = 24545,
  [SMALL_STATE(2918)] = 24619,
  [SMALL_STATE(2919)] = 24695,
  [SMALL_STATE(2920)] = 24769,
  [SMALL_STATE(2921)] = 24843,
  [SMALL_STATE(2922)] = 24917,
  [SMALL_STATE(2923)] = 24991,
  [SMALL_STATE(2924)] = 25065,
  [SMALL_STATE(2925)] = 25139,
  [SMALL_STATE(2926)] = 25213,
  [SMALL_STATE(2927)] = 25287,
  [SMALL_STATE(2928)] = 25361,
  [SMALL_STATE(2929)] = 25435,
  [SMALL_STATE(2930)] = 25511,
  [SMALL_STATE(2931)] = 25585,
  [SMALL_STATE(2932)] = 25659,
  [SMALL_STATE(2933)] = 25733,
  [SMALL_STATE(2934)] = 25807,
  [SMALL_STATE(2935)] = 25881,
  [SMALL_STATE(2936)] = 25955,
  [SMALL_STATE(2937)] = 26031,
  [SMALL_STATE(2938)] = 26105,
  [SMALL_STATE(2939)] = 26179,
  [SMALL_STATE(2940)] = 26253,
  [SMALL_STATE(2941)] = 26327,
  [SMALL_STATE(2942)] = 26401,
  [SMALL_STATE(2943)] = 26475,
  [SMALL_STATE(2944)] = 26549,
  [SMALL_STATE(2945)] = 26623,
  [SMALL_STATE(2946)] = 26697,
  [SMALL_STATE(2947)] = 26771,
  [SMALL_STATE(2948)] = 26845,
  [SMALL_STATE(2949)] = 26919,
  [SMALL_STATE(2950)] = 27051,
  [SMALL_STATE(2951)] = 27183,
  [SMALL_STATE(2952)] = 27257,
  [SMALL_STATE(2953)] = 27331,
  [SMALL_STATE(2954)] = 27405,
  [SMALL_STATE(2955)] = 27479,
  [SMALL_STATE(2956)] = 27553,
  [SMALL_STATE(2957)] = 27627,
  [SMALL_STATE(2958)] = 27757,
  [SMALL_STATE(2959)] = 27830,
  [SMALL_STATE(2960)] = 27961,
  [SMALL_STATE(2961)] = 28034,
  [SMALL_STATE(2962)] = 28107,
  [SMALL_STATE(2963)] = 28238,
  [SMALL_STATE(2964)] = 28369,
  [SMALL_STATE(2965)] = 28444,
  [SMALL_STATE(2966)] = 28517,
  [SMALL_STATE(2967)] = 28648,
  [SMALL_STATE(2968)] = 28721,
  [SMALL_STATE(2969)] = 28794,
  [SMALL_STATE(2970)] = 28925,
  [SMALL_STATE(2971)] = 29056,
  [SMALL_STATE(2972)] = 29129,
  [SMALL_STATE(2973)] = 29260,
  [SMALL_STATE(2974)] = 29391,
  [SMALL_STATE(2975)] = 29464,
  [SMALL_STATE(2976)] = 29537,
  [SMALL_STATE(2977)] = 29610,
  [SMALL_STATE(2978)] = 29685,
  [SMALL_STATE(2979)] = 29758,
  [SMALL_STATE(2980)] = 29889,
  [SMALL_STATE(2981)] = 30020,
  [SMALL_STATE(2982)] = 30151,
  [SMALL_STATE(2983)] = 30282,
  [SMALL_STATE(2984)] = 30413,
  [SMALL_STATE(2985)] = 30544,
  [SMALL_STATE(2986)] = 30617,
  [SMALL_STATE(2987)] = 30690,
  [SMALL_STATE(2988)] = 30763,
  [SMALL_STATE(2989)] = 30894,
  [SMALL_STATE(2990)] = 31025,
  [SMALL_STATE(2991)] = 31156,
  [SMALL_STATE(2992)] = 31287,
  [SMALL_STATE(2993)] = 31418,
  [SMALL_STATE(2994)] = 31549,
  [SMALL_STATE(2995)] = 31680,
  [SMALL_STATE(2996)] = 31811,
  [SMALL_STATE(2997)] = 31942,
  [SMALL_STATE(2998)] = 32073,
  [SMALL_STATE(2999)] = 32204,
  [SMALL_STATE(3000)] = 32277,
  [SMALL_STATE(3001)] = 32408,
  [SMALL_STATE(3002)] = 32539,
  [SMALL_STATE(3003)] = 32670,
  [SMALL_STATE(3004)] = 32801,
  [SMALL_STATE(3005)] = 32932,
  [SMALL_STATE(3006)] = 33063,
  [SMALL_STATE(3007)] = 33194,
  [SMALL_STATE(3008)] = 33325,
  [SMALL_STATE(3009)] = 33456,
  [SMALL_STATE(3010)] = 33529,
  [SMALL_STATE(3011)] = 33602,
  [SMALL_STATE(3012)] = 33675,
  [SMALL_STATE(3013)] = 33806,
  [SMALL_STATE(3014)] = 33937,
  [SMALL_STATE(3015)] = 34010,
  [SMALL_STATE(3016)] = 34083,
  [SMALL_STATE(3017)] = 34214,
  [SMALL_STATE(3018)] = 34287,
  [SMALL_STATE(3019)] = 34418,
  [SMALL_STATE(3020)] = 34549,
  [SMALL_STATE(3021)] = 34680,
  [SMALL_STATE(3022)] = 34811,
  [SMALL_STATE(3023)] = 34942,
  [SMALL_STATE(3024)] = 35073,
  [SMALL_STATE(3025)] = 35204,
  [SMALL_STATE(3026)] = 35335,
  [SMALL_STATE(3027)] = 35408,
  [SMALL_STATE(3028)] = 35539,
  [SMALL_STATE(3029)] = 35670,
  [SMALL_STATE(3030)] = 35801,
  [SMALL_STATE(3031)] = 35874,
  [SMALL_STATE(3032)] = 35947,
  [SMALL_STATE(3033)] = 36078,
  [SMALL_STATE(3034)] = 36209,
  [SMALL_STATE(3035)] = 36282,
  [SMALL_STATE(3036)] = 36355,
  [SMALL_STATE(3037)] = 36486,
  [SMALL_STATE(3038)] = 36617,
  [SMALL_STATE(3039)] = 36748,
  [SMALL_STATE(3040)] = 36879,
  [SMALL_STATE(3041)] = 37010,
  [SMALL_STATE(3042)] = 37141,
  [SMALL_STATE(3043)] = 37272,
  [SMALL_STATE(3044)] = 37345,
  [SMALL_STATE(3045)] = 37476,
  [SMALL_STATE(3046)] = 37607,
  [SMALL_STATE(3047)] = 37680,
  [SMALL_STATE(3048)] = 37811,
  [SMALL_STATE(3049)] = 37942,
  [SMALL_STATE(3050)] = 38073,
  [SMALL_STATE(3051)] = 38146,
  [SMALL_STATE(3052)] = 38277,
  [SMALL_STATE(3053)] = 38408,
  [SMALL_STATE(3054)] = 38539,
  [SMALL_STATE(3055)] = 38612,
  [SMALL_STATE(3056)] = 38685,
  [SMALL_STATE(3057)] = 38816,
  [SMALL_STATE(3058)] = 38947,
  [SMALL_STATE(3059)] = 39078,
  [SMALL_STATE(3060)] = 39209,
  [SMALL_STATE(3061)] = 39340,
  [SMALL_STATE(3062)] = 39413,
  [SMALL_STATE(3063)] = 39486,
  [SMALL_STATE(3064)] = 39559,
  [SMALL_STATE(3065)] = 39632,
  [SMALL_STATE(3066)] = 39705,
  [SMALL_STATE(3067)] = 39778,
  [SMALL_STATE(3068)] = 39851,
  [SMALL_STATE(3069)] = 39924,
  [SMALL_STATE(3070)] = 40055,
  [SMALL_STATE(3071)] = 40128,
  [SMALL_STATE(3072)] = 40259,
  [SMALL_STATE(3073)] = 40332,
  [SMALL_STATE(3074)] = 40405,
  [SMALL_STATE(3075)] = 40478,
  [SMALL_STATE(3076)] = 40619,
  [SMALL_STATE(3077)] = 40692,
  [SMALL_STATE(3078)] = 40823,
  [SMALL_STATE(3079)] = 40896,
  [SMALL_STATE(3080)] = 40969,
  [SMALL_STATE(3081)] = 41100,
  [SMALL_STATE(3082)] = 41175,
  [SMALL_STATE(3083)] = 41306,
  [SMALL_STATE(3084)] = 41379,
  [SMALL_STATE(3085)] = 41452,
  [SMALL_STATE(3086)] = 41525,
  [SMALL_STATE(3087)] = 41598,
  [SMALL_STATE(3088)] = 41671,
  [SMALL_STATE(3089)] = 41744,
  [SMALL_STATE(3090)] = 41875,
  [SMALL_STATE(3091)] = 41948,
  [SMALL_STATE(3092)] = 42079,
  [SMALL_STATE(3093)] = 42210,
  [SMALL_STATE(3094)] = 42341,
  [SMALL_STATE(3095)] = 42472,
  [SMALL_STATE(3096)] = 42603,
  [SMALL_STATE(3097)] = 42734,
  [SMALL_STATE(3098)] = 42865,
  [SMALL_STATE(3099)] = 42938,
  [SMALL_STATE(3100)] = 43069,
  [SMALL_STATE(3101)] = 43200,
  [SMALL_STATE(3102)] = 43331,
  [SMALL_STATE(3103)] = 43404,
  [SMALL_STATE(3104)] = 43477,
  [SMALL_STATE(3105)] = 43550,
  [SMALL_STATE(3106)] = 43623,
  [SMALL_STATE(3107)] = 43702,
  [SMALL_STATE(3108)] = 43777,
  [SMALL_STATE(3109)] = 43850,
  [SMALL_STATE(3110)] = 43923,
  [SMALL_STATE(3111)] = 44054,
  [SMALL_STATE(3112)] = 44127,
  [SMALL_STATE(3113)] = 44200,
  [SMALL_STATE(3114)] = 44331,
  [SMALL_STATE(3115)] = 44462,
  [SMALL_STATE(3116)] = 44535,
  [SMALL_STATE(3117)] = 44666,
  [SMALL_STATE(3118)] = 44739,
  [SMALL_STATE(3119)] = 44870,
  [SMALL_STATE(3120)] = 45001,
  [SMALL_STATE(3121)] = 45132,
  [SMALL_STATE(3122)] = 45263,
  [SMALL_STATE(3123)] = 45394,
  [SMALL_STATE(3124)] = 45525,
  [SMALL_STATE(3125)] = 45656,
  [SMALL_STATE(3126)] = 45787,
  [SMALL_STATE(3127)] = 45918,
  [SMALL_STATE(3128)] = 46049,
  [SMALL_STATE(3129)] = 46180,
  [SMALL_STATE(3130)] = 46311,
  [SMALL_STATE(3131)] = 46390,
  [SMALL_STATE(3132)] = 46521,
  [SMALL_STATE(3133)] = 46652,
  [SMALL_STATE(3134)] = 46783,
  [SMALL_STATE(3135)] = 46914,
  [SMALL_STATE(3136)] = 47045,
  [SMALL_STATE(3137)] = 47176,
  [SMALL_STATE(3138)] = 47307,
  [SMALL_STATE(3139)] = 47438,
  [SMALL_STATE(3140)] = 47569,
  [SMALL_STATE(3141)] = 47642,
  [SMALL_STATE(3142)] = 47715,
  [SMALL_STATE(3143)] = 47846,
  [SMALL_STATE(3144)] = 47919,
  [SMALL_STATE(3145)] = 48050,
  [SMALL_STATE(3146)] = 48123,
  [SMALL_STATE(3147)] = 48254,
  [SMALL_STATE(3148)] = 48385,
  [SMALL_STATE(3149)] = 48516,
  [SMALL_STATE(3150)] = 48647,
  [SMALL_STATE(3151)] = 48720,
  [SMALL_STATE(3152)] = 48851,
  [SMALL_STATE(3153)] = 48924,
  [SMALL_STATE(3154)] = 48997,
  [SMALL_STATE(3155)] = 49128,
  [SMALL_STATE(3156)] = 49259,
  [SMALL_STATE(3157)] = 49390,
  [SMALL_STATE(3158)] = 49463,
  [SMALL_STATE(3159)] = 49536,
  [SMALL_STATE(3160)] = 49609,
  [SMALL_STATE(3161)] = 49740,
  [SMALL_STATE(3162)] = 49871,
  [SMALL_STATE(3163)] = 50002,
  [SMALL_STATE(3164)] = 50133,
  [SMALL_STATE(3165)] = 50206,
  [SMALL_STATE(3166)] = 50337,
  [SMALL_STATE(3167)] = 50468,
  [SMALL_STATE(3168)] = 50541,
  [SMALL_STATE(3169)] = 50614,
  [SMALL_STATE(3170)] = 50745,
  [SMALL_STATE(3171)] = 50876,
  [SMALL_STATE(3172)] = 51007,
  [SMALL_STATE(3173)] = 51080,
  [SMALL_STATE(3174)] = 51153,
  [SMALL_STATE(3175)] = 51284,
  [SMALL_STATE(3176)] = 51415,
  [SMALL_STATE(3177)] = 51488,
  [SMALL_STATE(3178)] = 51561,
  [SMALL_STATE(3179)] = 51634,
  [SMALL_STATE(3180)] = 51765,
  [SMALL_STATE(3181)] = 51896,
  [SMALL_STATE(3182)] = 52027,
  [SMALL_STATE(3183)] = 52100,
  [SMALL_STATE(3184)] = 52231,
  [SMALL_STATE(3185)] = 52362,
  [SMALL_STATE(3186)] = 52493,
  [SMALL_STATE(3187)] = 52572,
  [SMALL_STATE(3188)] = 52645,
  [SMALL_STATE(3189)] = 52718,
  [SMALL_STATE(3190)] = 52791,
  [SMALL_STATE(3191)] = 52864,
  [SMALL_STATE(3192)] = 52995,
  [SMALL_STATE(3193)] = 53126,
  [SMALL_STATE(3194)] = 53199,
  [SMALL_STATE(3195)] = 53272,
  [SMALL_STATE(3196)] = 53345,
  [SMALL_STATE(3197)] = 53418,
  [SMALL_STATE(3198)] = 53491,
  [SMALL_STATE(3199)] = 53570,
  [SMALL_STATE(3200)] = 53643,
  [SMALL_STATE(3201)] = 53716,
  [SMALL_STATE(3202)] = 53789,
  [SMALL_STATE(3203)] = 53862,
  [SMALL_STATE(3204)] = 53935,
  [SMALL_STATE(3205)] = 54066,
  [SMALL_STATE(3206)] = 54139,
  [SMALL_STATE(3207)] = 54212,
  [SMALL_STATE(3208)] = 54285,
  [SMALL_STATE(3209)] = 54358,
  [SMALL_STATE(3210)] = 54433,
  [SMALL_STATE(3211)] = 54506,
  [SMALL_STATE(3212)] = 54579,
  [SMALL_STATE(3213)] = 54652,
  [SMALL_STATE(3214)] = 54783,
  [SMALL_STATE(3215)] = 54856,
  [SMALL_STATE(3216)] = 54929,
  [SMALL_STATE(3217)] = 55002,
  [SMALL_STATE(3218)] = 55075,
  [SMALL_STATE(3219)] = 55148,
  [SMALL_STATE(3220)] = 55221,
  [SMALL_STATE(3221)] = 55352,
  [SMALL_STATE(3222)] = 55425,
  [SMALL_STATE(3223)] = 55498,
  [SMALL_STATE(3224)] = 55571,
  [SMALL_STATE(3225)] = 55644,
  [SMALL_STATE(3226)] = 55717,
  [SMALL_STATE(3227)] = 55790,
  [SMALL_STATE(3228)] = 55863,
  [SMALL_STATE(3229)] = 55936,
  [SMALL_STATE(3230)] = 56009,
  [SMALL_STATE(3231)] = 56082,
  [SMALL_STATE(3232)] = 56213,
  [SMALL_STATE(3233)] = 56286,
  [SMALL_STATE(3234)] = 56359,
  [SMALL_STATE(3235)] = 56438,
  [SMALL_STATE(3236)] = 56569,
  [SMALL_STATE(3237)] = 56642,
  [SMALL_STATE(3238)] = 56715,
  [SMALL_STATE(3239)] = 56788,
  [SMALL_STATE(3240)] = 56861,
  [SMALL_STATE(3241)] = 56934,
  [SMALL_STATE(3242)] = 57065,
  [SMALL_STATE(3243)] = 57196,
  [SMALL_STATE(3244)] = 57327,
  [SMALL_STATE(3245)] = 57458,
  [SMALL_STATE(3246)] = 57531,
  [SMALL_STATE(3247)] = 57604,
  [SMALL_STATE(3248)] = 57677,
  [SMALL_STATE(3249)] = 57750,
  [SMALL_STATE(3250)] = 57823,
  [SMALL_STATE(3251)] = 57896,
  [SMALL_STATE(3252)] = 57969,
  [SMALL_STATE(3253)] = 58042,
  [SMALL_STATE(3254)] = 58115,
  [SMALL_STATE(3255)] = 58194,
  [SMALL_STATE(3256)] = 58267,
  [SMALL_STATE(3257)] = 58340,
  [SMALL_STATE(3258)] = 58413,
  [SMALL_STATE(3259)] = 58486,
  [SMALL_STATE(3260)] = 58559,
  [SMALL_STATE(3261)] = 58632,
  [SMALL_STATE(3262)] = 58705,
  [SMALL_STATE(3263)] = 58778,
  [SMALL_STATE(3264)] = 58909,
  [SMALL_STATE(3265)] = 58984,
  [SMALL_STATE(3266)] = 59057,
  [SMALL_STATE(3267)] = 59130,
  [SMALL_STATE(3268)] = 59203,
  [SMALL_STATE(3269)] = 59276,
  [SMALL_STATE(3270)] = 59349,
  [SMALL_STATE(3271)] = 59422,
  [SMALL_STATE(3272)] = 59495,
  [SMALL_STATE(3273)] = 59568,
  [SMALL_STATE(3274)] = 59641,
  [SMALL_STATE(3275)] = 59714,
  [SMALL_STATE(3276)] = 59787,
  [SMALL_STATE(3277)] = 59860,
  [SMALL_STATE(3278)] = 59933,
  [SMALL_STATE(3279)] = 60006,
  [SMALL_STATE(3280)] = 60079,
  [SMALL_STATE(3281)] = 60210,
  [SMALL_STATE(3282)] = 60341,
  [SMALL_STATE(3283)] = 60414,
  [SMALL_STATE(3284)] = 60487,
  [SMALL_STATE(3285)] = 60566,
  [SMALL_STATE(3286)] = 60639,
  [SMALL_STATE(3287)] = 60770,
  [SMALL_STATE(3288)] = 60843,
  [SMALL_STATE(3289)] = 60916,
  [SMALL_STATE(3290)] = 60989,
  [SMALL_STATE(3291)] = 61062,
  [SMALL_STATE(3292)] = 61193,
  [SMALL_STATE(3293)] = 61266,
  [SMALL_STATE(3294)] = 61339,
  [SMALL_STATE(3295)] = 61412,
  [SMALL_STATE(3296)] = 61543,
  [SMALL_STATE(3297)] = 61616,
  [SMALL_STATE(3298)] = 61689,
  [SMALL_STATE(3299)] = 61762,
  [SMALL_STATE(3300)] = 61835,
  [SMALL_STATE(3301)] = 61908,
  [SMALL_STATE(3302)] = 61981,
  [SMALL_STATE(3303)] = 62112,
  [SMALL_STATE(3304)] = 62185,
  [SMALL_STATE(3305)] = 62316,
  [SMALL_STATE(3306)] = 62389,
  [SMALL_STATE(3307)] = 62462,
  [SMALL_STATE(3308)] = 62535,
  [SMALL_STATE(3309)] = 62666,
  [SMALL_STATE(3310)] = 62797,
  [SMALL_STATE(3311)] = 62870,
  [SMALL_STATE(3312)] = 62943,
  [SMALL_STATE(3313)] = 63016,
  [SMALL_STATE(3314)] = 63147,
  [SMALL_STATE(3315)] = 63278,
  [SMALL_STATE(3316)] = 63351,
  [SMALL_STATE(3317)] = 63424,
  [SMALL_STATE(3318)] = 63497,
  [SMALL_STATE(3319)] = 63628,
  [SMALL_STATE(3320)] = 63701,
  [SMALL_STATE(3321)] = 63774,
  [SMALL_STATE(3322)] = 63847,
  [SMALL_STATE(3323)] = 63920,
  [SMALL_STATE(3324)] = 63993,
  [SMALL_STATE(3325)] = 64066,
  [SMALL_STATE(3326)] = 64139,
  [SMALL_STATE(3327)] = 64212,
  [SMALL_STATE(3328)] = 64343,
  [SMALL_STATE(3329)] = 64416,
  [SMALL_STATE(3330)] = 64489,
  [SMALL_STATE(3331)] = 64620,
  [SMALL_STATE(3332)] = 64751,
  [SMALL_STATE(3333)] = 64882,
  [SMALL_STATE(3334)] = 64955,
  [SMALL_STATE(3335)] = 65086,
  [SMALL_STATE(3336)] = 65217,
  [SMALL_STATE(3337)] = 65290,
  [SMALL_STATE(3338)] = 65363,
  [SMALL_STATE(3339)] = 65438,
  [SMALL_STATE(3340)] = 65569,
  [SMALL_STATE(3341)] = 65700,
  [SMALL_STATE(3342)] = 65773,
  [SMALL_STATE(3343)] = 65848,
  [SMALL_STATE(3344)] = 65989,
  [SMALL_STATE(3345)] = 66062,
  [SMALL_STATE(3346)] = 66193,
  [SMALL_STATE(3347)] = 66324,
  [SMALL_STATE(3348)] = 66455,
  [SMALL_STATE(3349)] = 66528,
  [SMALL_STATE(3350)] = 66601,
  [SMALL_STATE(3351)] = 66742,
  [SMALL_STATE(3352)] = 66815,
  [SMALL_STATE(3353)] = 66888,
  [SMALL_STATE(3354)] = 66961,
  [SMALL_STATE(3355)] = 67034,
  [SMALL_STATE(3356)] = 67165,
  [SMALL_STATE(3357)] = 67238,
  [SMALL_STATE(3358)] = 67311,
  [SMALL_STATE(3359)] = 67452,
  [SMALL_STATE(3360)] = 67525,
  [SMALL_STATE(3361)] = 67598,
  [SMALL_STATE(3362)] = 67671,
  [SMALL_STATE(3363)] = 67802,
  [SMALL_STATE(3364)] = 67943,
  [SMALL_STATE(3365)] = 68016,
  [SMALL_STATE(3366)] = 68089,
  [SMALL_STATE(3367)] = 68220,
  [SMALL_STATE(3368)] = 68293,
  [SMALL_STATE(3369)] = 68366,
  [SMALL_STATE(3370)] = 68439,
  [SMALL_STATE(3371)] = 68580,
  [SMALL_STATE(3372)] = 68653,
  [SMALL_STATE(3373)] = 68726,
  [SMALL_STATE(3374)] = 68857,
  [SMALL_STATE(3375)] = 68930,
  [SMALL_STATE(3376)] = 69003,
  [SMALL_STATE(3377)] = 69144,
  [SMALL_STATE(3378)] = 69219,
  [SMALL_STATE(3379)] = 69292,
  [SMALL_STATE(3380)] = 69365,
  [SMALL_STATE(3381)] = 69438,
  [SMALL_STATE(3382)] = 69511,
  [SMALL_STATE(3383)] = 69584,
  [SMALL_STATE(3384)] = 69657,
  [SMALL_STATE(3385)] = 69730,
  [SMALL_STATE(3386)] = 69805,
  [SMALL_STATE(3387)] = 69878,
  [SMALL_STATE(3388)] = 69951,
  [SMALL_STATE(3389)] = 70024,
  [SMALL_STATE(3390)] = 70099,
  [SMALL_STATE(3391)] = 70172,
  [SMALL_STATE(3392)] = 70245,
  [SMALL_STATE(3393)] = 70318,
  [SMALL_STATE(3394)] = 70391,
  [SMALL_STATE(3395)] = 70464,
  [SMALL_STATE(3396)] = 70537,
  [SMALL_STATE(3397)] = 70610,
  [SMALL_STATE(3398)] = 70683,
  [SMALL_STATE(3399)] = 70758,
  [SMALL_STATE(3400)] = 70831,
  [SMALL_STATE(3401)] = 70904,
  [SMALL_STATE(3402)] = 70977,
  [SMALL_STATE(3403)] = 71052,
  [SMALL_STATE(3404)] = 71183,
  [SMALL_STATE(3405)] = 71314,
  [SMALL_STATE(3406)] = 71389,
  [SMALL_STATE(3407)] = 71462,
  [SMALL_STATE(3408)] = 71535,
  [SMALL_STATE(3409)] = 71608,
  [SMALL_STATE(3410)] = 71681,
  [SMALL_STATE(3411)] = 71754,
  [SMALL_STATE(3412)] = 71827,
  [SMALL_STATE(3413)] = 71900,
  [SMALL_STATE(3414)] = 71973,
  [SMALL_STATE(3415)] = 72046,
  [SMALL_STATE(3416)] = 72177,
  [SMALL_STATE(3417)] = 72308,
  [SMALL_STATE(3418)] = 72439,
  [SMALL_STATE(3419)] = 72512,
  [SMALL_STATE(3420)] = 72585,
  [SMALL_STATE(3421)] = 72658,
  [SMALL_STATE(3422)] = 72789,
  [SMALL_STATE(3423)] = 72920,
  [SMALL_STATE(3424)] = 73051,
  [SMALL_STATE(3425)] = 73182,
  [SMALL_STATE(3426)] = 73255,
  [SMALL_STATE(3427)] = 73330,
  [SMALL_STATE(3428)] = 73461,
  [SMALL_STATE(3429)] = 73534,
  [SMALL_STATE(3430)] = 73607,
  [SMALL_STATE(3431)] = 73680,
  [SMALL_STATE(3432)] = 73753,
  [SMALL_STATE(3433)] = 73884,
  [SMALL_STATE(3434)] = 74015,
  [SMALL_STATE(3435)] = 74146,
  [SMALL_STATE(3436)] = 74219,
  [SMALL_STATE(3437)] = 74294,
  [SMALL_STATE(3438)] = 74425,
  [SMALL_STATE(3439)] = 74556,
  [SMALL_STATE(3440)] = 74687,
  [SMALL_STATE(3441)] = 74818,
  [SMALL_STATE(3442)] = 74891,
  [SMALL_STATE(3443)] = 74964,
  [SMALL_STATE(3444)] = 75037,
  [SMALL_STATE(3445)] = 75168,
  [SMALL_STATE(3446)] = 75299,
  [SMALL_STATE(3447)] = 75372,
  [SMALL_STATE(3448)] = 75445,
  [SMALL_STATE(3449)] = 75518,
  [SMALL_STATE(3450)] = 75591,
  [SMALL_STATE(3451)] = 75664,
  [SMALL_STATE(3452)] = 75737,
  [SMALL_STATE(3453)] = 75810,
  [SMALL_STATE(3454)] = 75941,
  [SMALL_STATE(3455)] = 76014,
  [SMALL_STATE(3456)] = 76145,
  [SMALL_STATE(3457)] = 76276,
  [SMALL_STATE(3458)] = 76407,
  [SMALL_STATE(3459)] = 76538,
  [SMALL_STATE(3460)] = 76669,
  [SMALL_STATE(3461)] = 76742,
  [SMALL_STATE(3462)] = 76815,
  [SMALL_STATE(3463)] = 76888,
  [SMALL_STATE(3464)] = 76961,
  [SMALL_STATE(3465)] = 77034,
  [SMALL_STATE(3466)] = 77165,
  [SMALL_STATE(3467)] = 77238,
  [SMALL_STATE(3468)] = 77369,
  [SMALL_STATE(3469)] = 77500,
  [SMALL_STATE(3470)] = 77631,
  [SMALL_STATE(3471)] = 77704,
  [SMALL_STATE(3472)] = 77835,
  [SMALL_STATE(3473)] = 77966,
  [SMALL_STATE(3474)] = 78045,
  [SMALL_STATE(3475)] = 78176,
  [SMALL_STATE(3476)] = 78307,
  [SMALL_STATE(3477)] = 78438,
  [SMALL_STATE(3478)] = 78569,
  [SMALL_STATE(3479)] = 78700,
  [SMALL_STATE(3480)] = 78831,
  [SMALL_STATE(3481)] = 78962,
  [SMALL_STATE(3482)] = 79093,
  [SMALL_STATE(3483)] = 79166,
  [SMALL_STATE(3484)] = 79239,
  [SMALL_STATE(3485)] = 79312,
  [SMALL_STATE(3486)] = 79385,
  [SMALL_STATE(3487)] = 79458,
  [SMALL_STATE(3488)] = 79531,
  [SMALL_STATE(3489)] = 79604,
  [SMALL_STATE(3490)] = 79735,
  [SMALL_STATE(3491)] = 79866,
  [SMALL_STATE(3492)] = 79997,
  [SMALL_STATE(3493)] = 80128,
  [SMALL_STATE(3494)] = 80259,
  [SMALL_STATE(3495)] = 80390,
  [SMALL_STATE(3496)] = 80521,
  [SMALL_STATE(3497)] = 80652,
  [SMALL_STATE(3498)] = 80725,
  [SMALL_STATE(3499)] = 80798,
  [SMALL_STATE(3500)] = 80870,
  [SMALL_STATE(3501)] = 80994,
  [SMALL_STATE(3502)] = 81066,
  [SMALL_STATE(3503)] = 81140,
  [SMALL_STATE(3504)] = 81264,
  [SMALL_STATE(3505)] = 81336,
  [SMALL_STATE(3506)] = 81408,
  [SMALL_STATE(3507)] = 81480,
  [SMALL_STATE(3508)] = 81552,
  [SMALL_STATE(3509)] = 81624,
  [SMALL_STATE(3510)] = 81696,
  [SMALL_STATE(3511)] = 81768,
  [SMALL_STATE(3512)] = 81840,
  [SMALL_STATE(3513)] = 81912,
  [SMALL_STATE(3514)] = 82036,
  [SMALL_STATE(3515)] = 82108,
  [SMALL_STATE(3516)] = 82232,
  [SMALL_STATE(3517)] = 82304,
  [SMALL_STATE(3518)] = 82376,
  [SMALL_STATE(3519)] = 82448,
  [SMALL_STATE(3520)] = 82520,
  [SMALL_STATE(3521)] = 82594,
  [SMALL_STATE(3522)] = 82666,
  [SMALL_STATE(3523)] = 82738,
  [SMALL_STATE(3524)] = 82810,
  [SMALL_STATE(3525)] = 82882,
  [SMALL_STATE(3526)] = 82954,
  [SMALL_STATE(3527)] = 83026,
  [SMALL_STATE(3528)] = 83150,
  [SMALL_STATE(3529)] = 83274,
  [SMALL_STATE(3530)] = 83346,
  [SMALL_STATE(3531)] = 83418,
  [SMALL_STATE(3532)] = 83542,
  [SMALL_STATE(3533)] = 83614,
  [SMALL_STATE(3534)] = 83686,
  [SMALL_STATE(3535)] = 83758,
  [SMALL_STATE(3536)] = 83830,
  [SMALL_STATE(3537)] = 83902,
  [SMALL_STATE(3538)] = 83974,
  [SMALL_STATE(3539)] = 84046,
  [SMALL_STATE(3540)] = 84118,
  [SMALL_STATE(3541)] = 84190,
  [SMALL_STATE(3542)] = 84262,
  [SMALL_STATE(3543)] = 84334,
  [SMALL_STATE(3544)] = 84458,
  [SMALL_STATE(3545)] = 84530,
  [SMALL_STATE(3546)] = 84654,
  [SMALL_STATE(3547)] = 84726,
  [SMALL_STATE(3548)] = 84798,
  [SMALL_STATE(3549)] = 84870,
  [SMALL_STATE(3550)] = 84942,
  [SMALL_STATE(3551)] = 85020,
  [SMALL_STATE(3552)] = 85148,
  [SMALL_STATE(3553)] = 85276,
  [SMALL_STATE(3554)] = 85400,
  [SMALL_STATE(3555)] = 85524,
  [SMALL_STATE(3556)] = 85652,
  [SMALL_STATE(3557)] = 85724,
  [SMALL_STATE(3558)] = 85796,
  [SMALL_STATE(3559)] = 85868,
  [SMALL_STATE(3560)] = 85940,
  [SMALL_STATE(3561)] = 86012,
  [SMALL_STATE(3562)] = 86084,
  [SMALL_STATE(3563)] = 86156,
  [SMALL_STATE(3564)] = 86234,
  [SMALL_STATE(3565)] = 86358,
  [SMALL_STATE(3566)] = 86430,
  [SMALL_STATE(3567)] = 86554,
  [SMALL_STATE(3568)] = 86626,
  [SMALL_STATE(3569)] = 86698,
  [SMALL_STATE(3570)] = 86770,
  [SMALL_STATE(3571)] = 86842,
  [SMALL_STATE(3572)] = 86914,
  [SMALL_STATE(3573)] = 86986,
  [SMALL_STATE(3574)] = 87058,
  [SMALL_STATE(3575)] = 87130,
  [SMALL_STATE(3576)] = 87254,
  [SMALL_STATE(3577)] = 87326,
  [SMALL_STATE(3578)] = 87398,
  [SMALL_STATE(3579)] = 87470,
  [SMALL_STATE(3580)] = 87542,
  [SMALL_STATE(3581)] = 87614,
  [SMALL_STATE(3582)] = 87686,
  [SMALL_STATE(3583)] = 87758,
  [SMALL_STATE(3584)] = 87832,
  [SMALL_STATE(3585)] = 87906,
  [SMALL_STATE(3586)] = 88030,
  [SMALL_STATE(3587)] = 88154,
  [SMALL_STATE(3588)] = 88232,
  [SMALL_STATE(3589)] = 88304,
  [SMALL_STATE(3590)] = 88376,
  [SMALL_STATE(3591)] = 88448,
  [SMALL_STATE(3592)] = 88520,
  [SMALL_STATE(3593)] = 88644,
  [SMALL_STATE(3594)] = 88768,
  [SMALL_STATE(3595)] = 88840,
  [SMALL_STATE(3596)] = 88968,
  [SMALL_STATE(3597)] = 89096,
  [SMALL_STATE(3598)] = 89220,
  [SMALL_STATE(3599)] = 89344,
  [SMALL_STATE(3600)] = 89416,
  [SMALL_STATE(3601)] = 89488,
  [SMALL_STATE(3602)] = 89560,
  [SMALL_STATE(3603)] = 89684,
  [SMALL_STATE(3604)] = 89758,
  [SMALL_STATE(3605)] = 89830,
  [SMALL_STATE(3606)] = 89954,
  [SMALL_STATE(3607)] = 90026,
  [SMALL_STATE(3608)] = 90098,
  [SMALL_STATE(3609)] = 90170,
  [SMALL_STATE(3610)] = 90248,
  [SMALL_STATE(3611)] = 90320,
  [SMALL_STATE(3612)] = 90444,
  [SMALL_STATE(3613)] = 90568,
  [SMALL_STATE(3614)] = 90640,
  [SMALL_STATE(3615)] = 90712,
  [SMALL_STATE(3616)] = 90784,
  [SMALL_STATE(3617)] = 90856,
  [SMALL_STATE(3618)] = 90930,
  [SMALL_STATE(3619)] = 91002,
  [SMALL_STATE(3620)] = 91074,
  [SMALL_STATE(3621)] = 91146,
  [SMALL_STATE(3622)] = 91218,
  [SMALL_STATE(3623)] = 91290,
  [SMALL_STATE(3624)] = 91362,
  [SMALL_STATE(3625)] = 91434,
  [SMALL_STATE(3626)] = 91508,
  [SMALL_STATE(3627)] = 91632,
  [SMALL_STATE(3628)] = 91704,
  [SMALL_STATE(3629)] = 91776,
  [SMALL_STATE(3630)] = 91848,
  [SMALL_STATE(3631)] = 91920,
  [SMALL_STATE(3632)] = 91992,
  [SMALL_STATE(3633)] = 92064,
  [SMALL_STATE(3634)] = 92136,
  [SMALL_STATE(3635)] = 92210,
  [SMALL_STATE(3636)] = 92282,
  [SMALL_STATE(3637)] = 92354,
  [SMALL_STATE(3638)] = 92426,
  [SMALL_STATE(3639)] = 92498,
  [SMALL_STATE(3640)] = 92570,
  [SMALL_STATE(3641)] = 92642,
  [SMALL_STATE(3642)] = 92770,
  [SMALL_STATE(3643)] = 92844,
  [SMALL_STATE(3644)] = 92916,
  [SMALL_STATE(3645)] = 92988,
  [SMALL_STATE(3646)] = 93060,
  [SMALL_STATE(3647)] = 93184,
  [SMALL_STATE(3648)] = 93256,
  [SMALL_STATE(3649)] = 93328,
  [SMALL_STATE(3650)] = 93400,
  [SMALL_STATE(3651)] = 93524,
  [SMALL_STATE(3652)] = 93648,
  [SMALL_STATE(3653)] = 93772,
  [SMALL_STATE(3654)] = 93844,
  [SMALL_STATE(3655)] = 93916,
  [SMALL_STATE(3656)] = 94040,
  [SMALL_STATE(3657)] = 94112,
  [SMALL_STATE(3658)] = 94184,
  [SMALL_STATE(3659)] = 94256,
  [SMALL_STATE(3660)] = 94328,
  [SMALL_STATE(3661)] = 94400,
  [SMALL_STATE(3662)] = 94472,
  [SMALL_STATE(3663)] = 94544,
  [SMALL_STATE(3664)] = 94668,
  [SMALL_STATE(3665)] = 94792,
  [SMALL_STATE(3666)] = 94864,
  [SMALL_STATE(3667)] = 94988,
  [SMALL_STATE(3668)] = 95060,
  [SMALL_STATE(3669)] = 95132,
  [SMALL_STATE(3670)] = 95256,
  [SMALL_STATE(3671)] = 95380,
  [SMALL_STATE(3672)] = 95452,
  [SMALL_STATE(3673)] = 95524,
  [SMALL_STATE(3674)] = 95596,
  [SMALL_STATE(3675)] = 95668,
  [SMALL_STATE(3676)] = 95740,
  [SMALL_STATE(3677)] = 95812,
  [SMALL_STATE(3678)] = 95884,
  [SMALL_STATE(3679)] = 95956,
  [SMALL_STATE(3680)] = 96080,
  [SMALL_STATE(3681)] = 96204,
  [SMALL_STATE(3682)] = 96276,
  [SMALL_STATE(3683)] = 96404,
  [SMALL_STATE(3684)] = 96476,
  [SMALL_STATE(3685)] = 96548,
  [SMALL_STATE(3686)] = 96620,
  [SMALL_STATE(3687)] = 96692,
  [SMALL_STATE(3688)] = 96816,
  [SMALL_STATE(3689)] = 96888,
  [SMALL_STATE(3690)] = 97016,
  [SMALL_STATE(3691)] = 97144,
  [SMALL_STATE(3692)] = 97216,
  [SMALL_STATE(3693)] = 97288,
  [SMALL_STATE(3694)] = 97412,
  [SMALL_STATE(3695)] = 97540,
  [SMALL_STATE(3696)] = 97668,
  [SMALL_STATE(3697)] = 97740,
  [SMALL_STATE(3698)] = 97864,
  [SMALL_STATE(3699)] = 97936,
  [SMALL_STATE(3700)] = 98064,
  [SMALL_STATE(3701)] = 98188,
  [SMALL_STATE(3702)] = 98312,
  [SMALL_STATE(3703)] = 98436,
  [SMALL_STATE(3704)] = 98560,
  [SMALL_STATE(3705)] = 98632,
  [SMALL_STATE(3706)] = 98706,
  [SMALL_STATE(3707)] = 98778,
  [SMALL_STATE(3708)] = 98852,
  [SMALL_STATE(3709)] = 98924,
  [SMALL_STATE(3710)] = 99048,
  [SMALL_STATE(3711)] = 99120,
  [SMALL_STATE(3712)] = 99194,
  [SMALL_STATE(3713)] = 99318,
  [SMALL_STATE(3714)] = 99442,
  [SMALL_STATE(3715)] = 99514,
  [SMALL_STATE(3716)] = 99586,
  [SMALL_STATE(3717)] = 99658,
  [SMALL_STATE(3718)] = 99782,
  [SMALL_STATE(3719)] = 99910,
  [SMALL_STATE(3720)] = 100034,
  [SMALL_STATE(3721)] = 100106,
  [SMALL_STATE(3722)] = 100230,
  [SMALL_STATE(3723)] = 100302,
  [SMALL_STATE(3724)] = 100374,
  [SMALL_STATE(3725)] = 100498,
  [SMALL_STATE(3726)] = 100570,
  [SMALL_STATE(3727)] = 100642,
  [SMALL_STATE(3728)] = 100766,
  [SMALL_STATE(3729)] = 100838,
  [SMALL_STATE(3730)] = 100910,
  [SMALL_STATE(3731)] = 101034,
  [SMALL_STATE(3732)] = 101106,
  [SMALL_STATE(3733)] = 101178,
  [SMALL_STATE(3734)] = 101306,
  [SMALL_STATE(3735)] = 101431,
  [SMALL_STATE(3736)] = 101504,
  [SMALL_STATE(3737)] = 101629,
  [SMALL_STATE(3738)] = 101702,
  [SMALL_STATE(3739)] = 101773,
  [SMALL_STATE(3740)] = 101850,
  [SMALL_STATE(3741)] = 101921,
  [SMALL_STATE(3742)] = 102042,
  [SMALL_STATE(3743)] = 102113,
  [SMALL_STATE(3744)] = 102186,
  [SMALL_STATE(3745)] = 102257,
  [SMALL_STATE(3746)] = 102382,
  [SMALL_STATE(3747)] = 102503,
  [SMALL_STATE(3748)] = 102624,
  [SMALL_STATE(3749)] = 102749,
  [SMALL_STATE(3750)] = 102820,
  [SMALL_STATE(3751)] = 102891,
  [SMALL_STATE(3752)] = 103016,
  [SMALL_STATE(3753)] = 103141,
  [SMALL_STATE(3754)] = 103266,
  [SMALL_STATE(3755)] = 103339,
  [SMALL_STATE(3756)] = 103464,
  [SMALL_STATE(3757)] = 103589,
  [SMALL_STATE(3758)] = 103710,
  [SMALL_STATE(3759)] = 103781,
  [SMALL_STATE(3760)] = 103906,
  [SMALL_STATE(3761)] = 103977,
  [SMALL_STATE(3762)] = 104048,
  [SMALL_STATE(3763)] = 104173,
  [SMALL_STATE(3764)] = 104244,
  [SMALL_STATE(3765)] = 104369,
  [SMALL_STATE(3766)] = 104440,
  [SMALL_STATE(3767)] = 104565,
  [SMALL_STATE(3768)] = 104636,
  [SMALL_STATE(3769)] = 104757,
  [SMALL_STATE(3770)] = 104828,
  [SMALL_STATE(3771)] = 104953,
  [SMALL_STATE(3772)] = 105078,
  [SMALL_STATE(3773)] = 105199,
  [SMALL_STATE(3774)] = 105270,
  [SMALL_STATE(3775)] = 105341,
  [SMALL_STATE(3776)] = 105466,
  [SMALL_STATE(3777)] = 105587,
  [SMALL_STATE(3778)] = 105658,
  [SMALL_STATE(3779)] = 105779,
  [SMALL_STATE(3780)] = 105850,
  [SMALL_STATE(3781)] = 105971,
  [SMALL_STATE(3782)] = 106042,
  [SMALL_STATE(3783)] = 106167,
  [SMALL_STATE(3784)] = 106238,
  [SMALL_STATE(3785)] = 106363,
  [SMALL_STATE(3786)] = 106484,
  [SMALL_STATE(3787)] = 106555,
  [SMALL_STATE(3788)] = 106626,
  [SMALL_STATE(3789)] = 106697,
  [SMALL_STATE(3790)] = 106768,
  [SMALL_STATE(3791)] = 106839,
  [SMALL_STATE(3792)] = 106916,
  [SMALL_STATE(3793)] = 106987,
  [SMALL_STATE(3794)] = 107112,
  [SMALL_STATE(3795)] = 107237,
  [SMALL_STATE(3796)] = 107308,
  [SMALL_STATE(3797)] = 107433,
  [SMALL_STATE(3798)] = 107506,
  [SMALL_STATE(3799)] = 107577,
  [SMALL_STATE(3800)] = 107702,
  [SMALL_STATE(3801)] = 107823,
  [SMALL_STATE(3802)] = 107948,
  [SMALL_STATE(3803)] = 108069,
  [SMALL_STATE(3804)] = 108140,
  [SMALL_STATE(3805)] = 108211,
  [SMALL_STATE(3806)] = 108282,
  [SMALL_STATE(3807)] = 108355,
  [SMALL_STATE(3808)] = 108426,
  [SMALL_STATE(3809)] = 108551,
  [SMALL_STATE(3810)] = 108622,
  [SMALL_STATE(3811)] = 108693,
  [SMALL_STATE(3812)] = 108818,
  [SMALL_STATE(3813)] = 108889,
  [SMALL_STATE(3814)] = 108960,
  [SMALL_STATE(3815)] = 109081,
  [SMALL_STATE(3816)] = 109152,
  [SMALL_STATE(3817)] = 109223,
  [SMALL_STATE(3818)] = 109294,
  [SMALL_STATE(3819)] = 109365,
  [SMALL_STATE(3820)] = 109436,
  [SMALL_STATE(3821)] = 109507,
  [SMALL_STATE(3822)] = 109578,
  [SMALL_STATE(3823)] = 109699,
  [SMALL_STATE(3824)] = 109824,
  [SMALL_STATE(3825)] = 109949,
  [SMALL_STATE(3826)] = 110020,
  [SMALL_STATE(3827)] = 110091,
  [SMALL_STATE(3828)] = 110162,
  [SMALL_STATE(3829)] = 110233,
  [SMALL_STATE(3830)] = 110354,
  [SMALL_STATE(3831)] = 110425,
  [SMALL_STATE(3832)] = 110496,
  [SMALL_STATE(3833)] = 110567,
  [SMALL_STATE(3834)] = 110692,
  [SMALL_STATE(3835)] = 110763,
  [SMALL_STATE(3836)] = 110834,
  [SMALL_STATE(3837)] = 110905,
  [SMALL_STATE(3838)] = 110976,
  [SMALL_STATE(3839)] = 111047,
  [SMALL_STATE(3840)] = 111172,
  [SMALL_STATE(3841)] = 111243,
  [SMALL_STATE(3842)] = 111316,
  [SMALL_STATE(3843)] = 111387,
  [SMALL_STATE(3844)] = 111458,
  [SMALL_STATE(3845)] = 111583,
  [SMALL_STATE(3846)] = 111654,
  [SMALL_STATE(3847)] = 111725,
  [SMALL_STATE(3848)] = 111850,
  [SMALL_STATE(3849)] = 111971,
  [SMALL_STATE(3850)] = 112042,
  [SMALL_STATE(3851)] = 112163,
  [SMALL_STATE(3852)] = 112234,
  [SMALL_STATE(3853)] = 112307,
  [SMALL_STATE(3854)] = 112378,
  [SMALL_STATE(3855)] = 112449,
  [SMALL_STATE(3856)] = 112520,
  [SMALL_STATE(3857)] = 112591,
  [SMALL_STATE(3858)] = 112716,
  [SMALL_STATE(3859)] = 112787,
  [SMALL_STATE(3860)] = 112858,
  [SMALL_STATE(3861)] = 112929,
  [SMALL_STATE(3862)] = 113000,
  [SMALL_STATE(3863)] = 113071,
  [SMALL_STATE(3864)] = 113142,
  [SMALL_STATE(3865)] = 113267,
  [SMALL_STATE(3866)] = 113392,
  [SMALL_STATE(3867)] = 113463,
  [SMALL_STATE(3868)] = 113534,
  [SMALL_STATE(3869)] = 113655,
  [SMALL_STATE(3870)] = 113726,
  [SMALL_STATE(3871)] = 113847,
  [SMALL_STATE(3872)] = 113972,
  [SMALL_STATE(3873)] = 114043,
  [SMALL_STATE(3874)] = 114168,
  [SMALL_STATE(3875)] = 114239,
  [SMALL_STATE(3876)] = 114364,
  [SMALL_STATE(3877)] = 114489,
  [SMALL_STATE(3878)] = 114614,
  [SMALL_STATE(3879)] = 114685,
  [SMALL_STATE(3880)] = 114806,
  [SMALL_STATE(3881)] = 114877,
  [SMALL_STATE(3882)] = 114948,
  [SMALL_STATE(3883)] = 115073,
  [SMALL_STATE(3884)] = 115144,
  [SMALL_STATE(3885)] = 115215,
  [SMALL_STATE(3886)] = 115340,
  [SMALL_STATE(3887)] = 115411,
  [SMALL_STATE(3888)] = 115482,
  [SMALL_STATE(3889)] = 115607,
  [SMALL_STATE(3890)] = 115678,
  [SMALL_STATE(3891)] = 115749,
  [SMALL_STATE(3892)] = 115874,
  [SMALL_STATE(3893)] = 115945,
  [SMALL_STATE(3894)] = 116016,
  [SMALL_STATE(3895)] = 116087,
  [SMALL_STATE(3896)] = 116158,
  [SMALL_STATE(3897)] = 116229,
  [SMALL_STATE(3898)] = 116350,
  [SMALL_STATE(3899)] = 116427,
  [SMALL_STATE(3900)] = 116552,
  [SMALL_STATE(3901)] = 116677,
  [SMALL_STATE(3902)] = 116748,
  [SMALL_STATE(3903)] = 116873,
  [SMALL_STATE(3904)] = 116944,
  [SMALL_STATE(3905)] = 117017,
  [SMALL_STATE(3906)] = 117142,
  [SMALL_STATE(3907)] = 117215,
  [SMALL_STATE(3908)] = 117340,
  [SMALL_STATE(3909)] = 117465,
  [SMALL_STATE(3910)] = 117590,
  [SMALL_STATE(3911)] = 117661,
  [SMALL_STATE(3912)] = 117786,
  [SMALL_STATE(3913)] = 117857,
  [SMALL_STATE(3914)] = 117928,
  [SMALL_STATE(3915)] = 118053,
  [SMALL_STATE(3916)] = 118178,
  [SMALL_STATE(3917)] = 118303,
  [SMALL_STATE(3918)] = 118374,
  [SMALL_STATE(3919)] = 118445,
  [SMALL_STATE(3920)] = 118522,
  [SMALL_STATE(3921)] = 118593,
  [SMALL_STATE(3922)] = 118718,
  [SMALL_STATE(3923)] = 118843,
  [SMALL_STATE(3924)] = 118964,
  [SMALL_STATE(3925)] = 119089,
  [SMALL_STATE(3926)] = 119160,
  [SMALL_STATE(3927)] = 119231,
  [SMALL_STATE(3928)] = 119352,
  [SMALL_STATE(3929)] = 119477,
  [SMALL_STATE(3930)] = 119602,
  [SMALL_STATE(3931)] = 119673,
  [SMALL_STATE(3932)] = 119744,
  [SMALL_STATE(3933)] = 119865,
  [SMALL_STATE(3934)] = 119990,
  [SMALL_STATE(3935)] = 120111,
  [SMALL_STATE(3936)] = 120236,
  [SMALL_STATE(3937)] = 120307,
  [SMALL_STATE(3938)] = 120432,
  [SMALL_STATE(3939)] = 120557,
  [SMALL_STATE(3940)] = 120692,
  [SMALL_STATE(3941)] = 120763,
  [SMALL_STATE(3942)] = 120884,
  [SMALL_STATE(3943)] = 121009,
  [SMALL_STATE(3944)] = 121080,
  [SMALL_STATE(3945)] = 121151,
  [SMALL_STATE(3946)] = 121272,
  [SMALL_STATE(3947)] = 121397,
  [SMALL_STATE(3948)] = 121522,
  [SMALL_STATE(3949)] = 121647,
  [SMALL_STATE(3950)] = 121772,
  [SMALL_STATE(3951)] = 121897,
  [SMALL_STATE(3952)] = 122018,
  [SMALL_STATE(3953)] = 122143,
  [SMALL_STATE(3954)] = 122268,
  [SMALL_STATE(3955)] = 122389,
  [SMALL_STATE(3956)] = 122514,
  [SMALL_STATE(3957)] = 122639,
  [SMALL_STATE(3958)] = 122764,
  [SMALL_STATE(3959)] = 122835,
  [SMALL_STATE(3960)] = 122906,
  [SMALL_STATE(3961)] = 123031,
  [SMALL_STATE(3962)] = 123156,
  [SMALL_STATE(3963)] = 123281,
  [SMALL_STATE(3964)] = 123406,
  [SMALL_STATE(3965)] = 123531,
  [SMALL_STATE(3966)] = 123656,
  [SMALL_STATE(3967)] = 123727,
  [SMALL_STATE(3968)] = 123800,
  [SMALL_STATE(3969)] = 123921,
  [SMALL_STATE(3970)] = 123992,
  [SMALL_STATE(3971)] = 124063,
  [SMALL_STATE(3972)] = 124184,
  [SMALL_STATE(3973)] = 124255,
  [SMALL_STATE(3974)] = 124380,
  [SMALL_STATE(3975)] = 124505,
  [SMALL_STATE(3976)] = 124630,
  [SMALL_STATE(3977)] = 124755,
  [SMALL_STATE(3978)] = 124826,
  [SMALL_STATE(3979)] = 124897,
  [SMALL_STATE(3980)] = 125022,
  [SMALL_STATE(3981)] = 125147,
  [SMALL_STATE(3982)] = 125268,
  [SMALL_STATE(3983)] = 125339,
  [SMALL_STATE(3984)] = 125460,
  [SMALL_STATE(3985)] = 125531,
  [SMALL_STATE(3986)] = 125656,
  [SMALL_STATE(3987)] = 125727,
  [SMALL_STATE(3988)] = 125798,
  [SMALL_STATE(3989)] = 125869,
  [SMALL_STATE(3990)] = 125990,
  [SMALL_STATE(3991)] = 126115,
  [SMALL_STATE(3992)] = 126186,
  [SMALL_STATE(3993)] = 126307,
  [SMALL_STATE(3994)] = 126380,
  [SMALL_STATE(3995)] = 126453,
  [SMALL_STATE(3996)] = 126578,
  [SMALL_STATE(3997)] = 126649,
  [SMALL_STATE(3998)] = 126784,
  [SMALL_STATE(3999)] = 126855,
  [SMALL_STATE(4000)] = 126926,
  [SMALL_STATE(4001)] = 126997,
  [SMALL_STATE(4002)] = 127122,
  [SMALL_STATE(4003)] = 127193,
  [SMALL_STATE(4004)] = 127264,
  [SMALL_STATE(4005)] = 127385,
  [SMALL_STATE(4006)] = 127506,
  [SMALL_STATE(4007)] = 127577,
  [SMALL_STATE(4008)] = 127702,
  [SMALL_STATE(4009)] = 127773,
  [SMALL_STATE(4010)] = 127898,
  [SMALL_STATE(4011)] = 127969,
  [SMALL_STATE(4012)] = 128094,
  [SMALL_STATE(4013)] = 128165,
  [SMALL_STATE(4014)] = 128236,
  [SMALL_STATE(4015)] = 128307,
  [SMALL_STATE(4016)] = 128378,
  [SMALL_STATE(4017)] = 128449,
  [SMALL_STATE(4018)] = 128522,
  [SMALL_STATE(4019)] = 128647,
  [SMALL_STATE(4020)] = 128718,
  [SMALL_STATE(4021)] = 128789,
  [SMALL_STATE(4022)] = 128860,
  [SMALL_STATE(4023)] = 128931,
  [SMALL_STATE(4024)] = 129002,
  [SMALL_STATE(4025)] = 129073,
  [SMALL_STATE(4026)] = 129194,
  [SMALL_STATE(4027)] = 129319,
  [SMALL_STATE(4028)] = 129390,
  [SMALL_STATE(4029)] = 129511,
  [SMALL_STATE(4030)] = 129636,
  [SMALL_STATE(4031)] = 129761,
  [SMALL_STATE(4032)] = 129832,
  [SMALL_STATE(4033)] = 129957,
  [SMALL_STATE(4034)] = 130082,
  [SMALL_STATE(4035)] = 130207,
  [SMALL_STATE(4036)] = 130332,
  [SMALL_STATE(4037)] = 130457,
  [SMALL_STATE(4038)] = 130528,
  [SMALL_STATE(4039)] = 130649,
  [SMALL_STATE(4040)] = 130720,
  [SMALL_STATE(4041)] = 130791,
  [SMALL_STATE(4042)] = 130916,
  [SMALL_STATE(4043)] = 131037,
  [SMALL_STATE(4044)] = 131158,
  [SMALL_STATE(4045)] = 131229,
  [SMALL_STATE(4046)] = 131354,
  [SMALL_STATE(4047)] = 131425,
  [SMALL_STATE(4048)] = 131546,
  [SMALL_STATE(4049)] = 131671,
  [SMALL_STATE(4050)] = 131796,
  [SMALL_STATE(4051)] = 131921,
  [SMALL_STATE(4052)] = 131992,
  [SMALL_STATE(4053)] = 132113,
  [SMALL_STATE(4054)] = 132238,
  [SMALL_STATE(4055)] = 132363,
  [SMALL_STATE(4056)] = 132488,
  [SMALL_STATE(4057)] = 132559,
  [SMALL_STATE(4058)] = 132684,
  [SMALL_STATE(4059)] = 132755,
  [SMALL_STATE(4060)] = 132826,
  [SMALL_STATE(4061)] = 132951,
  [SMALL_STATE(4062)] = 133022,
  [SMALL_STATE(4063)] = 133093,
  [SMALL_STATE(4064)] = 133164,
  [SMALL_STATE(4065)] = 133235,
  [SMALL_STATE(4066)] = 133306,
  [SMALL_STATE(4067)] = 133376,
  [SMALL_STATE(4068)] = 133446,
  [SMALL_STATE(4069)] = 133516,
  [SMALL_STATE(4070)] = 133586,
  [SMALL_STATE(4071)] = 133656,
  [SMALL_STATE(4072)] = 133774,
  [SMALL_STATE(4073)] = 133844,
  [SMALL_STATE(4074)] = 133914,
  [SMALL_STATE(4075)] = 133984,
  [SMALL_STATE(4076)] = 134102,
  [SMALL_STATE(4077)] = 134172,
  [SMALL_STATE(4078)] = 134242,
  [SMALL_STATE(4079)] = 134360,
  [SMALL_STATE(4080)] = 134478,
  [SMALL_STATE(4081)] = 134548,
  [SMALL_STATE(4082)] = 134618,
  [SMALL_STATE(4083)] = 134688,
  [SMALL_STATE(4084)] = 134758,
  [SMALL_STATE(4085)] = 134876,
  [SMALL_STATE(4086)] = 134946,
  [SMALL_STATE(4087)] = 135064,
  [SMALL_STATE(4088)] = 135186,
  [SMALL_STATE(4089)] = 135258,
  [SMALL_STATE(4090)] = 135380,
  [SMALL_STATE(4091)] = 135498,
  [SMALL_STATE(4092)] = 135620,
  [SMALL_STATE(4093)] = 135690,
  [SMALL_STATE(4094)] = 135812,
  [SMALL_STATE(4095)] = 135882,
  [SMALL_STATE(4096)] = 135952,
  [SMALL_STATE(4097)] = 136074,
  [SMALL_STATE(4098)] = 136196,
  [SMALL_STATE(4099)] = 136318,
  [SMALL_STATE(4100)] = 136440,
  [SMALL_STATE(4101)] = 136562,
  [SMALL_STATE(4102)] = 136684,
  [SMALL_STATE(4103)] = 136806,
  [SMALL_STATE(4104)] = 136928,
  [SMALL_STATE(4105)] = 136998,
  [SMALL_STATE(4106)] = 137120,
  [SMALL_STATE(4107)] = 137238,
  [SMALL_STATE(4108)] = 137356,
  [SMALL_STATE(4109)] = 137426,
  [SMALL_STATE(4110)] = 137544,
  [SMALL_STATE(4111)] = 137662,
  [SMALL_STATE(4112)] = 137780,
  [SMALL_STATE(4113)] = 137898,
  [SMALL_STATE(4114)] = 137968,
  [SMALL_STATE(4115)] = 138038,
  [SMALL_STATE(4116)] = 138108,
  [SMALL_STATE(4117)] = 138178,
  [SMALL_STATE(4118)] = 138296,
  [SMALL_STATE(4119)] = 138414,
  [SMALL_STATE(4120)] = 138532,
  [SMALL_STATE(4121)] = 138602,
  [SMALL_STATE(4122)] = 138672,
  [SMALL_STATE(4123)] = 138742,
  [SMALL_STATE(4124)] = 138812,
  [SMALL_STATE(4125)] = 138882,
  [SMALL_STATE(4126)] = 138952,
  [SMALL_STATE(4127)] = 139022,
  [SMALL_STATE(4128)] = 139140,
  [SMALL_STATE(4129)] = 139216,
  [SMALL_STATE(4130)] = 139286,
  [SMALL_STATE(4131)] = 139356,
  [SMALL_STATE(4132)] = 139474,
  [SMALL_STATE(4133)] = 139592,
  [SMALL_STATE(4134)] = 139714,
  [SMALL_STATE(4135)] = 139784,
  [SMALL_STATE(4136)] = 139854,
  [SMALL_STATE(4137)] = 139924,
  [SMALL_STATE(4138)] = 139994,
  [SMALL_STATE(4139)] = 140064,
  [SMALL_STATE(4140)] = 140134,
  [SMALL_STATE(4141)] = 140204,
  [SMALL_STATE(4142)] = 140274,
  [SMALL_STATE(4143)] = 140344,
  [SMALL_STATE(4144)] = 140462,
  [SMALL_STATE(4145)] = 140580,
  [SMALL_STATE(4146)] = 140698,
  [SMALL_STATE(4147)] = 140768,
  [SMALL_STATE(4148)] = 140838,
  [SMALL_STATE(4149)] = 140908,
  [SMALL_STATE(4150)] = 140978,
  [SMALL_STATE(4151)] = 141048,
  [SMALL_STATE(4152)] = 141166,
  [SMALL_STATE(4153)] = 141284,
  [SMALL_STATE(4154)] = 141354,
  [SMALL_STATE(4155)] = 141424,
  [SMALL_STATE(4156)] = 141494,
  [SMALL_STATE(4157)] = 141564,
  [SMALL_STATE(4158)] = 141634,
  [SMALL_STATE(4159)] = 141704,
  [SMALL_STATE(4160)] = 141774,
  [SMALL_STATE(4161)] = 141844,
  [SMALL_STATE(4162)] = 141914,
  [SMALL_STATE(4163)] = 141986,
  [SMALL_STATE(4164)] = 142056,
  [SMALL_STATE(4165)] = 142128,
  [SMALL_STATE(4166)] = 142198,
  [SMALL_STATE(4167)] = 142268,
  [SMALL_STATE(4168)] = 142338,
  [SMALL_STATE(4169)] = 142408,
  [SMALL_STATE(4170)] = 142478,
  [SMALL_STATE(4171)] = 142548,
  [SMALL_STATE(4172)] = 142618,
  [SMALL_STATE(4173)] = 142688,
  [SMALL_STATE(4174)] = 142758,
  [SMALL_STATE(4175)] = 142876,
  [SMALL_STATE(4176)] = 142946,
  [SMALL_STATE(4177)] = 143016,
  [SMALL_STATE(4178)] = 143134,
  [SMALL_STATE(4179)] = 143252,
  [SMALL_STATE(4180)] = 143322,
  [SMALL_STATE(4181)] = 143444,
  [SMALL_STATE(4182)] = 143514,
  [SMALL_STATE(4183)] = 143584,
  [SMALL_STATE(4184)] = 143654,
  [SMALL_STATE(4185)] = 143724,
  [SMALL_STATE(4186)] = 143842,
  [SMALL_STATE(4187)] = 143912,
  [SMALL_STATE(4188)] = 144030,
  [SMALL_STATE(4189)] = 144100,
  [SMALL_STATE(4190)] = 144218,
  [SMALL_STATE(4191)] = 144336,
  [SMALL_STATE(4192)] = 144406,
  [SMALL_STATE(4193)] = 144476,
  [SMALL_STATE(4194)] = 144548,
  [SMALL_STATE(4195)] = 144618,
  [SMALL_STATE(4196)] = 144688,
  [SMALL_STATE(4197)] = 144758,
  [SMALL_STATE(4198)] = 144828,
  [SMALL_STATE(4199)] = 144898,
  [SMALL_STATE(4200)] = 144968,
  [SMALL_STATE(4201)] = 145038,
  [SMALL_STATE(4202)] = 145108,
  [SMALL_STATE(4203)] = 145184,
  [SMALL_STATE(4204)] = 145254,
  [SMALL_STATE(4205)] = 145326,
  [SMALL_STATE(4206)] = 145396,
  [SMALL_STATE(4207)] = 145466,
  [SMALL_STATE(4208)] = 145536,
  [SMALL_STATE(4209)] = 145606,
  [SMALL_STATE(4210)] = 145676,
  [SMALL_STATE(4211)] = 145746,
  [SMALL_STATE(4212)] = 145816,
  [SMALL_STATE(4213)] = 145886,
  [SMALL_STATE(4214)] = 146004,
  [SMALL_STATE(4215)] = 146122,
  [SMALL_STATE(4216)] = 146240,
  [SMALL_STATE(4217)] = 146310,
  [SMALL_STATE(4218)] = 146380,
  [SMALL_STATE(4219)] = 146450,
  [SMALL_STATE(4220)] = 146520,
  [SMALL_STATE(4221)] = 146590,
  [SMALL_STATE(4222)] = 146660,
  [SMALL_STATE(4223)] = 146730,
  [SMALL_STATE(4224)] = 146800,
  [SMALL_STATE(4225)] = 146918,
  [SMALL_STATE(4226)] = 147036,
  [SMALL_STATE(4227)] = 147154,
  [SMALL_STATE(4228)] = 147272,
  [SMALL_STATE(4229)] = 147390,
  [SMALL_STATE(4230)] = 147508,
  [SMALL_STATE(4231)] = 147626,
  [SMALL_STATE(4232)] = 147744,
  [SMALL_STATE(4233)] = 147866,
  [SMALL_STATE(4234)] = 147936,
  [SMALL_STATE(4235)] = 148006,
  [SMALL_STATE(4236)] = 148124,
  [SMALL_STATE(4237)] = 148194,
  [SMALL_STATE(4238)] = 148312,
  [SMALL_STATE(4239)] = 148430,
  [SMALL_STATE(4240)] = 148500,
  [SMALL_STATE(4241)] = 148618,
  [SMALL_STATE(4242)] = 148736,
  [SMALL_STATE(4243)] = 148854,
  [SMALL_STATE(4244)] = 148924,
  [SMALL_STATE(4245)] = 149042,
  [SMALL_STATE(4246)] = 149160,
  [SMALL_STATE(4247)] = 149278,
  [SMALL_STATE(4248)] = 149348,
  [SMALL_STATE(4249)] = 149418,
  [SMALL_STATE(4250)] = 149488,
  [SMALL_STATE(4251)] = 149558,
  [SMALL_STATE(4252)] = 149628,
  [SMALL_STATE(4253)] = 149746,
  [SMALL_STATE(4254)] = 149864,
  [SMALL_STATE(4255)] = 149982,
  [SMALL_STATE(4256)] = 150100,
  [SMALL_STATE(4257)] = 150170,
  [SMALL_STATE(4258)] = 150288,
  [SMALL_STATE(4259)] = 150406,
  [SMALL_STATE(4260)] = 150524,
  [SMALL_STATE(4261)] = 150594,
  [SMALL_STATE(4262)] = 150664,
  [SMALL_STATE(4263)] = 150734,
  [SMALL_STATE(4264)] = 150804,
  [SMALL_STATE(4265)] = 150874,
  [SMALL_STATE(4266)] = 150944,
  [SMALL_STATE(4267)] = 151062,
  [SMALL_STATE(4268)] = 151180,
  [SMALL_STATE(4269)] = 151298,
  [SMALL_STATE(4270)] = 151368,
  [SMALL_STATE(4271)] = 151486,
  [SMALL_STATE(4272)] = 151604,
  [SMALL_STATE(4273)] = 151674,
  [SMALL_STATE(4274)] = 151744,
  [SMALL_STATE(4275)] = 151862,
  [SMALL_STATE(4276)] = 151980,
  [SMALL_STATE(4277)] = 152098,
  [SMALL_STATE(4278)] = 152168,
  [SMALL_STATE(4279)] = 152238,
  [SMALL_STATE(4280)] = 152308,
  [SMALL_STATE(4281)] = 152378,
  [SMALL_STATE(4282)] = 152496,
  [SMALL_STATE(4283)] = 152614,
  [SMALL_STATE(4284)] = 152732,
  [SMALL_STATE(4285)] = 152850,
  [SMALL_STATE(4286)] = 152968,
  [SMALL_STATE(4287)] = 153086,
  [SMALL_STATE(4288)] = 153204,
  [SMALL_STATE(4289)] = 153322,
  [SMALL_STATE(4290)] = 153392,
  [SMALL_STATE(4291)] = 153462,
  [SMALL_STATE(4292)] = 153532,
  [SMALL_STATE(4293)] = 153602,
  [SMALL_STATE(4294)] = 153720,
  [SMALL_STATE(4295)] = 153838,
  [SMALL_STATE(4296)] = 153956,
  [SMALL_STATE(4297)] = 154026,
  [SMALL_STATE(4298)] = 154096,
  [SMALL_STATE(4299)] = 154214,
  [SMALL_STATE(4300)] = 154332,
  [SMALL_STATE(4301)] = 154450,
  [SMALL_STATE(4302)] = 154568,
  [SMALL_STATE(4303)] = 154686,
  [SMALL_STATE(4304)] = 154804,
  [SMALL_STATE(4305)] = 154922,
  [SMALL_STATE(4306)] = 155040,
  [SMALL_STATE(4307)] = 155158,
  [SMALL_STATE(4308)] = 155276,
  [SMALL_STATE(4309)] = 155394,
  [SMALL_STATE(4310)] = 155464,
  [SMALL_STATE(4311)] = 155540,
  [SMALL_STATE(4312)] = 155658,
  [SMALL_STATE(4313)] = 155776,
  [SMALL_STATE(4314)] = 155894,
  [SMALL_STATE(4315)] = 156012,
  [SMALL_STATE(4316)] = 156130,
  [SMALL_STATE(4317)] = 156248,
  [SMALL_STATE(4318)] = 156366,
  [SMALL_STATE(4319)] = 156484,
  [SMALL_STATE(4320)] = 156602,
  [SMALL_STATE(4321)] = 156724,
  [SMALL_STATE(4322)] = 156842,
  [SMALL_STATE(4323)] = 156960,
  [SMALL_STATE(4324)] = 157078,
  [SMALL_STATE(4325)] = 157196,
  [SMALL_STATE(4326)] = 157314,
  [SMALL_STATE(4327)] = 157432,
  [SMALL_STATE(4328)] = 157550,
  [SMALL_STATE(4329)] = 157668,
  [SMALL_STATE(4330)] = 157786,
  [SMALL_STATE(4331)] = 157904,
  [SMALL_STATE(4332)] = 158022,
  [SMALL_STATE(4333)] = 158140,
  [SMALL_STATE(4334)] = 158258,
  [SMALL_STATE(4335)] = 158376,
  [SMALL_STATE(4336)] = 158494,
  [SMALL_STATE(4337)] = 158612,
  [SMALL_STATE(4338)] = 158730,
  [SMALL_STATE(4339)] = 158848,
  [SMALL_STATE(4340)] = 158966,
  [SMALL_STATE(4341)] = 159084,
  [SMALL_STATE(4342)] = 159202,
  [SMALL_STATE(4343)] = 159320,
  [SMALL_STATE(4344)] = 159438,
  [SMALL_STATE(4345)] = 159556,
  [SMALL_STATE(4346)] = 159674,
  [SMALL_STATE(4347)] = 159792,
  [SMALL_STATE(4348)] = 159910,
  [SMALL_STATE(4349)] = 160028,
  [SMALL_STATE(4350)] = 160146,
  [SMALL_STATE(4351)] = 160264,
  [SMALL_STATE(4352)] = 160382,
  [SMALL_STATE(4353)] = 160500,
  [SMALL_STATE(4354)] = 160618,
  [SMALL_STATE(4355)] = 160740,
  [SMALL_STATE(4356)] = 160862,
  [SMALL_STATE(4357)] = 160984,
  [SMALL_STATE(4358)] = 161106,
  [SMALL_STATE(4359)] = 161228,
  [SMALL_STATE(4360)] = 161350,
  [SMALL_STATE(4361)] = 161420,
  [SMALL_STATE(4362)] = 161538,
  [SMALL_STATE(4363)] = 161660,
  [SMALL_STATE(4364)] = 161778,
  [SMALL_STATE(4365)] = 161900,
  [SMALL_STATE(4366)] = 161970,
  [SMALL_STATE(4367)] = 162040,
  [SMALL_STATE(4368)] = 162110,
  [SMALL_STATE(4369)] = 162180,
  [SMALL_STATE(4370)] = 162250,
  [SMALL_STATE(4371)] = 162322,
  [SMALL_STATE(4372)] = 162394,
  [SMALL_STATE(4373)] = 162464,
  [SMALL_STATE(4374)] = 162536,
  [SMALL_STATE(4375)] = 162654,
  [SMALL_STATE(4376)] = 162772,
  [SMALL_STATE(4377)] = 162842,
  [SMALL_STATE(4378)] = 162918,
  [SMALL_STATE(4379)] = 162988,
  [SMALL_STATE(4380)] = 163110,
  [SMALL_STATE(4381)] = 163232,
  [SMALL_STATE(4382)] = 163350,
  [SMALL_STATE(4383)] = 163468,
  [SMALL_STATE(4384)] = 163586,
  [SMALL_STATE(4385)] = 163704,
  [SMALL_STATE(4386)] = 163826,
  [SMALL_STATE(4387)] = 163948,
  [SMALL_STATE(4388)] = 164070,
  [SMALL_STATE(4389)] = 164192,
  [SMALL_STATE(4390)] = 164314,
  [SMALL_STATE(4391)] = 164436,
  [SMALL_STATE(4392)] = 164558,
  [SMALL_STATE(4393)] = 164680,
  [SMALL_STATE(4394)] = 164802,
  [SMALL_STATE(4395)] = 164924,
  [SMALL_STATE(4396)] = 165046,
  [SMALL_STATE(4397)] = 165168,
  [SMALL_STATE(4398)] = 165290,
  [SMALL_STATE(4399)] = 165412,
  [SMALL_STATE(4400)] = 165534,
  [SMALL_STATE(4401)] = 165656,
  [SMALL_STATE(4402)] = 165778,
  [SMALL_STATE(4403)] = 165900,
  [SMALL_STATE(4404)] = 166022,
  [SMALL_STATE(4405)] = 166144,
  [SMALL_STATE(4406)] = 166266,
  [SMALL_STATE(4407)] = 166388,
  [SMALL_STATE(4408)] = 166510,
  [SMALL_STATE(4409)] = 166632,
  [SMALL_STATE(4410)] = 166754,
  [SMALL_STATE(4411)] = 166876,
  [SMALL_STATE(4412)] = 166998,
  [SMALL_STATE(4413)] = 167120,
  [SMALL_STATE(4414)] = 167242,
  [SMALL_STATE(4415)] = 167364,
  [SMALL_STATE(4416)] = 167486,
  [SMALL_STATE(4417)] = 167608,
  [SMALL_STATE(4418)] = 167730,
  [SMALL_STATE(4419)] = 167852,
  [SMALL_STATE(4420)] = 167974,
  [SMALL_STATE(4421)] = 168096,
  [SMALL_STATE(4422)] = 168218,
  [SMALL_STATE(4423)] = 168340,
  [SMALL_STATE(4424)] = 168462,
  [SMALL_STATE(4425)] = 168584,
  [SMALL_STATE(4426)] = 168706,
  [SMALL_STATE(4427)] = 168828,
  [SMALL_STATE(4428)] = 168950,
  [SMALL_STATE(4429)] = 169072,
  [SMALL_STATE(4430)] = 169194,
  [SMALL_STATE(4431)] = 169316,
  [SMALL_STATE(4432)] = 169438,
  [SMALL_STATE(4433)] = 169560,
  [SMALL_STATE(4434)] = 169682,
  [SMALL_STATE(4435)] = 169804,
  [SMALL_STATE(4436)] = 169926,
  [SMALL_STATE(4437)] = 170048,
  [SMALL_STATE(4438)] = 170170,
  [SMALL_STATE(4439)] = 170292,
  [SMALL_STATE(4440)] = 170414,
  [SMALL_STATE(4441)] = 170536,
  [SMALL_STATE(4442)] = 170658,
  [SMALL_STATE(4443)] = 170780,
  [SMALL_STATE(4444)] = 170902,
  [SMALL_STATE(4445)] = 171024,
  [SMALL_STATE(4446)] = 171146,
  [SMALL_STATE(4447)] = 171268,
  [SMALL_STATE(4448)] = 171390,
  [SMALL_STATE(4449)] = 171512,
  [SMALL_STATE(4450)] = 171634,
  [SMALL_STATE(4451)] = 171756,
  [SMALL_STATE(4452)] = 171878,
  [SMALL_STATE(4453)] = 172000,
  [SMALL_STATE(4454)] = 172122,
  [SMALL_STATE(4455)] = 172244,
  [SMALL_STATE(4456)] = 172366,
  [SMALL_STATE(4457)] = 172488,
  [SMALL_STATE(4458)] = 172610,
  [SMALL_STATE(4459)] = 172732,
  [SMALL_STATE(4460)] = 172854,
  [SMALL_STATE(4461)] = 172976,
  [SMALL_STATE(4462)] = 173098,
  [SMALL_STATE(4463)] = 173220,
  [SMALL_STATE(4464)] = 173342,
  [SMALL_STATE(4465)] = 173464,
  [SMALL_STATE(4466)] = 173586,
  [SMALL_STATE(4467)] = 173708,
  [SMALL_STATE(4468)] = 173830,
  [SMALL_STATE(4469)] = 173952,
  [SMALL_STATE(4470)] = 174074,
  [SMALL_STATE(4471)] = 174196,
  [SMALL_STATE(4472)] = 174314,
  [SMALL_STATE(4473)] = 174443,
  [SMALL_STATE(4474)] = 174572,
  [SMALL_STATE(4475)] = 174701,
  [SMALL_STATE(4476)] = 174830,
  [SMALL_STATE(4477)] = 174959,
  [SMALL_STATE(4478)] = 175088,
  [SMALL_STATE(4479)] = 175217,
  [SMALL_STATE(4480)] = 175346,
  [SMALL_STATE(4481)] = 175475,
  [SMALL_STATE(4482)] = 175604,
  [SMALL_STATE(4483)] = 175675,
  [SMALL_STATE(4484)] = 175804,
  [SMALL_STATE(4485)] = 175933,
  [SMALL_STATE(4486)] = 176062,
  [SMALL_STATE(4487)] = 176191,
  [SMALL_STATE(4488)] = 176320,
  [SMALL_STATE(4489)] = 176449,
  [SMALL_STATE(4490)] = 176578,
  [SMALL_STATE(4491)] = 176707,
  [SMALL_STATE(4492)] = 176836,
  [SMALL_STATE(4493)] = 176965,
  [SMALL_STATE(4494)] = 177094,
  [SMALL_STATE(4495)] = 177223,
  [SMALL_STATE(4496)] = 177352,
  [SMALL_STATE(4497)] = 177481,
  [SMALL_STATE(4498)] = 177610,
  [SMALL_STATE(4499)] = 177739,
  [SMALL_STATE(4500)] = 177868,
  [SMALL_STATE(4501)] = 177997,
  [SMALL_STATE(4502)] = 178126,
  [SMALL_STATE(4503)] = 178255,
  [SMALL_STATE(4504)] = 178324,
  [SMALL_STATE(4505)] = 178393,
  [SMALL_STATE(4506)] = 178522,
  [SMALL_STATE(4507)] = 178591,
  [SMALL_STATE(4508)] = 178720,
  [SMALL_STATE(4509)] = 178849,
  [SMALL_STATE(4510)] = 178918,
  [SMALL_STATE(4511)] = 179047,
  [SMALL_STATE(4512)] = 179176,
  [SMALL_STATE(4513)] = 179305,
  [SMALL_STATE(4514)] = 179434,
  [SMALL_STATE(4515)] = 179563,
  [SMALL_STATE(4516)] = 179692,
  [SMALL_STATE(4517)] = 179821,
  [SMALL_STATE(4518)] = 179950,
  [SMALL_STATE(4519)] = 180079,
  [SMALL_STATE(4520)] = 180208,
  [SMALL_STATE(4521)] = 180337,
  [SMALL_STATE(4522)] = 180466,
  [SMALL_STATE(4523)] = 180595,
  [SMALL_STATE(4524)] = 180724,
  [SMALL_STATE(4525)] = 180853,
  [SMALL_STATE(4526)] = 180982,
  [SMALL_STATE(4527)] = 181111,
  [SMALL_STATE(4528)] = 181240,
  [SMALL_STATE(4529)] = 181369,
  [SMALL_STATE(4530)] = 181498,
  [SMALL_STATE(4531)] = 181627,
  [SMALL_STATE(4532)] = 181756,
  [SMALL_STATE(4533)] = 181885,
  [SMALL_STATE(4534)] = 182014,
  [SMALL_STATE(4535)] = 182143,
  [SMALL_STATE(4536)] = 182214,
  [SMALL_STATE(4537)] = 182343,
  [SMALL_STATE(4538)] = 182472,
  [SMALL_STATE(4539)] = 182601,
  [SMALL_STATE(4540)] = 182730,
  [SMALL_STATE(4541)] = 182859,
  [SMALL_STATE(4542)] = 182988,
  [SMALL_STATE(4543)] = 183114,
  [SMALL_STATE(4544)] = 183240,
  [SMALL_STATE(4545)] = 183366,
  [SMALL_STATE(4546)] = 183492,
  [SMALL_STATE(4547)] = 183618,
  [SMALL_STATE(4548)] = 183744,
  [SMALL_STATE(4549)] = 183870,
  [SMALL_STATE(4550)] = 183996,
  [SMALL_STATE(4551)] = 184064,
  [SMALL_STATE(4552)] = 184132,
  [SMALL_STATE(4553)] = 184258,
  [SMALL_STATE(4554)] = 184384,
  [SMALL_STATE(4555)] = 184510,
  [SMALL_STATE(4556)] = 184636,
  [SMALL_STATE(4557)] = 184762,
  [SMALL_STATE(4558)] = 184888,
  [SMALL_STATE(4559)] = 185014,
  [SMALL_STATE(4560)] = 185140,
  [SMALL_STATE(4561)] = 185266,
  [SMALL_STATE(4562)] = 185392,
  [SMALL_STATE(4563)] = 185518,
  [SMALL_STATE(4564)] = 185644,
  [SMALL_STATE(4565)] = 185770,
  [SMALL_STATE(4566)] = 185896,
  [SMALL_STATE(4567)] = 186022,
  [SMALL_STATE(4568)] = 186148,
  [SMALL_STATE(4569)] = 186274,
  [SMALL_STATE(4570)] = 186400,
  [SMALL_STATE(4571)] = 186526,
  [SMALL_STATE(4572)] = 186652,
  [SMALL_STATE(4573)] = 186778,
  [SMALL_STATE(4574)] = 186904,
  [SMALL_STATE(4575)] = 187030,
  [SMALL_STATE(4576)] = 187156,
  [SMALL_STATE(4577)] = 187282,
  [SMALL_STATE(4578)] = 187408,
  [SMALL_STATE(4579)] = 187534,
  [SMALL_STATE(4580)] = 187660,
  [SMALL_STATE(4581)] = 187786,
  [SMALL_STATE(4582)] = 187912,
  [SMALL_STATE(4583)] = 188038,
  [SMALL_STATE(4584)] = 188164,
  [SMALL_STATE(4585)] = 188290,
  [SMALL_STATE(4586)] = 188416,
  [SMALL_STATE(4587)] = 188542,
  [SMALL_STATE(4588)] = 188668,
  [SMALL_STATE(4589)] = 188794,
  [SMALL_STATE(4590)] = 188920,
  [SMALL_STATE(4591)] = 189046,
  [SMALL_STATE(4592)] = 189172,
  [SMALL_STATE(4593)] = 189240,
  [SMALL_STATE(4594)] = 189366,
  [SMALL_STATE(4595)] = 189492,
  [SMALL_STATE(4596)] = 189618,
  [SMALL_STATE(4597)] = 189744,
  [SMALL_STATE(4598)] = 189870,
  [SMALL_STATE(4599)] = 189996,
  [SMALL_STATE(4600)] = 190122,
  [SMALL_STATE(4601)] = 190192,
  [SMALL_STATE(4602)] = 190318,
  [SMALL_STATE(4603)] = 190444,
  [SMALL_STATE(4604)] = 190570,
  [SMALL_STATE(4605)] = 190696,
  [SMALL_STATE(4606)] = 190822,
  [SMALL_STATE(4607)] = 190948,
  [SMALL_STATE(4608)] = 191016,
  [SMALL_STATE(4609)] = 191086,
  [SMALL_STATE(4610)] = 191212,
  [SMALL_STATE(4611)] = 191335,
  [SMALL_STATE(4612)] = 191458,
  [SMALL_STATE(4613)] = 191581,
  [SMALL_STATE(4614)] = 191704,
  [SMALL_STATE(4615)] = 191827,
  [SMALL_STATE(4616)] = 191950,
  [SMALL_STATE(4617)] = 192073,
  [SMALL_STATE(4618)] = 192140,
  [SMALL_STATE(4619)] = 192263,
  [SMALL_STATE(4620)] = 192386,
  [SMALL_STATE(4621)] = 192453,
  [SMALL_STATE(4622)] = 192576,
  [SMALL_STATE(4623)] = 192699,
  [SMALL_STATE(4624)] = 192822,
  [SMALL_STATE(4625)] = 192945,
  [SMALL_STATE(4626)] = 193068,
  [SMALL_STATE(4627)] = 193189,
  [SMALL_STATE(4628)] = 193312,
  [SMALL_STATE(4629)] = 193435,
  [SMALL_STATE(4630)] = 193558,
  [SMALL_STATE(4631)] = 193681,
  [SMALL_STATE(4632)] = 193804,
  [SMALL_STATE(4633)] = 193927,
  [SMALL_STATE(4634)] = 194050,
  [SMALL_STATE(4635)] = 194173,
  [SMALL_STATE(4636)] = 194294,
  [SMALL_STATE(4637)] = 194409,
  [SMALL_STATE(4638)] = 194530,
  [SMALL_STATE(4639)] = 194653,
  [SMALL_STATE(4640)] = 194776,
  [SMALL_STATE(4641)] = 194899,
  [SMALL_STATE(4642)] = 195022,
  [SMALL_STATE(4643)] = 195145,
  [SMALL_STATE(4644)] = 195268,
  [SMALL_STATE(4645)] = 195391,
  [SMALL_STATE(4646)] = 195458,
  [SMALL_STATE(4647)] = 195581,
  [SMALL_STATE(4648)] = 195648,
  [SMALL_STATE(4649)] = 195771,
  [SMALL_STATE(4650)] = 195894,
  [SMALL_STATE(4651)] = 196015,
  [SMALL_STATE(4652)] = 196138,
  [SMALL_STATE(4653)] = 196259,
  [SMALL_STATE(4654)] = 196382,
  [SMALL_STATE(4655)] = 196505,
  [SMALL_STATE(4656)] = 196628,
  [SMALL_STATE(4657)] = 196746,
  [SMALL_STATE(4658)] = 196864,
  [SMALL_STATE(4659)] = 196982,
  [SMALL_STATE(4660)] = 197100,
  [SMALL_STATE(4661)] = 197218,
  [SMALL_STATE(4662)] = 197336,
  [SMALL_STATE(4663)] = 197454,
  [SMALL_STATE(4664)] = 197572,
  [SMALL_STATE(4665)] = 197690,
  [SMALL_STATE(4666)] = 197808,
  [SMALL_STATE(4667)] = 197926,
  [SMALL_STATE(4668)] = 198044,
  [SMALL_STATE(4669)] = 198162,
  [SMALL_STATE(4670)] = 198280,
  [SMALL_STATE(4671)] = 198398,
  [SMALL_STATE(4672)] = 198516,
  [SMALL_STATE(4673)] = 198634,
  [SMALL_STATE(4674)] = 198752,
  [SMALL_STATE(4675)] = 198870,
  [SMALL_STATE(4676)] = 198988,
  [SMALL_STATE(4677)] = 199106,
  [SMALL_STATE(4678)] = 199224,
  [SMALL_STATE(4679)] = 199342,
  [SMALL_STATE(4680)] = 199460,
  [SMALL_STATE(4681)] = 199578,
  [SMALL_STATE(4682)] = 199696,
  [SMALL_STATE(4683)] = 199814,
  [SMALL_STATE(4684)] = 199932,
  [SMALL_STATE(4685)] = 200050,
  [SMALL_STATE(4686)] = 200168,
  [SMALL_STATE(4687)] = 200236,
  [SMALL_STATE(4688)] = 200354,
  [SMALL_STATE(4689)] = 200472,
  [SMALL_STATE(4690)] = 200590,
  [SMALL_STATE(4691)] = 200708,
  [SMALL_STATE(4692)] = 200826,
  [SMALL_STATE(4693)] = 200944,
  [SMALL_STATE(4694)] = 201062,
  [SMALL_STATE(4695)] = 201180,
  [SMALL_STATE(4696)] = 201298,
  [SMALL_STATE(4697)] = 201416,
  [SMALL_STATE(4698)] = 201534,
  [SMALL_STATE(4699)] = 201652,
  [SMALL_STATE(4700)] = 201770,
  [SMALL_STATE(4701)] = 201888,
  [SMALL_STATE(4702)] = 202006,
  [SMALL_STATE(4703)] = 202124,
  [SMALL_STATE(4704)] = 202192,
  [SMALL_STATE(4705)] = 202310,
  [SMALL_STATE(4706)] = 202428,
  [SMALL_STATE(4707)] = 202546,
  [SMALL_STATE(4708)] = 202664,
  [SMALL_STATE(4709)] = 202782,
  [SMALL_STATE(4710)] = 202900,
  [SMALL_STATE(4711)] = 203018,
  [SMALL_STATE(4712)] = 203086,
  [SMALL_STATE(4713)] = 203204,
  [SMALL_STATE(4714)] = 203322,
  [SMALL_STATE(4715)] = 203440,
  [SMALL_STATE(4716)] = 203510,
  [SMALL_STATE(4717)] = 203628,
  [SMALL_STATE(4718)] = 203694,
  [SMALL_STATE(4719)] = 203812,
  [SMALL_STATE(4720)] = 203930,
  [SMALL_STATE(4721)] = 204048,
  [SMALL_STATE(4722)] = 204114,
  [SMALL_STATE(4723)] = 204180,
  [SMALL_STATE(4724)] = 204246,
  [SMALL_STATE(4725)] = 204364,
  [SMALL_STATE(4726)] = 204430,
  [SMALL_STATE(4727)] = 204496,
  [SMALL_STATE(4728)] = 204562,
  [SMALL_STATE(4729)] = 204680,
  [SMALL_STATE(4730)] = 204798,
  [SMALL_STATE(4731)] = 204916,
  [SMALL_STATE(4732)] = 205034,
  [SMALL_STATE(4733)] = 205152,
  [SMALL_STATE(4734)] = 205270,
  [SMALL_STATE(4735)] = 205388,
  [SMALL_STATE(4736)] = 205506,
  [SMALL_STATE(4737)] = 205624,
  [SMALL_STATE(4738)] = 205742,
  [SMALL_STATE(4739)] = 205860,
  [SMALL_STATE(4740)] = 205978,
  [SMALL_STATE(4741)] = 206096,
  [SMALL_STATE(4742)] = 206214,
  [SMALL_STATE(4743)] = 206332,
  [SMALL_STATE(4744)] = 206450,
  [SMALL_STATE(4745)] = 206516,
  [SMALL_STATE(4746)] = 206634,
  [SMALL_STATE(4747)] = 206752,
  [SMALL_STATE(4748)] = 206870,
  [SMALL_STATE(4749)] = 206988,
  [SMALL_STATE(4750)] = 207106,
  [SMALL_STATE(4751)] = 207224,
  [SMALL_STATE(4752)] = 207290,
  [SMALL_STATE(4753)] = 207408,
  [SMALL_STATE(4754)] = 207526,
  [SMALL_STATE(4755)] = 207644,
  [SMALL_STATE(4756)] = 207762,
  [SMALL_STATE(4757)] = 207880,
  [SMALL_STATE(4758)] = 207998,
  [SMALL_STATE(4759)] = 208116,
  [SMALL_STATE(4760)] = 208186,
  [SMALL_STATE(4761)] = 208304,
  [SMALL_STATE(4762)] = 208422,
  [SMALL_STATE(4763)] = 208487,
  [SMALL_STATE(4764)] = 208602,
  [SMALL_STATE(4765)] = 208667,
  [SMALL_STATE(4766)] = 208782,
  [SMALL_STATE(4767)] = 208847,
  [SMALL_STATE(4768)] = 208912,
  [SMALL_STATE(4769)] = 208977,
  [SMALL_STATE(4770)] = 209042,
  [SMALL_STATE(4771)] = 209157,
  [SMALL_STATE(4772)] = 209222,
  [SMALL_STATE(4773)] = 209337,
  [SMALL_STATE(4774)] = 209452,
  [SMALL_STATE(4775)] = 209567,
  [SMALL_STATE(4776)] = 209634,
  [SMALL_STATE(4777)] = 209749,
  [SMALL_STATE(4778)] = 209864,
  [SMALL_STATE(4779)] = 209979,
  [SMALL_STATE(4780)] = 210094,
  [SMALL_STATE(4781)] = 210209,
  [SMALL_STATE(4782)] = 210324,
  [SMALL_STATE(4783)] = 210439,
  [SMALL_STATE(4784)] = 210554,
  [SMALL_STATE(4785)] = 210669,
  [SMALL_STATE(4786)] = 210734,
  [SMALL_STATE(4787)] = 210849,
  [SMALL_STATE(4788)] = 210964,
  [SMALL_STATE(4789)] = 211079,
  [SMALL_STATE(4790)] = 211194,
  [SMALL_STATE(4791)] = 211309,
  [SMALL_STATE(4792)] = 211424,
  [SMALL_STATE(4793)] = 211539,
  [SMALL_STATE(4794)] = 211654,
  [SMALL_STATE(4795)] = 211769,
  [SMALL_STATE(4796)] = 211884,
  [SMALL_STATE(4797)] = 211999,
  [SMALL_STATE(4798)] = 212114,
  [SMALL_STATE(4799)] = 212229,
  [SMALL_STATE(4800)] = 212344,
  [SMALL_STATE(4801)] = 212459,
  [SMALL_STATE(4802)] = 212574,
  [SMALL_STATE(4803)] = 212689,
  [SMALL_STATE(4804)] = 212804,
  [SMALL_STATE(4805)] = 212869,
  [SMALL_STATE(4806)] = 212984,
  [SMALL_STATE(4807)] = 213049,
  [SMALL_STATE(4808)] = 213114,
  [SMALL_STATE(4809)] = 213179,
  [SMALL_STATE(4810)] = 213294,
  [SMALL_STATE(4811)] = 213359,
  [SMALL_STATE(4812)] = 213424,
  [SMALL_STATE(4813)] = 213489,
  [SMALL_STATE(4814)] = 213560,
  [SMALL_STATE(4815)] = 213675,
  [SMALL_STATE(4816)] = 213740,
  [SMALL_STATE(4817)] = 213805,
  [SMALL_STATE(4818)] = 213870,
  [SMALL_STATE(4819)] = 213985,
  [SMALL_STATE(4820)] = 214050,
  [SMALL_STATE(4821)] = 214115,
  [SMALL_STATE(4822)] = 214180,
  [SMALL_STATE(4823)] = 214245,
  [SMALL_STATE(4824)] = 214312,
  [SMALL_STATE(4825)] = 214377,
  [SMALL_STATE(4826)] = 214444,
  [SMALL_STATE(4827)] = 214559,
  [SMALL_STATE(4828)] = 214624,
  [SMALL_STATE(4829)] = 214689,
  [SMALL_STATE(4830)] = 214754,
  [SMALL_STATE(4831)] = 214869,
  [SMALL_STATE(4832)] = 214984,
  [SMALL_STATE(4833)] = 215099,
  [SMALL_STATE(4834)] = 215164,
  [SMALL_STATE(4835)] = 215229,
  [SMALL_STATE(4836)] = 215294,
  [SMALL_STATE(4837)] = 215359,
  [SMALL_STATE(4838)] = 215424,
  [SMALL_STATE(4839)] = 215489,
  [SMALL_STATE(4840)] = 215554,
  [SMALL_STATE(4841)] = 215619,
  [SMALL_STATE(4842)] = 215684,
  [SMALL_STATE(4843)] = 215749,
  [SMALL_STATE(4844)] = 215814,
  [SMALL_STATE(4845)] = 215879,
  [SMALL_STATE(4846)] = 215944,
  [SMALL_STATE(4847)] = 216015,
  [SMALL_STATE(4848)] = 216080,
  [SMALL_STATE(4849)] = 216145,
  [SMALL_STATE(4850)] = 216210,
  [SMALL_STATE(4851)] = 216275,
  [SMALL_STATE(4852)] = 216340,
  [SMALL_STATE(4853)] = 216407,
  [SMALL_STATE(4854)] = 216472,
  [SMALL_STATE(4855)] = 216537,
  [SMALL_STATE(4856)] = 216604,
  [SMALL_STATE(4857)] = 216669,
  [SMALL_STATE(4858)] = 216734,
  [SMALL_STATE(4859)] = 216799,
  [SMALL_STATE(4860)] = 216864,
  [SMALL_STATE(4861)] = 216979,
  [SMALL_STATE(4862)] = 217044,
  [SMALL_STATE(4863)] = 217109,
  [SMALL_STATE(4864)] = 217174,
  [SMALL_STATE(4865)] = 217239,
  [SMALL_STATE(4866)] = 217304,
  [SMALL_STATE(4867)] = 217369,
  [SMALL_STATE(4868)] = 217434,
  [SMALL_STATE(4869)] = 217499,
  [SMALL_STATE(4870)] = 217564,
  [SMALL_STATE(4871)] = 217629,
  [SMALL_STATE(4872)] = 217694,
  [SMALL_STATE(4873)] = 217759,
  [SMALL_STATE(4874)] = 217824,
  [SMALL_STATE(4875)] = 217889,
  [SMALL_STATE(4876)] = 217956,
  [SMALL_STATE(4877)] = 218021,
  [SMALL_STATE(4878)] = 218086,
  [SMALL_STATE(4879)] = 218151,
  [SMALL_STATE(4880)] = 218216,
  [SMALL_STATE(4881)] = 218281,
  [SMALL_STATE(4882)] = 218396,
  [SMALL_STATE(4883)] = 218511,
  [SMALL_STATE(4884)] = 218576,
  [SMALL_STATE(4885)] = 218641,
  [SMALL_STATE(4886)] = 218706,
  [SMALL_STATE(4887)] = 218821,
  [SMALL_STATE(4888)] = 218886,
  [SMALL_STATE(4889)] = 218951,
  [SMALL_STATE(4890)] = 219016,
  [SMALL_STATE(4891)] = 219081,
  [SMALL_STATE(4892)] = 219196,
  [SMALL_STATE(4893)] = 219261,
  [SMALL_STATE(4894)] = 219327,
  [SMALL_STATE(4895)] = 219391,
  [SMALL_STATE(4896)] = 219455,
  [SMALL_STATE(4897)] = 219519,
  [SMALL_STATE(4898)] = 219583,
  [SMALL_STATE(4899)] = 219647,
  [SMALL_STATE(4900)] = 219711,
  [SMALL_STATE(4901)] = 219775,
  [SMALL_STATE(4902)] = 219839,
  [SMALL_STATE(4903)] = 219903,
  [SMALL_STATE(4904)] = 219967,
  [SMALL_STATE(4905)] = 220031,
  [SMALL_STATE(4906)] = 220095,
  [SMALL_STATE(4907)] = 220159,
  [SMALL_STATE(4908)] = 220223,
  [SMALL_STATE(4909)] = 220287,
  [SMALL_STATE(4910)] = 220351,
  [SMALL_STATE(4911)] = 220415,
  [SMALL_STATE(4912)] = 220485,
  [SMALL_STATE(4913)] = 220549,
  [SMALL_STATE(4914)] = 220613,
  [SMALL_STATE(4915)] = 220679,
  [SMALL_STATE(4916)] = 220743,
  [SMALL_STATE(4917)] = 220807,
  [SMALL_STATE(4918)] = 220871,
  [SMALL_STATE(4919)] = 220935,
  [SMALL_STATE(4920)] = 221047,
  [SMALL_STATE(4921)] = 221111,
  [SMALL_STATE(4922)] = 221177,
  [SMALL_STATE(4923)] = 221243,
  [SMALL_STATE(4924)] = 221355,
  [SMALL_STATE(4925)] = 221467,
  [SMALL_STATE(4926)] = 221531,
  [SMALL_STATE(4927)] = 221595,
  [SMALL_STATE(4928)] = 221659,
  [SMALL_STATE(4929)] = 221723,
  [SMALL_STATE(4930)] = 221787,
  [SMALL_STATE(4931)] = 221851,
  [SMALL_STATE(4932)] = 221963,
  [SMALL_STATE(4933)] = 222027,
  [SMALL_STATE(4934)] = 222091,
  [SMALL_STATE(4935)] = 222155,
  [SMALL_STATE(4936)] = 222219,
  [SMALL_STATE(4937)] = 222283,
  [SMALL_STATE(4938)] = 222347,
  [SMALL_STATE(4939)] = 222411,
  [SMALL_STATE(4940)] = 222475,
  [SMALL_STATE(4941)] = 222539,
  [SMALL_STATE(4942)] = 222603,
  [SMALL_STATE(4943)] = 222667,
  [SMALL_STATE(4944)] = 222731,
  [SMALL_STATE(4945)] = 222795,
  [SMALL_STATE(4946)] = 222859,
  [SMALL_STATE(4947)] = 222923,
  [SMALL_STATE(4948)] = 222987,
  [SMALL_STATE(4949)] = 223051,
  [SMALL_STATE(4950)] = 223115,
  [SMALL_STATE(4951)] = 223179,
  [SMALL_STATE(4952)] = 223243,
  [SMALL_STATE(4953)] = 223307,
  [SMALL_STATE(4954)] = 223371,
  [SMALL_STATE(4955)] = 223483,
  [SMALL_STATE(4956)] = 223547,
  [SMALL_STATE(4957)] = 223611,
  [SMALL_STATE(4958)] = 223675,
  [SMALL_STATE(4959)] = 223739,
  [SMALL_STATE(4960)] = 223851,
  [SMALL_STATE(4961)] = 223915,
  [SMALL_STATE(4962)] = 223979,
  [SMALL_STATE(4963)] = 224043,
  [SMALL_STATE(4964)] = 224107,
  [SMALL_STATE(4965)] = 224171,
  [SMALL_STATE(4966)] = 224235,
  [SMALL_STATE(4967)] = 224299,
  [SMALL_STATE(4968)] = 224363,
  [SMALL_STATE(4969)] = 224427,
  [SMALL_STATE(4970)] = 224497,
  [SMALL_STATE(4971)] = 224561,
  [SMALL_STATE(4972)] = 224625,
  [SMALL_STATE(4973)] = 224689,
  [SMALL_STATE(4974)] = 224801,
  [SMALL_STATE(4975)] = 224865,
  [SMALL_STATE(4976)] = 224929,
  [SMALL_STATE(4977)] = 224993,
  [SMALL_STATE(4978)] = 225057,
  [SMALL_STATE(4979)] = 225123,
  [SMALL_STATE(4980)] = 225187,
  [SMALL_STATE(4981)] = 225251,
  [SMALL_STATE(4982)] = 225315,
  [SMALL_STATE(4983)] = 225379,
  [SMALL_STATE(4984)] = 225488,
  [SMALL_STATE(4985)] = 225551,
  [SMALL_STATE(4986)] = 225614,
  [SMALL_STATE(4987)] = 225677,
  [SMALL_STATE(4988)] = 225740,
  [SMALL_STATE(4989)] = 225803,
  [SMALL_STATE(4990)] = 225866,
  [SMALL_STATE(4991)] = 225929,
  [SMALL_STATE(4992)] = 225992,
  [SMALL_STATE(4993)] = 226055,
  [SMALL_STATE(4994)] = 226118,
  [SMALL_STATE(4995)] = 226181,
  [SMALL_STATE(4996)] = 226244,
  [SMALL_STATE(4997)] = 226307,
  [SMALL_STATE(4998)] = 226370,
  [SMALL_STATE(4999)] = 226433,
  [SMALL_STATE(5000)] = 226496,
  [SMALL_STATE(5001)] = 226559,
  [SMALL_STATE(5002)] = 226622,
  [SMALL_STATE(5003)] = 226685,
  [SMALL_STATE(5004)] = 226748,
  [SMALL_STATE(5005)] = 226811,
  [SMALL_STATE(5006)] = 226874,
  [SMALL_STATE(5007)] = 226939,
  [SMALL_STATE(5008)] = 227002,
  [SMALL_STATE(5009)] = 227065,
  [SMALL_STATE(5010)] = 227128,
  [SMALL_STATE(5011)] = 227191,
  [SMALL_STATE(5012)] = 227254,
  [SMALL_STATE(5013)] = 227317,
  [SMALL_STATE(5014)] = 227380,
  [SMALL_STATE(5015)] = 227443,
  [SMALL_STATE(5016)] = 227506,
  [SMALL_STATE(5017)] = 227569,
  [SMALL_STATE(5018)] = 227632,
  [SMALL_STATE(5019)] = 227695,
  [SMALL_STATE(5020)] = 227758,
  [SMALL_STATE(5021)] = 227821,
  [SMALL_STATE(5022)] = 227884,
  [SMALL_STATE(5023)] = 227947,
  [SMALL_STATE(5024)] = 228010,
  [SMALL_STATE(5025)] = 228073,
  [SMALL_STATE(5026)] = 228136,
  [SMALL_STATE(5027)] = 228199,
  [SMALL_STATE(5028)] = 228262,
  [SMALL_STATE(5029)] = 228325,
  [SMALL_STATE(5030)] = 228388,
  [SMALL_STATE(5031)] = 228451,
  [SMALL_STATE(5032)] = 228514,
  [SMALL_STATE(5033)] = 228577,
  [SMALL_STATE(5034)] = 228640,
  [SMALL_STATE(5035)] = 228703,
  [SMALL_STATE(5036)] = 228766,
  [SMALL_STATE(5037)] = 228835,
  [SMALL_STATE(5038)] = 228898,
  [SMALL_STATE(5039)] = 228961,
  [SMALL_STATE(5040)] = 229030,
  [SMALL_STATE(5041)] = 229093,
  [SMALL_STATE(5042)] = 229156,
  [SMALL_STATE(5043)] = 229219,
  [SMALL_STATE(5044)] = 229282,
  [SMALL_STATE(5045)] = 229345,
  [SMALL_STATE(5046)] = 229408,
  [SMALL_STATE(5047)] = 229471,
  [SMALL_STATE(5048)] = 229534,
  [SMALL_STATE(5049)] = 229597,
  [SMALL_STATE(5050)] = 229706,
  [SMALL_STATE(5051)] = 229769,
  [SMALL_STATE(5052)] = 229878,
  [SMALL_STATE(5053)] = 229987,
  [SMALL_STATE(5054)] = 230096,
  [SMALL_STATE(5055)] = 230161,
  [SMALL_STATE(5056)] = 230270,
  [SMALL_STATE(5057)] = 230379,
  [SMALL_STATE(5058)] = 230488,
  [SMALL_STATE(5059)] = 230597,
  [SMALL_STATE(5060)] = 230660,
  [SMALL_STATE(5061)] = 230723,
  [SMALL_STATE(5062)] = 230832,
  [SMALL_STATE(5063)] = 230895,
  [SMALL_STATE(5064)] = 230958,
  [SMALL_STATE(5065)] = 231067,
  [SMALL_STATE(5066)] = 231176,
  [SMALL_STATE(5067)] = 231285,
  [SMALL_STATE(5068)] = 231348,
  [SMALL_STATE(5069)] = 231457,
  [SMALL_STATE(5070)] = 231566,
  [SMALL_STATE(5071)] = 231675,
  [SMALL_STATE(5072)] = 231784,
  [SMALL_STATE(5073)] = 231893,
  [SMALL_STATE(5074)] = 232002,
  [SMALL_STATE(5075)] = 232111,
  [SMALL_STATE(5076)] = 232220,
  [SMALL_STATE(5077)] = 232329,
  [SMALL_STATE(5078)] = 232438,
  [SMALL_STATE(5079)] = 232547,
  [SMALL_STATE(5080)] = 232656,
  [SMALL_STATE(5081)] = 232721,
  [SMALL_STATE(5082)] = 232830,
  [SMALL_STATE(5083)] = 232939,
  [SMALL_STATE(5084)] = 233048,
  [SMALL_STATE(5085)] = 233157,
  [SMALL_STATE(5086)] = 233266,
  [SMALL_STATE(5087)] = 233375,
  [SMALL_STATE(5088)] = 233484,
  [SMALL_STATE(5089)] = 233593,
  [SMALL_STATE(5090)] = 233702,
  [SMALL_STATE(5091)] = 233811,
  [SMALL_STATE(5092)] = 233920,
  [SMALL_STATE(5093)] = 234029,
  [SMALL_STATE(5094)] = 234138,
  [SMALL_STATE(5095)] = 234247,
  [SMALL_STATE(5096)] = 234356,
  [SMALL_STATE(5097)] = 234465,
  [SMALL_STATE(5098)] = 234574,
  [SMALL_STATE(5099)] = 234637,
  [SMALL_STATE(5100)] = 234746,
  [SMALL_STATE(5101)] = 234811,
  [SMALL_STATE(5102)] = 234920,
  [SMALL_STATE(5103)] = 234985,
  [SMALL_STATE(5104)] = 235094,
  [SMALL_STATE(5105)] = 235203,
  [SMALL_STATE(5106)] = 235312,
  [SMALL_STATE(5107)] = 235421,
  [SMALL_STATE(5108)] = 235484,
  [SMALL_STATE(5109)] = 235593,
  [SMALL_STATE(5110)] = 235656,
  [SMALL_STATE(5111)] = 235765,
  [SMALL_STATE(5112)] = 235828,
  [SMALL_STATE(5113)] = 235891,
  [SMALL_STATE(5114)] = 235956,
  [SMALL_STATE(5115)] = 236065,
  [SMALL_STATE(5116)] = 236130,
  [SMALL_STATE(5117)] = 236239,
  [SMALL_STATE(5118)] = 236302,
  [SMALL_STATE(5119)] = 236365,
  [SMALL_STATE(5120)] = 236474,
  [SMALL_STATE(5121)] = 236537,
  [SMALL_STATE(5122)] = 236600,
  [SMALL_STATE(5123)] = 236663,
  [SMALL_STATE(5124)] = 236728,
  [SMALL_STATE(5125)] = 236791,
  [SMALL_STATE(5126)] = 236854,
  [SMALL_STATE(5127)] = 236917,
  [SMALL_STATE(5128)] = 236980,
  [SMALL_STATE(5129)] = 237043,
  [SMALL_STATE(5130)] = 237106,
  [SMALL_STATE(5131)] = 237171,
  [SMALL_STATE(5132)] = 237234,
  [SMALL_STATE(5133)] = 237296,
  [SMALL_STATE(5134)] = 237358,
  [SMALL_STATE(5135)] = 237420,
  [SMALL_STATE(5136)] = 237482,
  [SMALL_STATE(5137)] = 237544,
  [SMALL_STATE(5138)] = 237606,
  [SMALL_STATE(5139)] = 237668,
  [SMALL_STATE(5140)] = 237736,
  [SMALL_STATE(5141)] = 237798,
  [SMALL_STATE(5142)] = 237860,
  [SMALL_STATE(5143)] = 237922,
  [SMALL_STATE(5144)] = 237984,
  [SMALL_STATE(5145)] = 238046,
  [SMALL_STATE(5146)] = 238108,
  [SMALL_STATE(5147)] = 238170,
  [SMALL_STATE(5148)] = 238232,
  [SMALL_STATE(5149)] = 238294,
  [SMALL_STATE(5150)] = 238356,
  [SMALL_STATE(5151)] = 238418,
  [SMALL_STATE(5152)] = 238480,
  [SMALL_STATE(5153)] = 238542,
  [SMALL_STATE(5154)] = 238604,
  [SMALL_STATE(5155)] = 238666,
  [SMALL_STATE(5156)] = 238728,
  [SMALL_STATE(5157)] = 238790,
  [SMALL_STATE(5158)] = 238852,
  [SMALL_STATE(5159)] = 238914,
  [SMALL_STATE(5160)] = 238976,
  [SMALL_STATE(5161)] = 239038,
  [SMALL_STATE(5162)] = 239100,
  [SMALL_STATE(5163)] = 239162,
  [SMALL_STATE(5164)] = 239224,
  [SMALL_STATE(5165)] = 239292,
  [SMALL_STATE(5166)] = 239354,
  [SMALL_STATE(5167)] = 239416,
  [SMALL_STATE(5168)] = 239478,
  [SMALL_STATE(5169)] = 239546,
  [SMALL_STATE(5170)] = 239610,
  [SMALL_STATE(5171)] = 239672,
  [SMALL_STATE(5172)] = 239734,
  [SMALL_STATE(5173)] = 239796,
  [SMALL_STATE(5174)] = 239858,
  [SMALL_STATE(5175)] = 239920,
  [SMALL_STATE(5176)] = 239982,
  [SMALL_STATE(5177)] = 240044,
  [SMALL_STATE(5178)] = 240106,
  [SMALL_STATE(5179)] = 240168,
  [SMALL_STATE(5180)] = 240232,
  [SMALL_STATE(5181)] = 240294,
  [SMALL_STATE(5182)] = 240356,
  [SMALL_STATE(5183)] = 240418,
  [SMALL_STATE(5184)] = 240480,
  [SMALL_STATE(5185)] = 240542,
  [SMALL_STATE(5186)] = 240604,
  [SMALL_STATE(5187)] = 240666,
  [SMALL_STATE(5188)] = 240728,
  [SMALL_STATE(5189)] = 240790,
  [SMALL_STATE(5190)] = 240852,
  [SMALL_STATE(5191)] = 240914,
  [SMALL_STATE(5192)] = 240976,
  [SMALL_STATE(5193)] = 241040,
  [SMALL_STATE(5194)] = 241102,
  [SMALL_STATE(5195)] = 241164,
  [SMALL_STATE(5196)] = 241226,
  [SMALL_STATE(5197)] = 241288,
  [SMALL_STATE(5198)] = 241350,
  [SMALL_STATE(5199)] = 241412,
  [SMALL_STATE(5200)] = 241474,
  [SMALL_STATE(5201)] = 241536,
  [SMALL_STATE(5202)] = 241598,
  [SMALL_STATE(5203)] = 241660,
  [SMALL_STATE(5204)] = 241724,
  [SMALL_STATE(5205)] = 241786,
  [SMALL_STATE(5206)] = 241850,
  [SMALL_STATE(5207)] = 241912,
  [SMALL_STATE(5208)] = 241974,
  [SMALL_STATE(5209)] = 242038,
  [SMALL_STATE(5210)] = 242100,
  [SMALL_STATE(5211)] = 242162,
  [SMALL_STATE(5212)] = 242224,
  [SMALL_STATE(5213)] = 242286,
  [SMALL_STATE(5214)] = 242348,
  [SMALL_STATE(5215)] = 242410,
  [SMALL_STATE(5216)] = 242474,
  [SMALL_STATE(5217)] = 242536,
  [SMALL_STATE(5218)] = 242598,
  [SMALL_STATE(5219)] = 242660,
  [SMALL_STATE(5220)] = 242722,
  [SMALL_STATE(5221)] = 242784,
  [SMALL_STATE(5222)] = 242846,
  [SMALL_STATE(5223)] = 242908,
  [SMALL_STATE(5224)] = 242970,
  [SMALL_STATE(5225)] = 243034,
  [SMALL_STATE(5226)] = 243096,
  [SMALL_STATE(5227)] = 243158,
  [SMALL_STATE(5228)] = 243220,
  [SMALL_STATE(5229)] = 243282,
  [SMALL_STATE(5230)] = 243344,
  [SMALL_STATE(5231)] = 243406,
  [SMALL_STATE(5232)] = 243468,
  [SMALL_STATE(5233)] = 243530,
  [SMALL_STATE(5234)] = 243592,
  [SMALL_STATE(5235)] = 243654,
  [SMALL_STATE(5236)] = 243716,
  [SMALL_STATE(5237)] = 243778,
  [SMALL_STATE(5238)] = 243840,
  [SMALL_STATE(5239)] = 243902,
  [SMALL_STATE(5240)] = 243964,
  [SMALL_STATE(5241)] = 244026,
  [SMALL_STATE(5242)] = 244088,
  [SMALL_STATE(5243)] = 244150,
  [SMALL_STATE(5244)] = 244212,
  [SMALL_STATE(5245)] = 244276,
  [SMALL_STATE(5246)] = 244338,
  [SMALL_STATE(5247)] = 244402,
  [SMALL_STATE(5248)] = 244464,
  [SMALL_STATE(5249)] = 244526,
  [SMALL_STATE(5250)] = 244588,
  [SMALL_STATE(5251)] = 244650,
  [SMALL_STATE(5252)] = 244712,
  [SMALL_STATE(5253)] = 244774,
  [SMALL_STATE(5254)] = 244836,
  [SMALL_STATE(5255)] = 244898,
  [SMALL_STATE(5256)] = 244960,
  [SMALL_STATE(5257)] = 245022,
  [SMALL_STATE(5258)] = 245084,
  [SMALL_STATE(5259)] = 245146,
  [SMALL_STATE(5260)] = 245208,
  [SMALL_STATE(5261)] = 245272,
  [SMALL_STATE(5262)] = 245334,
  [SMALL_STATE(5263)] = 245402,
  [SMALL_STATE(5264)] = 245464,
  [SMALL_STATE(5265)] = 245526,
  [SMALL_STATE(5266)] = 245588,
  [SMALL_STATE(5267)] = 245652,
  [SMALL_STATE(5268)] = 245714,
  [SMALL_STATE(5269)] = 245776,
  [SMALL_STATE(5270)] = 245838,
  [SMALL_STATE(5271)] = 245900,
  [SMALL_STATE(5272)] = 245962,
  [SMALL_STATE(5273)] = 246024,
  [SMALL_STATE(5274)] = 246088,
  [SMALL_STATE(5275)] = 246150,
  [SMALL_STATE(5276)] = 246212,
  [SMALL_STATE(5277)] = 246274,
  [SMALL_STATE(5278)] = 246336,
  [SMALL_STATE(5279)] = 246398,
  [SMALL_STATE(5280)] = 246460,
  [SMALL_STATE(5281)] = 246522,
  [SMALL_STATE(5282)] = 246586,
  [SMALL_STATE(5283)] = 246648,
  [SMALL_STATE(5284)] = 246710,
  [SMALL_STATE(5285)] = 246772,
  [SMALL_STATE(5286)] = 246834,
  [SMALL_STATE(5287)] = 246896,
  [SMALL_STATE(5288)] = 246958,
  [SMALL_STATE(5289)] = 247020,
  [SMALL_STATE(5290)] = 247082,
  [SMALL_STATE(5291)] = 247144,
  [SMALL_STATE(5292)] = 247206,
  [SMALL_STATE(5293)] = 247268,
  [SMALL_STATE(5294)] = 247330,
  [SMALL_STATE(5295)] = 247392,
  [SMALL_STATE(5296)] = 247454,
  [SMALL_STATE(5297)] = 247516,
  [SMALL_STATE(5298)] = 247577,
  [SMALL_STATE(5299)] = 247638,
  [SMALL_STATE(5300)] = 247699,
  [SMALL_STATE(5301)] = 247760,
  [SMALL_STATE(5302)] = 247821,
  [SMALL_STATE(5303)] = 247882,
  [SMALL_STATE(5304)] = 247943,
  [SMALL_STATE(5305)] = 248006,
  [SMALL_STATE(5306)] = 248067,
  [SMALL_STATE(5307)] = 248128,
  [SMALL_STATE(5308)] = 248189,
  [SMALL_STATE(5309)] = 248250,
  [SMALL_STATE(5310)] = 248311,
  [SMALL_STATE(5311)] = 248374,
  [SMALL_STATE(5312)] = 248437,
  [SMALL_STATE(5313)] = 248498,
  [SMALL_STATE(5314)] = 248559,
  [SMALL_STATE(5315)] = 248620,
  [SMALL_STATE(5316)] = 248681,
  [SMALL_STATE(5317)] = 248742,
  [SMALL_STATE(5318)] = 248803,
  [SMALL_STATE(5319)] = 248864,
  [SMALL_STATE(5320)] = 248925,
  [SMALL_STATE(5321)] = 248986,
  [SMALL_STATE(5322)] = 249049,
  [SMALL_STATE(5323)] = 249110,
  [SMALL_STATE(5324)] = 249171,
  [SMALL_STATE(5325)] = 249232,
  [SMALL_STATE(5326)] = 249293,
  [SMALL_STATE(5327)] = 249354,
  [SMALL_STATE(5328)] = 249415,
  [SMALL_STATE(5329)] = 249476,
  [SMALL_STATE(5330)] = 249537,
  [SMALL_STATE(5331)] = 249600,
  [SMALL_STATE(5332)] = 249661,
  [SMALL_STATE(5333)] = 249724,
  [SMALL_STATE(5334)] = 249785,
  [SMALL_STATE(5335)] = 249846,
  [SMALL_STATE(5336)] = 249907,
  [SMALL_STATE(5337)] = 249968,
  [SMALL_STATE(5338)] = 250029,
  [SMALL_STATE(5339)] = 250090,
  [SMALL_STATE(5340)] = 250151,
  [SMALL_STATE(5341)] = 250212,
  [SMALL_STATE(5342)] = 250273,
  [SMALL_STATE(5343)] = 250334,
  [SMALL_STATE(5344)] = 250395,
  [SMALL_STATE(5345)] = 250456,
  [SMALL_STATE(5346)] = 250517,
  [SMALL_STATE(5347)] = 250578,
  [SMALL_STATE(5348)] = 250639,
  [SMALL_STATE(5349)] = 250700,
  [SMALL_STATE(5350)] = 250761,
  [SMALL_STATE(5351)] = 250824,
  [SMALL_STATE(5352)] = 250885,
  [SMALL_STATE(5353)] = 250946,
  [SMALL_STATE(5354)] = 251007,
  [SMALL_STATE(5355)] = 251068,
  [SMALL_STATE(5356)] = 251131,
  [SMALL_STATE(5357)] = 251192,
  [SMALL_STATE(5358)] = 251253,
  [SMALL_STATE(5359)] = 251314,
  [SMALL_STATE(5360)] = 251375,
  [SMALL_STATE(5361)] = 251436,
  [SMALL_STATE(5362)] = 251497,
  [SMALL_STATE(5363)] = 251558,
  [SMALL_STATE(5364)] = 251621,
  [SMALL_STATE(5365)] = 251682,
  [SMALL_STATE(5366)] = 251745,
  [SMALL_STATE(5367)] = 251806,
  [SMALL_STATE(5368)] = 251867,
  [SMALL_STATE(5369)] = 251928,
  [SMALL_STATE(5370)] = 251989,
  [SMALL_STATE(5371)] = 252056,
  [SMALL_STATE(5372)] = 252117,
  [SMALL_STATE(5373)] = 252178,
  [SMALL_STATE(5374)] = 252239,
  [SMALL_STATE(5375)] = 252300,
  [SMALL_STATE(5376)] = 252361,
  [SMALL_STATE(5377)] = 252422,
  [SMALL_STATE(5378)] = 252483,
  [SMALL_STATE(5379)] = 252544,
  [SMALL_STATE(5380)] = 252605,
  [SMALL_STATE(5381)] = 252666,
  [SMALL_STATE(5382)] = 252733,
  [SMALL_STATE(5383)] = 252794,
  [SMALL_STATE(5384)] = 252855,
  [SMALL_STATE(5385)] = 252916,
  [SMALL_STATE(5386)] = 252977,
  [SMALL_STATE(5387)] = 253038,
  [SMALL_STATE(5388)] = 253099,
  [SMALL_STATE(5389)] = 253160,
  [SMALL_STATE(5390)] = 253221,
  [SMALL_STATE(5391)] = 253282,
  [SMALL_STATE(5392)] = 253343,
  [SMALL_STATE(5393)] = 253406,
  [SMALL_STATE(5394)] = 253467,
  [SMALL_STATE(5395)] = 253528,
  [SMALL_STATE(5396)] = 253589,
  [SMALL_STATE(5397)] = 253650,
  [SMALL_STATE(5398)] = 253711,
  [SMALL_STATE(5399)] = 253772,
  [SMALL_STATE(5400)] = 253833,
  [SMALL_STATE(5401)] = 253894,
  [SMALL_STATE(5402)] = 253955,
  [SMALL_STATE(5403)] = 254016,
  [SMALL_STATE(5404)] = 254077,
  [SMALL_STATE(5405)] = 254138,
  [SMALL_STATE(5406)] = 254199,
  [SMALL_STATE(5407)] = 254260,
  [SMALL_STATE(5408)] = 254321,
  [SMALL_STATE(5409)] = 254382,
  [SMALL_STATE(5410)] = 254443,
  [SMALL_STATE(5411)] = 254503,
  [SMALL_STATE(5412)] = 254563,
  [SMALL_STATE(5413)] = 254623,
  [SMALL_STATE(5414)] = 254683,
  [SMALL_STATE(5415)] = 254743,
  [SMALL_STATE(5416)] = 254803,
  [SMALL_STATE(5417)] = 254863,
  [SMALL_STATE(5418)] = 254923,
  [SMALL_STATE(5419)] = 254983,
  [SMALL_STATE(5420)] = 255043,
  [SMALL_STATE(5421)] = 255103,
  [SMALL_STATE(5422)] = 255163,
  [SMALL_STATE(5423)] = 255223,
  [SMALL_STATE(5424)] = 255283,
  [SMALL_STATE(5425)] = 255343,
  [SMALL_STATE(5426)] = 255403,
  [SMALL_STATE(5427)] = 255463,
  [SMALL_STATE(5428)] = 255525,
  [SMALL_STATE(5429)] = 255585,
  [SMALL_STATE(5430)] = 255645,
  [SMALL_STATE(5431)] = 255705,
  [SMALL_STATE(5432)] = 255765,
  [SMALL_STATE(5433)] = 255825,
  [SMALL_STATE(5434)] = 255885,
  [SMALL_STATE(5435)] = 255945,
  [SMALL_STATE(5436)] = 256005,
  [SMALL_STATE(5437)] = 256065,
  [SMALL_STATE(5438)] = 256125,
  [SMALL_STATE(5439)] = 256185,
  [SMALL_STATE(5440)] = 256245,
  [SMALL_STATE(5441)] = 256305,
  [SMALL_STATE(5442)] = 256365,
  [SMALL_STATE(5443)] = 256427,
  [SMALL_STATE(5444)] = 256487,
  [SMALL_STATE(5445)] = 256547,
  [SMALL_STATE(5446)] = 256607,
  [SMALL_STATE(5447)] = 256667,
  [SMALL_STATE(5448)] = 256727,
  [SMALL_STATE(5449)] = 256787,
  [SMALL_STATE(5450)] = 256847,
  [SMALL_STATE(5451)] = 256907,
  [SMALL_STATE(5452)] = 256967,
  [SMALL_STATE(5453)] = 257027,
  [SMALL_STATE(5454)] = 257087,
  [SMALL_STATE(5455)] = 257147,
  [SMALL_STATE(5456)] = 257207,
  [SMALL_STATE(5457)] = 257267,
  [SMALL_STATE(5458)] = 257327,
  [SMALL_STATE(5459)] = 257387,
  [SMALL_STATE(5460)] = 257447,
  [SMALL_STATE(5461)] = 257507,
  [SMALL_STATE(5462)] = 257567,
  [SMALL_STATE(5463)] = 257627,
  [SMALL_STATE(5464)] = 257687,
  [SMALL_STATE(5465)] = 257747,
  [SMALL_STATE(5466)] = 257807,
  [SMALL_STATE(5467)] = 257867,
  [SMALL_STATE(5468)] = 257927,
  [SMALL_STATE(5469)] = 257989,
  [SMALL_STATE(5470)] = 258049,
  [SMALL_STATE(5471)] = 258109,
  [SMALL_STATE(5472)] = 258169,
  [SMALL_STATE(5473)] = 258229,
  [SMALL_STATE(5474)] = 258289,
  [SMALL_STATE(5475)] = 258349,
  [SMALL_STATE(5476)] = 258409,
  [SMALL_STATE(5477)] = 258469,
  [SMALL_STATE(5478)] = 258529,
  [SMALL_STATE(5479)] = 258589,
  [SMALL_STATE(5480)] = 258649,
  [SMALL_STATE(5481)] = 258709,
  [SMALL_STATE(5482)] = 258769,
  [SMALL_STATE(5483)] = 258829,
  [SMALL_STATE(5484)] = 258889,
  [SMALL_STATE(5485)] = 258949,
  [SMALL_STATE(5486)] = 259009,
  [SMALL_STATE(5487)] = 259069,
  [SMALL_STATE(5488)] = 259129,
  [SMALL_STATE(5489)] = 259189,
  [SMALL_STATE(5490)] = 259249,
  [SMALL_STATE(5491)] = 259309,
  [SMALL_STATE(5492)] = 259369,
  [SMALL_STATE(5493)] = 259429,
  [SMALL_STATE(5494)] = 259489,
  [SMALL_STATE(5495)] = 259549,
  [SMALL_STATE(5496)] = 259609,
  [SMALL_STATE(5497)] = 259669,
  [SMALL_STATE(5498)] = 259731,
  [SMALL_STATE(5499)] = 259791,
  [SMALL_STATE(5500)] = 259851,
  [SMALL_STATE(5501)] = 259913,
  [SMALL_STATE(5502)] = 259977,
  [SMALL_STATE(5503)] = 260037,
  [SMALL_STATE(5504)] = 260097,
  [SMALL_STATE(5505)] = 260159,
  [SMALL_STATE(5506)] = 260219,
  [SMALL_STATE(5507)] = 260279,
  [SMALL_STATE(5508)] = 260339,
  [SMALL_STATE(5509)] = 260399,
  [SMALL_STATE(5510)] = 260459,
  [SMALL_STATE(5511)] = 260519,
  [SMALL_STATE(5512)] = 260579,
  [SMALL_STATE(5513)] = 260639,
  [SMALL_STATE(5514)] = 260699,
  [SMALL_STATE(5515)] = 260759,
  [SMALL_STATE(5516)] = 260819,
  [SMALL_STATE(5517)] = 260879,
  [SMALL_STATE(5518)] = 260939,
  [SMALL_STATE(5519)] = 260999,
  [SMALL_STATE(5520)] = 261059,
  [SMALL_STATE(5521)] = 261119,
  [SMALL_STATE(5522)] = 261179,
  [SMALL_STATE(5523)] = 261239,
  [SMALL_STATE(5524)] = 261299,
  [SMALL_STATE(5525)] = 261359,
  [SMALL_STATE(5526)] = 261421,
  [SMALL_STATE(5527)] = 261485,
  [SMALL_STATE(5528)] = 261547,
  [SMALL_STATE(5529)] = 261607,
  [SMALL_STATE(5530)] = 261669,
  [SMALL_STATE(5531)] = 261729,
  [SMALL_STATE(5532)] = 261789,
  [SMALL_STATE(5533)] = 261849,
  [SMALL_STATE(5534)] = 261909,
  [SMALL_STATE(5535)] = 261969,
  [SMALL_STATE(5536)] = 262031,
  [SMALL_STATE(5537)] = 262091,
  [SMALL_STATE(5538)] = 262151,
  [SMALL_STATE(5539)] = 262211,
  [SMALL_STATE(5540)] = 262271,
  [SMALL_STATE(5541)] = 262331,
  [SMALL_STATE(5542)] = 262391,
  [SMALL_STATE(5543)] = 262451,
  [SMALL_STATE(5544)] = 262511,
  [SMALL_STATE(5545)] = 262571,
  [SMALL_STATE(5546)] = 262631,
  [SMALL_STATE(5547)] = 262691,
  [SMALL_STATE(5548)] = 262751,
  [SMALL_STATE(5549)] = 262811,
  [SMALL_STATE(5550)] = 262871,
  [SMALL_STATE(5551)] = 262931,
  [SMALL_STATE(5552)] = 262991,
  [SMALL_STATE(5553)] = 263051,
  [SMALL_STATE(5554)] = 263110,
  [SMALL_STATE(5555)] = 263169,
  [SMALL_STATE(5556)] = 263228,
  [SMALL_STATE(5557)] = 263287,
  [SMALL_STATE(5558)] = 263346,
  [SMALL_STATE(5559)] = 263405,
  [SMALL_STATE(5560)] = 263464,
  [SMALL_STATE(5561)] = 263523,
  [SMALL_STATE(5562)] = 263582,
  [SMALL_STATE(5563)] = 263641,
  [SMALL_STATE(5564)] = 263700,
  [SMALL_STATE(5565)] = 263759,
  [SMALL_STATE(5566)] = 263818,
  [SMALL_STATE(5567)] = 263877,
  [SMALL_STATE(5568)] = 263936,
  [SMALL_STATE(5569)] = 263995,
  [SMALL_STATE(5570)] = 264054,
  [SMALL_STATE(5571)] = 264113,
  [SMALL_STATE(5572)] = 264172,
  [SMALL_STATE(5573)] = 264231,
  [SMALL_STATE(5574)] = 264290,
  [SMALL_STATE(5575)] = 264349,
  [SMALL_STATE(5576)] = 264408,
  [SMALL_STATE(5577)] = 264467,
  [SMALL_STATE(5578)] = 264526,
  [SMALL_STATE(5579)] = 264585,
  [SMALL_STATE(5580)] = 264644,
  [SMALL_STATE(5581)] = 264703,
  [SMALL_STATE(5582)] = 264762,
  [SMALL_STATE(5583)] = 264821,
  [SMALL_STATE(5584)] = 264880,
  [SMALL_STATE(5585)] = 264939,
  [SMALL_STATE(5586)] = 264998,
  [SMALL_STATE(5587)] = 265057,
  [SMALL_STATE(5588)] = 265116,
  [SMALL_STATE(5589)] = 265175,
  [SMALL_STATE(5590)] = 265234,
  [SMALL_STATE(5591)] = 265295,
  [SMALL_STATE(5592)] = 265354,
  [SMALL_STATE(5593)] = 265413,
  [SMALL_STATE(5594)] = 265472,
  [SMALL_STATE(5595)] = 265531,
  [SMALL_STATE(5596)] = 265590,
  [SMALL_STATE(5597)] = 265649,
  [SMALL_STATE(5598)] = 265708,
  [SMALL_STATE(5599)] = 265767,
  [SMALL_STATE(5600)] = 265826,
  [SMALL_STATE(5601)] = 265885,
  [SMALL_STATE(5602)] = 265944,
  [SMALL_STATE(5603)] = 266003,
  [SMALL_STATE(5604)] = 266062,
  [SMALL_STATE(5605)] = 266121,
  [SMALL_STATE(5606)] = 266180,
  [SMALL_STATE(5607)] = 266239,
  [SMALL_STATE(5608)] = 266298,
  [SMALL_STATE(5609)] = 266357,
  [SMALL_STATE(5610)] = 266418,
  [SMALL_STATE(5611)] = 266477,
  [SMALL_STATE(5612)] = 266536,
  [SMALL_STATE(5613)] = 266595,
  [SMALL_STATE(5614)] = 266654,
  [SMALL_STATE(5615)] = 266713,
  [SMALL_STATE(5616)] = 266774,
  [SMALL_STATE(5617)] = 266833,
  [SMALL_STATE(5618)] = 266892,
  [SMALL_STATE(5619)] = 266951,
  [SMALL_STATE(5620)] = 267010,
  [SMALL_STATE(5621)] = 267069,
  [SMALL_STATE(5622)] = 267128,
  [SMALL_STATE(5623)] = 267189,
  [SMALL_STATE(5624)] = 267248,
  [SMALL_STATE(5625)] = 267307,
  [SMALL_STATE(5626)] = 267366,
  [SMALL_STATE(5627)] = 267425,
  [SMALL_STATE(5628)] = 267484,
  [SMALL_STATE(5629)] = 267543,
  [SMALL_STATE(5630)] = 267602,
  [SMALL_STATE(5631)] = 267661,
  [SMALL_STATE(5632)] = 267720,
  [SMALL_STATE(5633)] = 267779,
  [SMALL_STATE(5634)] = 267842,
  [SMALL_STATE(5635)] = 267901,
  [SMALL_STATE(5636)] = 267960,
  [SMALL_STATE(5637)] = 268019,
  [SMALL_STATE(5638)] = 268078,
  [SMALL_STATE(5639)] = 268139,
  [SMALL_STATE(5640)] = 268198,
  [SMALL_STATE(5641)] = 268257,
  [SMALL_STATE(5642)] = 268316,
  [SMALL_STATE(5643)] = 268375,
  [SMALL_STATE(5644)] = 268434,
  [SMALL_STATE(5645)] = 268499,
  [SMALL_STATE(5646)] = 268560,
  [SMALL_STATE(5647)] = 268619,
  [SMALL_STATE(5648)] = 268678,
  [SMALL_STATE(5649)] = 268737,
  [SMALL_STATE(5650)] = 268796,
  [SMALL_STATE(5651)] = 268855,
  [SMALL_STATE(5652)] = 268914,
  [SMALL_STATE(5653)] = 268973,
  [SMALL_STATE(5654)] = 269032,
  [SMALL_STATE(5655)] = 269091,
  [SMALL_STATE(5656)] = 269152,
  [SMALL_STATE(5657)] = 269211,
  [SMALL_STATE(5658)] = 269270,
  [SMALL_STATE(5659)] = 269329,
  [SMALL_STATE(5660)] = 269388,
  [SMALL_STATE(5661)] = 269447,
  [SMALL_STATE(5662)] = 269506,
  [SMALL_STATE(5663)] = 269565,
  [SMALL_STATE(5664)] = 269624,
  [SMALL_STATE(5665)] = 269683,
  [SMALL_STATE(5666)] = 269742,
  [SMALL_STATE(5667)] = 269801,
  [SMALL_STATE(5668)] = 269860,
  [SMALL_STATE(5669)] = 269919,
  [SMALL_STATE(5670)] = 269978,
  [SMALL_STATE(5671)] = 270037,
  [SMALL_STATE(5672)] = 270096,
  [SMALL_STATE(5673)] = 270155,
  [SMALL_STATE(5674)] = 270214,
  [SMALL_STATE(5675)] = 270273,
  [SMALL_STATE(5676)] = 270332,
  [SMALL_STATE(5677)] = 270391,
  [SMALL_STATE(5678)] = 270450,
  [SMALL_STATE(5679)] = 270509,
  [SMALL_STATE(5680)] = 270568,
  [SMALL_STATE(5681)] = 270627,
  [SMALL_STATE(5682)] = 270686,
  [SMALL_STATE(5683)] = 270745,
  [SMALL_STATE(5684)] = 270804,
  [SMALL_STATE(5685)] = 270863,
  [SMALL_STATE(5686)] = 270924,
  [SMALL_STATE(5687)] = 270987,
  [SMALL_STATE(5688)] = 271046,
  [SMALL_STATE(5689)] = 271105,
  [SMALL_STATE(5690)] = 271166,
  [SMALL_STATE(5691)] = 271225,
  [SMALL_STATE(5692)] = 271284,
  [SMALL_STATE(5693)] = 271343,
  [SMALL_STATE(5694)] = 271402,
  [SMALL_STATE(5695)] = 271461,
  [SMALL_STATE(5696)] = 271522,
  [SMALL_STATE(5697)] = 271581,
  [SMALL_STATE(5698)] = 271640,
  [SMALL_STATE(5699)] = 271699,
  [SMALL_STATE(5700)] = 271758,
  [SMALL_STATE(5701)] = 271817,
  [SMALL_STATE(5702)] = 271876,
  [SMALL_STATE(5703)] = 271941,
  [SMALL_STATE(5704)] = 272000,
  [SMALL_STATE(5705)] = 272059,
  [SMALL_STATE(5706)] = 272118,
  [SMALL_STATE(5707)] = 272177,
  [SMALL_STATE(5708)] = 272236,
  [SMALL_STATE(5709)] = 272295,
  [SMALL_STATE(5710)] = 272354,
  [SMALL_STATE(5711)] = 272413,
  [SMALL_STATE(5712)] = 272472,
  [SMALL_STATE(5713)] = 272531,
  [SMALL_STATE(5714)] = 272590,
  [SMALL_STATE(5715)] = 272649,
  [SMALL_STATE(5716)] = 272708,
  [SMALL_STATE(5717)] = 272767,
  [SMALL_STATE(5718)] = 272826,
  [SMALL_STATE(5719)] = 272885,
  [SMALL_STATE(5720)] = 272944,
  [SMALL_STATE(5721)] = 273003,
  [SMALL_STATE(5722)] = 273062,
  [SMALL_STATE(5723)] = 273121,
  [SMALL_STATE(5724)] = 273180,
  [SMALL_STATE(5725)] = 273239,
  [SMALL_STATE(5726)] = 273298,
  [SMALL_STATE(5727)] = 273357,
  [SMALL_STATE(5728)] = 273416,
  [SMALL_STATE(5729)] = 273475,
  [SMALL_STATE(5730)] = 273534,
  [SMALL_STATE(5731)] = 273593,
  [SMALL_STATE(5732)] = 273652,
  [SMALL_STATE(5733)] = 273711,
  [SMALL_STATE(5734)] = 273770,
  [SMALL_STATE(5735)] = 273831,
  [SMALL_STATE(5736)] = 273890,
  [SMALL_STATE(5737)] = 273949,
  [SMALL_STATE(5738)] = 274008,
  [SMALL_STATE(5739)] = 274067,
  [SMALL_STATE(5740)] = 274126,
  [SMALL_STATE(5741)] = 274184,
  [SMALL_STATE(5742)] = 274242,
  [SMALL_STATE(5743)] = 274300,
  [SMALL_STATE(5744)] = 274358,
  [SMALL_STATE(5745)] = 274416,
  [SMALL_STATE(5746)] = 274474,
  [SMALL_STATE(5747)] = 274534,
  [SMALL_STATE(5748)] = 274592,
  [SMALL_STATE(5749)] = 274650,
  [SMALL_STATE(5750)] = 274708,
  [SMALL_STATE(5751)] = 274806,
  [SMALL_STATE(5752)] = 274866,
  [SMALL_STATE(5753)] = 274924,
  [SMALL_STATE(5754)] = 274984,
  [SMALL_STATE(5755)] = 275042,
  [SMALL_STATE(5756)] = 275100,
  [SMALL_STATE(5757)] = 275158,
  [SMALL_STATE(5758)] = 275216,
  [SMALL_STATE(5759)] = 275274,
  [SMALL_STATE(5760)] = 275332,
  [SMALL_STATE(5761)] = 275392,
  [SMALL_STATE(5762)] = 275450,
  [SMALL_STATE(5763)] = 275508,
  [SMALL_STATE(5764)] = 275572,
  [SMALL_STATE(5765)] = 275630,
  [SMALL_STATE(5766)] = 275688,
  [SMALL_STATE(5767)] = 275746,
  [SMALL_STATE(5768)] = 275806,
  [SMALL_STATE(5769)] = 275864,
  [SMALL_STATE(5770)] = 275922,
  [SMALL_STATE(5771)] = 275980,
  [SMALL_STATE(5772)] = 276038,
  [SMALL_STATE(5773)] = 276136,
  [SMALL_STATE(5774)] = 276194,
  [SMALL_STATE(5775)] = 276252,
  [SMALL_STATE(5776)] = 276310,
  [SMALL_STATE(5777)] = 276368,
  [SMALL_STATE(5778)] = 276426,
  [SMALL_STATE(5779)] = 276484,
  [SMALL_STATE(5780)] = 276542,
  [SMALL_STATE(5781)] = 276600,
  [SMALL_STATE(5782)] = 276658,
  [SMALL_STATE(5783)] = 276716,
  [SMALL_STATE(5784)] = 276774,
  [SMALL_STATE(5785)] = 276832,
  [SMALL_STATE(5786)] = 276890,
  [SMALL_STATE(5787)] = 276948,
  [SMALL_STATE(5788)] = 277006,
  [SMALL_STATE(5789)] = 277064,
  [SMALL_STATE(5790)] = 277122,
  [SMALL_STATE(5791)] = 277180,
  [SMALL_STATE(5792)] = 277238,
  [SMALL_STATE(5793)] = 277336,
  [SMALL_STATE(5794)] = 277434,
  [SMALL_STATE(5795)] = 277492,
  [SMALL_STATE(5796)] = 277556,
  [SMALL_STATE(5797)] = 277614,
  [SMALL_STATE(5798)] = 277672,
  [SMALL_STATE(5799)] = 277730,
  [SMALL_STATE(5800)] = 277788,
  [SMALL_STATE(5801)] = 277846,
  [SMALL_STATE(5802)] = 277904,
  [SMALL_STATE(5803)] = 277962,
  [SMALL_STATE(5804)] = 278020,
  [SMALL_STATE(5805)] = 278078,
  [SMALL_STATE(5806)] = 278136,
  [SMALL_STATE(5807)] = 278194,
  [SMALL_STATE(5808)] = 278252,
  [SMALL_STATE(5809)] = 278310,
  [SMALL_STATE(5810)] = 278368,
  [SMALL_STATE(5811)] = 278426,
  [SMALL_STATE(5812)] = 278524,
  [SMALL_STATE(5813)] = 278582,
  [SMALL_STATE(5814)] = 278640,
  [SMALL_STATE(5815)] = 278698,
  [SMALL_STATE(5816)] = 278756,
  [SMALL_STATE(5817)] = 278814,
  [SMALL_STATE(5818)] = 278872,
  [SMALL_STATE(5819)] = 278930,
  [SMALL_STATE(5820)] = 278988,
  [SMALL_STATE(5821)] = 279046,
  [SMALL_STATE(5822)] = 279104,
  [SMALL_STATE(5823)] = 279162,
  [SMALL_STATE(5824)] = 279220,
  [SMALL_STATE(5825)] = 279278,
  [SMALL_STATE(5826)] = 279336,
  [SMALL_STATE(5827)] = 279394,
  [SMALL_STATE(5828)] = 279452,
  [SMALL_STATE(5829)] = 279550,
  [SMALL_STATE(5830)] = 279610,
  [SMALL_STATE(5831)] = 279668,
  [SMALL_STATE(5832)] = 279726,
  [SMALL_STATE(5833)] = 279783,
  [SMALL_STATE(5834)] = 279840,
  [SMALL_STATE(5835)] = 279897,
  [SMALL_STATE(5836)] = 279960,
  [SMALL_STATE(5837)] = 280023,
  [SMALL_STATE(5838)] = 280080,
  [SMALL_STATE(5839)] = 280137,
  [SMALL_STATE(5840)] = 280194,
  [SMALL_STATE(5841)] = 280251,
  [SMALL_STATE(5842)] = 280308,
  [SMALL_STATE(5843)] = 280365,
  [SMALL_STATE(5844)] = 280422,
  [SMALL_STATE(5845)] = 280479,
  [SMALL_STATE(5846)] = 280536,
  [SMALL_STATE(5847)] = 280593,
  [SMALL_STATE(5848)] = 280652,
  [SMALL_STATE(5849)] = 280709,
  [SMALL_STATE(5850)] = 280766,
  [SMALL_STATE(5851)] = 280823,
  [SMALL_STATE(5852)] = 280880,
  [SMALL_STATE(5853)] = 280937,
  [SMALL_STATE(5854)] = 280994,
  [SMALL_STATE(5855)] = 281053,
  [SMALL_STATE(5856)] = 281110,
  [SMALL_STATE(5857)] = 281167,
  [SMALL_STATE(5858)] = 281224,
  [SMALL_STATE(5859)] = 281281,
  [SMALL_STATE(5860)] = 281338,
  [SMALL_STATE(5861)] = 281395,
  [SMALL_STATE(5862)] = 281452,
  [SMALL_STATE(5863)] = 281509,
  [SMALL_STATE(5864)] = 281566,
  [SMALL_STATE(5865)] = 281623,
  [SMALL_STATE(5866)] = 281680,
  [SMALL_STATE(5867)] = 281737,
  [SMALL_STATE(5868)] = 281794,
  [SMALL_STATE(5869)] = 281851,
  [SMALL_STATE(5870)] = 281908,
  [SMALL_STATE(5871)] = 281967,
  [SMALL_STATE(5872)] = 282024,
  [SMALL_STATE(5873)] = 282081,
  [SMALL_STATE(5874)] = 282138,
  [SMALL_STATE(5875)] = 282195,
  [SMALL_STATE(5876)] = 282252,
  [SMALL_STATE(5877)] = 282309,
  [SMALL_STATE(5878)] = 282366,
  [SMALL_STATE(5879)] = 282425,
  [SMALL_STATE(5880)] = 282488,
  [SMALL_STATE(5881)] = 282545,
  [SMALL_STATE(5882)] = 282602,
  [SMALL_STATE(5883)] = 282659,
  [SMALL_STATE(5884)] = 282716,
  [SMALL_STATE(5885)] = 282773,
  [SMALL_STATE(5886)] = 282830,
  [SMALL_STATE(5887)] = 282887,
  [SMALL_STATE(5888)] = 282950,
  [SMALL_STATE(5889)] = 283007,
  [SMALL_STATE(5890)] = 283064,
  [SMALL_STATE(5891)] = 283121,
  [SMALL_STATE(5892)] = 283178,
  [SMALL_STATE(5893)] = 283235,
  [SMALL_STATE(5894)] = 283292,
  [SMALL_STATE(5895)] = 283351,
  [SMALL_STATE(5896)] = 283408,
  [SMALL_STATE(5897)] = 283465,
  [SMALL_STATE(5898)] = 283522,
  [SMALL_STATE(5899)] = 283579,
  [SMALL_STATE(5900)] = 283636,
  [SMALL_STATE(5901)] = 283693,
  [SMALL_STATE(5902)] = 283750,
  [SMALL_STATE(5903)] = 283807,
  [SMALL_STATE(5904)] = 283864,
  [SMALL_STATE(5905)] = 283921,
  [SMALL_STATE(5906)] = 283978,
  [SMALL_STATE(5907)] = 284037,
  [SMALL_STATE(5908)] = 284094,
  [SMALL_STATE(5909)] = 284151,
  [SMALL_STATE(5910)] = 284208,
  [SMALL_STATE(5911)] = 284265,
  [SMALL_STATE(5912)] = 284324,
  [SMALL_STATE(5913)] = 284381,
  [SMALL_STATE(5914)] = 284438,
  [SMALL_STATE(5915)] = 284495,
  [SMALL_STATE(5916)] = 284552,
  [SMALL_STATE(5917)] = 284609,
  [SMALL_STATE(5918)] = 284666,
  [SMALL_STATE(5919)] = 284723,
  [SMALL_STATE(5920)] = 284780,
  [SMALL_STATE(5921)] = 284837,
  [SMALL_STATE(5922)] = 284894,
  [SMALL_STATE(5923)] = 284951,
  [SMALL_STATE(5924)] = 285008,
  [SMALL_STATE(5925)] = 285065,
  [SMALL_STATE(5926)] = 285122,
  [SMALL_STATE(5927)] = 285179,
  [SMALL_STATE(5928)] = 285236,
  [SMALL_STATE(5929)] = 285293,
  [SMALL_STATE(5930)] = 285350,
  [SMALL_STATE(5931)] = 285407,
  [SMALL_STATE(5932)] = 285464,
  [SMALL_STATE(5933)] = 285521,
  [SMALL_STATE(5934)] = 285578,
  [SMALL_STATE(5935)] = 285635,
  [SMALL_STATE(5936)] = 285692,
  [SMALL_STATE(5937)] = 285749,
  [SMALL_STATE(5938)] = 285808,
  [SMALL_STATE(5939)] = 285865,
  [SMALL_STATE(5940)] = 285922,
  [SMALL_STATE(5941)] = 285979,
  [SMALL_STATE(5942)] = 286036,
  [SMALL_STATE(5943)] = 286093,
  [SMALL_STATE(5944)] = 286150,
  [SMALL_STATE(5945)] = 286207,
  [SMALL_STATE(5946)] = 286264,
  [SMALL_STATE(5947)] = 286321,
  [SMALL_STATE(5948)] = 286378,
  [SMALL_STATE(5949)] = 286435,
  [SMALL_STATE(5950)] = 286492,
  [SMALL_STATE(5951)] = 286549,
  [SMALL_STATE(5952)] = 286606,
  [SMALL_STATE(5953)] = 286663,
  [SMALL_STATE(5954)] = 286720,
  [SMALL_STATE(5955)] = 286777,
  [SMALL_STATE(5956)] = 286834,
  [SMALL_STATE(5957)] = 286891,
  [SMALL_STATE(5958)] = 286948,
  [SMALL_STATE(5959)] = 287005,
  [SMALL_STATE(5960)] = 287062,
  [SMALL_STATE(5961)] = 287119,
  [SMALL_STATE(5962)] = 287176,
  [SMALL_STATE(5963)] = 287233,
  [SMALL_STATE(5964)] = 287290,
  [SMALL_STATE(5965)] = 287347,
  [SMALL_STATE(5966)] = 287404,
  [SMALL_STATE(5967)] = 287461,
  [SMALL_STATE(5968)] = 287518,
  [SMALL_STATE(5969)] = 287575,
  [SMALL_STATE(5970)] = 287632,
  [SMALL_STATE(5971)] = 287689,
  [SMALL_STATE(5972)] = 287746,
  [SMALL_STATE(5973)] = 287803,
  [SMALL_STATE(5974)] = 287860,
  [SMALL_STATE(5975)] = 287917,
  [SMALL_STATE(5976)] = 287974,
  [SMALL_STATE(5977)] = 288031,
  [SMALL_STATE(5978)] = 288088,
  [SMALL_STATE(5979)] = 288145,
  [SMALL_STATE(5980)] = 288202,
  [SMALL_STATE(5981)] = 288259,
  [SMALL_STATE(5982)] = 288316,
  [SMALL_STATE(5983)] = 288373,
  [SMALL_STATE(5984)] = 288430,
  [SMALL_STATE(5985)] = 288487,
  [SMALL_STATE(5986)] = 288544,
  [SMALL_STATE(5987)] = 288601,
  [SMALL_STATE(5988)] = 288658,
  [SMALL_STATE(5989)] = 288715,
  [SMALL_STATE(5990)] = 288772,
  [SMALL_STATE(5991)] = 288829,
  [SMALL_STATE(5992)] = 288886,
  [SMALL_STATE(5993)] = 288943,
  [SMALL_STATE(5994)] = 289000,
  [SMALL_STATE(5995)] = 289057,
  [SMALL_STATE(5996)] = 289114,
  [SMALL_STATE(5997)] = 289177,
  [SMALL_STATE(5998)] = 289234,
  [SMALL_STATE(5999)] = 289291,
  [SMALL_STATE(6000)] = 289348,
  [SMALL_STATE(6001)] = 289405,
  [SMALL_STATE(6002)] = 289462,
  [SMALL_STATE(6003)] = 289521,
  [SMALL_STATE(6004)] = 289580,
  [SMALL_STATE(6005)] = 289637,
  [SMALL_STATE(6006)] = 289694,
  [SMALL_STATE(6007)] = 289753,
  [SMALL_STATE(6008)] = 289812,
  [SMALL_STATE(6009)] = 289871,
  [SMALL_STATE(6010)] = 289930,
  [SMALL_STATE(6011)] = 289987,
  [SMALL_STATE(6012)] = 290044,
  [SMALL_STATE(6013)] = 290101,
  [SMALL_STATE(6014)] = 290158,
  [SMALL_STATE(6015)] = 290215,
  [SMALL_STATE(6016)] = 290272,
  [SMALL_STATE(6017)] = 290329,
  [SMALL_STATE(6018)] = 290386,
  [SMALL_STATE(6019)] = 290443,
  [SMALL_STATE(6020)] = 290500,
  [SMALL_STATE(6021)] = 290557,
  [SMALL_STATE(6022)] = 290614,
  [SMALL_STATE(6023)] = 290671,
  [SMALL_STATE(6024)] = 290728,
  [SMALL_STATE(6025)] = 290785,
  [SMALL_STATE(6026)] = 290842,
  [SMALL_STATE(6027)] = 290899,
  [SMALL_STATE(6028)] = 290956,
  [SMALL_STATE(6029)] = 291013,
  [SMALL_STATE(6030)] = 291070,
  [SMALL_STATE(6031)] = 291127,
  [SMALL_STATE(6032)] = 291184,
  [SMALL_STATE(6033)] = 291241,
  [SMALL_STATE(6034)] = 291298,
  [SMALL_STATE(6035)] = 291355,
  [SMALL_STATE(6036)] = 291412,
  [SMALL_STATE(6037)] = 291469,
  [SMALL_STATE(6038)] = 291528,
  [SMALL_STATE(6039)] = 291585,
  [SMALL_STATE(6040)] = 291642,
  [SMALL_STATE(6041)] = 291699,
  [SMALL_STATE(6042)] = 291756,
  [SMALL_STATE(6043)] = 291813,
  [SMALL_STATE(6044)] = 291870,
  [SMALL_STATE(6045)] = 291927,
  [SMALL_STATE(6046)] = 291984,
  [SMALL_STATE(6047)] = 292041,
  [SMALL_STATE(6048)] = 292098,
  [SMALL_STATE(6049)] = 292155,
  [SMALL_STATE(6050)] = 292212,
  [SMALL_STATE(6051)] = 292269,
  [SMALL_STATE(6052)] = 292326,
  [SMALL_STATE(6053)] = 292383,
  [SMALL_STATE(6054)] = 292440,
  [SMALL_STATE(6055)] = 292497,
  [SMALL_STATE(6056)] = 292554,
  [SMALL_STATE(6057)] = 292611,
  [SMALL_STATE(6058)] = 292668,
  [SMALL_STATE(6059)] = 292725,
  [SMALL_STATE(6060)] = 292782,
  [SMALL_STATE(6061)] = 292839,
  [SMALL_STATE(6062)] = 292896,
  [SMALL_STATE(6063)] = 292955,
  [SMALL_STATE(6064)] = 293012,
  [SMALL_STATE(6065)] = 293069,
  [SMALL_STATE(6066)] = 293126,
  [SMALL_STATE(6067)] = 293183,
  [SMALL_STATE(6068)] = 293240,
  [SMALL_STATE(6069)] = 293297,
  [SMALL_STATE(6070)] = 293354,
  [SMALL_STATE(6071)] = 293411,
  [SMALL_STATE(6072)] = 293468,
  [SMALL_STATE(6073)] = 293525,
  [SMALL_STATE(6074)] = 293582,
  [SMALL_STATE(6075)] = 293639,
  [SMALL_STATE(6076)] = 293696,
  [SMALL_STATE(6077)] = 293753,
  [SMALL_STATE(6078)] = 293810,
  [SMALL_STATE(6079)] = 293867,
  [SMALL_STATE(6080)] = 293924,
  [SMALL_STATE(6081)] = 293981,
  [SMALL_STATE(6082)] = 294038,
  [SMALL_STATE(6083)] = 294097,
  [SMALL_STATE(6084)] = 294154,
  [SMALL_STATE(6085)] = 294211,
  [SMALL_STATE(6086)] = 294268,
  [SMALL_STATE(6087)] = 294327,
  [SMALL_STATE(6088)] = 294384,
  [SMALL_STATE(6089)] = 294441,
  [SMALL_STATE(6090)] = 294498,
  [SMALL_STATE(6091)] = 294555,
  [SMALL_STATE(6092)] = 294612,
  [SMALL_STATE(6093)] = 294669,
  [SMALL_STATE(6094)] = 294726,
  [SMALL_STATE(6095)] = 294783,
  [SMALL_STATE(6096)] = 294840,
  [SMALL_STATE(6097)] = 294897,
  [SMALL_STATE(6098)] = 294954,
  [SMALL_STATE(6099)] = 295013,
  [SMALL_STATE(6100)] = 295070,
  [SMALL_STATE(6101)] = 295129,
  [SMALL_STATE(6102)] = 295188,
  [SMALL_STATE(6103)] = 295245,
  [SMALL_STATE(6104)] = 295302,
  [SMALL_STATE(6105)] = 295359,
  [SMALL_STATE(6106)] = 295416,
  [SMALL_STATE(6107)] = 295473,
  [SMALL_STATE(6108)] = 295530,
  [SMALL_STATE(6109)] = 295587,
  [SMALL_STATE(6110)] = 295644,
  [SMALL_STATE(6111)] = 295701,
  [SMALL_STATE(6112)] = 295758,
  [SMALL_STATE(6113)] = 295815,
  [SMALL_STATE(6114)] = 295872,
  [SMALL_STATE(6115)] = 295929,
  [SMALL_STATE(6116)] = 295986,
  [SMALL_STATE(6117)] = 296043,
  [SMALL_STATE(6118)] = 296100,
  [SMALL_STATE(6119)] = 296157,
  [SMALL_STATE(6120)] = 296214,
  [SMALL_STATE(6121)] = 296271,
  [SMALL_STATE(6122)] = 296328,
  [SMALL_STATE(6123)] = 296391,
  [SMALL_STATE(6124)] = 296448,
  [SMALL_STATE(6125)] = 296505,
  [SMALL_STATE(6126)] = 296562,
  [SMALL_STATE(6127)] = 296619,
  [SMALL_STATE(6128)] = 296676,
  [SMALL_STATE(6129)] = 296733,
  [SMALL_STATE(6130)] = 296792,
  [SMALL_STATE(6131)] = 296849,
  [SMALL_STATE(6132)] = 296908,
  [SMALL_STATE(6133)] = 296965,
  [SMALL_STATE(6134)] = 297022,
  [SMALL_STATE(6135)] = 297078,
  [SMALL_STATE(6136)] = 297134,
  [SMALL_STATE(6137)] = 297190,
  [SMALL_STATE(6138)] = 297246,
  [SMALL_STATE(6139)] = 297302,
  [SMALL_STATE(6140)] = 297358,
  [SMALL_STATE(6141)] = 297416,
  [SMALL_STATE(6142)] = 297472,
  [SMALL_STATE(6143)] = 297528,
  [SMALL_STATE(6144)] = 297584,
  [SMALL_STATE(6145)] = 297640,
  [SMALL_STATE(6146)] = 297696,
  [SMALL_STATE(6147)] = 297752,
  [SMALL_STATE(6148)] = 297808,
  [SMALL_STATE(6149)] = 297864,
  [SMALL_STATE(6150)] = 297920,
  [SMALL_STATE(6151)] = 297976,
  [SMALL_STATE(6152)] = 298034,
  [SMALL_STATE(6153)] = 298096,
  [SMALL_STATE(6154)] = 298152,
  [SMALL_STATE(6155)] = 298208,
  [SMALL_STATE(6156)] = 298264,
  [SMALL_STATE(6157)] = 298320,
  [SMALL_STATE(6158)] = 298376,
  [SMALL_STATE(6159)] = 298432,
  [SMALL_STATE(6160)] = 298488,
  [SMALL_STATE(6161)] = 298544,
  [SMALL_STATE(6162)] = 298600,
  [SMALL_STATE(6163)] = 298656,
  [SMALL_STATE(6164)] = 298712,
  [SMALL_STATE(6165)] = 298768,
  [SMALL_STATE(6166)] = 298824,
  [SMALL_STATE(6167)] = 298880,
  [SMALL_STATE(6168)] = 298936,
  [SMALL_STATE(6169)] = 298998,
  [SMALL_STATE(6170)] = 299054,
  [SMALL_STATE(6171)] = 299110,
  [SMALL_STATE(6172)] = 299166,
  [SMALL_STATE(6173)] = 299222,
  [SMALL_STATE(6174)] = 299278,
  [SMALL_STATE(6175)] = 299334,
  [SMALL_STATE(6176)] = 299390,
  [SMALL_STATE(6177)] = 299446,
  [SMALL_STATE(6178)] = 299502,
  [SMALL_STATE(6179)] = 299558,
  [SMALL_STATE(6180)] = 299614,
  [SMALL_STATE(6181)] = 299670,
  [SMALL_STATE(6182)] = 299726,
  [SMALL_STATE(6183)] = 299782,
  [SMALL_STATE(6184)] = 299838,
  [SMALL_STATE(6185)] = 299894,
  [SMALL_STATE(6186)] = 299950,
  [SMALL_STATE(6187)] = 300006,
  [SMALL_STATE(6188)] = 300064,
  [SMALL_STATE(6189)] = 300120,
  [SMALL_STATE(6190)] = 300176,
  [SMALL_STATE(6191)] = 300232,
  [SMALL_STATE(6192)] = 300288,
  [SMALL_STATE(6193)] = 300344,
  [SMALL_STATE(6194)] = 300400,
  [SMALL_STATE(6195)] = 300456,
  [SMALL_STATE(6196)] = 300512,
  [SMALL_STATE(6197)] = 300568,
  [SMALL_STATE(6198)] = 300624,
  [SMALL_STATE(6199)] = 300680,
  [SMALL_STATE(6200)] = 300736,
  [SMALL_STATE(6201)] = 300792,
  [SMALL_STATE(6202)] = 300848,
  [SMALL_STATE(6203)] = 300904,
  [SMALL_STATE(6204)] = 300960,
  [SMALL_STATE(6205)] = 301016,
  [SMALL_STATE(6206)] = 301074,
  [SMALL_STATE(6207)] = 301130,
  [SMALL_STATE(6208)] = 301186,
  [SMALL_STATE(6209)] = 301242,
  [SMALL_STATE(6210)] = 301298,
  [SMALL_STATE(6211)] = 301354,
  [SMALL_STATE(6212)] = 301410,
  [SMALL_STATE(6213)] = 301468,
  [SMALL_STATE(6214)] = 301524,
  [SMALL_STATE(6215)] = 301580,
  [SMALL_STATE(6216)] = 301636,
  [SMALL_STATE(6217)] = 301692,
  [SMALL_STATE(6218)] = 301748,
  [SMALL_STATE(6219)] = 301804,
  [SMALL_STATE(6220)] = 301860,
  [SMALL_STATE(6221)] = 301916,
  [SMALL_STATE(6222)] = 301972,
  [SMALL_STATE(6223)] = 302028,
  [SMALL_STATE(6224)] = 302084,
  [SMALL_STATE(6225)] = 302140,
  [SMALL_STATE(6226)] = 302196,
  [SMALL_STATE(6227)] = 302252,
  [SMALL_STATE(6228)] = 302308,
  [SMALL_STATE(6229)] = 302364,
  [SMALL_STATE(6230)] = 302420,
  [SMALL_STATE(6231)] = 302476,
  [SMALL_STATE(6232)] = 302534,
  [SMALL_STATE(6233)] = 302590,
  [SMALL_STATE(6234)] = 302646,
  [SMALL_STATE(6235)] = 302702,
  [SMALL_STATE(6236)] = 302758,
  [SMALL_STATE(6237)] = 302814,
  [SMALL_STATE(6238)] = 302870,
  [SMALL_STATE(6239)] = 302926,
  [SMALL_STATE(6240)] = 302982,
  [SMALL_STATE(6241)] = 303038,
  [SMALL_STATE(6242)] = 303094,
  [SMALL_STATE(6243)] = 303150,
  [SMALL_STATE(6244)] = 303206,
  [SMALL_STATE(6245)] = 303262,
  [SMALL_STATE(6246)] = 303318,
  [SMALL_STATE(6247)] = 303374,
  [SMALL_STATE(6248)] = 303430,
  [SMALL_STATE(6249)] = 303486,
  [SMALL_STATE(6250)] = 303542,
  [SMALL_STATE(6251)] = 303598,
  [SMALL_STATE(6252)] = 303654,
  [SMALL_STATE(6253)] = 303710,
  [SMALL_STATE(6254)] = 303766,
  [SMALL_STATE(6255)] = 303822,
  [SMALL_STATE(6256)] = 303878,
  [SMALL_STATE(6257)] = 303934,
  [SMALL_STATE(6258)] = 303990,
  [SMALL_STATE(6259)] = 304046,
  [SMALL_STATE(6260)] = 304102,
  [SMALL_STATE(6261)] = 304158,
  [SMALL_STATE(6262)] = 304214,
  [SMALL_STATE(6263)] = 304270,
  [SMALL_STATE(6264)] = 304326,
  [SMALL_STATE(6265)] = 304382,
  [SMALL_STATE(6266)] = 304438,
  [SMALL_STATE(6267)] = 304494,
  [SMALL_STATE(6268)] = 304550,
  [SMALL_STATE(6269)] = 304606,
  [SMALL_STATE(6270)] = 304662,
  [SMALL_STATE(6271)] = 304718,
  [SMALL_STATE(6272)] = 304774,
  [SMALL_STATE(6273)] = 304830,
  [SMALL_STATE(6274)] = 304886,
  [SMALL_STATE(6275)] = 304942,
  [SMALL_STATE(6276)] = 304998,
  [SMALL_STATE(6277)] = 305054,
  [SMALL_STATE(6278)] = 305110,
  [SMALL_STATE(6279)] = 305166,
  [SMALL_STATE(6280)] = 305222,
  [SMALL_STATE(6281)] = 305280,
  [SMALL_STATE(6282)] = 305336,
  [SMALL_STATE(6283)] = 305392,
  [SMALL_STATE(6284)] = 305448,
  [SMALL_STATE(6285)] = 305504,
  [SMALL_STATE(6286)] = 305560,
  [SMALL_STATE(6287)] = 305616,
  [SMALL_STATE(6288)] = 305672,
  [SMALL_STATE(6289)] = 305728,
  [SMALL_STATE(6290)] = 305784,
  [SMALL_STATE(6291)] = 305840,
  [SMALL_STATE(6292)] = 305896,
  [SMALL_STATE(6293)] = 305952,
  [SMALL_STATE(6294)] = 306008,
  [SMALL_STATE(6295)] = 306064,
  [SMALL_STATE(6296)] = 306120,
  [SMALL_STATE(6297)] = 306176,
  [SMALL_STATE(6298)] = 306232,
  [SMALL_STATE(6299)] = 306288,
  [SMALL_STATE(6300)] = 306344,
  [SMALL_STATE(6301)] = 306400,
  [SMALL_STATE(6302)] = 306456,
  [SMALL_STATE(6303)] = 306512,
  [SMALL_STATE(6304)] = 306568,
  [SMALL_STATE(6305)] = 306624,
  [SMALL_STATE(6306)] = 306680,
  [SMALL_STATE(6307)] = 306736,
  [SMALL_STATE(6308)] = 306792,
  [SMALL_STATE(6309)] = 306848,
  [SMALL_STATE(6310)] = 306904,
  [SMALL_STATE(6311)] = 306960,
  [SMALL_STATE(6312)] = 307018,
  [SMALL_STATE(6313)] = 307074,
  [SMALL_STATE(6314)] = 307130,
  [SMALL_STATE(6315)] = 307186,
  [SMALL_STATE(6316)] = 307242,
  [SMALL_STATE(6317)] = 307298,
  [SMALL_STATE(6318)] = 307356,
  [SMALL_STATE(6319)] = 307412,
  [SMALL_STATE(6320)] = 307470,
  [SMALL_STATE(6321)] = 307528,
  [SMALL_STATE(6322)] = 307586,
  [SMALL_STATE(6323)] = 307644,
  [SMALL_STATE(6324)] = 307700,
  [SMALL_STATE(6325)] = 307756,
  [SMALL_STATE(6326)] = 307812,
  [SMALL_STATE(6327)] = 307868,
  [SMALL_STATE(6328)] = 307924,
  [SMALL_STATE(6329)] = 307980,
  [SMALL_STATE(6330)] = 308036,
  [SMALL_STATE(6331)] = 308092,
  [SMALL_STATE(6332)] = 308154,
  [SMALL_STATE(6333)] = 308210,
  [SMALL_STATE(6334)] = 308266,
  [SMALL_STATE(6335)] = 308322,
  [SMALL_STATE(6336)] = 308378,
  [SMALL_STATE(6337)] = 308434,
  [SMALL_STATE(6338)] = 308490,
  [SMALL_STATE(6339)] = 308546,
  [SMALL_STATE(6340)] = 308602,
  [SMALL_STATE(6341)] = 308658,
  [SMALL_STATE(6342)] = 308714,
  [SMALL_STATE(6343)] = 308772,
  [SMALL_STATE(6344)] = 308828,
  [SMALL_STATE(6345)] = 308884,
  [SMALL_STATE(6346)] = 308942,
  [SMALL_STATE(6347)] = 308998,
  [SMALL_STATE(6348)] = 309054,
  [SMALL_STATE(6349)] = 309110,
  [SMALL_STATE(6350)] = 309166,
  [SMALL_STATE(6351)] = 309222,
  [SMALL_STATE(6352)] = 309278,
  [SMALL_STATE(6353)] = 309334,
  [SMALL_STATE(6354)] = 309390,
  [SMALL_STATE(6355)] = 309446,
  [SMALL_STATE(6356)] = 309502,
  [SMALL_STATE(6357)] = 309558,
  [SMALL_STATE(6358)] = 309614,
  [SMALL_STATE(6359)] = 309670,
  [SMALL_STATE(6360)] = 309726,
  [SMALL_STATE(6361)] = 309782,
  [SMALL_STATE(6362)] = 309838,
  [SMALL_STATE(6363)] = 309894,
  [SMALL_STATE(6364)] = 309950,
  [SMALL_STATE(6365)] = 310006,
  [SMALL_STATE(6366)] = 310062,
  [SMALL_STATE(6367)] = 310118,
  [SMALL_STATE(6368)] = 310180,
  [SMALL_STATE(6369)] = 310238,
  [SMALL_STATE(6370)] = 310294,
  [SMALL_STATE(6371)] = 310350,
  [SMALL_STATE(6372)] = 310406,
  [SMALL_STATE(6373)] = 310462,
  [SMALL_STATE(6374)] = 310518,
  [SMALL_STATE(6375)] = 310574,
  [SMALL_STATE(6376)] = 310630,
  [SMALL_STATE(6377)] = 310686,
  [SMALL_STATE(6378)] = 310744,
  [SMALL_STATE(6379)] = 310800,
  [SMALL_STATE(6380)] = 310856,
  [SMALL_STATE(6381)] = 310912,
  [SMALL_STATE(6382)] = 310968,
  [SMALL_STATE(6383)] = 311024,
  [SMALL_STATE(6384)] = 311080,
  [SMALL_STATE(6385)] = 311136,
  [SMALL_STATE(6386)] = 311192,
  [SMALL_STATE(6387)] = 311254,
  [SMALL_STATE(6388)] = 311310,
  [SMALL_STATE(6389)] = 311366,
  [SMALL_STATE(6390)] = 311422,
  [SMALL_STATE(6391)] = 311478,
  [SMALL_STATE(6392)] = 311534,
  [SMALL_STATE(6393)] = 311590,
  [SMALL_STATE(6394)] = 311646,
  [SMALL_STATE(6395)] = 311702,
  [SMALL_STATE(6396)] = 311764,
  [SMALL_STATE(6397)] = 311822,
  [SMALL_STATE(6398)] = 311878,
  [SMALL_STATE(6399)] = 311986,
  [SMALL_STATE(6400)] = 312042,
  [SMALL_STATE(6401)] = 312098,
  [SMALL_STATE(6402)] = 312154,
  [SMALL_STATE(6403)] = 312210,
  [SMALL_STATE(6404)] = 312266,
  [SMALL_STATE(6405)] = 312322,
  [SMALL_STATE(6406)] = 312378,
  [SMALL_STATE(6407)] = 312434,
  [SMALL_STATE(6408)] = 312492,
  [SMALL_STATE(6409)] = 312548,
  [SMALL_STATE(6410)] = 312604,
  [SMALL_STATE(6411)] = 312660,
  [SMALL_STATE(6412)] = 312716,
  [SMALL_STATE(6413)] = 312772,
  [SMALL_STATE(6414)] = 312828,
  [SMALL_STATE(6415)] = 312884,
  [SMALL_STATE(6416)] = 312940,
  [SMALL_STATE(6417)] = 313002,
  [SMALL_STATE(6418)] = 313058,
  [SMALL_STATE(6419)] = 313114,
  [SMALL_STATE(6420)] = 313170,
  [SMALL_STATE(6421)] = 313226,
  [SMALL_STATE(6422)] = 313282,
  [SMALL_STATE(6423)] = 313338,
  [SMALL_STATE(6424)] = 313394,
  [SMALL_STATE(6425)] = 313450,
  [SMALL_STATE(6426)] = 313506,
  [SMALL_STATE(6427)] = 313562,
  [SMALL_STATE(6428)] = 313618,
  [SMALL_STATE(6429)] = 313674,
  [SMALL_STATE(6430)] = 313730,
  [SMALL_STATE(6431)] = 313786,
  [SMALL_STATE(6432)] = 313842,
  [SMALL_STATE(6433)] = 313898,
  [SMALL_STATE(6434)] = 314006,
  [SMALL_STATE(6435)] = 314062,
  [SMALL_STATE(6436)] = 314118,
  [SMALL_STATE(6437)] = 314174,
  [SMALL_STATE(6438)] = 314230,
  [SMALL_STATE(6439)] = 314286,
  [SMALL_STATE(6440)] = 314342,
  [SMALL_STATE(6441)] = 314400,
  [SMALL_STATE(6442)] = 314456,
  [SMALL_STATE(6443)] = 314512,
  [SMALL_STATE(6444)] = 314570,
  [SMALL_STATE(6445)] = 314626,
  [SMALL_STATE(6446)] = 314682,
  [SMALL_STATE(6447)] = 314738,
  [SMALL_STATE(6448)] = 314794,
  [SMALL_STATE(6449)] = 314850,
  [SMALL_STATE(6450)] = 314908,
  [SMALL_STATE(6451)] = 314964,
  [SMALL_STATE(6452)] = 315072,
  [SMALL_STATE(6453)] = 315134,
  [SMALL_STATE(6454)] = 315190,
  [SMALL_STATE(6455)] = 315246,
  [SMALL_STATE(6456)] = 315302,
  [SMALL_STATE(6457)] = 315358,
  [SMALL_STATE(6458)] = 315414,
  [SMALL_STATE(6459)] = 315522,
  [SMALL_STATE(6460)] = 315578,
  [SMALL_STATE(6461)] = 315634,
  [SMALL_STATE(6462)] = 315690,
  [SMALL_STATE(6463)] = 315746,
  [SMALL_STATE(6464)] = 315802,
  [SMALL_STATE(6465)] = 315858,
  [SMALL_STATE(6466)] = 315914,
  [SMALL_STATE(6467)] = 315970,
  [SMALL_STATE(6468)] = 316026,
  [SMALL_STATE(6469)] = 316082,
  [SMALL_STATE(6470)] = 316138,
  [SMALL_STATE(6471)] = 316194,
  [SMALL_STATE(6472)] = 316250,
  [SMALL_STATE(6473)] = 316306,
  [SMALL_STATE(6474)] = 316362,
  [SMALL_STATE(6475)] = 316418,
  [SMALL_STATE(6476)] = 316474,
  [SMALL_STATE(6477)] = 316530,
  [SMALL_STATE(6478)] = 316586,
  [SMALL_STATE(6479)] = 316642,
  [SMALL_STATE(6480)] = 316704,
  [SMALL_STATE(6481)] = 316760,
  [SMALL_STATE(6482)] = 316816,
  [SMALL_STATE(6483)] = 316872,
  [SMALL_STATE(6484)] = 316928,
  [SMALL_STATE(6485)] = 316984,
  [SMALL_STATE(6486)] = 317040,
  [SMALL_STATE(6487)] = 317096,
  [SMALL_STATE(6488)] = 317152,
  [SMALL_STATE(6489)] = 317260,
  [SMALL_STATE(6490)] = 317316,
  [SMALL_STATE(6491)] = 317372,
  [SMALL_STATE(6492)] = 317434,
  [SMALL_STATE(6493)] = 317490,
  [SMALL_STATE(6494)] = 317546,
  [SMALL_STATE(6495)] = 317602,
  [SMALL_STATE(6496)] = 317658,
  [SMALL_STATE(6497)] = 317714,
  [SMALL_STATE(6498)] = 317770,
  [SMALL_STATE(6499)] = 317826,
  [SMALL_STATE(6500)] = 317882,
  [SMALL_STATE(6501)] = 317940,
  [SMALL_STATE(6502)] = 317996,
  [SMALL_STATE(6503)] = 318052,
  [SMALL_STATE(6504)] = 318108,
  [SMALL_STATE(6505)] = 318164,
  [SMALL_STATE(6506)] = 318220,
  [SMALL_STATE(6507)] = 318276,
  [SMALL_STATE(6508)] = 318332,
  [SMALL_STATE(6509)] = 318388,
  [SMALL_STATE(6510)] = 318444,
  [SMALL_STATE(6511)] = 318500,
  [SMALL_STATE(6512)] = 318558,
  [SMALL_STATE(6513)] = 318614,
  [SMALL_STATE(6514)] = 318670,
  [SMALL_STATE(6515)] = 318726,
  [SMALL_STATE(6516)] = 318782,
  [SMALL_STATE(6517)] = 318838,
  [SMALL_STATE(6518)] = 318894,
  [SMALL_STATE(6519)] = 318952,
  [SMALL_STATE(6520)] = 319008,
  [SMALL_STATE(6521)] = 319064,
  [SMALL_STATE(6522)] = 319120,
  [SMALL_STATE(6523)] = 319176,
  [SMALL_STATE(6524)] = 319232,
  [SMALL_STATE(6525)] = 319288,
  [SMALL_STATE(6526)] = 319346,
  [SMALL_STATE(6527)] = 319402,
  [SMALL_STATE(6528)] = 319458,
  [SMALL_STATE(6529)] = 319514,
  [SMALL_STATE(6530)] = 319570,
  [SMALL_STATE(6531)] = 319626,
  [SMALL_STATE(6532)] = 319682,
  [SMALL_STATE(6533)] = 319740,
  [SMALL_STATE(6534)] = 319796,
  [SMALL_STATE(6535)] = 319852,
  [SMALL_STATE(6536)] = 319908,
  [SMALL_STATE(6537)] = 319964,
  [SMALL_STATE(6538)] = 320022,
  [SMALL_STATE(6539)] = 320080,
  [SMALL_STATE(6540)] = 320138,
  [SMALL_STATE(6541)] = 320194,
  [SMALL_STATE(6542)] = 320250,
  [SMALL_STATE(6543)] = 320306,
  [SMALL_STATE(6544)] = 320362,
  [SMALL_STATE(6545)] = 320418,
  [SMALL_STATE(6546)] = 320474,
  [SMALL_STATE(6547)] = 320530,
  [SMALL_STATE(6548)] = 320586,
  [SMALL_STATE(6549)] = 320642,
  [SMALL_STATE(6550)] = 320700,
  [SMALL_STATE(6551)] = 320756,
  [SMALL_STATE(6552)] = 320812,
  [SMALL_STATE(6553)] = 320868,
  [SMALL_STATE(6554)] = 320924,
  [SMALL_STATE(6555)] = 320980,
  [SMALL_STATE(6556)] = 321036,
  [SMALL_STATE(6557)] = 321092,
  [SMALL_STATE(6558)] = 321148,
  [SMALL_STATE(6559)] = 321256,
  [SMALL_STATE(6560)] = 321364,
  [SMALL_STATE(6561)] = 321422,
  [SMALL_STATE(6562)] = 321478,
  [SMALL_STATE(6563)] = 321536,
  [SMALL_STATE(6564)] = 321644,
  [SMALL_STATE(6565)] = 321700,
  [SMALL_STATE(6566)] = 321756,
  [SMALL_STATE(6567)] = 321812,
  [SMALL_STATE(6568)] = 321868,
  [SMALL_STATE(6569)] = 321924,
  [SMALL_STATE(6570)] = 321980,
  [SMALL_STATE(6571)] = 322036,
  [SMALL_STATE(6572)] = 322092,
  [SMALL_STATE(6573)] = 322148,
  [SMALL_STATE(6574)] = 322204,
  [SMALL_STATE(6575)] = 322260,
  [SMALL_STATE(6576)] = 322316,
  [SMALL_STATE(6577)] = 322372,
  [SMALL_STATE(6578)] = 322428,
  [SMALL_STATE(6579)] = 322484,
  [SMALL_STATE(6580)] = 322540,
  [SMALL_STATE(6581)] = 322596,
  [SMALL_STATE(6582)] = 322652,
  [SMALL_STATE(6583)] = 322708,
  [SMALL_STATE(6584)] = 322764,
  [SMALL_STATE(6585)] = 322820,
  [SMALL_STATE(6586)] = 322882,
  [SMALL_STATE(6587)] = 322938,
  [SMALL_STATE(6588)] = 322994,
  [SMALL_STATE(6589)] = 323050,
  [SMALL_STATE(6590)] = 323106,
  [SMALL_STATE(6591)] = 323162,
  [SMALL_STATE(6592)] = 323218,
  [SMALL_STATE(6593)] = 323274,
  [SMALL_STATE(6594)] = 323330,
  [SMALL_STATE(6595)] = 323386,
  [SMALL_STATE(6596)] = 323444,
  [SMALL_STATE(6597)] = 323500,
  [SMALL_STATE(6598)] = 323556,
  [SMALL_STATE(6599)] = 323612,
  [SMALL_STATE(6600)] = 323668,
  [SMALL_STATE(6601)] = 323724,
  [SMALL_STATE(6602)] = 323780,
  [SMALL_STATE(6603)] = 323836,
  [SMALL_STATE(6604)] = 323892,
  [SMALL_STATE(6605)] = 323948,
  [SMALL_STATE(6606)] = 324004,
  [SMALL_STATE(6607)] = 324060,
  [SMALL_STATE(6608)] = 324116,
  [SMALL_STATE(6609)] = 324172,
  [SMALL_STATE(6610)] = 324228,
  [SMALL_STATE(6611)] = 324284,
  [SMALL_STATE(6612)] = 324346,
  [SMALL_STATE(6613)] = 324402,
  [SMALL_STATE(6614)] = 324458,
  [SMALL_STATE(6615)] = 324514,
  [SMALL_STATE(6616)] = 324570,
  [SMALL_STATE(6617)] = 324626,
  [SMALL_STATE(6618)] = 324682,
  [SMALL_STATE(6619)] = 324738,
  [SMALL_STATE(6620)] = 324794,
  [SMALL_STATE(6621)] = 324850,
  [SMALL_STATE(6622)] = 324906,
  [SMALL_STATE(6623)] = 324962,
  [SMALL_STATE(6624)] = 325018,
  [SMALL_STATE(6625)] = 325074,
  [SMALL_STATE(6626)] = 325130,
  [SMALL_STATE(6627)] = 325186,
  [SMALL_STATE(6628)] = 325242,
  [SMALL_STATE(6629)] = 325298,
  [SMALL_STATE(6630)] = 325354,
  [SMALL_STATE(6631)] = 325410,
  [SMALL_STATE(6632)] = 325466,
  [SMALL_STATE(6633)] = 325522,
  [SMALL_STATE(6634)] = 325578,
  [SMALL_STATE(6635)] = 325634,
  [SMALL_STATE(6636)] = 325690,
  [SMALL_STATE(6637)] = 325746,
  [SMALL_STATE(6638)] = 325802,
  [SMALL_STATE(6639)] = 325858,
  [SMALL_STATE(6640)] = 325914,
  [SMALL_STATE(6641)] = 325970,
  [SMALL_STATE(6642)] = 326026,
  [SMALL_STATE(6643)] = 326082,
  [SMALL_STATE(6644)] = 326138,
  [SMALL_STATE(6645)] = 326194,
  [SMALL_STATE(6646)] = 326250,
  [SMALL_STATE(6647)] = 326306,
  [SMALL_STATE(6648)] = 326362,
  [SMALL_STATE(6649)] = 326418,
  [SMALL_STATE(6650)] = 326474,
  [SMALL_STATE(6651)] = 326529,
  [SMALL_STATE(6652)] = 326584,
  [SMALL_STATE(6653)] = 326639,
  [SMALL_STATE(6654)] = 326694,
  [SMALL_STATE(6655)] = 326749,
  [SMALL_STATE(6656)] = 326804,
  [SMALL_STATE(6657)] = 326859,
  [SMALL_STATE(6658)] = 326914,
  [SMALL_STATE(6659)] = 326969,
  [SMALL_STATE(6660)] = 327024,
  [SMALL_STATE(6661)] = 327079,
  [SMALL_STATE(6662)] = 327134,
  [SMALL_STATE(6663)] = 327189,
  [SMALL_STATE(6664)] = 327244,
  [SMALL_STATE(6665)] = 327299,
  [SMALL_STATE(6666)] = 327354,
  [SMALL_STATE(6667)] = 327409,
  [SMALL_STATE(6668)] = 327466,
  [SMALL_STATE(6669)] = 327521,
  [SMALL_STATE(6670)] = 327576,
  [SMALL_STATE(6671)] = 327631,
  [SMALL_STATE(6672)] = 327686,
  [SMALL_STATE(6673)] = 327741,
  [SMALL_STATE(6674)] = 327796,
  [SMALL_STATE(6675)] = 327851,
  [SMALL_STATE(6676)] = 327906,
  [SMALL_STATE(6677)] = 327961,
  [SMALL_STATE(6678)] = 328016,
  [SMALL_STATE(6679)] = 328071,
  [SMALL_STATE(6680)] = 328126,
  [SMALL_STATE(6681)] = 328181,
  [SMALL_STATE(6682)] = 328238,
  [SMALL_STATE(6683)] = 328295,
  [SMALL_STATE(6684)] = 328350,
  [SMALL_STATE(6685)] = 328405,
  [SMALL_STATE(6686)] = 328460,
  [SMALL_STATE(6687)] = 328515,
  [SMALL_STATE(6688)] = 328570,
  [SMALL_STATE(6689)] = 328625,
  [SMALL_STATE(6690)] = 328680,
  [SMALL_STATE(6691)] = 328735,
  [SMALL_STATE(6692)] = 328790,
  [SMALL_STATE(6693)] = 328845,
  [SMALL_STATE(6694)] = 328900,
  [SMALL_STATE(6695)] = 328957,
  [SMALL_STATE(6696)] = 329012,
  [SMALL_STATE(6697)] = 329067,
  [SMALL_STATE(6698)] = 329172,
  [SMALL_STATE(6699)] = 329227,
  [SMALL_STATE(6700)] = 329282,
  [SMALL_STATE(6701)] = 329337,
  [SMALL_STATE(6702)] = 329392,
  [SMALL_STATE(6703)] = 329447,
  [SMALL_STATE(6704)] = 329502,
  [SMALL_STATE(6705)] = 329557,
  [SMALL_STATE(6706)] = 329614,
  [SMALL_STATE(6707)] = 329669,
  [SMALL_STATE(6708)] = 329724,
  [SMALL_STATE(6709)] = 329779,
  [SMALL_STATE(6710)] = 329834,
  [SMALL_STATE(6711)] = 329889,
  [SMALL_STATE(6712)] = 329944,
  [SMALL_STATE(6713)] = 329999,
  [SMALL_STATE(6714)] = 330054,
  [SMALL_STATE(6715)] = 330109,
  [SMALL_STATE(6716)] = 330164,
  [SMALL_STATE(6717)] = 330225,
  [SMALL_STATE(6718)] = 330280,
  [SMALL_STATE(6719)] = 330335,
  [SMALL_STATE(6720)] = 330390,
  [SMALL_STATE(6721)] = 330445,
  [SMALL_STATE(6722)] = 330500,
  [SMALL_STATE(6723)] = 330555,
  [SMALL_STATE(6724)] = 330610,
  [SMALL_STATE(6725)] = 330665,
  [SMALL_STATE(6726)] = 330722,
  [SMALL_STATE(6727)] = 330777,
  [SMALL_STATE(6728)] = 330832,
  [SMALL_STATE(6729)] = 330887,
  [SMALL_STATE(6730)] = 330942,
  [SMALL_STATE(6731)] = 330997,
  [SMALL_STATE(6732)] = 331052,
  [SMALL_STATE(6733)] = 331107,
  [SMALL_STATE(6734)] = 331162,
  [SMALL_STATE(6735)] = 331217,
  [SMALL_STATE(6736)] = 331272,
  [SMALL_STATE(6737)] = 331327,
  [SMALL_STATE(6738)] = 331382,
  [SMALL_STATE(6739)] = 331439,
  [SMALL_STATE(6740)] = 331494,
  [SMALL_STATE(6741)] = 331549,
  [SMALL_STATE(6742)] = 331604,
  [SMALL_STATE(6743)] = 331659,
  [SMALL_STATE(6744)] = 331714,
  [SMALL_STATE(6745)] = 331769,
  [SMALL_STATE(6746)] = 331830,
  [SMALL_STATE(6747)] = 331885,
  [SMALL_STATE(6748)] = 331940,
  [SMALL_STATE(6749)] = 331995,
  [SMALL_STATE(6750)] = 332050,
  [SMALL_STATE(6751)] = 332105,
  [SMALL_STATE(6752)] = 332160,
  [SMALL_STATE(6753)] = 332215,
  [SMALL_STATE(6754)] = 332270,
  [SMALL_STATE(6755)] = 332325,
  [SMALL_STATE(6756)] = 332380,
  [SMALL_STATE(6757)] = 332435,
  [SMALL_STATE(6758)] = 332490,
  [SMALL_STATE(6759)] = 332545,
  [SMALL_STATE(6760)] = 332600,
  [SMALL_STATE(6761)] = 332655,
  [SMALL_STATE(6762)] = 332716,
  [SMALL_STATE(6763)] = 332771,
  [SMALL_STATE(6764)] = 332826,
  [SMALL_STATE(6765)] = 332881,
  [SMALL_STATE(6766)] = 332936,
  [SMALL_STATE(6767)] = 332991,
  [SMALL_STATE(6768)] = 333046,
  [SMALL_STATE(6769)] = 333101,
  [SMALL_STATE(6770)] = 333156,
  [SMALL_STATE(6771)] = 333211,
  [SMALL_STATE(6772)] = 333266,
  [SMALL_STATE(6773)] = 333321,
  [SMALL_STATE(6774)] = 333382,
  [SMALL_STATE(6775)] = 333437,
  [SMALL_STATE(6776)] = 333492,
  [SMALL_STATE(6777)] = 333547,
  [SMALL_STATE(6778)] = 333602,
  [SMALL_STATE(6779)] = 333657,
  [SMALL_STATE(6780)] = 333712,
  [SMALL_STATE(6781)] = 333767,
  [SMALL_STATE(6782)] = 333822,
  [SMALL_STATE(6783)] = 333877,
  [SMALL_STATE(6784)] = 333932,
  [SMALL_STATE(6785)] = 333987,
  [SMALL_STATE(6786)] = 334044,
  [SMALL_STATE(6787)] = 334099,
  [SMALL_STATE(6788)] = 334154,
  [SMALL_STATE(6789)] = 334209,
  [SMALL_STATE(6790)] = 334264,
  [SMALL_STATE(6791)] = 334369,
  [SMALL_STATE(6792)] = 334424,
  [SMALL_STATE(6793)] = 334481,
  [SMALL_STATE(6794)] = 334536,
  [SMALL_STATE(6795)] = 334591,
  [SMALL_STATE(6796)] = 334646,
  [SMALL_STATE(6797)] = 334701,
  [SMALL_STATE(6798)] = 334756,
  [SMALL_STATE(6799)] = 334811,
  [SMALL_STATE(6800)] = 334866,
  [SMALL_STATE(6801)] = 334921,
  [SMALL_STATE(6802)] = 334976,
  [SMALL_STATE(6803)] = 335031,
  [SMALL_STATE(6804)] = 335086,
  [SMALL_STATE(6805)] = 335141,
  [SMALL_STATE(6806)] = 335196,
  [SMALL_STATE(6807)] = 335251,
  [SMALL_STATE(6808)] = 335306,
  [SMALL_STATE(6809)] = 335361,
  [SMALL_STATE(6810)] = 335416,
  [SMALL_STATE(6811)] = 335471,
  [SMALL_STATE(6812)] = 335526,
  [SMALL_STATE(6813)] = 335581,
  [SMALL_STATE(6814)] = 335636,
  [SMALL_STATE(6815)] = 335691,
  [SMALL_STATE(6816)] = 335746,
  [SMALL_STATE(6817)] = 335801,
  [SMALL_STATE(6818)] = 335856,
  [SMALL_STATE(6819)] = 335911,
  [SMALL_STATE(6820)] = 335966,
  [SMALL_STATE(6821)] = 336021,
  [SMALL_STATE(6822)] = 336078,
  [SMALL_STATE(6823)] = 336133,
  [SMALL_STATE(6824)] = 336188,
  [SMALL_STATE(6825)] = 336243,
  [SMALL_STATE(6826)] = 336300,
  [SMALL_STATE(6827)] = 336355,
  [SMALL_STATE(6828)] = 336410,
  [SMALL_STATE(6829)] = 336465,
  [SMALL_STATE(6830)] = 336520,
  [SMALL_STATE(6831)] = 336575,
  [SMALL_STATE(6832)] = 336630,
  [SMALL_STATE(6833)] = 336685,
  [SMALL_STATE(6834)] = 336740,
  [SMALL_STATE(6835)] = 336797,
  [SMALL_STATE(6836)] = 336852,
  [SMALL_STATE(6837)] = 336907,
  [SMALL_STATE(6838)] = 336962,
  [SMALL_STATE(6839)] = 337017,
  [SMALL_STATE(6840)] = 337072,
  [SMALL_STATE(6841)] = 337127,
  [SMALL_STATE(6842)] = 337182,
  [SMALL_STATE(6843)] = 337239,
  [SMALL_STATE(6844)] = 337294,
  [SMALL_STATE(6845)] = 337351,
  [SMALL_STATE(6846)] = 337406,
  [SMALL_STATE(6847)] = 337461,
  [SMALL_STATE(6848)] = 337516,
  [SMALL_STATE(6849)] = 337571,
  [SMALL_STATE(6850)] = 337626,
  [SMALL_STATE(6851)] = 337681,
  [SMALL_STATE(6852)] = 337736,
  [SMALL_STATE(6853)] = 337791,
  [SMALL_STATE(6854)] = 337846,
  [SMALL_STATE(6855)] = 337901,
  [SMALL_STATE(6856)] = 337956,
  [SMALL_STATE(6857)] = 338011,
  [SMALL_STATE(6858)] = 338066,
  [SMALL_STATE(6859)] = 338121,
  [SMALL_STATE(6860)] = 338176,
  [SMALL_STATE(6861)] = 338231,
  [SMALL_STATE(6862)] = 338336,
  [SMALL_STATE(6863)] = 338393,
  [SMALL_STATE(6864)] = 338448,
  [SMALL_STATE(6865)] = 338503,
  [SMALL_STATE(6866)] = 338558,
  [SMALL_STATE(6867)] = 338613,
  [SMALL_STATE(6868)] = 338668,
  [SMALL_STATE(6869)] = 338723,
  [SMALL_STATE(6870)] = 338778,
  [SMALL_STATE(6871)] = 338833,
  [SMALL_STATE(6872)] = 338888,
  [SMALL_STATE(6873)] = 338943,
  [SMALL_STATE(6874)] = 338998,
  [SMALL_STATE(6875)] = 339053,
  [SMALL_STATE(6876)] = 339108,
  [SMALL_STATE(6877)] = 339163,
  [SMALL_STATE(6878)] = 339218,
  [SMALL_STATE(6879)] = 339273,
  [SMALL_STATE(6880)] = 339328,
  [SMALL_STATE(6881)] = 339389,
  [SMALL_STATE(6882)] = 339446,
  [SMALL_STATE(6883)] = 339501,
  [SMALL_STATE(6884)] = 339556,
  [SMALL_STATE(6885)] = 339611,
  [SMALL_STATE(6886)] = 339666,
  [SMALL_STATE(6887)] = 339721,
  [SMALL_STATE(6888)] = 339776,
  [SMALL_STATE(6889)] = 339831,
  [SMALL_STATE(6890)] = 339886,
  [SMALL_STATE(6891)] = 339947,
  [SMALL_STATE(6892)] = 340002,
  [SMALL_STATE(6893)] = 340059,
  [SMALL_STATE(6894)] = 340114,
  [SMALL_STATE(6895)] = 340169,
  [SMALL_STATE(6896)] = 340224,
  [SMALL_STATE(6897)] = 340279,
  [SMALL_STATE(6898)] = 340334,
  [SMALL_STATE(6899)] = 340389,
  [SMALL_STATE(6900)] = 340444,
  [SMALL_STATE(6901)] = 340499,
  [SMALL_STATE(6902)] = 340554,
  [SMALL_STATE(6903)] = 340609,
  [SMALL_STATE(6904)] = 340664,
  [SMALL_STATE(6905)] = 340719,
  [SMALL_STATE(6906)] = 340774,
  [SMALL_STATE(6907)] = 340829,
  [SMALL_STATE(6908)] = 340884,
  [SMALL_STATE(6909)] = 340939,
  [SMALL_STATE(6910)] = 340994,
  [SMALL_STATE(6911)] = 341049,
  [SMALL_STATE(6912)] = 341104,
  [SMALL_STATE(6913)] = 341161,
  [SMALL_STATE(6914)] = 341216,
  [SMALL_STATE(6915)] = 341271,
  [SMALL_STATE(6916)] = 341326,
  [SMALL_STATE(6917)] = 341383,
  [SMALL_STATE(6918)] = 341438,
  [SMALL_STATE(6919)] = 341493,
  [SMALL_STATE(6920)] = 341548,
  [SMALL_STATE(6921)] = 341603,
  [SMALL_STATE(6922)] = 341658,
  [SMALL_STATE(6923)] = 341713,
  [SMALL_STATE(6924)] = 341768,
  [SMALL_STATE(6925)] = 341823,
  [SMALL_STATE(6926)] = 341878,
  [SMALL_STATE(6927)] = 341933,
  [SMALL_STATE(6928)] = 341988,
  [SMALL_STATE(6929)] = 342043,
  [SMALL_STATE(6930)] = 342098,
  [SMALL_STATE(6931)] = 342153,
  [SMALL_STATE(6932)] = 342208,
  [SMALL_STATE(6933)] = 342265,
  [SMALL_STATE(6934)] = 342320,
  [SMALL_STATE(6935)] = 342375,
  [SMALL_STATE(6936)] = 342430,
  [SMALL_STATE(6937)] = 342485,
  [SMALL_STATE(6938)] = 342540,
  [SMALL_STATE(6939)] = 342595,
  [SMALL_STATE(6940)] = 342652,
  [SMALL_STATE(6941)] = 342707,
  [SMALL_STATE(6942)] = 342762,
  [SMALL_STATE(6943)] = 342817,
  [SMALL_STATE(6944)] = 342872,
  [SMALL_STATE(6945)] = 342927,
  [SMALL_STATE(6946)] = 342982,
  [SMALL_STATE(6947)] = 343037,
  [SMALL_STATE(6948)] = 343092,
  [SMALL_STATE(6949)] = 343147,
  [SMALL_STATE(6950)] = 343202,
  [SMALL_STATE(6951)] = 343257,
  [SMALL_STATE(6952)] = 343312,
  [SMALL_STATE(6953)] = 343367,
  [SMALL_STATE(6954)] = 343422,
  [SMALL_STATE(6955)] = 343477,
  [SMALL_STATE(6956)] = 343532,
  [SMALL_STATE(6957)] = 343587,
  [SMALL_STATE(6958)] = 343642,
  [SMALL_STATE(6959)] = 343697,
  [SMALL_STATE(6960)] = 343752,
  [SMALL_STATE(6961)] = 343807,
  [SMALL_STATE(6962)] = 343862,
  [SMALL_STATE(6963)] = 343917,
  [SMALL_STATE(6964)] = 343972,
  [SMALL_STATE(6965)] = 344027,
  [SMALL_STATE(6966)] = 344082,
  [SMALL_STATE(6967)] = 344137,
  [SMALL_STATE(6968)] = 344192,
  [SMALL_STATE(6969)] = 344247,
  [SMALL_STATE(6970)] = 344302,
  [SMALL_STATE(6971)] = 344357,
  [SMALL_STATE(6972)] = 344412,
  [SMALL_STATE(6973)] = 344467,
  [SMALL_STATE(6974)] = 344522,
  [SMALL_STATE(6975)] = 344577,
  [SMALL_STATE(6976)] = 344632,
  [SMALL_STATE(6977)] = 344687,
  [SMALL_STATE(6978)] = 344742,
  [SMALL_STATE(6979)] = 344797,
  [SMALL_STATE(6980)] = 344852,
  [SMALL_STATE(6981)] = 344907,
  [SMALL_STATE(6982)] = 344962,
  [SMALL_STATE(6983)] = 345017,
  [SMALL_STATE(6984)] = 345072,
  [SMALL_STATE(6985)] = 345127,
  [SMALL_STATE(6986)] = 345182,
  [SMALL_STATE(6987)] = 345237,
  [SMALL_STATE(6988)] = 345292,
  [SMALL_STATE(6989)] = 345347,
  [SMALL_STATE(6990)] = 345402,
  [SMALL_STATE(6991)] = 345457,
  [SMALL_STATE(6992)] = 345512,
  [SMALL_STATE(6993)] = 345567,
  [SMALL_STATE(6994)] = 345622,
  [SMALL_STATE(6995)] = 345677,
  [SMALL_STATE(6996)] = 345732,
  [SMALL_STATE(6997)] = 345787,
  [SMALL_STATE(6998)] = 345842,
  [SMALL_STATE(6999)] = 345897,
  [SMALL_STATE(7000)] = 345954,
  [SMALL_STATE(7001)] = 346009,
  [SMALL_STATE(7002)] = 346064,
  [SMALL_STATE(7003)] = 346121,
  [SMALL_STATE(7004)] = 346226,
  [SMALL_STATE(7005)] = 346281,
  [SMALL_STATE(7006)] = 346336,
  [SMALL_STATE(7007)] = 346391,
  [SMALL_STATE(7008)] = 346448,
  [SMALL_STATE(7009)] = 346503,
  [SMALL_STATE(7010)] = 346558,
  [SMALL_STATE(7011)] = 346613,
  [SMALL_STATE(7012)] = 346668,
  [SMALL_STATE(7013)] = 346725,
  [SMALL_STATE(7014)] = 346780,
  [SMALL_STATE(7015)] = 346835,
  [SMALL_STATE(7016)] = 346890,
  [SMALL_STATE(7017)] = 346945,
  [SMALL_STATE(7018)] = 347000,
  [SMALL_STATE(7019)] = 347055,
  [SMALL_STATE(7020)] = 347112,
  [SMALL_STATE(7021)] = 347167,
  [SMALL_STATE(7022)] = 347222,
  [SMALL_STATE(7023)] = 347277,
  [SMALL_STATE(7024)] = 347332,
  [SMALL_STATE(7025)] = 347387,
  [SMALL_STATE(7026)] = 347442,
  [SMALL_STATE(7027)] = 347497,
  [SMALL_STATE(7028)] = 347552,
  [SMALL_STATE(7029)] = 347607,
  [SMALL_STATE(7030)] = 347662,
  [SMALL_STATE(7031)] = 347717,
  [SMALL_STATE(7032)] = 347772,
  [SMALL_STATE(7033)] = 347827,
  [SMALL_STATE(7034)] = 347882,
  [SMALL_STATE(7035)] = 347937,
  [SMALL_STATE(7036)] = 347992,
  [SMALL_STATE(7037)] = 348047,
  [SMALL_STATE(7038)] = 348102,
  [SMALL_STATE(7039)] = 348157,
  [SMALL_STATE(7040)] = 348212,
  [SMALL_STATE(7041)] = 348267,
  [SMALL_STATE(7042)] = 348322,
  [SMALL_STATE(7043)] = 348377,
  [SMALL_STATE(7044)] = 348432,
  [SMALL_STATE(7045)] = 348487,
  [SMALL_STATE(7046)] = 348542,
  [SMALL_STATE(7047)] = 348597,
  [SMALL_STATE(7048)] = 348652,
  [SMALL_STATE(7049)] = 348707,
  [SMALL_STATE(7050)] = 348762,
  [SMALL_STATE(7051)] = 348817,
  [SMALL_STATE(7052)] = 348872,
  [SMALL_STATE(7053)] = 348927,
  [SMALL_STATE(7054)] = 348982,
  [SMALL_STATE(7055)] = 349037,
  [SMALL_STATE(7056)] = 349092,
  [SMALL_STATE(7057)] = 349147,
  [SMALL_STATE(7058)] = 349202,
  [SMALL_STATE(7059)] = 349257,
  [SMALL_STATE(7060)] = 349312,
  [SMALL_STATE(7061)] = 349367,
  [SMALL_STATE(7062)] = 349422,
  [SMALL_STATE(7063)] = 349477,
  [SMALL_STATE(7064)] = 349532,
  [SMALL_STATE(7065)] = 349587,
  [SMALL_STATE(7066)] = 349642,
  [SMALL_STATE(7067)] = 349697,
  [SMALL_STATE(7068)] = 349752,
  [SMALL_STATE(7069)] = 349807,
  [SMALL_STATE(7070)] = 349862,
  [SMALL_STATE(7071)] = 349917,
  [SMALL_STATE(7072)] = 349972,
  [SMALL_STATE(7073)] = 350027,
  [SMALL_STATE(7074)] = 350082,
  [SMALL_STATE(7075)] = 350137,
  [SMALL_STATE(7076)] = 350192,
  [SMALL_STATE(7077)] = 350253,
  [SMALL_STATE(7078)] = 350308,
  [SMALL_STATE(7079)] = 350363,
  [SMALL_STATE(7080)] = 350418,
  [SMALL_STATE(7081)] = 350523,
  [SMALL_STATE(7082)] = 350578,
  [SMALL_STATE(7083)] = 350633,
  [SMALL_STATE(7084)] = 350688,
  [SMALL_STATE(7085)] = 350743,
  [SMALL_STATE(7086)] = 350798,
  [SMALL_STATE(7087)] = 350853,
  [SMALL_STATE(7088)] = 350914,
  [SMALL_STATE(7089)] = 350969,
  [SMALL_STATE(7090)] = 351024,
  [SMALL_STATE(7091)] = 351079,
  [SMALL_STATE(7092)] = 351134,
  [SMALL_STATE(7093)] = 351189,
  [SMALL_STATE(7094)] = 351244,
  [SMALL_STATE(7095)] = 351299,
  [SMALL_STATE(7096)] = 351354,
  [SMALL_STATE(7097)] = 351409,
  [SMALL_STATE(7098)] = 351464,
  [SMALL_STATE(7099)] = 351519,
  [SMALL_STATE(7100)] = 351574,
  [SMALL_STATE(7101)] = 351679,
  [SMALL_STATE(7102)] = 351734,
  [SMALL_STATE(7103)] = 351789,
  [SMALL_STATE(7104)] = 351844,
  [SMALL_STATE(7105)] = 351899,
  [SMALL_STATE(7106)] = 351960,
  [SMALL_STATE(7107)] = 352015,
  [SMALL_STATE(7108)] = 352070,
  [SMALL_STATE(7109)] = 352125,
  [SMALL_STATE(7110)] = 352180,
  [SMALL_STATE(7111)] = 352237,
  [SMALL_STATE(7112)] = 352292,
  [SMALL_STATE(7113)] = 352347,
  [SMALL_STATE(7114)] = 352402,
  [SMALL_STATE(7115)] = 352457,
  [SMALL_STATE(7116)] = 352562,
  [SMALL_STATE(7117)] = 352617,
  [SMALL_STATE(7118)] = 352672,
  [SMALL_STATE(7119)] = 352727,
  [SMALL_STATE(7120)] = 352782,
  [SMALL_STATE(7121)] = 352837,
  [SMALL_STATE(7122)] = 352892,
  [SMALL_STATE(7123)] = 352947,
  [SMALL_STATE(7124)] = 353002,
  [SMALL_STATE(7125)] = 353107,
  [SMALL_STATE(7126)] = 353162,
  [SMALL_STATE(7127)] = 353217,
  [SMALL_STATE(7128)] = 353272,
  [SMALL_STATE(7129)] = 353327,
  [SMALL_STATE(7130)] = 353382,
  [SMALL_STATE(7131)] = 353437,
  [SMALL_STATE(7132)] = 353492,
  [SMALL_STATE(7133)] = 353547,
  [SMALL_STATE(7134)] = 353602,
  [SMALL_STATE(7135)] = 353657,
  [SMALL_STATE(7136)] = 353712,
  [SMALL_STATE(7137)] = 353767,
  [SMALL_STATE(7138)] = 353822,
  [SMALL_STATE(7139)] = 353877,
  [SMALL_STATE(7140)] = 353934,
  [SMALL_STATE(7141)] = 353989,
  [SMALL_STATE(7142)] = 354044,
  [SMALL_STATE(7143)] = 354099,
  [SMALL_STATE(7144)] = 354154,
  [SMALL_STATE(7145)] = 354209,
  [SMALL_STATE(7146)] = 354264,
  [SMALL_STATE(7147)] = 354319,
  [SMALL_STATE(7148)] = 354374,
  [SMALL_STATE(7149)] = 354429,
  [SMALL_STATE(7150)] = 354484,
  [SMALL_STATE(7151)] = 354539,
  [SMALL_STATE(7152)] = 354596,
  [SMALL_STATE(7153)] = 354651,
  [SMALL_STATE(7154)] = 354706,
  [SMALL_STATE(7155)] = 354761,
  [SMALL_STATE(7156)] = 354816,
  [SMALL_STATE(7157)] = 354871,
  [SMALL_STATE(7158)] = 354926,
  [SMALL_STATE(7159)] = 354981,
  [SMALL_STATE(7160)] = 355038,
  [SMALL_STATE(7161)] = 355093,
  [SMALL_STATE(7162)] = 355148,
  [SMALL_STATE(7163)] = 355203,
  [SMALL_STATE(7164)] = 355258,
  [SMALL_STATE(7165)] = 355313,
  [SMALL_STATE(7166)] = 355368,
  [SMALL_STATE(7167)] = 355423,
  [SMALL_STATE(7168)] = 355478,
  [SMALL_STATE(7169)] = 355533,
  [SMALL_STATE(7170)] = 355588,
  [SMALL_STATE(7171)] = 355643,
  [SMALL_STATE(7172)] = 355698,
  [SMALL_STATE(7173)] = 355753,
  [SMALL_STATE(7174)] = 355808,
  [SMALL_STATE(7175)] = 355863,
  [SMALL_STATE(7176)] = 355918,
  [SMALL_STATE(7177)] = 355973,
  [SMALL_STATE(7178)] = 356028,
  [SMALL_STATE(7179)] = 356083,
  [SMALL_STATE(7180)] = 356138,
  [SMALL_STATE(7181)] = 356193,
  [SMALL_STATE(7182)] = 356248,
  [SMALL_STATE(7183)] = 356303,
  [SMALL_STATE(7184)] = 356358,
  [SMALL_STATE(7185)] = 356413,
  [SMALL_STATE(7186)] = 356468,
  [SMALL_STATE(7187)] = 356523,
  [SMALL_STATE(7188)] = 356584,
  [SMALL_STATE(7189)] = 356639,
  [SMALL_STATE(7190)] = 356694,
  [SMALL_STATE(7191)] = 356749,
  [SMALL_STATE(7192)] = 356804,
  [SMALL_STATE(7193)] = 356859,
  [SMALL_STATE(7194)] = 356914,
  [SMALL_STATE(7195)] = 356975,
  [SMALL_STATE(7196)] = 357030,
  [SMALL_STATE(7197)] = 357085,
  [SMALL_STATE(7198)] = 357146,
  [SMALL_STATE(7199)] = 357201,
  [SMALL_STATE(7200)] = 357262,
  [SMALL_STATE(7201)] = 357317,
  [SMALL_STATE(7202)] = 357372,
  [SMALL_STATE(7203)] = 357427,
  [SMALL_STATE(7204)] = 357482,
  [SMALL_STATE(7205)] = 357537,
  [SMALL_STATE(7206)] = 357594,
  [SMALL_STATE(7207)] = 357649,
  [SMALL_STATE(7208)] = 357704,
  [SMALL_STATE(7209)] = 357759,
  [SMALL_STATE(7210)] = 357814,
  [SMALL_STATE(7211)] = 357869,
  [SMALL_STATE(7212)] = 357924,
  [SMALL_STATE(7213)] = 357979,
  [SMALL_STATE(7214)] = 358034,
  [SMALL_STATE(7215)] = 358089,
  [SMALL_STATE(7216)] = 358150,
  [SMALL_STATE(7217)] = 358205,
  [SMALL_STATE(7218)] = 358260,
  [SMALL_STATE(7219)] = 358315,
  [SMALL_STATE(7220)] = 358370,
  [SMALL_STATE(7221)] = 358425,
  [SMALL_STATE(7222)] = 358480,
  [SMALL_STATE(7223)] = 358535,
  [SMALL_STATE(7224)] = 358590,
  [SMALL_STATE(7225)] = 358645,
  [SMALL_STATE(7226)] = 358700,
  [SMALL_STATE(7227)] = 358755,
  [SMALL_STATE(7228)] = 358810,
  [SMALL_STATE(7229)] = 358865,
  [SMALL_STATE(7230)] = 358920,
  [SMALL_STATE(7231)] = 358975,
  [SMALL_STATE(7232)] = 359030,
  [SMALL_STATE(7233)] = 359085,
  [SMALL_STATE(7234)] = 359140,
  [SMALL_STATE(7235)] = 359197,
  [SMALL_STATE(7236)] = 359252,
  [SMALL_STATE(7237)] = 359307,
  [SMALL_STATE(7238)] = 359362,
  [SMALL_STATE(7239)] = 359417,
  [SMALL_STATE(7240)] = 359472,
  [SMALL_STATE(7241)] = 359527,
  [SMALL_STATE(7242)] = 359582,
  [SMALL_STATE(7243)] = 359637,
  [SMALL_STATE(7244)] = 359692,
  [SMALL_STATE(7245)] = 359747,
  [SMALL_STATE(7246)] = 359802,
  [SMALL_STATE(7247)] = 359863,
  [SMALL_STATE(7248)] = 359918,
  [SMALL_STATE(7249)] = 359973,
  [SMALL_STATE(7250)] = 360028,
  [SMALL_STATE(7251)] = 360083,
  [SMALL_STATE(7252)] = 360140,
  [SMALL_STATE(7253)] = 360195,
  [SMALL_STATE(7254)] = 360250,
  [SMALL_STATE(7255)] = 360305,
  [SMALL_STATE(7256)] = 360360,
  [SMALL_STATE(7257)] = 360415,
  [SMALL_STATE(7258)] = 360470,
  [SMALL_STATE(7259)] = 360525,
  [SMALL_STATE(7260)] = 360586,
  [SMALL_STATE(7261)] = 360641,
  [SMALL_STATE(7262)] = 360696,
  [SMALL_STATE(7263)] = 360751,
  [SMALL_STATE(7264)] = 360806,
  [SMALL_STATE(7265)] = 360860,
  [SMALL_STATE(7266)] = 360914,
  [SMALL_STATE(7267)] = 360968,
  [SMALL_STATE(7268)] = 361024,
  [SMALL_STATE(7269)] = 361078,
  [SMALL_STATE(7270)] = 361132,
  [SMALL_STATE(7271)] = 361186,
  [SMALL_STATE(7272)] = 361240,
  [SMALL_STATE(7273)] = 361294,
  [SMALL_STATE(7274)] = 361348,
  [SMALL_STATE(7275)] = 361404,
  [SMALL_STATE(7276)] = 361458,
  [SMALL_STATE(7277)] = 361512,
  [SMALL_STATE(7278)] = 361566,
  [SMALL_STATE(7279)] = 361620,
  [SMALL_STATE(7280)] = 361676,
  [SMALL_STATE(7281)] = 361730,
  [SMALL_STATE(7282)] = 361784,
  [SMALL_STATE(7283)] = 361838,
  [SMALL_STATE(7284)] = 361892,
  [SMALL_STATE(7285)] = 361946,
  [SMALL_STATE(7286)] = 362000,
  [SMALL_STATE(7287)] = 362054,
  [SMALL_STATE(7288)] = 362108,
  [SMALL_STATE(7289)] = 362162,
  [SMALL_STATE(7290)] = 362216,
  [SMALL_STATE(7291)] = 362270,
  [SMALL_STATE(7292)] = 362324,
  [SMALL_STATE(7293)] = 362378,
  [SMALL_STATE(7294)] = 362432,
  [SMALL_STATE(7295)] = 362486,
  [SMALL_STATE(7296)] = 362540,
  [SMALL_STATE(7297)] = 362596,
  [SMALL_STATE(7298)] = 362650,
  [SMALL_STATE(7299)] = 362704,
  [SMALL_STATE(7300)] = 362758,
  [SMALL_STATE(7301)] = 362812,
  [SMALL_STATE(7302)] = 362866,
  [SMALL_STATE(7303)] = 362920,
  [SMALL_STATE(7304)] = 362974,
  [SMALL_STATE(7305)] = 363028,
  [SMALL_STATE(7306)] = 363082,
  [SMALL_STATE(7307)] = 363136,
  [SMALL_STATE(7308)] = 363190,
  [SMALL_STATE(7309)] = 363244,
  [SMALL_STATE(7310)] = 363298,
  [SMALL_STATE(7311)] = 363352,
  [SMALL_STATE(7312)] = 363406,
  [SMALL_STATE(7313)] = 363462,
  [SMALL_STATE(7314)] = 363516,
  [SMALL_STATE(7315)] = 363570,
  [SMALL_STATE(7316)] = 363624,
  [SMALL_STATE(7317)] = 363678,
  [SMALL_STATE(7318)] = 363732,
  [SMALL_STATE(7319)] = 363788,
  [SMALL_STATE(7320)] = 363842,
  [SMALL_STATE(7321)] = 363896,
  [SMALL_STATE(7322)] = 363950,
  [SMALL_STATE(7323)] = 364004,
  [SMALL_STATE(7324)] = 364060,
  [SMALL_STATE(7325)] = 364114,
  [SMALL_STATE(7326)] = 364168,
  [SMALL_STATE(7327)] = 364222,
  [SMALL_STATE(7328)] = 364276,
  [SMALL_STATE(7329)] = 364330,
  [SMALL_STATE(7330)] = 364384,
  [SMALL_STATE(7331)] = 364438,
  [SMALL_STATE(7332)] = 364492,
  [SMALL_STATE(7333)] = 364546,
  [SMALL_STATE(7334)] = 364600,
  [SMALL_STATE(7335)] = 364654,
  [SMALL_STATE(7336)] = 364708,
  [SMALL_STATE(7337)] = 364762,
  [SMALL_STATE(7338)] = 364816,
  [SMALL_STATE(7339)] = 364870,
  [SMALL_STATE(7340)] = 364924,
  [SMALL_STATE(7341)] = 364978,
  [SMALL_STATE(7342)] = 365032,
  [SMALL_STATE(7343)] = 365086,
  [SMALL_STATE(7344)] = 365140,
  [SMALL_STATE(7345)] = 365194,
  [SMALL_STATE(7346)] = 365248,
  [SMALL_STATE(7347)] = 365302,
  [SMALL_STATE(7348)] = 365356,
  [SMALL_STATE(7349)] = 365410,
  [SMALL_STATE(7350)] = 365464,
  [SMALL_STATE(7351)] = 365518,
  [SMALL_STATE(7352)] = 365572,
  [SMALL_STATE(7353)] = 365628,
  [SMALL_STATE(7354)] = 365682,
  [SMALL_STATE(7355)] = 365736,
  [SMALL_STATE(7356)] = 365790,
  [SMALL_STATE(7357)] = 365844,
  [SMALL_STATE(7358)] = 365898,
  [SMALL_STATE(7359)] = 365952,
  [SMALL_STATE(7360)] = 366008,
  [SMALL_STATE(7361)] = 366062,
  [SMALL_STATE(7362)] = 366116,
  [SMALL_STATE(7363)] = 366170,
  [SMALL_STATE(7364)] = 366224,
  [SMALL_STATE(7365)] = 366278,
  [SMALL_STATE(7366)] = 366332,
  [SMALL_STATE(7367)] = 366386,
  [SMALL_STATE(7368)] = 366440,
  [SMALL_STATE(7369)] = 366494,
  [SMALL_STATE(7370)] = 366548,
  [SMALL_STATE(7371)] = 366602,
  [SMALL_STATE(7372)] = 366656,
  [SMALL_STATE(7373)] = 366710,
  [SMALL_STATE(7374)] = 366764,
  [SMALL_STATE(7375)] = 366818,
  [SMALL_STATE(7376)] = 366872,
  [SMALL_STATE(7377)] = 366928,
  [SMALL_STATE(7378)] = 366982,
  [SMALL_STATE(7379)] = 367036,
  [SMALL_STATE(7380)] = 367090,
  [SMALL_STATE(7381)] = 367144,
  [SMALL_STATE(7382)] = 367198,
  [SMALL_STATE(7383)] = 367252,
  [SMALL_STATE(7384)] = 367306,
  [SMALL_STATE(7385)] = 367360,
  [SMALL_STATE(7386)] = 367414,
  [SMALL_STATE(7387)] = 367468,
  [SMALL_STATE(7388)] = 367522,
  [SMALL_STATE(7389)] = 367578,
  [SMALL_STATE(7390)] = 367632,
  [SMALL_STATE(7391)] = 367686,
  [SMALL_STATE(7392)] = 367740,
  [SMALL_STATE(7393)] = 367794,
  [SMALL_STATE(7394)] = 367848,
  [SMALL_STATE(7395)] = 367902,
  [SMALL_STATE(7396)] = 367956,
  [SMALL_STATE(7397)] = 368010,
  [SMALL_STATE(7398)] = 368064,
  [SMALL_STATE(7399)] = 368118,
  [SMALL_STATE(7400)] = 368174,
  [SMALL_STATE(7401)] = 368230,
  [SMALL_STATE(7402)] = 368284,
  [SMALL_STATE(7403)] = 368338,
  [SMALL_STATE(7404)] = 368392,
  [SMALL_STATE(7405)] = 368446,
  [SMALL_STATE(7406)] = 368500,
  [SMALL_STATE(7407)] = 368554,
  [SMALL_STATE(7408)] = 368608,
  [SMALL_STATE(7409)] = 368662,
  [SMALL_STATE(7410)] = 368716,
  [SMALL_STATE(7411)] = 368770,
  [SMALL_STATE(7412)] = 368824,
  [SMALL_STATE(7413)] = 368878,
  [SMALL_STATE(7414)] = 368932,
  [SMALL_STATE(7415)] = 368986,
  [SMALL_STATE(7416)] = 369040,
  [SMALL_STATE(7417)] = 369094,
  [SMALL_STATE(7418)] = 369148,
  [SMALL_STATE(7419)] = 369204,
  [SMALL_STATE(7420)] = 369258,
  [SMALL_STATE(7421)] = 369312,
  [SMALL_STATE(7422)] = 369366,
  [SMALL_STATE(7423)] = 369420,
  [SMALL_STATE(7424)] = 369474,
  [SMALL_STATE(7425)] = 369528,
  [SMALL_STATE(7426)] = 369582,
  [SMALL_STATE(7427)] = 369636,
  [SMALL_STATE(7428)] = 369690,
  [SMALL_STATE(7429)] = 369744,
  [SMALL_STATE(7430)] = 369798,
  [SMALL_STATE(7431)] = 369852,
  [SMALL_STATE(7432)] = 369906,
  [SMALL_STATE(7433)] = 369960,
  [SMALL_STATE(7434)] = 370014,
  [SMALL_STATE(7435)] = 370068,
  [SMALL_STATE(7436)] = 370122,
  [SMALL_STATE(7437)] = 370176,
  [SMALL_STATE(7438)] = 370230,
  [SMALL_STATE(7439)] = 370284,
  [SMALL_STATE(7440)] = 370338,
  [SMALL_STATE(7441)] = 370392,
  [SMALL_STATE(7442)] = 370446,
  [SMALL_STATE(7443)] = 370500,
  [SMALL_STATE(7444)] = 370554,
  [SMALL_STATE(7445)] = 370608,
  [SMALL_STATE(7446)] = 370662,
  [SMALL_STATE(7447)] = 370716,
  [SMALL_STATE(7448)] = 370772,
  [SMALL_STATE(7449)] = 370826,
  [SMALL_STATE(7450)] = 370879,
  [SMALL_STATE(7451)] = 370932,
  [SMALL_STATE(7452)] = 370985,
  [SMALL_STATE(7453)] = 371038,
  [SMALL_STATE(7454)] = 371093,
  [SMALL_STATE(7455)] = 371146,
  [SMALL_STATE(7456)] = 371199,
  [SMALL_STATE(7457)] = 371252,
  [SMALL_STATE(7458)] = 371305,
  [SMALL_STATE(7459)] = 371360,
  [SMALL_STATE(7460)] = 371413,
  [SMALL_STATE(7461)] = 371466,
  [SMALL_STATE(7462)] = 371519,
  [SMALL_STATE(7463)] = 371572,
  [SMALL_STATE(7464)] = 371625,
  [SMALL_STATE(7465)] = 371678,
  [SMALL_STATE(7466)] = 371731,
  [SMALL_STATE(7467)] = 371784,
  [SMALL_STATE(7468)] = 371837,
  [SMALL_STATE(7469)] = 371896,
  [SMALL_STATE(7470)] = 371949,
  [SMALL_STATE(7471)] = 372002,
  [SMALL_STATE(7472)] = 372055,
  [SMALL_STATE(7473)] = 372108,
  [SMALL_STATE(7474)] = 372161,
  [SMALL_STATE(7475)] = 372214,
  [SMALL_STATE(7476)] = 372267,
  [SMALL_STATE(7477)] = 372320,
  [SMALL_STATE(7478)] = 372373,
  [SMALL_STATE(7479)] = 372426,
  [SMALL_STATE(7480)] = 372479,
  [SMALL_STATE(7481)] = 372532,
  [SMALL_STATE(7482)] = 372585,
  [SMALL_STATE(7483)] = 372638,
  [SMALL_STATE(7484)] = 372691,
  [SMALL_STATE(7485)] = 372744,
  [SMALL_STATE(7486)] = 372797,
  [SMALL_STATE(7487)] = 372850,
  [SMALL_STATE(7488)] = 372903,
  [SMALL_STATE(7489)] = 372956,
  [SMALL_STATE(7490)] = 373009,
  [SMALL_STATE(7491)] = 373062,
  [SMALL_STATE(7492)] = 373115,
  [SMALL_STATE(7493)] = 373168,
  [SMALL_STATE(7494)] = 373221,
  [SMALL_STATE(7495)] = 373274,
  [SMALL_STATE(7496)] = 373327,
  [SMALL_STATE(7497)] = 373380,
  [SMALL_STATE(7498)] = 373433,
  [SMALL_STATE(7499)] = 373486,
  [SMALL_STATE(7500)] = 373539,
  [SMALL_STATE(7501)] = 373592,
  [SMALL_STATE(7502)] = 373645,
  [SMALL_STATE(7503)] = 373698,
  [SMALL_STATE(7504)] = 373751,
  [SMALL_STATE(7505)] = 373810,
  [SMALL_STATE(7506)] = 373863,
  [SMALL_STATE(7507)] = 373916,
  [SMALL_STATE(7508)] = 373969,
  [SMALL_STATE(7509)] = 374022,
  [SMALL_STATE(7510)] = 374075,
  [SMALL_STATE(7511)] = 374128,
  [SMALL_STATE(7512)] = 374181,
  [SMALL_STATE(7513)] = 374234,
  [SMALL_STATE(7514)] = 374287,
  [SMALL_STATE(7515)] = 374340,
  [SMALL_STATE(7516)] = 374393,
  [SMALL_STATE(7517)] = 374448,
  [SMALL_STATE(7518)] = 374501,
  [SMALL_STATE(7519)] = 374554,
  [SMALL_STATE(7520)] = 374607,
  [SMALL_STATE(7521)] = 374666,
  [SMALL_STATE(7522)] = 374719,
  [SMALL_STATE(7523)] = 374772,
  [SMALL_STATE(7524)] = 374825,
  [SMALL_STATE(7525)] = 374878,
  [SMALL_STATE(7526)] = 374931,
  [SMALL_STATE(7527)] = 374984,
  [SMALL_STATE(7528)] = 375037,
  [SMALL_STATE(7529)] = 375090,
  [SMALL_STATE(7530)] = 375143,
  [SMALL_STATE(7531)] = 375202,
  [SMALL_STATE(7532)] = 375255,
  [SMALL_STATE(7533)] = 375308,
  [SMALL_STATE(7534)] = 375361,
  [SMALL_STATE(7535)] = 375414,
  [SMALL_STATE(7536)] = 375467,
  [SMALL_STATE(7537)] = 375520,
  [SMALL_STATE(7538)] = 375575,
  [SMALL_STATE(7539)] = 375628,
  [SMALL_STATE(7540)] = 375681,
  [SMALL_STATE(7541)] = 375734,
  [SMALL_STATE(7542)] = 375787,
  [SMALL_STATE(7543)] = 375840,
  [SMALL_STATE(7544)] = 375893,
  [SMALL_STATE(7545)] = 375948,
  [SMALL_STATE(7546)] = 376001,
  [SMALL_STATE(7547)] = 376054,
  [SMALL_STATE(7548)] = 376107,
  [SMALL_STATE(7549)] = 376160,
  [SMALL_STATE(7550)] = 376213,
  [SMALL_STATE(7551)] = 376266,
  [SMALL_STATE(7552)] = 376319,
  [SMALL_STATE(7553)] = 376372,
  [SMALL_STATE(7554)] = 376425,
  [SMALL_STATE(7555)] = 376478,
  [SMALL_STATE(7556)] = 376531,
  [SMALL_STATE(7557)] = 376584,
  [SMALL_STATE(7558)] = 376637,
  [SMALL_STATE(7559)] = 376690,
  [SMALL_STATE(7560)] = 376743,
  [SMALL_STATE(7561)] = 376796,
  [SMALL_STATE(7562)] = 376849,
  [SMALL_STATE(7563)] = 376902,
  [SMALL_STATE(7564)] = 376961,
  [SMALL_STATE(7565)] = 377020,
  [SMALL_STATE(7566)] = 377073,
  [SMALL_STATE(7567)] = 377126,
  [SMALL_STATE(7568)] = 377179,
  [SMALL_STATE(7569)] = 377232,
  [SMALL_STATE(7570)] = 377287,
  [SMALL_STATE(7571)] = 377340,
  [SMALL_STATE(7572)] = 377393,
  [SMALL_STATE(7573)] = 377446,
  [SMALL_STATE(7574)] = 377499,
  [SMALL_STATE(7575)] = 377552,
  [SMALL_STATE(7576)] = 377605,
  [SMALL_STATE(7577)] = 377658,
  [SMALL_STATE(7578)] = 377711,
  [SMALL_STATE(7579)] = 377764,
  [SMALL_STATE(7580)] = 377817,
  [SMALL_STATE(7581)] = 377870,
  [SMALL_STATE(7582)] = 377929,
  [SMALL_STATE(7583)] = 377982,
  [SMALL_STATE(7584)] = 378035,
  [SMALL_STATE(7585)] = 378088,
  [SMALL_STATE(7586)] = 378141,
  [SMALL_STATE(7587)] = 378194,
  [SMALL_STATE(7588)] = 378247,
  [SMALL_STATE(7589)] = 378300,
  [SMALL_STATE(7590)] = 378353,
  [SMALL_STATE(7591)] = 378406,
  [SMALL_STATE(7592)] = 378459,
  [SMALL_STATE(7593)] = 378512,
  [SMALL_STATE(7594)] = 378565,
  [SMALL_STATE(7595)] = 378618,
  [SMALL_STATE(7596)] = 378671,
  [SMALL_STATE(7597)] = 378724,
  [SMALL_STATE(7598)] = 378777,
  [SMALL_STATE(7599)] = 378830,
  [SMALL_STATE(7600)] = 378883,
  [SMALL_STATE(7601)] = 378936,
  [SMALL_STATE(7602)] = 378989,
  [SMALL_STATE(7603)] = 379042,
  [SMALL_STATE(7604)] = 379097,
  [SMALL_STATE(7605)] = 379150,
  [SMALL_STATE(7606)] = 379203,
  [SMALL_STATE(7607)] = 379256,
  [SMALL_STATE(7608)] = 379309,
  [SMALL_STATE(7609)] = 379362,
  [SMALL_STATE(7610)] = 379415,
  [SMALL_STATE(7611)] = 379468,
  [SMALL_STATE(7612)] = 379523,
  [SMALL_STATE(7613)] = 379576,
  [SMALL_STATE(7614)] = 379629,
  [SMALL_STATE(7615)] = 379682,
  [SMALL_STATE(7616)] = 379735,
  [SMALL_STATE(7617)] = 379788,
  [SMALL_STATE(7618)] = 379841,
  [SMALL_STATE(7619)] = 379894,
  [SMALL_STATE(7620)] = 379947,
  [SMALL_STATE(7621)] = 380000,
  [SMALL_STATE(7622)] = 380053,
  [SMALL_STATE(7623)] = 380108,
  [SMALL_STATE(7624)] = 380161,
  [SMALL_STATE(7625)] = 380216,
  [SMALL_STATE(7626)] = 380269,
  [SMALL_STATE(7627)] = 380322,
  [SMALL_STATE(7628)] = 380375,
  [SMALL_STATE(7629)] = 380428,
  [SMALL_STATE(7630)] = 380481,
  [SMALL_STATE(7631)] = 380534,
  [SMALL_STATE(7632)] = 380587,
  [SMALL_STATE(7633)] = 380640,
  [SMALL_STATE(7634)] = 380695,
  [SMALL_STATE(7635)] = 380748,
  [SMALL_STATE(7636)] = 380801,
  [SMALL_STATE(7637)] = 380854,
  [SMALL_STATE(7638)] = 380907,
  [SMALL_STATE(7639)] = 380960,
  [SMALL_STATE(7640)] = 381015,
  [SMALL_STATE(7641)] = 381068,
  [SMALL_STATE(7642)] = 381121,
  [SMALL_STATE(7643)] = 381174,
  [SMALL_STATE(7644)] = 381227,
  [SMALL_STATE(7645)] = 381280,
  [SMALL_STATE(7646)] = 381333,
  [SMALL_STATE(7647)] = 381386,
  [SMALL_STATE(7648)] = 381439,
  [SMALL_STATE(7649)] = 381492,
  [SMALL_STATE(7650)] = 381545,
  [SMALL_STATE(7651)] = 381598,
  [SMALL_STATE(7652)] = 381651,
  [SMALL_STATE(7653)] = 381704,
  [SMALL_STATE(7654)] = 381757,
  [SMALL_STATE(7655)] = 381816,
  [SMALL_STATE(7656)] = 381869,
  [SMALL_STATE(7657)] = 381922,
  [SMALL_STATE(7658)] = 381975,
  [SMALL_STATE(7659)] = 382028,
  [SMALL_STATE(7660)] = 382081,
  [SMALL_STATE(7661)] = 382136,
  [SMALL_STATE(7662)] = 382189,
  [SMALL_STATE(7663)] = 382242,
  [SMALL_STATE(7664)] = 382295,
  [SMALL_STATE(7665)] = 382348,
  [SMALL_STATE(7666)] = 382401,
  [SMALL_STATE(7667)] = 382454,
  [SMALL_STATE(7668)] = 382507,
  [SMALL_STATE(7669)] = 382560,
  [SMALL_STATE(7670)] = 382613,
  [SMALL_STATE(7671)] = 382666,
  [SMALL_STATE(7672)] = 382719,
  [SMALL_STATE(7673)] = 382772,
  [SMALL_STATE(7674)] = 382825,
  [SMALL_STATE(7675)] = 382878,
  [SMALL_STATE(7676)] = 382931,
  [SMALL_STATE(7677)] = 382984,
  [SMALL_STATE(7678)] = 383037,
  [SMALL_STATE(7679)] = 383092,
  [SMALL_STATE(7680)] = 383145,
  [SMALL_STATE(7681)] = 383198,
  [SMALL_STATE(7682)] = 383251,
  [SMALL_STATE(7683)] = 383304,
  [SMALL_STATE(7684)] = 383357,
  [SMALL_STATE(7685)] = 383410,
  [SMALL_STATE(7686)] = 383463,
  [SMALL_STATE(7687)] = 383516,
  [SMALL_STATE(7688)] = 383569,
  [SMALL_STATE(7689)] = 383622,
  [SMALL_STATE(7690)] = 383675,
  [SMALL_STATE(7691)] = 383728,
  [SMALL_STATE(7692)] = 383781,
  [SMALL_STATE(7693)] = 383834,
  [SMALL_STATE(7694)] = 383887,
  [SMALL_STATE(7695)] = 383942,
  [SMALL_STATE(7696)] = 383995,
  [SMALL_STATE(7697)] = 384048,
  [SMALL_STATE(7698)] = 384101,
  [SMALL_STATE(7699)] = 384154,
  [SMALL_STATE(7700)] = 384207,
  [SMALL_STATE(7701)] = 384260,
  [SMALL_STATE(7702)] = 384313,
  [SMALL_STATE(7703)] = 384366,
  [SMALL_STATE(7704)] = 384419,
  [SMALL_STATE(7705)] = 384472,
  [SMALL_STATE(7706)] = 384525,
  [SMALL_STATE(7707)] = 384578,
  [SMALL_STATE(7708)] = 384631,
  [SMALL_STATE(7709)] = 384684,
  [SMALL_STATE(7710)] = 384737,
  [SMALL_STATE(7711)] = 384790,
  [SMALL_STATE(7712)] = 384842,
  [SMALL_STATE(7713)] = 384894,
  [SMALL_STATE(7714)] = 384994,
  [SMALL_STATE(7715)] = 385048,
  [SMALL_STATE(7716)] = 385100,
  [SMALL_STATE(7717)] = 385200,
  [SMALL_STATE(7718)] = 385300,
  [SMALL_STATE(7719)] = 385352,
  [SMALL_STATE(7720)] = 385404,
  [SMALL_STATE(7721)] = 385456,
  [SMALL_STATE(7722)] = 385508,
  [SMALL_STATE(7723)] = 385560,
  [SMALL_STATE(7724)] = 385660,
  [SMALL_STATE(7725)] = 385712,
  [SMALL_STATE(7726)] = 385812,
  [SMALL_STATE(7727)] = 385864,
  [SMALL_STATE(7728)] = 385916,
  [SMALL_STATE(7729)] = 385968,
  [SMALL_STATE(7730)] = 386068,
  [SMALL_STATE(7731)] = 386120,
  [SMALL_STATE(7732)] = 386172,
  [SMALL_STATE(7733)] = 386224,
  [SMALL_STATE(7734)] = 386276,
  [SMALL_STATE(7735)] = 386328,
  [SMALL_STATE(7736)] = 386380,
  [SMALL_STATE(7737)] = 386432,
  [SMALL_STATE(7738)] = 386484,
  [SMALL_STATE(7739)] = 386536,
  [SMALL_STATE(7740)] = 386588,
  [SMALL_STATE(7741)] = 386688,
  [SMALL_STATE(7742)] = 386740,
  [SMALL_STATE(7743)] = 386840,
  [SMALL_STATE(7744)] = 386892,
  [SMALL_STATE(7745)] = 386944,
  [SMALL_STATE(7746)] = 386996,
  [SMALL_STATE(7747)] = 387048,
  [SMALL_STATE(7748)] = 387100,
  [SMALL_STATE(7749)] = 387200,
  [SMALL_STATE(7750)] = 387300,
  [SMALL_STATE(7751)] = 387352,
  [SMALL_STATE(7752)] = 387404,
  [SMALL_STATE(7753)] = 387504,
  [SMALL_STATE(7754)] = 387556,
  [SMALL_STATE(7755)] = 387656,
  [SMALL_STATE(7756)] = 387708,
  [SMALL_STATE(7757)] = 387762,
  [SMALL_STATE(7758)] = 387814,
  [SMALL_STATE(7759)] = 387866,
  [SMALL_STATE(7760)] = 387918,
  [SMALL_STATE(7761)] = 387970,
  [SMALL_STATE(7762)] = 388022,
  [SMALL_STATE(7763)] = 388122,
  [SMALL_STATE(7764)] = 388174,
  [SMALL_STATE(7765)] = 388226,
  [SMALL_STATE(7766)] = 388326,
  [SMALL_STATE(7767)] = 388378,
  [SMALL_STATE(7768)] = 388430,
  [SMALL_STATE(7769)] = 388482,
  [SMALL_STATE(7770)] = 388582,
  [SMALL_STATE(7771)] = 388682,
  [SMALL_STATE(7772)] = 388734,
  [SMALL_STATE(7773)] = 388786,
  [SMALL_STATE(7774)] = 388838,
  [SMALL_STATE(7775)] = 388890,
  [SMALL_STATE(7776)] = 388942,
  [SMALL_STATE(7777)] = 388994,
  [SMALL_STATE(7778)] = 389046,
  [SMALL_STATE(7779)] = 389098,
  [SMALL_STATE(7780)] = 389198,
  [SMALL_STATE(7781)] = 389250,
  [SMALL_STATE(7782)] = 389302,
  [SMALL_STATE(7783)] = 389354,
  [SMALL_STATE(7784)] = 389406,
  [SMALL_STATE(7785)] = 389458,
  [SMALL_STATE(7786)] = 389510,
  [SMALL_STATE(7787)] = 389610,
  [SMALL_STATE(7788)] = 389662,
  [SMALL_STATE(7789)] = 389714,
  [SMALL_STATE(7790)] = 389766,
  [SMALL_STATE(7791)] = 389818,
  [SMALL_STATE(7792)] = 389872,
  [SMALL_STATE(7793)] = 389924,
  [SMALL_STATE(7794)] = 389976,
  [SMALL_STATE(7795)] = 390028,
  [SMALL_STATE(7796)] = 390080,
  [SMALL_STATE(7797)] = 390132,
  [SMALL_STATE(7798)] = 390184,
  [SMALL_STATE(7799)] = 390284,
  [SMALL_STATE(7800)] = 390384,
  [SMALL_STATE(7801)] = 390484,
  [SMALL_STATE(7802)] = 390536,
  [SMALL_STATE(7803)] = 390636,
  [SMALL_STATE(7804)] = 390688,
  [SMALL_STATE(7805)] = 390788,
  [SMALL_STATE(7806)] = 390840,
  [SMALL_STATE(7807)] = 390892,
  [SMALL_STATE(7808)] = 390944,
  [SMALL_STATE(7809)] = 390996,
  [SMALL_STATE(7810)] = 391048,
  [SMALL_STATE(7811)] = 391100,
  [SMALL_STATE(7812)] = 391152,
  [SMALL_STATE(7813)] = 391204,
  [SMALL_STATE(7814)] = 391304,
  [SMALL_STATE(7815)] = 391404,
  [SMALL_STATE(7816)] = 391456,
  [SMALL_STATE(7817)] = 391508,
  [SMALL_STATE(7818)] = 391608,
  [SMALL_STATE(7819)] = 391705,
  [SMALL_STATE(7820)] = 391756,
  [SMALL_STATE(7821)] = 391807,
  [SMALL_STATE(7822)] = 391858,
  [SMALL_STATE(7823)] = 391955,
  [SMALL_STATE(7824)] = 392052,
  [SMALL_STATE(7825)] = 392149,
  [SMALL_STATE(7826)] = 392246,
  [SMALL_STATE(7827)] = 392343,
  [SMALL_STATE(7828)] = 392394,
  [SMALL_STATE(7829)] = 392491,
  [SMALL_STATE(7830)] = 392588,
  [SMALL_STATE(7831)] = 392685,
  [SMALL_STATE(7832)] = 392782,
  [SMALL_STATE(7833)] = 392879,
  [SMALL_STATE(7834)] = 392976,
  [SMALL_STATE(7835)] = 393033,
  [SMALL_STATE(7836)] = 393084,
  [SMALL_STATE(7837)] = 393135,
  [SMALL_STATE(7838)] = 393186,
  [SMALL_STATE(7839)] = 393237,
  [SMALL_STATE(7840)] = 393334,
  [SMALL_STATE(7841)] = 393431,
  [SMALL_STATE(7842)] = 393482,
  [SMALL_STATE(7843)] = 393575,
  [SMALL_STATE(7844)] = 393626,
  [SMALL_STATE(7845)] = 393677,
  [SMALL_STATE(7846)] = 393728,
  [SMALL_STATE(7847)] = 393825,
  [SMALL_STATE(7848)] = 393876,
  [SMALL_STATE(7849)] = 393973,
  [SMALL_STATE(7850)] = 394070,
  [SMALL_STATE(7851)] = 394167,
  [SMALL_STATE(7852)] = 394264,
  [SMALL_STATE(7853)] = 394361,
  [SMALL_STATE(7854)] = 394412,
  [SMALL_STATE(7855)] = 394463,
  [SMALL_STATE(7856)] = 394514,
  [SMALL_STATE(7857)] = 394565,
  [SMALL_STATE(7858)] = 394616,
  [SMALL_STATE(7859)] = 394667,
  [SMALL_STATE(7860)] = 394764,
  [SMALL_STATE(7861)] = 394857,
  [SMALL_STATE(7862)] = 394908,
  [SMALL_STATE(7863)] = 395005,
  [SMALL_STATE(7864)] = 395056,
  [SMALL_STATE(7865)] = 395107,
  [SMALL_STATE(7866)] = 395200,
  [SMALL_STATE(7867)] = 395251,
  [SMALL_STATE(7868)] = 395302,
  [SMALL_STATE(7869)] = 395353,
  [SMALL_STATE(7870)] = 395404,
  [SMALL_STATE(7871)] = 395455,
  [SMALL_STATE(7872)] = 395506,
  [SMALL_STATE(7873)] = 395567,
  [SMALL_STATE(7874)] = 395618,
  [SMALL_STATE(7875)] = 395711,
  [SMALL_STATE(7876)] = 395766,
  [SMALL_STATE(7877)] = 395817,
  [SMALL_STATE(7878)] = 395868,
  [SMALL_STATE(7879)] = 395919,
  [SMALL_STATE(7880)] = 395970,
  [SMALL_STATE(7881)] = 396021,
  [SMALL_STATE(7882)] = 396100,
  [SMALL_STATE(7883)] = 396151,
  [SMALL_STATE(7884)] = 396204,
  [SMALL_STATE(7885)] = 396301,
  [SMALL_STATE(7886)] = 396398,
  [SMALL_STATE(7887)] = 396449,
  [SMALL_STATE(7888)] = 396546,
  [SMALL_STATE(7889)] = 396597,
  [SMALL_STATE(7890)] = 396694,
  [SMALL_STATE(7891)] = 396745,
  [SMALL_STATE(7892)] = 396796,
  [SMALL_STATE(7893)] = 396847,
  [SMALL_STATE(7894)] = 396946,
  [SMALL_STATE(7895)] = 396997,
  [SMALL_STATE(7896)] = 397048,
  [SMALL_STATE(7897)] = 397099,
  [SMALL_STATE(7898)] = 397192,
  [SMALL_STATE(7899)] = 397243,
  [SMALL_STATE(7900)] = 397342,
  [SMALL_STATE(7901)] = 397393,
  [SMALL_STATE(7902)] = 397444,
  [SMALL_STATE(7903)] = 397495,
  [SMALL_STATE(7904)] = 397546,
  [SMALL_STATE(7905)] = 397597,
  [SMALL_STATE(7906)] = 397648,
  [SMALL_STATE(7907)] = 397699,
  [SMALL_STATE(7908)] = 397750,
  [SMALL_STATE(7909)] = 397847,
  [SMALL_STATE(7910)] = 397898,
  [SMALL_STATE(7911)] = 397949,
  [SMALL_STATE(7912)] = 398042,
  [SMALL_STATE(7913)] = 398093,
  [SMALL_STATE(7914)] = 398144,
  [SMALL_STATE(7915)] = 398195,
  [SMALL_STATE(7916)] = 398248,
  [SMALL_STATE(7917)] = 398341,
  [SMALL_STATE(7918)] = 398392,
  [SMALL_STATE(7919)] = 398443,
  [SMALL_STATE(7920)] = 398494,
  [SMALL_STATE(7921)] = 398587,
  [SMALL_STATE(7922)] = 398638,
  [SMALL_STATE(7923)] = 398689,
  [SMALL_STATE(7924)] = 398740,
  [SMALL_STATE(7925)] = 398837,
  [SMALL_STATE(7926)] = 398934,
  [SMALL_STATE(7927)] = 398985,
  [SMALL_STATE(7928)] = 399036,
  [SMALL_STATE(7929)] = 399087,
  [SMALL_STATE(7930)] = 399138,
  [SMALL_STATE(7931)] = 399189,
  [SMALL_STATE(7932)] = 399240,
  [SMALL_STATE(7933)] = 399337,
  [SMALL_STATE(7934)] = 399434,
  [SMALL_STATE(7935)] = 399485,
  [SMALL_STATE(7936)] = 399536,
  [SMALL_STATE(7937)] = 399587,
  [SMALL_STATE(7938)] = 399640,
  [SMALL_STATE(7939)] = 399691,
  [SMALL_STATE(7940)] = 399788,
  [SMALL_STATE(7941)] = 399839,
  [SMALL_STATE(7942)] = 399890,
  [SMALL_STATE(7943)] = 399983,
  [SMALL_STATE(7944)] = 400076,
  [SMALL_STATE(7945)] = 400169,
  [SMALL_STATE(7946)] = 400220,
  [SMALL_STATE(7947)] = 400317,
  [SMALL_STATE(7948)] = 400414,
  [SMALL_STATE(7949)] = 400465,
  [SMALL_STATE(7950)] = 400562,
  [SMALL_STATE(7951)] = 400617,
  [SMALL_STATE(7952)] = 400668,
  [SMALL_STATE(7953)] = 400719,
  [SMALL_STATE(7954)] = 400770,
  [SMALL_STATE(7955)] = 400869,
  [SMALL_STATE(7956)] = 400920,
  [SMALL_STATE(7957)] = 400971,
  [SMALL_STATE(7958)] = 401022,
  [SMALL_STATE(7959)] = 401115,
  [SMALL_STATE(7960)] = 401166,
  [SMALL_STATE(7961)] = 401217,
  [SMALL_STATE(7962)] = 401314,
  [SMALL_STATE(7963)] = 401365,
  [SMALL_STATE(7964)] = 401462,
  [SMALL_STATE(7965)] = 401513,
  [SMALL_STATE(7966)] = 401610,
  [SMALL_STATE(7967)] = 401661,
  [SMALL_STATE(7968)] = 401712,
  [SMALL_STATE(7969)] = 401763,
  [SMALL_STATE(7970)] = 401814,
  [SMALL_STATE(7971)] = 401865,
  [SMALL_STATE(7972)] = 401962,
  [SMALL_STATE(7973)] = 402013,
  [SMALL_STATE(7974)] = 402064,
  [SMALL_STATE(7975)] = 402115,
  [SMALL_STATE(7976)] = 402214,
  [SMALL_STATE(7977)] = 402311,
  [SMALL_STATE(7978)] = 402408,
  [SMALL_STATE(7979)] = 402459,
  [SMALL_STATE(7980)] = 402510,
  [SMALL_STATE(7981)] = 402603,
  [SMALL_STATE(7982)] = 402654,
  [SMALL_STATE(7983)] = 402705,
  [SMALL_STATE(7984)] = 402756,
  [SMALL_STATE(7985)] = 402807,
  [SMALL_STATE(7986)] = 402904,
  [SMALL_STATE(7987)] = 403001,
  [SMALL_STATE(7988)] = 403098,
  [SMALL_STATE(7989)] = 403195,
  [SMALL_STATE(7990)] = 403246,
  [SMALL_STATE(7991)] = 403297,
  [SMALL_STATE(7992)] = 403348,
  [SMALL_STATE(7993)] = 403399,
  [SMALL_STATE(7994)] = 403492,
  [SMALL_STATE(7995)] = 403589,
  [SMALL_STATE(7996)] = 403640,
  [SMALL_STATE(7997)] = 403737,
  [SMALL_STATE(7998)] = 403788,
  [SMALL_STATE(7999)] = 403881,
  [SMALL_STATE(8000)] = 403978,
  [SMALL_STATE(8001)] = 404075,
  [SMALL_STATE(8002)] = 404172,
  [SMALL_STATE(8003)] = 404223,
  [SMALL_STATE(8004)] = 404274,
  [SMALL_STATE(8005)] = 404325,
  [SMALL_STATE(8006)] = 404376,
  [SMALL_STATE(8007)] = 404427,
  [SMALL_STATE(8008)] = 404478,
  [SMALL_STATE(8009)] = 404529,
  [SMALL_STATE(8010)] = 404580,
  [SMALL_STATE(8011)] = 404631,
  [SMALL_STATE(8012)] = 404682,
  [SMALL_STATE(8013)] = 404733,
  [SMALL_STATE(8014)] = 404784,
  [SMALL_STATE(8015)] = 404835,
  [SMALL_STATE(8016)] = 404888,
  [SMALL_STATE(8017)] = 404939,
  [SMALL_STATE(8018)] = 404990,
  [SMALL_STATE(8019)] = 405041,
  [SMALL_STATE(8020)] = 405092,
  [SMALL_STATE(8021)] = 405143,
  [SMALL_STATE(8022)] = 405194,
  [SMALL_STATE(8023)] = 405245,
  [SMALL_STATE(8024)] = 405342,
  [SMALL_STATE(8025)] = 405393,
  [SMALL_STATE(8026)] = 405444,
  [SMALL_STATE(8027)] = 405541,
  [SMALL_STATE(8028)] = 405638,
  [SMALL_STATE(8029)] = 405689,
  [SMALL_STATE(8030)] = 405740,
  [SMALL_STATE(8031)] = 405791,
  [SMALL_STATE(8032)] = 405842,
  [SMALL_STATE(8033)] = 405893,
  [SMALL_STATE(8034)] = 405944,
  [SMALL_STATE(8035)] = 406043,
  [SMALL_STATE(8036)] = 406094,
  [SMALL_STATE(8037)] = 406145,
  [SMALL_STATE(8038)] = 406238,
  [SMALL_STATE(8039)] = 406335,
  [SMALL_STATE(8040)] = 406386,
  [SMALL_STATE(8041)] = 406437,
  [SMALL_STATE(8042)] = 406488,
  [SMALL_STATE(8043)] = 406539,
  [SMALL_STATE(8044)] = 406596,
  [SMALL_STATE(8045)] = 406693,
  [SMALL_STATE(8046)] = 406790,
  [SMALL_STATE(8047)] = 406887,
  [SMALL_STATE(8048)] = 406938,
  [SMALL_STATE(8049)] = 406989,
  [SMALL_STATE(8050)] = 407086,
  [SMALL_STATE(8051)] = 407137,
  [SMALL_STATE(8052)] = 407230,
  [SMALL_STATE(8053)] = 407327,
  [SMALL_STATE(8054)] = 407424,
  [SMALL_STATE(8055)] = 407521,
  [SMALL_STATE(8056)] = 407572,
  [SMALL_STATE(8057)] = 407623,
  [SMALL_STATE(8058)] = 407674,
  [SMALL_STATE(8059)] = 407771,
  [SMALL_STATE(8060)] = 407822,
  [SMALL_STATE(8061)] = 407915,
  [SMALL_STATE(8062)] = 407966,
  [SMALL_STATE(8063)] = 408017,
  [SMALL_STATE(8064)] = 408068,
  [SMALL_STATE(8065)] = 408119,
  [SMALL_STATE(8066)] = 408170,
  [SMALL_STATE(8067)] = 408221,
  [SMALL_STATE(8068)] = 408272,
  [SMALL_STATE(8069)] = 408323,
  [SMALL_STATE(8070)] = 408374,
  [SMALL_STATE(8071)] = 408425,
  [SMALL_STATE(8072)] = 408476,
  [SMALL_STATE(8073)] = 408527,
  [SMALL_STATE(8074)] = 408578,
  [SMALL_STATE(8075)] = 408675,
  [SMALL_STATE(8076)] = 408772,
  [SMALL_STATE(8077)] = 408823,
  [SMALL_STATE(8078)] = 408916,
  [SMALL_STATE(8079)] = 408967,
  [SMALL_STATE(8080)] = 409064,
  [SMALL_STATE(8081)] = 409161,
  [SMALL_STATE(8082)] = 409258,
  [SMALL_STATE(8083)] = 409355,
  [SMALL_STATE(8084)] = 409406,
  [SMALL_STATE(8085)] = 409485,
  [SMALL_STATE(8086)] = 409578,
  [SMALL_STATE(8087)] = 409677,
  [SMALL_STATE(8088)] = 409771,
  [SMALL_STATE(8089)] = 409865,
  [SMALL_STATE(8090)] = 409959,
  [SMALL_STATE(8091)] = 410009,
  [SMALL_STATE(8092)] = 410103,
  [SMALL_STATE(8093)] = 410175,
  [SMALL_STATE(8094)] = 410269,
  [SMALL_STATE(8095)] = 410363,
  [SMALL_STATE(8096)] = 410457,
  [SMALL_STATE(8097)] = 410551,
  [SMALL_STATE(8098)] = 410645,
  [SMALL_STATE(8099)] = 410695,
  [SMALL_STATE(8100)] = 410789,
  [SMALL_STATE(8101)] = 410839,
  [SMALL_STATE(8102)] = 410933,
  [SMALL_STATE(8103)] = 411027,
  [SMALL_STATE(8104)] = 411077,
  [SMALL_STATE(8105)] = 411127,
  [SMALL_STATE(8106)] = 411177,
  [SMALL_STATE(8107)] = 411231,
  [SMALL_STATE(8108)] = 411285,
  [SMALL_STATE(8109)] = 411337,
  [SMALL_STATE(8110)] = 411431,
  [SMALL_STATE(8111)] = 411481,
  [SMALL_STATE(8112)] = 411531,
  [SMALL_STATE(8113)] = 411581,
  [SMALL_STATE(8114)] = 411675,
  [SMALL_STATE(8115)] = 411743,
  [SMALL_STATE(8116)] = 411803,
  [SMALL_STATE(8117)] = 411857,
  [SMALL_STATE(8118)] = 411911,
  [SMALL_STATE(8119)] = 411973,
  [SMALL_STATE(8120)] = 412035,
  [SMALL_STATE(8121)] = 412085,
  [SMALL_STATE(8122)] = 412151,
  [SMALL_STATE(8123)] = 412219,
  [SMALL_STATE(8124)] = 412291,
  [SMALL_STATE(8125)] = 412347,
  [SMALL_STATE(8126)] = 412419,
  [SMALL_STATE(8127)] = 412469,
  [SMALL_STATE(8128)] = 412523,
  [SMALL_STATE(8129)] = 412595,
  [SMALL_STATE(8130)] = 412645,
  [SMALL_STATE(8131)] = 412739,
  [SMALL_STATE(8132)] = 412833,
  [SMALL_STATE(8133)] = 412927,
  [SMALL_STATE(8134)] = 412981,
  [SMALL_STATE(8135)] = 413031,
  [SMALL_STATE(8136)] = 413125,
  [SMALL_STATE(8137)] = 413179,
  [SMALL_STATE(8138)] = 413273,
  [SMALL_STATE(8139)] = 413327,
  [SMALL_STATE(8140)] = 413379,
  [SMALL_STATE(8141)] = 413473,
  [SMALL_STATE(8142)] = 413567,
  [SMALL_STATE(8143)] = 413661,
  [SMALL_STATE(8144)] = 413715,
  [SMALL_STATE(8145)] = 413789,
  [SMALL_STATE(8146)] = 413883,
  [SMALL_STATE(8147)] = 413977,
  [SMALL_STATE(8148)] = 414031,
  [SMALL_STATE(8149)] = 414081,
  [SMALL_STATE(8150)] = 414175,
  [SMALL_STATE(8151)] = 414225,
  [SMALL_STATE(8152)] = 414319,
  [SMALL_STATE(8153)] = 414369,
  [SMALL_STATE(8154)] = 414463,
  [SMALL_STATE(8155)] = 414557,
  [SMALL_STATE(8156)] = 414607,
  [SMALL_STATE(8157)] = 414701,
  [SMALL_STATE(8158)] = 414751,
  [SMALL_STATE(8159)] = 414801,
  [SMALL_STATE(8160)] = 414851,
  [SMALL_STATE(8161)] = 414945,
  [SMALL_STATE(8162)] = 414999,
  [SMALL_STATE(8163)] = 415051,
  [SMALL_STATE(8164)] = 415145,
  [SMALL_STATE(8165)] = 415239,
  [SMALL_STATE(8166)] = 415293,
  [SMALL_STATE(8167)] = 415343,
  [SMALL_STATE(8168)] = 415393,
  [SMALL_STATE(8169)] = 415487,
  [SMALL_STATE(8170)] = 415537,
  [SMALL_STATE(8171)] = 415631,
  [SMALL_STATE(8172)] = 415681,
  [SMALL_STATE(8173)] = 415775,
  [SMALL_STATE(8174)] = 415825,
  [SMALL_STATE(8175)] = 415877,
  [SMALL_STATE(8176)] = 415949,
  [SMALL_STATE(8177)] = 415999,
  [SMALL_STATE(8178)] = 416049,
  [SMALL_STATE(8179)] = 416099,
  [SMALL_STATE(8180)] = 416151,
  [SMALL_STATE(8181)] = 416203,
  [SMALL_STATE(8182)] = 416277,
  [SMALL_STATE(8183)] = 416371,
  [SMALL_STATE(8184)] = 416421,
  [SMALL_STATE(8185)] = 416471,
  [SMALL_STATE(8186)] = 416565,
  [SMALL_STATE(8187)] = 416615,
  [SMALL_STATE(8188)] = 416709,
  [SMALL_STATE(8189)] = 416803,
  [SMALL_STATE(8190)] = 416897,
  [SMALL_STATE(8191)] = 416947,
  [SMALL_STATE(8192)] = 417041,
  [SMALL_STATE(8193)] = 417135,
  [SMALL_STATE(8194)] = 417185,
  [SMALL_STATE(8195)] = 417235,
  [SMALL_STATE(8196)] = 417285,
  [SMALL_STATE(8197)] = 417335,
  [SMALL_STATE(8198)] = 417385,
  [SMALL_STATE(8199)] = 417453,
  [SMALL_STATE(8200)] = 417513,
  [SMALL_STATE(8201)] = 417567,
  [SMALL_STATE(8202)] = 417621,
  [SMALL_STATE(8203)] = 417683,
  [SMALL_STATE(8204)] = 417745,
  [SMALL_STATE(8205)] = 417811,
  [SMALL_STATE(8206)] = 417879,
  [SMALL_STATE(8207)] = 417951,
  [SMALL_STATE(8208)] = 418007,
  [SMALL_STATE(8209)] = 418079,
  [SMALL_STATE(8210)] = 418173,
  [SMALL_STATE(8211)] = 418227,
  [SMALL_STATE(8212)] = 418299,
  [SMALL_STATE(8213)] = 418349,
  [SMALL_STATE(8214)] = 418399,
  [SMALL_STATE(8215)] = 418453,
  [SMALL_STATE(8216)] = 418513,
  [SMALL_STATE(8217)] = 418607,
  [SMALL_STATE(8218)] = 418701,
  [SMALL_STATE(8219)] = 418795,
  [SMALL_STATE(8220)] = 418889,
  [SMALL_STATE(8221)] = 418983,
  [SMALL_STATE(8222)] = 419035,
  [SMALL_STATE(8223)] = 419129,
  [SMALL_STATE(8224)] = 419223,
  [SMALL_STATE(8225)] = 419277,
  [SMALL_STATE(8226)] = 419371,
  [SMALL_STATE(8227)] = 419421,
  [SMALL_STATE(8228)] = 419515,
  [SMALL_STATE(8229)] = 419609,
  [SMALL_STATE(8230)] = 419659,
  [SMALL_STATE(8231)] = 419713,
  [SMALL_STATE(8232)] = 419807,
  [SMALL_STATE(8233)] = 419861,
  [SMALL_STATE(8234)] = 419955,
  [SMALL_STATE(8235)] = 420049,
  [SMALL_STATE(8236)] = 420143,
  [SMALL_STATE(8237)] = 420193,
  [SMALL_STATE(8238)] = 420287,
  [SMALL_STATE(8239)] = 420381,
  [SMALL_STATE(8240)] = 420431,
  [SMALL_STATE(8241)] = 420481,
  [SMALL_STATE(8242)] = 420575,
  [SMALL_STATE(8243)] = 420625,
  [SMALL_STATE(8244)] = 420675,
  [SMALL_STATE(8245)] = 420725,
  [SMALL_STATE(8246)] = 420775,
  [SMALL_STATE(8247)] = 420825,
  [SMALL_STATE(8248)] = 420875,
  [SMALL_STATE(8249)] = 420925,
  [SMALL_STATE(8250)] = 420975,
  [SMALL_STATE(8251)] = 421025,
  [SMALL_STATE(8252)] = 421075,
  [SMALL_STATE(8253)] = 421125,
  [SMALL_STATE(8254)] = 421175,
  [SMALL_STATE(8255)] = 421269,
  [SMALL_STATE(8256)] = 421363,
  [SMALL_STATE(8257)] = 421413,
  [SMALL_STATE(8258)] = 421507,
  [SMALL_STATE(8259)] = 421557,
  [SMALL_STATE(8260)] = 421607,
  [SMALL_STATE(8261)] = 421657,
  [SMALL_STATE(8262)] = 421751,
  [SMALL_STATE(8263)] = 421805,
  [SMALL_STATE(8264)] = 421855,
  [SMALL_STATE(8265)] = 421949,
  [SMALL_STATE(8266)] = 422043,
  [SMALL_STATE(8267)] = 422137,
  [SMALL_STATE(8268)] = 422187,
  [SMALL_STATE(8269)] = 422236,
  [SMALL_STATE(8270)] = 422289,
  [SMALL_STATE(8271)] = 422342,
  [SMALL_STATE(8272)] = 422393,
  [SMALL_STATE(8273)] = 422446,
  [SMALL_STATE(8274)] = 422513,
  [SMALL_STATE(8275)] = 422566,
  [SMALL_STATE(8276)] = 422639,
  [SMALL_STATE(8277)] = 422730,
  [SMALL_STATE(8278)] = 422801,
  [SMALL_STATE(8279)] = 422852,
  [SMALL_STATE(8280)] = 422919,
  [SMALL_STATE(8281)] = 422970,
  [SMALL_STATE(8282)] = 423023,
  [SMALL_STATE(8283)] = 423082,
  [SMALL_STATE(8284)] = 423149,
  [SMALL_STATE(8285)] = 423208,
  [SMALL_STATE(8286)] = 423261,
  [SMALL_STATE(8287)] = 423314,
  [SMALL_STATE(8288)] = 423367,
  [SMALL_STATE(8289)] = 423428,
  [SMALL_STATE(8290)] = 423499,
  [SMALL_STATE(8291)] = 423550,
  [SMALL_STATE(8292)] = 423641,
  [SMALL_STATE(8293)] = 423694,
  [SMALL_STATE(8294)] = 423745,
  [SMALL_STATE(8295)] = 423798,
  [SMALL_STATE(8296)] = 423859,
  [SMALL_STATE(8297)] = 423912,
  [SMALL_STATE(8298)] = 423979,
  [SMALL_STATE(8299)] = 424052,
  [SMALL_STATE(8300)] = 424105,
  [SMALL_STATE(8301)] = 424158,
  [SMALL_STATE(8302)] = 424211,
  [SMALL_STATE(8303)] = 424264,
  [SMALL_STATE(8304)] = 424317,
  [SMALL_STATE(8305)] = 424408,
  [SMALL_STATE(8306)] = 424461,
  [SMALL_STATE(8307)] = 424520,
  [SMALL_STATE(8308)] = 424575,
  [SMALL_STATE(8309)] = 424646,
  [SMALL_STATE(8310)] = 424699,
  [SMALL_STATE(8311)] = 424752,
  [SMALL_STATE(8312)] = 424805,
  [SMALL_STATE(8313)] = 424876,
  [SMALL_STATE(8314)] = 424937,
  [SMALL_STATE(8315)] = 425010,
  [SMALL_STATE(8316)] = 425071,
  [SMALL_STATE(8317)] = 425132,
  [SMALL_STATE(8318)] = 425223,
  [SMALL_STATE(8319)] = 425284,
  [SMALL_STATE(8320)] = 425349,
  [SMALL_STATE(8321)] = 425402,
  [SMALL_STATE(8322)] = 425453,
  [SMALL_STATE(8323)] = 425518,
  [SMALL_STATE(8324)] = 425579,
  [SMALL_STATE(8325)] = 425650,
  [SMALL_STATE(8326)] = 425717,
  [SMALL_STATE(8327)] = 425788,
  [SMALL_STATE(8328)] = 425843,
  [SMALL_STATE(8329)] = 425908,
  [SMALL_STATE(8330)] = 425957,
  [SMALL_STATE(8331)] = 426028,
  [SMALL_STATE(8332)] = 426083,
  [SMALL_STATE(8333)] = 426150,
  [SMALL_STATE(8334)] = 426221,
  [SMALL_STATE(8335)] = 426274,
  [SMALL_STATE(8336)] = 426327,
  [SMALL_STATE(8337)] = 426378,
  [SMALL_STATE(8338)] = 426449,
  [SMALL_STATE(8339)] = 426502,
  [SMALL_STATE(8340)] = 426553,
  [SMALL_STATE(8341)] = 426620,
  [SMALL_STATE(8342)] = 426675,
  [SMALL_STATE(8343)] = 426736,
  [SMALL_STATE(8344)] = 426789,
  [SMALL_STATE(8345)] = 426842,
  [SMALL_STATE(8346)] = 426913,
  [SMALL_STATE(8347)] = 426966,
  [SMALL_STATE(8348)] = 427031,
  [SMALL_STATE(8349)] = 427102,
  [SMALL_STATE(8350)] = 427173,
  [SMALL_STATE(8351)] = 427222,
  [SMALL_STATE(8352)] = 427275,
  [SMALL_STATE(8353)] = 427326,
  [SMALL_STATE(8354)] = 427399,
  [SMALL_STATE(8355)] = 427452,
  [SMALL_STATE(8356)] = 427505,
  [SMALL_STATE(8357)] = 427576,
  [SMALL_STATE(8358)] = 427643,
  [SMALL_STATE(8359)] = 427702,
  [SMALL_STATE(8360)] = 427773,
  [SMALL_STATE(8361)] = 427826,
  [SMALL_STATE(8362)] = 427879,
  [SMALL_STATE(8363)] = 427927,
  [SMALL_STATE(8364)] = 427999,
  [SMALL_STATE(8365)] = 428069,
  [SMALL_STATE(8366)] = 428139,
  [SMALL_STATE(8367)] = 428223,
  [SMALL_STATE(8368)] = 428275,
  [SMALL_STATE(8369)] = 428325,
  [SMALL_STATE(8370)] = 428385,
  [SMALL_STATE(8371)] = 428457,
  [SMALL_STATE(8372)] = 428505,
  [SMALL_STATE(8373)] = 428589,
  [SMALL_STATE(8374)] = 428641,
  [SMALL_STATE(8375)] = 428699,
  [SMALL_STATE(8376)] = 428765,
  [SMALL_STATE(8377)] = 428831,
  [SMALL_STATE(8378)] = 428881,
  [SMALL_STATE(8379)] = 428933,
  [SMALL_STATE(8380)] = 429003,
  [SMALL_STATE(8381)] = 429087,
  [SMALL_STATE(8382)] = 429151,
  [SMALL_STATE(8383)] = 429203,
  [SMALL_STATE(8384)] = 429263,
  [SMALL_STATE(8385)] = 429315,
  [SMALL_STATE(8386)] = 429367,
  [SMALL_STATE(8387)] = 429427,
  [SMALL_STATE(8388)] = 429477,
  [SMALL_STATE(8389)] = 429525,
  [SMALL_STATE(8390)] = 429579,
  [SMALL_STATE(8391)] = 429629,
  [SMALL_STATE(8392)] = 429681,
  [SMALL_STATE(8393)] = 429751,
  [SMALL_STATE(8394)] = 429803,
  [SMALL_STATE(8395)] = 429857,
  [SMALL_STATE(8396)] = 429907,
  [SMALL_STATE(8397)] = 429959,
  [SMALL_STATE(8398)] = 430043,
  [SMALL_STATE(8399)] = 430115,
  [SMALL_STATE(8400)] = 430179,
  [SMALL_STATE(8401)] = 430227,
  [SMALL_STATE(8402)] = 430279,
  [SMALL_STATE(8403)] = 430361,
  [SMALL_STATE(8404)] = 430431,
  [SMALL_STATE(8405)] = 430515,
  [SMALL_STATE(8406)] = 430587,
  [SMALL_STATE(8407)] = 430671,
  [SMALL_STATE(8408)] = 430737,
  [SMALL_STATE(8409)] = 430797,
  [SMALL_STATE(8410)] = 430847,
  [SMALL_STATE(8411)] = 430895,
  [SMALL_STATE(8412)] = 430947,
  [SMALL_STATE(8413)] = 431017,
  [SMALL_STATE(8414)] = 431101,
  [SMALL_STATE(8415)] = 431167,
  [SMALL_STATE(8416)] = 431225,
  [SMALL_STATE(8417)] = 431273,
  [SMALL_STATE(8418)] = 431357,
  [SMALL_STATE(8419)] = 431409,
  [SMALL_STATE(8420)] = 431457,
  [SMALL_STATE(8421)] = 431539,
  [SMALL_STATE(8422)] = 431624,
  [SMALL_STATE(8423)] = 431683,
  [SMALL_STATE(8424)] = 431768,
  [SMALL_STATE(8425)] = 431821,
  [SMALL_STATE(8426)] = 431906,
  [SMALL_STATE(8427)] = 431991,
  [SMALL_STATE(8428)] = 432060,
  [SMALL_STATE(8429)] = 432145,
  [SMALL_STATE(8430)] = 432230,
  [SMALL_STATE(8431)] = 432299,
  [SMALL_STATE(8432)] = 432384,
  [SMALL_STATE(8433)] = 432455,
  [SMALL_STATE(8434)] = 432506,
  [SMALL_STATE(8435)] = 432569,
  [SMALL_STATE(8436)] = 432620,
  [SMALL_STATE(8437)] = 432705,
  [SMALL_STATE(8438)] = 432790,
  [SMALL_STATE(8439)] = 432841,
  [SMALL_STATE(8440)] = 432890,
  [SMALL_STATE(8441)] = 432955,
  [SMALL_STATE(8442)] = 433002,
  [SMALL_STATE(8443)] = 433053,
  [SMALL_STATE(8444)] = 433102,
  [SMALL_STATE(8445)] = 433187,
  [SMALL_STATE(8446)] = 433236,
  [SMALL_STATE(8447)] = 433321,
  [SMALL_STATE(8448)] = 433370,
  [SMALL_STATE(8449)] = 433455,
  [SMALL_STATE(8450)] = 433506,
  [SMALL_STATE(8451)] = 433591,
  [SMALL_STATE(8452)] = 433676,
  [SMALL_STATE(8453)] = 433761,
  [SMALL_STATE(8454)] = 433846,
  [SMALL_STATE(8455)] = 433897,
  [SMALL_STATE(8456)] = 433982,
  [SMALL_STATE(8457)] = 434051,
  [SMALL_STATE(8458)] = 434136,
  [SMALL_STATE(8459)] = 434205,
  [SMALL_STATE(8460)] = 434254,
  [SMALL_STATE(8461)] = 434305,
  [SMALL_STATE(8462)] = 434390,
  [SMALL_STATE(8463)] = 434475,
  [SMALL_STATE(8464)] = 434560,
  [SMALL_STATE(8465)] = 434629,
  [SMALL_STATE(8466)] = 434680,
  [SMALL_STATE(8467)] = 434737,
  [SMALL_STATE(8468)] = 434786,
  [SMALL_STATE(8469)] = 434871,
  [SMALL_STATE(8470)] = 434956,
  [SMALL_STATE(8471)] = 435041,
  [SMALL_STATE(8472)] = 435126,
  [SMALL_STATE(8473)] = 435211,
  [SMALL_STATE(8474)] = 435296,
  [SMALL_STATE(8475)] = 435345,
  [SMALL_STATE(8476)] = 435396,
  [SMALL_STATE(8477)] = 435447,
  [SMALL_STATE(8478)] = 435500,
  [SMALL_STATE(8479)] = 435585,
  [SMALL_STATE(8480)] = 435670,
  [SMALL_STATE(8481)] = 435719,
  [SMALL_STATE(8482)] = 435766,
  [SMALL_STATE(8483)] = 435851,
  [SMALL_STATE(8484)] = 435936,
  [SMALL_STATE(8485)] = 436021,
  [SMALL_STATE(8486)] = 436106,
  [SMALL_STATE(8487)] = 436157,
  [SMALL_STATE(8488)] = 436206,
  [SMALL_STATE(8489)] = 436257,
  [SMALL_STATE(8490)] = 436342,
  [SMALL_STATE(8491)] = 436393,
  [SMALL_STATE(8492)] = 436478,
  [SMALL_STATE(8493)] = 436563,
  [SMALL_STATE(8494)] = 436622,
  [SMALL_STATE(8495)] = 436707,
  [SMALL_STATE(8496)] = 436758,
  [SMALL_STATE(8497)] = 436817,
  [SMALL_STATE(8498)] = 436902,
  [SMALL_STATE(8499)] = 436987,
  [SMALL_STATE(8500)] = 437038,
  [SMALL_STATE(8501)] = 437109,
  [SMALL_STATE(8502)] = 437160,
  [SMALL_STATE(8503)] = 437245,
  [SMALL_STATE(8504)] = 437330,
  [SMALL_STATE(8505)] = 437415,
  [SMALL_STATE(8506)] = 437484,
  [SMALL_STATE(8507)] = 437569,
  [SMALL_STATE(8508)] = 437654,
  [SMALL_STATE(8509)] = 437739,
  [SMALL_STATE(8510)] = 437790,
  [SMALL_STATE(8511)] = 437837,
  [SMALL_STATE(8512)] = 437886,
  [SMALL_STATE(8513)] = 437935,
  [SMALL_STATE(8514)] = 437986,
  [SMALL_STATE(8515)] = 438057,
  [SMALL_STATE(8516)] = 438108,
  [SMALL_STATE(8517)] = 438167,
  [SMALL_STATE(8518)] = 438236,
  [SMALL_STATE(8519)] = 438321,
  [SMALL_STATE(8520)] = 438368,
  [SMALL_STATE(8521)] = 438425,
  [SMALL_STATE(8522)] = 438496,
  [SMALL_STATE(8523)] = 438581,
  [SMALL_STATE(8524)] = 438646,
  [SMALL_STATE(8525)] = 438697,
  [SMALL_STATE(8526)] = 438782,
  [SMALL_STATE(8527)] = 438867,
  [SMALL_STATE(8528)] = 438952,
  [SMALL_STATE(8529)] = 439037,
  [SMALL_STATE(8530)] = 439122,
  [SMALL_STATE(8531)] = 439185,
  [SMALL_STATE(8532)] = 439270,
  [SMALL_STATE(8533)] = 439355,
  [SMALL_STATE(8534)] = 439424,
  [SMALL_STATE(8535)] = 439489,
  [SMALL_STATE(8536)] = 439554,
  [SMALL_STATE(8537)] = 439639,
  [SMALL_STATE(8538)] = 439721,
  [SMALL_STATE(8539)] = 439803,
  [SMALL_STATE(8540)] = 439885,
  [SMALL_STATE(8541)] = 439967,
  [SMALL_STATE(8542)] = 440049,
  [SMALL_STATE(8543)] = 440099,
  [SMALL_STATE(8544)] = 440147,
  [SMALL_STATE(8545)] = 440229,
  [SMALL_STATE(8546)] = 440311,
  [SMALL_STATE(8547)] = 440393,
  [SMALL_STATE(8548)] = 440475,
  [SMALL_STATE(8549)] = 440557,
  [SMALL_STATE(8550)] = 440603,
  [SMALL_STATE(8551)] = 440685,
  [SMALL_STATE(8552)] = 440755,
  [SMALL_STATE(8553)] = 440837,
  [SMALL_STATE(8554)] = 440919,
  [SMALL_STATE(8555)] = 441001,
  [SMALL_STATE(8556)] = 441083,
  [SMALL_STATE(8557)] = 441165,
  [SMALL_STATE(8558)] = 441213,
  [SMALL_STATE(8559)] = 441295,
  [SMALL_STATE(8560)] = 441365,
  [SMALL_STATE(8561)] = 441447,
  [SMALL_STATE(8562)] = 441529,
  [SMALL_STATE(8563)] = 441611,
  [SMALL_STATE(8564)] = 441693,
  [SMALL_STATE(8565)] = 441775,
  [SMALL_STATE(8566)] = 441857,
  [SMALL_STATE(8567)] = 441939,
  [SMALL_STATE(8568)] = 441985,
  [SMALL_STATE(8569)] = 442031,
  [SMALL_STATE(8570)] = 442113,
  [SMALL_STATE(8571)] = 442195,
  [SMALL_STATE(8572)] = 442277,
  [SMALL_STATE(8573)] = 442325,
  [SMALL_STATE(8574)] = 442407,
  [SMALL_STATE(8575)] = 442453,
  [SMALL_STATE(8576)] = 442503,
  [SMALL_STATE(8577)] = 442551,
  [SMALL_STATE(8578)] = 442633,
  [SMALL_STATE(8579)] = 442715,
  [SMALL_STATE(8580)] = 442761,
  [SMALL_STATE(8581)] = 442843,
  [SMALL_STATE(8582)] = 442925,
  [SMALL_STATE(8583)] = 442987,
  [SMALL_STATE(8584)] = 443069,
  [SMALL_STATE(8585)] = 443115,
  [SMALL_STATE(8586)] = 443197,
  [SMALL_STATE(8587)] = 443279,
  [SMALL_STATE(8588)] = 443325,
  [SMALL_STATE(8589)] = 443371,
  [SMALL_STATE(8590)] = 443417,
  [SMALL_STATE(8591)] = 443463,
  [SMALL_STATE(8592)] = 443509,
  [SMALL_STATE(8593)] = 443555,
  [SMALL_STATE(8594)] = 443601,
  [SMALL_STATE(8595)] = 443683,
  [SMALL_STATE(8596)] = 443765,
  [SMALL_STATE(8597)] = 443811,
  [SMALL_STATE(8598)] = 443893,
  [SMALL_STATE(8599)] = 443939,
  [SMALL_STATE(8600)] = 444021,
  [SMALL_STATE(8601)] = 444103,
  [SMALL_STATE(8602)] = 444185,
  [SMALL_STATE(8603)] = 444267,
  [SMALL_STATE(8604)] = 444349,
  [SMALL_STATE(8605)] = 444431,
  [SMALL_STATE(8606)] = 444477,
  [SMALL_STATE(8607)] = 444559,
  [SMALL_STATE(8608)] = 444605,
  [SMALL_STATE(8609)] = 444651,
  [SMALL_STATE(8610)] = 444701,
  [SMALL_STATE(8611)] = 444769,
  [SMALL_STATE(8612)] = 444815,
  [SMALL_STATE(8613)] = 444861,
  [SMALL_STATE(8614)] = 444907,
  [SMALL_STATE(8615)] = 444953,
  [SMALL_STATE(8616)] = 444999,
  [SMALL_STATE(8617)] = 445045,
  [SMALL_STATE(8618)] = 445091,
  [SMALL_STATE(8619)] = 445137,
  [SMALL_STATE(8620)] = 445183,
  [SMALL_STATE(8621)] = 445229,
  [SMALL_STATE(8622)] = 445275,
  [SMALL_STATE(8623)] = 445321,
  [SMALL_STATE(8624)] = 445367,
  [SMALL_STATE(8625)] = 445413,
  [SMALL_STATE(8626)] = 445459,
  [SMALL_STATE(8627)] = 445505,
  [SMALL_STATE(8628)] = 445551,
  [SMALL_STATE(8629)] = 445597,
  [SMALL_STATE(8630)] = 445679,
  [SMALL_STATE(8631)] = 445761,
  [SMALL_STATE(8632)] = 445807,
  [SMALL_STATE(8633)] = 445889,
  [SMALL_STATE(8634)] = 445971,
  [SMALL_STATE(8635)] = 446019,
  [SMALL_STATE(8636)] = 446065,
  [SMALL_STATE(8637)] = 446111,
  [SMALL_STATE(8638)] = 446193,
  [SMALL_STATE(8639)] = 446239,
  [SMALL_STATE(8640)] = 446285,
  [SMALL_STATE(8641)] = 446367,
  [SMALL_STATE(8642)] = 446413,
  [SMALL_STATE(8643)] = 446459,
  [SMALL_STATE(8644)] = 446505,
  [SMALL_STATE(8645)] = 446551,
  [SMALL_STATE(8646)] = 446597,
  [SMALL_STATE(8647)] = 446643,
  [SMALL_STATE(8648)] = 446689,
  [SMALL_STATE(8649)] = 446735,
  [SMALL_STATE(8650)] = 446781,
  [SMALL_STATE(8651)] = 446827,
  [SMALL_STATE(8652)] = 446873,
  [SMALL_STATE(8653)] = 446919,
  [SMALL_STATE(8654)] = 446965,
  [SMALL_STATE(8655)] = 447011,
  [SMALL_STATE(8656)] = 447057,
  [SMALL_STATE(8657)] = 447103,
  [SMALL_STATE(8658)] = 447185,
  [SMALL_STATE(8659)] = 447267,
  [SMALL_STATE(8660)] = 447313,
  [SMALL_STATE(8661)] = 447359,
  [SMALL_STATE(8662)] = 447405,
  [SMALL_STATE(8663)] = 447451,
  [SMALL_STATE(8664)] = 447497,
  [SMALL_STATE(8665)] = 447559,
  [SMALL_STATE(8666)] = 447641,
  [SMALL_STATE(8667)] = 447687,
  [SMALL_STATE(8668)] = 447769,
  [SMALL_STATE(8669)] = 447851,
  [SMALL_STATE(8670)] = 447933,
  [SMALL_STATE(8671)] = 447997,
  [SMALL_STATE(8672)] = 448043,
  [SMALL_STATE(8673)] = 448099,
  [SMALL_STATE(8674)] = 448149,
  [SMALL_STATE(8675)] = 448199,
  [SMALL_STATE(8676)] = 448249,
  [SMALL_STATE(8677)] = 448307,
  [SMALL_STATE(8678)] = 448365,
  [SMALL_STATE(8679)] = 448427,
  [SMALL_STATE(8680)] = 448509,
  [SMALL_STATE(8681)] = 448573,
  [SMALL_STATE(8682)] = 448641,
  [SMALL_STATE(8683)] = 448693,
  [SMALL_STATE(8684)] = 448761,
  [SMALL_STATE(8685)] = 448843,
  [SMALL_STATE(8686)] = 448893,
  [SMALL_STATE(8687)] = 448975,
  [SMALL_STATE(8688)] = 449057,
  [SMALL_STATE(8689)] = 449139,
  [SMALL_STATE(8690)] = 449221,
  [SMALL_STATE(8691)] = 449303,
  [SMALL_STATE(8692)] = 449385,
  [SMALL_STATE(8693)] = 449467,
  [SMALL_STATE(8694)] = 449549,
  [SMALL_STATE(8695)] = 449631,
  [SMALL_STATE(8696)] = 449677,
  [SMALL_STATE(8697)] = 449759,
  [SMALL_STATE(8698)] = 449805,
  [SMALL_STATE(8699)] = 449887,
  [SMALL_STATE(8700)] = 449969,
  [SMALL_STATE(8701)] = 450051,
  [SMALL_STATE(8702)] = 450133,
  [SMALL_STATE(8703)] = 450215,
  [SMALL_STATE(8704)] = 450297,
  [SMALL_STATE(8705)] = 450379,
  [SMALL_STATE(8706)] = 450461,
  [SMALL_STATE(8707)] = 450529,
  [SMALL_STATE(8708)] = 450611,
  [SMALL_STATE(8709)] = 450693,
  [SMALL_STATE(8710)] = 450743,
  [SMALL_STATE(8711)] = 450825,
  [SMALL_STATE(8712)] = 450907,
  [SMALL_STATE(8713)] = 450953,
  [SMALL_STATE(8714)] = 451035,
  [SMALL_STATE(8715)] = 451117,
  [SMALL_STATE(8716)] = 451199,
  [SMALL_STATE(8717)] = 451245,
  [SMALL_STATE(8718)] = 451291,
  [SMALL_STATE(8719)] = 451373,
  [SMALL_STATE(8720)] = 451455,
  [SMALL_STATE(8721)] = 451537,
  [SMALL_STATE(8722)] = 451619,
  [SMALL_STATE(8723)] = 451701,
  [SMALL_STATE(8724)] = 451783,
  [SMALL_STATE(8725)] = 451865,
  [SMALL_STATE(8726)] = 451947,
  [SMALL_STATE(8727)] = 452029,
  [SMALL_STATE(8728)] = 452075,
  [SMALL_STATE(8729)] = 452157,
  [SMALL_STATE(8730)] = 452239,
  [SMALL_STATE(8731)] = 452285,
  [SMALL_STATE(8732)] = 452331,
  [SMALL_STATE(8733)] = 452413,
  [SMALL_STATE(8734)] = 452495,
  [SMALL_STATE(8735)] = 452541,
  [SMALL_STATE(8736)] = 452623,
  [SMALL_STATE(8737)] = 452705,
  [SMALL_STATE(8738)] = 452787,
  [SMALL_STATE(8739)] = 452869,
  [SMALL_STATE(8740)] = 452951,
  [SMALL_STATE(8741)] = 453033,
  [SMALL_STATE(8742)] = 453115,
  [SMALL_STATE(8743)] = 453197,
  [SMALL_STATE(8744)] = 453279,
  [SMALL_STATE(8745)] = 453361,
  [SMALL_STATE(8746)] = 453443,
  [SMALL_STATE(8747)] = 453493,
  [SMALL_STATE(8748)] = 453575,
  [SMALL_STATE(8749)] = 453625,
  [SMALL_STATE(8750)] = 453707,
  [SMALL_STATE(8751)] = 453789,
  [SMALL_STATE(8752)] = 453871,
  [SMALL_STATE(8753)] = 453953,
  [SMALL_STATE(8754)] = 454035,
  [SMALL_STATE(8755)] = 454117,
  [SMALL_STATE(8756)] = 454199,
  [SMALL_STATE(8757)] = 454281,
  [SMALL_STATE(8758)] = 454363,
  [SMALL_STATE(8759)] = 454445,
  [SMALL_STATE(8760)] = 454527,
  [SMALL_STATE(8761)] = 454609,
  [SMALL_STATE(8762)] = 454691,
  [SMALL_STATE(8763)] = 454773,
  [SMALL_STATE(8764)] = 454855,
  [SMALL_STATE(8765)] = 454937,
  [SMALL_STATE(8766)] = 455019,
  [SMALL_STATE(8767)] = 455101,
  [SMALL_STATE(8768)] = 455183,
  [SMALL_STATE(8769)] = 455265,
  [SMALL_STATE(8770)] = 455329,
  [SMALL_STATE(8771)] = 455385,
  [SMALL_STATE(8772)] = 455435,
  [SMALL_STATE(8773)] = 455517,
  [SMALL_STATE(8774)] = 455567,
  [SMALL_STATE(8775)] = 455649,
  [SMALL_STATE(8776)] = 455707,
  [SMALL_STATE(8777)] = 455765,
  [SMALL_STATE(8778)] = 455811,
  [SMALL_STATE(8779)] = 455857,
  [SMALL_STATE(8780)] = 455939,
  [SMALL_STATE(8781)] = 456021,
  [SMALL_STATE(8782)] = 456067,
  [SMALL_STATE(8783)] = 456113,
  [SMALL_STATE(8784)] = 456195,
  [SMALL_STATE(8785)] = 456257,
  [SMALL_STATE(8786)] = 456339,
  [SMALL_STATE(8787)] = 456403,
  [SMALL_STATE(8788)] = 456471,
  [SMALL_STATE(8789)] = 456523,
  [SMALL_STATE(8790)] = 456569,
  [SMALL_STATE(8791)] = 456615,
  [SMALL_STATE(8792)] = 456683,
  [SMALL_STATE(8793)] = 456765,
  [SMALL_STATE(8794)] = 456847,
  [SMALL_STATE(8795)] = 456929,
  [SMALL_STATE(8796)] = 457011,
  [SMALL_STATE(8797)] = 457093,
  [SMALL_STATE(8798)] = 457175,
  [SMALL_STATE(8799)] = 457257,
  [SMALL_STATE(8800)] = 457339,
  [SMALL_STATE(8801)] = 457385,
  [SMALL_STATE(8802)] = 457467,
  [SMALL_STATE(8803)] = 457513,
  [SMALL_STATE(8804)] = 457559,
  [SMALL_STATE(8805)] = 457641,
  [SMALL_STATE(8806)] = 457723,
  [SMALL_STATE(8807)] = 457805,
  [SMALL_STATE(8808)] = 457887,
  [SMALL_STATE(8809)] = 457969,
  [SMALL_STATE(8810)] = 458051,
  [SMALL_STATE(8811)] = 458133,
  [SMALL_STATE(8812)] = 458215,
  [SMALL_STATE(8813)] = 458297,
  [SMALL_STATE(8814)] = 458379,
  [SMALL_STATE(8815)] = 458461,
  [SMALL_STATE(8816)] = 458543,
  [SMALL_STATE(8817)] = 458625,
  [SMALL_STATE(8818)] = 458707,
  [SMALL_STATE(8819)] = 458789,
  [SMALL_STATE(8820)] = 458871,
  [SMALL_STATE(8821)] = 458953,
  [SMALL_STATE(8822)] = 459035,
  [SMALL_STATE(8823)] = 459117,
  [SMALL_STATE(8824)] = 459199,
  [SMALL_STATE(8825)] = 459281,
  [SMALL_STATE(8826)] = 459363,
  [SMALL_STATE(8827)] = 459445,
  [SMALL_STATE(8828)] = 459527,
  [SMALL_STATE(8829)] = 459609,
  [SMALL_STATE(8830)] = 459691,
  [SMALL_STATE(8831)] = 459773,
  [SMALL_STATE(8832)] = 459855,
  [SMALL_STATE(8833)] = 459937,
  [SMALL_STATE(8834)] = 460019,
  [SMALL_STATE(8835)] = 460101,
  [SMALL_STATE(8836)] = 460183,
  [SMALL_STATE(8837)] = 460229,
  [SMALL_STATE(8838)] = 460311,
  [SMALL_STATE(8839)] = 460393,
  [SMALL_STATE(8840)] = 460475,
  [SMALL_STATE(8841)] = 460557,
  [SMALL_STATE(8842)] = 460639,
  [SMALL_STATE(8843)] = 460721,
  [SMALL_STATE(8844)] = 460803,
  [SMALL_STATE(8845)] = 460885,
  [SMALL_STATE(8846)] = 460931,
  [SMALL_STATE(8847)] = 460977,
  [SMALL_STATE(8848)] = 461039,
  [SMALL_STATE(8849)] = 461087,
  [SMALL_STATE(8850)] = 461169,
  [SMALL_STATE(8851)] = 461251,
  [SMALL_STATE(8852)] = 461333,
  [SMALL_STATE(8853)] = 461378,
  [SMALL_STATE(8854)] = 461423,
  [SMALL_STATE(8855)] = 461468,
  [SMALL_STATE(8856)] = 461513,
  [SMALL_STATE(8857)] = 461558,
  [SMALL_STATE(8858)] = 461627,
  [SMALL_STATE(8859)] = 461672,
  [SMALL_STATE(8860)] = 461717,
  [SMALL_STATE(8861)] = 461762,
  [SMALL_STATE(8862)] = 461807,
  [SMALL_STATE(8863)] = 461852,
  [SMALL_STATE(8864)] = 461913,
  [SMALL_STATE(8865)] = 461958,
  [SMALL_STATE(8866)] = 462003,
  [SMALL_STATE(8867)] = 462048,
  [SMALL_STATE(8868)] = 462093,
  [SMALL_STATE(8869)] = 462138,
  [SMALL_STATE(8870)] = 462189,
  [SMALL_STATE(8871)] = 462240,
  [SMALL_STATE(8872)] = 462285,
  [SMALL_STATE(8873)] = 462346,
  [SMALL_STATE(8874)] = 462391,
  [SMALL_STATE(8875)] = 462436,
  [SMALL_STATE(8876)] = 462487,
  [SMALL_STATE(8877)] = 462532,
  [SMALL_STATE(8878)] = 462583,
  [SMALL_STATE(8879)] = 462660,
  [SMALL_STATE(8880)] = 462705,
  [SMALL_STATE(8881)] = 462750,
  [SMALL_STATE(8882)] = 462795,
  [SMALL_STATE(8883)] = 462840,
  [SMALL_STATE(8884)] = 462885,
  [SMALL_STATE(8885)] = 462930,
  [SMALL_STATE(8886)] = 462975,
  [SMALL_STATE(8887)] = 463020,
  [SMALL_STATE(8888)] = 463065,
  [SMALL_STATE(8889)] = 463126,
  [SMALL_STATE(8890)] = 463171,
  [SMALL_STATE(8891)] = 463216,
  [SMALL_STATE(8892)] = 463261,
  [SMALL_STATE(8893)] = 463306,
  [SMALL_STATE(8894)] = 463351,
  [SMALL_STATE(8895)] = 463396,
  [SMALL_STATE(8896)] = 463441,
  [SMALL_STATE(8897)] = 463486,
  [SMALL_STATE(8898)] = 463531,
  [SMALL_STATE(8899)] = 463576,
  [SMALL_STATE(8900)] = 463621,
  [SMALL_STATE(8901)] = 463666,
  [SMALL_STATE(8902)] = 463713,
  [SMALL_STATE(8903)] = 463762,
  [SMALL_STATE(8904)] = 463807,
  [SMALL_STATE(8905)] = 463854,
  [SMALL_STATE(8906)] = 463899,
  [SMALL_STATE(8907)] = 463944,
  [SMALL_STATE(8908)] = 463989,
  [SMALL_STATE(8909)] = 464034,
  [SMALL_STATE(8910)] = 464079,
  [SMALL_STATE(8911)] = 464124,
  [SMALL_STATE(8912)] = 464169,
  [SMALL_STATE(8913)] = 464214,
  [SMALL_STATE(8914)] = 464259,
  [SMALL_STATE(8915)] = 464304,
  [SMALL_STATE(8916)] = 464349,
  [SMALL_STATE(8917)] = 464394,
  [SMALL_STATE(8918)] = 464439,
  [SMALL_STATE(8919)] = 464484,
  [SMALL_STATE(8920)] = 464561,
  [SMALL_STATE(8921)] = 464630,
  [SMALL_STATE(8922)] = 464675,
  [SMALL_STATE(8923)] = 464720,
  [SMALL_STATE(8924)] = 464765,
  [SMALL_STATE(8925)] = 464819,
  [SMALL_STATE(8926)] = 464873,
  [SMALL_STATE(8927)] = 464927,
  [SMALL_STATE(8928)] = 465001,
  [SMALL_STATE(8929)] = 465055,
  [SMALL_STATE(8930)] = 465127,
  [SMALL_STATE(8931)] = 465181,
  [SMALL_STATE(8932)] = 465255,
  [SMALL_STATE(8933)] = 465309,
  [SMALL_STATE(8934)] = 465381,
  [SMALL_STATE(8935)] = 465425,
  [SMALL_STATE(8936)] = 465499,
  [SMALL_STATE(8937)] = 465571,
  [SMALL_STATE(8938)] = 465648,
  [SMALL_STATE(8939)] = 465725,
  [SMALL_STATE(8940)] = 465802,
  [SMALL_STATE(8941)] = 465855,
  [SMALL_STATE(8942)] = 465908,
  [SMALL_STATE(8943)] = 465985,
  [SMALL_STATE(8944)] = 466056,
  [SMALL_STATE(8945)] = 466099,
  [SMALL_STATE(8946)] = 466176,
  [SMALL_STATE(8947)] = 466229,
  [SMALL_STATE(8948)] = 466306,
  [SMALL_STATE(8949)] = 466383,
  [SMALL_STATE(8950)] = 466460,
  [SMALL_STATE(8951)] = 466537,
  [SMALL_STATE(8952)] = 466614,
  [SMALL_STATE(8953)] = 466691,
  [SMALL_STATE(8954)] = 466768,
  [SMALL_STATE(8955)] = 466815,
  [SMALL_STATE(8956)] = 466892,
  [SMALL_STATE(8957)] = 466937,
  [SMALL_STATE(8958)] = 466980,
  [SMALL_STATE(8959)] = 467033,
  [SMALL_STATE(8960)] = 467110,
  [SMALL_STATE(8961)] = 467187,
  [SMALL_STATE(8962)] = 467232,
  [SMALL_STATE(8963)] = 467309,
  [SMALL_STATE(8964)] = 467386,
  [SMALL_STATE(8965)] = 467463,
  [SMALL_STATE(8966)] = 467540,
  [SMALL_STATE(8967)] = 467617,
  [SMALL_STATE(8968)] = 467662,
  [SMALL_STATE(8969)] = 467739,
  [SMALL_STATE(8970)] = 467816,
  [SMALL_STATE(8971)] = 467893,
  [SMALL_STATE(8972)] = 467964,
  [SMALL_STATE(8973)] = 468041,
  [SMALL_STATE(8974)] = 468112,
  [SMALL_STATE(8975)] = 468189,
  [SMALL_STATE(8976)] = 468266,
  [SMALL_STATE(8977)] = 468309,
  [SMALL_STATE(8978)] = 468386,
  [SMALL_STATE(8979)] = 468463,
  [SMALL_STATE(8980)] = 468540,
  [SMALL_STATE(8981)] = 468593,
  [SMALL_STATE(8982)] = 468664,
  [SMALL_STATE(8983)] = 468741,
  [SMALL_STATE(8984)] = 468784,
  [SMALL_STATE(8985)] = 468861,
  [SMALL_STATE(8986)] = 468938,
  [SMALL_STATE(8987)] = 469009,
  [SMALL_STATE(8988)] = 469068,
  [SMALL_STATE(8989)] = 469145,
  [SMALL_STATE(8990)] = 469216,
  [SMALL_STATE(8991)] = 469259,
  [SMALL_STATE(8992)] = 469336,
  [SMALL_STATE(8993)] = 469395,
  [SMALL_STATE(8994)] = 469472,
  [SMALL_STATE(8995)] = 469549,
  [SMALL_STATE(8996)] = 469626,
  [SMALL_STATE(8997)] = 469671,
  [SMALL_STATE(8998)] = 469748,
  [SMALL_STATE(8999)] = 469825,
  [SMALL_STATE(9000)] = 469897,
  [SMALL_STATE(9001)] = 469969,
  [SMALL_STATE(9002)] = 470041,
  [SMALL_STATE(9003)] = 470113,
  [SMALL_STATE(9004)] = 470155,
  [SMALL_STATE(9005)] = 470227,
  [SMALL_STATE(9006)] = 470299,
  [SMALL_STATE(9007)] = 470371,
  [SMALL_STATE(9008)] = 470443,
  [SMALL_STATE(9009)] = 470485,
  [SMALL_STATE(9010)] = 470557,
  [SMALL_STATE(9011)] = 470629,
  [SMALL_STATE(9012)] = 470701,
  [SMALL_STATE(9013)] = 470773,
  [SMALL_STATE(9014)] = 470845,
  [SMALL_STATE(9015)] = 470917,
  [SMALL_STATE(9016)] = 470989,
  [SMALL_STATE(9017)] = 471031,
  [SMALL_STATE(9018)] = 471103,
  [SMALL_STATE(9019)] = 471175,
  [SMALL_STATE(9020)] = 471247,
  [SMALL_STATE(9021)] = 471319,
  [SMALL_STATE(9022)] = 471391,
  [SMALL_STATE(9023)] = 471433,
  [SMALL_STATE(9024)] = 471475,
  [SMALL_STATE(9025)] = 471547,
  [SMALL_STATE(9026)] = 471619,
  [SMALL_STATE(9027)] = 471661,
  [SMALL_STATE(9028)] = 471733,
  [SMALL_STATE(9029)] = 471775,
  [SMALL_STATE(9030)] = 471817,
  [SMALL_STATE(9031)] = 471859,
  [SMALL_STATE(9032)] = 471931,
  [SMALL_STATE(9033)] = 472003,
  [SMALL_STATE(9034)] = 472075,
  [SMALL_STATE(9035)] = 472147,
  [SMALL_STATE(9036)] = 472205,
  [SMALL_STATE(9037)] = 472263,
  [SMALL_STATE(9038)] = 472315,
  [SMALL_STATE(9039)] = 472373,
  [SMALL_STATE(9040)] = 472445,
  [SMALL_STATE(9041)] = 472503,
  [SMALL_STATE(9042)] = 472561,
  [SMALL_STATE(9043)] = 472603,
  [SMALL_STATE(9044)] = 472675,
  [SMALL_STATE(9045)] = 472747,
  [SMALL_STATE(9046)] = 472799,
  [SMALL_STATE(9047)] = 472841,
  [SMALL_STATE(9048)] = 472883,
  [SMALL_STATE(9049)] = 472941,
  [SMALL_STATE(9050)] = 473013,
  [SMALL_STATE(9051)] = 473085,
  [SMALL_STATE(9052)] = 473157,
  [SMALL_STATE(9053)] = 473199,
  [SMALL_STATE(9054)] = 473241,
  [SMALL_STATE(9055)] = 473313,
  [SMALL_STATE(9056)] = 473355,
  [SMALL_STATE(9057)] = 473397,
  [SMALL_STATE(9058)] = 473441,
  [SMALL_STATE(9059)] = 473513,
  [SMALL_STATE(9060)] = 473555,
  [SMALL_STATE(9061)] = 473597,
  [SMALL_STATE(9062)] = 473639,
  [SMALL_STATE(9063)] = 473681,
  [SMALL_STATE(9064)] = 473723,
  [SMALL_STATE(9065)] = 473765,
  [SMALL_STATE(9066)] = 473809,
  [SMALL_STATE(9067)] = 473881,
  [SMALL_STATE(9068)] = 473953,
  [SMALL_STATE(9069)] = 473995,
  [SMALL_STATE(9070)] = 474037,
  [SMALL_STATE(9071)] = 474109,
  [SMALL_STATE(9072)] = 474181,
  [SMALL_STATE(9073)] = 474223,
  [SMALL_STATE(9074)] = 474295,
  [SMALL_STATE(9075)] = 474367,
  [SMALL_STATE(9076)] = 474439,
  [SMALL_STATE(9077)] = 474511,
  [SMALL_STATE(9078)] = 474583,
  [SMALL_STATE(9079)] = 474655,
  [SMALL_STATE(9080)] = 474701,
  [SMALL_STATE(9081)] = 474773,
  [SMALL_STATE(9082)] = 474845,
  [SMALL_STATE(9083)] = 474887,
  [SMALL_STATE(9084)] = 474945,
  [SMALL_STATE(9085)] = 475003,
  [SMALL_STATE(9086)] = 475075,
  [SMALL_STATE(9087)] = 475147,
  [SMALL_STATE(9088)] = 475205,
  [SMALL_STATE(9089)] = 475263,
  [SMALL_STATE(9090)] = 475321,
  [SMALL_STATE(9091)] = 475363,
  [SMALL_STATE(9092)] = 475421,
  [SMALL_STATE(9093)] = 475493,
  [SMALL_STATE(9094)] = 475565,
  [SMALL_STATE(9095)] = 475637,
  [SMALL_STATE(9096)] = 475679,
  [SMALL_STATE(9097)] = 475751,
  [SMALL_STATE(9098)] = 475823,
  [SMALL_STATE(9099)] = 475865,
  [SMALL_STATE(9100)] = 475937,
  [SMALL_STATE(9101)] = 476009,
  [SMALL_STATE(9102)] = 476081,
  [SMALL_STATE(9103)] = 476153,
  [SMALL_STATE(9104)] = 476195,
  [SMALL_STATE(9105)] = 476267,
  [SMALL_STATE(9106)] = 476315,
  [SMALL_STATE(9107)] = 476357,
  [SMALL_STATE(9108)] = 476399,
  [SMALL_STATE(9109)] = 476441,
  [SMALL_STATE(9110)] = 476483,
  [SMALL_STATE(9111)] = 476525,
  [SMALL_STATE(9112)] = 476567,
  [SMALL_STATE(9113)] = 476639,
  [SMALL_STATE(9114)] = 476711,
  [SMALL_STATE(9115)] = 476783,
  [SMALL_STATE(9116)] = 476825,
  [SMALL_STATE(9117)] = 476873,
  [SMALL_STATE(9118)] = 476925,
  [SMALL_STATE(9119)] = 476967,
  [SMALL_STATE(9120)] = 477019,
  [SMALL_STATE(9121)] = 477061,
  [SMALL_STATE(9122)] = 477103,
  [SMALL_STATE(9123)] = 477175,
  [SMALL_STATE(9124)] = 477217,
  [SMALL_STATE(9125)] = 477259,
  [SMALL_STATE(9126)] = 477301,
  [SMALL_STATE(9127)] = 477343,
  [SMALL_STATE(9128)] = 477385,
  [SMALL_STATE(9129)] = 477427,
  [SMALL_STATE(9130)] = 477469,
  [SMALL_STATE(9131)] = 477511,
  [SMALL_STATE(9132)] = 477583,
  [SMALL_STATE(9133)] = 477625,
  [SMALL_STATE(9134)] = 477677,
  [SMALL_STATE(9135)] = 477719,
  [SMALL_STATE(9136)] = 477761,
  [SMALL_STATE(9137)] = 477803,
  [SMALL_STATE(9138)] = 477845,
  [SMALL_STATE(9139)] = 477887,
  [SMALL_STATE(9140)] = 477929,
  [SMALL_STATE(9141)] = 477971,
  [SMALL_STATE(9142)] = 478013,
  [SMALL_STATE(9143)] = 478055,
  [SMALL_STATE(9144)] = 478097,
  [SMALL_STATE(9145)] = 478139,
  [SMALL_STATE(9146)] = 478211,
  [SMALL_STATE(9147)] = 478283,
  [SMALL_STATE(9148)] = 478355,
  [SMALL_STATE(9149)] = 478427,
  [SMALL_STATE(9150)] = 478469,
  [SMALL_STATE(9151)] = 478541,
  [SMALL_STATE(9152)] = 478613,
  [SMALL_STATE(9153)] = 478685,
  [SMALL_STATE(9154)] = 478727,
  [SMALL_STATE(9155)] = 478769,
  [SMALL_STATE(9156)] = 478811,
  [SMALL_STATE(9157)] = 478883,
  [SMALL_STATE(9158)] = 478955,
  [SMALL_STATE(9159)] = 478997,
  [SMALL_STATE(9160)] = 479069,
  [SMALL_STATE(9161)] = 479121,
  [SMALL_STATE(9162)] = 479163,
  [SMALL_STATE(9163)] = 479205,
  [SMALL_STATE(9164)] = 479277,
  [SMALL_STATE(9165)] = 479319,
  [SMALL_STATE(9166)] = 479361,
  [SMALL_STATE(9167)] = 479433,
  [SMALL_STATE(9168)] = 479475,
  [SMALL_STATE(9169)] = 479517,
  [SMALL_STATE(9170)] = 479559,
  [SMALL_STATE(9171)] = 479601,
  [SMALL_STATE(9172)] = 479643,
  [SMALL_STATE(9173)] = 479685,
  [SMALL_STATE(9174)] = 479727,
  [SMALL_STATE(9175)] = 479799,
  [SMALL_STATE(9176)] = 479841,
  [SMALL_STATE(9177)] = 479883,
  [SMALL_STATE(9178)] = 479955,
  [SMALL_STATE(9179)] = 480027,
  [SMALL_STATE(9180)] = 480069,
  [SMALL_STATE(9181)] = 480141,
  [SMALL_STATE(9182)] = 480213,
  [SMALL_STATE(9183)] = 480285,
  [SMALL_STATE(9184)] = 480357,
  [SMALL_STATE(9185)] = 480429,
  [SMALL_STATE(9186)] = 480471,
  [SMALL_STATE(9187)] = 480513,
  [SMALL_STATE(9188)] = 480555,
  [SMALL_STATE(9189)] = 480597,
  [SMALL_STATE(9190)] = 480639,
  [SMALL_STATE(9191)] = 480681,
  [SMALL_STATE(9192)] = 480723,
  [SMALL_STATE(9193)] = 480765,
  [SMALL_STATE(9194)] = 480837,
  [SMALL_STATE(9195)] = 480879,
  [SMALL_STATE(9196)] = 480921,
  [SMALL_STATE(9197)] = 480993,
  [SMALL_STATE(9198)] = 481065,
  [SMALL_STATE(9199)] = 481137,
  [SMALL_STATE(9200)] = 481209,
  [SMALL_STATE(9201)] = 481281,
  [SMALL_STATE(9202)] = 481323,
  [SMALL_STATE(9203)] = 481365,
  [SMALL_STATE(9204)] = 481407,
  [SMALL_STATE(9205)] = 481449,
  [SMALL_STATE(9206)] = 481521,
  [SMALL_STATE(9207)] = 481589,
  [SMALL_STATE(9208)] = 481631,
  [SMALL_STATE(9209)] = 481673,
  [SMALL_STATE(9210)] = 481715,
  [SMALL_STATE(9211)] = 481757,
  [SMALL_STATE(9212)] = 481829,
  [SMALL_STATE(9213)] = 481901,
  [SMALL_STATE(9214)] = 481973,
  [SMALL_STATE(9215)] = 482045,
  [SMALL_STATE(9216)] = 482117,
  [SMALL_STATE(9217)] = 482159,
  [SMALL_STATE(9218)] = 482201,
  [SMALL_STATE(9219)] = 482243,
  [SMALL_STATE(9220)] = 482285,
  [SMALL_STATE(9221)] = 482327,
  [SMALL_STATE(9222)] = 482399,
  [SMALL_STATE(9223)] = 482441,
  [SMALL_STATE(9224)] = 482513,
  [SMALL_STATE(9225)] = 482555,
  [SMALL_STATE(9226)] = 482597,
  [SMALL_STATE(9227)] = 482639,
  [SMALL_STATE(9228)] = 482681,
  [SMALL_STATE(9229)] = 482723,
  [SMALL_STATE(9230)] = 482765,
  [SMALL_STATE(9231)] = 482807,
  [SMALL_STATE(9232)] = 482849,
  [SMALL_STATE(9233)] = 482891,
  [SMALL_STATE(9234)] = 482933,
  [SMALL_STATE(9235)] = 482975,
  [SMALL_STATE(9236)] = 483047,
  [SMALL_STATE(9237)] = 483089,
  [SMALL_STATE(9238)] = 483161,
  [SMALL_STATE(9239)] = 483233,
  [SMALL_STATE(9240)] = 483305,
  [SMALL_STATE(9241)] = 483377,
  [SMALL_STATE(9242)] = 483449,
  [SMALL_STATE(9243)] = 483521,
  [SMALL_STATE(9244)] = 483593,
  [SMALL_STATE(9245)] = 483635,
  [SMALL_STATE(9246)] = 483707,
  [SMALL_STATE(9247)] = 483779,
  [SMALL_STATE(9248)] = 483851,
  [SMALL_STATE(9249)] = 483923,
  [SMALL_STATE(9250)] = 483965,
  [SMALL_STATE(9251)] = 484037,
  [SMALL_STATE(9252)] = 484089,
  [SMALL_STATE(9253)] = 484131,
  [SMALL_STATE(9254)] = 484203,
  [SMALL_STATE(9255)] = 484245,
  [SMALL_STATE(9256)] = 484287,
  [SMALL_STATE(9257)] = 484359,
  [SMALL_STATE(9258)] = 484431,
  [SMALL_STATE(9259)] = 484503,
  [SMALL_STATE(9260)] = 484575,
  [SMALL_STATE(9261)] = 484617,
  [SMALL_STATE(9262)] = 484689,
  [SMALL_STATE(9263)] = 484761,
  [SMALL_STATE(9264)] = 484803,
  [SMALL_STATE(9265)] = 484871,
  [SMALL_STATE(9266)] = 484943,
  [SMALL_STATE(9267)] = 484985,
  [SMALL_STATE(9268)] = 485057,
  [SMALL_STATE(9269)] = 485099,
  [SMALL_STATE(9270)] = 485143,
  [SMALL_STATE(9271)] = 485185,
  [SMALL_STATE(9272)] = 485237,
  [SMALL_STATE(9273)] = 485309,
  [SMALL_STATE(9274)] = 485381,
  [SMALL_STATE(9275)] = 485423,
  [SMALL_STATE(9276)] = 485495,
  [SMALL_STATE(9277)] = 485567,
  [SMALL_STATE(9278)] = 485639,
  [SMALL_STATE(9279)] = 485681,
  [SMALL_STATE(9280)] = 485723,
  [SMALL_STATE(9281)] = 485765,
  [SMALL_STATE(9282)] = 485837,
  [SMALL_STATE(9283)] = 485909,
  [SMALL_STATE(9284)] = 485981,
  [SMALL_STATE(9285)] = 486053,
  [SMALL_STATE(9286)] = 486095,
  [SMALL_STATE(9287)] = 486137,
  [SMALL_STATE(9288)] = 486179,
  [SMALL_STATE(9289)] = 486221,
  [SMALL_STATE(9290)] = 486263,
  [SMALL_STATE(9291)] = 486305,
  [SMALL_STATE(9292)] = 486347,
  [SMALL_STATE(9293)] = 486389,
  [SMALL_STATE(9294)] = 486431,
  [SMALL_STATE(9295)] = 486503,
  [SMALL_STATE(9296)] = 486575,
  [SMALL_STATE(9297)] = 486647,
  [SMALL_STATE(9298)] = 486719,
  [SMALL_STATE(9299)] = 486791,
  [SMALL_STATE(9300)] = 486863,
  [SMALL_STATE(9301)] = 486935,
  [SMALL_STATE(9302)] = 487007,
  [SMALL_STATE(9303)] = 487079,
  [SMALL_STATE(9304)] = 487151,
  [SMALL_STATE(9305)] = 487223,
  [SMALL_STATE(9306)] = 487295,
  [SMALL_STATE(9307)] = 487363,
  [SMALL_STATE(9308)] = 487405,
  [SMALL_STATE(9309)] = 487477,
  [SMALL_STATE(9310)] = 487519,
  [SMALL_STATE(9311)] = 487591,
  [SMALL_STATE(9312)] = 487633,
  [SMALL_STATE(9313)] = 487705,
  [SMALL_STATE(9314)] = 487753,
  [SMALL_STATE(9315)] = 487801,
  [SMALL_STATE(9316)] = 487849,
  [SMALL_STATE(9317)] = 487897,
  [SMALL_STATE(9318)] = 487939,
  [SMALL_STATE(9319)] = 487980,
  [SMALL_STATE(9320)] = 488021,
  [SMALL_STATE(9321)] = 488090,
  [SMALL_STATE(9322)] = 488131,
  [SMALL_STATE(9323)] = 488172,
  [SMALL_STATE(9324)] = 488229,
  [SMALL_STATE(9325)] = 488286,
  [SMALL_STATE(9326)] = 488327,
  [SMALL_STATE(9327)] = 488384,
  [SMALL_STATE(9328)] = 488425,
  [SMALL_STATE(9329)] = 488482,
  [SMALL_STATE(9330)] = 488523,
  [SMALL_STATE(9331)] = 488580,
  [SMALL_STATE(9332)] = 488637,
  [SMALL_STATE(9333)] = 488694,
  [SMALL_STATE(9334)] = 488735,
  [SMALL_STATE(9335)] = 488792,
  [SMALL_STATE(9336)] = 488833,
  [SMALL_STATE(9337)] = 488884,
  [SMALL_STATE(9338)] = 488925,
  [SMALL_STATE(9339)] = 488986,
  [SMALL_STATE(9340)] = 489027,
  [SMALL_STATE(9341)] = 489068,
  [SMALL_STATE(9342)] = 489137,
  [SMALL_STATE(9343)] = 489194,
  [SMALL_STATE(9344)] = 489251,
  [SMALL_STATE(9345)] = 489292,
  [SMALL_STATE(9346)] = 489361,
  [SMALL_STATE(9347)] = 489402,
  [SMALL_STATE(9348)] = 489443,
  [SMALL_STATE(9349)] = 489486,
  [SMALL_STATE(9350)] = 489527,
  [SMALL_STATE(9351)] = 489568,
  [SMALL_STATE(9352)] = 489609,
  [SMALL_STATE(9353)] = 489650,
  [SMALL_STATE(9354)] = 489691,
  [SMALL_STATE(9355)] = 489748,
  [SMALL_STATE(9356)] = 489789,
  [SMALL_STATE(9357)] = 489832,
  [SMALL_STATE(9358)] = 489883,
  [SMALL_STATE(9359)] = 489924,
  [SMALL_STATE(9360)] = 489993,
  [SMALL_STATE(9361)] = 490034,
  [SMALL_STATE(9362)] = 490075,
  [SMALL_STATE(9363)] = 490144,
  [SMALL_STATE(9364)] = 490213,
  [SMALL_STATE(9365)] = 490254,
  [SMALL_STATE(9366)] = 490295,
  [SMALL_STATE(9367)] = 490336,
  [SMALL_STATE(9368)] = 490377,
  [SMALL_STATE(9369)] = 490446,
  [SMALL_STATE(9370)] = 490487,
  [SMALL_STATE(9371)] = 490528,
  [SMALL_STATE(9372)] = 490597,
  [SMALL_STATE(9373)] = 490638,
  [SMALL_STATE(9374)] = 490701,
  [SMALL_STATE(9375)] = 490760,
  [SMALL_STATE(9376)] = 490811,
  [SMALL_STATE(9377)] = 490854,
  [SMALL_STATE(9378)] = 490899,
  [SMALL_STATE(9379)] = 490944,
  [SMALL_STATE(9380)] = 490997,
  [SMALL_STATE(9381)] = 491050,
  [SMALL_STATE(9382)] = 491107,
  [SMALL_STATE(9383)] = 491166,
  [SMALL_STATE(9384)] = 491229,
  [SMALL_STATE(9385)] = 491276,
  [SMALL_STATE(9386)] = 491339,
  [SMALL_STATE(9387)] = 491384,
  [SMALL_STATE(9388)] = 491441,
  [SMALL_STATE(9389)] = 491504,
  [SMALL_STATE(9390)] = 491547,
  [SMALL_STATE(9391)] = 491602,
  [SMALL_STATE(9392)] = 491643,
  [SMALL_STATE(9393)] = 491684,
  [SMALL_STATE(9394)] = 491729,
  [SMALL_STATE(9395)] = 491770,
  [SMALL_STATE(9396)] = 491831,
  [SMALL_STATE(9397)] = 491872,
  [SMALL_STATE(9398)] = 491915,
  [SMALL_STATE(9399)] = 491960,
  [SMALL_STATE(9400)] = 492001,
  [SMALL_STATE(9401)] = 492042,
  [SMALL_STATE(9402)] = 492083,
  [SMALL_STATE(9403)] = 492124,
  [SMALL_STATE(9404)] = 492165,
  [SMALL_STATE(9405)] = 492206,
  [SMALL_STATE(9406)] = 492247,
  [SMALL_STATE(9407)] = 492288,
  [SMALL_STATE(9408)] = 492329,
  [SMALL_STATE(9409)] = 492372,
  [SMALL_STATE(9410)] = 492413,
  [SMALL_STATE(9411)] = 492454,
  [SMALL_STATE(9412)] = 492495,
  [SMALL_STATE(9413)] = 492536,
  [SMALL_STATE(9414)] = 492577,
  [SMALL_STATE(9415)] = 492618,
  [SMALL_STATE(9416)] = 492659,
  [SMALL_STATE(9417)] = 492700,
  [SMALL_STATE(9418)] = 492741,
  [SMALL_STATE(9419)] = 492782,
  [SMALL_STATE(9420)] = 492823,
  [SMALL_STATE(9421)] = 492878,
  [SMALL_STATE(9422)] = 492919,
  [SMALL_STATE(9423)] = 492980,
  [SMALL_STATE(9424)] = 493049,
  [SMALL_STATE(9425)] = 493090,
  [SMALL_STATE(9426)] = 493131,
  [SMALL_STATE(9427)] = 493188,
  [SMALL_STATE(9428)] = 493229,
  [SMALL_STATE(9429)] = 493270,
  [SMALL_STATE(9430)] = 493311,
  [SMALL_STATE(9431)] = 493352,
  [SMALL_STATE(9432)] = 493393,
  [SMALL_STATE(9433)] = 493450,
  [SMALL_STATE(9434)] = 493491,
  [SMALL_STATE(9435)] = 493532,
  [SMALL_STATE(9436)] = 493575,
  [SMALL_STATE(9437)] = 493616,
  [SMALL_STATE(9438)] = 493657,
  [SMALL_STATE(9439)] = 493698,
  [SMALL_STATE(9440)] = 493739,
  [SMALL_STATE(9441)] = 493796,
  [SMALL_STATE(9442)] = 493867,
  [SMALL_STATE(9443)] = 493908,
  [SMALL_STATE(9444)] = 493949,
  [SMALL_STATE(9445)] = 493990,
  [SMALL_STATE(9446)] = 494031,
  [SMALL_STATE(9447)] = 494072,
  [SMALL_STATE(9448)] = 494113,
  [SMALL_STATE(9449)] = 494170,
  [SMALL_STATE(9450)] = 494211,
  [SMALL_STATE(9451)] = 494252,
  [SMALL_STATE(9452)] = 494293,
  [SMALL_STATE(9453)] = 494334,
  [SMALL_STATE(9454)] = 494375,
  [SMALL_STATE(9455)] = 494416,
  [SMALL_STATE(9456)] = 494457,
  [SMALL_STATE(9457)] = 494522,
  [SMALL_STATE(9458)] = 494579,
  [SMALL_STATE(9459)] = 494620,
  [SMALL_STATE(9460)] = 494665,
  [SMALL_STATE(9461)] = 494710,
  [SMALL_STATE(9462)] = 494755,
  [SMALL_STATE(9463)] = 494800,
  [SMALL_STATE(9464)] = 494845,
  [SMALL_STATE(9465)] = 494888,
  [SMALL_STATE(9466)] = 494933,
  [SMALL_STATE(9467)] = 494974,
  [SMALL_STATE(9468)] = 495015,
  [SMALL_STATE(9469)] = 495056,
  [SMALL_STATE(9470)] = 495097,
  [SMALL_STATE(9471)] = 495140,
  [SMALL_STATE(9472)] = 495181,
  [SMALL_STATE(9473)] = 495222,
  [SMALL_STATE(9474)] = 495263,
  [SMALL_STATE(9475)] = 495304,
  [SMALL_STATE(9476)] = 495365,
  [SMALL_STATE(9477)] = 495406,
  [SMALL_STATE(9478)] = 495447,
  [SMALL_STATE(9479)] = 495488,
  [SMALL_STATE(9480)] = 495529,
  [SMALL_STATE(9481)] = 495570,
  [SMALL_STATE(9482)] = 495611,
  [SMALL_STATE(9483)] = 495652,
  [SMALL_STATE(9484)] = 495693,
  [SMALL_STATE(9485)] = 495734,
  [SMALL_STATE(9486)] = 495775,
  [SMALL_STATE(9487)] = 495832,
  [SMALL_STATE(9488)] = 495873,
  [SMALL_STATE(9489)] = 495914,
  [SMALL_STATE(9490)] = 495955,
  [SMALL_STATE(9491)] = 496006,
  [SMALL_STATE(9492)] = 496047,
  [SMALL_STATE(9493)] = 496088,
  [SMALL_STATE(9494)] = 496129,
  [SMALL_STATE(9495)] = 496198,
  [SMALL_STATE(9496)] = 496257,
  [SMALL_STATE(9497)] = 496316,
  [SMALL_STATE(9498)] = 496375,
  [SMALL_STATE(9499)] = 496434,
  [SMALL_STATE(9500)] = 496475,
  [SMALL_STATE(9501)] = 496529,
  [SMALL_STATE(9502)] = 496585,
  [SMALL_STATE(9503)] = 496637,
  [SMALL_STATE(9504)] = 496677,
  [SMALL_STATE(9505)] = 496717,
  [SMALL_STATE(9506)] = 496757,
  [SMALL_STATE(9507)] = 496797,
  [SMALL_STATE(9508)] = 496837,
  [SMALL_STATE(9509)] = 496877,
  [SMALL_STATE(9510)] = 496945,
  [SMALL_STATE(9511)] = 497013,
  [SMALL_STATE(9512)] = 497053,
  [SMALL_STATE(9513)] = 497121,
  [SMALL_STATE(9514)] = 497171,
  [SMALL_STATE(9515)] = 497211,
  [SMALL_STATE(9516)] = 497269,
  [SMALL_STATE(9517)] = 497319,
  [SMALL_STATE(9518)] = 497363,
  [SMALL_STATE(9519)] = 497407,
  [SMALL_STATE(9520)] = 497459,
  [SMALL_STATE(9521)] = 497511,
  [SMALL_STATE(9522)] = 497567,
  [SMALL_STATE(9523)] = 497635,
  [SMALL_STATE(9524)] = 497693,
  [SMALL_STATE(9525)] = 497755,
  [SMALL_STATE(9526)] = 497801,
  [SMALL_STATE(9527)] = 497863,
  [SMALL_STATE(9528)] = 497907,
  [SMALL_STATE(9529)] = 497969,
  [SMALL_STATE(9530)] = 498025,
  [SMALL_STATE(9531)] = 498083,
  [SMALL_STATE(9532)] = 498145,
  [SMALL_STATE(9533)] = 498187,
  [SMALL_STATE(9534)] = 498241,
  [SMALL_STATE(9535)] = 498287,
  [SMALL_STATE(9536)] = 498355,
  [SMALL_STATE(9537)] = 498417,
  [SMALL_STATE(9538)] = 498485,
  [SMALL_STATE(9539)] = 498527,
  [SMALL_STATE(9540)] = 498567,
  [SMALL_STATE(9541)] = 498629,
  [SMALL_STATE(9542)] = 498669,
  [SMALL_STATE(9543)] = 498709,
  [SMALL_STATE(9544)] = 498759,
  [SMALL_STATE(9545)] = 498799,
  [SMALL_STATE(9546)] = 498839,
  [SMALL_STATE(9547)] = 498879,
  [SMALL_STATE(9548)] = 498947,
  [SMALL_STATE(9549)] = 499015,
  [SMALL_STATE(9550)] = 499071,
  [SMALL_STATE(9551)] = 499111,
  [SMALL_STATE(9552)] = 499151,
  [SMALL_STATE(9553)] = 499191,
  [SMALL_STATE(9554)] = 499259,
  [SMALL_STATE(9555)] = 499327,
  [SMALL_STATE(9556)] = 499367,
  [SMALL_STATE(9557)] = 499435,
  [SMALL_STATE(9558)] = 499503,
  [SMALL_STATE(9559)] = 499571,
  [SMALL_STATE(9560)] = 499617,
  [SMALL_STATE(9561)] = 499663,
  [SMALL_STATE(9562)] = 499731,
  [SMALL_STATE(9563)] = 499777,
  [SMALL_STATE(9564)] = 499819,
  [SMALL_STATE(9565)] = 499863,
  [SMALL_STATE(9566)] = 499903,
  [SMALL_STATE(9567)] = 499971,
  [SMALL_STATE(9568)] = 500011,
  [SMALL_STATE(9569)] = 500067,
  [SMALL_STATE(9570)] = 500123,
  [SMALL_STATE(9571)] = 500163,
  [SMALL_STATE(9572)] = 500203,
  [SMALL_STATE(9573)] = 500243,
  [SMALL_STATE(9574)] = 500283,
  [SMALL_STATE(9575)] = 500351,
  [SMALL_STATE(9576)] = 500419,
  [SMALL_STATE(9577)] = 500487,
  [SMALL_STATE(9578)] = 500555,
  [SMALL_STATE(9579)] = 500623,
  [SMALL_STATE(9580)] = 500679,
  [SMALL_STATE(9581)] = 500747,
  [SMALL_STATE(9582)] = 500787,
  [SMALL_STATE(9583)] = 500827,
  [SMALL_STATE(9584)] = 500867,
  [SMALL_STATE(9585)] = 500935,
  [SMALL_STATE(9586)] = 500975,
  [SMALL_STATE(9587)] = 501043,
  [SMALL_STATE(9588)] = 501111,
  [SMALL_STATE(9589)] = 501179,
  [SMALL_STATE(9590)] = 501247,
  [SMALL_STATE(9591)] = 501287,
  [SMALL_STATE(9592)] = 501355,
  [SMALL_STATE(9593)] = 501395,
  [SMALL_STATE(9594)] = 501435,
  [SMALL_STATE(9595)] = 501475,
  [SMALL_STATE(9596)] = 501543,
  [SMALL_STATE(9597)] = 501583,
  [SMALL_STATE(9598)] = 501639,
  [SMALL_STATE(9599)] = 501695,
  [SMALL_STATE(9600)] = 501763,
  [SMALL_STATE(9601)] = 501807,
  [SMALL_STATE(9602)] = 501851,
  [SMALL_STATE(9603)] = 501895,
  [SMALL_STATE(9604)] = 501939,
  [SMALL_STATE(9605)] = 501981,
  [SMALL_STATE(9606)] = 502049,
  [SMALL_STATE(9607)] = 502089,
  [SMALL_STATE(9608)] = 502147,
  [SMALL_STATE(9609)] = 502187,
  [SMALL_STATE(9610)] = 502243,
  [SMALL_STATE(9611)] = 502311,
  [SMALL_STATE(9612)] = 502357,
  [SMALL_STATE(9613)] = 502425,
  [SMALL_STATE(9614)] = 502493,
  [SMALL_STATE(9615)] = 502533,
  [SMALL_STATE(9616)] = 502579,
  [SMALL_STATE(9617)] = 502647,
  [SMALL_STATE(9618)] = 502691,
  [SMALL_STATE(9619)] = 502731,
  [SMALL_STATE(9620)] = 502771,
  [SMALL_STATE(9621)] = 502811,
  [SMALL_STATE(9622)] = 502851,
  [SMALL_STATE(9623)] = 502891,
  [SMALL_STATE(9624)] = 502959,
  [SMALL_STATE(9625)] = 502999,
  [SMALL_STATE(9626)] = 503067,
  [SMALL_STATE(9627)] = 503109,
  [SMALL_STATE(9628)] = 503149,
  [SMALL_STATE(9629)] = 503211,
  [SMALL_STATE(9630)] = 503279,
  [SMALL_STATE(9631)] = 503321,
  [SMALL_STATE(9632)] = 503387,
  [SMALL_STATE(9633)] = 503455,
  [SMALL_STATE(9634)] = 503523,
  [SMALL_STATE(9635)] = 503563,
  [SMALL_STATE(9636)] = 503603,
  [SMALL_STATE(9637)] = 503643,
  [SMALL_STATE(9638)] = 503711,
  [SMALL_STATE(9639)] = 503751,
  [SMALL_STATE(9640)] = 503809,
  [SMALL_STATE(9641)] = 503877,
  [SMALL_STATE(9642)] = 503945,
  [SMALL_STATE(9643)] = 504013,
  [SMALL_STATE(9644)] = 504081,
  [SMALL_STATE(9645)] = 504127,
  [SMALL_STATE(9646)] = 504195,
  [SMALL_STATE(9647)] = 504263,
  [SMALL_STATE(9648)] = 504327,
  [SMALL_STATE(9649)] = 504367,
  [SMALL_STATE(9650)] = 504435,
  [SMALL_STATE(9651)] = 504503,
  [SMALL_STATE(9652)] = 504571,
  [SMALL_STATE(9653)] = 504639,
  [SMALL_STATE(9654)] = 504685,
  [SMALL_STATE(9655)] = 504731,
  [SMALL_STATE(9656)] = 504799,
  [SMALL_STATE(9657)] = 504867,
  [SMALL_STATE(9658)] = 504935,
  [SMALL_STATE(9659)] = 504975,
  [SMALL_STATE(9660)] = 505043,
  [SMALL_STATE(9661)] = 505111,
  [SMALL_STATE(9662)] = 505179,
  [SMALL_STATE(9663)] = 505219,
  [SMALL_STATE(9664)] = 505287,
  [SMALL_STATE(9665)] = 505355,
  [SMALL_STATE(9666)] = 505423,
  [SMALL_STATE(9667)] = 505491,
  [SMALL_STATE(9668)] = 505531,
  [SMALL_STATE(9669)] = 505599,
  [SMALL_STATE(9670)] = 505667,
  [SMALL_STATE(9671)] = 505735,
  [SMALL_STATE(9672)] = 505775,
  [SMALL_STATE(9673)] = 505815,
  [SMALL_STATE(9674)] = 505855,
  [SMALL_STATE(9675)] = 505895,
  [SMALL_STATE(9676)] = 505935,
  [SMALL_STATE(9677)] = 505975,
  [SMALL_STATE(9678)] = 506015,
  [SMALL_STATE(9679)] = 506055,
  [SMALL_STATE(9680)] = 506095,
  [SMALL_STATE(9681)] = 506135,
  [SMALL_STATE(9682)] = 506175,
  [SMALL_STATE(9683)] = 506243,
  [SMALL_STATE(9684)] = 506283,
  [SMALL_STATE(9685)] = 506323,
  [SMALL_STATE(9686)] = 506363,
  [SMALL_STATE(9687)] = 506403,
  [SMALL_STATE(9688)] = 506443,
  [SMALL_STATE(9689)] = 506483,
  [SMALL_STATE(9690)] = 506525,
  [SMALL_STATE(9691)] = 506565,
  [SMALL_STATE(9692)] = 506605,
  [SMALL_STATE(9693)] = 506645,
  [SMALL_STATE(9694)] = 506685,
  [SMALL_STATE(9695)] = 506725,
  [SMALL_STATE(9696)] = 506765,
  [SMALL_STATE(9697)] = 506821,
  [SMALL_STATE(9698)] = 506861,
  [SMALL_STATE(9699)] = 506901,
  [SMALL_STATE(9700)] = 506941,
  [SMALL_STATE(9701)] = 506981,
  [SMALL_STATE(9702)] = 507021,
  [SMALL_STATE(9703)] = 507061,
  [SMALL_STATE(9704)] = 507101,
  [SMALL_STATE(9705)] = 507141,
  [SMALL_STATE(9706)] = 507209,
  [SMALL_STATE(9707)] = 507249,
  [SMALL_STATE(9708)] = 507289,
  [SMALL_STATE(9709)] = 507329,
  [SMALL_STATE(9710)] = 507369,
  [SMALL_STATE(9711)] = 507409,
  [SMALL_STATE(9712)] = 507449,
  [SMALL_STATE(9713)] = 507489,
  [SMALL_STATE(9714)] = 507529,
  [SMALL_STATE(9715)] = 507569,
  [SMALL_STATE(9716)] = 507609,
  [SMALL_STATE(9717)] = 507649,
  [SMALL_STATE(9718)] = 507689,
  [SMALL_STATE(9719)] = 507757,
  [SMALL_STATE(9720)] = 507797,
  [SMALL_STATE(9721)] = 507837,
  [SMALL_STATE(9722)] = 507877,
  [SMALL_STATE(9723)] = 507945,
  [SMALL_STATE(9724)] = 508013,
  [SMALL_STATE(9725)] = 508081,
  [SMALL_STATE(9726)] = 508121,
  [SMALL_STATE(9727)] = 508177,
  [SMALL_STATE(9728)] = 508217,
  [SMALL_STATE(9729)] = 508271,
  [SMALL_STATE(9730)] = 508339,
  [SMALL_STATE(9731)] = 508407,
  [SMALL_STATE(9732)] = 508447,
  [SMALL_STATE(9733)] = 508487,
  [SMALL_STATE(9734)] = 508533,
  [SMALL_STATE(9735)] = 508573,
  [SMALL_STATE(9736)] = 508641,
  [SMALL_STATE(9737)] = 508681,
  [SMALL_STATE(9738)] = 508721,
  [SMALL_STATE(9739)] = 508761,
  [SMALL_STATE(9740)] = 508801,
  [SMALL_STATE(9741)] = 508869,
  [SMALL_STATE(9742)] = 508909,
  [SMALL_STATE(9743)] = 508949,
  [SMALL_STATE(9744)] = 509017,
  [SMALL_STATE(9745)] = 509067,
  [SMALL_STATE(9746)] = 509107,
  [SMALL_STATE(9747)] = 509147,
  [SMALL_STATE(9748)] = 509187,
  [SMALL_STATE(9749)] = 509227,
  [SMALL_STATE(9750)] = 509273,
  [SMALL_STATE(9751)] = 509313,
  [SMALL_STATE(9752)] = 509381,
  [SMALL_STATE(9753)] = 509449,
  [SMALL_STATE(9754)] = 509517,
  [SMALL_STATE(9755)] = 509557,
  [SMALL_STATE(9756)] = 509597,
  [SMALL_STATE(9757)] = 509637,
  [SMALL_STATE(9758)] = 509681,
  [SMALL_STATE(9759)] = 509745,
  [SMALL_STATE(9760)] = 509785,
  [SMALL_STATE(9761)] = 509825,
  [SMALL_STATE(9762)] = 509871,
  [SMALL_STATE(9763)] = 509939,
  [SMALL_STATE(9764)] = 509979,
  [SMALL_STATE(9765)] = 510047,
  [SMALL_STATE(9766)] = 510115,
  [SMALL_STATE(9767)] = 510157,
  [SMALL_STATE(9768)] = 510213,
  [SMALL_STATE(9769)] = 510253,
  [SMALL_STATE(9770)] = 510293,
  [SMALL_STATE(9771)] = 510333,
  [SMALL_STATE(9772)] = 510401,
  [SMALL_STATE(9773)] = 510469,
  [SMALL_STATE(9774)] = 510525,
  [SMALL_STATE(9775)] = 510565,
  [SMALL_STATE(9776)] = 510615,
  [SMALL_STATE(9777)] = 510671,
  [SMALL_STATE(9778)] = 510711,
  [SMALL_STATE(9779)] = 510751,
  [SMALL_STATE(9780)] = 510791,
  [SMALL_STATE(9781)] = 510841,
  [SMALL_STATE(9782)] = 510881,
  [SMALL_STATE(9783)] = 510921,
  [SMALL_STATE(9784)] = 510989,
  [SMALL_STATE(9785)] = 511057,
  [SMALL_STATE(9786)] = 511125,
  [SMALL_STATE(9787)] = 511181,
  [SMALL_STATE(9788)] = 511227,
  [SMALL_STATE(9789)] = 511295,
  [SMALL_STATE(9790)] = 511353,
  [SMALL_STATE(9791)] = 511403,
  [SMALL_STATE(9792)] = 511471,
  [SMALL_STATE(9793)] = 511539,
  [SMALL_STATE(9794)] = 511591,
  [SMALL_STATE(9795)] = 511631,
  [SMALL_STATE(9796)] = 511671,
  [SMALL_STATE(9797)] = 511711,
  [SMALL_STATE(9798)] = 511779,
  [SMALL_STATE(9799)] = 511821,
  [SMALL_STATE(9800)] = 511871,
  [SMALL_STATE(9801)] = 511939,
  [SMALL_STATE(9802)] = 511979,
  [SMALL_STATE(9803)] = 512019,
  [SMALL_STATE(9804)] = 512059,
  [SMALL_STATE(9805)] = 512127,
  [SMALL_STATE(9806)] = 512171,
  [SMALL_STATE(9807)] = 512211,
  [SMALL_STATE(9808)] = 512251,
  [SMALL_STATE(9809)] = 512291,
  [SMALL_STATE(9810)] = 512343,
  [SMALL_STATE(9811)] = 512411,
  [SMALL_STATE(9812)] = 512451,
  [SMALL_STATE(9813)] = 512491,
  [SMALL_STATE(9814)] = 512533,
  [SMALL_STATE(9815)] = 512573,
  [SMALL_STATE(9816)] = 512613,
  [SMALL_STATE(9817)] = 512653,
  [SMALL_STATE(9818)] = 512693,
  [SMALL_STATE(9819)] = 512733,
  [SMALL_STATE(9820)] = 512773,
  [SMALL_STATE(9821)] = 512813,
  [SMALL_STATE(9822)] = 512853,
  [SMALL_STATE(9823)] = 512921,
  [SMALL_STATE(9824)] = 512989,
  [SMALL_STATE(9825)] = 513029,
  [SMALL_STATE(9826)] = 513069,
  [SMALL_STATE(9827)] = 513109,
  [SMALL_STATE(9828)] = 513149,
  [SMALL_STATE(9829)] = 513189,
  [SMALL_STATE(9830)] = 513257,
  [SMALL_STATE(9831)] = 513299,
  [SMALL_STATE(9832)] = 513339,
  [SMALL_STATE(9833)] = 513379,
  [SMALL_STATE(9834)] = 513419,
  [SMALL_STATE(9835)] = 513459,
  [SMALL_STATE(9836)] = 513499,
  [SMALL_STATE(9837)] = 513539,
  [SMALL_STATE(9838)] = 513607,
  [SMALL_STATE(9839)] = 513675,
  [SMALL_STATE(9840)] = 513715,
  [SMALL_STATE(9841)] = 513783,
  [SMALL_STATE(9842)] = 513851,
  [SMALL_STATE(9843)] = 513919,
  [SMALL_STATE(9844)] = 513963,
  [SMALL_STATE(9845)] = 514015,
  [SMALL_STATE(9846)] = 514083,
  [SMALL_STATE(9847)] = 514151,
  [SMALL_STATE(9848)] = 514191,
  [SMALL_STATE(9849)] = 514259,
  [SMALL_STATE(9850)] = 514300,
  [SMALL_STATE(9851)] = 514341,
  [SMALL_STATE(9852)] = 514404,
  [SMALL_STATE(9853)] = 514467,
  [SMALL_STATE(9854)] = 514530,
  [SMALL_STATE(9855)] = 514593,
  [SMALL_STATE(9856)] = 514632,
  [SMALL_STATE(9857)] = 514695,
  [SMALL_STATE(9858)] = 514758,
  [SMALL_STATE(9859)] = 514803,
  [SMALL_STATE(9860)] = 514842,
  [SMALL_STATE(9861)] = 514905,
  [SMALL_STATE(9862)] = 514960,
  [SMALL_STATE(9863)] = 515015,
  [SMALL_STATE(9864)] = 515078,
  [SMALL_STATE(9865)] = 515133,
  [SMALL_STATE(9866)] = 515188,
  [SMALL_STATE(9867)] = 515227,
  [SMALL_STATE(9868)] = 515290,
  [SMALL_STATE(9869)] = 515353,
  [SMALL_STATE(9870)] = 515416,
  [SMALL_STATE(9871)] = 515479,
  [SMALL_STATE(9872)] = 515542,
  [SMALL_STATE(9873)] = 515605,
  [SMALL_STATE(9874)] = 515646,
  [SMALL_STATE(9875)] = 515709,
  [SMALL_STATE(9876)] = 515772,
  [SMALL_STATE(9877)] = 515835,
  [SMALL_STATE(9878)] = 515884,
  [SMALL_STATE(9879)] = 515947,
  [SMALL_STATE(9880)] = 516002,
  [SMALL_STATE(9881)] = 516059,
  [SMALL_STATE(9882)] = 516108,
  [SMALL_STATE(9883)] = 516151,
  [SMALL_STATE(9884)] = 516194,
  [SMALL_STATE(9885)] = 516245,
  [SMALL_STATE(9886)] = 516296,
  [SMALL_STATE(9887)] = 516351,
  [SMALL_STATE(9888)] = 516408,
  [SMALL_STATE(9889)] = 516469,
  [SMALL_STATE(9890)] = 516514,
  [SMALL_STATE(9891)] = 516575,
  [SMALL_STATE(9892)] = 516614,
  [SMALL_STATE(9893)] = 516677,
  [SMALL_STATE(9894)] = 516740,
  [SMALL_STATE(9895)] = 516803,
  [SMALL_STATE(9896)] = 516866,
  [SMALL_STATE(9897)] = 516929,
  [SMALL_STATE(9898)] = 516968,
  [SMALL_STATE(9899)] = 517031,
  [SMALL_STATE(9900)] = 517080,
  [SMALL_STATE(9901)] = 517143,
  [SMALL_STATE(9902)] = 517192,
  [SMALL_STATE(9903)] = 517255,
  [SMALL_STATE(9904)] = 517310,
  [SMALL_STATE(9905)] = 517373,
  [SMALL_STATE(9906)] = 517422,
  [SMALL_STATE(9907)] = 517485,
  [SMALL_STATE(9908)] = 517548,
  [SMALL_STATE(9909)] = 517611,
  [SMALL_STATE(9910)] = 517668,
  [SMALL_STATE(9911)] = 517731,
  [SMALL_STATE(9912)] = 517794,
  [SMALL_STATE(9913)] = 517847,
  [SMALL_STATE(9914)] = 517910,
  [SMALL_STATE(9915)] = 517971,
  [SMALL_STATE(9916)] = 518034,
  [SMALL_STATE(9917)] = 518083,
  [SMALL_STATE(9918)] = 518138,
  [SMALL_STATE(9919)] = 518201,
  [SMALL_STATE(9920)] = 518264,
  [SMALL_STATE(9921)] = 518327,
  [SMALL_STATE(9922)] = 518390,
  [SMALL_STATE(9923)] = 518439,
  [SMALL_STATE(9924)] = 518502,
  [SMALL_STATE(9925)] = 518565,
  [SMALL_STATE(9926)] = 518620,
  [SMALL_STATE(9927)] = 518669,
  [SMALL_STATE(9928)] = 518724,
  [SMALL_STATE(9929)] = 518773,
  [SMALL_STATE(9930)] = 518836,
  [SMALL_STATE(9931)] = 518899,
  [SMALL_STATE(9932)] = 518948,
  [SMALL_STATE(9933)] = 519011,
  [SMALL_STATE(9934)] = 519074,
  [SMALL_STATE(9935)] = 519129,
  [SMALL_STATE(9936)] = 519170,
  [SMALL_STATE(9937)] = 519233,
  [SMALL_STATE(9938)] = 519296,
  [SMALL_STATE(9939)] = 519335,
  [SMALL_STATE(9940)] = 519398,
  [SMALL_STATE(9941)] = 519461,
  [SMALL_STATE(9942)] = 519512,
  [SMALL_STATE(9943)] = 519575,
  [SMALL_STATE(9944)] = 519638,
  [SMALL_STATE(9945)] = 519701,
  [SMALL_STATE(9946)] = 519740,
  [SMALL_STATE(9947)] = 519793,
  [SMALL_STATE(9948)] = 519848,
  [SMALL_STATE(9949)] = 519911,
  [SMALL_STATE(9950)] = 519962,
  [SMALL_STATE(9951)] = 520001,
  [SMALL_STATE(9952)] = 520052,
  [SMALL_STATE(9953)] = 520091,
  [SMALL_STATE(9954)] = 520130,
  [SMALL_STATE(9955)] = 520193,
  [SMALL_STATE(9956)] = 520256,
  [SMALL_STATE(9957)] = 520295,
  [SMALL_STATE(9958)] = 520334,
  [SMALL_STATE(9959)] = 520373,
  [SMALL_STATE(9960)] = 520412,
  [SMALL_STATE(9961)] = 520451,
  [SMALL_STATE(9962)] = 520514,
  [SMALL_STATE(9963)] = 520555,
  [SMALL_STATE(9964)] = 520618,
  [SMALL_STATE(9965)] = 520657,
  [SMALL_STATE(9966)] = 520720,
  [SMALL_STATE(9967)] = 520759,
  [SMALL_STATE(9968)] = 520822,
  [SMALL_STATE(9969)] = 520861,
  [SMALL_STATE(9970)] = 520924,
  [SMALL_STATE(9971)] = 520963,
  [SMALL_STATE(9972)] = 521002,
  [SMALL_STATE(9973)] = 521041,
  [SMALL_STATE(9974)] = 521104,
  [SMALL_STATE(9975)] = 521167,
  [SMALL_STATE(9976)] = 521218,
  [SMALL_STATE(9977)] = 521273,
  [SMALL_STATE(9978)] = 521322,
  [SMALL_STATE(9979)] = 521371,
  [SMALL_STATE(9980)] = 521410,
  [SMALL_STATE(9981)] = 521459,
  [SMALL_STATE(9982)] = 521516,
  [SMALL_STATE(9983)] = 521563,
  [SMALL_STATE(9984)] = 521602,
  [SMALL_STATE(9985)] = 521665,
  [SMALL_STATE(9986)] = 521704,
  [SMALL_STATE(9987)] = 521753,
  [SMALL_STATE(9988)] = 521816,
  [SMALL_STATE(9989)] = 521879,
  [SMALL_STATE(9990)] = 521942,
  [SMALL_STATE(9991)] = 522005,
  [SMALL_STATE(9992)] = 522044,
  [SMALL_STATE(9993)] = 522083,
  [SMALL_STATE(9994)] = 522146,
  [SMALL_STATE(9995)] = 522201,
  [SMALL_STATE(9996)] = 522256,
  [SMALL_STATE(9997)] = 522295,
  [SMALL_STATE(9998)] = 522334,
  [SMALL_STATE(9999)] = 522397,
  [SMALL_STATE(10000)] = 522448,
  [SMALL_STATE(10001)] = 522487,
  [SMALL_STATE(10002)] = 522526,
  [SMALL_STATE(10003)] = 522589,
  [SMALL_STATE(10004)] = 522652,
  [SMALL_STATE(10005)] = 522715,
  [SMALL_STATE(10006)] = 522778,
  [SMALL_STATE(10007)] = 522841,
  [SMALL_STATE(10008)] = 522904,
  [SMALL_STATE(10009)] = 522967,
  [SMALL_STATE(10010)] = 523006,
  [SMALL_STATE(10011)] = 523045,
  [SMALL_STATE(10012)] = 523108,
  [SMALL_STATE(10013)] = 523171,
  [SMALL_STATE(10014)] = 523214,
  [SMALL_STATE(10015)] = 523277,
  [SMALL_STATE(10016)] = 523320,
  [SMALL_STATE(10017)] = 523359,
  [SMALL_STATE(10018)] = 523422,
  [SMALL_STATE(10019)] = 523461,
  [SMALL_STATE(10020)] = 523500,
  [SMALL_STATE(10021)] = 523563,
  [SMALL_STATE(10022)] = 523626,
  [SMALL_STATE(10023)] = 523689,
  [SMALL_STATE(10024)] = 523728,
  [SMALL_STATE(10025)] = 523767,
  [SMALL_STATE(10026)] = 523806,
  [SMALL_STATE(10027)] = 523845,
  [SMALL_STATE(10028)] = 523908,
  [SMALL_STATE(10029)] = 523947,
  [SMALL_STATE(10030)] = 523986,
  [SMALL_STATE(10031)] = 524025,
  [SMALL_STATE(10032)] = 524064,
  [SMALL_STATE(10033)] = 524127,
  [SMALL_STATE(10034)] = 524190,
  [SMALL_STATE(10035)] = 524253,
  [SMALL_STATE(10036)] = 524292,
  [SMALL_STATE(10037)] = 524331,
  [SMALL_STATE(10038)] = 524394,
  [SMALL_STATE(10039)] = 524457,
  [SMALL_STATE(10040)] = 524496,
  [SMALL_STATE(10041)] = 524559,
  [SMALL_STATE(10042)] = 524600,
  [SMALL_STATE(10043)] = 524639,
  [SMALL_STATE(10044)] = 524702,
  [SMALL_STATE(10045)] = 524741,
  [SMALL_STATE(10046)] = 524804,
  [SMALL_STATE(10047)] = 524867,
  [SMALL_STATE(10048)] = 524930,
  [SMALL_STATE(10049)] = 524993,
  [SMALL_STATE(10050)] = 525056,
  [SMALL_STATE(10051)] = 525095,
  [SMALL_STATE(10052)] = 525142,
  [SMALL_STATE(10053)] = 525205,
  [SMALL_STATE(10054)] = 525268,
  [SMALL_STATE(10055)] = 525331,
  [SMALL_STATE(10056)] = 525394,
  [SMALL_STATE(10057)] = 525457,
  [SMALL_STATE(10058)] = 525512,
  [SMALL_STATE(10059)] = 525551,
  [SMALL_STATE(10060)] = 525614,
  [SMALL_STATE(10061)] = 525663,
  [SMALL_STATE(10062)] = 525726,
  [SMALL_STATE(10063)] = 525781,
  [SMALL_STATE(10064)] = 525836,
  [SMALL_STATE(10065)] = 525891,
  [SMALL_STATE(10066)] = 525954,
  [SMALL_STATE(10067)] = 525993,
  [SMALL_STATE(10068)] = 526056,
  [SMALL_STATE(10069)] = 526111,
  [SMALL_STATE(10070)] = 526174,
  [SMALL_STATE(10071)] = 526237,
  [SMALL_STATE(10072)] = 526300,
  [SMALL_STATE(10073)] = 526341,
  [SMALL_STATE(10074)] = 526404,
  [SMALL_STATE(10075)] = 526449,
  [SMALL_STATE(10076)] = 526494,
  [SMALL_STATE(10077)] = 526539,
  [SMALL_STATE(10078)] = 526584,
  [SMALL_STATE(10079)] = 526629,
  [SMALL_STATE(10080)] = 526674,
  [SMALL_STATE(10081)] = 526719,
  [SMALL_STATE(10082)] = 526764,
  [SMALL_STATE(10083)] = 526809,
  [SMALL_STATE(10084)] = 526872,
  [SMALL_STATE(10085)] = 526935,
  [SMALL_STATE(10086)] = 526984,
  [SMALL_STATE(10087)] = 527033,
  [SMALL_STATE(10088)] = 527088,
  [SMALL_STATE(10089)] = 527127,
  [SMALL_STATE(10090)] = 527175,
  [SMALL_STATE(10091)] = 527213,
  [SMALL_STATE(10092)] = 527265,
  [SMALL_STATE(10093)] = 527309,
  [SMALL_STATE(10094)] = 527347,
  [SMALL_STATE(10095)] = 527391,
  [SMALL_STATE(10096)] = 527429,
  [SMALL_STATE(10097)] = 527473,
  [SMALL_STATE(10098)] = 527511,
  [SMALL_STATE(10099)] = 527549,
  [SMALL_STATE(10100)] = 527587,
  [SMALL_STATE(10101)] = 527627,
  [SMALL_STATE(10102)] = 527669,
  [SMALL_STATE(10103)] = 527707,
  [SMALL_STATE(10104)] = 527751,
  [SMALL_STATE(10105)] = 527789,
  [SMALL_STATE(10106)] = 527837,
  [SMALL_STATE(10107)] = 527885,
  [SMALL_STATE(10108)] = 527933,
  [SMALL_STATE(10109)] = 527971,
  [SMALL_STATE(10110)] = 528019,
  [SMALL_STATE(10111)] = 528067,
  [SMALL_STATE(10112)] = 528115,
  [SMALL_STATE(10113)] = 528153,
  [SMALL_STATE(10114)] = 528191,
  [SMALL_STATE(10115)] = 528229,
  [SMALL_STATE(10116)] = 528267,
  [SMALL_STATE(10117)] = 528305,
  [SMALL_STATE(10118)] = 528367,
  [SMALL_STATE(10119)] = 528405,
  [SMALL_STATE(10120)] = 528443,
  [SMALL_STATE(10121)] = 528481,
  [SMALL_STATE(10122)] = 528523,
  [SMALL_STATE(10123)] = 528565,
  [SMALL_STATE(10124)] = 528603,
  [SMALL_STATE(10125)] = 528641,
  [SMALL_STATE(10126)] = 528683,
  [SMALL_STATE(10127)] = 528727,
  [SMALL_STATE(10128)] = 528765,
  [SMALL_STATE(10129)] = 528807,
  [SMALL_STATE(10130)] = 528849,
  [SMALL_STATE(10131)] = 528891,
  [SMALL_STATE(10132)] = 528933,
  [SMALL_STATE(10133)] = 528975,
  [SMALL_STATE(10134)] = 529015,
  [SMALL_STATE(10135)] = 529057,
  [SMALL_STATE(10136)] = 529095,
  [SMALL_STATE(10137)] = 529135,
  [SMALL_STATE(10138)] = 529173,
  [SMALL_STATE(10139)] = 529213,
  [SMALL_STATE(10140)] = 529255,
  [SMALL_STATE(10141)] = 529293,
  [SMALL_STATE(10142)] = 529331,
  [SMALL_STATE(10143)] = 529383,
  [SMALL_STATE(10144)] = 529421,
  [SMALL_STATE(10145)] = 529459,
  [SMALL_STATE(10146)] = 529497,
  [SMALL_STATE(10147)] = 529537,
  [SMALL_STATE(10148)] = 529575,
  [SMALL_STATE(10149)] = 529613,
  [SMALL_STATE(10150)] = 529653,
  [SMALL_STATE(10151)] = 529695,
  [SMALL_STATE(10152)] = 529735,
  [SMALL_STATE(10153)] = 529775,
  [SMALL_STATE(10154)] = 529813,
  [SMALL_STATE(10155)] = 529861,
  [SMALL_STATE(10156)] = 529903,
  [SMALL_STATE(10157)] = 529941,
  [SMALL_STATE(10158)] = 529979,
  [SMALL_STATE(10159)] = 530017,
  [SMALL_STATE(10160)] = 530059,
  [SMALL_STATE(10161)] = 530107,
  [SMALL_STATE(10162)] = 530155,
  [SMALL_STATE(10163)] = 530193,
  [SMALL_STATE(10164)] = 530241,
  [SMALL_STATE(10165)] = 530279,
  [SMALL_STATE(10166)] = 530317,
  [SMALL_STATE(10167)] = 530355,
  [SMALL_STATE(10168)] = 530393,
  [SMALL_STATE(10169)] = 530435,
  [SMALL_STATE(10170)] = 530473,
  [SMALL_STATE(10171)] = 530511,
  [SMALL_STATE(10172)] = 530549,
  [SMALL_STATE(10173)] = 530587,
  [SMALL_STATE(10174)] = 530635,
  [SMALL_STATE(10175)] = 530675,
  [SMALL_STATE(10176)] = 530713,
  [SMALL_STATE(10177)] = 530751,
  [SMALL_STATE(10178)] = 530793,
  [SMALL_STATE(10179)] = 530831,
  [SMALL_STATE(10180)] = 530869,
  [SMALL_STATE(10181)] = 530907,
  [SMALL_STATE(10182)] = 530945,
  [SMALL_STATE(10183)] = 530983,
  [SMALL_STATE(10184)] = 531023,
  [SMALL_STATE(10185)] = 531061,
  [SMALL_STATE(10186)] = 531117,
  [SMALL_STATE(10187)] = 531155,
  [SMALL_STATE(10188)] = 531193,
  [SMALL_STATE(10189)] = 531231,
  [SMALL_STATE(10190)] = 531269,
  [SMALL_STATE(10191)] = 531307,
  [SMALL_STATE(10192)] = 531355,
  [SMALL_STATE(10193)] = 531397,
  [SMALL_STATE(10194)] = 531439,
  [SMALL_STATE(10195)] = 531477,
  [SMALL_STATE(10196)] = 531519,
  [SMALL_STATE(10197)] = 531557,
  [SMALL_STATE(10198)] = 531595,
  [SMALL_STATE(10199)] = 531633,
  [SMALL_STATE(10200)] = 531683,
  [SMALL_STATE(10201)] = 531721,
  [SMALL_STATE(10202)] = 531759,
  [SMALL_STATE(10203)] = 531797,
  [SMALL_STATE(10204)] = 531847,
  [SMALL_STATE(10205)] = 531885,
  [SMALL_STATE(10206)] = 531939,
  [SMALL_STATE(10207)] = 531993,
  [SMALL_STATE(10208)] = 532031,
  [SMALL_STATE(10209)] = 532069,
  [SMALL_STATE(10210)] = 532125,
  [SMALL_STATE(10211)] = 532185,
  [SMALL_STATE(10212)] = 532223,
  [SMALL_STATE(10213)] = 532267,
  [SMALL_STATE(10214)] = 532327,
  [SMALL_STATE(10215)] = 532365,
  [SMALL_STATE(10216)] = 532403,
  [SMALL_STATE(10217)] = 532445,
  [SMALL_STATE(10218)] = 532483,
  [SMALL_STATE(10219)] = 532543,
  [SMALL_STATE(10220)] = 532581,
  [SMALL_STATE(10221)] = 532619,
  [SMALL_STATE(10222)] = 532657,
  [SMALL_STATE(10223)] = 532695,
  [SMALL_STATE(10224)] = 532733,
  [SMALL_STATE(10225)] = 532781,
  [SMALL_STATE(10226)] = 532821,
  [SMALL_STATE(10227)] = 532859,
  [SMALL_STATE(10228)] = 532897,
  [SMALL_STATE(10229)] = 532935,
  [SMALL_STATE(10230)] = 532973,
  [SMALL_STATE(10231)] = 533011,
  [SMALL_STATE(10232)] = 533049,
  [SMALL_STATE(10233)] = 533097,
  [SMALL_STATE(10234)] = 533145,
  [SMALL_STATE(10235)] = 533193,
  [SMALL_STATE(10236)] = 533231,
  [SMALL_STATE(10237)] = 533269,
  [SMALL_STATE(10238)] = 533317,
  [SMALL_STATE(10239)] = 533355,
  [SMALL_STATE(10240)] = 533393,
  [SMALL_STATE(10241)] = 533431,
  [SMALL_STATE(10242)] = 533469,
  [SMALL_STATE(10243)] = 533529,
  [SMALL_STATE(10244)] = 533577,
  [SMALL_STATE(10245)] = 533615,
  [SMALL_STATE(10246)] = 533653,
  [SMALL_STATE(10247)] = 533691,
  [SMALL_STATE(10248)] = 533729,
  [SMALL_STATE(10249)] = 533767,
  [SMALL_STATE(10250)] = 533819,
  [SMALL_STATE(10251)] = 533867,
  [SMALL_STATE(10252)] = 533905,
  [SMALL_STATE(10253)] = 533943,
  [SMALL_STATE(10254)] = 533993,
  [SMALL_STATE(10255)] = 534045,
  [SMALL_STATE(10256)] = 534083,
  [SMALL_STATE(10257)] = 534121,
  [SMALL_STATE(10258)] = 534159,
  [SMALL_STATE(10259)] = 534197,
  [SMALL_STATE(10260)] = 534235,
  [SMALL_STATE(10261)] = 534283,
  [SMALL_STATE(10262)] = 534321,
  [SMALL_STATE(10263)] = 534359,
  [SMALL_STATE(10264)] = 534397,
  [SMALL_STATE(10265)] = 534445,
  [SMALL_STATE(10266)] = 534483,
  [SMALL_STATE(10267)] = 534521,
  [SMALL_STATE(10268)] = 534569,
  [SMALL_STATE(10269)] = 534621,
  [SMALL_STATE(10270)] = 534659,
  [SMALL_STATE(10271)] = 534701,
  [SMALL_STATE(10272)] = 534739,
  [SMALL_STATE(10273)] = 534791,
  [SMALL_STATE(10274)] = 534829,
  [SMALL_STATE(10275)] = 534867,
  [SMALL_STATE(10276)] = 534905,
  [SMALL_STATE(10277)] = 534959,
  [SMALL_STATE(10278)] = 535007,
  [SMALL_STATE(10279)] = 535045,
  [SMALL_STATE(10280)] = 535083,
  [SMALL_STATE(10281)] = 535137,
  [SMALL_STATE(10282)] = 535175,
  [SMALL_STATE(10283)] = 535217,
  [SMALL_STATE(10284)] = 535257,
  [SMALL_STATE(10285)] = 535295,
  [SMALL_STATE(10286)] = 535345,
  [SMALL_STATE(10287)] = 535397,
  [SMALL_STATE(10288)] = 535451,
  [SMALL_STATE(10289)] = 535499,
  [SMALL_STATE(10290)] = 535553,
  [SMALL_STATE(10291)] = 535591,
  [SMALL_STATE(10292)] = 535629,
  [SMALL_STATE(10293)] = 535667,
  [SMALL_STATE(10294)] = 535709,
  [SMALL_STATE(10295)] = 535747,
  [SMALL_STATE(10296)] = 535785,
  [SMALL_STATE(10297)] = 535823,
  [SMALL_STATE(10298)] = 535861,
  [SMALL_STATE(10299)] = 535915,
  [SMALL_STATE(10300)] = 535963,
  [SMALL_STATE(10301)] = 536011,
  [SMALL_STATE(10302)] = 536049,
  [SMALL_STATE(10303)] = 536087,
  [SMALL_STATE(10304)] = 536125,
  [SMALL_STATE(10305)] = 536163,
  [SMALL_STATE(10306)] = 536206,
  [SMALL_STATE(10307)] = 536243,
  [SMALL_STATE(10308)] = 536282,
  [SMALL_STATE(10309)] = 536325,
  [SMALL_STATE(10310)] = 536368,
  [SMALL_STATE(10311)] = 536431,
  [SMALL_STATE(10312)] = 536474,
  [SMALL_STATE(10313)] = 536511,
  [SMALL_STATE(10314)] = 536554,
  [SMALL_STATE(10315)] = 536601,
  [SMALL_STATE(10316)] = 536648,
  [SMALL_STATE(10317)] = 536691,
  [SMALL_STATE(10318)] = 536732,
  [SMALL_STATE(10319)] = 536775,
  [SMALL_STATE(10320)] = 536818,
  [SMALL_STATE(10321)] = 536881,
  [SMALL_STATE(10322)] = 536936,
  [SMALL_STATE(10323)] = 536983,
  [SMALL_STATE(10324)] = 537020,
  [SMALL_STATE(10325)] = 537063,
  [SMALL_STATE(10326)] = 537106,
  [SMALL_STATE(10327)] = 537149,
  [SMALL_STATE(10328)] = 537192,
  [SMALL_STATE(10329)] = 537253,
  [SMALL_STATE(10330)] = 537290,
  [SMALL_STATE(10331)] = 537337,
  [SMALL_STATE(10332)] = 537384,
  [SMALL_STATE(10333)] = 537427,
  [SMALL_STATE(10334)] = 537470,
  [SMALL_STATE(10335)] = 537517,
  [SMALL_STATE(10336)] = 537560,
  [SMALL_STATE(10337)] = 537603,
  [SMALL_STATE(10338)] = 537646,
  [SMALL_STATE(10339)] = 537709,
  [SMALL_STATE(10340)] = 537746,
  [SMALL_STATE(10341)] = 537789,
  [SMALL_STATE(10342)] = 537826,
  [SMALL_STATE(10343)] = 537873,
  [SMALL_STATE(10344)] = 537914,
  [SMALL_STATE(10345)] = 537977,
  [SMALL_STATE(10346)] = 538040,
  [SMALL_STATE(10347)] = 538087,
  [SMALL_STATE(10348)] = 538130,
  [SMALL_STATE(10349)] = 538167,
  [SMALL_STATE(10350)] = 538210,
  [SMALL_STATE(10351)] = 538247,
  [SMALL_STATE(10352)] = 538288,
  [SMALL_STATE(10353)] = 538325,
  [SMALL_STATE(10354)] = 538366,
  [SMALL_STATE(10355)] = 538407,
  [SMALL_STATE(10356)] = 538470,
  [SMALL_STATE(10357)] = 538511,
  [SMALL_STATE(10358)] = 538554,
  [SMALL_STATE(10359)] = 538597,
  [SMALL_STATE(10360)] = 538634,
  [SMALL_STATE(10361)] = 538677,
  [SMALL_STATE(10362)] = 538740,
  [SMALL_STATE(10363)] = 538783,
  [SMALL_STATE(10364)] = 538832,
  [SMALL_STATE(10365)] = 538875,
  [SMALL_STATE(10366)] = 538924,
  [SMALL_STATE(10367)] = 538961,
  [SMALL_STATE(10368)] = 538998,
  [SMALL_STATE(10369)] = 539037,
  [SMALL_STATE(10370)] = 539090,
  [SMALL_STATE(10371)] = 539145,
  [SMALL_STATE(10372)] = 539204,
  [SMALL_STATE(10373)] = 539247,
  [SMALL_STATE(10374)] = 539290,
  [SMALL_STATE(10375)] = 539329,
  [SMALL_STATE(10376)] = 539392,
  [SMALL_STATE(10377)] = 539429,
  [SMALL_STATE(10378)] = 539472,
  [SMALL_STATE(10379)] = 539509,
  [SMALL_STATE(10380)] = 539546,
  [SMALL_STATE(10381)] = 539609,
  [SMALL_STATE(10382)] = 539652,
  [SMALL_STATE(10383)] = 539715,
  [SMALL_STATE(10384)] = 539752,
  [SMALL_STATE(10385)] = 539789,
  [SMALL_STATE(10386)] = 539826,
  [SMALL_STATE(10387)] = 539863,
  [SMALL_STATE(10388)] = 539926,
  [SMALL_STATE(10389)] = 539963,
  [SMALL_STATE(10390)] = 540016,
  [SMALL_STATE(10391)] = 540053,
  [SMALL_STATE(10392)] = 540090,
  [SMALL_STATE(10393)] = 540143,
  [SMALL_STATE(10394)] = 540180,
  [SMALL_STATE(10395)] = 540243,
  [SMALL_STATE(10396)] = 540286,
  [SMALL_STATE(10397)] = 540323,
  [SMALL_STATE(10398)] = 540366,
  [SMALL_STATE(10399)] = 540409,
  [SMALL_STATE(10400)] = 540452,
  [SMALL_STATE(10401)] = 540495,
  [SMALL_STATE(10402)] = 540538,
  [SMALL_STATE(10403)] = 540581,
  [SMALL_STATE(10404)] = 540618,
  [SMALL_STATE(10405)] = 540655,
  [SMALL_STATE(10406)] = 540692,
  [SMALL_STATE(10407)] = 540751,
  [SMALL_STATE(10408)] = 540792,
  [SMALL_STATE(10409)] = 540829,
  [SMALL_STATE(10410)] = 540866,
  [SMALL_STATE(10411)] = 540909,
  [SMALL_STATE(10412)] = 540946,
  [SMALL_STATE(10413)] = 540985,
  [SMALL_STATE(10414)] = 541028,
  [SMALL_STATE(10415)] = 541071,
  [SMALL_STATE(10416)] = 541134,
  [SMALL_STATE(10417)] = 541181,
  [SMALL_STATE(10418)] = 541224,
  [SMALL_STATE(10419)] = 541267,
  [SMALL_STATE(10420)] = 541310,
  [SMALL_STATE(10421)] = 541347,
  [SMALL_STATE(10422)] = 541384,
  [SMALL_STATE(10423)] = 541425,
  [SMALL_STATE(10424)] = 541462,
  [SMALL_STATE(10425)] = 541499,
  [SMALL_STATE(10426)] = 541536,
  [SMALL_STATE(10427)] = 541599,
  [SMALL_STATE(10428)] = 541642,
  [SMALL_STATE(10429)] = 541685,
  [SMALL_STATE(10430)] = 541722,
  [SMALL_STATE(10431)] = 541785,
  [SMALL_STATE(10432)] = 541828,
  [SMALL_STATE(10433)] = 541865,
  [SMALL_STATE(10434)] = 541928,
  [SMALL_STATE(10435)] = 541969,
  [SMALL_STATE(10436)] = 542006,
  [SMALL_STATE(10437)] = 542043,
  [SMALL_STATE(10438)] = 542096,
  [SMALL_STATE(10439)] = 542135,
  [SMALL_STATE(10440)] = 542172,
  [SMALL_STATE(10441)] = 542215,
  [SMALL_STATE(10442)] = 542278,
  [SMALL_STATE(10443)] = 542321,
  [SMALL_STATE(10444)] = 542364,
  [SMALL_STATE(10445)] = 542407,
  [SMALL_STATE(10446)] = 542450,
  [SMALL_STATE(10447)] = 542493,
  [SMALL_STATE(10448)] = 542530,
  [SMALL_STATE(10449)] = 542567,
  [SMALL_STATE(10450)] = 542610,
  [SMALL_STATE(10451)] = 542653,
  [SMALL_STATE(10452)] = 542694,
  [SMALL_STATE(10453)] = 542737,
  [SMALL_STATE(10454)] = 542780,
  [SMALL_STATE(10455)] = 542819,
  [SMALL_STATE(10456)] = 542856,
  [SMALL_STATE(10457)] = 542893,
  [SMALL_STATE(10458)] = 542936,
  [SMALL_STATE(10459)] = 542979,
  [SMALL_STATE(10460)] = 543020,
  [SMALL_STATE(10461)] = 543083,
  [SMALL_STATE(10462)] = 543124,
  [SMALL_STATE(10463)] = 543167,
  [SMALL_STATE(10464)] = 543204,
  [SMALL_STATE(10465)] = 543247,
  [SMALL_STATE(10466)] = 543290,
  [SMALL_STATE(10467)] = 543333,
  [SMALL_STATE(10468)] = 543376,
  [SMALL_STATE(10469)] = 543415,
  [SMALL_STATE(10470)] = 543458,
  [SMALL_STATE(10471)] = 543499,
  [SMALL_STATE(10472)] = 543562,
  [SMALL_STATE(10473)] = 543599,
  [SMALL_STATE(10474)] = 543642,
  [SMALL_STATE(10475)] = 543679,
  [SMALL_STATE(10476)] = 543716,
  [SMALL_STATE(10477)] = 543759,
  [SMALL_STATE(10478)] = 543822,
  [SMALL_STATE(10479)] = 543859,
  [SMALL_STATE(10480)] = 543906,
  [SMALL_STATE(10481)] = 543969,
  [SMALL_STATE(10482)] = 544006,
  [SMALL_STATE(10483)] = 544043,
  [SMALL_STATE(10484)] = 544080,
  [SMALL_STATE(10485)] = 544117,
  [SMALL_STATE(10486)] = 544180,
  [SMALL_STATE(10487)] = 544219,
  [SMALL_STATE(10488)] = 544262,
  [SMALL_STATE(10489)] = 544321,
  [SMALL_STATE(10490)] = 544358,
  [SMALL_STATE(10491)] = 544395,
  [SMALL_STATE(10492)] = 544432,
  [SMALL_STATE(10493)] = 544469,
  [SMALL_STATE(10494)] = 544532,
  [SMALL_STATE(10495)] = 544575,
  [SMALL_STATE(10496)] = 544616,
  [SMALL_STATE(10497)] = 544655,
  [SMALL_STATE(10498)] = 544718,
  [SMALL_STATE(10499)] = 544765,
  [SMALL_STATE(10500)] = 544812,
  [SMALL_STATE(10501)] = 544865,
  [SMALL_STATE(10502)] = 544908,
  [SMALL_STATE(10503)] = 544961,
  [SMALL_STATE(10504)] = 545010,
  [SMALL_STATE(10505)] = 545053,
  [SMALL_STATE(10506)] = 545096,
  [SMALL_STATE(10507)] = 545159,
  [SMALL_STATE(10508)] = 545202,
  [SMALL_STATE(10509)] = 545245,
  [SMALL_STATE(10510)] = 545288,
  [SMALL_STATE(10511)] = 545325,
  [SMALL_STATE(10512)] = 545368,
  [SMALL_STATE(10513)] = 545407,
  [SMALL_STATE(10514)] = 545470,
  [SMALL_STATE(10515)] = 545507,
  [SMALL_STATE(10516)] = 545554,
  [SMALL_STATE(10517)] = 545617,
  [SMALL_STATE(10518)] = 545660,
  [SMALL_STATE(10519)] = 545699,
  [SMALL_STATE(10520)] = 545762,
  [SMALL_STATE(10521)] = 545805,
  [SMALL_STATE(10522)] = 545848,
  [SMALL_STATE(10523)] = 545891,
  [SMALL_STATE(10524)] = 545928,
  [SMALL_STATE(10525)] = 545971,
  [SMALL_STATE(10526)] = 546034,
  [SMALL_STATE(10527)] = 546071,
  [SMALL_STATE(10528)] = 546112,
  [SMALL_STATE(10529)] = 546149,
  [SMALL_STATE(10530)] = 546186,
  [SMALL_STATE(10531)] = 546239,
  [SMALL_STATE(10532)] = 546282,
  [SMALL_STATE(10533)] = 546319,
  [SMALL_STATE(10534)] = 546362,
  [SMALL_STATE(10535)] = 546425,
  [SMALL_STATE(10536)] = 546462,
  [SMALL_STATE(10537)] = 546505,
  [SMALL_STATE(10538)] = 546568,
  [SMALL_STATE(10539)] = 546615,
  [SMALL_STATE(10540)] = 546664,
  [SMALL_STATE(10541)] = 546727,
  [SMALL_STATE(10542)] = 546770,
  [SMALL_STATE(10543)] = 546807,
  [SMALL_STATE(10544)] = 546850,
  [SMALL_STATE(10545)] = 546899,
  [SMALL_STATE(10546)] = 546948,
  [SMALL_STATE(10547)] = 546991,
  [SMALL_STATE(10548)] = 547040,
  [SMALL_STATE(10549)] = 547083,
  [SMALL_STATE(10550)] = 547126,
  [SMALL_STATE(10551)] = 547173,
  [SMALL_STATE(10552)] = 547222,
  [SMALL_STATE(10553)] = 547271,
  [SMALL_STATE(10554)] = 547320,
  [SMALL_STATE(10555)] = 547369,
  [SMALL_STATE(10556)] = 547418,
  [SMALL_STATE(10557)] = 547467,
  [SMALL_STATE(10558)] = 547516,
  [SMALL_STATE(10559)] = 547565,
  [SMALL_STATE(10560)] = 547616,
  [SMALL_STATE(10561)] = 547665,
  [SMALL_STATE(10562)] = 547714,
  [SMALL_STATE(10563)] = 547763,
  [SMALL_STATE(10564)] = 547812,
  [SMALL_STATE(10565)] = 547875,
  [SMALL_STATE(10566)] = 547924,
  [SMALL_STATE(10567)] = 547967,
  [SMALL_STATE(10568)] = 548016,
  [SMALL_STATE(10569)] = 548075,
  [SMALL_STATE(10570)] = 548124,
  [SMALL_STATE(10571)] = 548173,
  [SMALL_STATE(10572)] = 548236,
  [SMALL_STATE(10573)] = 548285,
  [SMALL_STATE(10574)] = 548334,
  [SMALL_STATE(10575)] = 548383,
  [SMALL_STATE(10576)] = 548432,
  [SMALL_STATE(10577)] = 548481,
  [SMALL_STATE(10578)] = 548530,
  [SMALL_STATE(10579)] = 548579,
  [SMALL_STATE(10580)] = 548628,
  [SMALL_STATE(10581)] = 548677,
  [SMALL_STATE(10582)] = 548726,
  [SMALL_STATE(10583)] = 548775,
  [SMALL_STATE(10584)] = 548824,
  [SMALL_STATE(10585)] = 548867,
  [SMALL_STATE(10586)] = 548916,
  [SMALL_STATE(10587)] = 548957,
  [SMALL_STATE(10588)] = 548998,
  [SMALL_STATE(10589)] = 549037,
  [SMALL_STATE(10590)] = 549074,
  [SMALL_STATE(10591)] = 549137,
  [SMALL_STATE(10592)] = 549180,
  [SMALL_STATE(10593)] = 549217,
  [SMALL_STATE(10594)] = 549260,
  [SMALL_STATE(10595)] = 549297,
  [SMALL_STATE(10596)] = 549338,
  [SMALL_STATE(10597)] = 549377,
  [SMALL_STATE(10598)] = 549414,
  [SMALL_STATE(10599)] = 549451,
  [SMALL_STATE(10600)] = 549488,
  [SMALL_STATE(10601)] = 549551,
  [SMALL_STATE(10602)] = 549588,
  [SMALL_STATE(10603)] = 549635,
  [SMALL_STATE(10604)] = 549676,
  [SMALL_STATE(10605)] = 549717,
  [SMALL_STATE(10606)] = 549780,
  [SMALL_STATE(10607)] = 549827,
  [SMALL_STATE(10608)] = 549870,
  [SMALL_STATE(10609)] = 549933,
  [SMALL_STATE(10610)] = 549976,
  [SMALL_STATE(10611)] = 550025,
  [SMALL_STATE(10612)] = 550068,
  [SMALL_STATE(10613)] = 550111,
  [SMALL_STATE(10614)] = 550154,
  [SMALL_STATE(10615)] = 550191,
  [SMALL_STATE(10616)] = 550254,
  [SMALL_STATE(10617)] = 550317,
  [SMALL_STATE(10618)] = 550380,
  [SMALL_STATE(10619)] = 550423,
  [SMALL_STATE(10620)] = 550470,
  [SMALL_STATE(10621)] = 550525,
  [SMALL_STATE(10622)] = 550572,
  [SMALL_STATE(10623)] = 550613,
  [SMALL_STATE(10624)] = 550676,
  [SMALL_STATE(10625)] = 550713,
  [SMALL_STATE(10626)] = 550774,
  [SMALL_STATE(10627)] = 550815,
  [SMALL_STATE(10628)] = 550858,
  [SMALL_STATE(10629)] = 550895,
  [SMALL_STATE(10630)] = 550942,
  [SMALL_STATE(10631)] = 550991,
  [SMALL_STATE(10632)] = 551040,
  [SMALL_STATE(10633)] = 551093,
  [SMALL_STATE(10634)] = 551156,
  [SMALL_STATE(10635)] = 551211,
  [SMALL_STATE(10636)] = 551270,
  [SMALL_STATE(10637)] = 551313,
  [SMALL_STATE(10638)] = 551372,
  [SMALL_STATE(10639)] = 551415,
  [SMALL_STATE(10640)] = 551478,
  [SMALL_STATE(10641)] = 551521,
  [SMALL_STATE(10642)] = 551562,
  [SMALL_STATE(10643)] = 551605,
  [SMALL_STATE(10644)] = 551648,
  [SMALL_STATE(10645)] = 551685,
  [SMALL_STATE(10646)] = 551728,
  [SMALL_STATE(10647)] = 551791,
  [SMALL_STATE(10648)] = 551828,
  [SMALL_STATE(10649)] = 551865,
  [SMALL_STATE(10650)] = 551902,
  [SMALL_STATE(10651)] = 551945,
  [SMALL_STATE(10652)] = 552004,
  [SMALL_STATE(10653)] = 552047,
  [SMALL_STATE(10654)] = 552090,
  [SMALL_STATE(10655)] = 552133,
  [SMALL_STATE(10656)] = 552176,
  [SMALL_STATE(10657)] = 552217,
  [SMALL_STATE(10658)] = 552258,
  [SMALL_STATE(10659)] = 552299,
  [SMALL_STATE(10660)] = 552340,
  [SMALL_STATE(10661)] = 552381,
  [SMALL_STATE(10662)] = 552424,
  [SMALL_STATE(10663)] = 552467,
  [SMALL_STATE(10664)] = 552509,
  [SMALL_STATE(10665)] = 552551,
  [SMALL_STATE(10666)] = 552587,
  [SMALL_STATE(10667)] = 552629,
  [SMALL_STATE(10668)] = 552665,
  [SMALL_STATE(10669)] = 552707,
  [SMALL_STATE(10670)] = 552743,
  [SMALL_STATE(10671)] = 552783,
  [SMALL_STATE(10672)] = 552825,
  [SMALL_STATE(10673)] = 552871,
  [SMALL_STATE(10674)] = 552907,
  [SMALL_STATE(10675)] = 552943,
  [SMALL_STATE(10676)] = 552983,
  [SMALL_STATE(10677)] = 553023,
  [SMALL_STATE(10678)] = 553059,
  [SMALL_STATE(10679)] = 553113,
  [SMALL_STATE(10680)] = 553149,
  [SMALL_STATE(10681)] = 553185,
  [SMALL_STATE(10682)] = 553231,
  [SMALL_STATE(10683)] = 553277,
  [SMALL_STATE(10684)] = 553317,
  [SMALL_STATE(10685)] = 553357,
  [SMALL_STATE(10686)] = 553393,
  [SMALL_STATE(10687)] = 553441,
  [SMALL_STATE(10688)] = 553477,
  [SMALL_STATE(10689)] = 553525,
  [SMALL_STATE(10690)] = 553577,
  [SMALL_STATE(10691)] = 553623,
  [SMALL_STATE(10692)] = 553677,
  [SMALL_STATE(10693)] = 553735,
  [SMALL_STATE(10694)] = 553777,
  [SMALL_STATE(10695)] = 553813,
  [SMALL_STATE(10696)] = 553859,
  [SMALL_STATE(10697)] = 553917,
  [SMALL_STATE(10698)] = 553963,
  [SMALL_STATE(10699)] = 554009,
  [SMALL_STATE(10700)] = 554055,
  [SMALL_STATE(10701)] = 554101,
  [SMALL_STATE(10702)] = 554147,
  [SMALL_STATE(10703)] = 554193,
  [SMALL_STATE(10704)] = 554233,
  [SMALL_STATE(10705)] = 554279,
  [SMALL_STATE(10706)] = 554315,
  [SMALL_STATE(10707)] = 554361,
  [SMALL_STATE(10708)] = 554407,
  [SMALL_STATE(10709)] = 554447,
  [SMALL_STATE(10710)] = 554487,
  [SMALL_STATE(10711)] = 554525,
  [SMALL_STATE(10712)] = 554571,
  [SMALL_STATE(10713)] = 554607,
  [SMALL_STATE(10714)] = 554643,
  [SMALL_STATE(10715)] = 554679,
  [SMALL_STATE(10716)] = 554725,
  [SMALL_STATE(10717)] = 554763,
  [SMALL_STATE(10718)] = 554799,
  [SMALL_STATE(10719)] = 554835,
  [SMALL_STATE(10720)] = 554871,
  [SMALL_STATE(10721)] = 554907,
  [SMALL_STATE(10722)] = 554953,
  [SMALL_STATE(10723)] = 554989,
  [SMALL_STATE(10724)] = 555035,
  [SMALL_STATE(10725)] = 555071,
  [SMALL_STATE(10726)] = 555107,
  [SMALL_STATE(10727)] = 555143,
  [SMALL_STATE(10728)] = 555189,
  [SMALL_STATE(10729)] = 555235,
  [SMALL_STATE(10730)] = 555271,
  [SMALL_STATE(10731)] = 555307,
  [SMALL_STATE(10732)] = 555343,
  [SMALL_STATE(10733)] = 555379,
  [SMALL_STATE(10734)] = 555415,
  [SMALL_STATE(10735)] = 555451,
  [SMALL_STATE(10736)] = 555487,
  [SMALL_STATE(10737)] = 555523,
  [SMALL_STATE(10738)] = 555559,
  [SMALL_STATE(10739)] = 555605,
  [SMALL_STATE(10740)] = 555651,
  [SMALL_STATE(10741)] = 555687,
  [SMALL_STATE(10742)] = 555723,
  [SMALL_STATE(10743)] = 555759,
  [SMALL_STATE(10744)] = 555795,
  [SMALL_STATE(10745)] = 555831,
  [SMALL_STATE(10746)] = 555867,
  [SMALL_STATE(10747)] = 555903,
  [SMALL_STATE(10748)] = 555939,
  [SMALL_STATE(10749)] = 555981,
  [SMALL_STATE(10750)] = 556023,
  [SMALL_STATE(10751)] = 556065,
  [SMALL_STATE(10752)] = 556107,
  [SMALL_STATE(10753)] = 556147,
  [SMALL_STATE(10754)] = 556183,
  [SMALL_STATE(10755)] = 556219,
  [SMALL_STATE(10756)] = 556255,
  [SMALL_STATE(10757)] = 556291,
  [SMALL_STATE(10758)] = 556331,
  [SMALL_STATE(10759)] = 556367,
  [SMALL_STATE(10760)] = 556403,
  [SMALL_STATE(10761)] = 556439,
  [SMALL_STATE(10762)] = 556475,
  [SMALL_STATE(10763)] = 556513,
  [SMALL_STATE(10764)] = 556559,
  [SMALL_STATE(10765)] = 556595,
  [SMALL_STATE(10766)] = 556635,
  [SMALL_STATE(10767)] = 556673,
  [SMALL_STATE(10768)] = 556709,
  [SMALL_STATE(10769)] = 556749,
  [SMALL_STATE(10770)] = 556809,
  [SMALL_STATE(10771)] = 556845,
  [SMALL_STATE(10772)] = 556881,
  [SMALL_STATE(10773)] = 556917,
  [SMALL_STATE(10774)] = 556953,
  [SMALL_STATE(10775)] = 556989,
  [SMALL_STATE(10776)] = 557035,
  [SMALL_STATE(10777)] = 557071,
  [SMALL_STATE(10778)] = 557107,
  [SMALL_STATE(10779)] = 557143,
  [SMALL_STATE(10780)] = 557179,
  [SMALL_STATE(10781)] = 557227,
  [SMALL_STATE(10782)] = 557275,
  [SMALL_STATE(10783)] = 557317,
  [SMALL_STATE(10784)] = 557353,
  [SMALL_STATE(10785)] = 557399,
  [SMALL_STATE(10786)] = 557441,
  [SMALL_STATE(10787)] = 557477,
  [SMALL_STATE(10788)] = 557513,
  [SMALL_STATE(10789)] = 557549,
  [SMALL_STATE(10790)] = 557587,
  [SMALL_STATE(10791)] = 557629,
  [SMALL_STATE(10792)] = 557671,
  [SMALL_STATE(10793)] = 557707,
  [SMALL_STATE(10794)] = 557743,
  [SMALL_STATE(10795)] = 557789,
  [SMALL_STATE(10796)] = 557831,
  [SMALL_STATE(10797)] = 557869,
  [SMALL_STATE(10798)] = 557905,
  [SMALL_STATE(10799)] = 557941,
  [SMALL_STATE(10800)] = 557977,
  [SMALL_STATE(10801)] = 558013,
  [SMALL_STATE(10802)] = 558049,
  [SMALL_STATE(10803)] = 558085,
  [SMALL_STATE(10804)] = 558131,
  [SMALL_STATE(10805)] = 558167,
  [SMALL_STATE(10806)] = 558203,
  [SMALL_STATE(10807)] = 558239,
  [SMALL_STATE(10808)] = 558281,
  [SMALL_STATE(10809)] = 558317,
  [SMALL_STATE(10810)] = 558353,
  [SMALL_STATE(10811)] = 558399,
  [SMALL_STATE(10812)] = 558457,
  [SMALL_STATE(10813)] = 558499,
  [SMALL_STATE(10814)] = 558535,
  [SMALL_STATE(10815)] = 558571,
  [SMALL_STATE(10816)] = 558607,
  [SMALL_STATE(10817)] = 558643,
  [SMALL_STATE(10818)] = 558679,
  [SMALL_STATE(10819)] = 558715,
  [SMALL_STATE(10820)] = 558751,
  [SMALL_STATE(10821)] = 558791,
  [SMALL_STATE(10822)] = 558837,
  [SMALL_STATE(10823)] = 558873,
  [SMALL_STATE(10824)] = 558919,
  [SMALL_STATE(10825)] = 558955,
  [SMALL_STATE(10826)] = 558991,
  [SMALL_STATE(10827)] = 559027,
  [SMALL_STATE(10828)] = 559063,
  [SMALL_STATE(10829)] = 559099,
  [SMALL_STATE(10830)] = 559135,
  [SMALL_STATE(10831)] = 559175,
  [SMALL_STATE(10832)] = 559225,
  [SMALL_STATE(10833)] = 559263,
  [SMALL_STATE(10834)] = 559299,
  [SMALL_STATE(10835)] = 559345,
  [SMALL_STATE(10836)] = 559391,
  [SMALL_STATE(10837)] = 559427,
  [SMALL_STATE(10838)] = 559463,
  [SMALL_STATE(10839)] = 559499,
  [SMALL_STATE(10840)] = 559535,
  [SMALL_STATE(10841)] = 559573,
  [SMALL_STATE(10842)] = 559609,
  [SMALL_STATE(10843)] = 559645,
  [SMALL_STATE(10844)] = 559681,
  [SMALL_STATE(10845)] = 559717,
  [SMALL_STATE(10846)] = 559763,
  [SMALL_STATE(10847)] = 559799,
  [SMALL_STATE(10848)] = 559841,
  [SMALL_STATE(10849)] = 559877,
  [SMALL_STATE(10850)] = 559919,
  [SMALL_STATE(10851)] = 559955,
  [SMALL_STATE(10852)] = 559991,
  [SMALL_STATE(10853)] = 560033,
  [SMALL_STATE(10854)] = 560079,
  [SMALL_STATE(10855)] = 560115,
  [SMALL_STATE(10856)] = 560151,
  [SMALL_STATE(10857)] = 560187,
  [SMALL_STATE(10858)] = 560223,
  [SMALL_STATE(10859)] = 560263,
  [SMALL_STATE(10860)] = 560309,
  [SMALL_STATE(10861)] = 560345,
  [SMALL_STATE(10862)] = 560383,
  [SMALL_STATE(10863)] = 560419,
  [SMALL_STATE(10864)] = 560455,
  [SMALL_STATE(10865)] = 560501,
  [SMALL_STATE(10866)] = 560537,
  [SMALL_STATE(10867)] = 560573,
  [SMALL_STATE(10868)] = 560615,
  [SMALL_STATE(10869)] = 560651,
  [SMALL_STATE(10870)] = 560691,
  [SMALL_STATE(10871)] = 560727,
  [SMALL_STATE(10872)] = 560763,
  [SMALL_STATE(10873)] = 560803,
  [SMALL_STATE(10874)] = 560839,
  [SMALL_STATE(10875)] = 560879,
  [SMALL_STATE(10876)] = 560915,
  [SMALL_STATE(10877)] = 560951,
  [SMALL_STATE(10878)] = 560991,
  [SMALL_STATE(10879)] = 561027,
  [SMALL_STATE(10880)] = 561067,
  [SMALL_STATE(10881)] = 561103,
  [SMALL_STATE(10882)] = 561139,
  [SMALL_STATE(10883)] = 561179,
  [SMALL_STATE(10884)] = 561221,
  [SMALL_STATE(10885)] = 561263,
  [SMALL_STATE(10886)] = 561299,
  [SMALL_STATE(10887)] = 561335,
  [SMALL_STATE(10888)] = 561392,
  [SMALL_STATE(10889)] = 561451,
  [SMALL_STATE(10890)] = 561494,
  [SMALL_STATE(10891)] = 561551,
  [SMALL_STATE(10892)] = 561608,
  [SMALL_STATE(10893)] = 561665,
  [SMALL_STATE(10894)] = 561710,
  [SMALL_STATE(10895)] = 561767,
  [SMALL_STATE(10896)] = 561812,
  [SMALL_STATE(10897)] = 561849,
  [SMALL_STATE(10898)] = 561894,
  [SMALL_STATE(10899)] = 561937,
  [SMALL_STATE(10900)] = 561982,
  [SMALL_STATE(10901)] = 562039,
  [SMALL_STATE(10902)] = 562096,
  [SMALL_STATE(10903)] = 562139,
  [SMALL_STATE(10904)] = 562178,
  [SMALL_STATE(10905)] = 562235,
  [SMALL_STATE(10906)] = 562280,
  [SMALL_STATE(10907)] = 562325,
  [SMALL_STATE(10908)] = 562370,
  [SMALL_STATE(10909)] = 562415,
  [SMALL_STATE(10910)] = 562454,
  [SMALL_STATE(10911)] = 562511,
  [SMALL_STATE(10912)] = 562556,
  [SMALL_STATE(10913)] = 562601,
  [SMALL_STATE(10914)] = 562646,
  [SMALL_STATE(10915)] = 562691,
  [SMALL_STATE(10916)] = 562732,
  [SMALL_STATE(10917)] = 562789,
  [SMALL_STATE(10918)] = 562834,
  [SMALL_STATE(10919)] = 562879,
  [SMALL_STATE(10920)] = 562924,
  [SMALL_STATE(10921)] = 562969,
  [SMALL_STATE(10922)] = 563026,
  [SMALL_STATE(10923)] = 563069,
  [SMALL_STATE(10924)] = 563126,
  [SMALL_STATE(10925)] = 563183,
  [SMALL_STATE(10926)] = 563226,
  [SMALL_STATE(10927)] = 563267,
  [SMALL_STATE(10928)] = 563310,
  [SMALL_STATE(10929)] = 563367,
  [SMALL_STATE(10930)] = 563402,
  [SMALL_STATE(10931)] = 563459,
  [SMALL_STATE(10932)] = 563516,
  [SMALL_STATE(10933)] = 563555,
  [SMALL_STATE(10934)] = 563594,
  [SMALL_STATE(10935)] = 563629,
  [SMALL_STATE(10936)] = 563668,
  [SMALL_STATE(10937)] = 563707,
  [SMALL_STATE(10938)] = 563746,
  [SMALL_STATE(10939)] = 563783,
  [SMALL_STATE(10940)] = 563840,
  [SMALL_STATE(10941)] = 563881,
  [SMALL_STATE(10942)] = 563938,
  [SMALL_STATE(10943)] = 563973,
  [SMALL_STATE(10944)] = 564016,
  [SMALL_STATE(10945)] = 564055,
  [SMALL_STATE(10946)] = 564112,
  [SMALL_STATE(10947)] = 564151,
  [SMALL_STATE(10948)] = 564208,
  [SMALL_STATE(10949)] = 564251,
  [SMALL_STATE(10950)] = 564308,
  [SMALL_STATE(10951)] = 564343,
  [SMALL_STATE(10952)] = 564386,
  [SMALL_STATE(10953)] = 564425,
  [SMALL_STATE(10954)] = 564482,
  [SMALL_STATE(10955)] = 564517,
  [SMALL_STATE(10956)] = 564574,
  [SMALL_STATE(10957)] = 564631,
  [SMALL_STATE(10958)] = 564670,
  [SMALL_STATE(10959)] = 564709,
  [SMALL_STATE(10960)] = 564744,
  [SMALL_STATE(10961)] = 564781,
  [SMALL_STATE(10962)] = 564824,
  [SMALL_STATE(10963)] = 564881,
  [SMALL_STATE(10964)] = 564938,
  [SMALL_STATE(10965)] = 564975,
  [SMALL_STATE(10966)] = 565032,
  [SMALL_STATE(10967)] = 565089,
  [SMALL_STATE(10968)] = 565146,
  [SMALL_STATE(10969)] = 565185,
  [SMALL_STATE(10970)] = 565222,
  [SMALL_STATE(10971)] = 565279,
  [SMALL_STATE(10972)] = 565314,
  [SMALL_STATE(10973)] = 565349,
  [SMALL_STATE(10974)] = 565388,
  [SMALL_STATE(10975)] = 565445,
  [SMALL_STATE(10976)] = 565480,
  [SMALL_STATE(10977)] = 565525,
  [SMALL_STATE(10978)] = 565564,
  [SMALL_STATE(10979)] = 565599,
  [SMALL_STATE(10980)] = 565644,
  [SMALL_STATE(10981)] = 565679,
  [SMALL_STATE(10982)] = 565736,
  [SMALL_STATE(10983)] = 565781,
  [SMALL_STATE(10984)] = 565816,
  [SMALL_STATE(10985)] = 565851,
  [SMALL_STATE(10986)] = 565908,
  [SMALL_STATE(10987)] = 565947,
  [SMALL_STATE(10988)] = 566004,
  [SMALL_STATE(10989)] = 566043,
  [SMALL_STATE(10990)] = 566078,
  [SMALL_STATE(10991)] = 566113,
  [SMALL_STATE(10992)] = 566170,
  [SMALL_STATE(10993)] = 566215,
  [SMALL_STATE(10994)] = 566260,
  [SMALL_STATE(10995)] = 566297,
  [SMALL_STATE(10996)] = 566354,
  [SMALL_STATE(10997)] = 566411,
  [SMALL_STATE(10998)] = 566468,
  [SMALL_STATE(10999)] = 566507,
  [SMALL_STATE(11000)] = 566542,
  [SMALL_STATE(11001)] = 566577,
  [SMALL_STATE(11002)] = 566612,
  [SMALL_STATE(11003)] = 566657,
  [SMALL_STATE(11004)] = 566696,
  [SMALL_STATE(11005)] = 566753,
  [SMALL_STATE(11006)] = 566788,
  [SMALL_STATE(11007)] = 566823,
  [SMALL_STATE(11008)] = 566860,
  [SMALL_STATE(11009)] = 566917,
  [SMALL_STATE(11010)] = 566952,
  [SMALL_STATE(11011)] = 566991,
  [SMALL_STATE(11012)] = 567048,
  [SMALL_STATE(11013)] = 567105,
  [SMALL_STATE(11014)] = 567144,
  [SMALL_STATE(11015)] = 567201,
  [SMALL_STATE(11016)] = 567258,
  [SMALL_STATE(11017)] = 567315,
  [SMALL_STATE(11018)] = 567372,
  [SMALL_STATE(11019)] = 567429,
  [SMALL_STATE(11020)] = 567486,
  [SMALL_STATE(11021)] = 567521,
  [SMALL_STATE(11022)] = 567556,
  [SMALL_STATE(11023)] = 567597,
  [SMALL_STATE(11024)] = 567654,
  [SMALL_STATE(11025)] = 567711,
  [SMALL_STATE(11026)] = 567764,
  [SMALL_STATE(11027)] = 567821,
  [SMALL_STATE(11028)] = 567864,
  [SMALL_STATE(11029)] = 567905,
  [SMALL_STATE(11030)] = 567962,
  [SMALL_STATE(11031)] = 567997,
  [SMALL_STATE(11032)] = 568042,
  [SMALL_STATE(11033)] = 568077,
  [SMALL_STATE(11034)] = 568120,
  [SMALL_STATE(11035)] = 568177,
  [SMALL_STATE(11036)] = 568220,
  [SMALL_STATE(11037)] = 568265,
  [SMALL_STATE(11038)] = 568300,
  [SMALL_STATE(11039)] = 568335,
  [SMALL_STATE(11040)] = 568370,
  [SMALL_STATE(11041)] = 568405,
  [SMALL_STATE(11042)] = 568444,
  [SMALL_STATE(11043)] = 568489,
  [SMALL_STATE(11044)] = 568546,
  [SMALL_STATE(11045)] = 568603,
  [SMALL_STATE(11046)] = 568644,
  [SMALL_STATE(11047)] = 568683,
  [SMALL_STATE(11048)] = 568720,
  [SMALL_STATE(11049)] = 568777,
  [SMALL_STATE(11050)] = 568824,
  [SMALL_STATE(11051)] = 568871,
  [SMALL_STATE(11052)] = 568922,
  [SMALL_STATE(11053)] = 568975,
  [SMALL_STATE(11054)] = 569032,
  [SMALL_STATE(11055)] = 569089,
  [SMALL_STATE(11056)] = 569130,
  [SMALL_STATE(11057)] = 569187,
  [SMALL_STATE(11058)] = 569244,
  [SMALL_STATE(11059)] = 569287,
  [SMALL_STATE(11060)] = 569326,
  [SMALL_STATE(11061)] = 569383,
  [SMALL_STATE(11062)] = 569440,
  [SMALL_STATE(11063)] = 569497,
  [SMALL_STATE(11064)] = 569554,
  [SMALL_STATE(11065)] = 569611,
  [SMALL_STATE(11066)] = 569654,
  [SMALL_STATE(11067)] = 569711,
  [SMALL_STATE(11068)] = 569750,
  [SMALL_STATE(11069)] = 569793,
  [SMALL_STATE(11070)] = 569850,
  [SMALL_STATE(11071)] = 569907,
  [SMALL_STATE(11072)] = 569942,
  [SMALL_STATE(11073)] = 569977,
  [SMALL_STATE(11074)] = 570034,
  [SMALL_STATE(11075)] = 570077,
  [SMALL_STATE(11076)] = 570112,
  [SMALL_STATE(11077)] = 570157,
  [SMALL_STATE(11078)] = 570202,
  [SMALL_STATE(11079)] = 570237,
  [SMALL_STATE(11080)] = 570272,
  [SMALL_STATE(11081)] = 570307,
  [SMALL_STATE(11082)] = 570346,
  [SMALL_STATE(11083)] = 570385,
  [SMALL_STATE(11084)] = 570424,
  [SMALL_STATE(11085)] = 570463,
  [SMALL_STATE(11086)] = 570502,
  [SMALL_STATE(11087)] = 570545,
  [SMALL_STATE(11088)] = 570582,
  [SMALL_STATE(11089)] = 570619,
  [SMALL_STATE(11090)] = 570664,
  [SMALL_STATE(11091)] = 570703,
  [SMALL_STATE(11092)] = 570760,
  [SMALL_STATE(11093)] = 570799,
  [SMALL_STATE(11094)] = 570838,
  [SMALL_STATE(11095)] = 570883,
  [SMALL_STATE(11096)] = 570940,
  [SMALL_STATE(11097)] = 570997,
  [SMALL_STATE(11098)] = 571036,
  [SMALL_STATE(11099)] = 571075,
  [SMALL_STATE(11100)] = 571132,
  [SMALL_STATE(11101)] = 571171,
  [SMALL_STATE(11102)] = 571210,
  [SMALL_STATE(11103)] = 571247,
  [SMALL_STATE(11104)] = 571282,
  [SMALL_STATE(11105)] = 571317,
  [SMALL_STATE(11106)] = 571352,
  [SMALL_STATE(11107)] = 571387,
  [SMALL_STATE(11108)] = 571432,
  [SMALL_STATE(11109)] = 571477,
  [SMALL_STATE(11110)] = 571534,
  [SMALL_STATE(11111)] = 571577,
  [SMALL_STATE(11112)] = 571614,
  [SMALL_STATE(11113)] = 571657,
  [SMALL_STATE(11114)] = 571700,
  [SMALL_STATE(11115)] = 571757,
  [SMALL_STATE(11116)] = 571792,
  [SMALL_STATE(11117)] = 571835,
  [SMALL_STATE(11118)] = 571878,
  [SMALL_STATE(11119)] = 571921,
  [SMALL_STATE(11120)] = 571960,
  [SMALL_STATE(11121)] = 572014,
  [SMALL_STATE(11122)] = 572052,
  [SMALL_STATE(11123)] = 572106,
  [SMALL_STATE(11124)] = 572160,
  [SMALL_STATE(11125)] = 572214,
  [SMALL_STATE(11126)] = 572268,
  [SMALL_STATE(11127)] = 572322,
  [SMALL_STATE(11128)] = 572376,
  [SMALL_STATE(11129)] = 572430,
  [SMALL_STATE(11130)] = 572484,
  [SMALL_STATE(11131)] = 572538,
  [SMALL_STATE(11132)] = 572592,
  [SMALL_STATE(11133)] = 572646,
  [SMALL_STATE(11134)] = 572700,
  [SMALL_STATE(11135)] = 572740,
  [SMALL_STATE(11136)] = 572794,
  [SMALL_STATE(11137)] = 572848,
  [SMALL_STATE(11138)] = 572902,
  [SMALL_STATE(11139)] = 572956,
  [SMALL_STATE(11140)] = 573010,
  [SMALL_STATE(11141)] = 573064,
  [SMALL_STATE(11142)] = 573118,
  [SMALL_STATE(11143)] = 573172,
  [SMALL_STATE(11144)] = 573226,
  [SMALL_STATE(11145)] = 573280,
  [SMALL_STATE(11146)] = 573334,
  [SMALL_STATE(11147)] = 573388,
  [SMALL_STATE(11148)] = 573442,
  [SMALL_STATE(11149)] = 573496,
  [SMALL_STATE(11150)] = 573550,
  [SMALL_STATE(11151)] = 573604,
  [SMALL_STATE(11152)] = 573658,
  [SMALL_STATE(11153)] = 573712,
  [SMALL_STATE(11154)] = 573766,
  [SMALL_STATE(11155)] = 573820,
  [SMALL_STATE(11156)] = 573874,
  [SMALL_STATE(11157)] = 573928,
  [SMALL_STATE(11158)] = 573982,
  [SMALL_STATE(11159)] = 574022,
  [SMALL_STATE(11160)] = 574076,
  [SMALL_STATE(11161)] = 574130,
  [SMALL_STATE(11162)] = 574184,
  [SMALL_STATE(11163)] = 574238,
  [SMALL_STATE(11164)] = 574292,
  [SMALL_STATE(11165)] = 574346,
  [SMALL_STATE(11166)] = 574400,
  [SMALL_STATE(11167)] = 574454,
  [SMALL_STATE(11168)] = 574508,
  [SMALL_STATE(11169)] = 574562,
  [SMALL_STATE(11170)] = 574598,
  [SMALL_STATE(11171)] = 574652,
  [SMALL_STATE(11172)] = 574706,
  [SMALL_STATE(11173)] = 574760,
  [SMALL_STATE(11174)] = 574814,
  [SMALL_STATE(11175)] = 574868,
  [SMALL_STATE(11176)] = 574922,
  [SMALL_STATE(11177)] = 574976,
  [SMALL_STATE(11178)] = 575030,
  [SMALL_STATE(11179)] = 575084,
  [SMALL_STATE(11180)] = 575138,
  [SMALL_STATE(11181)] = 575192,
  [SMALL_STATE(11182)] = 575246,
  [SMALL_STATE(11183)] = 575300,
  [SMALL_STATE(11184)] = 575354,
  [SMALL_STATE(11185)] = 575408,
  [SMALL_STATE(11186)] = 575462,
  [SMALL_STATE(11187)] = 575516,
  [SMALL_STATE(11188)] = 575570,
  [SMALL_STATE(11189)] = 575624,
  [SMALL_STATE(11190)] = 575678,
  [SMALL_STATE(11191)] = 575732,
  [SMALL_STATE(11192)] = 575786,
  [SMALL_STATE(11193)] = 575840,
  [SMALL_STATE(11194)] = 575894,
  [SMALL_STATE(11195)] = 575948,
  [SMALL_STATE(11196)] = 576002,
  [SMALL_STATE(11197)] = 576056,
  [SMALL_STATE(11198)] = 576110,
  [SMALL_STATE(11199)] = 576164,
  [SMALL_STATE(11200)] = 576218,
  [SMALL_STATE(11201)] = 576272,
  [SMALL_STATE(11202)] = 576326,
  [SMALL_STATE(11203)] = 576380,
  [SMALL_STATE(11204)] = 576414,
  [SMALL_STATE(11205)] = 576468,
  [SMALL_STATE(11206)] = 576522,
  [SMALL_STATE(11207)] = 576576,
  [SMALL_STATE(11208)] = 576630,
  [SMALL_STATE(11209)] = 576684,
  [SMALL_STATE(11210)] = 576738,
  [SMALL_STATE(11211)] = 576792,
  [SMALL_STATE(11212)] = 576846,
  [SMALL_STATE(11213)] = 576900,
  [SMALL_STATE(11214)] = 576954,
  [SMALL_STATE(11215)] = 577008,
  [SMALL_STATE(11216)] = 577062,
  [SMALL_STATE(11217)] = 577116,
  [SMALL_STATE(11218)] = 577170,
  [SMALL_STATE(11219)] = 577224,
  [SMALL_STATE(11220)] = 577278,
  [SMALL_STATE(11221)] = 577332,
  [SMALL_STATE(11222)] = 577386,
  [SMALL_STATE(11223)] = 577440,
  [SMALL_STATE(11224)] = 577494,
  [SMALL_STATE(11225)] = 577548,
  [SMALL_STATE(11226)] = 577602,
  [SMALL_STATE(11227)] = 577656,
  [SMALL_STATE(11228)] = 577710,
  [SMALL_STATE(11229)] = 577764,
  [SMALL_STATE(11230)] = 577818,
  [SMALL_STATE(11231)] = 577872,
  [SMALL_STATE(11232)] = 577926,
  [SMALL_STATE(11233)] = 577980,
  [SMALL_STATE(11234)] = 578034,
  [SMALL_STATE(11235)] = 578088,
  [SMALL_STATE(11236)] = 578142,
  [SMALL_STATE(11237)] = 578196,
  [SMALL_STATE(11238)] = 578250,
  [SMALL_STATE(11239)] = 578304,
  [SMALL_STATE(11240)] = 578358,
  [SMALL_STATE(11241)] = 578412,
  [SMALL_STATE(11242)] = 578466,
  [SMALL_STATE(11243)] = 578520,
  [SMALL_STATE(11244)] = 578574,
  [SMALL_STATE(11245)] = 578628,
  [SMALL_STATE(11246)] = 578682,
  [SMALL_STATE(11247)] = 578736,
  [SMALL_STATE(11248)] = 578790,
  [SMALL_STATE(11249)] = 578844,
  [SMALL_STATE(11250)] = 578898,
  [SMALL_STATE(11251)] = 578938,
  [SMALL_STATE(11252)] = 578992,
  [SMALL_STATE(11253)] = 579046,
  [SMALL_STATE(11254)] = 579100,
  [SMALL_STATE(11255)] = 579154,
  [SMALL_STATE(11256)] = 579208,
  [SMALL_STATE(11257)] = 579262,
  [SMALL_STATE(11258)] = 579298,
  [SMALL_STATE(11259)] = 579352,
  [SMALL_STATE(11260)] = 579406,
  [SMALL_STATE(11261)] = 579460,
  [SMALL_STATE(11262)] = 579498,
  [SMALL_STATE(11263)] = 579552,
  [SMALL_STATE(11264)] = 579606,
  [SMALL_STATE(11265)] = 579660,
  [SMALL_STATE(11266)] = 579714,
  [SMALL_STATE(11267)] = 579768,
  [SMALL_STATE(11268)] = 579822,
  [SMALL_STATE(11269)] = 579876,
  [SMALL_STATE(11270)] = 579930,
  [SMALL_STATE(11271)] = 579984,
  [SMALL_STATE(11272)] = 580038,
  [SMALL_STATE(11273)] = 580096,
  [SMALL_STATE(11274)] = 580150,
  [SMALL_STATE(11275)] = 580188,
  [SMALL_STATE(11276)] = 580222,
  [SMALL_STATE(11277)] = 580276,
  [SMALL_STATE(11278)] = 580330,
  [SMALL_STATE(11279)] = 580384,
  [SMALL_STATE(11280)] = 580438,
  [SMALL_STATE(11281)] = 580492,
  [SMALL_STATE(11282)] = 580546,
  [SMALL_STATE(11283)] = 580600,
  [SMALL_STATE(11284)] = 580654,
  [SMALL_STATE(11285)] = 580708,
  [SMALL_STATE(11286)] = 580762,
  [SMALL_STATE(11287)] = 580816,
  [SMALL_STATE(11288)] = 580870,
  [SMALL_STATE(11289)] = 580924,
  [SMALL_STATE(11290)] = 580978,
  [SMALL_STATE(11291)] = 581032,
  [SMALL_STATE(11292)] = 581086,
  [SMALL_STATE(11293)] = 581140,
  [SMALL_STATE(11294)] = 581194,
  [SMALL_STATE(11295)] = 581248,
  [SMALL_STATE(11296)] = 581302,
  [SMALL_STATE(11297)] = 581356,
  [SMALL_STATE(11298)] = 581410,
  [SMALL_STATE(11299)] = 581464,
  [SMALL_STATE(11300)] = 581518,
  [SMALL_STATE(11301)] = 581572,
  [SMALL_STATE(11302)] = 581626,
  [SMALL_STATE(11303)] = 581680,
  [SMALL_STATE(11304)] = 581734,
  [SMALL_STATE(11305)] = 581788,
  [SMALL_STATE(11306)] = 581842,
  [SMALL_STATE(11307)] = 581896,
  [SMALL_STATE(11308)] = 581950,
  [SMALL_STATE(11309)] = 582004,
  [SMALL_STATE(11310)] = 582058,
  [SMALL_STATE(11311)] = 582112,
  [SMALL_STATE(11312)] = 582166,
  [SMALL_STATE(11313)] = 582204,
  [SMALL_STATE(11314)] = 582258,
  [SMALL_STATE(11315)] = 582312,
  [SMALL_STATE(11316)] = 582366,
  [SMALL_STATE(11317)] = 582420,
  [SMALL_STATE(11318)] = 582474,
  [SMALL_STATE(11319)] = 582528,
  [SMALL_STATE(11320)] = 582582,
  [SMALL_STATE(11321)] = 582636,
  [SMALL_STATE(11322)] = 582690,
  [SMALL_STATE(11323)] = 582744,
  [SMALL_STATE(11324)] = 582780,
  [SMALL_STATE(11325)] = 582834,
  [SMALL_STATE(11326)] = 582872,
  [SMALL_STATE(11327)] = 582926,
  [SMALL_STATE(11328)] = 582980,
  [SMALL_STATE(11329)] = 583034,
  [SMALL_STATE(11330)] = 583088,
  [SMALL_STATE(11331)] = 583142,
  [SMALL_STATE(11332)] = 583196,
  [SMALL_STATE(11333)] = 583250,
  [SMALL_STATE(11334)] = 583290,
  [SMALL_STATE(11335)] = 583344,
  [SMALL_STATE(11336)] = 583398,
  [SMALL_STATE(11337)] = 583432,
  [SMALL_STATE(11338)] = 583486,
  [SMALL_STATE(11339)] = 583540,
  [SMALL_STATE(11340)] = 583594,
  [SMALL_STATE(11341)] = 583648,
  [SMALL_STATE(11342)] = 583702,
  [SMALL_STATE(11343)] = 583756,
  [SMALL_STATE(11344)] = 583810,
  [SMALL_STATE(11345)] = 583864,
  [SMALL_STATE(11346)] = 583918,
  [SMALL_STATE(11347)] = 583972,
  [SMALL_STATE(11348)] = 584026,
  [SMALL_STATE(11349)] = 584080,
  [SMALL_STATE(11350)] = 584134,
  [SMALL_STATE(11351)] = 584188,
  [SMALL_STATE(11352)] = 584242,
  [SMALL_STATE(11353)] = 584296,
  [SMALL_STATE(11354)] = 584350,
  [SMALL_STATE(11355)] = 584404,
  [SMALL_STATE(11356)] = 584458,
  [SMALL_STATE(11357)] = 584512,
  [SMALL_STATE(11358)] = 584566,
  [SMALL_STATE(11359)] = 584620,
  [SMALL_STATE(11360)] = 584674,
  [SMALL_STATE(11361)] = 584728,
  [SMALL_STATE(11362)] = 584782,
  [SMALL_STATE(11363)] = 584836,
  [SMALL_STATE(11364)] = 584890,
  [SMALL_STATE(11365)] = 584944,
  [SMALL_STATE(11366)] = 584998,
  [SMALL_STATE(11367)] = 585052,
  [SMALL_STATE(11368)] = 585106,
  [SMALL_STATE(11369)] = 585160,
  [SMALL_STATE(11370)] = 585214,
  [SMALL_STATE(11371)] = 585254,
  [SMALL_STATE(11372)] = 585308,
  [SMALL_STATE(11373)] = 585362,
  [SMALL_STATE(11374)] = 585416,
  [SMALL_STATE(11375)] = 585470,
  [SMALL_STATE(11376)] = 585524,
  [SMALL_STATE(11377)] = 585578,
  [SMALL_STATE(11378)] = 585632,
  [SMALL_STATE(11379)] = 585686,
  [SMALL_STATE(11380)] = 585740,
  [SMALL_STATE(11381)] = 585794,
  [SMALL_STATE(11382)] = 585848,
  [SMALL_STATE(11383)] = 585902,
  [SMALL_STATE(11384)] = 585956,
  [SMALL_STATE(11385)] = 586010,
  [SMALL_STATE(11386)] = 586064,
  [SMALL_STATE(11387)] = 586118,
  [SMALL_STATE(11388)] = 586172,
  [SMALL_STATE(11389)] = 586214,
  [SMALL_STATE(11390)] = 586268,
  [SMALL_STATE(11391)] = 586322,
  [SMALL_STATE(11392)] = 586376,
  [SMALL_STATE(11393)] = 586430,
  [SMALL_STATE(11394)] = 586484,
  [SMALL_STATE(11395)] = 586538,
  [SMALL_STATE(11396)] = 586592,
  [SMALL_STATE(11397)] = 586646,
  [SMALL_STATE(11398)] = 586700,
  [SMALL_STATE(11399)] = 586754,
  [SMALL_STATE(11400)] = 586808,
  [SMALL_STATE(11401)] = 586862,
  [SMALL_STATE(11402)] = 586916,
  [SMALL_STATE(11403)] = 586970,
  [SMALL_STATE(11404)] = 587024,
  [SMALL_STATE(11405)] = 587078,
  [SMALL_STATE(11406)] = 587118,
  [SMALL_STATE(11407)] = 587158,
  [SMALL_STATE(11408)] = 587212,
  [SMALL_STATE(11409)] = 587252,
  [SMALL_STATE(11410)] = 587306,
  [SMALL_STATE(11411)] = 587346,
  [SMALL_STATE(11412)] = 587400,
  [SMALL_STATE(11413)] = 587440,
  [SMALL_STATE(11414)] = 587494,
  [SMALL_STATE(11415)] = 587548,
  [SMALL_STATE(11416)] = 587602,
  [SMALL_STATE(11417)] = 587656,
  [SMALL_STATE(11418)] = 587710,
  [SMALL_STATE(11419)] = 587764,
  [SMALL_STATE(11420)] = 587816,
  [SMALL_STATE(11421)] = 587860,
  [SMALL_STATE(11422)] = 587898,
  [SMALL_STATE(11423)] = 587936,
  [SMALL_STATE(11424)] = 587982,
  [SMALL_STATE(11425)] = 588028,
  [SMALL_STATE(11426)] = 588078,
  [SMALL_STATE(11427)] = 588130,
  [SMALL_STATE(11428)] = 588186,
  [SMALL_STATE(11429)] = 588226,
  [SMALL_STATE(11430)] = 588282,
  [SMALL_STATE(11431)] = 588338,
  [SMALL_STATE(11432)] = 588392,
  [SMALL_STATE(11433)] = 588430,
  [SMALL_STATE(11434)] = 588470,
  [SMALL_STATE(11435)] = 588508,
  [SMALL_STATE(11436)] = 588548,
  [SMALL_STATE(11437)] = 588602,
  [SMALL_STATE(11438)] = 588636,
  [SMALL_STATE(11439)] = 588690,
  [SMALL_STATE(11440)] = 588730,
  [SMALL_STATE(11441)] = 588782,
  [SMALL_STATE(11442)] = 588826,
  [SMALL_STATE(11443)] = 588864,
  [SMALL_STATE(11444)] = 588902,
  [SMALL_STATE(11445)] = 588948,
  [SMALL_STATE(11446)] = 588994,
  [SMALL_STATE(11447)] = 589044,
  [SMALL_STATE(11448)] = 589096,
  [SMALL_STATE(11449)] = 589152,
  [SMALL_STATE(11450)] = 589192,
  [SMALL_STATE(11451)] = 589248,
  [SMALL_STATE(11452)] = 589286,
  [SMALL_STATE(11453)] = 589342,
  [SMALL_STATE(11454)] = 589396,
  [SMALL_STATE(11455)] = 589450,
  [SMALL_STATE(11456)] = 589490,
  [SMALL_STATE(11457)] = 589544,
  [SMALL_STATE(11458)] = 589598,
  [SMALL_STATE(11459)] = 589652,
  [SMALL_STATE(11460)] = 589708,
  [SMALL_STATE(11461)] = 589762,
  [SMALL_STATE(11462)] = 589816,
  [SMALL_STATE(11463)] = 589870,
  [SMALL_STATE(11464)] = 589924,
  [SMALL_STATE(11465)] = 589978,
  [SMALL_STATE(11466)] = 590014,
  [SMALL_STATE(11467)] = 590052,
  [SMALL_STATE(11468)] = 590092,
  [SMALL_STATE(11469)] = 590132,
  [SMALL_STATE(11470)] = 590172,
  [SMALL_STATE(11471)] = 590212,
  [SMALL_STATE(11472)] = 590266,
  [SMALL_STATE(11473)] = 590304,
  [SMALL_STATE(11474)] = 590342,
  [SMALL_STATE(11475)] = 590380,
  [SMALL_STATE(11476)] = 590418,
  [SMALL_STATE(11477)] = 590454,
  [SMALL_STATE(11478)] = 590492,
  [SMALL_STATE(11479)] = 590546,
  [SMALL_STATE(11480)] = 590584,
  [SMALL_STATE(11481)] = 590620,
  [SMALL_STATE(11482)] = 590674,
  [SMALL_STATE(11483)] = 590728,
  [SMALL_STATE(11484)] = 590782,
  [SMALL_STATE(11485)] = 590836,
  [SMALL_STATE(11486)] = 590890,
  [SMALL_STATE(11487)] = 590944,
  [SMALL_STATE(11488)] = 590998,
  [SMALL_STATE(11489)] = 591052,
  [SMALL_STATE(11490)] = 591106,
  [SMALL_STATE(11491)] = 591160,
  [SMALL_STATE(11492)] = 591214,
  [SMALL_STATE(11493)] = 591268,
  [SMALL_STATE(11494)] = 591322,
  [SMALL_STATE(11495)] = 591376,
  [SMALL_STATE(11496)] = 591414,
  [SMALL_STATE(11497)] = 591472,
  [SMALL_STATE(11498)] = 591526,
  [SMALL_STATE(11499)] = 591566,
  [SMALL_STATE(11500)] = 591620,
  [SMALL_STATE(11501)] = 591674,
  [SMALL_STATE(11502)] = 591728,
  [SMALL_STATE(11503)] = 591782,
  [SMALL_STATE(11504)] = 591822,
  [SMALL_STATE(11505)] = 591862,
  [SMALL_STATE(11506)] = 591902,
  [SMALL_STATE(11507)] = 591942,
  [SMALL_STATE(11508)] = 591996,
  [SMALL_STATE(11509)] = 592050,
  [SMALL_STATE(11510)] = 592090,
  [SMALL_STATE(11511)] = 592144,
  [SMALL_STATE(11512)] = 592198,
  [SMALL_STATE(11513)] = 592252,
  [SMALL_STATE(11514)] = 592286,
  [SMALL_STATE(11515)] = 592340,
  [SMALL_STATE(11516)] = 592394,
  [SMALL_STATE(11517)] = 592448,
  [SMALL_STATE(11518)] = 592502,
  [SMALL_STATE(11519)] = 592556,
  [SMALL_STATE(11520)] = 592610,
  [SMALL_STATE(11521)] = 592668,
  [SMALL_STATE(11522)] = 592722,
  [SMALL_STATE(11523)] = 592776,
  [SMALL_STATE(11524)] = 592830,
  [SMALL_STATE(11525)] = 592882,
  [SMALL_STATE(11526)] = 592936,
  [SMALL_STATE(11527)] = 592990,
  [SMALL_STATE(11528)] = 593030,
  [SMALL_STATE(11529)] = 593084,
  [SMALL_STATE(11530)] = 593138,
  [SMALL_STATE(11531)] = 593192,
  [SMALL_STATE(11532)] = 593228,
  [SMALL_STATE(11533)] = 593282,
  [SMALL_STATE(11534)] = 593336,
  [SMALL_STATE(11535)] = 593390,
  [SMALL_STATE(11536)] = 593444,
  [SMALL_STATE(11537)] = 593488,
  [SMALL_STATE(11538)] = 593542,
  [SMALL_STATE(11539)] = 593586,
  [SMALL_STATE(11540)] = 593640,
  [SMALL_STATE(11541)] = 593694,
  [SMALL_STATE(11542)] = 593748,
  [SMALL_STATE(11543)] = 593802,
  [SMALL_STATE(11544)] = 593856,
  [SMALL_STATE(11545)] = 593910,
  [SMALL_STATE(11546)] = 593964,
  [SMALL_STATE(11547)] = 594018,
  [SMALL_STATE(11548)] = 594072,
  [SMALL_STATE(11549)] = 594126,
  [SMALL_STATE(11550)] = 594180,
  [SMALL_STATE(11551)] = 594234,
  [SMALL_STATE(11552)] = 594272,
  [SMALL_STATE(11553)] = 594326,
  [SMALL_STATE(11554)] = 594362,
  [SMALL_STATE(11555)] = 594416,
  [SMALL_STATE(11556)] = 594470,
  [SMALL_STATE(11557)] = 594514,
  [SMALL_STATE(11558)] = 594568,
  [SMALL_STATE(11559)] = 594604,
  [SMALL_STATE(11560)] = 594658,
  [SMALL_STATE(11561)] = 594712,
  [SMALL_STATE(11562)] = 594754,
  [SMALL_STATE(11563)] = 594808,
  [SMALL_STATE(11564)] = 594862,
  [SMALL_STATE(11565)] = 594916,
  [SMALL_STATE(11566)] = 594970,
  [SMALL_STATE(11567)] = 595024,
  [SMALL_STATE(11568)] = 595078,
  [SMALL_STATE(11569)] = 595132,
  [SMALL_STATE(11570)] = 595186,
  [SMALL_STATE(11571)] = 595240,
  [SMALL_STATE(11572)] = 595274,
  [SMALL_STATE(11573)] = 595328,
  [SMALL_STATE(11574)] = 595382,
  [SMALL_STATE(11575)] = 595436,
  [SMALL_STATE(11576)] = 595490,
  [SMALL_STATE(11577)] = 595544,
  [SMALL_STATE(11578)] = 595598,
  [SMALL_STATE(11579)] = 595652,
  [SMALL_STATE(11580)] = 595696,
  [SMALL_STATE(11581)] = 595740,
  [SMALL_STATE(11582)] = 595794,
  [SMALL_STATE(11583)] = 595848,
  [SMALL_STATE(11584)] = 595890,
  [SMALL_STATE(11585)] = 595934,
  [SMALL_STATE(11586)] = 595988,
  [SMALL_STATE(11587)] = 596042,
  [SMALL_STATE(11588)] = 596080,
  [SMALL_STATE(11589)] = 596134,
  [SMALL_STATE(11590)] = 596174,
  [SMALL_STATE(11591)] = 596228,
  [SMALL_STATE(11592)] = 596266,
  [SMALL_STATE(11593)] = 596320,
  [SMALL_STATE(11594)] = 596374,
  [SMALL_STATE(11595)] = 596428,
  [SMALL_STATE(11596)] = 596462,
  [SMALL_STATE(11597)] = 596500,
  [SMALL_STATE(11598)] = 596554,
  [SMALL_STATE(11599)] = 596608,
  [SMALL_STATE(11600)] = 596662,
  [SMALL_STATE(11601)] = 596716,
  [SMALL_STATE(11602)] = 596770,
  [SMALL_STATE(11603)] = 596824,
  [SMALL_STATE(11604)] = 596862,
  [SMALL_STATE(11605)] = 596916,
  [SMALL_STATE(11606)] = 596954,
  [SMALL_STATE(11607)] = 596990,
  [SMALL_STATE(11608)] = 597044,
  [SMALL_STATE(11609)] = 597098,
  [SMALL_STATE(11610)] = 597152,
  [SMALL_STATE(11611)] = 597206,
  [SMALL_STATE(11612)] = 597260,
  [SMALL_STATE(11613)] = 597314,
  [SMALL_STATE(11614)] = 597368,
  [SMALL_STATE(11615)] = 597406,
  [SMALL_STATE(11616)] = 597444,
  [SMALL_STATE(11617)] = 597480,
  [SMALL_STATE(11618)] = 597534,
  [SMALL_STATE(11619)] = 597588,
  [SMALL_STATE(11620)] = 597642,
  [SMALL_STATE(11621)] = 597696,
  [SMALL_STATE(11622)] = 597750,
  [SMALL_STATE(11623)] = 597804,
  [SMALL_STATE(11624)] = 597858,
  [SMALL_STATE(11625)] = 597912,
  [SMALL_STATE(11626)] = 597966,
  [SMALL_STATE(11627)] = 598020,
  [SMALL_STATE(11628)] = 598062,
  [SMALL_STATE(11629)] = 598116,
  [SMALL_STATE(11630)] = 598170,
  [SMALL_STATE(11631)] = 598210,
  [SMALL_STATE(11632)] = 598264,
  [SMALL_STATE(11633)] = 598302,
  [SMALL_STATE(11634)] = 598356,
  [SMALL_STATE(11635)] = 598394,
  [SMALL_STATE(11636)] = 598448,
  [SMALL_STATE(11637)] = 598486,
  [SMALL_STATE(11638)] = 598524,
  [SMALL_STATE(11639)] = 598562,
  [SMALL_STATE(11640)] = 598616,
  [SMALL_STATE(11641)] = 598670,
  [SMALL_STATE(11642)] = 598724,
  [SMALL_STATE(11643)] = 598778,
  [SMALL_STATE(11644)] = 598832,
  [SMALL_STATE(11645)] = 598870,
  [SMALL_STATE(11646)] = 598908,
  [SMALL_STATE(11647)] = 598962,
  [SMALL_STATE(11648)] = 599016,
  [SMALL_STATE(11649)] = 599070,
  [SMALL_STATE(11650)] = 599116,
  [SMALL_STATE(11651)] = 599153,
  [SMALL_STATE(11652)] = 599186,
  [SMALL_STATE(11653)] = 599237,
  [SMALL_STATE(11654)] = 599288,
  [SMALL_STATE(11655)] = 599325,
  [SMALL_STATE(11656)] = 599376,
  [SMALL_STATE(11657)] = 599427,
  [SMALL_STATE(11658)] = 599478,
  [SMALL_STATE(11659)] = 599529,
  [SMALL_STATE(11660)] = 599586,
  [SMALL_STATE(11661)] = 599641,
  [SMALL_STATE(11662)] = 599694,
  [SMALL_STATE(11663)] = 599731,
  [SMALL_STATE(11664)] = 599764,
  [SMALL_STATE(11665)] = 599821,
  [SMALL_STATE(11666)] = 599872,
  [SMALL_STATE(11667)] = 599915,
  [SMALL_STATE(11668)] = 599954,
  [SMALL_STATE(11669)] = 600005,
  [SMALL_STATE(11670)] = 600044,
  [SMALL_STATE(11671)] = 600083,
  [SMALL_STATE(11672)] = 600134,
  [SMALL_STATE(11673)] = 600173,
  [SMALL_STATE(11674)] = 600212,
  [SMALL_STATE(11675)] = 600251,
  [SMALL_STATE(11676)] = 600302,
  [SMALL_STATE(11677)] = 600353,
  [SMALL_STATE(11678)] = 600392,
  [SMALL_STATE(11679)] = 600443,
  [SMALL_STATE(11680)] = 600482,
  [SMALL_STATE(11681)] = 600533,
  [SMALL_STATE(11682)] = 600572,
  [SMALL_STATE(11683)] = 600623,
  [SMALL_STATE(11684)] = 600674,
  [SMALL_STATE(11685)] = 600713,
  [SMALL_STATE(11686)] = 600752,
  [SMALL_STATE(11687)] = 600789,
  [SMALL_STATE(11688)] = 600828,
  [SMALL_STATE(11689)] = 600867,
  [SMALL_STATE(11690)] = 600918,
  [SMALL_STATE(11691)] = 600951,
  [SMALL_STATE(11692)] = 600990,
  [SMALL_STATE(11693)] = 601023,
  [SMALL_STATE(11694)] = 601074,
  [SMALL_STATE(11695)] = 601111,
  [SMALL_STATE(11696)] = 601148,
  [SMALL_STATE(11697)] = 601199,
  [SMALL_STATE(11698)] = 601236,
  [SMALL_STATE(11699)] = 601287,
  [SMALL_STATE(11700)] = 601324,
  [SMALL_STATE(11701)] = 601359,
  [SMALL_STATE(11702)] = 601410,
  [SMALL_STATE(11703)] = 601449,
  [SMALL_STATE(11704)] = 601500,
  [SMALL_STATE(11705)] = 601543,
  [SMALL_STATE(11706)] = 601578,
  [SMALL_STATE(11707)] = 601611,
  [SMALL_STATE(11708)] = 601644,
  [SMALL_STATE(11709)] = 601695,
  [SMALL_STATE(11710)] = 601734,
  [SMALL_STATE(11711)] = 601785,
  [SMALL_STATE(11712)] = 601828,
  [SMALL_STATE(11713)] = 601871,
  [SMALL_STATE(11714)] = 601914,
  [SMALL_STATE(11715)] = 601951,
  [SMALL_STATE(11716)] = 601988,
  [SMALL_STATE(11717)] = 602039,
  [SMALL_STATE(11718)] = 602084,
  [SMALL_STATE(11719)] = 602121,
  [SMALL_STATE(11720)] = 602160,
  [SMALL_STATE(11721)] = 602205,
  [SMALL_STATE(11722)] = 602244,
  [SMALL_STATE(11723)] = 602283,
  [SMALL_STATE(11724)] = 602322,
  [SMALL_STATE(11725)] = 602373,
  [SMALL_STATE(11726)] = 602412,
  [SMALL_STATE(11727)] = 602469,
  [SMALL_STATE(11728)] = 602508,
  [SMALL_STATE(11729)] = 602547,
  [SMALL_STATE(11730)] = 602586,
  [SMALL_STATE(11731)] = 602625,
  [SMALL_STATE(11732)] = 602664,
  [SMALL_STATE(11733)] = 602703,
  [SMALL_STATE(11734)] = 602752,
  [SMALL_STATE(11735)] = 602803,
  [SMALL_STATE(11736)] = 602858,
  [SMALL_STATE(11737)] = 602897,
  [SMALL_STATE(11738)] = 602952,
  [SMALL_STATE(11739)] = 602985,
  [SMALL_STATE(11740)] = 603018,
  [SMALL_STATE(11741)] = 603051,
  [SMALL_STATE(11742)] = 603084,
  [SMALL_STATE(11743)] = 603117,
  [SMALL_STATE(11744)] = 603150,
  [SMALL_STATE(11745)] = 603183,
  [SMALL_STATE(11746)] = 603226,
  [SMALL_STATE(11747)] = 603277,
  [SMALL_STATE(11748)] = 603320,
  [SMALL_STATE(11749)] = 603357,
  [SMALL_STATE(11750)] = 603394,
  [SMALL_STATE(11751)] = 603439,
  [SMALL_STATE(11752)] = 603484,
  [SMALL_STATE(11753)] = 603533,
  [SMALL_STATE(11754)] = 603584,
  [SMALL_STATE(11755)] = 603639,
  [SMALL_STATE(11756)] = 603676,
  [SMALL_STATE(11757)] = 603715,
  [SMALL_STATE(11758)] = 603770,
  [SMALL_STATE(11759)] = 603821,
  [SMALL_STATE(11760)] = 603856,
  [SMALL_STATE(11761)] = 603911,
  [SMALL_STATE(11762)] = 603950,
  [SMALL_STATE(11763)] = 603989,
  [SMALL_STATE(11764)] = 604032,
  [SMALL_STATE(11765)] = 604065,
  [SMALL_STATE(11766)] = 604098,
  [SMALL_STATE(11767)] = 604135,
  [SMALL_STATE(11768)] = 604190,
  [SMALL_STATE(11769)] = 604227,
  [SMALL_STATE(11770)] = 604264,
  [SMALL_STATE(11771)] = 604315,
  [SMALL_STATE(11772)] = 604366,
  [SMALL_STATE(11773)] = 604417,
  [SMALL_STATE(11774)] = 604454,
  [SMALL_STATE(11775)] = 604493,
  [SMALL_STATE(11776)] = 604528,
  [SMALL_STATE(11777)] = 604571,
  [SMALL_STATE(11778)] = 604610,
  [SMALL_STATE(11779)] = 604661,
  [SMALL_STATE(11780)] = 604694,
  [SMALL_STATE(11781)] = 604727,
  [SMALL_STATE(11782)] = 604760,
  [SMALL_STATE(11783)] = 604799,
  [SMALL_STATE(11784)] = 604832,
  [SMALL_STATE(11785)] = 604869,
  [SMALL_STATE(11786)] = 604908,
  [SMALL_STATE(11787)] = 604959,
  [SMALL_STATE(11788)] = 604996,
  [SMALL_STATE(11789)] = 605033,
  [SMALL_STATE(11790)] = 605068,
  [SMALL_STATE(11791)] = 605111,
  [SMALL_STATE(11792)] = 605144,
  [SMALL_STATE(11793)] = 605195,
  [SMALL_STATE(11794)] = 605228,
  [SMALL_STATE(11795)] = 605261,
  [SMALL_STATE(11796)] = 605294,
  [SMALL_STATE(11797)] = 605327,
  [SMALL_STATE(11798)] = 605360,
  [SMALL_STATE(11799)] = 605393,
  [SMALL_STATE(11800)] = 605444,
  [SMALL_STATE(11801)] = 605483,
  [SMALL_STATE(11802)] = 605534,
  [SMALL_STATE(11803)] = 605567,
  [SMALL_STATE(11804)] = 605600,
  [SMALL_STATE(11805)] = 605637,
  [SMALL_STATE(11806)] = 605674,
  [SMALL_STATE(11807)] = 605709,
  [SMALL_STATE(11808)] = 605742,
  [SMALL_STATE(11809)] = 605785,
  [SMALL_STATE(11810)] = 605818,
  [SMALL_STATE(11811)] = 605853,
  [SMALL_STATE(11812)] = 605890,
  [SMALL_STATE(11813)] = 605923,
  [SMALL_STATE(11814)] = 605974,
  [SMALL_STATE(11815)] = 606009,
  [SMALL_STATE(11816)] = 606060,
  [SMALL_STATE(11817)] = 606111,
  [SMALL_STATE(11818)] = 606154,
  [SMALL_STATE(11819)] = 606205,
  [SMALL_STATE(11820)] = 606256,
  [SMALL_STATE(11821)] = 606291,
  [SMALL_STATE(11822)] = 606334,
  [SMALL_STATE(11823)] = 606385,
  [SMALL_STATE(11824)] = 606424,
  [SMALL_STATE(11825)] = 606463,
  [SMALL_STATE(11826)] = 606514,
  [SMALL_STATE(11827)] = 606565,
  [SMALL_STATE(11828)] = 606606,
  [SMALL_STATE(11829)] = 606643,
  [SMALL_STATE(11830)] = 606680,
  [SMALL_STATE(11831)] = 606719,
  [SMALL_STATE(11832)] = 606758,
  [SMALL_STATE(11833)] = 606795,
  [SMALL_STATE(11834)] = 606846,
  [SMALL_STATE(11835)] = 606879,
  [SMALL_STATE(11836)] = 606918,
  [SMALL_STATE(11837)] = 606969,
  [SMALL_STATE(11838)] = 607006,
  [SMALL_STATE(11839)] = 607057,
  [SMALL_STATE(11840)] = 607090,
  [SMALL_STATE(11841)] = 607127,
  [SMALL_STATE(11842)] = 607178,
  [SMALL_STATE(11843)] = 607229,
  [SMALL_STATE(11844)] = 607268,
  [SMALL_STATE(11845)] = 607305,
  [SMALL_STATE(11846)] = 607342,
  [SMALL_STATE(11847)] = 607383,
  [SMALL_STATE(11848)] = 607434,
  [SMALL_STATE(11849)] = 607485,
  [SMALL_STATE(11850)] = 607536,
  [SMALL_STATE(11851)] = 607587,
  [SMALL_STATE(11852)] = 607638,
  [SMALL_STATE(11853)] = 607689,
  [SMALL_STATE(11854)] = 607740,
  [SMALL_STATE(11855)] = 607791,
  [SMALL_STATE(11856)] = 607842,
  [SMALL_STATE(11857)] = 607893,
  [SMALL_STATE(11858)] = 607944,
  [SMALL_STATE(11859)] = 607985,
  [SMALL_STATE(11860)] = 608026,
  [SMALL_STATE(11861)] = 608077,
  [SMALL_STATE(11862)] = 608128,
  [SMALL_STATE(11863)] = 608179,
  [SMALL_STATE(11864)] = 608230,
  [SMALL_STATE(11865)] = 608281,
  [SMALL_STATE(11866)] = 608332,
  [SMALL_STATE(11867)] = 608383,
  [SMALL_STATE(11868)] = 608434,
  [SMALL_STATE(11869)] = 608485,
  [SMALL_STATE(11870)] = 608524,
  [SMALL_STATE(11871)] = 608575,
  [SMALL_STATE(11872)] = 608614,
  [SMALL_STATE(11873)] = 608653,
  [SMALL_STATE(11874)] = 608704,
  [SMALL_STATE(11875)] = 608755,
  [SMALL_STATE(11876)] = 608792,
  [SMALL_STATE(11877)] = 608831,
  [SMALL_STATE(11878)] = 608868,
  [SMALL_STATE(11879)] = 608900,
  [SMALL_STATE(11880)] = 608948,
  [SMALL_STATE(11881)] = 609002,
  [SMALL_STATE(11882)] = 609050,
  [SMALL_STATE(11883)] = 609106,
  [SMALL_STATE(11884)] = 609154,
  [SMALL_STATE(11885)] = 609210,
  [SMALL_STATE(11886)] = 609244,
  [SMALL_STATE(11887)] = 609278,
  [SMALL_STATE(11888)] = 609314,
  [SMALL_STATE(11889)] = 609368,
  [SMALL_STATE(11890)] = 609416,
  [SMALL_STATE(11891)] = 609448,
  [SMALL_STATE(11892)] = 609498,
  [SMALL_STATE(11893)] = 609540,
  [SMALL_STATE(11894)] = 609576,
  [SMALL_STATE(11895)] = 609612,
  [SMALL_STATE(11896)] = 609656,
  [SMALL_STATE(11897)] = 609700,
  [SMALL_STATE(11898)] = 609748,
  [SMALL_STATE(11899)] = 609798,
  [SMALL_STATE(11900)] = 609852,
  [SMALL_STATE(11901)] = 609890,
  [SMALL_STATE(11902)] = 609944,
  [SMALL_STATE(11903)] = 609980,
  [SMALL_STATE(11904)] = 610034,
  [SMALL_STATE(11905)] = 610082,
  [SMALL_STATE(11906)] = 610118,
  [SMALL_STATE(11907)] = 610168,
  [SMALL_STATE(11908)] = 610210,
  [SMALL_STATE(11909)] = 610246,
  [SMALL_STATE(11910)] = 610294,
  [SMALL_STATE(11911)] = 610342,
  [SMALL_STATE(11912)] = 610378,
  [SMALL_STATE(11913)] = 610414,
  [SMALL_STATE(11914)] = 610458,
  [SMALL_STATE(11915)] = 610502,
  [SMALL_STATE(11916)] = 610550,
  [SMALL_STATE(11917)] = 610600,
  [SMALL_STATE(11918)] = 610654,
  [SMALL_STATE(11919)] = 610692,
  [SMALL_STATE(11920)] = 610746,
  [SMALL_STATE(11921)] = 610802,
  [SMALL_STATE(11922)] = 610834,
  [SMALL_STATE(11923)] = 610868,
  [SMALL_STATE(11924)] = 610904,
  [SMALL_STATE(11925)] = 610952,
  [SMALL_STATE(11926)] = 611000,
  [SMALL_STATE(11927)] = 611032,
  [SMALL_STATE(11928)] = 611080,
  [SMALL_STATE(11929)] = 611112,
  [SMALL_STATE(11930)] = 611150,
  [SMALL_STATE(11931)] = 611188,
  [SMALL_STATE(11932)] = 611222,
  [SMALL_STATE(11933)] = 611258,
  [SMALL_STATE(11934)] = 611296,
  [SMALL_STATE(11935)] = 611330,
  [SMALL_STATE(11936)] = 611366,
  [SMALL_STATE(11937)] = 611414,
  [SMALL_STATE(11938)] = 611448,
  [SMALL_STATE(11939)] = 611482,
  [SMALL_STATE(11940)] = 611518,
  [SMALL_STATE(11941)] = 611572,
  [SMALL_STATE(11942)] = 611620,
  [SMALL_STATE(11943)] = 611658,
  [SMALL_STATE(11944)] = 611696,
  [SMALL_STATE(11945)] = 611734,
  [SMALL_STATE(11946)] = 611772,
  [SMALL_STATE(11947)] = 611820,
  [SMALL_STATE(11948)] = 611856,
  [SMALL_STATE(11949)] = 611906,
  [SMALL_STATE(11950)] = 611954,
  [SMALL_STATE(11951)] = 612002,
  [SMALL_STATE(11952)] = 612038,
  [SMALL_STATE(11953)] = 612074,
  [SMALL_STATE(11954)] = 612110,
  [SMALL_STATE(11955)] = 612146,
  [SMALL_STATE(11956)] = 612180,
  [SMALL_STATE(11957)] = 612228,
  [SMALL_STATE(11958)] = 612276,
  [SMALL_STATE(11959)] = 612332,
  [SMALL_STATE(11960)] = 612368,
  [SMALL_STATE(11961)] = 612404,
  [SMALL_STATE(11962)] = 612440,
  [SMALL_STATE(11963)] = 612476,
  [SMALL_STATE(11964)] = 612510,
  [SMALL_STATE(11965)] = 612546,
  [SMALL_STATE(11966)] = 612594,
  [SMALL_STATE(11967)] = 612630,
  [SMALL_STATE(11968)] = 612666,
  [SMALL_STATE(11969)] = 612702,
  [SMALL_STATE(11970)] = 612738,
  [SMALL_STATE(11971)] = 612772,
  [SMALL_STATE(11972)] = 612820,
  [SMALL_STATE(11973)] = 612856,
  [SMALL_STATE(11974)] = 612892,
  [SMALL_STATE(11975)] = 612928,
  [SMALL_STATE(11976)] = 612964,
  [SMALL_STATE(11977)] = 612998,
  [SMALL_STATE(11978)] = 613046,
  [SMALL_STATE(11979)] = 613094,
  [SMALL_STATE(11980)] = 613132,
  [SMALL_STATE(11981)] = 613180,
  [SMALL_STATE(11982)] = 613216,
  [SMALL_STATE(11983)] = 613252,
  [SMALL_STATE(11984)] = 613288,
  [SMALL_STATE(11985)] = 613336,
  [SMALL_STATE(11986)] = 613390,
  [SMALL_STATE(11987)] = 613438,
  [SMALL_STATE(11988)] = 613486,
  [SMALL_STATE(11989)] = 613528,
  [SMALL_STATE(11990)] = 613564,
  [SMALL_STATE(11991)] = 613612,
  [SMALL_STATE(11992)] = 613646,
  [SMALL_STATE(11993)] = 613682,
  [SMALL_STATE(11994)] = 613738,
  [SMALL_STATE(11995)] = 613786,
  [SMALL_STATE(11996)] = 613834,
  [SMALL_STATE(11997)] = 613870,
  [SMALL_STATE(11998)] = 613906,
  [SMALL_STATE(11999)] = 613954,
  [SMALL_STATE(12000)] = 613990,
  [SMALL_STATE(12001)] = 614024,
  [SMALL_STATE(12002)] = 614060,
  [SMALL_STATE(12003)] = 614108,
  [SMALL_STATE(12004)] = 614146,
  [SMALL_STATE(12005)] = 614194,
  [SMALL_STATE(12006)] = 614242,
  [SMALL_STATE(12007)] = 614290,
  [SMALL_STATE(12008)] = 614326,
  [SMALL_STATE(12009)] = 614374,
  [SMALL_STATE(12010)] = 614410,
  [SMALL_STATE(12011)] = 614446,
  [SMALL_STATE(12012)] = 614494,
  [SMALL_STATE(12013)] = 614528,
  [SMALL_STATE(12014)] = 614564,
  [SMALL_STATE(12015)] = 614614,
  [SMALL_STATE(12016)] = 614656,
  [SMALL_STATE(12017)] = 614692,
  [SMALL_STATE(12018)] = 614740,
  [SMALL_STATE(12019)] = 614776,
  [SMALL_STATE(12020)] = 614820,
  [SMALL_STATE(12021)] = 614864,
  [SMALL_STATE(12022)] = 614912,
  [SMALL_STATE(12023)] = 614960,
  [SMALL_STATE(12024)] = 615010,
  [SMALL_STATE(12025)] = 615064,
  [SMALL_STATE(12026)] = 615120,
  [SMALL_STATE(12027)] = 615168,
  [SMALL_STATE(12028)] = 615222,
  [SMALL_STATE(12029)] = 615258,
  [SMALL_STATE(12030)] = 615294,
  [SMALL_STATE(12031)] = 615332,
  [SMALL_STATE(12032)] = 615380,
  [SMALL_STATE(12033)] = 615434,
  [SMALL_STATE(12034)] = 615470,
  [SMALL_STATE(12035)] = 615504,
  [SMALL_STATE(12036)] = 615552,
  [SMALL_STATE(12037)] = 615588,
  [SMALL_STATE(12038)] = 615636,
  [SMALL_STATE(12039)] = 615672,
  [SMALL_STATE(12040)] = 615708,
  [SMALL_STATE(12041)] = 615744,
  [SMALL_STATE(12042)] = 615792,
  [SMALL_STATE(12043)] = 615846,
  [SMALL_STATE(12044)] = 615882,
  [SMALL_STATE(12045)] = 615916,
  [SMALL_STATE(12046)] = 615964,
  [SMALL_STATE(12047)] = 616012,
  [SMALL_STATE(12048)] = 616060,
  [SMALL_STATE(12049)] = 616108,
  [SMALL_STATE(12050)] = 616156,
  [SMALL_STATE(12051)] = 616188,
  [SMALL_STATE(12052)] = 616236,
  [SMALL_STATE(12053)] = 616284,
  [SMALL_STATE(12054)] = 616318,
  [SMALL_STATE(12055)] = 616366,
  [SMALL_STATE(12056)] = 616408,
  [SMALL_STATE(12057)] = 616444,
  [SMALL_STATE(12058)] = 616494,
  [SMALL_STATE(12059)] = 616536,
  [SMALL_STATE(12060)] = 616572,
  [SMALL_STATE(12061)] = 616608,
  [SMALL_STATE(12062)] = 616652,
  [SMALL_STATE(12063)] = 616696,
  [SMALL_STATE(12064)] = 616744,
  [SMALL_STATE(12065)] = 616792,
  [SMALL_STATE(12066)] = 616826,
  [SMALL_STATE(12067)] = 616858,
  [SMALL_STATE(12068)] = 616908,
  [SMALL_STATE(12069)] = 616956,
  [SMALL_STATE(12070)] = 617010,
  [SMALL_STATE(12071)] = 617048,
  [SMALL_STATE(12072)] = 617080,
  [SMALL_STATE(12073)] = 617130,
  [SMALL_STATE(12074)] = 617172,
  [SMALL_STATE(12075)] = 617208,
  [SMALL_STATE(12076)] = 617244,
  [SMALL_STATE(12077)] = 617298,
  [SMALL_STATE(12078)] = 617346,
  [SMALL_STATE(12079)] = 617390,
  [SMALL_STATE(12080)] = 617434,
  [SMALL_STATE(12081)] = 617482,
  [SMALL_STATE(12082)] = 617518,
  [SMALL_STATE(12083)] = 617568,
  [SMALL_STATE(12084)] = 617616,
  [SMALL_STATE(12085)] = 617670,
  [SMALL_STATE(12086)] = 617708,
  [SMALL_STATE(12087)] = 617762,
  [SMALL_STATE(12088)] = 617816,
  [SMALL_STATE(12089)] = 617864,
  [SMALL_STATE(12090)] = 617896,
  [SMALL_STATE(12091)] = 617956,
  [SMALL_STATE(12092)] = 617992,
  [SMALL_STATE(12093)] = 618028,
  [SMALL_STATE(12094)] = 618064,
  [SMALL_STATE(12095)] = 618100,
  [SMALL_STATE(12096)] = 618148,
  [SMALL_STATE(12097)] = 618184,
  [SMALL_STATE(12098)] = 618238,
  [SMALL_STATE(12099)] = 618298,
  [SMALL_STATE(12100)] = 618334,
  [SMALL_STATE(12101)] = 618366,
  [SMALL_STATE(12102)] = 618402,
  [SMALL_STATE(12103)] = 618438,
  [SMALL_STATE(12104)] = 618488,
  [SMALL_STATE(12105)] = 618548,
  [SMALL_STATE(12106)] = 618590,
  [SMALL_STATE(12107)] = 618640,
  [SMALL_STATE(12108)] = 618682,
  [SMALL_STATE(12109)] = 618718,
  [SMALL_STATE(12110)] = 618754,
  [SMALL_STATE(12111)] = 618798,
  [SMALL_STATE(12112)] = 618858,
  [SMALL_STATE(12113)] = 618912,
  [SMALL_STATE(12114)] = 618956,
  [SMALL_STATE(12115)] = 618988,
  [SMALL_STATE(12116)] = 619036,
  [SMALL_STATE(12117)] = 619086,
  [SMALL_STATE(12118)] = 619140,
  [SMALL_STATE(12119)] = 619178,
  [SMALL_STATE(12120)] = 619232,
  [SMALL_STATE(12121)] = 619268,
  [SMALL_STATE(12122)] = 619322,
  [SMALL_STATE(12123)] = 619356,
  [SMALL_STATE(12124)] = 619392,
  [SMALL_STATE(12125)] = 619428,
  [SMALL_STATE(12126)] = 619464,
  [SMALL_STATE(12127)] = 619498,
  [SMALL_STATE(12128)] = 619532,
  [SMALL_STATE(12129)] = 619568,
  [SMALL_STATE(12130)] = 619600,
  [SMALL_STATE(12131)] = 619656,
  [SMALL_STATE(12132)] = 619706,
  [SMALL_STATE(12133)] = 619742,
  [SMALL_STATE(12134)] = 619778,
  [SMALL_STATE(12135)] = 619826,
  [SMALL_STATE(12136)] = 619862,
  [SMALL_STATE(12137)] = 619896,
  [SMALL_STATE(12138)] = 619932,
  [SMALL_STATE(12139)] = 619990,
  [SMALL_STATE(12140)] = 620026,
  [SMALL_STATE(12141)] = 620058,
  [SMALL_STATE(12142)] = 620106,
  [SMALL_STATE(12143)] = 620142,
  [SMALL_STATE(12144)] = 620178,
  [SMALL_STATE(12145)] = 620212,
  [SMALL_STATE(12146)] = 620248,
  [SMALL_STATE(12147)] = 620302,
  [SMALL_STATE(12148)] = 620338,
  [SMALL_STATE(12149)] = 620374,
  [SMALL_STATE(12150)] = 620410,
  [SMALL_STATE(12151)] = 620446,
  [SMALL_STATE(12152)] = 620482,
  [SMALL_STATE(12153)] = 620518,
  [SMALL_STATE(12154)] = 620552,
  [SMALL_STATE(12155)] = 620600,
  [SMALL_STATE(12156)] = 620634,
  [SMALL_STATE(12157)] = 620670,
  [SMALL_STATE(12158)] = 620728,
  [SMALL_STATE(12159)] = 620760,
  [SMALL_STATE(12160)] = 620810,
  [SMALL_STATE(12161)] = 620852,
  [SMALL_STATE(12162)] = 620888,
  [SMALL_STATE(12163)] = 620924,
  [SMALL_STATE(12164)] = 620968,
  [SMALL_STATE(12165)] = 621012,
  [SMALL_STATE(12166)] = 621060,
  [SMALL_STATE(12167)] = 621096,
  [SMALL_STATE(12168)] = 621132,
  [SMALL_STATE(12169)] = 621166,
  [SMALL_STATE(12170)] = 621202,
  [SMALL_STATE(12171)] = 621238,
  [SMALL_STATE(12172)] = 621288,
  [SMALL_STATE(12173)] = 621342,
  [SMALL_STATE(12174)] = 621378,
  [SMALL_STATE(12175)] = 621414,
  [SMALL_STATE(12176)] = 621448,
  [SMALL_STATE(12177)] = 621484,
  [SMALL_STATE(12178)] = 621520,
  [SMALL_STATE(12179)] = 621558,
  [SMALL_STATE(12180)] = 621612,
  [SMALL_STATE(12181)] = 621648,
  [SMALL_STATE(12182)] = 621702,
  [SMALL_STATE(12183)] = 621738,
  [SMALL_STATE(12184)] = 621774,
  [SMALL_STATE(12185)] = 621810,
  [SMALL_STATE(12186)] = 621846,
  [SMALL_STATE(12187)] = 621882,
  [SMALL_STATE(12188)] = 621918,
  [SMALL_STATE(12189)] = 621966,
  [SMALL_STATE(12190)] = 622021,
  [SMALL_STATE(12191)] = 622070,
  [SMALL_STATE(12192)] = 622125,
  [SMALL_STATE(12193)] = 622166,
  [SMALL_STATE(12194)] = 622221,
  [SMALL_STATE(12195)] = 622262,
  [SMALL_STATE(12196)] = 622317,
  [SMALL_STATE(12197)] = 622372,
  [SMALL_STATE(12198)] = 622407,
  [SMALL_STATE(12199)] = 622450,
  [SMALL_STATE(12200)] = 622483,
  [SMALL_STATE(12201)] = 622514,
  [SMALL_STATE(12202)] = 622569,
  [SMALL_STATE(12203)] = 622604,
  [SMALL_STATE(12204)] = 622637,
  [SMALL_STATE(12205)] = 622670,
  [SMALL_STATE(12206)] = 622705,
  [SMALL_STATE(12207)] = 622740,
  [SMALL_STATE(12208)] = 622781,
  [SMALL_STATE(12209)] = 622816,
  [SMALL_STATE(12210)] = 622851,
  [SMALL_STATE(12211)] = 622906,
  [SMALL_STATE(12212)] = 622941,
  [SMALL_STATE(12213)] = 622974,
  [SMALL_STATE(12214)] = 623009,
  [SMALL_STATE(12215)] = 623050,
  [SMALL_STATE(12216)] = 623089,
  [SMALL_STATE(12217)] = 623122,
  [SMALL_STATE(12218)] = 623175,
  [SMALL_STATE(12219)] = 623224,
  [SMALL_STATE(12220)] = 623265,
  [SMALL_STATE(12221)] = 623300,
  [SMALL_STATE(12222)] = 623335,
  [SMALL_STATE(12223)] = 623378,
  [SMALL_STATE(12224)] = 623431,
  [SMALL_STATE(12225)] = 623464,
  [SMALL_STATE(12226)] = 623507,
  [SMALL_STATE(12227)] = 623562,
  [SMALL_STATE(12228)] = 623597,
  [SMALL_STATE(12229)] = 623632,
  [SMALL_STATE(12230)] = 623687,
  [SMALL_STATE(12231)] = 623720,
  [SMALL_STATE(12232)] = 623767,
  [SMALL_STATE(12233)] = 623822,
  [SMALL_STATE(12234)] = 623877,
  [SMALL_STATE(12235)] = 623908,
  [SMALL_STATE(12236)] = 623959,
  [SMALL_STATE(12237)] = 624012,
  [SMALL_STATE(12238)] = 624053,
  [SMALL_STATE(12239)] = 624102,
  [SMALL_STATE(12240)] = 624143,
  [SMALL_STATE(12241)] = 624196,
  [SMALL_STATE(12242)] = 624231,
  [SMALL_STATE(12243)] = 624272,
  [SMALL_STATE(12244)] = 624303,
  [SMALL_STATE(12245)] = 624358,
  [SMALL_STATE(12246)] = 624401,
  [SMALL_STATE(12247)] = 624438,
  [SMALL_STATE(12248)] = 624473,
  [SMALL_STATE(12249)] = 624526,
  [SMALL_STATE(12250)] = 624581,
  [SMALL_STATE(12251)] = 624614,
  [SMALL_STATE(12252)] = 624669,
  [SMALL_STATE(12253)] = 624704,
  [SMALL_STATE(12254)] = 624759,
  [SMALL_STATE(12255)] = 624814,
  [SMALL_STATE(12256)] = 624855,
  [SMALL_STATE(12257)] = 624910,
  [SMALL_STATE(12258)] = 624951,
  [SMALL_STATE(12259)] = 624986,
  [SMALL_STATE(12260)] = 625021,
  [SMALL_STATE(12261)] = 625074,
  [SMALL_STATE(12262)] = 625109,
  [SMALL_STATE(12263)] = 625140,
  [SMALL_STATE(12264)] = 625189,
  [SMALL_STATE(12265)] = 625242,
  [SMALL_STATE(12266)] = 625277,
  [SMALL_STATE(12267)] = 625332,
  [SMALL_STATE(12268)] = 625363,
  [SMALL_STATE(12269)] = 625404,
  [SMALL_STATE(12270)] = 625459,
  [SMALL_STATE(12271)] = 625514,
  [SMALL_STATE(12272)] = 625557,
  [SMALL_STATE(12273)] = 625588,
  [SMALL_STATE(12274)] = 625619,
  [SMALL_STATE(12275)] = 625650,
  [SMALL_STATE(12276)] = 625705,
  [SMALL_STATE(12277)] = 625760,
  [SMALL_STATE(12278)] = 625795,
  [SMALL_STATE(12279)] = 625826,
  [SMALL_STATE(12280)] = 625867,
  [SMALL_STATE(12281)] = 625908,
  [SMALL_STATE(12282)] = 625943,
  [SMALL_STATE(12283)] = 625978,
  [SMALL_STATE(12284)] = 626021,
  [SMALL_STATE(12285)] = 626054,
  [SMALL_STATE(12286)] = 626097,
  [SMALL_STATE(12287)] = 626144,
  [SMALL_STATE(12288)] = 626193,
  [SMALL_STATE(12289)] = 626246,
  [SMALL_STATE(12290)] = 626283,
  [SMALL_STATE(12291)] = 626336,
  [SMALL_STATE(12292)] = 626385,
  [SMALL_STATE(12293)] = 626440,
  [SMALL_STATE(12294)] = 626487,
  [SMALL_STATE(12295)] = 626528,
  [SMALL_STATE(12296)] = 626575,
  [SMALL_STATE(12297)] = 626616,
  [SMALL_STATE(12298)] = 626651,
  [SMALL_STATE(12299)] = 626686,
  [SMALL_STATE(12300)] = 626729,
  [SMALL_STATE(12301)] = 626772,
  [SMALL_STATE(12302)] = 626819,
  [SMALL_STATE(12303)] = 626866,
  [SMALL_STATE(12304)] = 626917,
  [SMALL_STATE(12305)] = 626954,
  [SMALL_STATE(12306)] = 627005,
  [SMALL_STATE(12307)] = 627040,
  [SMALL_STATE(12308)] = 627073,
  [SMALL_STATE(12309)] = 627108,
  [SMALL_STATE(12310)] = 627163,
  [SMALL_STATE(12311)] = 627214,
  [SMALL_STATE(12312)] = 627255,
  [SMALL_STATE(12313)] = 627310,
  [SMALL_STATE(12314)] = 627361,
  [SMALL_STATE(12315)] = 627416,
  [SMALL_STATE(12316)] = 627471,
  [SMALL_STATE(12317)] = 627504,
  [SMALL_STATE(12318)] = 627545,
  [SMALL_STATE(12319)] = 627594,
  [SMALL_STATE(12320)] = 627649,
  [SMALL_STATE(12321)] = 627690,
  [SMALL_STATE(12322)] = 627725,
  [SMALL_STATE(12323)] = 627778,
  [SMALL_STATE(12324)] = 627833,
  [SMALL_STATE(12325)] = 627886,
  [SMALL_STATE(12326)] = 627941,
  [SMALL_STATE(12327)] = 627996,
  [SMALL_STATE(12328)] = 628051,
  [SMALL_STATE(12329)] = 628092,
  [SMALL_STATE(12330)] = 628147,
  [SMALL_STATE(12331)] = 628188,
  [SMALL_STATE(12332)] = 628243,
  [SMALL_STATE(12333)] = 628298,
  [SMALL_STATE(12334)] = 628333,
  [SMALL_STATE(12335)] = 628368,
  [SMALL_STATE(12336)] = 628423,
  [SMALL_STATE(12337)] = 628454,
  [SMALL_STATE(12338)] = 628487,
  [SMALL_STATE(12339)] = 628518,
  [SMALL_STATE(12340)] = 628549,
  [SMALL_STATE(12341)] = 628590,
  [SMALL_STATE(12342)] = 628621,
  [SMALL_STATE(12343)] = 628668,
  [SMALL_STATE(12344)] = 628703,
  [SMALL_STATE(12345)] = 628738,
  [SMALL_STATE(12346)] = 628769,
  [SMALL_STATE(12347)] = 628824,
  [SMALL_STATE(12348)] = 628867,
  [SMALL_STATE(12349)] = 628914,
  [SMALL_STATE(12350)] = 628945,
  [SMALL_STATE(12351)] = 628980,
  [SMALL_STATE(12352)] = 629013,
  [SMALL_STATE(12353)] = 629044,
  [SMALL_STATE(12354)] = 629075,
  [SMALL_STATE(12355)] = 629116,
  [SMALL_STATE(12356)] = 629149,
  [SMALL_STATE(12357)] = 629196,
  [SMALL_STATE(12358)] = 629237,
  [SMALL_STATE(12359)] = 629278,
  [SMALL_STATE(12360)] = 629309,
  [SMALL_STATE(12361)] = 629340,
  [SMALL_STATE(12362)] = 629371,
  [SMALL_STATE(12363)] = 629402,
  [SMALL_STATE(12364)] = 629433,
  [SMALL_STATE(12365)] = 629468,
  [SMALL_STATE(12366)] = 629499,
  [SMALL_STATE(12367)] = 629540,
  [SMALL_STATE(12368)] = 629581,
  [SMALL_STATE(12369)] = 629622,
  [SMALL_STATE(12370)] = 629677,
  [SMALL_STATE(12371)] = 629718,
  [SMALL_STATE(12372)] = 629749,
  [SMALL_STATE(12373)] = 629784,
  [SMALL_STATE(12374)] = 629815,
  [SMALL_STATE(12375)] = 629856,
  [SMALL_STATE(12376)] = 629889,
  [SMALL_STATE(12377)] = 629920,
  [SMALL_STATE(12378)] = 629975,
  [SMALL_STATE(12379)] = 630006,
  [SMALL_STATE(12380)] = 630037,
  [SMALL_STATE(12381)] = 630090,
  [SMALL_STATE(12382)] = 630137,
  [SMALL_STATE(12383)] = 630192,
  [SMALL_STATE(12384)] = 630229,
  [SMALL_STATE(12385)] = 630270,
  [SMALL_STATE(12386)] = 630325,
  [SMALL_STATE(12387)] = 630360,
  [SMALL_STATE(12388)] = 630391,
  [SMALL_STATE(12389)] = 630444,
  [SMALL_STATE(12390)] = 630479,
  [SMALL_STATE(12391)] = 630516,
  [SMALL_STATE(12392)] = 630557,
  [SMALL_STATE(12393)] = 630612,
  [SMALL_STATE(12394)] = 630655,
  [SMALL_STATE(12395)] = 630696,
  [SMALL_STATE(12396)] = 630731,
  [SMALL_STATE(12397)] = 630774,
  [SMALL_STATE(12398)] = 630821,
  [SMALL_STATE(12399)] = 630876,
  [SMALL_STATE(12400)] = 630917,
  [SMALL_STATE(12401)] = 630964,
  [SMALL_STATE(12402)] = 630999,
  [SMALL_STATE(12403)] = 631050,
  [SMALL_STATE(12404)] = 631085,
  [SMALL_STATE(12405)] = 631138,
  [SMALL_STATE(12406)] = 631175,
  [SMALL_STATE(12407)] = 631210,
  [SMALL_STATE(12408)] = 631245,
  [SMALL_STATE(12409)] = 631296,
  [SMALL_STATE(12410)] = 631347,
  [SMALL_STATE(12411)] = 631382,
  [SMALL_STATE(12412)] = 631437,
  [SMALL_STATE(12413)] = 631470,
  [SMALL_STATE(12414)] = 631501,
  [SMALL_STATE(12415)] = 631532,
  [SMALL_STATE(12416)] = 631571,
  [SMALL_STATE(12417)] = 631612,
  [SMALL_STATE(12418)] = 631647,
  [SMALL_STATE(12419)] = 631678,
  [SMALL_STATE(12420)] = 631711,
  [SMALL_STATE(12421)] = 631752,
  [SMALL_STATE(12422)] = 631783,
  [SMALL_STATE(12423)] = 631826,
  [SMALL_STATE(12424)] = 631857,
  [SMALL_STATE(12425)] = 631912,
  [SMALL_STATE(12426)] = 631965,
  [SMALL_STATE(12427)] = 632006,
  [SMALL_STATE(12428)] = 632049,
  [SMALL_STATE(12429)] = 632104,
  [SMALL_STATE(12430)] = 632159,
  [SMALL_STATE(12431)] = 632190,
  [SMALL_STATE(12432)] = 632245,
  [SMALL_STATE(12433)] = 632286,
  [SMALL_STATE(12434)] = 632335,
  [SMALL_STATE(12435)] = 632376,
  [SMALL_STATE(12436)] = 632431,
  [SMALL_STATE(12437)] = 632472,
  [SMALL_STATE(12438)] = 632503,
  [SMALL_STATE(12439)] = 632544,
  [SMALL_STATE(12440)] = 632587,
  [SMALL_STATE(12441)] = 632642,
  [SMALL_STATE(12442)] = 632697,
  [SMALL_STATE(12443)] = 632738,
  [SMALL_STATE(12444)] = 632793,
  [SMALL_STATE(12445)] = 632848,
  [SMALL_STATE(12446)] = 632901,
  [SMALL_STATE(12447)] = 632948,
  [SMALL_STATE(12448)] = 632989,
  [SMALL_STATE(12449)] = 633024,
  [SMALL_STATE(12450)] = 633059,
  [SMALL_STATE(12451)] = 633114,
  [SMALL_STATE(12452)] = 633149,
  [SMALL_STATE(12453)] = 633184,
  [SMALL_STATE(12454)] = 633219,
  [SMALL_STATE(12455)] = 633250,
  [SMALL_STATE(12456)] = 633305,
  [SMALL_STATE(12457)] = 633346,
  [SMALL_STATE(12458)] = 633393,
  [SMALL_STATE(12459)] = 633434,
  [SMALL_STATE(12460)] = 633489,
  [SMALL_STATE(12461)] = 633522,
  [SMALL_STATE(12462)] = 633575,
  [SMALL_STATE(12463)] = 633630,
  [SMALL_STATE(12464)] = 633671,
  [SMALL_STATE(12465)] = 633712,
  [SMALL_STATE(12466)] = 633767,
  [SMALL_STATE(12467)] = 633798,
  [SMALL_STATE(12468)] = 633849,
  [SMALL_STATE(12469)] = 633882,
  [SMALL_STATE(12470)] = 633937,
  [SMALL_STATE(12471)] = 633972,
  [SMALL_STATE(12472)] = 634013,
  [SMALL_STATE(12473)] = 634046,
  [SMALL_STATE(12474)] = 634087,
  [SMALL_STATE(12475)] = 634128,
  [SMALL_STATE(12476)] = 634163,
  [SMALL_STATE(12477)] = 634194,
  [SMALL_STATE(12478)] = 634235,
  [SMALL_STATE(12479)] = 634290,
  [SMALL_STATE(12480)] = 634333,
  [SMALL_STATE(12481)] = 634368,
  [SMALL_STATE(12482)] = 634401,
  [SMALL_STATE(12483)] = 634456,
  [SMALL_STATE(12484)] = 634499,
  [SMALL_STATE(12485)] = 634542,
  [SMALL_STATE(12486)] = 634583,
  [SMALL_STATE(12487)] = 634614,
  [SMALL_STATE(12488)] = 634651,
  [SMALL_STATE(12489)] = 634694,
  [SMALL_STATE(12490)] = 634725,
  [SMALL_STATE(12491)] = 634756,
  [SMALL_STATE(12492)] = 634797,
  [SMALL_STATE(12493)] = 634830,
  [SMALL_STATE(12494)] = 634865,
  [SMALL_STATE(12495)] = 634912,
  [SMALL_STATE(12496)] = 634945,
  [SMALL_STATE(12497)] = 635000,
  [SMALL_STATE(12498)] = 635031,
  [SMALL_STATE(12499)] = 635084,
  [SMALL_STATE(12500)] = 635115,
  [SMALL_STATE(12501)] = 635170,
  [SMALL_STATE(12502)] = 635211,
  [SMALL_STATE(12503)] = 635244,
  [SMALL_STATE(12504)] = 635287,
  [SMALL_STATE(12505)] = 635328,
  [SMALL_STATE(12506)] = 635383,
  [SMALL_STATE(12507)] = 635424,
  [SMALL_STATE(12508)] = 635457,
  [SMALL_STATE(12509)] = 635512,
  [SMALL_STATE(12510)] = 635567,
  [SMALL_STATE(12511)] = 635618,
  [SMALL_STATE(12512)] = 635673,
  [SMALL_STATE(12513)] = 635720,
  [SMALL_STATE(12514)] = 635753,
  [SMALL_STATE(12515)] = 635808,
  [SMALL_STATE(12516)] = 635863,
  [SMALL_STATE(12517)] = 635906,
  [SMALL_STATE(12518)] = 635959,
  [SMALL_STATE(12519)] = 636014,
  [SMALL_STATE(12520)] = 636065,
  [SMALL_STATE(12521)] = 636120,
  [SMALL_STATE(12522)] = 636161,
  [SMALL_STATE(12523)] = 636216,
  [SMALL_STATE(12524)] = 636249,
  [SMALL_STATE(12525)] = 636280,
  [SMALL_STATE(12526)] = 636327,
  [SMALL_STATE(12527)] = 636360,
  [SMALL_STATE(12528)] = 636401,
  [SMALL_STATE(12529)] = 636444,
  [SMALL_STATE(12530)] = 636475,
  [SMALL_STATE(12531)] = 636516,
  [SMALL_STATE(12532)] = 636547,
  [SMALL_STATE(12533)] = 636596,
  [SMALL_STATE(12534)] = 636651,
  [SMALL_STATE(12535)] = 636706,
  [SMALL_STATE(12536)] = 636747,
  [SMALL_STATE(12537)] = 636802,
  [SMALL_STATE(12538)] = 636837,
  [SMALL_STATE(12539)] = 636872,
  [SMALL_STATE(12540)] = 636907,
  [SMALL_STATE(12541)] = 636942,
  [SMALL_STATE(12542)] = 636975,
  [SMALL_STATE(12543)] = 637024,
  [SMALL_STATE(12544)] = 637079,
  [SMALL_STATE(12545)] = 637120,
  [SMALL_STATE(12546)] = 637173,
  [SMALL_STATE(12547)] = 637228,
  [SMALL_STATE(12548)] = 637283,
  [SMALL_STATE(12549)] = 637338,
  [SMALL_STATE(12550)] = 637389,
  [SMALL_STATE(12551)] = 637424,
  [SMALL_STATE(12552)] = 637477,
  [SMALL_STATE(12553)] = 637510,
  [SMALL_STATE(12554)] = 637551,
  [SMALL_STATE(12555)] = 637606,
  [SMALL_STATE(12556)] = 637661,
  [SMALL_STATE(12557)] = 637696,
  [SMALL_STATE(12558)] = 637731,
  [SMALL_STATE(12559)] = 637772,
  [SMALL_STATE(12560)] = 637827,
  [SMALL_STATE(12561)] = 637858,
  [SMALL_STATE(12562)] = 637891,
  [SMALL_STATE(12563)] = 637946,
  [SMALL_STATE(12564)] = 637987,
  [SMALL_STATE(12565)] = 638024,
  [SMALL_STATE(12566)] = 638079,
  [SMALL_STATE(12567)] = 638126,
  [SMALL_STATE(12568)] = 638177,
  [SMALL_STATE(12569)] = 638230,
  [SMALL_STATE(12570)] = 638261,
  [SMALL_STATE(12571)] = 638310,
  [SMALL_STATE(12572)] = 638365,
  [SMALL_STATE(12573)] = 638398,
  [SMALL_STATE(12574)] = 638429,
  [SMALL_STATE(12575)] = 638484,
  [SMALL_STATE(12576)] = 638525,
  [SMALL_STATE(12577)] = 638578,
  [SMALL_STATE(12578)] = 638629,
  [SMALL_STATE(12579)] = 638664,
  [SMALL_STATE(12580)] = 638705,
  [SMALL_STATE(12581)] = 638742,
  [SMALL_STATE(12582)] = 638797,
  [SMALL_STATE(12583)] = 638832,
  [SMALL_STATE(12584)] = 638887,
  [SMALL_STATE(12585)] = 638924,
  [SMALL_STATE(12586)] = 638965,
  [SMALL_STATE(12587)] = 638998,
  [SMALL_STATE(12588)] = 639049,
  [SMALL_STATE(12589)] = 639090,
  [SMALL_STATE(12590)] = 639145,
  [SMALL_STATE(12591)] = 639200,
  [SMALL_STATE(12592)] = 639235,
  [SMALL_STATE(12593)] = 639284,
  [SMALL_STATE(12594)] = 639335,
  [SMALL_STATE(12595)] = 639378,
  [SMALL_STATE(12596)] = 639433,
  [SMALL_STATE(12597)] = 639468,
  [SMALL_STATE(12598)] = 639499,
  [SMALL_STATE(12599)] = 639540,
  [SMALL_STATE(12600)] = 639595,
  [SMALL_STATE(12601)] = 639630,
  [SMALL_STATE(12602)] = 639662,
  [SMALL_STATE(12603)] = 639710,
  [SMALL_STATE(12604)] = 639742,
  [SMALL_STATE(12605)] = 639790,
  [SMALL_STATE(12606)] = 639830,
  [SMALL_STATE(12607)] = 639870,
  [SMALL_STATE(12608)] = 639910,
  [SMALL_STATE(12609)] = 639960,
  [SMALL_STATE(12610)] = 640008,
  [SMALL_STATE(12611)] = 640056,
  [SMALL_STATE(12612)] = 640086,
  [SMALL_STATE(12613)] = 640134,
  [SMALL_STATE(12614)] = 640166,
  [SMALL_STATE(12615)] = 640212,
  [SMALL_STATE(12616)] = 640258,
  [SMALL_STATE(12617)] = 640288,
  [SMALL_STATE(12618)] = 640318,
  [SMALL_STATE(12619)] = 640350,
  [SMALL_STATE(12620)] = 640398,
  [SMALL_STATE(12621)] = 640450,
  [SMALL_STATE(12622)] = 640482,
  [SMALL_STATE(12623)] = 640510,
  [SMALL_STATE(12624)] = 640556,
  [SMALL_STATE(12625)] = 640604,
  [SMALL_STATE(12626)] = 640658,
  [SMALL_STATE(12627)] = 640688,
  [SMALL_STATE(12628)] = 640734,
  [SMALL_STATE(12629)] = 640774,
  [SMALL_STATE(12630)] = 640808,
  [SMALL_STATE(12631)] = 640842,
  [SMALL_STATE(12632)] = 640884,
  [SMALL_STATE(12633)] = 640926,
  [SMALL_STATE(12634)] = 640972,
  [SMALL_STATE(12635)] = 641020,
  [SMALL_STATE(12636)] = 641066,
  [SMALL_STATE(12637)] = 641116,
  [SMALL_STATE(12638)] = 641164,
  [SMALL_STATE(12639)] = 641216,
  [SMALL_STATE(12640)] = 641264,
  [SMALL_STATE(12641)] = 641300,
  [SMALL_STATE(12642)] = 641350,
  [SMALL_STATE(12643)] = 641398,
  [SMALL_STATE(12644)] = 641446,
  [SMALL_STATE(12645)] = 641476,
  [SMALL_STATE(12646)] = 641528,
  [SMALL_STATE(12647)] = 641558,
  [SMALL_STATE(12648)] = 641588,
  [SMALL_STATE(12649)] = 641620,
  [SMALL_STATE(12650)] = 641670,
  [SMALL_STATE(12651)] = 641700,
  [SMALL_STATE(12652)] = 641752,
  [SMALL_STATE(12653)] = 641800,
  [SMALL_STATE(12654)] = 641832,
  [SMALL_STATE(12655)] = 641872,
  [SMALL_STATE(12656)] = 641918,
  [SMALL_STATE(12657)] = 641966,
  [SMALL_STATE(12658)] = 642014,
  [SMALL_STATE(12659)] = 642054,
  [SMALL_STATE(12660)] = 642088,
  [SMALL_STATE(12661)] = 642134,
  [SMALL_STATE(12662)] = 642168,
  [SMALL_STATE(12663)] = 642198,
  [SMALL_STATE(12664)] = 642250,
  [SMALL_STATE(12665)] = 642278,
  [SMALL_STATE(12666)] = 642310,
  [SMALL_STATE(12667)] = 642338,
  [SMALL_STATE(12668)] = 642380,
  [SMALL_STATE(12669)] = 642422,
  [SMALL_STATE(12670)] = 642470,
  [SMALL_STATE(12671)] = 642516,
  [SMALL_STATE(12672)] = 642568,
  [SMALL_STATE(12673)] = 642616,
  [SMALL_STATE(12674)] = 642646,
  [SMALL_STATE(12675)] = 642694,
  [SMALL_STATE(12676)] = 642724,
  [SMALL_STATE(12677)] = 642754,
  [SMALL_STATE(12678)] = 642790,
  [SMALL_STATE(12679)] = 642818,
  [SMALL_STATE(12680)] = 642848,
  [SMALL_STATE(12681)] = 642900,
  [SMALL_STATE(12682)] = 642950,
  [SMALL_STATE(12683)] = 642980,
  [SMALL_STATE(12684)] = 643028,
  [SMALL_STATE(12685)] = 643058,
  [SMALL_STATE(12686)] = 643090,
  [SMALL_STATE(12687)] = 643136,
  [SMALL_STATE(12688)] = 643166,
  [SMALL_STATE(12689)] = 643196,
  [SMALL_STATE(12690)] = 643250,
  [SMALL_STATE(12691)] = 643298,
  [SMALL_STATE(12692)] = 643346,
  [SMALL_STATE(12693)] = 643396,
  [SMALL_STATE(12694)] = 643446,
  [SMALL_STATE(12695)] = 643482,
  [SMALL_STATE(12696)] = 643532,
  [SMALL_STATE(12697)] = 643562,
  [SMALL_STATE(12698)] = 643592,
  [SMALL_STATE(12699)] = 643632,
  [SMALL_STATE(12700)] = 643680,
  [SMALL_STATE(12701)] = 643728,
  [SMALL_STATE(12702)] = 643758,
  [SMALL_STATE(12703)] = 643788,
  [SMALL_STATE(12704)] = 643836,
  [SMALL_STATE(12705)] = 643868,
  [SMALL_STATE(12706)] = 643920,
  [SMALL_STATE(12707)] = 643970,
  [SMALL_STATE(12708)] = 644002,
  [SMALL_STATE(12709)] = 644050,
  [SMALL_STATE(12710)] = 644102,
  [SMALL_STATE(12711)] = 644148,
  [SMALL_STATE(12712)] = 644180,
  [SMALL_STATE(12713)] = 644234,
  [SMALL_STATE(12714)] = 644266,
  [SMALL_STATE(12715)] = 644298,
  [SMALL_STATE(12716)] = 644346,
  [SMALL_STATE(12717)] = 644376,
  [SMALL_STATE(12718)] = 644406,
  [SMALL_STATE(12719)] = 644438,
  [SMALL_STATE(12720)] = 644488,
  [SMALL_STATE(12721)] = 644536,
  [SMALL_STATE(12722)] = 644586,
  [SMALL_STATE(12723)] = 644634,
  [SMALL_STATE(12724)] = 644682,
  [SMALL_STATE(12725)] = 644714,
  [SMALL_STATE(12726)] = 644746,
  [SMALL_STATE(12727)] = 644792,
  [SMALL_STATE(12728)] = 644822,
  [SMALL_STATE(12729)] = 644854,
  [SMALL_STATE(12730)] = 644904,
  [SMALL_STATE(12731)] = 644944,
  [SMALL_STATE(12732)] = 644974,
  [SMALL_STATE(12733)] = 645022,
  [SMALL_STATE(12734)] = 645056,
  [SMALL_STATE(12735)] = 645088,
  [SMALL_STATE(12736)] = 645120,
  [SMALL_STATE(12737)] = 645160,
  [SMALL_STATE(12738)] = 645208,
  [SMALL_STATE(12739)] = 645246,
  [SMALL_STATE(12740)] = 645294,
  [SMALL_STATE(12741)] = 645328,
  [SMALL_STATE(12742)] = 645358,
  [SMALL_STATE(12743)] = 645400,
  [SMALL_STATE(12744)] = 645454,
  [SMALL_STATE(12745)] = 645486,
  [SMALL_STATE(12746)] = 645534,
  [SMALL_STATE(12747)] = 645576,
  [SMALL_STATE(12748)] = 645606,
  [SMALL_STATE(12749)] = 645654,
  [SMALL_STATE(12750)] = 645684,
  [SMALL_STATE(12751)] = 645734,
  [SMALL_STATE(12752)] = 645764,
  [SMALL_STATE(12753)] = 645796,
  [SMALL_STATE(12754)] = 645826,
  [SMALL_STATE(12755)] = 645866,
  [SMALL_STATE(12756)] = 645896,
  [SMALL_STATE(12757)] = 645926,
  [SMALL_STATE(12758)] = 645956,
  [SMALL_STATE(12759)] = 645986,
  [SMALL_STATE(12760)] = 646032,
  [SMALL_STATE(12761)] = 646080,
  [SMALL_STATE(12762)] = 646112,
  [SMALL_STATE(12763)] = 646160,
  [SMALL_STATE(12764)] = 646208,
  [SMALL_STATE(12765)] = 646254,
  [SMALL_STATE(12766)] = 646294,
  [SMALL_STATE(12767)] = 646328,
  [SMALL_STATE(12768)] = 646362,
  [SMALL_STATE(12769)] = 646404,
  [SMALL_STATE(12770)] = 646452,
  [SMALL_STATE(12771)] = 646494,
  [SMALL_STATE(12772)] = 646540,
  [SMALL_STATE(12773)] = 646586,
  [SMALL_STATE(12774)] = 646636,
  [SMALL_STATE(12775)] = 646672,
  [SMALL_STATE(12776)] = 646722,
  [SMALL_STATE(12777)] = 646770,
  [SMALL_STATE(12778)] = 646800,
  [SMALL_STATE(12779)] = 646848,
  [SMALL_STATE(12780)] = 646896,
  [SMALL_STATE(12781)] = 646942,
  [SMALL_STATE(12782)] = 646974,
  [SMALL_STATE(12783)] = 647022,
  [SMALL_STATE(12784)] = 647074,
  [SMALL_STATE(12785)] = 647120,
  [SMALL_STATE(12786)] = 647166,
  [SMALL_STATE(12787)] = 647212,
  [SMALL_STATE(12788)] = 647262,
  [SMALL_STATE(12789)] = 647298,
  [SMALL_STATE(12790)] = 647330,
  [SMALL_STATE(12791)] = 647370,
  [SMALL_STATE(12792)] = 647418,
  [SMALL_STATE(12793)] = 647466,
  [SMALL_STATE(12794)] = 647496,
  [SMALL_STATE(12795)] = 647544,
  [SMALL_STATE(12796)] = 647576,
  [SMALL_STATE(12797)] = 647608,
  [SMALL_STATE(12798)] = 647638,
  [SMALL_STATE(12799)] = 647670,
  [SMALL_STATE(12800)] = 647702,
  [SMALL_STATE(12801)] = 647752,
  [SMALL_STATE(12802)] = 647792,
  [SMALL_STATE(12803)] = 647843,
  [SMALL_STATE(12804)] = 647894,
  [SMALL_STATE(12805)] = 647945,
  [SMALL_STATE(12806)] = 647996,
  [SMALL_STATE(12807)] = 648027,
  [SMALL_STATE(12808)] = 648078,
  [SMALL_STATE(12809)] = 648129,
  [SMALL_STATE(12810)] = 648180,
  [SMALL_STATE(12811)] = 648223,
  [SMALL_STATE(12812)] = 648254,
  [SMALL_STATE(12813)] = 648305,
  [SMALL_STATE(12814)] = 648342,
  [SMALL_STATE(12815)] = 648385,
  [SMALL_STATE(12816)] = 648418,
  [SMALL_STATE(12817)] = 648455,
  [SMALL_STATE(12818)] = 648492,
  [SMALL_STATE(12819)] = 648543,
  [SMALL_STATE(12820)] = 648594,
  [SMALL_STATE(12821)] = 648645,
  [SMALL_STATE(12822)] = 648696,
  [SMALL_STATE(12823)] = 648739,
  [SMALL_STATE(12824)] = 648776,
  [SMALL_STATE(12825)] = 648824,
  [SMALL_STATE(12826)] = 648866,
  [SMALL_STATE(12827)] = 648914,
  [SMALL_STATE(12828)] = 648942,
  [SMALL_STATE(12829)] = 648976,
  [SMALL_STATE(12830)] = 649006,
  [SMALL_STATE(12831)] = 649052,
  [SMALL_STATE(12832)] = 649086,
  [SMALL_STATE(12833)] = 649114,
  [SMALL_STATE(12834)] = 649160,
  [SMALL_STATE(12835)] = 649194,
  [SMALL_STATE(12836)] = 649222,
  [SMALL_STATE(12837)] = 649250,
  [SMALL_STATE(12838)] = 649284,
  [SMALL_STATE(12839)] = 649312,
  [SMALL_STATE(12840)] = 649358,
  [SMALL_STATE(12841)] = 649386,
  [SMALL_STATE(12842)] = 649414,
  [SMALL_STATE(12843)] = 649450,
  [SMALL_STATE(12844)] = 649478,
  [SMALL_STATE(12845)] = 649506,
  [SMALL_STATE(12846)] = 649534,
  [SMALL_STATE(12847)] = 649562,
  [SMALL_STATE(12848)] = 649590,
  [SMALL_STATE(12849)] = 649618,
  [SMALL_STATE(12850)] = 649646,
  [SMALL_STATE(12851)] = 649674,
  [SMALL_STATE(12852)] = 649702,
  [SMALL_STATE(12853)] = 649730,
  [SMALL_STATE(12854)] = 649758,
  [SMALL_STATE(12855)] = 649806,
  [SMALL_STATE(12856)] = 649844,
  [SMALL_STATE(12857)] = 649872,
  [SMALL_STATE(12858)] = 649900,
  [SMALL_STATE(12859)] = 649928,
  [SMALL_STATE(12860)] = 649956,
  [SMALL_STATE(12861)] = 649982,
  [SMALL_STATE(12862)] = 650014,
  [SMALL_STATE(12863)] = 650052,
  [SMALL_STATE(12864)] = 650090,
  [SMALL_STATE(12865)] = 650118,
  [SMALL_STATE(12866)] = 650146,
  [SMALL_STATE(12867)] = 650174,
  [SMALL_STATE(12868)] = 650202,
  [SMALL_STATE(12869)] = 650236,
  [SMALL_STATE(12870)] = 650264,
  [SMALL_STATE(12871)] = 650292,
  [SMALL_STATE(12872)] = 650320,
  [SMALL_STATE(12873)] = 650348,
  [SMALL_STATE(12874)] = 650376,
  [SMALL_STATE(12875)] = 650404,
  [SMALL_STATE(12876)] = 650432,
  [SMALL_STATE(12877)] = 650460,
  [SMALL_STATE(12878)] = 650488,
  [SMALL_STATE(12879)] = 650534,
  [SMALL_STATE(12880)] = 650580,
  [SMALL_STATE(12881)] = 650628,
  [SMALL_STATE(12882)] = 650662,
  [SMALL_STATE(12883)] = 650696,
  [SMALL_STATE(12884)] = 650726,
  [SMALL_STATE(12885)] = 650768,
  [SMALL_STATE(12886)] = 650814,
  [SMALL_STATE(12887)] = 650862,
  [SMALL_STATE(12888)] = 650890,
  [SMALL_STATE(12889)] = 650918,
  [SMALL_STATE(12890)] = 650946,
  [SMALL_STATE(12891)] = 650974,
  [SMALL_STATE(12892)] = 651002,
  [SMALL_STATE(12893)] = 651030,
  [SMALL_STATE(12894)] = 651064,
  [SMALL_STATE(12895)] = 651110,
  [SMALL_STATE(12896)] = 651152,
  [SMALL_STATE(12897)] = 651184,
  [SMALL_STATE(12898)] = 651232,
  [SMALL_STATE(12899)] = 651260,
  [SMALL_STATE(12900)] = 651306,
  [SMALL_STATE(12901)] = 651338,
  [SMALL_STATE(12902)] = 651369,
  [SMALL_STATE(12903)] = 651408,
  [SMALL_STATE(12904)] = 651435,
  [SMALL_STATE(12905)] = 651474,
  [SMALL_STATE(12906)] = 651505,
  [SMALL_STATE(12907)] = 651544,
  [SMALL_STATE(12908)] = 651583,
  [SMALL_STATE(12909)] = 651622,
  [SMALL_STATE(12910)] = 651661,
  [SMALL_STATE(12911)] = 651700,
  [SMALL_STATE(12912)] = 651731,
  [SMALL_STATE(12913)] = 651770,
  [SMALL_STATE(12914)] = 651797,
  [SMALL_STATE(12915)] = 651824,
  [SMALL_STATE(12916)] = 651851,
  [SMALL_STATE(12917)] = 651882,
  [SMALL_STATE(12918)] = 651913,
  [SMALL_STATE(12919)] = 651940,
  [SMALL_STATE(12920)] = 651965,
  [SMALL_STATE(12921)] = 652004,
  [SMALL_STATE(12922)] = 652035,
  [SMALL_STATE(12923)] = 652060,
  [SMALL_STATE(12924)] = 652087,
  [SMALL_STATE(12925)] = 652126,
  [SMALL_STATE(12926)] = 652157,
  [SMALL_STATE(12927)] = 652196,
  [SMALL_STATE(12928)] = 652227,
  [SMALL_STATE(12929)] = 652258,
  [SMALL_STATE(12930)] = 652297,
  [SMALL_STATE(12931)] = 652336,
  [SMALL_STATE(12932)] = 652375,
  [SMALL_STATE(12933)] = 652406,
  [SMALL_STATE(12934)] = 652445,
  [SMALL_STATE(12935)] = 652476,
  [SMALL_STATE(12936)] = 652515,
  [SMALL_STATE(12937)] = 652544,
  [SMALL_STATE(12938)] = 652575,
  [SMALL_STATE(12939)] = 652606,
  [SMALL_STATE(12940)] = 652637,
  [SMALL_STATE(12941)] = 652668,
  [SMALL_STATE(12942)] = 652699,
  [SMALL_STATE(12943)] = 652730,
  [SMALL_STATE(12944)] = 652769,
  [SMALL_STATE(12945)] = 652800,
  [SMALL_STATE(12946)] = 652839,
  [SMALL_STATE(12947)] = 652870,
  [SMALL_STATE(12948)] = 652905,
  [SMALL_STATE(12949)] = 652948,
  [SMALL_STATE(12950)] = 652979,
  [SMALL_STATE(12951)] = 653018,
  [SMALL_STATE(12952)] = 653047,
  [SMALL_STATE(12953)] = 653078,
  [SMALL_STATE(12954)] = 653105,
  [SMALL_STATE(12955)] = 653144,
  [SMALL_STATE(12956)] = 653187,
  [SMALL_STATE(12957)] = 653230,
  [SMALL_STATE(12958)] = 653269,
  [SMALL_STATE(12959)] = 653308,
  [SMALL_STATE(12960)] = 653339,
  [SMALL_STATE(12961)] = 653378,
  [SMALL_STATE(12962)] = 653409,
  [SMALL_STATE(12963)] = 653448,
  [SMALL_STATE(12964)] = 653487,
  [SMALL_STATE(12965)] = 653518,
  [SMALL_STATE(12966)] = 653545,
  [SMALL_STATE(12967)] = 653576,
  [SMALL_STATE(12968)] = 653607,
  [SMALL_STATE(12969)] = 653646,
  [SMALL_STATE(12970)] = 653677,
  [SMALL_STATE(12971)] = 653716,
  [SMALL_STATE(12972)] = 653747,
  [SMALL_STATE(12973)] = 653786,
  [SMALL_STATE(12974)] = 653829,
  [SMALL_STATE(12975)] = 653868,
  [SMALL_STATE(12976)] = 653911,
  [SMALL_STATE(12977)] = 653954,
  [SMALL_STATE(12978)] = 653983,
  [SMALL_STATE(12979)] = 654014,
  [SMALL_STATE(12980)] = 654043,
  [SMALL_STATE(12981)] = 654086,
  [SMALL_STATE(12982)] = 654117,
  [SMALL_STATE(12983)] = 654148,
  [SMALL_STATE(12984)] = 654179,
  [SMALL_STATE(12985)] = 654210,
  [SMALL_STATE(12986)] = 654241,
  [SMALL_STATE(12987)] = 654280,
  [SMALL_STATE(12988)] = 654319,
  [SMALL_STATE(12989)] = 654362,
  [SMALL_STATE(12990)] = 654401,
  [SMALL_STATE(12991)] = 654432,
  [SMALL_STATE(12992)] = 654463,
  [SMALL_STATE(12993)] = 654494,
  [SMALL_STATE(12994)] = 654525,
  [SMALL_STATE(12995)] = 654568,
  [SMALL_STATE(12996)] = 654599,
  [SMALL_STATE(12997)] = 654638,
  [SMALL_STATE(12998)] = 654677,
  [SMALL_STATE(12999)] = 654708,
  [SMALL_STATE(13000)] = 654735,
  [SMALL_STATE(13001)] = 654774,
  [SMALL_STATE(13002)] = 654817,
  [SMALL_STATE(13003)] = 654856,
  [SMALL_STATE(13004)] = 654887,
  [SMALL_STATE(13005)] = 654918,
  [SMALL_STATE(13006)] = 654945,
  [SMALL_STATE(13007)] = 654976,
  [SMALL_STATE(13008)] = 655003,
  [SMALL_STATE(13009)] = 655030,
  [SMALL_STATE(13010)] = 655061,
  [SMALL_STATE(13011)] = 655092,
  [SMALL_STATE(13012)] = 655131,
  [SMALL_STATE(13013)] = 655158,
  [SMALL_STATE(13014)] = 655197,
  [SMALL_STATE(13015)] = 655236,
  [SMALL_STATE(13016)] = 655267,
  [SMALL_STATE(13017)] = 655298,
  [SMALL_STATE(13018)] = 655325,
  [SMALL_STATE(13019)] = 655352,
  [SMALL_STATE(13020)] = 655383,
  [SMALL_STATE(13021)] = 655410,
  [SMALL_STATE(13022)] = 655449,
  [SMALL_STATE(13023)] = 655476,
  [SMALL_STATE(13024)] = 655515,
  [SMALL_STATE(13025)] = 655542,
  [SMALL_STATE(13026)] = 655569,
  [SMALL_STATE(13027)] = 655596,
  [SMALL_STATE(13028)] = 655635,
  [SMALL_STATE(13029)] = 655674,
  [SMALL_STATE(13030)] = 655713,
  [SMALL_STATE(13031)] = 655744,
  [SMALL_STATE(13032)] = 655783,
  [SMALL_STATE(13033)] = 655814,
  [SMALL_STATE(13034)] = 655853,
  [SMALL_STATE(13035)] = 655892,
  [SMALL_STATE(13036)] = 655931,
  [SMALL_STATE(13037)] = 655962,
  [SMALL_STATE(13038)] = 656001,
  [SMALL_STATE(13039)] = 656028,
  [SMALL_STATE(13040)] = 656067,
  [SMALL_STATE(13041)] = 656106,
  [SMALL_STATE(13042)] = 656145,
  [SMALL_STATE(13043)] = 656184,
  [SMALL_STATE(13044)] = 656223,
  [SMALL_STATE(13045)] = 656262,
  [SMALL_STATE(13046)] = 656293,
  [SMALL_STATE(13047)] = 656332,
  [SMALL_STATE(13048)] = 656363,
  [SMALL_STATE(13049)] = 656394,
  [SMALL_STATE(13050)] = 656433,
  [SMALL_STATE(13051)] = 656472,
  [SMALL_STATE(13052)] = 656503,
  [SMALL_STATE(13053)] = 656542,
  [SMALL_STATE(13054)] = 656581,
  [SMALL_STATE(13055)] = 656620,
  [SMALL_STATE(13056)] = 656651,
  [SMALL_STATE(13057)] = 656678,
  [SMALL_STATE(13058)] = 656709,
  [SMALL_STATE(13059)] = 656748,
  [SMALL_STATE(13060)] = 656779,
  [SMALL_STATE(13061)] = 656818,
  [SMALL_STATE(13062)] = 656857,
  [SMALL_STATE(13063)] = 656884,
  [SMALL_STATE(13064)] = 656923,
  [SMALL_STATE(13065)] = 656954,
  [SMALL_STATE(13066)] = 656985,
  [SMALL_STATE(13067)] = 657012,
  [SMALL_STATE(13068)] = 657051,
  [SMALL_STATE(13069)] = 657082,
  [SMALL_STATE(13070)] = 657121,
  [SMALL_STATE(13071)] = 657152,
  [SMALL_STATE(13072)] = 657191,
  [SMALL_STATE(13073)] = 657218,
  [SMALL_STATE(13074)] = 657257,
  [SMALL_STATE(13075)] = 657284,
  [SMALL_STATE(13076)] = 657323,
  [SMALL_STATE(13077)] = 657362,
  [SMALL_STATE(13078)] = 657401,
  [SMALL_STATE(13079)] = 657440,
  [SMALL_STATE(13080)] = 657479,
  [SMALL_STATE(13081)] = 657510,
  [SMALL_STATE(13082)] = 657537,
  [SMALL_STATE(13083)] = 657564,
  [SMALL_STATE(13084)] = 657603,
  [SMALL_STATE(13085)] = 657634,
  [SMALL_STATE(13086)] = 657673,
  [SMALL_STATE(13087)] = 657700,
  [SMALL_STATE(13088)] = 657727,
  [SMALL_STATE(13089)] = 657766,
  [SMALL_STATE(13090)] = 657805,
  [SMALL_STATE(13091)] = 657836,
  [SMALL_STATE(13092)] = 657875,
  [SMALL_STATE(13093)] = 657914,
  [SMALL_STATE(13094)] = 657945,
  [SMALL_STATE(13095)] = 657976,
  [SMALL_STATE(13096)] = 658015,
  [SMALL_STATE(13097)] = 658046,
  [SMALL_STATE(13098)] = 658077,
  [SMALL_STATE(13099)] = 658116,
  [SMALL_STATE(13100)] = 658147,
  [SMALL_STATE(13101)] = 658186,
  [SMALL_STATE(13102)] = 658225,
  [SMALL_STATE(13103)] = 658256,
  [SMALL_STATE(13104)] = 658283,
  [SMALL_STATE(13105)] = 658322,
  [SMALL_STATE(13106)] = 658361,
  [SMALL_STATE(13107)] = 658392,
  [SMALL_STATE(13108)] = 658419,
  [SMALL_STATE(13109)] = 658458,
  [SMALL_STATE(13110)] = 658485,
  [SMALL_STATE(13111)] = 658524,
  [SMALL_STATE(13112)] = 658554,
  [SMALL_STATE(13113)] = 658582,
  [SMALL_STATE(13114)] = 658608,
  [SMALL_STATE(13115)] = 658634,
  [SMALL_STATE(13116)] = 658660,
  [SMALL_STATE(13117)] = 658686,
  [SMALL_STATE(13118)] = 658712,
  [SMALL_STATE(13119)] = 658738,
  [SMALL_STATE(13120)] = 658764,
  [SMALL_STATE(13121)] = 658794,
  [SMALL_STATE(13122)] = 658818,
  [SMALL_STATE(13123)] = 658844,
  [SMALL_STATE(13124)] = 658874,
  [SMALL_STATE(13125)] = 658904,
  [SMALL_STATE(13126)] = 658934,
  [SMALL_STATE(13127)] = 658960,
  [SMALL_STATE(13128)] = 658986,
  [SMALL_STATE(13129)] = 659012,
  [SMALL_STATE(13130)] = 659038,
  [SMALL_STATE(13131)] = 659064,
  [SMALL_STATE(13132)] = 659090,
  [SMALL_STATE(13133)] = 659120,
  [SMALL_STATE(13134)] = 659146,
  [SMALL_STATE(13135)] = 659172,
  [SMALL_STATE(13136)] = 659198,
  [SMALL_STATE(13137)] = 659224,
  [SMALL_STATE(13138)] = 659250,
  [SMALL_STATE(13139)] = 659276,
  [SMALL_STATE(13140)] = 659306,
  [SMALL_STATE(13141)] = 659332,
  [SMALL_STATE(13142)] = 659362,
  [SMALL_STATE(13143)] = 659392,
  [SMALL_STATE(13144)] = 659422,
  [SMALL_STATE(13145)] = 659448,
  [SMALL_STATE(13146)] = 659478,
  [SMALL_STATE(13147)] = 659502,
  [SMALL_STATE(13148)] = 659528,
  [SMALL_STATE(13149)] = 659558,
  [SMALL_STATE(13150)] = 659584,
  [SMALL_STATE(13151)] = 659610,
  [SMALL_STATE(13152)] = 659636,
  [SMALL_STATE(13153)] = 659662,
  [SMALL_STATE(13154)] = 659686,
  [SMALL_STATE(13155)] = 659712,
  [SMALL_STATE(13156)] = 659738,
  [SMALL_STATE(13157)] = 659768,
  [SMALL_STATE(13158)] = 659798,
  [SMALL_STATE(13159)] = 659824,
  [SMALL_STATE(13160)] = 659850,
  [SMALL_STATE(13161)] = 659876,
  [SMALL_STATE(13162)] = 659902,
  [SMALL_STATE(13163)] = 659928,
  [SMALL_STATE(13164)] = 659951,
  [SMALL_STATE(13165)] = 659990,
  [SMALL_STATE(13166)] = 660031,
  [SMALL_STATE(13167)] = 660058,
  [SMALL_STATE(13168)] = 660087,
  [SMALL_STATE(13169)] = 660114,
  [SMALL_STATE(13170)] = 660155,
  [SMALL_STATE(13171)] = 660178,
  [SMALL_STATE(13172)] = 660207,
  [SMALL_STATE(13173)] = 660232,
  [SMALL_STATE(13174)] = 660259,
  [SMALL_STATE(13175)] = 660288,
  [SMALL_STATE(13176)] = 660321,
  [SMALL_STATE(13177)] = 660360,
  [SMALL_STATE(13178)] = 660383,
  [SMALL_STATE(13179)] = 660412,
  [SMALL_STATE(13180)] = 660435,
  [SMALL_STATE(13181)] = 660464,
  [SMALL_STATE(13182)] = 660505,
  [SMALL_STATE(13183)] = 660528,
  [SMALL_STATE(13184)] = 660551,
  [SMALL_STATE(13185)] = 660574,
  [SMALL_STATE(13186)] = 660597,
  [SMALL_STATE(13187)] = 660624,
  [SMALL_STATE(13188)] = 660653,
  [SMALL_STATE(13189)] = 660676,
  [SMALL_STATE(13190)] = 660715,
  [SMALL_STATE(13191)] = 660754,
  [SMALL_STATE(13192)] = 660777,
  [SMALL_STATE(13193)] = 660800,
  [SMALL_STATE(13194)] = 660833,
  [SMALL_STATE(13195)] = 660856,
  [SMALL_STATE(13196)] = 660895,
  [SMALL_STATE(13197)] = 660936,
  [SMALL_STATE(13198)] = 660975,
  [SMALL_STATE(13199)] = 661014,
  [SMALL_STATE(13200)] = 661041,
  [SMALL_STATE(13201)] = 661064,
  [SMALL_STATE(13202)] = 661087,
  [SMALL_STATE(13203)] = 661126,
  [SMALL_STATE(13204)] = 661149,
  [SMALL_STATE(13205)] = 661172,
  [SMALL_STATE(13206)] = 661213,
  [SMALL_STATE(13207)] = 661236,
  [SMALL_STATE(13208)] = 661261,
  [SMALL_STATE(13209)] = 661302,
  [SMALL_STATE(13210)] = 661331,
  [SMALL_STATE(13211)] = 661361,
  [SMALL_STATE(13212)] = 661385,
  [SMALL_STATE(13213)] = 661415,
  [SMALL_STATE(13214)] = 661439,
  [SMALL_STATE(13215)] = 661469,
  [SMALL_STATE(13216)] = 661493,
  [SMALL_STATE(13217)] = 661523,
  [SMALL_STATE(13218)] = 661553,
  [SMALL_STATE(13219)] = 661577,
  [SMALL_STATE(13220)] = 661601,
  [SMALL_STATE(13221)] = 661625,
  [SMALL_STATE(13222)] = 661663,
  [SMALL_STATE(13223)] = 661693,
  [SMALL_STATE(13224)] = 661723,
  [SMALL_STATE(13225)] = 661757,
  [SMALL_STATE(13226)] = 661787,
  [SMALL_STATE(13227)] = 661817,
  [SMALL_STATE(13228)] = 661839,
  [SMALL_STATE(13229)] = 661863,
  [SMALL_STATE(13230)] = 661893,
  [SMALL_STATE(13231)] = 661931,
  [SMALL_STATE(13232)] = 661965,
  [SMALL_STATE(13233)] = 661995,
  [SMALL_STATE(13234)] = 662025,
  [SMALL_STATE(13235)] = 662059,
  [SMALL_STATE(13236)] = 662089,
  [SMALL_STATE(13237)] = 662127,
  [SMALL_STATE(13238)] = 662161,
  [SMALL_STATE(13239)] = 662191,
  [SMALL_STATE(13240)] = 662221,
  [SMALL_STATE(13241)] = 662251,
  [SMALL_STATE(13242)] = 662281,
  [SMALL_STATE(13243)] = 662311,
  [SMALL_STATE(13244)] = 662341,
  [SMALL_STATE(13245)] = 662371,
  [SMALL_STATE(13246)] = 662401,
  [SMALL_STATE(13247)] = 662431,
  [SMALL_STATE(13248)] = 662461,
  [SMALL_STATE(13249)] = 662491,
  [SMALL_STATE(13250)] = 662521,
  [SMALL_STATE(13251)] = 662551,
  [SMALL_STATE(13252)] = 662581,
  [SMALL_STATE(13253)] = 662611,
  [SMALL_STATE(13254)] = 662647,
  [SMALL_STATE(13255)] = 662685,
  [SMALL_STATE(13256)] = 662723,
  [SMALL_STATE(13257)] = 662753,
  [SMALL_STATE(13258)] = 662787,
  [SMALL_STATE(13259)] = 662825,
  [SMALL_STATE(13260)] = 662849,
  [SMALL_STATE(13261)] = 662885,
  [SMALL_STATE(13262)] = 662919,
  [SMALL_STATE(13263)] = 662955,
  [SMALL_STATE(13264)] = 662985,
  [SMALL_STATE(13265)] = 663023,
  [SMALL_STATE(13266)] = 663053,
  [SMALL_STATE(13267)] = 663089,
  [SMALL_STATE(13268)] = 663125,
  [SMALL_STATE(13269)] = 663163,
  [SMALL_STATE(13270)] = 663193,
  [SMALL_STATE(13271)] = 663223,
  [SMALL_STATE(13272)] = 663259,
  [SMALL_STATE(13273)] = 663293,
  [SMALL_STATE(13274)] = 663331,
  [SMALL_STATE(13275)] = 663355,
  [SMALL_STATE(13276)] = 663391,
  [SMALL_STATE(13277)] = 663415,
  [SMALL_STATE(13278)] = 663453,
  [SMALL_STATE(13279)] = 663489,
  [SMALL_STATE(13280)] = 663513,
  [SMALL_STATE(13281)] = 663537,
  [SMALL_STATE(13282)] = 663561,
  [SMALL_STATE(13283)] = 663585,
  [SMALL_STATE(13284)] = 663615,
  [SMALL_STATE(13285)] = 663645,
  [SMALL_STATE(13286)] = 663683,
  [SMALL_STATE(13287)] = 663719,
  [SMALL_STATE(13288)] = 663757,
  [SMALL_STATE(13289)] = 663795,
  [SMALL_STATE(13290)] = 663831,
  [SMALL_STATE(13291)] = 663861,
  [SMALL_STATE(13292)] = 663899,
  [SMALL_STATE(13293)] = 663937,
  [SMALL_STATE(13294)] = 663973,
  [SMALL_STATE(13295)] = 664011,
  [SMALL_STATE(13296)] = 664037,
  [SMALL_STATE(13297)] = 664075,
  [SMALL_STATE(13298)] = 664105,
  [SMALL_STATE(13299)] = 664135,
  [SMALL_STATE(13300)] = 664161,
  [SMALL_STATE(13301)] = 664199,
  [SMALL_STATE(13302)] = 664237,
  [SMALL_STATE(13303)] = 664267,
  [SMALL_STATE(13304)] = 664297,
  [SMALL_STATE(13305)] = 664333,
  [SMALL_STATE(13306)] = 664357,
  [SMALL_STATE(13307)] = 664395,
  [SMALL_STATE(13308)] = 664433,
  [SMALL_STATE(13309)] = 664457,
  [SMALL_STATE(13310)] = 664487,
  [SMALL_STATE(13311)] = 664517,
  [SMALL_STATE(13312)] = 664547,
  [SMALL_STATE(13313)] = 664571,
  [SMALL_STATE(13314)] = 664593,
  [SMALL_STATE(13315)] = 664627,
  [SMALL_STATE(13316)] = 664665,
  [SMALL_STATE(13317)] = 664695,
  [SMALL_STATE(13318)] = 664733,
  [SMALL_STATE(13319)] = 664757,
  [SMALL_STATE(13320)] = 664781,
  [SMALL_STATE(13321)] = 664819,
  [SMALL_STATE(13322)] = 664841,
  [SMALL_STATE(13323)] = 664871,
  [SMALL_STATE(13324)] = 664895,
  [SMALL_STATE(13325)] = 664919,
  [SMALL_STATE(13326)] = 664943,
  [SMALL_STATE(13327)] = 664967,
  [SMALL_STATE(13328)] = 665003,
  [SMALL_STATE(13329)] = 665041,
  [SMALL_STATE(13330)] = 665079,
  [SMALL_STATE(13331)] = 665109,
  [SMALL_STATE(13332)] = 665147,
  [SMALL_STATE(13333)] = 665185,
  [SMALL_STATE(13334)] = 665219,
  [SMALL_STATE(13335)] = 665253,
  [SMALL_STATE(13336)] = 665279,
  [SMALL_STATE(13337)] = 665309,
  [SMALL_STATE(13338)] = 665347,
  [SMALL_STATE(13339)] = 665377,
  [SMALL_STATE(13340)] = 665399,
  [SMALL_STATE(13341)] = 665437,
  [SMALL_STATE(13342)] = 665467,
  [SMALL_STATE(13343)] = 665501,
  [SMALL_STATE(13344)] = 665535,
  [SMALL_STATE(13345)] = 665559,
  [SMALL_STATE(13346)] = 665597,
  [SMALL_STATE(13347)] = 665635,
  [SMALL_STATE(13348)] = 665673,
  [SMALL_STATE(13349)] = 665703,
  [SMALL_STATE(13350)] = 665729,
  [SMALL_STATE(13351)] = 665767,
  [SMALL_STATE(13352)] = 665801,
  [SMALL_STATE(13353)] = 665835,
  [SMALL_STATE(13354)] = 665857,
  [SMALL_STATE(13355)] = 665881,
  [SMALL_STATE(13356)] = 665919,
  [SMALL_STATE(13357)] = 665957,
  [SMALL_STATE(13358)] = 665987,
  [SMALL_STATE(13359)] = 666025,
  [SMALL_STATE(13360)] = 666063,
  [SMALL_STATE(13361)] = 666093,
  [SMALL_STATE(13362)] = 666123,
  [SMALL_STATE(13363)] = 666157,
  [SMALL_STATE(13364)] = 666195,
  [SMALL_STATE(13365)] = 666223,
  [SMALL_STATE(13366)] = 666253,
  [SMALL_STATE(13367)] = 666277,
  [SMALL_STATE(13368)] = 666307,
  [SMALL_STATE(13369)] = 666337,
  [SMALL_STATE(13370)] = 666371,
  [SMALL_STATE(13371)] = 666409,
  [SMALL_STATE(13372)] = 666447,
  [SMALL_STATE(13373)] = 666485,
  [SMALL_STATE(13374)] = 666523,
  [SMALL_STATE(13375)] = 666561,
  [SMALL_STATE(13376)] = 666585,
  [SMALL_STATE(13377)] = 666609,
  [SMALL_STATE(13378)] = 666647,
  [SMALL_STATE(13379)] = 666671,
  [SMALL_STATE(13380)] = 666695,
  [SMALL_STATE(13381)] = 666719,
  [SMALL_STATE(13382)] = 666743,
  [SMALL_STATE(13383)] = 666765,
  [SMALL_STATE(13384)] = 666795,
  [SMALL_STATE(13385)] = 666831,
  [SMALL_STATE(13386)] = 666861,
  [SMALL_STATE(13387)] = 666887,
  [SMALL_STATE(13388)] = 666912,
  [SMALL_STATE(13389)] = 666933,
  [SMALL_STATE(13390)] = 666954,
  [SMALL_STATE(13391)] = 666989,
  [SMALL_STATE(13392)] = 667014,
  [SMALL_STATE(13393)] = 667047,
  [SMALL_STATE(13394)] = 667082,
  [SMALL_STATE(13395)] = 667115,
  [SMALL_STATE(13396)] = 667148,
  [SMALL_STATE(13397)] = 667181,
  [SMALL_STATE(13398)] = 667216,
  [SMALL_STATE(13399)] = 667239,
  [SMALL_STATE(13400)] = 667272,
  [SMALL_STATE(13401)] = 667299,
  [SMALL_STATE(13402)] = 667334,
  [SMALL_STATE(13403)] = 667367,
  [SMALL_STATE(13404)] = 667400,
  [SMALL_STATE(13405)] = 667433,
  [SMALL_STATE(13406)] = 667468,
  [SMALL_STATE(13407)] = 667503,
  [SMALL_STATE(13408)] = 667538,
  [SMALL_STATE(13409)] = 667571,
  [SMALL_STATE(13410)] = 667606,
  [SMALL_STATE(13411)] = 667641,
  [SMALL_STATE(13412)] = 667676,
  [SMALL_STATE(13413)] = 667711,
  [SMALL_STATE(13414)] = 667744,
  [SMALL_STATE(13415)] = 667779,
  [SMALL_STATE(13416)] = 667814,
  [SMALL_STATE(13417)] = 667847,
  [SMALL_STATE(13418)] = 667874,
  [SMALL_STATE(13419)] = 667901,
  [SMALL_STATE(13420)] = 667928,
  [SMALL_STATE(13421)] = 667955,
  [SMALL_STATE(13422)] = 667990,
  [SMALL_STATE(13423)] = 668015,
  [SMALL_STATE(13424)] = 668048,
  [SMALL_STATE(13425)] = 668083,
  [SMALL_STATE(13426)] = 668118,
  [SMALL_STATE(13427)] = 668141,
  [SMALL_STATE(13428)] = 668176,
  [SMALL_STATE(13429)] = 668211,
  [SMALL_STATE(13430)] = 668244,
  [SMALL_STATE(13431)] = 668279,
  [SMALL_STATE(13432)] = 668312,
  [SMALL_STATE(13433)] = 668347,
  [SMALL_STATE(13434)] = 668380,
  [SMALL_STATE(13435)] = 668415,
  [SMALL_STATE(13436)] = 668448,
  [SMALL_STATE(13437)] = 668471,
  [SMALL_STATE(13438)] = 668504,
  [SMALL_STATE(13439)] = 668537,
  [SMALL_STATE(13440)] = 668572,
  [SMALL_STATE(13441)] = 668605,
  [SMALL_STATE(13442)] = 668640,
  [SMALL_STATE(13443)] = 668673,
  [SMALL_STATE(13444)] = 668706,
  [SMALL_STATE(13445)] = 668729,
  [SMALL_STATE(13446)] = 668754,
  [SMALL_STATE(13447)] = 668787,
  [SMALL_STATE(13448)] = 668808,
  [SMALL_STATE(13449)] = 668833,
  [SMALL_STATE(13450)] = 668868,
  [SMALL_STATE(13451)] = 668903,
  [SMALL_STATE(13452)] = 668926,
  [SMALL_STATE(13453)] = 668959,
  [SMALL_STATE(13454)] = 668984,
  [SMALL_STATE(13455)] = 669017,
  [SMALL_STATE(13456)] = 669050,
  [SMALL_STATE(13457)] = 669085,
  [SMALL_STATE(13458)] = 669118,
  [SMALL_STATE(13459)] = 669153,
  [SMALL_STATE(13460)] = 669186,
  [SMALL_STATE(13461)] = 669221,
  [SMALL_STATE(13462)] = 669254,
  [SMALL_STATE(13463)] = 669286,
  [SMALL_STATE(13464)] = 669318,
  [SMALL_STATE(13465)] = 669350,
  [SMALL_STATE(13466)] = 669372,
  [SMALL_STATE(13467)] = 669404,
  [SMALL_STATE(13468)] = 669436,
  [SMALL_STATE(13469)] = 669456,
  [SMALL_STATE(13470)] = 669488,
  [SMALL_STATE(13471)] = 669518,
  [SMALL_STATE(13472)] = 669550,
  [SMALL_STATE(13473)] = 669582,
  [SMALL_STATE(13474)] = 669604,
  [SMALL_STATE(13475)] = 669636,
  [SMALL_STATE(13476)] = 669668,
  [SMALL_STATE(13477)] = 669700,
  [SMALL_STATE(13478)] = 669732,
  [SMALL_STATE(13479)] = 669764,
  [SMALL_STATE(13480)] = 669786,
  [SMALL_STATE(13481)] = 669818,
  [SMALL_STATE(13482)] = 669850,
  [SMALL_STATE(13483)] = 669882,
  [SMALL_STATE(13484)] = 669914,
  [SMALL_STATE(13485)] = 669946,
  [SMALL_STATE(13486)] = 669978,
  [SMALL_STATE(13487)] = 670010,
  [SMALL_STATE(13488)] = 670040,
  [SMALL_STATE(13489)] = 670062,
  [SMALL_STATE(13490)] = 670094,
  [SMALL_STATE(13491)] = 670118,
  [SMALL_STATE(13492)] = 670140,
  [SMALL_STATE(13493)] = 670172,
  [SMALL_STATE(13494)] = 670204,
  [SMALL_STATE(13495)] = 670236,
  [SMALL_STATE(13496)] = 670268,
  [SMALL_STATE(13497)] = 670300,
  [SMALL_STATE(13498)] = 670332,
  [SMALL_STATE(13499)] = 670362,
  [SMALL_STATE(13500)] = 670394,
  [SMALL_STATE(13501)] = 670426,
  [SMALL_STATE(13502)] = 670448,
  [SMALL_STATE(13503)] = 670480,
  [SMALL_STATE(13504)] = 670502,
  [SMALL_STATE(13505)] = 670534,
  [SMALL_STATE(13506)] = 670566,
  [SMALL_STATE(13507)] = 670588,
  [SMALL_STATE(13508)] = 670620,
  [SMALL_STATE(13509)] = 670652,
  [SMALL_STATE(13510)] = 670672,
  [SMALL_STATE(13511)] = 670704,
  [SMALL_STATE(13512)] = 670724,
  [SMALL_STATE(13513)] = 670756,
  [SMALL_STATE(13514)] = 670788,
  [SMALL_STATE(13515)] = 670818,
  [SMALL_STATE(13516)] = 670850,
  [SMALL_STATE(13517)] = 670882,
  [SMALL_STATE(13518)] = 670914,
  [SMALL_STATE(13519)] = 670946,
  [SMALL_STATE(13520)] = 670970,
  [SMALL_STATE(13521)] = 671002,
  [SMALL_STATE(13522)] = 671034,
  [SMALL_STATE(13523)] = 671066,
  [SMALL_STATE(13524)] = 671088,
  [SMALL_STATE(13525)] = 671120,
  [SMALL_STATE(13526)] = 671152,
  [SMALL_STATE(13527)] = 671182,
  [SMALL_STATE(13528)] = 671214,
  [SMALL_STATE(13529)] = 671246,
  [SMALL_STATE(13530)] = 671268,
  [SMALL_STATE(13531)] = 671300,
  [SMALL_STATE(13532)] = 671332,
  [SMALL_STATE(13533)] = 671362,
  [SMALL_STATE(13534)] = 671392,
  [SMALL_STATE(13535)] = 671424,
  [SMALL_STATE(13536)] = 671446,
  [SMALL_STATE(13537)] = 671476,
  [SMALL_STATE(13538)] = 671508,
  [SMALL_STATE(13539)] = 671538,
  [SMALL_STATE(13540)] = 671570,
  [SMALL_STATE(13541)] = 671602,
  [SMALL_STATE(13542)] = 671634,
  [SMALL_STATE(13543)] = 671664,
  [SMALL_STATE(13544)] = 671686,
  [SMALL_STATE(13545)] = 671708,
  [SMALL_STATE(13546)] = 671740,
  [SMALL_STATE(13547)] = 671772,
  [SMALL_STATE(13548)] = 671804,
  [SMALL_STATE(13549)] = 671834,
  [SMALL_STATE(13550)] = 671862,
  [SMALL_STATE(13551)] = 671894,
  [SMALL_STATE(13552)] = 671916,
  [SMALL_STATE(13553)] = 671948,
  [SMALL_STATE(13554)] = 671976,
  [SMALL_STATE(13555)] = 672008,
  [SMALL_STATE(13556)] = 672040,
  [SMALL_STATE(13557)] = 672072,
  [SMALL_STATE(13558)] = 672094,
  [SMALL_STATE(13559)] = 672126,
  [SMALL_STATE(13560)] = 672158,
  [SMALL_STATE(13561)] = 672190,
  [SMALL_STATE(13562)] = 672222,
  [SMALL_STATE(13563)] = 672254,
  [SMALL_STATE(13564)] = 672286,
  [SMALL_STATE(13565)] = 672318,
  [SMALL_STATE(13566)] = 672350,
  [SMALL_STATE(13567)] = 672382,
  [SMALL_STATE(13568)] = 672414,
  [SMALL_STATE(13569)] = 672446,
  [SMALL_STATE(13570)] = 672478,
  [SMALL_STATE(13571)] = 672510,
  [SMALL_STATE(13572)] = 672542,
  [SMALL_STATE(13573)] = 672574,
  [SMALL_STATE(13574)] = 672606,
  [SMALL_STATE(13575)] = 672638,
  [SMALL_STATE(13576)] = 672668,
  [SMALL_STATE(13577)] = 672700,
  [SMALL_STATE(13578)] = 672732,
  [SMALL_STATE(13579)] = 672754,
  [SMALL_STATE(13580)] = 672786,
  [SMALL_STATE(13581)] = 672818,
  [SMALL_STATE(13582)] = 672850,
  [SMALL_STATE(13583)] = 672882,
  [SMALL_STATE(13584)] = 672914,
  [SMALL_STATE(13585)] = 672946,
  [SMALL_STATE(13586)] = 672978,
  [SMALL_STATE(13587)] = 673010,
  [SMALL_STATE(13588)] = 673032,
  [SMALL_STATE(13589)] = 673064,
  [SMALL_STATE(13590)] = 673096,
  [SMALL_STATE(13591)] = 673128,
  [SMALL_STATE(13592)] = 673150,
  [SMALL_STATE(13593)] = 673172,
  [SMALL_STATE(13594)] = 673192,
  [SMALL_STATE(13595)] = 673222,
  [SMALL_STATE(13596)] = 673254,
  [SMALL_STATE(13597)] = 673276,
  [SMALL_STATE(13598)] = 673308,
  [SMALL_STATE(13599)] = 673330,
  [SMALL_STATE(13600)] = 673352,
  [SMALL_STATE(13601)] = 673384,
  [SMALL_STATE(13602)] = 673406,
  [SMALL_STATE(13603)] = 673438,
  [SMALL_STATE(13604)] = 673470,
  [SMALL_STATE(13605)] = 673502,
  [SMALL_STATE(13606)] = 673534,
  [SMALL_STATE(13607)] = 673558,
  [SMALL_STATE(13608)] = 673590,
  [SMALL_STATE(13609)] = 673622,
  [SMALL_STATE(13610)] = 673654,
  [SMALL_STATE(13611)] = 673686,
  [SMALL_STATE(13612)] = 673706,
  [SMALL_STATE(13613)] = 673738,
  [SMALL_STATE(13614)] = 673760,
  [SMALL_STATE(13615)] = 673792,
  [SMALL_STATE(13616)] = 673812,
  [SMALL_STATE(13617)] = 673842,
  [SMALL_STATE(13618)] = 673874,
  [SMALL_STATE(13619)] = 673906,
  [SMALL_STATE(13620)] = 673938,
  [SMALL_STATE(13621)] = 673960,
  [SMALL_STATE(13622)] = 673982,
  [SMALL_STATE(13623)] = 674014,
  [SMALL_STATE(13624)] = 674036,
  [SMALL_STATE(13625)] = 674058,
  [SMALL_STATE(13626)] = 674086,
  [SMALL_STATE(13627)] = 674118,
  [SMALL_STATE(13628)] = 674140,
  [SMALL_STATE(13629)] = 674172,
  [SMALL_STATE(13630)] = 674204,
  [SMALL_STATE(13631)] = 674236,
  [SMALL_STATE(13632)] = 674268,
  [SMALL_STATE(13633)] = 674290,
  [SMALL_STATE(13634)] = 674322,
  [SMALL_STATE(13635)] = 674344,
  [SMALL_STATE(13636)] = 674366,
  [SMALL_STATE(13637)] = 674394,
  [SMALL_STATE(13638)] = 674426,
  [SMALL_STATE(13639)] = 674458,
  [SMALL_STATE(13640)] = 674490,
  [SMALL_STATE(13641)] = 674512,
  [SMALL_STATE(13642)] = 674544,
  [SMALL_STATE(13643)] = 674576,
  [SMALL_STATE(13644)] = 674608,
  [SMALL_STATE(13645)] = 674638,
  [SMALL_STATE(13646)] = 674670,
  [SMALL_STATE(13647)] = 674692,
  [SMALL_STATE(13648)] = 674716,
  [SMALL_STATE(13649)] = 674738,
  [SMALL_STATE(13650)] = 674760,
  [SMALL_STATE(13651)] = 674792,
  [SMALL_STATE(13652)] = 674814,
  [SMALL_STATE(13653)] = 674846,
  [SMALL_STATE(13654)] = 674870,
  [SMALL_STATE(13655)] = 674902,
  [SMALL_STATE(13656)] = 674934,
  [SMALL_STATE(13657)] = 674966,
  [SMALL_STATE(13658)] = 674998,
  [SMALL_STATE(13659)] = 675020,
  [SMALL_STATE(13660)] = 675052,
  [SMALL_STATE(13661)] = 675084,
  [SMALL_STATE(13662)] = 675116,
  [SMALL_STATE(13663)] = 675146,
  [SMALL_STATE(13664)] = 675178,
  [SMALL_STATE(13665)] = 675210,
  [SMALL_STATE(13666)] = 675240,
  [SMALL_STATE(13667)] = 675272,
  [SMALL_STATE(13668)] = 675304,
  [SMALL_STATE(13669)] = 675336,
  [SMALL_STATE(13670)] = 675368,
  [SMALL_STATE(13671)] = 675392,
  [SMALL_STATE(13672)] = 675424,
  [SMALL_STATE(13673)] = 675454,
  [SMALL_STATE(13674)] = 675486,
  [SMALL_STATE(13675)] = 675518,
  [SMALL_STATE(13676)] = 675550,
  [SMALL_STATE(13677)] = 675580,
  [SMALL_STATE(13678)] = 675612,
  [SMALL_STATE(13679)] = 675644,
  [SMALL_STATE(13680)] = 675676,
  [SMALL_STATE(13681)] = 675708,
  [SMALL_STATE(13682)] = 675740,
  [SMALL_STATE(13683)] = 675772,
  [SMALL_STATE(13684)] = 675804,
  [SMALL_STATE(13685)] = 675836,
  [SMALL_STATE(13686)] = 675868,
  [SMALL_STATE(13687)] = 675900,
  [SMALL_STATE(13688)] = 675932,
  [SMALL_STATE(13689)] = 675964,
  [SMALL_STATE(13690)] = 675996,
  [SMALL_STATE(13691)] = 676026,
  [SMALL_STATE(13692)] = 676058,
  [SMALL_STATE(13693)] = 676090,
  [SMALL_STATE(13694)] = 676122,
  [SMALL_STATE(13695)] = 676154,
  [SMALL_STATE(13696)] = 676176,
  [SMALL_STATE(13697)] = 676198,
  [SMALL_STATE(13698)] = 676230,
  [SMALL_STATE(13699)] = 676260,
  [SMALL_STATE(13700)] = 676290,
  [SMALL_STATE(13701)] = 676322,
  [SMALL_STATE(13702)] = 676344,
  [SMALL_STATE(13703)] = 676376,
  [SMALL_STATE(13704)] = 676398,
  [SMALL_STATE(13705)] = 676430,
  [SMALL_STATE(13706)] = 676460,
  [SMALL_STATE(13707)] = 676492,
  [SMALL_STATE(13708)] = 676524,
  [SMALL_STATE(13709)] = 676556,
  [SMALL_STATE(13710)] = 676588,
  [SMALL_STATE(13711)] = 676620,
  [SMALL_STATE(13712)] = 676652,
  [SMALL_STATE(13713)] = 676684,
  [SMALL_STATE(13714)] = 676716,
  [SMALL_STATE(13715)] = 676748,
  [SMALL_STATE(13716)] = 676780,
  [SMALL_STATE(13717)] = 676812,
  [SMALL_STATE(13718)] = 676836,
  [SMALL_STATE(13719)] = 676868,
  [SMALL_STATE(13720)] = 676900,
  [SMALL_STATE(13721)] = 676932,
  [SMALL_STATE(13722)] = 676964,
  [SMALL_STATE(13723)] = 676988,
  [SMALL_STATE(13724)] = 677018,
  [SMALL_STATE(13725)] = 677046,
  [SMALL_STATE(13726)] = 677068,
  [SMALL_STATE(13727)] = 677100,
  [SMALL_STATE(13728)] = 677132,
  [SMALL_STATE(13729)] = 677164,
  [SMALL_STATE(13730)] = 677196,
  [SMALL_STATE(13731)] = 677226,
  [SMALL_STATE(13732)] = 677258,
  [SMALL_STATE(13733)] = 677278,
  [SMALL_STATE(13734)] = 677308,
  [SMALL_STATE(13735)] = 677338,
  [SMALL_STATE(13736)] = 677370,
  [SMALL_STATE(13737)] = 677402,
  [SMALL_STATE(13738)] = 677434,
  [SMALL_STATE(13739)] = 677456,
  [SMALL_STATE(13740)] = 677488,
  [SMALL_STATE(13741)] = 677520,
  [SMALL_STATE(13742)] = 677552,
  [SMALL_STATE(13743)] = 677584,
  [SMALL_STATE(13744)] = 677616,
  [SMALL_STATE(13745)] = 677648,
  [SMALL_STATE(13746)] = 677680,
  [SMALL_STATE(13747)] = 677712,
  [SMALL_STATE(13748)] = 677744,
  [SMALL_STATE(13749)] = 677776,
  [SMALL_STATE(13750)] = 677808,
  [SMALL_STATE(13751)] = 677840,
  [SMALL_STATE(13752)] = 677872,
  [SMALL_STATE(13753)] = 677904,
  [SMALL_STATE(13754)] = 677936,
  [SMALL_STATE(13755)] = 677964,
  [SMALL_STATE(13756)] = 677994,
  [SMALL_STATE(13757)] = 678026,
  [SMALL_STATE(13758)] = 678058,
  [SMALL_STATE(13759)] = 678090,
  [SMALL_STATE(13760)] = 678122,
  [SMALL_STATE(13761)] = 678154,
  [SMALL_STATE(13762)] = 678186,
  [SMALL_STATE(13763)] = 678218,
  [SMALL_STATE(13764)] = 678250,
  [SMALL_STATE(13765)] = 678270,
  [SMALL_STATE(13766)] = 678302,
  [SMALL_STATE(13767)] = 678322,
  [SMALL_STATE(13768)] = 678354,
  [SMALL_STATE(13769)] = 678386,
  [SMALL_STATE(13770)] = 678410,
  [SMALL_STATE(13771)] = 678442,
  [SMALL_STATE(13772)] = 678474,
  [SMALL_STATE(13773)] = 678506,
  [SMALL_STATE(13774)] = 678538,
  [SMALL_STATE(13775)] = 678570,
  [SMALL_STATE(13776)] = 678602,
  [SMALL_STATE(13777)] = 678634,
  [SMALL_STATE(13778)] = 678666,
  [SMALL_STATE(13779)] = 678698,
  [SMALL_STATE(13780)] = 678718,
  [SMALL_STATE(13781)] = 678748,
  [SMALL_STATE(13782)] = 678780,
  [SMALL_STATE(13783)] = 678802,
  [SMALL_STATE(13784)] = 678832,
  [SMALL_STATE(13785)] = 678862,
  [SMALL_STATE(13786)] = 678894,
  [SMALL_STATE(13787)] = 678918,
  [SMALL_STATE(13788)] = 678942,
  [SMALL_STATE(13789)] = 678972,
  [SMALL_STATE(13790)] = 679002,
  [SMALL_STATE(13791)] = 679026,
  [SMALL_STATE(13792)] = 679056,
  [SMALL_STATE(13793)] = 679088,
  [SMALL_STATE(13794)] = 679117,
  [SMALL_STATE(13795)] = 679146,
  [SMALL_STATE(13796)] = 679175,
  [SMALL_STATE(13797)] = 679204,
  [SMALL_STATE(13798)] = 679233,
  [SMALL_STATE(13799)] = 679262,
  [SMALL_STATE(13800)] = 679283,
  [SMALL_STATE(13801)] = 679312,
  [SMALL_STATE(13802)] = 679341,
  [SMALL_STATE(13803)] = 679370,
  [SMALL_STATE(13804)] = 679393,
  [SMALL_STATE(13805)] = 679414,
  [SMALL_STATE(13806)] = 679443,
  [SMALL_STATE(13807)] = 679472,
  [SMALL_STATE(13808)] = 679501,
  [SMALL_STATE(13809)] = 679530,
  [SMALL_STATE(13810)] = 679559,
  [SMALL_STATE(13811)] = 679588,
  [SMALL_STATE(13812)] = 679609,
  [SMALL_STATE(13813)] = 679638,
  [SMALL_STATE(13814)] = 679663,
  [SMALL_STATE(13815)] = 679692,
  [SMALL_STATE(13816)] = 679713,
  [SMALL_STATE(13817)] = 679742,
  [SMALL_STATE(13818)] = 679763,
  [SMALL_STATE(13819)] = 679792,
  [SMALL_STATE(13820)] = 679815,
  [SMALL_STATE(13821)] = 679844,
  [SMALL_STATE(13822)] = 679873,
  [SMALL_STATE(13823)] = 679894,
  [SMALL_STATE(13824)] = 679923,
  [SMALL_STATE(13825)] = 679944,
  [SMALL_STATE(13826)] = 679973,
  [SMALL_STATE(13827)] = 680002,
  [SMALL_STATE(13828)] = 680031,
  [SMALL_STATE(13829)] = 680060,
  [SMALL_STATE(13830)] = 680089,
  [SMALL_STATE(13831)] = 680118,
  [SMALL_STATE(13832)] = 680139,
  [SMALL_STATE(13833)] = 680160,
  [SMALL_STATE(13834)] = 680189,
  [SMALL_STATE(13835)] = 680218,
  [SMALL_STATE(13836)] = 680247,
  [SMALL_STATE(13837)] = 680276,
  [SMALL_STATE(13838)] = 680305,
  [SMALL_STATE(13839)] = 680334,
  [SMALL_STATE(13840)] = 680363,
  [SMALL_STATE(13841)] = 680392,
  [SMALL_STATE(13842)] = 680421,
  [SMALL_STATE(13843)] = 680450,
  [SMALL_STATE(13844)] = 680479,
  [SMALL_STATE(13845)] = 680500,
  [SMALL_STATE(13846)] = 680521,
  [SMALL_STATE(13847)] = 680550,
  [SMALL_STATE(13848)] = 680579,
  [SMALL_STATE(13849)] = 680606,
  [SMALL_STATE(13850)] = 680635,
  [SMALL_STATE(13851)] = 680664,
  [SMALL_STATE(13852)] = 680691,
  [SMALL_STATE(13853)] = 680720,
  [SMALL_STATE(13854)] = 680749,
  [SMALL_STATE(13855)] = 680778,
  [SMALL_STATE(13856)] = 680807,
  [SMALL_STATE(13857)] = 680828,
  [SMALL_STATE(13858)] = 680857,
  [SMALL_STATE(13859)] = 680878,
  [SMALL_STATE(13860)] = 680907,
  [SMALL_STATE(13861)] = 680936,
  [SMALL_STATE(13862)] = 680957,
  [SMALL_STATE(13863)] = 680978,
  [SMALL_STATE(13864)] = 681007,
  [SMALL_STATE(13865)] = 681028,
  [SMALL_STATE(13866)] = 681057,
  [SMALL_STATE(13867)] = 681078,
  [SMALL_STATE(13868)] = 681107,
  [SMALL_STATE(13869)] = 681136,
  [SMALL_STATE(13870)] = 681165,
  [SMALL_STATE(13871)] = 681194,
  [SMALL_STATE(13872)] = 681223,
  [SMALL_STATE(13873)] = 681252,
  [SMALL_STATE(13874)] = 681273,
  [SMALL_STATE(13875)] = 681294,
  [SMALL_STATE(13876)] = 681315,
  [SMALL_STATE(13877)] = 681344,
  [SMALL_STATE(13878)] = 681373,
  [SMALL_STATE(13879)] = 681394,
  [SMALL_STATE(13880)] = 681415,
  [SMALL_STATE(13881)] = 681444,
  [SMALL_STATE(13882)] = 681473,
  [SMALL_STATE(13883)] = 681502,
  [SMALL_STATE(13884)] = 681531,
  [SMALL_STATE(13885)] = 681560,
  [SMALL_STATE(13886)] = 681581,
  [SMALL_STATE(13887)] = 681610,
  [SMALL_STATE(13888)] = 681639,
  [SMALL_STATE(13889)] = 681668,
  [SMALL_STATE(13890)] = 681697,
  [SMALL_STATE(13891)] = 681726,
  [SMALL_STATE(13892)] = 681755,
  [SMALL_STATE(13893)] = 681784,
  [SMALL_STATE(13894)] = 681805,
  [SMALL_STATE(13895)] = 681834,
  [SMALL_STATE(13896)] = 681863,
  [SMALL_STATE(13897)] = 681890,
  [SMALL_STATE(13898)] = 681919,
  [SMALL_STATE(13899)] = 681948,
  [SMALL_STATE(13900)] = 681977,
  [SMALL_STATE(13901)] = 682000,
  [SMALL_STATE(13902)] = 682025,
  [SMALL_STATE(13903)] = 682054,
  [SMALL_STATE(13904)] = 682077,
  [SMALL_STATE(13905)] = 682106,
  [SMALL_STATE(13906)] = 682135,
  [SMALL_STATE(13907)] = 682164,
  [SMALL_STATE(13908)] = 682191,
  [SMALL_STATE(13909)] = 682220,
  [SMALL_STATE(13910)] = 682249,
  [SMALL_STATE(13911)] = 682270,
  [SMALL_STATE(13912)] = 682299,
  [SMALL_STATE(13913)] = 682328,
  [SMALL_STATE(13914)] = 682357,
  [SMALL_STATE(13915)] = 682384,
  [SMALL_STATE(13916)] = 682413,
  [SMALL_STATE(13917)] = 682434,
  [SMALL_STATE(13918)] = 682455,
  [SMALL_STATE(13919)] = 682476,
  [SMALL_STATE(13920)] = 682497,
  [SMALL_STATE(13921)] = 682526,
  [SMALL_STATE(13922)] = 682553,
  [SMALL_STATE(13923)] = 682574,
  [SMALL_STATE(13924)] = 682595,
  [SMALL_STATE(13925)] = 682616,
  [SMALL_STATE(13926)] = 682637,
  [SMALL_STATE(13927)] = 682658,
  [SMALL_STATE(13928)] = 682679,
  [SMALL_STATE(13929)] = 682708,
  [SMALL_STATE(13930)] = 682737,
  [SMALL_STATE(13931)] = 682766,
  [SMALL_STATE(13932)] = 682795,
  [SMALL_STATE(13933)] = 682822,
  [SMALL_STATE(13934)] = 682851,
  [SMALL_STATE(13935)] = 682880,
  [SMALL_STATE(13936)] = 682909,
  [SMALL_STATE(13937)] = 682936,
  [SMALL_STATE(13938)] = 682957,
  [SMALL_STATE(13939)] = 682986,
  [SMALL_STATE(13940)] = 683015,
  [SMALL_STATE(13941)] = 683044,
  [SMALL_STATE(13942)] = 683065,
  [SMALL_STATE(13943)] = 683094,
  [SMALL_STATE(13944)] = 683123,
  [SMALL_STATE(13945)] = 683152,
  [SMALL_STATE(13946)] = 683181,
  [SMALL_STATE(13947)] = 683210,
  [SMALL_STATE(13948)] = 683239,
  [SMALL_STATE(13949)] = 683266,
  [SMALL_STATE(13950)] = 683289,
  [SMALL_STATE(13951)] = 683310,
  [SMALL_STATE(13952)] = 683337,
  [SMALL_STATE(13953)] = 683366,
  [SMALL_STATE(13954)] = 683395,
  [SMALL_STATE(13955)] = 683424,
  [SMALL_STATE(13956)] = 683453,
  [SMALL_STATE(13957)] = 683482,
  [SMALL_STATE(13958)] = 683511,
  [SMALL_STATE(13959)] = 683540,
  [SMALL_STATE(13960)] = 683567,
  [SMALL_STATE(13961)] = 683596,
  [SMALL_STATE(13962)] = 683625,
  [SMALL_STATE(13963)] = 683654,
  [SMALL_STATE(13964)] = 683683,
  [SMALL_STATE(13965)] = 683712,
  [SMALL_STATE(13966)] = 683741,
  [SMALL_STATE(13967)] = 683770,
  [SMALL_STATE(13968)] = 683799,
  [SMALL_STATE(13969)] = 683820,
  [SMALL_STATE(13970)] = 683847,
  [SMALL_STATE(13971)] = 683870,
  [SMALL_STATE(13972)] = 683891,
  [SMALL_STATE(13973)] = 683920,
  [SMALL_STATE(13974)] = 683949,
  [SMALL_STATE(13975)] = 683970,
  [SMALL_STATE(13976)] = 683999,
  [SMALL_STATE(13977)] = 684028,
  [SMALL_STATE(13978)] = 684057,
  [SMALL_STATE(13979)] = 684086,
  [SMALL_STATE(13980)] = 684115,
  [SMALL_STATE(13981)] = 684136,
  [SMALL_STATE(13982)] = 684165,
  [SMALL_STATE(13983)] = 684194,
  [SMALL_STATE(13984)] = 684223,
  [SMALL_STATE(13985)] = 684252,
  [SMALL_STATE(13986)] = 684281,
  [SMALL_STATE(13987)] = 684310,
  [SMALL_STATE(13988)] = 684339,
  [SMALL_STATE(13989)] = 684368,
  [SMALL_STATE(13990)] = 684389,
  [SMALL_STATE(13991)] = 684418,
  [SMALL_STATE(13992)] = 684447,
  [SMALL_STATE(13993)] = 684468,
  [SMALL_STATE(13994)] = 684497,
  [SMALL_STATE(13995)] = 684526,
  [SMALL_STATE(13996)] = 684555,
  [SMALL_STATE(13997)] = 684584,
  [SMALL_STATE(13998)] = 684605,
  [SMALL_STATE(13999)] = 684626,
  [SMALL_STATE(14000)] = 684647,
  [SMALL_STATE(14001)] = 684668,
  [SMALL_STATE(14002)] = 684689,
  [SMALL_STATE(14003)] = 684716,
  [SMALL_STATE(14004)] = 684745,
  [SMALL_STATE(14005)] = 684772,
  [SMALL_STATE(14006)] = 684799,
  [SMALL_STATE(14007)] = 684820,
  [SMALL_STATE(14008)] = 684849,
  [SMALL_STATE(14009)] = 684870,
  [SMALL_STATE(14010)] = 684899,
  [SMALL_STATE(14011)] = 684920,
  [SMALL_STATE(14012)] = 684941,
  [SMALL_STATE(14013)] = 684970,
  [SMALL_STATE(14014)] = 684999,
  [SMALL_STATE(14015)] = 685028,
  [SMALL_STATE(14016)] = 685057,
  [SMALL_STATE(14017)] = 685086,
  [SMALL_STATE(14018)] = 685115,
  [SMALL_STATE(14019)] = 685144,
  [SMALL_STATE(14020)] = 685171,
  [SMALL_STATE(14021)] = 685192,
  [SMALL_STATE(14022)] = 685213,
  [SMALL_STATE(14023)] = 685242,
  [SMALL_STATE(14024)] = 685263,
  [SMALL_STATE(14025)] = 685284,
  [SMALL_STATE(14026)] = 685313,
  [SMALL_STATE(14027)] = 685334,
  [SMALL_STATE(14028)] = 685363,
  [SMALL_STATE(14029)] = 685384,
  [SMALL_STATE(14030)] = 685411,
  [SMALL_STATE(14031)] = 685440,
  [SMALL_STATE(14032)] = 685461,
  [SMALL_STATE(14033)] = 685490,
  [SMALL_STATE(14034)] = 685519,
  [SMALL_STATE(14035)] = 685540,
  [SMALL_STATE(14036)] = 685569,
  [SMALL_STATE(14037)] = 685598,
  [SMALL_STATE(14038)] = 685627,
  [SMALL_STATE(14039)] = 685654,
  [SMALL_STATE(14040)] = 685681,
  [SMALL_STATE(14041)] = 685710,
  [SMALL_STATE(14042)] = 685731,
  [SMALL_STATE(14043)] = 685760,
  [SMALL_STATE(14044)] = 685781,
  [SMALL_STATE(14045)] = 685810,
  [SMALL_STATE(14046)] = 685839,
  [SMALL_STATE(14047)] = 685866,
  [SMALL_STATE(14048)] = 685893,
  [SMALL_STATE(14049)] = 685922,
  [SMALL_STATE(14050)] = 685951,
  [SMALL_STATE(14051)] = 685980,
  [SMALL_STATE(14052)] = 686009,
  [SMALL_STATE(14053)] = 686036,
  [SMALL_STATE(14054)] = 686065,
  [SMALL_STATE(14055)] = 686094,
  [SMALL_STATE(14056)] = 686119,
  [SMALL_STATE(14057)] = 686148,
  [SMALL_STATE(14058)] = 686177,
  [SMALL_STATE(14059)] = 686206,
  [SMALL_STATE(14060)] = 686235,
  [SMALL_STATE(14061)] = 686264,
  [SMALL_STATE(14062)] = 686293,
  [SMALL_STATE(14063)] = 686322,
  [SMALL_STATE(14064)] = 686351,
  [SMALL_STATE(14065)] = 686380,
  [SMALL_STATE(14066)] = 686409,
  [SMALL_STATE(14067)] = 686438,
  [SMALL_STATE(14068)] = 686467,
  [SMALL_STATE(14069)] = 686496,
  [SMALL_STATE(14070)] = 686525,
  [SMALL_STATE(14071)] = 686554,
  [SMALL_STATE(14072)] = 686581,
  [SMALL_STATE(14073)] = 686610,
  [SMALL_STATE(14074)] = 686639,
  [SMALL_STATE(14075)] = 686668,
  [SMALL_STATE(14076)] = 686697,
  [SMALL_STATE(14077)] = 686726,
  [SMALL_STATE(14078)] = 686755,
  [SMALL_STATE(14079)] = 686784,
  [SMALL_STATE(14080)] = 686813,
  [SMALL_STATE(14081)] = 686834,
  [SMALL_STATE(14082)] = 686857,
  [SMALL_STATE(14083)] = 686886,
  [SMALL_STATE(14084)] = 686915,
  [SMALL_STATE(14085)] = 686944,
  [SMALL_STATE(14086)] = 686973,
  [SMALL_STATE(14087)] = 687002,
  [SMALL_STATE(14088)] = 687031,
  [SMALL_STATE(14089)] = 687060,
  [SMALL_STATE(14090)] = 687089,
  [SMALL_STATE(14091)] = 687118,
  [SMALL_STATE(14092)] = 687147,
  [SMALL_STATE(14093)] = 687176,
  [SMALL_STATE(14094)] = 687205,
  [SMALL_STATE(14095)] = 687234,
  [SMALL_STATE(14096)] = 687261,
  [SMALL_STATE(14097)] = 687282,
  [SMALL_STATE(14098)] = 687311,
  [SMALL_STATE(14099)] = 687340,
  [SMALL_STATE(14100)] = 687363,
  [SMALL_STATE(14101)] = 687388,
  [SMALL_STATE(14102)] = 687409,
  [SMALL_STATE(14103)] = 687432,
  [SMALL_STATE(14104)] = 687453,
  [SMALL_STATE(14105)] = 687482,
  [SMALL_STATE(14106)] = 687503,
  [SMALL_STATE(14107)] = 687530,
  [SMALL_STATE(14108)] = 687559,
  [SMALL_STATE(14109)] = 687588,
  [SMALL_STATE(14110)] = 687609,
  [SMALL_STATE(14111)] = 687638,
  [SMALL_STATE(14112)] = 687667,
  [SMALL_STATE(14113)] = 687694,
  [SMALL_STATE(14114)] = 687723,
  [SMALL_STATE(14115)] = 687752,
  [SMALL_STATE(14116)] = 687781,
  [SMALL_STATE(14117)] = 687808,
  [SMALL_STATE(14118)] = 687829,
  [SMALL_STATE(14119)] = 687858,
  [SMALL_STATE(14120)] = 687887,
  [SMALL_STATE(14121)] = 687916,
  [SMALL_STATE(14122)] = 687945,
  [SMALL_STATE(14123)] = 687966,
  [SMALL_STATE(14124)] = 687995,
  [SMALL_STATE(14125)] = 688024,
  [SMALL_STATE(14126)] = 688053,
  [SMALL_STATE(14127)] = 688079,
  [SMALL_STATE(14128)] = 688105,
  [SMALL_STATE(14129)] = 688131,
  [SMALL_STATE(14130)] = 688157,
  [SMALL_STATE(14131)] = 688183,
  [SMALL_STATE(14132)] = 688205,
  [SMALL_STATE(14133)] = 688231,
  [SMALL_STATE(14134)] = 688257,
  [SMALL_STATE(14135)] = 688283,
  [SMALL_STATE(14136)] = 688309,
  [SMALL_STATE(14137)] = 688335,
  [SMALL_STATE(14138)] = 688361,
  [SMALL_STATE(14139)] = 688387,
  [SMALL_STATE(14140)] = 688413,
  [SMALL_STATE(14141)] = 688439,
  [SMALL_STATE(14142)] = 688465,
  [SMALL_STATE(14143)] = 688491,
  [SMALL_STATE(14144)] = 688517,
  [SMALL_STATE(14145)] = 688543,
  [SMALL_STATE(14146)] = 688569,
  [SMALL_STATE(14147)] = 688595,
  [SMALL_STATE(14148)] = 688619,
  [SMALL_STATE(14149)] = 688645,
  [SMALL_STATE(14150)] = 688671,
  [SMALL_STATE(14151)] = 688697,
  [SMALL_STATE(14152)] = 688721,
  [SMALL_STATE(14153)] = 688747,
  [SMALL_STATE(14154)] = 688773,
  [SMALL_STATE(14155)] = 688797,
  [SMALL_STATE(14156)] = 688823,
  [SMALL_STATE(14157)] = 688849,
  [SMALL_STATE(14158)] = 688871,
  [SMALL_STATE(14159)] = 688889,
  [SMALL_STATE(14160)] = 688911,
  [SMALL_STATE(14161)] = 688937,
  [SMALL_STATE(14162)] = 688959,
  [SMALL_STATE(14163)] = 688977,
  [SMALL_STATE(14164)] = 689003,
  [SMALL_STATE(14165)] = 689029,
  [SMALL_STATE(14166)] = 689055,
  [SMALL_STATE(14167)] = 689079,
  [SMALL_STATE(14168)] = 689105,
  [SMALL_STATE(14169)] = 689131,
  [SMALL_STATE(14170)] = 689157,
  [SMALL_STATE(14171)] = 689183,
  [SMALL_STATE(14172)] = 689205,
  [SMALL_STATE(14173)] = 689231,
  [SMALL_STATE(14174)] = 689257,
  [SMALL_STATE(14175)] = 689283,
  [SMALL_STATE(14176)] = 689309,
  [SMALL_STATE(14177)] = 689331,
  [SMALL_STATE(14178)] = 689357,
  [SMALL_STATE(14179)] = 689383,
  [SMALL_STATE(14180)] = 689407,
  [SMALL_STATE(14181)] = 689433,
  [SMALL_STATE(14182)] = 689459,
  [SMALL_STATE(14183)] = 689483,
  [SMALL_STATE(14184)] = 689509,
  [SMALL_STATE(14185)] = 689535,
  [SMALL_STATE(14186)] = 689561,
  [SMALL_STATE(14187)] = 689587,
  [SMALL_STATE(14188)] = 689613,
  [SMALL_STATE(14189)] = 689635,
  [SMALL_STATE(14190)] = 689653,
  [SMALL_STATE(14191)] = 689679,
  [SMALL_STATE(14192)] = 689705,
  [SMALL_STATE(14193)] = 689731,
  [SMALL_STATE(14194)] = 689757,
  [SMALL_STATE(14195)] = 689783,
  [SMALL_STATE(14196)] = 689809,
  [SMALL_STATE(14197)] = 689835,
  [SMALL_STATE(14198)] = 689861,
  [SMALL_STATE(14199)] = 689887,
  [SMALL_STATE(14200)] = 689913,
  [SMALL_STATE(14201)] = 689937,
  [SMALL_STATE(14202)] = 689963,
  [SMALL_STATE(14203)] = 689989,
  [SMALL_STATE(14204)] = 690015,
  [SMALL_STATE(14205)] = 690041,
  [SMALL_STATE(14206)] = 690067,
  [SMALL_STATE(14207)] = 690089,
  [SMALL_STATE(14208)] = 690115,
  [SMALL_STATE(14209)] = 690139,
  [SMALL_STATE(14210)] = 690165,
  [SMALL_STATE(14211)] = 690191,
  [SMALL_STATE(14212)] = 690215,
  [SMALL_STATE(14213)] = 690233,
  [SMALL_STATE(14214)] = 690259,
  [SMALL_STATE(14215)] = 690285,
  [SMALL_STATE(14216)] = 690307,
  [SMALL_STATE(14217)] = 690333,
  [SMALL_STATE(14218)] = 690359,
  [SMALL_STATE(14219)] = 690385,
  [SMALL_STATE(14220)] = 690411,
  [SMALL_STATE(14221)] = 690437,
  [SMALL_STATE(14222)] = 690459,
  [SMALL_STATE(14223)] = 690485,
  [SMALL_STATE(14224)] = 690511,
  [SMALL_STATE(14225)] = 690537,
  [SMALL_STATE(14226)] = 690563,
  [SMALL_STATE(14227)] = 690587,
  [SMALL_STATE(14228)] = 690613,
  [SMALL_STATE(14229)] = 690639,
  [SMALL_STATE(14230)] = 690657,
  [SMALL_STATE(14231)] = 690683,
  [SMALL_STATE(14232)] = 690709,
  [SMALL_STATE(14233)] = 690735,
  [SMALL_STATE(14234)] = 690761,
  [SMALL_STATE(14235)] = 690783,
  [SMALL_STATE(14236)] = 690809,
  [SMALL_STATE(14237)] = 690835,
  [SMALL_STATE(14238)] = 690861,
  [SMALL_STATE(14239)] = 690887,
  [SMALL_STATE(14240)] = 690913,
  [SMALL_STATE(14241)] = 690939,
  [SMALL_STATE(14242)] = 690965,
  [SMALL_STATE(14243)] = 690991,
  [SMALL_STATE(14244)] = 691017,
  [SMALL_STATE(14245)] = 691043,
  [SMALL_STATE(14246)] = 691063,
  [SMALL_STATE(14247)] = 691089,
  [SMALL_STATE(14248)] = 691115,
  [SMALL_STATE(14249)] = 691141,
  [SMALL_STATE(14250)] = 691167,
  [SMALL_STATE(14251)] = 691193,
  [SMALL_STATE(14252)] = 691219,
  [SMALL_STATE(14253)] = 691241,
  [SMALL_STATE(14254)] = 691263,
  [SMALL_STATE(14255)] = 691289,
  [SMALL_STATE(14256)] = 691315,
  [SMALL_STATE(14257)] = 691341,
  [SMALL_STATE(14258)] = 691367,
  [SMALL_STATE(14259)] = 691393,
  [SMALL_STATE(14260)] = 691419,
  [SMALL_STATE(14261)] = 691445,
  [SMALL_STATE(14262)] = 691471,
  [SMALL_STATE(14263)] = 691497,
  [SMALL_STATE(14264)] = 691523,
  [SMALL_STATE(14265)] = 691549,
  [SMALL_STATE(14266)] = 691575,
  [SMALL_STATE(14267)] = 691601,
  [SMALL_STATE(14268)] = 691627,
  [SMALL_STATE(14269)] = 691653,
  [SMALL_STATE(14270)] = 691679,
  [SMALL_STATE(14271)] = 691701,
  [SMALL_STATE(14272)] = 691727,
  [SMALL_STATE(14273)] = 691753,
  [SMALL_STATE(14274)] = 691779,
  [SMALL_STATE(14275)] = 691805,
  [SMALL_STATE(14276)] = 691831,
  [SMALL_STATE(14277)] = 691857,
  [SMALL_STATE(14278)] = 691883,
  [SMALL_STATE(14279)] = 691909,
  [SMALL_STATE(14280)] = 691935,
  [SMALL_STATE(14281)] = 691961,
  [SMALL_STATE(14282)] = 691985,
  [SMALL_STATE(14283)] = 692011,
  [SMALL_STATE(14284)] = 692029,
  [SMALL_STATE(14285)] = 692055,
  [SMALL_STATE(14286)] = 692079,
  [SMALL_STATE(14287)] = 692105,
  [SMALL_STATE(14288)] = 692127,
  [SMALL_STATE(14289)] = 692151,
  [SMALL_STATE(14290)] = 692177,
  [SMALL_STATE(14291)] = 692199,
  [SMALL_STATE(14292)] = 692225,
  [SMALL_STATE(14293)] = 692249,
  [SMALL_STATE(14294)] = 692275,
  [SMALL_STATE(14295)] = 692297,
  [SMALL_STATE(14296)] = 692323,
  [SMALL_STATE(14297)] = 692349,
  [SMALL_STATE(14298)] = 692373,
  [SMALL_STATE(14299)] = 692395,
  [SMALL_STATE(14300)] = 692421,
  [SMALL_STATE(14301)] = 692447,
  [SMALL_STATE(14302)] = 692473,
  [SMALL_STATE(14303)] = 692499,
  [SMALL_STATE(14304)] = 692517,
  [SMALL_STATE(14305)] = 692539,
  [SMALL_STATE(14306)] = 692563,
  [SMALL_STATE(14307)] = 692589,
  [SMALL_STATE(14308)] = 692615,
  [SMALL_STATE(14309)] = 692637,
  [SMALL_STATE(14310)] = 692659,
  [SMALL_STATE(14311)] = 692681,
  [SMALL_STATE(14312)] = 692707,
  [SMALL_STATE(14313)] = 692733,
  [SMALL_STATE(14314)] = 692759,
  [SMALL_STATE(14315)] = 692785,
  [SMALL_STATE(14316)] = 692811,
  [SMALL_STATE(14317)] = 692837,
  [SMALL_STATE(14318)] = 692863,
  [SMALL_STATE(14319)] = 692885,
  [SMALL_STATE(14320)] = 692911,
  [SMALL_STATE(14321)] = 692937,
  [SMALL_STATE(14322)] = 692963,
  [SMALL_STATE(14323)] = 692989,
  [SMALL_STATE(14324)] = 693015,
  [SMALL_STATE(14325)] = 693041,
  [SMALL_STATE(14326)] = 693067,
  [SMALL_STATE(14327)] = 693093,
  [SMALL_STATE(14328)] = 693119,
  [SMALL_STATE(14329)] = 693145,
  [SMALL_STATE(14330)] = 693171,
  [SMALL_STATE(14331)] = 693197,
  [SMALL_STATE(14332)] = 693223,
  [SMALL_STATE(14333)] = 693249,
  [SMALL_STATE(14334)] = 693275,
  [SMALL_STATE(14335)] = 693301,
  [SMALL_STATE(14336)] = 693327,
  [SMALL_STATE(14337)] = 693353,
  [SMALL_STATE(14338)] = 693379,
  [SMALL_STATE(14339)] = 693403,
  [SMALL_STATE(14340)] = 693429,
  [SMALL_STATE(14341)] = 693455,
  [SMALL_STATE(14342)] = 693481,
  [SMALL_STATE(14343)] = 693507,
  [SMALL_STATE(14344)] = 693531,
  [SMALL_STATE(14345)] = 693557,
  [SMALL_STATE(14346)] = 693583,
  [SMALL_STATE(14347)] = 693609,
  [SMALL_STATE(14348)] = 693635,
  [SMALL_STATE(14349)] = 693661,
  [SMALL_STATE(14350)] = 693685,
  [SMALL_STATE(14351)] = 693711,
  [SMALL_STATE(14352)] = 693737,
  [SMALL_STATE(14353)] = 693763,
  [SMALL_STATE(14354)] = 693785,
  [SMALL_STATE(14355)] = 693803,
  [SMALL_STATE(14356)] = 693829,
  [SMALL_STATE(14357)] = 693855,
  [SMALL_STATE(14358)] = 693881,
  [SMALL_STATE(14359)] = 693907,
  [SMALL_STATE(14360)] = 693930,
  [SMALL_STATE(14361)] = 693953,
  [SMALL_STATE(14362)] = 693974,
  [SMALL_STATE(14363)] = 693997,
  [SMALL_STATE(14364)] = 694016,
  [SMALL_STATE(14365)] = 694039,
  [SMALL_STATE(14366)] = 694062,
  [SMALL_STATE(14367)] = 694085,
  [SMALL_STATE(14368)] = 694108,
  [SMALL_STATE(14369)] = 694131,
  [SMALL_STATE(14370)] = 694154,
  [SMALL_STATE(14371)] = 694177,
  [SMALL_STATE(14372)] = 694200,
  [SMALL_STATE(14373)] = 694223,
  [SMALL_STATE(14374)] = 694246,
  [SMALL_STATE(14375)] = 694269,
  [SMALL_STATE(14376)] = 694292,
  [SMALL_STATE(14377)] = 694315,
  [SMALL_STATE(14378)] = 694338,
  [SMALL_STATE(14379)] = 694361,
  [SMALL_STATE(14380)] = 694384,
  [SMALL_STATE(14381)] = 694407,
  [SMALL_STATE(14382)] = 694428,
  [SMALL_STATE(14383)] = 694451,
  [SMALL_STATE(14384)] = 694474,
  [SMALL_STATE(14385)] = 694497,
  [SMALL_STATE(14386)] = 694520,
  [SMALL_STATE(14387)] = 694543,
  [SMALL_STATE(14388)] = 694566,
  [SMALL_STATE(14389)] = 694589,
  [SMALL_STATE(14390)] = 694612,
  [SMALL_STATE(14391)] = 694635,
  [SMALL_STATE(14392)] = 694658,
  [SMALL_STATE(14393)] = 694681,
  [SMALL_STATE(14394)] = 694704,
  [SMALL_STATE(14395)] = 694727,
  [SMALL_STATE(14396)] = 694750,
  [SMALL_STATE(14397)] = 694773,
  [SMALL_STATE(14398)] = 694796,
  [SMALL_STATE(14399)] = 694817,
  [SMALL_STATE(14400)] = 694840,
  [SMALL_STATE(14401)] = 694863,
  [SMALL_STATE(14402)] = 694886,
  [SMALL_STATE(14403)] = 694909,
  [SMALL_STATE(14404)] = 694932,
  [SMALL_STATE(14405)] = 694955,
  [SMALL_STATE(14406)] = 694978,
  [SMALL_STATE(14407)] = 695001,
  [SMALL_STATE(14408)] = 695024,
  [SMALL_STATE(14409)] = 695047,
  [SMALL_STATE(14410)] = 695068,
  [SMALL_STATE(14411)] = 695091,
  [SMALL_STATE(14412)] = 695114,
  [SMALL_STATE(14413)] = 695137,
  [SMALL_STATE(14414)] = 695160,
  [SMALL_STATE(14415)] = 695183,
  [SMALL_STATE(14416)] = 695206,
  [SMALL_STATE(14417)] = 695229,
  [SMALL_STATE(14418)] = 695252,
  [SMALL_STATE(14419)] = 695273,
  [SMALL_STATE(14420)] = 695296,
  [SMALL_STATE(14421)] = 695319,
  [SMALL_STATE(14422)] = 695342,
  [SMALL_STATE(14423)] = 695365,
  [SMALL_STATE(14424)] = 695388,
  [SMALL_STATE(14425)] = 695411,
  [SMALL_STATE(14426)] = 695434,
  [SMALL_STATE(14427)] = 695457,
  [SMALL_STATE(14428)] = 695480,
  [SMALL_STATE(14429)] = 695503,
  [SMALL_STATE(14430)] = 695526,
  [SMALL_STATE(14431)] = 695549,
  [SMALL_STATE(14432)] = 695570,
  [SMALL_STATE(14433)] = 695593,
  [SMALL_STATE(14434)] = 695616,
  [SMALL_STATE(14435)] = 695639,
  [SMALL_STATE(14436)] = 695662,
  [SMALL_STATE(14437)] = 695685,
  [SMALL_STATE(14438)] = 695708,
  [SMALL_STATE(14439)] = 695731,
  [SMALL_STATE(14440)] = 695754,
  [SMALL_STATE(14441)] = 695777,
  [SMALL_STATE(14442)] = 695798,
  [SMALL_STATE(14443)] = 695821,
  [SMALL_STATE(14444)] = 695844,
  [SMALL_STATE(14445)] = 695867,
  [SMALL_STATE(14446)] = 695890,
  [SMALL_STATE(14447)] = 695913,
  [SMALL_STATE(14448)] = 695936,
  [SMALL_STATE(14449)] = 695959,
  [SMALL_STATE(14450)] = 695982,
  [SMALL_STATE(14451)] = 696005,
  [SMALL_STATE(14452)] = 696028,
  [SMALL_STATE(14453)] = 696051,
  [SMALL_STATE(14454)] = 696074,
  [SMALL_STATE(14455)] = 696095,
  [SMALL_STATE(14456)] = 696118,
  [SMALL_STATE(14457)] = 696141,
  [SMALL_STATE(14458)] = 696164,
  [SMALL_STATE(14459)] = 696187,
  [SMALL_STATE(14460)] = 696210,
  [SMALL_STATE(14461)] = 696233,
  [SMALL_STATE(14462)] = 696256,
  [SMALL_STATE(14463)] = 696279,
  [SMALL_STATE(14464)] = 696302,
  [SMALL_STATE(14465)] = 696325,
  [SMALL_STATE(14466)] = 696348,
  [SMALL_STATE(14467)] = 696371,
  [SMALL_STATE(14468)] = 696394,
  [SMALL_STATE(14469)] = 696417,
  [SMALL_STATE(14470)] = 696440,
  [SMALL_STATE(14471)] = 696463,
  [SMALL_STATE(14472)] = 696486,
  [SMALL_STATE(14473)] = 696509,
  [SMALL_STATE(14474)] = 696532,
  [SMALL_STATE(14475)] = 696555,
  [SMALL_STATE(14476)] = 696576,
  [SMALL_STATE(14477)] = 696599,
  [SMALL_STATE(14478)] = 696622,
  [SMALL_STATE(14479)] = 696645,
  [SMALL_STATE(14480)] = 696668,
  [SMALL_STATE(14481)] = 696691,
  [SMALL_STATE(14482)] = 696714,
  [SMALL_STATE(14483)] = 696737,
  [SMALL_STATE(14484)] = 696760,
  [SMALL_STATE(14485)] = 696783,
  [SMALL_STATE(14486)] = 696806,
  [SMALL_STATE(14487)] = 696829,
  [SMALL_STATE(14488)] = 696852,
  [SMALL_STATE(14489)] = 696875,
  [SMALL_STATE(14490)] = 696898,
  [SMALL_STATE(14491)] = 696921,
  [SMALL_STATE(14492)] = 696944,
  [SMALL_STATE(14493)] = 696967,
  [SMALL_STATE(14494)] = 696990,
  [SMALL_STATE(14495)] = 697013,
  [SMALL_STATE(14496)] = 697036,
  [SMALL_STATE(14497)] = 697057,
  [SMALL_STATE(14498)] = 697080,
  [SMALL_STATE(14499)] = 697101,
  [SMALL_STATE(14500)] = 697124,
  [SMALL_STATE(14501)] = 697147,
  [SMALL_STATE(14502)] = 697170,
  [SMALL_STATE(14503)] = 697193,
  [SMALL_STATE(14504)] = 697216,
  [SMALL_STATE(14505)] = 697239,
  [SMALL_STATE(14506)] = 697262,
  [SMALL_STATE(14507)] = 697285,
  [SMALL_STATE(14508)] = 697308,
  [SMALL_STATE(14509)] = 697331,
  [SMALL_STATE(14510)] = 697354,
  [SMALL_STATE(14511)] = 697377,
  [SMALL_STATE(14512)] = 697400,
  [SMALL_STATE(14513)] = 697423,
  [SMALL_STATE(14514)] = 697446,
  [SMALL_STATE(14515)] = 697469,
  [SMALL_STATE(14516)] = 697492,
  [SMALL_STATE(14517)] = 697515,
  [SMALL_STATE(14518)] = 697538,
  [SMALL_STATE(14519)] = 697561,
  [SMALL_STATE(14520)] = 697584,
  [SMALL_STATE(14521)] = 697607,
  [SMALL_STATE(14522)] = 697630,
  [SMALL_STATE(14523)] = 697653,
  [SMALL_STATE(14524)] = 697676,
  [SMALL_STATE(14525)] = 697699,
  [SMALL_STATE(14526)] = 697722,
  [SMALL_STATE(14527)] = 697745,
  [SMALL_STATE(14528)] = 697766,
  [SMALL_STATE(14529)] = 697789,
  [SMALL_STATE(14530)] = 697812,
  [SMALL_STATE(14531)] = 697835,
  [SMALL_STATE(14532)] = 697858,
  [SMALL_STATE(14533)] = 697881,
  [SMALL_STATE(14534)] = 697904,
  [SMALL_STATE(14535)] = 697925,
  [SMALL_STATE(14536)] = 697948,
  [SMALL_STATE(14537)] = 697971,
  [SMALL_STATE(14538)] = 697994,
  [SMALL_STATE(14539)] = 698017,
  [SMALL_STATE(14540)] = 698040,
  [SMALL_STATE(14541)] = 698063,
  [SMALL_STATE(14542)] = 698084,
  [SMALL_STATE(14543)] = 698105,
  [SMALL_STATE(14544)] = 698128,
  [SMALL_STATE(14545)] = 698151,
  [SMALL_STATE(14546)] = 698174,
  [SMALL_STATE(14547)] = 698197,
  [SMALL_STATE(14548)] = 698220,
  [SMALL_STATE(14549)] = 698243,
  [SMALL_STATE(14550)] = 698262,
  [SMALL_STATE(14551)] = 698285,
  [SMALL_STATE(14552)] = 698308,
  [SMALL_STATE(14553)] = 698331,
  [SMALL_STATE(14554)] = 698354,
  [SMALL_STATE(14555)] = 698377,
  [SMALL_STATE(14556)] = 698398,
  [SMALL_STATE(14557)] = 698421,
  [SMALL_STATE(14558)] = 698444,
  [SMALL_STATE(14559)] = 698467,
  [SMALL_STATE(14560)] = 698490,
  [SMALL_STATE(14561)] = 698513,
  [SMALL_STATE(14562)] = 698536,
  [SMALL_STATE(14563)] = 698559,
  [SMALL_STATE(14564)] = 698582,
  [SMALL_STATE(14565)] = 698605,
  [SMALL_STATE(14566)] = 698628,
  [SMALL_STATE(14567)] = 698651,
  [SMALL_STATE(14568)] = 698674,
  [SMALL_STATE(14569)] = 698697,
  [SMALL_STATE(14570)] = 698720,
  [SMALL_STATE(14571)] = 698743,
  [SMALL_STATE(14572)] = 698766,
  [SMALL_STATE(14573)] = 698789,
  [SMALL_STATE(14574)] = 698812,
  [SMALL_STATE(14575)] = 698831,
  [SMALL_STATE(14576)] = 698854,
  [SMALL_STATE(14577)] = 698877,
  [SMALL_STATE(14578)] = 698900,
  [SMALL_STATE(14579)] = 698923,
  [SMALL_STATE(14580)] = 698946,
  [SMALL_STATE(14581)] = 698969,
  [SMALL_STATE(14582)] = 698992,
  [SMALL_STATE(14583)] = 699015,
  [SMALL_STATE(14584)] = 699038,
  [SMALL_STATE(14585)] = 699061,
  [SMALL_STATE(14586)] = 699084,
  [SMALL_STATE(14587)] = 699107,
  [SMALL_STATE(14588)] = 699130,
  [SMALL_STATE(14589)] = 699153,
  [SMALL_STATE(14590)] = 699176,
  [SMALL_STATE(14591)] = 699199,
  [SMALL_STATE(14592)] = 699222,
  [SMALL_STATE(14593)] = 699245,
  [SMALL_STATE(14594)] = 699268,
  [SMALL_STATE(14595)] = 699291,
  [SMALL_STATE(14596)] = 699314,
  [SMALL_STATE(14597)] = 699337,
  [SMALL_STATE(14598)] = 699360,
  [SMALL_STATE(14599)] = 699383,
  [SMALL_STATE(14600)] = 699406,
  [SMALL_STATE(14601)] = 699429,
  [SMALL_STATE(14602)] = 699452,
  [SMALL_STATE(14603)] = 699475,
  [SMALL_STATE(14604)] = 699498,
  [SMALL_STATE(14605)] = 699521,
  [SMALL_STATE(14606)] = 699544,
  [SMALL_STATE(14607)] = 699567,
  [SMALL_STATE(14608)] = 699590,
  [SMALL_STATE(14609)] = 699613,
  [SMALL_STATE(14610)] = 699632,
  [SMALL_STATE(14611)] = 699655,
  [SMALL_STATE(14612)] = 699674,
  [SMALL_STATE(14613)] = 699697,
  [SMALL_STATE(14614)] = 699720,
  [SMALL_STATE(14615)] = 699743,
  [SMALL_STATE(14616)] = 699766,
  [SMALL_STATE(14617)] = 699789,
  [SMALL_STATE(14618)] = 699812,
  [SMALL_STATE(14619)] = 699835,
  [SMALL_STATE(14620)] = 699858,
  [SMALL_STATE(14621)] = 699881,
  [SMALL_STATE(14622)] = 699904,
  [SMALL_STATE(14623)] = 699927,
  [SMALL_STATE(14624)] = 699950,
  [SMALL_STATE(14625)] = 699973,
  [SMALL_STATE(14626)] = 699996,
  [SMALL_STATE(14627)] = 700019,
  [SMALL_STATE(14628)] = 700042,
  [SMALL_STATE(14629)] = 700065,
  [SMALL_STATE(14630)] = 700086,
  [SMALL_STATE(14631)] = 700109,
  [SMALL_STATE(14632)] = 700132,
  [SMALL_STATE(14633)] = 700155,
  [SMALL_STATE(14634)] = 700178,
  [SMALL_STATE(14635)] = 700201,
  [SMALL_STATE(14636)] = 700224,
  [SMALL_STATE(14637)] = 700245,
  [SMALL_STATE(14638)] = 700268,
  [SMALL_STATE(14639)] = 700291,
  [SMALL_STATE(14640)] = 700314,
  [SMALL_STATE(14641)] = 700337,
  [SMALL_STATE(14642)] = 700360,
  [SMALL_STATE(14643)] = 700383,
  [SMALL_STATE(14644)] = 700406,
  [SMALL_STATE(14645)] = 700429,
  [SMALL_STATE(14646)] = 700452,
  [SMALL_STATE(14647)] = 700475,
  [SMALL_STATE(14648)] = 700498,
  [SMALL_STATE(14649)] = 700521,
  [SMALL_STATE(14650)] = 700544,
  [SMALL_STATE(14651)] = 700567,
  [SMALL_STATE(14652)] = 700590,
  [SMALL_STATE(14653)] = 700613,
  [SMALL_STATE(14654)] = 700636,
  [SMALL_STATE(14655)] = 700659,
  [SMALL_STATE(14656)] = 700682,
  [SMALL_STATE(14657)] = 700705,
  [SMALL_STATE(14658)] = 700728,
  [SMALL_STATE(14659)] = 700751,
  [SMALL_STATE(14660)] = 700774,
  [SMALL_STATE(14661)] = 700797,
  [SMALL_STATE(14662)] = 700820,
  [SMALL_STATE(14663)] = 700843,
  [SMALL_STATE(14664)] = 700866,
  [SMALL_STATE(14665)] = 700889,
  [SMALL_STATE(14666)] = 700912,
  [SMALL_STATE(14667)] = 700935,
  [SMALL_STATE(14668)] = 700958,
  [SMALL_STATE(14669)] = 700981,
  [SMALL_STATE(14670)] = 701004,
  [SMALL_STATE(14671)] = 701027,
  [SMALL_STATE(14672)] = 701050,
  [SMALL_STATE(14673)] = 701071,
  [SMALL_STATE(14674)] = 701094,
  [SMALL_STATE(14675)] = 701117,
  [SMALL_STATE(14676)] = 701140,
  [SMALL_STATE(14677)] = 701163,
  [SMALL_STATE(14678)] = 701186,
  [SMALL_STATE(14679)] = 701205,
  [SMALL_STATE(14680)] = 701228,
  [SMALL_STATE(14681)] = 701251,
  [SMALL_STATE(14682)] = 701274,
  [SMALL_STATE(14683)] = 701297,
  [SMALL_STATE(14684)] = 701320,
  [SMALL_STATE(14685)] = 701343,
  [SMALL_STATE(14686)] = 701366,
  [SMALL_STATE(14687)] = 701389,
  [SMALL_STATE(14688)] = 701412,
  [SMALL_STATE(14689)] = 701435,
  [SMALL_STATE(14690)] = 701458,
  [SMALL_STATE(14691)] = 701481,
  [SMALL_STATE(14692)] = 701504,
  [SMALL_STATE(14693)] = 701525,
  [SMALL_STATE(14694)] = 701548,
  [SMALL_STATE(14695)] = 701571,
  [SMALL_STATE(14696)] = 701590,
  [SMALL_STATE(14697)] = 701613,
  [SMALL_STATE(14698)] = 701636,
  [SMALL_STATE(14699)] = 701659,
  [SMALL_STATE(14700)] = 701682,
  [SMALL_STATE(14701)] = 701705,
  [SMALL_STATE(14702)] = 701728,
  [SMALL_STATE(14703)] = 701751,
  [SMALL_STATE(14704)] = 701774,
  [SMALL_STATE(14705)] = 701797,
  [SMALL_STATE(14706)] = 701820,
  [SMALL_STATE(14707)] = 701843,
  [SMALL_STATE(14708)] = 701866,
  [SMALL_STATE(14709)] = 701889,
  [SMALL_STATE(14710)] = 701912,
  [SMALL_STATE(14711)] = 701935,
  [SMALL_STATE(14712)] = 701958,
  [SMALL_STATE(14713)] = 701981,
  [SMALL_STATE(14714)] = 702004,
  [SMALL_STATE(14715)] = 702027,
  [SMALL_STATE(14716)] = 702050,
  [SMALL_STATE(14717)] = 702073,
  [SMALL_STATE(14718)] = 702096,
  [SMALL_STATE(14719)] = 702119,
  [SMALL_STATE(14720)] = 702142,
  [SMALL_STATE(14721)] = 702165,
  [SMALL_STATE(14722)] = 702188,
  [SMALL_STATE(14723)] = 702211,
  [SMALL_STATE(14724)] = 702234,
  [SMALL_STATE(14725)] = 702257,
  [SMALL_STATE(14726)] = 702280,
  [SMALL_STATE(14727)] = 702303,
  [SMALL_STATE(14728)] = 702322,
  [SMALL_STATE(14729)] = 702345,
  [SMALL_STATE(14730)] = 702368,
  [SMALL_STATE(14731)] = 702391,
  [SMALL_STATE(14732)] = 702414,
  [SMALL_STATE(14733)] = 702437,
  [SMALL_STATE(14734)] = 702460,
  [SMALL_STATE(14735)] = 702483,
  [SMALL_STATE(14736)] = 702506,
  [SMALL_STATE(14737)] = 702529,
  [SMALL_STATE(14738)] = 702552,
  [SMALL_STATE(14739)] = 702575,
  [SMALL_STATE(14740)] = 702598,
  [SMALL_STATE(14741)] = 702621,
  [SMALL_STATE(14742)] = 702644,
  [SMALL_STATE(14743)] = 702667,
  [SMALL_STATE(14744)] = 702690,
  [SMALL_STATE(14745)] = 702713,
  [SMALL_STATE(14746)] = 702736,
  [SMALL_STATE(14747)] = 702759,
  [SMALL_STATE(14748)] = 702782,
  [SMALL_STATE(14749)] = 702805,
  [SMALL_STATE(14750)] = 702828,
  [SMALL_STATE(14751)] = 702851,
  [SMALL_STATE(14752)] = 702874,
  [SMALL_STATE(14753)] = 702897,
  [SMALL_STATE(14754)] = 702920,
  [SMALL_STATE(14755)] = 702943,
  [SMALL_STATE(14756)] = 702966,
  [SMALL_STATE(14757)] = 702989,
  [SMALL_STATE(14758)] = 703012,
  [SMALL_STATE(14759)] = 703035,
  [SMALL_STATE(14760)] = 703058,
  [SMALL_STATE(14761)] = 703081,
  [SMALL_STATE(14762)] = 703104,
  [SMALL_STATE(14763)] = 703127,
  [SMALL_STATE(14764)] = 703150,
  [SMALL_STATE(14765)] = 703173,
  [SMALL_STATE(14766)] = 703196,
  [SMALL_STATE(14767)] = 703219,
  [SMALL_STATE(14768)] = 703242,
  [SMALL_STATE(14769)] = 703265,
  [SMALL_STATE(14770)] = 703288,
  [SMALL_STATE(14771)] = 703311,
  [SMALL_STATE(14772)] = 703334,
  [SMALL_STATE(14773)] = 703357,
  [SMALL_STATE(14774)] = 703380,
  [SMALL_STATE(14775)] = 703403,
  [SMALL_STATE(14776)] = 703426,
  [SMALL_STATE(14777)] = 703449,
  [SMALL_STATE(14778)] = 703472,
  [SMALL_STATE(14779)] = 703495,
  [SMALL_STATE(14780)] = 703518,
  [SMALL_STATE(14781)] = 703539,
  [SMALL_STATE(14782)] = 703562,
  [SMALL_STATE(14783)] = 703585,
  [SMALL_STATE(14784)] = 703606,
  [SMALL_STATE(14785)] = 703629,
  [SMALL_STATE(14786)] = 703652,
  [SMALL_STATE(14787)] = 703675,
  [SMALL_STATE(14788)] = 703698,
  [SMALL_STATE(14789)] = 703721,
  [SMALL_STATE(14790)] = 703744,
  [SMALL_STATE(14791)] = 703767,
  [SMALL_STATE(14792)] = 703790,
  [SMALL_STATE(14793)] = 703813,
  [SMALL_STATE(14794)] = 703836,
  [SMALL_STATE(14795)] = 703859,
  [SMALL_STATE(14796)] = 703882,
  [SMALL_STATE(14797)] = 703905,
  [SMALL_STATE(14798)] = 703928,
  [SMALL_STATE(14799)] = 703951,
  [SMALL_STATE(14800)] = 703974,
  [SMALL_STATE(14801)] = 703997,
  [SMALL_STATE(14802)] = 704020,
  [SMALL_STATE(14803)] = 704043,
  [SMALL_STATE(14804)] = 704066,
  [SMALL_STATE(14805)] = 704089,
  [SMALL_STATE(14806)] = 704112,
  [SMALL_STATE(14807)] = 704135,
  [SMALL_STATE(14808)] = 704158,
  [SMALL_STATE(14809)] = 704181,
  [SMALL_STATE(14810)] = 704204,
  [SMALL_STATE(14811)] = 704227,
  [SMALL_STATE(14812)] = 704250,
  [SMALL_STATE(14813)] = 704273,
  [SMALL_STATE(14814)] = 704296,
  [SMALL_STATE(14815)] = 704319,
  [SMALL_STATE(14816)] = 704342,
  [SMALL_STATE(14817)] = 704365,
  [SMALL_STATE(14818)] = 704386,
  [SMALL_STATE(14819)] = 704409,
  [SMALL_STATE(14820)] = 704432,
  [SMALL_STATE(14821)] = 704455,
  [SMALL_STATE(14822)] = 704478,
  [SMALL_STATE(14823)] = 704501,
  [SMALL_STATE(14824)] = 704524,
  [SMALL_STATE(14825)] = 704547,
  [SMALL_STATE(14826)] = 704570,
  [SMALL_STATE(14827)] = 704593,
  [SMALL_STATE(14828)] = 704614,
  [SMALL_STATE(14829)] = 704637,
  [SMALL_STATE(14830)] = 704660,
  [SMALL_STATE(14831)] = 704683,
  [SMALL_STATE(14832)] = 704706,
  [SMALL_STATE(14833)] = 704729,
  [SMALL_STATE(14834)] = 704752,
  [SMALL_STATE(14835)] = 704775,
  [SMALL_STATE(14836)] = 704798,
  [SMALL_STATE(14837)] = 704821,
  [SMALL_STATE(14838)] = 704844,
  [SMALL_STATE(14839)] = 704867,
  [SMALL_STATE(14840)] = 704890,
  [SMALL_STATE(14841)] = 704913,
  [SMALL_STATE(14842)] = 704936,
  [SMALL_STATE(14843)] = 704959,
  [SMALL_STATE(14844)] = 704980,
  [SMALL_STATE(14845)] = 705003,
  [SMALL_STATE(14846)] = 705026,
  [SMALL_STATE(14847)] = 705049,
  [SMALL_STATE(14848)] = 705068,
  [SMALL_STATE(14849)] = 705091,
  [SMALL_STATE(14850)] = 705114,
  [SMALL_STATE(14851)] = 705137,
  [SMALL_STATE(14852)] = 705160,
  [SMALL_STATE(14853)] = 705183,
  [SMALL_STATE(14854)] = 705206,
  [SMALL_STATE(14855)] = 705229,
  [SMALL_STATE(14856)] = 705252,
  [SMALL_STATE(14857)] = 705275,
  [SMALL_STATE(14858)] = 705298,
  [SMALL_STATE(14859)] = 705321,
  [SMALL_STATE(14860)] = 705344,
  [SMALL_STATE(14861)] = 705367,
  [SMALL_STATE(14862)] = 705390,
  [SMALL_STATE(14863)] = 705413,
  [SMALL_STATE(14864)] = 705436,
  [SMALL_STATE(14865)] = 705459,
  [SMALL_STATE(14866)] = 705480,
  [SMALL_STATE(14867)] = 705503,
  [SMALL_STATE(14868)] = 705524,
  [SMALL_STATE(14869)] = 705545,
  [SMALL_STATE(14870)] = 705568,
  [SMALL_STATE(14871)] = 705589,
  [SMALL_STATE(14872)] = 705612,
  [SMALL_STATE(14873)] = 705635,
  [SMALL_STATE(14874)] = 705658,
  [SMALL_STATE(14875)] = 705681,
  [SMALL_STATE(14876)] = 705702,
  [SMALL_STATE(14877)] = 705725,
  [SMALL_STATE(14878)] = 705746,
  [SMALL_STATE(14879)] = 705767,
  [SMALL_STATE(14880)] = 705790,
  [SMALL_STATE(14881)] = 705813,
  [SMALL_STATE(14882)] = 705836,
  [SMALL_STATE(14883)] = 705859,
  [SMALL_STATE(14884)] = 705882,
  [SMALL_STATE(14885)] = 705905,
  [SMALL_STATE(14886)] = 705928,
  [SMALL_STATE(14887)] = 705951,
  [SMALL_STATE(14888)] = 705974,
  [SMALL_STATE(14889)] = 705997,
  [SMALL_STATE(14890)] = 706020,
  [SMALL_STATE(14891)] = 706043,
  [SMALL_STATE(14892)] = 706066,
  [SMALL_STATE(14893)] = 706089,
  [SMALL_STATE(14894)] = 706112,
  [SMALL_STATE(14895)] = 706135,
  [SMALL_STATE(14896)] = 706158,
  [SMALL_STATE(14897)] = 706181,
  [SMALL_STATE(14898)] = 706202,
  [SMALL_STATE(14899)] = 706225,
  [SMALL_STATE(14900)] = 706248,
  [SMALL_STATE(14901)] = 706271,
  [SMALL_STATE(14902)] = 706288,
  [SMALL_STATE(14903)] = 706311,
  [SMALL_STATE(14904)] = 706334,
  [SMALL_STATE(14905)] = 706357,
  [SMALL_STATE(14906)] = 706380,
  [SMALL_STATE(14907)] = 706403,
  [SMALL_STATE(14908)] = 706426,
  [SMALL_STATE(14909)] = 706449,
  [SMALL_STATE(14910)] = 706472,
  [SMALL_STATE(14911)] = 706495,
  [SMALL_STATE(14912)] = 706518,
  [SMALL_STATE(14913)] = 706541,
  [SMALL_STATE(14914)] = 706564,
  [SMALL_STATE(14915)] = 706585,
  [SMALL_STATE(14916)] = 706608,
  [SMALL_STATE(14917)] = 706631,
  [SMALL_STATE(14918)] = 706654,
  [SMALL_STATE(14919)] = 706677,
  [SMALL_STATE(14920)] = 706700,
  [SMALL_STATE(14921)] = 706723,
  [SMALL_STATE(14922)] = 706746,
  [SMALL_STATE(14923)] = 706769,
  [SMALL_STATE(14924)] = 706792,
  [SMALL_STATE(14925)] = 706815,
  [SMALL_STATE(14926)] = 706838,
  [SMALL_STATE(14927)] = 706861,
  [SMALL_STATE(14928)] = 706884,
  [SMALL_STATE(14929)] = 706907,
  [SMALL_STATE(14930)] = 706930,
  [SMALL_STATE(14931)] = 706953,
  [SMALL_STATE(14932)] = 706976,
  [SMALL_STATE(14933)] = 706999,
  [SMALL_STATE(14934)] = 707022,
  [SMALL_STATE(14935)] = 707045,
  [SMALL_STATE(14936)] = 707068,
  [SMALL_STATE(14937)] = 707091,
  [SMALL_STATE(14938)] = 707114,
  [SMALL_STATE(14939)] = 707137,
  [SMALL_STATE(14940)] = 707160,
  [SMALL_STATE(14941)] = 707183,
  [SMALL_STATE(14942)] = 707206,
  [SMALL_STATE(14943)] = 707229,
  [SMALL_STATE(14944)] = 707252,
  [SMALL_STATE(14945)] = 707275,
  [SMALL_STATE(14946)] = 707298,
  [SMALL_STATE(14947)] = 707321,
  [SMALL_STATE(14948)] = 707344,
  [SMALL_STATE(14949)] = 707363,
  [SMALL_STATE(14950)] = 707386,
  [SMALL_STATE(14951)] = 707409,
  [SMALL_STATE(14952)] = 707432,
  [SMALL_STATE(14953)] = 707455,
  [SMALL_STATE(14954)] = 707478,
  [SMALL_STATE(14955)] = 707501,
  [SMALL_STATE(14956)] = 707524,
  [SMALL_STATE(14957)] = 707547,
  [SMALL_STATE(14958)] = 707568,
  [SMALL_STATE(14959)] = 707591,
  [SMALL_STATE(14960)] = 707614,
  [SMALL_STATE(14961)] = 707637,
  [SMALL_STATE(14962)] = 707658,
  [SMALL_STATE(14963)] = 707679,
  [SMALL_STATE(14964)] = 707700,
  [SMALL_STATE(14965)] = 707723,
  [SMALL_STATE(14966)] = 707746,
  [SMALL_STATE(14967)] = 707769,
  [SMALL_STATE(14968)] = 707792,
  [SMALL_STATE(14969)] = 707815,
  [SMALL_STATE(14970)] = 707836,
  [SMALL_STATE(14971)] = 707859,
  [SMALL_STATE(14972)] = 707882,
  [SMALL_STATE(14973)] = 707905,
  [SMALL_STATE(14974)] = 707928,
  [SMALL_STATE(14975)] = 707951,
  [SMALL_STATE(14976)] = 707974,
  [SMALL_STATE(14977)] = 707997,
  [SMALL_STATE(14978)] = 708016,
  [SMALL_STATE(14979)] = 708037,
  [SMALL_STATE(14980)] = 708060,
  [SMALL_STATE(14981)] = 708083,
  [SMALL_STATE(14982)] = 708102,
  [SMALL_STATE(14983)] = 708125,
  [SMALL_STATE(14984)] = 708148,
  [SMALL_STATE(14985)] = 708169,
  [SMALL_STATE(14986)] = 708192,
  [SMALL_STATE(14987)] = 708215,
  [SMALL_STATE(14988)] = 708238,
  [SMALL_STATE(14989)] = 708261,
  [SMALL_STATE(14990)] = 708284,
  [SMALL_STATE(14991)] = 708307,
  [SMALL_STATE(14992)] = 708330,
  [SMALL_STATE(14993)] = 708353,
  [SMALL_STATE(14994)] = 708374,
  [SMALL_STATE(14995)] = 708397,
  [SMALL_STATE(14996)] = 708420,
  [SMALL_STATE(14997)] = 708443,
  [SMALL_STATE(14998)] = 708466,
  [SMALL_STATE(14999)] = 708489,
  [SMALL_STATE(15000)] = 708510,
  [SMALL_STATE(15001)] = 708533,
  [SMALL_STATE(15002)] = 708556,
  [SMALL_STATE(15003)] = 708579,
  [SMALL_STATE(15004)] = 708602,
  [SMALL_STATE(15005)] = 708625,
  [SMALL_STATE(15006)] = 708648,
  [SMALL_STATE(15007)] = 708671,
  [SMALL_STATE(15008)] = 708694,
  [SMALL_STATE(15009)] = 708717,
  [SMALL_STATE(15010)] = 708740,
  [SMALL_STATE(15011)] = 708761,
  [SMALL_STATE(15012)] = 708784,
  [SMALL_STATE(15013)] = 708807,
  [SMALL_STATE(15014)] = 708830,
  [SMALL_STATE(15015)] = 708853,
  [SMALL_STATE(15016)] = 708874,
  [SMALL_STATE(15017)] = 708897,
  [SMALL_STATE(15018)] = 708918,
  [SMALL_STATE(15019)] = 708941,
  [SMALL_STATE(15020)] = 708964,
  [SMALL_STATE(15021)] = 708985,
  [SMALL_STATE(15022)] = 709008,
  [SMALL_STATE(15023)] = 709031,
  [SMALL_STATE(15024)] = 709054,
  [SMALL_STATE(15025)] = 709077,
  [SMALL_STATE(15026)] = 709100,
  [SMALL_STATE(15027)] = 709123,
  [SMALL_STATE(15028)] = 709146,
  [SMALL_STATE(15029)] = 709169,
  [SMALL_STATE(15030)] = 709189,
  [SMALL_STATE(15031)] = 709209,
  [SMALL_STATE(15032)] = 709229,
  [SMALL_STATE(15033)] = 709249,
  [SMALL_STATE(15034)] = 709269,
  [SMALL_STATE(15035)] = 709289,
  [SMALL_STATE(15036)] = 709309,
  [SMALL_STATE(15037)] = 709329,
  [SMALL_STATE(15038)] = 709349,
  [SMALL_STATE(15039)] = 709369,
  [SMALL_STATE(15040)] = 709389,
  [SMALL_STATE(15041)] = 709407,
  [SMALL_STATE(15042)] = 709427,
  [SMALL_STATE(15043)] = 709447,
  [SMALL_STATE(15044)] = 709467,
  [SMALL_STATE(15045)] = 709487,
  [SMALL_STATE(15046)] = 709507,
  [SMALL_STATE(15047)] = 709527,
  [SMALL_STATE(15048)] = 709547,
  [SMALL_STATE(15049)] = 709567,
  [SMALL_STATE(15050)] = 709587,
  [SMALL_STATE(15051)] = 709607,
  [SMALL_STATE(15052)] = 709627,
  [SMALL_STATE(15053)] = 709647,
  [SMALL_STATE(15054)] = 709667,
  [SMALL_STATE(15055)] = 709687,
  [SMALL_STATE(15056)] = 709707,
  [SMALL_STATE(15057)] = 709727,
  [SMALL_STATE(15058)] = 709747,
  [SMALL_STATE(15059)] = 709767,
  [SMALL_STATE(15060)] = 709787,
  [SMALL_STATE(15061)] = 709807,
  [SMALL_STATE(15062)] = 709827,
  [SMALL_STATE(15063)] = 709847,
  [SMALL_STATE(15064)] = 709867,
  [SMALL_STATE(15065)] = 709887,
  [SMALL_STATE(15066)] = 709907,
  [SMALL_STATE(15067)] = 709927,
  [SMALL_STATE(15068)] = 709947,
  [SMALL_STATE(15069)] = 709967,
  [SMALL_STATE(15070)] = 709987,
  [SMALL_STATE(15071)] = 710007,
  [SMALL_STATE(15072)] = 710027,
  [SMALL_STATE(15073)] = 710047,
  [SMALL_STATE(15074)] = 710067,
  [SMALL_STATE(15075)] = 710087,
  [SMALL_STATE(15076)] = 710107,
  [SMALL_STATE(15077)] = 710127,
  [SMALL_STATE(15078)] = 710147,
  [SMALL_STATE(15079)] = 710167,
  [SMALL_STATE(15080)] = 710187,
  [SMALL_STATE(15081)] = 710207,
  [SMALL_STATE(15082)] = 710227,
  [SMALL_STATE(15083)] = 710247,
  [SMALL_STATE(15084)] = 710267,
  [SMALL_STATE(15085)] = 710287,
  [SMALL_STATE(15086)] = 710307,
  [SMALL_STATE(15087)] = 710325,
  [SMALL_STATE(15088)] = 710345,
  [SMALL_STATE(15089)] = 710365,
  [SMALL_STATE(15090)] = 710381,
  [SMALL_STATE(15091)] = 710397,
  [SMALL_STATE(15092)] = 710417,
  [SMALL_STATE(15093)] = 710437,
  [SMALL_STATE(15094)] = 710457,
  [SMALL_STATE(15095)] = 710477,
  [SMALL_STATE(15096)] = 710497,
  [SMALL_STATE(15097)] = 710517,
  [SMALL_STATE(15098)] = 710537,
  [SMALL_STATE(15099)] = 710557,
  [SMALL_STATE(15100)] = 710577,
  [SMALL_STATE(15101)] = 710597,
  [SMALL_STATE(15102)] = 710617,
  [SMALL_STATE(15103)] = 710637,
  [SMALL_STATE(15104)] = 710657,
  [SMALL_STATE(15105)] = 710677,
  [SMALL_STATE(15106)] = 710697,
  [SMALL_STATE(15107)] = 710717,
  [SMALL_STATE(15108)] = 710735,
  [SMALL_STATE(15109)] = 710755,
  [SMALL_STATE(15110)] = 710775,
  [SMALL_STATE(15111)] = 710795,
  [SMALL_STATE(15112)] = 710815,
  [SMALL_STATE(15113)] = 710835,
  [SMALL_STATE(15114)] = 710855,
  [SMALL_STATE(15115)] = 710875,
  [SMALL_STATE(15116)] = 710895,
  [SMALL_STATE(15117)] = 710915,
  [SMALL_STATE(15118)] = 710935,
  [SMALL_STATE(15119)] = 710955,
  [SMALL_STATE(15120)] = 710975,
  [SMALL_STATE(15121)] = 710995,
  [SMALL_STATE(15122)] = 711015,
  [SMALL_STATE(15123)] = 711035,
  [SMALL_STATE(15124)] = 711055,
  [SMALL_STATE(15125)] = 711075,
  [SMALL_STATE(15126)] = 711095,
  [SMALL_STATE(15127)] = 711115,
  [SMALL_STATE(15128)] = 711135,
  [SMALL_STATE(15129)] = 711155,
  [SMALL_STATE(15130)] = 711175,
  [SMALL_STATE(15131)] = 711195,
  [SMALL_STATE(15132)] = 711215,
  [SMALL_STATE(15133)] = 711235,
  [SMALL_STATE(15134)] = 711255,
  [SMALL_STATE(15135)] = 711275,
  [SMALL_STATE(15136)] = 711293,
  [SMALL_STATE(15137)] = 711313,
  [SMALL_STATE(15138)] = 711333,
  [SMALL_STATE(15139)] = 711353,
  [SMALL_STATE(15140)] = 711373,
  [SMALL_STATE(15141)] = 711391,
  [SMALL_STATE(15142)] = 711411,
  [SMALL_STATE(15143)] = 711431,
  [SMALL_STATE(15144)] = 711451,
  [SMALL_STATE(15145)] = 711471,
  [SMALL_STATE(15146)] = 711491,
  [SMALL_STATE(15147)] = 711511,
  [SMALL_STATE(15148)] = 711531,
  [SMALL_STATE(15149)] = 711551,
  [SMALL_STATE(15150)] = 711571,
  [SMALL_STATE(15151)] = 711591,
  [SMALL_STATE(15152)] = 711611,
  [SMALL_STATE(15153)] = 711631,
  [SMALL_STATE(15154)] = 711651,
  [SMALL_STATE(15155)] = 711671,
  [SMALL_STATE(15156)] = 711691,
  [SMALL_STATE(15157)] = 711711,
  [SMALL_STATE(15158)] = 711731,
  [SMALL_STATE(15159)] = 711751,
  [SMALL_STATE(15160)] = 711771,
  [SMALL_STATE(15161)] = 711791,
  [SMALL_STATE(15162)] = 711811,
  [SMALL_STATE(15163)] = 711831,
  [SMALL_STATE(15164)] = 711851,
  [SMALL_STATE(15165)] = 711871,
  [SMALL_STATE(15166)] = 711891,
  [SMALL_STATE(15167)] = 711911,
  [SMALL_STATE(15168)] = 711931,
  [SMALL_STATE(15169)] = 711951,
  [SMALL_STATE(15170)] = 711971,
  [SMALL_STATE(15171)] = 711991,
  [SMALL_STATE(15172)] = 712011,
  [SMALL_STATE(15173)] = 712031,
  [SMALL_STATE(15174)] = 712051,
  [SMALL_STATE(15175)] = 712071,
  [SMALL_STATE(15176)] = 712091,
  [SMALL_STATE(15177)] = 712111,
  [SMALL_STATE(15178)] = 712131,
  [SMALL_STATE(15179)] = 712151,
  [SMALL_STATE(15180)] = 712171,
  [SMALL_STATE(15181)] = 712191,
  [SMALL_STATE(15182)] = 712211,
  [SMALL_STATE(15183)] = 712231,
  [SMALL_STATE(15184)] = 712251,
  [SMALL_STATE(15185)] = 712271,
  [SMALL_STATE(15186)] = 712291,
  [SMALL_STATE(15187)] = 712311,
  [SMALL_STATE(15188)] = 712331,
  [SMALL_STATE(15189)] = 712351,
  [SMALL_STATE(15190)] = 712371,
  [SMALL_STATE(15191)] = 712391,
  [SMALL_STATE(15192)] = 712411,
  [SMALL_STATE(15193)] = 712431,
  [SMALL_STATE(15194)] = 712451,
  [SMALL_STATE(15195)] = 712471,
  [SMALL_STATE(15196)] = 712491,
  [SMALL_STATE(15197)] = 712511,
  [SMALL_STATE(15198)] = 712531,
  [SMALL_STATE(15199)] = 712551,
  [SMALL_STATE(15200)] = 712571,
  [SMALL_STATE(15201)] = 712591,
  [SMALL_STATE(15202)] = 712611,
  [SMALL_STATE(15203)] = 712631,
  [SMALL_STATE(15204)] = 712651,
  [SMALL_STATE(15205)] = 712671,
  [SMALL_STATE(15206)] = 712691,
  [SMALL_STATE(15207)] = 712711,
  [SMALL_STATE(15208)] = 712731,
  [SMALL_STATE(15209)] = 712751,
  [SMALL_STATE(15210)] = 712771,
  [SMALL_STATE(15211)] = 712791,
  [SMALL_STATE(15212)] = 712811,
  [SMALL_STATE(15213)] = 712831,
  [SMALL_STATE(15214)] = 712851,
  [SMALL_STATE(15215)] = 712871,
  [SMALL_STATE(15216)] = 712891,
  [SMALL_STATE(15217)] = 712911,
  [SMALL_STATE(15218)] = 712931,
  [SMALL_STATE(15219)] = 712951,
  [SMALL_STATE(15220)] = 712971,
  [SMALL_STATE(15221)] = 712991,
  [SMALL_STATE(15222)] = 713011,
  [SMALL_STATE(15223)] = 713031,
  [SMALL_STATE(15224)] = 713051,
  [SMALL_STATE(15225)] = 713071,
  [SMALL_STATE(15226)] = 713091,
  [SMALL_STATE(15227)] = 713111,
  [SMALL_STATE(15228)] = 713131,
  [SMALL_STATE(15229)] = 713151,
  [SMALL_STATE(15230)] = 713171,
  [SMALL_STATE(15231)] = 713191,
  [SMALL_STATE(15232)] = 713211,
  [SMALL_STATE(15233)] = 713231,
  [SMALL_STATE(15234)] = 713251,
  [SMALL_STATE(15235)] = 713271,
  [SMALL_STATE(15236)] = 713291,
  [SMALL_STATE(15237)] = 713311,
  [SMALL_STATE(15238)] = 713331,
  [SMALL_STATE(15239)] = 713351,
  [SMALL_STATE(15240)] = 713371,
  [SMALL_STATE(15241)] = 713389,
  [SMALL_STATE(15242)] = 713409,
  [SMALL_STATE(15243)] = 713427,
  [SMALL_STATE(15244)] = 713447,
  [SMALL_STATE(15245)] = 713467,
  [SMALL_STATE(15246)] = 713487,
  [SMALL_STATE(15247)] = 713507,
  [SMALL_STATE(15248)] = 713527,
  [SMALL_STATE(15249)] = 713547,
  [SMALL_STATE(15250)] = 713567,
  [SMALL_STATE(15251)] = 713587,
  [SMALL_STATE(15252)] = 713607,
  [SMALL_STATE(15253)] = 713627,
  [SMALL_STATE(15254)] = 713647,
  [SMALL_STATE(15255)] = 713667,
  [SMALL_STATE(15256)] = 713687,
  [SMALL_STATE(15257)] = 713707,
  [SMALL_STATE(15258)] = 713727,
  [SMALL_STATE(15259)] = 713747,
  [SMALL_STATE(15260)] = 713767,
  [SMALL_STATE(15261)] = 713787,
  [SMALL_STATE(15262)] = 713807,
  [SMALL_STATE(15263)] = 713827,
  [SMALL_STATE(15264)] = 713847,
  [SMALL_STATE(15265)] = 713867,
  [SMALL_STATE(15266)] = 713887,
  [SMALL_STATE(15267)] = 713907,
  [SMALL_STATE(15268)] = 713927,
  [SMALL_STATE(15269)] = 713947,
  [SMALL_STATE(15270)] = 713967,
  [SMALL_STATE(15271)] = 713987,
  [SMALL_STATE(15272)] = 714007,
  [SMALL_STATE(15273)] = 714027,
  [SMALL_STATE(15274)] = 714045,
  [SMALL_STATE(15275)] = 714065,
  [SMALL_STATE(15276)] = 714085,
  [SMALL_STATE(15277)] = 714105,
  [SMALL_STATE(15278)] = 714123,
  [SMALL_STATE(15279)] = 714143,
  [SMALL_STATE(15280)] = 714163,
  [SMALL_STATE(15281)] = 714183,
  [SMALL_STATE(15282)] = 714203,
  [SMALL_STATE(15283)] = 714223,
  [SMALL_STATE(15284)] = 714241,
  [SMALL_STATE(15285)] = 714261,
  [SMALL_STATE(15286)] = 714281,
  [SMALL_STATE(15287)] = 714301,
  [SMALL_STATE(15288)] = 714319,
  [SMALL_STATE(15289)] = 714339,
  [SMALL_STATE(15290)] = 714357,
  [SMALL_STATE(15291)] = 714377,
  [SMALL_STATE(15292)] = 714397,
  [SMALL_STATE(15293)] = 714417,
  [SMALL_STATE(15294)] = 714437,
  [SMALL_STATE(15295)] = 714457,
  [SMALL_STATE(15296)] = 714477,
  [SMALL_STATE(15297)] = 714497,
  [SMALL_STATE(15298)] = 714517,
  [SMALL_STATE(15299)] = 714537,
  [SMALL_STATE(15300)] = 714557,
  [SMALL_STATE(15301)] = 714577,
  [SMALL_STATE(15302)] = 714597,
  [SMALL_STATE(15303)] = 714617,
  [SMALL_STATE(15304)] = 714637,
  [SMALL_STATE(15305)] = 714657,
  [SMALL_STATE(15306)] = 714677,
  [SMALL_STATE(15307)] = 714697,
  [SMALL_STATE(15308)] = 714717,
  [SMALL_STATE(15309)] = 714737,
  [SMALL_STATE(15310)] = 714757,
  [SMALL_STATE(15311)] = 714777,
  [SMALL_STATE(15312)] = 714797,
  [SMALL_STATE(15313)] = 714817,
  [SMALL_STATE(15314)] = 714837,
  [SMALL_STATE(15315)] = 714857,
  [SMALL_STATE(15316)] = 714877,
  [SMALL_STATE(15317)] = 714897,
  [SMALL_STATE(15318)] = 714917,
  [SMALL_STATE(15319)] = 714937,
  [SMALL_STATE(15320)] = 714957,
  [SMALL_STATE(15321)] = 714977,
  [SMALL_STATE(15322)] = 714997,
  [SMALL_STATE(15323)] = 715017,
  [SMALL_STATE(15324)] = 715037,
  [SMALL_STATE(15325)] = 715057,
  [SMALL_STATE(15326)] = 715077,
  [SMALL_STATE(15327)] = 715097,
  [SMALL_STATE(15328)] = 715117,
  [SMALL_STATE(15329)] = 715137,
  [SMALL_STATE(15330)] = 715157,
  [SMALL_STATE(15331)] = 715177,
  [SMALL_STATE(15332)] = 715197,
  [SMALL_STATE(15333)] = 715217,
  [SMALL_STATE(15334)] = 715237,
  [SMALL_STATE(15335)] = 715257,
  [SMALL_STATE(15336)] = 715277,
  [SMALL_STATE(15337)] = 715295,
  [SMALL_STATE(15338)] = 715315,
  [SMALL_STATE(15339)] = 715335,
  [SMALL_STATE(15340)] = 715355,
  [SMALL_STATE(15341)] = 715375,
  [SMALL_STATE(15342)] = 715395,
  [SMALL_STATE(15343)] = 715415,
  [SMALL_STATE(15344)] = 715435,
  [SMALL_STATE(15345)] = 715455,
  [SMALL_STATE(15346)] = 715475,
  [SMALL_STATE(15347)] = 715495,
  [SMALL_STATE(15348)] = 715515,
  [SMALL_STATE(15349)] = 715535,
  [SMALL_STATE(15350)] = 715555,
  [SMALL_STATE(15351)] = 715575,
  [SMALL_STATE(15352)] = 715595,
  [SMALL_STATE(15353)] = 715615,
  [SMALL_STATE(15354)] = 715635,
  [SMALL_STATE(15355)] = 715655,
  [SMALL_STATE(15356)] = 715675,
  [SMALL_STATE(15357)] = 715695,
  [SMALL_STATE(15358)] = 715715,
  [SMALL_STATE(15359)] = 715735,
  [SMALL_STATE(15360)] = 715755,
  [SMALL_STATE(15361)] = 715775,
  [SMALL_STATE(15362)] = 715795,
  [SMALL_STATE(15363)] = 715815,
  [SMALL_STATE(15364)] = 715835,
  [SMALL_STATE(15365)] = 715855,
  [SMALL_STATE(15366)] = 715875,
  [SMALL_STATE(15367)] = 715895,
  [SMALL_STATE(15368)] = 715915,
  [SMALL_STATE(15369)] = 715935,
  [SMALL_STATE(15370)] = 715953,
  [SMALL_STATE(15371)] = 715973,
  [SMALL_STATE(15372)] = 715991,
  [SMALL_STATE(15373)] = 716009,
  [SMALL_STATE(15374)] = 716029,
  [SMALL_STATE(15375)] = 716049,
  [SMALL_STATE(15376)] = 716067,
  [SMALL_STATE(15377)] = 716087,
  [SMALL_STATE(15378)] = 716107,
  [SMALL_STATE(15379)] = 716127,
  [SMALL_STATE(15380)] = 716147,
  [SMALL_STATE(15381)] = 716167,
  [SMALL_STATE(15382)] = 716187,
  [SMALL_STATE(15383)] = 716205,
  [SMALL_STATE(15384)] = 716225,
  [SMALL_STATE(15385)] = 716245,
  [SMALL_STATE(15386)] = 716265,
  [SMALL_STATE(15387)] = 716285,
  [SMALL_STATE(15388)] = 716305,
  [SMALL_STATE(15389)] = 716325,
  [SMALL_STATE(15390)] = 716345,
  [SMALL_STATE(15391)] = 716365,
  [SMALL_STATE(15392)] = 716385,
  [SMALL_STATE(15393)] = 716405,
  [SMALL_STATE(15394)] = 716425,
  [SMALL_STATE(15395)] = 716445,
  [SMALL_STATE(15396)] = 716463,
  [SMALL_STATE(15397)] = 716483,
  [SMALL_STATE(15398)] = 716503,
  [SMALL_STATE(15399)] = 716523,
  [SMALL_STATE(15400)] = 716543,
  [SMALL_STATE(15401)] = 716563,
  [SMALL_STATE(15402)] = 716581,
  [SMALL_STATE(15403)] = 716601,
  [SMALL_STATE(15404)] = 716621,
  [SMALL_STATE(15405)] = 716641,
  [SMALL_STATE(15406)] = 716661,
  [SMALL_STATE(15407)] = 716681,
  [SMALL_STATE(15408)] = 716701,
  [SMALL_STATE(15409)] = 716721,
  [SMALL_STATE(15410)] = 716741,
  [SMALL_STATE(15411)] = 716759,
  [SMALL_STATE(15412)] = 716777,
  [SMALL_STATE(15413)] = 716797,
  [SMALL_STATE(15414)] = 716817,
  [SMALL_STATE(15415)] = 716835,
  [SMALL_STATE(15416)] = 716855,
  [SMALL_STATE(15417)] = 716875,
  [SMALL_STATE(15418)] = 716895,
  [SMALL_STATE(15419)] = 716915,
  [SMALL_STATE(15420)] = 716935,
  [SMALL_STATE(15421)] = 716955,
  [SMALL_STATE(15422)] = 716975,
  [SMALL_STATE(15423)] = 716993,
  [SMALL_STATE(15424)] = 717013,
  [SMALL_STATE(15425)] = 717031,
  [SMALL_STATE(15426)] = 717051,
  [SMALL_STATE(15427)] = 717071,
  [SMALL_STATE(15428)] = 717089,
  [SMALL_STATE(15429)] = 717109,
  [SMALL_STATE(15430)] = 717129,
  [SMALL_STATE(15431)] = 717149,
  [SMALL_STATE(15432)] = 717169,
  [SMALL_STATE(15433)] = 717187,
  [SMALL_STATE(15434)] = 717207,
  [SMALL_STATE(15435)] = 717227,
  [SMALL_STATE(15436)] = 717247,
  [SMALL_STATE(15437)] = 717267,
  [SMALL_STATE(15438)] = 717287,
  [SMALL_STATE(15439)] = 717305,
  [SMALL_STATE(15440)] = 717325,
  [SMALL_STATE(15441)] = 717345,
  [SMALL_STATE(15442)] = 717365,
  [SMALL_STATE(15443)] = 717385,
  [SMALL_STATE(15444)] = 717405,
  [SMALL_STATE(15445)] = 717425,
  [SMALL_STATE(15446)] = 717445,
  [SMALL_STATE(15447)] = 717463,
  [SMALL_STATE(15448)] = 717483,
  [SMALL_STATE(15449)] = 717503,
  [SMALL_STATE(15450)] = 717523,
  [SMALL_STATE(15451)] = 717543,
  [SMALL_STATE(15452)] = 717563,
  [SMALL_STATE(15453)] = 717583,
  [SMALL_STATE(15454)] = 717603,
  [SMALL_STATE(15455)] = 717623,
  [SMALL_STATE(15456)] = 717643,
  [SMALL_STATE(15457)] = 717663,
  [SMALL_STATE(15458)] = 717683,
  [SMALL_STATE(15459)] = 717701,
  [SMALL_STATE(15460)] = 717721,
  [SMALL_STATE(15461)] = 717741,
  [SMALL_STATE(15462)] = 717761,
  [SMALL_STATE(15463)] = 717781,
  [SMALL_STATE(15464)] = 717801,
  [SMALL_STATE(15465)] = 717821,
  [SMALL_STATE(15466)] = 717841,
  [SMALL_STATE(15467)] = 717861,
  [SMALL_STATE(15468)] = 717881,
  [SMALL_STATE(15469)] = 717901,
  [SMALL_STATE(15470)] = 717921,
  [SMALL_STATE(15471)] = 717941,
  [SMALL_STATE(15472)] = 717961,
  [SMALL_STATE(15473)] = 717981,
  [SMALL_STATE(15474)] = 718001,
  [SMALL_STATE(15475)] = 718021,
  [SMALL_STATE(15476)] = 718039,
  [SMALL_STATE(15477)] = 718059,
  [SMALL_STATE(15478)] = 718079,
  [SMALL_STATE(15479)] = 718099,
  [SMALL_STATE(15480)] = 718119,
  [SMALL_STATE(15481)] = 718139,
  [SMALL_STATE(15482)] = 718159,
  [SMALL_STATE(15483)] = 718179,
  [SMALL_STATE(15484)] = 718199,
  [SMALL_STATE(15485)] = 718217,
  [SMALL_STATE(15486)] = 718237,
  [SMALL_STATE(15487)] = 718257,
  [SMALL_STATE(15488)] = 718275,
  [SMALL_STATE(15489)] = 718295,
  [SMALL_STATE(15490)] = 718315,
  [SMALL_STATE(15491)] = 718335,
  [SMALL_STATE(15492)] = 718355,
  [SMALL_STATE(15493)] = 718375,
  [SMALL_STATE(15494)] = 718395,
  [SMALL_STATE(15495)] = 718415,
  [SMALL_STATE(15496)] = 718435,
  [SMALL_STATE(15497)] = 718455,
  [SMALL_STATE(15498)] = 718475,
  [SMALL_STATE(15499)] = 718493,
  [SMALL_STATE(15500)] = 718513,
  [SMALL_STATE(15501)] = 718533,
  [SMALL_STATE(15502)] = 718553,
  [SMALL_STATE(15503)] = 718573,
  [SMALL_STATE(15504)] = 718593,
  [SMALL_STATE(15505)] = 718613,
  [SMALL_STATE(15506)] = 718633,
  [SMALL_STATE(15507)] = 718653,
  [SMALL_STATE(15508)] = 718673,
  [SMALL_STATE(15509)] = 718691,
  [SMALL_STATE(15510)] = 718711,
  [SMALL_STATE(15511)] = 718731,
  [SMALL_STATE(15512)] = 718751,
  [SMALL_STATE(15513)] = 718771,
  [SMALL_STATE(15514)] = 718791,
  [SMALL_STATE(15515)] = 718811,
  [SMALL_STATE(15516)] = 718831,
  [SMALL_STATE(15517)] = 718851,
  [SMALL_STATE(15518)] = 718871,
  [SMALL_STATE(15519)] = 718891,
  [SMALL_STATE(15520)] = 718911,
  [SMALL_STATE(15521)] = 718931,
  [SMALL_STATE(15522)] = 718951,
  [SMALL_STATE(15523)] = 718971,
  [SMALL_STATE(15524)] = 718991,
  [SMALL_STATE(15525)] = 719011,
  [SMALL_STATE(15526)] = 719031,
  [SMALL_STATE(15527)] = 719051,
  [SMALL_STATE(15528)] = 719069,
  [SMALL_STATE(15529)] = 719089,
  [SMALL_STATE(15530)] = 719109,
  [SMALL_STATE(15531)] = 719129,
  [SMALL_STATE(15532)] = 719149,
  [SMALL_STATE(15533)] = 719169,
  [SMALL_STATE(15534)] = 719189,
  [SMALL_STATE(15535)] = 719209,
  [SMALL_STATE(15536)] = 719229,
  [SMALL_STATE(15537)] = 719249,
  [SMALL_STATE(15538)] = 719269,
  [SMALL_STATE(15539)] = 719289,
  [SMALL_STATE(15540)] = 719309,
  [SMALL_STATE(15541)] = 719329,
  [SMALL_STATE(15542)] = 719349,
  [SMALL_STATE(15543)] = 719369,
  [SMALL_STATE(15544)] = 719389,
  [SMALL_STATE(15545)] = 719407,
  [SMALL_STATE(15546)] = 719427,
  [SMALL_STATE(15547)] = 719447,
  [SMALL_STATE(15548)] = 719467,
  [SMALL_STATE(15549)] = 719487,
  [SMALL_STATE(15550)] = 719507,
  [SMALL_STATE(15551)] = 719527,
  [SMALL_STATE(15552)] = 719547,
  [SMALL_STATE(15553)] = 719567,
  [SMALL_STATE(15554)] = 719587,
  [SMALL_STATE(15555)] = 719607,
  [SMALL_STATE(15556)] = 719627,
  [SMALL_STATE(15557)] = 719647,
  [SMALL_STATE(15558)] = 719667,
  [SMALL_STATE(15559)] = 719687,
  [SMALL_STATE(15560)] = 719707,
  [SMALL_STATE(15561)] = 719727,
  [SMALL_STATE(15562)] = 719747,
  [SMALL_STATE(15563)] = 719767,
  [SMALL_STATE(15564)] = 719787,
  [SMALL_STATE(15565)] = 719807,
  [SMALL_STATE(15566)] = 719827,
  [SMALL_STATE(15567)] = 719847,
  [SMALL_STATE(15568)] = 719867,
  [SMALL_STATE(15569)] = 719887,
  [SMALL_STATE(15570)] = 719905,
  [SMALL_STATE(15571)] = 719925,
  [SMALL_STATE(15572)] = 719945,
  [SMALL_STATE(15573)] = 719965,
  [SMALL_STATE(15574)] = 719985,
  [SMALL_STATE(15575)] = 720005,
  [SMALL_STATE(15576)] = 720025,
  [SMALL_STATE(15577)] = 720045,
  [SMALL_STATE(15578)] = 720065,
  [SMALL_STATE(15579)] = 720085,
  [SMALL_STATE(15580)] = 720105,
  [SMALL_STATE(15581)] = 720125,
  [SMALL_STATE(15582)] = 720145,
  [SMALL_STATE(15583)] = 720165,
  [SMALL_STATE(15584)] = 720183,
  [SMALL_STATE(15585)] = 720203,
  [SMALL_STATE(15586)] = 720223,
  [SMALL_STATE(15587)] = 720243,
  [SMALL_STATE(15588)] = 720263,
  [SMALL_STATE(15589)] = 720281,
  [SMALL_STATE(15590)] = 720301,
  [SMALL_STATE(15591)] = 720321,
  [SMALL_STATE(15592)] = 720341,
  [SMALL_STATE(15593)] = 720361,
  [SMALL_STATE(15594)] = 720381,
  [SMALL_STATE(15595)] = 720401,
  [SMALL_STATE(15596)] = 720421,
  [SMALL_STATE(15597)] = 720441,
  [SMALL_STATE(15598)] = 720461,
  [SMALL_STATE(15599)] = 720481,
  [SMALL_STATE(15600)] = 720501,
  [SMALL_STATE(15601)] = 720521,
  [SMALL_STATE(15602)] = 720541,
  [SMALL_STATE(15603)] = 720561,
  [SMALL_STATE(15604)] = 720581,
  [SMALL_STATE(15605)] = 720601,
  [SMALL_STATE(15606)] = 720619,
  [SMALL_STATE(15607)] = 720639,
  [SMALL_STATE(15608)] = 720659,
  [SMALL_STATE(15609)] = 720679,
  [SMALL_STATE(15610)] = 720699,
  [SMALL_STATE(15611)] = 720719,
  [SMALL_STATE(15612)] = 720739,
  [SMALL_STATE(15613)] = 720759,
  [SMALL_STATE(15614)] = 720779,
  [SMALL_STATE(15615)] = 720799,
  [SMALL_STATE(15616)] = 720819,
  [SMALL_STATE(15617)] = 720839,
  [SMALL_STATE(15618)] = 720859,
  [SMALL_STATE(15619)] = 720879,
  [SMALL_STATE(15620)] = 720899,
  [SMALL_STATE(15621)] = 720919,
  [SMALL_STATE(15622)] = 720935,
  [SMALL_STATE(15623)] = 720955,
  [SMALL_STATE(15624)] = 720975,
  [SMALL_STATE(15625)] = 720995,
  [SMALL_STATE(15626)] = 721015,
  [SMALL_STATE(15627)] = 721035,
  [SMALL_STATE(15628)] = 721055,
  [SMALL_STATE(15629)] = 721073,
  [SMALL_STATE(15630)] = 721093,
  [SMALL_STATE(15631)] = 721113,
  [SMALL_STATE(15632)] = 721133,
  [SMALL_STATE(15633)] = 721153,
  [SMALL_STATE(15634)] = 721173,
  [SMALL_STATE(15635)] = 721193,
  [SMALL_STATE(15636)] = 721213,
  [SMALL_STATE(15637)] = 721233,
  [SMALL_STATE(15638)] = 721253,
  [SMALL_STATE(15639)] = 721273,
  [SMALL_STATE(15640)] = 721293,
  [SMALL_STATE(15641)] = 721313,
  [SMALL_STATE(15642)] = 721333,
  [SMALL_STATE(15643)] = 721353,
  [SMALL_STATE(15644)] = 721373,
  [SMALL_STATE(15645)] = 721393,
  [SMALL_STATE(15646)] = 721413,
  [SMALL_STATE(15647)] = 721433,
  [SMALL_STATE(15648)] = 721453,
  [SMALL_STATE(15649)] = 721473,
  [SMALL_STATE(15650)] = 721489,
  [SMALL_STATE(15651)] = 721509,
  [SMALL_STATE(15652)] = 721529,
  [SMALL_STATE(15653)] = 721547,
  [SMALL_STATE(15654)] = 721567,
  [SMALL_STATE(15655)] = 721587,
  [SMALL_STATE(15656)] = 721607,
  [SMALL_STATE(15657)] = 721627,
  [SMALL_STATE(15658)] = 721647,
  [SMALL_STATE(15659)] = 721667,
  [SMALL_STATE(15660)] = 721687,
  [SMALL_STATE(15661)] = 721707,
  [SMALL_STATE(15662)] = 721727,
  [SMALL_STATE(15663)] = 721747,
  [SMALL_STATE(15664)] = 721767,
  [SMALL_STATE(15665)] = 721787,
  [SMALL_STATE(15666)] = 721807,
  [SMALL_STATE(15667)] = 721827,
  [SMALL_STATE(15668)] = 721847,
  [SMALL_STATE(15669)] = 721867,
  [SMALL_STATE(15670)] = 721887,
  [SMALL_STATE(15671)] = 721907,
  [SMALL_STATE(15672)] = 721927,
  [SMALL_STATE(15673)] = 721947,
  [SMALL_STATE(15674)] = 721965,
  [SMALL_STATE(15675)] = 721985,
  [SMALL_STATE(15676)] = 722003,
  [SMALL_STATE(15677)] = 722023,
  [SMALL_STATE(15678)] = 722043,
  [SMALL_STATE(15679)] = 722063,
  [SMALL_STATE(15680)] = 722083,
  [SMALL_STATE(15681)] = 722103,
  [SMALL_STATE(15682)] = 722123,
  [SMALL_STATE(15683)] = 722143,
  [SMALL_STATE(15684)] = 722163,
  [SMALL_STATE(15685)] = 722183,
  [SMALL_STATE(15686)] = 722203,
  [SMALL_STATE(15687)] = 722223,
  [SMALL_STATE(15688)] = 722239,
  [SMALL_STATE(15689)] = 722259,
  [SMALL_STATE(15690)] = 722275,
  [SMALL_STATE(15691)] = 722295,
  [SMALL_STATE(15692)] = 722315,
  [SMALL_STATE(15693)] = 722333,
  [SMALL_STATE(15694)] = 722353,
  [SMALL_STATE(15695)] = 722373,
  [SMALL_STATE(15696)] = 722393,
  [SMALL_STATE(15697)] = 722413,
  [SMALL_STATE(15698)] = 722433,
  [SMALL_STATE(15699)] = 722453,
  [SMALL_STATE(15700)] = 722473,
  [SMALL_STATE(15701)] = 722493,
  [SMALL_STATE(15702)] = 722513,
  [SMALL_STATE(15703)] = 722533,
  [SMALL_STATE(15704)] = 722553,
  [SMALL_STATE(15705)] = 722573,
  [SMALL_STATE(15706)] = 722593,
  [SMALL_STATE(15707)] = 722613,
  [SMALL_STATE(15708)] = 722631,
  [SMALL_STATE(15709)] = 722651,
  [SMALL_STATE(15710)] = 722671,
  [SMALL_STATE(15711)] = 722691,
  [SMALL_STATE(15712)] = 722711,
  [SMALL_STATE(15713)] = 722731,
  [SMALL_STATE(15714)] = 722751,
  [SMALL_STATE(15715)] = 722771,
  [SMALL_STATE(15716)] = 722791,
  [SMALL_STATE(15717)] = 722811,
  [SMALL_STATE(15718)] = 722831,
  [SMALL_STATE(15719)] = 722851,
  [SMALL_STATE(15720)] = 722869,
  [SMALL_STATE(15721)] = 722885,
  [SMALL_STATE(15722)] = 722905,
  [SMALL_STATE(15723)] = 722925,
  [SMALL_STATE(15724)] = 722945,
  [SMALL_STATE(15725)] = 722965,
  [SMALL_STATE(15726)] = 722985,
  [SMALL_STATE(15727)] = 723005,
  [SMALL_STATE(15728)] = 723025,
  [SMALL_STATE(15729)] = 723045,
  [SMALL_STATE(15730)] = 723065,
  [SMALL_STATE(15731)] = 723085,
  [SMALL_STATE(15732)] = 723105,
  [SMALL_STATE(15733)] = 723125,
  [SMALL_STATE(15734)] = 723145,
  [SMALL_STATE(15735)] = 723165,
  [SMALL_STATE(15736)] = 723183,
  [SMALL_STATE(15737)] = 723201,
  [SMALL_STATE(15738)] = 723221,
  [SMALL_STATE(15739)] = 723241,
  [SMALL_STATE(15740)] = 723261,
  [SMALL_STATE(15741)] = 723281,
  [SMALL_STATE(15742)] = 723301,
  [SMALL_STATE(15743)] = 723321,
  [SMALL_STATE(15744)] = 723341,
  [SMALL_STATE(15745)] = 723361,
  [SMALL_STATE(15746)] = 723381,
  [SMALL_STATE(15747)] = 723401,
  [SMALL_STATE(15748)] = 723421,
  [SMALL_STATE(15749)] = 723441,
  [SMALL_STATE(15750)] = 723459,
  [SMALL_STATE(15751)] = 723479,
  [SMALL_STATE(15752)] = 723499,
  [SMALL_STATE(15753)] = 723517,
  [SMALL_STATE(15754)] = 723537,
  [SMALL_STATE(15755)] = 723557,
  [SMALL_STATE(15756)] = 723577,
  [SMALL_STATE(15757)] = 723597,
  [SMALL_STATE(15758)] = 723617,
  [SMALL_STATE(15759)] = 723637,
  [SMALL_STATE(15760)] = 723657,
  [SMALL_STATE(15761)] = 723677,
  [SMALL_STATE(15762)] = 723697,
  [SMALL_STATE(15763)] = 723715,
  [SMALL_STATE(15764)] = 723735,
  [SMALL_STATE(15765)] = 723753,
  [SMALL_STATE(15766)] = 723773,
  [SMALL_STATE(15767)] = 723793,
  [SMALL_STATE(15768)] = 723813,
  [SMALL_STATE(15769)] = 723833,
  [SMALL_STATE(15770)] = 723851,
  [SMALL_STATE(15771)] = 723871,
  [SMALL_STATE(15772)] = 723891,
  [SMALL_STATE(15773)] = 723911,
  [SMALL_STATE(15774)] = 723931,
  [SMALL_STATE(15775)] = 723949,
  [SMALL_STATE(15776)] = 723969,
  [SMALL_STATE(15777)] = 723989,
  [SMALL_STATE(15778)] = 724009,
  [SMALL_STATE(15779)] = 724027,
  [SMALL_STATE(15780)] = 724047,
  [SMALL_STATE(15781)] = 724067,
  [SMALL_STATE(15782)] = 724087,
  [SMALL_STATE(15783)] = 724107,
  [SMALL_STATE(15784)] = 724127,
  [SMALL_STATE(15785)] = 724147,
  [SMALL_STATE(15786)] = 724167,
  [SMALL_STATE(15787)] = 724187,
  [SMALL_STATE(15788)] = 724207,
  [SMALL_STATE(15789)] = 724227,
  [SMALL_STATE(15790)] = 724247,
  [SMALL_STATE(15791)] = 724267,
  [SMALL_STATE(15792)] = 724287,
  [SMALL_STATE(15793)] = 724305,
  [SMALL_STATE(15794)] = 724325,
  [SMALL_STATE(15795)] = 724345,
  [SMALL_STATE(15796)] = 724365,
  [SMALL_STATE(15797)] = 724385,
  [SMALL_STATE(15798)] = 724405,
  [SMALL_STATE(15799)] = 724425,
  [SMALL_STATE(15800)] = 724445,
  [SMALL_STATE(15801)] = 724465,
  [SMALL_STATE(15802)] = 724485,
  [SMALL_STATE(15803)] = 724503,
  [SMALL_STATE(15804)] = 724523,
  [SMALL_STATE(15805)] = 724541,
  [SMALL_STATE(15806)] = 724561,
  [SMALL_STATE(15807)] = 724581,
  [SMALL_STATE(15808)] = 724601,
  [SMALL_STATE(15809)] = 724621,
  [SMALL_STATE(15810)] = 724641,
  [SMALL_STATE(15811)] = 724661,
  [SMALL_STATE(15812)] = 724681,
  [SMALL_STATE(15813)] = 724701,
  [SMALL_STATE(15814)] = 724719,
  [SMALL_STATE(15815)] = 724739,
  [SMALL_STATE(15816)] = 724759,
  [SMALL_STATE(15817)] = 724779,
  [SMALL_STATE(15818)] = 724799,
  [SMALL_STATE(15819)] = 724817,
  [SMALL_STATE(15820)] = 724837,
  [SMALL_STATE(15821)] = 724857,
  [SMALL_STATE(15822)] = 724877,
  [SMALL_STATE(15823)] = 724897,
  [SMALL_STATE(15824)] = 724915,
  [SMALL_STATE(15825)] = 724935,
  [SMALL_STATE(15826)] = 724955,
  [SMALL_STATE(15827)] = 724975,
  [SMALL_STATE(15828)] = 724995,
  [SMALL_STATE(15829)] = 725015,
  [SMALL_STATE(15830)] = 725033,
  [SMALL_STATE(15831)] = 725053,
  [SMALL_STATE(15832)] = 725073,
  [SMALL_STATE(15833)] = 725093,
  [SMALL_STATE(15834)] = 725113,
  [SMALL_STATE(15835)] = 725133,
  [SMALL_STATE(15836)] = 725151,
  [SMALL_STATE(15837)] = 725171,
  [SMALL_STATE(15838)] = 725191,
  [SMALL_STATE(15839)] = 725211,
  [SMALL_STATE(15840)] = 725231,
  [SMALL_STATE(15841)] = 725251,
  [SMALL_STATE(15842)] = 725271,
  [SMALL_STATE(15843)] = 725289,
  [SMALL_STATE(15844)] = 725309,
  [SMALL_STATE(15845)] = 725329,
  [SMALL_STATE(15846)] = 725349,
  [SMALL_STATE(15847)] = 725369,
  [SMALL_STATE(15848)] = 725389,
  [SMALL_STATE(15849)] = 725409,
  [SMALL_STATE(15850)] = 725429,
  [SMALL_STATE(15851)] = 725447,
  [SMALL_STATE(15852)] = 725467,
  [SMALL_STATE(15853)] = 725487,
  [SMALL_STATE(15854)] = 725505,
  [SMALL_STATE(15855)] = 725525,
  [SMALL_STATE(15856)] = 725545,
  [SMALL_STATE(15857)] = 725565,
  [SMALL_STATE(15858)] = 725585,
  [SMALL_STATE(15859)] = 725603,
  [SMALL_STATE(15860)] = 725623,
  [SMALL_STATE(15861)] = 725643,
  [SMALL_STATE(15862)] = 725663,
  [SMALL_STATE(15863)] = 725681,
  [SMALL_STATE(15864)] = 725701,
  [SMALL_STATE(15865)] = 725721,
  [SMALL_STATE(15866)] = 725741,
  [SMALL_STATE(15867)] = 725761,
  [SMALL_STATE(15868)] = 725781,
  [SMALL_STATE(15869)] = 725799,
  [SMALL_STATE(15870)] = 725819,
  [SMALL_STATE(15871)] = 725839,
  [SMALL_STATE(15872)] = 725859,
  [SMALL_STATE(15873)] = 725879,
  [SMALL_STATE(15874)] = 725899,
  [SMALL_STATE(15875)] = 725919,
  [SMALL_STATE(15876)] = 725939,
  [SMALL_STATE(15877)] = 725959,
  [SMALL_STATE(15878)] = 725979,
  [SMALL_STATE(15879)] = 725999,
  [SMALL_STATE(15880)] = 726017,
  [SMALL_STATE(15881)] = 726037,
  [SMALL_STATE(15882)] = 726057,
  [SMALL_STATE(15883)] = 726077,
  [SMALL_STATE(15884)] = 726097,
  [SMALL_STATE(15885)] = 726117,
  [SMALL_STATE(15886)] = 726137,
  [SMALL_STATE(15887)] = 726157,
  [SMALL_STATE(15888)] = 726173,
  [SMALL_STATE(15889)] = 726191,
  [SMALL_STATE(15890)] = 726211,
  [SMALL_STATE(15891)] = 726231,
  [SMALL_STATE(15892)] = 726251,
  [SMALL_STATE(15893)] = 726271,
  [SMALL_STATE(15894)] = 726291,
  [SMALL_STATE(15895)] = 726309,
  [SMALL_STATE(15896)] = 726329,
  [SMALL_STATE(15897)] = 726349,
  [SMALL_STATE(15898)] = 726367,
  [SMALL_STATE(15899)] = 726387,
  [SMALL_STATE(15900)] = 726407,
  [SMALL_STATE(15901)] = 726427,
  [SMALL_STATE(15902)] = 726447,
  [SMALL_STATE(15903)] = 726467,
  [SMALL_STATE(15904)] = 726487,
  [SMALL_STATE(15905)] = 726507,
  [SMALL_STATE(15906)] = 726527,
  [SMALL_STATE(15907)] = 726545,
  [SMALL_STATE(15908)] = 726565,
  [SMALL_STATE(15909)] = 726585,
  [SMALL_STATE(15910)] = 726605,
  [SMALL_STATE(15911)] = 726625,
  [SMALL_STATE(15912)] = 726645,
  [SMALL_STATE(15913)] = 726663,
  [SMALL_STATE(15914)] = 726683,
  [SMALL_STATE(15915)] = 726703,
  [SMALL_STATE(15916)] = 726723,
  [SMALL_STATE(15917)] = 726743,
  [SMALL_STATE(15918)] = 726763,
  [SMALL_STATE(15919)] = 726783,
  [SMALL_STATE(15920)] = 726801,
  [SMALL_STATE(15921)] = 726821,
  [SMALL_STATE(15922)] = 726841,
  [SMALL_STATE(15923)] = 726861,
  [SMALL_STATE(15924)] = 726881,
  [SMALL_STATE(15925)] = 726901,
  [SMALL_STATE(15926)] = 726921,
  [SMALL_STATE(15927)] = 726941,
  [SMALL_STATE(15928)] = 726961,
  [SMALL_STATE(15929)] = 726979,
  [SMALL_STATE(15930)] = 726999,
  [SMALL_STATE(15931)] = 727017,
  [SMALL_STATE(15932)] = 727037,
  [SMALL_STATE(15933)] = 727057,
  [SMALL_STATE(15934)] = 727077,
  [SMALL_STATE(15935)] = 727097,
  [SMALL_STATE(15936)] = 727115,
  [SMALL_STATE(15937)] = 727135,
  [SMALL_STATE(15938)] = 727153,
  [SMALL_STATE(15939)] = 727171,
  [SMALL_STATE(15940)] = 727191,
  [SMALL_STATE(15941)] = 727211,
  [SMALL_STATE(15942)] = 727227,
  [SMALL_STATE(15943)] = 727245,
  [SMALL_STATE(15944)] = 727265,
  [SMALL_STATE(15945)] = 727285,
  [SMALL_STATE(15946)] = 727305,
  [SMALL_STATE(15947)] = 727325,
  [SMALL_STATE(15948)] = 727343,
  [SMALL_STATE(15949)] = 727363,
  [SMALL_STATE(15950)] = 727383,
  [SMALL_STATE(15951)] = 727401,
  [SMALL_STATE(15952)] = 727419,
  [SMALL_STATE(15953)] = 727439,
  [SMALL_STATE(15954)] = 727459,
  [SMALL_STATE(15955)] = 727479,
  [SMALL_STATE(15956)] = 727499,
  [SMALL_STATE(15957)] = 727517,
  [SMALL_STATE(15958)] = 727537,
  [SMALL_STATE(15959)] = 727557,
  [SMALL_STATE(15960)] = 727577,
  [SMALL_STATE(15961)] = 727597,
  [SMALL_STATE(15962)] = 727613,
  [SMALL_STATE(15963)] = 727633,
  [SMALL_STATE(15964)] = 727651,
  [SMALL_STATE(15965)] = 727671,
  [SMALL_STATE(15966)] = 727689,
  [SMALL_STATE(15967)] = 727709,
  [SMALL_STATE(15968)] = 727729,
  [SMALL_STATE(15969)] = 727749,
  [SMALL_STATE(15970)] = 727767,
  [SMALL_STATE(15971)] = 727787,
  [SMALL_STATE(15972)] = 727807,
  [SMALL_STATE(15973)] = 727827,
  [SMALL_STATE(15974)] = 727845,
  [SMALL_STATE(15975)] = 727865,
  [SMALL_STATE(15976)] = 727885,
  [SMALL_STATE(15977)] = 727903,
  [SMALL_STATE(15978)] = 727923,
  [SMALL_STATE(15979)] = 727943,
  [SMALL_STATE(15980)] = 727963,
  [SMALL_STATE(15981)] = 727981,
  [SMALL_STATE(15982)] = 728001,
  [SMALL_STATE(15983)] = 728019,
  [SMALL_STATE(15984)] = 728039,
  [SMALL_STATE(15985)] = 728057,
  [SMALL_STATE(15986)] = 728077,
  [SMALL_STATE(15987)] = 728095,
  [SMALL_STATE(15988)] = 728115,
  [SMALL_STATE(15989)] = 728133,
  [SMALL_STATE(15990)] = 728153,
  [SMALL_STATE(15991)] = 728171,
  [SMALL_STATE(15992)] = 728191,
  [SMALL_STATE(15993)] = 728209,
  [SMALL_STATE(15994)] = 728229,
  [SMALL_STATE(15995)] = 728247,
  [SMALL_STATE(15996)] = 728267,
  [SMALL_STATE(15997)] = 728285,
  [SMALL_STATE(15998)] = 728305,
  [SMALL_STATE(15999)] = 728323,
  [SMALL_STATE(16000)] = 728343,
  [SMALL_STATE(16001)] = 728361,
  [SMALL_STATE(16002)] = 728381,
  [SMALL_STATE(16003)] = 728399,
  [SMALL_STATE(16004)] = 728419,
  [SMALL_STATE(16005)] = 728437,
  [SMALL_STATE(16006)] = 728457,
  [SMALL_STATE(16007)] = 728475,
  [SMALL_STATE(16008)] = 728495,
  [SMALL_STATE(16009)] = 728513,
  [SMALL_STATE(16010)] = 728533,
  [SMALL_STATE(16011)] = 728551,
  [SMALL_STATE(16012)] = 728571,
  [SMALL_STATE(16013)] = 728589,
  [SMALL_STATE(16014)] = 728609,
  [SMALL_STATE(16015)] = 728627,
  [SMALL_STATE(16016)] = 728647,
  [SMALL_STATE(16017)] = 728665,
  [SMALL_STATE(16018)] = 728685,
  [SMALL_STATE(16019)] = 728703,
  [SMALL_STATE(16020)] = 728723,
  [SMALL_STATE(16021)] = 728741,
  [SMALL_STATE(16022)] = 728761,
  [SMALL_STATE(16023)] = 728779,
  [SMALL_STATE(16024)] = 728799,
  [SMALL_STATE(16025)] = 728817,
  [SMALL_STATE(16026)] = 728837,
  [SMALL_STATE(16027)] = 728855,
  [SMALL_STATE(16028)] = 728875,
  [SMALL_STATE(16029)] = 728893,
  [SMALL_STATE(16030)] = 728913,
  [SMALL_STATE(16031)] = 728931,
  [SMALL_STATE(16032)] = 728951,
  [SMALL_STATE(16033)] = 728969,
  [SMALL_STATE(16034)] = 728989,
  [SMALL_STATE(16035)] = 729007,
  [SMALL_STATE(16036)] = 729027,
  [SMALL_STATE(16037)] = 729045,
  [SMALL_STATE(16038)] = 729065,
  [SMALL_STATE(16039)] = 729083,
  [SMALL_STATE(16040)] = 729103,
  [SMALL_STATE(16041)] = 729121,
  [SMALL_STATE(16042)] = 729141,
  [SMALL_STATE(16043)] = 729159,
  [SMALL_STATE(16044)] = 729179,
  [SMALL_STATE(16045)] = 729197,
  [SMALL_STATE(16046)] = 729217,
  [SMALL_STATE(16047)] = 729235,
  [SMALL_STATE(16048)] = 729255,
  [SMALL_STATE(16049)] = 729275,
  [SMALL_STATE(16050)] = 729293,
  [SMALL_STATE(16051)] = 729309,
  [SMALL_STATE(16052)] = 729329,
  [SMALL_STATE(16053)] = 729347,
  [SMALL_STATE(16054)] = 729367,
  [SMALL_STATE(16055)] = 729387,
  [SMALL_STATE(16056)] = 729407,
  [SMALL_STATE(16057)] = 729427,
  [SMALL_STATE(16058)] = 729447,
  [SMALL_STATE(16059)] = 729465,
  [SMALL_STATE(16060)] = 729485,
  [SMALL_STATE(16061)] = 729505,
  [SMALL_STATE(16062)] = 729525,
  [SMALL_STATE(16063)] = 729545,
  [SMALL_STATE(16064)] = 729563,
  [SMALL_STATE(16065)] = 729583,
  [SMALL_STATE(16066)] = 729603,
  [SMALL_STATE(16067)] = 729623,
  [SMALL_STATE(16068)] = 729643,
  [SMALL_STATE(16069)] = 729663,
  [SMALL_STATE(16070)] = 729683,
  [SMALL_STATE(16071)] = 729703,
  [SMALL_STATE(16072)] = 729723,
  [SMALL_STATE(16073)] = 729743,
  [SMALL_STATE(16074)] = 729763,
  [SMALL_STATE(16075)] = 729783,
  [SMALL_STATE(16076)] = 729803,
  [SMALL_STATE(16077)] = 729821,
  [SMALL_STATE(16078)] = 729841,
  [SMALL_STATE(16079)] = 729861,
  [SMALL_STATE(16080)] = 729881,
  [SMALL_STATE(16081)] = 729901,
  [SMALL_STATE(16082)] = 729921,
  [SMALL_STATE(16083)] = 729941,
  [SMALL_STATE(16084)] = 729961,
  [SMALL_STATE(16085)] = 729981,
  [SMALL_STATE(16086)] = 730001,
  [SMALL_STATE(16087)] = 730021,
  [SMALL_STATE(16088)] = 730039,
  [SMALL_STATE(16089)] = 730059,
  [SMALL_STATE(16090)] = 730079,
  [SMALL_STATE(16091)] = 730099,
  [SMALL_STATE(16092)] = 730119,
  [SMALL_STATE(16093)] = 730139,
  [SMALL_STATE(16094)] = 730159,
  [SMALL_STATE(16095)] = 730177,
  [SMALL_STATE(16096)] = 730197,
  [SMALL_STATE(16097)] = 730217,
  [SMALL_STATE(16098)] = 730237,
  [SMALL_STATE(16099)] = 730257,
  [SMALL_STATE(16100)] = 730277,
  [SMALL_STATE(16101)] = 730297,
  [SMALL_STATE(16102)] = 730317,
  [SMALL_STATE(16103)] = 730337,
  [SMALL_STATE(16104)] = 730357,
  [SMALL_STATE(16105)] = 730377,
  [SMALL_STATE(16106)] = 730397,
  [SMALL_STATE(16107)] = 730417,
  [SMALL_STATE(16108)] = 730437,
  [SMALL_STATE(16109)] = 730457,
  [SMALL_STATE(16110)] = 730477,
  [SMALL_STATE(16111)] = 730497,
  [SMALL_STATE(16112)] = 730517,
  [SMALL_STATE(16113)] = 730537,
  [SMALL_STATE(16114)] = 730557,
  [SMALL_STATE(16115)] = 730577,
  [SMALL_STATE(16116)] = 730597,
  [SMALL_STATE(16117)] = 730615,
  [SMALL_STATE(16118)] = 730635,
  [SMALL_STATE(16119)] = 730655,
  [SMALL_STATE(16120)] = 730675,
  [SMALL_STATE(16121)] = 730695,
  [SMALL_STATE(16122)] = 730715,
  [SMALL_STATE(16123)] = 730735,
  [SMALL_STATE(16124)] = 730755,
  [SMALL_STATE(16125)] = 730775,
  [SMALL_STATE(16126)] = 730795,
  [SMALL_STATE(16127)] = 730813,
  [SMALL_STATE(16128)] = 730833,
  [SMALL_STATE(16129)] = 730853,
  [SMALL_STATE(16130)] = 730873,
  [SMALL_STATE(16131)] = 730893,
  [SMALL_STATE(16132)] = 730913,
  [SMALL_STATE(16133)] = 730931,
  [SMALL_STATE(16134)] = 730951,
  [SMALL_STATE(16135)] = 730971,
  [SMALL_STATE(16136)] = 730991,
  [SMALL_STATE(16137)] = 731011,
  [SMALL_STATE(16138)] = 731031,
  [SMALL_STATE(16139)] = 731051,
  [SMALL_STATE(16140)] = 731071,
  [SMALL_STATE(16141)] = 731091,
  [SMALL_STATE(16142)] = 731109,
  [SMALL_STATE(16143)] = 731129,
  [SMALL_STATE(16144)] = 731147,
  [SMALL_STATE(16145)] = 731165,
  [SMALL_STATE(16146)] = 731185,
  [SMALL_STATE(16147)] = 731205,
  [SMALL_STATE(16148)] = 731225,
  [SMALL_STATE(16149)] = 731245,
  [SMALL_STATE(16150)] = 731265,
  [SMALL_STATE(16151)] = 731283,
  [SMALL_STATE(16152)] = 731303,
  [SMALL_STATE(16153)] = 731323,
  [SMALL_STATE(16154)] = 731343,
  [SMALL_STATE(16155)] = 731361,
  [SMALL_STATE(16156)] = 731381,
  [SMALL_STATE(16157)] = 731401,
  [SMALL_STATE(16158)] = 731421,
  [SMALL_STATE(16159)] = 731441,
  [SMALL_STATE(16160)] = 731461,
  [SMALL_STATE(16161)] = 731479,
  [SMALL_STATE(16162)] = 731499,
  [SMALL_STATE(16163)] = 731519,
  [SMALL_STATE(16164)] = 731539,
  [SMALL_STATE(16165)] = 731557,
  [SMALL_STATE(16166)] = 731577,
  [SMALL_STATE(16167)] = 731597,
  [SMALL_STATE(16168)] = 731617,
  [SMALL_STATE(16169)] = 731637,
  [SMALL_STATE(16170)] = 731655,
  [SMALL_STATE(16171)] = 731675,
  [SMALL_STATE(16172)] = 731695,
  [SMALL_STATE(16173)] = 731715,
  [SMALL_STATE(16174)] = 731733,
  [SMALL_STATE(16175)] = 731753,
  [SMALL_STATE(16176)] = 731773,
  [SMALL_STATE(16177)] = 731791,
  [SMALL_STATE(16178)] = 731811,
  [SMALL_STATE(16179)] = 731831,
  [SMALL_STATE(16180)] = 731851,
  [SMALL_STATE(16181)] = 731871,
  [SMALL_STATE(16182)] = 731891,
  [SMALL_STATE(16183)] = 731909,
  [SMALL_STATE(16184)] = 731929,
  [SMALL_STATE(16185)] = 731949,
  [SMALL_STATE(16186)] = 731969,
  [SMALL_STATE(16187)] = 731989,
  [SMALL_STATE(16188)] = 732009,
  [SMALL_STATE(16189)] = 732027,
  [SMALL_STATE(16190)] = 732047,
  [SMALL_STATE(16191)] = 732067,
  [SMALL_STATE(16192)] = 732087,
  [SMALL_STATE(16193)] = 732105,
  [SMALL_STATE(16194)] = 732125,
  [SMALL_STATE(16195)] = 732145,
  [SMALL_STATE(16196)] = 732165,
  [SMALL_STATE(16197)] = 732185,
  [SMALL_STATE(16198)] = 732205,
  [SMALL_STATE(16199)] = 732225,
  [SMALL_STATE(16200)] = 732243,
  [SMALL_STATE(16201)] = 732261,
  [SMALL_STATE(16202)] = 732281,
  [SMALL_STATE(16203)] = 732301,
  [SMALL_STATE(16204)] = 732319,
  [SMALL_STATE(16205)] = 732339,
  [SMALL_STATE(16206)] = 732359,
  [SMALL_STATE(16207)] = 732377,
  [SMALL_STATE(16208)] = 732395,
  [SMALL_STATE(16209)] = 732413,
  [SMALL_STATE(16210)] = 732433,
  [SMALL_STATE(16211)] = 732453,
  [SMALL_STATE(16212)] = 732473,
  [SMALL_STATE(16213)] = 732491,
  [SMALL_STATE(16214)] = 732511,
  [SMALL_STATE(16215)] = 732531,
  [SMALL_STATE(16216)] = 732551,
  [SMALL_STATE(16217)] = 732571,
  [SMALL_STATE(16218)] = 732591,
  [SMALL_STATE(16219)] = 732609,
  [SMALL_STATE(16220)] = 732629,
  [SMALL_STATE(16221)] = 732649,
  [SMALL_STATE(16222)] = 732669,
  [SMALL_STATE(16223)] = 732687,
  [SMALL_STATE(16224)] = 732707,
  [SMALL_STATE(16225)] = 732727,
  [SMALL_STATE(16226)] = 732747,
  [SMALL_STATE(16227)] = 732767,
  [SMALL_STATE(16228)] = 732785,
  [SMALL_STATE(16229)] = 732805,
  [SMALL_STATE(16230)] = 732825,
  [SMALL_STATE(16231)] = 732843,
  [SMALL_STATE(16232)] = 732863,
  [SMALL_STATE(16233)] = 732883,
  [SMALL_STATE(16234)] = 732903,
  [SMALL_STATE(16235)] = 732921,
  [SMALL_STATE(16236)] = 732941,
  [SMALL_STATE(16237)] = 732959,
  [SMALL_STATE(16238)] = 732979,
  [SMALL_STATE(16239)] = 732999,
  [SMALL_STATE(16240)] = 733017,
  [SMALL_STATE(16241)] = 733037,
  [SMALL_STATE(16242)] = 733057,
  [SMALL_STATE(16243)] = 733077,
  [SMALL_STATE(16244)] = 733097,
  [SMALL_STATE(16245)] = 733117,
  [SMALL_STATE(16246)] = 733135,
  [SMALL_STATE(16247)] = 733155,
  [SMALL_STATE(16248)] = 733175,
  [SMALL_STATE(16249)] = 733195,
  [SMALL_STATE(16250)] = 733215,
  [SMALL_STATE(16251)] = 733233,
  [SMALL_STATE(16252)] = 733253,
  [SMALL_STATE(16253)] = 733273,
  [SMALL_STATE(16254)] = 733291,
  [SMALL_STATE(16255)] = 733311,
  [SMALL_STATE(16256)] = 733331,
  [SMALL_STATE(16257)] = 733351,
  [SMALL_STATE(16258)] = 733371,
  [SMALL_STATE(16259)] = 733389,
  [SMALL_STATE(16260)] = 733409,
  [SMALL_STATE(16261)] = 733429,
  [SMALL_STATE(16262)] = 733449,
  [SMALL_STATE(16263)] = 733469,
  [SMALL_STATE(16264)] = 733489,
  [SMALL_STATE(16265)] = 733507,
  [SMALL_STATE(16266)] = 733527,
  [SMALL_STATE(16267)] = 733547,
  [SMALL_STATE(16268)] = 733567,
  [SMALL_STATE(16269)] = 733585,
  [SMALL_STATE(16270)] = 733605,
  [SMALL_STATE(16271)] = 733625,
  [SMALL_STATE(16272)] = 733645,
  [SMALL_STATE(16273)] = 733663,
  [SMALL_STATE(16274)] = 733683,
  [SMALL_STATE(16275)] = 733703,
  [SMALL_STATE(16276)] = 733723,
  [SMALL_STATE(16277)] = 733743,
  [SMALL_STATE(16278)] = 733761,
  [SMALL_STATE(16279)] = 733781,
  [SMALL_STATE(16280)] = 733801,
  [SMALL_STATE(16281)] = 733821,
  [SMALL_STATE(16282)] = 733841,
  [SMALL_STATE(16283)] = 733861,
  [SMALL_STATE(16284)] = 733881,
  [SMALL_STATE(16285)] = 733899,
  [SMALL_STATE(16286)] = 733919,
  [SMALL_STATE(16287)] = 733939,
  [SMALL_STATE(16288)] = 733959,
  [SMALL_STATE(16289)] = 733977,
  [SMALL_STATE(16290)] = 733997,
  [SMALL_STATE(16291)] = 734017,
  [SMALL_STATE(16292)] = 734037,
  [SMALL_STATE(16293)] = 734057,
  [SMALL_STATE(16294)] = 734075,
  [SMALL_STATE(16295)] = 734095,
  [SMALL_STATE(16296)] = 734115,
  [SMALL_STATE(16297)] = 734135,
  [SMALL_STATE(16298)] = 734155,
  [SMALL_STATE(16299)] = 734175,
  [SMALL_STATE(16300)] = 734195,
  [SMALL_STATE(16301)] = 734213,
  [SMALL_STATE(16302)] = 734233,
  [SMALL_STATE(16303)] = 734253,
  [SMALL_STATE(16304)] = 734271,
  [SMALL_STATE(16305)] = 734291,
  [SMALL_STATE(16306)] = 734311,
  [SMALL_STATE(16307)] = 734329,
  [SMALL_STATE(16308)] = 734349,
  [SMALL_STATE(16309)] = 734369,
  [SMALL_STATE(16310)] = 734389,
  [SMALL_STATE(16311)] = 734409,
  [SMALL_STATE(16312)] = 734429,
  [SMALL_STATE(16313)] = 734449,
  [SMALL_STATE(16314)] = 734467,
  [SMALL_STATE(16315)] = 734487,
  [SMALL_STATE(16316)] = 734507,
  [SMALL_STATE(16317)] = 734527,
  [SMALL_STATE(16318)] = 734547,
  [SMALL_STATE(16319)] = 734565,
  [SMALL_STATE(16320)] = 734585,
  [SMALL_STATE(16321)] = 734605,
  [SMALL_STATE(16322)] = 734625,
  [SMALL_STATE(16323)] = 734645,
  [SMALL_STATE(16324)] = 734663,
  [SMALL_STATE(16325)] = 734683,
  [SMALL_STATE(16326)] = 734703,
  [SMALL_STATE(16327)] = 734723,
  [SMALL_STATE(16328)] = 734743,
  [SMALL_STATE(16329)] = 734761,
  [SMALL_STATE(16330)] = 734781,
  [SMALL_STATE(16331)] = 734801,
  [SMALL_STATE(16332)] = 734821,
  [SMALL_STATE(16333)] = 734839,
  [SMALL_STATE(16334)] = 734859,
  [SMALL_STATE(16335)] = 734877,
  [SMALL_STATE(16336)] = 734897,
  [SMALL_STATE(16337)] = 734915,
  [SMALL_STATE(16338)] = 734935,
  [SMALL_STATE(16339)] = 734953,
  [SMALL_STATE(16340)] = 734973,
  [SMALL_STATE(16341)] = 734991,
  [SMALL_STATE(16342)] = 735011,
  [SMALL_STATE(16343)] = 735029,
  [SMALL_STATE(16344)] = 735049,
  [SMALL_STATE(16345)] = 735067,
  [SMALL_STATE(16346)] = 735087,
  [SMALL_STATE(16347)] = 735105,
  [SMALL_STATE(16348)] = 735125,
  [SMALL_STATE(16349)] = 735143,
  [SMALL_STATE(16350)] = 735163,
  [SMALL_STATE(16351)] = 735183,
  [SMALL_STATE(16352)] = 735201,
  [SMALL_STATE(16353)] = 735221,
  [SMALL_STATE(16354)] = 735239,
  [SMALL_STATE(16355)] = 735259,
  [SMALL_STATE(16356)] = 735277,
  [SMALL_STATE(16357)] = 735297,
  [SMALL_STATE(16358)] = 735315,
  [SMALL_STATE(16359)] = 735333,
  [SMALL_STATE(16360)] = 735351,
  [SMALL_STATE(16361)] = 735369,
  [SMALL_STATE(16362)] = 735387,
  [SMALL_STATE(16363)] = 735405,
  [SMALL_STATE(16364)] = 735423,
  [SMALL_STATE(16365)] = 735441,
  [SMALL_STATE(16366)] = 735459,
  [SMALL_STATE(16367)] = 735477,
  [SMALL_STATE(16368)] = 735495,
  [SMALL_STATE(16369)] = 735513,
  [SMALL_STATE(16370)] = 735531,
  [SMALL_STATE(16371)] = 735549,
  [SMALL_STATE(16372)] = 735567,
  [SMALL_STATE(16373)] = 735585,
  [SMALL_STATE(16374)] = 735603,
  [SMALL_STATE(16375)] = 735621,
  [SMALL_STATE(16376)] = 735639,
  [SMALL_STATE(16377)] = 735657,
  [SMALL_STATE(16378)] = 735675,
  [SMALL_STATE(16379)] = 735693,
  [SMALL_STATE(16380)] = 735711,
  [SMALL_STATE(16381)] = 735731,
  [SMALL_STATE(16382)] = 735751,
  [SMALL_STATE(16383)] = 735771,
  [SMALL_STATE(16384)] = 735791,
  [SMALL_STATE(16385)] = 735811,
  [SMALL_STATE(16386)] = 735831,
  [SMALL_STATE(16387)] = 735851,
  [SMALL_STATE(16388)] = 735871,
  [SMALL_STATE(16389)] = 735891,
  [SMALL_STATE(16390)] = 735911,
  [SMALL_STATE(16391)] = 735931,
  [SMALL_STATE(16392)] = 735951,
  [SMALL_STATE(16393)] = 735971,
  [SMALL_STATE(16394)] = 735991,
  [SMALL_STATE(16395)] = 736011,
  [SMALL_STATE(16396)] = 736031,
  [SMALL_STATE(16397)] = 736051,
  [SMALL_STATE(16398)] = 736071,
  [SMALL_STATE(16399)] = 736091,
  [SMALL_STATE(16400)] = 736109,
  [SMALL_STATE(16401)] = 736129,
  [SMALL_STATE(16402)] = 736149,
  [SMALL_STATE(16403)] = 736169,
  [SMALL_STATE(16404)] = 736189,
  [SMALL_STATE(16405)] = 736209,
  [SMALL_STATE(16406)] = 736229,
  [SMALL_STATE(16407)] = 736249,
  [SMALL_STATE(16408)] = 736269,
  [SMALL_STATE(16409)] = 736289,
  [SMALL_STATE(16410)] = 736309,
  [SMALL_STATE(16411)] = 736329,
  [SMALL_STATE(16412)] = 736349,
  [SMALL_STATE(16413)] = 736369,
  [SMALL_STATE(16414)] = 736387,
  [SMALL_STATE(16415)] = 736407,
  [SMALL_STATE(16416)] = 736427,
  [SMALL_STATE(16417)] = 736447,
  [SMALL_STATE(16418)] = 736467,
  [SMALL_STATE(16419)] = 736487,
  [SMALL_STATE(16420)] = 736507,
  [SMALL_STATE(16421)] = 736525,
  [SMALL_STATE(16422)] = 736543,
  [SMALL_STATE(16423)] = 736563,
  [SMALL_STATE(16424)] = 736583,
  [SMALL_STATE(16425)] = 736601,
  [SMALL_STATE(16426)] = 736621,
  [SMALL_STATE(16427)] = 736639,
  [SMALL_STATE(16428)] = 736659,
  [SMALL_STATE(16429)] = 736679,
  [SMALL_STATE(16430)] = 736699,
  [SMALL_STATE(16431)] = 736719,
  [SMALL_STATE(16432)] = 736739,
  [SMALL_STATE(16433)] = 736759,
  [SMALL_STATE(16434)] = 736777,
  [SMALL_STATE(16435)] = 736795,
  [SMALL_STATE(16436)] = 736815,
  [SMALL_STATE(16437)] = 736835,
  [SMALL_STATE(16438)] = 736855,
  [SMALL_STATE(16439)] = 736875,
  [SMALL_STATE(16440)] = 736895,
  [SMALL_STATE(16441)] = 736913,
  [SMALL_STATE(16442)] = 736933,
  [SMALL_STATE(16443)] = 736951,
  [SMALL_STATE(16444)] = 736971,
  [SMALL_STATE(16445)] = 736989,
  [SMALL_STATE(16446)] = 737009,
  [SMALL_STATE(16447)] = 737029,
  [SMALL_STATE(16448)] = 737049,
  [SMALL_STATE(16449)] = 737069,
  [SMALL_STATE(16450)] = 737089,
  [SMALL_STATE(16451)] = 737109,
  [SMALL_STATE(16452)] = 737129,
  [SMALL_STATE(16453)] = 737144,
  [SMALL_STATE(16454)] = 737161,
  [SMALL_STATE(16455)] = 737178,
  [SMALL_STATE(16456)] = 737195,
  [SMALL_STATE(16457)] = 737212,
  [SMALL_STATE(16458)] = 737229,
  [SMALL_STATE(16459)] = 737246,
  [SMALL_STATE(16460)] = 737263,
  [SMALL_STATE(16461)] = 737280,
  [SMALL_STATE(16462)] = 737297,
  [SMALL_STATE(16463)] = 737314,
  [SMALL_STATE(16464)] = 737331,
  [SMALL_STATE(16465)] = 737348,
  [SMALL_STATE(16466)] = 737365,
  [SMALL_STATE(16467)] = 737382,
  [SMALL_STATE(16468)] = 737399,
  [SMALL_STATE(16469)] = 737416,
  [SMALL_STATE(16470)] = 737433,
  [SMALL_STATE(16471)] = 737450,
  [SMALL_STATE(16472)] = 737467,
  [SMALL_STATE(16473)] = 737484,
  [SMALL_STATE(16474)] = 737501,
  [SMALL_STATE(16475)] = 737518,
  [SMALL_STATE(16476)] = 737535,
  [SMALL_STATE(16477)] = 737552,
  [SMALL_STATE(16478)] = 737569,
  [SMALL_STATE(16479)] = 737586,
  [SMALL_STATE(16480)] = 737601,
  [SMALL_STATE(16481)] = 737618,
  [SMALL_STATE(16482)] = 737635,
  [SMALL_STATE(16483)] = 737652,
  [SMALL_STATE(16484)] = 737669,
  [SMALL_STATE(16485)] = 737686,
  [SMALL_STATE(16486)] = 737703,
  [SMALL_STATE(16487)] = 737718,
  [SMALL_STATE(16488)] = 737735,
  [SMALL_STATE(16489)] = 737752,
  [SMALL_STATE(16490)] = 737769,
  [SMALL_STATE(16491)] = 737786,
  [SMALL_STATE(16492)] = 737803,
  [SMALL_STATE(16493)] = 737820,
  [SMALL_STATE(16494)] = 737837,
  [SMALL_STATE(16495)] = 737854,
  [SMALL_STATE(16496)] = 737871,
  [SMALL_STATE(16497)] = 737888,
  [SMALL_STATE(16498)] = 737905,
  [SMALL_STATE(16499)] = 737922,
  [SMALL_STATE(16500)] = 737939,
  [SMALL_STATE(16501)] = 737956,
  [SMALL_STATE(16502)] = 737973,
  [SMALL_STATE(16503)] = 737990,
  [SMALL_STATE(16504)] = 738007,
  [SMALL_STATE(16505)] = 738024,
  [SMALL_STATE(16506)] = 738041,
  [SMALL_STATE(16507)] = 738058,
  [SMALL_STATE(16508)] = 738075,
  [SMALL_STATE(16509)] = 738092,
  [SMALL_STATE(16510)] = 738109,
  [SMALL_STATE(16511)] = 738126,
  [SMALL_STATE(16512)] = 738143,
  [SMALL_STATE(16513)] = 738160,
  [SMALL_STATE(16514)] = 738177,
  [SMALL_STATE(16515)] = 738194,
  [SMALL_STATE(16516)] = 738211,
  [SMALL_STATE(16517)] = 738228,
  [SMALL_STATE(16518)] = 738245,
  [SMALL_STATE(16519)] = 738260,
  [SMALL_STATE(16520)] = 738277,
  [SMALL_STATE(16521)] = 738294,
  [SMALL_STATE(16522)] = 738311,
  [SMALL_STATE(16523)] = 738326,
  [SMALL_STATE(16524)] = 738343,
  [SMALL_STATE(16525)] = 738360,
  [SMALL_STATE(16526)] = 738377,
  [SMALL_STATE(16527)] = 738392,
  [SMALL_STATE(16528)] = 738409,
  [SMALL_STATE(16529)] = 738426,
  [SMALL_STATE(16530)] = 738443,
  [SMALL_STATE(16531)] = 738460,
  [SMALL_STATE(16532)] = 738477,
  [SMALL_STATE(16533)] = 738494,
  [SMALL_STATE(16534)] = 738511,
  [SMALL_STATE(16535)] = 738528,
  [SMALL_STATE(16536)] = 738545,
  [SMALL_STATE(16537)] = 738562,
  [SMALL_STATE(16538)] = 738579,
  [SMALL_STATE(16539)] = 738596,
  [SMALL_STATE(16540)] = 738613,
  [SMALL_STATE(16541)] = 738628,
  [SMALL_STATE(16542)] = 738645,
  [SMALL_STATE(16543)] = 738662,
  [SMALL_STATE(16544)] = 738677,
  [SMALL_STATE(16545)] = 738694,
  [SMALL_STATE(16546)] = 738711,
  [SMALL_STATE(16547)] = 738728,
  [SMALL_STATE(16548)] = 738745,
  [SMALL_STATE(16549)] = 738762,
  [SMALL_STATE(16550)] = 738779,
  [SMALL_STATE(16551)] = 738796,
  [SMALL_STATE(16552)] = 738813,
  [SMALL_STATE(16553)] = 738830,
  [SMALL_STATE(16554)] = 738847,
  [SMALL_STATE(16555)] = 738864,
  [SMALL_STATE(16556)] = 738881,
  [SMALL_STATE(16557)] = 738898,
  [SMALL_STATE(16558)] = 738915,
  [SMALL_STATE(16559)] = 738932,
  [SMALL_STATE(16560)] = 738947,
  [SMALL_STATE(16561)] = 738964,
  [SMALL_STATE(16562)] = 738981,
  [SMALL_STATE(16563)] = 738998,
  [SMALL_STATE(16564)] = 739015,
  [SMALL_STATE(16565)] = 739032,
  [SMALL_STATE(16566)] = 739049,
  [SMALL_STATE(16567)] = 739066,
  [SMALL_STATE(16568)] = 739083,
  [SMALL_STATE(16569)] = 739100,
  [SMALL_STATE(16570)] = 739117,
  [SMALL_STATE(16571)] = 739134,
  [SMALL_STATE(16572)] = 739151,
  [SMALL_STATE(16573)] = 739168,
  [SMALL_STATE(16574)] = 739185,
  [SMALL_STATE(16575)] = 739202,
  [SMALL_STATE(16576)] = 739219,
  [SMALL_STATE(16577)] = 739236,
  [SMALL_STATE(16578)] = 739251,
  [SMALL_STATE(16579)] = 739268,
  [SMALL_STATE(16580)] = 739285,
  [SMALL_STATE(16581)] = 739302,
  [SMALL_STATE(16582)] = 739319,
  [SMALL_STATE(16583)] = 739336,
  [SMALL_STATE(16584)] = 739353,
  [SMALL_STATE(16585)] = 739370,
  [SMALL_STATE(16586)] = 739387,
  [SMALL_STATE(16587)] = 739404,
  [SMALL_STATE(16588)] = 739419,
  [SMALL_STATE(16589)] = 739436,
  [SMALL_STATE(16590)] = 739453,
  [SMALL_STATE(16591)] = 739470,
  [SMALL_STATE(16592)] = 739487,
  [SMALL_STATE(16593)] = 739504,
  [SMALL_STATE(16594)] = 739521,
  [SMALL_STATE(16595)] = 739538,
  [SMALL_STATE(16596)] = 739555,
  [SMALL_STATE(16597)] = 739572,
  [SMALL_STATE(16598)] = 739589,
  [SMALL_STATE(16599)] = 739606,
  [SMALL_STATE(16600)] = 739623,
  [SMALL_STATE(16601)] = 739640,
  [SMALL_STATE(16602)] = 739657,
  [SMALL_STATE(16603)] = 739674,
  [SMALL_STATE(16604)] = 739691,
  [SMALL_STATE(16605)] = 739708,
  [SMALL_STATE(16606)] = 739725,
  [SMALL_STATE(16607)] = 739742,
  [SMALL_STATE(16608)] = 739759,
  [SMALL_STATE(16609)] = 739776,
  [SMALL_STATE(16610)] = 739793,
  [SMALL_STATE(16611)] = 739810,
  [SMALL_STATE(16612)] = 739827,
  [SMALL_STATE(16613)] = 739844,
  [SMALL_STATE(16614)] = 739859,
  [SMALL_STATE(16615)] = 739876,
  [SMALL_STATE(16616)] = 739893,
  [SMALL_STATE(16617)] = 739910,
  [SMALL_STATE(16618)] = 739927,
  [SMALL_STATE(16619)] = 739944,
  [SMALL_STATE(16620)] = 739961,
  [SMALL_STATE(16621)] = 739978,
  [SMALL_STATE(16622)] = 739995,
  [SMALL_STATE(16623)] = 740012,
  [SMALL_STATE(16624)] = 740029,
  [SMALL_STATE(16625)] = 740046,
  [SMALL_STATE(16626)] = 740063,
  [SMALL_STATE(16627)] = 740080,
  [SMALL_STATE(16628)] = 740097,
  [SMALL_STATE(16629)] = 740114,
  [SMALL_STATE(16630)] = 740131,
  [SMALL_STATE(16631)] = 740148,
  [SMALL_STATE(16632)] = 740165,
  [SMALL_STATE(16633)] = 740182,
  [SMALL_STATE(16634)] = 740199,
  [SMALL_STATE(16635)] = 740216,
  [SMALL_STATE(16636)] = 740233,
  [SMALL_STATE(16637)] = 740248,
  [SMALL_STATE(16638)] = 740263,
  [SMALL_STATE(16639)] = 740278,
  [SMALL_STATE(16640)] = 740295,
  [SMALL_STATE(16641)] = 740312,
  [SMALL_STATE(16642)] = 740329,
  [SMALL_STATE(16643)] = 740346,
  [SMALL_STATE(16644)] = 740363,
  [SMALL_STATE(16645)] = 740380,
  [SMALL_STATE(16646)] = 740397,
  [SMALL_STATE(16647)] = 740412,
  [SMALL_STATE(16648)] = 740429,
  [SMALL_STATE(16649)] = 740446,
  [SMALL_STATE(16650)] = 740463,
  [SMALL_STATE(16651)] = 740480,
  [SMALL_STATE(16652)] = 740495,
  [SMALL_STATE(16653)] = 740510,
  [SMALL_STATE(16654)] = 740527,
  [SMALL_STATE(16655)] = 740544,
  [SMALL_STATE(16656)] = 740561,
  [SMALL_STATE(16657)] = 740578,
  [SMALL_STATE(16658)] = 740595,
  [SMALL_STATE(16659)] = 740612,
  [SMALL_STATE(16660)] = 740629,
  [SMALL_STATE(16661)] = 740646,
  [SMALL_STATE(16662)] = 740663,
  [SMALL_STATE(16663)] = 740680,
  [SMALL_STATE(16664)] = 740697,
  [SMALL_STATE(16665)] = 740712,
  [SMALL_STATE(16666)] = 740729,
  [SMALL_STATE(16667)] = 740746,
  [SMALL_STATE(16668)] = 740763,
  [SMALL_STATE(16669)] = 740780,
  [SMALL_STATE(16670)] = 740797,
  [SMALL_STATE(16671)] = 740814,
  [SMALL_STATE(16672)] = 740831,
  [SMALL_STATE(16673)] = 740848,
  [SMALL_STATE(16674)] = 740865,
  [SMALL_STATE(16675)] = 740880,
  [SMALL_STATE(16676)] = 740897,
  [SMALL_STATE(16677)] = 740914,
  [SMALL_STATE(16678)] = 740929,
  [SMALL_STATE(16679)] = 740944,
  [SMALL_STATE(16680)] = 740961,
  [SMALL_STATE(16681)] = 740978,
  [SMALL_STATE(16682)] = 740995,
  [SMALL_STATE(16683)] = 741012,
  [SMALL_STATE(16684)] = 741029,
  [SMALL_STATE(16685)] = 741046,
  [SMALL_STATE(16686)] = 741063,
  [SMALL_STATE(16687)] = 741080,
  [SMALL_STATE(16688)] = 741097,
  [SMALL_STATE(16689)] = 741114,
  [SMALL_STATE(16690)] = 741131,
  [SMALL_STATE(16691)] = 741148,
  [SMALL_STATE(16692)] = 741165,
  [SMALL_STATE(16693)] = 741182,
  [SMALL_STATE(16694)] = 741199,
  [SMALL_STATE(16695)] = 741216,
  [SMALL_STATE(16696)] = 741231,
  [SMALL_STATE(16697)] = 741248,
  [SMALL_STATE(16698)] = 741265,
  [SMALL_STATE(16699)] = 741282,
  [SMALL_STATE(16700)] = 741299,
  [SMALL_STATE(16701)] = 741316,
  [SMALL_STATE(16702)] = 741333,
  [SMALL_STATE(16703)] = 741350,
  [SMALL_STATE(16704)] = 741367,
  [SMALL_STATE(16705)] = 741384,
  [SMALL_STATE(16706)] = 741401,
  [SMALL_STATE(16707)] = 741418,
  [SMALL_STATE(16708)] = 741435,
  [SMALL_STATE(16709)] = 741452,
  [SMALL_STATE(16710)] = 741469,
  [SMALL_STATE(16711)] = 741486,
  [SMALL_STATE(16712)] = 741503,
  [SMALL_STATE(16713)] = 741520,
  [SMALL_STATE(16714)] = 741537,
  [SMALL_STATE(16715)] = 741554,
  [SMALL_STATE(16716)] = 741571,
  [SMALL_STATE(16717)] = 741588,
  [SMALL_STATE(16718)] = 741605,
  [SMALL_STATE(16719)] = 741620,
  [SMALL_STATE(16720)] = 741637,
  [SMALL_STATE(16721)] = 741654,
  [SMALL_STATE(16722)] = 741671,
  [SMALL_STATE(16723)] = 741688,
  [SMALL_STATE(16724)] = 741705,
  [SMALL_STATE(16725)] = 741722,
  [SMALL_STATE(16726)] = 741739,
  [SMALL_STATE(16727)] = 741754,
  [SMALL_STATE(16728)] = 741771,
  [SMALL_STATE(16729)] = 741788,
  [SMALL_STATE(16730)] = 741805,
  [SMALL_STATE(16731)] = 741822,
  [SMALL_STATE(16732)] = 741839,
  [SMALL_STATE(16733)] = 741854,
  [SMALL_STATE(16734)] = 741871,
  [SMALL_STATE(16735)] = 741888,
  [SMALL_STATE(16736)] = 741905,
  [SMALL_STATE(16737)] = 741922,
  [SMALL_STATE(16738)] = 741939,
  [SMALL_STATE(16739)] = 741954,
  [SMALL_STATE(16740)] = 741971,
  [SMALL_STATE(16741)] = 741988,
  [SMALL_STATE(16742)] = 742005,
  [SMALL_STATE(16743)] = 742022,
  [SMALL_STATE(16744)] = 742039,
  [SMALL_STATE(16745)] = 742056,
  [SMALL_STATE(16746)] = 742073,
  [SMALL_STATE(16747)] = 742090,
  [SMALL_STATE(16748)] = 742107,
  [SMALL_STATE(16749)] = 742124,
  [SMALL_STATE(16750)] = 742141,
  [SMALL_STATE(16751)] = 742158,
  [SMALL_STATE(16752)] = 742175,
  [SMALL_STATE(16753)] = 742192,
  [SMALL_STATE(16754)] = 742209,
  [SMALL_STATE(16755)] = 742226,
  [SMALL_STATE(16756)] = 742243,
  [SMALL_STATE(16757)] = 742258,
  [SMALL_STATE(16758)] = 742275,
  [SMALL_STATE(16759)] = 742292,
  [SMALL_STATE(16760)] = 742307,
  [SMALL_STATE(16761)] = 742324,
  [SMALL_STATE(16762)] = 742339,
  [SMALL_STATE(16763)] = 742356,
  [SMALL_STATE(16764)] = 742373,
  [SMALL_STATE(16765)] = 742390,
  [SMALL_STATE(16766)] = 742405,
  [SMALL_STATE(16767)] = 742422,
  [SMALL_STATE(16768)] = 742437,
  [SMALL_STATE(16769)] = 742454,
  [SMALL_STATE(16770)] = 742471,
  [SMALL_STATE(16771)] = 742488,
  [SMALL_STATE(16772)] = 742505,
  [SMALL_STATE(16773)] = 742522,
  [SMALL_STATE(16774)] = 742539,
  [SMALL_STATE(16775)] = 742556,
  [SMALL_STATE(16776)] = 742573,
  [SMALL_STATE(16777)] = 742590,
  [SMALL_STATE(16778)] = 742605,
  [SMALL_STATE(16779)] = 742622,
  [SMALL_STATE(16780)] = 742639,
  [SMALL_STATE(16781)] = 742656,
  [SMALL_STATE(16782)] = 742673,
  [SMALL_STATE(16783)] = 742690,
  [SMALL_STATE(16784)] = 742707,
  [SMALL_STATE(16785)] = 742724,
  [SMALL_STATE(16786)] = 742741,
  [SMALL_STATE(16787)] = 742758,
  [SMALL_STATE(16788)] = 742775,
  [SMALL_STATE(16789)] = 742792,
  [SMALL_STATE(16790)] = 742809,
  [SMALL_STATE(16791)] = 742826,
  [SMALL_STATE(16792)] = 742841,
  [SMALL_STATE(16793)] = 742856,
  [SMALL_STATE(16794)] = 742873,
  [SMALL_STATE(16795)] = 742890,
  [SMALL_STATE(16796)] = 742907,
  [SMALL_STATE(16797)] = 742924,
  [SMALL_STATE(16798)] = 742941,
  [SMALL_STATE(16799)] = 742956,
  [SMALL_STATE(16800)] = 742973,
  [SMALL_STATE(16801)] = 742990,
  [SMALL_STATE(16802)] = 743007,
  [SMALL_STATE(16803)] = 743022,
  [SMALL_STATE(16804)] = 743039,
  [SMALL_STATE(16805)] = 743056,
  [SMALL_STATE(16806)] = 743073,
  [SMALL_STATE(16807)] = 743090,
  [SMALL_STATE(16808)] = 743107,
  [SMALL_STATE(16809)] = 743124,
  [SMALL_STATE(16810)] = 743141,
  [SMALL_STATE(16811)] = 743158,
  [SMALL_STATE(16812)] = 743175,
  [SMALL_STATE(16813)] = 743192,
  [SMALL_STATE(16814)] = 743209,
  [SMALL_STATE(16815)] = 743224,
  [SMALL_STATE(16816)] = 743241,
  [SMALL_STATE(16817)] = 743258,
  [SMALL_STATE(16818)] = 743275,
  [SMALL_STATE(16819)] = 743290,
  [SMALL_STATE(16820)] = 743307,
  [SMALL_STATE(16821)] = 743324,
  [SMALL_STATE(16822)] = 743341,
  [SMALL_STATE(16823)] = 743358,
  [SMALL_STATE(16824)] = 743375,
  [SMALL_STATE(16825)] = 743392,
  [SMALL_STATE(16826)] = 743409,
  [SMALL_STATE(16827)] = 743426,
  [SMALL_STATE(16828)] = 743443,
  [SMALL_STATE(16829)] = 743460,
  [SMALL_STATE(16830)] = 743477,
  [SMALL_STATE(16831)] = 743492,
  [SMALL_STATE(16832)] = 743507,
  [SMALL_STATE(16833)] = 743522,
  [SMALL_STATE(16834)] = 743539,
  [SMALL_STATE(16835)] = 743556,
  [SMALL_STATE(16836)] = 743573,
  [SMALL_STATE(16837)] = 743590,
  [SMALL_STATE(16838)] = 743607,
  [SMALL_STATE(16839)] = 743624,
  [SMALL_STATE(16840)] = 743641,
  [SMALL_STATE(16841)] = 743658,
  [SMALL_STATE(16842)] = 743673,
  [SMALL_STATE(16843)] = 743690,
  [SMALL_STATE(16844)] = 743707,
  [SMALL_STATE(16845)] = 743724,
  [SMALL_STATE(16846)] = 743741,
  [SMALL_STATE(16847)] = 743758,
  [SMALL_STATE(16848)] = 743775,
  [SMALL_STATE(16849)] = 743792,
  [SMALL_STATE(16850)] = 743809,
  [SMALL_STATE(16851)] = 743826,
  [SMALL_STATE(16852)] = 743843,
  [SMALL_STATE(16853)] = 743860,
  [SMALL_STATE(16854)] = 743877,
  [SMALL_STATE(16855)] = 743894,
  [SMALL_STATE(16856)] = 743911,
  [SMALL_STATE(16857)] = 743928,
  [SMALL_STATE(16858)] = 743945,
  [SMALL_STATE(16859)] = 743962,
  [SMALL_STATE(16860)] = 743979,
  [SMALL_STATE(16861)] = 743996,
  [SMALL_STATE(16862)] = 744013,
  [SMALL_STATE(16863)] = 744030,
  [SMALL_STATE(16864)] = 744047,
  [SMALL_STATE(16865)] = 744064,
  [SMALL_STATE(16866)] = 744081,
  [SMALL_STATE(16867)] = 744098,
  [SMALL_STATE(16868)] = 744115,
  [SMALL_STATE(16869)] = 744132,
  [SMALL_STATE(16870)] = 744149,
  [SMALL_STATE(16871)] = 744166,
  [SMALL_STATE(16872)] = 744183,
  [SMALL_STATE(16873)] = 744200,
  [SMALL_STATE(16874)] = 744217,
  [SMALL_STATE(16875)] = 744232,
  [SMALL_STATE(16876)] = 744249,
  [SMALL_STATE(16877)] = 744266,
  [SMALL_STATE(16878)] = 744283,
  [SMALL_STATE(16879)] = 744300,
  [SMALL_STATE(16880)] = 744317,
  [SMALL_STATE(16881)] = 744334,
  [SMALL_STATE(16882)] = 744351,
  [SMALL_STATE(16883)] = 744368,
  [SMALL_STATE(16884)] = 744385,
  [SMALL_STATE(16885)] = 744402,
  [SMALL_STATE(16886)] = 744419,
  [SMALL_STATE(16887)] = 744436,
  [SMALL_STATE(16888)] = 744453,
  [SMALL_STATE(16889)] = 744470,
  [SMALL_STATE(16890)] = 744487,
  [SMALL_STATE(16891)] = 744504,
  [SMALL_STATE(16892)] = 744521,
  [SMALL_STATE(16893)] = 744538,
  [SMALL_STATE(16894)] = 744555,
  [SMALL_STATE(16895)] = 744572,
  [SMALL_STATE(16896)] = 744589,
  [SMALL_STATE(16897)] = 744606,
  [SMALL_STATE(16898)] = 744623,
  [SMALL_STATE(16899)] = 744638,
  [SMALL_STATE(16900)] = 744655,
  [SMALL_STATE(16901)] = 744672,
  [SMALL_STATE(16902)] = 744689,
  [SMALL_STATE(16903)] = 744706,
  [SMALL_STATE(16904)] = 744723,
  [SMALL_STATE(16905)] = 744738,
  [SMALL_STATE(16906)] = 744755,
  [SMALL_STATE(16907)] = 744772,
  [SMALL_STATE(16908)] = 744789,
  [SMALL_STATE(16909)] = 744806,
  [SMALL_STATE(16910)] = 744823,
  [SMALL_STATE(16911)] = 744840,
  [SMALL_STATE(16912)] = 744857,
  [SMALL_STATE(16913)] = 744874,
  [SMALL_STATE(16914)] = 744891,
  [SMALL_STATE(16915)] = 744908,
  [SMALL_STATE(16916)] = 744925,
  [SMALL_STATE(16917)] = 744942,
  [SMALL_STATE(16918)] = 744959,
  [SMALL_STATE(16919)] = 744976,
  [SMALL_STATE(16920)] = 744993,
  [SMALL_STATE(16921)] = 745010,
  [SMALL_STATE(16922)] = 745027,
  [SMALL_STATE(16923)] = 745042,
  [SMALL_STATE(16924)] = 745059,
  [SMALL_STATE(16925)] = 745076,
  [SMALL_STATE(16926)] = 745093,
  [SMALL_STATE(16927)] = 745110,
  [SMALL_STATE(16928)] = 745127,
  [SMALL_STATE(16929)] = 745144,
  [SMALL_STATE(16930)] = 745161,
  [SMALL_STATE(16931)] = 745178,
  [SMALL_STATE(16932)] = 745195,
  [SMALL_STATE(16933)] = 745210,
  [SMALL_STATE(16934)] = 745227,
  [SMALL_STATE(16935)] = 745244,
  [SMALL_STATE(16936)] = 745259,
  [SMALL_STATE(16937)] = 745276,
  [SMALL_STATE(16938)] = 745291,
  [SMALL_STATE(16939)] = 745306,
  [SMALL_STATE(16940)] = 745323,
  [SMALL_STATE(16941)] = 745340,
  [SMALL_STATE(16942)] = 745357,
  [SMALL_STATE(16943)] = 745374,
  [SMALL_STATE(16944)] = 745391,
  [SMALL_STATE(16945)] = 745406,
  [SMALL_STATE(16946)] = 745423,
  [SMALL_STATE(16947)] = 745440,
  [SMALL_STATE(16948)] = 745457,
  [SMALL_STATE(16949)] = 745474,
  [SMALL_STATE(16950)] = 745491,
  [SMALL_STATE(16951)] = 745508,
  [SMALL_STATE(16952)] = 745525,
  [SMALL_STATE(16953)] = 745542,
  [SMALL_STATE(16954)] = 745559,
  [SMALL_STATE(16955)] = 745576,
  [SMALL_STATE(16956)] = 745593,
  [SMALL_STATE(16957)] = 745610,
  [SMALL_STATE(16958)] = 745627,
  [SMALL_STATE(16959)] = 745644,
  [SMALL_STATE(16960)] = 745661,
  [SMALL_STATE(16961)] = 745678,
  [SMALL_STATE(16962)] = 745695,
  [SMALL_STATE(16963)] = 745712,
  [SMALL_STATE(16964)] = 745729,
  [SMALL_STATE(16965)] = 745746,
  [SMALL_STATE(16966)] = 745763,
  [SMALL_STATE(16967)] = 745780,
  [SMALL_STATE(16968)] = 745797,
  [SMALL_STATE(16969)] = 745814,
  [SMALL_STATE(16970)] = 745831,
  [SMALL_STATE(16971)] = 745846,
  [SMALL_STATE(16972)] = 745863,
  [SMALL_STATE(16973)] = 745880,
  [SMALL_STATE(16974)] = 745897,
  [SMALL_STATE(16975)] = 745914,
  [SMALL_STATE(16976)] = 745931,
  [SMALL_STATE(16977)] = 745946,
  [SMALL_STATE(16978)] = 745963,
  [SMALL_STATE(16979)] = 745980,
  [SMALL_STATE(16980)] = 745997,
  [SMALL_STATE(16981)] = 746014,
  [SMALL_STATE(16982)] = 746031,
  [SMALL_STATE(16983)] = 746048,
  [SMALL_STATE(16984)] = 746065,
  [SMALL_STATE(16985)] = 746082,
  [SMALL_STATE(16986)] = 746097,
  [SMALL_STATE(16987)] = 746114,
  [SMALL_STATE(16988)] = 746131,
  [SMALL_STATE(16989)] = 746148,
  [SMALL_STATE(16990)] = 746165,
  [SMALL_STATE(16991)] = 746182,
  [SMALL_STATE(16992)] = 746199,
  [SMALL_STATE(16993)] = 746216,
  [SMALL_STATE(16994)] = 746233,
  [SMALL_STATE(16995)] = 746248,
  [SMALL_STATE(16996)] = 746265,
  [SMALL_STATE(16997)] = 746282,
  [SMALL_STATE(16998)] = 746299,
  [SMALL_STATE(16999)] = 746314,
  [SMALL_STATE(17000)] = 746331,
  [SMALL_STATE(17001)] = 746348,
  [SMALL_STATE(17002)] = 746363,
  [SMALL_STATE(17003)] = 746380,
  [SMALL_STATE(17004)] = 746397,
  [SMALL_STATE(17005)] = 746414,
  [SMALL_STATE(17006)] = 746431,
  [SMALL_STATE(17007)] = 746448,
  [SMALL_STATE(17008)] = 746465,
  [SMALL_STATE(17009)] = 746482,
  [SMALL_STATE(17010)] = 746499,
  [SMALL_STATE(17011)] = 746516,
  [SMALL_STATE(17012)] = 746531,
  [SMALL_STATE(17013)] = 746548,
  [SMALL_STATE(17014)] = 746565,
  [SMALL_STATE(17015)] = 746582,
  [SMALL_STATE(17016)] = 746597,
  [SMALL_STATE(17017)] = 746614,
  [SMALL_STATE(17018)] = 746629,
  [SMALL_STATE(17019)] = 746646,
  [SMALL_STATE(17020)] = 746663,
  [SMALL_STATE(17021)] = 746678,
  [SMALL_STATE(17022)] = 746695,
  [SMALL_STATE(17023)] = 746710,
  [SMALL_STATE(17024)] = 746725,
  [SMALL_STATE(17025)] = 746742,
  [SMALL_STATE(17026)] = 746759,
  [SMALL_STATE(17027)] = 746776,
  [SMALL_STATE(17028)] = 746793,
  [SMALL_STATE(17029)] = 746810,
  [SMALL_STATE(17030)] = 746827,
  [SMALL_STATE(17031)] = 746842,
  [SMALL_STATE(17032)] = 746859,
  [SMALL_STATE(17033)] = 746876,
  [SMALL_STATE(17034)] = 746893,
  [SMALL_STATE(17035)] = 746910,
  [SMALL_STATE(17036)] = 746927,
  [SMALL_STATE(17037)] = 746942,
  [SMALL_STATE(17038)] = 746959,
  [SMALL_STATE(17039)] = 746976,
  [SMALL_STATE(17040)] = 746993,
  [SMALL_STATE(17041)] = 747008,
  [SMALL_STATE(17042)] = 747025,
  [SMALL_STATE(17043)] = 747042,
  [SMALL_STATE(17044)] = 747057,
  [SMALL_STATE(17045)] = 747074,
  [SMALL_STATE(17046)] = 747089,
  [SMALL_STATE(17047)] = 747106,
  [SMALL_STATE(17048)] = 747123,
  [SMALL_STATE(17049)] = 747140,
  [SMALL_STATE(17050)] = 747157,
  [SMALL_STATE(17051)] = 747174,
  [SMALL_STATE(17052)] = 747191,
  [SMALL_STATE(17053)] = 747208,
  [SMALL_STATE(17054)] = 747225,
  [SMALL_STATE(17055)] = 747240,
  [SMALL_STATE(17056)] = 747257,
  [SMALL_STATE(17057)] = 747274,
  [SMALL_STATE(17058)] = 747291,
  [SMALL_STATE(17059)] = 747308,
  [SMALL_STATE(17060)] = 747325,
  [SMALL_STATE(17061)] = 747342,
  [SMALL_STATE(17062)] = 747359,
  [SMALL_STATE(17063)] = 747374,
  [SMALL_STATE(17064)] = 747391,
  [SMALL_STATE(17065)] = 747408,
  [SMALL_STATE(17066)] = 747425,
  [SMALL_STATE(17067)] = 747442,
  [SMALL_STATE(17068)] = 747457,
  [SMALL_STATE(17069)] = 747474,
  [SMALL_STATE(17070)] = 747489,
  [SMALL_STATE(17071)] = 747506,
  [SMALL_STATE(17072)] = 747521,
  [SMALL_STATE(17073)] = 747538,
  [SMALL_STATE(17074)] = 747555,
  [SMALL_STATE(17075)] = 747572,
  [SMALL_STATE(17076)] = 747589,
  [SMALL_STATE(17077)] = 747604,
  [SMALL_STATE(17078)] = 747621,
  [SMALL_STATE(17079)] = 747636,
  [SMALL_STATE(17080)] = 747653,
  [SMALL_STATE(17081)] = 747670,
  [SMALL_STATE(17082)] = 747687,
  [SMALL_STATE(17083)] = 747704,
  [SMALL_STATE(17084)] = 747721,
  [SMALL_STATE(17085)] = 747738,
  [SMALL_STATE(17086)] = 747755,
  [SMALL_STATE(17087)] = 747772,
  [SMALL_STATE(17088)] = 747789,
  [SMALL_STATE(17089)] = 747806,
  [SMALL_STATE(17090)] = 747821,
  [SMALL_STATE(17091)] = 747836,
  [SMALL_STATE(17092)] = 747853,
  [SMALL_STATE(17093)] = 747870,
  [SMALL_STATE(17094)] = 747887,
  [SMALL_STATE(17095)] = 747904,
  [SMALL_STATE(17096)] = 747921,
  [SMALL_STATE(17097)] = 747938,
  [SMALL_STATE(17098)] = 747955,
  [SMALL_STATE(17099)] = 747972,
  [SMALL_STATE(17100)] = 747987,
  [SMALL_STATE(17101)] = 748002,
  [SMALL_STATE(17102)] = 748017,
  [SMALL_STATE(17103)] = 748034,
  [SMALL_STATE(17104)] = 748051,
  [SMALL_STATE(17105)] = 748068,
  [SMALL_STATE(17106)] = 748085,
  [SMALL_STATE(17107)] = 748102,
  [SMALL_STATE(17108)] = 748119,
  [SMALL_STATE(17109)] = 748134,
  [SMALL_STATE(17110)] = 748151,
  [SMALL_STATE(17111)] = 748168,
  [SMALL_STATE(17112)] = 748185,
  [SMALL_STATE(17113)] = 748202,
  [SMALL_STATE(17114)] = 748219,
  [SMALL_STATE(17115)] = 748234,
  [SMALL_STATE(17116)] = 748251,
  [SMALL_STATE(17117)] = 748268,
  [SMALL_STATE(17118)] = 748285,
  [SMALL_STATE(17119)] = 748302,
  [SMALL_STATE(17120)] = 748319,
  [SMALL_STATE(17121)] = 748336,
  [SMALL_STATE(17122)] = 748353,
  [SMALL_STATE(17123)] = 748370,
  [SMALL_STATE(17124)] = 748387,
  [SMALL_STATE(17125)] = 748402,
  [SMALL_STATE(17126)] = 748419,
  [SMALL_STATE(17127)] = 748436,
  [SMALL_STATE(17128)] = 748453,
  [SMALL_STATE(17129)] = 748470,
  [SMALL_STATE(17130)] = 748487,
  [SMALL_STATE(17131)] = 748504,
  [SMALL_STATE(17132)] = 748521,
  [SMALL_STATE(17133)] = 748538,
  [SMALL_STATE(17134)] = 748555,
  [SMALL_STATE(17135)] = 748572,
  [SMALL_STATE(17136)] = 748589,
  [SMALL_STATE(17137)] = 748604,
  [SMALL_STATE(17138)] = 748621,
  [SMALL_STATE(17139)] = 748638,
  [SMALL_STATE(17140)] = 748655,
  [SMALL_STATE(17141)] = 748672,
  [SMALL_STATE(17142)] = 748689,
  [SMALL_STATE(17143)] = 748706,
  [SMALL_STATE(17144)] = 748723,
  [SMALL_STATE(17145)] = 748740,
  [SMALL_STATE(17146)] = 748757,
  [SMALL_STATE(17147)] = 748774,
  [SMALL_STATE(17148)] = 748791,
  [SMALL_STATE(17149)] = 748808,
  [SMALL_STATE(17150)] = 748825,
  [SMALL_STATE(17151)] = 748842,
  [SMALL_STATE(17152)] = 748859,
  [SMALL_STATE(17153)] = 748876,
  [SMALL_STATE(17154)] = 748893,
  [SMALL_STATE(17155)] = 748910,
  [SMALL_STATE(17156)] = 748927,
  [SMALL_STATE(17157)] = 748944,
  [SMALL_STATE(17158)] = 748961,
  [SMALL_STATE(17159)] = 748978,
  [SMALL_STATE(17160)] = 748995,
  [SMALL_STATE(17161)] = 749012,
  [SMALL_STATE(17162)] = 749027,
  [SMALL_STATE(17163)] = 749044,
  [SMALL_STATE(17164)] = 749061,
  [SMALL_STATE(17165)] = 749078,
  [SMALL_STATE(17166)] = 749095,
  [SMALL_STATE(17167)] = 749112,
  [SMALL_STATE(17168)] = 749129,
  [SMALL_STATE(17169)] = 749146,
  [SMALL_STATE(17170)] = 749163,
  [SMALL_STATE(17171)] = 749180,
  [SMALL_STATE(17172)] = 749197,
  [SMALL_STATE(17173)] = 749212,
  [SMALL_STATE(17174)] = 749229,
  [SMALL_STATE(17175)] = 749244,
  [SMALL_STATE(17176)] = 749259,
  [SMALL_STATE(17177)] = 749276,
  [SMALL_STATE(17178)] = 749293,
  [SMALL_STATE(17179)] = 749310,
  [SMALL_STATE(17180)] = 749327,
  [SMALL_STATE(17181)] = 749344,
  [SMALL_STATE(17182)] = 749361,
  [SMALL_STATE(17183)] = 749376,
  [SMALL_STATE(17184)] = 749393,
  [SMALL_STATE(17185)] = 749410,
  [SMALL_STATE(17186)] = 749427,
  [SMALL_STATE(17187)] = 749442,
  [SMALL_STATE(17188)] = 749459,
  [SMALL_STATE(17189)] = 749476,
  [SMALL_STATE(17190)] = 749493,
  [SMALL_STATE(17191)] = 749510,
  [SMALL_STATE(17192)] = 749525,
  [SMALL_STATE(17193)] = 749542,
  [SMALL_STATE(17194)] = 749557,
  [SMALL_STATE(17195)] = 749574,
  [SMALL_STATE(17196)] = 749591,
  [SMALL_STATE(17197)] = 749608,
  [SMALL_STATE(17198)] = 749625,
  [SMALL_STATE(17199)] = 749642,
  [SMALL_STATE(17200)] = 749659,
  [SMALL_STATE(17201)] = 749676,
  [SMALL_STATE(17202)] = 749693,
  [SMALL_STATE(17203)] = 749708,
  [SMALL_STATE(17204)] = 749725,
  [SMALL_STATE(17205)] = 749742,
  [SMALL_STATE(17206)] = 749759,
  [SMALL_STATE(17207)] = 749776,
  [SMALL_STATE(17208)] = 749791,
  [SMALL_STATE(17209)] = 749806,
  [SMALL_STATE(17210)] = 749823,
  [SMALL_STATE(17211)] = 749840,
  [SMALL_STATE(17212)] = 749855,
  [SMALL_STATE(17213)] = 749872,
  [SMALL_STATE(17214)] = 749887,
  [SMALL_STATE(17215)] = 749904,
  [SMALL_STATE(17216)] = 749921,
  [SMALL_STATE(17217)] = 749938,
  [SMALL_STATE(17218)] = 749955,
  [SMALL_STATE(17219)] = 749972,
  [SMALL_STATE(17220)] = 749989,
  [SMALL_STATE(17221)] = 750006,
  [SMALL_STATE(17222)] = 750023,
  [SMALL_STATE(17223)] = 750038,
  [SMALL_STATE(17224)] = 750053,
  [SMALL_STATE(17225)] = 750070,
  [SMALL_STATE(17226)] = 750087,
  [SMALL_STATE(17227)] = 750102,
  [SMALL_STATE(17228)] = 750119,
  [SMALL_STATE(17229)] = 750136,
  [SMALL_STATE(17230)] = 750151,
  [SMALL_STATE(17231)] = 750168,
  [SMALL_STATE(17232)] = 750185,
  [SMALL_STATE(17233)] = 750202,
  [SMALL_STATE(17234)] = 750219,
  [SMALL_STATE(17235)] = 750236,
  [SMALL_STATE(17236)] = 750253,
  [SMALL_STATE(17237)] = 750270,
  [SMALL_STATE(17238)] = 750287,
  [SMALL_STATE(17239)] = 750302,
  [SMALL_STATE(17240)] = 750319,
  [SMALL_STATE(17241)] = 750334,
  [SMALL_STATE(17242)] = 750351,
  [SMALL_STATE(17243)] = 750366,
  [SMALL_STATE(17244)] = 750383,
  [SMALL_STATE(17245)] = 750400,
  [SMALL_STATE(17246)] = 750417,
  [SMALL_STATE(17247)] = 750434,
  [SMALL_STATE(17248)] = 750451,
  [SMALL_STATE(17249)] = 750468,
  [SMALL_STATE(17250)] = 750485,
  [SMALL_STATE(17251)] = 750502,
  [SMALL_STATE(17252)] = 750517,
  [SMALL_STATE(17253)] = 750534,
  [SMALL_STATE(17254)] = 750549,
  [SMALL_STATE(17255)] = 750566,
  [SMALL_STATE(17256)] = 750583,
  [SMALL_STATE(17257)] = 750600,
  [SMALL_STATE(17258)] = 750617,
  [SMALL_STATE(17259)] = 750634,
  [SMALL_STATE(17260)] = 750651,
  [SMALL_STATE(17261)] = 750668,
  [SMALL_STATE(17262)] = 750685,
  [SMALL_STATE(17263)] = 750702,
  [SMALL_STATE(17264)] = 750719,
  [SMALL_STATE(17265)] = 750736,
  [SMALL_STATE(17266)] = 750751,
  [SMALL_STATE(17267)] = 750768,
  [SMALL_STATE(17268)] = 750783,
  [SMALL_STATE(17269)] = 750798,
  [SMALL_STATE(17270)] = 750815,
  [SMALL_STATE(17271)] = 750832,
  [SMALL_STATE(17272)] = 750849,
  [SMALL_STATE(17273)] = 750866,
  [SMALL_STATE(17274)] = 750883,
  [SMALL_STATE(17275)] = 750900,
  [SMALL_STATE(17276)] = 750917,
  [SMALL_STATE(17277)] = 750934,
  [SMALL_STATE(17278)] = 750951,
  [SMALL_STATE(17279)] = 750968,
  [SMALL_STATE(17280)] = 750985,
  [SMALL_STATE(17281)] = 751000,
  [SMALL_STATE(17282)] = 751017,
  [SMALL_STATE(17283)] = 751034,
  [SMALL_STATE(17284)] = 751049,
  [SMALL_STATE(17285)] = 751066,
  [SMALL_STATE(17286)] = 751083,
  [SMALL_STATE(17287)] = 751098,
  [SMALL_STATE(17288)] = 751115,
  [SMALL_STATE(17289)] = 751132,
  [SMALL_STATE(17290)] = 751149,
  [SMALL_STATE(17291)] = 751166,
  [SMALL_STATE(17292)] = 751183,
  [SMALL_STATE(17293)] = 751200,
  [SMALL_STATE(17294)] = 751217,
  [SMALL_STATE(17295)] = 751234,
  [SMALL_STATE(17296)] = 751251,
  [SMALL_STATE(17297)] = 751268,
  [SMALL_STATE(17298)] = 751285,
  [SMALL_STATE(17299)] = 751302,
  [SMALL_STATE(17300)] = 751319,
  [SMALL_STATE(17301)] = 751336,
  [SMALL_STATE(17302)] = 751353,
  [SMALL_STATE(17303)] = 751370,
  [SMALL_STATE(17304)] = 751385,
  [SMALL_STATE(17305)] = 751402,
  [SMALL_STATE(17306)] = 751419,
  [SMALL_STATE(17307)] = 751436,
  [SMALL_STATE(17308)] = 751453,
  [SMALL_STATE(17309)] = 751470,
  [SMALL_STATE(17310)] = 751485,
  [SMALL_STATE(17311)] = 751502,
  [SMALL_STATE(17312)] = 751519,
  [SMALL_STATE(17313)] = 751534,
  [SMALL_STATE(17314)] = 751551,
  [SMALL_STATE(17315)] = 751568,
  [SMALL_STATE(17316)] = 751585,
  [SMALL_STATE(17317)] = 751602,
  [SMALL_STATE(17318)] = 751619,
  [SMALL_STATE(17319)] = 751636,
  [SMALL_STATE(17320)] = 751651,
  [SMALL_STATE(17321)] = 751668,
  [SMALL_STATE(17322)] = 751685,
  [SMALL_STATE(17323)] = 751702,
  [SMALL_STATE(17324)] = 751719,
  [SMALL_STATE(17325)] = 751736,
  [SMALL_STATE(17326)] = 751753,
  [SMALL_STATE(17327)] = 751770,
  [SMALL_STATE(17328)] = 751787,
  [SMALL_STATE(17329)] = 751804,
  [SMALL_STATE(17330)] = 751821,
  [SMALL_STATE(17331)] = 751838,
  [SMALL_STATE(17332)] = 751855,
  [SMALL_STATE(17333)] = 751872,
  [SMALL_STATE(17334)] = 751889,
  [SMALL_STATE(17335)] = 751906,
  [SMALL_STATE(17336)] = 751923,
  [SMALL_STATE(17337)] = 751940,
  [SMALL_STATE(17338)] = 751955,
  [SMALL_STATE(17339)] = 751972,
  [SMALL_STATE(17340)] = 751989,
  [SMALL_STATE(17341)] = 752006,
  [SMALL_STATE(17342)] = 752023,
  [SMALL_STATE(17343)] = 752040,
  [SMALL_STATE(17344)] = 752055,
  [SMALL_STATE(17345)] = 752072,
  [SMALL_STATE(17346)] = 752087,
  [SMALL_STATE(17347)] = 752104,
  [SMALL_STATE(17348)] = 752119,
  [SMALL_STATE(17349)] = 752136,
  [SMALL_STATE(17350)] = 752153,
  [SMALL_STATE(17351)] = 752170,
  [SMALL_STATE(17352)] = 752187,
  [SMALL_STATE(17353)] = 752204,
  [SMALL_STATE(17354)] = 752221,
  [SMALL_STATE(17355)] = 752238,
  [SMALL_STATE(17356)] = 752255,
  [SMALL_STATE(17357)] = 752272,
  [SMALL_STATE(17358)] = 752289,
  [SMALL_STATE(17359)] = 752306,
  [SMALL_STATE(17360)] = 752323,
  [SMALL_STATE(17361)] = 752340,
  [SMALL_STATE(17362)] = 752357,
  [SMALL_STATE(17363)] = 752372,
  [SMALL_STATE(17364)] = 752389,
  [SMALL_STATE(17365)] = 752406,
  [SMALL_STATE(17366)] = 752423,
  [SMALL_STATE(17367)] = 752440,
  [SMALL_STATE(17368)] = 752457,
  [SMALL_STATE(17369)] = 752474,
  [SMALL_STATE(17370)] = 752491,
  [SMALL_STATE(17371)] = 752508,
  [SMALL_STATE(17372)] = 752525,
  [SMALL_STATE(17373)] = 752540,
  [SMALL_STATE(17374)] = 752557,
  [SMALL_STATE(17375)] = 752574,
  [SMALL_STATE(17376)] = 752591,
  [SMALL_STATE(17377)] = 752608,
  [SMALL_STATE(17378)] = 752625,
  [SMALL_STATE(17379)] = 752642,
  [SMALL_STATE(17380)] = 752659,
  [SMALL_STATE(17381)] = 752676,
  [SMALL_STATE(17382)] = 752693,
  [SMALL_STATE(17383)] = 752710,
  [SMALL_STATE(17384)] = 752727,
  [SMALL_STATE(17385)] = 752744,
  [SMALL_STATE(17386)] = 752761,
  [SMALL_STATE(17387)] = 752778,
  [SMALL_STATE(17388)] = 752795,
  [SMALL_STATE(17389)] = 752812,
  [SMALL_STATE(17390)] = 752829,
  [SMALL_STATE(17391)] = 752846,
  [SMALL_STATE(17392)] = 752863,
  [SMALL_STATE(17393)] = 752880,
  [SMALL_STATE(17394)] = 752897,
  [SMALL_STATE(17395)] = 752914,
  [SMALL_STATE(17396)] = 752931,
  [SMALL_STATE(17397)] = 752948,
  [SMALL_STATE(17398)] = 752965,
  [SMALL_STATE(17399)] = 752982,
  [SMALL_STATE(17400)] = 752999,
  [SMALL_STATE(17401)] = 753016,
  [SMALL_STATE(17402)] = 753033,
  [SMALL_STATE(17403)] = 753050,
  [SMALL_STATE(17404)] = 753067,
  [SMALL_STATE(17405)] = 753084,
  [SMALL_STATE(17406)] = 753101,
  [SMALL_STATE(17407)] = 753118,
  [SMALL_STATE(17408)] = 753133,
  [SMALL_STATE(17409)] = 753150,
  [SMALL_STATE(17410)] = 753167,
  [SMALL_STATE(17411)] = 753184,
  [SMALL_STATE(17412)] = 753199,
  [SMALL_STATE(17413)] = 753216,
  [SMALL_STATE(17414)] = 753233,
  [SMALL_STATE(17415)] = 753250,
  [SMALL_STATE(17416)] = 753267,
  [SMALL_STATE(17417)] = 753282,
  [SMALL_STATE(17418)] = 753299,
  [SMALL_STATE(17419)] = 753316,
  [SMALL_STATE(17420)] = 753333,
  [SMALL_STATE(17421)] = 753350,
  [SMALL_STATE(17422)] = 753367,
  [SMALL_STATE(17423)] = 753384,
  [SMALL_STATE(17424)] = 753401,
  [SMALL_STATE(17425)] = 753418,
  [SMALL_STATE(17426)] = 753435,
  [SMALL_STATE(17427)] = 753450,
  [SMALL_STATE(17428)] = 753467,
  [SMALL_STATE(17429)] = 753484,
  [SMALL_STATE(17430)] = 753501,
  [SMALL_STATE(17431)] = 753518,
  [SMALL_STATE(17432)] = 753535,
  [SMALL_STATE(17433)] = 753550,
  [SMALL_STATE(17434)] = 753567,
  [SMALL_STATE(17435)] = 753584,
  [SMALL_STATE(17436)] = 753599,
  [SMALL_STATE(17437)] = 753616,
  [SMALL_STATE(17438)] = 753633,
  [SMALL_STATE(17439)] = 753650,
  [SMALL_STATE(17440)] = 753667,
  [SMALL_STATE(17441)] = 753682,
  [SMALL_STATE(17442)] = 753699,
  [SMALL_STATE(17443)] = 753716,
  [SMALL_STATE(17444)] = 753733,
  [SMALL_STATE(17445)] = 753750,
  [SMALL_STATE(17446)] = 753767,
  [SMALL_STATE(17447)] = 753784,
  [SMALL_STATE(17448)] = 753799,
  [SMALL_STATE(17449)] = 753816,
  [SMALL_STATE(17450)] = 753833,
  [SMALL_STATE(17451)] = 753850,
  [SMALL_STATE(17452)] = 753867,
  [SMALL_STATE(17453)] = 753884,
  [SMALL_STATE(17454)] = 753901,
  [SMALL_STATE(17455)] = 753918,
  [SMALL_STATE(17456)] = 753935,
  [SMALL_STATE(17457)] = 753952,
  [SMALL_STATE(17458)] = 753969,
  [SMALL_STATE(17459)] = 753986,
  [SMALL_STATE(17460)] = 754003,
  [SMALL_STATE(17461)] = 754020,
  [SMALL_STATE(17462)] = 754037,
  [SMALL_STATE(17463)] = 754054,
  [SMALL_STATE(17464)] = 754069,
  [SMALL_STATE(17465)] = 754086,
  [SMALL_STATE(17466)] = 754103,
  [SMALL_STATE(17467)] = 754120,
  [SMALL_STATE(17468)] = 754137,
  [SMALL_STATE(17469)] = 754154,
  [SMALL_STATE(17470)] = 754171,
  [SMALL_STATE(17471)] = 754186,
  [SMALL_STATE(17472)] = 754203,
  [SMALL_STATE(17473)] = 754220,
  [SMALL_STATE(17474)] = 754237,
  [SMALL_STATE(17475)] = 754254,
  [SMALL_STATE(17476)] = 754271,
  [SMALL_STATE(17477)] = 754288,
  [SMALL_STATE(17478)] = 754303,
  [SMALL_STATE(17479)] = 754320,
  [SMALL_STATE(17480)] = 754337,
  [SMALL_STATE(17481)] = 754354,
  [SMALL_STATE(17482)] = 754371,
  [SMALL_STATE(17483)] = 754388,
  [SMALL_STATE(17484)] = 754405,
  [SMALL_STATE(17485)] = 754422,
  [SMALL_STATE(17486)] = 754439,
  [SMALL_STATE(17487)] = 754456,
  [SMALL_STATE(17488)] = 754473,
  [SMALL_STATE(17489)] = 754490,
  [SMALL_STATE(17490)] = 754507,
  [SMALL_STATE(17491)] = 754524,
  [SMALL_STATE(17492)] = 754541,
  [SMALL_STATE(17493)] = 754556,
  [SMALL_STATE(17494)] = 754573,
  [SMALL_STATE(17495)] = 754590,
  [SMALL_STATE(17496)] = 754607,
  [SMALL_STATE(17497)] = 754622,
  [SMALL_STATE(17498)] = 754639,
  [SMALL_STATE(17499)] = 754656,
  [SMALL_STATE(17500)] = 754673,
  [SMALL_STATE(17501)] = 754690,
  [SMALL_STATE(17502)] = 754707,
  [SMALL_STATE(17503)] = 754724,
  [SMALL_STATE(17504)] = 754739,
  [SMALL_STATE(17505)] = 754756,
  [SMALL_STATE(17506)] = 754773,
  [SMALL_STATE(17507)] = 754790,
  [SMALL_STATE(17508)] = 754807,
  [SMALL_STATE(17509)] = 754824,
  [SMALL_STATE(17510)] = 754841,
  [SMALL_STATE(17511)] = 754858,
  [SMALL_STATE(17512)] = 754875,
  [SMALL_STATE(17513)] = 754892,
  [SMALL_STATE(17514)] = 754909,
  [SMALL_STATE(17515)] = 754926,
  [SMALL_STATE(17516)] = 754941,
  [SMALL_STATE(17517)] = 754956,
  [SMALL_STATE(17518)] = 754973,
  [SMALL_STATE(17519)] = 754990,
  [SMALL_STATE(17520)] = 755007,
  [SMALL_STATE(17521)] = 755022,
  [SMALL_STATE(17522)] = 755037,
  [SMALL_STATE(17523)] = 755054,
  [SMALL_STATE(17524)] = 755071,
  [SMALL_STATE(17525)] = 755088,
  [SMALL_STATE(17526)] = 755103,
  [SMALL_STATE(17527)] = 755118,
  [SMALL_STATE(17528)] = 755133,
  [SMALL_STATE(17529)] = 755150,
  [SMALL_STATE(17530)] = 755165,
  [SMALL_STATE(17531)] = 755180,
  [SMALL_STATE(17532)] = 755197,
  [SMALL_STATE(17533)] = 755214,
  [SMALL_STATE(17534)] = 755231,
  [SMALL_STATE(17535)] = 755245,
  [SMALL_STATE(17536)] = 755259,
  [SMALL_STATE(17537)] = 755273,
  [SMALL_STATE(17538)] = 755287,
  [SMALL_STATE(17539)] = 755301,
  [SMALL_STATE(17540)] = 755315,
  [SMALL_STATE(17541)] = 755329,
  [SMALL_STATE(17542)] = 755343,
  [SMALL_STATE(17543)] = 755357,
  [SMALL_STATE(17544)] = 755371,
  [SMALL_STATE(17545)] = 755385,
  [SMALL_STATE(17546)] = 755399,
  [SMALL_STATE(17547)] = 755413,
  [SMALL_STATE(17548)] = 755427,
  [SMALL_STATE(17549)] = 755441,
  [SMALL_STATE(17550)] = 755455,
  [SMALL_STATE(17551)] = 755469,
  [SMALL_STATE(17552)] = 755483,
  [SMALL_STATE(17553)] = 755497,
  [SMALL_STATE(17554)] = 755511,
  [SMALL_STATE(17555)] = 755525,
  [SMALL_STATE(17556)] = 755539,
  [SMALL_STATE(17557)] = 755553,
  [SMALL_STATE(17558)] = 755567,
  [SMALL_STATE(17559)] = 755581,
  [SMALL_STATE(17560)] = 755595,
  [SMALL_STATE(17561)] = 755609,
  [SMALL_STATE(17562)] = 755623,
  [SMALL_STATE(17563)] = 755637,
  [SMALL_STATE(17564)] = 755651,
  [SMALL_STATE(17565)] = 755665,
  [SMALL_STATE(17566)] = 755679,
  [SMALL_STATE(17567)] = 755693,
  [SMALL_STATE(17568)] = 755707,
  [SMALL_STATE(17569)] = 755721,
  [SMALL_STATE(17570)] = 755735,
  [SMALL_STATE(17571)] = 755749,
  [SMALL_STATE(17572)] = 755763,
  [SMALL_STATE(17573)] = 755777,
  [SMALL_STATE(17574)] = 755791,
  [SMALL_STATE(17575)] = 755805,
  [SMALL_STATE(17576)] = 755819,
  [SMALL_STATE(17577)] = 755833,
  [SMALL_STATE(17578)] = 755847,
  [SMALL_STATE(17579)] = 755861,
  [SMALL_STATE(17580)] = 755875,
  [SMALL_STATE(17581)] = 755889,
  [SMALL_STATE(17582)] = 755903,
  [SMALL_STATE(17583)] = 755917,
  [SMALL_STATE(17584)] = 755931,
  [SMALL_STATE(17585)] = 755945,
  [SMALL_STATE(17586)] = 755959,
  [SMALL_STATE(17587)] = 755973,
  [SMALL_STATE(17588)] = 755987,
  [SMALL_STATE(17589)] = 756001,
  [SMALL_STATE(17590)] = 756015,
  [SMALL_STATE(17591)] = 756029,
  [SMALL_STATE(17592)] = 756043,
  [SMALL_STATE(17593)] = 756057,
  [SMALL_STATE(17594)] = 756071,
  [SMALL_STATE(17595)] = 756085,
  [SMALL_STATE(17596)] = 756099,
  [SMALL_STATE(17597)] = 756113,
  [SMALL_STATE(17598)] = 756127,
  [SMALL_STATE(17599)] = 756141,
  [SMALL_STATE(17600)] = 756155,
  [SMALL_STATE(17601)] = 756169,
  [SMALL_STATE(17602)] = 756183,
  [SMALL_STATE(17603)] = 756197,
  [SMALL_STATE(17604)] = 756211,
  [SMALL_STATE(17605)] = 756225,
  [SMALL_STATE(17606)] = 756239,
  [SMALL_STATE(17607)] = 756253,
  [SMALL_STATE(17608)] = 756267,
  [SMALL_STATE(17609)] = 756281,
  [SMALL_STATE(17610)] = 756295,
  [SMALL_STATE(17611)] = 756309,
  [SMALL_STATE(17612)] = 756323,
  [SMALL_STATE(17613)] = 756337,
  [SMALL_STATE(17614)] = 756351,
  [SMALL_STATE(17615)] = 756365,
  [SMALL_STATE(17616)] = 756379,
  [SMALL_STATE(17617)] = 756393,
  [SMALL_STATE(17618)] = 756407,
  [SMALL_STATE(17619)] = 756421,
  [SMALL_STATE(17620)] = 756435,
  [SMALL_STATE(17621)] = 756449,
  [SMALL_STATE(17622)] = 756463,
  [SMALL_STATE(17623)] = 756477,
  [SMALL_STATE(17624)] = 756491,
  [SMALL_STATE(17625)] = 756505,
  [SMALL_STATE(17626)] = 756519,
  [SMALL_STATE(17627)] = 756533,
  [SMALL_STATE(17628)] = 756547,
  [SMALL_STATE(17629)] = 756561,
  [SMALL_STATE(17630)] = 756575,
  [SMALL_STATE(17631)] = 756589,
  [SMALL_STATE(17632)] = 756603,
  [SMALL_STATE(17633)] = 756617,
  [SMALL_STATE(17634)] = 756631,
  [SMALL_STATE(17635)] = 756645,
  [SMALL_STATE(17636)] = 756659,
  [SMALL_STATE(17637)] = 756673,
  [SMALL_STATE(17638)] = 756687,
  [SMALL_STATE(17639)] = 756701,
  [SMALL_STATE(17640)] = 756715,
  [SMALL_STATE(17641)] = 756729,
  [SMALL_STATE(17642)] = 756743,
  [SMALL_STATE(17643)] = 756757,
  [SMALL_STATE(17644)] = 756771,
  [SMALL_STATE(17645)] = 756785,
  [SMALL_STATE(17646)] = 756799,
  [SMALL_STATE(17647)] = 756813,
  [SMALL_STATE(17648)] = 756827,
  [SMALL_STATE(17649)] = 756841,
  [SMALL_STATE(17650)] = 756855,
  [SMALL_STATE(17651)] = 756869,
  [SMALL_STATE(17652)] = 756883,
  [SMALL_STATE(17653)] = 756897,
  [SMALL_STATE(17654)] = 756911,
  [SMALL_STATE(17655)] = 756925,
  [SMALL_STATE(17656)] = 756939,
  [SMALL_STATE(17657)] = 756953,
  [SMALL_STATE(17658)] = 756967,
  [SMALL_STATE(17659)] = 756981,
  [SMALL_STATE(17660)] = 756995,
  [SMALL_STATE(17661)] = 757009,
  [SMALL_STATE(17662)] = 757023,
  [SMALL_STATE(17663)] = 757037,
  [SMALL_STATE(17664)] = 757051,
  [SMALL_STATE(17665)] = 757065,
  [SMALL_STATE(17666)] = 757079,
  [SMALL_STATE(17667)] = 757093,
  [SMALL_STATE(17668)] = 757107,
  [SMALL_STATE(17669)] = 757121,
  [SMALL_STATE(17670)] = 757135,
  [SMALL_STATE(17671)] = 757149,
  [SMALL_STATE(17672)] = 757163,
  [SMALL_STATE(17673)] = 757177,
  [SMALL_STATE(17674)] = 757191,
  [SMALL_STATE(17675)] = 757205,
  [SMALL_STATE(17676)] = 757219,
  [SMALL_STATE(17677)] = 757233,
  [SMALL_STATE(17678)] = 757247,
  [SMALL_STATE(17679)] = 757261,
  [SMALL_STATE(17680)] = 757275,
  [SMALL_STATE(17681)] = 757289,
  [SMALL_STATE(17682)] = 757303,
  [SMALL_STATE(17683)] = 757317,
  [SMALL_STATE(17684)] = 757331,
  [SMALL_STATE(17685)] = 757345,
  [SMALL_STATE(17686)] = 757359,
  [SMALL_STATE(17687)] = 757373,
  [SMALL_STATE(17688)] = 757387,
  [SMALL_STATE(17689)] = 757401,
  [SMALL_STATE(17690)] = 757415,
  [SMALL_STATE(17691)] = 757429,
  [SMALL_STATE(17692)] = 757443,
  [SMALL_STATE(17693)] = 757457,
  [SMALL_STATE(17694)] = 757471,
  [SMALL_STATE(17695)] = 757485,
  [SMALL_STATE(17696)] = 757499,
  [SMALL_STATE(17697)] = 757513,
  [SMALL_STATE(17698)] = 757527,
  [SMALL_STATE(17699)] = 757541,
  [SMALL_STATE(17700)] = 757555,
  [SMALL_STATE(17701)] = 757569,
  [SMALL_STATE(17702)] = 757583,
  [SMALL_STATE(17703)] = 757597,
  [SMALL_STATE(17704)] = 757611,
  [SMALL_STATE(17705)] = 757625,
  [SMALL_STATE(17706)] = 757639,
  [SMALL_STATE(17707)] = 757653,
  [SMALL_STATE(17708)] = 757667,
  [SMALL_STATE(17709)] = 757681,
  [SMALL_STATE(17710)] = 757695,
  [SMALL_STATE(17711)] = 757709,
  [SMALL_STATE(17712)] = 757723,
  [SMALL_STATE(17713)] = 757737,
  [SMALL_STATE(17714)] = 757751,
  [SMALL_STATE(17715)] = 757765,
  [SMALL_STATE(17716)] = 757779,
  [SMALL_STATE(17717)] = 757793,
  [SMALL_STATE(17718)] = 757807,
  [SMALL_STATE(17719)] = 757821,
  [SMALL_STATE(17720)] = 757835,
  [SMALL_STATE(17721)] = 757849,
  [SMALL_STATE(17722)] = 757863,
  [SMALL_STATE(17723)] = 757877,
  [SMALL_STATE(17724)] = 757891,
  [SMALL_STATE(17725)] = 757905,
  [SMALL_STATE(17726)] = 757919,
  [SMALL_STATE(17727)] = 757933,
  [SMALL_STATE(17728)] = 757947,
  [SMALL_STATE(17729)] = 757961,
  [SMALL_STATE(17730)] = 757975,
  [SMALL_STATE(17731)] = 757989,
  [SMALL_STATE(17732)] = 758003,
  [SMALL_STATE(17733)] = 758017,
  [SMALL_STATE(17734)] = 758031,
  [SMALL_STATE(17735)] = 758045,
  [SMALL_STATE(17736)] = 758059,
  [SMALL_STATE(17737)] = 758073,
  [SMALL_STATE(17738)] = 758087,
  [SMALL_STATE(17739)] = 758101,
  [SMALL_STATE(17740)] = 758115,
  [SMALL_STATE(17741)] = 758129,
  [SMALL_STATE(17742)] = 758143,
  [SMALL_STATE(17743)] = 758157,
  [SMALL_STATE(17744)] = 758171,
  [SMALL_STATE(17745)] = 758185,
  [SMALL_STATE(17746)] = 758199,
  [SMALL_STATE(17747)] = 758213,
  [SMALL_STATE(17748)] = 758227,
  [SMALL_STATE(17749)] = 758241,
  [SMALL_STATE(17750)] = 758255,
  [SMALL_STATE(17751)] = 758269,
  [SMALL_STATE(17752)] = 758283,
  [SMALL_STATE(17753)] = 758297,
  [SMALL_STATE(17754)] = 758311,
  [SMALL_STATE(17755)] = 758325,
  [SMALL_STATE(17756)] = 758339,
  [SMALL_STATE(17757)] = 758353,
  [SMALL_STATE(17758)] = 758367,
  [SMALL_STATE(17759)] = 758381,
  [SMALL_STATE(17760)] = 758395,
  [SMALL_STATE(17761)] = 758409,
  [SMALL_STATE(17762)] = 758423,
  [SMALL_STATE(17763)] = 758437,
  [SMALL_STATE(17764)] = 758451,
  [SMALL_STATE(17765)] = 758465,
  [SMALL_STATE(17766)] = 758479,
  [SMALL_STATE(17767)] = 758493,
  [SMALL_STATE(17768)] = 758507,
  [SMALL_STATE(17769)] = 758521,
  [SMALL_STATE(17770)] = 758535,
  [SMALL_STATE(17771)] = 758549,
  [SMALL_STATE(17772)] = 758563,
  [SMALL_STATE(17773)] = 758577,
  [SMALL_STATE(17774)] = 758591,
  [SMALL_STATE(17775)] = 758605,
  [SMALL_STATE(17776)] = 758619,
  [SMALL_STATE(17777)] = 758633,
  [SMALL_STATE(17778)] = 758647,
  [SMALL_STATE(17779)] = 758661,
  [SMALL_STATE(17780)] = 758675,
  [SMALL_STATE(17781)] = 758689,
  [SMALL_STATE(17782)] = 758703,
  [SMALL_STATE(17783)] = 758717,
  [SMALL_STATE(17784)] = 758731,
  [SMALL_STATE(17785)] = 758745,
  [SMALL_STATE(17786)] = 758759,
  [SMALL_STATE(17787)] = 758773,
  [SMALL_STATE(17788)] = 758787,
  [SMALL_STATE(17789)] = 758801,
  [SMALL_STATE(17790)] = 758815,
  [SMALL_STATE(17791)] = 758829,
  [SMALL_STATE(17792)] = 758843,
  [SMALL_STATE(17793)] = 758857,
  [SMALL_STATE(17794)] = 758871,
  [SMALL_STATE(17795)] = 758885,
  [SMALL_STATE(17796)] = 758899,
  [SMALL_STATE(17797)] = 758913,
  [SMALL_STATE(17798)] = 758927,
  [SMALL_STATE(17799)] = 758941,
  [SMALL_STATE(17800)] = 758955,
  [SMALL_STATE(17801)] = 758969,
  [SMALL_STATE(17802)] = 758983,
  [SMALL_STATE(17803)] = 758997,
  [SMALL_STATE(17804)] = 759011,
  [SMALL_STATE(17805)] = 759025,
  [SMALL_STATE(17806)] = 759039,
  [SMALL_STATE(17807)] = 759053,
  [SMALL_STATE(17808)] = 759067,
  [SMALL_STATE(17809)] = 759081,
  [SMALL_STATE(17810)] = 759095,
  [SMALL_STATE(17811)] = 759109,
  [SMALL_STATE(17812)] = 759123,
  [SMALL_STATE(17813)] = 759137,
  [SMALL_STATE(17814)] = 759151,
  [SMALL_STATE(17815)] = 759165,
  [SMALL_STATE(17816)] = 759179,
  [SMALL_STATE(17817)] = 759193,
  [SMALL_STATE(17818)] = 759207,
  [SMALL_STATE(17819)] = 759221,
  [SMALL_STATE(17820)] = 759235,
  [SMALL_STATE(17821)] = 759249,
  [SMALL_STATE(17822)] = 759263,
  [SMALL_STATE(17823)] = 759277,
  [SMALL_STATE(17824)] = 759291,
  [SMALL_STATE(17825)] = 759305,
  [SMALL_STATE(17826)] = 759319,
  [SMALL_STATE(17827)] = 759333,
  [SMALL_STATE(17828)] = 759347,
  [SMALL_STATE(17829)] = 759361,
  [SMALL_STATE(17830)] = 759375,
  [SMALL_STATE(17831)] = 759389,
  [SMALL_STATE(17832)] = 759403,
  [SMALL_STATE(17833)] = 759417,
  [SMALL_STATE(17834)] = 759431,
  [SMALL_STATE(17835)] = 759445,
  [SMALL_STATE(17836)] = 759459,
  [SMALL_STATE(17837)] = 759473,
  [SMALL_STATE(17838)] = 759487,
  [SMALL_STATE(17839)] = 759501,
  [SMALL_STATE(17840)] = 759515,
  [SMALL_STATE(17841)] = 759529,
  [SMALL_STATE(17842)] = 759543,
  [SMALL_STATE(17843)] = 759557,
  [SMALL_STATE(17844)] = 759571,
  [SMALL_STATE(17845)] = 759585,
  [SMALL_STATE(17846)] = 759599,
  [SMALL_STATE(17847)] = 759613,
  [SMALL_STATE(17848)] = 759627,
  [SMALL_STATE(17849)] = 759641,
  [SMALL_STATE(17850)] = 759655,
  [SMALL_STATE(17851)] = 759669,
  [SMALL_STATE(17852)] = 759683,
  [SMALL_STATE(17853)] = 759697,
  [SMALL_STATE(17854)] = 759711,
  [SMALL_STATE(17855)] = 759725,
  [SMALL_STATE(17856)] = 759739,
  [SMALL_STATE(17857)] = 759753,
  [SMALL_STATE(17858)] = 759767,
  [SMALL_STATE(17859)] = 759781,
  [SMALL_STATE(17860)] = 759795,
  [SMALL_STATE(17861)] = 759809,
  [SMALL_STATE(17862)] = 759823,
  [SMALL_STATE(17863)] = 759837,
  [SMALL_STATE(17864)] = 759851,
  [SMALL_STATE(17865)] = 759865,
  [SMALL_STATE(17866)] = 759879,
  [SMALL_STATE(17867)] = 759893,
  [SMALL_STATE(17868)] = 759907,
  [SMALL_STATE(17869)] = 759921,
  [SMALL_STATE(17870)] = 759935,
  [SMALL_STATE(17871)] = 759949,
  [SMALL_STATE(17872)] = 759963,
  [SMALL_STATE(17873)] = 759977,
  [SMALL_STATE(17874)] = 759991,
  [SMALL_STATE(17875)] = 760005,
  [SMALL_STATE(17876)] = 760019,
  [SMALL_STATE(17877)] = 760033,
  [SMALL_STATE(17878)] = 760047,
  [SMALL_STATE(17879)] = 760061,
  [SMALL_STATE(17880)] = 760075,
  [SMALL_STATE(17881)] = 760089,
  [SMALL_STATE(17882)] = 760103,
  [SMALL_STATE(17883)] = 760117,
  [SMALL_STATE(17884)] = 760131,
  [SMALL_STATE(17885)] = 760145,
  [SMALL_STATE(17886)] = 760159,
  [SMALL_STATE(17887)] = 760173,
  [SMALL_STATE(17888)] = 760187,
  [SMALL_STATE(17889)] = 760201,
  [SMALL_STATE(17890)] = 760215,
  [SMALL_STATE(17891)] = 760229,
  [SMALL_STATE(17892)] = 760243,
  [SMALL_STATE(17893)] = 760257,
  [SMALL_STATE(17894)] = 760271,
  [SMALL_STATE(17895)] = 760285,
  [SMALL_STATE(17896)] = 760299,
  [SMALL_STATE(17897)] = 760313,
  [SMALL_STATE(17898)] = 760327,
  [SMALL_STATE(17899)] = 760341,
  [SMALL_STATE(17900)] = 760355,
  [SMALL_STATE(17901)] = 760369,
  [SMALL_STATE(17902)] = 760383,
  [SMALL_STATE(17903)] = 760397,
  [SMALL_STATE(17904)] = 760411,
  [SMALL_STATE(17905)] = 760425,
  [SMALL_STATE(17906)] = 760439,
  [SMALL_STATE(17907)] = 760453,
  [SMALL_STATE(17908)] = 760467,
  [SMALL_STATE(17909)] = 760481,
  [SMALL_STATE(17910)] = 760495,
  [SMALL_STATE(17911)] = 760509,
  [SMALL_STATE(17912)] = 760523,
  [SMALL_STATE(17913)] = 760537,
  [SMALL_STATE(17914)] = 760551,
  [SMALL_STATE(17915)] = 760565,
  [SMALL_STATE(17916)] = 760579,
  [SMALL_STATE(17917)] = 760593,
  [SMALL_STATE(17918)] = 760607,
  [SMALL_STATE(17919)] = 760621,
  [SMALL_STATE(17920)] = 760635,
  [SMALL_STATE(17921)] = 760649,
  [SMALL_STATE(17922)] = 760663,
  [SMALL_STATE(17923)] = 760677,
  [SMALL_STATE(17924)] = 760691,
  [SMALL_STATE(17925)] = 760705,
  [SMALL_STATE(17926)] = 760719,
  [SMALL_STATE(17927)] = 760733,
  [SMALL_STATE(17928)] = 760747,
  [SMALL_STATE(17929)] = 760761,
  [SMALL_STATE(17930)] = 760775,
  [SMALL_STATE(17931)] = 760789,
  [SMALL_STATE(17932)] = 760803,
  [SMALL_STATE(17933)] = 760817,
  [SMALL_STATE(17934)] = 760831,
  [SMALL_STATE(17935)] = 760845,
  [SMALL_STATE(17936)] = 760859,
  [SMALL_STATE(17937)] = 760873,
  [SMALL_STATE(17938)] = 760887,
  [SMALL_STATE(17939)] = 760901,
  [SMALL_STATE(17940)] = 760915,
  [SMALL_STATE(17941)] = 760929,
  [SMALL_STATE(17942)] = 760943,
  [SMALL_STATE(17943)] = 760957,
  [SMALL_STATE(17944)] = 760971,
  [SMALL_STATE(17945)] = 760985,
  [SMALL_STATE(17946)] = 760999,
  [SMALL_STATE(17947)] = 761013,
  [SMALL_STATE(17948)] = 761027,
  [SMALL_STATE(17949)] = 761041,
  [SMALL_STATE(17950)] = 761055,
  [SMALL_STATE(17951)] = 761069,
  [SMALL_STATE(17952)] = 761083,
  [SMALL_STATE(17953)] = 761097,
  [SMALL_STATE(17954)] = 761111,
  [SMALL_STATE(17955)] = 761125,
  [SMALL_STATE(17956)] = 761139,
  [SMALL_STATE(17957)] = 761153,
  [SMALL_STATE(17958)] = 761167,
  [SMALL_STATE(17959)] = 761181,
  [SMALL_STATE(17960)] = 761195,
  [SMALL_STATE(17961)] = 761209,
  [SMALL_STATE(17962)] = 761223,
  [SMALL_STATE(17963)] = 761237,
  [SMALL_STATE(17964)] = 761251,
  [SMALL_STATE(17965)] = 761265,
  [SMALL_STATE(17966)] = 761279,
  [SMALL_STATE(17967)] = 761293,
  [SMALL_STATE(17968)] = 761307,
  [SMALL_STATE(17969)] = 761321,
  [SMALL_STATE(17970)] = 761335,
  [SMALL_STATE(17971)] = 761349,
  [SMALL_STATE(17972)] = 761363,
  [SMALL_STATE(17973)] = 761377,
  [SMALL_STATE(17974)] = 761391,
  [SMALL_STATE(17975)] = 761405,
  [SMALL_STATE(17976)] = 761419,
  [SMALL_STATE(17977)] = 761433,
  [SMALL_STATE(17978)] = 761447,
  [SMALL_STATE(17979)] = 761461,
  [SMALL_STATE(17980)] = 761475,
  [SMALL_STATE(17981)] = 761489,
  [SMALL_STATE(17982)] = 761503,
  [SMALL_STATE(17983)] = 761517,
  [SMALL_STATE(17984)] = 761531,
  [SMALL_STATE(17985)] = 761545,
  [SMALL_STATE(17986)] = 761559,
  [SMALL_STATE(17987)] = 761573,
  [SMALL_STATE(17988)] = 761587,
  [SMALL_STATE(17989)] = 761601,
  [SMALL_STATE(17990)] = 761615,
  [SMALL_STATE(17991)] = 761629,
  [SMALL_STATE(17992)] = 761643,
  [SMALL_STATE(17993)] = 761657,
  [SMALL_STATE(17994)] = 761671,
  [SMALL_STATE(17995)] = 761685,
  [SMALL_STATE(17996)] = 761699,
  [SMALL_STATE(17997)] = 761713,
  [SMALL_STATE(17998)] = 761727,
  [SMALL_STATE(17999)] = 761741,
  [SMALL_STATE(18000)] = 761755,
  [SMALL_STATE(18001)] = 761769,
  [SMALL_STATE(18002)] = 761783,
  [SMALL_STATE(18003)] = 761797,
  [SMALL_STATE(18004)] = 761811,
  [SMALL_STATE(18005)] = 761825,
  [SMALL_STATE(18006)] = 761839,
  [SMALL_STATE(18007)] = 761853,
  [SMALL_STATE(18008)] = 761867,
  [SMALL_STATE(18009)] = 761881,
  [SMALL_STATE(18010)] = 761895,
  [SMALL_STATE(18011)] = 761909,
  [SMALL_STATE(18012)] = 761923,
  [SMALL_STATE(18013)] = 761937,
  [SMALL_STATE(18014)] = 761951,
  [SMALL_STATE(18015)] = 761965,
  [SMALL_STATE(18016)] = 761979,
  [SMALL_STATE(18017)] = 761993,
  [SMALL_STATE(18018)] = 762007,
  [SMALL_STATE(18019)] = 762021,
  [SMALL_STATE(18020)] = 762035,
  [SMALL_STATE(18021)] = 762049,
  [SMALL_STATE(18022)] = 762063,
  [SMALL_STATE(18023)] = 762077,
  [SMALL_STATE(18024)] = 762091,
  [SMALL_STATE(18025)] = 762105,
  [SMALL_STATE(18026)] = 762119,
  [SMALL_STATE(18027)] = 762133,
  [SMALL_STATE(18028)] = 762147,
  [SMALL_STATE(18029)] = 762161,
  [SMALL_STATE(18030)] = 762175,
  [SMALL_STATE(18031)] = 762189,
  [SMALL_STATE(18032)] = 762203,
  [SMALL_STATE(18033)] = 762217,
  [SMALL_STATE(18034)] = 762231,
  [SMALL_STATE(18035)] = 762245,
  [SMALL_STATE(18036)] = 762259,
  [SMALL_STATE(18037)] = 762273,
  [SMALL_STATE(18038)] = 762287,
  [SMALL_STATE(18039)] = 762301,
  [SMALL_STATE(18040)] = 762315,
  [SMALL_STATE(18041)] = 762329,
  [SMALL_STATE(18042)] = 762343,
  [SMALL_STATE(18043)] = 762357,
  [SMALL_STATE(18044)] = 762371,
  [SMALL_STATE(18045)] = 762385,
  [SMALL_STATE(18046)] = 762399,
  [SMALL_STATE(18047)] = 762413,
  [SMALL_STATE(18048)] = 762427,
  [SMALL_STATE(18049)] = 762441,
  [SMALL_STATE(18050)] = 762455,
  [SMALL_STATE(18051)] = 762469,
  [SMALL_STATE(18052)] = 762483,
  [SMALL_STATE(18053)] = 762497,
  [SMALL_STATE(18054)] = 762511,
  [SMALL_STATE(18055)] = 762525,
  [SMALL_STATE(18056)] = 762539,
  [SMALL_STATE(18057)] = 762553,
  [SMALL_STATE(18058)] = 762567,
  [SMALL_STATE(18059)] = 762581,
  [SMALL_STATE(18060)] = 762595,
  [SMALL_STATE(18061)] = 762609,
  [SMALL_STATE(18062)] = 762623,
  [SMALL_STATE(18063)] = 762637,
  [SMALL_STATE(18064)] = 762651,
  [SMALL_STATE(18065)] = 762665,
  [SMALL_STATE(18066)] = 762679,
  [SMALL_STATE(18067)] = 762693,
  [SMALL_STATE(18068)] = 762707,
  [SMALL_STATE(18069)] = 762721,
  [SMALL_STATE(18070)] = 762735,
  [SMALL_STATE(18071)] = 762749,
  [SMALL_STATE(18072)] = 762763,
  [SMALL_STATE(18073)] = 762777,
  [SMALL_STATE(18074)] = 762791,
  [SMALL_STATE(18075)] = 762805,
  [SMALL_STATE(18076)] = 762819,
  [SMALL_STATE(18077)] = 762833,
  [SMALL_STATE(18078)] = 762847,
  [SMALL_STATE(18079)] = 762861,
  [SMALL_STATE(18080)] = 762875,
  [SMALL_STATE(18081)] = 762889,
  [SMALL_STATE(18082)] = 762903,
  [SMALL_STATE(18083)] = 762917,
  [SMALL_STATE(18084)] = 762931,
  [SMALL_STATE(18085)] = 762945,
  [SMALL_STATE(18086)] = 762959,
  [SMALL_STATE(18087)] = 762973,
  [SMALL_STATE(18088)] = 762987,
  [SMALL_STATE(18089)] = 763001,
  [SMALL_STATE(18090)] = 763015,
  [SMALL_STATE(18091)] = 763029,
  [SMALL_STATE(18092)] = 763043,
  [SMALL_STATE(18093)] = 763057,
  [SMALL_STATE(18094)] = 763071,
  [SMALL_STATE(18095)] = 763085,
  [SMALL_STATE(18096)] = 763099,
  [SMALL_STATE(18097)] = 763113,
  [SMALL_STATE(18098)] = 763127,
  [SMALL_STATE(18099)] = 763141,
  [SMALL_STATE(18100)] = 763155,
  [SMALL_STATE(18101)] = 763169,
  [SMALL_STATE(18102)] = 763183,
  [SMALL_STATE(18103)] = 763197,
  [SMALL_STATE(18104)] = 763211,
  [SMALL_STATE(18105)] = 763225,
  [SMALL_STATE(18106)] = 763239,
  [SMALL_STATE(18107)] = 763253,
  [SMALL_STATE(18108)] = 763267,
  [SMALL_STATE(18109)] = 763281,
  [SMALL_STATE(18110)] = 763295,
  [SMALL_STATE(18111)] = 763309,
  [SMALL_STATE(18112)] = 763323,
  [SMALL_STATE(18113)] = 763337,
  [SMALL_STATE(18114)] = 763351,
  [SMALL_STATE(18115)] = 763365,
  [SMALL_STATE(18116)] = 763379,
  [SMALL_STATE(18117)] = 763393,
  [SMALL_STATE(18118)] = 763407,
  [SMALL_STATE(18119)] = 763421,
  [SMALL_STATE(18120)] = 763435,
  [SMALL_STATE(18121)] = 763449,
  [SMALL_STATE(18122)] = 763463,
  [SMALL_STATE(18123)] = 763477,
  [SMALL_STATE(18124)] = 763491,
  [SMALL_STATE(18125)] = 763505,
  [SMALL_STATE(18126)] = 763519,
  [SMALL_STATE(18127)] = 763533,
  [SMALL_STATE(18128)] = 763547,
  [SMALL_STATE(18129)] = 763561,
  [SMALL_STATE(18130)] = 763575,
  [SMALL_STATE(18131)] = 763589,
  [SMALL_STATE(18132)] = 763603,
  [SMALL_STATE(18133)] = 763617,
  [SMALL_STATE(18134)] = 763631,
  [SMALL_STATE(18135)] = 763645,
  [SMALL_STATE(18136)] = 763659,
  [SMALL_STATE(18137)] = 763673,
  [SMALL_STATE(18138)] = 763687,
  [SMALL_STATE(18139)] = 763701,
  [SMALL_STATE(18140)] = 763715,
  [SMALL_STATE(18141)] = 763729,
  [SMALL_STATE(18142)] = 763743,
  [SMALL_STATE(18143)] = 763757,
  [SMALL_STATE(18144)] = 763771,
  [SMALL_STATE(18145)] = 763785,
  [SMALL_STATE(18146)] = 763799,
  [SMALL_STATE(18147)] = 763813,
  [SMALL_STATE(18148)] = 763827,
  [SMALL_STATE(18149)] = 763841,
  [SMALL_STATE(18150)] = 763855,
  [SMALL_STATE(18151)] = 763869,
  [SMALL_STATE(18152)] = 763883,
  [SMALL_STATE(18153)] = 763897,
  [SMALL_STATE(18154)] = 763911,
  [SMALL_STATE(18155)] = 763925,
  [SMALL_STATE(18156)] = 763939,
  [SMALL_STATE(18157)] = 763953,
  [SMALL_STATE(18158)] = 763967,
  [SMALL_STATE(18159)] = 763981,
  [SMALL_STATE(18160)] = 763995,
  [SMALL_STATE(18161)] = 764009,
  [SMALL_STATE(18162)] = 764023,
  [SMALL_STATE(18163)] = 764037,
  [SMALL_STATE(18164)] = 764051,
  [SMALL_STATE(18165)] = 764065,
  [SMALL_STATE(18166)] = 764079,
  [SMALL_STATE(18167)] = 764093,
  [SMALL_STATE(18168)] = 764107,
  [SMALL_STATE(18169)] = 764121,
  [SMALL_STATE(18170)] = 764135,
  [SMALL_STATE(18171)] = 764149,
  [SMALL_STATE(18172)] = 764163,
  [SMALL_STATE(18173)] = 764177,
  [SMALL_STATE(18174)] = 764191,
  [SMALL_STATE(18175)] = 764205,
  [SMALL_STATE(18176)] = 764219,
  [SMALL_STATE(18177)] = 764233,
  [SMALL_STATE(18178)] = 764247,
  [SMALL_STATE(18179)] = 764261,
  [SMALL_STATE(18180)] = 764275,
  [SMALL_STATE(18181)] = 764289,
  [SMALL_STATE(18182)] = 764303,
  [SMALL_STATE(18183)] = 764317,
  [SMALL_STATE(18184)] = 764331,
  [SMALL_STATE(18185)] = 764345,
  [SMALL_STATE(18186)] = 764359,
  [SMALL_STATE(18187)] = 764373,
  [SMALL_STATE(18188)] = 764387,
  [SMALL_STATE(18189)] = 764401,
  [SMALL_STATE(18190)] = 764415,
  [SMALL_STATE(18191)] = 764429,
  [SMALL_STATE(18192)] = 764443,
  [SMALL_STATE(18193)] = 764457,
  [SMALL_STATE(18194)] = 764471,
  [SMALL_STATE(18195)] = 764485,
  [SMALL_STATE(18196)] = 764499,
  [SMALL_STATE(18197)] = 764513,
  [SMALL_STATE(18198)] = 764527,
  [SMALL_STATE(18199)] = 764541,
  [SMALL_STATE(18200)] = 764555,
  [SMALL_STATE(18201)] = 764569,
  [SMALL_STATE(18202)] = 764583,
  [SMALL_STATE(18203)] = 764597,
  [SMALL_STATE(18204)] = 764611,
  [SMALL_STATE(18205)] = 764625,
  [SMALL_STATE(18206)] = 764639,
  [SMALL_STATE(18207)] = 764653,
  [SMALL_STATE(18208)] = 764667,
  [SMALL_STATE(18209)] = 764681,
  [SMALL_STATE(18210)] = 764695,
  [SMALL_STATE(18211)] = 764709,
  [SMALL_STATE(18212)] = 764723,
  [SMALL_STATE(18213)] = 764737,
  [SMALL_STATE(18214)] = 764751,
  [SMALL_STATE(18215)] = 764765,
  [SMALL_STATE(18216)] = 764779,
  [SMALL_STATE(18217)] = 764793,
  [SMALL_STATE(18218)] = 764807,
  [SMALL_STATE(18219)] = 764821,
  [SMALL_STATE(18220)] = 764835,
  [SMALL_STATE(18221)] = 764849,
  [SMALL_STATE(18222)] = 764863,
  [SMALL_STATE(18223)] = 764877,
  [SMALL_STATE(18224)] = 764891,
  [SMALL_STATE(18225)] = 764905,
  [SMALL_STATE(18226)] = 764919,
  [SMALL_STATE(18227)] = 764933,
  [SMALL_STATE(18228)] = 764947,
  [SMALL_STATE(18229)] = 764961,
  [SMALL_STATE(18230)] = 764975,
  [SMALL_STATE(18231)] = 764989,
  [SMALL_STATE(18232)] = 765003,
  [SMALL_STATE(18233)] = 765017,
  [SMALL_STATE(18234)] = 765031,
  [SMALL_STATE(18235)] = 765045,
  [SMALL_STATE(18236)] = 765059,
  [SMALL_STATE(18237)] = 765073,
  [SMALL_STATE(18238)] = 765087,
  [SMALL_STATE(18239)] = 765101,
  [SMALL_STATE(18240)] = 765115,
  [SMALL_STATE(18241)] = 765129,
  [SMALL_STATE(18242)] = 765143,
  [SMALL_STATE(18243)] = 765157,
  [SMALL_STATE(18244)] = 765171,
  [SMALL_STATE(18245)] = 765185,
  [SMALL_STATE(18246)] = 765199,
  [SMALL_STATE(18247)] = 765213,
  [SMALL_STATE(18248)] = 765227,
  [SMALL_STATE(18249)] = 765241,
  [SMALL_STATE(18250)] = 765255,
  [SMALL_STATE(18251)] = 765269,
  [SMALL_STATE(18252)] = 765283,
  [SMALL_STATE(18253)] = 765297,
  [SMALL_STATE(18254)] = 765311,
  [SMALL_STATE(18255)] = 765325,
  [SMALL_STATE(18256)] = 765339,
  [SMALL_STATE(18257)] = 765353,
  [SMALL_STATE(18258)] = 765367,
  [SMALL_STATE(18259)] = 765381,
  [SMALL_STATE(18260)] = 765395,
  [SMALL_STATE(18261)] = 765409,
  [SMALL_STATE(18262)] = 765423,
  [SMALL_STATE(18263)] = 765437,
  [SMALL_STATE(18264)] = 765451,
  [SMALL_STATE(18265)] = 765465,
  [SMALL_STATE(18266)] = 765479,
  [SMALL_STATE(18267)] = 765493,
  [SMALL_STATE(18268)] = 765507,
  [SMALL_STATE(18269)] = 765521,
  [SMALL_STATE(18270)] = 765535,
  [SMALL_STATE(18271)] = 765549,
  [SMALL_STATE(18272)] = 765563,
  [SMALL_STATE(18273)] = 765577,
  [SMALL_STATE(18274)] = 765591,
  [SMALL_STATE(18275)] = 765605,
  [SMALL_STATE(18276)] = 765619,
  [SMALL_STATE(18277)] = 765633,
  [SMALL_STATE(18278)] = 765647,
  [SMALL_STATE(18279)] = 765661,
  [SMALL_STATE(18280)] = 765675,
  [SMALL_STATE(18281)] = 765689,
  [SMALL_STATE(18282)] = 765703,
  [SMALL_STATE(18283)] = 765717,
  [SMALL_STATE(18284)] = 765731,
  [SMALL_STATE(18285)] = 765745,
  [SMALL_STATE(18286)] = 765759,
  [SMALL_STATE(18287)] = 765773,
  [SMALL_STATE(18288)] = 765787,
  [SMALL_STATE(18289)] = 765801,
  [SMALL_STATE(18290)] = 765815,
  [SMALL_STATE(18291)] = 765829,
  [SMALL_STATE(18292)] = 765843,
  [SMALL_STATE(18293)] = 765857,
  [SMALL_STATE(18294)] = 765871,
  [SMALL_STATE(18295)] = 765885,
  [SMALL_STATE(18296)] = 765899,
  [SMALL_STATE(18297)] = 765913,
  [SMALL_STATE(18298)] = 765927,
  [SMALL_STATE(18299)] = 765941,
  [SMALL_STATE(18300)] = 765955,
  [SMALL_STATE(18301)] = 765969,
  [SMALL_STATE(18302)] = 765983,
  [SMALL_STATE(18303)] = 765997,
  [SMALL_STATE(18304)] = 766011,
  [SMALL_STATE(18305)] = 766025,
  [SMALL_STATE(18306)] = 766039,
  [SMALL_STATE(18307)] = 766053,
  [SMALL_STATE(18308)] = 766067,
  [SMALL_STATE(18309)] = 766081,
  [SMALL_STATE(18310)] = 766095,
  [SMALL_STATE(18311)] = 766109,
  [SMALL_STATE(18312)] = 766123,
  [SMALL_STATE(18313)] = 766137,
  [SMALL_STATE(18314)] = 766151,
  [SMALL_STATE(18315)] = 766165,
  [SMALL_STATE(18316)] = 766179,
  [SMALL_STATE(18317)] = 766193,
  [SMALL_STATE(18318)] = 766207,
  [SMALL_STATE(18319)] = 766221,
  [SMALL_STATE(18320)] = 766235,
  [SMALL_STATE(18321)] = 766249,
  [SMALL_STATE(18322)] = 766263,
  [SMALL_STATE(18323)] = 766277,
  [SMALL_STATE(18324)] = 766291,
  [SMALL_STATE(18325)] = 766305,
  [SMALL_STATE(18326)] = 766319,
  [SMALL_STATE(18327)] = 766333,
  [SMALL_STATE(18328)] = 766347,
  [SMALL_STATE(18329)] = 766361,
  [SMALL_STATE(18330)] = 766375,
  [SMALL_STATE(18331)] = 766389,
  [SMALL_STATE(18332)] = 766403,
  [SMALL_STATE(18333)] = 766417,
  [SMALL_STATE(18334)] = 766431,
  [SMALL_STATE(18335)] = 766445,
  [SMALL_STATE(18336)] = 766459,
  [SMALL_STATE(18337)] = 766473,
  [SMALL_STATE(18338)] = 766487,
  [SMALL_STATE(18339)] = 766501,
  [SMALL_STATE(18340)] = 766515,
  [SMALL_STATE(18341)] = 766529,
  [SMALL_STATE(18342)] = 766543,
  [SMALL_STATE(18343)] = 766557,
  [SMALL_STATE(18344)] = 766571,
  [SMALL_STATE(18345)] = 766585,
  [SMALL_STATE(18346)] = 766599,
  [SMALL_STATE(18347)] = 766613,
  [SMALL_STATE(18348)] = 766627,
  [SMALL_STATE(18349)] = 766641,
  [SMALL_STATE(18350)] = 766655,
  [SMALL_STATE(18351)] = 766669,
  [SMALL_STATE(18352)] = 766683,
  [SMALL_STATE(18353)] = 766697,
  [SMALL_STATE(18354)] = 766711,
  [SMALL_STATE(18355)] = 766725,
  [SMALL_STATE(18356)] = 766739,
  [SMALL_STATE(18357)] = 766753,
  [SMALL_STATE(18358)] = 766767,
  [SMALL_STATE(18359)] = 766781,
  [SMALL_STATE(18360)] = 766795,
  [SMALL_STATE(18361)] = 766809,
  [SMALL_STATE(18362)] = 766823,
  [SMALL_STATE(18363)] = 766837,
  [SMALL_STATE(18364)] = 766851,
  [SMALL_STATE(18365)] = 766865,
  [SMALL_STATE(18366)] = 766879,
  [SMALL_STATE(18367)] = 766893,
  [SMALL_STATE(18368)] = 766907,
  [SMALL_STATE(18369)] = 766921,
  [SMALL_STATE(18370)] = 766935,
  [SMALL_STATE(18371)] = 766949,
  [SMALL_STATE(18372)] = 766963,
  [SMALL_STATE(18373)] = 766977,
  [SMALL_STATE(18374)] = 766991,
  [SMALL_STATE(18375)] = 767005,
  [SMALL_STATE(18376)] = 767019,
  [SMALL_STATE(18377)] = 767033,
  [SMALL_STATE(18378)] = 767047,
  [SMALL_STATE(18379)] = 767061,
  [SMALL_STATE(18380)] = 767075,
  [SMALL_STATE(18381)] = 767089,
  [SMALL_STATE(18382)] = 767103,
  [SMALL_STATE(18383)] = 767117,
  [SMALL_STATE(18384)] = 767131,
  [SMALL_STATE(18385)] = 767145,
  [SMALL_STATE(18386)] = 767159,
  [SMALL_STATE(18387)] = 767173,
  [SMALL_STATE(18388)] = 767187,
  [SMALL_STATE(18389)] = 767201,
  [SMALL_STATE(18390)] = 767215,
  [SMALL_STATE(18391)] = 767229,
  [SMALL_STATE(18392)] = 767243,
  [SMALL_STATE(18393)] = 767257,
  [SMALL_STATE(18394)] = 767271,
  [SMALL_STATE(18395)] = 767285,
  [SMALL_STATE(18396)] = 767299,
  [SMALL_STATE(18397)] = 767313,
  [SMALL_STATE(18398)] = 767327,
  [SMALL_STATE(18399)] = 767341,
  [SMALL_STATE(18400)] = 767355,
  [SMALL_STATE(18401)] = 767369,
  [SMALL_STATE(18402)] = 767383,
  [SMALL_STATE(18403)] = 767397,
  [SMALL_STATE(18404)] = 767411,
  [SMALL_STATE(18405)] = 767425,
  [SMALL_STATE(18406)] = 767439,
  [SMALL_STATE(18407)] = 767453,
  [SMALL_STATE(18408)] = 767467,
  [SMALL_STATE(18409)] = 767481,
  [SMALL_STATE(18410)] = 767495,
  [SMALL_STATE(18411)] = 767509,
  [SMALL_STATE(18412)] = 767523,
  [SMALL_STATE(18413)] = 767537,
  [SMALL_STATE(18414)] = 767551,
  [SMALL_STATE(18415)] = 767565,
  [SMALL_STATE(18416)] = 767579,
  [SMALL_STATE(18417)] = 767593,
  [SMALL_STATE(18418)] = 767607,
  [SMALL_STATE(18419)] = 767621,
  [SMALL_STATE(18420)] = 767635,
  [SMALL_STATE(18421)] = 767649,
  [SMALL_STATE(18422)] = 767663,
  [SMALL_STATE(18423)] = 767677,
  [SMALL_STATE(18424)] = 767691,
  [SMALL_STATE(18425)] = 767705,
  [SMALL_STATE(18426)] = 767719,
  [SMALL_STATE(18427)] = 767733,
  [SMALL_STATE(18428)] = 767747,
  [SMALL_STATE(18429)] = 767761,
  [SMALL_STATE(18430)] = 767775,
  [SMALL_STATE(18431)] = 767789,
  [SMALL_STATE(18432)] = 767803,
  [SMALL_STATE(18433)] = 767817,
  [SMALL_STATE(18434)] = 767831,
  [SMALL_STATE(18435)] = 767845,
  [SMALL_STATE(18436)] = 767859,
  [SMALL_STATE(18437)] = 767873,
  [SMALL_STATE(18438)] = 767887,
  [SMALL_STATE(18439)] = 767901,
  [SMALL_STATE(18440)] = 767915,
  [SMALL_STATE(18441)] = 767929,
  [SMALL_STATE(18442)] = 767943,
  [SMALL_STATE(18443)] = 767957,
  [SMALL_STATE(18444)] = 767971,
  [SMALL_STATE(18445)] = 767985,
  [SMALL_STATE(18446)] = 767999,
  [SMALL_STATE(18447)] = 768013,
  [SMALL_STATE(18448)] = 768027,
  [SMALL_STATE(18449)] = 768041,
  [SMALL_STATE(18450)] = 768055,
  [SMALL_STATE(18451)] = 768069,
  [SMALL_STATE(18452)] = 768083,
  [SMALL_STATE(18453)] = 768097,
  [SMALL_STATE(18454)] = 768111,
  [SMALL_STATE(18455)] = 768125,
  [SMALL_STATE(18456)] = 768139,
  [SMALL_STATE(18457)] = 768153,
  [SMALL_STATE(18458)] = 768167,
  [SMALL_STATE(18459)] = 768181,
  [SMALL_STATE(18460)] = 768195,
  [SMALL_STATE(18461)] = 768209,
  [SMALL_STATE(18462)] = 768223,
  [SMALL_STATE(18463)] = 768237,
  [SMALL_STATE(18464)] = 768251,
  [SMALL_STATE(18465)] = 768265,
  [SMALL_STATE(18466)] = 768279,
  [SMALL_STATE(18467)] = 768293,
  [SMALL_STATE(18468)] = 768307,
  [SMALL_STATE(18469)] = 768321,
  [SMALL_STATE(18470)] = 768335,
  [SMALL_STATE(18471)] = 768349,
  [SMALL_STATE(18472)] = 768363,
  [SMALL_STATE(18473)] = 768377,
  [SMALL_STATE(18474)] = 768391,
  [SMALL_STATE(18475)] = 768405,
  [SMALL_STATE(18476)] = 768419,
  [SMALL_STATE(18477)] = 768433,
  [SMALL_STATE(18478)] = 768447,
  [SMALL_STATE(18479)] = 768461,
  [SMALL_STATE(18480)] = 768475,
  [SMALL_STATE(18481)] = 768489,
  [SMALL_STATE(18482)] = 768503,
  [SMALL_STATE(18483)] = 768517,
  [SMALL_STATE(18484)] = 768531,
  [SMALL_STATE(18485)] = 768545,
  [SMALL_STATE(18486)] = 768559,
  [SMALL_STATE(18487)] = 768573,
  [SMALL_STATE(18488)] = 768587,
  [SMALL_STATE(18489)] = 768601,
  [SMALL_STATE(18490)] = 768615,
  [SMALL_STATE(18491)] = 768629,
  [SMALL_STATE(18492)] = 768643,
  [SMALL_STATE(18493)] = 768657,
  [SMALL_STATE(18494)] = 768671,
  [SMALL_STATE(18495)] = 768685,
  [SMALL_STATE(18496)] = 768699,
  [SMALL_STATE(18497)] = 768713,
  [SMALL_STATE(18498)] = 768727,
  [SMALL_STATE(18499)] = 768741,
  [SMALL_STATE(18500)] = 768755,
  [SMALL_STATE(18501)] = 768769,
  [SMALL_STATE(18502)] = 768783,
  [SMALL_STATE(18503)] = 768797,
  [SMALL_STATE(18504)] = 768811,
  [SMALL_STATE(18505)] = 768825,
  [SMALL_STATE(18506)] = 768839,
  [SMALL_STATE(18507)] = 768853,
  [SMALL_STATE(18508)] = 768867,
  [SMALL_STATE(18509)] = 768881,
  [SMALL_STATE(18510)] = 768895,
  [SMALL_STATE(18511)] = 768909,
  [SMALL_STATE(18512)] = 768923,
  [SMALL_STATE(18513)] = 768937,
  [SMALL_STATE(18514)] = 768951,
  [SMALL_STATE(18515)] = 768965,
  [SMALL_STATE(18516)] = 768979,
  [SMALL_STATE(18517)] = 768993,
  [SMALL_STATE(18518)] = 769007,
  [SMALL_STATE(18519)] = 769021,
  [SMALL_STATE(18520)] = 769035,
  [SMALL_STATE(18521)] = 769049,
  [SMALL_STATE(18522)] = 769063,
  [SMALL_STATE(18523)] = 769077,
  [SMALL_STATE(18524)] = 769091,
  [SMALL_STATE(18525)] = 769105,
  [SMALL_STATE(18526)] = 769119,
  [SMALL_STATE(18527)] = 769133,
  [SMALL_STATE(18528)] = 769147,
  [SMALL_STATE(18529)] = 769161,
  [SMALL_STATE(18530)] = 769175,
  [SMALL_STATE(18531)] = 769189,
  [SMALL_STATE(18532)] = 769203,
  [SMALL_STATE(18533)] = 769217,
  [SMALL_STATE(18534)] = 769231,
  [SMALL_STATE(18535)] = 769245,
  [SMALL_STATE(18536)] = 769259,
  [SMALL_STATE(18537)] = 769273,
  [SMALL_STATE(18538)] = 769287,
  [SMALL_STATE(18539)] = 769301,
  [SMALL_STATE(18540)] = 769315,
  [SMALL_STATE(18541)] = 769329,
  [SMALL_STATE(18542)] = 769343,
  [SMALL_STATE(18543)] = 769357,
  [SMALL_STATE(18544)] = 769371,
  [SMALL_STATE(18545)] = 769385,
  [SMALL_STATE(18546)] = 769399,
  [SMALL_STATE(18547)] = 769413,
  [SMALL_STATE(18548)] = 769427,
  [SMALL_STATE(18549)] = 769441,
  [SMALL_STATE(18550)] = 769455,
  [SMALL_STATE(18551)] = 769469,
  [SMALL_STATE(18552)] = 769483,
  [SMALL_STATE(18553)] = 769497,
  [SMALL_STATE(18554)] = 769511,
  [SMALL_STATE(18555)] = 769525,
  [SMALL_STATE(18556)] = 769539,
  [SMALL_STATE(18557)] = 769553,
  [SMALL_STATE(18558)] = 769567,
  [SMALL_STATE(18559)] = 769581,
  [SMALL_STATE(18560)] = 769595,
  [SMALL_STATE(18561)] = 769609,
  [SMALL_STATE(18562)] = 769623,
  [SMALL_STATE(18563)] = 769637,
  [SMALL_STATE(18564)] = 769651,
  [SMALL_STATE(18565)] = 769665,
  [SMALL_STATE(18566)] = 769679,
  [SMALL_STATE(18567)] = 769693,
  [SMALL_STATE(18568)] = 769707,
  [SMALL_STATE(18569)] = 769721,
  [SMALL_STATE(18570)] = 769735,
  [SMALL_STATE(18571)] = 769749,
  [SMALL_STATE(18572)] = 769763,
  [SMALL_STATE(18573)] = 769777,
  [SMALL_STATE(18574)] = 769791,
  [SMALL_STATE(18575)] = 769805,
  [SMALL_STATE(18576)] = 769819,
  [SMALL_STATE(18577)] = 769833,
  [SMALL_STATE(18578)] = 769847,
  [SMALL_STATE(18579)] = 769861,
  [SMALL_STATE(18580)] = 769875,
  [SMALL_STATE(18581)] = 769889,
  [SMALL_STATE(18582)] = 769903,
  [SMALL_STATE(18583)] = 769917,
  [SMALL_STATE(18584)] = 769931,
  [SMALL_STATE(18585)] = 769945,
  [SMALL_STATE(18586)] = 769959,
  [SMALL_STATE(18587)] = 769973,
  [SMALL_STATE(18588)] = 769987,
  [SMALL_STATE(18589)] = 770001,
  [SMALL_STATE(18590)] = 770015,
  [SMALL_STATE(18591)] = 770029,
  [SMALL_STATE(18592)] = 770043,
  [SMALL_STATE(18593)] = 770057,
  [SMALL_STATE(18594)] = 770071,
  [SMALL_STATE(18595)] = 770085,
  [SMALL_STATE(18596)] = 770099,
  [SMALL_STATE(18597)] = 770113,
  [SMALL_STATE(18598)] = 770127,
  [SMALL_STATE(18599)] = 770141,
  [SMALL_STATE(18600)] = 770155,
  [SMALL_STATE(18601)] = 770169,
  [SMALL_STATE(18602)] = 770183,
  [SMALL_STATE(18603)] = 770197,
  [SMALL_STATE(18604)] = 770211,
  [SMALL_STATE(18605)] = 770225,
  [SMALL_STATE(18606)] = 770239,
  [SMALL_STATE(18607)] = 770253,
  [SMALL_STATE(18608)] = 770267,
  [SMALL_STATE(18609)] = 770281,
  [SMALL_STATE(18610)] = 770295,
  [SMALL_STATE(18611)] = 770309,
  [SMALL_STATE(18612)] = 770323,
  [SMALL_STATE(18613)] = 770337,
  [SMALL_STATE(18614)] = 770351,
  [SMALL_STATE(18615)] = 770365,
  [SMALL_STATE(18616)] = 770379,
  [SMALL_STATE(18617)] = 770393,
  [SMALL_STATE(18618)] = 770407,
  [SMALL_STATE(18619)] = 770421,
  [SMALL_STATE(18620)] = 770435,
  [SMALL_STATE(18621)] = 770449,
  [SMALL_STATE(18622)] = 770463,
  [SMALL_STATE(18623)] = 770477,
  [SMALL_STATE(18624)] = 770491,
  [SMALL_STATE(18625)] = 770505,
  [SMALL_STATE(18626)] = 770519,
  [SMALL_STATE(18627)] = 770533,
  [SMALL_STATE(18628)] = 770547,
  [SMALL_STATE(18629)] = 770561,
  [SMALL_STATE(18630)] = 770575,
  [SMALL_STATE(18631)] = 770589,
  [SMALL_STATE(18632)] = 770603,
  [SMALL_STATE(18633)] = 770617,
  [SMALL_STATE(18634)] = 770631,
  [SMALL_STATE(18635)] = 770645,
  [SMALL_STATE(18636)] = 770659,
  [SMALL_STATE(18637)] = 770673,
  [SMALL_STATE(18638)] = 770687,
  [SMALL_STATE(18639)] = 770701,
  [SMALL_STATE(18640)] = 770715,
  [SMALL_STATE(18641)] = 770729,
  [SMALL_STATE(18642)] = 770743,
  [SMALL_STATE(18643)] = 770757,
  [SMALL_STATE(18644)] = 770771,
  [SMALL_STATE(18645)] = 770785,
  [SMALL_STATE(18646)] = 770799,
  [SMALL_STATE(18647)] = 770813,
  [SMALL_STATE(18648)] = 770827,
  [SMALL_STATE(18649)] = 770841,
  [SMALL_STATE(18650)] = 770855,
  [SMALL_STATE(18651)] = 770869,
  [SMALL_STATE(18652)] = 770883,
  [SMALL_STATE(18653)] = 770897,
  [SMALL_STATE(18654)] = 770911,
  [SMALL_STATE(18655)] = 770925,
  [SMALL_STATE(18656)] = 770939,
  [SMALL_STATE(18657)] = 770953,
  [SMALL_STATE(18658)] = 770967,
  [SMALL_STATE(18659)] = 770981,
  [SMALL_STATE(18660)] = 770995,
  [SMALL_STATE(18661)] = 771009,
  [SMALL_STATE(18662)] = 771023,
  [SMALL_STATE(18663)] = 771037,
  [SMALL_STATE(18664)] = 771051,
  [SMALL_STATE(18665)] = 771065,
  [SMALL_STATE(18666)] = 771079,
  [SMALL_STATE(18667)] = 771093,
  [SMALL_STATE(18668)] = 771107,
  [SMALL_STATE(18669)] = 771121,
  [SMALL_STATE(18670)] = 771135,
  [SMALL_STATE(18671)] = 771149,
  [SMALL_STATE(18672)] = 771163,
  [SMALL_STATE(18673)] = 771177,
  [SMALL_STATE(18674)] = 771191,
  [SMALL_STATE(18675)] = 771205,
  [SMALL_STATE(18676)] = 771219,
  [SMALL_STATE(18677)] = 771233,
  [SMALL_STATE(18678)] = 771247,
  [SMALL_STATE(18679)] = 771261,
  [SMALL_STATE(18680)] = 771275,
  [SMALL_STATE(18681)] = 771289,
  [SMALL_STATE(18682)] = 771303,
  [SMALL_STATE(18683)] = 771317,
  [SMALL_STATE(18684)] = 771331,
  [SMALL_STATE(18685)] = 771345,
  [SMALL_STATE(18686)] = 771359,
  [SMALL_STATE(18687)] = 771373,
  [SMALL_STATE(18688)] = 771387,
  [SMALL_STATE(18689)] = 771401,
  [SMALL_STATE(18690)] = 771415,
  [SMALL_STATE(18691)] = 771429,
  [SMALL_STATE(18692)] = 771443,
  [SMALL_STATE(18693)] = 771457,
  [SMALL_STATE(18694)] = 771471,
  [SMALL_STATE(18695)] = 771485,
  [SMALL_STATE(18696)] = 771499,
  [SMALL_STATE(18697)] = 771513,
  [SMALL_STATE(18698)] = 771527,
  [SMALL_STATE(18699)] = 771541,
  [SMALL_STATE(18700)] = 771555,
  [SMALL_STATE(18701)] = 771569,
  [SMALL_STATE(18702)] = 771583,
  [SMALL_STATE(18703)] = 771597,
  [SMALL_STATE(18704)] = 771611,
  [SMALL_STATE(18705)] = 771625,
  [SMALL_STATE(18706)] = 771639,
  [SMALL_STATE(18707)] = 771653,
  [SMALL_STATE(18708)] = 771667,
  [SMALL_STATE(18709)] = 771681,
  [SMALL_STATE(18710)] = 771695,
  [SMALL_STATE(18711)] = 771709,
  [SMALL_STATE(18712)] = 771723,
  [SMALL_STATE(18713)] = 771737,
  [SMALL_STATE(18714)] = 771751,
  [SMALL_STATE(18715)] = 771765,
  [SMALL_STATE(18716)] = 771779,
  [SMALL_STATE(18717)] = 771793,
  [SMALL_STATE(18718)] = 771807,
  [SMALL_STATE(18719)] = 771821,
  [SMALL_STATE(18720)] = 771835,
  [SMALL_STATE(18721)] = 771849,
  [SMALL_STATE(18722)] = 771863,
  [SMALL_STATE(18723)] = 771877,
  [SMALL_STATE(18724)] = 771891,
  [SMALL_STATE(18725)] = 771905,
  [SMALL_STATE(18726)] = 771919,
  [SMALL_STATE(18727)] = 771933,
  [SMALL_STATE(18728)] = 771947,
  [SMALL_STATE(18729)] = 771961,
  [SMALL_STATE(18730)] = 771975,
  [SMALL_STATE(18731)] = 771989,
  [SMALL_STATE(18732)] = 772003,
  [SMALL_STATE(18733)] = 772017,
  [SMALL_STATE(18734)] = 772031,
  [SMALL_STATE(18735)] = 772045,
  [SMALL_STATE(18736)] = 772059,
  [SMALL_STATE(18737)] = 772073,
  [SMALL_STATE(18738)] = 772087,
  [SMALL_STATE(18739)] = 772101,
  [SMALL_STATE(18740)] = 772115,
  [SMALL_STATE(18741)] = 772129,
  [SMALL_STATE(18742)] = 772143,
  [SMALL_STATE(18743)] = 772157,
  [SMALL_STATE(18744)] = 772171,
  [SMALL_STATE(18745)] = 772185,
  [SMALL_STATE(18746)] = 772199,
  [SMALL_STATE(18747)] = 772213,
  [SMALL_STATE(18748)] = 772227,
  [SMALL_STATE(18749)] = 772241,
  [SMALL_STATE(18750)] = 772255,
  [SMALL_STATE(18751)] = 772269,
  [SMALL_STATE(18752)] = 772283,
  [SMALL_STATE(18753)] = 772297,
  [SMALL_STATE(18754)] = 772311,
  [SMALL_STATE(18755)] = 772325,
  [SMALL_STATE(18756)] = 772339,
  [SMALL_STATE(18757)] = 772353,
  [SMALL_STATE(18758)] = 772367,
  [SMALL_STATE(18759)] = 772381,
  [SMALL_STATE(18760)] = 772395,
  [SMALL_STATE(18761)] = 772409,
  [SMALL_STATE(18762)] = 772423,
  [SMALL_STATE(18763)] = 772437,
  [SMALL_STATE(18764)] = 772451,
  [SMALL_STATE(18765)] = 772465,
  [SMALL_STATE(18766)] = 772479,
  [SMALL_STATE(18767)] = 772493,
  [SMALL_STATE(18768)] = 772507,
  [SMALL_STATE(18769)] = 772521,
  [SMALL_STATE(18770)] = 772535,
  [SMALL_STATE(18771)] = 772549,
  [SMALL_STATE(18772)] = 772563,
  [SMALL_STATE(18773)] = 772577,
  [SMALL_STATE(18774)] = 772591,
  [SMALL_STATE(18775)] = 772605,
  [SMALL_STATE(18776)] = 772619,
  [SMALL_STATE(18777)] = 772633,
  [SMALL_STATE(18778)] = 772647,
  [SMALL_STATE(18779)] = 772661,
  [SMALL_STATE(18780)] = 772675,
  [SMALL_STATE(18781)] = 772689,
  [SMALL_STATE(18782)] = 772703,
  [SMALL_STATE(18783)] = 772717,
  [SMALL_STATE(18784)] = 772731,
  [SMALL_STATE(18785)] = 772745,
  [SMALL_STATE(18786)] = 772759,
  [SMALL_STATE(18787)] = 772773,
  [SMALL_STATE(18788)] = 772787,
  [SMALL_STATE(18789)] = 772801,
  [SMALL_STATE(18790)] = 772815,
  [SMALL_STATE(18791)] = 772829,
  [SMALL_STATE(18792)] = 772843,
  [SMALL_STATE(18793)] = 772857,
  [SMALL_STATE(18794)] = 772871,
  [SMALL_STATE(18795)] = 772885,
  [SMALL_STATE(18796)] = 772899,
  [SMALL_STATE(18797)] = 772913,
  [SMALL_STATE(18798)] = 772927,
  [SMALL_STATE(18799)] = 772941,
  [SMALL_STATE(18800)] = 772955,
  [SMALL_STATE(18801)] = 772969,
  [SMALL_STATE(18802)] = 772983,
  [SMALL_STATE(18803)] = 772997,
  [SMALL_STATE(18804)] = 773011,
  [SMALL_STATE(18805)] = 773025,
  [SMALL_STATE(18806)] = 773039,
  [SMALL_STATE(18807)] = 773053,
  [SMALL_STATE(18808)] = 773067,
  [SMALL_STATE(18809)] = 773081,
  [SMALL_STATE(18810)] = 773095,
  [SMALL_STATE(18811)] = 773109,
  [SMALL_STATE(18812)] = 773123,
  [SMALL_STATE(18813)] = 773137,
  [SMALL_STATE(18814)] = 773151,
  [SMALL_STATE(18815)] = 773165,
  [SMALL_STATE(18816)] = 773179,
  [SMALL_STATE(18817)] = 773193,
  [SMALL_STATE(18818)] = 773207,
  [SMALL_STATE(18819)] = 773221,
  [SMALL_STATE(18820)] = 773235,
  [SMALL_STATE(18821)] = 773249,
  [SMALL_STATE(18822)] = 773263,
  [SMALL_STATE(18823)] = 773277,
  [SMALL_STATE(18824)] = 773291,
  [SMALL_STATE(18825)] = 773305,
  [SMALL_STATE(18826)] = 773319,
  [SMALL_STATE(18827)] = 773333,
  [SMALL_STATE(18828)] = 773347,
  [SMALL_STATE(18829)] = 773361,
  [SMALL_STATE(18830)] = 773375,
  [SMALL_STATE(18831)] = 773389,
  [SMALL_STATE(18832)] = 773403,
  [SMALL_STATE(18833)] = 773417,
  [SMALL_STATE(18834)] = 773431,
  [SMALL_STATE(18835)] = 773445,
  [SMALL_STATE(18836)] = 773459,
  [SMALL_STATE(18837)] = 773473,
  [SMALL_STATE(18838)] = 773487,
  [SMALL_STATE(18839)] = 773501,
  [SMALL_STATE(18840)] = 773515,
  [SMALL_STATE(18841)] = 773529,
  [SMALL_STATE(18842)] = 773543,
  [SMALL_STATE(18843)] = 773557,
  [SMALL_STATE(18844)] = 773571,
  [SMALL_STATE(18845)] = 773585,
  [SMALL_STATE(18846)] = 773599,
  [SMALL_STATE(18847)] = 773613,
  [SMALL_STATE(18848)] = 773627,
  [SMALL_STATE(18849)] = 773641,
  [SMALL_STATE(18850)] = 773655,
  [SMALL_STATE(18851)] = 773669,
  [SMALL_STATE(18852)] = 773683,
  [SMALL_STATE(18853)] = 773697,
  [SMALL_STATE(18854)] = 773711,
  [SMALL_STATE(18855)] = 773725,
  [SMALL_STATE(18856)] = 773739,
  [SMALL_STATE(18857)] = 773753,
  [SMALL_STATE(18858)] = 773767,
  [SMALL_STATE(18859)] = 773781,
  [SMALL_STATE(18860)] = 773795,
  [SMALL_STATE(18861)] = 773809,
  [SMALL_STATE(18862)] = 773823,
  [SMALL_STATE(18863)] = 773837,
  [SMALL_STATE(18864)] = 773851,
  [SMALL_STATE(18865)] = 773865,
  [SMALL_STATE(18866)] = 773879,
  [SMALL_STATE(18867)] = 773893,
  [SMALL_STATE(18868)] = 773907,
  [SMALL_STATE(18869)] = 773921,
  [SMALL_STATE(18870)] = 773935,
  [SMALL_STATE(18871)] = 773949,
  [SMALL_STATE(18872)] = 773963,
  [SMALL_STATE(18873)] = 773977,
  [SMALL_STATE(18874)] = 773991,
  [SMALL_STATE(18875)] = 774005,
  [SMALL_STATE(18876)] = 774019,
  [SMALL_STATE(18877)] = 774033,
  [SMALL_STATE(18878)] = 774047,
  [SMALL_STATE(18879)] = 774061,
  [SMALL_STATE(18880)] = 774075,
  [SMALL_STATE(18881)] = 774089,
  [SMALL_STATE(18882)] = 774103,
  [SMALL_STATE(18883)] = 774117,
  [SMALL_STATE(18884)] = 774131,
  [SMALL_STATE(18885)] = 774145,
  [SMALL_STATE(18886)] = 774159,
  [SMALL_STATE(18887)] = 774173,
  [SMALL_STATE(18888)] = 774187,
  [SMALL_STATE(18889)] = 774201,
  [SMALL_STATE(18890)] = 774215,
  [SMALL_STATE(18891)] = 774229,
  [SMALL_STATE(18892)] = 774243,
  [SMALL_STATE(18893)] = 774257,
  [SMALL_STATE(18894)] = 774271,
  [SMALL_STATE(18895)] = 774285,
  [SMALL_STATE(18896)] = 774299,
  [SMALL_STATE(18897)] = 774313,
  [SMALL_STATE(18898)] = 774327,
  [SMALL_STATE(18899)] = 774341,
  [SMALL_STATE(18900)] = 774355,
  [SMALL_STATE(18901)] = 774369,
  [SMALL_STATE(18902)] = 774383,
  [SMALL_STATE(18903)] = 774397,
  [SMALL_STATE(18904)] = 774411,
  [SMALL_STATE(18905)] = 774425,
  [SMALL_STATE(18906)] = 774439,
  [SMALL_STATE(18907)] = 774453,
  [SMALL_STATE(18908)] = 774467,
  [SMALL_STATE(18909)] = 774481,
  [SMALL_STATE(18910)] = 774495,
  [SMALL_STATE(18911)] = 774509,
  [SMALL_STATE(18912)] = 774523,
  [SMALL_STATE(18913)] = 774537,
  [SMALL_STATE(18914)] = 774551,
  [SMALL_STATE(18915)] = 774565,
  [SMALL_STATE(18916)] = 774579,
  [SMALL_STATE(18917)] = 774593,
  [SMALL_STATE(18918)] = 774607,
  [SMALL_STATE(18919)] = 774621,
  [SMALL_STATE(18920)] = 774635,
  [SMALL_STATE(18921)] = 774649,
  [SMALL_STATE(18922)] = 774663,
  [SMALL_STATE(18923)] = 774677,
  [SMALL_STATE(18924)] = 774691,
  [SMALL_STATE(18925)] = 774705,
  [SMALL_STATE(18926)] = 774719,
  [SMALL_STATE(18927)] = 774733,
  [SMALL_STATE(18928)] = 774747,
  [SMALL_STATE(18929)] = 774761,
  [SMALL_STATE(18930)] = 774775,
  [SMALL_STATE(18931)] = 774789,
  [SMALL_STATE(18932)] = 774803,
  [SMALL_STATE(18933)] = 774817,
  [SMALL_STATE(18934)] = 774831,
  [SMALL_STATE(18935)] = 774845,
  [SMALL_STATE(18936)] = 774859,
  [SMALL_STATE(18937)] = 774873,
  [SMALL_STATE(18938)] = 774887,
  [SMALL_STATE(18939)] = 774901,
  [SMALL_STATE(18940)] = 774915,
  [SMALL_STATE(18941)] = 774929,
  [SMALL_STATE(18942)] = 774943,
  [SMALL_STATE(18943)] = 774957,
  [SMALL_STATE(18944)] = 774971,
  [SMALL_STATE(18945)] = 774985,
  [SMALL_STATE(18946)] = 774999,
  [SMALL_STATE(18947)] = 775013,
  [SMALL_STATE(18948)] = 775027,
  [SMALL_STATE(18949)] = 775041,
  [SMALL_STATE(18950)] = 775055,
  [SMALL_STATE(18951)] = 775069,
  [SMALL_STATE(18952)] = 775083,
  [SMALL_STATE(18953)] = 775097,
  [SMALL_STATE(18954)] = 775111,
  [SMALL_STATE(18955)] = 775125,
  [SMALL_STATE(18956)] = 775139,
  [SMALL_STATE(18957)] = 775153,
  [SMALL_STATE(18958)] = 775167,
  [SMALL_STATE(18959)] = 775181,
  [SMALL_STATE(18960)] = 775195,
  [SMALL_STATE(18961)] = 775209,
  [SMALL_STATE(18962)] = 775223,
  [SMALL_STATE(18963)] = 775237,
  [SMALL_STATE(18964)] = 775251,
  [SMALL_STATE(18965)] = 775265,
  [SMALL_STATE(18966)] = 775279,
  [SMALL_STATE(18967)] = 775293,
  [SMALL_STATE(18968)] = 775307,
  [SMALL_STATE(18969)] = 775321,
  [SMALL_STATE(18970)] = 775335,
  [SMALL_STATE(18971)] = 775349,
  [SMALL_STATE(18972)] = 775363,
  [SMALL_STATE(18973)] = 775377,
  [SMALL_STATE(18974)] = 775391,
  [SMALL_STATE(18975)] = 775405,
  [SMALL_STATE(18976)] = 775419,
  [SMALL_STATE(18977)] = 775433,
  [SMALL_STATE(18978)] = 775447,
  [SMALL_STATE(18979)] = 775461,
  [SMALL_STATE(18980)] = 775475,
  [SMALL_STATE(18981)] = 775489,
  [SMALL_STATE(18982)] = 775503,
  [SMALL_STATE(18983)] = 775517,
  [SMALL_STATE(18984)] = 775531,
  [SMALL_STATE(18985)] = 775545,
  [SMALL_STATE(18986)] = 775559,
  [SMALL_STATE(18987)] = 775573,
  [SMALL_STATE(18988)] = 775587,
  [SMALL_STATE(18989)] = 775601,
  [SMALL_STATE(18990)] = 775615,
  [SMALL_STATE(18991)] = 775629,
  [SMALL_STATE(18992)] = 775643,
  [SMALL_STATE(18993)] = 775657,
  [SMALL_STATE(18994)] = 775671,
  [SMALL_STATE(18995)] = 775685,
  [SMALL_STATE(18996)] = 775699,
  [SMALL_STATE(18997)] = 775713,
  [SMALL_STATE(18998)] = 775727,
  [SMALL_STATE(18999)] = 775741,
  [SMALL_STATE(19000)] = 775755,
  [SMALL_STATE(19001)] = 775769,
  [SMALL_STATE(19002)] = 775783,
  [SMALL_STATE(19003)] = 775797,
  [SMALL_STATE(19004)] = 775811,
  [SMALL_STATE(19005)] = 775825,
  [SMALL_STATE(19006)] = 775839,
  [SMALL_STATE(19007)] = 775853,
  [SMALL_STATE(19008)] = 775867,
  [SMALL_STATE(19009)] = 775881,
  [SMALL_STATE(19010)] = 775895,
  [SMALL_STATE(19011)] = 775909,
  [SMALL_STATE(19012)] = 775923,
  [SMALL_STATE(19013)] = 775937,
  [SMALL_STATE(19014)] = 775951,
  [SMALL_STATE(19015)] = 775965,
  [SMALL_STATE(19016)] = 775979,
  [SMALL_STATE(19017)] = 775993,
  [SMALL_STATE(19018)] = 776007,
  [SMALL_STATE(19019)] = 776021,
  [SMALL_STATE(19020)] = 776035,
  [SMALL_STATE(19021)] = 776049,
  [SMALL_STATE(19022)] = 776063,
  [SMALL_STATE(19023)] = 776077,
  [SMALL_STATE(19024)] = 776091,
  [SMALL_STATE(19025)] = 776105,
  [SMALL_STATE(19026)] = 776119,
  [SMALL_STATE(19027)] = 776133,
  [SMALL_STATE(19028)] = 776147,
  [SMALL_STATE(19029)] = 776161,
  [SMALL_STATE(19030)] = 776175,
  [SMALL_STATE(19031)] = 776189,
  [SMALL_STATE(19032)] = 776203,
  [SMALL_STATE(19033)] = 776217,
  [SMALL_STATE(19034)] = 776231,
  [SMALL_STATE(19035)] = 776245,
  [SMALL_STATE(19036)] = 776259,
  [SMALL_STATE(19037)] = 776273,
  [SMALL_STATE(19038)] = 776287,
  [SMALL_STATE(19039)] = 776301,
  [SMALL_STATE(19040)] = 776315,
  [SMALL_STATE(19041)] = 776329,
  [SMALL_STATE(19042)] = 776343,
  [SMALL_STATE(19043)] = 776357,
  [SMALL_STATE(19044)] = 776371,
  [SMALL_STATE(19045)] = 776385,
  [SMALL_STATE(19046)] = 776399,
  [SMALL_STATE(19047)] = 776413,
  [SMALL_STATE(19048)] = 776427,
  [SMALL_STATE(19049)] = 776441,
  [SMALL_STATE(19050)] = 776455,
  [SMALL_STATE(19051)] = 776469,
  [SMALL_STATE(19052)] = 776483,
  [SMALL_STATE(19053)] = 776497,
  [SMALL_STATE(19054)] = 776511,
  [SMALL_STATE(19055)] = 776525,
  [SMALL_STATE(19056)] = 776539,
  [SMALL_STATE(19057)] = 776553,
  [SMALL_STATE(19058)] = 776567,
  [SMALL_STATE(19059)] = 776581,
  [SMALL_STATE(19060)] = 776595,
  [SMALL_STATE(19061)] = 776609,
  [SMALL_STATE(19062)] = 776623,
  [SMALL_STATE(19063)] = 776637,
  [SMALL_STATE(19064)] = 776651,
  [SMALL_STATE(19065)] = 776665,
  [SMALL_STATE(19066)] = 776679,
  [SMALL_STATE(19067)] = 776693,
  [SMALL_STATE(19068)] = 776707,
  [SMALL_STATE(19069)] = 776721,
  [SMALL_STATE(19070)] = 776735,
  [SMALL_STATE(19071)] = 776749,
  [SMALL_STATE(19072)] = 776763,
  [SMALL_STATE(19073)] = 776777,
  [SMALL_STATE(19074)] = 776791,
  [SMALL_STATE(19075)] = 776805,
  [SMALL_STATE(19076)] = 776819,
  [SMALL_STATE(19077)] = 776833,
  [SMALL_STATE(19078)] = 776847,
  [SMALL_STATE(19079)] = 776861,
  [SMALL_STATE(19080)] = 776875,
  [SMALL_STATE(19081)] = 776889,
  [SMALL_STATE(19082)] = 776903,
  [SMALL_STATE(19083)] = 776917,
  [SMALL_STATE(19084)] = 776931,
  [SMALL_STATE(19085)] = 776945,
  [SMALL_STATE(19086)] = 776959,
  [SMALL_STATE(19087)] = 776973,
  [SMALL_STATE(19088)] = 776987,
  [SMALL_STATE(19089)] = 777001,
  [SMALL_STATE(19090)] = 777015,
  [SMALL_STATE(19091)] = 777029,
  [SMALL_STATE(19092)] = 777043,
  [SMALL_STATE(19093)] = 777057,
  [SMALL_STATE(19094)] = 777071,
  [SMALL_STATE(19095)] = 777085,
  [SMALL_STATE(19096)] = 777099,
  [SMALL_STATE(19097)] = 777113,
  [SMALL_STATE(19098)] = 777127,
  [SMALL_STATE(19099)] = 777141,
  [SMALL_STATE(19100)] = 777155,
  [SMALL_STATE(19101)] = 777169,
  [SMALL_STATE(19102)] = 777183,
  [SMALL_STATE(19103)] = 777197,
  [SMALL_STATE(19104)] = 777211,
  [SMALL_STATE(19105)] = 777225,
  [SMALL_STATE(19106)] = 777239,
  [SMALL_STATE(19107)] = 777253,
  [SMALL_STATE(19108)] = 777267,
  [SMALL_STATE(19109)] = 777281,
  [SMALL_STATE(19110)] = 777295,
  [SMALL_STATE(19111)] = 777309,
  [SMALL_STATE(19112)] = 777323,
  [SMALL_STATE(19113)] = 777337,
  [SMALL_STATE(19114)] = 777351,
  [SMALL_STATE(19115)] = 777365,
  [SMALL_STATE(19116)] = 777379,
  [SMALL_STATE(19117)] = 777393,
  [SMALL_STATE(19118)] = 777407,
  [SMALL_STATE(19119)] = 777421,
  [SMALL_STATE(19120)] = 777435,
  [SMALL_STATE(19121)] = 777449,
  [SMALL_STATE(19122)] = 777463,
  [SMALL_STATE(19123)] = 777477,
  [SMALL_STATE(19124)] = 777491,
  [SMALL_STATE(19125)] = 777505,
  [SMALL_STATE(19126)] = 777519,
  [SMALL_STATE(19127)] = 777533,
  [SMALL_STATE(19128)] = 777547,
  [SMALL_STATE(19129)] = 777561,
  [SMALL_STATE(19130)] = 777575,
  [SMALL_STATE(19131)] = 777589,
  [SMALL_STATE(19132)] = 777603,
  [SMALL_STATE(19133)] = 777617,
  [SMALL_STATE(19134)] = 777631,
  [SMALL_STATE(19135)] = 777645,
  [SMALL_STATE(19136)] = 777659,
  [SMALL_STATE(19137)] = 777673,
  [SMALL_STATE(19138)] = 777687,
  [SMALL_STATE(19139)] = 777701,
  [SMALL_STATE(19140)] = 777715,
  [SMALL_STATE(19141)] = 777729,
  [SMALL_STATE(19142)] = 777743,
  [SMALL_STATE(19143)] = 777757,
  [SMALL_STATE(19144)] = 777771,
  [SMALL_STATE(19145)] = 777785,
  [SMALL_STATE(19146)] = 777799,
  [SMALL_STATE(19147)] = 777813,
  [SMALL_STATE(19148)] = 777827,
  [SMALL_STATE(19149)] = 777841,
  [SMALL_STATE(19150)] = 777855,
  [SMALL_STATE(19151)] = 777869,
  [SMALL_STATE(19152)] = 777883,
  [SMALL_STATE(19153)] = 777897,
  [SMALL_STATE(19154)] = 777911,
  [SMALL_STATE(19155)] = 777925,
  [SMALL_STATE(19156)] = 777939,
  [SMALL_STATE(19157)] = 777953,
  [SMALL_STATE(19158)] = 777967,
  [SMALL_STATE(19159)] = 777981,
  [SMALL_STATE(19160)] = 777995,
  [SMALL_STATE(19161)] = 778009,
  [SMALL_STATE(19162)] = 778023,
  [SMALL_STATE(19163)] = 778037,
  [SMALL_STATE(19164)] = 778051,
  [SMALL_STATE(19165)] = 778065,
  [SMALL_STATE(19166)] = 778079,
  [SMALL_STATE(19167)] = 778093,
  [SMALL_STATE(19168)] = 778107,
  [SMALL_STATE(19169)] = 778121,
  [SMALL_STATE(19170)] = 778135,
  [SMALL_STATE(19171)] = 778149,
  [SMALL_STATE(19172)] = 778163,
  [SMALL_STATE(19173)] = 778177,
  [SMALL_STATE(19174)] = 778191,
  [SMALL_STATE(19175)] = 778205,
  [SMALL_STATE(19176)] = 778219,
  [SMALL_STATE(19177)] = 778233,
  [SMALL_STATE(19178)] = 778247,
  [SMALL_STATE(19179)] = 778261,
  [SMALL_STATE(19180)] = 778275,
  [SMALL_STATE(19181)] = 778289,
  [SMALL_STATE(19182)] = 778303,
  [SMALL_STATE(19183)] = 778317,
  [SMALL_STATE(19184)] = 778331,
  [SMALL_STATE(19185)] = 778345,
  [SMALL_STATE(19186)] = 778359,
  [SMALL_STATE(19187)] = 778373,
  [SMALL_STATE(19188)] = 778387,
  [SMALL_STATE(19189)] = 778401,
  [SMALL_STATE(19190)] = 778415,
  [SMALL_STATE(19191)] = 778429,
  [SMALL_STATE(19192)] = 778443,
  [SMALL_STATE(19193)] = 778457,
  [SMALL_STATE(19194)] = 778471,
  [SMALL_STATE(19195)] = 778485,
  [SMALL_STATE(19196)] = 778499,
  [SMALL_STATE(19197)] = 778513,
  [SMALL_STATE(19198)] = 778527,
  [SMALL_STATE(19199)] = 778541,
  [SMALL_STATE(19200)] = 778555,
  [SMALL_STATE(19201)] = 778569,
  [SMALL_STATE(19202)] = 778583,
  [SMALL_STATE(19203)] = 778597,
  [SMALL_STATE(19204)] = 778611,
  [SMALL_STATE(19205)] = 778625,
  [SMALL_STATE(19206)] = 778639,
  [SMALL_STATE(19207)] = 778653,
  [SMALL_STATE(19208)] = 778667,
  [SMALL_STATE(19209)] = 778681,
  [SMALL_STATE(19210)] = 778695,
  [SMALL_STATE(19211)] = 778709,
  [SMALL_STATE(19212)] = 778723,
  [SMALL_STATE(19213)] = 778737,
  [SMALL_STATE(19214)] = 778751,
  [SMALL_STATE(19215)] = 778765,
  [SMALL_STATE(19216)] = 778779,
  [SMALL_STATE(19217)] = 778793,
  [SMALL_STATE(19218)] = 778807,
  [SMALL_STATE(19219)] = 778821,
  [SMALL_STATE(19220)] = 778835,
  [SMALL_STATE(19221)] = 778849,
  [SMALL_STATE(19222)] = 778863,
  [SMALL_STATE(19223)] = 778877,
  [SMALL_STATE(19224)] = 778891,
  [SMALL_STATE(19225)] = 778905,
  [SMALL_STATE(19226)] = 778919,
  [SMALL_STATE(19227)] = 778933,
  [SMALL_STATE(19228)] = 778947,
  [SMALL_STATE(19229)] = 778961,
  [SMALL_STATE(19230)] = 778975,
  [SMALL_STATE(19231)] = 778989,
  [SMALL_STATE(19232)] = 779003,
  [SMALL_STATE(19233)] = 779017,
  [SMALL_STATE(19234)] = 779031,
  [SMALL_STATE(19235)] = 779045,
  [SMALL_STATE(19236)] = 779059,
  [SMALL_STATE(19237)] = 779073,
  [SMALL_STATE(19238)] = 779087,
  [SMALL_STATE(19239)] = 779101,
  [SMALL_STATE(19240)] = 779115,
  [SMALL_STATE(19241)] = 779129,
  [SMALL_STATE(19242)] = 779143,
  [SMALL_STATE(19243)] = 779157,
  [SMALL_STATE(19244)] = 779171,
  [SMALL_STATE(19245)] = 779185,
  [SMALL_STATE(19246)] = 779199,
  [SMALL_STATE(19247)] = 779213,
  [SMALL_STATE(19248)] = 779227,
  [SMALL_STATE(19249)] = 779241,
  [SMALL_STATE(19250)] = 779255,
  [SMALL_STATE(19251)] = 779269,
  [SMALL_STATE(19252)] = 779283,
  [SMALL_STATE(19253)] = 779297,
  [SMALL_STATE(19254)] = 779311,
  [SMALL_STATE(19255)] = 779325,
  [SMALL_STATE(19256)] = 779339,
  [SMALL_STATE(19257)] = 779353,
  [SMALL_STATE(19258)] = 779367,
  [SMALL_STATE(19259)] = 779381,
  [SMALL_STATE(19260)] = 779395,
  [SMALL_STATE(19261)] = 779409,
  [SMALL_STATE(19262)] = 779423,
  [SMALL_STATE(19263)] = 779437,
  [SMALL_STATE(19264)] = 779451,
  [SMALL_STATE(19265)] = 779465,
  [SMALL_STATE(19266)] = 779479,
  [SMALL_STATE(19267)] = 779493,
  [SMALL_STATE(19268)] = 779507,
  [SMALL_STATE(19269)] = 779521,
  [SMALL_STATE(19270)] = 779535,
  [SMALL_STATE(19271)] = 779549,
  [SMALL_STATE(19272)] = 779563,
  [SMALL_STATE(19273)] = 779577,
  [SMALL_STATE(19274)] = 779591,
  [SMALL_STATE(19275)] = 779605,
  [SMALL_STATE(19276)] = 779619,
  [SMALL_STATE(19277)] = 779633,
  [SMALL_STATE(19278)] = 779647,
  [SMALL_STATE(19279)] = 779661,
  [SMALL_STATE(19280)] = 779675,
  [SMALL_STATE(19281)] = 779689,
  [SMALL_STATE(19282)] = 779703,
  [SMALL_STATE(19283)] = 779717,
  [SMALL_STATE(19284)] = 779731,
  [SMALL_STATE(19285)] = 779745,
  [SMALL_STATE(19286)] = 779759,
  [SMALL_STATE(19287)] = 779773,
  [SMALL_STATE(19288)] = 779787,
  [SMALL_STATE(19289)] = 779801,
  [SMALL_STATE(19290)] = 779815,
  [SMALL_STATE(19291)] = 779829,
  [SMALL_STATE(19292)] = 779843,
  [SMALL_STATE(19293)] = 779857,
  [SMALL_STATE(19294)] = 779871,
  [SMALL_STATE(19295)] = 779885,
  [SMALL_STATE(19296)] = 779899,
  [SMALL_STATE(19297)] = 779913,
  [SMALL_STATE(19298)] = 779927,
  [SMALL_STATE(19299)] = 779941,
  [SMALL_STATE(19300)] = 779955,
  [SMALL_STATE(19301)] = 779969,
  [SMALL_STATE(19302)] = 779983,
  [SMALL_STATE(19303)] = 779997,
  [SMALL_STATE(19304)] = 780011,
  [SMALL_STATE(19305)] = 780025,
  [SMALL_STATE(19306)] = 780039,
  [SMALL_STATE(19307)] = 780053,
  [SMALL_STATE(19308)] = 780067,
  [SMALL_STATE(19309)] = 780081,
  [SMALL_STATE(19310)] = 780095,
  [SMALL_STATE(19311)] = 780109,
  [SMALL_STATE(19312)] = 780123,
  [SMALL_STATE(19313)] = 780137,
  [SMALL_STATE(19314)] = 780151,
  [SMALL_STATE(19315)] = 780165,
  [SMALL_STATE(19316)] = 780179,
  [SMALL_STATE(19317)] = 780193,
  [SMALL_STATE(19318)] = 780207,
  [SMALL_STATE(19319)] = 780221,
  [SMALL_STATE(19320)] = 780235,
  [SMALL_STATE(19321)] = 780249,
  [SMALL_STATE(19322)] = 780263,
  [SMALL_STATE(19323)] = 780277,
  [SMALL_STATE(19324)] = 780291,
  [SMALL_STATE(19325)] = 780305,
  [SMALL_STATE(19326)] = 780319,
  [SMALL_STATE(19327)] = 780333,
  [SMALL_STATE(19328)] = 780347,
  [SMALL_STATE(19329)] = 780361,
  [SMALL_STATE(19330)] = 780375,
  [SMALL_STATE(19331)] = 780389,
  [SMALL_STATE(19332)] = 780403,
  [SMALL_STATE(19333)] = 780417,
  [SMALL_STATE(19334)] = 780431,
  [SMALL_STATE(19335)] = 780445,
  [SMALL_STATE(19336)] = 780459,
  [SMALL_STATE(19337)] = 780473,
  [SMALL_STATE(19338)] = 780487,
  [SMALL_STATE(19339)] = 780501,
  [SMALL_STATE(19340)] = 780515,
  [SMALL_STATE(19341)] = 780529,
  [SMALL_STATE(19342)] = 780543,
  [SMALL_STATE(19343)] = 780557,
  [SMALL_STATE(19344)] = 780571,
  [SMALL_STATE(19345)] = 780585,
  [SMALL_STATE(19346)] = 780599,
  [SMALL_STATE(19347)] = 780613,
  [SMALL_STATE(19348)] = 780627,
  [SMALL_STATE(19349)] = 780641,
  [SMALL_STATE(19350)] = 780655,
  [SMALL_STATE(19351)] = 780669,
  [SMALL_STATE(19352)] = 780683,
  [SMALL_STATE(19353)] = 780697,
  [SMALL_STATE(19354)] = 780711,
  [SMALL_STATE(19355)] = 780725,
  [SMALL_STATE(19356)] = 780739,
  [SMALL_STATE(19357)] = 780753,
  [SMALL_STATE(19358)] = 780767,
  [SMALL_STATE(19359)] = 780781,
  [SMALL_STATE(19360)] = 780795,
  [SMALL_STATE(19361)] = 780809,
  [SMALL_STATE(19362)] = 780823,
  [SMALL_STATE(19363)] = 780837,
  [SMALL_STATE(19364)] = 780851,
  [SMALL_STATE(19365)] = 780865,
  [SMALL_STATE(19366)] = 780879,
  [SMALL_STATE(19367)] = 780893,
  [SMALL_STATE(19368)] = 780907,
  [SMALL_STATE(19369)] = 780921,
  [SMALL_STATE(19370)] = 780935,
  [SMALL_STATE(19371)] = 780949,
  [SMALL_STATE(19372)] = 780963,
  [SMALL_STATE(19373)] = 780977,
  [SMALL_STATE(19374)] = 780991,
  [SMALL_STATE(19375)] = 781005,
  [SMALL_STATE(19376)] = 781019,
  [SMALL_STATE(19377)] = 781033,
  [SMALL_STATE(19378)] = 781047,
  [SMALL_STATE(19379)] = 781061,
  [SMALL_STATE(19380)] = 781075,
  [SMALL_STATE(19381)] = 781089,
  [SMALL_STATE(19382)] = 781103,
  [SMALL_STATE(19383)] = 781117,
  [SMALL_STATE(19384)] = 781131,
  [SMALL_STATE(19385)] = 781145,
  [SMALL_STATE(19386)] = 781159,
  [SMALL_STATE(19387)] = 781173,
  [SMALL_STATE(19388)] = 781187,
  [SMALL_STATE(19389)] = 781201,
  [SMALL_STATE(19390)] = 781215,
  [SMALL_STATE(19391)] = 781229,
  [SMALL_STATE(19392)] = 781243,
  [SMALL_STATE(19393)] = 781257,
  [SMALL_STATE(19394)] = 781271,
  [SMALL_STATE(19395)] = 781285,
  [SMALL_STATE(19396)] = 781299,
  [SMALL_STATE(19397)] = 781313,
  [SMALL_STATE(19398)] = 781327,
  [SMALL_STATE(19399)] = 781341,
  [SMALL_STATE(19400)] = 781355,
  [SMALL_STATE(19401)] = 781369,
  [SMALL_STATE(19402)] = 781383,
  [SMALL_STATE(19403)] = 781397,
  [SMALL_STATE(19404)] = 781411,
  [SMALL_STATE(19405)] = 781425,
  [SMALL_STATE(19406)] = 781439,
  [SMALL_STATE(19407)] = 781453,
  [SMALL_STATE(19408)] = 781467,
  [SMALL_STATE(19409)] = 781481,
  [SMALL_STATE(19410)] = 781495,
  [SMALL_STATE(19411)] = 781509,
  [SMALL_STATE(19412)] = 781523,
  [SMALL_STATE(19413)] = 781537,
  [SMALL_STATE(19414)] = 781551,
  [SMALL_STATE(19415)] = 781565,
  [SMALL_STATE(19416)] = 781579,
  [SMALL_STATE(19417)] = 781593,
  [SMALL_STATE(19418)] = 781607,
  [SMALL_STATE(19419)] = 781621,
  [SMALL_STATE(19420)] = 781635,
  [SMALL_STATE(19421)] = 781649,
  [SMALL_STATE(19422)] = 781663,
  [SMALL_STATE(19423)] = 781677,
  [SMALL_STATE(19424)] = 781691,
  [SMALL_STATE(19425)] = 781705,
  [SMALL_STATE(19426)] = 781719,
  [SMALL_STATE(19427)] = 781733,
  [SMALL_STATE(19428)] = 781747,
  [SMALL_STATE(19429)] = 781761,
  [SMALL_STATE(19430)] = 781775,
  [SMALL_STATE(19431)] = 781789,
  [SMALL_STATE(19432)] = 781803,
  [SMALL_STATE(19433)] = 781817,
  [SMALL_STATE(19434)] = 781831,
  [SMALL_STATE(19435)] = 781845,
  [SMALL_STATE(19436)] = 781859,
  [SMALL_STATE(19437)] = 781873,
  [SMALL_STATE(19438)] = 781887,
  [SMALL_STATE(19439)] = 781901,
  [SMALL_STATE(19440)] = 781915,
  [SMALL_STATE(19441)] = 781929,
  [SMALL_STATE(19442)] = 781943,
  [SMALL_STATE(19443)] = 781957,
  [SMALL_STATE(19444)] = 781971,
  [SMALL_STATE(19445)] = 781985,
  [SMALL_STATE(19446)] = 781999,
  [SMALL_STATE(19447)] = 782013,
  [SMALL_STATE(19448)] = 782027,
  [SMALL_STATE(19449)] = 782041,
  [SMALL_STATE(19450)] = 782055,
  [SMALL_STATE(19451)] = 782069,
  [SMALL_STATE(19452)] = 782083,
  [SMALL_STATE(19453)] = 782097,
  [SMALL_STATE(19454)] = 782111,
  [SMALL_STATE(19455)] = 782125,
  [SMALL_STATE(19456)] = 782139,
  [SMALL_STATE(19457)] = 782153,
  [SMALL_STATE(19458)] = 782167,
  [SMALL_STATE(19459)] = 782181,
  [SMALL_STATE(19460)] = 782195,
  [SMALL_STATE(19461)] = 782209,
  [SMALL_STATE(19462)] = 782223,
  [SMALL_STATE(19463)] = 782237,
  [SMALL_STATE(19464)] = 782251,
  [SMALL_STATE(19465)] = 782265,
  [SMALL_STATE(19466)] = 782279,
  [SMALL_STATE(19467)] = 782293,
  [SMALL_STATE(19468)] = 782307,
  [SMALL_STATE(19469)] = 782321,
  [SMALL_STATE(19470)] = 782335,
  [SMALL_STATE(19471)] = 782349,
  [SMALL_STATE(19472)] = 782363,
  [SMALL_STATE(19473)] = 782377,
  [SMALL_STATE(19474)] = 782391,
  [SMALL_STATE(19475)] = 782405,
  [SMALL_STATE(19476)] = 782419,
  [SMALL_STATE(19477)] = 782433,
  [SMALL_STATE(19478)] = 782447,
  [SMALL_STATE(19479)] = 782461,
  [SMALL_STATE(19480)] = 782475,
  [SMALL_STATE(19481)] = 782489,
  [SMALL_STATE(19482)] = 782503,
  [SMALL_STATE(19483)] = 782517,
  [SMALL_STATE(19484)] = 782531,
  [SMALL_STATE(19485)] = 782545,
  [SMALL_STATE(19486)] = 782559,
  [SMALL_STATE(19487)] = 782573,
  [SMALL_STATE(19488)] = 782587,
  [SMALL_STATE(19489)] = 782601,
  [SMALL_STATE(19490)] = 782615,
  [SMALL_STATE(19491)] = 782629,
  [SMALL_STATE(19492)] = 782643,
  [SMALL_STATE(19493)] = 782657,
  [SMALL_STATE(19494)] = 782671,
  [SMALL_STATE(19495)] = 782685,
  [SMALL_STATE(19496)] = 782699,
  [SMALL_STATE(19497)] = 782713,
  [SMALL_STATE(19498)] = 782727,
  [SMALL_STATE(19499)] = 782741,
  [SMALL_STATE(19500)] = 782755,
  [SMALL_STATE(19501)] = 782769,
  [SMALL_STATE(19502)] = 782783,
  [SMALL_STATE(19503)] = 782797,
  [SMALL_STATE(19504)] = 782811,
  [SMALL_STATE(19505)] = 782825,
  [SMALL_STATE(19506)] = 782839,
  [SMALL_STATE(19507)] = 782853,
  [SMALL_STATE(19508)] = 782867,
  [SMALL_STATE(19509)] = 782881,
  [SMALL_STATE(19510)] = 782895,
  [SMALL_STATE(19511)] = 782909,
  [SMALL_STATE(19512)] = 782923,
  [SMALL_STATE(19513)] = 782937,
  [SMALL_STATE(19514)] = 782951,
  [SMALL_STATE(19515)] = 782965,
  [SMALL_STATE(19516)] = 782979,
  [SMALL_STATE(19517)] = 782993,
  [SMALL_STATE(19518)] = 783007,
  [SMALL_STATE(19519)] = 783021,
  [SMALL_STATE(19520)] = 783035,
  [SMALL_STATE(19521)] = 783049,
  [SMALL_STATE(19522)] = 783063,
  [SMALL_STATE(19523)] = 783077,
  [SMALL_STATE(19524)] = 783091,
  [SMALL_STATE(19525)] = 783105,
  [SMALL_STATE(19526)] = 783119,
  [SMALL_STATE(19527)] = 783133,
  [SMALL_STATE(19528)] = 783147,
  [SMALL_STATE(19529)] = 783161,
  [SMALL_STATE(19530)] = 783175,
  [SMALL_STATE(19531)] = 783189,
  [SMALL_STATE(19532)] = 783203,
  [SMALL_STATE(19533)] = 783217,
  [SMALL_STATE(19534)] = 783231,
  [SMALL_STATE(19535)] = 783245,
  [SMALL_STATE(19536)] = 783259,
  [SMALL_STATE(19537)] = 783273,
  [SMALL_STATE(19538)] = 783287,
  [SMALL_STATE(19539)] = 783301,
  [SMALL_STATE(19540)] = 783315,
  [SMALL_STATE(19541)] = 783329,
  [SMALL_STATE(19542)] = 783343,
  [SMALL_STATE(19543)] = 783357,
  [SMALL_STATE(19544)] = 783371,
  [SMALL_STATE(19545)] = 783385,
  [SMALL_STATE(19546)] = 783399,
  [SMALL_STATE(19547)] = 783413,
  [SMALL_STATE(19548)] = 783427,
  [SMALL_STATE(19549)] = 783441,
  [SMALL_STATE(19550)] = 783455,
  [SMALL_STATE(19551)] = 783469,
  [SMALL_STATE(19552)] = 783483,
  [SMALL_STATE(19553)] = 783497,
  [SMALL_STATE(19554)] = 783511,
  [SMALL_STATE(19555)] = 783525,
  [SMALL_STATE(19556)] = 783539,
  [SMALL_STATE(19557)] = 783553,
  [SMALL_STATE(19558)] = 783567,
  [SMALL_STATE(19559)] = 783581,
  [SMALL_STATE(19560)] = 783595,
  [SMALL_STATE(19561)] = 783609,
  [SMALL_STATE(19562)] = 783623,
  [SMALL_STATE(19563)] = 783637,
  [SMALL_STATE(19564)] = 783651,
  [SMALL_STATE(19565)] = 783665,
  [SMALL_STATE(19566)] = 783679,
  [SMALL_STATE(19567)] = 783693,
  [SMALL_STATE(19568)] = 783707,
  [SMALL_STATE(19569)] = 783721,
  [SMALL_STATE(19570)] = 783735,
  [SMALL_STATE(19571)] = 783749,
  [SMALL_STATE(19572)] = 783763,
  [SMALL_STATE(19573)] = 783777,
  [SMALL_STATE(19574)] = 783791,
  [SMALL_STATE(19575)] = 783805,
  [SMALL_STATE(19576)] = 783819,
  [SMALL_STATE(19577)] = 783833,
  [SMALL_STATE(19578)] = 783847,
  [SMALL_STATE(19579)] = 783861,
  [SMALL_STATE(19580)] = 783875,
  [SMALL_STATE(19581)] = 783889,
  [SMALL_STATE(19582)] = 783903,
  [SMALL_STATE(19583)] = 783917,
  [SMALL_STATE(19584)] = 783931,
  [SMALL_STATE(19585)] = 783945,
  [SMALL_STATE(19586)] = 783959,
  [SMALL_STATE(19587)] = 783973,
  [SMALL_STATE(19588)] = 783987,
  [SMALL_STATE(19589)] = 784001,
  [SMALL_STATE(19590)] = 784015,
  [SMALL_STATE(19591)] = 784029,
  [SMALL_STATE(19592)] = 784043,
  [SMALL_STATE(19593)] = 784057,
  [SMALL_STATE(19594)] = 784071,
  [SMALL_STATE(19595)] = 784085,
  [SMALL_STATE(19596)] = 784099,
  [SMALL_STATE(19597)] = 784113,
  [SMALL_STATE(19598)] = 784127,
  [SMALL_STATE(19599)] = 784141,
  [SMALL_STATE(19600)] = 784155,
  [SMALL_STATE(19601)] = 784169,
  [SMALL_STATE(19602)] = 784183,
  [SMALL_STATE(19603)] = 784197,
  [SMALL_STATE(19604)] = 784211,
  [SMALL_STATE(19605)] = 784225,
  [SMALL_STATE(19606)] = 784239,
  [SMALL_STATE(19607)] = 784253,
  [SMALL_STATE(19608)] = 784267,
  [SMALL_STATE(19609)] = 784281,
  [SMALL_STATE(19610)] = 784295,
  [SMALL_STATE(19611)] = 784309,
  [SMALL_STATE(19612)] = 784323,
  [SMALL_STATE(19613)] = 784337,
  [SMALL_STATE(19614)] = 784351,
  [SMALL_STATE(19615)] = 784365,
  [SMALL_STATE(19616)] = 784379,
  [SMALL_STATE(19617)] = 784393,
  [SMALL_STATE(19618)] = 784407,
  [SMALL_STATE(19619)] = 784421,
  [SMALL_STATE(19620)] = 784435,
  [SMALL_STATE(19621)] = 784449,
  [SMALL_STATE(19622)] = 784463,
  [SMALL_STATE(19623)] = 784477,
  [SMALL_STATE(19624)] = 784491,
  [SMALL_STATE(19625)] = 784505,
  [SMALL_STATE(19626)] = 784519,
  [SMALL_STATE(19627)] = 784533,
  [SMALL_STATE(19628)] = 784547,
  [SMALL_STATE(19629)] = 784561,
  [SMALL_STATE(19630)] = 784575,
  [SMALL_STATE(19631)] = 784589,
  [SMALL_STATE(19632)] = 784603,
  [SMALL_STATE(19633)] = 784617,
  [SMALL_STATE(19634)] = 784631,
  [SMALL_STATE(19635)] = 784645,
  [SMALL_STATE(19636)] = 784659,
  [SMALL_STATE(19637)] = 784673,
  [SMALL_STATE(19638)] = 784687,
  [SMALL_STATE(19639)] = 784701,
  [SMALL_STATE(19640)] = 784715,
  [SMALL_STATE(19641)] = 784729,
  [SMALL_STATE(19642)] = 784743,
  [SMALL_STATE(19643)] = 784757,
  [SMALL_STATE(19644)] = 784771,
  [SMALL_STATE(19645)] = 784785,
  [SMALL_STATE(19646)] = 784799,
  [SMALL_STATE(19647)] = 784813,
  [SMALL_STATE(19648)] = 784827,
  [SMALL_STATE(19649)] = 784841,
  [SMALL_STATE(19650)] = 784855,
  [SMALL_STATE(19651)] = 784869,
  [SMALL_STATE(19652)] = 784883,
  [SMALL_STATE(19653)] = 784897,
  [SMALL_STATE(19654)] = 784911,
  [SMALL_STATE(19655)] = 784925,
  [SMALL_STATE(19656)] = 784939,
  [SMALL_STATE(19657)] = 784953,
  [SMALL_STATE(19658)] = 784967,
  [SMALL_STATE(19659)] = 784981,
  [SMALL_STATE(19660)] = 784995,
  [SMALL_STATE(19661)] = 785009,
  [SMALL_STATE(19662)] = 785023,
  [SMALL_STATE(19663)] = 785037,
  [SMALL_STATE(19664)] = 785051,
  [SMALL_STATE(19665)] = 785065,
  [SMALL_STATE(19666)] = 785079,
  [SMALL_STATE(19667)] = 785093,
  [SMALL_STATE(19668)] = 785107,
  [SMALL_STATE(19669)] = 785121,
  [SMALL_STATE(19670)] = 785135,
  [SMALL_STATE(19671)] = 785149,
  [SMALL_STATE(19672)] = 785163,
  [SMALL_STATE(19673)] = 785177,
  [SMALL_STATE(19674)] = 785191,
  [SMALL_STATE(19675)] = 785205,
  [SMALL_STATE(19676)] = 785219,
  [SMALL_STATE(19677)] = 785233,
  [SMALL_STATE(19678)] = 785247,
  [SMALL_STATE(19679)] = 785261,
  [SMALL_STATE(19680)] = 785275,
  [SMALL_STATE(19681)] = 785289,
  [SMALL_STATE(19682)] = 785303,
  [SMALL_STATE(19683)] = 785317,
  [SMALL_STATE(19684)] = 785331,
  [SMALL_STATE(19685)] = 785345,
  [SMALL_STATE(19686)] = 785359,
  [SMALL_STATE(19687)] = 785373,
  [SMALL_STATE(19688)] = 785387,
  [SMALL_STATE(19689)] = 785401,
  [SMALL_STATE(19690)] = 785415,
  [SMALL_STATE(19691)] = 785429,
  [SMALL_STATE(19692)] = 785443,
  [SMALL_STATE(19693)] = 785457,
  [SMALL_STATE(19694)] = 785471,
  [SMALL_STATE(19695)] = 785485,
  [SMALL_STATE(19696)] = 785499,
  [SMALL_STATE(19697)] = 785513,
  [SMALL_STATE(19698)] = 785527,
  [SMALL_STATE(19699)] = 785541,
  [SMALL_STATE(19700)] = 785555,
  [SMALL_STATE(19701)] = 785569,
  [SMALL_STATE(19702)] = 785583,
  [SMALL_STATE(19703)] = 785597,
  [SMALL_STATE(19704)] = 785611,
  [SMALL_STATE(19705)] = 785625,
  [SMALL_STATE(19706)] = 785639,
  [SMALL_STATE(19707)] = 785653,
  [SMALL_STATE(19708)] = 785667,
  [SMALL_STATE(19709)] = 785681,
  [SMALL_STATE(19710)] = 785695,
  [SMALL_STATE(19711)] = 785709,
  [SMALL_STATE(19712)] = 785723,
  [SMALL_STATE(19713)] = 785737,
  [SMALL_STATE(19714)] = 785751,
  [SMALL_STATE(19715)] = 785765,
  [SMALL_STATE(19716)] = 785779,
  [SMALL_STATE(19717)] = 785793,
  [SMALL_STATE(19718)] = 785807,
  [SMALL_STATE(19719)] = 785821,
  [SMALL_STATE(19720)] = 785835,
  [SMALL_STATE(19721)] = 785849,
  [SMALL_STATE(19722)] = 785863,
  [SMALL_STATE(19723)] = 785877,
  [SMALL_STATE(19724)] = 785891,
  [SMALL_STATE(19725)] = 785905,
  [SMALL_STATE(19726)] = 785919,
  [SMALL_STATE(19727)] = 785933,
  [SMALL_STATE(19728)] = 785947,
  [SMALL_STATE(19729)] = 785961,
  [SMALL_STATE(19730)] = 785975,
  [SMALL_STATE(19731)] = 785989,
  [SMALL_STATE(19732)] = 786003,
  [SMALL_STATE(19733)] = 786017,
  [SMALL_STATE(19734)] = 786031,
  [SMALL_STATE(19735)] = 786045,
  [SMALL_STATE(19736)] = 786059,
  [SMALL_STATE(19737)] = 786073,
  [SMALL_STATE(19738)] = 786087,
  [SMALL_STATE(19739)] = 786101,
  [SMALL_STATE(19740)] = 786115,
  [SMALL_STATE(19741)] = 786129,
  [SMALL_STATE(19742)] = 786143,
  [SMALL_STATE(19743)] = 786157,
  [SMALL_STATE(19744)] = 786171,
  [SMALL_STATE(19745)] = 786185,
  [SMALL_STATE(19746)] = 786199,
  [SMALL_STATE(19747)] = 786213,
  [SMALL_STATE(19748)] = 786227,
  [SMALL_STATE(19749)] = 786241,
  [SMALL_STATE(19750)] = 786255,
  [SMALL_STATE(19751)] = 786269,
  [SMALL_STATE(19752)] = 786283,
  [SMALL_STATE(19753)] = 786297,
  [SMALL_STATE(19754)] = 786311,
  [SMALL_STATE(19755)] = 786325,
  [SMALL_STATE(19756)] = 786339,
  [SMALL_STATE(19757)] = 786353,
  [SMALL_STATE(19758)] = 786367,
  [SMALL_STATE(19759)] = 786381,
  [SMALL_STATE(19760)] = 786395,
  [SMALL_STATE(19761)] = 786409,
  [SMALL_STATE(19762)] = 786423,
  [SMALL_STATE(19763)] = 786437,
  [SMALL_STATE(19764)] = 786451,
  [SMALL_STATE(19765)] = 786465,
  [SMALL_STATE(19766)] = 786479,
  [SMALL_STATE(19767)] = 786493,
  [SMALL_STATE(19768)] = 786507,
  [SMALL_STATE(19769)] = 786521,
  [SMALL_STATE(19770)] = 786535,
  [SMALL_STATE(19771)] = 786549,
  [SMALL_STATE(19772)] = 786563,
  [SMALL_STATE(19773)] = 786577,
  [SMALL_STATE(19774)] = 786591,
  [SMALL_STATE(19775)] = 786605,
  [SMALL_STATE(19776)] = 786619,
  [SMALL_STATE(19777)] = 786633,
  [SMALL_STATE(19778)] = 786647,
  [SMALL_STATE(19779)] = 786661,
  [SMALL_STATE(19780)] = 786675,
  [SMALL_STATE(19781)] = 786689,
  [SMALL_STATE(19782)] = 786703,
  [SMALL_STATE(19783)] = 786717,
  [SMALL_STATE(19784)] = 786731,
  [SMALL_STATE(19785)] = 786745,
  [SMALL_STATE(19786)] = 786759,
  [SMALL_STATE(19787)] = 786773,
  [SMALL_STATE(19788)] = 786787,
  [SMALL_STATE(19789)] = 786801,
  [SMALL_STATE(19790)] = 786815,
  [SMALL_STATE(19791)] = 786829,
  [SMALL_STATE(19792)] = 786843,
  [SMALL_STATE(19793)] = 786857,
  [SMALL_STATE(19794)] = 786871,
  [SMALL_STATE(19795)] = 786885,
  [SMALL_STATE(19796)] = 786899,
  [SMALL_STATE(19797)] = 786913,
  [SMALL_STATE(19798)] = 786927,
  [SMALL_STATE(19799)] = 786941,
  [SMALL_STATE(19800)] = 786955,
  [SMALL_STATE(19801)] = 786969,
  [SMALL_STATE(19802)] = 786983,
  [SMALL_STATE(19803)] = 786997,
  [SMALL_STATE(19804)] = 787011,
  [SMALL_STATE(19805)] = 787025,
  [SMALL_STATE(19806)] = 787039,
  [SMALL_STATE(19807)] = 787053,
  [SMALL_STATE(19808)] = 787067,
  [SMALL_STATE(19809)] = 787081,
  [SMALL_STATE(19810)] = 787095,
  [SMALL_STATE(19811)] = 787109,
  [SMALL_STATE(19812)] = 787123,
  [SMALL_STATE(19813)] = 787137,
  [SMALL_STATE(19814)] = 787151,
  [SMALL_STATE(19815)] = 787165,
  [SMALL_STATE(19816)] = 787179,
  [SMALL_STATE(19817)] = 787193,
  [SMALL_STATE(19818)] = 787207,
  [SMALL_STATE(19819)] = 787221,
  [SMALL_STATE(19820)] = 787235,
  [SMALL_STATE(19821)] = 787249,
  [SMALL_STATE(19822)] = 787263,
  [SMALL_STATE(19823)] = 787277,
  [SMALL_STATE(19824)] = 787291,
  [SMALL_STATE(19825)] = 787305,
  [SMALL_STATE(19826)] = 787319,
  [SMALL_STATE(19827)] = 787333,
  [SMALL_STATE(19828)] = 787347,
  [SMALL_STATE(19829)] = 787361,
  [SMALL_STATE(19830)] = 787375,
  [SMALL_STATE(19831)] = 787389,
  [SMALL_STATE(19832)] = 787403,
  [SMALL_STATE(19833)] = 787417,
  [SMALL_STATE(19834)] = 787431,
  [SMALL_STATE(19835)] = 787445,
  [SMALL_STATE(19836)] = 787459,
  [SMALL_STATE(19837)] = 787473,
  [SMALL_STATE(19838)] = 787487,
  [SMALL_STATE(19839)] = 787501,
  [SMALL_STATE(19840)] = 787515,
  [SMALL_STATE(19841)] = 787529,
  [SMALL_STATE(19842)] = 787543,
  [SMALL_STATE(19843)] = 787557,
  [SMALL_STATE(19844)] = 787571,
  [SMALL_STATE(19845)] = 787585,
  [SMALL_STATE(19846)] = 787599,
  [SMALL_STATE(19847)] = 787613,
  [SMALL_STATE(19848)] = 787627,
  [SMALL_STATE(19849)] = 787641,
  [SMALL_STATE(19850)] = 787655,
  [SMALL_STATE(19851)] = 787669,
  [SMALL_STATE(19852)] = 787683,
  [SMALL_STATE(19853)] = 787697,
  [SMALL_STATE(19854)] = 787711,
  [SMALL_STATE(19855)] = 787725,
  [SMALL_STATE(19856)] = 787739,
  [SMALL_STATE(19857)] = 787753,
  [SMALL_STATE(19858)] = 787767,
  [SMALL_STATE(19859)] = 787781,
  [SMALL_STATE(19860)] = 787795,
  [SMALL_STATE(19861)] = 787809,
  [SMALL_STATE(19862)] = 787823,
  [SMALL_STATE(19863)] = 787837,
  [SMALL_STATE(19864)] = 787851,
  [SMALL_STATE(19865)] = 787865,
  [SMALL_STATE(19866)] = 787879,
  [SMALL_STATE(19867)] = 787893,
  [SMALL_STATE(19868)] = 787907,
  [SMALL_STATE(19869)] = 787921,
  [SMALL_STATE(19870)] = 787935,
  [SMALL_STATE(19871)] = 787949,
  [SMALL_STATE(19872)] = 787963,
  [SMALL_STATE(19873)] = 787977,
  [SMALL_STATE(19874)] = 787991,
  [SMALL_STATE(19875)] = 788005,
  [SMALL_STATE(19876)] = 788019,
  [SMALL_STATE(19877)] = 788033,
  [SMALL_STATE(19878)] = 788047,
  [SMALL_STATE(19879)] = 788061,
  [SMALL_STATE(19880)] = 788075,
  [SMALL_STATE(19881)] = 788089,
  [SMALL_STATE(19882)] = 788103,
  [SMALL_STATE(19883)] = 788117,
  [SMALL_STATE(19884)] = 788131,
  [SMALL_STATE(19885)] = 788145,
  [SMALL_STATE(19886)] = 788159,
  [SMALL_STATE(19887)] = 788173,
  [SMALL_STATE(19888)] = 788187,
  [SMALL_STATE(19889)] = 788201,
  [SMALL_STATE(19890)] = 788215,
  [SMALL_STATE(19891)] = 788229,
  [SMALL_STATE(19892)] = 788243,
  [SMALL_STATE(19893)] = 788257,
  [SMALL_STATE(19894)] = 788271,
  [SMALL_STATE(19895)] = 788285,
  [SMALL_STATE(19896)] = 788299,
  [SMALL_STATE(19897)] = 788313,
  [SMALL_STATE(19898)] = 788327,
  [SMALL_STATE(19899)] = 788341,
  [SMALL_STATE(19900)] = 788355,
  [SMALL_STATE(19901)] = 788369,
  [SMALL_STATE(19902)] = 788383,
  [SMALL_STATE(19903)] = 788397,
  [SMALL_STATE(19904)] = 788411,
  [SMALL_STATE(19905)] = 788425,
  [SMALL_STATE(19906)] = 788439,
  [SMALL_STATE(19907)] = 788453,
  [SMALL_STATE(19908)] = 788467,
  [SMALL_STATE(19909)] = 788481,
  [SMALL_STATE(19910)] = 788495,
  [SMALL_STATE(19911)] = 788509,
  [SMALL_STATE(19912)] = 788523,
  [SMALL_STATE(19913)] = 788537,
  [SMALL_STATE(19914)] = 788551,
  [SMALL_STATE(19915)] = 788565,
  [SMALL_STATE(19916)] = 788579,
  [SMALL_STATE(19917)] = 788593,
  [SMALL_STATE(19918)] = 788607,
  [SMALL_STATE(19919)] = 788621,
  [SMALL_STATE(19920)] = 788635,
  [SMALL_STATE(19921)] = 788649,
  [SMALL_STATE(19922)] = 788663,
  [SMALL_STATE(19923)] = 788677,
  [SMALL_STATE(19924)] = 788691,
  [SMALL_STATE(19925)] = 788705,
  [SMALL_STATE(19926)] = 788719,
  [SMALL_STATE(19927)] = 788733,
  [SMALL_STATE(19928)] = 788747,
  [SMALL_STATE(19929)] = 788761,
  [SMALL_STATE(19930)] = 788775,
  [SMALL_STATE(19931)] = 788789,
  [SMALL_STATE(19932)] = 788803,
  [SMALL_STATE(19933)] = 788817,
  [SMALL_STATE(19934)] = 788831,
  [SMALL_STATE(19935)] = 788845,
  [SMALL_STATE(19936)] = 788859,
  [SMALL_STATE(19937)] = 788873,
  [SMALL_STATE(19938)] = 788887,
  [SMALL_STATE(19939)] = 788901,
  [SMALL_STATE(19940)] = 788915,
  [SMALL_STATE(19941)] = 788929,
  [SMALL_STATE(19942)] = 788943,
  [SMALL_STATE(19943)] = 788957,
  [SMALL_STATE(19944)] = 788971,
  [SMALL_STATE(19945)] = 788985,
  [SMALL_STATE(19946)] = 788999,
  [SMALL_STATE(19947)] = 789013,
  [SMALL_STATE(19948)] = 789027,
  [SMALL_STATE(19949)] = 789041,
  [SMALL_STATE(19950)] = 789055,
  [SMALL_STATE(19951)] = 789069,
  [SMALL_STATE(19952)] = 789083,
  [SMALL_STATE(19953)] = 789097,
  [SMALL_STATE(19954)] = 789111,
  [SMALL_STATE(19955)] = 789125,
  [SMALL_STATE(19956)] = 789139,
  [SMALL_STATE(19957)] = 789153,
  [SMALL_STATE(19958)] = 789167,
  [SMALL_STATE(19959)] = 789181,
  [SMALL_STATE(19960)] = 789195,
  [SMALL_STATE(19961)] = 789209,
  [SMALL_STATE(19962)] = 789223,
  [SMALL_STATE(19963)] = 789237,
  [SMALL_STATE(19964)] = 789251,
  [SMALL_STATE(19965)] = 789265,
  [SMALL_STATE(19966)] = 789279,
  [SMALL_STATE(19967)] = 789293,
  [SMALL_STATE(19968)] = 789307,
  [SMALL_STATE(19969)] = 789321,
  [SMALL_STATE(19970)] = 789335,
  [SMALL_STATE(19971)] = 789349,
  [SMALL_STATE(19972)] = 789363,
  [SMALL_STATE(19973)] = 789377,
  [SMALL_STATE(19974)] = 789391,
  [SMALL_STATE(19975)] = 789405,
  [SMALL_STATE(19976)] = 789419,
  [SMALL_STATE(19977)] = 789433,
  [SMALL_STATE(19978)] = 789447,
  [SMALL_STATE(19979)] = 789461,
  [SMALL_STATE(19980)] = 789475,
  [SMALL_STATE(19981)] = 789489,
  [SMALL_STATE(19982)] = 789503,
  [SMALL_STATE(19983)] = 789517,
  [SMALL_STATE(19984)] = 789531,
  [SMALL_STATE(19985)] = 789545,
  [SMALL_STATE(19986)] = 789559,
  [SMALL_STATE(19987)] = 789573,
  [SMALL_STATE(19988)] = 789587,
  [SMALL_STATE(19989)] = 789601,
  [SMALL_STATE(19990)] = 789615,
  [SMALL_STATE(19991)] = 789629,
  [SMALL_STATE(19992)] = 789643,
  [SMALL_STATE(19993)] = 789657,
  [SMALL_STATE(19994)] = 789671,
  [SMALL_STATE(19995)] = 789685,
  [SMALL_STATE(19996)] = 789699,
  [SMALL_STATE(19997)] = 789713,
  [SMALL_STATE(19998)] = 789727,
  [SMALL_STATE(19999)] = 789741,
  [SMALL_STATE(20000)] = 789755,
  [SMALL_STATE(20001)] = 789769,
  [SMALL_STATE(20002)] = 789783,
  [SMALL_STATE(20003)] = 789797,
  [SMALL_STATE(20004)] = 789811,
  [SMALL_STATE(20005)] = 789825,
  [SMALL_STATE(20006)] = 789839,
  [SMALL_STATE(20007)] = 789853,
  [SMALL_STATE(20008)] = 789867,
  [SMALL_STATE(20009)] = 789881,
  [SMALL_STATE(20010)] = 789895,
  [SMALL_STATE(20011)] = 789909,
  [SMALL_STATE(20012)] = 789923,
  [SMALL_STATE(20013)] = 789937,
  [SMALL_STATE(20014)] = 789951,
  [SMALL_STATE(20015)] = 789965,
  [SMALL_STATE(20016)] = 789979,
  [SMALL_STATE(20017)] = 789993,
  [SMALL_STATE(20018)] = 790007,
  [SMALL_STATE(20019)] = 790021,
  [SMALL_STATE(20020)] = 790035,
  [SMALL_STATE(20021)] = 790049,
  [SMALL_STATE(20022)] = 790063,
  [SMALL_STATE(20023)] = 790077,
  [SMALL_STATE(20024)] = 790091,
  [SMALL_STATE(20025)] = 790105,
  [SMALL_STATE(20026)] = 790119,
  [SMALL_STATE(20027)] = 790133,
  [SMALL_STATE(20028)] = 790147,
  [SMALL_STATE(20029)] = 790161,
  [SMALL_STATE(20030)] = 790175,
  [SMALL_STATE(20031)] = 790189,
  [SMALL_STATE(20032)] = 790203,
  [SMALL_STATE(20033)] = 790217,
  [SMALL_STATE(20034)] = 790231,
  [SMALL_STATE(20035)] = 790245,
  [SMALL_STATE(20036)] = 790259,
  [SMALL_STATE(20037)] = 790273,
  [SMALL_STATE(20038)] = 790287,
  [SMALL_STATE(20039)] = 790301,
  [SMALL_STATE(20040)] = 790315,
  [SMALL_STATE(20041)] = 790329,
  [SMALL_STATE(20042)] = 790343,
  [SMALL_STATE(20043)] = 790357,
  [SMALL_STATE(20044)] = 790371,
  [SMALL_STATE(20045)] = 790385,
  [SMALL_STATE(20046)] = 790399,
  [SMALL_STATE(20047)] = 790413,
  [SMALL_STATE(20048)] = 790427,
  [SMALL_STATE(20049)] = 790441,
  [SMALL_STATE(20050)] = 790455,
  [SMALL_STATE(20051)] = 790469,
  [SMALL_STATE(20052)] = 790483,
  [SMALL_STATE(20053)] = 790497,
  [SMALL_STATE(20054)] = 790511,
  [SMALL_STATE(20055)] = 790525,
  [SMALL_STATE(20056)] = 790539,
  [SMALL_STATE(20057)] = 790553,
  [SMALL_STATE(20058)] = 790567,
  [SMALL_STATE(20059)] = 790581,
  [SMALL_STATE(20060)] = 790595,
  [SMALL_STATE(20061)] = 790609,
  [SMALL_STATE(20062)] = 790623,
  [SMALL_STATE(20063)] = 790637,
  [SMALL_STATE(20064)] = 790651,
  [SMALL_STATE(20065)] = 790665,
  [SMALL_STATE(20066)] = 790679,
  [SMALL_STATE(20067)] = 790693,
  [SMALL_STATE(20068)] = 790707,
  [SMALL_STATE(20069)] = 790721,
  [SMALL_STATE(20070)] = 790735,
  [SMALL_STATE(20071)] = 790749,
  [SMALL_STATE(20072)] = 790763,
  [SMALL_STATE(20073)] = 790777,
  [SMALL_STATE(20074)] = 790791,
  [SMALL_STATE(20075)] = 790805,
  [SMALL_STATE(20076)] = 790819,
  [SMALL_STATE(20077)] = 790833,
  [SMALL_STATE(20078)] = 790847,
  [SMALL_STATE(20079)] = 790861,
  [SMALL_STATE(20080)] = 790875,
  [SMALL_STATE(20081)] = 790889,
  [SMALL_STATE(20082)] = 790903,
  [SMALL_STATE(20083)] = 790917,
  [SMALL_STATE(20084)] = 790931,
  [SMALL_STATE(20085)] = 790945,
  [SMALL_STATE(20086)] = 790959,
  [SMALL_STATE(20087)] = 790973,
  [SMALL_STATE(20088)] = 790987,
  [SMALL_STATE(20089)] = 791001,
  [SMALL_STATE(20090)] = 791015,
  [SMALL_STATE(20091)] = 791029,
  [SMALL_STATE(20092)] = 791043,
  [SMALL_STATE(20093)] = 791057,
  [SMALL_STATE(20094)] = 791071,
  [SMALL_STATE(20095)] = 791085,
  [SMALL_STATE(20096)] = 791099,
  [SMALL_STATE(20097)] = 791113,
  [SMALL_STATE(20098)] = 791127,
  [SMALL_STATE(20099)] = 791141,
  [SMALL_STATE(20100)] = 791155,
  [SMALL_STATE(20101)] = 791169,
  [SMALL_STATE(20102)] = 791183,
  [SMALL_STATE(20103)] = 791197,
  [SMALL_STATE(20104)] = 791211,
  [SMALL_STATE(20105)] = 791225,
  [SMALL_STATE(20106)] = 791239,
  [SMALL_STATE(20107)] = 791253,
  [SMALL_STATE(20108)] = 791267,
  [SMALL_STATE(20109)] = 791281,
  [SMALL_STATE(20110)] = 791295,
  [SMALL_STATE(20111)] = 791309,
  [SMALL_STATE(20112)] = 791323,
  [SMALL_STATE(20113)] = 791337,
  [SMALL_STATE(20114)] = 791351,
  [SMALL_STATE(20115)] = 791365,
  [SMALL_STATE(20116)] = 791379,
  [SMALL_STATE(20117)] = 791393,
  [SMALL_STATE(20118)] = 791407,
  [SMALL_STATE(20119)] = 791421,
  [SMALL_STATE(20120)] = 791435,
  [SMALL_STATE(20121)] = 791449,
  [SMALL_STATE(20122)] = 791463,
  [SMALL_STATE(20123)] = 791477,
  [SMALL_STATE(20124)] = 791491,
  [SMALL_STATE(20125)] = 791505,
  [SMALL_STATE(20126)] = 791519,
  [SMALL_STATE(20127)] = 791533,
  [SMALL_STATE(20128)] = 791547,
  [SMALL_STATE(20129)] = 791561,
  [SMALL_STATE(20130)] = 791575,
  [SMALL_STATE(20131)] = 791589,
  [SMALL_STATE(20132)] = 791603,
  [SMALL_STATE(20133)] = 791617,
  [SMALL_STATE(20134)] = 791631,
  [SMALL_STATE(20135)] = 791645,
  [SMALL_STATE(20136)] = 791659,
  [SMALL_STATE(20137)] = 791673,
  [SMALL_STATE(20138)] = 791687,
  [SMALL_STATE(20139)] = 791701,
  [SMALL_STATE(20140)] = 791715,
  [SMALL_STATE(20141)] = 791729,
  [SMALL_STATE(20142)] = 791743,
  [SMALL_STATE(20143)] = 791757,
  [SMALL_STATE(20144)] = 791771,
  [SMALL_STATE(20145)] = 791785,
  [SMALL_STATE(20146)] = 791799,
  [SMALL_STATE(20147)] = 791813,
  [SMALL_STATE(20148)] = 791827,
  [SMALL_STATE(20149)] = 791841,
  [SMALL_STATE(20150)] = 791855,
  [SMALL_STATE(20151)] = 791869,
  [SMALL_STATE(20152)] = 791883,
  [SMALL_STATE(20153)] = 791897,
  [SMALL_STATE(20154)] = 791911,
  [SMALL_STATE(20155)] = 791925,
  [SMALL_STATE(20156)] = 791939,
  [SMALL_STATE(20157)] = 791953,
  [SMALL_STATE(20158)] = 791967,
  [SMALL_STATE(20159)] = 791981,
  [SMALL_STATE(20160)] = 791995,
  [SMALL_STATE(20161)] = 792009,
  [SMALL_STATE(20162)] = 792023,
  [SMALL_STATE(20163)] = 792037,
  [SMALL_STATE(20164)] = 792051,
  [SMALL_STATE(20165)] = 792065,
  [SMALL_STATE(20166)] = 792079,
  [SMALL_STATE(20167)] = 792093,
  [SMALL_STATE(20168)] = 792107,
  [SMALL_STATE(20169)] = 792121,
  [SMALL_STATE(20170)] = 792135,
  [SMALL_STATE(20171)] = 792149,
  [SMALL_STATE(20172)] = 792163,
  [SMALL_STATE(20173)] = 792177,
  [SMALL_STATE(20174)] = 792191,
  [SMALL_STATE(20175)] = 792205,
  [SMALL_STATE(20176)] = 792219,
  [SMALL_STATE(20177)] = 792233,
  [SMALL_STATE(20178)] = 792247,
  [SMALL_STATE(20179)] = 792261,
  [SMALL_STATE(20180)] = 792275,
  [SMALL_STATE(20181)] = 792289,
  [SMALL_STATE(20182)] = 792303,
  [SMALL_STATE(20183)] = 792317,
  [SMALL_STATE(20184)] = 792331,
  [SMALL_STATE(20185)] = 792345,
  [SMALL_STATE(20186)] = 792359,
  [SMALL_STATE(20187)] = 792373,
  [SMALL_STATE(20188)] = 792387,
  [SMALL_STATE(20189)] = 792401,
  [SMALL_STATE(20190)] = 792415,
  [SMALL_STATE(20191)] = 792429,
  [SMALL_STATE(20192)] = 792443,
  [SMALL_STATE(20193)] = 792457,
  [SMALL_STATE(20194)] = 792471,
  [SMALL_STATE(20195)] = 792485,
  [SMALL_STATE(20196)] = 792499,
  [SMALL_STATE(20197)] = 792513,
  [SMALL_STATE(20198)] = 792527,
  [SMALL_STATE(20199)] = 792541,
  [SMALL_STATE(20200)] = 792555,
  [SMALL_STATE(20201)] = 792569,
  [SMALL_STATE(20202)] = 792583,
  [SMALL_STATE(20203)] = 792597,
  [SMALL_STATE(20204)] = 792611,
  [SMALL_STATE(20205)] = 792625,
  [SMALL_STATE(20206)] = 792639,
  [SMALL_STATE(20207)] = 792653,
  [SMALL_STATE(20208)] = 792667,
  [SMALL_STATE(20209)] = 792681,
  [SMALL_STATE(20210)] = 792695,
  [SMALL_STATE(20211)] = 792709,
  [SMALL_STATE(20212)] = 792723,
  [SMALL_STATE(20213)] = 792737,
  [SMALL_STATE(20214)] = 792751,
  [SMALL_STATE(20215)] = 792765,
  [SMALL_STATE(20216)] = 792779,
  [SMALL_STATE(20217)] = 792793,
  [SMALL_STATE(20218)] = 792807,
  [SMALL_STATE(20219)] = 792821,
  [SMALL_STATE(20220)] = 792835,
  [SMALL_STATE(20221)] = 792849,
  [SMALL_STATE(20222)] = 792863,
  [SMALL_STATE(20223)] = 792877,
  [SMALL_STATE(20224)] = 792891,
  [SMALL_STATE(20225)] = 792905,
  [SMALL_STATE(20226)] = 792919,
  [SMALL_STATE(20227)] = 792933,
  [SMALL_STATE(20228)] = 792947,
  [SMALL_STATE(20229)] = 792961,
  [SMALL_STATE(20230)] = 792975,
  [SMALL_STATE(20231)] = 792989,
  [SMALL_STATE(20232)] = 793003,
  [SMALL_STATE(20233)] = 793017,
  [SMALL_STATE(20234)] = 793031,
  [SMALL_STATE(20235)] = 793045,
  [SMALL_STATE(20236)] = 793059,
  [SMALL_STATE(20237)] = 793073,
  [SMALL_STATE(20238)] = 793087,
  [SMALL_STATE(20239)] = 793101,
  [SMALL_STATE(20240)] = 793115,
  [SMALL_STATE(20241)] = 793129,
  [SMALL_STATE(20242)] = 793143,
  [SMALL_STATE(20243)] = 793157,
  [SMALL_STATE(20244)] = 793171,
  [SMALL_STATE(20245)] = 793185,
  [SMALL_STATE(20246)] = 793199,
  [SMALL_STATE(20247)] = 793213,
  [SMALL_STATE(20248)] = 793227,
  [SMALL_STATE(20249)] = 793241,
  [SMALL_STATE(20250)] = 793255,
  [SMALL_STATE(20251)] = 793269,
  [SMALL_STATE(20252)] = 793283,
  [SMALL_STATE(20253)] = 793297,
  [SMALL_STATE(20254)] = 793311,
  [SMALL_STATE(20255)] = 793325,
  [SMALL_STATE(20256)] = 793339,
  [SMALL_STATE(20257)] = 793353,
  [SMALL_STATE(20258)] = 793367,
  [SMALL_STATE(20259)] = 793381,
  [SMALL_STATE(20260)] = 793395,
  [SMALL_STATE(20261)] = 793409,
  [SMALL_STATE(20262)] = 793423,
  [SMALL_STATE(20263)] = 793437,
  [SMALL_STATE(20264)] = 793451,
  [SMALL_STATE(20265)] = 793465,
  [SMALL_STATE(20266)] = 793479,
  [SMALL_STATE(20267)] = 793493,
  [SMALL_STATE(20268)] = 793507,
  [SMALL_STATE(20269)] = 793521,
  [SMALL_STATE(20270)] = 793535,
  [SMALL_STATE(20271)] = 793549,
  [SMALL_STATE(20272)] = 793563,
  [SMALL_STATE(20273)] = 793577,
  [SMALL_STATE(20274)] = 793591,
  [SMALL_STATE(20275)] = 793605,
  [SMALL_STATE(20276)] = 793619,
  [SMALL_STATE(20277)] = 793633,
  [SMALL_STATE(20278)] = 793647,
  [SMALL_STATE(20279)] = 793661,
  [SMALL_STATE(20280)] = 793675,
  [SMALL_STATE(20281)] = 793689,
  [SMALL_STATE(20282)] = 793703,
  [SMALL_STATE(20283)] = 793717,
  [SMALL_STATE(20284)] = 793731,
  [SMALL_STATE(20285)] = 793745,
  [SMALL_STATE(20286)] = 793759,
  [SMALL_STATE(20287)] = 793773,
  [SMALL_STATE(20288)] = 793787,
  [SMALL_STATE(20289)] = 793801,
  [SMALL_STATE(20290)] = 793815,
  [SMALL_STATE(20291)] = 793829,
  [SMALL_STATE(20292)] = 793843,
  [SMALL_STATE(20293)] = 793857,
  [SMALL_STATE(20294)] = 793871,
  [SMALL_STATE(20295)] = 793885,
  [SMALL_STATE(20296)] = 793899,
  [SMALL_STATE(20297)] = 793913,
  [SMALL_STATE(20298)] = 793927,
  [SMALL_STATE(20299)] = 793941,
  [SMALL_STATE(20300)] = 793955,
  [SMALL_STATE(20301)] = 793969,
  [SMALL_STATE(20302)] = 793983,
  [SMALL_STATE(20303)] = 793997,
  [SMALL_STATE(20304)] = 794011,
  [SMALL_STATE(20305)] = 794025,
  [SMALL_STATE(20306)] = 794039,
  [SMALL_STATE(20307)] = 794053,
  [SMALL_STATE(20308)] = 794067,
  [SMALL_STATE(20309)] = 794081,
  [SMALL_STATE(20310)] = 794095,
  [SMALL_STATE(20311)] = 794109,
  [SMALL_STATE(20312)] = 794123,
  [SMALL_STATE(20313)] = 794137,
  [SMALL_STATE(20314)] = 794151,
  [SMALL_STATE(20315)] = 794165,
  [SMALL_STATE(20316)] = 794179,
  [SMALL_STATE(20317)] = 794193,
  [SMALL_STATE(20318)] = 794207,
  [SMALL_STATE(20319)] = 794221,
  [SMALL_STATE(20320)] = 794235,
  [SMALL_STATE(20321)] = 794249,
  [SMALL_STATE(20322)] = 794263,
  [SMALL_STATE(20323)] = 794277,
  [SMALL_STATE(20324)] = 794291,
  [SMALL_STATE(20325)] = 794305,
  [SMALL_STATE(20326)] = 794319,
  [SMALL_STATE(20327)] = 794333,
  [SMALL_STATE(20328)] = 794347,
  [SMALL_STATE(20329)] = 794361,
  [SMALL_STATE(20330)] = 794375,
  [SMALL_STATE(20331)] = 794389,
  [SMALL_STATE(20332)] = 794403,
  [SMALL_STATE(20333)] = 794417,
  [SMALL_STATE(20334)] = 794431,
  [SMALL_STATE(20335)] = 794445,
  [SMALL_STATE(20336)] = 794459,
  [SMALL_STATE(20337)] = 794473,
  [SMALL_STATE(20338)] = 794487,
  [SMALL_STATE(20339)] = 794501,
  [SMALL_STATE(20340)] = 794515,
  [SMALL_STATE(20341)] = 794529,
  [SMALL_STATE(20342)] = 794543,
  [SMALL_STATE(20343)] = 794557,
  [SMALL_STATE(20344)] = 794571,
  [SMALL_STATE(20345)] = 794585,
  [SMALL_STATE(20346)] = 794599,
  [SMALL_STATE(20347)] = 794613,
  [SMALL_STATE(20348)] = 794627,
  [SMALL_STATE(20349)] = 794641,
  [SMALL_STATE(20350)] = 794655,
  [SMALL_STATE(20351)] = 794669,
  [SMALL_STATE(20352)] = 794683,
  [SMALL_STATE(20353)] = 794697,
  [SMALL_STATE(20354)] = 794711,
  [SMALL_STATE(20355)] = 794725,
  [SMALL_STATE(20356)] = 794739,
  [SMALL_STATE(20357)] = 794753,
  [SMALL_STATE(20358)] = 794767,
  [SMALL_STATE(20359)] = 794781,
  [SMALL_STATE(20360)] = 794795,
  [SMALL_STATE(20361)] = 794809,
  [SMALL_STATE(20362)] = 794823,
  [SMALL_STATE(20363)] = 794837,
  [SMALL_STATE(20364)] = 794851,
  [SMALL_STATE(20365)] = 794865,
  [SMALL_STATE(20366)] = 794879,
  [SMALL_STATE(20367)] = 794893,
  [SMALL_STATE(20368)] = 794907,
  [SMALL_STATE(20369)] = 794921,
  [SMALL_STATE(20370)] = 794935,
  [SMALL_STATE(20371)] = 794949,
  [SMALL_STATE(20372)] = 794963,
  [SMALL_STATE(20373)] = 794977,
  [SMALL_STATE(20374)] = 794991,
  [SMALL_STATE(20375)] = 795005,
  [SMALL_STATE(20376)] = 795019,
  [SMALL_STATE(20377)] = 795033,
  [SMALL_STATE(20378)] = 795047,
  [SMALL_STATE(20379)] = 795061,
  [SMALL_STATE(20380)] = 795075,
  [SMALL_STATE(20381)] = 795089,
  [SMALL_STATE(20382)] = 795103,
  [SMALL_STATE(20383)] = 795117,
  [SMALL_STATE(20384)] = 795131,
  [SMALL_STATE(20385)] = 795145,
  [SMALL_STATE(20386)] = 795159,
  [SMALL_STATE(20387)] = 795173,
  [SMALL_STATE(20388)] = 795187,
  [SMALL_STATE(20389)] = 795201,
  [SMALL_STATE(20390)] = 795215,
  [SMALL_STATE(20391)] = 795229,
  [SMALL_STATE(20392)] = 795243,
  [SMALL_STATE(20393)] = 795257,
  [SMALL_STATE(20394)] = 795271,
  [SMALL_STATE(20395)] = 795285,
  [SMALL_STATE(20396)] = 795299,
  [SMALL_STATE(20397)] = 795313,
  [SMALL_STATE(20398)] = 795327,
  [SMALL_STATE(20399)] = 795341,
  [SMALL_STATE(20400)] = 795355,
  [SMALL_STATE(20401)] = 795369,
  [SMALL_STATE(20402)] = 795383,
  [SMALL_STATE(20403)] = 795397,
  [SMALL_STATE(20404)] = 795411,
  [SMALL_STATE(20405)] = 795425,
  [SMALL_STATE(20406)] = 795439,
  [SMALL_STATE(20407)] = 795453,
  [SMALL_STATE(20408)] = 795467,
  [SMALL_STATE(20409)] = 795481,
  [SMALL_STATE(20410)] = 795495,
  [SMALL_STATE(20411)] = 795509,
  [SMALL_STATE(20412)] = 795523,
  [SMALL_STATE(20413)] = 795537,
  [SMALL_STATE(20414)] = 795551,
  [SMALL_STATE(20415)] = 795565,
  [SMALL_STATE(20416)] = 795579,
  [SMALL_STATE(20417)] = 795593,
  [SMALL_STATE(20418)] = 795607,
  [SMALL_STATE(20419)] = 795621,
  [SMALL_STATE(20420)] = 795635,
  [SMALL_STATE(20421)] = 795649,
  [SMALL_STATE(20422)] = 795663,
  [SMALL_STATE(20423)] = 795677,
  [SMALL_STATE(20424)] = 795691,
  [SMALL_STATE(20425)] = 795705,
  [SMALL_STATE(20426)] = 795719,
  [SMALL_STATE(20427)] = 795733,
  [SMALL_STATE(20428)] = 795747,
  [SMALL_STATE(20429)] = 795761,
  [SMALL_STATE(20430)] = 795775,
  [SMALL_STATE(20431)] = 795789,
  [SMALL_STATE(20432)] = 795803,
  [SMALL_STATE(20433)] = 795817,
  [SMALL_STATE(20434)] = 795831,
  [SMALL_STATE(20435)] = 795845,
  [SMALL_STATE(20436)] = 795859,
  [SMALL_STATE(20437)] = 795873,
  [SMALL_STATE(20438)] = 795887,
  [SMALL_STATE(20439)] = 795901,
  [SMALL_STATE(20440)] = 795915,
  [SMALL_STATE(20441)] = 795929,
  [SMALL_STATE(20442)] = 795943,
  [SMALL_STATE(20443)] = 795957,
  [SMALL_STATE(20444)] = 795971,
  [SMALL_STATE(20445)] = 795985,
  [SMALL_STATE(20446)] = 795999,
  [SMALL_STATE(20447)] = 796013,
  [SMALL_STATE(20448)] = 796027,
  [SMALL_STATE(20449)] = 796031,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15938),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12678),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13854),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12111),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13267),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13498),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10956),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10923),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13654),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14077),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15369),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15382),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15410),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3994),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5166),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4364),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13854),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12090),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1669),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8852),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4194),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2724),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13253),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13780),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10956),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11521),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13610),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10493),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4882),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13848),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2670),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3717),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3730),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13855),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14129),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4233),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15240),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16049),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8268),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13302),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12477),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4285),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8268),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4584),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4370),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16832),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16937),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7572),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9970),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9733),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4141),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11021),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4239),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15887),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7783),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14678),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5410),
  [143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12114),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7275),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10194),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6796),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6923),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7140),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6772),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9719),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10705),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5537),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6256),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10167),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12867),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10439),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7634),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7855),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4895),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5698),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7697),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20449),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5662),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7835),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9260),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9417),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10870),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7395),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9945),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8660),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7571),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6683),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6466),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9339),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10779),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7334),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10000),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9950),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10959),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6894),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10478),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13201),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5806),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5059),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5342),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5866),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11738),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6170),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6211),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9831),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6258),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6313),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5880),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9449),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6782),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4887),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13162),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12755),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6418),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5885),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9825),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5616),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5247),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9286),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9290),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12847),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7838),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2723),
  [297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2, 0, 28),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sequence_expression, 2, 0, 28),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2906),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2894),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10590),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4797),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2692),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14040),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14214),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16024),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16368),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15937),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13245),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12370),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4328),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4543),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17136),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2657),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2927),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2897),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10615),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4800),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2700),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13800),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14355),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16030),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16371),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13248),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12458),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4338),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17207),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2852),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2961),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2811),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10380),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4773),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2673),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13859),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14137),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15858),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16253),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13316),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12242),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16479),
  [459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2851),
  [461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3076),
  [469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2844),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10310),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4778),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2720),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14115),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14344),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15942),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16303),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13357),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12374),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4229),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17114),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3754),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5217),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12098),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1695),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4082),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2735),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13266),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13784),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13745),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13200),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10633),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4860),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2689),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14058),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14244),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15372),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16076),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4085),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13310),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12501),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4580),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17251),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17253),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8891),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2733),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1573),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3374),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2909),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10639),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4826),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2705),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13870),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14183),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16038),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16375),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13251),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12473),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4347),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17267),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2736),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3387),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2916),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10646),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4830),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2708),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13894),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14319),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16040),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16376),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13252),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12474),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4350),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17286),
  [685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 2, 0, 0),
  [687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 2, 0, 0),
  [689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 4, 0, 0),
  [691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 3, 0, 0),
  [693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 1, 0, 0),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3402),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2611),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3632),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2882),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10513),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4794),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2685),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13857),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14140),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16012),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16362),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13240),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12340),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17022),
  [747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 3, 0, 0),
  [749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 4, 0, 0),
  [751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 1, 0, 0),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3338),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2610),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1674),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3615),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2874),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10497),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4793),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2674),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14104),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14330),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3546),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16008),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16360),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13235),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12257),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4303),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16677),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3705),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3874),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2828),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10516),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4774),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2701),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13991),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14138),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15919),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16288),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13336),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12420),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4189),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16777),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3583),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2647),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3792),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2847),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10355),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4779),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2665),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14015),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14181),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4008),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15973),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16328),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13365),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12239),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4237),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17182),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4686),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4785),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2892),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10571),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4831),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14116),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2671),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3611),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3612),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13994),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14145),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4804),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16018),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16365),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4837),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13244),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12366),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4325),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4855),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17124),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4775),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4944),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2794),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10537),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4796),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14048),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14228),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4950),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15818),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16227),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4958),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13263),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12544),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4914),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16540),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2612),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4795),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14106),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3651),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3652),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4772),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2666),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5113),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5228),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2903),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10623),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4803),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2704),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13842),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14231),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5180),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15938),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16036),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16374),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5231),
  [1103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13250),
  [1105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12464),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4344),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5208),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17240),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5203),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5371),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2856),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10415),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4782),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2660),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13946),
  [1143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14239),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5401),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15992),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16346),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5375),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13212),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12426),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4258),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5355),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17492),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4978),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5121),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2855),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10394),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4781),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2682),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3663),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3564),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13810),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14132),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4992),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15990),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16344),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13385),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12317),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4253),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17440),
  [1223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5102),
  [1225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2642),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5189),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10608),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4881),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [1241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2696),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13988),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14139),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5223),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15527),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16126),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5190),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13269),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12558),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4224),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5192),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17496),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5442),
  [1277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1548),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5586),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2898),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10616),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4832),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [1293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [1295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14112),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2669),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3701),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3702),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13823),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14217),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5626),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16034),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16373),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5587),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13249),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12463),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4341),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [1331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5590),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17223),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15937),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5638),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [1341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5824),
  [1347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2957),
  [1349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10387),
  [1351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4802),
  [1353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2697),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13986),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14127),
  [1367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5798),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15988),
  [1373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16342),
  [1375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5826),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13210),
  [1379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12579),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4245),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5829),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17280),
  [1389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2621),
  [1391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4801),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4780),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5746),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [1405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [1409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5845),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2896),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10605),
  [1415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4799),
  [1417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [1419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [1421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [1423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [1425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [1427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14098),
  [1429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14323),
  [1431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6116),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16028),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16370),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5846),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13247),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12456),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4335),
  [1447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5847),
  [1451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17193),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20190),
  [1457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11178),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19810),
  [1461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8179),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19796),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20077),
  [1469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19980),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20077),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4519),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7973),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20289),
  [1481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11507),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18578),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18121),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4518),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8033),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20291),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11510),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19177),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18574),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4520),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6840),
  [1515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20292),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11516),
  [1519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19305),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18792),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4523),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6789),
  [1531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6504),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20293),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11519),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19438),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19175),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4524),
  [1545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4309),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6576),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20294),
  [1555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11522),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19624),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19302),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20218),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11411),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17915),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17643),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4539),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20295),
  [1589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11530),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19866),
  [1593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19433),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4528),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9060),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20296),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11534),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17623),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19620),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4531),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9003),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5743),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20297),
  [1625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11539),
  [1627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20198),
  [1629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [1631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19865),
  [1633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4532),
  [1635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5752),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5126),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20298),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11541),
  [1645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20373),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20197),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4534),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4188),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5015),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5386),
  [1661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20299),
  [1663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11543),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17854),
  [1667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [1669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20372),
  [1671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4537),
  [1673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [1675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5378),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5910),
  [1679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20300),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11550),
  [1683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18706),
  [1685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [1687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17836),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4538),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5947),
  [1695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6429),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20301),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11552),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17875),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18702),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4507),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6197),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6531),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20302),
  [1717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11554),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18851),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17860),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4508),
  [1727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [1729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6241),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9803),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20303),
  [1735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11555),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20176),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18837),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4473),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6100),
  [1749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [1753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [1755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6498),
  [1757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2840),
  [1759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10617),
  [1761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4777),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [1765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [1769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [1773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14061),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14126),
  [1777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6376),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15935),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16300),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6499),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13348),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12575),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4226),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6500),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17054),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9699),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6453),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20304),
  [1805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11557),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17736),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3879),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20170),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4475),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6134),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6448),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20305),
  [1823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11559),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18097),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17730),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4477),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [1835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5870),
  [1837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [1841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [1843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6310),
  [1845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2865),
  [1847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10433),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4805),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [1853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [1855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2662),
  [1859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14123),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14352),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6172),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15998),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16353),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6344),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13217),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12320),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4275),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6345),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16652),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6358),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20306),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11560),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18474),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18096),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5878),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6520),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2869),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10441),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4809),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2699),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13868),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14175),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6215),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16000),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16355),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6523),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13222),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12194),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4282),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6525),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16664),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6069),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20307),
  [1963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11563),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18657),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18457),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4480),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [1975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5894),
  [1977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [1981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6257),
  [1985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2872),
  [1987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10471),
  [1989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4814),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [1995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2716),
  [1999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13990),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14141),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6261),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16004),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16358),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6316),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13226),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12447),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4294),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6368),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16932),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6046),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20308),
  [2033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11564),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18739),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18656),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4483),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5911),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [2051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6439),
  [2055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2873),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10480),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4818),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [2065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [2069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [2071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14053),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14238),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6315),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16006),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16359),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6442),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13232),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12214),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4300),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [2093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6443),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17470),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7256),
  [2101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20309),
  [2103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11566),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18782),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [2109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18732),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4487),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6954),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7656),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20310),
  [2121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11568),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18865),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3951),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18778),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4489),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6943),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20311),
  [2137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11575),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18927),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18856),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4490),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5199),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20263),
  [2153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11436),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19296),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18777),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4512),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7034),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4864),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20312),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11576),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19001),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18914),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4491),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4839),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20313),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11577),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19048),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19000),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4492),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6642),
  [2205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20314),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11578),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19086),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19041),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4493),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6604),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5850),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20315),
  [2225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11120),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19108),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19081),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5191),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5914),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20316),
  [2245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11581),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19149),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19107),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4495),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12129),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19973),
  [2261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11454),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17889),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20036),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4485),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5607),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20317),
  [2279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11582),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19244),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3829),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19148),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4496),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5614),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5233),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20318),
  [2297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11585),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19307),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19237),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4497),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5136),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20319),
  [2315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11586),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19381),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19303),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4498),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20320),
  [2333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11588),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19429),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19372),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4499),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7333),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7111),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20269),
  [2353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11471),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19710),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17855),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4517),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6860),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6910),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20272),
  [2371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11481),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18021),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18350),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4530),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7188),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6717),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20273),
  [2389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11483),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18912),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19698),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4476),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6733),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7596),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20274),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18017),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4488),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7117),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20275),
  [2419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11486),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19780),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18901),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4500),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7008),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7300),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20280),
  [2437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11488),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18458),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17621),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4502),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7381),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4956),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20282),
  [2455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11497),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19247),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3897),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18455),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4541),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [2467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6002),
  [2469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [2473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [2475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6435),
  [2477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2895),
  [2479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10600),
  [2481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4798),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [2485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [2487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [2489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [2491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [2493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14068),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14266),
  [2497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6579),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16026),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16369),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6441),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13246),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12416),
  [2511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4332),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6449),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17175),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4957),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6868),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20287),
  [2525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11499),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18124),
  [2529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17687),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4513),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7174),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20288),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11500),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18356),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17900),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4514),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [2557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2646),
  [2559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4783),
  [2561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2710),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7586),
  [2573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4886),
  [2577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [2581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2667),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2613),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4784),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2690),
  [2597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [2601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6311),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1772),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6864),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2750),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10344),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4786),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [2619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [2623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2668),
  [2625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [2627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13961),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14300),
  [2631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7209),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15605),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16154),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6871),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13303),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12485),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4361),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6842),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17268),
  [2653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2601),
  [2655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4787),
  [2657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [2659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [2661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2698),
  [2663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [2667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6317),
  [2669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2648),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [2673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [2675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6814),
  [2677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2761),
  [2679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10320),
  [2681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4788),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [2685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [2687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [2689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2693),
  [2691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [2693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13906),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14128),
  [2697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6984),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15628),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16160),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6826),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13361),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12207),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4374),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6682),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16944),
  [2719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2604),
  [2721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4789),
  [2723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [2725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [2727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2703),
  [2729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [2733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6396),
  [2735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [2739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1569),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6831),
  [2743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2834),
  [2745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10540),
  [2747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4776),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [2751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [2753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [2755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2680),
  [2757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [2759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14030),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14197),
  [2763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7127),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15928),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16293),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6833),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13341),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12553),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [2781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6834),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16998),
  [2785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6532),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [2789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [2791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [2793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6677),
  [2795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2775),
  [2797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10564),
  [2799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4790),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [2807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [2809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [2811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13814),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14170),
  [2815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6987),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15652),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16164),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6680),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13238),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12438),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6738),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17503),
  [2837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2608),
  [2839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4791),
  [2841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [2843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [2845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2706),
  [2847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [2851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6537),
  [2853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [2857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [2859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7104),
  [2861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2784),
  [2863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10525),
  [2865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4792),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [2869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [2871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [2873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2686),
  [2875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [2877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14120),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14284),
  [2881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6867),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15673),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16169),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7108),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13311),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12255),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7110),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16818),
  [2903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [2905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4891),
  [2907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [2909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [2911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2672),
  [2913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [2917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2634),
  [2919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4770),
  [2921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [2923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [2925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [2927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [2931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [2933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4763),
  [2935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [2937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [2939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2691),
  [2941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [2945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [2947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4765),
  [2949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [2951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [2953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2711),
  [2955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [2959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7586),
  [2961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5850),
  [2963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3380),
  [2965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9060),
  [2967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5743),
  [2969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3637),
  [2971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3392),
  [2973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3088),
  [2975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6531),
  [2977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5910),
  [2979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7111),
  [2981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2932),
  [2983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7256),
  [2985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3620),
  [2987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6910),
  [2989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7973),
  [2991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6717),
  [2993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5607),
  [2995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7596),
  [2997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12129),
  [2999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6642),
  [3001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3821),
  [3003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7117),
  [3005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6504),
  [3007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6943),
  [3009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9803),
  [3011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7300),
  [3013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5126),
  [3015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4113),
  [3017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4956),
  [3019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4864),
  [3021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5199),
  [3023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6069),
  [3025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6868),
  [3027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5233),
  [3029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6453),
  [3031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2912),
  [3033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2968),
  [3035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6448),
  [3037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6429),
  [3039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3966),
  [3041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4136),
  [3043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5386),
  [3045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6840),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8267),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8259),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16038),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16375),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12378),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16040),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16376),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15858),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16253),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15240),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16049),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10435),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16018),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16365),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15942),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16303),
  [3079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2842),
  [3081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [3083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [3085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17068),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13264),
  [3089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20404),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4329),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15372),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16076),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15973),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16328),
  [3101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2888),
  [3103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17304),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13356),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18070),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16008),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16360),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15818),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16227),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16012),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16362),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15919),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16288),
  [3127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16024),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16368),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16030),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16371),
  [3135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10367),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6104),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5865),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [3145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3328),
  [3147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16925),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13300),
  [3151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18202),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4351),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6586),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7613),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6387),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4234),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6637),
  [3167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8245),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5707),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7213),
  [3173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7997),
  [3175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3442),
  [3177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16787),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13358),
  [3181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17708),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9807),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7230),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5212),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6904),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4877),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7351),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6873),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7922),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7190),
  [3209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3143),
  [3211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17010),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13255),
  [3215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19215),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4152),
  [3219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3323),
  [3221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17495),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13355),
  [3225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17818),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4348),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9016),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7109),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9392),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6614),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5757),
  [3245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8250),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6388),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7651),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5098),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4982),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5251),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5837),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5389),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6788),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7235),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6464),
  [3271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3715),
  [3273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16698),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13363),
  [3277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18853),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4304),
  [3281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3732),
  [3283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16800),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13374),
  [3287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19340),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4313),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6296),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5816),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6580),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6581),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5794),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5768),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6599),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6601),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6607),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6609),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4993),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6117),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6118),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4994),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4251),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5838),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5897),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5919),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6096),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6686),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6699),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5010),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5012),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6863),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5202),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5018),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5631),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5675),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5020),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6935),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5230),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5699),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5611),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5403),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5623),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5625),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5408),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7419),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7423),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5181),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5183),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [3403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3749),
  [3405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17398),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13315),
  [3409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20166),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4190),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5279),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5289),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7193),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5141),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5143),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5360),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5369),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7201),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7306),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7314),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5385),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5398),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7347),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7366),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7062),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5924),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5925),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7101),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7093),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6763),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6771),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5942),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5944),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7324),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5950),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5952),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6807),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6824),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6174),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6175),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7326),
  [3503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_application_expression, 2, 0, 27),
  [3505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_application_expression, 2, 0, 27),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6722),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6411),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6192),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6194),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6413),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6200),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6202),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6737),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7081),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6217),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6218),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7185),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4894),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6565),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6236),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6238),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6569),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6245),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6247),
  [3545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3944),
  [3547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17392),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13273),
  [3551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18041),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4238),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9672),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4278),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9673),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6622),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6639),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7979),
  [3567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2842),
  [3570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48),
  [3572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48),
  [3574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17068),
  [3577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(187),
  [3580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1766),
  [3583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2906),
  [3586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2894),
  [3589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10590),
  [3592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1767),
  [3595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14040),
  [3598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14214),
  [3601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(286),
  [3604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2743),
  [3607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16024),
  [3610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16368),
  [3613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2907),
  [3616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13245),
  [3619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12370),
  [3622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4328),
  [3625] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2908),
  [3628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17136),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9693),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9695),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7981),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9702),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9704),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6263),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6265),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [3649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2888),
  [3652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17304),
  [3655] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(194),
  [3658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1536),
  [3661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2927),
  [3664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2897),
  [3667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10615),
  [3670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1537),
  [3673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13800),
  [3676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14355),
  [3679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(256),
  [3682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2797),
  [3685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16030),
  [3688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16371),
  [3691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2928),
  [3694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13248),
  [3697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12458),
  [3700] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4338),
  [3703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2929),
  [3706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17207),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4955),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4203),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6285),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5294),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6288),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6992),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6711),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6299),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7040),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6324),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6326),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8024),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6351),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6354),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6847),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4142),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6362),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6365),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6853),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8028),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6875),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6878),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7114),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5240),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4019),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8040),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5242),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8047),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6021),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6022),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7179),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7210),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6041),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6043),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6050),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6053),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7123),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7374),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7377),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9126),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6909),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6911),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9135),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6948),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6951),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4940),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6959),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6961),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4948),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7582),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7585),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4372),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4970),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4197),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7635),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7647),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4200),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7664),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7669),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9090),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6991),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7055),
  [3887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6993),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9149),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7066),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9023),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7027),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7030),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9082),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7038),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7041),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4806),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4807),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4942),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7229),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5785),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5786),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4833),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7245),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4835),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7386),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4842),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4844),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6759),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6857),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5291),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7393),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7090),
  [3947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5804),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6707),
  [3955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4360),
  [3957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17329),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13345),
  [3961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19974),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [3965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3143),
  [3968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17010),
  [3971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(223),
  [3974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1518),
  [3977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2961),
  [3980] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2811),
  [3983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10380),
  [3986] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1532),
  [3989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13859),
  [3992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14137),
  [3995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(287),
  [3998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3337),
  [4001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15858),
  [4004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16253),
  [4007] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3498),
  [4010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13316),
  [4013] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12242),
  [4016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4151),
  [4019] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2964),
  [4022] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16479),
  [4025] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3442),
  [4028] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16787),
  [4031] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(140),
  [4034] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1645),
  [4037] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3076),
  [4040] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2844),
  [4043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10310),
  [4046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1648),
  [4049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14115),
  [4052] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14344),
  [4055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(252),
  [4058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3210),
  [4061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15942),
  [4064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16303),
  [4067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3078),
  [4070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13357),
  [4073] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12374),
  [4076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4229),
  [4079] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3081),
  [4082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17114),
  [4085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4222),
  [4087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16556),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13317),
  [4091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17928),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4305),
  [4095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3323),
  [4098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17495),
  [4101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(201),
  [4104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1573),
  [4107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3374),
  [4110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2909),
  [4113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10639),
  [4116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1574),
  [4119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13870),
  [4122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14183),
  [4125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(247),
  [4128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3189),
  [4131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16038),
  [4134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16375),
  [4137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3375),
  [4140] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13251),
  [4143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12473),
  [4146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4347),
  [4149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3377),
  [4152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17267),
  [4155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3328),
  [4158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16925),
  [4161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(203),
  [4164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1587),
  [4167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3387),
  [4170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2916),
  [4173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10646),
  [4176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1588),
  [4179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13894),
  [4182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14319),
  [4185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(251),
  [4188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3246),
  [4191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16040),
  [4194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16376),
  [4197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3388),
  [4200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13252),
  [4203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12474),
  [4206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4350),
  [4209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3389),
  [4212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17286),
  [4215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3732),
  [4218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16800),
  [4221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(176),
  [4224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1703),
  [4227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3632),
  [4230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2882),
  [4233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10513),
  [4236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1704),
  [4239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13857),
  [4242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14140),
  [4245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(250),
  [4248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3668),
  [4251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16012),
  [4254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16362),
  [4257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3633),
  [4260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13240),
  [4263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12340),
  [4266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4312),
  [4269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3634),
  [4272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17022),
  [4275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3715),
  [4278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16698),
  [4281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(170),
  [4284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1674),
  [4287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3615),
  [4290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2874),
  [4293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10497),
  [4296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1675),
  [4299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14104),
  [4302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14330),
  [4305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(258),
  [4308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3546),
  [4311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16008),
  [4314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16360),
  [4317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3616),
  [4320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13235),
  [4323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12257),
  [4326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4303),
  [4329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3617),
  [4332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16677),
  [4335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3944),
  [4338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17392),
  [4341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(143),
  [4344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1681),
  [4347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3792),
  [4350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2847),
  [4353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10355),
  [4356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1682),
  [4359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14015),
  [4362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14181),
  [4365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(270),
  [4368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4008),
  [4371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15973),
  [4374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16328),
  [4377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3804),
  [4380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13365),
  [4383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12239),
  [4386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4237),
  [4389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3806),
  [4392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17182),
  [4395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3749),
  [4398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17398),
  [4401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(133),
  [4404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1741),
  [4407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3874),
  [4410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2828),
  [4413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10516),
  [4416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1749),
  [4419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13991),
  [4422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14138),
  [4425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(291),
  [4428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3895),
  [4431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15919),
  [4434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16288),
  [4437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3884),
  [4440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13336),
  [4443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12420),
  [4446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4189),
  [4449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(3904),
  [4452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16777),
  [4455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4222),
  [4458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16556),
  [4461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(130),
  [4464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1669),
  [4467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4194),
  [4470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2724),
  [4473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10493),
  [4476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1651),
  [4479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13855),
  [4482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14129),
  [4485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(292),
  [4488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4233),
  [4491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15240),
  [4494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16049),
  [4497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4243),
  [4500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13302),
  [4503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12477),
  [4506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4285),
  [4509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4370),
  [4512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16937),
  [4515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4360),
  [4518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17329),
  [4521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(141),
  [4524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1695),
  [4527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4082),
  [4530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2735),
  [4533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10633),
  [4536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1699),
  [4539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14058),
  [4542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14244),
  [4545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(278),
  [4548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4083),
  [4551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15372),
  [4554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16076),
  [4557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4085),
  [4560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13310),
  [4563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12501),
  [4566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4086),
  [4569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4088),
  [4572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17253),
  [4575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4769),
  [4577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17009),
  [4579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13221),
  [4581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20233),
  [4583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4326),
  [4585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4977),
  [4587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17066),
  [4589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13268),
  [4591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20014),
  [4593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [4595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5067),
  [4597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17031),
  [4599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13340),
  [4601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19351),
  [4603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4254),
  [4605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5170),
  [4607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17506),
  [4609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13359),
  [4611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20405),
  [4613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4345),
  [4615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5270),
  [4617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17386),
  [4619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13306),
  [4621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17842),
  [4623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4231),
  [4625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4769),
  [4628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17009),
  [4631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(185),
  [4634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1750),
  [4637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4785),
  [4640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2892),
  [4643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10571),
  [4646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1751),
  [4649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13994),
  [4652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14145),
  [4655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(280),
  [4658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4804),
  [4661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16018),
  [4664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16365),
  [4667] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4837),
  [4670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13244),
  [4673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12366),
  [4676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4325),
  [4679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4855),
  [4682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17124),
  [4685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5399),
  [4687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17215),
  [4689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13337),
  [4691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19939),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4259),
  [4695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4977),
  [4698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17066),
  [4701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(218),
  [4704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1625),
  [4707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4944),
  [4710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2794),
  [4713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10537),
  [4716] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1650),
  [4719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14048),
  [4722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14228),
  [4725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(279),
  [4728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4950),
  [4731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15818),
  [4734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16227),
  [4737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4958),
  [4740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13263),
  [4743] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12544),
  [4746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4112),
  [4749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4914),
  [4752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16540),
  [4755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5067),
  [4758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17031),
  [4761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(150),
  [4764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1524),
  [4767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5121),
  [4770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2855),
  [4773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10394),
  [4776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1527),
  [4779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13810),
  [4782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14132),
  [4785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(277),
  [4788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4992),
  [4791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15990),
  [4794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16344),
  [4797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5122),
  [4800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13385),
  [4803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12317),
  [4806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4253),
  [4809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5123),
  [4812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17440),
  [4815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5170),
  [4818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17506),
  [4821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(199),
  [4824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1562),
  [4827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5228),
  [4830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2903),
  [4833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10623),
  [4836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1563),
  [4839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13842),
  [4842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14231),
  [4845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(284),
  [4848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5180),
  [4851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16036),
  [4854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16374),
  [4857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5231),
  [4860] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13250),
  [4863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12464),
  [4866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4344),
  [4869] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5208),
  [4872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17240),
  [4875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5270),
  [4878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17386),
  [4881] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(183),
  [4884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1680),
  [4887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5189),
  [4890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2741),
  [4893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10608),
  [4896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1689),
  [4899] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13988),
  [4902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14139),
  [4905] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(281),
  [4908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5223),
  [4911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15527),
  [4914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16126),
  [4917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5190),
  [4920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13269),
  [4923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12558),
  [4926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4224),
  [4929] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5192),
  [4932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17496),
  [4935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5597),
  [4937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17456),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13370),
  [4941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19147),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4342),
  [4945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5817),
  [4947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16788),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13230),
  [4951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18988),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4246),
  [4955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5413),
  [4957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 0),
  [4959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 0),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [4963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4547),
  [4965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5354),
  [4967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13645),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14781),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4548),
  [4973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4505),
  [4975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19870),
  [4977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15484),
  [4979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16116),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5297),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19871),
  [4985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13297),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12491),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5260),
  [4991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17001),
  [4993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5399),
  [4996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17215),
  [4999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(153),
  [5002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1556),
  [5005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5371),
  [5008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2856),
  [5011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10415),
  [5014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1559),
  [5017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13946),
  [5020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14239),
  [5023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(293),
  [5026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5401),
  [5029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15992),
  [5032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16346),
  [5035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5375),
  [5038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13212),
  [5041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12426),
  [5044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4258),
  [5047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5355),
  [5050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17492),
  [5053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5518),
  [5055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [5057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4582),
  [5059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5299),
  [5061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13604),
  [5063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14460),
  [5065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [5067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4526),
  [5069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18938),
  [5071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15719),
  [5073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16182),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5301),
  [5077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19163),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13360),
  [5081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12436),
  [5083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5224),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17238),
  [5087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5580),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [5091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4559),
  [5093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5472),
  [5095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13476),
  [5097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14854),
  [5099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4562),
  [5101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4486),
  [5103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18976),
  [5105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15835),
  [5107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16239),
  [5109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5473),
  [5111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18063),
  [5113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13290),
  [5115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12563),
  [5117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5311),
  [5119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17186),
  [5121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5608),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [5125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4589),
  [5127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5446),
  [5129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13566),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14743),
  [5133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4590),
  [5135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4474),
  [5137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19749),
  [5139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15823),
  [5141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16230),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5452),
  [5145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18428),
  [5147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13270),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12585),
  [5151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5310),
  [5153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16726),
  [5155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5893),
  [5157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17199),
  [5159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13331),
  [5161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19745),
  [5163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4336),
  [5165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6568),
  [5167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16504),
  [5169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13372),
  [5171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18417),
  [5173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4295),
  [5175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6578),
  [5177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16602),
  [5179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13277),
  [5181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18632),
  [5183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4301),
  [5185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6527),
  [5187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17348),
  [5189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13377),
  [5191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17748),
  [5193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4276),
  [5195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5597),
  [5198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17456),
  [5201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(197),
  [5204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1548),
  [5207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5586),
  [5210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2898),
  [5213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10616),
  [5216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1549),
  [5219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13823),
  [5222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14217),
  [5225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(266),
  [5228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5626),
  [5231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16034),
  [5234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16373),
  [5237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5587),
  [5240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13249),
  [5243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12463),
  [5246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4341),
  [5249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5590),
  [5252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17223),
  [5255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6171),
  [5257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17314),
  [5259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13346),
  [5261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19616),
  [5263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4227),
  [5265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6551),
  [5267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17475),
  [5269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13236),
  [5271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17963),
  [5273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4283),
  [5275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6158),
  [5277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17125),
  [5279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13287),
  [5281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19560),
  [5283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4333),
  [5285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10514),
  [5287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [5289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7913),
  [5291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17117),
  [5293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3928),
  [5295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12066),
  [5297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20286),
  [5299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13597),
  [5301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3694),
  [5303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14780),
  [5305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14360),
  [5307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17902),
  [5309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3929),
  [5311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3699),
  [5313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18956),
  [5315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15862),
  [5317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15897),
  [5319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12071),
  [5321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16533),
  [5323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13367),
  [5325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12399),
  [5327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20369),
  [5329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8480),
  [5331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16791),
  [5333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7761),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20235),
  [5337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14454),
  [5339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19283),
  [5341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19236),
  [5343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6729),
  [5345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17169),
  [5347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13332),
  [5349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18650),
  [5351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4079),
  [5353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10098),
  [5355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20266),
  [5357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14827),
  [5359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18373),
  [5361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19289),
  [5363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7519),
  [5365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20281),
  [5367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14498),
  [5369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18911),
  [5371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17946),
  [5373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6809),
  [5375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17128),
  [5377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13292),
  [5379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19284),
  [5381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4375),
  [5383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8616),
  [5385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20290),
  [5387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14843),
  [5389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18796),
  [5391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18352),
  [5393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13651),
  [5395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20278),
  [5397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14961),
  [5399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20438),
  [5401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20426),
  [5403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14914),
  [5405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18842),
  [5407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7241),
  [5409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17468),
  [5411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13347),
  [5413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17757),
  [5415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4215),
  [5417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10157),
  [5419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 1, 0, 18),
  [5421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 1, 0, 18),
  [5423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8823),
  [5425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [5427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16247),
  [5429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [5431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4643),
  [5433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4644),
  [5435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3871),
  [5437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10093),
  [5439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7899),
  [5441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13756),
  [5443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14857),
  [5445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14631),
  [5447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4649),
  [5449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [5451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19537),
  [5453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15242),
  [5455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15583),
  [5457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16150),
  [5459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10095),
  [5461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19538),
  [5463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13383),
  [5465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12192),
  [5467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8409),
  [5469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17530),
  [5471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8703),
  [5473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [5475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4631),
  [5477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4634),
  [5479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14842),
  [5481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4618),
  [5483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7601),
  [5485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20284),
  [5487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14629),
  [5489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20378),
  [5491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19221),
  [5493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5817),
  [5496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16788),
  [5499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(148),
  [5502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1754),
  [5505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5824),
  [5508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2957),
  [5511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10387),
  [5514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1755),
  [5517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13986),
  [5520] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14127),
  [5523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(249),
  [5526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5798),
  [5529] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15988),
  [5532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16342),
  [5535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5826),
  [5538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13210),
  [5541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12579),
  [5544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4245),
  [5547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5829),
  [5550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17280),
  [5553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6746),
  [5555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17063),
  [5557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13296),
  [5559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19493),
  [5561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4363),
  [5563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6673),
  [5565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16751),
  [5567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13307),
  [5569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19596),
  [5571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4075),
  [5573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5893),
  [5576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17199),
  [5579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(191),
  [5582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1525),
  [5585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5845),
  [5588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2896),
  [5591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10605),
  [5594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1526),
  [5597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14098),
  [5600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14323),
  [5603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(246),
  [5606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6116),
  [5609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16028),
  [5612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16370),
  [5615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5846),
  [5618] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13247),
  [5621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12456),
  [5624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4335),
  [5627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5847),
  [5630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17193),
  [5633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5891),
  [5635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_expression, 1, 0, 0),
  [5637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_expression, 1, 0, 0),
  [5639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17335),
  [5641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [5643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [5645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5903),
  [5647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2861),
  [5649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10426),
  [5651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [5653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14049),
  [5655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14230),
  [5657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [5659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5923),
  [5661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15994),
  [5663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16348),
  [5665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5904),
  [5667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13214),
  [5669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12535),
  [5671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [5673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5906),
  [5675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16830),
  [5677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5983),
  [5680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17109),
  [5683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(173),
  [5686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1691),
  [5689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6031),
  [5692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2878),
  [5695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10506),
  [5698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1692),
  [5701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13821),
  [5704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14243),
  [5707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(282),
  [5710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6020),
  [5713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16010),
  [5716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16361),
  [5719] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6052),
  [5722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13239),
  [5725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12296),
  [5728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4307),
  [5731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6062),
  [5734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16938),
  [5737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_application, 2, 0, 61),
  [5739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_application, 2, 0, 61),
  [5741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5983),
  [5743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17109),
  [5745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [5747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [5749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6031),
  [5751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2878),
  [5753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10506),
  [5755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [5757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13821),
  [5759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14243),
  [5761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [5763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6020),
  [5765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16010),
  [5767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16361),
  [5769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6052),
  [5771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13239),
  [5773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12296),
  [5775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4307),
  [5777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6062),
  [5779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16938),
  [5781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5891),
  [5784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17335),
  [5787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(155),
  [5790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1591),
  [5793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5903),
  [5796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2861),
  [5799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10426),
  [5802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1592),
  [5805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14049),
  [5808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14230),
  [5811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(254),
  [5814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5923),
  [5817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15994),
  [5820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16348),
  [5823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5904),
  [5826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13214),
  [5829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12535),
  [5832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4267),
  [5835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(5906),
  [5838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16830),
  [5841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8833),
  [5843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [5845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [5847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4654),
  [5849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14927),
  [5851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4615),
  [5853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8829),
  [5855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [5857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4616),
  [5859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4629),
  [5861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14722),
  [5863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4619),
  [5865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6527),
  [5868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17348),
  [5871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(157),
  [5874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1608),
  [5877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6310),
  [5880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2865),
  [5883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10433),
  [5886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1609),
  [5889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14123),
  [5892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14352),
  [5895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(290),
  [5898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6172),
  [5901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15998),
  [5904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16353),
  [5907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6344),
  [5910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13217),
  [5913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12320),
  [5916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4275),
  [5919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6345),
  [5922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16652),
  [5925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6551),
  [5928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17475),
  [5931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(159),
  [5934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1621),
  [5937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6520),
  [5940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2869),
  [5943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10441),
  [5946] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1622),
  [5949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13868),
  [5952] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14175),
  [5955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(253),
  [5958] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6215),
  [5961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16000),
  [5964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16355),
  [5967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6523),
  [5970] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13222),
  [5973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12194),
  [5976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4282),
  [5979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6525),
  [5982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16664),
  [5985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6568),
  [5988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16504),
  [5991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(164),
  [5994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1646),
  [5997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6257),
  [6000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2872),
  [6003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10471),
  [6006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1647),
  [6009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13990),
  [6012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14141),
  [6015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(285),
  [6018] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6261),
  [6021] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16004),
  [6024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16358),
  [6027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6316),
  [6030] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13226),
  [6033] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12447),
  [6036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4294),
  [6039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6368),
  [6042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16932),
  [6045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6171),
  [6048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17314),
  [6051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(137),
  [6054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1613),
  [6057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6498),
  [6060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2840),
  [6063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10617),
  [6066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1616),
  [6069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14061),
  [6072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14126),
  [6075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(272),
  [6078] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6376),
  [6081] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15935),
  [6084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16300),
  [6087] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6499),
  [6090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13348),
  [6093] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12575),
  [6096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4226),
  [6099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6500),
  [6102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17054),
  [6105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6578),
  [6108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16602),
  [6111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(167),
  [6114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1660),
  [6117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6439),
  [6120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2873),
  [6123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10480),
  [6126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1661),
  [6129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14053),
  [6132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14238),
  [6135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(289),
  [6138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6315),
  [6141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16006),
  [6144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16359),
  [6147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6442),
  [6150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13232),
  [6153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12214),
  [6156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4300),
  [6159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6443),
  [6162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17470),
  [6165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6158),
  [6168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17125),
  [6171] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(189),
  [6174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1514),
  [6177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6435),
  [6180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2895),
  [6183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10600),
  [6186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1515),
  [6189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14068),
  [6192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14266),
  [6195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(269),
  [6198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6579),
  [6201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16026),
  [6204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16369),
  [6207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6441),
  [6210] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13246),
  [6213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12416),
  [6216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4332),
  [6219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6449),
  [6222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17175),
  [6225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6729),
  [6228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17169),
  [6231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(214),
  [6234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1679),
  [6237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(7104),
  [6240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2784),
  [6243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10525),
  [6246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1705),
  [6249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14120),
  [6252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14284),
  [6255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(271),
  [6258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6867),
  [6261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15673),
  [6264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16169),
  [6267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(7108),
  [6270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13311),
  [6273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12255),
  [6276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4078),
  [6279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(7110),
  [6282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16818),
  [6285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6701),
  [6287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16572),
  [6289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [6291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [6293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6650),
  [6295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2884),
  [6297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10375),
  [6299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [6301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13898),
  [6303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14334),
  [6305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [6307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6899),
  [6309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15982),
  [6311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16336),
  [6313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7250),
  [6315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13241),
  [6317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12354),
  [6319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4315),
  [6321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7251),
  [6323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17076),
  [6325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6701),
  [6328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16572),
  [6331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(179),
  [6334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1715),
  [6337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6650),
  [6340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2884),
  [6343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10375),
  [6346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1716),
  [6349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13898),
  [6352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14334),
  [6355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(257),
  [6358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6899),
  [6361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15982),
  [6364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16336),
  [6367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(7250),
  [6370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13241),
  [6373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12354),
  [6376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4315),
  [6379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(7251),
  [6382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17076),
  [6385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(7241),
  [6388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17468),
  [6391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(135),
  [6394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1569),
  [6397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6831),
  [6400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2834),
  [6403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10540),
  [6406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1576),
  [6409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14030),
  [6412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14197),
  [6415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(294),
  [6418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(7127),
  [6421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15928),
  [6424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16293),
  [6427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6833),
  [6430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13341),
  [6433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12553),
  [6436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4214),
  [6439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6834),
  [6442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16998),
  [6445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6673),
  [6448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16751),
  [6451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(210),
  [6454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1768),
  [6457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6677),
  [6460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2775),
  [6463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10564),
  [6466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1598),
  [6469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13814),
  [6472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14170),
  [6475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(263),
  [6478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6987),
  [6481] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15652),
  [6484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16164),
  [6487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6680),
  [6490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13238),
  [6493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12438),
  [6496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4071),
  [6499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6738),
  [6502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17503),
  [6505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6809),
  [6508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17128),
  [6511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(208),
  [6514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1738),
  [6517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6814),
  [6520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2761),
  [6523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10320),
  [6526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1742),
  [6529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13906),
  [6532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14128),
  [6535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(259),
  [6538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6984),
  [6541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15628),
  [6544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16160),
  [6547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6826),
  [6550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13361),
  [6553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12207),
  [6556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4374),
  [6559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6682),
  [6562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16944),
  [6565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6896),
  [6567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17113),
  [6569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [6571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [6573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6803),
  [6575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2890),
  [6577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10534),
  [6579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [6581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13960),
  [6583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14291),
  [6585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [6587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6981),
  [6589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16016),
  [6591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16364),
  [6593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6804),
  [6595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13243),
  [6597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12358),
  [6599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4322),
  [6601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6821),
  [6603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17108),
  [6605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7112),
  [6607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17016),
  [6609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [6611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [6613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6841),
  [6615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2803),
  [6617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10361),
  [6619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [6621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13801),
  [6623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14345),
  [6625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [6627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6678),
  [6629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15735),
  [6631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16188),
  [6633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6843),
  [6635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13309),
  [6637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12527),
  [6639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [6641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6844),
  [6643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17435),
  [6645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6746),
  [6648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17063),
  [6651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(206),
  [6654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1772),
  [6657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6864),
  [6660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2750),
  [6663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10344),
  [6666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1657),
  [6669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13961),
  [6672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14300),
  [6675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(255),
  [6678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(7209),
  [6681] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15605),
  [6684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16154),
  [6687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6871),
  [6690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13303),
  [6693] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12485),
  [6696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4361),
  [6699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6842),
  [6702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17268),
  [6705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(7112),
  [6708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17016),
  [6711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(221),
  [6714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1612),
  [6717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6841),
  [6720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2803),
  [6723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10361),
  [6726] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1619),
  [6729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13801),
  [6732] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14345),
  [6735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(283),
  [6738] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6678),
  [6741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15735),
  [6744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16188),
  [6747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6843),
  [6750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13309),
  [6753] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12527),
  [6756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4131),
  [6759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6844),
  [6762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17435),
  [6765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6896),
  [6768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17113),
  [6771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(182),
  [6774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1737),
  [6777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6803),
  [6780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2890),
  [6783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10534),
  [6786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1739),
  [6789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13960),
  [6792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14291),
  [6795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(273),
  [6798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6981),
  [6801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16016),
  [6804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16364),
  [6807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6804),
  [6810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13243),
  [6813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12358),
  [6816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4322),
  [6819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(6821),
  [6822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17108),
  [6825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10447),
  [6827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [6829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4545),
  [6831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13771),
  [6833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4546),
  [6835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4472),
  [6837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8782),
  [6839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20279),
  [6841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14418),
  [6843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17961),
  [6845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18692),
  [6847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5477),
  [6849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20285),
  [6851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14692),
  [6853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17693),
  [6855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19785),
  [6857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5395),
  [6859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20251),
  [6861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14431),
  [6863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18878),
  [6865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18833),
  [6867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5308),
  [6869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20277),
  [6871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14672),
  [6873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18228),
  [6875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17935),
  [6877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5460),
  [6879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20283),
  [6881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14555),
  [6883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19790),
  [6885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18909),
  [6887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7490),
  [6889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 94),
  [6891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 94),
  [6893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9547),
  [6895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15415),
  [6897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [6899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3736),
  [6901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7506),
  [6903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7980),
  [6905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13740),
  [6907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15018),
  [6909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [6911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18419),
  [6913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15487),
  [6915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15802),
  [6917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16218),
  [6919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7508),
  [6921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18140),
  [6923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13256),
  [6925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12280),
  [6927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7359),
  [6929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17347),
  [6931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7528),
  [6933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 2, 0, 9),
  [6935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 2, 0, 9),
  [6937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9554),
  [6939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16105),
  [6941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [6943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3865),
  [6945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7575),
  [6947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7920),
  [6949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13512),
  [6951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14448),
  [6953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3915),
  [6955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18062),
  [6957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15829),
  [6959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16234),
  [6961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7583),
  [6963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19754),
  [6965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13284),
  [6967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12268),
  [6969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7312),
  [6971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16985),
  [6973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 59),
  [6975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 59),
  [6977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9649),
  [6979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 94),
  [6981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 94),
  [6983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9670),
  [6985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9705),
  [6987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7951),
  [6989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17396),
  [6991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [6993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [6995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7890),
  [6997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2818),
  [6999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10485),
  [7001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [7003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13940),
  [7005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14213),
  [7007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [7009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7970),
  [7011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15813),
  [7013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16222),
  [7015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7901),
  [7017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13322),
  [7019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12530),
  [7021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4177),
  [7023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7915),
  [7025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16577),
  [7027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 16),
  [7029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 16),
  [7031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9642),
  [7033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 80),
  [7035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 80),
  [7037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9724),
  [7039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 2, 0, 16),
  [7041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 2, 0, 16),
  [7043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9553),
  [7045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 1, 0, 9),
  [7047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 1, 0, 9),
  [7049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9804),
  [7051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 59),
  [7053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 59),
  [7055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9723),
  [7057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9845),
  [7059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 80),
  [7061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 80),
  [7063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9764),
  [7065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9580),
  [7067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9657),
  [7069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(7951),
  [7072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(17396),
  [7075] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(131),
  [7078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1638),
  [7081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(7890),
  [7084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2818),
  [7087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10485),
  [7090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1642),
  [7093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13940),
  [7096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14213),
  [7099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(262),
  [7102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(7970),
  [7105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15813),
  [7108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16222),
  [7111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(7901),
  [7114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13322),
  [7117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12530),
  [7120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4177),
  [7123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(7915),
  [7126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16577),
  [7129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9666),
  [7131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9656),
  [7133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9842),
  [7135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9655),
  [7137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9788),
  [7139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9846),
  [7141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7766),
  [7143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9722),
  [7145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16135),
  [7147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [7149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3771),
  [7151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7744),
  [7153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7943),
  [7155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13659),
  [7157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14939),
  [7159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [7161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20109),
  [7163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15424),
  [7165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16094),
  [7167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7777),
  [7169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20056),
  [7171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13229),
  [7173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12442),
  [7175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7622),
  [7177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16613),
  [7179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9840),
  [7181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9765),
  [7183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9509),
  [7185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7930),
  [7187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9535),
  [7189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15970),
  [7191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [7193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3775),
  [7195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7904),
  [7197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7958),
  [7199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13534),
  [7201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14936),
  [7203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [7205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19822),
  [7207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15842),
  [7209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16245),
  [7211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7905),
  [7213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18986),
  [7215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13298),
  [7217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12504),
  [7219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7791),
  [7221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17319),
  [7223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9783),
  [7225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9512),
  [7227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9848),
  [7229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9576),
  [7231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9771),
  [7233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9586),
  [7235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9591),
  [7237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9791),
  [7239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9729),
  [7241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9587),
  [7243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9810),
  [7245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9661),
  [7247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9822),
  [7249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9616),
  [7251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9623),
  [7253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9632),
  [7255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9633),
  [7257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9640),
  [7259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9556),
  [7261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9829),
  [7263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9558),
  [7265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9837),
  [7267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9548),
  [7269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9753),
  [7271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9664),
  [7273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7490),
  [7276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0),
  [7278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0),
  [7280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15415),
  [7283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2464),
  [7286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3736),
  [7289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7506),
  [7292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13740),
  [7295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15018),
  [7298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3745),
  [7301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18419),
  [7304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15802),
  [7307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16218),
  [7310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7508),
  [7313] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18140),
  [7316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13256),
  [7319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12280),
  [7322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7359),
  [7325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17347),
  [7328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7528),
  [7331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16105),
  [7334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2473),
  [7337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3865),
  [7340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7575),
  [7343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13512),
  [7346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14448),
  [7349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3915),
  [7352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18062),
  [7355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15829),
  [7358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16234),
  [7361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7583),
  [7364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19754),
  [7367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13284),
  [7370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12268),
  [7373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7312),
  [7376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16985),
  [7379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_pattern, 1, 0, 0),
  [7381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [7383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_pattern, 1, 0, 0),
  [7385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14360),
  [7387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18967),
  [7389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7766),
  [7392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16135),
  [7395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2461),
  [7398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3771),
  [7401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7744),
  [7404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13659),
  [7407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14939),
  [7410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3980),
  [7413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(20109),
  [7416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15424),
  [7419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16094),
  [7422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7777),
  [7425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(20056),
  [7428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13229),
  [7431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12442),
  [7434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7622),
  [7437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16613),
  [7440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7930),
  [7443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15970),
  [7446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2460),
  [7449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3775),
  [7452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7904),
  [7455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13534),
  [7458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14936),
  [7461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3811),
  [7464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19822),
  [7467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15842),
  [7470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16245),
  [7473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7905),
  [7476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18986),
  [7479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13298),
  [7482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12504),
  [7485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7791),
  [7488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17319),
  [7491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8921),
  [7493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [7495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4558),
  [7497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8777),
  [7499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13742),
  [7501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14436),
  [7503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4560),
  [7505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4529),
  [7507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18134),
  [7509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15792),
  [7511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16212),
  [7513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8778),
  [7515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19362),
  [7517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13223),
  [7519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12506),
  [7521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8487),
  [7523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17045),
  [7525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8635),
  [7527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [7529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15471),
  [7531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [7533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3793),
  [7535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8612),
  [7537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8034),
  [7539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13559),
  [7541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 68),
  [7543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14512),
  [7545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [7547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18312),
  [7549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 68),
  [7551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15906),
  [7553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16277),
  [7555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8613),
  [7557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19823),
  [7559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13330),
  [7561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12311),
  [7563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8445),
  [7565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16678),
  [7567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [7569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 43),
  [7571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 43),
  [7573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [7575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 2, 0, 43),
  [7577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 2, 0, 43),
  [7579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3551),
  [7581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14861),
  [7583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3552),
  [7585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15544),
  [7587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16132),
  [7589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18967),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [7593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 88),
  [7595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 88),
  [7597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [7599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 68),
  [7601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 68),
  [7603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [7605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 88),
  [7607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 88),
  [7609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4542),
  [7611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13327),
  [7613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13969),
  [7615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11017),
  [7617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15107),
  [7619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4581),
  [7621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15719),
  [7623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16182),
  [7625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8679),
  [7627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [7629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4628),
  [7631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [7633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14768),
  [7635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4632),
  [7637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15427),
  [7639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15583),
  [7641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16150),
  [7643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4544),
  [7645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15484),
  [7647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16116),
  [7649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14117),
  [7651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [7653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3759),
  [7655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13523),
  [7657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13522),
  [7659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3689),
  [7661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14476),
  [7663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [7665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3690),
  [7667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19354),
  [7669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15762),
  [7671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16199),
  [7673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13535),
  [7675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18939),
  [7677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13216),
  [7679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12471),
  [7681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9376),
  [7683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17345),
  [7685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(9053),
  [7688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16505),
  [7691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(145),
  [7694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1714),
  [7697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(9055),
  [7700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(2849),
  [7703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(10382),
  [7706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(1717),
  [7709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14067),
  [7712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(14262),
  [7715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(248),
  [7718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(9106),
  [7721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(15853),
  [7724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16250),
  [7727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(9056),
  [7730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(13368),
  [7733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(12330),
  [7736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(4241),
  [7739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(8162),
  [7742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 48), SHIFT_REPEAT(16994),
  [7745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9053),
  [7747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16505),
  [7749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [7751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [7753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9055),
  [7755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2849),
  [7757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10382),
  [7759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [7761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14067),
  [7763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14262),
  [7765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [7767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9106),
  [7769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15853),
  [7771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16250),
  [7773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9056),
  [7775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13368),
  [7777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12330),
  [7779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4241),
  [7781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8162),
  [7783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16994),
  [7785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [7787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11938),
  [7789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18241),
  [7791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8532),
  [7793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12111),
  [7795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7850),
  [7797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_payload, 1, 0, 0),
  [7799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13293),
  [7801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13498),
  [7803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10923),
  [7805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13693),
  [7807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14077),
  [7809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7716),
  [7811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7932),
  [7813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9211),
  [7815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14445),
  [7817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15544),
  [7819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16132),
  [7821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8957),
  [7823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17078),
  [7825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__value_name, 1, 0, 1),
  [7827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__value_name, 1, 0, 1),
  [7829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__instance_variable_name, 1, 0, 10),
  [7831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_get_expression, 3, 0, 0),
  [7833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_get_expression, 3, 0, 0),
  [7835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [7837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15422),
  [7839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [7841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [7843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [7845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [7847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3900),
  [7849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [7851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [7853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [7855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [7857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [7859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [7861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [7863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [7865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [7867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_get_expression, 5, 0, 0),
  [7869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_get_expression, 5, 0, 0),
  [7871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_path, 1, 0, 22),
  [7873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_path, 1, 0, 22),
  [7875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_get_expression, 5, 0, 0),
  [7877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_get_expression, 5, 0, 0),
  [7879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigarray_get_expression, 5, 0, 0),
  [7881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigarray_get_expression, 5, 0, 0),
  [7883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [7885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_get_expression, 6, 0, 0),
  [7887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_get_expression, 6, 0, 0),
  [7889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [7891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_path, 3, 0, 66),
  [7893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_path, 3, 0, 66),
  [7895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_get_expression, 6, 0, 0),
  [7897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_get_expression, 6, 0, 0),
  [7899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [7901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigarray_get_expression, 6, 0, 0),
  [7903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigarray_get_expression, 6, 0, 0),
  [7905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [7907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [7909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [7911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0),
  [7913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0),
  [7915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [7917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [7919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [7921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [7923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [7925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [7927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [7929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8635),
  [7932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15471),
  [7935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2466),
  [7938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3793),
  [7941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8612),
  [7944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13559),
  [7947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14512),
  [7950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3796),
  [7953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18312),
  [7956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15906),
  [7959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16277),
  [7962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8613),
  [7965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19823),
  [7968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13330),
  [7971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12311),
  [7974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8445),
  [7977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16678),
  [7980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [7982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [7984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [7986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [7988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3876),
  [7990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [7992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13422),
  [7994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [7996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [7998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2742),
  [8000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10345),
  [8002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [8004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14119),
  [8006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14350),
  [8008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [8010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7407),
  [8012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15569),
  [8014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16141),
  [8016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4270),
  [8018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7002),
  [8020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17043),
  [8022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13265),
  [8024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [8026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [8028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [8030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 2, 0, 0),
  [8032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 2, 0, 0),
  [8034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 2, 0, 0),
  [8036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 2, 0, 0),
  [8038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 0),
  [8040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 0),
  [8042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 2, 0, 0),
  [8044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 2, 0, 0),
  [8046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefix_expression, 2, 0, 25),
  [8048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefix_expression, 2, 0, 25),
  [8050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 1, 0, 26),
  [8052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 1, 0, 26),
  [8054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [8056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [8058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 3, 0, 0),
  [8060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 3, 0, 0),
  [8062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 3, 0, 0),
  [8064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 3, 0, 0),
  [8066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 3, 0, 0),
  [8068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 3, 0, 0),
  [8070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 0),
  [8072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 0),
  [8074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 3, 0, 0),
  [8076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 3, 0, 0),
  [8078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 3, 0, 46),
  [8080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 3, 0, 46),
  [8082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_expression, 3, 0, 47),
  [8084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_expression, 3, 0, 47),
  [8086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_expression, 3, 0, 0),
  [8088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_expression, 3, 0, 0),
  [8090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 4, 0, 0),
  [8092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 4, 0, 0),
  [8094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_expression, 4, 0, 0),
  [8096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_expression, 4, 0, 0),
  [8098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 4, 0, 0),
  [8100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 4, 0, 0),
  [8102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 4, 0, 0),
  [8104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 4, 0, 0),
  [8106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 4, 0, 0),
  [8108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 4, 0, 0),
  [8110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 4, 0, 0),
  [8112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 4, 0, 0),
  [8114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, 0, 0),
  [8116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 4, 0, 0),
  [8118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_expression, 4, 0, 0),
  [8120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_expression, 4, 0, 0),
  [8122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 5, 0, 0),
  [8124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 5, 0, 0),
  [8126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coercion_expression, 5, 0, 0),
  [8128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coercion_expression, 5, 0, 0),
  [8130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 5, 0, 0),
  [8132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 5, 0, 0),
  [8134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 5, 0, 0),
  [8136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 5, 0, 0),
  [8138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 5, 0, 0),
  [8140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 5, 0, 0),
  [8142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 5, 0, 0),
  [8144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 5, 0, 0),
  [8146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_argument, 4, 0, 45),
  [8148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 4, 0, 45),
  [8150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_expression, 5, 0, 0),
  [8152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_expression, 5, 0, 0),
  [8154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 6, 0, 0),
  [8156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 6, 0, 0),
  [8158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coercion_expression, 6, 0, 0),
  [8160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coercion_expression, 6, 0, 0),
  [8162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 6, 0, 0),
  [8164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 6, 0, 0),
  [8166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 7, 0, 0),
  [8168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 7, 0, 0),
  [8170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_path, 1, 0, 0),
  [8172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_path, 1, 0, 0),
  [8174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_path, 3, 0, 0),
  [8176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_path, 3, 0, 0),
  [8178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 2, 0, 0),
  [8180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 2, 0, 0),
  [8182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_path, 1, 0, 24),
  [8184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_path, 1, 0, 24),
  [8186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 3, 0, 0),
  [8188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 3, 0, 0),
  [8190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 4, 0, 0),
  [8192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 4, 0, 0),
  [8194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_path, 3, 0, 70),
  [8196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_path, 3, 0, 70),
  [8198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 5, 0, 0),
  [8200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 5, 0, 0),
  [8202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 6, 0, 0),
  [8204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 6, 0, 0),
  [8206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 7, 0, 0),
  [8208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 7, 0, 0),
  [8210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 8, 0, 0),
  [8212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 8, 0, 0),
  [8214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__value_name, 1, 0, 0),
  [8216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__value_name, 1, 0, 0),
  [8218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [8220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 3, 0, 0),
  [8222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 3, 0, 0),
  [8224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 6, 0, 0),
  [8226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 6, 0, 0),
  [8228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 7, 0, 0),
  [8230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 7, 0, 0),
  [8232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 8, 0, 0),
  [8234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 8, 0, 0),
  [8236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 9, 0, 0),
  [8238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 9, 0, 0),
  [8240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag, 2, 0, 0),
  [8242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag, 2, 0, 0),
  [8244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [8246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [8248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number, 1, 0, 0),
  [8250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number, 1, 0, 0),
  [8252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_name, 1, 0, 6),
  [8254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_name, 1, 0, 6),
  [8256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_path, 1, 0, 5),
  [8258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constant, 1, 0, 0),
  [8260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constant, 1, 0, 0),
  [8262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_path, 1, 0, 0),
  [8264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_path, 1, 0, 0),
  [8266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unit, 2, 0, 0),
  [8268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unit, 2, 0, 0),
  [8270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_name, 3, 0, 34),
  [8272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_name, 3, 0, 34),
  [8274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_string, 3, 0, 0),
  [8276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_string, 3, 0, 0),
  [8278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character, 3, 0, 0),
  [8280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character, 3, 0, 0),
  [8282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_path, 3, 0, 32),
  [8284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_path, 3, 0, 0),
  [8286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_path, 3, 0, 0),
  [8288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [8290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [8292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [8294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [8296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension, 3, 0, 0),
  [8298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension, 3, 0, 0),
  [8300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension, 4, 0, 0),
  [8302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension, 4, 0, 0),
  [8304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_extension, 4, 0, 0),
  [8306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_extension, 4, 0, 0),
  [8308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_extension, 5, 0, 0),
  [8310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_extension, 5, 0, 0),
  [8312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13509),
  [8314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4481),
  [8316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13844),
  [8318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [8320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4567),
  [8322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13527),
  [8324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4569),
  [8326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4515),
  [8328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [8330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [8332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [8334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10275),
  [8336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7288),
  [8338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [8340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [8342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7294),
  [8344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2789),
  [8346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10430),
  [8348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [8350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13953),
  [8352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14260),
  [8354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [8356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7319),
  [8358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15778),
  [8360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16206),
  [8362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16058),
  [8364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7295),
  [8366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13233),
  [8368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12521),
  [8370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [8372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7376),
  [8374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16674),
  [8376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [8378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7589),
  [8380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7466),
  [8382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_argument, 2, 0, 45),
  [8384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 2, 0, 45),
  [8386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4334),
  [8388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7531),
  [8390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [8392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [8394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7568),
  [8396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2887),
  [8398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10519),
  [8400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [8402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13938),
  [8404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14203),
  [8406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [8408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7576),
  [8410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15912),
  [8412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16284),
  [8414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7570),
  [8416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13242),
  [8418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12357),
  [8420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [8422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7633),
  [8424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17090),
  [8426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7745),
  [8428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4383),
  [8430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7898),
  [8432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13086),
  [8434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9769),
  [8436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [8438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [8440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9795),
  [8442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2870),
  [8444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10460),
  [8446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [8448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13939),
  [8450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14210),
  [8452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [8454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9667),
  [8456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16002),
  [8458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16357),
  [8460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9796),
  [8462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13225),
  [8464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12237),
  [8466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4287),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9798),
  [8470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16543),
  [8472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4343),
  [8474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6897),
  [8476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [8478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7532),
  [8480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2781),
  [8482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [8484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7535),
  [8486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13283),
  [8488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12598),
  [8490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [8492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8650),
  [8494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14008),
  [8496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4353),
  [8498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7538),
  [8500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_argument, 5, 0, 104),
  [8502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 5, 0, 104),
  [8504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4352),
  [8506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7543),
  [8508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7481),
  [8510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7736),
  [8512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7567),
  [8514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13824),
  [8516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13968),
  [8518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10269),
  [8520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7715),
  [8522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7805),
  [8524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7892),
  [8526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7536),
  [8528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10273),
  [8530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8638),
  [8532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8639),
  [8534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7706),
  [8536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13989),
  [8538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7917),
  [8540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [8542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7612),
  [8544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10175),
  [8546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10178),
  [8548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7907),
  [8550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8029),
  [8552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7614),
  [8554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10291),
  [8556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13008),
  [8558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13012),
  [8560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7462),
  [8562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4557),
  [8564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15835),
  [8566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16239),
  [8568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8020),
  [8570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8041),
  [8572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7790),
  [8574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7464),
  [8576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13074),
  [8578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13082),
  [8580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10295),
  [8582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7807),
  [8584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12913),
  [8586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12915),
  [8588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4235),
  [8590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7475),
  [8592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7477),
  [8594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7758),
  [8596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8647),
  [8598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4266),
  [8600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4564),
  [8602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15823),
  [8604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16230),
  [8606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8649),
  [8608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [8610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14006),
  [8612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8651),
  [8614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8653),
  [8616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13999),
  [8618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13971),
  [8620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15735),
  [8622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16188),
  [8624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15813),
  [8626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16222),
  [8628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15994),
  [8630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16348),
  [8632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16010),
  [8634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16361),
  [8636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15982),
  [8638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16336),
  [8640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16016),
  [8642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16364),
  [8644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4324),
  [8646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4327),
  [8648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5568),
  [8650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4244),
  [8652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4585),
  [8654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14031),
  [8656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5424),
  [8658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4555),
  [8660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4566),
  [8662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8911),
  [8664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13282),
  [8666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4579),
  [8668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5701),
  [8670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4281),
  [8672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5436),
  [8674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4604),
  [8676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13305),
  [8678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13308),
  [8680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5538),
  [8682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5411),
  [8684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5567),
  [8686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5557),
  [8688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8889),
  [8690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5714),
  [8692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8890),
  [8694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5560),
  [8696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5731),
  [8698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5573),
  [8700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13997),
  [8702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8908),
  [8704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14000),
  [8706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8910),
  [8708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8913),
  [8710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8915),
  [8712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13279),
  [8714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13281),
  [8716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13323),
  [8718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13325),
  [8720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5417),
  [8722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5418),
  [8724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5432),
  [8726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5421),
  [8728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5435),
  [8730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5639),
  [8732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5641),
  [8734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [8736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14011),
  [8738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5672),
  [8740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5688),
  [8742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14028),
  [8744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5588),
  [8746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5514),
  [8748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5603),
  [8750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4185),
  [8752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5464),
  [8754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5546),
  [8756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [8758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14020),
  [8760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14023),
  [8762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4298),
  [8764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8537),
  [8766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [8768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8834),
  [8770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [8772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10157),
  [8775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16247),
  [8778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2463),
  [8781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3871),
  [8784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10093),
  [8787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13756),
  [8790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14631),
  [8793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3875),
  [8796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19537),
  [8799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15583),
  [8802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16150),
  [8805] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10095),
  [8808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19538),
  [8811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13383),
  [8814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12192),
  [8817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8409),
  [8820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17530),
  [8823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8824),
  [8825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [8827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8689),
  [8829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [8831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8556),
  [8833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [8835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9974),
  [8837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [8839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19538),
  [8841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [8843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [8845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [8847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [8849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [8851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [8853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [8855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [8857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [8859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [8861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [8863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [8865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [8867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [8869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [8871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [8873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [8875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [8877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [8879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [8881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [8883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [8885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [8887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [8889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [8891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [8893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [8895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [8897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [8899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [8901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [8903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [8905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [8907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [8909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [8911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [8913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [8915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [8917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [8919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [8921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [8923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [8925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [8927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [8929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [8931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [8933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [8935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [8937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [8939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [8941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [8943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [8945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [8947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0),
  [8949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0),
  [8951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17362),
  [8954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [8956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [8958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [8960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_id, 2, 0, 0),
  [8962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_id, 2, 0, 0),
  [8964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17362),
  [8966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [8968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [8970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [8972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [8974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [8976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [8978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [8980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [8982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [8984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [8986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [8988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [8990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [8992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [8994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [8996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [8998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [9000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [9002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [9004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [9006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [9008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [9010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [9012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [9014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [9016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [9018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [9020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [9022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [9024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [9026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [9028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [9030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [9032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [9034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_id, 1, 0, 0),
  [9036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_id, 1, 0, 0),
  [9038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [9040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [9042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [9044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [9046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9613),
  [9048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [9050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9669),
  [9052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9646),
  [9054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9751),
  [9056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9652),
  [9058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9605),
  [9060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9800),
  [9062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0),
  [9064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0), SHIFT_REPEAT(5166),
  [9067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0),
  [9069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4331),
  [9071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0), SHIFT_REPEAT(5217),
  [9074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [9076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat1, 1, 0, 0),
  [9078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 1, 0, 0),
  [9080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4225),
  [9082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [9084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [9086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11778),
  [9088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, 0, 49),
  [9090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sequence_expression, 3, 0, 49),
  [9092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signed_number, 2, 0, 0),
  [9094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signed_number, 2, 0, 0),
  [9096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2243),
  [9098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4299),
  [9100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11655),
  [9102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 4, 0, 71),
  [9104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sequence_expression, 4, 0, 71),
  [9106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__signed_constant, 1, 0, 0),
  [9108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signed_constant, 1, 0, 0),
  [9110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sequence_expression, 1, 0, 0),
  [9112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__sequence_expression, 1, 0, 0),
  [9114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 2, 0, 0),
  [9116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 2, 0, 0),
  [9118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 21),
  [9120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 21),
  [9122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 2, 0, 0),
  [9124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 2, 0, 0),
  [9126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_binding_pattern, 2, 0, 0),
  [9128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_binding_pattern, 2, 0, 0),
  [9130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_binding_pattern, 4, 0, 40),
  [9132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_binding_pattern, 4, 0, 40),
  [9134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 4, 0, 0),
  [9136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 4, 0, 0),
  [9138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 4, 0, 0),
  [9140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 4, 0, 0),
  [9142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 4, 0, 0),
  [9144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 4, 0, 0),
  [9146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_binding_pattern, 4, 0, 0),
  [9148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_binding_pattern, 4, 0, 0),
  [9150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constructor_path, 3, 0, 31),
  [9152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constructor_path, 3, 0, 31),
  [9154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4349),
  [9156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 4, 0, 32),
  [9158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 4, 0, 32),
  [9160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_pattern, 2, 0, 0),
  [9162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_pattern, 2, 0, 0),
  [9164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_binding_pattern, 2, 0, 40),
  [9166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_binding_pattern, 2, 0, 40),
  [9168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag_binding_pattern, 2, 0, 40),
  [9170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_binding_pattern, 2, 0, 40),
  [9172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 5, 0, 32),
  [9174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 5, 0, 32),
  [9176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 5, 0, 96),
  [9178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 5, 0, 96),
  [9180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 6, 0, 0),
  [9182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 6, 0, 0),
  [9184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 6, 0, 96),
  [9186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 6, 0, 96),
  [9188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 5, 0, 0),
  [9190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 5, 0, 0),
  [9192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 5, 0, 0),
  [9194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 5, 0, 0),
  [9196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11698),
  [9198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 5, 0, 0),
  [9200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 5, 0, 0),
  [9202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_binding_pattern, 5, 0, 0),
  [9204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_binding_pattern, 5, 0, 0),
  [9206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_binding_pattern, 3, 0, 0),
  [9208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_binding_pattern, 3, 0, 0),
  [9210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 7, 0, 0),
  [9212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 7, 0, 0),
  [9214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 3, 0, 0),
  [9216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 3, 0, 0),
  [9218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 3, 0, 0),
  [9220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 3, 0, 0),
  [9222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 3, 0, 0),
  [9224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 3, 0, 0),
  [9226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_binding_pattern, 3, 0, 0),
  [9228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_binding_pattern, 3, 0, 0),
  [9230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2312),
  [9232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_binding_pattern, 3, 0, 0),
  [9234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_binding_pattern, 3, 0, 0),
  [9236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_or_binding_pattern, 3, 0, 0),
  [9238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or_binding_pattern, 3, 0, 0),
  [9240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_binding_pattern, 3, 0, 0),
  [9242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_binding_pattern, 3, 0, 0),
  [9244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cons_binding_pattern, 3, 0, 0),
  [9246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cons_binding_pattern, 3, 0, 0),
  [9248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_binding_pattern, 3, 0, 0),
  [9250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_binding_pattern, 3, 0, 0),
  [9252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constructor_path, 1, 0, 4),
  [9254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constructor_path, 1, 0, 4),
  [9256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11833),
  [9258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_pattern, 3, 0, 0),
  [9260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_pattern, 3, 0, 0),
  [9262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 20),
  [9264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 20),
  [9266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4255),
  [9268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 19),
  [9270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 19),
  [9272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [9274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [9276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4302),
  [9278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [9280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15842),
  [9282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16245),
  [9284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [9286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2059),
  [9288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [9290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15829),
  [9292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16234),
  [9294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [9296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [9298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15424),
  [9300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16094),
  [9302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [9304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15906),
  [9306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16277),
  [9308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [9310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15802),
  [9312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16218),
  [9314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13301),
  [9316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17542),
  [9318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [9320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13291),
  [9322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19208),
  [9324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4308),
  [9326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [9328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [9330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [9332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [9334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [9336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2299),
  [9338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [9340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4346),
  [9342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4293),
  [9344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [9346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [9348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2368),
  [9350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [9352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2407),
  [9354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1811),
  [9356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9435),
  [9358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8291),
  [9360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6790),
  [9362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10567),
  [9364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9809),
  [9366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7817),
  [9368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10357),
  [9370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16089),
  [9372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7725),
  [9374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7925),
  [9376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9265),
  [9378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14390),
  [9380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15951),
  [9382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16306),
  [9384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9065),
  [9386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17426),
  [9388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [9390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9830),
  [9392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8317),
  [9394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7080),
  [9396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10859),
  [9398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9941),
  [9400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7800),
  [9402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10884),
  [9404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7779),
  [9406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7885),
  [9408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9308),
  [9410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14803),
  [9412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15692),
  [9414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16173),
  [9416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17226),
  [9418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [9420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6861),
  [9422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10574),
  [9424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9470),
  [9426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8276),
  [9428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7003),
  [9430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10544),
  [9432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9793),
  [9434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7786),
  [9436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10332),
  [9438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7729),
  [9440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7826),
  [9442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9066),
  [9444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14954),
  [9446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15868),
  [9448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16258),
  [9450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16792),
  [9452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7124),
  [9454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10553),
  [9456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [9458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9935),
  [9460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8304),
  [9462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7100),
  [9464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10895),
  [9466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10285),
  [9468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7762),
  [9470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10915),
  [9472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7723),
  [9474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7965),
  [9476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9243),
  [9478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14368),
  [9480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15976),
  [9482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16332),
  [9484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16922),
  [9486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6697),
  [9488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10803),
  [9490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [9492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7115),
  [9494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10907),
  [9496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [9498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10721),
  [9500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10572),
  [9502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4274),
  [9504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10578),
  [9506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13350),
  [9508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4240),
  [9510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13285),
  [9512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [9514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10551),
  [9516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1851),
  [9518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13373),
  [9520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10738),
  [9522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19928),
  [9524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4323),
  [9526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10905),
  [9528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18195),
  [9530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [9532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10913),
  [9534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10557),
  [9536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4340),
  [9538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19478),
  [9540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4316),
  [9542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2374),
  [9544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_class_expression, 1, 0, 0),
  [9546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_class_expression, 1, 0, 0),
  [9548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_value_pattern, 1, 0, 17),
  [9550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_value_pattern, 1, 0, 17),
  [9552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5772),
  [9554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5828),
  [9556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4317),
  [9558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4321),
  [9560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4257),
  [9562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_class_expression, 3, 0, 0),
  [9564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_class_expression, 3, 0, 0),
  [9566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_class_expression, 4, 0, 0),
  [9568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_class_expression, 4, 0, 0),
  [9570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class, 4, 0, 0),
  [9572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class, 4, 0, 0),
  [9574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class, 5, 0, 0),
  [9576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class, 5, 0, 0),
  [9578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13320),
  [9580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4337),
  [9582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4311),
  [9584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4314),
  [9586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_pattern, 3, 0, 0),
  [9588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_pattern, 3, 0, 0),
  [9590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4330),
  [9592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 9, 0, 130),
  [9594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 9, 0, 130),
  [9596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4252),
  [9598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_pattern, 4, 0, 0),
  [9600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_pattern, 4, 0, 0),
  [9602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 4, 0, 0),
  [9604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 4, 0, 0),
  [9606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 4, 0, 0),
  [9608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 4, 0, 0),
  [9610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [9612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [9614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_pattern, 4, 0, 0),
  [9616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_pattern, 4, 0, 0),
  [9618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_expression, 2, 0, 0),
  [9620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_expression, 2, 0, 0),
  [9622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13329),
  [9624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19679),
  [9626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4319),
  [9628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 4, 0, 82),
  [9630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 82),
  [9632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 5, 0, 0),
  [9634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 5, 0, 0),
  [9636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 5, 0, 0),
  [9638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 5, 0, 0),
  [9640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 5, 0, 0),
  [9642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 5, 0, 0),
  [9644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_pattern, 5, 0, 0),
  [9646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_pattern, 5, 0, 0),
  [9648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 4, 0, 83),
  [9650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 83),
  [9652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 2, 0, 40),
  [9654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 2, 0, 40),
  [9656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 6, 0, 0),
  [9658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 6, 0, 0),
  [9660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 1, 0, 0),
  [9662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 1, 0, 0),
  [9664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_expression, 3, 0, 0),
  [9666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_expression, 3, 0, 0),
  [9668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13254),
  [9670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20144),
  [9672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [9674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 7, 0, 0),
  [9676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 7, 0, 0),
  [9678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_expression, 3, 0, 0),
  [9680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_expression, 3, 0, 0),
  [9682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parenthesized_abstract_type, 3, 0, 0),
  [9684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parenthesized_abstract_type, 3, 0, 0),
  [9686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_expression, 2, 0, 0),
  [9688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_expression, 2, 0, 0),
  [9690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 5, 0, 82),
  [9692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 5, 0, 82),
  [9694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 1, 0, 18),
  [9696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 18),
  [9698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [9700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [9702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [9704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [9706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [9708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4174),
  [9710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 6, 0, 82),
  [9712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 6, 0, 82),
  [9714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 7, 0, 82),
  [9716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 7, 0, 82),
  [9718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4111),
  [9720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 8, 0, 130),
  [9722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 8, 0, 130),
  [9724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5793),
  [9726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4145),
  [9728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_pattern, 3, 0, 0),
  [9730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_pattern, 3, 0, 0),
  [9732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [9734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [9736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 3, 0, 0),
  [9738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 3, 0, 0),
  [9740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [9742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [9744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [9746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4187),
  [9748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11938),
  [9750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8023),
  [9752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13149),
  [9754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17071),
  [9756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5750),
  [9758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7831),
  [9760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12363),
  [9762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8044),
  [9764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10873),
  [9766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8038),
  [9768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9956),
  [9770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8001),
  [9772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9444),
  [9774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7971),
  [9776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9335),
  [9778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7949),
  [9780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9777),
  [9782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7988),
  [9784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10420),
  [9786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7977),
  [9788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10226),
  [9790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7939),
  [9792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10169),
  [9794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8052),
  [9796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10850),
  [9798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8049),
  [9800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10886),
  [9802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8145),
  [9804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10940),
  [9806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7987),
  [9808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12865),
  [9810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7961),
  [9812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13599),
  [9814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7976),
  [9816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9108),
  [9818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7933),
  [9820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9504),
  [9822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8094),
  [9824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10335),
  [9826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7908),
  [9828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9189),
  [9830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7846),
  [9832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11690),
  [9834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8087),
  [9836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10671),
  [9838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8079),
  [9840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12696),
  [9842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7818),
  [9844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10851),
  [9846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7884),
  [9848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9428),
  [9850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7822),
  [9852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10971),
  [9854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8095),
  [9856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10360),
  [9858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10741),
  [9860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10999),
  [9862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8135),
  [9864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8137),
  [9866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8109),
  [9868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8261),
  [9870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8266),
  [9872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8089),
  [9874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12569),
  [9876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8151),
  [9878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8154),
  [9880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13288),
  [9882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19990),
  [9884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [9886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8187),
  [9888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8188),
  [9890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13787),
  [9892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16477),
  [9894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20256),
  [9896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7828),
  [9898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11661),
  [9900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11743),
  [9902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8231),
  [9904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8233),
  [9906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8091),
  [9908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8093),
  [9910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8141),
  [9912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10103),
  [9914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16786),
  [9916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17734),
  [9918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8080),
  [9920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15749),
  [9922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16192),
  [9924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8142),
  [9926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 6, 0, 103),
  [9928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 6, 0, 103),
  [9930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor, 4, 0, 57),
  [9932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor, 4, 0, 57),
  [9934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11544),
  [9936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15862),
  [9938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15897),
  [9940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10549),
  [9942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20242),
  [9944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15984),
  [9946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16338),
  [9948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17017),
  [9950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_toplevel_directive, 1, 0, 0),
  [9952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_toplevel_directive, 1, 0, 0),
  [9954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11649),
  [9956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12338),
  [9958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16834),
  [9960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19160),
  [9962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12339),
  [9964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13338),
  [9966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12367),
  [9968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8549),
  [9970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 5, 0, 69),
  [9972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 5, 0, 69),
  [9974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9442),
  [9976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8156),
  [9978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8219),
  [9980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8222),
  [9982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10766),
  [9984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8536),
  [9986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7985),
  [9988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7814),
  [9990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7986),
  [9992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9050),
  [9994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14763),
  [9996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15980),
  [9998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16334),
  [10000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17477),
  [10002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10074),
  [10004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20201),
  [10006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15894),
  [10008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16272),
  [10010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 3, 0, 44),
  [10012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 3, 0, 44),
  [10014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, 0, 0),
  [10016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, 0, 0),
  [10018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9207),
  [10020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 2, 0, 0),
  [10022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 2, 0, 0),
  [10024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9858),
  [10026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20225),
  [10028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15969),
  [10030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16323),
  [10032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 5, 0, 0),
  [10034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 5, 0, 0),
  [10036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_expression, 3, 0, 0),
  [10038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_expression, 3, 0, 0),
  [10040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8096),
  [10042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 7, 0, 115),
  [10044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 7, 0, 115),
  [10046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 8, 0, 126),
  [10048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 8, 0, 126),
  [10050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8088),
  [10052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9550),
  [10054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17017),
  [10057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 5, 0, 0),
  [10059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 5, 0, 0),
  [10061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10179),
  [10063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8130),
  [10065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8131),
  [10067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9847),
  [10069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_clause, 3, 0, 0),
  [10071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_clause, 3, 0, 0),
  [10073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_exception_expression, 4, 0, 57),
  [10075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_exception_expression, 4, 0, 57),
  [10077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_module_expression, 4, 0, 57),
  [10079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_module_expression, 4, 0, 57),
  [10081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_open_expression, 4, 0, 57),
  [10083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_open_expression, 4, 0, 57),
  [10085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13632),
  [10087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8146),
  [10089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9372),
  [10091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12572),
  [10093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8531),
  [10095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7829),
  [10097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7802),
  [10099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7830),
  [10101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9004),
  [10103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14807),
  [10105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16022),
  [10107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16367),
  [10109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17337),
  [10111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9121),
  [10113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10238),
  [10115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8163),
  [10117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8164),
  [10119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12840),
  [10121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10472),
  [10123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 5, 0, 90),
  [10125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 5, 0, 90),
  [10127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 4, 0, 57),
  [10129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 4, 0, 57),
  [10131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_type, 1, 0, 0),
  [10133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__tuple_type, 1, 0, 0),
  [10135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8191),
  [10137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 44),
  [10139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 4, 0, 44),
  [10141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8192),
  [10143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_clause, 2, 0, 0),
  [10145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_clause, 2, 0, 0),
  [10147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8182),
  [10149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8185),
  [10151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9489),
  [10153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 4, 0, 69),
  [10155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 4, 0, 69),
  [10157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 4, 0, 0),
  [10159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 4, 0, 0),
  [10161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 4, 0, 0),
  [10163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 4, 0, 0),
  [10165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13114),
  [10167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8216),
  [10169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8217),
  [10171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11169),
  [10173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8437),
  [10175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8026),
  [10177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7799),
  [10179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8027),
  [10181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9178),
  [10183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14926),
  [10185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15996),
  [10187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16351),
  [10189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17211),
  [10191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9968),
  [10193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10717),
  [10195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8223),
  [10197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8225),
  [10199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10753),
  [10201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10813),
  [10203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8234),
  [10205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8235),
  [10207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8254),
  [10209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8255),
  [10211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12741),
  [10213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8264),
  [10215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8265),
  [10217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10412),
  [10219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8453),
  [10221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7994),
  [10223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7717),
  [10225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7996),
  [10227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9031),
  [10229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14379),
  [10231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15707),
  [10233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16176),
  [10235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16695),
  [10237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_then_clause, 2, 0, 0),
  [10239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_then_clause, 2, 0, 0),
  [10241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [10243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [10245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8350),
  [10247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [10249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [10251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [10253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [10255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [10257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [10259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [10261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_cases, 2, 0, 0),
  [10263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_cases, 2, 0, 0),
  [10265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4041),
  [10267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_cases, 3, 0, 0),
  [10269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_cases, 3, 0, 0),
  [10271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0),
  [10273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0),
  [10275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4041),
  [10278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_product_expression, 3, 0, 49),
  [10280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_product_expression, 3, 0, 49),
  [10282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [10284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [10286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [10288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [10290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [10292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [10294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [10296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cons_expression, 3, 0, 49),
  [10298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cons_expression, 3, 0, 49),
  [10300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_expression, 3, 0, 47),
  [10302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 47),
  [10304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [10306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [10308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_expression, 3, 0, 50),
  [10310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_expression, 3, 0, 50),
  [10312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 69),
  [10314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 4, 0, 69),
  [10316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [10318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [10320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [10322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [10324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3794),
  [10326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3794),
  [10329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_cases, 1, 0, 0),
  [10331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_cases, 1, 0, 0),
  [10333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [10335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_aliased_type, 3, 0, 0),
  [10337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_aliased_type, 3, 0, 0),
  [10339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_case, 4, 0, 86),
  [10341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_case, 4, 0, 86),
  [10343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1, 0, 0),
  [10345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1, 0, 0),
  [10347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sign_operator, 1, 0, 0),
  [10349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sign_operator, 1, 0, 0),
  [10351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_operator, 1, 0, 0),
  [10353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sign_expression, 2, 0, 25),
  [10355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sign_expression, 2, 0, 25),
  [10357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [10359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_case, 3, 0, 63),
  [10361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_case, 3, 0, 63),
  [10363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [10365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 44),
  [10367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 3, 0, 44),
  [10369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_of, 4, 0, 0),
  [10371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_of, 4, 0, 0),
  [10373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [10375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_refutation_case, 1, 0, 0),
  [10377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_refutation_case, 1, 0, 0),
  [10379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3734),
  [10381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3734),
  [10384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [10386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [10388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [10390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [10392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [10394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [10396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [10398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [10400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [10402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [10404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [10406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [10408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [10410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [10412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [10414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [10416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [10418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [10420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10947),
  [10422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19435),
  [10424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [10426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [10428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3864),
  [10430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [10432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [10434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [10436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [10438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [10440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [10442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [10444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3891),
  [10446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [10448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [10450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [10452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [10454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [10456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [10458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [10460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [10462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [10464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4213),
  [10466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11024),
  [10468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3961),
  [10470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3891),
  [10473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [10475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [10477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11057),
  [10479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [10481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11048),
  [10483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute, 2, 0, 0),
  [10485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute, 2, 0, 0),
  [10487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [10489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [10491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3864),
  [10494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [10496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_operator, 1, 0, 0),
  [10498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3961),
  [10501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [10503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [10505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [10507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [10509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [10511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [10513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [10515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [10517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [10519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [10521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2250),
  [10523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [10525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [10527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [10529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [10531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [10533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [10535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [10537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [10539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [10541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [10543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3997),
  [10545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12090),
  [10547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13253),
  [10549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13780),
  [10551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11521),
  [10553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13610),
  [10555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4609),
  [10557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [10559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3939),
  [10561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12098),
  [10563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13266),
  [10565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13784),
  [10567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13745),
  [10569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4556),
  [10571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3946),
  [10573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3946),
  [10576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4060),
  [10578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4060),
  [10581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [10583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(5166),
  [10586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(3997),
  [10589] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13854),
  [10592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(12090),
  [10595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0),
  [10597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13253),
  [10600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13780),
  [10603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(10956),
  [10606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(11521),
  [10609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13610),
  [10612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(15369),
  [10615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(15382),
  [10618] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(15410),
  [10621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(4609),
  [10624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(16832),
  [10627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [10629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(3939),
  [10632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(12098),
  [10635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13266),
  [10638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13784),
  [10641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13745),
  [10644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(4556),
  [10647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(17251),
  [10650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [10652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [10654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [10656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [10658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10890),
  [10660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10966),
  [10662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9348),
  [10664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8431),
  [10666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8581),
  [10668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7832),
  [10670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7740),
  [10672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7833),
  [10674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9010),
  [10676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14986),
  [10678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16032),
  [10680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16372),
  [10682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16526),
  [10684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [10686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [10688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [10690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [10692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [10694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8526),
  [10696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8561),
  [10698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7963),
  [10700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11095),
  [10702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [10704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [10706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [10708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [10710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2123),
  [10712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [10714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [10716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2127),
  [10718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [10720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [10722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3922),
  [10724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3914),
  [10726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11011),
  [10728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11012),
  [10730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [10732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10963),
  [10734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12806),
  [10736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8527),
  [10738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8602),
  [10740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7851),
  [10742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7765),
  [10744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7852),
  [10746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9027),
  [10748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15019),
  [10750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16046),
  [10752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16379),
  [10754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17172),
  [10756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10910),
  [10758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [10760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11062),
  [10762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10931),
  [10764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10930),
  [10766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10974),
  [10768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [10770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11026),
  [10772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10924),
  [10774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3914),
  [10777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8428),
  [10779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8552),
  [10781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7924),
  [10783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8492),
  [10785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8849),
  [10787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7825),
  [10789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3922),
  [10792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8421),
  [10794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8657),
  [10796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8058),
  [10798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10962),
  [10800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11014),
  [10802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8996),
  [10804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8425),
  [10806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8595),
  [10808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7848),
  [10810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7798),
  [10812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7849),
  [10814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9020),
  [10816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14372),
  [10818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16044),
  [10820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16378),
  [10822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16976),
  [10824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8601),
  [10826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9057),
  [10828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8529),
  [10830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8571),
  [10832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8045),
  [10834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7813),
  [10836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8046),
  [10838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9245),
  [10840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14970),
  [10842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16014),
  [10844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16363),
  [10846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16651),
  [10848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12977),
  [10850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8522),
  [10852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8578),
  [10854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8081),
  [10856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7713),
  [10858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8082),
  [10860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9297),
  [10862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14814),
  [10864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16020),
  [10866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16366),
  [10868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16646),
  [10870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [10872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10965),
  [10874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11069),
  [10876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [10878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5811),
  [10880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [10882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8967),
  [10884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8508),
  [10886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8585),
  [10888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7839),
  [10890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7770),
  [10892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7840),
  [10894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9015),
  [10896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14621),
  [10898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16042),
  [10900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16377),
  [10902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16718),
  [10904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [10906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10891),
  [10908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9470),
  [10910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12572),
  [10912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3949),
  [10914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3949),
  [10917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10766),
  [10919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_path, 1, 0, 5),
  [10921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [10923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [10925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [10927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [10929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [10931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [10933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [10935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2392),
  [10937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2395),
  [10939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [10941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9435),
  [10943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11169),
  [10945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_expression, 1, 0, 0),
  [10947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module_expression, 1, 0, 0),
  [10949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18210),
  [10951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [10953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [10955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [10957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [10959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [10961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [10963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [10965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1973),
  [10967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [10969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [10971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9935),
  [10973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9057),
  [10975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11819),
  [10977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4007),
  [10979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4007),
  [10982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12977),
  [10984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9348),
  [10986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 5, 0, 78),
  [10988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 5, 0, 78),
  [10990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8967),
  [10992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_variable, 2, 0, 0),
  [10994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_variable, 2, 0, 0),
  [10996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8996),
  [10998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12806),
  [11000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9830),
  [11002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 3, 0, 36),
  [11004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 3, 0, 36),
  [11006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_path, 3, 0, 32),
  [11008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10412),
  [11010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 56),
  [11012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 56),
  [11014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 6, 0, 0),
  [11016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 6, 0, 0),
  [11018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [11020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 7, 0, 0),
  [11022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 7, 0, 0),
  [11024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 2, 0, 0),
  [11026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 2, 0, 0),
  [11028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_module_expression, 1, 0, 0),
  [11030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_module_expression, 1, 0, 0),
  [11032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18555),
  [11034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [11036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_module_expression, 3, 0, 0),
  [11038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_module_expression, 3, 0, 0),
  [11040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 4, 0, 0),
  [11042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 4, 0, 0),
  [11044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structure, 3, 0, 0),
  [11046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structure, 3, 0, 0),
  [11048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_application, 3, 0, 37),
  [11050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_application, 3, 0, 37),
  [11052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12104),
  [11054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13278),
  [11056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13788),
  [11058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10887),
  [11060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13746),
  [11062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13958),
  [11064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9360),
  [11066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_module_expression, 4, 0, 0),
  [11068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_module_expression, 4, 0, 0),
  [11070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 3, 0, 0),
  [11072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 3, 0, 0),
  [11074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structure, 2, 0, 0),
  [11076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structure, 2, 0, 0),
  [11078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_application, 2, 0, 15),
  [11080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_application, 2, 0, 15),
  [11082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 5, 0, 0),
  [11084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 5, 0, 0),
  [11086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13615),
  [11088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [11090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 4, 0, 0),
  [11092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 4, 0, 0),
  [11094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9062),
  [11096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [11098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [11100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14702),
  [11102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [11104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [11106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14718),
  [11108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9047),
  [11110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14373),
  [11112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature, 1, 0, 0),
  [11114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14462),
  [11116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0),
  [11118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(12678),
  [11121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13854),
  [11124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(12111),
  [11127] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13267),
  [11130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13498),
  [11133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(10956),
  [11136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(10923),
  [11139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13654),
  [11142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(14077),
  [11145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(15369),
  [11148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(15382),
  [11151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(15410),
  [11154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(12104),
  [11157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13278),
  [11160] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13788),
  [11163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(10887),
  [11166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13746),
  [11169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13958),
  [11172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13293),
  [11174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13693),
  [11176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13293),
  [11179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13693),
  [11182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10667),
  [11184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8452),
  [11186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7859),
  [11188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7752),
  [11190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7862),
  [11192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9146),
  [11194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14523),
  [11196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15879),
  [11198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16264),
  [11200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16756),
  [11202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10532),
  [11204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8469),
  [11206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7887),
  [11208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7742),
  [11210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7889),
  [11212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9221),
  [11214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14385),
  [11216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17015),
  [11218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9859),
  [11220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9418),
  [11222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14987),
  [11224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature, 2, 0, 0),
  [11226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extended_module_path, 3, 0, 32),
  [11228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extended_module_path, 3, 0, 32),
  [11230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8934),
  [11232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9439),
  [11234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14754),
  [11236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10842),
  [11238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8444),
  [11240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7823),
  [11242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7754),
  [11244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7824),
  [11246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9000),
  [11248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14929),
  [11250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17036),
  [11252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10115),
  [11254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8450),
  [11256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8053),
  [11258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7749),
  [11260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8054),
  [11262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9258),
  [11264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14525),
  [11266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16935),
  [11268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10983),
  [11270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_module, 4, 0, 0),
  [11272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_module, 4, 0, 0),
  [11274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16821),
  [11276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19559),
  [11278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_path, 3, 0, 38),
  [11280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_path, 3, 0, 38),
  [11282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extended_module_path, 1, 0, 5),
  [11284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extended_module_path, 1, 0, 5),
  [11286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9329),
  [11288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14906),
  [11290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9794),
  [11292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9329),
  [11294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_path, 1, 0, 8),
  [11296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_path, 1, 0, 8),
  [11298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9439),
  [11300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10677),
  [11302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8473),
  [11304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7946),
  [11306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7804),
  [11308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7947),
  [11310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9300),
  [11312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14911),
  [11314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15956),
  [11316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16313),
  [11318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17202),
  [11320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8722),
  [11322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12888),
  [11324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8504),
  [11326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7999),
  [11328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7769),
  [11330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8000),
  [11332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9094),
  [11334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14584),
  [11336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16802),
  [11338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10186),
  [11340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8491),
  [11342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8074),
  [11344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7748),
  [11346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8075),
  [11348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9282),
  [11350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14659),
  [11352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17011),
  [11354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14990),
  [11356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extended_module_path, 4, 0, 0),
  [11358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extended_module_path, 4, 0, 0),
  [11360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 3, 0, 0),
  [11362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 3, 0, 0),
  [11364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 2, 0, 0),
  [11366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 2, 0, 0),
  [11368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13790),
  [11370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17731),
  [11372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10824),
  [11374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17840),
  [11376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10746),
  [11378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17877),
  [11380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10885),
  [11382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18078),
  [11384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12697),
  [11386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19091),
  [11388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10010),
  [11390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18307),
  [11392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12650),
  [11394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18355),
  [11396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12684),
  [11398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19136),
  [11400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10030),
  [11402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18567),
  [11404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9779),
  [11406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18781),
  [11408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9546),
  [11410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18838),
  [11412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9572),
  [11414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19028),
  [11416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9109),
  [11418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19130),
  [11420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9144),
  [11422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19144),
  [11424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9167),
  [11426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19374),
  [11428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9190),
  [11430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19626),
  [11432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9219),
  [11434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19690),
  [11436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9228),
  [11438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19986),
  [11440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12866),
  [11442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18588),
  [11444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10878),
  [11446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20173),
  [11448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12889),
  [11450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20207),
  [11452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12892),
  [11454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 3, 0, 6),
  [11456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 3, 0, 6),
  [11458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_argument, 1, 0, 0),
  [11460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10065),
  [11462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14681),
  [11464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 3, 0, 0),
  [11466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 3, 0, 0),
  [11468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 4, 0, 13),
  [11470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 4, 0, 13),
  [11472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17880),
  [11474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10777),
  [11476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 5, 0, 6),
  [11478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 5, 0, 6),
  [11480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 5, 0, 0),
  [11482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 5, 0, 0),
  [11484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9748),
  [11486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14945),
  [11488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 6, 0, 13),
  [11490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 6, 0, 13),
  [11492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20206),
  [11494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10972),
  [11496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18571),
  [11498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9344),
  [11500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17677),
  [11502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11040),
  [11504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17732),
  [11506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11079),
  [11508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20002),
  [11510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12529),
  [11512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0),
  [11514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0),
  [11516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15736),
  [11519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14785),
  [11521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18955),
  [11523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9325),
  [11525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18285),
  [11527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13620),
  [11529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19409),
  [11531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9424),
  [11533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19243),
  [11535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9594),
  [11537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1, 0, 0),
  [11539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1, 0, 0),
  [11541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17577),
  [11543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12524),
  [11545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13258),
  [11547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18546),
  [11549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [11551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 2, 0, 0),
  [11553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 2, 0, 0),
  [11555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 2, 0, 0),
  [11557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 2, 0, 0),
  [11559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 2, 0, 0),
  [11561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 2, 0, 0),
  [11563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructed_type, 2, 0, 0),
  [11565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructed_type, 2, 0, 0),
  [11567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17876),
  [11569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9622),
  [11571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9794),
  [11573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14942),
  [11575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14943),
  [11577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 3, 0, 0),
  [11579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 3, 0, 0),
  [11581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 3, 0, 0),
  [11583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 3, 0, 0),
  [11585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 3, 0, 0),
  [11587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 3, 0, 0),
  [11589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_type, 3, 0, 0),
  [11591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_type, 3, 0, 0),
  [11593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 1, 0, 0),
  [11595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_binding_repeat1, 1, 0, 0),
  [11597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_type, 4, 0, 0),
  [11599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_type, 4, 0, 0),
  [11601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructed_type, 4, 0, 0),
  [11603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructed_type, 4, 0, 0),
  [11605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 4, 0, 0),
  [11607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 4, 0, 0),
  [11609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 4, 0, 0),
  [11611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 4, 0, 0),
  [11613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18561),
  [11615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13613),
  [11617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20030),
  [11619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10855),
  [11621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18615),
  [11623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13596),
  [11625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_type, 5, 0, 0),
  [11627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_type, 5, 0, 0),
  [11629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 5, 0, 0),
  [11631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 5, 0, 0),
  [11633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructed_type, 5, 0, 0),
  [11635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructed_type, 5, 0, 0),
  [11637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 5, 0, 0),
  [11639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 5, 0, 0),
  [11641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 5, 0, 0),
  [11643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 5, 0, 0),
  [11645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_type, 5, 0, 0),
  [11647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_type, 5, 0, 0),
  [11649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 6, 0, 0),
  [11651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 6, 0, 0),
  [11653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 6, 0, 0),
  [11655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 6, 0, 0),
  [11657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 6, 0, 0),
  [11659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 6, 0, 0),
  [11661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18086),
  [11663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10808),
  [11665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 7, 0, 0),
  [11667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 7, 0, 0),
  [11669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19109),
  [11671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10669),
  [11673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19271),
  [11675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11692),
  [11677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17773),
  [11679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10761),
  [11681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_path, 1, 0, 41),
  [11683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_path, 1, 0, 41),
  [11685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19426),
  [11687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11783),
  [11689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19477),
  [11691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11797),
  [11693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17883),
  [11695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10800),
  [11697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20158),
  [11699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12414),
  [11701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18445),
  [11703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10843),
  [11705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_path, 3, 0, 84),
  [11707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_path, 3, 0, 84),
  [11709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19781),
  [11711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10421),
  [11713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17970),
  [11715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10529),
  [11717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18139),
  [11719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10599),
  [11721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18703),
  [11723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9957),
  [11725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20088),
  [11727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9430),
  [11729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20391),
  [11731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9469),
  [11733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20440),
  [11735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9483),
  [11737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_open_class_expression, 4, 0, 57),
  [11739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_open_class_expression, 4, 0, 57),
  [11741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function, 4, 0, 57),
  [11743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function, 4, 0, 57),
  [11745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15257),
  [11747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17673),
  [11749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10170),
  [11751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19025),
  [11753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10190),
  [11755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19352),
  [11757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10201),
  [11759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19813),
  [11761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9445),
  [11763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18655),
  [11765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9429),
  [11767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17822),
  [11769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9369),
  [11771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17844),
  [11773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10227),
  [11775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18333),
  [11777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10247),
  [11779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18448),
  [11781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10257),
  [11783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19924),
  [11785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13150),
  [11787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20268),
  [11789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13131),
  [11791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19984),
  [11793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10854),
  [11795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20423),
  [11797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13160),
  [11799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_class_expression, 3, 0, 50),
  [11801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_class_expression, 3, 0, 50),
  [11803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17879),
  [11805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9505),
  [11807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4384),
  [11809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12100),
  [11811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10186),
  [11813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14614),
  [11815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10115),
  [11817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14554),
  [11819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14730),
  [11821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 1, 0, 3),
  [11823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 1, 0, 3),
  [11825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6398),
  [11827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8461),
  [11829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8827),
  [11831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_type, 1, 0, 0),
  [11833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module_type, 1, 0, 0),
  [11835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_declaration_repeat1, 1, 0, 0),
  [11837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 2, 0, 0),
  [11839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signature, 2, 0, 0),
  [11841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [11843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [11845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [11847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [11849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [11851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [11853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [11855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [11857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [11859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [11861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_argument, 1, 0, 0),
  [11863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10084),
  [11865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [11867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 2, 0, 12),
  [11869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 2, 0, 12),
  [11871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6451),
  [11873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_module_type, 3, 0, 0),
  [11875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_module_type, 3, 0, 0),
  [11877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 3, 0, 0),
  [11879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signature, 3, 0, 0),
  [11881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9913),
  [11883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6458),
  [11885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8462),
  [11887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8820),
  [11889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8722),
  [11891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0),
  [11893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0),
  [11895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7941),
  [11897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3343),
  [11899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9522),
  [11901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9659),
  [11903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8822),
  [11905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5105),
  [11907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [11909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_module_type, 5, 0, 0),
  [11911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_module_type, 5, 0, 0),
  [11913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4035),
  [11915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4035),
  [11918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0),
  [11920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0),
  [11922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(15487),
  [11925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6488),
  [11927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9859),
  [11929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14443),
  [11931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 2, 0, 7),
  [11933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 2, 0, 7),
  [11935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12154),
  [11937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15736),
  [11939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11853),
  [11941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 1, 0, 7),
  [11943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 1, 0, 7),
  [11945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11987),
  [11947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11860),
  [11949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10007),
  [11951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11675),
  [11953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [11955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [11957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1777),
  [11959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [11961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6141),
  [11963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3075),
  [11965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9510),
  [11967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8669),
  [11969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5119),
  [11971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9098),
  [11973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3350),
  [11975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9557),
  [11977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8828),
  [11979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5106),
  [11981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3376),
  [11983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5116),
  [11985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14435),
  [11987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [11989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [11991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [11993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [11995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [11997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [11999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [12001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [12003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [12005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [12007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [12009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1780),
  [12011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [12013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [12015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [12017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9998),
  [12019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7183),
  [12021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3370),
  [12023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9595),
  [12025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8840),
  [12027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5114),
  [12029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7412),
  [12031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3358),
  [12033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9566),
  [12035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8832),
  [12037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10477),
  [12039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5108),
  [12041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15888),
  [12043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16268),
  [12045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4228),
  [12047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_class_type, 1, 0, 0),
  [12049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_class_type, 1, 0, 0),
  [12051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0),
  [12053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0),
  [12055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10532),
  [12057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14996),
  [12059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7446),
  [12061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3363),
  [12063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9575),
  [12065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8838),
  [12067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10338),
  [12069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5110),
  [12071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15963),
  [12073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16318),
  [12075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_extension, 4, 0, 0),
  [12077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_extension, 4, 0, 0),
  [12079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_item_extension, 4, 0, 0),
  [12081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_item_extension, 4, 0, 0),
  [12083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3899),
  [12085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3899),
  [12088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_open_class_type, 4, 0, 57),
  [12090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_open_class_type, 4, 0, 57),
  [12092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6559),
  [12094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8468),
  [12096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8699),
  [12098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class_type, 4, 0, 0),
  [12100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class_type, 4, 0, 0),
  [12102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_extension, 5, 0, 0),
  [12104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_extension, 5, 0, 0),
  [12106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_directive, 2, 0, 0),
  [12108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_directive, 2, 0, 0),
  [12110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13328),
  [12112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18181),
  [12114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [12116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [12118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6433),
  [12120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [12122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_item_extension, 5, 0, 0),
  [12124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_item_extension, 5, 0, 0),
  [12126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_parameter, 4, 0, 77),
  [12128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_parameter, 4, 0, 77),
  [12130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class_type, 5, 0, 0),
  [12132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class_type, 5, 0, 0),
  [12134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 5, 0, 0),
  [12136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 5, 0, 0),
  [12138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 1, 0, 0),
  [12140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_binding_repeat1, 1, 0, 0),
  [12142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9852),
  [12144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_extension, 3, 0, 0),
  [12146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_extension, 3, 0, 0),
  [12148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14557),
  [12150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 6, 0, 0),
  [12152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 6, 0, 0),
  [12154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [12156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 2, 0, 0),
  [12158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 2, 0, 0),
  [12160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 3, 0, 0),
  [12162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 3, 0, 0),
  [12164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14626),
  [12166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_item_extension, 6, 0, 0),
  [12168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_item_extension, 6, 0, 0),
  [12170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 1, 0, 0),
  [12172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 1, 0, 0),
  [12174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17166),
  [12176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19575),
  [12178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10332),
  [12180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9539),
  [12182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17173),
  [12184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19594),
  [12186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10357),
  [12188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_parameter, 2, 0, 0),
  [12190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_parameter, 2, 0, 0),
  [12192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9872),
  [12194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9341),
  [12196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10842),
  [12198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14605),
  [12200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10677),
  [12202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14601),
  [12204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_attribute, 4, 0, 0),
  [12206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_attribute, 4, 0, 0),
  [12208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9047),
  [12210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10049),
  [12212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 8, 0, 13),
  [12214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 8, 0, 13),
  [12216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [12218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [12220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [12222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [12224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [12226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [12228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [12230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [12232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [12234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [12236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9418),
  [12238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6558),
  [12240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8429),
  [12242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8831),
  [12244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11809),
  [12246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10067),
  [12248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10667),
  [12250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14473),
  [12252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 7, 0, 6),
  [12254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 7, 0, 6),
  [12256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 7, 0, 0),
  [12258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 7, 0, 0),
  [12260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17126),
  [12262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19480),
  [12264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10884),
  [12266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12843),
  [12268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9904),
  [12270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 5, 0, 0),
  [12272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 5, 0, 0),
  [12274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12432),
  [12276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 6, 0, 0),
  [12278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 6, 0, 0),
  [12280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9748),
  [12282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [12284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_attribute, 3, 0, 0),
  [12286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_attribute, 3, 0, 0),
  [12288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13118),
  [12290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17140),
  [12292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19508),
  [12294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10790),
  [12296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6563),
  [12298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14522),
  [12300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 1, 0, 0),
  [12302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 1, 0, 0),
  [12304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17152),
  [12306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19534),
  [12308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10749),
  [12310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0),
  [12312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0),
  [12314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8842),
  [12317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8843),
  [12320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9062),
  [12322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 3, 0, 7),
  [12324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 3, 0, 7),
  [12326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12134),
  [12328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11865),
  [12330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12673),
  [12332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5792),
  [12334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9494),
  [12336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 3, 0, 0),
  [12338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 3, 0, 0),
  [12340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8842),
  [12342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 4, 0, 0),
  [12344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 4, 0, 0),
  [12346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 5, 0, 0),
  [12348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 5, 0, 0),
  [12350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8843),
  [12352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10054),
  [12354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8837),
  [12356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [12358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9363),
  [12360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [12362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [12364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [12366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [12368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [12370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [12372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2096),
  [12374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [12376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [12378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [12380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_equation, 2, 0, 0),
  [12382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_equation, 2, 0, 0),
  [12384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8719),
  [12386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16785),
  [12388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 5, 0, 0),
  [12390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 5, 0, 0),
  [12392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_equation, 3, 0, 0),
  [12394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_equation, 3, 0, 0),
  [12396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constraint, 4, 0, 0),
  [12398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constraint, 4, 0, 0),
  [12400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3990),
  [12402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3990),
  [12405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16759),
  [12407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9898),
  [12409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9893),
  [12411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8750),
  [12413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(16759),
  [12416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, 0, 0),
  [12418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, 0, 0),
  [12420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14607),
  [12422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8934),
  [12424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14687),
  [12426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14863),
  [12428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [12430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14777),
  [12432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 3, 0, 0),
  [12434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 3, 0, 0),
  [12436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14586),
  [12438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 2, 0, 3),
  [12440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 2, 0, 3),
  [12442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12879),
  [12444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17039),
  [12446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19273),
  [12448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11022),
  [12450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 12),
  [12452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 12),
  [12454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12885),
  [12456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12894),
  [12458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12899),
  [12460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8837),
  [12463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 4, 0, 0),
  [12465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 4, 0, 0),
  [12467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17179),
  [12469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19613),
  [12471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10915),
  [12473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10038),
  [12475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 4, 0, 79),
  [12477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 4, 0, 79),
  [12479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 73),
  [12481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 73),
  [12483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 74),
  [12485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 74),
  [12487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4418),
  [12489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8594),
  [12491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13951),
  [12493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [12495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9441),
  [12497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14285),
  [12499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [12501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15950),
  [12503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 92),
  [12505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 92),
  [12507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 59),
  [12509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 59),
  [12511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 2, 0, 18),
  [12513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 2, 0, 18),
  [12515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [12517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 6, 0, 105),
  [12519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 6, 0, 105),
  [12521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 60),
  [12523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 60),
  [12525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4391),
  [12527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7065),
  [12529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [12531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [12533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [12535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [12537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [12539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [12541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [12543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 93),
  [12545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 93),
  [12547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 106),
  [12549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 106),
  [12551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 59),
  [12553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 59),
  [12555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 107),
  [12557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 107),
  [12559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [12561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [12563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [12565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [12567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [12569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [12571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [12573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2195),
  [12575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [12577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [12579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 1, 0, 6),
  [12581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 1, 0, 6),
  [12583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14130),
  [12585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9281),
  [12587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8982),
  [12589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 1, 0, 0),
  [12591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 1, 0, 0),
  [12593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14177),
  [12595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9283),
  [12597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8984),
  [12599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 2, 0, 13),
  [12601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 2, 0, 13),
  [12603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14195),
  [12605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9312),
  [12607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8963),
  [12609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 81),
  [12611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 81),
  [12613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 95),
  [12615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 95),
  [12617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4420),
  [12619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7277),
  [12621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 80),
  [12623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 80),
  [12625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4389),
  [12627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6710),
  [12629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4387),
  [12631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7422),
  [12633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10983),
  [12635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14556),
  [12637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 95),
  [12639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 95),
  [12641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17432),
  [12643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function_type, 3, 0, 0),
  [12645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function_type, 3, 0, 0),
  [12647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4422),
  [12649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [12651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9034),
  [12653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8960),
  [12655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9043),
  [12657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8962),
  [12659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9054),
  [12661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8966),
  [12663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4397),
  [12665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6455),
  [12667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 62),
  [12669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 62),
  [12671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 85),
  [12673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 85),
  [12675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function_type, 5, 0, 65),
  [12677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function_type, 5, 0, 65),
  [12679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17432),
  [12682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [12684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [12686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 6, 0, 99),
  [12688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 6, 0, 99),
  [12690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 6, 0, 108),
  [12692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 6, 0, 108),
  [12694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9954),
  [12696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4424),
  [12698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7257),
  [12700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 9),
  [12702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 9),
  [12704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4408),
  [12706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [12708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4406),
  [12710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9120),
  [12712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4426),
  [12714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5769),
  [12716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__polymorphic_typed, 2, 0, 0),
  [12718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__polymorphic_typed, 2, 0, 0),
  [12720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__polymorphic_type, 1, 0, 0),
  [12722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__polymorphic_type, 1, 0, 0),
  [12724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4428),
  [12726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5040),
  [12728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 8, 0, 92),
  [12730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 8, 0, 92),
  [12732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 7, 0, 105),
  [12734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 7, 0, 105),
  [12736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 7, 0, 116),
  [12738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 7, 0, 116),
  [12740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 6, 0, 78),
  [12742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 6, 0, 78),
  [12744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 106),
  [12746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 106),
  [12748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 117),
  [12750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 117),
  [12752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 107),
  [12754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 107),
  [12756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_type, 1, 0, 0),
  [12758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_type, 1, 0, 0),
  [12760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8658),
  [12762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 118),
  [12764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 118),
  [12766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_typed, 2, 0, 0),
  [12768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_typed, 2, 0, 0),
  [12770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 80),
  [12772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 80),
  [12774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 119),
  [12776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 119),
  [12778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4430),
  [12780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5349),
  [12782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 4, 0, 63),
  [12784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 4, 0, 63),
  [12786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 94),
  [12788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 94),
  [12790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 4, 0, 86),
  [12792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 4, 0, 86),
  [12794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function_type, 6, 0, 45),
  [12796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function_type, 6, 0, 45),
  [12798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4432),
  [12800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5984),
  [12802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 7, 0, 108),
  [12804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 7, 0, 108),
  [12806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 7, 0, 120),
  [12808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 7, 0, 120),
  [12810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4400),
  [12812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7264),
  [12814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4434),
  [12816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6325),
  [12818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_floating_attribute, 3, 0, 0),
  [12820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_floating_attribute, 3, 0, 0),
  [12822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 39),
  [12824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 39),
  [12826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4436),
  [12828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6384),
  [12830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 3, 0, 58),
  [12832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 3, 0, 58),
  [12834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 8, 0, 116),
  [12836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 8, 0, 116),
  [12838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 8, 0, 127),
  [12840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 8, 0, 127),
  [12842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 117),
  [12844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 117),
  [12846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 118),
  [12848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 118),
  [12850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 128),
  [12852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 128),
  [12854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 119),
  [12856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 119),
  [12858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_external_repeat1, 2, 0, 0),
  [12860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_external_repeat1, 2, 0, 0),
  [12862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_external_repeat1, 2, 0, 0), SHIFT_REPEAT(12432),
  [12865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 51),
  [12867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 51),
  [12869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 129),
  [12871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 129),
  [12873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 94),
  [12875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 94),
  [12877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 8, 0, 120),
  [12879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 8, 0, 120),
  [12881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17208),
  [12883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4438),
  [12885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9731),
  [12887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 9, 0, 127),
  [12889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 9, 0, 127),
  [12891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 128),
  [12893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 128),
  [12895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 129),
  [12897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 129),
  [12899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 9),
  [12901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 9),
  [12903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 134),
  [12905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 134),
  [12907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17208),
  [12910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 30),
  [12912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 30),
  [12914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4440),
  [12916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6410),
  [12918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 11, 0, 134),
  [12920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 11, 0, 134),
  [12922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 85),
  [12924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 85),
  [12926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4410),
  [12928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7441),
  [12930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4442),
  [12932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6476),
  [12934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4402),
  [12936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7886),
  [12938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10040),
  [12940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 5, 0, 99),
  [12942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 5, 0, 99),
  [12944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_floating_attribute, 4, 0, 0),
  [12946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_floating_attribute, 4, 0, 0),
  [12948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4180),
  [12950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4184),
  [12952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 4, 0, 58),
  [12954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 4, 0, 58),
  [12956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3974),
  [12958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3974),
  [12961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4444),
  [12963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [12965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 3),
  [12967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 3),
  [12969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12830),
  [12971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4446),
  [12973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6084),
  [12975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 62),
  [12977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 62),
  [12979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 16),
  [12981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 16),
  [12983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 5, 0, 86),
  [12985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 5, 0, 86),
  [12987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0),
  [12989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0),
  [12991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 60),
  [12993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 60),
  [12995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4448),
  [12997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [12999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4412),
  [13001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [13003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 81),
  [13005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 81),
  [13007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9907),
  [13009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4450),
  [13011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7626),
  [13013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 52),
  [13015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 52),
  [13017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 12),
  [13019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 12),
  [13021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 75),
  [13023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 75),
  [13025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 33),
  [13027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 33),
  [13029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4395),
  [13031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7120),
  [13033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [13035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 3, 0, 63),
  [13037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 3, 0, 63),
  [13039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 30),
  [13041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 30),
  [13043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4452),
  [13045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7125),
  [13047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 53),
  [13049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 53),
  [13051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4404),
  [13053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4909),
  [13055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4414),
  [13057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6885),
  [13059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 54),
  [13061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 54),
  [13063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 39),
  [13065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 39),
  [13067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 30),
  [13069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 30),
  [13071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 5, 0, 79),
  [13073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 5, 0, 79),
  [13075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 93),
  [13077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 93),
  [13079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9359),
  [13081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 51),
  [13083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 51),
  [13085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 52),
  [13087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 52),
  [13089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 12),
  [13091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 12),
  [13093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 73),
  [13095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 73),
  [13097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 74),
  [13099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 74),
  [13101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10020),
  [13103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 73),
  [13105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 73),
  [13107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 74),
  [13109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 74),
  [13111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 92),
  [13113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 92),
  [13115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4393),
  [13117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7091),
  [13119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 16),
  [13121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 16),
  [13123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4454),
  [13125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4869),
  [13127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 3),
  [13129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 3),
  [13131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12878),
  [13133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_constraint, 4, 0, 0),
  [13135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_constraint, 4, 0, 0),
  [13137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14161),
  [13139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(14161),
  [13142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4456),
  [13144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [13146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 51),
  [13148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 51),
  [13150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14176),
  [13152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(14176),
  [13155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4458),
  [13157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6554),
  [13159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(15242),
  [13162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8841),
  [13165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4460),
  [13167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5896),
  [13169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4385),
  [13171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5241),
  [13173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 53),
  [13175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 53),
  [13177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17159),
  [13179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19555),
  [13181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11503),
  [13183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 54),
  [13185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 54),
  [13187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 33),
  [13189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 33),
  [13191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4462),
  [13193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [13195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4464),
  [13197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5682),
  [13199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4416),
  [13201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6206),
  [13203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14564),
  [13205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4466),
  [13207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5155),
  [13209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [13211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4379),
  [13213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4115),
  [13215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4468),
  [13217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [13219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 36),
  [13221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 36),
  [13223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 7),
  [13225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 7),
  [13227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 52),
  [13229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 52),
  [13231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 5, 0, 56),
  [13233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 5, 0, 56),
  [13235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4470),
  [13237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [13239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 75),
  [13241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 75),
  [13243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8841),
  [13245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_constraint, 3, 0, 0),
  [13247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_constraint, 3, 0, 0),
  [13249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 7, 0, 0),
  [13251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 7, 0, 0),
  [13253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 3, 0, 0),
  [13255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_definition, 3, 0, 0),
  [13257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9093),
  [13259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8959),
  [13261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 7, 0, 76),
  [13263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 7, 0, 76),
  [13265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8700),
  [13267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9080),
  [13269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8968),
  [13271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8577),
  [13273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_argument, 2, 0, 0),
  [13275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_argument, 2, 0, 0),
  [13277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [13279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [13281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [13283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [13285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [13287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [13289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2237),
  [13291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [13293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [13295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8550),
  [13297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(10084),
  [13300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(14353),
  [13303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 2, 0, 0),
  [13305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_definition, 2, 0, 0),
  [13307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9085),
  [13309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8972),
  [13311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9092),
  [13313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8977),
  [13315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9097),
  [13317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8978),
  [13319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14353),
  [13321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [13323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12839),
  [13325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12833),
  [13327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 4, 0, 0),
  [13329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_definition, 4, 0, 0),
  [13331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 4, 0, 14),
  [13333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 4, 0, 14),
  [13335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9166),
  [13337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8988),
  [13339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9213),
  [13341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8949),
  [13343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9247),
  [13345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8955),
  [13347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9967),
  [13349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9948),
  [13351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 5, 0, 35),
  [13353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 5, 0, 35),
  [13355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 6, 0, 55),
  [13357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 6, 0, 55),
  [13359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9913),
  [13362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 5, 0, 0),
  [13364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 5, 0, 0),
  [13366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_typed, 2, 0, 0),
  [13368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module_typed, 2, 0, 0),
  [13370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11861),
  [13372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14304),
  [13374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_type, 3, 0, 0),
  [13376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_type, 3, 0, 0),
  [13378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_type, 4, 0, 0),
  [13380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_type, 4, 0, 0),
  [13382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11866),
  [13384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14310),
  [13386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9248),
  [13388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8965),
  [13390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9321),
  [13392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11648),
  [13394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18916),
  [13396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8878),
  [13398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14979),
  [13400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16207),
  [13402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8961),
  [13404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [13406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [13408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [13410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [13412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2305),
  [13414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [13416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [13418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [13420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2309),
  [13422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [13424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9537),
  [13426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11647),
  [13428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14964),
  [13430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4451),
  [13432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7471),
  [13434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4421),
  [13436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7287),
  [13438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9919),
  [13440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4399),
  [13442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6567),
  [13444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4455),
  [13446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [13448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4413),
  [13450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [13452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16874),
  [13454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9157),
  [13456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8991),
  [13458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4437),
  [13460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6389),
  [13462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4415),
  [13464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6979),
  [13466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9645),
  [13468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11418),
  [13470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14599),
  [13472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9682),
  [13474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9163),
  [13476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8994),
  [13478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9561),
  [13480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4457),
  [13482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [13484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11716),
  [13486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14157),
  [13488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3824),
  [13490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 2, 0, 0),
  [13492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 2, 0, 0),
  [13494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13514),
  [13496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 3, 0, 0),
  [13498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 3, 0, 0),
  [13500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13514),
  [13503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4392),
  [13505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7142),
  [13507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9182),
  [13509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8939),
  [13511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4409),
  [13513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [13515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_external_repeat1, 1, 0, 0),
  [13517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_external_repeat1, 1, 0, 0),
  [13519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_definition, 3, 0, 0),
  [13521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_definition, 3, 0, 0),
  [13523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14710),
  [13525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4388),
  [13527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7276),
  [13529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9718),
  [13531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4459),
  [13533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6473),
  [13535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9574),
  [13537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4431),
  [13539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5383),
  [13541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11758),
  [13543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11166),
  [13545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15308),
  [13547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [13549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15947),
  [13551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8668),
  [13553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(16874),
  [13556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4453),
  [13558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7134),
  [13560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(10007),
  [13563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4461),
  [13565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5902),
  [13567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [13569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11809),
  [13571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14618),
  [13573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_definition, 5, 0, 0),
  [13575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_definition, 5, 0, 0),
  [13577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4411),
  [13579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7291),
  [13581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4463),
  [13583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [13585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [13587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4394),
  [13589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7253),
  [13591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4396),
  [13593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6805),
  [13595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_type_definition_repeat1, 2, 0, 0),
  [13597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_type_definition_repeat1, 2, 0, 0),
  [13599] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14710),
  [13602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4449),
  [13604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [13606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4429),
  [13608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5042),
  [13610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4465),
  [13612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5605),
  [13614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8820),
  [13617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14633),
  [13619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4417),
  [13621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6270),
  [13623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3824),
  [13626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4445),
  [13628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [13630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4390),
  [13632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6752),
  [13634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4439),
  [13636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9734),
  [13638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11815),
  [13640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11621),
  [13642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15239),
  [13644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [13646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13121),
  [13648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4433),
  [13650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5987),
  [13652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4467),
  [13654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5157),
  [13656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9049),
  [13658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8997),
  [13660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4407),
  [13662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9128),
  [13664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9051),
  [13666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8938),
  [13668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4427),
  [13670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5813),
  [13672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4133),
  [13674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4134),
  [13676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9650),
  [13678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4469),
  [13680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [13682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4401),
  [13684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7413),
  [13686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9067),
  [13688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8942),
  [13690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9852),
  [13693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4380),
  [13695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [13697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9584),
  [13699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4441),
  [13701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6422),
  [13703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4320),
  [13705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [13707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4403),
  [13709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7964),
  [13711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4435),
  [13713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6336),
  [13715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8827),
  [13718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4405),
  [13720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4981),
  [13722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4386),
  [13724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5275),
  [13726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 5, 0, 55),
  [13728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 5, 0, 55),
  [13730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 6, 0, 76),
  [13732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 6, 0, 76),
  [13734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_definition, 4, 0, 0),
  [13736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_definition, 4, 0, 0),
  [13738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13755),
  [13740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14131),
  [13742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9762),
  [13744] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9998),
  [13747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4423),
  [13749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [13751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [13753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [13755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4425),
  [13757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6669),
  [13759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13755),
  [13762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4443),
  [13764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6481),
  [13766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(14131),
  [13769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 3, 0, 14),
  [13771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 3, 0, 14),
  [13773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11850),
  [13775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 4, 0, 35),
  [13777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 4, 0, 35),
  [13779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11852),
  [13781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4447),
  [13783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6087),
  [13785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11855),
  [13787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11857),
  [13789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9665),
  [13791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0),
  [13793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0),
  [13795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4578),
  [13798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4578),
  [13801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7044),
  [13803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7094),
  [13805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7164),
  [13807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7170),
  [13809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7172),
  [13811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [13813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6309),
  [13815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [13817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_item, 1, 0, 0),
  [13819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_item, 1, 0, 0),
  [13821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6318),
  [13823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6359),
  [13825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6369),
  [13827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6370),
  [13829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6877),
  [13831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [13833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [13835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [13837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [13839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [13841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6903),
  [13843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6950),
  [13845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6971),
  [13847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7298),
  [13849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_item, 2, 0, 0),
  [13851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_item, 2, 0, 0),
  [13853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7303),
  [13855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7308),
  [13857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7309),
  [13859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7310),
  [13861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20400),
  [13863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3809),
  [13865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [13867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [13869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3815),
  [13871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3817),
  [13873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6693),
  [13875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6709),
  [13877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6736),
  [13879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6756),
  [13881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6758),
  [13883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5742),
  [13885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5747),
  [13887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5782),
  [13889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5799),
  [13891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5802),
  [13893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [13895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5043),
  [13897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5293),
  [13899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5045),
  [13901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5046),
  [13903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5047),
  [13905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5048),
  [13907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5393),
  [13909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5351),
  [13911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5362),
  [13913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5298),
  [13915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5302),
  [13917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5989),
  [13919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5992),
  [13921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6133),
  [13923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6000),
  [13925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6001),
  [13927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6353),
  [13929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6364),
  [13931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6375),
  [13933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6380),
  [13935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6381),
  [13937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6391),
  [13939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7239),
  [13941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6394),
  [13943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6399),
  [13945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6402),
  [13947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6404),
  [13949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5229),
  [13951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9738),
  [13953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9741),
  [13955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9742),
  [13957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9745),
  [13959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9746),
  [13961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6436),
  [13963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6835),
  [13965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 5, 0, 0),
  [13967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 5, 0, 0),
  [13969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4571),
  [13971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [13973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6447),
  [13975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6460),
  [13977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6467),
  [13979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6469),
  [13981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6485),
  [13983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6487),
  [13985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13690),
  [13987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6494),
  [13989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6495),
  [13991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6496),
  [13993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7224),
  [13995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7228),
  [13997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [13999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [14001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [14003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8699),
  [14006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [14008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [14010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7073),
  [14012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [14014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [14016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [14018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [14020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6088),
  [14022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6090),
  [14024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6092),
  [14026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6093),
  [14028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6094),
  [14030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5222),
  [14032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [14034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [14036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3659),
  [14038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [14040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [14042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5249),
  [14044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5252),
  [14046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7553),
  [14048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7454),
  [14050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7457),
  [14052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7486),
  [14054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7492),
  [14056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4212),
  [14058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7146),
  [14060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7155),
  [14062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7160),
  [14064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7165),
  [14066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7167),
  [14068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13690),
  [14071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4879),
  [14073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4884),
  [14075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4762),
  [14077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4889),
  [14079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4890),
  [14081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11818),
  [14083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [14085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0),
  [14087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0),
  [14089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [14091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [14093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [14095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [14097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6557),
  [14099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6408),
  [14101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6213),
  [14103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6287),
  [14105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6293),
  [14107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5913),
  [14109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5920),
  [14111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6072),
  [14113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6077),
  [14115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6079),
  [14117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [14119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [14121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [14123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [14125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [14127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5632),
  [14129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 4, 0, 0),
  [14131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 4, 0, 0),
  [14133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4578),
  [14135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [14137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5562),
  [14139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5596),
  [14141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5654),
  [14143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5677),
  [14145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4218),
  [14147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5158),
  [14149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5160),
  [14151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5161),
  [14153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5162),
  [14155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5163),
  [14157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [14159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [14161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3306),
  [14163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [14165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [14167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [14169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [14171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [14173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [14175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [14177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6696),
  [14179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9301),
  [14181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8937),
  [14183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9303),
  [14185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8993),
  [14187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19840),
  [14189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9310),
  [14191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8995),
  [14193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7103),
  [14195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 2, 0, 0),
  [14197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 2, 0, 0),
  [14199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 3, 0, 0),
  [14201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 3, 0, 0),
  [14203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7242),
  [14205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6777),
  [14207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7053),
  [14209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18229),
  [14211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [14213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [14215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [14217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [14219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [14221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [14223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [14225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [14227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [14229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4220),
  [14231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [14233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4571),
  [14236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4571),
  [14239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0),
  [14241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0),
  [14243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [14245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [14247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [14249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [14251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [14253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [14255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [14257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [14259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [14261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [14263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6914),
  [14265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20410),
  [14267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7067),
  [14269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6731),
  [14271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6791),
  [14273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6795),
  [14275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8999),
  [14277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8964),
  [14279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9131),
  [14281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8998),
  [14283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9156),
  [14285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8979),
  [14287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3963),
  [14289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3963),
  [14292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8600),
  [14294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4199),
  [14296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9904),
  [14299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6621),
  [14301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7313),
  [14303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6632),
  [14305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6638),
  [14307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6646),
  [14309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6136),
  [14311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [14313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7355),
  [14315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9238),
  [14317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8947),
  [14319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9242),
  [14321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8948),
  [14323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11683),
  [14325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9246),
  [14327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8953),
  [14329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7425),
  [14331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7431),
  [14333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7440),
  [14335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7444),
  [14337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7445),
  [14339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [14341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4273),
  [14343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(8594),
  [14346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(13951),
  [14349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0),
  [14351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(9441),
  [14354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(14285),
  [14357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(902),
  [14360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(15369),
  [14363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(15382),
  [14366] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(15410),
  [14369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [14371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7435),
  [14373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7443),
  [14375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7364),
  [14377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8050),
  [14379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7867),
  [14381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8874),
  [14383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [14385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7854),
  [14387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7879),
  [14389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7880),
  [14391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(10067),
  [14394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 3, 0, 0),
  [14396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4925),
  [14398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4897),
  [14400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4918),
  [14402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4964),
  [14404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4936),
  [14406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 2, 0, 0),
  [14408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 4, 0, 0),
  [14410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 4, 0, 0),
  [14412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9134),
  [14414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4369),
  [14416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9138),
  [14418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9317),
  [14420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9141),
  [14422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9142),
  [14424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13487),
  [14426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13487),
  [14429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [14431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [14433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3073),
  [14435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [14437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [14439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13526),
  [14441] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13526),
  [14444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7331),
  [14446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7358),
  [14448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7383),
  [14450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7392),
  [14452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7397),
  [14454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13184),
  [14456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [14458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [14460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11854),
  [14462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14298),
  [14464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [14466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [14468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [14470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [14472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6852),
  [14474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20364),
  [14476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20382),
  [14478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12345),
  [14480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20276),
  [14482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19761),
  [14484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13644),
  [14486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19752),
  [14488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5299),
  [14490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17453),
  [14492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18938),
  [14494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [14496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [14498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [14500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [14502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [14504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [14506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [14508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [14510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2167),
  [14512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [14514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [14516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [14518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [14520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [14522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [14524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [14526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2055),
  [14528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [14530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [14532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8548),
  [14534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8821),
  [14536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14343),
  [14538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9763),
  [14540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12623),
  [14542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14527),
  [14544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 4, 0, 0),
  [14546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [14548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4565),
  [14550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4565),
  [14552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9752),
  [14554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13732),
  [14556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11407),
  [14558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19963),
  [14560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8919),
  [14562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15028),
  [14564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15986),
  [14566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16340),
  [14568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13274),
  [14570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9578),
  [14572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9588),
  [14574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9629),
  [14576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 3, 0, 0),
  [14578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9637),
  [14580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9641),
  [14582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3962),
  [14584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17657),
  [14586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5446),
  [14588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16849),
  [14590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19749),
  [14592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3962),
  [14595] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(10054),
  [14598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9785),
  [14600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9792),
  [14602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [14604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9730),
  [14606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9823),
  [14608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9838),
  [14610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9841),
  [14612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12100),
  [14614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14737),
  [14616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [14618] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(10038),
  [14621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4565),
  [14624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4565),
  [14627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [14629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 5, 0, 0),
  [14631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4554),
  [14634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4554),
  [14637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13644),
  [14640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14676),
  [14642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9660),
  [14644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18257),
  [14646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5354),
  [14648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17511),
  [14650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19870),
  [14652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8831),
  [14655] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9893),
  [14658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17984),
  [14660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13523),
  [14662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16598),
  [14664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19354),
  [14666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13538),
  [14668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13538),
  [14671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18866),
  [14673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8777),
  [14675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16733),
  [14677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18134),
  [14679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10011),
  [14681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4554),
  [14683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4554),
  [14685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18779),
  [14687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12066),
  [14689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17228),
  [14691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18956),
  [14693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9610),
  [14695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20343),
  [14697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [14699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16950),
  [14701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18976),
  [14703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 4, 0, 0),
  [14705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9772),
  [14707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11165),
  [14709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14994),
  [14711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11456),
  [14713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15006),
  [14715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11862),
  [14717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11864),
  [14719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [14721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [14723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [14725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [14727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [14729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [14731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [14733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [14735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [14737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [14739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [14741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [14743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [14745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [14747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [14749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [14751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [14753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [14755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [14757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [14759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(10020),
  [14762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [14764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [14766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [14768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [14770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [14772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [14774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [14776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [14778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [14780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [14782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [14784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16073),
  [14786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [14788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [14790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [14792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [14794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [14796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [14798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [14800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [14802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [14804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1822),
  [14806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [14808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [14810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8821),
  [14813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(14343),
  [14816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0),
  [14818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(12623),
  [14821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(14527),
  [14824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(15369),
  [14827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(15382),
  [14830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(15410),
  [14833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14247),
  [14835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9212),
  [14837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8950),
  [14839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14249),
  [14841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9214),
  [14843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8951),
  [14845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14510),
  [14848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, 0, 0),
  [14850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, 0, 0),
  [14852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14510),
  [14854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14273),
  [14856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9223),
  [14858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8952),
  [14860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10021),
  [14862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [14864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_toplevel_directive, 2, 0, 0),
  [14866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_toplevel_directive, 2, 0, 0),
  [14868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14335),
  [14870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [14872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9147),
  [14874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8974),
  [14876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9159),
  [14878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8985),
  [14880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9074),
  [14882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8945),
  [14884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9774),
  [14886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4032),
  [14888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4032),
  [14891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [14893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [14895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [14897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [14899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [14901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [14903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [14905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [14907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [14909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [14911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4054),
  [14913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4054),
  [14916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3902),
  [14918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3902),
  [14921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3885),
  [14923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3885),
  [14926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 3, 0, 0),
  [14928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 3, 0, 0),
  [14930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14915),
  [14932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 3, 0, 0),
  [14934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 3, 0, 0),
  [14936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12805),
  [14938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12673),
  [14940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14753),
  [14942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 0),
  [14944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, 0, 0),
  [14946] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12805),
  [14949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [14951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [14953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [14955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [14957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [14959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [14961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [14963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [14965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [14967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [14969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 0),
  [14971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 0),
  [14973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [14975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4011),
  [14977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14915),
  [14980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [14982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [14984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [14986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4011),
  [14989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4030),
  [14991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4030),
  [14994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8762),
  [14996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [14998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [15000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2292),
  [15002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [15004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [15006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2295),
  [15008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [15010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [15012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [15014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [15016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9422),
  [15018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13532),
  [15020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12821),
  [15022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14668),
  [15024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14297),
  [15026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14303),
  [15028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 2, 0, 0),
  [15030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 2, 0, 0),
  [15032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [15034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9338),
  [15036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12803),
  [15038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12819),
  [15040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 2, 0, 0),
  [15042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 2, 0, 0),
  [15044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9677),
  [15046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9909),
  [15048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12804),
  [15050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14755),
  [15052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9639),
  [15054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12812),
  [15056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [15058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13548),
  [15060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13548),
  [15063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [15065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9756),
  [15067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12819),
  [15070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11652),
  [15072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13206),
  [15074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11848),
  [15076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3751),
  [15078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3751),
  [15081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11822),
  [15083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8922),
  [15085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 3, 0, 0),
  [15087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 3, 0, 0),
  [15089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16420),
  [15091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 4, 0, 0),
  [15093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 4, 0, 0),
  [15095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16420),
  [15098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 5, 0, 0),
  [15100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 5, 0, 0),
  [15102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16424),
  [15104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16424),
  [15107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 2, 0, 0),
  [15109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 2, 0, 0),
  [15111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_type, 3, 0, 72),
  [15113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_type, 3, 0, 72),
  [15115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_type, 3, 0, 0),
  [15117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_type, 3, 0, 0),
  [15119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [15121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [15123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [15125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [15127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2400),
  [15129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [15131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [15133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2403),
  [15135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2404),
  [15137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [15139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [15141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [15143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4819),
  [15145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [15147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2265),
  [15149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [15151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [15153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2268),
  [15155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [15157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [15159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10099),
  [15161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12864),
  [15163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12864),
  [15165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12891),
  [15167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6812),
  [15169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [15171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6144),
  [15173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [15175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [15177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [15179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6829),
  [15181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8629),
  [15183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [15185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [15187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [15189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [15191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15764),
  [15193] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12820),
  [15196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5712),
  [15198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [15200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [15202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12820),
  [15204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3907),
  [15206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6940),
  [15208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [15210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5781),
  [15212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [15214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3907),
  [15217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3888),
  [15219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6630),
  [15221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11626),
  [15223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [15225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [15227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [15229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2361),
  [15231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [15233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [15235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2364),
  [15237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2365),
  [15239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [15241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [15243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [15245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [15247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [15249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [15251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7339),
  [15253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [15255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [15257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [15259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [15261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7342),
  [15263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [15265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [15267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [15269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [15271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [15273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [15275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [15277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [15279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [15281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [15283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9819),
  [15285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3867),
  [15287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2985),
  [15289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0),
  [15291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5193),
  [15293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [15295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7599),
  [15297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [15299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [15301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5198),
  [15303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9680),
  [15305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [15307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6224),
  [15309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [15311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7118),
  [15313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [15315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7605),
  [15317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3629),
  [15319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [15321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3921),
  [15323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [15325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [15327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1961),
  [15329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [15331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [15333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1965),
  [15335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [15337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3833),
  [15339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [15341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [15343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7485),
  [15345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [15347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9683),
  [15349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [15351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [15353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7136),
  [15355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [15357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5303),
  [15359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [15361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7521),
  [15363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9967),
  [15366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [15368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [15370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [15372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7280),
  [15374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [15376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [15378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [15380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [15382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [15384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [15386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [15388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [15390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [15392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6099),
  [15394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [15396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [15398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3888),
  [15401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [15403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5932),
  [15405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [15407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [15409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [15411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [15413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [15415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [15417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [15419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [15421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [15423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8626),
  [15425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [15427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5314),
  [15429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6334),
  [15431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [15433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5272),
  [15435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [15437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure_item, 1, 0, 0),
  [15439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure_item, 1, 0, 0),
  [15441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [15443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5117),
  [15445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [15447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [15449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [15451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6541),
  [15453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [15455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [15457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [15459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [15461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2341),
  [15463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [15465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [15467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2344),
  [15469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [15471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [15473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [15475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [15477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [15479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [15481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [15483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6337),
  [15485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7270),
  [15487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [15489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [15491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5722),
  [15493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [15495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [15497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9069),
  [15499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7005),
  [15501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [15503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [15505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5815),
  [15507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [15509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7009),
  [15511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3644),
  [15513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [15515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6226),
  [15517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [15519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7000),
  [15521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3833),
  [15524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [15526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [15528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [15530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [15532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [15534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [15536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1808),
  [15538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7649),
  [15540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6817),
  [15542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [15544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4851),
  [15546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12371),
  [15548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [15550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [15552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2924),
  [15554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3115),
  [15556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3921),
  [15559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6926),
  [15561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [15563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8007),
  [15565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [15567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [15569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [15571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [15573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8009),
  [15575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [15577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9204),
  [15579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12158),
  [15581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [15583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [15585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [15587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [15589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6430),
  [15591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3943),
  [15593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [15595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6929),
  [15597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5300),
  [15599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8604),
  [15601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [15603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8667),
  [15605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 3, 0, 67),
  [15607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [15609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6588),
  [15611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [15613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [15615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [15617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10954),
  [15619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6749),
  [15621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [15623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5315),
  [15625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6757),
  [15627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [15629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [15631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [15633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6590),
  [15635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7727),
  [15637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [15639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [15641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [15643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [15645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6456),
  [15647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3935),
  [15649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [15651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6754),
  [15653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4960),
  [15655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [15657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5857),
  [15659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2938),
  [15661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [15663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4899),
  [15665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3935),
  [15668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [15670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [15672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5666),
  [15674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5238),
  [15676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [15678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 1, 0, 0),
  [15680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 1, 0, 0),
  [15682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [15684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [15686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13473),
  [15688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3393),
  [15690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3400),
  [15692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4289),
  [15694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6665),
  [15696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [15698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [15700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6674),
  [15702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7131),
  [15704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5407),
  [15706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [15708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [15710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [15712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [15714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4123),
  [15716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [15718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7991),
  [15720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6180),
  [15722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [15724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8789),
  [15726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4147),
  [15728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [15730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6461),
  [15732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [15734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [15736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6182),
  [15738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [15740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [15742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6653),
  [15744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [15746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8570),
  [15748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [15750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 2, 0, 42),
  [15752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [15754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6516),
  [15756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [15758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7143),
  [15760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7305),
  [15762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [15764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7085),
  [15766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7821),
  [15768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [15770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7212),
  [15772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6272),
  [15774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [15776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5900),
  [15778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6124),
  [15780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [15782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4057),
  [15784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4057),
  [15787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7248),
  [15789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [15791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4916),
  [15793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [15795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [15797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6275),
  [15799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [15801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [15803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9187),
  [15805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [15807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6917),
  [15809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [15811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6126),
  [15813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6028),
  [15815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [15817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [15819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5206),
  [15821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4999),
  [15823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [15825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(15764),
  [15828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [15830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6030),
  [15832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5498),
  [15834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4108),
  [15836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [15838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [15840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [15842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [15844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [15846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6536),
  [15848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5809),
  [15850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [15852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5001),
  [15854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [15856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5276),
  [15858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5462),
  [15860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4816),
  [15862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [15864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [15866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6972),
  [15868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8633),
  [15870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [15872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 87),
  [15874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [15876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [15878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0), SHIFT_REPEAT(12678),
  [15881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7700),
  [15883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5930),
  [15885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [15887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12808),
  [15889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5891),
  [15891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [15893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3697),
  [15895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6086),
  [15897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14552),
  [15899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [15901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [15903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3500),
  [15905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [15907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [15909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8640),
  [15911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 42),
  [15913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [15915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 67),
  [15917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [15919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 87),
  [15921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [15923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [15925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [15927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2355),
  [15929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [15931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [15933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2370),
  [15935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2371),
  [15937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [15939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5983),
  [15941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [15943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3650),
  [15945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6082),
  [15947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6729),
  [15949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [15951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3703),
  [15953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7159),
  [15955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4977),
  [15957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [15959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3597),
  [15961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4893),
  [15963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9911),
  [15965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9891),
  [15967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8544),
  [15969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14530),
  [15971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [15973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [15975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3679),
  [15977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [15979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [15981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature_item, 1, 0, 0),
  [15983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6701),
  [15985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [15987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3709),
  [15989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6694),
  [15991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12807),
  [15993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [15995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [15997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [15999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [16001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [16003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [16005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [16007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7112),
  [16009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [16011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3592),
  [16013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6912),
  [16015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [16017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [16019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13445),
  [16021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [16023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3528),
  [16025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6916),
  [16027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [16029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6527),
  [16031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [16033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3721),
  [16035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6539),
  [16037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9053),
  [16039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [16041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3724),
  [16043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8174),
  [16045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7531),
  [16047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [16049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3553),
  [16051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7660),
  [16053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [16055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14530),
  [16058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 4, 0, 54),
  [16060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [16062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6897),
  [16064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [16066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 42),
  [16068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [16070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [16072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [16074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [16076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [16078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [16080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [16082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5067),
  [16084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [16086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3585),
  [16088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5130),
  [16090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [16092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [16094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3655),
  [16096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [16098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [16100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 1, 0, 0),
  [16102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6896),
  [16104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [16106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3670),
  [16108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6667),
  [16110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [16112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [16114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [16116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [16118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [16120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [16122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [16124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1846),
  [16126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [16128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [16130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6551),
  [16132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [16134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3513),
  [16136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6560),
  [16138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5270),
  [16140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [16142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3527),
  [16144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5266),
  [16146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [16148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(12864),
  [16151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(12864),
  [16154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(12891),
  [16157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [16159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4769),
  [16161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [16163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3575),
  [16165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4852),
  [16167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__instance_variable_name, 1, 0, 10),
  [16169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12818),
  [16171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [16173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [16175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3719),
  [16177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [16179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7951),
  [16181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [16183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3727),
  [16185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7883),
  [16187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_expression, 3, 0, 0),
  [16189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [16191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [16193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12843),
  [16195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15016),
  [16197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4222),
  [16199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [16201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3543),
  [16203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [16205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [16207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [16209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3664),
  [16211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [16213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9769),
  [16215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [16217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3531),
  [16219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9813),
  [16221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [16223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6158),
  [16225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [16227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3503),
  [16229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6151),
  [16231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [16233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12802),
  [16235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16433),
  [16237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5399),
  [16239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [16241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3669),
  [16243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5363),
  [16245] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14552),
  [16248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 33),
  [16250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6568),
  [16252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [16254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3566),
  [16256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6212),
  [16258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7288),
  [16260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [16262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3554),
  [16264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7388),
  [16266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [16268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [16270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3605),
  [16272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [16274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14371),
  [16276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14371),
  [16279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_expression_repeat1, 2, 0, 0),
  [16281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5893),
  [16283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [16285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3545),
  [16287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5854),
  [16289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [16291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 87),
  [16293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [16295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [16297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3586),
  [16299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [16301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_content, 1, 0, 0),
  [16303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7241),
  [16305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [16307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3687),
  [16309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6862),
  [16311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12809),
  [16313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5817),
  [16315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [16317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3626),
  [16319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5767),
  [16321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6809),
  [16323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [16325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3515),
  [16327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6932),
  [16329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12808),
  [16332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14367),
  [16334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6171),
  [16336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [16338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3700),
  [16340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6518),
  [16342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [16344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6578),
  [16346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [16348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3598),
  [16350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6511),
  [16352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5597),
  [16354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [16356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3602),
  [16358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5645),
  [16360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6673),
  [16362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [16364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3680),
  [16366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7007),
  [16368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4360),
  [16370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [16372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3693),
  [16374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [16376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [16378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [16380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3713),
  [16382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [16384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5170),
  [16386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [16388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3666),
  [16390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5215),
  [16392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [16394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12423),
  [16396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8688),
  [16398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [16400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 67),
  [16402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [16404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [16406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3712),
  [16408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [16410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [16412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [16414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3646),
  [16416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [16418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6746),
  [16420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [16422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3593),
  [16424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7205),
  [16426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16433),
  [16429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15375),
  [16431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_constraint, 4, 0, 0),
  [16433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__typed, 2, 0, 0),
  [16435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__typed, 2, 0, 0),
  [16437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8632),
  [16439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [16441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 67),
  [16443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8606),
  [16445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [16447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 3, 0, 42),
  [16449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8637),
  [16451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [16453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 87),
  [16455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 3, 0, 0),
  [16457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14441),
  [16459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12973),
  [16461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16089),
  [16463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [16465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 43),
  [16467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12994),
  [16469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 2, 0, 0),
  [16471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14897),
  [16473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12988),
  [16475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8692),
  [16477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13118),
  [16479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14464),
  [16481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14466),
  [16483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [16485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [16487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12980),
  [16489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12948),
  [16491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [16493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 88),
  [16495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11826),
  [16497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12956),
  [16499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape_sequence, 1, 0, 0),
  [16501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape_sequence, 1, 0, 0),
  [16503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [16505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 68),
  [16507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12975),
  [16509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12976),
  [16511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_constraint, 5, 0, 0),
  [16513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4840),
  [16515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11848),
  [16517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_pattern, 2, 0, 0),
  [16519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag_pattern, 2, 0, 0),
  [16521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4249),
  [16523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, 0, 133),
  [16525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6243),
  [16527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5948),
  [16529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7384),
  [16531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6944),
  [16533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [16535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 5, 0, 0),
  [16537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [16539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 121),
  [16541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 10, 0, 135),
  [16543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [16545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_initializer, 2, 0, 0),
  [16547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_pattern, 3, 0, 0),
  [16549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_pattern, 3, 0, 0),
  [16551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5008),
  [16553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6956),
  [16555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 121),
  [16557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 131),
  [16559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4365),
  [16561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6671),
  [16563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [16565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 109),
  [16567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9691),
  [16569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6039),
  [16571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17411),
  [16573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 101),
  [16575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 102),
  [16577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 114),
  [16579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 42),
  [16581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 124),
  [16583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 53),
  [16585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8021),
  [16587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4195),
  [16589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 4, 0, 0),
  [16591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10556),
  [16593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8036),
  [16595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 75),
  [16597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_pattern, 3, 0, 0),
  [16599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_pattern, 3, 0, 0),
  [16601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [16603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11941),
  [16605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16236),
  [16607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11708),
  [16609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10562),
  [16611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5755),
  [16613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6597),
  [16615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 67),
  [16617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6605),
  [16619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 109),
  [16621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6048),
  [16623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9700),
  [16625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 6, 0, 0),
  [16627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5016),
  [16629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 53),
  [16631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8871),
  [16633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 102),
  [16635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6985),
  [16637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10864),
  [16639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6827),
  [16641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10577),
  [16643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10582),
  [16645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10070),
  [16647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10715),
  [16649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 110),
  [16651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 125),
  [16653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 89),
  [16655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7176),
  [16657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6097),
  [16659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10912),
  [16661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [16663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 133),
  [16665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 122),
  [16667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 101),
  [16669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10919),
  [16671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 132),
  [16673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5917),
  [16675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [16677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 111),
  [16679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7619),
  [16681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11889),
  [16683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7658),
  [16685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 123),
  [16687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 112),
  [16689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 112),
  [16691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6190),
  [16693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [16695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5336),
  [16697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 43),
  [16699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 124),
  [16701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 110),
  [16703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7029),
  [16705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6742),
  [16707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6980),
  [16709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6198),
  [16711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7345),
  [16713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6799),
  [16715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 113),
  [16717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [16719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5379),
  [16721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [16723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 100),
  [16725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6283),
  [16727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_pattern, 2, 0, 0),
  [16729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_pattern, 2, 0, 0),
  [16731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7025),
  [16733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [16735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5761),
  [16737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13177),
  [16739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [16741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [16743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 125),
  [16745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [16747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 87),
  [16749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 122),
  [16751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [16753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7036),
  [16755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 68),
  [16757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [16759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [16761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7301),
  [16763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 88),
  [16765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 114),
  [16767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6845),
  [16769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 9, 0, 131),
  [16771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7371),
  [16773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6294),
  [16775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6547),
  [16777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 113),
  [16779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern, 1, 0, 0),
  [16781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern, 1, 0, 0),
  [16783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4933),
  [16785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_initializer, 3, 0, 0),
  [16787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4171),
  [16789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [16791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6613),
  [16793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6872),
  [16795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5581),
  [16797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [16799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5620),
  [16801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9008),
  [16803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 111),
  [16805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6360),
  [16807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 123),
  [16809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [16811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_pattern, 3, 0, 0),
  [16813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_pattern, 3, 0, 0),
  [16815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7221),
  [16817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5939),
  [16819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 100),
  [16821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [16823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5257),
  [16825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 75),
  [16827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6349),
  [16829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5138),
  [16831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 9, 0, 132),
  [16833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7208),
  [16835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4828),
  [16837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 9, 0, 135),
  [16839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_pattern, 2, 0, 0),
  [16841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_pattern, 2, 0, 0),
  [16843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4963),
  [16845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6234),
  [16847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 89),
  [16849] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17411),
  [16852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5197),
  [16854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9280),
  [16856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 5, 0, 0),
  [16858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19839),
  [16860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 5, 0, 46),
  [16862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 4, 0, 0),
  [16864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 3, 0, 0),
  [16866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_specification, 2, 0, 0),
  [16868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 4, 0, 46),
  [16870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_specification, 3, 0, 0),
  [16872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9851),
  [16874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 3, 0, 97),
  [16876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 4, 0, 97),
  [16878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13275),
  [16880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9999),
  [16882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12888),
  [16884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14818),
  [16886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8844),
  [16889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or_pattern, 3, 0, 0),
  [16891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [16893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_or_pattern, 3, 0, 0),
  [16895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [16897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8844),
  [16899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8724),
  [16901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(16814),
  [16904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_pattern, 2, 0, 0),
  [16906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [16908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_pattern, 2, 0, 0),
  [16910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14398),
  [16912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13289),
  [16914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10610),
  [16916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cons_pattern, 3, 0, 0),
  [16918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cons_pattern, 3, 0, 0),
  [16920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16814),
  [16922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13384),
  [16924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10253),
  [16926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13286),
  [16928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_pattern, 3, 0, 0),
  [16930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_pattern, 3, 0, 0),
  [16932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13262),
  [16934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9975),
  [16936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13260),
  [16938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13304),
  [16940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [16942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [16944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13271),
  [16946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9942),
  [16948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19039),
  [16950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19039),
  [16952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19731),
  [16954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4744),
  [16956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [16958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [16960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [16962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15850),
  [16964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4522),
  [16966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14274),
  [16968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8368),
  [16970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8798),
  [16972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5583),
  [16974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [16976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [16978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [16980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [16982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14220),
  [16984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [16986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14251),
  [16988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7639),
  [16990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6004),
  [16992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [16994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [16996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [16998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4501),
  [17000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14232),
  [17002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16993),
  [17004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19162),
  [17006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11405),
  [17008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7511),
  [17010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [17012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [17014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [17016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [17018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [17020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [17022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [17024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [17026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14267),
  [17028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7756),
  [17030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9107),
  [17032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [17034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [17036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [17038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [17040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14152),
  [17042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8447),
  [17044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [17046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [17048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [17050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [17052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13587),
  [17054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13587),
  [17056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18330),
  [17058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17072),
  [17060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19346),
  [17062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11467),
  [17064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16992),
  [17066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19777),
  [17068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11979),
  [17070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4885),
  [17072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [17074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [17076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [17078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4510),
  [17080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14136),
  [17082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5179),
  [17084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [17086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [17088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [17090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [17092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6026),
  [17094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [17096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [17098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [17100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17105),
  [17102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19416),
  [17104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11929),
  [17106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7077),
  [17108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [17110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [17112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [17114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5940),
  [17116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [17118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [17120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [17122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7945),
  [17124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [17126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [17128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [17130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6078),
  [17132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [17134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [17136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [17138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6571),
  [17140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [17142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [17144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [17146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17118),
  [17148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19451),
  [17150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11942),
  [17152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9984),
  [17154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17239),
  [17156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6400),
  [17158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [17160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [17162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [17164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17429),
  [17166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17560),
  [17168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [17170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [17172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [17174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [17176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5974),
  [17178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [17180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [17182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [17184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4991),
  [17186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [17188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [17190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [17192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6649),
  [17194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [17196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [17198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [17200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_field, 1, 0, 0),
  [17202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3596),
  [17204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14347),
  [17206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7400),
  [17208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [17210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [17212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [17214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [17216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [17218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [17220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [17222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [17224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7390),
  [17226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [17228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [17230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [17232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 1, 0, 0),
  [17234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17227),
  [17236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19732),
  [17238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14151),
  [17240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14162),
  [17242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9721),
  [17244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [17246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [17248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [17250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7594),
  [17252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [17254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [17256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [17258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5789),
  [17260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [17262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1255),
  [17264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [17266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6542),
  [17268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [17270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [17272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [17274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4479),
  [17276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14276),
  [17278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5365),
  [17280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14833),
  [17282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5188),
  [17284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [17286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [17288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [17290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4904),
  [17292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [17294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [17296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [17298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4521),
  [17300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14311),
  [17302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8512),
  [17304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [17306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14209),
  [17308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9408),
  [17310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3970),
  [17312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [17314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [17316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [17318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5872),
  [17320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [17322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [17324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [17326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6157),
  [17328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [17330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [17332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [17334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7141),
  [17336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [17338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [17340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [17342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [17344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14269),
  [17346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8443),
  [17348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4536),
  [17350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14150),
  [17352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5244),
  [17354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [17356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [17358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [17360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [17362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [17364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [17366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [17368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [17370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [17372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [17374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [17376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [17378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5037),
  [17380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [17382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [17384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [17386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [17388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14235),
  [17390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7318),
  [17392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [17394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [17396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [17398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [17400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16236),
  [17403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4533),
  [17405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14144),
  [17407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5350),
  [17409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [17411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [17413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [17415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [17417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13398),
  [17419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6018),
  [17421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [17423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [17425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [17427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7133),
  [17429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [17431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [17433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [17435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [17437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [17439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [17441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [17443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5986),
  [17445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [17447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [17449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [17451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_quoted_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(13587),
  [17454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_quoted_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(13587),
  [17457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_quoted_string_content_repeat1, 2, 0, 0),
  [17459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 1, 0, 0),
  [17461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_field_specification, 1, 0, 0),
  [17463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9071),
  [17465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11000),
  [17467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8839),
  [17470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10297),
  [17472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8506),
  [17474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8944),
  [17476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9086),
  [17478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9405),
  [17480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10182),
  [17482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8470),
  [17484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9394),
  [17486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8479),
  [17488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10329),
  [17490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8451),
  [17492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [17494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7696),
  [17496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8713),
  [17498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12832),
  [17500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8494),
  [17502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_string_content, 1, 0, 0),
  [17504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9012),
  [17506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9503),
  [17508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11791),
  [17510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8497),
  [17512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10788),
  [17514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8502),
  [17516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9250),
  [17518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9443),
  [17520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [17522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7796),
  [17524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9272),
  [17526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9401),
  [17528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12835),
  [17530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8478),
  [17532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9299),
  [17534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13115),
  [17536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9183),
  [17538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10742),
  [17540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9005),
  [17542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9971),
  [17544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9145),
  [17546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13634),
  [17548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9627),
  [17550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8498),
  [17552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9196),
  [17554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11744),
  [17556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9024),
  [17558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9208),
  [17560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10836),
  [17562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8472),
  [17564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8839),
  [17566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9099),
  [17568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9551),
  [17570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10708),
  [17572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8448),
  [17574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9032),
  [17576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12841),
  [17578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [17580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10219),
  [17582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9205),
  [17584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10718),
  [17586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9174),
  [17588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10814),
  [17590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10720),
  [17592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9295),
  [17594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10239),
  [17596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9897),
  [17598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8489),
  [17600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [17602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8019),
  [17604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10121),
  [17606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9104),
  [17608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12272),
  [17610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10816),
  [17612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8463),
  [17614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9973),
  [17616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12662),
  [17618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8455),
  [17620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14109),
  [17622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9017),
  [17624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9123),
  [17626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9061),
  [17628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8471),
  [17630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9001),
  [17632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10754),
  [17634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9046),
  [17636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8457),
  [17638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9471),
  [17640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8528),
  [17642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10978),
  [17644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8525),
  [17646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14159),
  [17648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9261),
  [17650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10180),
  [17652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [17654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7628),
  [17656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(14159),
  [17659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10356),
  [17661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13159),
  [17663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8423),
  [17665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9488),
  [17667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8436),
  [17669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [17671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8641),
  [17673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9747),
  [17675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8507),
  [17677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9235),
  [17679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10474),
  [17681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10270),
  [17683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9006),
  [17685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12747),
  [17687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10767),
  [17689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8503),
  [17691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [17693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4100),
  [17695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3953),
  [17697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14868),
  [17699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [17701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7705),
  [17703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13832),
  [17705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4638),
  [17707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4651),
  [17709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14924),
  [17711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4614),
  [17713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11373),
  [17715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11161),
  [17717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [17719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [17721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11487),
  [17723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14303),
  [17725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [17727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11337),
  [17729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13398),
  [17731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16498),
  [17733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7967),
  [17735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4639),
  [17737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4646),
  [17739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5723),
  [17741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [17743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14369),
  [17745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4612),
  [17747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14080),
  [17749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4593),
  [17751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [17753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4630),
  [17755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4611),
  [17757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4552),
  [17759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14708),
  [17761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4613),
  [17763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5735),
  [17765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [17767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16861),
  [17769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5556),
  [17771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11380),
  [17773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11170),
  [17775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11542),
  [17777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13376),
  [17779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4574),
  [17781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11172),
  [17783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4596),
  [17785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13862),
  [17787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [17789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [17791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15804),
  [17793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14542),
  [17795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9501),
  [17797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4356),
  [17799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4357),
  [17801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7863),
  [17803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [17805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4358),
  [17807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11382),
  [17809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11490),
  [17811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [17813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11124),
  [17815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8665),
  [17817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17436),
  [17819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7463),
  [17821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11179),
  [17823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11339),
  [17825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11317),
  [17827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11390),
  [17829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11546),
  [17831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11392),
  [17833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11181),
  [17835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11622),
  [17837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11398),
  [17839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [17841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11400),
  [17843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17444),
  [17845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5673),
  [17847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11238),
  [17849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11319),
  [17851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11187),
  [17853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16816),
  [17855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8648),
  [17857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16468),
  [17859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7616),
  [17861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [17863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11189),
  [17865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16474),
  [17867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5570),
  [17869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 3, 0, 0),
  [17871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17196),
  [17873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8630),
  [17875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11308),
  [17877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11345),
  [17879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16773),
  [17881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13980),
  [17883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11126),
  [17885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [17887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17479),
  [17889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8909),
  [17891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11197),
  [17893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7698),
  [17895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [17897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11347),
  [17899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11478),
  [17901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16926),
  [17903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5520),
  [17905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [17907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7895),
  [17909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11199),
  [17911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8896),
  [17913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11502),
  [17915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8897),
  [17917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4568),
  [17919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [17921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [17923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13937),
  [17925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4049),
  [17927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14105),
  [17929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4570),
  [17931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8899),
  [17933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [17935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [17937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11206),
  [17939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16565),
  [17941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13280),
  [17943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [17945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [17947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_quoted_string_content_repeat1, 1, 0, 0),
  [17949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_quoted_string_content_repeat1, 1, 0, 0),
  [17951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11208),
  [17953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11292),
  [17955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11567),
  [17957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [17959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5718),
  [17961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [17963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11570),
  [17965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11214),
  [17967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11217),
  [17969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11457),
  [17971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10220),
  [17973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [17975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2552),
  [17977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13841),
  [17979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13575),
  [17981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17237),
  [17983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11529),
  [17985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [17987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5515),
  [17989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11409),
  [17991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11353),
  [17993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11135),
  [17995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16979),
  [17997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8652),
  [17999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 4, 0, 0),
  [18001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11223),
  [18003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11511),
  [18005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16801),
  [18007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7797),
  [18009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11225),
  [18011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8642),
  [18013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [18015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [18017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13950),
  [18019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [18021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8644),
  [18023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11461),
  [18025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16774),
  [18027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14021),
  [18029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11232),
  [18031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11234),
  [18033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11137),
  [18035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11355),
  [18037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2565),
  [18039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13662),
  [18041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16672),
  [18043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11241),
  [18045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11633),
  [18047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [18049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16700),
  [18051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5433),
  [18053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11243),
  [18055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11514),
  [18057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [18059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7774),
  [18061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [18063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [18065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [18067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [18069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10222),
  [18071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11678),
  [18073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14252),
  [18075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16611),
  [18077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8030),
  [18079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13007),
  [18081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13018),
  [18083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [18085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [18087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13022),
  [18089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17384),
  [18091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14001),
  [18093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5484),
  [18095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5488),
  [18097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [18099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4588),
  [18101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5491),
  [18103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [18105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17378),
  [18107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [18109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11593),
  [18111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17065),
  [18113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7476),
  [18115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11251),
  [18117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [18119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11594),
  [18121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11145),
  [18123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11253),
  [18125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11327),
  [18127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2562),
  [18129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13730),
  [18131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17438),
  [18133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16659),
  [18135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5467),
  [18137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17220),
  [18139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10294),
  [18141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [18143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7722),
  [18145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17305),
  [18147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13324),
  [18149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11598),
  [18151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11268),
  [18153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11260),
  [18155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [18157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_payload, 2, 0, 0),
  [18159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [18161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11147),
  [18163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7630),
  [18165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [18167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [18169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7632),
  [18171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [18173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5667),
  [18175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5668),
  [18177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4594),
  [18179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11263),
  [18181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4595),
  [18183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5674),
  [18185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11361),
  [18187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11414),
  [18189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11792),
  [18191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12002),
  [18193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16621),
  [18195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5564),
  [18197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17338),
  [18199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10271),
  [18201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16618),
  [18203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13081),
  [18205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [18207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17110),
  [18209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8914),
  [18211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0),
  [18213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11608),
  [18215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11363),
  [18217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11277),
  [18219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11640),
  [18221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17430),
  [18223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7487),
  [18225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11279),
  [18227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11619),
  [18229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2542),
  [18231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13705),
  [18233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16711),
  [18235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2560),
  [18237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13791),
  [18239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16805),
  [18241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11526),
  [18243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11329),
  [18245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [18247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17163),
  [18249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7737),
  [18251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [18253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17464),
  [18255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12914),
  [18257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11285),
  [18259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11287),
  [18261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [18263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11141),
  [18265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [18267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17446),
  [18269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14024),
  [18271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4575),
  [18273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13379),
  [18275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11610),
  [18277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [18279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11316),
  [18281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5510),
  [18283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13375),
  [18285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11295),
  [18287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11152),
  [18289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5511),
  [18291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [18293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11159),
  [18295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11306),
  [18297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11249),
  [18299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16440),
  [18301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15010),
  [18303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9496),
  [18305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11297),
  [18307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16442),
  [18309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15015),
  [18311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9498),
  [18313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11371),
  [18315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9368),
  [18317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16444),
  [18319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15020),
  [18321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10068),
  [18323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7954),
  [18325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7307),
  [18327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5875),
  [18329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [18331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5901),
  [18333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [18335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7434),
  [18337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [18339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6141),
  [18341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [18343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7442),
  [18345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [18347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [18349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [18351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [18353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5041),
  [18355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [18357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6922),
  [18359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [18361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [18363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7015),
  [18365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6085),
  [18367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5582),
  [18369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7184),
  [18371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [18373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6193),
  [18375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6691),
  [18377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5687),
  [18379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6766),
  [18381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6724),
  [18383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6042),
  [18385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9130),
  [18387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5624),
  [18389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5657),
  [18391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [18393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5665),
  [18395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6201),
  [18397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18528),
  [18399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13665),
  [18401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16593),
  [18403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5156),
  [18405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6051),
  [18407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6869),
  [18409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6061),
  [18411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10514),
  [18413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11712),
  [18415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6210),
  [18417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6067),
  [18419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0),
  [18421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6214),
  [18423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5285),
  [18425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4272),
  [18427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [18429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [18431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5142),
  [18433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5148),
  [18435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5150),
  [18437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5011),
  [18439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6385),
  [18441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7064),
  [18443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [18445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9052),
  [18447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [18449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [18451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [18453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [18455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [18457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [18459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [18461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [18463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [18465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [18467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [18469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7200),
  [18471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [18473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [18475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6781),
  [18477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [18479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7214),
  [18481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5019),
  [18483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7183),
  [18485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6237),
  [18487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4217),
  [18489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7225),
  [18491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [18493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7128),
  [18495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_typed, 2, 0, 0),
  [18497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [18499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [18501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [18503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6246),
  [18505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_binding_pattern_repeat1, 2, 0, 0),
  [18507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6949),
  [18509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5025),
  [18511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6255),
  [18513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6960),
  [18515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6259),
  [18517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5026),
  [18519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6970),
  [18521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9179),
  [18523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6977),
  [18525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7699),
  [18527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9732),
  [18529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7941),
  [18531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8558),
  [18533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9203),
  [18535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4198),
  [18537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6689),
  [18539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4368),
  [18541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5409),
  [18543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7640),
  [18545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 3, 0, 0),
  [18547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tag_specification_repeat1, 2, 0, 0),
  [18549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12687),
  [18551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14281),
  [18553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15689),
  [18555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7665),
  [18557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7406),
  [18559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7686),
  [18561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3893),
  [18563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9694),
  [18565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7693),
  [18567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7126),
  [18569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7107),
  [18571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9703),
  [18573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6901),
  [18575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7086),
  [18577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8025),
  [18579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9713),
  [18581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9717),
  [18583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16208),
  [18585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12955),
  [18587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14318),
  [18589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7028),
  [18591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8042),
  [18593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(14318),
  [18596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8066),
  [18598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7226),
  [18600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6774),
  [18602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8073),
  [18604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7039),
  [18606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7375),
  [18608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5368),
  [18610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [18612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7311),
  [18614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7052),
  [18616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5775),
  [18618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7060),
  [18620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5295),
  [18622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6412),
  [18624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [18626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6942),
  [18628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4870),
  [18630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7387),
  [18632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4211),
  [18634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 3, 0, 82),
  [18636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [18638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7432),
  [18640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [18642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [18644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8563),
  [18646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tag_spec, 1, 0, 0),
  [18648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14789),
  [18650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5387),
  [18652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [18654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4012),
  [18656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [18658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4892),
  [18660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 4, 0, 0),
  [18662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5324),
  [18664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6286),
  [18666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [18668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 4, 0, 98),
  [18670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6744),
  [18672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4843),
  [18674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5331),
  [18676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4850),
  [18678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4854),
  [18680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6297),
  [18682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [18684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6307),
  [18686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6312),
  [18688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6765),
  [18690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4946),
  [18692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5985),
  [18694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6818),
  [18696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [18698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6477),
  [18700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6928),
  [18702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(15427),
  [18705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7071),
  [18707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5814),
  [18709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [18711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [18713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7353),
  [18715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6445),
  [18717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [18719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [18721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6876),
  [18723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [18725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4262),
  [18727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9098),
  [18729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6564),
  [18731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5943),
  [18733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6352),
  [18735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4945),
  [18737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5759),
  [18739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7236),
  [18741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3466),
  [18743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6566),
  [18745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6600),
  [18747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6363),
  [18749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4979),
  [18751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6631),
  [18753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6608),
  [18755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [18757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4938),
  [18759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6374),
  [18761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6139),
  [18763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6145),
  [18765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6619),
  [18767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4908),
  [18769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6379),
  [18771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6624),
  [18773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5951),
  [18775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5226),
  [18777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5898),
  [18779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [18781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5960),
  [18783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5764),
  [18785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5964),
  [18787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6850),
  [18789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5839),
  [18791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5831),
  [18793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [18795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4073),
  [18797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7293),
  [18799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6739),
  [18801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6070),
  [18803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6327),
  [18805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14582),
  [18807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5218),
  [18809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12687),
  [18811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19384),
  [18813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6424),
  [18815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18971),
  [18817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5797),
  [18819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19210),
  [18821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7070),
  [18823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18827),
  [18825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4279),
  [18827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20358),
  [18829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10138),
  [18831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12897),
  [18833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16449),
  [18835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19341),
  [18837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4996),
  [18839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14689),
  [18841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14644),
  [18843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19194),
  [18845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [18847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19929),
  [18849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [18851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17663),
  [18853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5250),
  [18855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19332),
  [18857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [18859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18403),
  [18861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6268),
  [18863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14495),
  [18865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20224),
  [18867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4811),
  [18869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14370),
  [18871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14400),
  [18873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14198),
  [18875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9257),
  [18877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8969),
  [18879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14602),
  [18881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12824),
  [18883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15188),
  [18885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 2, 0, 0),
  [18887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12886),
  [18889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15259),
  [18891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9744),
  [18893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12826),
  [18895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16450),
  [18897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5470),
  [18899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11776),
  [18901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19558),
  [18903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7238),
  [18905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14628),
  [18907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17948),
  [18909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6220),
  [18911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12854),
  [18913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15030),
  [18915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12105),
  [18917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14583),
  [18919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18020),
  [18921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [18923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14250),
  [18925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9259),
  [18927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8970),
  [18929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17787),
  [18931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [18933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14944),
  [18935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10234),
  [18937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16701),
  [18939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 2, 0, 11),
  [18941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11002),
  [18943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10163),
  [18945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8958),
  [18947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17698),
  [18949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7203),
  [18951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20006),
  [18953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10296),
  [18955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14327),
  [18957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9267),
  [18959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8975),
  [18961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7547),
  [18963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19664),
  [18965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7588),
  [18967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [18969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14757),
  [18971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18168),
  [18973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9675),
  [18975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4624),
  [18977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8850),
  [18979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 1, 0, 0),
  [18981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 3, 0, 29),
  [18983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19948),
  [18985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7983),
  [18987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20394),
  [18989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [18991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19096),
  [18993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5691),
  [18995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9780),
  [18997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_instantiated_class_type_repeat1, 2, 0, 0),
  [18999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14714),
  [19001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12918),
  [19003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19978),
  [19005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4903),
  [19007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20433),
  [19009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5927),
  [19011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20271),
  [19013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5185),
  [19015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8926),
  [19017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 5, 0, 0),
  [19019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14470),
  [19021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8916),
  [19023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18618),
  [19025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6329),
  [19027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19897),
  [19029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5367),
  [19031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5604),
  [19033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14919),
  [19035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19200),
  [19037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6024),
  [19039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19956),
  [19041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [19043] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tag_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(8630),
  [19046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13326),
  [19048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14711),
  [19050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14801),
  [19052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14738),
  [19054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18514),
  [19056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7330),
  [19058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18532),
  [19060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9155),
  [19062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10160),
  [19064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10619),
  [19066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19077),
  [19068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6583),
  [19070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7809),
  [19072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15005),
  [19074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9986),
  [19076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14787),
  [19078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15000),
  [19080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12863),
  [19082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8654),
  [19084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 3, 0, 0),
  [19086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18573),
  [19088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7130),
  [19090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2596),
  [19092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15720),
  [19094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14957),
  [19096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14458),
  [19098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12880),
  [19100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16448),
  [19102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4232),
  [19104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 1, 0, 0),
  [19106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11849),
  [19108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14287),
  [19110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19912),
  [19112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6996),
  [19114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13334),
  [19116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10173),
  [19118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14834),
  [19120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15383),
  [19122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14189),
  [19124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19376),
  [19126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6714),
  [19128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8980),
  [19130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 1, 0, 2),
  [19132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [19134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 1, 0, 23),
  [19136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14608),
  [19138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9117),
  [19140] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(15375),
  [19143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9045),
  [19145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14359),
  [19147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14634),
  [19149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12754),
  [19151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18186),
  [19153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [19155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7478),
  [19157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8061),
  [19159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19415),
  [19161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5832),
  [19163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14739),
  [19165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14550),
  [19167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14563),
  [19169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18839),
  [19171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [19173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5574),
  [19175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14874),
  [19177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19465),
  [19179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6915),
  [19181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10447),
  [19183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11817),
  [19185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8666),
  [19187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13992),
  [19189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9490),
  [19191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8946),
  [19193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8925),
  [19195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17682),
  [19197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [19199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18160),
  [19201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6755),
  [19203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20252),
  [19205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7428),
  [19207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17737),
  [19209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6177),
  [19211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 1, 0, 0),
  [19213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18004),
  [19215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [19217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14034),
  [19219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9662),
  [19221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13465),
  [19223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9984),
  [19226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8714),
  [19228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7335),
  [19230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8140),
  [19232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9425),
  [19234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15562),
  [19236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12838),
  [19238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10066),
  [19240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13509),
  [19242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9252),
  [19244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9191),
  [19246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15663),
  [19248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13371),
  [19250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14351),
  [19252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4284),
  [19254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9198),
  [19256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9199),
  [19258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10881),
  [19260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8756),
  [19262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6179),
  [19264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [19266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7496),
  [19268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8713),
  [19270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15688),
  [19272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [19274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10491),
  [19276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [19278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9607),
  [19280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8794),
  [19282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7004),
  [19284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9437),
  [19286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9706),
  [19288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7192),
  [19290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9075),
  [19292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [19294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9473),
  [19296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8031),
  [19298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5013),
  [19300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7446),
  [19302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9200),
  [19304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9076),
  [19306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8539),
  [19308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9070),
  [19310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8808),
  [19312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [19314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17242),
  [19316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [19318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9468),
  [19320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15690),
  [19322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [19324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15808),
  [19326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5553),
  [19328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16331),
  [19330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9152),
  [19332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [19334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7747),
  [19336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9044),
  [19338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7032),
  [19340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8048),
  [19342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11781),
  [19344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15666),
  [19346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9482),
  [19348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15691),
  [19350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [19352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15545),
  [19354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9355),
  [19356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15563),
  [19358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9058),
  [19360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8865),
  [19362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9621),
  [19364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15297),
  [19366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12095),
  [19368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [19370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6044),
  [19372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12682),
  [19374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15761),
  [19376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9406),
  [19378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12423),
  [19380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9492),
  [19382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15644),
  [19384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7459),
  [19386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15596),
  [19388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [19390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15579),
  [19392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9414),
  [19394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9635),
  [19396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15267),
  [19398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15455),
  [19400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14340),
  [19402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17028),
  [19404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10123),
  [19406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19169),
  [19408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [19410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5540),
  [19412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9421),
  [19414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13134),
  [19416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10857),
  [19418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11796),
  [19420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15667),
  [19422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7042),
  [19424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8547),
  [19426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10740),
  [19428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10776),
  [19430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15582),
  [19432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9321),
  [19434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16841),
  [19436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7379),
  [19438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9415),
  [19440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15464),
  [19442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9218),
  [19444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15800),
  [19446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11803),
  [19448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8701),
  [19450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6748),
  [19452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12430),
  [19454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15650),
  [19456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10806),
  [19458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2600),
  [19460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15275),
  [19462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9891),
  [19464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11812),
  [19466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9081),
  [19468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10871),
  [19470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15514),
  [19472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [19474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7819),
  [19476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10819),
  [19478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10736),
  [19480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10009),
  [19482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15597),
  [19484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8567),
  [19486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5372),
  [19488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4553),
  [19490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4553),
  [19492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10598),
  [19494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15536),
  [19496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14165),
  [19498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8732),
  [19500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [19502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9193),
  [19504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [19506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10228),
  [19508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6888),
  [19510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17106),
  [19512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8813),
  [19514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5296),
  [19516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7394),
  [19518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16203),
  [19520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10029),
  [19522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15598),
  [19524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11879),
  [19526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8721),
  [19528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6810),
  [19530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8818),
  [19532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [19534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10868),
  [19536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11505),
  [19538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6054),
  [19540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8763),
  [19542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6271),
  [19544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15702),
  [19546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12877),
  [19548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15811),
  [19550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9506),
  [19552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10036),
  [19554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15282),
  [19556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15473),
  [19558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10934),
  [19560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10044),
  [19562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10745),
  [19564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15746),
  [19566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [19568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8796),
  [19570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4815),
  [19572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10189),
  [19574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15704),
  [19576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14172),
  [19578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10647),
  [19580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9118),
  [19582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [19584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6203),
  [19586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9239),
  [19588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 1, 0, 0),
  [19590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8483),
  [19592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [19594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7412),
  [19596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10200),
  [19598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15705),
  [19600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8783),
  [19602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6924),
  [19604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9240),
  [19606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13695),
  [19608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8745),
  [19610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5773),
  [19612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10304),
  [19614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [19616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9981),
  [19618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5402),
  [19620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14264),
  [19622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12887),
  [19624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15812),
  [19626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10208),
  [19628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12731),
  [19630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7132),
  [19632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7317),
  [19634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10679),
  [19636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9593),
  [19638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15293),
  [19640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10839),
  [19642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9019),
  [19644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17242),
  [19647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14332),
  [19649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_method_specification_repeat1, 2, 0, 0),
  [19651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_method_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(15720),
  [19654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8566),
  [19656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10292),
  [19658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6239),
  [19660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11834),
  [19662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4836),
  [19664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9244),
  [19666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6990),
  [19668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10489),
  [19670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5021),
  [19672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12859),
  [19674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14142),
  [19676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15657),
  [19678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [19680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10090),
  [19682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [19684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7474),
  [19686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9227),
  [19688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15801),
  [19690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9077),
  [19692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [19694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6290),
  [19696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14168),
  [19698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4845),
  [19700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9100),
  [19702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12870),
  [19704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12611),
  [19706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9101),
  [19708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15741),
  [19710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14201),
  [19712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8735),
  [19714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6655),
  [19716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9256),
  [19718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10876),
  [19720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15747),
  [19722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14227),
  [19724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9180),
  [19726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8851),
  [19728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6652),
  [19730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9275),
  [19732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10804),
  [19734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14259),
  [19736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9571),
  [19738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15776),
  [19740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15060),
  [19742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6300),
  [19744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14279),
  [19746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13543),
  [19748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15647),
  [19750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9349),
  [19752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5134),
  [19754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9276),
  [19756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15714),
  [19758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14299),
  [19760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8799),
  [19762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [19764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9102),
  [19766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6775),
  [19768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15860),
  [19770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14320),
  [19772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_instantiated_class_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8563),
  [19775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6248),
  [19777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9181),
  [19779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14339),
  [19781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6952),
  [19783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8810),
  [19785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5711),
  [19787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9480),
  [19789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10246),
  [19791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15716),
  [19793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13844),
  [19795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11711),
  [19797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14356),
  [19799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8741),
  [19801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [19803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9277),
  [19805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14190),
  [19807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15400),
  [19809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9319),
  [19811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15462),
  [19813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6882),
  [19815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5608),
  [19817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11790),
  [19819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10256),
  [19821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15717),
  [19823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14289),
  [19825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_instance_variable_specification_repeat1, 2, 0, 0),
  [19827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_instance_variable_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(15689),
  [19830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10528),
  [19832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15535),
  [19834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9233),
  [19836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14316),
  [19838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15786),
  [19840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [19842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10262),
  [19844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14261),
  [19846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10284),
  [19848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10266),
  [19850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14326),
  [19852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5690),
  [19854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8754),
  [19856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5929),
  [19858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8555),
  [19860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7219),
  [19862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8718),
  [19864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4907),
  [19866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14156),
  [19868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12644),
  [19870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14223),
  [19872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6962),
  [19874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8696),
  [19876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7268),
  [19878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10805),
  [19880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15512),
  [19882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14275),
  [19884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4201),
  [19886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14258),
  [19888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5133),
  [19890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14325),
  [19892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8921),
  [19894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11763),
  [19896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8765),
  [19898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6333),
  [19900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11904),
  [19902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14254),
  [19904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11671),
  [19906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14153),
  [19908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [19910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16088),
  [19912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5524),
  [19914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14173),
  [19916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15941),
  [19918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_type, 2, 0, 0),
  [19920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9236),
  [19922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8772),
  [19924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6027),
  [19926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14187),
  [19928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8739),
  [19930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [19932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5144),
  [19934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14216),
  [19936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5788),
  [19938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9638),
  [19940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8737),
  [19942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6454),
  [19944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8684),
  [19946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4146),
  [19948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14358),
  [19950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8814),
  [19952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8693),
  [19954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5271),
  [19956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9582),
  [19958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14302),
  [19960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9011),
  [19962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9014),
  [19964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9143),
  [19966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15790),
  [19968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14315),
  [19970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15757),
  [19972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14346),
  [19974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15620),
  [19976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4553),
  [19979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4553),
  [19982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14135),
  [19984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15798),
  [19986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8687),
  [19988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14148),
  [19990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13592),
  [19992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15648),
  [19994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15329),
  [19996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12267),
  [19998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17040),
  [20000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8804),
  [20002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6587),
  [20004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14163),
  [20006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9112),
  [20008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9113),
  [20010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14184),
  [20012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15533),
  [20014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10848),
  [20016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9294),
  [20018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14194),
  [20020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5413),
  [20022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11704),
  [20024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16397),
  [20026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6356),
  [20028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14207),
  [20030] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8140),
  [20033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat1, 2, 0, 0),
  [20035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12499),
  [20037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15227),
  [20039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15561),
  [20041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5286),
  [20043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [20045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11816),
  [20047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14224),
  [20049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5658),
  [20051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [20053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15730),
  [20055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5518),
  [20057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11666),
  [20059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7367),
  [20061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14242),
  [20063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8749),
  [20065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4998),
  [20067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [20069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9021),
  [20071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16974),
  [20073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [20075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10119),
  [20077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat2, 2, 0, 0),
  [20079] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat2, 2, 0, 0), SHIFT_REPEAT(17043),
  [20082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14117),
  [20084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15774),
  [20086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11039),
  [20088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15623),
  [20090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_declaration_repeat1, 2, 0, 0),
  [20092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_constructor_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(17078),
  [20095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8792),
  [20097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7598),
  [20099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8779),
  [20101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [20103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9184),
  [20105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9395),
  [20107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6570),
  [20109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9298),
  [20111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10760),
  [20113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15581),
  [20115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6602),
  [20117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5945),
  [20119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10793),
  [20121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15404),
  [20123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4910),
  [20125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9304),
  [20127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13128),
  [20129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15733),
  [20131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15771),
  [20133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11078),
  [20135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15624),
  [20137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8760),
  [20139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9679),
  [20141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9305),
  [20143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12646),
  [20145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15760),
  [20147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9585),
  [20149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6640),
  [20151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6366),
  [20153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8710),
  [20155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [20157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13130),
  [20159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15734),
  [20161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8725),
  [20163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [20165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15503),
  [20167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16069),
  [20169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8743),
  [20171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9175),
  [20173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9545),
  [20175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15775),
  [20177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13158),
  [20179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6610),
  [20181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13154),
  [20183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11104),
  [20185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5580),
  [20187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11808),
  [20189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7653),
  [20191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5796),
  [20193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11115),
  [20195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6719),
  [20197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [20199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7919),
  [20201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7763),
  [20203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [20205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8607),
  [20207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8728),
  [20209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8006),
  [20211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13725),
  [20213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_params_repeat1, 2, 0, 0),
  [20215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_params_repeat1, 2, 0, 0), SHIFT_REPEAT(13698),
  [20218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9165),
  [20220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15791),
  [20222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12273),
  [20224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9122),
  [20226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9241),
  [20228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6908),
  [20230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10841),
  [20232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15408),
  [20234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [20236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8806),
  [20238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6123),
  [20240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9284),
  [20242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6879),
  [20244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15645),
  [20246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16421),
  [20248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5953),
  [20250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3869),
  [20252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11851),
  [20254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9337),
  [20256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7671),
  [20258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8707),
  [20260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7243),
  [20262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10694),
  [20264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8767),
  [20266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [20268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8816),
  [20270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [20272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__abstract_type_repeat1, 2, 0, 0), SHIFT_REPEAT(15941),
  [20275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__abstract_type_repeat1, 2, 0, 0),
  [20277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16426),
  [20279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5612),
  [20281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7102),
  [20283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11856),
  [20285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9172),
  [20287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6195),
  [20289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8758),
  [20291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6223),
  [20293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4182),
  [20295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16434),
  [20297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9150),
  [20299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11863),
  [20301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8752),
  [20303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5396),
  [20305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8704),
  [20307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7135),
  [20309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5899),
  [20311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11867),
  [20313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15744),
  [20315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9176),
  [20317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11112),
  [20319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9475),
  [20321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9151),
  [20323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6856),
  [20325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11116),
  [20327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7551),
  [20329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11871),
  [20331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9697),
  [20333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5833),
  [20335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13837),
  [20337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14675),
  [20339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9273),
  [20341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13976),
  [20343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4751),
  [20345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15965),
  [20347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [20349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14065),
  [20351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14960),
  [20353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6417),
  [20355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14935),
  [20357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [20359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [20361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_expression, 1, 0, 0),
  [20363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4602),
  [20365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14078),
  [20367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6589),
  [20369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8859),
  [20371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14885),
  [20373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6592),
  [20375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [20377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14084),
  [20379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [20381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14920),
  [20383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9215),
  [20385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6606),
  [20387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7327),
  [20389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8037),
  [20391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14090),
  [20393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14125),
  [20395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [20397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6618),
  [20399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14093),
  [20401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7218),
  [20403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9333),
  [20405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5445),
  [20407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3975),
  [20409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14009),
  [20411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3925),
  [20413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14113),
  [20415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6125),
  [20417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9370),
  [20419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13977),
  [20421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [20423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15003),
  [20425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6128),
  [20427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13685),
  [20429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [20431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14560),
  [20433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4051),
  [20435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14121),
  [20437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [20439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15023),
  [20441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5918),
  [20443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13794),
  [20445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [20447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5834),
  [20449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5874),
  [20451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13796),
  [20453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14012),
  [20455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2351),
  [20458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [20460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [20462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13808),
  [20464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [20466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14575),
  [20468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14862),
  [20470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [20472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [20474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [20476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10187),
  [20478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13812),
  [20480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [20482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14384),
  [20484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9262),
  [20486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [20488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13816),
  [20490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14016),
  [20492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4572),
  [20494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10134),
  [20496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5766),
  [20498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [20500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13731),
  [20502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13818),
  [20504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7861),
  [20506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [20508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10196),
  [20510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4573),
  [20512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16200),
  [20514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13829),
  [20516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5720),
  [20518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10202),
  [20520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14017),
  [20522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6874),
  [20524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14980),
  [20526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5726),
  [20528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [20530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13836),
  [20532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [20534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10799),
  [20536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14417),
  [20538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5621),
  [20540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9177),
  [20542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13963),
  [20544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16457),
  [20546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [20548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5656),
  [20550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13839),
  [20552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13677),
  [20554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13866),
  [20556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16200),
  [20559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6484),
  [20561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13698),
  [20563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20209),
  [20565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13853),
  [20567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5196),
  [20569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13761),
  [20571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13804),
  [20573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14682),
  [20575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5204),
  [20577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5031),
  [20579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [20581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13860),
  [20583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [20585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12413),
  [20587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14791),
  [20589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5140),
  [20591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13863),
  [20593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5451),
  [20595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14045),
  [20597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6666),
  [20599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5428),
  [20601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5147),
  [20603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13865),
  [20605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14691),
  [20607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6688),
  [20609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14762),
  [20611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13877),
  [20613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [20615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [20617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14413),
  [20619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [20621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [20623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13882),
  [20625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14050),
  [20627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [20629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14450),
  [20631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [20633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [20635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [20637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6895),
  [20639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13886),
  [20641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10860),
  [20643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14721),
  [20645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5038),
  [20647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [20649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13890),
  [20651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6800),
  [20653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10244),
  [20655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14603),
  [20657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [20659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9296),
  [20661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14054),
  [20663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13905),
  [20665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [20667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14588),
  [20669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [20671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [20673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [20675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13909),
  [20677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6925),
  [20679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10251),
  [20681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [20683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18461),
  [20685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14630),
  [20687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10673),
  [20689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [20691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13911),
  [20693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10259),
  [20695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13993),
  [20697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14056),
  [20699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [20701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [20703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14486),
  [20705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13912),
  [20707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13846),
  [20709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6728),
  [20711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [20713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14622),
  [20715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7261),
  [20717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [20719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14076),
  [20721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6507),
  [20723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13540),
  [20725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8643),
  [20727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13025),
  [20729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14882),
  [20731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6524),
  [20733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19890),
  [20735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14060),
  [20737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [20739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14066),
  [20741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [20743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [20745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14083),
  [20747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4759),
  [20749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [20751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16455),
  [20753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20029),
  [20755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14904),
  [20757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13869),
  [20759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6620),
  [20761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13126),
  [20763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9302),
  [20765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14088),
  [20767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [20769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7768),
  [20771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [20773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8540),
  [20775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14478),
  [20777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18275),
  [20779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6164),
  [20781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6138),
  [20783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13140),
  [20785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7781),
  [20787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14982),
  [20789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13129),
  [20791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14089),
  [20793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8541),
  [20795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8485),
  [20797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18002),
  [20799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7465),
  [20801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [20803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(4398),
  [20806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [20808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13622),
  [20810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14328),
  [20812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [20814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7031),
  [20816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14873),
  [20818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(4105),
  [20821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10758),
  [20823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_binding_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(4648),
  [20826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [20828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14858),
  [20830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9039),
  [20832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [20834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13889),
  [20836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9114),
  [20838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5214),
  [20840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10826),
  [20842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13797),
  [20844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [20846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7467),
  [20848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14851),
  [20850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [20852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7503),
  [20854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [20856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13881),
  [20858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7196),
  [20860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [20862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10772),
  [20864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14640),
  [20866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7338),
  [20868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [20870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10712),
  [20872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10778),
  [20874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13892),
  [20876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9002),
  [20878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14063),
  [20880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10127),
  [20882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5876),
  [20884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3462),
  [20886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10817),
  [20888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10764),
  [20890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14075),
  [20892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4055),
  [20894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13555),
  [20896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14222),
  [20898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13750),
  [20900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7782),
  [20902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [20904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10844),
  [20906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13983),
  [20908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4605),
  [20910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13641),
  [20912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [20914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16518),
  [20916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4606),
  [20918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16453),
  [20920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14499),
  [20922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13838),
  [20924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4059),
  [20926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12103),
  [20928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7346),
  [20930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9477),
  [20932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14967),
  [20934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [20936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [20938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9096),
  [20940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13798),
  [20942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13955),
  [20944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [20946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14395),
  [20948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(14167),
  [20951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 2, 0, 0),
  [20953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [20955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12616),
  [20957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17236),
  [20959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18146),
  [20961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9007),
  [20963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14003),
  [20965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14212),
  [20967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [20969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8553),
  [20971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3931),
  [20973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19166),
  [20975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12675),
  [20977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13444),
  [20979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12688),
  [20981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14027),
  [20983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8426),
  [20985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17745),
  [20987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [20989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14256),
  [20991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14421),
  [20993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [20995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13996),
  [20997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [20999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14878),
  [21001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_copy_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(15952),
  [21004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_copy_expression_repeat1, 2, 0, 0),
  [21006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13981),
  [21008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7340),
  [21010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10165),
  [21012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_binding_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(4633),
  [21015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7274),
  [21017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17245),
  [21019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13835),
  [21021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9188),
  [21023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13682),
  [21025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5512),
  [21027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14481),
  [21029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7344),
  [21031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14620),
  [21033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9230),
  [21035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8416),
  [21037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [21039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10351),
  [21041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13871),
  [21043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [21045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17467),
  [21047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19312),
  [21049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14569),
  [21051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(10065),
  [21054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9022),
  [21056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9542),
  [21058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8564),
  [21060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8484),
  [21062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17738),
  [21064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [21066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9013),
  [21068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13934),
  [21070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [21072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8518),
  [21074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18400),
  [21076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9171),
  [21078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9565),
  [21080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [21082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14271),
  [21084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13995),
  [21086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9573),
  [21088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14576),
  [21090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13942),
  [21092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [21094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [21096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [21098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7420),
  [21100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9365),
  [21102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14532),
  [21104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8511),
  [21106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16740),
  [21108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5584),
  [21110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7385),
  [21112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_binding_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(14192),
  [21115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_binding_pattern_repeat1, 2, 0, 0),
  [21117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9997),
  [21119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9009),
  [21121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14007),
  [21123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14057),
  [21125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5783),
  [21127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9427),
  [21129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14794),
  [21131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5822),
  [21133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16601),
  [21135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6627),
  [21137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [21139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8573),
  [21141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14073),
  [21143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5730),
  [21145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [21147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7426),
  [21149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10018),
  [21151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13805),
  [21153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8482),
  [21155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14930),
  [21157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14257),
  [21159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [21161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5774),
  [21163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9139),
  [21165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14402),
  [21167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10031),
  [21169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9018),
  [21171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14108),
  [21173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13793),
  [21175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9137),
  [21177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5812),
  [21179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9161),
  [21181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9168),
  [21183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14114),
  [21185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14074),
  [21187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7137),
  [21189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16736),
  [21191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8580),
  [21193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14955),
  [21195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7145),
  [21197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14241),
  [21199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13867),
  [21201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5000),
  [21203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14562),
  [21205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14401),
  [21207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5003),
  [21209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [21211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [21213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13897),
  [21215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5429),
  [21217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16855),
  [21219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [21221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13741),
  [21223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7631),
  [21225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14624),
  [21227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [21229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8583),
  [21231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5017),
  [21233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9216),
  [21235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12486),
  [21237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9025),
  [21239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13920),
  [21241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14333),
  [21243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13530),
  [21245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5670),
  [21247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5600),
  [21249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5024),
  [21251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9224),
  [21253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9229),
  [21255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16953),
  [21257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13931),
  [21259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8586),
  [21261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [21263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14286),
  [21265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13830),
  [21267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17014),
  [21269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [21271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17313),
  [21273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13982),
  [21275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5306),
  [21277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14072),
  [21279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4898),
  [21281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8597),
  [21283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16713),
  [21285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16715),
  [21287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16716),
  [21289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14513),
  [21291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5348),
  [21293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [21295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14155),
  [21297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [21299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [21301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14855),
  [21303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4901),
  [21305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14014),
  [21307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [21309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17084),
  [21311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14590),
  [21313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8603),
  [21315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5382),
  [21317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12898),
  [21319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14526),
  [21321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9033),
  [21323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14296),
  [21325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14022),
  [21327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13826),
  [21329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5274),
  [21331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4930),
  [21333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5323),
  [21335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12827),
  [21337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [21339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17144),
  [21341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12846),
  [21343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14033),
  [21345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7733),
  [21347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14082),
  [21349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14314),
  [21351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17568),
  [21353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13822),
  [21355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [21357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [21359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14889),
  [21361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17197),
  [21363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13541),
  [21365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14069),
  [21367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5931),
  [21369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7480),
  [21371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [21373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4968),
  [21375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14887),
  [21377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5934),
  [21379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13945),
  [21381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14278),
  [21383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11037),
  [21385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [21387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14094),
  [21389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [21391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9073),
  [21393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [21395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [21397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 2, 0, 23),
  [21399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14086),
  [21401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4597),
  [21403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17248),
  [21405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14966),
  [21407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13547),
  [21409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5949),
  [21411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4599),
  [21413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14107),
  [21415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8569),
  [21417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7265),
  [21419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14329),
  [21421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_instance_variable_specification_repeat1, 1, 0, 0),
  [21423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5137),
  [21425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17284),
  [21427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5959),
  [21429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14110),
  [21431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7473),
  [21433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4913),
  [21435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11071),
  [21437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14174),
  [21439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14766),
  [21441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5278),
  [21443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11080),
  [21445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17321),
  [21447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14091),
  [21449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6801),
  [21451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13827),
  [21453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6181),
  [21455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14236),
  [21457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10523),
  [21459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_method_specification_repeat1, 1, 0, 0),
  [21461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17349),
  [21463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14989),
  [21465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6184),
  [21467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [21469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [21471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13840),
  [21473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14306),
  [21475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9237),
  [21477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [21479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13895),
  [21481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9839),
  [21483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16665),
  [21485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17387),
  [21487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14572),
  [21489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6199),
  [21491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13849),
  [21493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6474),
  [21495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14205),
  [21497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5976),
  [21499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6209),
  [21501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13852),
  [21503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17410),
  [21505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0), SHIFT_REPEAT(9631),
  [21508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12531),
  [21510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14085),
  [21512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14313),
  [21514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [21516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13858),
  [21518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13752),
  [21520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14829),
  [21522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17442),
  [21524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [21526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13170),
  [21528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13899),
  [21530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6225),
  [21532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8446),
  [21534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14143),
  [21536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7191),
  [21538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10592),
  [21540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14617),
  [21542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6228),
  [21544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17478),
  [21546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [21548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [21550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13913),
  [21552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14324),
  [21554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10601),
  [21556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [21558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13904),
  [21560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17507),
  [21562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14699),
  [21564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6244),
  [21566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13928),
  [21568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14146),
  [21570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5991),
  [21572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6254),
  [21574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16456),
  [21576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13930),
  [21578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17371),
  [21580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14524),
  [21582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16480),
  [21584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13820),
  [21586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6815),
  [21588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9078),
  [21590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13956),
  [21592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9681),
  [21594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16496),
  [21596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14596),
  [21598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6832),
  [21600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15022),
  [21602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9685),
  [21604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16511),
  [21606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [21608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13962),
  [21610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14480),
  [21612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17416),
  [21614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [21616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14391),
  [21618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16525),
  [21620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9701),
  [21622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13966),
  [21624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [21626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6010),
  [21628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9403),
  [21630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16544),
  [21632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9712),
  [21634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13967),
  [21636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13727),
  [21638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10221),
  [21640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13943),
  [21642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16562),
  [21644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13825),
  [21646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4598),
  [21648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [21650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexing_operator_path, 1, 0, 0),
  [21652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexing_operator_path, 1, 0, 0),
  [21654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [21656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [21658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [21660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13584),
  [21662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13378),
  [21664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16581),
  [21666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14748),
  [21668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5453),
  [21670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14025),
  [21672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6273),
  [21674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4601),
  [21676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5572),
  [21678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16599),
  [21680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7178),
  [21682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14641),
  [21684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6277),
  [21686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14508),
  [21688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13646),
  [21690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [21692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16620),
  [21694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14037),
  [21696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16831),
  [21698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [21700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9148),
  [21702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13828),
  [21704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13694),
  [21706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14673),
  [21708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6295),
  [21710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16639),
  [21712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14042),
  [21714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4603),
  [21716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [21718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4874),
  [21720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9727),
  [21722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6306),
  [21724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14044),
  [21726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16655),
  [21728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5589),
  [21730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19437),
  [21732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6687),
  [21734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13557),
  [21736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16673),
  [21738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13630),
  [21740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13601),
  [21742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14118),
  [21744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13833),
  [21746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16687),
  [21748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14070),
  [21750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6335),
  [21752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14844),
  [21754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6339),
  [21756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16702),
  [21758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [21760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14097),
  [21762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14079),
  [21764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [21766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [21768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16722),
  [21770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [21772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [21774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14907),
  [21776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6361),
  [21778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14087),
  [21780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16742),
  [21782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(14348),
  [21785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_expression_repeat1, 2, 0, 0),
  [21787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6019),
  [21789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6373),
  [21791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [21793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14092),
  [21795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16755),
  [21797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7950),
  [21799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7469),
  [21801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__abstract_type_repeat1, 1, 0, 4),
  [21803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9618),
  [21805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16775),
  [21807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14850),
  [21809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14457),
  [21811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10909),
  [21813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12936),
  [21815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16790),
  [21817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13795),
  [21819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [21821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14428),
  [21823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [21825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16803),
  [21827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [21829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20086),
  [21831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13806),
  [21833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [21835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16823),
  [21837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexing_operator_path, 3, 0, 0),
  [21839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexing_operator_path, 3, 0, 0),
  [21841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14571),
  [21843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [21845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13807),
  [21847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7714),
  [21849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16606),
  [21851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16835),
  [21853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13567),
  [21855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6047),
  [21857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16842),
  [21859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [21861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16851),
  [21863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13809),
  [21865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16857),
  [21867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16863),
  [21869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16869),
  [21871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16875),
  [21873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16881),
  [21875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16887),
  [21877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16893),
  [21879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16899),
  [21881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16905),
  [21883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16911),
  [21885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16918),
  [21887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16924),
  [21889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16927),
  [21891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16930),
  [21893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16933),
  [21895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16936),
  [21897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16939),
  [21899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16942),
  [21901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16945),
  [21903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16948),
  [21905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16951),
  [21907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16954),
  [21909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16957),
  [21911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16960),
  [21913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16963),
  [21915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16966),
  [21917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16969),
  [21919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16972),
  [21921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16975),
  [21923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16978),
  [21925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16981),
  [21927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16984),
  [21929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16987),
  [21931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16990),
  [21933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13876),
  [21935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [21937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4641),
  [21939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 2, 0, 0),
  [21941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9966),
  [21943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13834),
  [21945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6029),
  [21947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16545),
  [21949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16546),
  [21951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16554),
  [21953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14411),
  [21955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [21957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14440),
  [21959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6033),
  [21961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10459),
  [21963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [21965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [21967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [21969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [21971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13843),
  [21973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [21975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2259),
  [21978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14545),
  [21980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6049),
  [21982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13847),
  [21984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [21986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12965),
  [21988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14740),
  [21990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10217),
  [21992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [21994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6060),
  [21996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13850),
  [21998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13884),
  [22000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17273),
  [22002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17274),
  [22004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17276),
  [22006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9624),
  [22008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [22010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [22012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [22014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [22016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14111),
  [22018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6750),
  [22020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14459),
  [22022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [22024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13872),
  [22026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [22028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4362),
  [22030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 2, 0, 0),
  [22032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8035),
  [22034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [22036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14386),
  [22038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [22040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11779),
  [22042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [22044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13697),
  [22046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13880),
  [22048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9197),
  [22050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [22052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13887),
  [22054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17501),
  [22056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17504),
  [22058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17505),
  [22060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13902),
  [22062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14439),
  [22064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7267),
  [22066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17474),
  [22068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [22070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3957),
  [22072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13883),
  [22074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [22076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [22078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [22080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7182),
  [22082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6081),
  [22084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [22086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13888),
  [22088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8063),
  [22090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [22092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11793),
  [22094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8826),
  [22096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16624),
  [22098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16629),
  [22100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16631),
  [22102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15014),
  [22104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6769),
  [22106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11798),
  [22108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [22110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [22112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [22114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13891),
  [22116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13915),
  [22118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6927),
  [22120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16752),
  [22122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16753),
  [22124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16754),
  [22126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14703),
  [22128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6931),
  [22130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [22132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [22134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [22136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4196),
  [22138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [22140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7603),
  [22142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17457),
  [22144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16886),
  [22146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16891),
  [22148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16892),
  [22150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13929),
  [22152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [22154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [22156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [22158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [22160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13944),
  [22162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7249),
  [22164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14758),
  [22166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(15409),
  [22169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_declaration_repeat1, 2, 0, 0),
  [22171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16965),
  [22173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16967),
  [22175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16968),
  [22177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6958),
  [22179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [22181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [22183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [22185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13933),
  [22187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [22189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17025),
  [22191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17026),
  [22193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17027),
  [22195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [22197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [22199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [22201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6969),
  [22203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13935),
  [22205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14932),
  [22207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6664),
  [22209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17094),
  [22211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17095),
  [22213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17097),
  [22215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [22217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [22219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [22221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10146),
  [22223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17156),
  [22225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17158),
  [22227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17160),
  [22229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [22231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [22233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [22235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4366),
  [22237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [22239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17209),
  [22241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17210),
  [22243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17212),
  [22245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [22247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [22249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [22251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17259),
  [22253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17260),
  [22255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17264),
  [22257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [22259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [22261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [22263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17292),
  [22265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17293),
  [22267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17294),
  [22269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [22271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [22273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [22275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13475),
  [22277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7894),
  [22279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13947),
  [22281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7600),
  [22283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13508),
  [22285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7702),
  [22287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17324),
  [22289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17325),
  [22291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17326),
  [22293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [22295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [22297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [22299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13484),
  [22301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5727),
  [22303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14928),
  [22305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7607),
  [22307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17358),
  [22309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17360),
  [22311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17361),
  [22313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13702),
  [22315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [22317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [22319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [22321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17393),
  [22323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17394),
  [22325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17395),
  [22327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [22329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [22331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [22333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [22335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4577),
  [22337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13952),
  [22339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13560),
  [22341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8898),
  [22343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [22345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17417),
  [22347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17418),
  [22349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17419),
  [22351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [22353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [22355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [22357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14971),
  [22359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17449),
  [22361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17451),
  [22363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17452),
  [22365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [22367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [22369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [22371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13209),
  [22373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17484),
  [22375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17485),
  [22377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17487),
  [22379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7662),
  [22381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [22383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [22385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [22387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13954),
  [22389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9590),
  [22391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [22393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17513),
  [22395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17514),
  [22397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17517),
  [22399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [22401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [22403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [22405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7099),
  [22407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16461),
  [22409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16462),
  [22411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16463),
  [22413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [22415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [22417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [22419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7685),
  [22421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13957),
  [22423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16483),
  [22425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16484),
  [22427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16485),
  [22429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [22431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [22433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [22435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16500),
  [22437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16501),
  [22439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16502),
  [22441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [22443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [22445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [22447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16515),
  [22449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16516),
  [22451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16517),
  [22453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [22455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [22457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [22459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13984),
  [22461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7271),
  [22463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13696),
  [22465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16454),
  [22467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16530),
  [22469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16531),
  [22471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16532),
  [22473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [22475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [22477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [22479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8860),
  [22481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13764),
  [22483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16548),
  [22485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16549),
  [22487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16550),
  [22489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [22491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [22493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [22495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13964),
  [22497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10072),
  [22499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16473),
  [22501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16567),
  [22503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16568),
  [22505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16569),
  [22507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [22509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [22511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [22513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16584),
  [22515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16585),
  [22517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16586),
  [22519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [22521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [22523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [22525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13183),
  [22527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13965),
  [22529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8008),
  [22531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16603),
  [22533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16604),
  [22535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16605),
  [22537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [22539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [22541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [22543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13972),
  [22545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7006),
  [22547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [22549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [22551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16625),
  [22553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16626),
  [22555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16627),
  [22557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [22559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [22561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [22563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14423),
  [22565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7011),
  [22567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16642),
  [22569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16643),
  [22571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16644),
  [22573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [22575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [22577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [22579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13802),
  [22581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4148),
  [22583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16656),
  [22585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16657),
  [22587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16658),
  [22589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [22591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [22593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [22595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14255),
  [22597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [22599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16679),
  [22601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16680),
  [22603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16681),
  [22605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [22607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [22609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [22611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13979),
  [22613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14992),
  [22615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [22617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14397),
  [22619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8011),
  [22621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16691),
  [22623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16692),
  [22625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16693),
  [22627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8983),
  [22629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [22631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [22633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [22635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [22637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16708),
  [22639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16709),
  [22641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16710),
  [22643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [22645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [22647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [22649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14468),
  [22651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16728),
  [22653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16729),
  [22655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16730),
  [22657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [22659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [22661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [22663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13227),
  [22665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7037),
  [22667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13985),
  [22669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14392),
  [22671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16745),
  [22673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16746),
  [22675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16747),
  [22677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [22679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [22681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [22683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16762),
  [22685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16763),
  [22687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16764),
  [22689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [22691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [22693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [22695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16780),
  [22697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16781),
  [22699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16782),
  [22701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [22703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [22705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [22707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13728),
  [22709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13020),
  [22711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7657),
  [22713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7051),
  [22715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16794),
  [22717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16795),
  [22719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16796),
  [22721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13660),
  [22723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [22725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [22727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [22729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [22731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13987),
  [22733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5200),
  [22735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16810),
  [22737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16811),
  [22739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16812),
  [22741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [22743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [22745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [22747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [22749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16826),
  [22751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16827),
  [22753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16828),
  [22755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [22757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [22759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [22761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16836),
  [22763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16837),
  [22765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16838),
  [22767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14064),
  [22769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16844),
  [22771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16845),
  [22773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16846),
  [22775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8856),
  [22777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16852),
  [22779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16853),
  [22781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16854),
  [22783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16858),
  [22785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16859),
  [22787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16860),
  [22789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16864),
  [22791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16865),
  [22793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16866),
  [22795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16870),
  [22797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16871),
  [22799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16872),
  [22801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16876),
  [22803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16877),
  [22805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16878),
  [22807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16882),
  [22809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16883),
  [22811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16884),
  [22813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16888),
  [22815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16889),
  [22817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16890),
  [22819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16894),
  [22821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16895),
  [22823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16896),
  [22825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16900),
  [22827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16901),
  [22829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16902),
  [22831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16906),
  [22833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16907),
  [22835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16908),
  [22837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16912),
  [22839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16913),
  [22841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16914),
  [22843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16919),
  [22845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16920),
  [22847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16921),
  [22849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13973),
  [22851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19201),
  [22853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19225),
  [22855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8854),
  [22857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19242),
  [22859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [22861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3947),
  [22863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10787),
  [22865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14018),
  [22867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4817),
  [22869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13671),
  [22871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14424),
  [22873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14619),
  [22875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4821),
  [22877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [22879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [22881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [22883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8727),
  [22885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14032),
  [22887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [22889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8039),
  [22891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9466),
  [22893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14645),
  [22895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4841),
  [22897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4561),
  [22899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14035),
  [22901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [22903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9253),
  [22905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13975),
  [22907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13726),
  [22909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7152),
  [22911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4849),
  [22913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14036),
  [22915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4563),
  [22917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14597),
  [22919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7282),
  [22921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [22923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8731),
  [22925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8065),
  [22927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9478),
  [22929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14051),
  [22931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [22933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7061),
  [22935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9485),
  [22937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14733),
  [22939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [22941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9407),
  [22943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13978),
  [22945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [22947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14059),
  [22949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [22951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14779),
  [22953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [22955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15025),
  [22957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15026),
  [22959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15027),
  [22961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14062),
  [22963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [22965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13382),
  [22967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17104),
  [22969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [22971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18083),
  [22973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4292),
  [22975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17121),
  [22977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19771),
  [22979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19772),
  [22981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19773),
  [22983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [22985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6462),
  [22987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18666),
  [22989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18191),
  [22991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7484),
  [22993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7856),
  [22995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8817),
  [22997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [22999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5414),
  [23001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19292),
  [23003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17188),
  [23005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18200),
  [23007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5610),
  [23009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8884),
  [23011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20397),
  [23013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13399),
  [23015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11017),
  [23017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13433),
  [23019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [23021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17254),
  [23023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17278),
  [23025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19786),
  [23027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19787),
  [23029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19788),
  [23031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12573),
  [23033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17320),
  [23035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [23037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_label, 3, 0, 65),
  [23039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5154),
  [23041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18208),
  [23043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [23045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17694),
  [23047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [23049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17401),
  [23051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19801),
  [23053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19802),
  [23055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19803),
  [23057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7279),
  [23059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19829),
  [23061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9538),
  [23063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19588),
  [23065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17437),
  [23067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4971),
  [23069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18862),
  [23071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8761),
  [23073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9692),
  [23075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6616),
  [23077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17668),
  [23079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [23081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6988),
  [23083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7216),
  [23085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17528),
  [23087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19816),
  [23089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19817),
  [23091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19818),
  [23093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 3, 0, 0),
  [23095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5990),
  [23097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16481),
  [23099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5634),
  [23101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8805),
  [23103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6598),
  [23105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9648),
  [23107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8599),
  [23109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10649),
  [23111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8723),
  [23113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6986),
  [23115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16542),
  [23117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19831),
  [23119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19832),
  [23121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19833),
  [23123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12852),
  [23125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8086),
  [23127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16579),
  [23129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17049),
  [23131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [23133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4905),
  [23135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7960),
  [23137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18297),
  [23139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9806),
  [23141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17390),
  [23143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19231),
  [23145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19232),
  [23147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8060),
  [23149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16647),
  [23151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19846),
  [23153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19847),
  [23155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19848),
  [23157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [23159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16682),
  [23161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19233),
  [23163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10729),
  [23165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4608),
  [23167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18300),
  [23169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7972),
  [23171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18315),
  [23173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13442),
  [23175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [23177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16813),
  [23179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18314),
  [23181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6107),
  [23183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18372),
  [23185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16744),
  [23187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19861),
  [23189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19862),
  [23191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19863),
  [23193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [23195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7678),
  [23197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19737),
  [23199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [23201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10137),
  [23203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16778),
  [23205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8886),
  [23207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17537),
  [23209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4181),
  [23211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8076),
  [23213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8747),
  [23215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5740),
  [23217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9115),
  [23219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [23221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7461),
  [23223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5397),
  [23225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18678),
  [23227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16843),
  [23229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19876),
  [23231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19877),
  [23233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19878),
  [23235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15856),
  [23237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7341),
  [23239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9409),
  [23241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8956),
  [23243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16999),
  [23245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [23247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18294),
  [23249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13542),
  [23251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7247),
  [23253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19128),
  [23255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8825),
  [23257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [23259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6625),
  [23261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17758),
  [23263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7296),
  [23265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19844),
  [23267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17035),
  [23269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19891),
  [23271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19892),
  [23273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19893),
  [23275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [23277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13438),
  [23279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17055),
  [23281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18074),
  [23283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7869),
  [23285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8764),
  [23287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6284),
  [23289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7751),
  [23291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16784),
  [23293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8085),
  [23295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8545),
  [23297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [23299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17587),
  [23301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6471),
  [23303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18036),
  [23305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18091),
  [23307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5578),
  [23309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6483),
  [23311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10950),
  [23313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16947),
  [23315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19444),
  [23317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17096),
  [23319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19906),
  [23321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19907),
  [23323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19908),
  [23325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6355),
  [23327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19445),
  [23329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19446),
  [23331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17115),
  [23333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8698),
  [23335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7304),
  [23337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8694),
  [23339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5290),
  [23341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15155),
  [23343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15255),
  [23345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5227),
  [23347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8812),
  [23349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5558),
  [23351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17157),
  [23353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19921),
  [23355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19922),
  [23357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19923),
  [23359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13133),
  [23361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8590),
  [23363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18525),
  [23365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7899),
  [23367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17183),
  [23369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9322),
  [23371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6575),
  [23373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6509),
  [23375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18061),
  [23377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7642),
  [23379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18602),
  [23381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17247),
  [23383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19936),
  [23385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19937),
  [23387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19938),
  [23389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20447),
  [23391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5482),
  [23393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8592),
  [23395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18540),
  [23397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10124),
  [23399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17544),
  [23401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6459),
  [23403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [23405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5915),
  [23407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9754),
  [23409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13394),
  [23411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13429),
  [23413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [23415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13789),
  [23417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7365),
  [23419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5703),
  [23421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19141),
  [23423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4974),
  [23425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [23427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8605),
  [23429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17359),
  [23431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19951),
  [23433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19952),
  [23435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19953),
  [23437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10248),
  [23439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8697),
  [23441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9366),
  [23443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5416),
  [23445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19738),
  [23447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [23449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17481),
  [23451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19966),
  [23453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19967),
  [23455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19968),
  [23457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10156),
  [23459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [23461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13396),
  [23463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4371),
  [23465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19859),
  [23467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6662),
  [23469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19153),
  [23471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17776),
  [23473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7648),
  [23475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18653),
  [23477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8766),
  [23479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6350),
  [23481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5555),
  [23483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19152),
  [23485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4880),
  [23487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16494),
  [23489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16583),
  [23491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19981),
  [23493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19982),
  [23495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19983),
  [23497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [23499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13723),
  [23501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17206),
  [23503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17699),
  [23505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17801),
  [23507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17803),
  [23509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8819),
  [23511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [23513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9185),
  [23515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [23517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7771),
  [23519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [23521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [23523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6392),
  [23525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5493),
  [23527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8691),
  [23529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17465),
  [23531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19996),
  [23533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19997),
  [23535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19998),
  [23537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13461),
  [23539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 22),
  [23541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [23543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18746),
  [23545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16509),
  [23547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20011),
  [23549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20012),
  [23551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20013),
  [23553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17366),
  [23555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7624),
  [23557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19470),
  [23559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17408),
  [23561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19474),
  [23563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19475),
  [23565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19476),
  [23567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10143),
  [23569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8077),
  [23571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [23573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18758),
  [23575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10379),
  [23577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15758),
  [23579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17422),
  [23581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20025),
  [23583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20026),
  [23585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20027),
  [23587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard, 2, 0, 0),
  [23589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13440),
  [23591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [23593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13916),
  [23595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18431),
  [23597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7169),
  [23599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17837),
  [23601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6165),
  [23603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19608),
  [23605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13874),
  [23607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19618),
  [23609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13875),
  [23611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [23613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16822),
  [23615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16847),
  [23617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20039),
  [23619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20040),
  [23621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20041),
  [23623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9419),
  [23625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17407),
  [23627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [23629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19689),
  [23631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6140),
  [23633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19753),
  [23635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8740),
  [23637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [23639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8574),
  [23641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8990),
  [23643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17403),
  [23645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20053),
  [23647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20054),
  [23649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20055),
  [23651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [23653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8751),
  [23655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5009),
  [23657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4373),
  [23659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19874),
  [23661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19482),
  [23663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7741),
  [23665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13259),
  [23667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8768),
  [23669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [23671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [23673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13470),
  [23675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10140),
  [23677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18268),
  [23679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17050),
  [23681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16619),
  [23683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20067),
  [23685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20068),
  [23687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20069),
  [23689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13366),
  [23691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17858),
  [23693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11658),
  [23695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13185),
  [23697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7119),
  [23699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7874),
  [23701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9739),
  [23703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7561),
  [23705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [23707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8646),
  [23709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16915),
  [23711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20081),
  [23713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20082),
  [23715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20083),
  [23717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5159),
  [23719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6121),
  [23721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 4, 0, 0),
  [23723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9614),
  [23725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [23727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17002),
  [23729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20093),
  [23731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20094),
  [23733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20095),
  [23735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [23737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6685),
  [23739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19036),
  [23741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17056),
  [23743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20100),
  [23745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20101),
  [23747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20102),
  [23749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9815),
  [23751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20057),
  [23753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7860),
  [23755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8809),
  [23757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [23759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17080),
  [23761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20105),
  [23763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20106),
  [23765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20107),
  [23767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17092),
  [23769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20110),
  [23771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20111),
  [23773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20112),
  [23775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17764),
  [23777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [23779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17112),
  [23781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20115),
  [23783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20116),
  [23785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20117),
  [23787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16528),
  [23789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17127),
  [23791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20120),
  [23793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20121),
  [23795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20122),
  [23797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [23799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11513),
  [23801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17155),
  [23803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20125),
  [23805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20126),
  [23807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20127),
  [23809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_label, 4, 0, 45),
  [23811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7801),
  [23813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19728),
  [23815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17184),
  [23817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20130),
  [23819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20131),
  [23821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20132),
  [23823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7897),
  [23825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16663),
  [23827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19502),
  [23829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17200),
  [23831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20135),
  [23833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20136),
  [23835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20137),
  [23837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19503),
  [23839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19504),
  [23841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17214),
  [23843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20140),
  [23845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20141),
  [23847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20142),
  [23849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9817),
  [23851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20096),
  [23853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15044),
  [23855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17234),
  [23857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20145),
  [23859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17534),
  [23861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20147),
  [23863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9220),
  [23865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17246),
  [23867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20150),
  [23869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20151),
  [23871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20152),
  [23873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [23875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7533),
  [23877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17277),
  [23879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20155),
  [23881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20156),
  [23883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20157),
  [23885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [23887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18418),
  [23889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6698),
  [23891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19155),
  [23893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17296),
  [23895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20160),
  [23897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20161),
  [23899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20162),
  [23901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9364),
  [23903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12361),
  [23905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19099),
  [23907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [23909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20009),
  [23911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19726),
  [23913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5454),
  [23915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7625),
  [23917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19672),
  [23919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [23921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18440),
  [23923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13119),
  [23925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6544),
  [23927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16514),
  [23929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9760),
  [23931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4291),
  [23933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5922),
  [23935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7361),
  [23937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17874),
  [23939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13416),
  [23941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13918),
  [23943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18507),
  [23945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6770),
  [23947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [23949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5448),
  [23951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18553),
  [23953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [23955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8705),
  [23957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7227),
  [23959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7645),
  [23961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19712),
  [23963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7501),
  [23965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16688),
  [23967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [23969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7916),
  [23971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16770),
  [23973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19528),
  [23975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19529),
  [23977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19530),
  [23979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15306),
  [23981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7975),
  [23983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9249),
  [23985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [23987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17892),
  [23989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8655),
  [23991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5405),
  [23993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20090),
  [23995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13452),
  [23997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7584),
  [23999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8560),
  [24001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4250),
  [24003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17291),
  [24005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11945),
  [24007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11408),
  [24009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8120),
  [24011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13402),
  [24013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7363),
  [24015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17891),
  [24017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5521),
  [24019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6764),
  [24021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6794),
  [24023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17898),
  [24025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5347),
  [24027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5877),
  [24029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18608),
  [24031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13408),
  [24033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13446),
  [24035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5080),
  [24037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19889),
  [24039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [24041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19607),
  [24043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9808),
  [24045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5890),
  [24047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18637),
  [24049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8774),
  [24051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6040),
  [24053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10050),
  [24055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7694),
  [24057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19524),
  [24059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8103),
  [24061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16555),
  [24063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [24065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6438),
  [24067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [24069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [24071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8726),
  [24073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [24075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16595),
  [24077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19551),
  [24079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19552),
  [24081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19553),
  [24083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15493),
  [24085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5330),
  [24087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19769),
  [24089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7865),
  [24091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [24093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6397),
  [24095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19280),
  [24097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10153),
  [24099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11045),
  [24101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10166),
  [24103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7244),
  [24105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6403),
  [24107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19286),
  [24109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8790),
  [24111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [24113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8753),
  [24115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5353),
  [24117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9596),
  [24119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5426),
  [24121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13435),
  [24123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7429),
  [24125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6478),
  [24127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [24129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18693),
  [24131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [24133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18725),
  [24135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16958),
  [24137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [24139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7453),
  [24141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19380),
  [24143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8835),
  [24145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19962),
  [24147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7499),
  [24149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5169),
  [24151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19569),
  [24153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [24155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [24157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19904),
  [24159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 91),
  [24161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14901),
  [24163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11470),
  [24165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8780),
  [24167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [24169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [24171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7106),
  [24173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11739),
  [24175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6883),
  [24177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18763),
  [24179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7966),
  [24181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13624),
  [24183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13437),
  [24185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6486),
  [24187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13404),
  [24189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6747),
  [24191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18765),
  [24193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17232),
  [24195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7650),
  [24197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7668),
  [24199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18836),
  [24201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17270),
  [24203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19571),
  [24205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19572),
  [24207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [24209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19407),
  [24211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19573),
  [24213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7078),
  [24215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19459),
  [24217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [24219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15697),
  [24221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [24223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7673),
  [24225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18841),
  [24227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [24229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19414),
  [24231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9263),
  [24233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11933),
  [24235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [24237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10265),
  [24239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7262),
  [24241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6792),
  [24243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19705),
  [24245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19989),
  [24247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8917),
  [24249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7063),
  [24251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18891),
  [24253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7537),
  [24255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [24257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8720),
  [24259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4939),
  [24261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11944),
  [24263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8742),
  [24265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [24267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7083),
  [24269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18898),
  [24271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5627),
  [24273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20200),
  [24275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17509),
  [24277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4771),
  [24279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7399),
  [24281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19919),
  [24283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4767),
  [24285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18970),
  [24287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7569),
  [24289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19436),
  [24291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8785),
  [24293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6946),
  [24295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9964),
  [24297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7993),
  [24299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4867),
  [24301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18977),
  [24303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7096),
  [24305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19497),
  [24307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6647),
  [24309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [24311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [24313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13443),
  [24315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10812),
  [24317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [24319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [24321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16623),
  [24323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16488),
  [24325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5630),
  [24327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20246),
  [24329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10751),
  [24331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [24333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19027),
  [24335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16654),
  [24337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19590),
  [24339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [24341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19578),
  [24343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19591),
  [24345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11506),
  [24347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19592),
  [24349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15892),
  [24351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20430),
  [24353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [24355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19035),
  [24357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7544),
  [24359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19498),
  [24361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3856),
  [24363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19587),
  [24365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [24367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12836),
  [24369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6434),
  [24371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16997),
  [24373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8807),
  [24375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5916),
  [24377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7054),
  [24379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [24381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6409),
  [24383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19069),
  [24385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16824),
  [24387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5434),
  [24389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6428),
  [24391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19075),
  [24393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7942),
  [24395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13454),
  [24397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat2, 1, 0, 0),
  [24399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8051),
  [24401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5844),
  [24403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8815),
  [24405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5259),
  [24407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7139),
  [24409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19934),
  [24411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5840),
  [24413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19098),
  [24415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10176),
  [24417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17082),
  [24419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8793),
  [24421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7627),
  [24423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5842),
  [24425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19104),
  [24427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9487),
  [24429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19164),
  [24431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [24433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10837),
  [24435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17098),
  [24437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19609),
  [24439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19610),
  [24441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11030),
  [24443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19611),
  [24445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16114),
  [24447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [24449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19133),
  [24451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5689),
  [24453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19784),
  [24455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10680),
  [24457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [24459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19142),
  [24461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6089),
  [24463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18870),
  [24465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10301),
  [24467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 1, 0, 0),
  [24469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5739),
  [24471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8755),
  [24473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5941),
  [24475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9068),
  [24477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14200),
  [24479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18701),
  [24481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11770),
  [24483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7527),
  [24485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18347),
  [24487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17249),
  [24489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9991),
  [24491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8708),
  [24493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6672),
  [24495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5569),
  [24497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19207),
  [24499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5661),
  [24501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19227),
  [24503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [24505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13594),
  [24507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5316),
  [24509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17303),
  [24511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5211),
  [24513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16399),
  [24515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [24517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7608),
  [24519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5744),
  [24521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5219),
  [24523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19287),
  [24525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9026),
  [24527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19805),
  [24529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5577),
  [24531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13459),
  [24533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9836),
  [24535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5221),
  [24537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19293),
  [24539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [24541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12851),
  [24543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17476),
  [24545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9358),
  [24547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17489),
  [24549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19627),
  [24551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19628),
  [24553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13395),
  [24555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7787),
  [24557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9029),
  [24559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19820),
  [24561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19629),
  [24563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16422),
  [24565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7726),
  [24567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19168),
  [24569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [24571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6955),
  [24573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5461),
  [24575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20087),
  [24577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6663),
  [24579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17715),
  [24581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17282),
  [24583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17364),
  [24585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19323),
  [24587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19324),
  [24589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16469),
  [24591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19325),
  [24593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [24595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19350),
  [24597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7934),
  [24599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17642),
  [24601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13779),
  [24603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13381),
  [24605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5756),
  [24607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [24609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19358),
  [24611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10802),
  [24613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15225),
  [24615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8702),
  [24617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6846),
  [24619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [24621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17257),
  [24623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8830),
  [24625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7953),
  [24627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17651),
  [24629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13455),
  [24631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8853),
  [24633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16471),
  [24635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19643),
  [24637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19644),
  [24639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19645),
  [24641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [24643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19417),
  [24645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [24647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19423),
  [24649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7558),
  [24651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18392),
  [24653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13353),
  [24655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [24657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19949),
  [24659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18893),
  [24661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13344),
  [24663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [24665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13413),
  [24667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17221),
  [24669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7323),
  [24671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19673),
  [24673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8795),
  [24675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7026),
  [24677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7853),
  [24679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16685),
  [24681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16768),
  [24683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19659),
  [24685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19660),
  [24687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19661),
  [24689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [24691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7837),
  [24693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7911),
  [24695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4600),
  [24697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19211),
  [24699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [24701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7746),
  [24703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [24705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9454),
  [24707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17678),
  [24709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6892),
  [24711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19625),
  [24713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8738),
  [24715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6561),
  [24717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12050),
  [24719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18188),
  [24721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17059),
  [24723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6706),
  [24725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [24727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7618),
  [24729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11333),
  [24731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9678),
  [24733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4219),
  [24735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19557),
  [24737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7546),
  [24739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7418),
  [24741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19799),
  [24743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17490),
  [24745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6726),
  [24747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17765),
  [24749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8757),
  [24751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6191),
  [24753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7944),
  [24755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [24757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8071),
  [24759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13431),
  [24761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8711),
  [24763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6828),
  [24765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16475),
  [24767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19675),
  [24769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5748),
  [24771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20071),
  [24773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19676),
  [24775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19677),
  [24777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4766),
  [24779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4261),
  [24781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18016),
  [24783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16590),
  [24785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10732),
  [24787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8729),
  [24789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8022),
  [24791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11703),
  [24793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8912),
  [24795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13457),
  [24797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5778),
  [24799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20079),
  [24801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20163),
  [24803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16686),
  [24805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7998),
  [24807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13392),
  [24809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5044),
  [24811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19290),
  [24813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5535),
  [24815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19306),
  [24817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17262),
  [24819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4207),
  [24821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19713),
  [24823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16931),
  [24825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4535),
  [24827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19721),
  [24829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16940),
  [24831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19691),
  [24833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19692),
  [24835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19693),
  [24837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8290),
  [24839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19549),
  [24841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8744),
  [24843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9309),
  [24845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4482),
  [24847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19641),
  [24849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [24851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7220),
  [24853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17853),
  [24855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6154),
  [24857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17658),
  [24859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7325),
  [24861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17073),
  [24863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17041),
  [24865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8587),
  [24867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5287),
  [24869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18034),
  [24871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17279),
  [24873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13146),
  [24875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7232),
  [24877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17861),
  [24879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17216),
  [24881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17230),
  [24883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19707),
  [24885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19708),
  [24887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19709),
  [24889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7893),
  [24891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6251),
  [24893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18577),
  [24895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [24897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8611),
  [24899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8976),
  [24901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [24903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19110),
  [24905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6712),
  [24907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18094),
  [24909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17350),
  [24911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10731),
  [24913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6802),
  [24915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7842),
  [24917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6779),
  [24919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18686),
  [24921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [24923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13733),
  [24925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5118),
  [24927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17488),
  [24929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18105),
  [24931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8690),
  [24933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [24935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19308),
  [24937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_type, 2, 0, 64),
  [24939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17508),
  [24941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19723),
  [24943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7427),
  [24945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19724),
  [24947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19725),
  [24949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8715),
  [24951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7373),
  [24953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6129),
  [24955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19964),
  [24957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8797),
  [24959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4829),
  [24961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6289),
  [24963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17676),
  [24965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11801),
  [24967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18932),
  [24969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12999),
  [24971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6105),
  [24973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18310),
  [24975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7637),
  [24977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7458),
  [24979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19657),
  [24981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16541),
  [24983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6147),
  [24985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7447),
  [24987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19814),
  [24989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11651),
  [24991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10339),
  [24993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18787),
  [24995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16668),
  [24997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5107),
  [24999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20349),
  [25001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8759),
  [25003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6235),
  [25005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13423),
  [25007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16675),
  [25009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19739),
  [25011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19740),
  [25013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5111),
  [25015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20356),
  [25017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19741),
  [25019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12793),
  [25021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12359),
  [25023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20424),
  [25025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10302),
  [25027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5352),
  [25029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [25031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19994),
  [25033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5207),
  [25035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17130),
  [25037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8733),
  [25039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [25041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16739),
  [25043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17266),
  [25045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19397),
  [25047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5358),
  [25049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6849),
  [25051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19398),
  [25053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19399),
  [25055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5427),
  [25057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19979),
  [25059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4962),
  [25061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18829),
  [25063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5575),
  [25065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8801),
  [25067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [25069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16903),
  [25071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16928),
  [25073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19755),
  [25075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19756),
  [25077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11113),
  [25079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11868),
  [25081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19757),
  [25083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8736),
  [25085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6743),
  [25087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7147),
  [25089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11117),
  [25091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11870),
  [25093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11872),
  [25095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11873),
  [25097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11874),
  [25099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [25101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18072),
  [25103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15413),
  [25105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8510),
  [25107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16986),
  [25109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19053),
  [25111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7929),
  [25113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5503),
  [25115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8923),
  [25117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [25119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5936),
  [25121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [25123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10135),
  [25125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7870),
  [25127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7871),
  [25129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [25131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11573),
  [25133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17133),
  [25135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5209),
  [25137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8887),
  [25139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4163),
  [25141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [25143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5777),
  [25145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5659),
  [25147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5135),
  [25149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5807),
  [25151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13339),
  [25153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [25155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [25157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9353),
  [25159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [25161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12723),
  [25163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [25165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5825),
  [25167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10037),
  [25169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5871),
  [25171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [25173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5449),
  [25175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5946),
  [25177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [25179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [25181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17450),
  [25183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [25185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [25187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7877),
  [25189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4206),
  [25191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [25193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5873),
  [25195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5444),
  [25197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4853),
  [25199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [25201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [25203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5027),
  [25205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4868),
  [25207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [25209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16419),
  [25211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5028),
  [25213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11389),
  [25215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5029),
  [25217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17346),
  [25219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4768),
  [25221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7320),
  [25223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10006),
  [25225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4912),
  [25227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5145),
  [25229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [25231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [25233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5954),
  [25235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5955),
  [25237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5146),
  [25239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11600),
  [25241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16923),
  [25243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6603),
  [25245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5956),
  [25247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13488),
  [25249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8171),
  [25251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5957),
  [25253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8861),
  [25255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5958),
  [25257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12739),
  [25259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [25261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [25263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10034),
  [25265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [25267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10045),
  [25269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7460),
  [25271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [25273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [25275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16676),
  [25277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5827),
  [25279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [25281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [25283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5962),
  [25285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5963),
  [25287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7948),
  [25289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5770),
  [25291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4926),
  [25293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [25295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [25297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [25299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5033),
  [25301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [25303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7956),
  [25305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15112),
  [25307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5213),
  [25309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5034),
  [25311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5035),
  [25313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14549),
  [25315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6260),
  [25317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5779),
  [25319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5780),
  [25321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7315),
  [25323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6166),
  [25325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6167),
  [25327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6169),
  [25329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8811),
  [25331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6623),
  [25333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11612),
  [25335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16689),
  [25337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7166),
  [25339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9921),
  [25341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6298),
  [25343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9402),
  [25345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9874),
  [25347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12760),
  [25349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9939),
  [25351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [25353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [25355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [25357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16589),
  [25359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7321),
  [25361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7322),
  [25363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [25365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [25367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [25369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [25371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19183),
  [25373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5325),
  [25375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [25377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [25379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4878),
  [25381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [25383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4808),
  [25385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15194),
  [25387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10052),
  [25389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [25391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10053),
  [25393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4822),
  [25395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6302),
  [25397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6303),
  [25399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6898),
  [25401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7502),
  [25403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6723),
  [25405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10046),
  [25407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [25409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7526),
  [25411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13501),
  [25413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13503),
  [25415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11624),
  [25417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16943),
  [25419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7204),
  [25421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [25423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [25425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11105),
  [25427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7812),
  [25429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18060),
  [25431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12779),
  [25433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6153),
  [25435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [25437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6906),
  [25439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8012),
  [25441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [25443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [25445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17428),
  [25447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [25449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7171),
  [25451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [25453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6186),
  [25455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7738),
  [25457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4935),
  [25459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4937),
  [25461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [25463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [25465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [25467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [25469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6708),
  [25471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6626),
  [25473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [25475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15262),
  [25477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10725),
  [25479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [25481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10726),
  [25483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6727),
  [25485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [25487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [25489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6314),
  [25491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6468),
  [25493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [25495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11642),
  [25497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16575),
  [25499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5647),
  [25501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [25503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [25505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7750),
  [25507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [25509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12690),
  [25511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6475),
  [25513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6196),
  [25515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6480),
  [25517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [25519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4941),
  [25521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [25523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [25525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16873),
  [25527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13998),
  [25529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19188),
  [25531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [25533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19217),
  [25535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7663),
  [25537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10025),
  [25539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6378),
  [25541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6382),
  [25543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [25545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [25547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [25549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6517),
  [25551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6529),
  [25553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6533),
  [25555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15330),
  [25557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [25559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [25561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [25563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [25565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5968),
  [25567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [25569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5969),
  [25571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9410),
  [25573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5970),
  [25575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [25577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10815),
  [25579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6207),
  [25581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10818),
  [25583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6208),
  [25585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6414),
  [25587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11128),
  [25589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16996),
  [25591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [25593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6778),
  [25595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10055),
  [25597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7024),
  [25599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7703),
  [25601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5280),
  [25603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12642),
  [25605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7667),
  [25607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5971),
  [25609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5972),
  [25611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5973),
  [25613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [25615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [25617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17171),
  [25619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7231),
  [25621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [25623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10071),
  [25625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10073),
  [25627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [25629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7237),
  [25631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6893),
  [25633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [25635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [25637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7784),
  [25639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15384),
  [25641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4280),
  [25643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [25645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [25647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8546),
  [25649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [25651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7362),
  [25653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6465),
  [25655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9636),
  [25657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10771),
  [25659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10809),
  [25661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13856),
  [25663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [25665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [25667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11139),
  [25669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17298),
  [25671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7272),
  [25673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [25675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7448),
  [25677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8656),
  [25679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [25681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [25683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [25685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12745),
  [25687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6797),
  [25689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [25691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [25693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7923),
  [25695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16684),
  [25697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [25699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [25701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17433),
  [25703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [25705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10829),
  [25707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [25709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [25711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [25713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9937),
  [25715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9943),
  [25717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [25719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [25721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [25723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [25725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14010),
  [25727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10027),
  [25729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8213),
  [25731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15445),
  [25733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [25735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7217),
  [25737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [25739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [25741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [25743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4191),
  [25745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6965),
  [25747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [25749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [25751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15810),
  [25753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6553),
  [25755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5531),
  [25757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12652),
  [25759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6776),
  [25761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [25763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11149),
  [25765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16507),
  [25767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [25769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [25771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7456),
  [25773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [25775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [25777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [25779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12656),
  [25781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [25783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [25785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [25787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7121),
  [25789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [25791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [25793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [25795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16622),
  [25797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8845),
  [25799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [25801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6230),
  [25803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [25805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5706),
  [25807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5709),
  [25809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9944),
  [25811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [25813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [25815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [25817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [25819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2984),
  [25821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [25823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15517),
  [25825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5684),
  [25827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [25829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [25831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [25833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [25835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [25837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7792),
  [25839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4987),
  [25841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4988),
  [25843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6110),
  [25845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9856),
  [25847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [25849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11163),
  [25851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16705),
  [25853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6111),
  [25855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [25857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7550),
  [25859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4989),
  [25861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [25863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [25865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9750),
  [25867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12715),
  [25869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6112),
  [25871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10733),
  [25873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6240),
  [25875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4247),
  [25877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [25879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5717),
  [25881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [25883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [25885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16839),
  [25887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4263),
  [25889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [25891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [25893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6919),
  [25895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [25897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7718),
  [25899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [25901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [25903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [25905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6633),
  [25907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6149),
  [25909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6150),
  [25911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15564),
  [25913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7559),
  [25915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7560),
  [25917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5151),
  [25919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5977),
  [25921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6493),
  [25923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5978),
  [25925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5979),
  [25927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [25929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6252),
  [25931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10278),
  [25933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [25935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10279),
  [25937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11174),
  [25939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16956),
  [25941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10048),
  [25943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6253),
  [25945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6555),
  [25947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6556),
  [25949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12759),
  [25951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8873),
  [25953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10083),
  [25955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12602),
  [25957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9423),
  [25959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6515),
  [25961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5437),
  [25963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7472),
  [25965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5980),
  [25967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [25969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [25971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17075),
  [25973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5981),
  [25975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [25977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5982),
  [25979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [25981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [25983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7926),
  [25985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [25987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6550),
  [25989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [25991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [25993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [25995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4248),
  [25997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6552),
  [25999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [26001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15626),
  [26003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [26005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6615),
  [26007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4183),
  [26009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8618),
  [26011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13922),
  [26013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5595),
  [26015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [26017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [26019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6463),
  [26021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6617),
  [26023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11183),
  [26025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17151),
  [26027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7557),
  [26029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [26031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [26033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [26035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [26037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [26039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12639),
  [26041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [26043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [26045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [26047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [26049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [26051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17244),
  [26053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [26055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [26057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [26059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6889),
  [26061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7518),
  [26063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [26065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [26067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [26069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4297),
  [26071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [26073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15693),
  [26075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [26077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [26079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [26081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [26083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [26085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10648),
  [26087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7545),
  [26089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [26091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11191),
  [26093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17289),
  [26095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [26097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [26099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [26101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7574),
  [26103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10004),
  [26105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7844),
  [26107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [26109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12672),
  [26111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13056),
  [26113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [26115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8621),
  [26117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [26119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [26121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17382),
  [26123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [26125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10116),
  [26127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7524),
  [26129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [26131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [26133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8195),
  [26135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15745),
  [26137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [26139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [26141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6160),
  [26143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7864),
  [26145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [26147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12674),
  [26149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6189),
  [26151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7525),
  [26153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9688),
  [26155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11201),
  [26157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17412),
  [26159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7708),
  [26161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7709),
  [26163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7652),
  [26165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12703),
  [26167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [26169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6870),
  [26171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6645),
  [26173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [26175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [26177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17502),
  [26179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5705),
  [26181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6249),
  [26183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [26185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13231),
  [26187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11571),
  [26189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [26191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [26193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5165),
  [26195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7356),
  [26197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15799),
  [26199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7357),
  [26201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13224),
  [26203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9853),
  [26205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9930),
  [26207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [26209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [26211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8623),
  [26213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7368),
  [26215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11210),
  [26217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16459),
  [26219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9965),
  [26221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6900),
  [26223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5334),
  [26225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10005),
  [26227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9698),
  [26229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8624),
  [26231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12720),
  [26233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7369),
  [26235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7016),
  [26237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7489),
  [26239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [26241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [26243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16520),
  [26245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19841),
  [26247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7020),
  [26249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [26251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [26253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [26255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [26257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [26259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [26261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5420),
  [26263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [26265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15836),
  [26267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16771),
  [26269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [26271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8907),
  [26273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6902),
  [26275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3926),
  [26277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4068),
  [26279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9707),
  [26281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11219),
  [26283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16557),
  [26285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9708),
  [26287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [26289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10141),
  [26291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9709),
  [26293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16048),
  [26295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6113),
  [26297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9710),
  [26299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12763),
  [26301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [26303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [26305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9711),
  [26307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [26309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [26311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16628),
  [26313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6114),
  [26315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7370),
  [26317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9643),
  [26319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7507),
  [26321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6574),
  [26323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [26325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [26327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7482),
  [26329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9714),
  [26331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9715),
  [26333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15886),
  [26335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [26337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12615),
  [26339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9716),
  [26341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7968),
  [26343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7382),
  [26345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11925),
  [26347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17423),
  [26349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7372),
  [26351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11227),
  [26353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16660),
  [26355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9404),
  [26357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6115),
  [26359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6106),
  [26361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [26363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12792),
  [26365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7974),
  [26367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [26369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [26371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [26373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16724),
  [26375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [26377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7269),
  [26379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8410),
  [26381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11032),
  [26383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [26385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [26387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [26389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [26391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [26393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_string, 2, 0, 0),
  [26395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15931),
  [26397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15147),
  [26399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [26401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5431),
  [26403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [26405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [26407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15504),
  [26409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [26411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [26413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11236),
  [26415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16758),
  [26417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [26419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7552),
  [26421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9651),
  [26423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [26425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [26427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8584),
  [26429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12609),
  [26431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [26433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12777),
  [26435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [26437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [26439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [26441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16820),
  [26443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [26445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [26447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [26449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [26451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [26453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9892),
  [26455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [26457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [26459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [26461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7168),
  [26463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [26465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15974),
  [26467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6108),
  [26469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8441),
  [26471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [26473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5447),
  [26475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19654),
  [26477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [26479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [26481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8619),
  [26483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11245),
  [26485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16916),
  [26487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10043),
  [26489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9895),
  [26491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [26493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9653),
  [26495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [26497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7059),
  [26499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7566),
  [26501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12619),
  [26503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [26505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7778),
  [26507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [26509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [26511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17021),
  [26513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [26515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6264),
  [26517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [26519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11302),
  [26521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [26523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3347),
  [26525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8620),
  [26527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7845),
  [26529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [26531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16072),
  [26533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17427),
  [26535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [26537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6279),
  [26539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [26541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5694),
  [26543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5700),
  [26545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11255),
  [26547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17044),
  [26549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6301),
  [26551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6308),
  [26553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5541),
  [26555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [26557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [26559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13917),
  [26561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [26563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12624),
  [26565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [26567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8554),
  [26569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7409),
  [26571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [26573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [26575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17085),
  [26577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [26579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [26581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9910),
  [26583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [26585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10863),
  [26587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [26589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [26591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10263),
  [26593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [26595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7759),
  [26597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16111),
  [26599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [26601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [26603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7408),
  [26605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10164),
  [26607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6291),
  [26609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20075),
  [26611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11265),
  [26613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17103),
  [26615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [26617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [26619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [26621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5713),
  [26623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [26625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12643),
  [26627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [26629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11131),
  [26631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [26633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [26635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [26637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17142),
  [26639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [26641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7181),
  [26643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [26645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [26647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6654),
  [26649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6657),
  [26651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [26653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [26655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6658),
  [26657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [26659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5993),
  [26661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16151),
  [26663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [26665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6034),
  [26667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [26669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5994),
  [26671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5995),
  [26673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6787),
  [26675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4927),
  [26677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6304),
  [26679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [26681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11281),
  [26683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17170),
  [26685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [26687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13919),
  [26689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6502),
  [26691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6305),
  [26693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6505),
  [26695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6661),
  [26697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6506),
  [26699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12669),
  [26701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6080),
  [26703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10032),
  [26705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [26707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [26709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17218),
  [26711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7542),
  [26713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5997),
  [26715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5998),
  [26717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5999),
  [26719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8591),
  [26721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [26723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [26725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12614),
  [26727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9902),
  [26729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5585),
  [26731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16219),
  [26733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [26735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4949),
  [26737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4952),
  [26739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8858),
  [26741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6684),
  [26743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8593),
  [26745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7195),
  [26747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11289),
  [26749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17263),
  [26751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9266),
  [26753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7198),
  [26755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12873),
  [26757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12875),
  [26759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10023),
  [26761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10024),
  [26763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12683),
  [26765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5455),
  [26767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9860),
  [26769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7350),
  [26771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [26773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [26775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17332),
  [26777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9870),
  [26779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [26781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [26783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [26785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [26787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10039),
  [26789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [26791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16308),
  [26793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [26795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [26797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6457),
  [26799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7827),
  [26801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [26803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [26805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11299),
  [26807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17376),
  [26809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [26811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12794),
  [26813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [26815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10016),
  [26817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6718),
  [26819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12700),
  [26821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [26823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6720),
  [26825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [26827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [26829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17466),
  [26831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6721),
  [26833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [26835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [26837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7643),
  [26839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9936),
  [26841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [26843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [26845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5598),
  [26847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9915),
  [26849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5884),
  [26851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16414),
  [26853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6651),
  [26855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6660),
  [26857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [26859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13234),
  [26861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13782),
  [26863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12660),
  [26865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13343),
  [26867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [26869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11310),
  [26871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17486),
  [26873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9918),
  [26875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [26877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8627),
  [26879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13237),
  [26881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12708),
  [26883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [26885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [26887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6341),
  [26889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [26891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [26893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17519),
  [26895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13272),
  [26897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5892),
  [26899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7857),
  [26901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7866),
  [26903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9311),
  [26905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10214),
  [26907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [26909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [26911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13024),
  [26913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10215),
  [26915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12876),
  [26917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15033),
  [26919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [26921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6679),
  [26923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [26925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7666),
  [26927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16640),
  [26929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6075),
  [26931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11321),
  [26933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16982),
  [26935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7858),
  [26937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [26939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5457),
  [26941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6470),
  [26943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12732),
  [26945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [26947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6103),
  [26949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [26951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [26953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16706),
  [26955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [26957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [26959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [26961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [26963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5404),
  [26965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9577),
  [26967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [26969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [26971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6357),
  [26973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [26975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13544),
  [26977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15055),
  [26979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [26981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [26983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7876),
  [26985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8883),
  [26987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [26989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [26991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10145),
  [26993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11331),
  [26995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16566),
  [26997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [26999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14229),
  [27001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [27003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12737),
  [27005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5921),
  [27007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7565),
  [27009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [27011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [27013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [27015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17399),
  [27017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9127),
  [27019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [27021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6011),
  [27023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6012),
  [27025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6013),
  [27027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [27029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [27031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9132),
  [27033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6371),
  [27035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [27037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15079),
  [27039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9153),
  [27041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [27043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9154),
  [27045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6372),
  [27047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15392),
  [27049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [27051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [27053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9743),
  [27055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11341),
  [27057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16600),
  [27059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [27061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [27063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4504),
  [27065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6014),
  [27067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6015),
  [27069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12769),
  [27071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [27073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6016),
  [27075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [27077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [27079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [27081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17134),
  [27083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7148),
  [27085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9169),
  [27087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9599),
  [27089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7173),
  [27091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [27093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9983),
  [27095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [27097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [27099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [27101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9985),
  [27103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9996),
  [27105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15108),
  [27107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [27109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6732),
  [27111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [27113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6753),
  [27115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7793),
  [27117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [27119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [27121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [27123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11349),
  [27125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16465),
  [27127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [27129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12782),
  [27131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6994),
  [27133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5288),
  [27135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [27137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [27139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16667),
  [27141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7593),
  [27143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [27145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7602),
  [27147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [27149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [27151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [27153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7223),
  [27155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8617),
  [27157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [27159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15136),
  [27161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10984),
  [27163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10989),
  [27165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11533),
  [27167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [27169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [27171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [27173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16880),
  [27175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11357),
  [27177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16897),
  [27179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [27181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4607),
  [27183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4617),
  [27185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12791),
  [27187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9195),
  [27189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9201),
  [27191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6854),
  [27193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [27195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [27197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17306),
  [27199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16460),
  [27201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10990),
  [27203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [27205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9202),
  [27207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4967),
  [27209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [27211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [27213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [27215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5425),
  [27217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [27219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15157),
  [27221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7670),
  [27223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9583),
  [27225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7676),
  [27227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8596),
  [27229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6858),
  [27231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11365),
  [27233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17459),
  [27235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [27237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9990),
  [27239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6548),
  [27241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3819),
  [27243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [27245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12604),
  [27247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7417),
  [27249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9274),
  [27251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [27253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [27255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16523),
  [27257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9279),
  [27259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4972),
  [27261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [27263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7449),
  [27265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [27267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [27269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7186),
  [27271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10303),
  [27273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7211),
  [27275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15179),
  [27277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7380),
  [27279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7659),
  [27281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7021),
  [27283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7035),
  [27285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5309),
  [27287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7122),
  [27289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11375),
  [27291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16653),
  [27293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [27295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9920),
  [27297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [27299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [27301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10235),
  [27303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7079),
  [27305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13354),
  [27307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [27309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [27311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16829),
  [27313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [27315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7084),
  [27317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [27319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [27321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9285),
  [27323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [27325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [27327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [27329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [27331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15210),
  [27333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5708),
  [27335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [27337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7540),
  [27339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7138),
  [27341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16050),
  [27343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18299),
  [27345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [27347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11384),
  [27349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16929),
  [27351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [27353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [27355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13189),
  [27357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [27359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7180),
  [27361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10022),
  [27363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [27365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [27367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16977),
  [27369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13017),
  [27371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [27373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [27375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3060),
  [27377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15220),
  [27379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [27381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13598),
  [27383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [27385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11394),
  [27387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17012),
  [27389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4872),
  [27391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [27393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4883),
  [27395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6976),
  [27397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [27399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17047),
  [27401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10482),
  [27403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10483),
  [27405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5471),
  [27407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [27409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11402),
  [27411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17060),
  [27413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [27415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10484),
  [27417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9876),
  [27419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [27421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [27423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4866),
  [27425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17087),
  [27427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10386),
  [27429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4873),
  [27431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [27433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5480),
  [27435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7719),
  [27437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17102),
  [27439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7396),
  [27441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8003),
  [27443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12748),
  [27445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5749),
  [27447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [27449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7398),
  [27451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7841),
  [27453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17120),
  [27455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13314),
  [27457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4509),
  [27459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7843),
  [27461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13342),
  [27463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7404),
  [27465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4871),
  [27467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17132),
  [27469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7289),
  [27471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3014),
  [27473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [27475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7410),
  [27477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [27479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4862),
  [27481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [27483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17168),
  [27485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13163),
  [27487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [27489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13203),
  [27491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [27493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17404),
  [27495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [27497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13204),
  [27499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17187),
  [27501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [27503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [27505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9923),
  [27507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9784),
  [27509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7760),
  [27511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17205),
  [27513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [27515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6695),
  [27517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7290),
  [27519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9929),
  [27521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_content, 1, 0, 0),
  [27523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5728),
  [27525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17217),
  [27527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [27529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7416),
  [27531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [27533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9811),
  [27535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6143),
  [27537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [27539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17235),
  [27541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6146),
  [27543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [27545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [27547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [27549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [27551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5784),
  [27553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15142),
  [27555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17252),
  [27557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5800),
  [27559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [27561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5801),
  [27563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [27565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6427),
  [27567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9797),
  [27569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17281),
  [27571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6648),
  [27573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5745),
  [27575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7739),
  [27577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7847),
  [27579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17297),
  [27581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6142),
  [27583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5333),
  [27585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5852),
  [27587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5853),
  [27589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6437),
  [27591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5060),
  [27593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5062),
  [27595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5131),
  [27597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [27599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5841),
  [27601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12362),
  [27603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11154),
  [27605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17269),
  [27607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5843),
  [27609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8800),
  [27611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5851),
  [27613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10737),
  [27615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4269),
  [27617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [27619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7775),
  [27621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8400),
  [27623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7273),
  [27625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7278),
  [27627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5716),
  [27629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5719),
  [27631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5721),
  [27633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [27635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5808),
  [27637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [27639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5810),
  [27641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5864),
  [27643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5344),
  [27645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7297),
  [27647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5345),
  [27649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5346),
  [27651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6656),
  [27653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9932),
  [27655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5559),
  [27657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9812),
  [27659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [27661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6163),
  [27663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7436),
  [27665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10042),
  [27667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7785),
  [27669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5704),
  [27671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5733),
  [27673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5571),
  [27675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5591),
  [27677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [27679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7437),
  [27681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9173),
  [27683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4550),
  [27685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5732),
  [27687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [27689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5263),
  [27691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [27693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5601),
  [27695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6668),
  [27697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6700),
  [27699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5635),
  [27701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10490),
  [27703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5637),
  [27705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [27707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7438),
  [27709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5313),
  [27711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9391),
  [27713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4256),
  [27715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [27717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7780),
  [27719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16734),
  [27721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7753),
  [27723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12776),
  [27725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7150),
  [27727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9896),
  [27729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [27731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [27733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [27735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5867),
  [27737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [27739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [27741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [27743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13362),
  [27745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17333),
  [27747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [27749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5868),
  [27751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [27753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13369),
  [27755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7336),
  [27757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5869),
  [27759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6513),
  [27761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [27763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [27765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [27767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [27769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7153),
  [27771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7157),
  [27773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [27775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7573),
  [27777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6514),
  [27779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6933),
  [27781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7692),
  [27783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5650),
  [27785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6036),
  [27787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8099),
  [27789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16635),
  [27791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [27793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [27795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [27797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [27799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [27801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [27803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [27805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17081),
  [27807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7539),
  [27809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [27811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10003),
  [27813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [27815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9320),
  [27817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5664),
  [27819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [27821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [27823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6482),
  [27825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17601),
  [27827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17603),
  [27829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17604),
  [27831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10014),
  [27833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [27835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7811),
  [27837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7162),
  [27839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9589),
  [27841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6045),
  [27843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7163),
  [27845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [27847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5628),
  [27849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3061),
  [27851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4920),
  [27853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [27855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [27857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [27859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [27861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [27863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [27865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5236),
  [27867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5237),
  [27869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5264),
  [27871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [27873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6055),
  [27875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6056),
  [27877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6057),
  [27879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5265),
  [27881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6058),
  [27883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [27885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [27887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6059),
  [27889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5669),
  [27891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10118),
  [27893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15742),
  [27895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11740),
  [27897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11741),
  [27899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5187),
  [27901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [27903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6064),
  [27905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6066),
  [27907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6401),
  [27909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11742),
  [27911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9612),
  [27913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7816),
  [27915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7149),
  [27917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6405),
  [27919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5220),
  [27921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [27923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10104),
  [27925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5415),
  [27927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5225),
  [27929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10144),
  [27931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6074),
  [27933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5282),
  [27935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [27937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7644),
  [27939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [27941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8218),
  [27943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6848),
  [27945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17299),
  [27947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5235),
  [27949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [27951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [27953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [27955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [27957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [27959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11890),
  [27961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [27963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [27965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10033),
  [27967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [27969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [27971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9345),
  [27973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5239),
  [27975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11271),
  [27977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18412),
  [27979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18413),
  [27981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18414),
  [27983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7177),
  [27985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16495),
  [27987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4192),
  [27989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6173),
  [27991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6185),
  [27993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [27995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6540),
  [27997] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [27999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10056),
  [28001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [28003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9476),
  [28005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9327),
  [28007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6204),
  [28009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7675),
  [28011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11006),
  [28013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [28015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5005),
  [28017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10207),
  [28019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8866),
  [28021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8867),
  [28023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10059),
  [28025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [28027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7578),
  [28029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9866),
  [28031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [28033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8628),
  [28035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5305),
  [28037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 1, 0, 0),
  [28039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13198),
  [28041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6859),
  [28043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [28045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [28047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5268),
  [28049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9361),
  [28051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5269),
  [28053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [28055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [28057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8170),
  [28059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [28061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16467),
  [28063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [28065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [28067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [28069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [28071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [28073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [28075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [28077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [28079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [28081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [28083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [28085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [28087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9362),
  [28089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6222),
  [28091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6229),
  [28093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18807),
  [28095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18812),
  [28097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18813),
  [28099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8016),
  [28101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9863),
  [28103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9871),
  [28105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [28107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [28109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [28111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [28113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [28115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8062),
  [28117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9474),
  [28119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [28121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12610),
  [28123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6242),
  [28125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3035),
  [28127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [28129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13257),
  [28131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [28133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12699),
  [28135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [28137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13333),
  [28139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [28141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [28143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [28145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [28147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [28149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [28151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [28153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8153),
  [28155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9824),
  [28157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16650),
  [28159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [28161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6510),
  [28163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [28165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [28167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [28169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [28171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9371),
  [28173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19101),
  [28175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19102),
  [28177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19103),
  [28179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11921),
  [28181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [28183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4186),
  [28185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [28187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9832),
  [28189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [28191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [28193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [28195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5014),
  [28197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [28199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [28201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7089),
  [28203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9875),
  [28205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8072),
  [28207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [28209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17341),
  [28211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11926),
  [28213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9833),
  [28215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8228),
  [28217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [28219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16772),
  [28221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9834),
  [28223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [28225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6521),
  [28227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19327),
  [28229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19329),
  [28231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19331),
  [28233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11807),
  [28235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6938),
  [28237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6266),
  [28239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9663),
  [28241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7735),
  [28243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10685),
  [28245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10687),
  [28247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9987),
  [28249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8868),
  [28251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6274),
  [28253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6278),
  [28255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5613),
  [28257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6332),
  [28259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6340),
  [28261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6780),
  [28263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8101),
  [28265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7098),
  [28267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16917),
  [28269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6343),
  [28271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [28273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19566),
  [28275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19570),
  [28277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19574),
  [28279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [28281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [28283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3672),
  [28285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [28287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [28289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [28291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10112),
  [28293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15038),
  [28295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6953),
  [28297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8802),
  [28299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5881),
  [28301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10713),
  [28303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5882),
  [28305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9668),
  [28307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5883),
  [28309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8132),
  [28311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8803),
  [28313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16980),
  [28315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [28317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3677),
  [28319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8565),
  [28321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19770),
  [28323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19774),
  [28325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19775),
  [28327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9560),
  [28329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [28331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [28333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5905),
  [28335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9450),
  [28337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10281),
  [28339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13276),
  [28341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6963),
  [28343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6964),
  [28345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6966),
  [28347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [28349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6967),
  [28351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [28353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8149),
  [28355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6968),
  [28357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17038),
  [28359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9451),
  [28361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19955),
  [28363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19957),
  [28365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19958),
  [28367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9452),
  [28369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [28371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [28373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6594),
  [28375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11416),
  [28377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7597),
  [28379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6973),
  [28381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9867),
  [28383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16807),
  [28385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8168),
  [28387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6974),
  [28389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17111),
  [28391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20128),
  [28393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20129),
  [28395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20133),
  [28397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6783),
  [28399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6975),
  [28401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3832),
  [28403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10113),
  [28405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7701),
  [28407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10114),
  [28409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4975),
  [28411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4976),
  [28413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4645),
  [28415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4980),
  [28417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8189),
  [28419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [28421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17167),
  [28423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6784),
  [28425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20322),
  [28427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20324),
  [28429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20325),
  [28431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5022),
  [28433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6786),
  [28435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6822),
  [28437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9989),
  [28439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5023),
  [28441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10069),
  [28443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [28445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9854),
  [28447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [28449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9969),
  [28451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4888),
  [28453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8220),
  [28455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5439),
  [28457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17219),
  [28459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13885),
  [28461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17549),
  [28463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17550),
  [28465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17551),
  [28467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4834),
  [28469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4764),
  [28471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9988),
  [28473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6535),
  [28475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5440),
  [28477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13893),
  [28479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [28481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13136),
  [28483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7952),
  [28485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8227),
  [28487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [28489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17271),
  [28491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17616),
  [28493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17617),
  [28495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17618),
  [28497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_payload, 3, 0, 0),
  [28499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11878),
  [28501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [28503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [28505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [28507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12140),
  [28509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8631),
  [28511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7687),
  [28513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13072),
  [28515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8237),
  [28517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [28519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17300),
  [28521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13137),
  [28523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17670),
  [28525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17671),
  [28527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17672),
  [28529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12722),
  [28531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [28533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13138),
  [28535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9063),
  [28537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [28539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12756),
  [28541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13261),
  [28543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_string, 3, 0, 0),
  [28545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8257),
  [28547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [28549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17331),
  [28551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12757),
  [28553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17724),
  [28555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17725),
  [28557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17726),
  [28559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6741),
  [28561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4961),
  [28563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4928),
  [28565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9064),
  [28567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3887),
  [28569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4929),
  [28571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12758),
  [28573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8241),
  [28575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7641),
  [28577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17369),
  [28579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [28581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17778),
  [28583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17779),
  [28585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17780),
  [28587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5543),
  [28589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7610),
  [28591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9878),
  [28593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7401),
  [28595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7402),
  [28597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [28599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [28601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [28603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [28605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8172),
  [28607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16512),
  [28609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17400),
  [28611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9234),
  [28613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17832),
  [28615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17833),
  [28617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17834),
  [28619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [28621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [28623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5544),
  [28625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [28627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [28629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6419),
  [28631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6420),
  [28633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8113),
  [28635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [28637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17425),
  [28639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6423),
  [28641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17886),
  [28643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17887),
  [28645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17888),
  [28647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6793),
  [28649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7523),
  [28651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7646),
  [28653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4216),
  [28655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5886),
  [28657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7655),
  [28659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [28661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5888),
  [28663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [28665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8160),
  [28667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7403),
  [28669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17460),
  [28671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5889),
  [28673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17940),
  [28675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17941),
  [28677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17942),
  [28679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5523),
  [28681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7810),
  [28683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15304),
  [28685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [28687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [28689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [28691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8209),
  [28693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [28695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17494),
  [28697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5552),
  [28699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17994),
  [28701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17995),
  [28703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17996),
  [28705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9826),
  [28707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9827),
  [28709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9828),
  [28711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6130),
  [28713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5617),
  [28715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [28717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5618),
  [28719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8238),
  [28721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17524),
  [28723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7556),
  [28725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18048),
  [28727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18049),
  [28729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18050),
  [28731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [28733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [28735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [28737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12349),
  [28739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7672),
  [28741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7674),
  [28743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7677),
  [28745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5619),
  [28747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11463),
  [28749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8097),
  [28751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7682),
  [28753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16466),
  [28755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17000),
  [28757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18101),
  [28759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18102),
  [28761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18103),
  [28763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7684),
  [28765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [28767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [28769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6735),
  [28771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5253),
  [28773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [28775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16487),
  [28777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5737),
  [28779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18143),
  [28781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18144),
  [28783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18145),
  [28785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5255),
  [28787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5466),
  [28789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7421),
  [28791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7688),
  [28793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7689),
  [28795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12762),
  [28797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [28799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7707),
  [28801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7690),
  [28803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16503),
  [28805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [28807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18183),
  [28809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18184),
  [28811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18185),
  [28813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5258),
  [28815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9028),
  [28817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [28819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [28821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [28823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [28825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [28827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [28829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16519),
  [28831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [28833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18223),
  [28835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18224),
  [28837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18225),
  [28839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10147),
  [28841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9030),
  [28843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [28845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8717),
  [28847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [28849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7455),
  [28851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [28853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12612),
  [28855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [28857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16534),
  [28859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [28861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18263),
  [28863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18264),
  [28865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18265),
  [28867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7068),
  [28869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13182),
  [28871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20448),
  [28873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [28875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5317),
  [28877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13153),
  [28879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8562),
  [28881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [28883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11909),
  [28885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16551),
  [28887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18303),
  [28889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18304),
  [28891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18305),
  [28893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [28895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13766),
  [28897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [28899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9993),
  [28901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [28903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9287),
  [28905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [28907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5486),
  [28909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9288),
  [28911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [28913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16571),
  [28915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [28917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18343),
  [28919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18344),
  [28921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18345),
  [28923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16513),
  [28925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [28927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9289),
  [28929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [28931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [28933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5364),
  [28935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7072),
  [28937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [28939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16588),
  [28941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9291),
  [28943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18383),
  [28945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18384),
  [28947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18385),
  [28949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9292),
  [28951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6816),
  [28953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [28955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9293),
  [28957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10148),
  [28959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [28961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [28963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16607),
  [28965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [28967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18423),
  [28969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18424),
  [28971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18425),
  [28973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7743),
  [28975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [28977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9658),
  [28979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5758),
  [28981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12352),
  [28983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12848),
  [28985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [28987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16630),
  [28989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [28991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18463),
  [28993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18464),
  [28995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18465),
  [28997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5487),
  [28999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7495),
  [29001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [29003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8102),
  [29005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5762),
  [29007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9072),
  [29009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15486),
  [29011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12849),
  [29013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16645),
  [29015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12850),
  [29017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18503),
  [29019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18504),
  [29021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18505),
  [29023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7878),
  [29025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [29027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7018),
  [29029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [29031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5507),
  [29033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5508),
  [29035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9952),
  [29037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16661),
  [29039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [29041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18543),
  [29043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18544),
  [29045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18545),
  [29047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5384),
  [29049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9953),
  [29051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [29053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [29055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7681),
  [29057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9857),
  [29059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7683),
  [29061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16683),
  [29063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5651),
  [29065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18582),
  [29067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18583),
  [29069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18584),
  [29071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11492),
  [29073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16699),
  [29075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [29077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4159),
  [29079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7509),
  [29081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19843),
  [29083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16694),
  [29085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [29087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18621),
  [29089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18622),
  [29091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18623),
  [29093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5653),
  [29095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [29097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15592),
  [29099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4161),
  [29101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12353),
  [29103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12376),
  [29105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9740),
  [29107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16712),
  [29109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18659),
  [29111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18660),
  [29113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18661),
  [29115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8686),
  [29117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7033),
  [29119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8918),
  [29121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8014),
  [29123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9958),
  [29125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12778),
  [29127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16731),
  [29129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6836),
  [29131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18697),
  [29133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18698),
  [29135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18699),
  [29137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [29139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [29141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6838),
  [29143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12274),
  [29145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12634),
  [29147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5337),
  [29149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9900),
  [29151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16749),
  [29153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18735),
  [29155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18736),
  [29157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18737),
  [29159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4915),
  [29161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9906),
  [29163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9924),
  [29165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [29167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6730),
  [29169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9908),
  [29171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13179),
  [29173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4168),
  [29175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4169),
  [29177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [29179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18772),
  [29181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18773),
  [29183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18774),
  [29185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [29187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [29189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6676),
  [29191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7046),
  [29193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10102),
  [29195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7047),
  [29197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7048),
  [29199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5517),
  [29201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5519),
  [29203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18809),
  [29205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18810),
  [29207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18811),
  [29209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5522),
  [29211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [29213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5377),
  [29215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7049),
  [29217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6572),
  [29219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7050),
  [29221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [29223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6692),
  [29225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17181),
  [29227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13351),
  [29229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18846),
  [29231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18847),
  [29233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18848),
  [29235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7808),
  [29237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9816),
  [29239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7452),
  [29241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [29243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7056),
  [29245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7057),
  [29247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10008),
  [29249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5550),
  [29251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7058),
  [29253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15939),
  [29255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18883),
  [29257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18884),
  [29259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18885),
  [29261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5776),
  [29263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13352),
  [29265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5339),
  [29267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [29269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12726),
  [29271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [29273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__infix_operator, 1, 0, 0),
  [29275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10012),
  [29277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5803),
  [29279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6905),
  [29281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18919),
  [29283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18920),
  [29285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18921),
  [29287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15685),
  [29289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10002),
  [29291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20192),
  [29293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5463),
  [29295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11928),
  [29297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5406),
  [29299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4984),
  [29301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7604),
  [29303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18943),
  [29305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18944),
  [29307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18945),
  [29309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9818),
  [29311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12637),
  [29313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18960),
  [29315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18961),
  [29317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18962),
  [29319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6489),
  [29321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7757),
  [29323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18972),
  [29325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18973),
  [29327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18974),
  [29329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18982),
  [29331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18983),
  [29333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18984),
  [29335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [29337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6978),
  [29339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18992),
  [29341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18993),
  [29343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18994),
  [29345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6983),
  [29347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [29349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19002),
  [29351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19003),
  [29353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19004),
  [29355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6634),
  [29357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11517),
  [29359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19012),
  [29361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19013),
  [29363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19014),
  [29365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17352),
  [29367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19022),
  [29369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19023),
  [29371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19024),
  [29373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6490),
  [29375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19032),
  [29377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19033),
  [29379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19034),
  [29381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4378),
  [29383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [29385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19042),
  [29387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19043),
  [29389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19044),
  [29391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16576),
  [29393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7284),
  [29395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19052),
  [29397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5172),
  [29399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19054),
  [29401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5174),
  [29403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5175),
  [29405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19062),
  [29407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19063),
  [29409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19064),
  [29411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6492),
  [29413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5320),
  [29415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19072),
  [29417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19073),
  [29419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19074),
  [29421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8538),
  [29423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19082),
  [29425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19083),
  [29427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19084),
  [29429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5322),
  [29431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [29433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [29435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7803),
  [29437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5912),
  [29439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [29441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7712),
  [29443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12657),
  [29445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [29447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15920),
  [29449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9820),
  [29451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6635),
  [29453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12784),
  [29455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5858),
  [29457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [29459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [29461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10061),
  [29463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [29465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5513),
  [29467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5176),
  [29469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [29471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13197),
  [29473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16580),
  [29475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16055),
  [29477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13195),
  [29479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12780),
  [29481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5177),
  [29483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [29485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [29487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5754),
  [29489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5178),
  [29491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5629),
  [29493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19226),
  [29495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5859),
  [29497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [29499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [29501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [29503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12858),
  [29505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5860),
  [29507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18616),
  [29509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6887),
  [29511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [29513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [29515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6426),
  [29517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5173),
  [29519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5128),
  [29521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [29523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13202),
  [29525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16079),
  [29527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13164),
  [29529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9735),
  [29531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [29533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8032),
  [29535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9736),
  [29537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19320),
  [29539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6798),
  [29541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5129),
  [29543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [29545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5821),
  [29547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15885),
  [29549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6137),
  [29551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4824),
  [29553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13190),
  [29555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16102),
  [29557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13176),
  [29559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9933),
  [29561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8661),
  [29563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8662),
  [29565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4985),
  [29567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19394),
  [29569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6806),
  [29571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9868),
  [29573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5636),
  [29575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7888),
  [29577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6156),
  [29579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16121),
  [29581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9869),
  [29583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4986),
  [29585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5725),
  [29587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19443),
  [29589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [29591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4838),
  [29593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7513),
  [29595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9737),
  [29597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16128),
  [29599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8663),
  [29601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16136),
  [29603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16145),
  [29605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6577),
  [29607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16152),
  [29609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16158),
  [29611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16162),
  [29613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16167),
  [29615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16171),
  [29617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16174),
  [29619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16180),
  [29621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16185),
  [29623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16189),
  [29625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16197),
  [29627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16204),
  [29629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16209),
  [29631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16216),
  [29633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16220),
  [29635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16225),
  [29637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16228),
  [29639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16232),
  [29641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16237),
  [29643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16243),
  [29645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16248),
  [29647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16251),
  [29649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16256),
  [29651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16262),
  [29653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16266),
  [29655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16270),
  [29657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16275),
  [29659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16281),
  [29661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16286),
  [29663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16291),
  [29665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16298),
  [29667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16301),
  [29669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16304),
  [29671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16310),
  [29673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16316),
  [29675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16321),
  [29677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16327),
  [29679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16330),
  [29681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16333),
  [29683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16335),
  [29685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16337),
  [29687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16339),
  [29689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16341),
  [29691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16343),
  [29693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16345),
  [29695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16347),
  [29697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16349),
  [29699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16352),
  [29701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16354),
  [29703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16356),
  [29705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11548),
  [29707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16703),
  [29709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [29711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6997),
  [29713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6644),
  [29715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [29717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4721),
  [29719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4722),
  [29721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [29723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4723),
  [29725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7891),
  [29727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4847),
  [29729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4848),
  [29731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [29733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [29735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [29737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [29739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7764),
  [29741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6432),
  [29743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4725),
  [29745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4726),
  [29747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [29749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4727),
  [29751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5109),
  [29753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [29755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6162),
  [29757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8055),
  [29759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9821),
  [29761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8056),
  [29763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [29765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8057),
  [29767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7498),
  [29769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8059),
  [29771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [29773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [29775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16161),
  [29777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9940),
  [29779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9955),
  [29781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8730),
  [29783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7940),
  [29785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5861),
  [29787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [29789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5127),
  [29791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8064),
  [29793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [29795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [29797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [29799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7629),
  [29801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [29803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [29805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12691),
  [29807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [29809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [29811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5862),
  [29813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [29815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5391),
  [29817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4953),
  [29819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [29821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5327),
  [29823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5863),
  [29825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [29827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8885),
  [29829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5394),
  [29831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15671),
  [29833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4990),
  [29835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10017),
  [29837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [29839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [29841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5245),
  [29843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7679),
  [29845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7695),
  [29847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [29849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [29851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17053),
  [29853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7928),
  [29855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7391),
  [29857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9346),
  [29859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9347),
  [29861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8068),
  [29863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8069),
  [29865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7175),
  [29867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9562),
  [29869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8070),
  [29871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13161),
  [29873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12360),
  [29875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9963),
  [29877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13910),
  [29879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6593),
  [29881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10047),
  [29883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8734),
  [29885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [29887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [29889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5329),
  [29891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [29893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [29895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7451),
  [29897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9768),
  [29899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9493),
  [29901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [29903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16110),
  [29905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9625),
  [29907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7329),
  [29909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6612),
  [29911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [29913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, 0, 0),
  [29915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_comment = 0,
  ts_external_token__left_quoted_string_delimiter = 1,
  ts_external_token__right_quoted_string_delimiter = 2,
  ts_external_token_DQUOTE = 3,
  ts_external_token_line_number_directive = 4,
  ts_external_token__null = 5,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_comment] = sym_comment,
  [ts_external_token__left_quoted_string_delimiter] = sym__left_quoted_string_delimiter,
  [ts_external_token__right_quoted_string_delimiter] = sym__right_quoted_string_delimiter,
  [ts_external_token_DQUOTE] = anon_sym_DQUOTE,
  [ts_external_token_line_number_directive] = sym_line_number_directive,
  [ts_external_token__null] = sym__null,
};

static const bool ts_external_scanner_states[10][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_comment] = true,
    [ts_external_token__left_quoted_string_delimiter] = true,
    [ts_external_token__right_quoted_string_delimiter] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [2] = {
    [ts_external_token_comment] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [3] = {
    [ts_external_token_comment] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [4] = {
    [ts_external_token_comment] = true,
    [ts_external_token__left_quoted_string_delimiter] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [5] = {
    [ts_external_token_comment] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [6] = {
    [ts_external_token_comment] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [7] = {
    [ts_external_token_comment] = true,
    [ts_external_token__right_quoted_string_delimiter] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [8] = {
    [ts_external_token_comment] = true,
    [ts_external_token__left_quoted_string_delimiter] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [9] = {
    [ts_external_token_comment] = true,
    [ts_external_token__right_quoted_string_delimiter] = true,
    [ts_external_token_line_number_directive] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_ocaml_interface_external_scanner_create(void);
void tree_sitter_ocaml_interface_external_scanner_destroy(void *);
bool tree_sitter_ocaml_interface_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_ocaml_interface_external_scanner_serialize(void *, char *);
void tree_sitter_ocaml_interface_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_ocaml_interface(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_ocaml_interface_external_scanner_create,
      tree_sitter_ocaml_interface_external_scanner_destroy,
      tree_sitter_ocaml_interface_external_scanner_scan,
      tree_sitter_ocaml_interface_external_scanner_serialize,
      tree_sitter_ocaml_interface_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
